%define uname   2048-Qt

Name:           2048-qt
Version:        0.1.6
Release:        %mkrel 8
Summary:        Mathematics-based puzzle game
Group:          Games/Puzzles
License:        MIT
URL:            https://github.com/xiaoyong/2048-Qt/
Source0:        https://github.com/xiaoyong/2048-Qt/archive/v%{version}/%{uname}-%{version}.tar.gz
Patch0:         2048-qt-0.1.5-mga-binary-path.patch
Patch1:         2048-qt-0.1.6-mga-desktop.patch

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Widgets)
Requires:       qtdeclarative5
Requires:       qtquickcontrols5

%description
2048 is a mathematics-based puzzle game where you have to slide tiles
on a grid to combine them and create a tile with the number 2048.
You have to merge the similar number tiles by moving the arrow keys
in four different directions. When two tiles with the same number touch,
they will merge into one.

%prep
%autosetup -p1 -n %{uname}-%{version}

%build
%qmake_qt5
%make_build

%install
%qmakeinstall_std

install -d %{buildroot}%{_iconsdir}/hicolor
cp -a res/icons/{16x16,32x32,48x48,256x256,scalable} %{buildroot}%{_iconsdir}/hicolor

install -D -m644 res/man/%{name}.6 %{buildroot}%{_mandir}/man6/%{name}.6

install -D -m644 res/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc Changelog.md LICENSE README.md
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man6/%{name}.6*
