Summary:          Utility library for 389 administration
Name:             389-adminutil
Version:          1.1.23
Release:          %mkrel 2
License:          LGPLv2
Group:            Databases
URL:              https://port389.org/wiki/AdminUti
Source0:          https://port389.org/sources/%{name}-%{version}.tar.bz2
Patch0:		  389-adminutil-1.1.14-link.patch
Patch1:           389-adminutil-1.1.1-libdir.patch
BuildRequires:    pkgconfig(nspr)
BuildRequires:    pkgconfig(nss)
BuildRequires:    openldap-devel
BuildRequires:    libicu-devel
BuildRequires:    icu
Provides:         adminutil = %{version}-%{release}

%description
%{name} is libraries of functions used to administer directory
servers, usually in conjunction with the admin server.  %{name} is
broken into two libraries - libadminutil contains the basic
functionality, and libadmsslutil contains SSL versions and wrappers
around the basic functions.  The PSET functions allow applications to
store their preferences and configuration parameters in LDAP, without
having to know anything about LDAP.  The configuration is cached in a
local file, allowing applications to function even if the LDAP server
is down.  The other code is typically used by CGI programs used for
directory server management, containing GET/POST processing code as
well as resource handling (ICU ures API).

%package devel
Summary:  	Development and header files for %{name}
Group:    	Development/Databases
Requires:	%{name} = %{version}-%{release}
Requires: 	pkgconfig
Requires: 	nspr-devel
Requires: 	nss-devel
Requires: 	openldap-devel
Requires: 	libicu-devel
Provides:  	adminutil-devel = %{version}-%{release}

%description devel
Development files and header files necessary to build applications
that use %{name}.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure --disable-tests \
	--disable-static --with-openldap
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files
%doc LICENSE README NEWS
%{_libdir}/*.so.*
%{_datadir}/%{name}

%files devel
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/*.so
%{_includedir}/libadminutil
%{_includedir}/libadmsslutil
