%define pkgname   dirsrv

Summary:          389 Directory Server Gateway (dsgw)
Name:             389-dsgw
Version:          1.1.11
Release:          %mkrel 30
License:          GPLv2
Group:            System/Servers
URL:              https://port389.org/
Source0:          https://port389.org/sources/%{name}-%{version}.tar.bz2
Patch0:		  389-dsgw-1.1.11-icu-true.patch
Patch1:		  389-dsgw-fix-build-with-gcc14.patch
BuildRequires:    pkgconfig(nspr)
BuildRequires:    pkgconfig(nss)
BuildRequires:    pkgconfig(svrcore)
BuildRequires:    pkgconfig(mozldap)
BuildRequires:    pkgconfig(libsasl2)
BuildRequires:    icu
BuildRequires:    libicu-devel
BuildRequires:    pkgconfig(389-adminutil)
# this provides the required  /etc/dirsrv/admin-serv/httpd.conf
Requires:         389-admin
# orgchart uses perldap
Requires:         perl-Mozilla-LDAP

%description
389 Directory Server Gateway is a collection of 3 web applications
that run on top of the Administration Server used by the Directory
Server.  These 3 applications are:
* phonebook - a simple phone book application geared towards end users,
with simple search screens and simple self-service management
* orgchart - an organization chart viewer
* gateway - a more advanced search interface that allows admins to
create and edit user entries, and allows creation of templates for
different types of user and group entries

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --disable-rpath --with-openldap

# Generate symbolic info for debuggers
export XCFLAGS=$RPM_OPT_FLAGS

%ifarch x86_64
export USE_64=1
%endif

%make_build

%install
%make_install

# make cookie db directory
mkdir -p %{buildroot}%{_localstatedir}/run/%{pkgname}/dsgw/cookies
# touch the tmpfiles.d conf file - but will not be included in the package
# Spuhler, March 13, 2013- The spec file in the source tar ball doesn't include this temp file
# and rpmlint rejects it. Let's see if it really needs it. Suse doesn't use this file either.
# Comment out the ghostfile too
# mkdir -p %{buildroot}%{_sysconfdir}/tmpfiles.d
# touch %{buildroot}%{_sysconfdir}/tmpfiles.d/%{pkgname}-dsgw.conf



%post
# this has been problematic - if this directory
# does not exist, the server will silently fail to
# start - however, if the user has already created
# it, we don't want to overwrite the permissions
# on it - so we can't list it explicitly in the
# files section
if [ ! -d %{_localstatedir}/run/%{pkgname}/dsgw/cookies ] ; then
    mkdir -p %{_localstatedir}/run/%{pkgname}/dsgw/cookies
fi

%files
%doc LICENSE
%dir %{_sysconfdir}/%{pkgname}/dsgw
%config(noreplace)%{_sysconfdir}/%{pkgname}/dsgw/*.conf
%{_datadir}/%{pkgname}/dsgw
%{_datadir}/%{pkgname}/manual/*/dsgw
%{_datadir}/%{pkgname}/properties/dsgw
%{_sbindir}/*
%{_libdir}/%{pkgname}/dsgw-cgi-bin
# %%ghost %%{_sysconfdir}/tmpfiles.d/%%{pkgname}-dsgw.conf

