# Do not fix DOS-like EOL in game data, it breaks the game
# https://github.com/the3dfxdude/7kaa/issues/45
%define dont_fix_eol 1

Name:           7kaa
Version:        2.15.6
Release:        %mkrel 1
Summary:        Seven Kingdoms: Ancient Adversaries is a real-time strategy game
Group:          Games/Strategy
License:        GPLv2
URL:            https://7kfans.com/
Source0:        https://downloads.sourceforge.net//skfans/%{name}-%{version}.tar.gz
Source1:        %{name}.png
Source2:        %{name}.xpm

BuildRequires:  gettext
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libenet)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(openal)
Requires:       %{name}-data >= %{version}

%description
Seven Kingdoms made departures from the traditional real-time strategy models
of "gather resources, build a base and army, and attack". The economic model
bears more resemblance to a turn-based strategy game. It features an espionage
system that allows players to train and control spies individually, who each
have a spying skill that increases over time. The player is also responsible
for catching spies in their own kingdom. Inns built within the game allow
players to hire mercenaries of various occupations, skill levels, and races.
Skilled spies of enemy races are essential to a well-conducted espionage
program, and the player can bolster his forces by grabbing a skilled fighter
or give ones own factories, mines, and towers of science, a boost by hiring a
skilled professional.

Enlight Software decided to release the game to the Open Source community
in August 2009. At that time everything, but the music, was released under
the GPL v2.

%package data
Summary:        Data files for Seven Kingdoms: Ancient Adversaries
BuildArch:      noarch
Recommends:     %{name}-music
Conflicts:      %{name} < 2.14.6

%description data
This package contains arch-independent data files for the Seven Kingdoms:
Ancient Adversaries game.

The music is not licensed under the GPLv2, and is therefore provided by
another %{name}-music package in the Nonfree repo.

%prep
%autosetup -p1

%build
%configure --bindir=%{_gamesbindir} \
           --datadir=%{_gamesdatadir}
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 %{SOURCE1} %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/

# menu-entry
mkdir -p  %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Name=Seven Kingdoms
Comment=Seven Kingdoms: Ancient Adversaries
Type=Application
Exec=%{name}
Icon=%{name}
Categories=Game;StrategyGame;
EOF

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING README
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.*
%{_gamesbindir}/%{name}

%files data
%{_gamesdatadir}/%{name}/
