%define pkgname		GConf

%define api_version	2
%define gi_version	2.0
%define	lib_major	4
%define lib_name	%mklibname %{pkgname} %{api_version} %{lib_major}
%define gi_name		%mklibname gconf-gir %{gi_version}
%define lib_namedev	%mklibname -d %{pkgname} %{api_version}

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	A configuration database system for GNOME
Name:		%{pkgname}%{api_version}
Version:	3.2.6
Release:	%mkrel 23
License:	LGPLv2+
Group:		Graphical desktop/GNOME
URL:		https://www.gnome.org/projects/gconf/
Source0: 	https://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.xz
Source1:	gconf.sh
Source2:	gconf.csh
# (fc) reload database when schemas are installed/uninstalled (GNOME bug #328697)
Patch1:		GConf-2.12.1-reload.patch
Patch2:		GConf-gcc14-workaround.patch
Patch3:		GConf-3.2.6-gsettings-schema-convert-2to3.patch
BuildRequires:	pkgconfig(dbus-1) >= 1.0.0
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.74
BuildRequires:	pkgconfig(gio-2.0) >= 2.25.9
BuildRequires:	pkgconfig(glib-2.0) > 2.14.0
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.7.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.7.0
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.90
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	openldap-devel
BuildRequires:	autoconf
BuildRequires:	gtk-doc
BuildRequires:	intltool >= 0.35.0
BuildRequires:	python3
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.5
# Remming out due to MGA#16454
# Requires:	polkit-agent
Requires:	gsettings-desktop-schemas
Requires:	%{lib_name} = %{version}
# needed by patch1
Requires:	psmisc
Requires:	sed
Requires(post):	update-alternatives
Recommends:	dconf

%description
GConf is a configuration data storage mechanism scheduled to
ship with GNOME. GConf does work without GNOME however; it
can be used with plain GTK+, Xlib, KDE, or even text mode
applications as well.

%package -n %{lib_name}
Summary:	%{summary}
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description -n %{lib_name}
GConf is a configuration data storage mechanism scheduled to
ship with GNOME. GConf does work without GNOME however; it
can be used with plain GTK+, Xlib, KDE, or even text mode
applications as well.

This package contains necessary libraries to run any programs linked
with GConf.

%package -n %{gi_name}
Summary:	GObject introspection interface library for %{pkgname}
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}

%description -n %{gi_name}
GObject introspection interface library for %{pkgname}.

%package -n %{lib_namedev}
Summary:	Development libraries and headers for GConf
Group:		Development/GNOME and GTK+
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	%{gi_name} = %{version}

%description -n %{lib_namedev}
GConf is a configuration data storage mechanism scheduled to
ship with GNOME. GConf does work without GNOME however; it
can be used with plain GTK+, Xlib, KDE, or even text mode
applications as well.

This package contains the header files and libraries needed to develop
applications using GConf.

%prep
%autosetup -p1 -n %{pkgname}-%{version}

%build
%global optflags %optflags -Wno-deprecated-declarations
%configure --with-gtk=3.0 --disable-static --disable-orbit
%make_build

%install
%make_install

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/gconf.sh
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/gconf.csh

mkdir %{buildroot}%{_sysconfdir}/gconf/schemas

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gconf/{gconf.xml.local-defaults,gconf.xml.local-mandatory,gconf.xml.system}

cat << EOF > $RPM_BUILD_ROOT%{_sysconfdir}/gconf/2/local-defaults.path
xml:readonly:/etc/gconf/gconf.xml.local-defaults
include "\$(HOME)/.gconf.path.defaults"
EOF

cat << EOF > $RPM_BUILD_ROOT%{_sysconfdir}/gconf/2/local-mandatory.path
xml:readonly:/etc/gconf/gconf.xml.local-mandatory
include "\$(HOME)/.gconf.path.mandatory"
EOF

%find_lang %{name}

# create symlink
ln -s %{_bindir}/gconftool-2 %{buildroot}%{_bindir}/gconftool

# automatic install of gconf schemas on rpm installs
%transfiletriggerin -- /etc/gconf/schemas/
export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`;
cat | xargs %{_bindir}/gconftool-2 --makefile-install-rule >/dev/null

%triggerpostun -- GConf2 < 3.2.6-13
if [ -L %{_sysconfdir}/alternatives/gconftool -a -x %{_sbindir}/update-alternatives ]; then
	%{_sbindir}/update-alternatives --remove gconftool %{_bindir}/gconftool-2
fi

%files -f %{name}.lang
%doc README
%config(noreplace) %{_sysconfdir}/profile.d/*
%config(noreplace) %_sysconfdir/dbus-1/system.d/org.gnome.GConf.Defaults.conf
%_sysconfdir/xdg/autostart/gsettings-data-convert.desktop
%_bindir/gsettings-data-convert
%_bindir/gsettings-schema-convert
%{_bindir}/gconftool*
%{_bindir}/gconf-merge-tree
%_mandir/man1/gconftool-2.1*
%_mandir/man1/gsettings-data-convert.1*
%_mandir/man1/gsettings-schema-convert.1*
%{_libexecdir}/gconfd-%{api_version}
%{_libexecdir}/gconf-defaults-mechanism
%dir %{_libdir}/GConf
%dir %{_libdir}/GConf/%{api_version}
%{_libdir}/GConf/%{api_version}/*.so
%config(noreplace) %{_sysconfdir}/gconf/%{api_version}
%dir %{_sysconfdir}/gconf
%dir %{_sysconfdir}/gconf/gconf.xml*
%dir %{_sysconfdir}/gconf/schemas
%{_datadir}/polkit-1/actions/org.gnome.gconf.defaults.policy
%{_datadir}/sgml/gconf
%{_datadir}/GConf/
%{_datadir}/dbus-1/services/org.gnome.GConf.service
%{_datadir}/dbus-1/system-services/org.gnome.GConf.Defaults.service

%files -n %{lib_name}
%doc README
%{_libdir}/lib*.so.%{lib_major}{,.*}
%{_libdir}/gio/modules/libgsettingsgconfbackend.so

%files -n %{gi_name}
%{_libdir}/girepository-1.0/GConf-%{gi_version}.typelib

%files -n %{lib_namedev}
%doc ChangeLog TODO NEWS AUTHORS
%doc %{_datadir}/gtk-doc/html/*
%{_datadir}/aclocal/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/GConf-%{gi_version}.gir
