Name:		PySolFC
Version:	3.2.0
Release:	%mkrel 2
Summary:	A collection of solitaire card games
License:	GPLv3+
Group:		Games/Cards
URL:		https://pysolfc.sourceforge.net/
Source0:	https://sourceforge.net/projects/pysolfc/files/PySolFC/PySolFC-%{version}/PySolFC-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	perl(Code::TidyAll::Plugin::Flake8)
BuildRequires:	perl(Inline::Python)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-attrs
BuildRequires:	python3-configobj
BuildRequires:	python3-flake8
BuildRequires:	python3-flake8-import-order
BuildRequires:	python3-pycotap
BuildRequires:	python3-pysol-cards
BuildRequires:	python3-setuptools
BuildRequires:	python3-pillow
BuildRequires:	python3-pillow-tk
BuildRequires:	python3-random2
BuildRequires:	python3-six
Requires:	tkinter3
Requires:	python3-black-hole-solver
Requires:	python3-freecell-solver
Requires:	python3-pillow
Requires:	python3-pillow-tk
Requires:	python3-pygame
Recommends:	PySolFC-cardsets
Recommends:	python3-pysol-sound-server
Provides:	pysol = %{version}-%{release}
Obsoletes:	pysol < 4.83

%description
PySolFC is a collection of more than 1000 solitaire card games.
Its features include modern look and feel (uses Tile widget set), multiple
card-sets and tableau backgrounds, sound, unlimited undo, player statistics,
a hint system, demo games, a solitaire wizard, support for user written
plug-ins, an integrated HTML help browser, and lots of documentation.

%prep
%autosetup -p1

# drop deprecated time.clock
sed -i -e 's,time\.clock,time.perf_counter,g' pysollib/mfxutil.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%check
export TEST_TAGS=" SKIP_PY2 " TEST_SKIP_TIDYALL=1
%__make test

%install
%pyproject_install
# Hack to put /usr/bin/pysol.py as /usr/games pysol
mkdir -p %{buildroot}%{_gamesbindir}
%define pysol_bin_path %{_gamesbindir}/pysol
%define pysol_orig_path %{_bindir}/pysol.py
mv %{buildroot}%{pysol_orig_path} %{buildroot}%{pysol_bin_path}

sed -i -e 's#Exec=.*#Exec=%{_gamesbindir}/pysol#' %{buildroot}%{_datadir}/applications/pysol.desktop

%find_lang pysol
%pyproject_save_files pysollib


%files -f pysol.lang -f %{pyproject_files}
%doc COPYING README.md
%{_gamesbindir}/*
%{_datadir}/%name
%{_datadir}/applications/pysol.desktop
%{_iconsdir}/hicolor/*/apps/*.png
