%define	major     0
%define apiver    1.2
%define	libname   %mklibname %{name} %{apiver} %{major}
%define develname %mklibname %{name} -d

%define gitdate   20240525
%define commit    ed76d39cda0735d26c14a3e4f4da996e420f6478

Summary:        Simple DirectMedia Layer - mixer
Name:           SDL_mixer
Version:        1.2.13
Release:        %mkrel -c git%{gitdate} 1
License:        zlib
Group:          System/Libraries
URL:            https://www.libsdl.org/projects/SDL_mixer/release-1.2.html
#Source0:        https://www.libsdl.org/projects/SDL_mixer/release/%%{name}-%%{version}.tar.gz
Source0:        https://github.com/libsdl-org/SDL_mixer/archive/%{commit}/%{name}-%{version}-git%{gitdate}.tar.gz

BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(fluidsynth)
BuildRequires:  pkgconfig(libmikmod)
BuildRequires:  pkgconfig(sdl) >= 1.2.10
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  smpeg-devel

%description
SDL_mixer is a sample multi-channel audio mixer library. It supports any
number of simultaneously playing channels of 16 bit stereo audio, plus a
single channel of music, mixed by the popular MikMod MOD, Timidity MIDI
and SMPEG MP3 libraries.

%package -n %{libname}
Summary:        Main library for %{name}
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:        Headers for developing programs that will use %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}%{apiver}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n %{name}-player
Summary:        Sound players using %{name}
Group:          System/Libraries

%description -n %{name}-player
This package contains binary to test the associated library.

%prep
%autosetup -p1 -n %{name}-%{commit}

%build
# Needed to learn about aarch64
autoreconf -fiv

# (akien) music-*-shared enables dlopen'ing of shared libraries to avoid
# hard dependencies. But for a distro package, we want hard dependencies
# so that packages using SDL_mixer get the proper deps out of the box.
# If some of those are too much, we could dlopen more exotic ones (flac,
# fluidsynth, smpeg).
%configure \
    --disable-static \
    --disable-music-flac-shared \
    --disable-music-fluidsynth-shared \
    --disable-music-mod-shared \
    --disable-music-mp3-shared \
    --disable-music-ogg-shared
%make_build

iconv -f ISO-8859-1 -t UTF-8 CHANGES > CHANGES.tmp
touch -r CHANGES CHANGES.tmp
mv CHANGES.tmp CHANGES

%install
%make_install install-bin

find %{buildroot} -name '*.la' -delete

%files -n %{name}-player
%doc README
%{_bindir}/playwave
%{_bindir}/playmus

%files -n %{libname}
%doc timidity/FAQ timidity/README
%{_libdir}/lib%{name}-%{apiver}.so.%{major}{,.*}

%files -n %{develname}
%doc README CHANGES
%{_libdir}/lib%{name}.so
%{_includedir}/SDL/%{name}.h
%{_libdir}/pkgconfig/%{name}.pc
