%define major 		0
%define apiver 		1.2
%define libname 	%mklibname %{name} %{apiver} %{major}
%define develname 	%mklibname %{name} -d

%define gitdate		20240423
%define commit		0043be2e559f8d562d04bf62d6e3f4162ed8edad

Summary:	Simple DirectMedia Layer - network
Name:		SDL_net
Version:	1.2.9
Release:	%mkrel -c git%{gitdate} 1
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.libsdl.org/projects/SDL_net/
#Source0:	https://www.libsdl.org/projects/SDL_net/release/%%{name}-%%{version}.tar.gz
Source0:	https://github.com/libsdl-org/SDL_net/archive/%{commit}/%{name}-%{version}-git%{gitdate}.tar.gz
BuildRequires:	pkgconfig(sdl) >= 1.2

%description
This is an example portable network library for use with SDL. Note that this
isn't necessarily how you would want to write a chat program, but it
demonstrates how to use the basic features of the network and GUI libraries.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%autosetup -p1 -n %{name}-%{commit}

%build
# to recognize aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/lib*%{apiver}.so.%{major}{,.*}

%files -n %{develname}
%doc README CHANGES
%{_includedir}/SDL/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
