%define major      1
%define apiver     1.0
%define libname    %mklibname %name %{apiver} %{major}
%define develname  %mklibname %{name} -d
%define staticname %mklibname %{name} -d -s

Summary:	An abstract SDL sound-file decoder
Name:		SDL_sound
Version:	1.0.3
Release:	%mkrel 23
Group:		System/Libraries
License:	LGPLv2+
URL:		https://www.icculus.org/SDL_sound
Source:		https://www.icculus.org/SDL_sound/downloads/%{name}-%{version}.tar.gz
Patch10:	SDL_sound-lib-m.patch
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(libmikmod)
BuildRequires:	pkgconfig(libmodplug)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(physfs)
BuildRequires:	doxygen

%description
SDL_sound is a library that handles the decoding of several popular
sound file formats, such as .WAV and .MP3. It is meant to make the
programmer's sound playback tasks simpler. The programmer gives
SDL_sound a file-name, or feeds it data directly from one of many
sources, and then reads the decoded waveform data back at her
leisure. If resource constraints are a concern, SDL_sound can process
sound data in programmer-specified blocks. Alternately, SDL_sound can
decode a whole sound file and hand back a single pointer to the whole
waveform. SDL_sound can also handle sample rate, audio format, and
channel conversion on-the-fly and behind-the-scenes, if the programmer
desires.

%package -n %{libname}
Summary:	SDL graphics drawing primitives and other support functions
Group:		System/Libraries

%description -n %{libname}
SDL_sound is a library that handles the decoding of several popular
sound file formats, such as .WAV and .MP3. It is meant to make the
programmer's sound playback tasks simpler. The programmer gives
SDL_sound a file-name, or feeds it data directly from one of many
sources, and then reads the decoded waveform data back at her
leisure. If resource constraints are a concern, SDL_sound can process
sound data in programmer-specified blocks. Alternately, SDL_sound can
decode a whole sound file and hand back a single pointer to the whole
waveform. SDL_sound can also handle sample rate, audio format, and
channel conversion on-the-fly and behind-the-scenes, if the programmer
desires.

%package -n %{develname}
Summary:	Header files and more to develop SDL_sound applications
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Header files and more to develop SDL_sound applications.

%package -n %{staticname}
Summary:	Static SDL_sound libraries
Group:		Development/C
Requires:	%{develname} = %{version}-%{release}

%description -n %{staticname}
Static SDL_sound libraries.

%prep
%autosetup -p1

%build
touch NEWS AUTHORS ChangeLog
autoreconf -fi
export CPPFLAGS="-I%{_includedir}/libmodplug -D__EXPORT__="
%configure --enable-static
%make_build
doxygen

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files
%doc README
%{_bindir}/*

%files -n %{libname}
%{_libdir}/lib*%{apiver}.so.%{major}{,.*}

%files -n %{develname}
%doc CHANGELOG TODO CREDITS docs/html
%{_libdir}/lib*.so
%{_includedir}/SDL/*

%files -n %{staticname}
%{_libdir}/lib*.a
