Name:           XmlSchema
Version:        2.2.3
Release:        %mkrel 2
Group:          Development/Java
Summary:        Lightweight schema object model
License:        ASL 2.0
URL:            https://ws.apache.org/xmlschema/
BuildArch:      noarch

Source0:        https://archive.apache.org/dist/ws/xmlschema/%{version}/xmlschema-%{version}-source-release.zip

BuildRequires:  maven-local
BuildRequires:  mvn(com.google.guava:guava-testlib)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache:apache:pom:)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-remote-resources-plugin)
BuildRequires:  mvn(xerces:xercesImpl)
BuildRequires:  mvn(xmlunit:xmlunit)

%description
Commons XMLSchema is a lightweight schema object model that can be 
used to manipulate or generate a schema.

%package javadoc
Summary:      API documentation for %{name}

%description javadoc
This package contains API documentation for %{name}.

%prep
%setup -q -n xmlschema-%{version}

# Fix line endings
sed -i -e 's/\r//g' RELEASE-NOTE.txt

# Missing deps on org.ops4j for this module
%pom_disable_module xmlschema-bundle-test

# This module contains only testdata and according to upstream, should not be deployed
%pom_disable_module w3c-testcases

# Compatibility alias
%mvn_alias :xmlschema-core org.apache.ws.commons.schema:XmlSchema

%build
%mvn_build -- -P!sourcecheck

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE
%doc README.txt RELEASE-NOTE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

