%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary: 	Inter-toolkit configuration settings
Name: 		Xsettings-client
Version: 	0.10
Release: 	%{mkrel 14}
URL: 		https://www.freedesktop.org/standards/xsettings-spec/
# Tarball includes a copy of the GPL but the source headers clearly
# specify an MIT license - AdamW 2008/12
License: 	MIT
Group: 		System/Libraries
Source0:	http://matchbox-project.org/sources/optional-dependencies/%{name}-%{version}.tar.bz2
# Fix underlinking - AdamW 2008/12
Patch0:		Xsettings-client-0.10-underlink.patch
Patch1:		xsettings-client-0.10-cflags.patch
BuildRequires:	pkgconfig(x11)

%description
The intent of this specification is to specify a mechanism to allow the
configuration of settings such as double click timeout, drag-and-drop
threshold, and default foreground and background colors for all applications
running within a desktop. The mechanism should:
- allow for instant updates to be propagated across all applications at runtime
- perform well, even for remote applications.

It is not intended:
- for the storage of application-specific data
- to be able to store large amounts of data
- to store complex data types (other than as strings)

%package -n	%{libname}
Group:		System/Libraries
Summary:	Inter-toolkit configuration settings

%description -n %{libname}
The intent of this specification is to specify a mechanism to allow the
configuration of settings such as double click timeout, drag-and-drop
threshold, and default foreground and background colors for all applications
running within a desktop. The mechanism should:
- allow for instant updates to be propagated across all applications at runtime
- perform well, even for remote applications.

It is not intended:
- for the storage of application-specific data
- to be able to store large amounts of data
- to store complex data types (other than as strings)

%package -n %{develname}
Group:          Development/C
Summary:        Development libraries and header files from %{name}
Provides:       %{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname Xsettings-client 0 -d}
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
Development libraries and header files from %{name}.

%prep
%setup -q
%autopatch -p1

sed -i s/AM_CONFIG_HEADER/AC_CONFIG_HEADER/ configure.ac

%build
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc README
%{_libdir}/*.so
%{_includedir}/*.h
