Summary:	Converts text and other types of files to PostScript(TM)
Name:		a2ps
Version:	4.15.6
Release:	%mkrel 1
License:	GPLv3+
Group:		Publishing
Url:		https://www.gnu.org/software/a2ps/
Source0:	https://ftp.gnu.org/gnu/a2ps/%{name}-%{version}.tar.gz
Patch1:		a2ps-4.14-enable-display.patch
BuildRequires:	bison
BuildRequires:	emacs-bin
BuildRequires:	flex
BuildRequires:	gettext
BuildRequires:	gperf
BuildRequires:	groff-perl
BuildRequires:	html2ps
BuildRequires:	imagemagick
BuildRequires:	mawk
BuildRequires:	tetex-dvips
BuildRequires:	tetex-latex
BuildRequires:	texinfo
BuildRequires:	paper-utils
BuildRequires:	psutils
BuildRequires:	pkgconfig(bdw-gc)
BuildRequires:	libpaper-devel

Requires:	gzip
Requires:	bzip2
Requires:	binutils
Requires:	file
Requires:	groff-perl
Requires:	imagemagick
Requires:	paper-utils
Requires:	psutils

# The library was never used by anything and is not built anymore either
Obsoletes:	%{name}-devel < 4.14-25

%description
The a2ps filter converts text and other types of files to PostScript(TM).
a2ps has pretty-printing capabilities and includes support for a wide
number of programming languages, encodings (ISO Latins, Cyrillic, etc.),
and medias.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install

%find_lang %{name} --all-name

%post
# Adapt /usr/share/a2ps/afm/fonts.map to the current system environment
( cd %{_datadir}/%{name}/afm/
  ./make_fonts_map.sh > /dev/null 2>&1
  mv -f fonts.map.new fonts.map
)

%files -f %{name}.lang
%config(noreplace) %{_sysconfdir}/a2ps.cfg
%config(noreplace) %{_sysconfdir}/a2ps-site.cfg
%doc AUTHORS NEWS README TODO THANKS
%{_bindir}/*
%{_infodir}/a2ps.info*
%{_infodir}/ogonkify.info*
%{_infodir}/regex.info*
%{_mandir}/man1/*
%{_datadir}/%{name}/
%{_datadir}/ogonkify/
%{_datadir}/emacs/site-lisp/*
