%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

%bcond_without	tests

Name:		a52dec
Version:	0.8.0
Release:	%mkrel 2
Summary:	A free ATSC A/52 stream decoder library
License:	GPLv2+
Group:		Video/Editors and Converters
URL:		https://git.adelielinux.org/community/a52dec
Source0:	https://git.adelielinux.org/community/a52dec/-/archive/v%{version}/%{name}-v%{version}.tar.gz

%description
liba52 is a free library for decoding ATSC A/52 streams.

The A/52 standard is used in a variety of applications, including
digital television and DVD. It is also known as AC-3.

#---------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
liba52 is a free library for decoding ATSC A/52 streams.

The A/52 standard is used in a variety of applications, including
digital television and DVD. It is also known as AC-3.

This package contains libraries needed to run programs linked with %{name}.

#---------------------------------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
liba52 is a free library for decoding ATSC A/52 streams.

The A/52 standard is used in a variety of applications, including
digital television and DVD. It is also known as AC-3.

This package contains development files needed to compile programs which
use %{name}.

#---------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
autoreconf -vfi
%configure \
	--enable-shared \
	--disable-static
%make_build

%install
%make_install

%check
%{?with_tests:
%make_build check || : }

%files
%license COPYING
%doc AUTHORS NEWS README TODO HISTORY
%{_bindir}/%{name}
%{_bindir}/extract_a52
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/extract_a52.1.*

%files -n %{libname}
%license COPYING
%{_libdir}/liba52.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/liba52.so
%{_libdir}/pkgconfig/liba52.pc
