%define tarname		%{name}-%{oversion}
%define oversion	1.4rc5
%define rcver		rc5
%define major		1
%define libname		%mklibname aa %{major}
%define develname	%mklibname aa -d

Name:		aalib
Version:	1.4.0
Release:	%mkrel -c %{rcver} 36
Summary:	AA (Ascii Art) library
License:	LGPLv2
Group:		System/Libraries
URL:		https://aa-project.sourceforge.net/aalib/
Source0:	https://sourceforge.net/projects/aa-project/files/aa-lib/%{oversion}/%{tarname}.tar.bz2
Patch0:		aalib-info.patch
Patch1:		aalib-rpath.patch
Patch2:		aalib-1.4-automake18.patch
Patch3:		aalib-1.4.0-automake-1.13.patch
Patch4:		aalib-1.4rc5-bug149361.patch
Patch6:		aalib-c99.patch
Patch7:		aalib-1.4_rc5-free-offset-pointer.patch
Patch8:		aalib-1.4_rc5-fix-aarender.patch
# Modern ncurses has an opaque WINDOW structure (you cannot address its members directly)
# Use the getmaxx() and getmaxy() functions provided by ncurses instead.
Patch9:		aalib-1.4rc5-opaque-ncurses-fix.patch 
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(slang)
BuildRequires:	gpm-devel
BuildRequires:	texinfo

%description
AA-lib is a low level gfx library just as many other libraries are.
The main difference is that AA-lib does not require graphics device. In
fact, there is no graphical output possible. AA-lib replaces those
old-fashioned output methods with powerful ascii-art renderer. Now my
linux boots with a nice penguin logo at secondary display (yes! Like
Win95 does:) AA-lib API is designed to be similar to other graphics
libraries. Learning a new API would be a piece of cake!
The AA library is needed for GIMP

#--------------------------------------------------------------------------------

%package -n	%{libname}
Summary:	AA (Ascii Art) library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
AA-lib is a low level gfx library just as many other libraries are.
The main difference is that AA-lib does not require graphics device. In
fact, there is no graphical output possible. AA-lib replaces those
old-fashioned output methods with powerful ascii-art renderer. Now my
linux boots with a nice penguin logo at secondary display (yes! Like
Win95 does:) AA-lib API is designed to be similar to other graphics
libraries. Learning a new API would be a piece of cake!
The AA library is needed for GIMP

#--------------------------------------------------------------------------------

%package -n	%{develname}
Summary:	Header files and libraries for developing apps which will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	libaa-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
AA-lib is a low level gfx library just as many other libraries are.
The main difference is that AA-lib does not require graphics device. In
fact, there is no graphical output possible. AA-lib replaces those
old-fashioned output methods with powerful ascii-art renderer. Now my
linux boots with a nice penguin logo at secondary display (yes! Like
Win95 does:) AA-lib API is designed to be similar to other graphics
libraries. Learning a new API would be a piece of cake!
The AA library is needed for GIMP

Install this package if you want to develop applications that
will use the %{name} library.

#--------------------------------------------------------------------------------

%package	progs
Summary:	Tools to %{name}
Group:		Development/C
Requires:	%{libname} = %{version}

%description	progs
AA-lib tools.

#--------------------------------------------------------------------------------
%prep
%autosetup -p1

%build
autoreconf -vfi
%configure \
		--disable-static
%make_build

%install
%make_install

#multiarch
%multiarch_binaries %{buildroot}%{_bindir}/aalib-config

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc NEWS README
%{_libdir}/libaa.so.%{major}{,.*}

%files -n %{develname}
%doc README ChangeLog
%attr(755,root,root) %{_bindir}/%{name}-config
%multiarch %{multiarch_bindir}/%{name}-config
%{_libdir}/libaa.so
%{_infodir}/%{name}.info.*
%{_includedir}/%{name}.h
%{_datadir}/aclocal/%{name}.m4
%{_mandir}/man3/aa*.3.*
%{_mandir}/man3/mem_d.3.*
%{_mandir}/man3/save_d.3.*

%files progs
%doc README
%{_bindir}/aafire
%{_bindir}/aainfo
%{_bindir}/aasavefont
%{_bindir}/aatest
%{_mandir}/man1/aafire.1.*
