%bcond_with prebuilt

%define oname		cantarell-fonts
%define fontname	cantarell
%define fontconf	31-cantarell.conf

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		abattis-%{oname}
Version:	0.303.1
Release:	%mkrel 3
Summary:	Humanist sans-serif font family
Group:		System/Fonts/True type
License:	OFL
URL:		https://gitlab.gnome.org/GNOME/cantarell-fonts/
Source0:	https://download.gnome.org/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.xz
Source1:	cantarell-fontconfig.conf
BuildArch:	noarch
BuildRequires:	fontpackages-devel
BuildRequires:	meson
BuildRequires:	appstream
BuildRequires:	python3dist(afdko)
BuildRequires:	python3dist(cffsubr)
%if %{without prebuilt}
BuildRequires:	fontmake
BuildRequires:	psautohint >= 2.0.0
BuildRequires:	python3dist(cattrs)
BuildRequires:	python3dist(statmake)
BuildRequires:	python3dist(attrs)
BuildRequires:	python3dist(ufolib2)
%endif

%description
The Cantarell font family is a contemporary Humanist sans serif
designed for on-screen reading.

%package -n	fonts-otf-%{fontname}
Summary:	Humanist sans-serif font family
Group:		System/Fonts/True type
Requires:	fontpackages-filesystem

Obsoletes:	abattis-cantarell-fonts < 0.303.1-2
Provides:	abattis-cantarell-fonts = %{version}%{release}

%description -n fonts-otf-%{fontname}
The Cantarell font family is a contemporary Humanist sans serif
designed for on-screen reading.

%prep
%setup -q -n %{oname}-%{version}

%build
%meson -Duseprebuilt=%{?with_prebuilt:true}%{?!with_prebuilt:false} \
       -Dfontsdir=%{_fontbasedir}/OTF/%{fontname}
%meson_build

%install
%meson_install

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

%files -n fonts-otf-%{fontname}
%license COPYING
%doc NEWS README.md
%{_fontconfig_confdir}/%{fontconf}
%{_fontconfig_templatedir}/%{fontconf}
%dir %{_fontbasedir}/OTF/%{fontname}
%{_fontbasedir}/OTF/%{fontname}/Cantarell-*.otf
%{_metainfodir}/org.gnome.cantarell.metainfo.xml
