%define debug_package %{nil}

Name:		abiword-docs
Summary:	Documentation and help files for Abiword
Version:	3.0.2
Release:	%mkrel 4
Group:		Documentation
BuildArch:	noarch
URL:		https://www.abisource.com/
License:	GPLv2+
Source0:	https://www.abisource.com/downloads/abiword/%{version}/source/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(abiword-3.0) >= 3.0
BuildRequires:	pkgconfig(libglade-2.0)
# Exclude some pages pending https://bugzilla.abisource.com/show_bug.cgi?id=13459
Patch0:		abiword-docs-2.9.4-mga-temp_build_fix-en-US-Makefile.in.patch
Patch1:		abiword-docs-2.9.4-mga-temp_build_fix-pl-PL-Makefile.in.patch
Patch2:		abiword-docs-2.9.4-mga-temp_build_fix-fr-FR-Makefile.in.patch
%description
Documentation and help files for Abiword.

#--------------------------------------------
%package en
Summary:	English documentation and help files for Abiword
Group:		Documentation
BuildArch:	noarch
Requires:	locales-en
Obsoletes:	abiword-doc-en < 2.7.8
Provides:	abiword-doc = %{version}-%{release}

%description en
English documentation and help files for Abiword.

%files en
%{_datadir}/abiword*/help/en-US
%dir %{_datadir}/abiword*/help/

#--------------------------------------------
%package fr
Summary:	French documentation and help files for Abiword
Group:		Documentation
BuildArch:	noarch
Requires:	locales-fr
Obsoletes:	abiword-doc-fr < 2.7.8
Provides:	abiword-doc = %{version}-%{release}

%description fr
French documentation and help files for Abiword.

%files fr
%{_datadir}/abiword*/help/fr-FR
%dir %{_datadir}/abiword*/help/

#--------------------------------------------
%package pl
Summary:	Polish documentation and help files for Abiword
Group:		Documentation
BuildArch:	noarch
Requires:	locales-pl
Obsoletes:	abiword-doc-pl < 2.7.8
Provides:	abiword-doc = %{version}-%{release}

%description pl
Polish documentation and help files for Abiword.

%files pl
%{_datadir}/abiword*/help/pl-PL
%dir %{_datadir}/abiword*/help/

#--------------------------------------------

%prep
%setup -q -n abiword-docs-3.0.1
%autopatch -p0

%build
%configure
# abiword aborts if this isn't set
export XDG_RUNTIME_DIR="${PWD}"
%make_build

%install
%make_install
