%define api 3.0

Name:		abiword
Summary:	Lean and fast full-featured word processor
Version:	3.0.5
Release:	%mkrel 8
License:	GPLv2+
Group:		Office/Word processor
URL:		https://gitlab.gnome.org/World/AbiWord
Source0:	https://www.abisource.com/downloads/abiword/%{version}/source/%{name}-%{version}.tar.gz
Source1:	https://gitlab.gnome.org/World/AbiWord/raw/ABI-3-0-0-STABLE/autogen-common.sh
Source11:	aiksaurus-plugin.m4
Source12:	command-plugin.m4
Patch0:		abiword-3.0.0-librevenge.patch
Patch1:		0001-Port-to-libwps-0.4.x.patch
Patch3:		python-override.patch
Patch4:		enchant-2.1.patch
Patch5:		0001-Fix-build-with-libxml2-2.12.patch
# https://gitlab.gnome.org/World/AbiWord/-/issues/27
Patch6:		abiword-3.0.5-build-with-GCC14.patch

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(aiksaurus-1.0)
BuildRequires:	pkgconfig(cairo-pdf)
BuildRequires:	pkgconfig(cairo-ps)
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.70
BuildRequires:	pkgconfig(enchant-2)
BuildRequires:	pkgconfig(fribidi) >= 0.10.4
BuildRequires:	pkgconfig(gaiksaurus-1.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.6.0
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(gobject-2.0) >= 2.6.0
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 1.0
BuildRequires:	pkgconfig(gthread-2.0) >= 2.6.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.8
BuildRequires:	pkgconfig(gtk+-unix-print-3.0)
BuildRequires:	pkgconfig(libebook-1.2)
BuildRequires:	pkgconfig(libecal-2.0)
BuildRequires:	pkgconfig(libgoffice-0.10)
BuildRequires:	pkgconfig(libgsf-1) >= 1.14.4
BuildRequires:	pkgconfig(libical) >= 0.46
BuildRequires:	pkgconfig(libots-1) >= 0.5.0
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.16.0
#BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libwpd-0.10)
BuildRequires:	pkgconfig(librevenge-0.0)
BuildRequires:	pkgconfig(librevenge-stream-0.0)
BuildRequires:	pkgconfig(libwpg-0.3)
BuildRequires:	pkgconfig(libwps-0.4)
BuildRequires:	pkgconfig(libxml-2.0) >= 2.4.0
BuildRequires:	pkgconfig(link-grammar) >= 4.2.1
BuildRequires:	pkgconfig(loudmouth-1.0) >= 1.3.2
BuildRequires:	pkgconfig(mathview-frontend-libxml2) >= 0.7.5
BuildRequires:	pkgconfig(pangocairo)
BuildRequires:	pkgconfig(rasqal) >= 0.9.17
BuildRequires:	pkgconfig(redland) >= 1.0.10
BuildRequires:	pkgconfig(telepathy-glib) >= 0.14.5
BuildRequires:	pkgconfig(wv-1.0) >= 1.2.0
BuildRequires:	asio
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	libpsiconv-devel
BuildRequires:	pkgconfig(libwmf)
BuildRequires:	gnome-common
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(pygobject)
BuildRequires:	python3dist(setuptools)

Recommends:	abiword-doc

%description
AbiWord is a cross-platform, open source, lean and fast full-featured word
processor. It works on Most Unix systems, Microsoft Windows and Mac OS X.

Abiword with the GNOME front-end is part of the GNOME Office Suite.
See http://www.gnomeoffice.org for details.

%package devel
Summary:	Devel files for Abiword
Group:		Development/Other
Requires:	%{name} = %{version}

%description devel
This package contains devel files for Abiword, mainly header files
and pkg files.

%package -n python3-%{name}
Summary:	Python 3 bindings for libabiword
Requires:	%{name} = %{version}
Requires:	python3dist(pygobject)
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
This package installs Python 3 bindings for libabiword.

%prep
%setup -q
%autopatch -p1

# Make autoreconf happy
sed -i -e 's,\(^AM_INIT_AUTOMAKE\)\((\[\(.*\)\])\|(\(.*\))\|.*\),\1([\3\4 subdir-objects]),' configure.ac

# Switch to enchant2
sed -i -e '/^enchant_req/s/enchant /enchant-2 /' configure.ac

# Install missing m4 file
install -Dpm644 %{_sourcedir}/aiksaurus-plugin.m4 plugins/aiksaurus/plugin.m4
install -Dpm644 %{_sourcedir}/command-plugin.m4 plugins/command/plugin.m4

# install missing script
install -Dpm755 %{_sourcedir}/autogen-common.sh autogen-common.sh

# Force python3
sed -i -e 's/python -c/python3 -c/' src/gi-overrides/Makefile.am

%build
# generate build system
./autogen-common.sh

autoreconf -vfi
export CPPFLAGS="-DASIO_ENABLE_BOOST"
export CXXFLAGS="%{build_cxxflags} -Wno-deprecated-declarations"
%configure \
	--disable-static \
	--enable-plugins \
	--enable-clipart \
	--enable-templates \
	--enable-introspection \
	--disable-collab-backend-service \
	--with-champlain=no
%make_build -j1

%install
%make_install

find %{buildroot} -name '*.la' -delete

rm -f %{buildroot}%{_datadir}/dbus-1/services/*.service \
   %{buildroot}%{_datadir}/telepathy/clients/AbiCollab.client

desktop-file-install --vendor="" \
	--remove-category="X-Red-Hat-Base" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%{_bindir}/abiword
%{_datadir}/abiword-%{api}
%{_datadir}/appdata/abiword.appdata.xml
%{_libdir}/libAiksaurusGtk3--export-dynamic.so
%{_libdir}/libabiword-3.0.so
%{_libdir}/girepository-1.0/Abi-%{api}.typelib
%{_libdir}/abiword-%{api}
%{_mandir}/man1/abiword.1.*
%{_iconsdir}/*/*/*/*
%{_datadir}/applications/*.desktop
#%%{_datadir}/dbus-1/services/*.service
#%%{_datadir}/telepathy/clients/AbiCollab.client

%files devel
%{_includedir}/abiword-%{api}
%{_libdir}/libAiksaurusGtk3.so
%{_datadir}/gir-1.0/Abi-%{api}.gir
%{_libdir}/pkgconfig/abiword-%{api}.pc

%files -n python3-%{name}
%{python3_sitearch}/gi/overrides/Abi.*
%{python3_sitearch}/gi/overrides/__pycache__/*
