%global sum	The classic Crack-Dot-Com game

%define	oname	abuse

Summary:	%{sum}
Name:		%{oname}-sdl
Version:	0.8
Release:	%mkrel 11
License:	GPLv2
Group:		Games/Arcade
URL:		http://abuse.zoy.org/
Source0:	http://www.labyrinth.net.au/~trandor/files/%{oname}-%{version}.tar.gz
BuildRequires:	pkgconfig(alsa)
BuildRequires:	imagemagick
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_mixer)
Requires:	TiMidity++

%description
Abuse-SDL is a port of Abuse, the classic Crack-Dot-Com game, to the
SDL library. It can run at any color depth, in a window or full-screen,
and it has stereo sound with sound panning.

%prep
%setup -q -n %{oname}-%{version}

# make autoreconf more happy
sed -i -e 's,AM_INIT_AUTOMAKE.*,AM_INIT_AUTOMAKE(\[subdir-objects\]),' configure.ac

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Abuse
Comment=%{sum}
Exec=%{_gamesbindir}/%{oname}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

install -d %{buildroot}{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
convert doc/%{oname}.png %{buildroot}%{_iconsdir}/%{name}.png
convert -size 48x48 doc/%{oname}.png %{buildroot}%{_liconsdir}/%{name}.png
convert -size 16x16 doc/%{oname}.png %{buildroot}%{_miconsdir}/%{name}.png

install -d %{buildroot}{%{_gamesdatadir}/%{oname},%{_gamesbindir}}
mv %{buildroot}%{_bindir}/%{oname} %{buildroot}%{_gamesbindir}/%{oname}


%files
%doc AUTHORS README TODO
%{_bindir}/abuse-tool
%{_gamesbindir}/*
%{_datadir}/applications/%{name}.desktop
%{_gamesdatadir}/%{oname}
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%{_mandir}/man6/*

