%global api	0.2
%global major	0
%global libname	%mklibname abydos %{api} %{major}
%global loaname	%mklibname abydos-loa %{api} %{major}
%global nilname	%mklibname abydos-nil %{api} %{major}
%global devname	%mklibname abydos %{api} -d

%global pluginname	%mklibname abydos%{api}-plugins

%if "%{?distro_section}" == "tainted"
%global tainted 1
%endif

Name:		abydos
Summary:	An image loading library which relies heavily on cairo
Version:	0.2.10
Release:	%mkrel 7
License:	LGPLv2+
Group:		System/Libraries
Url:		https://snisurset.net/code/abydos/
Source0:	https://snisurset.net/code/abydos/files/abydos-%{version}.tar.xz
Patch1:		abydos-linking.patch
Patch2:		abydos-plugindir.patch
Patch3:		abydos-pil.patch
Patch7:		abydos-fix-32bit-build.patch
Patch8:		abydos-libwebp-linking.patch
BuildRequires:	meson
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	freeimage-devel
BuildRequires:	giflib-devel
BuildRequires:	python3-pillow-devel
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	pkgconfig(libavif)
BuildRequires:	pkgconfig(libjxl)
BuildRequires:	pkgconfig(libspectre)
BuildRequires:	pkgconfig(libquicktime)
BuildRequires:	pkgconfig(libgxps)
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(aom)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(dav1d)
BuildRequires:	pkgconfig(evas)
BuildRequires:	pkgconfig(IL)
BuildRequires:	pkgconfig(gegl-0.4)
BuildRequires:	pkgconfig(MagickCore)
BuildRequires:	pkgconfig(gdlib)
BuildRequires:	pkgconfig(libavcodec)
%if 0%{?tainted:1}
BuildRequires:	pkgconfig(libheif)
%endif
BuildRequires:	pkgconfig(libicns)
BuildRequires:	pkgconfig(libpgf)
#BuildRequires:	pkgconfig(libnsbmp)
#BuildRequires:	pkgconfig(libnsgif)
BuildRequires:	pkgconfig(rlottie)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libraw_r)
BuildRequires:	pkgconfig(librevenge-stream-0.0)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libunarr)
BuildRequires:	pkgconfig(libwebpdemux)
BuildRequires:	pkgconfig(libwebpmux)
BuildRequires:	pkgconfig(libwpg-0.3)
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	pkgconfig(ddjvuapi)
BuildRequires:	pkgconfig(libwmf)
BuildRequires:	pkgconfig(imlib2)
BuildRequires:	pkgconfig(OpenImageIO)
BuildRequires:	netpbm-devel

%description
Abydos is an image loading library which relies heavily on cairo.

It handles both raster and vector graphics. It supports animation,
multi page images, multi variant images (different versions of the
image optimized for different sizes) and layers.

%package config
Summary:	Plugin configuration for %{name}
Group:		System/Libraries
BuildArch:	noarch

%description config
This package contains the plugin configuration files for %{name}.

%package -n %{libname}
Summary:	An image loading library which relies heavily on cairo
Group:		System/Libraries
Requires:	%{name}-config >= %{version}-%{release}
Requires:	%{pluginname} = %{version}-%{release}
%if ! %{with syshwy}
Provides:	bundled(highway) = 0.12.2
%endif

%description -n %{libname}
Abydos is an image loading library which relies heavily on cairo.

It handles both raster and vector graphics. It supports animation,
multi page images, multi variant images (different versions of the
image optimized for different sizes) and layers.

%package -n %{loaname}
Summary:        An image loading library which relies heavily on cairo
Group:          System/Libraries

%description -n %{loaname}
Abydos is an image loading library which relies heavily on cairo.

It handles both raster and vector graphics. It supports animation,
multi page images, multi variant images (different versions of the
image optimized for different sizes) and layers.

%package -n %{nilname}
Summary:        An image loading library which relies heavily on cairo
Group:          System/Libraries

%description -n %{nilname}
Abydos is an image loading library which relies heavily on cairo.

It handles both raster and vector graphics. It supports animation,
multi page images, multi variant images (different versions of the
image optimized for different sizes) and layers.

%package -n %{pluginname}
Summary:	Image loading plugins for abydos
Group:		System/Libraries
Conflicts:	%{_lib}abydos0.2_0 < 0.2.6

%description -n %{pluginname}
This package contains image loading plugins for abydos.

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{loaname} = %{version}-%{release}
Requires:	%{nilname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{name}.

%prep
%autosetup -p1

# fix meson.build
sed -i -e 's/\(\s\+res\s\+=\s\+\)no/\1NO/g' meson.build

# skip pik plugin on unsupported arches
%ifarch %{arm} %{ix86} aarch64
sed -i -e '/subdir/s/^\(\s\+.*pik\)/#\1/g' plugins/meson.build
%endif

find . -name "*.d" -delete

%build
%global optflags %{optflags} -Wno-incompatible-pointer-types
%ifarch %ix86 %arm32
export CPPFLAGS="-DDMC_HAS_LARGE_FILE_SUPPORT=0"
%endif
%meson \
  -Dwith-libheif=%{?tainted:auto}%{?!tainted:disabled} \
  -Dwith-flif=disabled \
  -Dwith-libansilove=disabled \
  -Dwith-libbpg=disabled \
  -Dwith-libmxf=disabled \
  -Dwith-libnsbmp=disabled \
  -Dwith-libnsgif=disabled \
  -Dwith-librosprite=disabled \
  -Dwith-grok=disabled \
  -Dwith-vips=disabled
%meson_build

%install
%meson_install

%files config
%dir %{_sysconfdir}/abydos/
%config(noreplace) %{_sysconfdir}/abydos/alias.conf
%config(noreplace) %{_sysconfdir}/abydos/plugins.conf

%files -n %{libname}
%license COPYING
%{_libdir}/libabydos-%{api}.so.%{major}{,.*}

%files -n %{loaname}
%license COPYING
%{_libdir}/libabydos-loa-%{api}.so.%{major}{,.*}

%files -n %{pluginname}
%license COPYING
%dir %{_libdir}/abydos/
%{_libdir}/abydos/*

%files -n %{nilname}
%license COPYING
%{_libdir}/libabydos-nil-%{api}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/abydos/
%{_libdir}/libabydos-%{api}.so
%{_libdir}/libabydos-loa-%{api}.so
%{_libdir}/libabydos-nil-%{api}.so
%{_libdir}/pkgconfig/abydos.pc
