#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           accessibility-inspector
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Accessibility inspector
License:        LGPL-2.1-or-later
Group:          Graphical desktop/KDE
URL:            https://apps.kde.org/accessibilityinspector
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(QAccessibilityClient6) >= 0.6.0


%description
Accessibility Inspector is an inspector for your application accessibility tree.
It lets you check all the items exposed via At-SPI.

%files -f %{name}.lang
%license LICENSES/*
%doc README.md
%{_kf6_categoriesdir}/accessibilityinspector.categories
%{_kf6_bindir}/accessibilityinspector
%{_kf6_applicationsdir}/org.kde.accessibilityinspector.desktop
%{_kf6_metainfodir}/org.kde.accessibilityinspector.metainfo.xml
%{_kf6_iconsdir}/hicolor/scalable/apps/org.kde.accessibilityinspector.svg
%{_kf6_libdir}/libaccessibilityinspector.so.*

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name
