%define major   0
%define gmajor  1.0
%define libname %mklibname %{name} %{major}
%define girname %mklibname %{name}-gir %{gmajor}
%define devname %mklibname %{name} -d

Name:           accountsservice
Version:        23.13.9
Release:        %mkrel 2
Summary:        D-Bus interfaces for querying and manipulating user account information
Group:          System/Libraries
License:        GPLv3+
URL:            https://www.freedesktop.org/wiki/Software/AccountsService/
#VCS: git:git://git.freedesktop.org/accountsservice
Source0:        https://www.freedesktop.org/software/accountsservice/%{name}-%{version}.tar.xz
# list this patch as a source for now to keep it around but skip it in apply_patches
Source10:       accountsservice-0.6.37-filter-bin-true-login-shell-users-from-user-list.patch
Patch2:         accountsservice-23.13.9-exclude-apache-user.patch
Patch10001:     0001-mocklibc-Fix-compiler-warning.patch
Patch10002:     0002-user-manager-Fix-another-compiler-warning.patch 

BuildRequires:  meson
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(polkit-gobject-1)
BuildRequires:  pkgconfig(libsystemd)
# For autoreconf
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  vala-devel

Requires(post):         rpm-helper >= 0.24.8-1
Requires(preun):        rpm-helper >= 0.24.8-1

Requires:       polkit
Requires:       shadow-utils

%description
The accountsservice project provides a set of D-Bus interfaces for
querying and manipulating user account information and an implementation
of these interfaces, based on the useradd, usermod and userdel commands.

%files -f accounts-service.lang
%doc README.md AUTHORS
%{_datadir}/dbus-1/system.d/org.freedesktop.Accounts.conf
%{_libexecdir}/accounts-daemon
%{_datadir}/dbus-1/interfaces/org.freedesktop.Accounts.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.Accounts.User.xml
%{_datadir}/dbus-1/system-services/org.freedesktop.Accounts.service
%{_datadir}/polkit-1/actions/org.freedesktop.accounts.policy
%dir %{_datadir}/accountsservice/
%{_datadir}/accountsservice/user-templates/administrator
%{_datadir}/accountsservice/user-templates/standard
%dir %{_datadir}/accountsservice/interfaces/
%dir %{_localstatedir}/lib/AccountsService/
%dir %{_localstatedir}/lib/AccountsService/users/
%dir %{_localstatedir}/lib/AccountsService/icons/
%{_unitdir}/accounts-daemon.service
#--------------------------------------------------------------------

%package -n %{libname}
Summary:        Client-side library to talk to accountservice
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %{libname}
The accountsservice-libs package contains a library that can
be used by applications that want to interact with the accountsservice
daemon.

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Conflicts:      %{libname} < 0.6.21-2

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/AccountsService-%{gmajor}.typelib

#--------------------------------------------------------------------

%package -n %{devname}
Summary:        Development files for accountsservice-libs
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Requires:       %{girname} = %{version}-%{release}

%description -n %{devname}
The accountsservice-devel package contains headers and other
files needed to build applications that use accountsservice-libs.

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/libaccountsservice/
%{_includedir}/%{name}-1.0
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/AccountsService-%{gmajor}.gir
%{_datadir}/vala/vapi/accountsservice.deps
%{_datadir}/vala/vapi/accountsservice.vapi

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%meson -Dminimum_uid=1000 \
       -Dgtk_doc=true \
       -Dgdmconffile=/etc/X11/gdm/custom.conf \
       -Dsystemdsystemunitdir=%{_unitdir}

%meson_build

%install
%meson_install

#create dir
mkdir -p %{buildroot}%{_datadir}/accountsservice/interfaces/

%find_lang accounts-service
