%define upstream_name    ack
%define upstream_version 3.8.2

%{?perl_default_filter}

Name:          %{upstream_name}
Version:       %perl_convert_version %{upstream_version}
Release:       %mkrel 1

Summary:       Grep-like text finder for large trees of text
License:       Artistic 2.0
Group:         Text tools
Url:           https://metacpan.org/release/%{upstream_name}
Source0:       https://cpan.metacpan.org/authors/id/P/PE/PETDANCE/%{upstream_name}-v%{upstream_version}.tar.gz
BuildArch:     noarch

BuildRequires: perl(Cwd) >= 3.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename) >= 1.0.150
BuildRequires: perl(File::Next) >= 1.180.0
BuildRequires: perl(File::Spec) >= 3.0.0
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(Getopt::Long) >= 2.390.0
BuildRequires: perl(List::Util)
BuildRequires: perl(Pod::Perldoc) >= 3.200.0
BuildRequires: perl(Pod::Text)
BuildRequires: perl(Pod::Usage) >= 1.260.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Term::ANSIColor) >= 1.100.0
BuildRequires: perl(Test::Harness) >= 2.500.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Text::ParseWords) >= 3.100.0
BuildRequires: perl(YAML::PP)
BuildRequires: perl(if)
BuildRequires: perl(parent)
BuildRequires: perl(version)
BuildRequires: perl

%description
ack is a grep-like program with optimizations for searching through large trees
of source code.

%prep
%setup -q -n %{upstream_name}-v%{upstream_version}

%build
%{__perl} -ni -e 'print unless /MAN3PODS/' Makefile.PL
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{perl_vendorlib}/App/*
%{_mandir}/*/*
%{_bindir}/*
