%define	libname_orig	lib%{name}
%define lib_major	1
%define libname	  	%mklibname %{name} %{lib_major}
%define develname 	%mklibname %{name} -d

Name:		acl
Version:	2.3.2
Release:	%mkrel 2
Summary:	Command for manipulating access control lists
License:	GPLv2+ and LGPLv2
Group:		System/Kernel and hardware
URL:		https://savannah.nongnu.org/projects/acl
Source0:	https://download-mirror.savannah.gnu.org/releases/acl/acl-%{version}.tar.gz
BuildRequires:	attr-devel
BuildRequires:	libtool

%description
This package contains the getfacl and setfacl utilities needed for
manipulating access control lists.

%package -n	%{libname}
Summary:	Main library for %{libname_orig}
Group:		System/Libraries
Requires(pre):	filesystem >= 2.1.9-18
Provides:	%{libname_orig} = %{version}-%{release}

%description -n	%{libname}
This package contains the %{libname_orig} dynamic library which contains
the POSIX 1003.1e draft standard 17 functions for manipulating access
control lists.

%package -n	%{develname}
Summary:	Access control list static libraries and headers
Group:		Development/C
Requires(pre):	filesystem >= 2.1.9-18
Requires:	%{libname} = %{version}-%{release}
Provides:	acl-devel = %{version}-%{release}
Provides:	libacl-devel = %{version}-%{release}

%description -n	%{develname}
This package contains static libraries and header files needed to develop
programs which make use of the access control list programming interface
defined in POSIX 1003.1e draft standard 17.

You should install %{develname} if you want to develop programs
which make use of ACLs.  If you install %{develname}, you will
also want to install %{libname}.

%prep
%autosetup -p1

%build
%configure --sbindir=%{_bindir}
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

rm -rf %{buildroot}%{_docdir}/acl

%find_lang %{name}

%files -f %{name}.lang
%doc doc/CHANGES README
%license doc/COPYING
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*

%files -n %{libname}
%license doc/COPYING
%{_libdir}/*.so.%{lib_major}{,.*}

%files -n %{develname}
%doc doc/extensions.txt doc/libacl.txt
%license doc/COPYING
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.a
%{_mandir}/man3/*
%dir %{_includedir}/acl
%{_includedir}/acl/libacl.h
%{_includedir}/sys/acl.h
