# Avoid problem without man and info
%define dont_compress	1

Name:			acme
Version:		2.0.5
Release:		%mkrel 1
Summary:		Letsencrypt perl client
License:		GPLv3+
Group:			Development/Perl
Url:			https://git.rapsys.eu/acme/
Source0:		%{name}-%{version}.tar.xz
BuildArch:		noarch
Requires:		php-json perl(LWP::Protocol::https)
Provides:		perl(Acme)

%description
This program allow you to configure, generate and automate
letsencrypt certificate generation.

%prep
%setup -q

%install
# Install directories
install -d %{buildroot}%{_datadir}/%{name}
install -d %{buildroot}%{perl_vendorlib}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}/%{_mandir}/man1

# Install php script
install -m644 www/acme-challenge.php %{buildroot}%{_datadir}/%{name}/

# Install perl library
install -m644 Acme.pm %{buildroot}%{perl_vendorlib}/Acme.pm

# Install binaries
install -m755 acme %{buildroot}%{_bindir}/

# Touch fake man to avoid error with man and info compression
install -m644 acme.1 %{buildroot}/%{_mandir}/man1/
install -m644 acme-cert.1 %{buildroot}/%{_mandir}/man1/
install -m644 acme-conf.1 %{buildroot}/%{_mandir}/man1/
install -m644 acme-cron.1 %{buildroot}/%{_mandir}/man1/

# Touch thumbprint file
touch %{buildroot}/%{_sysconfdir}/%{name}/thumbprint

%files
# Apache configuration files
%doc www/example.com.conf www/acme.apache.conf www/acme.nginx.conf
%config %{_sysconfdir}/%{name}/thumbprint
%{_datadir}/%{name}/acme-challenge.php
%{perl_vendorlib}/Acme.pm
%{_bindir}/acme
%{_mandir}/man1/acme.1
%{_mandir}/man1/acme-cert.1
%{_mandir}/man1/acme-conf.1
%{_mandir}/man1/acme-cron.1
