# Use source code with dual-license
%define pkgname acpica-unix2

Name:		acpica-tools
Version:        20250404
Release:	%mkrel 1
Summary:	ACPICA tools for the development and debug of ACPI tables
License:	GPLv2
Group:		Development/Kernel
URL:		https://www.acpica.org/
Source0:	https://github.com/acpica/acpica/releases/download/R2025_04_04/%{pkgname}-%{version}.tar.gz
# Fedora patches:
#

# other miscellaneous patches
Patch00:	unaligned.patch
Patch01:	template.patch
Patch04:        cve-2017-13695.patch
Patch05:        str-trunc-warn.patch
Patch06:	dbtest.patch
Patch07:	dangling-ptr.patch
Patch08:	uuid-len.patch
Patch09:	OPT_LDFLAGS.patch
Patch10:	arm7hl.patch

# Mageia patches:
Patch90:		acpica-tools-20250404-Mageia-no_strip_on_install.patch

BuildRequires:	make
BuildRequires:	bison patchutils flex gcc
Provides:	iasl = %{version}-%{release}
Obsoletes:	iasl < 20130927

%description
The ACPI Component Architecture (ACPICA) project provides an OS-independent
reference implementation of the Advanced Configuration and Power Interface
Specification (ACPI).  ACPICA code contains those portions of ACPI meant to
be directly integrated into the host OS as a kernel-resident subsystem, and
a small set of tools to assist in developing and debugging ACPI tables.

This package contains only the user-space tools needed for ACPI table
development, not the kernel implementation of ACPI.  The following commands
are installed:
   -- iasl: compiles ASL (ACPI Source Language) into AML (ACPI Machine
      Language), suitable for inclusion as a DSDT in system firmware.
      It also can disassemble AML, for debugging purposes.
   -- acpibin: performs basic operations on binary AML files (e.g.,
      comparison, data extraction)
   -- acpidump: write out the current contents of ACPI tables
   -- acpiexec: simulate AML execution in order to debug method definitions
   -- acpihelp: display help messages describing ASL keywords and op-codes
   -- acpisrc: manipulate the ACPICA source tree and format source files
      for specific environments
   -- acpixtract: extract binary ACPI tables from acpidump output (see
      also the pmtools package)

This version of the tools is being released under GPLv2 license.

%prep
%autosetup -p1 -n %{pkgname}-%{version}

# spurious executable permissions on text files in upstream
chmod a-x changes.txt
chmod a-x source/compiler/new_table.txt

%build
sed -i -e 's/_CYGWIN/_LINUX/g' -e 's/-Werror//g' generate/unix/Makefile.config
make -C generate/unix CC="gcc $RPM_OPT_FLAGS"

%install
%make_install
# Fix bin perms
chmod -R u+w %{buildroot}%{_bindir}/*

%files
%doc changes.txt source/compiler/new_table.txt
%{_bindir}/iasl
%{_bindir}/acpi*
