%global fontname adf-accanthis
%global fontconf 60-%{fontname}

%global archivename Accanthis-Std-20101124

%global common_desc \
A latin typeface published by Hirwen Harendal's Arkandis Digital Foundry, \
Accanthis was inspired from the “Cloister Oldstyle” typeface found in the \
“American Specimen Book of Typefaces Supplement”. Its medium contrast is \
sufficient to be reader-friendly and deliver a elegant and refined experience.\
\
Its creator considers it as a “modernized” garaldic typeface. \
\
Accanthis is well suited to book typesetting and refined presentations.


Name:      %{fontname}-fonts
# Use the main PS version (as documented in NOTICE)
Version:   1.8
Release:   %mkrel 7
Summary:   A “modernized” garaldic serif typeface, “Galliard” alternative
Group:     System/Fonts/True type 
License:   GPLv2+ with exceptions
URL:       https://arkandis.tuxfamily.org/adffonts.html
Source0:   https://arkandis.tuxfamily.org/fonts/%{archivename}.zip
Source1:   https://arkandis.tuxfamily.org/docs/Accanthis-Cat.pdf
Source11:  %{name}-fontconfig.conf
Source12:  %{name}-fontconfig-2.conf
Source13:  %{name}-fontconfig-3.conf


BuildArch:     noarch
BuildRequires: fontpackages-devel

%description
%common_desc

It is intended to serve as alternative to the “Galliard” typeface.

%_font_pkg -f %{fontconf}.conf AccanthisADFStd-*.otf


%package common
Summary:  Common files of %{name}
Requires: fontpackages-filesystem

%description common
%common_desc

This package consists of files used by other %{name} packages.


%package -n adf-accanthis-2-fonts
Summary:  A “modernized” garaldic serif, “Horley old style” alternative
Requires: %{name}-common = %{version}-%{release}

%description -n adf-accanthis-2-fonts
%common_desc

This variant is closer to the “Horley old style” typeface than the original
version.

%_font_pkg -n 2 -f %{fontconf}-2.conf AccanthisADFStdNo2-*.otf


%package -n adf-accanthis-3-fonts
Summary:  A “modernized” garaldic serif typeface
Requires: %{name}-common = %{version}-%{release}

%description -n adf-accanthis-3-fonts
%common_desc

This variant remixes a slightly modified Accanthis n°2 with elements from the
original Italic and changes to k, p, z and numbers.


%_font_pkg -n 3 -f %{fontconf}-3.conf AccanthisADFStdNo3-*.otf


%prep
%setup -q -n %{archivename}
install -m 0644 -p %{SOURCE1} .
for txt in NOTICE.txt */COPYING ; do
   fold -s $txt > $txt.new
   sed -i 's/\r//' $txt.new
   touch -r $txt $txt.new
   mv $txt.new $txt
done


%build


%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p OTF/*.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE11} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}.conf
install -m 0644 -p %{SOURCE12} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-2.conf
install -m 0644 -p %{SOURCE13} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-3.conf

for fconf in %{fontconf}.conf \
             %{fontconf}-2.conf \
             %{fontconf}-3.conf ; do
  ln -s %{_fontconfig_templatedir}/$fconf \
        %{buildroot}%{_fontconfig_confdir}/$fconf
done


%files common
%defattr(0644,root,root,0755)
%doc NOTICE.txt OTF/COPYING *.pdf


