# SPDX-License-Identifier: MIT
# Parts of this .spec were taken from:
# https://src.fedoraproject.org/rpms/adf-tribun-fonts
# Thanks!
%global fontname adf-tribun
%global fontconf 60-%{fontname}.conf

%global archivename Tribun-Std-20120228

Name:    %{fontname}-fonts
Version: 1.17
Release: %mkrel 2
Summary: A newsprint-like serif typeface

Group:     System/Fonts/True type
License:   GPLv2+ with exceptions
URL:       https://arkandis.tuxfamily.org/adffonts.html
Source0:   https://arkandis.tuxfamily.org/fonts/%{archivename}.zip
Source1:   https://arkandis.tuxfamily.org/docs/Tribun-Cat.pdf
Source11:  %{name}-fontconfig.conf


BuildArch:     noarch
BuildRequires: fontpackages-devel

%global foundry           ADF
%global fontlicense       GPLv2+ with exceptions
%global fontlicenses      OTF/COPYING
%global fontdocs          *.txt

Requires:      fontpackages-filesystem
%global fontfamily        Tribun
%global fontsummary       ADF Tribun, a newsprint-like serif font family
%global fonts             OTF/*.otf
%global fontconfngs       %{SOURCE10}
%global fontdescription   %{expand:
Hirwen Harendal started in 1999 the realization of a first font family, aiming
to create another “Times New Roman”… He does not consider this endeavor a huge
success. However, he transformed Tribun progressively since then to give it its
own character.

The idea was to achieve newsprint-like rendering. To this effect, the glyph
bodies, serifs, or even extenders are not normalized and use irregular strokes.
This is most visible in italics though those variations stay imperceptible at
small sizes.

Italics proved time-consuming. They are never an easy thing to draw.
Nevertheless, the designer considers them very close to those of “Times”, with
some variations.

The medium weight uses a stronger stroke. It can be used for emphasis, or for
effects in titles. That being said it has also been used for body copy. It is
also slightly expanded to complete the face offerings.

The condensed version is a bit unusual, since it stands in for both normal and
medium condensed. After several trials, Hirwen decided an intermediate weight
rendered much better both for document display and in print. Secondly, he took
great care to keep readability excellent, and this even for italics.

This font family is particularly well suited for text, display, or
presentations. It is also ideal for all Web publications. It can serve as
alternative to “Times New Roman” and other similar fonts.}

%description
%fontdescription

%prep
%setup -q -n %{archivename}
install -m 0644 -p %{SOURCE1} .
for txt in NOTICE */COPYING ; do
   fold -s $txt > $txt.new &&\
   sed -i 's/\r//' $txt.new &&\
   touch -r $txt $txt.new &&\
   mv $txt.new $txt
done


%build
%fontbuild

%install
%fontinstall

%check
%fontcheck

%fontfiles

%defattr(644, root, root, 0755)
%license OTF/COPYING
%doc *.pdf

