%define major   1
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d


Name:           admesh
Version:        0.98.5
Release:        %mkrel 1
Summary:        Diagnose and/or repair problems with STereo Lithography files
License:        GPLv2+
Group:          Graphics/3D
URL:            https://github.com/%{name}/%{name}/
Source0:        https://github.com/%{name}/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz

Patch0:         admesh-0.98.1-mga-subdir_objects.patch
Patch1:         e84d8353f1347e1f26f0a95770d92ba14e6ede38.patch

Requires:       %{libname} = %{version}-%{release}

%description
ADMesh is a program for diagnosing and/or repairing commonly encountered
problems with STL (STereo Lithography) data files. It can remove degenerate
and unconnected facets, connect nearby facets, fill holes by adding facets,
and repair facet normals. Simple transformations such as scaling,
translation and rotation are also supported. ADMesh can read both
ASCII and binary format STL files, while the output can be in
AutoCAD DXF, Geomview OFF, STL, or VRML format.


%package -n %{develname}
Summary:        Development files for the %{name} library
Group:          Graphics/3D
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
ADMesh is a program for diagnosing and/or repairing commonly encountered
problems with STL (STereo Lithography) data files.

This package contains the development files needed for building new
applications that utilize the %{name} library.


%package -n %{libname}
Summary:        Runtime library for the %{name} application
Group:          Graphics/3D
Requires:       %{name} = %{version}-%{release}

%description -n %{libname}
This package contains the %{name} runtime library.

%prep
%setup -q
%autopatch -p1


%build
autoreconf -vfi
%configure
%make_build

%install
%{make_install}
# Remove the documentation installed by "make install" (rpm will handle that)
%__rm -rf %{buildroot}%{_defaultdocdir}/%{name}
# Remove the libtool archive installed by "make install"
%__rm -f %{buildroot}%{_libdir}/lib%{name}.la

%files
%doc ChangeLog ChangeLog.old COPYING README.md AUTHORS
%doc %{name}-doc.txt block.stl
%{_bindir}/%{name}
%{_mandir}/man1/*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/lib%{name}.so

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*
