# This is to resolve the endless disputes of the shared data for this
# package. Whenever _sharedstatedir contains something acceptable to
# Mageia that can be used instead.
%define shareddata	%{_localstatedir}/lib

%define adplugdbver	2006-07-07

%define api		%{version}
%define major		0
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname %{name} -d

Name:		adplug
Version:	2.3.3
Release:	%mkrel 2
Summary:	A software library for AdLib (OPL2) emulation
Group:		System/Libraries
License:	LGPLv2+
URL:		https://adplug.github.io/
Source0:	https://download.sourceforge.net/%{name}/%{name}-%{name}-%{version}.tar.gz
Source1:	https://download.sourceforge.net/%{name}/adplugdb-%{adplugdbver}.tar.gz
##Patch2:		adplug-2.2.1-inline.patch

BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(libbinio) >= 1.4
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	texinfo
BuildRequires:  libstdc++-devel

%description
AdPlug is a free software, cross-platform, hardware independent AdLib
sound player library, mainly written in C++ and released under the
LGPL. AdPlug plays sound data, originally created for the AdLib (OPL2)
audio board, directly from its original format on top of an OPL2
emulator or by using the real hardware. No OPL chip is required for
playback. It supports various audio formats from MS-DOS AdLib trackers.

#------------------------------------------------

%package -n	%{libname}
Summary:	A software library for AdLib (OPL2) emulation
Group:		System/Libraries

%description -n	%{libname}
AdPlug is a free software, cross-platform, hardware independent AdLib
sound player library, mainly written in C++ and released under the
LGPL. AdPlug plays sound data, originally created for the AdLib (OPL2)
audio board, directly from its original format on top of an OPL2
emulator or by using the real hardware. No OPL chip is required for
playback. It supports various audio formats from MS-DOS AdLib trackers.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for AdPlug
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains development files for the AdPlug AdLib
(OPL2) emulator.

#------------------------------------------------

%prep
%setup -q -n %{name}-%{name}-%{version}
%autopatch -p1

tar xvfz %{SOURCE1}
# Include these by different name
mv %{adplugdbver}/README README.adplugdb
mv %{adplugdbver}/NEWS NEWS.adplugdb

# fix build with autoconf > 2.69
##sed -i -e '/libstdc++/d' configure.in

%build
autoreconf -vfi
%configure \
	--disable-static \
	--sharedstatedir=%{shareddata} \
	--disable-rpath
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

rm -f %{buildroot}%{_infodir}/dir
mkdir -p %{buildroot}%{shareddata}/%{name}
install -p -m 644 %{adplugdbver}/adplug.db %{buildroot}%{shareddata}/%{name}

%files
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%doc NEWS.adplugdb README.adplugdb
%license COPYING
%dir %{shareddata}/%{name}/
%config(noreplace) %{shareddata}/%{name}/adplug.db
%{_bindir}/adplugdb
%{_mandir}/man1/adplugdb.1*

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}{,.*}

%files -n %{develname}
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/*.pc
%{_infodir}/lib%{name}.*
