%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global tarball_version %%(echo %{version} | tr '~' '.')

%global legacy_version	41.0
%define legacy_url_ver	%{lua: ver = rpm.expand("%{legacy_version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:		GNOME default icons
Name:			adwaita-icon-theme
Version:		48.0
Release:		%mkrel 1
License:		GPLv2+
Group:			Graphical desktop/GNOME
URL:			https://www.gnome.org/
Source0:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz
# Legacy icons for freedesktop.org Icon Naming Specification's Standard Category Icons
Source1:		https://download.gnome.org/sources/adwaita-icon-theme/%{legacy_url_ver}/adwaita-icon-theme-%{legacy_version}.tar.xz
BuildArch:		noarch
BuildRequires:		meson
BuildRequires:		hicolor-icon-theme
BuildRequires:		icon-naming-utils >= 0.8.7
BuildRequires:		gtk4-update-icon-cache

Requires:		hicolor-icon-theme
# For gtk-update-icon-cache
Requires(post):		gtk-update-icon-cache
Requires(postun):	gtk-update-icon-cache

# gnome-icon-theme and gnome-icon-theme-symbolic were merged
# into one pkg adwaita-icon-theme
Provides:		gnome-icon-theme = %{version}-%{release}
Provides:		gnome-icon-theme-symbolic = %{version}-%{release}

%description
This package contains the Adwaita icon theme used by the GNOME desktop.

%package -n adwaita-cursor-theme
Summary:	Adwaita cursor theme
Group:		Graphical desktop/GNOME
BuildArch:	noarch

%description -n adwaita-cursor-theme
The adwaita-cursor-theme package contains a modern set of cursors originally
designed for the GNOME desktop.

%prep
%autosetup -p1 -n %{name}-%{tarball_version} -a1

# install some legacy icons from older adwaita-icon-theme for DEs following freedesktop.org Icon Naming Specification
# mga#30921
%global legacy_icons preferences-system preferences-desktop applications-other audio-card
for icon in %{legacy_icons} ; do
  for f in $(find adwaita-icon-theme-%{legacy_version}/Adwaita -name "${icon}.png"); do
     install -Dpm644 $f ${f#*/}
  done
done

%build
%meson
%meson_build

%install
%meson_install

touch %{buildroot}%{_iconsdir}/Adwaita/.icon-theme.cache

#compatibility symlink
ln -s %{name}.pc %{buildroot}%{_datadir}/pkgconfig/gnome-icon-theme.pc

# automatic gtk icon cache update on rpm installs/removals
%transfiletriggerin --  %{_iconsdir}/Adwaita/
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --force --quiet %{_iconsdir}/Adwaita
fi

%transfiletriggerpostun --  %{_iconsdir}/Adwaita/
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --force --quiet %{_iconsdir}/Adwaita
fi

%files
%doc AUTHORS NEWS
%license COPYING*
%dir %{_iconsdir}/Adwaita/
%ghost %{_iconsdir}/Adwaita/.icon-theme.cache
%{_iconsdir}/Adwaita/index.theme
%{_iconsdir}/Adwaita/*/
%exclude %{_iconsdir}/Adwaita/cursors/

%{_datadir}/pkgconfig/%{name}.pc
%{_datadir}/pkgconfig/gnome-icon-theme.pc

%files -n adwaita-cursor-theme
%{_iconsdir}/Adwaita/cursors/
