%define major   1
%define libname %mklibname adwaita-qt5_ %{major}
%define devname %mklibname adwaita-qt5 -d

%define libname6 %mklibname adwaita-qt6_ %{major}
%define devname6 %mklibname adwaita-qt6 -d

Name:           adwaita-qt
Version:        1.4.2
Release:        %mkrel 1
License:        LGPLv2+
Summary:        Adwaita theme for Qt-based applications
Group:          Graphical desktop/KDE

Url:            https://github.com/MartinBriza/adwaita-qt
Source0:        https://github.com/MartinBriza/adwaita-qt/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
# Qt5
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
#Qt6
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	qtbase6-qtpaths

%description
Theme to let Qt applications fit nicely into a GTK+ desktop environment.

%package -n adwaita-qt5
Summary:        Adwaita Qt5 theme
Group:          Graphical desktop/KDE
Requires:       qtbase5-common
Provides:	adwaita-qt = %{version}-%{release}
Obsoletes:	adwaita-qt < 1.4.1-3

%description -n adwaita-qt5
Theme to let Qt5 applications fit nicely into a GTK+ desktop environment.

%package -n %{libname}
Summary:        Adwaita Qt5 library
Group:          Graphical desktop/KDE

%description -n %{libname}
Adwaita Qt5 library.

%package -n %{devname}
Summary:        Development files for libadwaita-qt5
Group:          Graphical desktop/KDE
Requires:       %{libname} = %{version}-%{release}
Provides:       adwaita-qt5-devel = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for developing applications
that use libadwaita-qt5.

# Qt6
%package -n adwaita-qt6
Summary:        Adwaita Qt6 theme
Group:          Graphical desktop/KDE
Requires:	qtbase6-common

%description -n adwaita-qt6
Theme to let Qt6 applications fit nicely into a GTK+ desktop environment.

%package -n %{libname6}
Summary:        Adwaita Qt6 library
Group:          Graphical desktop/KDE

%description -n %{libname6}
Adwaita Qt6 library.

%package -n %{devname6}
Summary:        Development files for libadwaita-qt6
Group:          Graphical desktop/KDE
Requires:	%{libname6} = %{version}-%{release}
Provides:	adwaita-qt6-devel = %{version}-%{release}
Provides:	libadwaita-qt6-devel = %{version}-%{release}

%description -n %{devname6}
This package contains libraries and header files for developing applications
that use libadwaita-qt6.

%prep
%autosetup -p1

%build
%define _vpath_builddir %{_target_platform}-qt5
%cmake -D-DQT_PLUGINS_DIR=%{_qt5_plugindir}
%cmake_build

%define _vpath_builddir %{_target_platform}-qt6
%cmake -DUSE_QT6=ON
%cmake_build

%install
%define _vpath_builddir %{_target_platform}-qt5
%cmake_install

%define _vpath_builddir %{_target_platform}-qt6
%cmake_install

# drop .pc file to fix devel pkg reqs
rm -rf %{buildroot}%{_libdir}/pkgconfig/adwaita-qt6.pc

%files -n adwaita-qt5
%doc LICENSE.LGPL2 README.md
%{_qt5_plugindir}/styles/adwaita.so

%files -n %{libname}
%{_libdir}/libadwaitaqt.so.%{major}{,.*}
%{_libdir}/libadwaitaqtpriv.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/AdwaitaQt/
%{_libdir}/cmake/AdwaitaQt/
%{_libdir}/pkgconfig/adwaita-qt.pc
%{_libdir}/libadwaitaqt.so
%{_libdir}/libadwaitaqtpriv.so

%files -n adwaita-qt6
%doc LICENSE.LGPL2 README.md
%{_qt6_plugindir}/styles/adwaita.so

%files -n %{libname6}
%{_libdir}/libadwaitaqt6.so.%{major}{,.*}
%{_libdir}/libadwaitaqt6priv.so.%{major}{,.*}

%files -n %{devname6}
%{_includedir}/AdwaitaQt6/
%{_libdir}/cmake/AdwaitaQt6/
%{_libdir}/libadwaitaqt6.so
%{_libdir}/libadwaitaqt6priv.so
