%define up_name		Aegisub

Name:		aegisub
Version:	3.4.2
Release:	%mkrel 1
Summary:	Advanced Subtitle Editor
Group:		Video/Editors and Converters
License:	BSD
URL:		https://aegisub.org/
Source0:	https://github.com/TypesettingTools/Aegisub/releases/download/v%{version}/%{up_name}-%{version}.tar.xz
#
BuildRequires:	meson
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(ffms2)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(hunspell)
BuildRequires:	pkgconfig(icu-io)
BuildRequires:	pkgconfig(libass)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(luajit)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(uchardet)
BuildRequires:	boost-devel
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	luajit >= 2.1.0-0.beta3.3
BuildRequires:	wxgtk-devel

%description
Aegisub is an advanced subtitle editor that assists in the creation of
subtitles, translations, and complex overlays using audio or video. Developed
by enthusiasts it builds on work-flows created and perfected through
professional, hobby, and everyday use.


%prep
%autosetup -p1 -n %{up_name}-%{version}

sed "/subdir('tests')/d" -i meson.build

%build
%meson -D system_luajit=true \
       -D official_release=true \
       -D default_audio_output=PulseAudio \
       -D credit=%{_vendor} \
       -D enable_update_checker=false

%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%doc automation/demos/ automation/v4-docs/ README.md
%license LICENCE
%{_bindir}/%{name}*
%{_datadir}/%{name}/
%{_datadir}/applications/org.aegisub.Aegisub.desktop
%{_iconsdir}/hicolor/*/apps/org.aegisub.Aegisub.png
%{_iconsdir}/hicolor/scalable/apps/org.aegisub.Aegisub.svg
%{_metainfodir}/org.aegisub.Aegisub.metainfo.xml
