Name:		aeolus
Summary:	Synthesized pipe organ emulator
Version:	0.10.4
Release:	%mkrel 2
License:	GPLv2+ and CC-BY-SA
Group:		Sound/Midi
Source0:	https://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2
Source1:	https://kokkinizita.linuxaudio.org/linuxaudio/downloads/stops-0.4.0.tar.bz2
# http://commons.wikimedia.org/wiki/File:Logo_aeolus.png / resized to 48x48
# CC-BY-SA License
Source2:	%{name}48x48.png
URL:		https://kokkinizita.linuxaudio.org/linuxaudio/aeolus/index.html
BuildRequires:	clthreads-devel >= 2.4.2
BuildRequires:	zita-alsa-pcmi-devel >= 0.5.1
BuildRequires:	clxclient-devel >= 3.9.2
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(readline)

%description
Aeolus is a synthesized (i.e. not sampled) pipe organ emulator that 
should be good enough to make an organist enjoy playing it. It is a 
software synthesizer optimised for this job, with possibly hundreds 
of controls for each stop, that enable the user to "voice" 
his instrument.

Main features of the default instrument: three manuals and one pedal, 
five different temperaments, variable tuning, MIDI control of course, 
stereo, surround or Ambisonics output, flexible audio controls 
including a large church reverb.

Aeolus is not very CPU-hungry, and should run without problems on a 
e.g. a 1GHz, 256MB machine. 


%prep
%setup -q -n %{name}-%{version} -a1

# fix wrong perms
chmod +r stops-0.4.0/*
cd source
sed -i -e 's/PREFIX =/#PREFIX =/g' Makefile
sed -i -e 's/-lXft//g' Makefile
sed -i -e 's/-lrt//g' Makefile
sed -i -e '/ldconfig/d' Makefile
sed -i -e 's#-O2#%{optflags}#' Makefile

%build
cd source
%make_build PREFIX=%{_prefix} LIBDIR=%{_libdir}

%install
cd source
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir}
cd ..

mkdir -p %{buildroot}%{_datadir}/%{name}/stops
cp -fr stops-0.4.0/* %{buildroot}%{_datadir}/%{name}/stops/

mkdir -p %{buildroot}%{_sysconfdir}/
cat > %{buildroot}%{_sysconfdir}/%{name}.conf <<EOF
-u -J -S %{_datadir}/%{name}/stops
EOF

# desktop file and icon
install -d -m755 %{buildroot}%{_datadir}/pixmaps
install -m644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOL
[Desktop Entry]
Type=Application
Exec=aeolus
GenericName=Aeolus
GenericName[en_GB]=Aeolus
Icon=aeolus
Name=Aeolus
Comment=Virtual pipe organ based on additive synthesis
Name[en_GB]=Aeolus
Comment[en_GB]=Virtual pipe organ based on additive synthesis
Name[cs]=Aeolus
Comment[cs]=Virtuální varhany založené na aditivní syntéze
Name[de]=Aeolus
Comment[de]=Virtuelle Pfeifenorgel, auf additiver Synthese beasierend
Name[es]=Aeolus
Comment[es]=Órgano virtual basado en la síntesis aditiva
Name[fr]=Aeolus
Comment[fr]=Orgue virtuel basé sur la synthèse additive
Name[it]= Aeolus
Comment[it]= Virtual pipe organ basato sulla sintesi additiva
Name[ja]=Aeolus
Comment[ja]=バーチャルパイプオルガン
Name[nb]=Aeolus
Comment[nb]=Virtuelt orgel basert på additivsyntese
Name[nl]=Aeolus
Comment[nl]=Virtueel pijporgel gebaseerd op toegevoegde syntheses
Name[pl]=Aeolus
Comment[pl]=Wirtualne organy piszczałkowe
Name[pt_BR]=Aeolus
Comment[pt_BR]=Virtual pipe organ based on additive synthesis
Name[sk]=Aeolus
Comment[sk]=Virtuálny píštalový organ založený na aditívnej syntéze
Name[zh_CN]=Aeolus
Comment[zh_CN]=基于加法合成的虚拟管道元件
Name[zh_TW]=Aeolus
Comment[zh_TW]=以疊合多種合成器為基礎的虛擬管風琴
StartupNotify=true
Terminal=false
Categories=Audio;AudioVideo;Midi;X-Mageia-CrossDesktop;
X-KDE-SubstituteUID=false
EOL

%files
%config %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_libdir}/aeolus*.so
