%global commit 1b666247f763ed846062b09e5010a5a417cff436
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           aether-connector-okhttp
Version:        0.14.0
Release:        %mkrel 3
Group:          Development/Java
Summary:        OkHttp Aether Connector

# src/main/java/io/tesla/aether/wagon/OkHttpsWagon.java is ASL and EPL
License:        EPL and (ASL 2.0 and EPL)
URL:            https://github.com/tesla/%{name}
Source0:        https://github.com/tesla/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Source1:        eclipse-1.0.txt

BuildArch:      noarch

BuildRequires: mvn(org.eclipse.jetty:jetty-util)
BuildRequires: mvn(org.eclipse.sisu:org.eclipse.sisu.plexus)
BuildRequires: mvn(org.eclipse.sisu:sisu-maven-plugin)
BuildRequires: mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(com.squareup.okhttp:okhttp)
BuildRequires: mvn(javax.inject:javax.inject)
BuildRequires: mvn(org.slf4j:slf4j-simple)
BuildRequires: mvn(org.apache.maven.wagon:wagon-provider-api)
BuildRequires: maven-local

%description
A repository connector implementation based on Square's OkHttp.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.


%prep
%setup -q -n %{name}-%{commit}
cp %{SOURCE1} .

find -name '*.class' -delete
find -name '*.jar' -delete

# Doesn't really need the parent
%pom_remove_parent

# Unbundle SslContextFactory
%pom_add_dep org.eclipse.jetty:jetty-util
rm -r src/main/java/io/takari/aether/okhttp/ssl/
sed -i -e "s/io.takari.aether.okhttp.ssl.SslContextFactory/org.eclipse.jetty.util.ssl.SslContextFactory/" \
    -e "s/scf.setTrustStore(trustStorePath)/scf.setTrustStorePath(trustStorePath)/" \
    src/main/java/io/takari/aether/okhttp/OkHttpAetherClient.java

%build
# We don't have all test deps (e.g. npn-boot)
%mvn_build --skip-tests

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc eclipse-1.0.txt
%doc license-header.txt

%files javadoc -f .mfiles-javadoc
%doc eclipse-1.0.txt

