%define build_with_qt5 1

Name:		afce
Version:	0.9.8
Release:	%mkrel 9
Summary:	Algorithm Flowchart Editor
License:	GPLv3
Group:		Education
URL:		https://viktor-zin.github.io/afce
Source0:	https://github.com/viktor-zin/afce/archive/v%{version}/%{name}-%{version}.tar.gz
%if %{build_with_qt5}
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	qttools5
BuildRequires:	qttranslations5
%else
BuildRequires:	qt4-devel
%endif

%description
Flowchart editor with code generation and vector graphics.
AFCE allow to create, edit, print and export flowcharts easily
for a few minutes. Flowcharts can be exported to several graphical
formats including SVG and PNG.

%prep
%autosetup

%build
%if %{build_with_qt5}
%qmake_qt5
%else
%qmake_qt4
%endif
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc README.RU.txt README.md
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/afc.ico
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
