%define major     0
%define libname   %mklibname afflib %{major}
%define develname %mklibname afflib -d

Summary:        A set of programs for creating and manipulating AFF files
Name:           afflib
Version:        3.7.21
Release:        %mkrel 1
Group:          System/Libraries
License:        BSD
URL:            https://github.com/sshock/AFFLIBv3
Source0:        https://github.com/sshock/AFFLIBv3/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         python3.13.patch

BuildRequires:  pkgconfig(libcurl)
# GPLv2 FOSS incompatible with BSD with advertising
#BuildRequires:  pkgconfig(fuse)
BuildRequires:  pkgconfig(libewf)
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(openssl)

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(cython)
BuildRequires:  python3dist(setuptools)
# GPLv2 FOSS incompatible with BSD with advertising
#BuildRequires:  pkgconfig(readline)
BuildRequires:  pkgconfig(zlib)


%description
AFFLIB is an open source library developed by Simson Garfinkel and Basis
Technology that implements the AFF standard. AFFLIB is distributed under
4-clause Berkeley License and may be freely incorporated into both Open
Source and Proprietary software.

In addition to the library, AFFLIB also comes with the AFF Tools, a set of
programs for creating and manipulating AFF files.

%package -n  %{libname}
Summary:     A shared library that implements the AFF standard
Group:       System/Libraries

%description -n	%{libname}
AFFLIB is an open source library developed by Simson Garfinkel and Basis
Technology that implements the AFF standard. AFFLIB is distributed under
4-clause Berkeley License and may be freely incorporated into both Open
Source and Proprietary software.

This package contains a shared library that implements the AFF standard.

%package -n  %{develname}
Summary:     Static library and header files for the afflib library
Group:       Development/C
Provides:    %{name}-devel = %{version}
Requires:    %{libname} = %{version}

%description -n %{develname}
AFFLIB is an open source library developed by Simson Garfinkel and Basis
Technology that implements the AFF standard. AFFLIB is distributed under
4-clause Berkeley License and may be freely incorporated into both Open
Source and Proprietary software.

This package contains the static afflib library and its header files.

%prep
%autosetup -p1 -n 1 -n AFFLIBv3-%{version}

#fix spurious permissions with lzma443
find lzma443 -type f -exec chmod 0644 {} ';'
chmod 0644 lib/base64.{h,cpp}

%build
sh bootstrap.sh
%configure \
               --disable-static \
               --enable-shared \
               --enable-s3=yes \
               --enable-fuse=no \
               --enable-python=yes \
               --enable-qemu=no \
               --with-curl=%{_prefix} \
               PYTHON=%{python3}
%make_build

%install
%make_install

# install headers as well
install -d %{buildroot}%{_includedir}/afflib
install -m0644 lib/*.h %{buildroot}%{_includedir}/afflib/

%files
%{_bindir}/affcat
%{_bindir}/affcompare
%{_bindir}/affconvert
%{_bindir}/affcopy
%{_bindir}/affcrypto
%{_bindir}/affdiskprint
%{_bindir}/affix
%{_bindir}/affuse
%{_bindir}/affinfo
%{_bindir}/affrecover
%{_bindir}/affsegment
%{_bindir}/affsign
%{_bindir}/affstats
%{_bindir}/affverify
%{_bindir}/affxml
%{_mandir}/man1/*
%{python3_sitearch}/pyaff*.so
%{python3_sitearch}/PyAFF-*-py%{python3_version}.egg-info/

%files -n %{libname}
%doc AUTHORS BUGLIST.txt COPYING ChangeLog NEWS README* doc/*
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%dir %{_includedir}/afflib
%{_includedir}/afflib/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
