%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		aften
Version:	0.0.8
Release:	%mkrel 11
Summary:	An A/52 (aka AC-3) audio encoder
License:	GPLv2+ and LGPLv2+ and BSD
Group:		Sound/Editors and Converters
URL:		https://aften.sourceforge.net/
Source:		https://sourceforge.net/projects/aften/files/%{name}/%{version}/%{name}-%{version}.tar.bz2
ExclusiveArch:	%{ix86} x86_64

BuildRequires:	cmake

Requires:	%{libname} = %{version}-%{release}

%description
Aften is an audio encoder which generates compressed audio streams based on
ATSC A/52 specification. This type of audio is also known as AC-3 or Dolby®
Digital and is one of the audio codecs used in DVD-Video content.

#----------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n	%{libname}
This package provides the library for %{name}.

#----------------------------------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains development files for %{name}.

#----------------------------------------------------------------------------
%prep
%setup -q

# fix for x86_64 build
sed -i -e "s|DESTINATION lib|DESTINATION %{_lib}|g" CMakeLists.txt

%build
%cmake \
	-DSHARED:STRING="yes"
%cmake_build

%install
%cmake_install

%files
%doc README Changelog
%license COPYING
%{_bindir}/*

%files -n %{libname}
%{_libdir}/libaften.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libaften.so
%{_includedir}/%{name}/
