%define	major		0
%define	libname		%mklibname %{name} %{major}
%define	libname_devel	%mklibname %{name} -d

%define casedname	AfterStep

Summary:	AfterStep Window Manager
Name:		afterstep
Epoch:		4
Version:	2.2.12
Release:	%mkrel 23
License:	GPLv2+
Group:		Graphical desktop/Other
URL:		http://www.afterstep.org/

Source:		ftp://ftp.afterstep.org/stable/%{casedname}-%version.tar.bz2
Source1:	%{casedname}-mdkconf.tar.bz2
Source3:	%{casedname}.png
Source4:	%{casedname}32.png
Source5:	%{casedname}48.png
# Upstream patches
Patch1:         0001-readded-Propaganda-submenu-with-new-location.patch
Patch2:         0002-Fixed-bug-starting-modules-on-multi-display-setup-ad.patch
Patch3:         0003-fixed-bug-in-logic-for-charset-name-handling.patch
Patch4:         0004-fixed-segfault-in-print_clean_hints.patch
Patch5:         0005-Reimplemented-DBus-listening-to-use-DBusWatch-interf.patch
Patch6:         0006-fixed-segfault-due-to-wrong-pointer-in-dbus-add-watc.patch
Patch7:         0007-Added-dbus-message-matches.patch
Patch8:         0008-added-more-dbus-crap-in-hopes-of-getting-it-to-work-.patch
Patch9:         0009-changed-dbus-message-match-to-actually-get-messages-.patch
Patch10:        0010-Introduced-dbus-red-write-into-X-message-loop-to-avo.patch
Patch11:        0011-Fix-compilation-issue-when-compiling-with-Wl-no-unde.patch
Patch12:        0012-Added-desktop-categories-entries-deduplication-to-al.patch
Patch13:        0013-Fix-spelling-in-default-winlist-settings.patch
Patch14:        0014-Clean-up-of-WinList.c-no-functional-changes.patch
Patch15:        0015-Remove-empty-function-GetOptions.patch
Patch16:        0016-Delete-obsolete-1.8-FAQ-file.patch
Patch17:        0017-Fix-compile-time-warning-on-inlined-function.patch
Patch18:        0018-Clean-up-compile-time-warnings-on-depreciated-functi.patch
Patch19:        0019:drop-l-from-ar.patch

# Debian patches:
Patch124:	24-AsDocGen-man.patch
Patch138:	38-Disable-handling-pending-events.patch
Patch139:	39-Fix-parallel-builds.patch
Patch143:	43-Fix-gcc-warning.patch
Patch144:	44-Fix-build-with-gcc-5.patch
Patch145:	45-Fix-libAfterBase-Makefile.patch
Patch151:	51-Warning.patch
Patch156:	56-Fix-autotools-pkg-config.patch
Patch157:	57-Use-pkg-config-for-freetype.patch

# Mageia patches
Patch201:	%{casedname}-1.8.9-menuname.patch
Patch202:	%{casedname}.MenuKey.patch
Patch203:	%{name}-wharf.patch
Patch205:	%{name}-2.2.12-winlist.patch
Patch207:	afterstep-devel-2.2.12-debuginfo.patch
Patch208:       static-inline-asvector-fix.patch
Patch209:       afterstep-missing-includes.patch
Patch210:       afterstep-implicit-int.patch

BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(gtk+-2.0)
Requires:	desktop-common-data
Requires:	xli
Recommends:	asclock

Obsoletes:	AfterStep < 4:2.2.11-8

%description
AfterStep is a Window Manager for X which started by emulating the NEXTSTEP
look and feel, but which has been significantly altered according to the
requests of various users. Many adepts will tell you that NEXTSTEP is not
only the most visually pleasant interface, but also one of the most functional
and intuitive out there. AfterStep aims to incorporate the advantages of the
NEXTSTEP interface, and add additional useful features.

The developers of AfterStep have also worked very hard to ensure stability and
a small program footprint. Without giving up too many features, AfterStep still
works nicely in environments where memory is at a premium.

%package -n %libname
Summary:	Libraries needed by AfterStep
Group:		Graphical desktop/Other
Provides:	lib%name = %version-%release
Obsoletes:	%{_lib}AfterStep0 < 4:2.2.11-8

%description -n %libname
AfterStep is a Window Manager for X which started by emulating the NEXTSTEP
look and feel, but which has been significantly altered according to the
requests of various users. Many adepts will tell you that NEXTSTEP is not
only the most visually pleasant interface, but also one of the most functional
and intuitive out there. AfterStep aims to incorporate the advantages of the
NEXTSTEP interface, and add additional useful features.

The developers of AfterStep have also worked very hard to ensure stability and
a small program footprint. Without giving up too many features, AfterStep still
works nicely in environments where memory is at a premium.

This package contains libraries needed by AfterStep package.

%package -n %libname_devel
Summary:	Devel files needed to build applications based on AfterStep
Group:		Development/C
Provides:	%name-devel
Provides:	lib%name-devel
Provides:       libAfterImage-devel = %{epoch}:%version-%release
Provides:       libAfterBase-devel = %{epoch}:%version-%release
Provides:       libAfterStep-devel = %{epoch}:%version-%release
Requires:	%libname = %{epoch}:%version-%release
Obsoletes:	%{_lib}AfterStep-devel < 4:2.2.11-8
Conflicts:	afterstep < 2.2.12-17

%description -n %libname_devel
AfterStep is a Window Manager for X which started by emulating the NEXTSTEP
look and feel, but which has been significantly altered according to the
requests of various users. Many adepts will tell you that NEXTSTEP is not
only the most visually pleasant interface, but also one of the most functional
and intuitive out there. AfterStep aims to incorporate the advantages of the
NEXTSTEP interface, and add additional useful features.

The developers of AfterStep have also worked very hard to ensure stability and
a small program footprint. Without giving up too many features, AfterStep still
works nicely in environments where memory is at a premium.

This package contains devel files needed to build applications based on
AfterStep.

%prep
%setup -q -n %{name}-devel-%{version}
%autopatch -p1

%build
export CFLAGS="%{build_cflags} -Wno-deprecated-declarations"
autoreconf -vfi autoconf libAfterImage libAfterBase
%configure	\
		--enable-gdb \
		--enable-sharedlibs \
		--with-imageloader="xsetbg" \
		--with-helpcommand="xterm -fn 9x15 -e man" \
		--with-desktops=1 \
		--with-deskgeometry=1x1 \
		--enable-different-looknfeels \
		--enable-i18n \
		--enable-savewindows \
		--enable-virtual \
		--enable-windowlist \
		--enable-availability \
		--enable-shaping \
		--enable-xinerama \
		--enable-script \
		--with-xpm \
		--with-jpeg \
		--with-png \
		--with-ttf \
		--with-tiff \
		--with-svg

# We're using make here instead of the built-in macro percent-make because the AfterStep
# build-system lacks some dependencies which makes it fail sometimes with parallel
# builds (-j).
make %{?_make_verbose}

if [ -x /usr/bin/sgml2html ]; then sgml2html doc/afterstep.sgml; fi


%install
%make_install LDCONFIG=/bin/true

install -D -m 644  AfterStep.desktop.final %{buildroot}%{_datadir}/xsessions/AfterStep.desktop

# remove NoDisplay=true to show in display managers (mga#25170)
sed -i -e '/^NoDisplay/d' \
	%{buildroot}%{_datadir}/xsessions/AfterStep.desktop

# make sure file starts with [Desktop Entry]
sed -i -n '/^\[Desktop Entry\]$/,$p' \
        %{buildroot}%{_datadir}/xsessions/AfterStep.desktop


# LMDK icons
install -m644 %SOURCE4 -D %{buildroot}%{_iconsdir}/%{casedname}.png
install -m644 %SOURCE3 -D %{buildroot}%{_miconsdir}/%{casedname}.png
install -m644 %SOURCE5 -D %{buildroot}%{_liconsdir}/%{casedname}.png

# Not needed with Mageia menu
rm -rf %{buildroot}%{_datadir}/afterstep/start/Applications/

%posttrans
# (ovitters) In posttrans, $1 is always equal to 1, even in the upgrade case.
# So just run this always:
if [ -e %{_datadir}/xsessions/15AfterStep.desktop ]; then
	rm -rf %{_datadir}/xsessions/15AfterStep.desktop
fi
if [ -e %{_sysconfdir}/X11/dm/Sessions/15AfterStep.desktop ]; then
	rm -rf %{_sysconfdir}/X11/dm/Sessions/15AfterStep.desktop
fi

%files
%doc COPYRIGHT ChangeLog NEW README TEAM doc/languages doc/licences
%{_datadir}/xsessions/%{casedname}.desktop
%{_iconsdir}/%{casedname}.png
%{_miconsdir}/%{casedname}.png
%{_liconsdir}/%{casedname}.png
%{_bindir}/*
%exclude %{_bindir}/*-config
%{_mandir}/man1/*
%{_mandir}/man3/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%files -n %libname
%{_libdir}/*.so.%major
%{_libdir}/*.so.%major.*

%files -n %libname_devel
%{_libdir}/*.so
%{_libdir}/*.a
%_includedir/*
%{_bindir}/*-config
