Name:           aifad
Version:        2.2.2
Release:        %mkrel 2
Summary:        Machine learning system - Automated Induction of Functions over Algebraic Datatypes
License:        LGPLv2+
Group:          Development/OCaml
URL:            https://mmottl.github.io/aifad/
Source0:        https://github.com/mmottl/aifad/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-cfg-devel
BuildRequires:  ocaml-res-devel
BuildRequires:  ocaml-pcre-devel
BuildRequires:  menhir

%description
AIFAD stands for "Automated Induction of Functions over Algebraic Datatypes"
and improves decision tree learning by supporting significantly more complex
kinds of data. This allows users to more conveniently describe the data they
want to have learnt, which can improve accuracy and complexity of resulting
models.

%prep
%setup -q

%build
dune build --verbose

%install
mkdir -p %{buildroot}%{_bindir}
cp _build/install/default/bin/aifad %{buildroot}%{_bindir}

install -d %{buildroot}%{_datadir}/vim/syntax/
install -m 0644 ./vim/aifad.vim %{buildroot}%{_datadir}/vim/syntax/

%files
%doc README.md CHANGES.md TODO.md
%license LICENSE.md
%doc examples/
%{_bindir}/aifad
%{_datadir}/vim/syntax/aifad.vim
