%define api_version	1.2
%define major		0
%define lib_name	%mklibname %{name} %{api_version} %{major}
%define develname	%mklibname -d %name
%define lib_namegtk	%mklibname %{name}gtk %{api_version} %{major}
%define gtkdevelname	%mklibname -d %{name}gtk


Summary:	An English-language thesaurus library
Name:		aiksaurus
Version:	1.2.1
Release:	%mkrel 20
License:	GPLv2+
Group:		Office/Utilities
URL:		https://sourceforge.net/projects/aiksaurus/
Source:		%{name}-%{version}.tar.bz2
Patch0:		aiksaurus-1.2.1-gcc43.patch
Patch1:		%{name}-1.2.1-fix-str-fmt.patch
BuildRequires:	gtk2-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gnome-common
Requires:	%{name}-data

%description
Aiksaurus is an English-language thesaurus library that can be
embedded in word processors, email composers, and other authoring
software to provide thesaurus capabilities.
This package contains a basic command line thesaurus program.

Install Aiksaurus if you want to have a thesaurus available on
your computer.

%package -n %name-data
Summary:	An English-language thesaurus library
Group:		Office/Utilities

%description -n %name-data
Aiksaurus is an English-language thesaurus library that can be
embedded in word processors, email composers, and other authoring
software to provide thesaurus capabilities.
This package contains the data files.

%package -n %lib_name
Summary:	An English-language thesaurus library
Group:		System/Libraries
Requires:	%{name}-data

%description -n %lib_name
Aiksaurus is an English-language thesaurus library that can be
embedded in word processors, email composers, and other authoring
software to provide thesaurus capabilities.
This package contains these libraries.

Install Aiksaurus if you want to have a thesaurus available on
your computer.

%package -n %develname
Summary:	Libraries and include files for Aiksuarus
Group:		Development/C
Requires:	%{lib_name} = %{version}-%{release}
Provides:	aiksaurus-devel = %{version}-%{release}
Provides:	aiksaurus-%{api_version}-devel = %{version}-%{release}

%description -n %develname
Aiksaurus is an English-language thesaurus library that can be
embedded in word processors, email composers, and other authoring
software to provide thesaurus capabilities.
This package contains the libraries and includes files necessary to develop
applications with Aiksaurus.


%package -n %{name}gtk
Summary:	A GTK+ thesaurus application
Group:		Office/Utilities

%description -n %{name}gtk
Aiksaurusgtk is a GTK+ interface to the Aiksaurus library.
It provides an attractive thesaurus interface, and can be embedded
in GTK+ projects, notably AbiWord.

This package provides the standalone GTK+ interface.

%package -n %{lib_namegtk}
Summary:	Libraries for aiksaurusgtk
Group:		System/Libraries

%description -n %{lib_namegtk}
Aiksaurusgtk is a GTK+ interface to the Aiksaurus library.
It provides an attractive thesaurus interface, and can be embedded
in GTK+ projects, notably AbiWord.
This package provides the library files for aiksaurusgtk.


%package -n %gtkdevelname
Summary:	A GTK+ thesaurus library
Group:		Development/C
Requires:	%{lib_namegtk} = %{version}-%{release}
Provides:	aiksaurusgtk-devel = %{version}-%{release}
Provides:	aiksaurusgtk-%{api_version}-devel = %{version}-%{release}

%description -n %{gtkdevelname}
This package contains the libraries and includes files necessary to develop
applications with Aiksaurusgtk.


%prep
%setup -q
%autopatch -p1

%build
%configure --disable-static CPPFLAGS="$CPPFLAGS -std=c++11"
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files
%doc ChangeLog README COPYING AUTHORS
%{_bindir}/aiksaurus
%{_bindir}/caiksaurus

%files -n %name-data
%dir %{_datadir}/aiksaurus
%{_datadir}/aiksaurus/*.dat

%files -n %lib_name
%{_libdir}/libAiksaurus-%{api_version}.so.%{major}{,.*}

%files -n %develname
%{_libdir}/libAiksaurus.so
%{_libdir}/pkgconfig/aiksaurus-1.0.pc
%dir %{_includedir}/Aiksaurus
%{_includedir}/Aiksaurus/Aiksaurus.h
%{_includedir}/Aiksaurus/AiksaurusC.h


%files -n %{name}gtk
%{_bindir}/gaiksaurus

%files -n %{lib_namegtk}
%{_libdir}/libAiksaurusGTK-%{api_version}.so.%{major}{,.*}

%files -n %gtkdevelname
%{_libdir}/libAiksaurusGTK.so
%{_libdir}/pkgconfig/gaiksaurus-1.0.pc
%{_includedir}/Aiksaurus/AiksaurusGTK*.h
