# comment out when not pre-release
#define prerel	rc4

%define rel	3

Name:		aircrack-ng
Version:	1.7
Release:	%mkrel %{?prerel:0.%prerel.}%{rel}
Summary:	Reliable 802.11 (wireless) sniffer and WEP key cracker
License:	GPLv2+
Group:		Networking/Other
URL:		https://www.aircrack-ng.org/doku.php
Source0:	https://download.aircrack-ng.org/%{name}-%{version}%{?prerel:-%prerel}.tar.gz
Patch1:		aircrack-ng-parallel-build.patch
Patch2:		0001-add-PCRE2-support.patch
BuildRequires:	pkgconfig(cmocka)
BuildRequires:	pkgconfig(jemalloc)
BuildRequires:	pkgconfig(hwloc)
BuildRequires:	pkgconfig(libpcap)
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	pkgconfig(libtcmalloc)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	expect
BuildRequires:	libnl3-devel

%description
aircrack-ng is a set of tools for auditing wireless networks. It's an
enhanced/reborn version of aircrack. It consists of airodump (an 802.11
packet capture program), aireplay (an 802.11 packet injection program),
aircrack (static WEP and WPA-PSK cracking), airdecap (decrypts WEP/WPA
capture files), and some tools to handle capture files (merge, convert,
etc.).


%package devel
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}

%description devel
Development files for %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}%{?prerel:-%prerel}

%build
NOCONFIGURE=1 ./autogen.sh
%configure \
	--enable-static \
	--disable-shared \
	--disable-silent-rules \
	--with-lto \
	--with-avx512 \
	--with-jemalloc \
	--with-tcmalloc \
	--with-experimental

%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.*a' -delete

mkdir -p %{buildroot}%{_datadir}/%{name}
# License unclear, originates from:
# http://standards.ieee.org/regauth/oui/oui.txt
touch %{buildroot}%{_datadir}/%{name}/airodump-ng-oui.txt

%post
%{_sbindir}/airodump-ng-oui-update

%files
%doc ChangeLog README AUTHORS
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man?/*
%dir %{_datadir}/aircrack-ng
%ghost %{_datadir}/aircrack-ng/airodump-ng-oui.txt

%files devel
%{_includedir}/%{name}/
