%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		aisleriot
Summary:	A compilation of solitaire card games
Version:	3.22.35
Release:	%mkrel 1
Group:		Games/Cards
License:	GPLv3+
Url:		https://wiki.gnome.org/Apps/Aisleriot
Source0:	https://gitlab.gnome.org/GNOME/aisleriot/-/archive/%{version}/aisleriot-%{version}.tar.gz
BuildRequires:	meson
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(guile-3.0)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(libcanberra-gtk3)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	intltool
BuildRequires:	yelp-tools
BuildRequires:	itstool
BuildRequires:	gnome-doc-utils
BuildRequires:	docbook-dtds
BuildRequires:	gnome-common
BuildRequires:	appdata-tools
# For help
Requires:	yelp
# For solitaire (mga#25086)
Requires:	PySolFC-cardsets

%description
Aisleriot (also known as Solitaire or sol) is a collection of card games
which are easy to play with the aid of a mouse. The rules for the games
have been coded for your pleasure in the GNOME scripting language (Scheme).

%prep
%autosetup -p1

%build
%meson \
 -Dtheme_pysol=true \
 -Dtheme_pysol_path=%{_datadir}/PySolFC \
 -Dtheme_kde=true \
 -Dtheme_kde_path=%{_datadir}/carddecks/
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%{_bindir}/sol
%{_libdir}/%{name}/
%{_libexecdir}/%{name}/
%{_libdir}/valgrind/%{name}.supp
%{_datadir}/applications/sol.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Patience.WindowState.gschema.xml
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man6/sol*
%{_datadir}/%{name}/
%{_metainfodir}/sol.metainfo.xml
