%global __python /usr/bin/python2
Summary: A web based terminal
Name: ajaxterm
Version: 0.10
Release: %mkrel 9

# LGPL for the bundled js part
License: Public Domain and GPLv2 and LGPLv2
Group: System/Servers
URL: http://antony.lesuisse.org/qweb/trac/wiki/AjaxTerm
Source: http://antony.lesuisse.org/qweb/files/Ajaxterm-%{version}.tar.bz2
Source1: %{name}.init
Source2: %{name}.sysconfig
Patch1: %{name}-ff36.patch
Patch2:	ajaxterm-0.10-CVE-2009-1629.patch
Requires(preun): rpm-helper
Requires(post):  rpm-helper
Requires: python
BuildRequires: python
BuildArch: noarch
Recommends: apache-mod_proxy

%description
Ajaxterm is a web based terminal. It was inspired by and works almost
exactly like https://anyterm.org/ except it's much easier to install.

Ajaxterm is written in Python (and some AJAX JavaScript for the client side)
and depends only on Python 2.3 or better.

%prep
%setup -q -n Ajaxterm-%{version}
%patch -P 1 -p2
%patch -P 2 -p1

%build
sed -i 's!/usr/bin/env python!/usr/bin/python2!' configure ajaxterm.py

./configure --prefix=%{buildroot}/%{_prefix}/
perl -pi -e 's/.*ajaxterm.initd.*//' Makefile
perl -pi -e 's|bin/python2.3|bin/python|' qweb.py

%install
make install

mkdir -p %{buildroot}/%{_initrddir}/
mkdir -p %{buildroot}/%{_sysconfdir}/sysconfig

cp %SOURCE1 %{buildroot}/%_initrddir/%{name}
cp %SOURCE2 %{buildroot}/%{_sysconfdir}/sysconfig/%{name}

chmod 755 %{buildroot}/%{_initrddir}/%{name}
perl -pi -e 's|%{buildroot}/||g' %{buildroot}/%{_bindir}/ajaxterm

%files
%defattr(-, root, root, 0755)
%doc README.txt
%{_bindir}/*
%{_datadir}/%{name}/
%{_mandir}/man1/*
%config(noreplace) %{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}

%post
%_post_service %{name}

%preun
%_preun_service %{name}
