#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Akonadi Calendar Integration
Name:           akonadi-calendar
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://kontact.kde.org
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# FIXME missing 32bit support for messagelib
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Codecs)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6CalendarCore)

BuildRequires:  cmake(KPim6MailTransport)
BuildRequires:  cmake(KPim6IdentityManagementCore)
BuildRequires:  cmake(KPim6CalendarUtils)
BuildRequires:  cmake(KPim6MessageCore)
BuildRequires:  cmake(KPim6MessageComposer)
BuildRequires:  cmake(KPim6Libkleo)
BuildRequires:  cmake(KPim6Akonadi)
BuildRequires:  cmake(KPim6AkonadiContactCore)
BuildRequires:  cmake(KPim6AkonadiMime)

BuildRequires:  pkgconfig(libsasl2)

%description
Akonadi Calendar Integration.

#------------------------------------------------------------------------------

%package -n %name-common
Summary:        Common files for %name
Group:          System/Libraries
Provides:       kalendarac = %{version}-%{release}

%description -n %name-common
Common files for %name.

%files -n %name-common -f %name.lang
%_kf6_sysconfdir/xdg/autostart/org.kde.kalendarac.desktop
%_kf6_bindir/kalendarac
%_kf6_categoriesdir/akonadi-calendar.categories
%_kf6_categoriesdir/akonadi-calendar.renamecategories
%_kf6_categoriesdir/org_kde_kalendarac.categories
%_qt6_plugindir/akonadi_serializer_kcalcore.so
%_qt6_plugindir/kf6/org.kde.kcalendarcore.calendars/
%_kf6_datadir/akonadi/plugins/serializer/akonadi_serializer_kcalcore.desktop
%_kf6_datadir/dbus-1/services/org.kde.kalendarac.service
%_kf6_knotificationsdir/kalendarac.notifyrc

#------------------------------------------------------------------------------

%define kpimakonadicalendar_major 6
%define libkpimakonadicalendar %mklibname kpim6akonadicalendar %{kpimakonadicalendar_major}

%package -n %libkpimakonadicalendar
Summary:        Akonadi Calendar Integration
Group:          System/Libraries
Requires:       %name-common >= %version-%release

%description -n %libkpimakonadicalendar
Akonadi Calendar Integration.

%files -n %libkpimakonadicalendar
%_kf6_libdir/libKPim6AkonadiCalendar.so.%{kpimakonadicalendar_major}{,.*}

#--------------------------------------------------------------------

%define akonadicalendar_devel %mklibname kpim6akonadicalendar -d

%package -n %akonadicalendar_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkpimakonadicalendar = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %akonadicalendar_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %akonadicalendar_devel
%_includedir/KPim6/AkonadiCalendar/
%_kf6_libdir/*.so
%_kf6_libdir/cmake/KPim6AkonadiCalendar/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name

