#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           akonadi-contacts
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Akonadi Contacts Integration
License:        GPLv2+ and LGPLv2+
Group:          Graphical desktop/KDE
URL:            https://kontact.kde.org
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6Prison)
BuildRequires:  cmake(KF6Codecs)
BuildRequires:  cmake(KF6Contacts)
BuildRequires:  cmake(KPim6Mime)
BuildRequires:  cmake(KPim6Akonadi)
BuildRequires:  cmake(KPim6GrantleeTheme)
BuildRequires:  cmake(KF6TextTemplate)
BuildRequires:  cmake(KF6TextUtils)

# Optional

%description
Akonadi Contacts Integration.

%files -f %name.lang
%_kf6_categoriesdir/akonadi-contacts.categories
%_kf6_categoriesdir/akonadi-contacts.renamecategories
%_kf6_datadir/kf6/akonadi/contact/
%_qt6_plugindir/akonadi_serializer_addressee.so
%_qt6_plugindir/akonadi_serializer_contactgroup.so
%_kf6_datadir/akonadi/plugins/serializer/akonadi_serializer_addressee.desktop
%_kf6_datadir/akonadi/plugins/serializer/akonadi_serializer_contactgroup.desktop

#--------------------------------------------------------------------

%define kpimakonadicontactcore_major 6
%define libkpimakonadicontactcore %mklibname kpim6akonadicontactcore %{kpimakonadicontactcore_major}

%package -n %{libkpimakonadicontactcore}
Summary:        Akonadi Contacts Integration main library
Group:          System/Libraries

%description -n %{libkpimakonadicontactcore}
Akonadi Contacts Integration main library.

%files -n %{libkpimakonadicontactcore}
%_kf6_libdir/libKPim6AkonadiContactCore.so.%{kpimakonadicontactcore_major}{,.*}

#--------------------------------------------------------------------

%define kpimakonadicontactwidgets_major 6
%define libkpimakonadicontactwidgets %mklibname kpim6akonadicontactwidgets %{kpimakonadicontactwidgets_major}

%package -n %{libkpimakonadicontactwidgets}
Summary:        Akonadi Contacts Integration main library
Group:          System/Libraries

%description -n %{libkpimakonadicontactwidgets}
Akonadi Contacts Integration main library.

%files -n %{libkpimakonadicontactwidgets}
%_kf6_libdir/libKPim6AkonadiContactWidgets.so.%{kpimakonadicontactwidgets_major}{,.*}

#--------------------------------------------------------------------

%define akonadicontact_devel %mklibname kpim6akonadicontact -d

%package -n %{akonadicontact_devel}
Summary:        Devel stuff for %{name}
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libkpimakonadicontactcore} = %{version}-%{release}
Requires:       %{libkpimakonadicontactwidgets} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{akonadicontact_devel}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{akonadicontact_devel}
%_includedir/KPim6/AkonadiContactCore/
%_includedir/KPim6/AkonadiContactWidgets/
%_kf6_libdir/*.so
%_kf6_libdir/cmake/KPim6AkonadiContactCore/
%_kf6_libdir/cmake/KPim6AkonadiContactWidgets//

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install
%find_lang %name --all-name
