#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%global __requires_exclude devel\\(libKF6
%define kontact_mobile 1
%define _cmake_skip_rpath %nil

%define rel 1

Name:           akonadi-import-wizard
Summary:        Assistant to import PIM data from other applications into Akonadi for use in KDE PIM applications
Epoch:          2
Version: 25.04.0
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://kontact.kde.org
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%{version}.tar.xz
# FIXME missing 32bit support for messagelib
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Gui)

# KF6 Packages
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6Auth)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Archive)

# KdepimLibs Package
BuildRequires:  cmake(KPim6Akonadi)
BuildRequires:  cmake(KF6Contacts)
BuildRequires:  cmake(KPim6IdentityManagementCore)
BuildRequires:  cmake(KPim6MailTransport)
BuildRequires:  cmake(KPim6MailCommon)
BuildRequires:  cmake(KPim6MailImporterAkonadi)
BuildRequires:  cmake(KPim6MessageViewer)
BuildRequires:  cmake(KPim6PimCommonAkonadi) >= 5.240

BuildRequires:  cmake(Qt6Keychain)


%description
Assistant to import PIM data from other applications into Akonadi
for use in KDE PIM applications.

%files -f %name.lang
%_kf6_categoriesdir/importwizard.categories
%_kf6_categoriesdir/importwizard.renamecategories
%_kf6_bindir/akonadiimportwizard
%_kf6_iconsdir/*/*/*/kontact-import-wizard.*
%_kf6_datadir/importwizard
%_kf6_datadir/applications/org.kde.akonadiimportwizard.desktop
%_qt6_plugindir/pim6/importwizard/

#------------------------------------------------------------------------------

%define libkpimimportwizard_major 6
%define libkpimimportwizard %mklibname kpim6importwizard %libkpimimportwizard_major

%package -n %libkpimimportwizard
Summary:        Assistant to import PIM data from other applications into Akonadi for use in KDE PIM applications
Group:          System/Libraries
Requires:       %name >= %epoch:%version-%release

%description -n %libkpimimportwizard
Assistant to import PIM data from other applications into Akonadi
for use in KDE PIM applications.

%files -n %libkpimimportwizard
%_kf6_libdir/libKPim6ImportWizard.so.%{libkpimimportwizard_major}{,.*}

#------------------------------------------------------------------------------

%package -n %name-handbook
Summary:        %name handbook
Group:          Documentation
BuildArch:      noarch

%description -n %name-handbook
This package provides %name handbook.

%files -n %name-handbook
%_kf6_docdir/HTML/*/importwizard

#------------------------------------------------------------------------------

%define libimportwizard_devel %mklibname kpim6importwizard -d

%package -n %{libimportwizard_devel}
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkpimimportwizard = %epoch:%version-%release
Provides:       libimportwizard-devel = %epoch:%version-%release
Provides:       importwizard-devel = %epoch:%version-%release

%description -n %{libimportwizard_devel}
This package contains header files needed if you wish to build applications
based on libkcompactdisc.

%files -n %{libimportwizard_devel}
%_includedir/KPim6/ImportWizard/
%_kf6_libdir/libKPim6ImportWizard.so
%_kf6_libdir/cmake/KPim6ImportWizard/

#------------------------------------------------------------------------------
%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install
%find_lang %name --all-name
