#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           akonadi-mime
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Akonadi Mime Integration
License:        GPLv2+ and LGPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)

BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6ItemModels)

BuildRequires:  cmake(KPim6Mime)
BuildRequires:  cmake(KPim6Akonadi) >= 5.240

BuildRequires:  xsltproc
BuildRequires:  boost-devel
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(shared-mime-info)


%description
Akonadi Mime Integration.

%files -f %name.lang
%_kf6_categoriesdir/akonadi-mime.categories
%_kf6_datadir/config.kcfg/specialmailcollections.kcfg
%_kf6_datadir/mime/packages/x-vnd.kde.contactgroup.xml
%_kf6_datadir/akonadi/plugins/serializer/akonadi_serializer_mail.desktop
%_qt6_plugindir/akonadi_serializer_mail.so

#--------------------------------------------------------------------

%define kpimakonadimime_major 6
%define libkpimakonadimime %mklibname kpim6akonadimime %{kpimakonadimime_major}

%package -n %{libkpimakonadimime}
Summary:        Akonadi Mime Integration main library
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %{libkpimakonadimime}
Akonadi Mime Integration main library.

%files -n %{libkpimakonadimime}
%_kf6_libdir/libKPim6AkonadiMime.so.%{kpimakonadimime_major}{,.*}

#--------------------------------------------------------------------

%define akonadimime_devel %mklibname kpim6akonadimime -d

%package -n %{akonadimime_devel}
Summary:        Devel stuff for %{name}
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libkpimakonadimime} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       kdepimlibs-devel = %{version}-%{release}

%description -n %{akonadimime_devel}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{akonadimime_devel}
%_includedir/KPim6/AkonadiMime/
%_kf6_libdir/*.so
%_kf6_libdir/cmake/KPim6AkonadiMime/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install
%find_lang %name --all-name
