#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Libraries and daemons to implement searching in Akonadi
Name:           akonadi-search
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://kontact.kde.org
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Runner)

BuildRequires:  cmake(KPim6Akonadi)
BuildRequires:  cmake(KF6Contacts)
BuildRequires:  cmake(KPim6Mime)
BuildRequires:  cmake(KPim6AkonadiMime)
BuildRequires:  cmake(KF6CalendarCore)
BuildRequires:  cmake(KF6TextUtils)

BuildRequires:  boost-devel
BuildRequires:  pkgconfig(libsasl2)
BuildRequires:  pkgconfig(xapian-core)

%description
Libraries and daemons to implement searching in Akonadi.

%files -f %name.lang
%_kf6_bindir/akonadi_html_to_text
%_kf6_bindir/akonadi_indexing_agent
%_qt6_plugindir/pim6/akonadi/*.so
%_kf6_plugindir/krunner/krunner_pimcontacts.so
%_kf6_categoriesdir/akonadi-search.*categories
%_kf6_datadir/akonadi/agents/akonadiindexingagent.desktop
%_kf6_plugindir/krunner/kcms/kcm_krunner_pimcontacts.so

#--------------------------------------------------------------------

%define kpimakonadisearchcore_major 6
%define libkpimakonadisearchcore %mklibname kpim6akonadisearchcore %{kpimakonadisearchcore_major}

%package -n %libkpimakonadisearchcore
Summary:        Libraries and daemons to implement searching in Akonadi
Group:          System/Libraries

%description -n %libkpimakonadisearchcore
Libraries and daemons to implement searching in Akonadi.

%files -n %libkpimakonadisearchcore
%_kf6_libdir/libKPim6AkonadiSearchCore.so.%{kpimakonadisearchcore_major}{,.*}

#--------------------------------------------------------------------

%define kpimakonadisearchpim_major 6
%define libkpimakonadisearchpim %mklibname kpim6akonadisearchpim %{kpimakonadisearchpim_major}

%package -n %libkpimakonadisearchpim
Summary:        Akonadi Calendar Integration
Group:          System/Libraries

%description -n %libkpimakonadisearchpim
Akonadi Calendar Integration.

%files -n %libkpimakonadisearchpim
%_kf6_libdir/libKPim6AkonadiSearchPIM.so.%{kpimakonadisearchpim_major}{,.*}

#--------------------------------------------------------------------

%define kpimakonadisearchxapian_major 6
%define libkpimakonadisearchxapian %mklibname kpim6akonadisearchxapian %{kpimakonadisearchxapian_major}

%package -n %libkpimakonadisearchxapian
Summary:        Akonadi Calendar Integration
Group:          System/Libraries

%description -n %libkpimakonadisearchxapian
Akonadi Calendar Integration.

%files -n %libkpimakonadisearchxapian
%_kf6_libdir/libKPim6AkonadiSearchXapian.so.%{kpimakonadisearchxapian_major}{,.*}

#--------------------------------------------------------------------

%define kpimakonadisearchdebug_major 6
%define libkpimakonadisearchdebug %mklibname kpim6akonadisearchdebug %{kpimakonadisearchdebug_major}

%package -n %libkpimakonadisearchdebug
Summary:        Akonadi Calendar Integration
Group:          System/Libraries

%description -n %libkpimakonadisearchdebug
Akonadi Calendar Integration.

%files -n %libkpimakonadisearchdebug
%_kf6_libdir/libKPim6AkonadiSearchDebug.so.%{kpimakonadisearchdebug_major}{,.*}

#--------------------------------------------------------------------

%define akonadisearchcore_devel %mklibname kpim6akonadisearch -d

%package -n %akonadisearchcore_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkpimakonadisearchcore = %version-%release
Requires:       %libkpimakonadisearchpim = %version-%release
Requires:       %libkpimakonadisearchxapian = %version-%release
Requires:       %libkpimakonadisearchdebug = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %akonadisearchcore_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %akonadisearchcore_devel
%_includedir/KPim6/AkonadiSearch/
%_kf6_libdir/*.so
%_kf6_libdir/cmake/KPim6AkonadiSearch/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name

