#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define mysql_conf_timestamp 20170512

%define rel 1

Name:           akonadi
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        An extensible cross-desktop storage service for PIM
License:        LGPLv2+
Group:          Networking/WWW
Url:            https://invent.kde.org/pim/akonadi
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
## mysql config
Source10:       akonadiserverrc.mysql
Source11:       akonadiserverrc.sqlite

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Designer)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6ItemModels)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6Crash)

BuildRequires:  cmake(AccountsQt6)
BuildRequires:  cmake(KAccounts6) >= 24.01

BuildRequires:  shared-mime-info >=  0.20
BuildRequires:  libxslt-proc
BuildRequires:  libxml2-utils
BuildRequires:  mysql-devel
BuildRequires:  postgresql-devel-virtual
BuildRequires:  boost-devel
BuildRequires:  xsltproc

BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(libxslt)

# backends, used at buildtime to query known locations of server binaries
BuildRequires:  mysql

Requires:       qtbase6-database-plugin-mysql
Requires:       mysql
Requires:       mysql-core
Requires:       mysql-common
# Needed for mysqlcheck  which is used in akonadi
Requires:       mysql-client

Requires(post):   update-alternatives
Requires(postun): update-alternatives

%description
An extensible cross-desktop storage service for PIM data and meta data
providing concurrent read, write, and query access.

%files -f %name.lang
%doc README.md
%{_kf6_categoriesdir}/akonadi.*categories
%dir %{_kf6_sysconfdir}/xdg/%{name}
%ghost %config(missingok,noreplace) %{_kf6_sysconfdir}/xdg/%{name}/akonadiserverrc
%config(noreplace) %{_kf6_sysconfdir}/xdg/%{name}/mysql-global.conf
%config(noreplace) %{_kf6_sysconfdir}/xdg/%{name}/mysql-local.conf
%config(noreplace) %{_kf6_sysconfdir}/xdg/%{name}/akonadiserverrc.mysql
%config(noreplace) %{_kf6_sysconfdir}/xdg/%{name}/akonadiserverrc.sqlite
%{_kf6_bindir}/*
%dir %{_kf6_libdir}/%{name}
%{_kf6_datadir}/dbus-1/services/*
%{_kf6_datadir}/mime/packages/akonadi-mime.xml
%{_qt6_plugindir}/pim6/akonadi/akonadi_test_searchplugin.so
%{_qt6_plugindir}/designer/akonadi6widgets.so
%{_kf6_datadir}/akonadi/
%{_kf6_datadir}/config.kcfg/resourcebase.kcfg
%{_kf6_datadir}/kf6/akonadi
%{_kf6_datadir}/kf6/akonadi_knut_resource
%{_kf6_iconsdir}/hicolor/*/*/akonadi.*
%{_kf6_datadir}/kdevappwizard/templates/akonadiresource.tar.bz2
%{_kf6_datadir}/kdevappwizard/templates/akonadiserializer.tar.bz2

%post
%{_sbindir}/update-alternatives \
  --install %{_kf6_sysconfdir}/xdg/akonadi/akonadiserverrc \
  akonadiserverrc \
  %{_kf6_sysconfdir}/xdg/akonadi/akonadiserverrc.sqlite \
  8

%{_sbindir}/update-alternatives \
  --install %{_kf6_sysconfdir}/xdg/akonadi/akonadiserverrc \
  akonadiserverrc \
  %{_kf6_sysconfdir}/xdg/akonadi/akonadiserverrc.mysql \
  10

%postun
if [ $1 -eq 0 ] ; then
%{_sbindir}/update-alternatives \
  --remove akonadiserverrc \
  %{_kf6_sysconfdir}/xdg/akonadi/akonadiserverrc.sqlite
fi

if [ $1 -eq 0 ]; then
%{_sbindir}/update-alternatives \
  --remove akonadiserverrc \
  %{_kf6_sysconfdir}/xdg/akonadi/akonadiserverrc.mysql
fi

#------------------------------------------------------------------------------

%define akonadiprivate_major 6
%define libakonadiprivate %mklibname kpim6akonadiprivate %{akonadiprivate_major}

%package -n     %libakonadiprivate
Summary:        Akonadi Private library
Group:          System/Libraries

%description -n %libakonadiprivate
Akonadi Private library.

%files -n %libakonadiprivate
%_kf6_libdir/libKPim6AkonadiPrivate.so.%{akonadiprivate_major}{,.*}

#------------------------------------------------------------------------------

%define kpimakonadicore_major 6
%define libkpimakonadicore %mklibname kpim6akonadicore %{kpimakonadicore_major}

%package -n     %libkpimakonadicore
Summary:        Akonadi Core library
Group:          System/Libraries

%description -n %libkpimakonadicore
Akonadi Core library.

%files -n %libkpimakonadicore
%_kf6_libdir/libKPim6AkonadiCore.so.%{kpimakonadicore_major}{,.*}

#------------------------------------------------------------------------------

%define kpimakonadiagentbase_major 6
%define libkpimakonadiagentbase %mklibname kpim6akonadiagentbase %{kpimakonadiagentbase_major}

%package -n     %libkpimakonadiagentbase
Summary:        Akonadi Agent Base library
Group:          System/Libraries

%description -n %libkpimakonadiagentbase
Akonadi Agent Base library.

%files -n %libkpimakonadiagentbase
%_kf6_libdir/libKPim6AkonadiAgentBase.so.%{kpimakonadiagentbase_major}{,.*}

#------------------------------------------------------------------------------

%define kpimakonadiwidgets_major 6
%define libkpimakonadiwidgets %mklibname kpim6akonadiwidgets %{kpimakonadiwidgets_major}

%package -n     %libkpimakonadiwidgets
Summary:        Akonadi Widgets library
Group:          System/Libraries

%description -n %libkpimakonadiwidgets
Akonadi Widgets library.

%files -n %libkpimakonadiwidgets
%_kf6_libdir/libKPim6AkonadiWidgets.so.%{kpimakonadiwidgets_major}{,.*}

#------------------------------------------------------------------------------

%define kpimakonadixml_major 6
%define libkpimakonadixml %mklibname kpim6akonadixml %{kpimakonadixml_major}

%package -n     %libkpimakonadixml
Summary:        Akonadi Xml library
Group:          System/Libraries

%description -n %libkpimakonadixml
Akonadi Xml library.

%files -n %libkpimakonadixml
%_kf6_libdir/libKPim6AkonadiXml.so.%{kpimakonadixml_major}{,.*}

#------------------------------------------------------------------------------

%define akonadi_devel %mklibname kpim6akonadi -d

%package -n     %akonadi_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       akonadi = %epoch:%version-%release
Requires:       %libakonadiprivate = %epoch:%version-%release
Requires:       %libkpimakonadicore = %epoch:%version-%release
Requires:       %libkpimakonadiagentbase = %epoch:%version-%release
Requires:       %libkpimakonadiwidgets = %epoch:%version-%release
Requires:       %libkpimakonadixml = %epoch:%version-%release
Requires:       boost-devel

Provides:       akonadi-devel = %epoch:%version-%release

%description -n %akonadi_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %akonadi_devel
%{_includedir}/KPim6/*
%{_kf6_libdir}/*.so
%{_kf6_libdir}/cmake/KPim6Akonadi/
%{_kf6_datadir}/dbus-1/interfaces/*.xml

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DMYSQLD_EXECUTABLE=%{_kf6_sbindir}/mysqld \
           -DINSTALL_APPARMOR:BOOL=OFF
%cmake_build

%install
%cmake_install

# We own this as this is present in some packages like korganiser/kmail
mkdir -p %{buildroot}%{_kf6_libdir}/%{name}
mkdir -p %{buildroot}%{_kf6_datadir}/%{name}/agents
mkdir -p %{buildroot}%{_kf6_datadir}/%{name}/plugins

install -m644 %{SOURCE10} %{buildroot}%{_kf6_sysconfdir}/xdg/%{name}/akonadiserverrc.mysql
install -m644 %{SOURCE11} %{buildroot}%{_kf6_sysconfdir}/xdg/%{name}/akonadiserverrc.sqlite

touch -d %{mysql_conf_timestamp} \
  %{buildroot}%{_kf6_sysconfdir}/xdg/%{name}/mysql-global*.conf \
  %{buildroot}%{_kf6_sysconfdir}/xdg/%{name}/mysql-local.conf

# %%ghost'd global akonadiserverrc
touch akonadiserverrc
install -p -m644 -D akonadiserverrc %{buildroot}%{_kf6_sysconfdir}/xdg/%{name}/akonadiserverrc

## unpackaged files
# omit mysql-global-mobile.conf
rm -fv %{buildroot}%{_kf6_sysconfdir}/xdg/%{name}/mysql-global-mobile.conf

%find_lang %name --all-name
