#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%global __requires_exclude devel\\(libKF6
%define kontact_mobile 1
%define _cmake_skip_rpath %nil

%define rel 1

Name:           akonadiconsole
Summary:        Console that help debugging Akonadi
Epoch:          2
Version: 25.04.0
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://kontact.kde.org
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%{version}.tar.xz
# FIXME missing 32bit support for messagelib
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

# Qt6 package
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Test)

# KF6 package
BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6ItemModels)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6ItemViews)
BuildRequires:  cmake(KF6KIO)

# KdepimLibs Package
BuildRequires:  cmake(KPim6Akonadi)
BuildRequires:  cmake(KF6Contacts)
BuildRequires:  cmake(KF6CalendarCore)
BuildRequires:  cmake(KPim6Mime)
BuildRequires:  cmake(KPim6AkonadiMime)
BuildRequires:  cmake(KPim6Libkdepim)
BuildRequires:  cmake(KPim6AkonadiContactWidgets)
BuildRequires:  cmake(KPim6CalendarSupport)
BuildRequires:  cmake(KPim6MessageViewer)
BuildRequires:  cmake(KPim6AkonadiSearch)
#
BuildRequires:  pkgconfig(xapian-core)

# see in mga#22707
Requires:       akonadi-search

%description
Console that help debugging Akonadi.

%files -f %{name}.lang
%_kf6_categoriesdir/akonadiconsole.categories
%_kf6_categoriesdir/akonadiconsole.renamecategories
%_kf6_bindir/akonadiconsole
%_kf6_applicationsdir/org.kde.akonadiconsole.desktop
%_kf6_iconsdir/*/*/*/akonadiconsole.*

#------------------------------------------------------------------------------

%define akonadiconsole_major 6
%define libakonadiconsole %mklibname akonadiconsole %akonadiconsole_major

%package -n %libakonadiconsole
Summary:        Console that help debugging Akonadi
Group:          System/Libraries
Requires:       %name >= %epoch:%version-%release

%description -n %libakonadiconsole
Console that help debugging Akonadi.

%files -n %libakonadiconsole
%_kf6_libdir/libakonadiconsole.so.%{akonadiconsole_major}{,.*}

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install

%find_lang %{name}
