#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%global __requires_exclude devel\\(libKF6
%define _cmake_skip_rpath %nil

%define rel 1

Name:           akregator
Epoch:          2
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        A Feed Reader for KDE
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://apps.kde.org/akregator/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%{version}.tar.xz
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6WebEngineWidgets)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6NotifyConfig)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6Syndication)
BuildRequires:  cmake(KF6Codecs)
BuildRequires:  cmake(KF6StatusNotifierItem)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  cmake(KPim6GrantleeTheme) >= 6.2.80
BuildRequires:  cmake(KPim6KontactInterface) >= 6.2.80
BuildRequires:  cmake(KPim6Libkdepim) >= 6.2.80
BuildRequires:  cmake(KPim6MessageViewer) >= 6.2.80
BuildRequires:  cmake(KF6TextEditTextToSpeech)
BuildRequires:  cmake(KF6TextAddonsWidgets)
BuildRequires:  cmake(KF6TextUtils)
BuildRequires:  cmake(KPim6WebEngineViewer)
BuildRequires:  cmake(KPim6PimCommon)
BuildRequires:  cmake(KPim6PimCommonActivities)

BuildRequires:  cmake(KF6UserFeedback)

Requires:       qt6-qtwebengine
Requires:       libkdepim

Recommends:     akregator-handbook


%description
Akregator is a news feed reader for the KDE desktop. It enables you to
follow news sites, blogs and other RSS/Atom-enabled websites without
the need to manually check for updates using a web browser. Akregator
is designed to be both easy to use and to be powerful enough to read
hundreds of news sources conveniently. It comes with Konqueror
integration for adding news feeds and with an internal browser for
easy news reading.

%files -f %name.lang
%_kf6_categoriesdir/akregator.categories
%_kf6_categoriesdir/akregator.renamecategories
%_kf6_bindir/akregator
%_kf6_bindir/akregatorstorageexporter
%_qt6_plugindir/akregator*
%_qt6_plugindir/pim6/kcms/akregator/
%_kf6_applicationsdir/org.kde.akregator.desktop
%_kf6_metainfodir/org.kde.akregator.appdata.xml
%_kf6_datadir/config.kcfg/akregator.kcfg
%_kf6_datadir/dbus-1/interfaces/org.kde.akregator.part.xml
%_kf6_knotificationsdir/akregator.notifyrc
%_kf6_iconsdir/*/*/*/akregator*.*
# Kontact integration
%_qt6_plugindir/pim6/kontact/kontact_akregatorplugin.so

#------------------------------------------------------------------------------

%define akregatorinterfaces_major 6
%define libakregatorinterfaces %mklibname akregatorinterfaces %akregatorinterfaces_major

%package -n %libakregatorinterfaces
Summary:        KDEPIM library
Group:          System/Libraries

%description -n %libakregatorinterfaces
KDEPIM library.

%files -n %libakregatorinterfaces
%_kf6_libdir/libakregatorinterfaces.so.%{akregatorinterfaces_major}{,.*}

#------------------------------------------------------------------------------

%define akregatorprivate_major 6
%define libakregatorprivate %mklibname akregatorprivate %akregatorprivate_major

%package -n %libakregatorprivate
Summary:        KDEPIM library
Group:          System/Libraries

%description -n %libakregatorprivate
KDEPIM library.

%files -n %libakregatorprivate
%_kf6_libdir/libakregatorprivate.so.%{akregatorprivate_major}{,.*}

#------------------------------------------------------------------------------

%package -n akregator-handbook
Summary:        Akregator handbook
Group:          Documentation
BuildArch:      noarch

%description -n akregator-handbook
This package provides akregator handbook.

%files -n akregator-handbook
%_kf6_docdir/HTML/*/akregator

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install
%find_lang %name
