%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Simple menu editor for Gnome
Name:		alacarte
Version:	3.54.1
Release:	%mkrel 2
Group:		System/Configuration
License:	LGPLv2+
URL:		https://gitlab.gnome.org/GNOME/alacarte
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	desktop-file-utils
BuildRequires:	docbook-style-xsl
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	python3-devel
BuildRequires:	pkgconfig(libgnome-menu-3.0)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	xsltproc
Provides:	smeg = %{version}-%{release}
Requires:	python3-gobject3
Requires:	gnome-menus

%description
Alacarte is a menu editor for GNOME that lets you get things done,
simply and quickly.

Just click and type to edit, add, and delete any menu entry.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%find_lang %name --with-gnome

desktop-file-install --vendor="" \
  --add-category="GNOME" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# python shebangs
%{py3_shebang_fix} %{buildroot}%{_bindir}/alacarte

%files -f %{name}.lang
%doc README.md AUTHORS NEWS
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_metainfodir}/org.gnome.%{name}.metainfo.xml
%{_mandir}/man1/%{name}.1*
%{python3_sitelib}/Alacarte/
