Name:    aladin
Version: 9.013
Release: %mkrel 5
Summary: The Aladin Sky Atlas

Group:    Sciences/Astronomy
License:  GPLv3
URL:      https://aladin.u-strasbg.fr/aladin.gml

Source0:  AladinSrc-%{version}.jar
Source1:  aladin.bin
#Source2: Aladin-FAQ.html
#Source3: aladin.pdf
Source4:  aladin.desktop
Source5:  aladin.png
Source6:  jhealpixSmall.jar

Patch1:	  AladinSrc-9.013-fix-javasupport.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: desktop-file-utils
BuildRequires: ant

Requires:  java  >= 1.6
Requires:  jpackage-utils

BuildArch: noarch

%description
Aladin is an interactive software sky atlas allowing the user to
visualize digitized astronomical images, superimpose entries from
astronomical catalogues or databases, and interactively access related
data and information from the Simbad database, the VizieR service and
other archives for all known sources in the field (see available
data). This is a widely-used tool capable of addressing challenges
such as locating data of interest, accessing and exploring distributed
datasets, visualizing multi-wavelength data.


%prep
%setup -q -c
cp %{SOURCE6} .
%autopatch -p1

%build
ant -lib .

%install
mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 *.jar %{buildroot}%{_javadir}
install -m 755 %{SOURCE1} %{buildroot}%{_bindir}/aladin
install -m 644 %{SOURCE5} %{buildroot}%{_datadir}/pixmaps

desktop-file-install \
  --dir=%{buildroot}/%{_datadir}/applications %{SOURCE4}

%files
%{_bindir}/aladin
%{_javadir}/*.jar
%{_datadir}/applications/aladin.desktop
%{_datadir}/pixmaps/aladin.png
