%define major   0.26
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           albert
Version:        0.26.7
Release:        %mkrel 2
Summary:        A fast and flexible keyboard launcher
License:        GPLv2+
Group:          Graphical desktop/Other
URL:            https://github.com/albertlauncher/albert
Source0:        https://github.com/albertlauncher/albert/releases/download/v%{version}/v%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pybind11-devel
BuildRequires:  pkgconfig(muparser)
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(libqalculate) >= 2.2.1
BuildRequires:  pkgconfig(xext)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6StateMachine)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Widgets)

# Required for notify-send, used for un-implemented actions:
Requires:       libnotify
# mga#25029
Requires:       qt6-database-plugin-sqlite

%description
Access everything with virtually zero effort. Run applications, open files
or their paths, open bookmarks in your browser, search the web, calculate
things and a lot more …

Albert is a desktop agnostic launcher. Its goals are usability and beauty,
performance and extensibility. It is written in C++ and based on the Qt
framework.

%package -n %{libname}
Summary:        Shared library for %{name}
Group:          System/Libraries

%description -n %{libname}
This package provides shared library for %{name}.

%package -n %{devname}
Summary:        Development package for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -n %{name}

%build
%cmake_qt6 -DCMAKE_INSTALL_LIBDIR="%{_lib}" \
           -DCMAKE_SKIP_RPATH=OFF \
           -DCMAKE_FIND_PACKAGE_RESOLVE_SYMLINKS=ON \
           -DQHOTKEY_INSTALL=OFF \
           -DBUILD_PLUGIN_APPLICATIONS=ON \
           -DBUILD_PLUGIN_CAFFEINE=ON \
           -DBUILD_PLUGIN_CALCULATOR_QALCULATE=ON \
           -DBUILD_PLUGIN_CHROMIUM=ON \
           -DBUILD_PLUGIN_CLIPBOARD=ON \
           -DBUILD_PLUGIN_DATETIME=ON \
           -DBUILD_PLUGIN_DEBUG=OFF \
           -DBUILD_PLUGIN_DICTIONARY=ON \
           -DBUILD_PLUGIN_FILES=ON \
           -DBUILD_PLUGIN_HASH=ON \
           -DBUILD_PLUGIN_MPRIS=ON \
           -DBUILD_PLUGIN_PATH=ON \
           -DBUILD_PLUGIN_PYTHON=ON \
           -DBUILD_PLUGIN_SNIPPETS=ON \
           -DBUILD_PLUGIN_SSH=ON \
           -DBUILD_PLUGIN_SYSTEM=ON \
           -DBUILD_PLUGIN_TIMER=ON \
           -DBUILD_PLUGIN_TIMEZONES=ON \
           -DBUILD_PLUGIN_URLHANDLER=ON \
           -DBUILD_PLUGIN_VPN=ON \

%cmake_build

%install
%cmake_install

%files
%{_bindir}/albert
%{_datadir}/albert/
%{_iconsdir}/hicolor/scalable/apps/albert.svg
%{_datadir}/applications/albert.desktop
%{_libdir}/albert/

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/Albert/
