Name:		alexandra
Version:	1.5.1
Release:	%mkrel 9
Summary:	Small, fast, but powerful video library
License:	GPLv2
Group:		Video/Utilities
URL:		https://github.com/eugene-melnik/alexandra
Source0:	https://github.com/eugene-melnik/alexandra/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		alexandra-1.5.1-complete-French-translation.patch
BuildRequires:	pkgconfig(libmediainfo)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	qttools5

%description
Alexandra Video Library — a simple and comfortable program for organization
and management of the your video library. You can completely customize your
movies in a list or a grid, add detailed information, tags, posters, view
technical information about the file and use advanced search.
Small, fast, but powerful video library, written in C++ with Qt5.

**Features:**

 - Lot of fields with information about the film.
 - Automatically retrieving data from the internet.
 - Fast filtration in the view and powerful advanced search.
 - Fully customizable user interface.
 - Selection of your favourite player.
 - Hard drive scanner.
 - Random film selection.
 - Views statistics.
 - MediaInfo built-in.
 - Portable version.

%prep
%autosetup -p1

%build
%qmake_qt5 %{name}.pro
%make_build

%install
%qmakeinstall_std

%files
%doc CHANGELOG README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}*.desktop
%{_iconsdir}/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
