%define uname   allegro
%define major   4.4
%define libname %mklibname %{uname} %{major}
%define	devname %mklibname %{uname}4 -d
%define	testlib %mklibname %{uname}-testing %{major}

Name:           allegro4
Version:        4.4.3.1
Release:        %mkrel 7
Summary:        Game programming library
Group:          System/Libraries
License:        Public Domain
URL:            https://liballeg.org/
Source0:        https://github.com/liballeg/allegro5/releases/download/%{version}/%{uname}-%{version}.tar.gz
Patch1:         allegro-4.0.3-cfg.patch
Patch2:         allegro-4.0.3-libdir.patch
Patch3:         allegro-4.4.2-doc-install.patch
Patch4:         allegro-4.4.2-buildsys-fix.patch
# gnome-shell starts apps while gnome-shell has the keyb grabbed...
Patch5:         allegro-4.4.2-keybgrab-fix.patch
# 4.4.3 has dropped the fadd/fsub etc aliases, but some apps need them
Patch6:         allegro-4.4.2-compat-fix-aliases.patch
Patch7:         https://src.fedoraproject.org/cgit/rpms/allegro.git/plain/allegro-4.4.3-datafile-double-free.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(audiofile)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(xxf86dga)
BuildRequires:  pkgconfig(xxf86vm)
BuildRequires:  texinfo
%ifarch %ix86
BuildRequires:  svgalib-devel
%endif
Obsoletes:      allegro-testing < 4.4.2-9
Provides:       allegro-testing = %{version}-%{release}
Obsoletes:      allegro-arts-plugin < 4.4.2-9
# Renamed to allegro4 during mga6 dev
Obsoletes:      allegro < 4.4.2-9
Provides:       allegro = %{version}-%{release}

%description
Allegro is a library of functions for use in computer games.

%package -n %{libname}
Summary:        Game programming library
Group:          System/Libraries
Provides:       lib%{uname} = %{version}-%{release}
Provides:       %{testlib} = %{version}-%{release}
Obsoletes:      %{testlib} < 4.4.2-9
Recommends:     %{name} >= %{version}

%description -n %{libname}
Allegro is a library of functions for use in computer games.

%package -n %{devname}
Summary:        Game programming library
Group:          Development/C++
Requires:       %{libname} = %{version}
Provides:       lib%{uname}-devel = %{version}-%{release}
Provides:       %{uname}-devel = %{version}-%{release}
Provides:       %{uname}4-devel = %{version}-%{release}
Provides:       %{testlib}-devel = %{version}-%{release}
Obsoletes:      allegro-devel < 4.4.2-9
Obsoletes:      %{testlib}-devel < 4.4.2-9
Obsoletes:      %{_lib}allegro4.2-devel < 4.4.2-9

%description -n %{devname}
Allegro is a library of functions for use in computer games.
This package contains files needed to build programs using Allegro.

%package jack-plugin
Summary:        Allegro JACK (Jack Audio Connection Kit) plugin
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}
# Renamed to allegro4 during mga6 dev
Obsoletes:      allegro-jack-plugin < 4.4.2-9
Provides:       allegro-jack-plugin = %{version}-%{release}

%description jack-plugin
This package contains a plugin for Allegro which enables Allegro to playback
sound through JACK (Jack Audio Connection Kit).

%prep
%autosetup -p1 -n %{uname}-%{version}

iconv -f iso-8859-1 -t utf-8 docs/src/allegro._tx > docs/src/allegro._tx.tmp
mv docs/src/allegro._tx.tmp docs/src/allegro._tx

%build
%ifnarch %{ix86}
export CFLAGS="%{optflags} -fPIC"
%endif

%cmake
%cmake_build

find demos examples setup -type f -perm +111 -print | xargs rm -rf

%install
%cmake_install

# (from fedora) installation of these is broken, because they use a cmake GLOB, but
# that gets "resolved" when runnning cmake, and at that time the files
# to install aren't generated yet ...
install -d -m 755 %{buildroot}%{_mandir}/man3
install -D -m 644 build/docs/man/*3* %{buildroot}%{_mandir}/man3
install -d -m 755 %{buildroot}%{_infodir}
install -D -m 644 allegro.cfg %{buildroot}%{_sysconfdir}/allegrorc
install -p -m 755 tools/x11/xfixicon.sh %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_datadir}/allegro
install -D -m 644 keyboard.dat language.dat %{buildroot}%{_datadir}/allegro
install -D -m 644 misc/allegro.m4 %{buildroot}%{_datadir}/aclocal/allegro.m4

# Include an internal header file with a reference that was made opaque in 4.4.3
# for compatibility with older software that expects it.
install -D -m 644 -p addons/logg/loggint.h %{buildroot}%{_includedir}/loggint.h

rm -rf %{buildroot}%{_prefix}/doc

%files
%doc %{_docdir}/%{uname}-4.4.3/*
%{_bindir}/colormap
%{_bindir}/dat
%{_bindir}/dat2c
%{_bindir}/dat2s
%{_bindir}/exedat
%{_bindir}/grabber
%{_bindir}/pack
%{_bindir}/pat2dat
%{_bindir}/rgbmap
%{_bindir}/textconv
%{_bindir}/xfixicon.sh
%{_datadir}/%{uname}/
%dir %{_libdir}/%{uname}
%dir %{_libdir}/%{uname}/4.4.3
%{_libdir}/%{uname}/4.4.3/alleg-alsadigi.so
%{_libdir}/%{uname}/4.4.3/alleg-alsamidi.so
%{_libdir}/%{uname}/4.4.3/alleg-dga2.so
%{_libdir}/%{uname}/4.4.3/modules.lst
%config(noreplace) %{_sysconfdir}/allegrorc

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{devname}
%doc *.txt
%doc docs/txt/abi.txt docs/txt/ahack.txt docs/txt/allegro.txt
%doc docs/txt/const.txt docs/txt/faq.txt docs/txt/help.txt
%doc docs/html
%doc demos examples setup
%{_bindir}/%{uname}-config
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*.h
%{_includedir}/%{uname}/
%{_includedir}/%{uname}gl/
%{_datadir}/aclocal/%{uname}.m4
%{_mandir}/man3/*.3*
%{_infodir}/%{uname}.info*

%files jack-plugin
%{_libdir}/%{uname}/4.4.3/alleg-jack.so
