%global _legacy_common_support 1

%define	major		0
%define	libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Docks any application into the system tray
Name:		alltray
Version:	0.71b
Release:	%mkrel 15
Group:		Graphical desktop/Other
License:	GPLv2+
Url:		https://launchpad.net/alltray
Source0:	https://launchpad.net/alltray/old-maintenance/%{version}/+download/%{name}-%{version}.tar.gz
Patch0:		alltray-0.71a-fix_linking.patch
Patch1:		alltray-missing-include.patch
BuildRequires:	gtk+2-devel
BuildRequires:  GConf2
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gdk-pixbuf-xlib-2.0)

%description
With AllTray you can dock any application with no native tray icon
(like Evolution, Thunderbird, Terminals) into the system tray.
A high-light feature is that a click on the "close" button
will minimize back to system tray. It works well with Gnome,
KDE, XFCE 4*, Fluxbox* and WindowMaker*.

  *no drag 'n drop support. Enable with "-nm" option.

%package -n	%{libname}
Summary:	Shared library for alltray
Group:		System/Libraries

%description -n	%{libname}
Shared library for alltray.

%package -n %{develname}
Summary:	Development libraries for alltray
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development libraries for alltray.

%prep
%setup -q
%patch -P 0 -p0
%patch -P 1 -p1

#fix .desktop file
sed -i -e 's|%{name}.png|%{name}|' -e 's|Application;|GTK;|' %{name}.desktop

%build
# to recognize aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

#we don't want this
rm -rf %{buildroot}%{_libdir}/liballtray.la

%files
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1*

%files -n %{libname}
%{_libdir}/liballtray.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/liballtray.so
