%define _smp_ncpus_max 1

%define oname re-alpine
%define over 2.03

Summary: Alpine mail user agent
Name: alpine
Version: 2.26
Release: %mkrel 5
License: ASL 2.0
Group: Networking/Mail
URL:     https://alpineapp.email/
Source:  https://alpineapp.email/alpine/release/src/%name-%version.tar.xz
# from git upstream (https://repo.or.cz/alpine.git)
Patch1:  0001-If-kerberos-is-not-fully-installed-remove-it-from-th.patch
Patch2:  0002-Crash-in-PC-Alpine-when-postponing-a-message.-Report.patch
Patch3:  0003-Cleaning-up-some-memory-leaks-reported-by-Valgrind.-.patch
Patch4:  0004-Update-to-reflect-the-change-from-alpine.x10host.com.patch
Patch5:  0005-Fix-regression-introduced-by-f95e2d179774739a8854681.patch
Patch6:  0006-Update-configure-script-according-to-previous-change.patch
Patch7:  0007-Fixes-to-documentation-by-Dennis-Davis.patch
Patch8:  0008-Improvements-to-error-detection-for-the-eXternal-com.patch
Patch9:  0009-Improvements-in-the-http-code-in-processing-http-hea.patch
Patch10: 0010-Fixes-to-the-configure-script-that-prevented-Alpine-.patch
Patch11: 0011-Addition-of-a-first-attempt-to-transform-a-json-stru.patch
Patch12: 0012-Microsoft-servers-do-not-deal-well-with-a-message-th.patch
Patch13: 0013-New-version-2.26.patch
Patch14: 0014-Add-support-for-tab-completion-when-selecting-by-rul.patch
Patch15: 0015-Add-documentation-to-the-release-notes-about-the-abi.patch
Patch16: 0016-Add-support-for-tab-completion-when-selecting-by-key.patch
Patch17: 0017-When-a-user-configures-a-mailbox-without-specifying-.patch
Patch18: 0018-Fixes-to-the-configure-script-by-Florian-Meyer-to-fi.patch
Patch19: 0019-For-mailing-lists-Alpine-adds-a-description-of-the-t.patch
Patch20: 0020-Fix-to-the-configure-script-to-not-to-use-the-passwo.patch
Patch21: 0021-Fix-a-crash-in-Alpine-due-to-incorrectly-formated-da.patch
Patch22: 0022-Fix-for-file-imap-Makefile-contributed-by-Paul-Ferst.patch
#
# extra features, see: https://alpineapp.email/alpine/index.html
Patch100: https://alpineapp.email/alpine/patches/alpine-%version/maildir.patch.gz#/maildir-%{version}.patch.gz
# original patch at https://alpineapp.email/alpine/patches/alpine-%version/fancy.patch.gz#/fancy-%{version}.patch.gz
# rediffed
Patch101: fancy-%{version}-rediff.patch.gz
Patch102: https://alpineapp.email/alpine/patches/alpine-%version/fillpara.patch.gz#/fillpara-%{version}.patch.gz
Patch103: https://alpineapp.email/alpine/patches/alpine-%version/compose.patch.gz#/compose-%{version}.patch.gz
Patch104: https://alpineapp.email/alpine/patches/alpine-%version/longurl.patch.gz#/longurl-%{version}.patch.gz

# from FC
Patch120: alpine-2.23-gcc10.patch
#
BuildRequires: hunspell
BuildRequires: pkgconfig(ncurses)
BuildRequires: pkgconfig(libntlm)
BuildRequires: pam-devel
BuildRequires: pkgconfig(openssl) >= 1.1.0
BuildRequires: libldap-devel
BuildRequires: gettext-devel
Conflicts: pine
Requires: hunspell
Requires: mailcap

%description
Alpine is a tool for reading, sending, and managing e-mail and
internet news (usenet) messages. It is the successor to Pine and
was developed by Computing & Communications at the University of
Washington.

Though originally designed for inexperienced email users,
Alpine supports many advanced features and a large number of
configuration and personal-preference options.

This package contains re-alpine, a continuation of alpine, as well
as changes from http://alpine.freeiz.com/ releases 2.10 and 2.11.
It is patched to add support for maildir style mailboxes.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
touch imap/ip6
%configure \
  --enable-debug=no \
  --without-tcl \
  --with-c-client-target=lfd \
  --with-smtp-msa=/usr/sbin/sendmail \
  --with-npa=/usr/bin/inews \
  --with-passfile=.alpine.passfile \
  --with-simple-spellcheck=hunspell \
  --with-interactive-spellcheck=hunspell \
  --with-system-pinerc=%{_sysconfdir}/pine.conf \
  --with-system-fixed-pinerc=%{_sysconfdir}/pine.conf.fixed
%make_build

%install
%make_install

# create/touch %ghost'd files
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
touch $RPM_BUILD_ROOT%{_sysconfdir}/pine.conf
touch $RPM_BUILD_ROOT%{_sysconfdir}/pine.conf.fixed

%files
%doc README LICENSE
%{_bindir}/alpine
%{_bindir}/pico
%{_bindir}/pilot
%{_bindir}/rpload
%{_bindir}/rpdump
%{_mandir}/man1/alpine.1*
%{_mandir}/man1/pico.1*
%{_mandir}/man1/pilot.1*
%{_mandir}/man1/rpload.1*
%{_mandir}/man1/rpdump.1*
%ghost %config(noreplace) %{_sysconfdir}/pine.conf
%ghost %config(noreplace) %{_sysconfdir}/pine.conf.fixed
