%define _binaries_in_noarch_packages_terminate_build 0
%define firm_beta 0

%define firmvers 1.2.4

%if %{firm_beta}
%define firm_name alsa-firmware-%{firmvers}%{firm_beta}
%else
%define firm_name alsa-firmware-%{firmvers}
%endif

Name:		alsa-firmware
Version:	1.2.4
%if %{firm_beta}
Release:	%mkrel 0.%{firm_beta}.3
%else
Release:	%mkrel 2
%endif
Summary:	Advanced Linux Sound Architecture (ALSA) tools
Group:		System/Kernel and hardware
# use the licenses figured out by Fedora, for a break down of where each license
# comes from see:
# https://src.fedoraproject.org/rpms/alsa-firmware/blob/rawhide/f/alsa-firmware.spec
License:	GPLv1+ and BSD and GPLv2+ and GPLv2 and LGPLv2+
URL:		https://alsa-project.org/
Source0:	https://www.alsa-project.org/files/pub/firmware/%{firm_name}.tar.bz2
BuildArch:	noarch

BuildRequires:	automake
BuildRequires:	autoconf

Requires:	alsa-tools-firmware >= 1.1.7
Requires:	udev

Provides:	aica-firmware = %{version}-%{release}
Provides:	asihpi-firmware = %{version}-%{release}
Provides:	emagic-firmware = %{version}-%{release}
Provides:	emu1010-firmware = %{version}-%{release}
Provides:	sb16-firmware = %{version}-%{release}
Provides:	korg1212-firmware = %{version}-%{release}
Provides:	maestro3-firmware = %{version}-%{release}
Provides:	turtlebeach-firmware = %{version}-%{release}
Provides:	yamaha-firmware = %{version}-%{release}
Obsoletes:	aica-firmware < %{version}-%{release}
Obsoletes:	asihpi-firmware < %{version}-%{release}
Obsoletes:	emagic-firmware < %{version}-%{release}
Obsoletes:	emu1010-firmware < %{version}-%{release}
Obsoletes:	sb16-firmware < %{version}-%{release}
Obsoletes:	korg1212-firmware < %{version}-%{release}
Obsoletes:	maestro3-firmware < %{version}-%{release}
Obsoletes:	turtlebeach-firmware < %{version}-%{release}
Obsoletes:	yamaha-firmware < %{version}-%{release}

# (ahmad) provide echomixer-firmware, and not echomixer, so as not to obsolete
# echomixer here and in alsa-tools; urpmi can't soomthly handle a package
# obsoleted by two packages
Provides:	echomixer-firmware = %{version}-%{release}

# sof is nonfree package because built from binaries
Recommends:	alsa-sof-firmware

%description
This package contains the firmware binaries for a number of sound cards.
Some (but not all of these) require firmware loaders which are included in
the alsa-tools-firmware package.

%prep
%autosetup -p1

%build
# Leaving this directory in place ends up with the following crazy, broken
# symlinks in the output RPM, with no sign of the actual firmware (*.bin) files
# themselves:
#
# /lib/firmware/turtlebeach:
# msndinit.bin -> /etc/sound/msndinit.bin
# msndperm.bin -> /etc/sound/msndperm.bin
# pndsperm.bin -> /etc/sound/pndsperm.bin
# pndspini.bin -> /etc/sound/pndspini.bin
#
# Probably an upstream package bug.
sed -i s#'multisound/Makefile \\'## configure.ac
sed -i s#multisound## Makefile.am

autoreconf -fi
export CC_FOR_BUILD=%__cc
%configure --with-hotplug-dir=/lib/firmware --disable-loader
%make_build

# (Fedora) Rename README files from firmware subdirs that have them
for i in hdsploader mixartloader pcxhrloader usx2yloader vxloader ca0132
do
  mv ${i}/README README.${i}
done
mv aica/license.txt LICENSE.aica_firmware
mv aica/Dreamcast_sound.txt aica_dreamcast_sound.txt
mv ca0132/creative.txt LICENSE.creative_txt

%install
%make_install

%files
%license LICENSE*
%doc COPYING README*
%doc aica_dreamcast_sound.txt
/lib/firmware/asihpi
/lib/firmware/cs46xx/
/lib/firmware/ea/
/lib/firmware/emu/
/lib/firmware/korg/k1212.dsp
/lib/firmware/pcxhr/
/lib/firmware/vx/
/lib/firmware/yamaha/
/lib/firmware/sb16/
/lib/firmware/mixart/
/lib/firmware/ess/
/lib/firmware/*.bin

%dir %{_datadir}/alsa/firmware
%{_datadir}/alsa/firmware/usx2yloader
