%define beta 0

%define lib_major 0
%define pre rc4
%define rel 3

%define lib_name %mklibname %{name} %{lib_major}
%define develname %mklibname %{name} -d
%if %{beta}
%define fname %{name}-%{version}%{pre}
%else
%define fname %{name}-%{version}
%endif

Summary:	Advanced Linux Sound Architecture (ALSA) library
Name:		alsa-oss
Epoch:		1
Version:	1.1.8
%if %{beta}
Release:	%mkrel 0.%{pre}.%{rel}
%else
Release:	%mkrel %{rel}
%endif
License:	GPLv2
Group:		Sound/Utilities
Url:		https://www.alsa-project.org/
Source0:	ftp://ftp.alsa-project.org/pub/oss-lib/%{fname}.tar.bz2
Patch0:		alsa-oss-1.0.12-aoss.patch 
BuildRequires:	doxygen
BuildRequires:	pkgconfig(alsa) > 1.0.5

Requires:	kernel >= 2.4.18

%description
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.

Using the ALSA api requires to use the ALSA library.
This library provides oss compatibility

%package -n %{lib_name}
Summary:    Advanced Linux Sound Architecture (ALSA) library
Group:      System/Libraries
Provides:   %{name} = %{version}-%{release}
Provides:   lib%{name} = %{version}-%{release}

%description -n %{lib_name}
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.

Using the ALSA api requires to use the ALSA library.
This library provides oss compatibility

%package -n %{develname}
Summary:    Development files for Advanced Linux Sound Architecture (ALSA)
Group:      Development/C
Requires:   %{lib_name} = %{epoch}:%{version}
Obsoletes:  %{mklibname alsa-oss 1}-devel
Provides:   %{mklibname alsa-oss 1}-devel = %{version}-%{release}
Provides:   lib%{name}-devel = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{develname}
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.

This package contains files needed in order to develop an application
that made use of ALSA.

%package -n aoss
Summary:    Wrapper script to ease ALSA-OSS compatibility library usage
Group:      Development/C
Requires:   %{lib_name} = %{epoch}:%{version}

%description -n aoss
aoss is a simple wrapper script which facilitates the use
of the ALSA OSS compatibility library.
It just sets the appropriate LD_PRELOAD path and then runs the command.

This is useful in cases where routing settings (which can
be made in your .asoundrc file) need to be applied to commands that use the
OSS API.


%prep
%autosetup -p1 -n %{fname}

%build
autoreconf -fiv
%configure
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="%ldflags -ldl"

%install
mkdir -p %{buildroot}%{_includedir}/sys
mkdir -p %{buildroot}%{_libdir}
%make_install
rm -f %{buildroot}%{_libdir}/*.a %{buildroot}%{_libdir}/*.la

%files -n %{lib_name}
%doc COPYING
%{_libdir}/*.so.%{lib_major}{,.*}

%files -n %{develname}
%doc COPYING
%{_libdir}/*.so
%{_includedir}/oss-redir.h

%files -n aoss
%doc COPYING
%{_bindir}/aoss
%{_mandir}/man1/aoss.*
