%define libname %mklibname %{name}

Summary:	Advanced Linux Sound Architecture (ALSA) plugins
Name:		alsa-plugins
Version:	1.2.12
Release:	%mkrel 2
# All packages are LGPLv2+ with the exception of samplerate which is GPLv2+
# pph plugin is BSD-like licensed
License:        GPLv2+ and LGPLv2+ and BSD
Group:		Sound/Utilities
URL:		https://www.alsa-project.org/
Source0:	https://www.alsa-project.org/files/pub/plugins//%{name}-%{version}.tar.bz2
Source1:	jack.conf
Source2:	samplerate.conf
Source3:	upmix.conf
Source4:	vdownmix.conf
Source5:	a52.conf

BuildRequires:	kernel-headers >= 2.4.0
BuildRequires:	pkgconfig(alsa) >= %{version}
BuildRequires:	pkgconfig(libpulse) >= 0.8
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(libavcodec)
BuildRequires:	pkgconfig(speex)

%description
Advanced Linux Sound Architecture (ALSA) utilities. Modularized architecture
with support for a large range of ISA and PCI cards. Fully compatible with
OSS/Lite (kernel sound drivers), but contains many enhanced features.

This is the plugins package, which allows you to manipulate ALSA settings.

%package -n	%{libname}
Summary:	Advanced Linux Sound Architecture (ALSA) plugins
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Requires:	libalsa >= %{version}
Requires:	%{name}-config = %{version}

%description -n	%{libname}
Advanced Linux Sound Architecture (ALSA) utilities. Modularized architecture
with support for a large range of ISA and PCI cards. Fully compatible with
OSS/Lite (kernel sound drivers), but contains many enhanced features.

This is the plugins package, which allows you to manipulate ALSA settings.

%package	doc
Summary:	Advanced Linux Sound Architecture (ALSA) plugins
Group:		Documentation
BuildArch:	noarch

%description	doc
Documentation for %{name}.

# (tv) needed for biarch:
%package config
Summary:	Alsa plugins configuration
Group:		System/Configuration
License:	LGPLv2+
BuildArch:	noarch

%description config
This package contains configuration files for ALSA plugins.

# (tv) needed for biarch:
%package	pulse-config
Summary:	Alsa to PulseAudio backend configuration
Group:		System/Configuration
License:	LGPLv2+
BuildArch:	noarch
# (eatdirt) Otherwise config file alone
Requires:	alsa-plugins-pulseaudio
# (cg) For upgrading from old configuration system
Requires(post):	libalsa-data >= 1.0.20-2

%description	pulse-config
This package contains configuration files for the pulse ALSA plugin.

%package -n	%{libname}-pulseaudio
Summary:	Alsa to PulseAudio backend
Group:		System/Libraries
License:	LGPLv2+
Provides:	%{name}-pulseaudio = %{version}-%{release}
Requires:	%{name}-pulse-config
%ifarch x86_64
# (cg) Suggest the 32 bit plugin on 64 bits to ensure compatibility
#      with (typically closed source) 32 bit apps.
Recommends:	lib%{name}-pulseaudio
%endif

%description -n	%{libname}-pulseaudio
This plugin allows any program that uses the ALSA API to access a PulseAudio
sound daemon. In other words, native ALSA applications can play and record
sound across a network. There are two plugins in the suite, one for PCM and
one for mixer control.

%package -n	%{libname}-jack
Summary:	Jack PCM output plugin for ALSA
Group:		System/Libraries
License:	LGPLv2+
Provides:	%{name}-jack = %{version}-%{release}

%description -n	%{libname}-jack
This plugin converts the ALSA API over JACK (Jack Audio Connection
Kit, https://jackit.sf.net/) API.  ALSA native applications can work
transparently together with jackd for both playback and capture.

    ALSA apps (playback) -> ALSA-lib -> JACK plugin -> JACK daemon
    ALSA apps (capture) <- ALSA-lib <- JACK plugin <- JACK daemon

This plugin provides the PCM type "jack"

%package -n	%{libname}-a52
Summary:	A52/AC3 output plugin for ALSA
Group:		System/Libraries
License:	LGPLv2+
Provides:	%{name}-a52 = %{version}-%{release}

%description -n	%{libname}-a52
This plugin supports Digital 5.1 AC3 emulation over S/PDIF (IEC958).

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

install -d %{buildroot}%{_sysconfdir}/alsa

install -d %{buildroot}%{_datadir}/alsa/pcm
install -m 644 %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} %{buildroot}%{_datadir}/alsa/pcm
install -m 644 %{SOURCE5} %{buildroot}%{_datadir}/alsa/alsa.conf.d

# (cg) Include a configuration for when pulse is active
install -d  %{buildroot}%{_sysconfdir}/sound/profiles/pulse

# (cg) Use the "pulseaudio by default" config for the pulse sound profile.
ln -s %{_sysconfdir}/alsa/conf.d/99-pulseaudio-default.conf.example %{buildroot}%{_sysconfdir}/sound/profiles/pulse/alsa-default.conf

%files doc
%doc COPYING* doc/R* doc/*.txt

%files -n %{libname}
%dir %{_libdir}/alsa-lib/
%{_libdir}/alsa-lib/libasound_module_ctl_arcam_av.so
%{_libdir}/alsa-lib/libasound_module_ctl_oss.so
%{_libdir}/alsa-lib/libasound_module_pcm_oss.so
%{_libdir}/alsa-lib/libasound_module_pcm_upmix.so
%{_libdir}/alsa-lib/libasound_module_pcm_usb_stream.so
%{_libdir}/alsa-lib/libasound_module_pcm_vdownmix.so
%{_libdir}/alsa-lib/libasound_module_rate_lavrate.so
%{_libdir}/alsa-lib/libasound_module_rate_lavrate_fast.so
%{_libdir}/alsa-lib/libasound_module_rate_lavrate_faster.so
%{_libdir}/alsa-lib/libasound_module_rate_lavrate_high.so
%{_libdir}/alsa-lib/libasound_module_rate_lavrate_higher.so
%{_libdir}/alsa-lib/libasound_module_rate_samplerate.so
%{_libdir}/alsa-lib/libasound_module_rate_samplerate_best.so
%{_libdir}/alsa-lib/libasound_module_rate_samplerate_linear.so
%{_libdir}/alsa-lib/libasound_module_rate_samplerate_medium.so
%{_libdir}/alsa-lib/libasound_module_rate_samplerate_order.so
%{_libdir}/alsa-lib/libasound_module_rate_speexrate.so
%{_libdir}/alsa-lib/libasound_module_rate_speexrate_best.so
%{_libdir}/alsa-lib/libasound_module_rate_speexrate_medium.so

%files config
%{_datadir}/alsa/pcm/samplerate.conf
%{_datadir}/alsa/pcm/upmix.conf
%{_datadir}/alsa/pcm/vdownmix.conf
%{_datadir}/alsa/alsa.conf.d/10-samplerate.conf
%{_datadir}/alsa/alsa.conf.d/10-rate-lav.conf
%{_datadir}/alsa/alsa.conf.d/10-speexrate.conf
%{_datadir}/alsa/alsa.conf.d/50-arcam-av-ctl.conf
%{_datadir}/alsa/alsa.conf.d/50-oss.conf
%{_datadir}/alsa/alsa.conf.d/60-upmix.conf
%{_datadir}/alsa/alsa.conf.d/60-vdownmix.conf
%{_datadir}/alsa/alsa.conf.d/98-usb-stream.conf
%{_sysconfdir}/alsa/conf.d/10-samplerate.conf
%{_sysconfdir}/alsa/conf.d/10-rate-lav.conf
%{_sysconfdir}/alsa/conf.d/10-speexrate.conf
%{_sysconfdir}/alsa/conf.d/50-arcam-av-ctl.conf
%{_sysconfdir}/alsa/conf.d/50-oss.conf
%{_sysconfdir}/alsa/conf.d/60-upmix.conf
%{_sysconfdir}/alsa/conf.d/60-vdownmix.conf
%{_sysconfdir}/alsa/conf.d/98-usb-stream.conf

%files pulse-config
%{_datadir}/alsa/alsa.conf.d/50-pulseaudio.conf
%{_sysconfdir}/sound/profiles/pulse/alsa-default.conf
%{_sysconfdir}/alsa/conf.d/50-pulseaudio.conf
%{_sysconfdir}/alsa/conf.d/99-pulseaudio-default.conf.example

%files -n %{libname}-pulseaudio
%doc doc/README-pulse
%{_libdir}/alsa-lib/libasound_module_pcm_pulse.so
%{_libdir}/alsa-lib/libasound_module_ctl_pulse.so
%{_libdir}/alsa-lib/libasound_module_conf_pulse.so

%files -n %{libname}-jack
%doc doc/README-jack
%{_datadir}/alsa/pcm/jack.conf
%{_libdir}/alsa-lib/libasound_module_pcm_jack.so
%{_datadir}/alsa/alsa.conf.d/50-jack.conf
%{_sysconfdir}/alsa/conf.d/50-jack.conf

%files -n %{libname}-a52
%{_datadir}/alsa/alsa.conf.d/a52.conf
%{_libdir}/alsa-lib/libasound_module_pcm_a52.so
%{_datadir}/alsa/alsa.conf.d/60-a52-encoder.conf
%{_sysconfdir}/alsa/conf.d/60-a52-encoder.conf
