# sb16_csp is added conditionally!
%define MODULES_NOCSPCTL as10k1 echomixer envy24control hdajackretask hdajacksensetest hda-verb hdspconf hdsploader hdspmixer ld10k1 mixartloader pcxhrloader rmedigicontrol seq/sbiload sscape_ctl us428control usx2yloader vxloader
# qlo10k1 needs l10k1 and thus this package will only bootstrap if it's installed first

%ifarch ppc %mips %arm
%define MODULES %{MODULES_NOCSPCTL}
%else
%define MODULES %{MODULES_NOCSPCTL} sb16_csp
%endif

%define tool_beta 0
%define ld10k1_major 0

%define ld10k1_name lo10k1
%define ld10k1_libname_orig lib%{ld10k1_name}
%define ld10k1_libname %mklibname %{ld10k1_name}_ %{ld10k1_major}
%define ld10k1_devname %mklibname %{ld10k1_name} -d

%if %tool_beta
%define fname	%{name}-%{version}%{tool_beta}
%else
%define fname	%{name}-%{version}
%endif

%define rel 1

Name:		alsa-tools
Version:	1.2.14
%if %{tool_beta}
Release:	%mkrel -c %{tool_beta} %{rel}
%else
Release:	%mkrel %{rel}
%endif
Summary:	Advanced Linux Sound Architecture (ALSA) tools
License:	GPLv2+
Group:		Sound/Utilities
URL:		https://alsa-project.org/
Source0:	ftp://ftp.alsa-project.org/pub/tools/%{fname}.tar.bz2
Source1:	90-alsa-tools-firmware.rules
Patch1:		alsa-tools-1.0.18-sscape_ctl.c.patch
# From Debian: adapt to udev instead of hotplug - AdamW 2008/03
Patch2:		alsa-tools-1.0.16-usx2yloader-udev.patch
# (tv) fix underlinking:
Patch3:		alsa-tools-1.0.17rc1-fix-link.patch
BuildRequires:	pkgconfig(alsa) >= %{version}
BuildRequires:	fltk-devel
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	automake
BuildRequires:	desktop-file-utils

Provides:	envy24control = %{version}-%{release}
Provides:	hdspconf = %{version}-%{release}
Provides:	hdspmixer = %{version}-%{release}
Provides:	rmedigicontrol = %{version}-%{release}
Provides:	sb16_csp = %{version}-%{release}
Provides:	sbiload = %{version}-%{release}
Provides:	sscape_ctl = %{version}-%{release}
Provides:	us428control = %{version}-%{release}
Provides:	as10k1 = %{version}-%{release}
Provides:	echomixer = %{version}-%{release}

%description
Advanced Linux Sound Architecture (ALSA) utils. Modularized 
architecture with support for a large range of ISA and PCI cards.
Fully compatible with OSS/Lite (kernel sound drivers), but 
contains many enhanced features.

This source rpm package provides several sub packages:
* as10k1 - AS10k1 Assembler version A0.99
* cspctl - Sound Blaster 16 ASP/CSP control program
* envy24control - Control tool for Envy24 (ice1712) based sound cards
* hdspmixer - Mixer for the RME Hammerfall DSP cards
* rmedigicontrol - Control panel for RME Hammerfall cards
* sbiload - An OPL2/3 FM instrument loader for ALSA sequencer
* sscape_ctl - ALSA SoundScape control utility
* us428control - Control tool for Tascam 428

%package	firmware
Summary:	ALSA tools for uploading firmware to some sound cards
License:	GPLv1
Group:		System/Kernel and hardware
Requires:	alsa-firmware >= 1.0.25
Provides:	hdsploader = %{version}-%{release}
Provides:	mixartloader = %{version}-%{release}
Provides:	pcxhrloader = %{version}-%{release}
Provides:	usx2yloader = %{version}-%{release}
Provides:	vxloader = %{version}-%{release}

%description	firmware
This package contains tools for flashing firmware into certain sound cards.
The following tools are available:

* hdsploader   - for RME Hammerfall DSP cards
* mixartloader - for Digigram miXart sound cards
* pcxhrloader  - for Digigram PCXHR sound cards
* usx2yloader  - second phase firmware loader for Tascam USX2Y USB sound cards
* vxloader     - for Digigram VX sound cards

%package -n	ld10k1
Summary:	AS10k1 Assembler version A0.99
License:	GPLv1
Group:		System/Kernel and hardware

%description -n	ld10k1
This is patch loader for EMU10K1 (EMU10K2) for ALSA.
This disables AC3 passthrough on SB Live.

There are two parts:
Server - ld10k1 - running as service - it is storing driver state - it must run
under root or by setuided
Client - lo10k1 - controls server and dump loader dl10k1 - loads dumps
previously created with lo10k1 & ld10k1.

ld10k1 will clear card DSP program and you will hear nothing.
You must load some patches to route sound from inputs to outputs (use
audigy_init script for audigy 1, 2 or init_live for sb live).
After loading patch check and set oss mixer emulation through proc file
(/proc/asound/card/oss_mixer)

In directory setup are some patches which I use on my Audigy for testing.
With this you will have exactly same mixer as with original driver (+headphone
control, not tested AudigyDrive inputs and outputs, AC3 passthrough).
Use as10k1 compiler from alsa-tools package to compile patches.

%package -n	%{ld10k1_libname}
Summary:	Ld10k1_ library
Group:		System/Libraries
Provides:	%{ld10k1_libname_orig} = %{version}-%{release}

%description -n	%{ld10k1_libname}
This is the library of ld10k1.

%package -n	%{ld10k1_devname}
Summary:	Development files for l10k1
Group:		Development/C
Requires:	%{ld10k1_libname} = %{version}
Provides:	%{ld10k1_libname_orig}-devel = %{version}-%{release}

%description -n	%{ld10k1_devname}
This package contains files needed in order to develop an application
that made use of the ld10k1 library.

%prep
%autosetup -p1 -n %{fname}

pushd envy24control
touch NEWS ChangeLog
popd

# prepare documentations
for f in as10k1 echomixer envy24control hdspconf hdspmixer rmedigicontrol sb16_csp hdsploader usx2yloader vxloader; do
   if [[ -s "${f}"/README ]]
   then
      cp "${f}"/README "${f}/README-${f}"
   fi
   if [[ -s "${f}"/COPYING ]]
   then
      cp "${f}"/COPYING "${f}/COPYING-${f}"
   fi
      if [[ -s "${f}"/AUTHORS ]]
   then
      cp "${f}"/AUTHORS "${f}/AUTHORS-${f}"
   fi
done
cp seq/sbiload/COPYING seq/sbiload/COPYING-sbiload
cp seq/sbiload/README seq/sbiload/README-sbiload

%build
for i in %{MODULES}; do
pushd ${i}
grep -q AM_CONFIG_HEADER configure.in && sed -i s/AM_CONFIG_HEADER/AC_CONFIG_HEADER/ configure.in
# (tv) force it not to lookup aclocal-1.9 & co
autoreconf -fi
%configure
%make_build
popd
done

%install

for i in %{MODULES}; do
pushd ${i}
  %make_install
popd
done

rm -f %{buildroot}%{_libdir}/*.la

# install menu entries


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-echomixer.desktop << EOF
[Desktop Entry]
Name=Echo mixer
Comment=Control tool for Echoaudio sound cards
Exec=%{_bindir}/echomixer
Icon=sound_section
Terminal=false
Type=Application
Categories=AudioVideo;Audio;Mixer;
EOF


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-envy24control.desktop << EOF
[Desktop Entry]
Name=Envy24control
Comment=Control tool for Envy24 (ice1712) based sound cards
Exec=%{_bindir}/envy24control
Icon=sound_section
Terminal=false
Type=Application
Categories=AudioVideo;Audio;Mixer;
EOF


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-rmedigicontrol.desktop << EOF
[Desktop Entry]
Name=RME Digicontrol
Comment=Control panel for RME Hammerfall
Exec=%{_bindir}/rmedigicontrol
Icon=sound_section
Terminal=false
Type=Application
Categories=AudioVideo;Audio;Mixer;
EOF

desktop-file-install \
	--vendor="" \
	--remove-key="Encoding" \
	--remove-key="FilePattern" \
	--remove-category="Application" \
	--dir=%{buildroot}%{_datadir}/applications/ %{buildroot}%{_datadir}/applications/*


# Fix udev dir
mkdir -p %{buildroot}%{_prefix}/lib/
mv %{buildroot}/lib/udev %{buildroot}%{_prefix}/lib/

# udev rules file for usx2yloader - AdamW 2008/03
mkdir -p %{buildroot}%{_udevrulesdir}
install -p -m 0644 %{SOURCE1} %{buildroot}%{_udevrulesdir}

%files
%doc as10k1/README-as10k1 as10k1/COPYING-as10k1 as10k1/examples
%doc echomixer/{AUTHORS-echomixer,COPYING-echomixer,README-echomixer}
%doc envy24control/{AUTHORS-envy24control,COPYING-envy24control,README-envy24control}
%doc hdspconf/COPYING-hdspconf hdspconf/README-hdspconf
%doc hdspmixer/AUTHORS-hdspmixer hdspmixer/COPYING-hdspmixer hdspmixer/README-hdspmixer
%doc rmedigicontrol/COPYING-rmedigicontrol rmedigicontrol/README-rmedigicontrol
%doc seq/sbiload/COPYING-sbiload seq/sbiload/README-sbiload
%{_bindir}/as10k1
%{_bindir}/echomixer
%{_bindir}/envy24control
%{_bindir}/hda-verb
%{_bindir}/hdajackretask
%{_bindir}/hdajacksensetest
%{_bindir}/hdspconf
%{_bindir}/hdspmixer
%{_bindir}/rmedigicontrol
%{_bindir}/sbiload
%{_bindir}/sscape_ctl
%{_bindir}/us428control
%{_datadir}/applications/echomixer.desktop
%{_datadir}/applications/envy24control.desktop
%{_datadir}/applications/hdajackretask.desktop
%{_datadir}/applications/hdspmixer.desktop
%{_datadir}/applications/hdspconf.desktop
%{_datadir}/applications/mageia-echomixer.desktop
%{_datadir}/applications/mageia-envy24control.desktop
%{_datadir}/applications/mageia-rmedigicontrol.desktop
%{_datadir}/sounds/opl3/
%{_mandir}/man1/envy24control.1*
%{_iconsdir}/hicolor/*/apps/*.png

%ifnarch ppc %mips %arm
%doc sb16_csp/COPYING-sb16_csp sb16_csp/README-sb16_csp
%{_bindir}/cspctl
%{_mandir}/man1/cspctl.*
%endif

%files firmware
%doc hdsploader/{AUTHORS-hdsploader,COPYING-hdsploader,README-hdsploader}
%doc usx2yloader/README-usx2yloader
%doc vxloader/README-vxloader
%{_udevrulesdir}/90-alsa-tools-firmware.rules
%{_prefix}/lib/udev/tascam_fpga
%{_prefix}/lib/udev/tascam_fw
%{_bindir}/hdsploader
%{_bindir}/mixartloader
%{_bindir}/pcxhrloader
%{_bindir}/usx2yloader
%{_bindir}/vxloader

%files -n ld10k1
%doc ld10k1/README ld10k1/COPYING
%{_bindir}/lo10k1
%{_bindir}/init_audigy
%{_bindir}/init_audigy_eq10
%{_bindir}/init_live
%{_datadir}/ld10k1
%{_sbindir}/ld10k1
%{_sbindir}/dl10k1
%{_sbindir}/ld10k1d

%files -n %{ld10k1_libname}
%{_libdir}/lib%{ld10k1_name}.so.%{ld10k1_major}{,.*}

%files -n %{ld10k1_devname}
%{_includedir}/lo10k1/
%{_datadir}/aclocal/ld10k1.m4
%{_libdir}/lib%{ld10k1_name}.so
