%define alibversion 1.2.14
%define beta	0
%if %{beta}
%define fname	%{name}-%{version}%{beta}
%else
%define fname	%{name}-%{version}
%endif

Summary:	Advanced Linux Sound Architecture (ALSA) utilities
Name:		alsa-utils
Version:	1.2.14
%if %{beta}
Release:	%mkrel 0.%{beta}.1
%else
Release:	%mkrel 1
%endif
License:	GPLv2
Group:		Sound/Utilities
Url:		https://www.alsa-project.org/
Source0:	ftp://ftp.alsa-project.org/pub/utils/%{fname}.tar.bz2
Patch50:	alsa-utils-1.0.27.2-po.patch
Patch0500:	0500-init-Mute-Beep-by-default.-It-s-annoying.patch

BuildRequires:	kernel-headers >= 2.4.0
BuildRequires:	pkgconfig(alsa) >= %{alibversion}
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	xmlto
BuildRequires:	python3-docutils
BuildRequires:	systemd-units
BuildRequires:	docbook-style-xsl
Requires:	%{_lib}alsa2 >= 2:%{alibversion}
# dependencies for alsaconf:
Requires:	pciutils
# dependencies for alsactl
Requires:	libalsa-data >= %{alibversion}

Requires(pre):	filesystem >= 2.1.9-18
Requires(post):	rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

Provides:	alsa-ucm-utils = %{version}-%{release}
Provides:	alsa-topology-utils = %{version}-%{release}

%description
Advanced Linux Sound Architecture (ALSA) utilities. Modularized architecture
with support for a large range of ISA and PCI cards. Fully compatible with
OSS/Lite (kernel sound drivers), but contains many enhanced features.

This is the utilities package, which allows you to manipulate ALSA settings.

%package -n	speaker-test
Summary:	ALSA test tool
Group:		Sound/Utilities
Requires:	alsa-utils

%description -n	speaker-test
speaker-test is a tool that enables one to test his head phones.

%package -n	alsaconf
Summary:	ALSA configuration tool
Group:		Sound/Utilities
Requires:	alsa-utils
Requires:	whiptail
Requires:	cdialog

%description -n	alsaconf
Alsaconf is a tool that enables one to configure his sound card with ALSA.
It's often not not needed as %{_vendor} will autoconfigure sound cards.

%prep
%autosetup -p1 -n %{fname}

%build
%configure --with-systemdsystemunitdir=%{_unitdir} \
           --with-udev-rules-dir=%{_udevrulesdir}

make all

%install
%make_install

%find_lang alsaconf
%find_lang alsa-utils
cat alsa-utils.lang >> alsaconf.lang

install -d %{buildroot}%{_localstatedir}/lib/alsa/
touch %{buildroot}%{_localstatedir}/lib/alsa/asound.state

%pre
# (cg) When first installed/upgraded add the state-daemon config file.
if [ ! -r %{_unitdir}/alsa-state.service ]; then
  if [ ! -d %{_sysconfdir}/alsa ]; then
    mkdir -m 0755 /etc/alsa
  fi
  echo "# Remove this file to disable the alsactl daemon mode" > %{_sysconfdir}/alsa/state-daemon.conf
fi

%post
if [ -s /etc/asound.state -a ! -s /var/lib/alsa/asound.state ] ; then
   mv /etc/asound.state /var/lib/alsa/asound.state
fi

%files
%license COPYING
%doc README.md TODO alsamixer/alsamixer.rc.example
%{_unitdir}/alsa-restore.service
%{_unitdir}/alsa-state.service
%{_unitdir}/sound.target.wants/alsa-restore.service
%{_unitdir}/sound.target.wants/alsa-state.service
%{_bindir}/[a-n]*
%{_sbindir}/alsactl
%{_sbindir}/alsabat-test.sh
%{_sbindir}/alsa-info.sh
%{_libdir}/alsa-topology/libalsatplg_module_*
%{_mandir}/man1/[a-n]*
%{_mandir}/man7/alsactl_init.7*
%{_mandir}/man8/alsa-info.sh.8*
%{_datadir}/alsa/
%dir %{_localstatedir}/lib/alsa/
%{_udevrulesdir}/90-alsa-restore.rules
%ghost %{_localstatedir}/lib/alsa/asound.state

%files -n speaker-test
%{_bindir}/speaker-test
%{_mandir}/man1/speaker-test.*
%{_datadir}/sounds/alsa/

%files -n alsaconf -f alsaconf.lang
%{_sbindir}/alsaconf
%{_mandir}/man8/alsaconf.*
%lang(fr) %{_mandir}/fr/man8/alsaconf.*
