%global sum	Advanced Linux Sound Architecture (ALSA) graphical mixer
%define beta	rc2_1
%define fbeta	rc2-1

Name:		alsamixergui
Version:	0.9.0
Release:	%mkrel 2.%{beta}.13
Summary:	%{sum}
License:	GPLv2
Group:		Sound/Mixers
URL:		http://www.iua.upf.es/~mdeboer/projects/alsamixergui/
# This is where the source used to live, but this upstream is dead.
# Source0:	ftp://www.iua.upf.es/pub/mdeboer/projects/alsamixergui/%%{name}-%%{version}rc1-2.tar.gz
# This tarball was taken from Debian, and is the most recent version as far as I know.
Source0:	https://ftp.debian.org/debian/pool/main/a/alsamixergui/alsamixergui_0.9.0rc2-1.orig.tar.gz
# This is debian's patch, taken 2013-04-01
Patch0:		alsamixergui_0.9.0rc2-1-9.1.diff
Patch1:		alsamixergui-strsignal.patch
BuildRequires:	kernel-headers
BuildRequires:	pkgconfig(alsa) >= %{version}
BuildRequires:	fltk-devel

%description
alsamixergui is a FLTK based frontend for alsamixer. It is written
directly on top of the alsamixer source, leaving the original source
intact, only adding a couple of ifdefs, and some calls to the GUI
part, so it provides exactly the same functionality, but with a 
graphical user interface.

%prep
%setup -q -n %{name}-%{version}%{fbeta}.orig
%autopatch -p1
autoreconf -i

#fix build with new automake
sed -i -e 's,AM_CONFIG_HEADER,AC_CONFIG_HEADERS,g' configure.*

%build
%configure
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=AlsaMixerGUI
Comment=%{sum}
Exec=%{name}
Icon=sound_section
Terminal=false
Type=Application
Categories=Audio;Mixer;
EOF

%files
%doc AUTHORS README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
