%define _disable_ld_no_undefined 1

%define major		0
%define libname		%mklibname %{name} %{major}
%define libnamedev	%mklibname %{name} -d

%bcond_without flac

Name:		alsaplayer
Summary:	Advanced Linux Sound Architecture (ALSA) player
Version:	0.99.82
Release:	%mkrel 1
License:	GPLv3
Group:		Sound/Players
URL:		https://alsaplayer.sourceforge.net/
Source:		https://github.com/alsaplayer/alsaplayer/releases/download/%{version}/%{name}-%{version}.tar.gz
Source1:	alsaplayer-icons.tar.bz2
Patch0:		libmikmod-gcc14.patch
Patch1:		07_mimetype.dpatch
Patch2:		gettext_package.patch
BuildRequires:	doxygen
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(libmikmod)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(id3tag)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(jack) >= 0.70.4
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	nas-devel
BuildRequires:	xosd-devel
Requires:	%{name}-plugin-ui-gtk
Provides:	%{name}-plugin-read-curl = %{version}-%{release}

%description
Advanced Linux Sound Architecture (ALSA) utils. Modularized architecture with
support for a large range of ISA and PCI cards. Fully compatible with OSS/Lite
(kernel sound drivers), but contains many enhanced features.

%package -n	%{libname}
Summary:	AlsaPlayer sharedlibrary
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
This is the shared library of AlsaPlayer.

%package -n	%{libnamedev}
Summary:	AlsaPlayer devel stuff
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
This is the development part of the AlsaPlayer library.

%if %{with flac}
%package	plugin-input-flac
Summary:	AlsaPlayer plugin for playing FLAC audio files
Group:		Sound/Utilities
Requires:	%{name} => %{version}-%{release}
BuildRequires:	pkgconfig(flac)

%description plugin-input-flac
This plugin enables AlsaPlayer to play files in the lossless audio
compression format FLAC.
%endif

%package	plugin-input-mod
Summary:	AlsaPlayer plugin for playing MOD modules
Group:		Sound/Utilities
Requires:	%{name} => %{version}-%{release}

%package	plugin-input-mad
Summary:	AlsaPlayer plugin
Group:		Sound/Utilities
Requires:	%{name} => %{version}-%{release}

%package	plugin-input-sndfile
Summary:	AlsaPlayer plugin
Group:		Sound/Utilities
Requires:	%{name} => %{version}-%{release}

%package	plugin-input-vorbis
Summary:	AlsaPlayer plugin
Group:		Sound/Utilities
Requires:	%{name} => %{version}-%{release}

%package	plugin-output-jack
Summary:	AlsaPlayer for the jack sound server
Group:		Sound/Utilities
Requires:	%{name} => %{version}-%{release}

%package	plugin-ui-gtk
Summary:	AlsaPlayer plugin
Group:		Sound/Utilities
Requires:	%{name} => %{version}-%{release}

%package	plugin-scopes
Summary:	AlsaPlayer graphical scopes
Group:		Sound/Utilities
Requires:	%{name} => %{version}-%{release}
Requires:	%{name}-plugin-ui-gtk => %{version}-%{release}

%description plugin-input-mod
This plugin enables alsaplayer to play module music files.
Supported file formats include MOD, STM, S3M, MTM, XM, ULT, and IT.

%description plugin-input-mad
This plugin enables alsaplayer to play mpeg files though the libmad library.
It currently supports MPEG-1 and the MPEG-2  extension to Lower Sampling
Frequencies, as well as the so-called MPEG 2.5 format. All three audio layers
(Layer I, Layer II, and Layer III a.k.a. MP3) are fully implemented.

%description plugin-input-sndfile
This plugin enables alsaplayer to play sound files such as AIFF, AU
and WAV files through the sndfile library. It can currently read 8,
16, 24 and 32-bit PCM files as well as 32-bit floating point WAV files
and a number of compressed formats.

%description plugin-input-vorbis
This plugin enables alsaplayer to play ogg vorbis music files.

%description plugin-output-jack
This plugin enables alsaplayer to play music with the jack daemon.

%description plugin-ui-gtk
This plugin adds a nice graphical interface to alsaplayer.

%description plugin-scopes
This plugin adds some nice graphical visualization plugins (scopes).

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure \
		--enable-alsa \
		--disable-esd \
		--disable-debug \
		--enable-oggvorbis \
		--enable-gtk2 \
		--enable-nas \
		--disable-static --enable-systray
%make_build

%install
%make_install

#clean unpackaged files:
rm -rf %{buildroot}%{_datadir}/doc/%{name}

tar xfj %{SOURCE1} -C %{buildroot}%{_datadir}
# fix permissions:
chmod 755 docs/reference/html

%find_lang %{name}

# TV: update me aka on each new upstream release, check for new plugins
%files -f %{name}.lang
%doc docs/*.txt
%license COPYING
%{_datadir}/applications/*.desktop
%{_bindir}/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/*/
%{_libdir}/%{name}/input/libcdda.so
%{_libdir}/%{name}/output/libalsa_out.so
%{_libdir}/%{name}/output/libnas_out.so
%{_libdir}/%{name}/output/libnull_out.so
%{_libdir}/%{name}/output/liboss_out.so
%{_libdir}/%{name}/interface/libdaemon_interface.so
%{_libdir}/%{name}/interface/libtext_interface.so
%{_libdir}/%{name}/interface/libxosd_interface.so
%{_libdir}/%{name}/reader/libfile.so
%{_libdir}/%{name}/reader/libhttp.so
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_mandir}/man1/%{name}.*

%files -n %{libname}
%license COPYING
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{libnamedev}
%doc docs/reference/html/
%license COPYING
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%if %{with flac}
%files plugin-input-flac
%doc COPYING
%{_libdir}/%{name}/input/libflac_in.so
%endif

%files plugin-input-mod
%doc COPYING
%{_libdir}/%{name}/input/libmod.so

%files plugin-input-mad
%doc COPYING
%{_libdir}/%{name}/input/libmad_in.so

%files plugin-input-sndfile
%doc COPYING
%{_libdir}/%{name}/input/libsndfile_in.so

%files plugin-input-vorbis
%doc COPYING
%{_libdir}/%{name}/input/libvorbis_in.so

%files plugin-output-jack
%doc COPYING
%_libdir/%name/output/libjack_out.so

%files plugin-ui-gtk
%doc COPYING
%{_libdir}/%{name}/interface/libgtk2_interface.so

%files plugin-scopes
%doc COPYING
%{_libdir}/%{name}/scopes2
