%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d
%define staticdevelname	%mklibname %{name} -d -s

Name:		alure
Version:	1.2
Release:	%mkrel 19
Summary:	Audio Library Tools REloaded
Group:		System/Libraries
License:	LGPLv2+
URL:		https://kcat.tomasu.net/alure.html
Source0:	https://kcat.tomasu.net/alure-releases/%{name}-%{version}.tar.bz2
Patch0:		alure-1.2-gcc47.patch
Patch1:		alure-1.2-mga-link-libdumb-1.patch
Patch2:		alure-1.2-mga-link-fluidsynth-3.patch

# arch
Patch3:		build.patch
Patch4:		dumb-2.patch
# opensuse
Patch5:		fix-FLUIDSYNTH_CFLAGS.patch
Patch6:		fix-lib-suffix.patch
Patch7:		fix-link-flac.patch
#
BuildRequires:	cmake
BuildRequires:	dumb-devel
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(fluidsynth)
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(libmodplug)
BuildRequires:	pkgconfig(libmpg123)

%description
ALURE is a utility library to help manage common tasks with OpenAL
applications. This includes device enumeration and initialization,
file loading, and streaming.


#------------------------------------------------------------------------------
%package -n %{libname}
Summary:	%{name} library
Group:		System/Libraries

%description -n %{libname}
Libraries needed by %{name}.

ALURE is a utility library to help manage common tasks with OpenAL
applications. This includes device enumeration and initialization,
file loading, and streaming.


#------------------------------------------------------------------------------
%package -n %{develname}
Summary:	%{name} development files
Group:		Development/C++
License:	LGPLv2+,GPLv2+
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Libraries and header files to develop applications that use %{name}.

ALURE is a utility library to help manage common tasks with OpenAL
applications. This includes device enumeration and initialization,
file loading, and streaming.


#------------------------------------------------------------------------------
%package -n %{staticdevelname}
Summary:	%{name} static library
Group:		Development/C++
License:	LGPLv2+,GPLv2+
Requires:	%{develname} = %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	lib%{name}-static-devel = %{version}-%{release}

%description -n %{staticdevelname}
Static library file to develop applications that use %{name}.

ALURE is a utility library to help manage common tasks with OpenAL
applications. This includes device enumeration and initialization,
file loading, and streaming.


#------------------------------------------------------------------------------
%prep
%setup -q
%autopatch -p1

%build
%cmake -DMODPLUG=ON \
       -DDYNLOAD=OFF
# Fix build with fluidsynth 2.4
find -name build.make | xargs sed -e 's|\;| |g' -i
%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/libalure.so.%{major}{,.*}

%files -n %{develname}
%doc COPYING
%{_docdir}/%{name}
%{_bindir}/%{name}*
%{_includedir}/AL/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n %{staticdevelname}
%{_libdir}/lib%{name}-static.a
%{_libdir}/pkgconfig/%{name}-static.pc
