#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

Name:           amarok
Summary:        The powerful media player for KDE
Epoch:          3
Version:        3.2.2
Release:        %mkrel 1
License:        GPLv2 and LGPLv2 and GFDL
Group:          Sound/Players
Url:            https://amarok.kde.org/
Source0:        https://download.kde.org/stable/%{name}/%{version}/%{name}-%{version}.tar.xz

## Upstream patches

## Mageia patches (100->199)
Patch100:       amarok-3.0.81-amarokpud-soversion.patch
Patch101:       amarok-libmygpo-qt.patch
Source102:      amarok-qt6webenginewidgets.patch

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6QuickWidgets)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6SvgWidgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6UiTools)
%ifarch aarch64 x86_64
BuildRequires:  cmake(Qt6WebEngineWidgets)
%endif
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Phonon4Qt6)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Codecs)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DNSSD)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6GlobalAccel)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6Package)
BuildRequires:  cmake(KF6Solid)
BuildRequires:  cmake(KF6TextEditor)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6ThreadWeaver)
BuildRequires:  cmake(KF6ColorScheme)
BuildRequires:  cmake(KF6StatusNotifierItem)
BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6Wallet)

BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libgpod-1.0) >= 0.8.2
BuildRequires:  pkgconfig(libofa)
BuildRequires:  pkgconfig(libmtp) >= 1.0.0
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(loudmouth-1.0)
BuildRequires:  pkgconfig(openssl)

BuildRequires:  pkgconfig(taglib) >= 1.12
#BuildRequires:  pkgconfig(taglib-extras) >= 1.0.1
BuildRequires:  pkgconfig(gmock)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(libmariadb)
BuildRequires:  pkgconfig(mariadb)
BuildRequires:  mariadb-embedded-devel
BuildRequires:  wrap-devel
BuildRequires:  pkgconfig(libmygpo-qt6)
# Not yet ported to Qt6
#BuildRequires:  liblastfm-qt5-devel

Requires:       mysql-common-core
Requires:       audiocd-kio
Requires:       amarok-utils = %{epoch}:%{version}-%{release}
Requires:       mariadb-embedded
Requires:       kirigami
Requires:       qt6-qtdeclarative
Requires:       phonon4qt6-backend-vlc
Recommends:     amarok-handbook
Recommends:     ifuse
Recommends:     kio-extras
# Allow transcoding
Recommends:     ffmpeg

%description
There are many media players around these days, it's true. What's missing
from most players is a user interface that doesn't get in the way of the
user. How many buttons do you have to press for simply adding some new
tracks to the playlist? Amarok tries to be a little different, providing
a simple drag and drop interface that really makes playlist handling easy.

Feature Overview
=================

  * Quick and simple drag and drop playlist creation
  * Music library
  * Cross platform: Support for Unix, MacOS X and Windows
  * Plays all audio formats known to man
  * Cover art download using Last.fm services
  * Automatic play-statistics generation (iRate style)
  * Full lyrics download
  * Learn about your music with integrated Wikipedia
  * Full Last.fm support
  * gpodder.net support
  * Configurable on screen display for track changes
  * Podcast support
  * iPod support, as well as other media players
  * Powerful scripting interface
  * Integration with Plasma and KDE Applications
  * Integration with multiple web sources including Magnatune, Jamendo,
    Ampache, MP3tunes, and others.

%files -f %{name}.lang
%{_kf6_sysconfdir}/xdg/amarok_homerc
%{_kf6_bindir}/amarok
%{_kf6_bindir}/amarok.real
%{_qt6_plugindir}/amarok*.so
%{_qt6_plugindir}/kcm_amarok*.so
%{_kf6_qmldir}/org/kde/amarok/
%{_kf6_libdir}/libampache_account_login.so
#{_kf6_libdir}/libgpodder_service_config.so
#{_kf6_libdir}/libamarok_service_lastfm_config.so
%{_kf6_applicationsdir}/org.kde.amarok.desktop
%{_kf6_applicationsdir}/org.kde.amarok_containers.desktop
%{_kf6_metainfodir}/org.kde.%{name}*.appdata.xml
%{_kf6_datadir}/config.kcfg/amarokconfig.kcfg
%{_kf6_knotificationsdir}/amarok.notifyrc
%{_kf6_datadir}/amarok/
%{_kf6_datadir}/dbus-1/services/org.kde.amarok.service
%{_kf6_datadir}/kpackage/amarok/
%{_kf6_datadir}/kpackage/genericqml/org.kde.amarok.context/
%{_kf6_datadir}/solid/actions/amarok-play-audiocd.desktop
%{_kf6_services}/amarok_append.desktop
%{_kf6_iconsdir}/hicolor/*/*/amarok.png
%{_kf6_datadir}/dbus-1/interfaces/*.xml

#--------------------------------------------------------------------

%package        utils
Summary:        Utilities for amarok
Group:          Graphical desktop/KDE
URL:            https://community.kde.org/Amarok/Development/BatchMode

%description    utils
Utilities for amarok
This package provides two utilities for amarok amarokcollectionscanner
(https://community.kde.org/Amarok/Development/BatchMode)
This utility can be used to scan your collection without amarok installed
amarok_afttagger (https://community.kde.org/Amarok/Development/AFT)
This utility allows editing/removing AFT tags.

%files utils -f amarokcollectionscanner_qt.lang
%{_kf6_bindir}/amarokcollectionscanner
%{_kf6_bindir}/amarok_afttagger

#--------------------------------------------------------------------

%package        handbook
Summary:        Amarok Handbook
BuildArch:      noarch

%description    handbook
This package provides Amarok Handbook.

%files handbook -f amarok-doc.lang
%doc COPYING COPYING.LIB COPYING.DOC AUTHORS README

#------------------------------------------------

%define libamaroklib_major 1
%define libamaroklib %mklibname amaroklib %{libamaroklib_major}

%package -n     %{libamaroklib}
Summary:        Amarok 2 Lib library
Group:          System/Libraries

%description -n %{libamaroklib}
Amarok 2 Lib library.

%files -n %{libamaroklib}
%{_kf6_libdir}/libamaroklib.so.%{libamaroklib_major}{,.*}

#------------------------------------------------

%define libamarokcore_major 1
%define libamarokcore %mklibname amarokcore %{libamarokcore_major}

%package -n     %{libamarokcore}
Summary:        Amarok 2 Core library
Group:          System/Libraries

%description -n %{libamarokcore}
Amarok 2 Core library.

%files -n %{libamarokcore}
%{_kf6_libdir}/libamarokcore.so.%{libamarokcore_major}{,.*}

#------------------------------------------------

%define libamarokpud_major 1
%define libamarokpud %mklibname amarokpud %{libamarokpud_major}

%package -n     %{libamarokpud}
Summary:        Amarok 2 Pud library
Group:          System/Libraries

%description -n %{libamarokpud}
Amarok 2 Pud library.

%files -n %{libamarokpud}
%{_kf6_libdir}/libamarokpud.so.%{libamarokpud_major}{,.*}

#------------------------------------------------

%define libamaroksqlcollection_major 1
%define libamaroksqlcollection %mklibname amarok-sqlcollection %{libamaroksqlcollection_major}

%package -n     %{libamaroksqlcollection}
Summary:        Amarok 2 Sqlcollection library
Group:          System/Libraries

%description -n %{libamaroksqlcollection}
Amarok 2 Sqlcollection library.

%files -n %{libamaroksqlcollection}
%{_kf6_libdir}/libamarok-sqlcollection.so.%{libamaroksqlcollection_major}{,.*}

#------------------------------------------------

%define libamaroktranscoding_major 1
%define libamaroktranscoding %mklibname amarok-transcoding %{libamaroktranscoding_major}

%package -n     %{libamaroktranscoding}
Summary:        Amarok 2 Transcoding library
Group:          System/Libraries

%description -n %{libamaroktranscoding}
Amarok 2 Transcoding library.

%files -n %{libamaroktranscoding}
%{_kf6_libdir}/libamarok-transcoding.so.%{libamaroktranscoding_major}{,.*}

#------------------------------------------------

%define libamarokshared_major 1
%define libamarokshared %mklibname amarokshared %{libamarokshared_major}

%package -n     %{libamarokshared}
Summary:        Amarok 2 Shared library
Group:          System/Libraries

%description -n %{libamarokshared}
Amarok 2 Shared library.

%files -n %{libamarokshared}
%{_kf6_libdir}/libamarokshared.so.%{libamarokshared_major}{,.*}

#------------------------------------------------

%define develname %mklibname %{name} -d

%package -n     %{develname}
Summary:        Headers of %{name} for development
Group:          Development/KDE and Qt
Requires:       %{libamaroklib} = %{epoch}:%{version}-%{release}
Requires:       %{libamarokcore} = %{epoch}:%{version}-%{release}
Requires:       %{libamarokpud} = %{epoch}:%{version}-%{release}
Requires:       %{libamaroksqlcollection} = %{epoch}:%{version}-%{release}
Requires:       %{libamaroktranscoding} = %{epoch}:%{version}-%{release}
Requires:       %{libamarokshared} = %{epoch}:%{version}-%{release}
Provides:       %{name}-devel = %{epoch}:%{version}-%{release}

%description -n %{develname}
Headers of %{name} for development.

%files -n %{develname}
%{_kf6_libdir}/libamaroklib.so
%{_kf6_libdir}/libamarokcore.so
%{_kf6_libdir}/libamarokpud.so
%{_kf6_libdir}/libamarok-sqlcollection.so
%{_kf6_libdir}/libamarok-transcoding.so
%{_kf6_libdir}/libamarokshared.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON \
           -DWITH_GPODDER:BOOL=OFF
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-kde --with-html --without-mo && mv %{name}.lang %{name}-doc.lang
%find_lang %{name}
%find_lang_kf6 amarokcollectionscanner_qt

# Add simple fix for the crash with mariadb (Thanks to Fabian Vogt)
# create a wrapper script to get rid with a ld_preload issue with embedded mariadb
# https://bugs.kde.org/show_bug.cgi?id=391362#c7
mv %{buildroot}%{_kf6_bindir}/amarok %{buildroot}%{_kf6_bindir}/amarok.real
cat <<EOF >amarok.wrapper
#!/bin/sh

LD_PRELOAD=%{_kf6_libdir}/libmariadbd.so.19 %{_kf6_bindir}/amarok.real
EOF
install -m 0755 amarok.wrapper %{buildroot}%{_kf6_bindir}/amarok
