Summary:	A Mail Virus Scanner
Name:		amavisd-new
Version:	2.11.0
Release:	%mkrel 10
License:	GPL
Group:		Networking/Mail
URL:		https://www.ijs.si/software/amavisd/
Source0:	https://www.ijs.si/software/amavisd/%{name}-%{version}.tar.xz
Source1:	amavisd.service
Source2:	amavisd-tempfiles.conf
Source3:	amavisd-clean-quarantine.service
Source4:	amavisd-clean-quarantine.timer
Source5:	amavisd-clean-tmp.service
Source6:	amavisd-clean-tmp.timer
Patch1:		amavisd-new-mga_conf-2.11.0.diff
Patch2:		amavisd-new-2.11.0-SA.patch
Patch3:		amavisd-new-2.6.4-snmp.patch
Patch4:		amavisd-new-mga-disable-lrzip.patch
Patch5:		amavisd-new-2.11.0-fixpath.patch
Patch6:		amavisd-fix_snmp_subagent_warning.patch
Patch7:		amavisd-new-2.10.1-dkim-signing.patch
Patch8:		amavisd-new-2.10.1-myhostname.patch
Patch9:		CVE-2024-28054.patch

Requires:	file >= 4.24
Requires:	mail-server
Requires:	perl-Archive-Tar
Requires:	perl-Archive-Zip
Requires:	perl-BerkeleyDB
Requires:	perl(Compress::Zlib)
Requires:	perl-Convert-TNEF
Requires:	perl-Convert-UUlib >= 1.08
Requires:	perl-Convert-BinHex
Requires:	perl-Crypt-OpenSSL-RSA
Requires:	perl-DBI
Requires:	perl-Digest-MD5
Requires:	perl-IO-stringy
Requires:	perl-IO-Socket-INET6
Requires:	perl-ldap
Requires:	perl-libnet
Requires:	perl-Mail-DKIM
Requires:	perl-Mail-SpamAssassin
Requires:	perl-MailTools
Requires:	perl-MIME-Base64
Requires:	perl-MIME-tools >= 5.411
Requires:	perl-Net-Server >= 0.84
Requires:	perl-Net-LibIDN
Requires:	perl-Razor-Agent
Requires:	perl-Time-HiRes
Requires:	perl-Unix-Syslog
Requires:	spamassassin >= 2.60
Requires:	binutils
Requires:	bzip2
Requires:	cabextract
Requires:	tnef
Requires:	lha
Requires:	lzop
Requires:	ncompress
Requires:	nomarch
Requires:	pax
Requires:	ripole
Requires: 	unzoo
Provides:	amavisd
BuildArch:	noarch
# this is for serviceadd, etc.
Requires(post): systemd >= %{systemd_required_version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
# this is for useradd, groupadd, etc.
Requires(pre): rpm-helper
Requires(postun): rpm-helper



%description
AMaViS is a perl script that interfaces a Mail Transport Agent (MTA)
with one or more virus scanners (not provided).

%prep
%setup -q
%autopatch -p1

%build

%install

install -d %{buildroot}%{_sysconfdir}/amavisd
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}/var/lib/amavis/.spamassassin
install -d %{buildroot}/var/spool/amavis/virusmails
install -d %{buildroot}/var/lib/amavis/{tmp,db}

install -m0640 amavisd.conf %{buildroot}%{_sysconfdir}/amavisd/amavisd.conf
install -m0640 amavisd.conf-default %{buildroot}%{_sysconfdir}/amavisd/amavisd.conf-default
install -m0755 amavisd %{buildroot}%{_sbindir}/amavisd
install -m0755 p0f-analyzer.pl %{buildroot}%{_sbindir}/
install -m0755 amavisd-agent %{buildroot}%{_sbindir}/
install -m0755 amavisd-nanny %{buildroot}%{_sbindir}/
install -m0755 amavisd-release %{buildroot}%{_sbindir}/
install -m0755 amavisd-snmp-subagent %{buildroot}%{_sbindir}/

# Install the systemd unit+tempfiles
%{__install} -D -p -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/amavisd.service
%{__install} -D -p -m 644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/amavisd.conf
%{__install} -D -p -m 644 %{SOURCE3} %{buildroot}%{_unitdir}/amavisd-clean-quarantine.service
%{__install} -D -p -m 644 %{SOURCE4} %{buildroot}%{_unitdir}/amavisd-clean-quarantine.timer
%{__install} -D -p -m 644 %{SOURCE5} %{buildroot}%{_unitdir}/amavisd-clean-tmp.service
%{__install} -D -p -m 644 %{SOURCE6} %{buildroot}%{_unitdir}/amavisd-clean-tmp.timer


cat > %{buildroot}/var/lib/amavis/.spamassassin/user_prefs <<EOF
# SpamAssassin User Preferences file
# (see perldoc Mail::SpamAssassin::Conf for details of what can be tweaked).
# Note that the entries for headers won't have effect, since those are
# directly handled/overridden by amavisd and amavisd.conf.

# See https://spamassassin.apache.org/full/3.1.x/doc/Mail_SpamAssassin_Conf.html

dns_available yes

# Bayes filters requires at least 200 entries of spam and 200 of ham 
# for start working, or can be customized here
#bayes_min_ham_num 200
#bayes_min_spam_num 200

bayes_file_mode 0640
use_bayes 1
#bayes_auto_learn 0

skip_rbl_checks 1
#rbl_timeout 7
use_razor2 0
use_pyzor 0
#dcc_add_header 1

# Custom scores (local|net|bayes|bayes+net)
#score   BAYES_99        4.300 4.300 5.400 5.400
#score   BAYES_90        3.500 3.500 3.500 3.500
#score   BAYES_80        3.000 3.000 3.000 3.000
#score   DCC_CHECK       4.000 4.000 4.000 4.000
#score   RAZOR2_CHECK    2.500 2.500 2.500 2.500
#score   HABEAS_SWE      -0.01
EOF

cat > %{buildroot}%{_bindir}/amavisd-checkbayesdb <<EOF
#!/bin/sh
su amavis -c "%{_bindir}/sa-learn --dump" -s /bin/sh
EOF

cat > %{buildroot}%{_bindir}/amavisd-checkcfg <<EOF
#!/bin/sh
su amavis -c "%{_bindir}/spamassassin --lint -D" -s /bin/sh
EOF

cat > %{buildroot}%{_bindir}/amavisd-mboxlearnham <<EOF
#!/bin/sh
su amavis -c "%{_bindir}/sa-learn --showdots --ham --mbox \$1" -s /bin/sh
EOF

cat > %{buildroot}%{_bindir}/amavisd-mboxlearnspam <<EOF
#!/bin/sh
su amavis -c "%{_bindir}/sa-learn --showdots --spam --mbox \$1" -s /bin/sh
EOF

%pre
%_pre_useradd amavis /var/lib/amavis /bin/false
%_pre_groupadd amavis amavis,clamav

%post
# (cg) Ensure file permissions are correct (otherwise it can break reload)
# https://bugs.mageia.org/show_bug.cgi?id=12755
chgrp amavis %{_sysconfdir}/amavisd/amavisd.conf ||:
chmod g+r %{_sysconfdir}/amavisd/amavisd.conf ||:
%_tmpfilescreate amavisd
%_post_service amavisd

# check mta
mta="`readlink /etc/alternatives/sendmail-command 2>/dev/null | cut -d . -f 2`"
if [ "$mta" = "postfix" ]; then
	aliases="%{_sysconfdir}/postfix/aliases"
else
	aliases="%{_sysconfdir}/aliases"
fi
if [ -e "$aliases" ]; then
	grep -q "virusalert" "$aliases" || \
		echo "virusalert: root" >> "$aliases"
	[ -x %{_bindir}/newaliases ] && %{_bindir}/newaliases > /dev/null 2>&1
fi

if [ -x /usr/sbin/postconf ] && [ -z `/usr/sbin/postconf -h content_filter` ]; then
	postconf -e content_filter=lmtp-filter:127.0.0.1:10024
	postconf -e receive_override_options=no_address_mappings
fi

%preun
%_preun_service amavisd

%files
%doc AAAREADME.first INSTALL LICENSE README_FILES RELEASE_NOTES test-messages
%doc LDAP.schema amavisd-new-courier.patch amavisd-new-qmqpqq.patch
%doc AMAVIS-MIB.txt
%attr(0640,root,amavis) %config(noreplace) %{_sysconfdir}/amavisd/amavisd.conf
%attr(0640,root,amavis) %{_sysconfdir}/amavisd/amavisd.conf-default
%attr(0755,root,root) %{_sbindir}/amavisd
%attr(0755,root,root) %{_sbindir}/p0f-analyzer.pl
%attr(0755,root,root) %{_sbindir}/amavisd-agent
%attr(0755,root,root) %{_sbindir}/amavisd-nanny
%attr(0755,root,root) %{_sbindir}/amavisd-release
%attr(0755,root,root) %{_sbindir}/amavisd-snmp-subagent
%attr(0755,root,root) %{_bindir}/amavisd-*
%attr(0755,root,root) %dir /var/spool/amavis
%attr(0750,amavis,amavis) %dir /var/spool/amavis/virusmails
%attr(0750,amavis,amavis) %dir /var/lib/amavis
%attr(0750,amavis,amavis) %dir /var/lib/amavis/tmp
%attr(0750,amavis,amavis) %dir /var/lib/amavis/db
%attr(0750,amavis,amavis) %dir /var/lib/amavis/.spamassassin
%attr(0640,amavis,amavis) %config(noreplace) /var/lib/amavis/.spamassassin/user_prefs
%{_unitdir}/amavisd.service
%{_unitdir}/amavisd-clean-quarantine.service
%{_unitdir}/amavisd-clean-quarantine.timer
%{_unitdir}/amavisd-clean-tmp.service
%{_unitdir}/amavisd-clean-tmp.timer
%{_tmpfilesdir}/amavisd.conf

