%global         svn svn32
%global         snapshot 20121220%{svn}

%define major   0
%define libname %mklibname amf %{major}
%define devname %mklibname amf -d

%define rel     14

Name:           amftools
Version:        0.0
Release:        %mkrel -c %{svn} %{rel}
Summary:        AMF file library
# License is in files
License:        LGPLv3+
Group:          Development/C++
URL:            https://sourceforge.net/projects/amftools/
# svn export svn://svn.code.sf.net/p/%%{name}/code/trunk %%{name}
# tar -pczf %%{name}-%%{svn}.tar.gz %%{name}
Source0:        %{name}-%{svn}.tar.gz
Source1:        %{name}-Makefile
BuildRequires:  GL-devel
BuildRequires:  pkgconfig(libzip)
BuildRequires:  pkgconfig(muparser)
BuildRequires:  pkgconfig(stb)
BuildRequires:  rapidxml-devel

%description
C++ tools for implementing AMF file format for the interchange of geometry
for 3D printing (additive manufacturing).

%package -n %{libname}
Summary:        AMF file library
Group:          System/Libraries

%description -n %{libname}
C++ tools for implementing AMF file format for the interchange of geometry
for 3D printing (additive manufacturing).

%package -n %{devname}
Summary:        AMF tools development files
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for AMF tools.

%prep
%setup -qn %{name}

cp %{SOURCE1} Makefile

# Bundling
rm -rf */muparser */stb_image include/rapidxml */zip
sed -i 's|muparser/muParser.h|muParser.h|g' include/Equation.h
sed -i 's|stb_image/stb_image.h|stb/stb_image.h|g' src/SimpleImage.cpp
sed -i 's|rapidxml/||g' include/XmlStream.h src/XmlStream.cpp

%build
%make_build \
	CFLAGS="%{optflags}" \
	LIBS="%{ldflags} -lGL -lzip -lstb -lmuparser"

%install
install -Dpm0755 libamf.so.0.0 %{buildroot}%{_libdir}/libamf.so.0.0
ln -s libamf.so.0.0 %{buildroot}%{_libdir}/libamf.so.0
ln -s libamf.so.0.0 %{buildroot}%{_libdir}/libamf.so
mkdir -p %{buildroot}%{_includedir}
cp -arp include %{buildroot}%{_includedir}/amf


%files -n %{libname}
%{_libdir}/libamf.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/libamf.so
%{_includedir}/amf/
