%global major 0
%define libname %mklibname %name %major
%define devname %mklibname -d %name
# -*-Mode: rpm-spec -*-

Name:     aml
Version:  0.3.0
Release:  %mkrel 1
Summary:  Another Main Loop
Group:    System/Libraries
# main source is ISC
# include/sys/queue.h is BSD
License:  ISC and BSD

URL:      https://github.com/any1/aml
Source:   %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: gcc
BuildRequires: meson

%description
Event loop handler developed for wayvnc (Wayland VNC server) and
wlvncc (Wayland VNC client) - see https://github.com/any1

Goals:
 * Portability
 * Utility
 * Simplicity

Non-goals:
 * MS Windows (TM) support
 * Solving the C10K problem

Features:
 * File descriptor event handlers
 * Timers
 * Tickers
 * Signal handlers
 * Idle dispatch callbacks
 * Thread pool
 * Interoperability with other event loops

%package -n %libname
Summary:  Another Main Loop
Group: System/Libraries

%description -n %libname
Event loop handler developed for wayvnc (Wayland VNC server) and
wlvncc (Wayland VNC client).

%package -n %devname
Group: Development/C
Summary: Development files for %{name}
Requires: %{libname} = %{version}-%{release}
%description -n %devname
This package contains header files for %{name}.

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%files -n %libname
%{_libdir}/lib%{name}.so.%{major}*

%doc README.md

%license COPYING

%files -n %devname
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/*

