Name:		amsynth
Version:	1.13.4
Release:	%mkrel 1
Summary:	Analog Modelling Synthesizer
License:	GPLv2+
Group:		Sound/Midi
URL:		https://amsynth.github.io/
Source:		https://github.com/amsynth/amsynth/releases/download/release-%{version}/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(dssi)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(lash-1.0)
BuildRequires:	pkgconfig(liblo)
BuildRequires:	pkgconfig(lv2)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	alsa-oss-devel
BuildRequires:	intltool

Requires:	lash
Requires:	libsndfile-progs

%description
amsynth is an analog modelling (a.k.a virtual analog) software synthesizer.

It mimics the operation of early analog subtractive synthesizers with
classic oscillator waveforms, envelopes, filter, modulation and effects.

The aim is to make it easy to create and modify sounds.


Features
--------

 * Dual oscillators (sine / saw / square / noise) with hard sync
 * 12/24 dB/oct resonant filter (low-pass / high-pass / band-pass / notch)
 * Mono / poly / legato keyboard modes
 * Dual ADSR envelope generators (filter & amplitude)
 * LFO which can modulate the oscillators, filter, and amplitude
 * Distortion and reverb
 * Hundreds of presets


There are currently several different ways to run amsynth:

 * Stand-alone application using JACK, ALSA or OSS
 * DSSI plug-in
 * LV2 plug-in
 * VST plug-in


%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc README AUTHORS NEWS
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%dir %{_libdir}/dssi/%{name}_dssi
%{_libdir}/dssi/%{name}_dssi.so
%{_libdir}/dssi/%{name}_dssi/%{name}_dssi_gtk
%{_libdir}/lv2/%{name}.lv2/
%{_libdir}/vst/%{name}_vst.so
%{_datadir}/appdata/dssi-%{name}-plugin.metainfo.xml
%{_datadir}/appdata/lv2-%{name}-plugin.metainfo.xml
%{_datadir}/appdata/vst-%{name}-plugin.metainfo.xml
