#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           analitza
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Library that will let you add mathematical features to your program
Group:          Sciences/Mathematics
License:        GPLv2+ and LGPLv2 and GFDL
URL:            https://www.kde.org/
Source:         https://download.kde.org/stable/release-service/%version/src/%{name}-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6OpenGLWidgets)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6LinguistTools)

BuildRequires:  pkgconfig(readline)
BuildRequires:  pkgconfig(eigen3)


%description
The analitza library will let you add mathematical features to your program.

%files -f %{name}_qt.lang
%_kf6_qmldir/org/kde/analitza
%_kf6_datadir/libanalitza/

#------------------------------------------------------------------------------

%define analitza_major 9
%define libanalitza %mklibname analitza %{analitza_major}

%package -n %libanalitza
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %libanalitza
The analitza library will let you add mathematical features to your program.
This pakage provide the runtime library for %{name}.

%files -n %libanalitza
%_kf6_libdir/libAnalitza.so.%{analitza_major}{,.*}

#------------------------------------------------------------------------------

%define analitzagui_major 9
%define libanalitzagui %mklibname analitzagui %{analitzagui_major}

%package -n %libanalitzagui
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %libanalitzagui
The analitza library will let you add mathematical features to your program.
This pakage provide the runtime library for %{name}.

%files -n %libanalitzagui
%_kf6_libdir/libAnalitzaGui.so.%{analitzagui_major}{,.*}

#-------------------------------------------------------------------------------

%define analitzaplot_major 9
%define libanalitzaplot %mklibname analitzaplot %{analitzaplot_major}

%package -n %libanalitzaplot
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %libanalitzaplot
The analitza library will let you add mathematical features to your program.
This pakage provide the runtime library for %{name}.

%files -n %libanalitzaplot
%_kf6_libdir/libAnalitzaPlot.so.%{analitzaplot_major}{,.*}

#-------------------------------------------------------------------------------

%define analitzawidgets_major 9
%define libanalitzawidgets %mklibname analitzawidgets %{analitzawidgets_major}

%package -n %libanalitzawidgets
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %libanalitzawidgets
The analitza library will let you add mathematical features to your program.
This pakage provide the runtime library for %{name}.

%files -n %libanalitzawidgets
%_kf6_libdir/libAnalitzaWidgets.so.%{analitzawidgets_major}{,.*}

#------------------------------------------------------------------------------

%define libanalitza_devel %mklibname %{name} -d

%package -n %libanalitza_devel
Summary:        Devel stuff for %{name}
Group:          Development/KDE and Qt
Requires:       %libanalitza = %version-%release
Requires:       %libanalitzagui = %version-%release
Requires:       %libanalitzaplot =  %version-%release
Requires:       %libanalitzawidgets =  %version-%release
Provides:       lib%{name}-devel = %version-%release
Provides:       %name-devel = %version-%release

%description -n %libanalitza_devel
Files needed to build applications based on %{name}.

%files -n %libanalitza_devel
%_includedir/Analitza6/
%_kf6_libdir/*.so
%_kf6_libdir/cmake/Analitza6/

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang_kf6 %{name}_qt
