Name:           angband
Version:        4.2.5
Release:        %mkrel 1
Summary:        Single-player dungeon exploration game in the universe of JRR Tolkien
Group:          Games/Adventure
License:        GPLv2
URL:            https://rephial.org/

# Archive repacked from https://rephial.org/downloads/ to remove nonfree content (cf. Patch0)
# rm -rf lib/tiles/shockbolt/ lib/sounds/
# The Shockbolt tileset is packaged separately in Nonfree as angband-data-shockbolt
# The CC-BY-NC-SA sounds are packaged separately in Nonfree as angband-data-sounds
Source0:        %{name}-%{version}-libre.tar.xz
Patch0:         angband-4.0.3-mga-remove-nonfree-data.patch
Patch1:         angband-4.2.5-mga-respect-optflags.patch
Patch2:         angband-4.2.5-mga-desktop-icon.patch
# Specific Mageia restriction on chown usage during install process
Patch10:        angband-4.2.4-1-chown_fix.patch

BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(SDL2_ttf)

Requires:       %{name}-data >= %{version}-%{release}
Recommends:     %{name}-data-shockbolt >= 4.2.1
# Sounds didn't change between 4.1.3 and 4.2.1
Recommends:     %{name}-data-sounds >= 4.1.3

%description
Angband is a free, single-player dungeon exploration game.
You play an adventurer: seeking riches, fighting monsters, and
preparing for a final battle with Morgoth, the Lord of Darkness.

%package        data
Summary:        Free/libre data files for Angband
License:        CC-BY-SA 3.0 and GPLv2 and Public Domain
BuildArch:      noarch

%description    data
This package contains free/libre data files for Angband.

The Shockbolt nonfree tileset is packaged in %{name}-data-shockbolt.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure \
  --bindir=%{_gamesbindir} \
  --with-setgid=games \
  --with-gamedata-in-lib \
  --enable-curses \
  --enable-x11 \
  --enable-sdl2 \
  --enable-sdl2-mixer
# Set version manually (upstream relies on git-describe for this)
echo %{version}-%{release} > version
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_var}/games/%{name}
mkdir -p %{buildroot}%{_var}/games/%{name}/scores
mkdir -p %{buildroot}%{_var}/games/%{name}/archive
mkdir -p %{buildroot}%{_var}/games/%{name}/save
mkdir -p %{buildroot}%{_var}/games/%{name}/panic

# Install also x11 desktop file
desktop-file-install \
    --dir %{buildroot}%{_datadir}/applications \
    lib/icons/angband-x11.desktop

mkdir -p %{buildroot}%{_mandir}/man6/
install -p -m 644 src/angband.man %{buildroot}%{_mandir}/man6/%{name}.6

%files
%license docs/copying.rst
%doc changes.txt docs/{guide,thanks.rst} README.md
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}*.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%config %{_sysconfdir}/%{name}/
%{_metainfodir}/%{name}.metainfo.xml
%{_mandir}/man6/%{name}.6.*

%dir %attr(0775,root,games) %{_var}/games/%{name}
%dir %attr(2775,root,games) %{_var}/games/%{name}/scores
%dir %attr(2775,root,games) %{_var}/games/%{name}/archive
%dir %attr(2775,root,games) %{_var}/games/%{name}/save
%dir %attr(2775,root,games) %{_var}/games/%{name}/panic

%files          data
%{_datadir}/%{name}/
