#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           angelfish
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        A modern mobile Web browser
# For a breakdown of the licensing, see PACKAGE-LICENSING
License:        MIT and GPLv2+ and LGPLv2 and LGPLv2+
Group:          Graphical desktop/KDE
URL:            https://apps.kde.org/angelfish/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Keychain)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6WebEngineCore)
BuildRequires:  cmake(Qt6WebEngineQuick)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6Purpose)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6KirigamiAddons)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6QQC2DesktopStyle)
BuildRequires:  cmake(KF6KirigamiAddons)

BuildRequires:  cmake(FutureSQL6)
BuildRequires:  cmake(QCoro6)

Requires:       kirigami
Requires:       kirigami-addons
Requires:       qt6-qtwayland


%description
Angelfish is a mobile web browser. It supports typical
browser features, such as bookmarks, history and tabs.

%files -f %{name}.lang
%doc README.md
%license LICENSES/*
%{_kf6_bindir}/%{name}
%{_kf6_bindir}/%{name}-webapp
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_datadir}/config.kcfg/%{name}settings.kcfg
%{_kf6_iconsdir}/hicolor/scalable/apps/org.kde.%{name}.svg
%{_kf6_knotificationsdir}/%{name}.notifyrc
%{_kf6_metainfodir}/org.kde.%{name}.metainfo.xml

#------------------------------------------------------------------------------

%prep
%autosetup

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}
