%define date	091218

Summary:	Open source real-time animation software
Name:		animata
Version:	004
Release:	%mkrel 12
License:	GPLv3
Group:		Graphics/Utilities
URL:		http://animata.kibu.hu/
Source0:	http://animata.googlecode.com/files/%{name}_%{version}-%{date}.tar.gz
Patch0:		animata-004-mdv-fix-FL-include-path.patch
Patch1:		animata-fltk-1.3.patch
Patch2:		animata-fix-includes.patch
Patch3:		animata-004-fix-missing-include-Xlib.patch
Patch4:		animata-scons3.patch
BuildRequires:	scons
BuildRequires:	fltk-devel
BuildRequires:	pkgconfig(glu)
BuildRequires:	x11-server-xvfb

%description
Animata is an open source real-time animation software, designed to create
animations, interactive background projections for concerts, theatre and dance
performances.

%files
%doc README AUTHORS CHANGES COPYING examples 
%{_bindir}/%{name}
%{_datadir}/icons/%{name}.png
%{_datadir}/applications/%{name}.desktop

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}

sed -i -e "s|^LINKFLAGS =.*|LINKFLAGS = '%{ldflags}'|" src/SConscript

%build
%set_build_flags

%{_bindir}/xvfb-run -a \
%scons -j4

%install
%__mkdir -p %{buildroot}%{_bindir}
%__mkdir -p %{buildroot}%{_datadir}/icons/
cp build/%{name} %{buildroot}%{_bindir}
cp data/animata_icon.png %{buildroot}%{_datadir}/icons/%{name}.png

%__mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Animata
Comment=Open source real-time animation software
Exec=%{name}
Icon=%{name}
StartupNotify=true
Type=Application
Categories=3DGraphics;Graphics;Viewer;
EOF
