Name:		anyremote
Version:	6.7.3
Release:	%mkrel 4
Summary:	Remote control through Bluetooth or IR connection
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		https://anyremote.sourceforge.net/
Source0:	https://sourceforge.net/projects/anyremote/files/%{name}/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(bluez)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(avahi-client)

Requires:	bluez
Requires:	irda-utils
Recommends:	kanyremote
# anyremote contains its own webserver since 6.0
Obsoletes:	anyremote2html

%description
The overall goal of this project is to provide wireless remote control program
on Linux through Bluetooth, InfraRed, Wi-Fi or just TCP/IP connection.

anyRemote supports wide range of modern cell phones line Nokia, SonyEricsson,
Motorola and others.

anyRemote was developed as thin "communication" layer between Bluetooth
(IR, Wi-Fi)  capable phone and Linux, and in principle could be configured to
manage almost any software.

anyRemote could be used with:
* Bluetooth connection with java client if cell phone is JSR82 compatible
* Wi-Fi connection with java client if phone supports Wi-Fi
* IR connection with java client if java realization in phone supports access
  to IR port
* ordinary TCP/IP connection with java client, if PC is connectable from
  the Internet
* Bluetooth, infrared or cable connection using AT "modem" commands
* web interface
* it supports some of IR remotes supplied with TV tuner cards (like LIRC)
* it has limited support for Bemused clients

anyRemote is a console application, but in addition there are GUI front ends
for Gnome and KDE.

%package doc
Summary:	Documentation for anyRemote
Group:		Documentation
BuildArch:	noarch

%description doc
Documentation for anyRemote.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS COPYING ChangeLog README
%exclude %{_docdir}/%{name}/doc-html/
%{_bindir}/*
%{_datadir}/%{name}/
%{_mandir}/man1/*

%files doc
%doc doc-html/*
