%global short_name      commons-dbutils

Name:             apache-%{short_name}
Version:          1.5
Release:          %mkrel 9
Summary:          Apache Commons DbUtils Package
Group:            Development/Java
License:          ASL 2.0
URL:              https://commons.apache.org/dbutils/
Source0:          https://www.apache.org/dist/commons/dbutils/source/%{short_name}-%{version}-src.tar.gz
BuildArch:        noarch

BuildRequires:    java-devel >= 1:1.6.0
BuildRequires:    jpackage-utils
BuildRequires:    maven-local
BuildRequires:    hamcrest
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    mockito
Requires:         java-headless >= 1:1.6.0
Requires:         jpackage-utils

%description
DbUtils is a small set of classes designed to make working with JDBC easier. 
JDBC resource cleanup code is mundane, error prone work so these classes 
abstract out all of the cleanup tasks from your code leaving you with what you 
really wanted to do with JDBC in the first place: query and update data.

%package javadoc
Summary:          Javadoc for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{short_name}-%{version}-src
sed -i 's/\r//' *.txt

# Compatibility links
%mvn_alias "%{short_name}:%{short_name}" "org.apache.commons:%{short_name}"
%mvn_file :commons-dbutils %{short_name} %{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt NOTICE.txt RELEASE-NOTES.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt NOTICE.txt

