%bcond_without  portlet

Name:           apache-commons-fileupload
Version:        1.4
Release:        %mkrel 6
Group:          Development/Java
Summary:        API to work with HTML file upload
License:        ASL 2.0
URL:            https://commons.apache.org/fileupload/
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://archive.apache.org/dist/commons/fileupload/source/commons-fileupload-%{version}-src.tar.gz
Patch1:         CVE-2023-24998.patch

BuildRequires:  maven-local
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(javax.servlet:servlet-api)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.commons:commons-parent:pom:)
%if %{with portlet}
BuildRequires:  mvn(javax.portlet:portlet-api)
%endif

%description
The javax.servlet package lacks support for RFC-1867, HTML file
upload.  This package provides a simple to use API for working with
such data.  The scope of this package is to create a package of Java
utility classes to read multipart/form-data within a
javax.servlet.http.HttpServletRequest.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package contains the API documentation for %{name}.

# -----------------------------------------------------------------------------

%prep
%setup -q -n commons-fileupload-%{version}-src
%patch -P 1 -p1
sed -i 's/\r//' LICENSE.txt
sed -i 's/\r//' NOTICE.txt

%if %{with portlet}
# fix gId
sed -i "s|<groupId>portlet-api</groupId>|<groupId>javax.portlet</groupId>|" pom.xml
%else
%pom_remove_dep portlet-api:portlet-api
%pom_xpath_remove pom:properties/pom:commons.osgi.import
%pom_xpath_remove pom:properties/pom:commons.osgi.dynamicImport
rm -r src/main/java/org/apache/commons/fileupload/portlet
%endif

# -----------------------------------------------------------------------------

%mvn_file ":{*}" @1 %{name}
%mvn_alias : org.apache.commons:

%build
# tests fail to compile because they use an obsolete version of servlet API (2.4)
%mvn_build -f -- -Dcommons.osgi.symbolicName=org.apache.commons.fileupload

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt

# -----------------------------------------------------------------------------


