
%global namedreltag -SNAPSHOT
%global namedversion %{version}%{?namedreltag}

%global base_name primitives
%global short_name commons-%{base_name}
# OSGi manifest
%global with_maven 1

Name:          apache-%{short_name}
Version:       1.1
Release:       %mkrel 6
Summary:       Commons Primitives
Group:         Development/Java
License:       ASL 2.0
Url:           https://commons.apache.org/primitives/
# svn export -r 678495 http://svn.apache.org/repos/asf/commons/proper/primitives/trunk/ commons-primitives-1.1
# tar czf commons-primitives-1.1-src-svn.tar.gz commons-primitives-1.1
Source0:       %{short_name}-1.1-src-svn.tar.gz

BuildRequires: apache-commons-parent
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: maven-local
BuildRequires: apache-commons-collections
BuildRequires: junit
BuildRequires: apache-commons-collections-testframework

BuildRequires: maven-assembly-plugin
BuildRequires: maven-changes-plugin
BuildRequires: maven-checkstyle-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-surefire-plugin

BuildArch:     noarch

%description
Commons Primitives is a set of collection and utility classes for primitive types.
The Java language has a clear distinction between Object and primitive types.
A lot of functionality is provided for Object types, including the Java Collection Framework.
Relatively little functionality is provided by the JDK for primitives.
This package addresses this by providing a set of utility and collection classes for primitives.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{short_name}-%{version}

for j in $(find . -name "*.jar"  -o -name '*.class' ); do
  rm -rf $j
done

%build
%mvn_file  : %{short_name} %{name}
%mvn_alias : %{short_name}:%{short_name}
%mvn_build -X

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt NOTICE.txt PROPOSAL.html RELEASE-NOTES.txt STATUS.txt

%files -f .mfiles-javadoc
