%define _name        mina
%global majorversion 1

Name:          apache-mina1
Version:       1.1.7
Release:       %mkrel 13
Summary:       Java network application framework version 1.x
Group:         Development/Java
License:       ASL 2.0
URL:           https://mina.apache.org
Source0:       https://archive.apache.org/dist/mina/%{version}/%{_name}-%{version}.tar.bz2
Patch0:        apache-mina-1.1.7-build-core-only.patch

BuildArch:     noarch

BuildRequires: maven-local
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-shade-plugin
BuildRequires: mvn(org.apache:apache:pom:)

%description
Apache MINA is a network application framework which helps users develop high
performance and high scalability network applications easily. It provides an
abstract event-driven asynchronous API over various transports such as TCP/IP
and UDP/IP via Java NIO.

This package contains version 1.x of apache-mina.

%package       javadoc
Summary:       Javadoc for %{name}
Group:         Documentation

%description   javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{_name}-%{version}
%patch -P 0 -p1

%pom_remove_plugin :maven-source-plugin

%build
%mvn_build -f

%install
%mvn_install

%add_maven_depmap apache-mina1/mina-core.pom apache-mina1/mina-core.jar -v "%{majorversion}"

sed -i 's/\%attr(0644,root,root) \/usr\/share\/java\/apache-mina1\/mina-core.jar//' .mfiles
sed -i 's/\%attr(0644,root,root) \/usr\/share\/maven-poms\/apache-mina1\/mina-core.pom//' .mfiles
sed -i 's/\%attr(0644,root,root) \/usr\/share\/maven-metadata\/apache-mina1.xml//' .mfiles

%files -f .mfiles
%doc LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt NOTICE.txt
