%define _disable_ld_no_undefined 1
%define mod_name mod_auth_cas

Name:           apache-%{mod_name}
Version:        1.0.9.1
Release:        %mkrel 18
Summary:        CAS authentication module
Group:          System/Servers
License:        GPLv3+ with exceptions
URL:            http://www.ja-sig.org/wiki/display/CASC/mod_auth_cas
# The source for this package was pulled from the upstream's vcs. Their
# releases are stored in SVN instead of exported to a tar.gz, I used the
# following commands to do so:
#  svn export https://source.jasig.org/cas-clients/mod_auth_cas/tags/mod_auth_cas-1.0.8.1 mod_auth_cas-1.0.8.1

#  tar -czvf mod_auth_cas-1.0.8.1.tar.gz mod_auth_cas-1.0.8.1/
Source0:        mod_auth_cas-1.0.9.1.tar.gz
Source1:        mod_auth_cas.conf
Source2:        auth_cas.conf
Patch0:         485378eb5c5ea41bcd6ddedfe85de9bc635664ef.patch
Patch1:         mod_auth_cas-1.0.9.1-openssl11.patch
BuildRequires:  pkgconfig(openssl)
BuildRequires:  apache-devel
BuildRequires:  pkgconfig(libcurl)
Requires:	    apache

%description
mod_auth_cas is an Apache 2.0/2.2 compliant module that supports the CASv1
and CASv2 protocols

%prep
%setup -q -n %{mod_name}-%{version}
%autopatch -p 1

%build
autoreconf -fi
%configure --with-apxs=%{_httpd_apxs}
%make_build

%install
%make_install

install -D -m 644 %{SOURCE1} %{buildroot}%{_httpd_modconfdir}/10_mod_auth_cas.conf
install -D -m 644 %{SOURCE2} %{buildroot}%{_httpd_extconfdir}/auth_cas.conf

install -d -m 755 %{buildroot}%{_localstatedir}/cache/httpd/mod_auth_cas

%files
%doc README
%config(noreplace) %{_httpd_modconfdir}/10_mod_auth_cas.conf
%config(noreplace) %{_httpd_extconfdir}/auth_cas.conf
%{_httpd_moddir}/mod_auth_cas.so
%attr(-,apache,apache) %{_localstatedir}/cache/httpd/mod_auth_cas
