# Don't break weak linking
%global _disable_ld_no_undefined 1

%global modname mod_auth_gssapi

Name:           apache-%{modname}
Version:        1.6.1
Release:        %mkrel 9
Summary:        A GSSAPI Authentication module for Apache
Group:          System/Servers
License:        MIT
URL:            https://github.com/modauthgssapi/mod_auth_gssapi
Source0:        https://github.com/modauthgssapi/%{modname}/releases/download/v%{version}/%{modname}-%{version}.tar.gz

# Backports from upstream
Patch0:         In-tests-show-the-exception-on-failure.patch
Patch1:         Fix-tests-to-work-with-python3.patch
Patch2:         Fix-integer-sizes-used-with-ap_set_flag_slot.patch

BuildRequires:  autoconf, automake, libtool
BuildRequires:  apache-devel
BuildRequires:  krb5-devel
BuildRequires:  openssl-devel
BuildRequires:  gssntlmssp-devel
BuildRequires:  git
Requires:       krb5-libs >= 1.11.5

%description
The mod_auth_gssapi module is an authentication service that implements the
SPNEGO based HTTP Authentication protocol defined in RFC4559.

%prep
%autosetup -n %{modname}-%{version} -S git

%build
export APXS=%{_httpd_apxs}
autoreconf -fiv
%configure
%make_build

%install
mkdir -p %{buildroot}%{_httpd_moddir}
install -m 755 src/.libs/%{modname}.so %{buildroot}%{_httpd_moddir}

# Apache configuration for the module
echo "LoadModule auth_gssapi_module modules/mod_auth_gssapi.so" > 10-auth_gssapi.conf
mkdir -p %{buildroot}%{_httpd_modconfdir}
install -m 644 10-auth_gssapi.conf %{buildroot}%{_httpd_modconfdir}

%files
%doc README
%license COPYING
%config(noreplace) %{_httpd_modconfdir}/10-auth_gssapi.conf
%{_httpd_moddir}/mod_auth_gssapi.so

