#Module-Specific definitions
%define mod_name mod_auth_kerb

Name:		apache-%{mod_name}
Version:	5.4
Release:	%mkrel 10
Summary:	Apache module to provides authentication against a Kerberos server
Group:		System/Servers
License:	BSD-like
URL:		https://modauthkerb.sourceforge.net/
Source0:	https://prdownloads.sourceforge.net/modauthkerb/%{mod_name}-%{version}.tar.gz
Source1:	mod_auth_kerb.conf
Source2:	example.conf
Patch1:		mod_auth_kerb-5.4-rcopshack.patch
Patch2:		mod_auth_kerb-5.4-fixes.patch
Patch3:		mod_auth_kerb-5.4-s4u2proxy.patch
Patch4:		mod_auth_kerb-5.4-httpd24.patch
# gentoo patches
Patch20:	mod_auth_kerb-5.4-krb5pwd-double-free.patch
Patch21:	mod_auth_kerb-5.4-api-change-krb5.patch
BuildRequires:	pkgconfig(krb5)
BuildRequires:	apache-devel
Requires:	apache

%description
Mod_auth_kerb is an apache module designed to provide Kerberos
user authentication to the Apache web server. Using the Basic
Auth mechanism, it retrieves a username/password pair from the
browser and checks them against a Kerberos server as set up by
your particular organization. It also supports mutual ticket
authentication, but most browsers do not support that natively.

I might look into writing a netscape plugin for it at some point.
Some browsers also require being told that they are to use Basic
Auth as opposed to seeing KerberosV* and handling that as basic
auth. The module accounts for this and 'tricks' the browser into
thinking it's normal basic auth. 

If you are using the Basic Auth mechanmism, the module does not
do any special encryption of any sort. The passing of the
username and password is done with the same Base64 encoding that
Basic Auth uses. This can easily be converted to plain text. To
counter this, I would suggest also using mod_ssl. 

%prep
%autosetup -p1 -n %{mod_name}-%{version}

%build
%configure --localstatedir=/var/lib \
    --with-krb5=%{_prefix} \
    --without-krb4
%make_build

%install
install -D -m 755 src/.libs/mod_auth_kerb.so \
        %{buildroot}%{_httpd_moddir}/mod_auth_kerb.so

install -D -m 644 %{SOURCE1} %{buildroot}%{_httpd_modconfdir}/10_mod_auth_kerb.conf
install -m 644 %{SOURCE2} example.conf

%files
%doc INSTALL LICENSE README example.conf
%config(noreplace) %{_httpd_modconfdir}/10_mod_auth_kerb.conf
%{_httpd_moddir}/mod_auth_kerb.so
