%define mod_name mod_auth_openidc
%define mod_conf auth_openidc.conf
%define mod_so %{mod_name}.so

Name:             apache-%{mod_name}
Version:          2.4.15.6
Release:          %mkrel 1
Summary:          OpenID Connect Relying Party and OAuth 2.0 Resource Server for Apache HTTP Server 2.x
Group:            System/Servers
License:          Apache License
URL:              https://github.com/pingidentity/mod_auth_openidc
Source:           https://github.com/pingidentity/mod_auth_openidc/archive/v%{version}/%{mod_name}-%{version}.tar.gz
BuildRequires:    apache-devel
BuildRequires:    pkgconfig(libcurl)
BuildRequires:    pkgconfig(jansson) >= 2.0
BuildRequires:    pkgconfig(libpcre2-8)
BuildRequires:    pkgconfig(cjose) >= 0.5.1

Requires:         apache

%description
mod_auth_openidc is an authentication/authorization module for the
Apache 2.x HTTP server that authenticates users against an
OpenID Connect Provider. It can also function as an OAuth 2.0 Resource Server,
validating access tokens presented by OAuth 2.0 clients against an OAuth 2.0
Authorization Server.

%prep
%setup -q -n %{mod_name}-%{version}
%autopatch -p1

%build
NOCONFIGURE=1 ./autogen.sh
%configure
%make_build

%install
install -d %{buildroot}%{_httpd_moddir}
install -d %{buildroot}%{_sysconfdir}/httpd/conf/conf.d
install -d %{buildroot}%{_sysconfdir}/httpd/conf/modules.d

%make_install MODULES_DIR=%{buildroot}%{_httpd_moddir}

cat << EOF > 10_%{mod_conf}
LoadModule auth_openidc_module modules/mod_auth_openidc.so
EOF

install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/conf/conf.d/
install -m0644 10_%{mod_conf} %{buildroot}%{_sysconfdir}/httpd/conf/modules.d/

%files
%doc AUTHORS ChangeLog INSTALL LICENSE.txt README.md
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/conf.d/%{mod_conf}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/modules.d/10_%{mod_conf}
%attr(0755,root,root) %{_httpd_moddir}/%{mod_name}.so
