#Module-Specific definitions
%define mod_name mod_fcgid

Summary:	Apache module for FastCGI
Name:		apache-%{mod_name}
Version:	2.3.9
Release:	%mkrel 9
Group:		System/Servers
License:	Apache License
URL:		https://www.apache.org
Source0:	https://httpd.apache.org/dev/dist/mod_fcgid/mod_fcgid-%{version}.tar.gz
Source1:	https://httpd.apache.org/dev/dist/mod_fcgid/mod_fcgid-%{version}.tar.gz.asc
Source2:	mod_fcgid.conf
Source3:	fcgid.conf
Patch1:         mod_fcgid-2.3.9-CVE-2016-1000104.patch
BuildRequires:	apache-devel
Requires:	apache
Epoch:		1

%description
mod_fcgid is a binary compatibility alternative to Apache module mod_fastcgi.
mod_fcgid has a new process management strategy, which concentrates on reducing
the number of fastcgi server, and kick out the corrupt fastcgi server as soon
as possible.

%prep
%setup -q -n %{mod_name}-%{version}
%autopatch -p1

%build
# still a bit ugly

pushd modules/fcgid
cp fcgid_config.h.in fcgid_config.h
%{_httpd_apxs} -I. -c mod_fcgid.c fcgid_bridge.c fcgid_conf.c fcgid_pm_main.c \
    fcgid_protocol.c fcgid_spawn_ctl.c fcgid_proctbl_unix.c fcgid_pm_unix.c \
    fcgid_proc_unix.c fcgid_bucket.c fcgid_filter.c fcgid_mutex_unix.c
popd

%install
pushd modules/fcgid
install -d %{buildroot}%{_httpd_moddir}
%{_httpd_apxs} -i -S LIBEXECDIR=%{buildroot}%{_httpd_moddir} \
    -n %{mod_name} %{mod_name}.la
popd

install -D -m 644 %{SOURCE2} %{buildroot}%{_httpd_modconfdir}/10_mod_fcgid.conf
install -D -m 644 %{SOURCE3} %{buildroot}%{_httpd_extconfdir}/fcgid.conf

install -d %{buildroot}/var/lib/%{name}

%files
%doc *-FCGID docs/manual/mod/mod_fcgid.html.en
%config(noreplace) %{_httpd_modconfdir}/10_mod_fcgid.conf
%config(noreplace) %{_httpd_extconfdir}/fcgid.conf
%{_httpd_moddir}/mod_fcgid.so
%attr(-,apache,apache) %dir /var/lib/%{name}
