%define mod_name mod_geoip

Summary:	GeoIP module for the Apache HTTP Server
Name:		apache-%{mod_name}
Version:	1.2.10
Release:	%mkrel 4
Group:		System/Servers
License:	ASL 1.1
URL:		https://www.maxmind.com/app/mod_geoip
Source:		https://github.com/maxmind/geoip-api-mod_geoip2/archive/%{version}.tar.gz
BuildRequires:	apache-devel
BuildRequires:	pkgconfig(geoip) >= 1.4.3
Requires:	geoip%{?_isa}
Requires:	apache

%description
mod_geoip is an Apache module to look up geolocation information for a
client as part of the HTTP request process. It uses the GeoIP library
and database to perform the lookup. It is free software, licensed under
the Apache license.

%prep
%setup -q -n geoip-api-mod_geoip2-%{version}

%build
%{_httpd_apxs} -Wc,-Wall -Wl,"-lGeoIP" -c %{mod_name}.c

%install
install -D -p -m 755 .libs/%{mod_name}.so %{buildroot}%{_httpd_moddir}/%{mod_name}.so

cat << EOF > 10-geoip.conf
LoadModule geoip_module modules/mod_geoip.so
EOF

cat << EOF > geoip.conf
<IfModule mod_geoip.c>
  GeoIPEnable On
  GeoIPDBFile /usr/share/GeoIP/GeoIP.dat
</IfModule>
EOF

install -D -p -m 644 10-geoip.conf %{buildroot}%{_httpd_modconfdir}/10-geoip.conf
install -D -p -m 644 geoip.conf %{buildroot}%{_httpd_confdir}/geoip.conf

%files
%doc INSTALL* README* Changes
%{_httpd_moddir}/%{mod_name}.so
%config(noreplace) %{_httpd_confdir}/geoip.conf
%config(noreplace) %{_httpd_modconfdir}/10-geoip.conf

