%define aprincludes	%(%{_bindir}/apr-1-config --includes 2>/dev/null)
%define aplogdir	logs

%undefine _hardened_build

Name:		apache-mod_jk
Epoch:		0
Version:	1.2.50
Release:	%mkrel 1
Summary:	Tomcat mod_jk connector for Apache
License:	Apache License
Group:		Development/Java
URL:		https://tomcat.apache.org/
Source0:	https://www.apache.org/dist/tomcat/tomcat-connectors/jk/tomcat-connectors-%{version}-src.tar.gz
Source1:	https://www.apache.org/dist/tomcat/tomcat-connectors/jk/tomcat-connectors-%{version}-src.tar.gz.asc
Patch0:		tomcat-connectors-1.2.30-mod_jk.conf-use-separate-cache-dir.patch
Patch1:		tomcat-connectors-1.2.30-workers.properties-only-use-default-system-tomcat-node.patch
BuildRequires:	ant
BuildRequires:	apache-devel
BuildRequires:	java-devel
BuildRequires:	libtool
BuildRequires:	xalan-j2
Obsoletes:	mod_jk < %{epoch}:%{version}-%{release}
Provides:	mod_jk = %{epoch}:%{version}-%{release}
Obsoletes:	tomcat-mod < %{epoch}:%{version}-%{release}

%description
mod_jk allows Apache to serve as a front-end for Tomcat, GlassFish or any other
AJP1.3-enabled application server, with optional load-balancing.

%package	manual
Summary:	Tomcat mod_jk connector manual
Group:		Development/Java

%description	manual
Tomcat mod_jk connector manual.

%package	tools
Group:		Development/Java
Summary:	Analysis and report tools for mod_jk

%description	tools
Miscellaneous mod_jk analysis and report tools.

%prep
%setup -q -n tomcat-connectors-%{version}-src
%patch -P0 -p1 -b .cache_dir~
%patch -P1 -p1 -b .multi_nodes

(cd native && libtoolize --copy --force)

perl -pi -e 's|/usr/local/bin\b|%{_bindir}|' tools/reports/*.pl
perl -pi -e 's|^(APXSCPPFLAGS=.*)$|$1 %{aprincludes}|' \
  native/common/Makefile.in

%build
cd native

autoreconf -fi

%{configure} \
  --with-apxs=%{_httpd_apxs}

# See <http://marc.theaimsgroup.com/?l=tomcat-dev&m=105600821630990>
export LIBTOOL=`%{_httpd_apxs} -q LIBTOOL 2>/dev/null`
# Handle old apxs (without -q LIBTOOL), eg Red Hat 8.0 and 9.
if test -z "$LIBTOOL"; then
  LIBTOOL=%{__libtool}
fi
%{make_build} \
  LIBTOOL="$LIBTOOL" \
  EXTRA_CFLAGS="%{optflags}" \
  EXTRA_CPPFLAGS="%{aprincludes}"
cd ..

cd xdocs ; CLASSPATH=$(%{_bindir}/build-classpath xalan-j2-serializer) %{ant} ; cd ..

%install
install -D -m 755 native/apache-2.0/mod_jk.so %{buildroot}%{_httpd_moddir}/mod_jk.so
install -D -m 644 conf/workers.properties -D %{buildroot}%{_httpd_confdir}/workers.properties
install -D -m 644 conf/httpd-jk.conf -D %{buildroot}%{_httpd_modconfdir}/10_mod_jk.conf

install -d -m 755 %{buildroot}%{_bindir}
install -m 755 tools/reports/*.pl %{buildroot}%{_bindir}

install -d %{buildroot}/var/cache/httpd/mod_jk
touch %{buildroot}/var/cache/httpd/mod_jk/mod_jk.shm

%files
%config(noreplace) %{_httpd_modconfdir}/10_mod_jk.conf
%config(noreplace) %{_httpd_confdir}/workers.properties
%{_httpd_moddir}/mod_jk.so
%attr(0700,apache,root) %dir /var/cache/httpd/mod_jk
%attr(0600,apache,root) %ghost /var/cache/httpd/mod_jk/mod_jk.shm

%files manual
%doc build/docs/*

%files tools
%doc tools/reports/README.txt
%{_bindir}/*
