Name:		apache-mod_qos
Version:	11.76
Release:	%mkrel 1
Summary:	Quality of service module for Apache
License:	GPLv2
Group:		System/Servers
URL:		https://mod-qos.sourceforge.net
Source0:	https://downloads.sourceforge.net/project/mod-qos/mod_qos-%{version}.tar.gz
Source1:	10-mod_qos.conf

BuildRequires: mercurial
BuildRequires: automake
BuildRequires: gcc
BuildRequires: make
BuildRequires: apache-devel
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(openssl)
BuildRequires: pkgconfig(libpcre2-8)

Requires:	apache

%description
The mod_qos module may be used to determine which requests should be served and 
which shouldn't in order to avoid resource over-subscription. The module 
collects different attributes such as the request URL, HTTP request and response
headers, the IP source address, the HTTP response code, history data (based on 
user session and source IP address), the number of concurrent requests to the 
server (total or requests having similar attributes), the number of concurrent 
TCP connections (total or from a single source IP), and so forth.

Counteractive measures to enforce the defined rules are: request blocking, 
dynamic timeout adjustment, request delay, response throttling, and dropping of 
TCP connections. 


%prep
%autosetup -S hg -p1 -n mod_qos-%{version}

%build
/usr/bin/apxs -Wc,"%{optflags}" -c apache2/mod_qos.c -lcrypto

# Tools building
# Need to fix the binaries

pushd .
cd tools/
aclocal
automake --add-missing
%configure
%make_build
popd


%install
install -Dpm 755 apache2/.libs/mod_qos.so \
	%{buildroot}%{_libdir}/httpd/modules/mod_qos.so

install -Dpm 644 %{SOURCE1} %{buildroot}%{_httpd_modconfdir}/10-mod_qos.conf

cd tools/
%make_install
install -d %{buildroot}%{_mandir}/man1/
install -Dpm 644 man1/* %{buildroot}%{_mandir}/man1/

%files
%{_bindir}/*
%{_mandir}/man1/*
%doc doc README.TXT
%{_libdir}/httpd/modules/mod_qos.so
%config(noreplace) %{_httpd_modconfdir}/10-mod_qos.conf

