%define mod_name mod_security

Name:		apache-%{mod_name}
Epoch:		1
Version:	2.9.7
Release:	%mkrel 2
Summary:	Open Source Web Application Firewall
Group:		System/Servers
License:	Apache License
URL:		https://www.modsecurity.org/
Source0:	https://github.com/SpiderLabs/ModSecurity/releases/download/v%{version}/modsecurity-%{version}.tar.gz
#Source0: https://www.modsecurity.org/tarball/2.9.1-rc1/modsecurity-2.9.1-RC1.tar.gz
Source2:	mod_security.logrotate
Source3:	mod_security.conf
Patch1:		modsecurity-2.9.3-lua-54.patch
# because of our Fix-multilib.patch in pcre2 pkg
Patch2:		modsecurity-2.9.7-PCRE2_LD_PATH.patch
Requires:	apache >= 2.4.0
Requires:	mlogc >= 1.4.2
Requires:	unzip
Recommends:	apache-mod_security-crs
BuildRequires:	apache-devel >= 2.4.0
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(lua) >= 5.2
BuildRequires:	pkgconfig(libpcre2-8)

%description
ModSecurity is an open source intrustion detection and prevention engine for
web applications. It operates embedded into the web server, acting as a
powerful umbrella - shielding applications from attacks.

%package -n	mlogc
Summary:	ModSecurity Audit Log Collector
Group:		System/Servers

%description -n	mlogc
ModSecurity is an open source intrustion detection and prevention engine for
web applications. It operates embedded into the web server, acting as a
powerful umbrella - shielding applications from attacks.

This package contains the ModSecurity Audit Log Collector.

%prep
%autosetup -n modsecurity-%{version} -p1

%build
%serverbuild

%configure \
    --localstatedir=/var/lib \
    --enable-performance-measurement \
    --with-apxs=%{_httpd_apxs} \
    --without-pcre \
    --with-pcre2=%{_prefix} \
    --with-apr=%{_prefix} \
    --with-apu=%{_prefix} \
    --with-libxml=%{_prefix} \
    --with-lua=%{_prefix} \
    --with-curl=%{_prefix}

# remove rpath (because of our Fix-multilib.patch in pcre2 pkg)
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

%install
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_bindir}

install -d %{buildroot}%{_httpd_moddir}
install -m 755 apache2/.libs/mod_security2.so \
    %{buildroot}%{_httpd_moddir}/mod_security2.so

install -d %{buildroot}%{_httpd_modconfdir}
cat >  %{buildroot}%{_httpd_modconfdir}/10_mod_security.conf <<EOF
LoadModule security2_module modules/mod_security2.so
EOF

install -d %{buildroot}%{_httpd_extconfdir}
install -m 644 %{SOURCE3} %{buildroot}%{_httpd_extconfdir}/mod_security.conf

install -d %{buildroot}%{_httpd_confdir}/modsecurity.d
cat >  %{buildroot}%{_httpd_confdir}/modsecurity.d/localrules.conf <<EOF
# Drop your local rules in here.
EOF

install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/mod_security

install -d %{buildroot}%{_localstatedir}/log/mlogc
install -d %{buildroot}%{_localstatedir}/log/mlogc/data
install -m 755 mlogc/mlogc %{buildroot}%{_bindir}
install -m 755 mlogc/mlogc-batch-load.pl %{buildroot}%{_bindir}/mlogc-batch-load
install -m 644 mlogc/mlogc-default.conf %{buildroot}%{_httpd_confdir}/mlogc.conf

install -d %{buildroot}%{_localstatedir}/lib/%{name}

%files
%doc CHANGES README*
%license LICENSE
%config(noreplace) %{_httpd_modconfdir}/10_mod_security.conf
%config(noreplace) %{_httpd_extconfdir}/mod_security.conf
%dir %{_httpd_confdir}/modsecurity.d
%config(noreplace)  %{_httpd_confdir}/modsecurity.d/localrules.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/mod_security
%{_httpd_moddir}/mod_security2.so
%attr(770,apache,root) %dir %{_localstatedir}/lib/%{name}

%files -n mlogc
%doc mlogc/INSTALL
%attr(0640,root,apache) %config(noreplace) %{_httpd_confdir}/mlogc.conf
%attr(0755,root,root) %dir %{_localstatedir}/log/mlogc
%attr(0770,root,apache) %dir %{_localstatedir}/log/mlogc/data
%{_bindir}/mlogc
%{_bindir}/mlogc-batch-load
