#Module-Specific definitions
%define mod_name mod_wsgi

# "fix" underlinking:
%define _disable_ld_no_undefined 1

Summary:        Python WSGI adapter module for Apache
Name:           apache-%{mod_name}
Version:        5.0.2
Release:        %mkrel 3
Group:          System/Servers
License:        Apache License
URL:            https://github.com/GrahamDumpleton/mod_wsgi
# Download from GitHub:
# https://github.com/GrahamDumpleton/mod_wsgi/releases
Source0:        https://github.com/GrahamDumpleton/mod_wsgi/archive/%{version}.tar.gz
Source1:        mod_wsgi.conf
Source2:        wsgi.conf
Source3:        mod_wsgi-python3.conf
#atch0:         mod_wsgi-link-apr.patch
Requires:       apache
BuildRequires:  apache-devel
BuildRequires:  pkgconfig(apr-1)
BuildRequires:  libtool

%description
The mod_wsgi adapter is an Apache module that provides a WSGI compliant
interface for hosting Python based web applications within Apache. The
adapter is written completely in C code against the Apache C runtime and
for hosting WSGI applications within Apache has a lower overhead than using
existing WSGI adapters for mod_python or CGI.

%package -n apache-python3-%{mod_name}
Summary:        Python3 WSGI adapter module for Apache
Group:          System/Servers
Requires:       apache
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n apache-python3-%{mod_name}
The mod_wsgi adapter is an Apache module that provides a WSGI compliant
interface for hosting Python3 based web applications within Apache. The
adapter is written completely in C code against the Apache C runtime and
for hosting WSGI applications within Apache has a lower overhead than using
existing WSGI adapters for mod_python or CGI.

%prep
%setup -q -n %{mod_name}-%{version}
%autopatch -p1

%build
%py3_build

%install
mkdir -p %{buildroot}%{_httpd_moddir}
# %%py3_install
mv $(find build -name '*.so') %{buildroot}%{_httpd_moddir}/mod_wsgi_python3.so
install -D -m 644 %{SOURCE3} %{buildroot}%{_httpd_modconfdir}/10_mod_wsgi_python3.conf


%files -n apache-python3-%{mod_name}
%doc LICENSE README*
%config(noreplace) %{_httpd_modconfdir}/10_mod_wsgi_python3.conf
%{_httpd_moddir}/mod_wsgi_python3.so
