%global ver 2.4.7-03

Summary:	MPM Itk for Apache HTTP Server
Name:		apache-mpm-itk
Version:	%( echo %ver | tr '-' '.' )
Release:	%mkrel 1
License:	ASL 2.0
Group:		System/Servers
URL:		http://mpm-itk.sesse.net/
Source0:	http://mpm-itk.sesse.net/mpm-itk-%{ver}.tar.gz
BuildRequires:	apache-devel >= 2.4.7
Requires:	apache >= 2.4.7

%description
The Apache HTTP Server is a powerful, efficient, and extensible web server.

This package contain mpm-itk which is an MPM (Multi-Processing Module) for the
Apache web server. Mpm-itk allows you to run each of your vhost under a separate
uid and gid — in short, the scripts and configuration files for one vhost no
longer have to be readable for all the other vhosts.

In summary it is Apache module (opposite CGI solutions like suexec), fast and
allow safely use non-thread-aware code software (like many PHP extensions f.e.)

%prep

%setup -q -n mpm-itk-%{ver}

%build
%configure
%make

%install
rm -rf %{buildroot}

install -D .libs/mpm_itk.so %{buildroot}/%{_httpd_moddir}/mod_mpm_itk.so

install -d %{buildroot}/%{_httpd_modconfdir}

cat > %{buildroot}/%{_httpd_modconfdir}/00-mpm-itk.conf << EOF
# ITK MPM (Multi-Processing Module). Mpm-itk allows you to run each of your
# vhost under a separate uid and gid - in short, the scripts and configuration
# files for one vhost no longer have to be readable for all the other vhosts.
#LoadModule mpm_itk_module modules/mod_mpm_itk.so
EOF

%files
%defattr(-,root,root,-)
%doc README CHANGES
%{_httpd_moddir}/mod_mpm_itk.so
%config(noreplace) %{_httpd_modconfdir}/00-mpm-itk.conf

