%global __brp_check_rpaths %{nil}
%define _disable_ld_no_undefined 1
# (luigiwalser, ngompa): httpd build hates parallelization
%define _smp_ncpus_max 8

%define contentdir %{_datadir}/httpd
%define confdir %{_sysconfdir}/httpd/conf
%define docroot /var/www
%define suexec_caller apache
%define vstring Mageia

%{?!maxmodules:%global maxmodules 128}
%{?!serverlimit:%global serverlimit 1024}

Summary:    The most widely used Web server on the Internet
Name:       apache
Version:    2.4.62
Release:    %mkrel 2
Group:      System/Servers
License:    ASL 2.0
URL:        https://httpd.apache.org
Source0:    https://www.apache.org/dist/httpd/httpd-%{version}.tar.bz2
Source1:    https://www.apache.org/dist/httpd/httpd-%{version}.tar.bz2.asc
Source9:    htcacheclean.service
Source10:   htcacheclean.sysconfig
Source14:   httpd.tmpfiles
Source15:   httpd.service
Source16:   httpd.sysconfig

Source20:   httpd.conf

Source30:   base.conf
Source31:   mpm.conf
Source32:   mod_lua.conf
Source33:   mod_cgi.conf
Source34:   mod_dav.conf
Source35:   mod_proxy.conf
Source36:   mod_proxy_html.conf
Source37:   mod_ssl.conf
Source38:   mod_ldap.conf
Source39:   mod_cache.conf
Source40:   mod_dbd.conf
Source41:   mod_suexec.conf
Source42:   mod_userdir.conf
Source43:   mod_systemd.conf
Source44:   mod_session.conf
Source45:   mod_http2.conf
Source46:   mod_brotli.conf

Source50:   httpd-security.conf
Source51:   httpd-ssl.conf

Source60:   default_vhosts.conf
Source61:   default_ssl_vhost.conf

# build/scripts patches
Patch0: httpd-2.4.1-apctl.patch
Patch2: httpd-2.4.9-apxs.patch
Patch3: httpd-2.4.1-deplibs.patch
Patch5: httpd-2.4.3-layout.patch
Patch6: httpd-2.4.3-apctl-systemd.patch
Patch7: httpd-2.4.10-detect-systemd.patch
# Features/functional changes
Patch20: httpd-2.4.3-release.patch
Patch23: httpd-2.4.4-export.patch
Patch24: httpd-2.4.1-corelimit.patch
#Patch26: httpd-2.4.4-r1337344+.patch
Patch27: httpd-2.4.2-icons.patch
Patch28: httpd-2.4.4-r1332643+.patch
# http://marc.info/?l=apache-httpd-dev&m=134867223818085&w=2
Patch29: httpd-2.4.27-systemd.patch
Patch30: httpd-2.4.4-cachehardmax.patch
Patch31: httpd-2.4.18-sslmultiproxy.patch
Patch34: httpd-2.4.60-socket-activation.patch
#Patch35: httpd-2.4.17-sslciphdefault.patch
#Patch44: httpd-2.4.46-lua-resume.patch
# Bug fixes
# https://issues.apache.org/bugzilla/show_bug.cgi?id=32524
Patch100:   httpd-2.4.25-ab_source_address.patch
Patch101:   httpd-2.2.10-ldap_auth_now_modular_in-apr-util-dbd-ldap_fix.diff

Provides:   webserver
Provides:   apache-mod_actions = %{version}
Provides:   apache-mod_alias = %{version}
Provides:   apache-mod_asis = %{version}
Provides:   apache-mod_auth_basic = %{version}
Provides:   apache-mod_auth_digest = %{version}
Provides:   apache-mod_authn_anon = %{version}
Provides:   apache-mod_authn_dbm = %{version}
Provides:   apache-mod_authn_default = %{version}
Provides:   apache-mod_authn_file = %{version}
Provides:   apache-mod_authz_dbm = %{version}
Provides:   apache-mod_authz_default = %{version}
Provides:   apache-mod_authz_groupfile = %{version}
Provides:   apache-mod_authz_host = %{version}
Provides:   apache-mod_authz_owner = %{version}
Provides:   apache-mod_authz_user = %{version}
Provides:   apache-mod_autoindex = %{version}
Provides:   apache-mod_bucketeer = %{version}
Provides:   apache-mod_case_filter = %{version}
Provides:   apache-mod_case_filter_in = %{version}
Provides:   apache-mod_cern_meta = %{version}
Provides:   apache-mod_cgi = %{version}
Provides:   apache-mod_cgid = %{version}
Provides:   apache-mod_charset_lite = %{version}
Provides:   apache-mod_deflate = %{version}
Provides:   apache-mod_dir = %{version}
Provides:   apache-mod_dumpio = %{version}
Provides:   apache-mod_echo = %{version}
Provides:   apache-mod_env = %{version}
Provides:   apache-mod_example = %{version}
Provides:   apache-mod_expires = %{version}
Provides:   apache-mod_ext_filter = %{version}
Provides:   apache-mod_filter = %{version}
Provides:   apache-mod_headers = %{version}
Provides:   apache-mod_ident = %{version}
Provides:   apache-mod_imagemap = %{version}
Provides:   apache-mod_include = %{version}
Provides:   apache-mod_info = %{version}
Provides:   apache-mod_log_config = %{version}
Provides:   apache-mod_log_forensic = %{version}
Provides:   apache-mod_logio = %{version}
Provides:   apache-mod_mime_magic = %{version}
Provides:   apache-mod_mime = %{version}
Provides:   apache-mod_negotiation = %{version}
Provides:   apache-mod_optional_fn_export = %{version}
Provides:   apache-mod_optional_fn_import = %{version}
Provides:   apache-mod_optional_hook_export = %{version}
Provides:   apache-mod_optional_hook_import = %{version}
Provides:   apache-mod_rewrite = %{version}
Provides:   apache-mod_setenvif = %{version}
Provides:   apache-mod_speling = %{version}
Provides:   apache-mod_status = %{version}
Provides:   apache-mod_unique_id = %{version}
Provides:   apache-mod_usertrack = %{version}
Provides:   apache-mod_version = %{version}
Provides:   apache-mod_vhost_alias = %{version}
Provides:   apache-mod_systemd = %{version}

Obsoletes:  apache-base < 2.4.44
Obsoletes:  apache-modules < 2.4.44
Obsoletes:  apache-conf < 2.4.44
Obsoletes:  apache-mpm-event < 2.4.44
Obsoletes:  apache-mpm-prefork < 2.4.44
Obsoletes:  apache-mpm-peruser < 2.4.44
Obsoletes:  apache-mpm-worker < 2.4.44
Obsoletes:  apache-mpm-itk < 2.4.44

Requires(pre):  webserver-base
Requires:       webserver-base
# needed for /etc/mime.types file
Requires:       mailcap

Requires(post):  systemd >= %{systemd_required_version}
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

BuildRequires:  pkgconfig(apr-1) >= 1.7.0-4
BuildRequires:  pkgconfig(apr-util-1) >= 1.6.1-5
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  db5-devel
BuildRequires:  pkgconfig(expat)
BuildRequires:  gdbm-devel
BuildRequires:  pkgconfig(libsasl2)
BuildRequires:  libtool >= 1.4.2
BuildRequires:  openldap-devel
BuildRequires:  pkgconfig(jansson)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(libpcre2-8)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(libcap)
BuildRequires:  pkgconfig(lua)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  multiarch-utils >= 1.0.3
BuildRequires:  pkgconfig(libnghttp2) >= 1.8.0
BuildRequires:  pkgconfig(libbrotlienc)

%description
This package contains the main binary of apache, a powerful, full-featured,
efficient and freely-available Web server. Apache is also the most popular Web
server on the Internet.

This version of apache is fully modular, and many modules are available in
pre-compiled formats, like PHP and mod_auth_external.

The package was built to support a maximum of %{maxmodules} dynamically
loadable modules, and a ServerLimit of %{serverlimit}. You can change these
values at RPM build time by using for example:
--define 'maxmodules 512' --define 'serverlimit 2048'

%package    mod_dav
Summary:    Distributed Authoring and Versioning (WebDAV)
Group:      System/Servers
# ensure initscript presence
Requires(post): apache
Requires(postun): apache
Requires:   apache >= %{version}-%{release}
Provides:   apache-mod_dav_fs = %{version}
Provides:   apache-mod_dav_lock = %{version}

%description    mod_dav
This module provides class 1 and class 2 WebDAV ('Web-based Distributed
Authoring and Versioning') functionality for Apache.

This extension to the HTTP protocol allows creating, moving, copying, and
deleting resources and collections on a remote web server.

%package    mod_ldap
Summary:    LDAP connection pooling and result caching DSO:s
Group:      System/Servers
# ensure initscript presence
Requires(post): apache
Requires(postun): apache
Requires:   apache >= %{version}-%{release}
Requires:   apr-util-dbd-ldap
Provides:   apache-mod_authnz_ldap = %{version}
Obsoletes:  apache-mod_auth_ldap < 2.4.44

%description    mod_ldap
This module was created to improve the performance of websites relying on
backend connections to LDAP servers. In addition to the functions provided by
the standard LDAP libraries, this module adds an LDAP connection pool and an
LDAP shared memory cache.

%package mod_session
Group:      System/Servers
Summary:    Session interface for the Apache HTTP Server
# ensure initscript presence
Requires(post): apache
Requires(postun): apache
Requires:   apache >= %{version}-%{release}
Requires:   apr-util-openssl

%description mod_session
The mod_session module and associated backends provide an abstract
interface for storing and accessing per-user session data.

%package    mod_cache
Summary:    Content cache keyed to URIs
Group:      System/Servers
# ensure initscript presence
Requires(post): apache
Requires(postun): apache
Requires:   apache >= %{version}-%{release}
Recommends:   apache-htcacheclean = %{version}-%{release}

%description    mod_cache
mod_cache implements an RFC 2616 compliant HTTP content caching filter, with
support for the caching of content negotiated responses containing the Vary
header.

mod_cache requires the services of one or more storage management modules. One
storage management module is included in the base Apache distribution:
 * mod_cache_disk: implements a disk based storage manager

%package    mod_proxy
Summary:    HTTP/1.1 proxy/gateway server
Group:      System/Servers
# ensure initscript presence
Requires(post): apache
Requires(postun): apache
Requires:   apache >= %{version}-%{release}
Provides:   apache-mod_proxy_balancer = %{version}
Provides:   apache-mod_proxy_connect = %{version}
Provides:   apache-mod_proxy_ftp = %{version}
Provides:   apache-mod_proxy_http = %{version}
BuildRequires:  pkgconfig(libxml-2.0)

%description    mod_proxy
This module implements a proxy/gateway for Apache. It implements proxying
capability for FTP, CONNECT (for SSL), HTTP/0.9, HTTP/1.0, and HTTP/1.1. The
module can be configured to connect to other proxy modules for these and other
protocols.

%package mod_proxy_html
Summary:    HTML and XML content filters for the Apache HTTP Server
Group:      System/Servers
# ensure initscript presence
Requires(post): apache
Requires(postun): apache
Requires:   apache >= %{version}-%{release}

%description mod_proxy_html
The mod_proxy_html and mod_xml2enc modules provide filters which can
transform and modify HTML and XML content.

%package    mod_suexec
Summary:    Allows CGI scripts to run as a specified user and Group
Group:      System/Servers
# ensure initscript presence
Requires(post): apache
Requires(postun): apache
Requires:   apache >= %{version}-%{release}

%description    mod_suexec
This module, in combination with the suexec support program
allows CGI scripts to run as a specified user and Group.

Normally, when a CGI or SSI program executes, it runs as the
same user who is running the web server.

%package    mod_userdir
Summary:    User-specific directories
Group:      System/Servers
# ensure initscript presence
Requires(post): apache
Requires(postun): apache
Requires:   apache >= %{version}-%{release}

%description    mod_userdir
This module allows user-specific directories to be accessed using the
http://example.com/~username/ syntax.

%package    mod_ssl
Summary:    Strong cryptography using the SSL and TLS protocols
Group:      System/Servers
# ensure initscript presence
Requires(post): apache
Requires(postun): apache
Requires:   apache >= %{version}-%{release}
Requires(post): openssl

%description    mod_ssl
This module provides SSL v2/v3 and TLS v1 support for the Apache HTTP Server.
It was contributed by Ralf S. Engeschall based on his mod_ssl project and
originally derived from work by Ben Laurie.

This module relies on OpenSSL to provide the cryptography engine.

This module also have native SNI support, please look here for more
information:

 * http://daniel-lange.com/plugin/tag/sni
 * https://sni.velox.ch/

%package    mod_dbd
Summary:    Manages SQL database connections
Group:      System/Servers
# ensure initscript presence
Requires(post): apache
Requires(postun): apache
Requires:   apache >= %{version}-%{release}
Requires:   apr-util-dbd-ldap
Recommends:   apr-util-dbd-freetds
Recommends:   apr-util-dbd-mysql
Recommends:   apr-util-dbd-odbc
Recommends:   apr-util-dbd-pgsql
Recommends:   apr-util-dbd-sqlite3
# File mod_authz_dbd.so moved from main package to this one
Conflicts: apache < 2.4.57-1

%description    mod_dbd
mod_dbd manages SQL database connections using apr_dbd. It provides database
connections on request to modules requiring SQL database functions, and takes
care of managing databases with optimal efficiency and scalability for both
threaded and non-threaded MPMs.

%package    mod_http2
Summary:    This module provides HTTP/2 (RFC 7540) support
Group:      System/Servers
# ensure initscript presence
Requires(post): apache
Requires(postun): apache
Requires:   apache >= %{version}-%{release}
Recommends: nghttp2 >= 1.8.0

%description    mod_http2
This module provides HTTP/2 (RFC 7540) support for the Apache HTTP Server.

This module relies on libnghttp2 to provide the core http/2 engine.

%package    mod_brotli
Summary:    Google Brotli compression for apache
Group:      System/Servers
# ensure initscript presence
Requires(post): apache
Requires(postun): apache
Requires:   apache >= %{version}-%{release}
Provides:   apache-mod_brotli = %{version}

%description    mod_brotli
The mod_brotli module provides the BROTLI_COMPRESS output filter that allows output from your server to be compressed using the brotli compression format before being sent to the client over the network. This module uses the Brotli library found at https://github.com/google/brotli.


%package    htcacheclean
Summary:    Clean up the disk cache (for apache-mod_disk_cache)
Group:      System/Servers
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description    htcacheclean
htcacheclean is used to keep the size of mod_cache_disk's storage within a
certain limit. This tool can run either manually or in daemon mode. When
running in daemon mode, it sleeps in the background and checks the cache
directories at regular intervals for cached content to be removed.

%package    devel
Summary:    Module development tools for the apache web server
Group:      Development/C
Requires:   apache = %{version}-%{release}
Requires:   apr-devel >= 1:1.4.5
Requires:   apr-util-devel >= 1.4.1
Requires:   db-devel
Requires:   expat-devel
Requires:   gdbm-devel
Requires:   libsasl-devel
Requires:   openssl-devel
Requires:   pcre2-devel
Requires:   zlib-devel
# (tv) because config_vars.mk contains "LDFLAGS = -lsystemd...":
Requires:   pkgconfig(libsystemd)

%description    devel
The apache-devel package contains the source code for the apache Web server and
the APXS binary you'll need to build Dynamic Shared Objects (DSOs) for apache.

If you are installing the apache Web server and you want to be able to compile
or develop additional modules for apache, you'll need to install this package.

%package    doc
Summary:    The apache Manual
Group:      System/Servers
BuildArch:  noarch

%description doc
This package contains the apache server documentation in HTML format.

Please view the documentation by starting the apache server and your
favorite web browser and point to this URL: http://localhost/manual

%prep
%setup -q -n httpd-%{version}
%patch -P 0 -p1 -b .apctl
%patch -P 2 -p1 -b .apxs
%patch -P 3 -p1 -b .deplibs
%patch -P 5 -p1 -b .patchlayout
%patch -P 6 -p1 -b .apctlsystemd
%patch -P 7 -p1 -b .detectsystemd

%patch -P 23 -p1 -b .export
%patch -P 24 -p1 -b .corelimit
#patch -P 26 -p1 -b .r1337344+
%patch -P 27 -p1 -b .icons
%patch -P 29 -p1 -b .systemd
%patch -P 30 -p1 -b .cachehardmax
# No longer applies
#patch -P 31 -p1 -b .sslmultiproxy
%patch -P 34 -p1 -b .socketactivation
#patch -P 35 -p1 -b .sslciphdefault
#patch -P 44 -p1 -b .luaresume

%patch -P 100 -p1 -b .ab_source_address.droplet
%patch -P 101 -p0 -b .PR45994.droplet

# Patch in vendor/release string
sed "s/@RELEASE@/%{vstring}/" < %{PATCH20} | patch -p1

# forcibly prevent use of bundled apr, apr-util, pcre
rm -rf srclib/{apr,apr-util,pcre}

# fix apxs
perl -pi \
    -e 's|\@exp_installbuilddir\@|%{_libdir}/httpd/build|;' \
    -e 's|get_vars\("prefix"\)|"%{_libdir}/httpd/build"|;' \
    -e 's|get_vars\("sbindir"\) . "/envvars"|"\$installbuilddir/envvars"|;' \
    support/apxs.in

# correct perl paths
find -type f -print0 | xargs -0 perl -pi \
    -e 's|/usr/local/bin/perl|perl|g;' \
    -e 's|/usr/local/bin/perl5|perl|g;' \
    -e 's|/path/to/bin/perl|perl|g;'

# bump max modules
perl -pi \
    -e 's/DYNAMIC_MODULE_LIMIT \d+/DYNAMIC_MODULE_LIMIT %{maxmodules}/;' \
    include/httpd.h

# bump server limit
perl -pi \
    -e 's/DEFAULT_SERVER_LIMIT \d+/DEFAULT_SERVER_LIMIT %{serverlimit}/' \
    server/mpm/prefork/prefork.c \
    server/mpm/worker/worker.c \
    server/mpm/event/event.c

# don't try to touch srclib
perl -pi -e "s|^SUBDIRS = .*|SUBDIRS = os server modules support|g" Makefile.in

# this will only work if configured correctly in the config (FullOs)...
cp server/core.c server/core.c.untagged

%build
%serverbuild

# regenerate configure scripts
autoheader && autoconf || exit 1

export CFLAGS=$RPM_OPT_FLAGS
ldflags_hacky_workaround_for_systemd_lib_not_added="-lsystemd "
export LDFLAGS="${ldflags_hacky_workaround_for_systemd_lib_not_added}-Wl,-z,relro,-z,now"

# Hard-code path to links to avoid unnecessary builddep
export LYNX_PATH=/usr/bin/links

%configure \
    --prefix=%{_sysconfdir}/httpd \
    --exec-prefix=%{_prefix} \
    --bindir=%{_bindir} \
    --sbindir=%{_sbindir} \
    --mandir=%{_mandir} \
    --libdir=%{_libdir} \
    --sysconfdir=%{_sysconfdir}/httpd/conf \
    --includedir=%{_includedir}/httpd \
    --libexecdir=%{_libdir}/httpd/modules \
    --datadir=%{contentdir} \
    --enable-layout=Fedora \
    --with-installbuilddir=%{_libdir}/httpd/build \
    --enable-mpms-shared=all \
    --with-apr=%{_bindir}/apr-1-config \
    --with-apr-util=%{_bindir}/apu-1-config \
    --enable-suexec \
    --with-suexec \
    --with-suexec-caller=%{suexec_caller} \
    --with-suexec-userdir=public_html \
    --with-suexec-docroot=%{docroot} \
    --without-suexec-logfile \
    --with-suexec-syslog \
    --with-suexec-bin=%{_sbindir}/suexec \
    --with-suexec-uidmin=500 \
    --with-suexec-gidmin=500 \
    --with-systemd \
    --enable-systemd \
    --enable-pie \
    --with-pcre2 \
    --enable-mods-shared=all \
    --enable-ssl \
    --with-ssl \
    --disable-distcache \
    --enable-proxy \
    --enable-proxy-fdpass \
    --enable-cache \
    --enable-disk-cache \
    --enable-ldap \
    --enable-authnz-ldap \
    --enable-cgid \
    --enable-cgi \
    --enable-authn-anon \
    --enable-bucketeer \
    --enable-case-filter \
    --enable-case-filter-in \
    --enable-cern_meta \
    --enable-ident \
    --enable-imagemap \
    --enable-optional-fn-export \
    --enable-optional-fn-import \
    --enable-optional-hook-export \
    --enable-optional-hook-import

# parallel build fails on the build host
%__make

%install
#export QA_SKIP_RPATHS=1
%make_install INSTALL_SUEXEC=setuid

#Fix config_vars.mk, and add some MDK flags so all other modules
#can simply do "apxs -q VARIABLE" and know, for example, the exact
#release of apache-devel or the exact directory where the source is
#located.
CVMK="%{buildroot}%{_libdir}/httpd/build/config_vars.mk"
perl -pi \
    -e "s|%{_builddir}/httpd-%{version}|%{_usrsrc}/apache-%{version}|g;" \
    -e "s|%{buildroot}||g;" \
    -e "s|^EXTRA_INCLUDES.*|EXTRA_INCLUDES = `apr-1-config --includes` -I%{_includedir}/apache -I%{_includedir}/openssl|g;" \
     $CVMK

# fix libtool invocation
perl -pi \
    -e "s|^LIBTOOL.*|LIBTOOL = libtool|g;" \
    -e "s|^SH_LIBTOOL.*|SH_LIBTOOL = libtool|g;" \
    $CVMK

echo "ap_version = %{version}" >> $CVMK
echo "ap_release = %{release}" >> $CVMK

# fix some bugs and other stuff
perl -pi -e "s|%{_builddir}/httpd-%{version}|%{_usrsrc}/apache-%{version}|g" \
    %{buildroot}%{_libdir}/httpd/build/apr_rules.mk

# named config.nice files are in the devel package
rm -f %{buildroot}%{_libdir}/httpd/build/config.nice

# main configuration files
install -m 644 %{SOURCE20} %{buildroot}%{_sysconfdir}/httpd/conf/httpd.conf

# modules configuration files
install -d -m 755 %{buildroot}%{confdir}/modules.d
install -m 644 %{SOURCE30} %{buildroot}%{confdir}/modules.d/00_base.conf
install -m 644 %{SOURCE31} %{buildroot}%{confdir}/modules.d/00_mpm.conf
install -m 644 %{SOURCE32} %{buildroot}%{confdir}/modules.d/00_mod_lua.conf
install -m 644 %{SOURCE33} %{buildroot}%{confdir}/modules.d/01_mod_cgi.conf
install -m 644 %{SOURCE34} %{buildroot}%{confdir}/modules.d/00_mod_dav.conf
install -m 644 %{SOURCE35} %{buildroot}%{confdir}/modules.d/00_mod_proxy.conf
install -m 644 %{SOURCE36} %{buildroot}%{confdir}/modules.d/00_mod_proxy_html.conf
install -m 644 %{SOURCE37} %{buildroot}%{confdir}/modules.d/00_mod_ssl.conf
install -m 644 %{SOURCE38} %{buildroot}%{confdir}/modules.d/01_mod_ldap.conf
install -m 644 %{SOURCE39} %{buildroot}%{confdir}/modules.d/00_mod_cache.conf
install -m 644 %{SOURCE40} %{buildroot}%{confdir}/modules.d/02_mod_dbd.conf
install -m 644 %{SOURCE41} %{buildroot}%{confdir}/modules.d/00_mod_suexec.conf
install -m 644 %{SOURCE42} %{buildroot}%{confdir}/modules.d/00_mod_userdir.conf
install -m 644 %{SOURCE43} %{buildroot}%{confdir}/modules.d/00_mod_systemd.conf
install -m 644 %{SOURCE44} %{buildroot}%{confdir}/modules.d/01_mod_session.conf
install -m 644 %{SOURCE45} %{buildroot}%{confdir}/modules.d/01_mod_http2.conf
install -m 644 %{SOURCE46} %{buildroot}%{confdir}/modules.d/10_mod_brotli.conf

# generic server configuration files
install -d -m 755 %{buildroot}%{confdir}/conf.d
install -m 644 %{SOURCE50} %{buildroot}%{confdir}/conf.d/security.conf
install -m 644 %{SOURCE51} %{buildroot}%{confdir}/conf.d/ssl.conf
for file in mpm multilang-errordoc autoindex languages info userdir; do
    install -m 644 docs/conf/extra/httpd-$file.conf \
        %{buildroot}%{confdir}/conf.d/$file.conf
done

cat >> %{buildroot}%{confdir}/conf.d/userdir.conf <<EOF
<Directory "/home/*/public_html/cgi-bin">
    Options ExecCGI
    SetHandler cgi-script
</Directory>
EOF

# sites configuration files
install -d -m 755 %{buildroot}%{confdir}/sites.d
install -m 644 %{SOURCE60} %{buildroot}%{confdir}/sites.d/00_default_vhosts.conf
install -m 644 %{SOURCE61} %{buildroot}%{confdir}/sites.d/00_default_ssl_vhost.conf
install -m 644 docs/conf/extra/httpd-manual.conf \
    %{buildroot}%{confdir}/sites.d/manual.conf

# compatibility symlinks
pushd  %{buildroot}%{confdir}
    ln -s sites.d webapps.d
    ln -s sites.d vhosts.d
popd

# fix a msec safe cache for the ssl stuff
install -d %{buildroot}/var/cache/httpd/mod_ssl
touch %{buildroot}/var/cache/httpd/mod_ssl/scache.dir
touch %{buildroot}/var/cache/httpd/mod_ssl/scache.pag
touch %{buildroot}/var/cache/httpd/mod_ssl/scache.sem

# fix a msec safe cache for the mod_ldap LDAPSharedCacheFile
touch %{buildroot}/var/cache/httpd/mod_ldap_cache

install -d -m 755 %{buildroot}/var/cache/httpd/mod_proxy
install -d -m 755 %{buildroot}/var/lib/dav

# htcacheclean files
install -D -m 644 %{SOURCE9} %{buildroot}%{_unitdir}/htcacheclean.service
install -D -m 644 %{SOURCE10} %{buildroot}%{_sysconfdir}/sysconfig/htcacheclean

# httpd files
install -D -p -m 644 %{SOURCE14} %{buildroot}%{_tmpfilesdir}/httpd.conf
install -D -p -m 644 %{SOURCE15} %{buildroot}%{_unitdir}/httpd.service
install -D -p -m 644 %{SOURCE16} %{buildroot}%{_sysconfdir}/sysconfig/httpd

# fix man page paths
sed -e "s|/usr/local/apache2|/etc/httpd|" \
    < docs/man/httpd.8 > $RPM_BUILD_ROOT%{_mandir}/man8/httpd.8

# rpm macros
install -d -m 755 %{buildroot}%{_rpmmacrodir}
cat > %{buildroot}%{_rpmmacrodir}/macros.httpd <<EOF
%%_httpd_apxs %%{_bindir}/apxs
%%_httpd_confdir %{confdir}
%%_httpd_modconfdir  %{confdir}/modules.d
%%_httpd_siteconfdir %{confdir}/sites.d
%%_httpd_extconfdir %{confdir}/conf.d
%%_httpd_contentdir %{contentdir}
%%_httpd_moddir %%{_libdir}/httpd/modules
EOF

%multiarch_includes %{buildroot}%{_includedir}/httpd/ap_config_layout.h

# cleanup
rm -f %{buildroot}/var/www/html/*
rm -f %{buildroot}/var/www/cgi-bin/*
rm -f %{buildroot}%{_sysconfdir}/httpd/conf/mime.types
rm -rf %{buildroot}%{_sysconfdir}/httpd/conf/{extra,original}

# make some dangling soft links
pushd %{buildroot}%{_sysconfdir}/httpd
    ln -s ../..%{_localstatedir}/log/httpd logs
    ln -s ../..%{_libdir}/httpd/modules modules
    ln -s ../..%{_libdir}/httpd/build build
    ln -s /run/httpd run
popd

# install log rotation stuff
install -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
cat > %{buildroot}%{_sysconfdir}/logrotate.d/httpd << EOF
/var/log/httpd/*_log /var/log/httpd/apache_runtime_status /var/log/httpd/ssl_mutex {
    rotate 5
    monthly
    missingok
    notifempty
    sharedscripts
    nocompress
    postrotate
        /bin/systemctl reload httpd.service > /dev/null 2>/dev/null || true
    endscript
}
EOF

cat << EOF > README.urpmi
Starting with Apache 2.4.60, the fix for CVE-2024-38476 (Apache HTTP Server may
use exploitable/malicious backend application output to run local handlers via
internal redirect) caused some changes regarding the 'AddType' directive.

Some legacy uses of the 'AddType' directive to connect a request to a handler
must be ported to 'AddHandler'.

For instance, in order to use apache-mod_php or php-fpm-apache, be sure the
directives 'AddType application/x-httpd-php...' in 70_mod_php.conf or
10_php-fpm.conf were replaced by 'AddHandler application/x-httpd-php'.
EOF

# (dw) mpm packages don't automatically cause a restart, because on upgrade
# there will already be 2 restarts due to the main package and the modules, and
# if you want to run an mpm other than prefork, that has to be configured
# manually (via systemctl for systemd or sysconfig for sysvinit), so automatic
# restart is not appropriate.  Apache modules cause a restart via filetriggers,
# so that a restart can be done for modules, but only once, even if some of the
# modules are coming from other SRPMS.  Also, filetriggers are run right before
# posttrans, and this is important because on Apache version upgrades, the mpm
# needs to be upgraded before a restart because the modules may be dependent on
# new symbols in httpd.

%post
%_tmpfilescreate httpd
%_post_service httpd

%preun
%_preun_service httpd

%post mod_ldap
%create_ghostfile /var/cache/httpd/mod_ldap_cache apache root 0600

%post mod_ssl
%_create_ssl_certificate httpd

# create some ghost files
%create_ghostfile /var/cache/httpd/mod_ssl/scache.dir apache root 0600
%create_ghostfile /var/cache/httpd/mod_ssl/scache.pag apache root 0600
%create_ghostfile /var/cache/httpd/mod_ssl/scache.sem apache root 0600

%post htcacheclean
%_post_service htcacheclean

%preun htcacheclean
%_preun_service htcacheclean

%transfiletriggerin -p /usr/bin/perl --  /etc/httpd/conf/modules.d/ /etc/httpd/conf/sites.d/ /etc/httpd/conf/conf.d/ /etc/httpd/conf/webapps.d/
use strict;

my (%installed, %removed);
while (my $line = <STDIN>) {
    my ($operation, $file) = $line =~ /^(.)(\S+)$/;
    if ($operation eq '+') {
        $installed{$file} = 1;
    } else {
        $removed{$file} = 1;
    }
}

my @new_files = grep { !$removed{$_} } keys %installed;
my @old_files = grep { !$installed{$_} } keys %removed;

# if there configuration files added or removed, a restart is needed
if (@new_files || @old_files) {
    system('systemctl try-restart httpd.service');
} else {
    system('systemctl try-reload-or-restart httpd.service');
}


%files
%doc ABOUT_APACHE README CHANGES LICENSE VERSIONING NOTICE
%doc docs/conf/extra/*.conf
%doc README.urpmi

%config(noreplace) %{_sysconfdir}/sysconfig/httpd
%config(noreplace) %{_sysconfdir}/logrotate.d/httpd
%dir %{_sysconfdir}/httpd
%exclude %{_sysconfdir}/httpd/conf/conf.d/ssl.conf
%dir %{_sysconfdir}/httpd/conf/conf.d
%dir %{_sysconfdir}/httpd/conf/sites.d
%dir %{_sysconfdir}/httpd/conf/modules.d
%{_sysconfdir}/httpd/conf/vhosts.d
%{_sysconfdir}/httpd/conf/webapps.d
%{_sysconfdir}/httpd/logs
%{_sysconfdir}/httpd/modules
%{_sysconfdir}/httpd/run
%config(noreplace) %{_sysconfdir}/httpd/conf/httpd.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/magic
%config(noreplace) %{_sysconfdir}/httpd/conf/modules.d/00_base.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/modules.d/00_mpm.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/modules.d/01_mod_cgi.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/modules.d/00_mod_lua.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/modules.d/00_mod_systemd.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/sites.d/00_default_vhosts.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/conf.d/*.conf
%exclude %{_sysconfdir}/httpd/conf/conf.d/userdir.conf

%{_tmpfilesdir}/httpd.conf
%{_unitdir}/httpd.service

%{_datadir}/httpd
%exclude %{_datadir}/httpd/manual

/var/www/cgi-bin

%{_bindir}/ab
%{_bindir}/dbmmanage
%{_bindir}/htdbm
%{_bindir}/htdigest
%{_bindir}/htpasswd
%{_bindir}/httxt2dbm
%{_bindir}/logresolve

%{_sbindir}/apachectl
%{_sbindir}/checkgid
%{_sbindir}/rotatelogs
%{_sbindir}/fcgistarter
%{_sbindir}/httpd

%{_libdir}/httpd/modules/mod_mpm_event.so
%{_libdir}/httpd/modules/mod_mpm_prefork.so
%{_libdir}/httpd/modules/mod_mpm_worker.so

%{_libdir}/httpd/modules/mod_actions.so
%{_libdir}/httpd/modules/mod_alias.so
%{_libdir}/httpd/modules/mod_asis.so
%{_libdir}/httpd/modules/mod_auth_basic.so
%{_libdir}/httpd/modules/mod_auth_digest.so
%{_libdir}/httpd/modules/mod_authn_anon.so
%{_libdir}/httpd/modules/mod_authn_dbm.so
%{_libdir}/httpd/modules/mod_authn_file.so
%{_libdir}/httpd/modules/mod_authz_dbm.so
%{_libdir}/httpd/modules/mod_authz_groupfile.so
%{_libdir}/httpd/modules/mod_authz_host.so
%{_libdir}/httpd/modules/mod_authz_owner.so
%{_libdir}/httpd/modules/mod_authz_user.so
%{_libdir}/httpd/modules/mod_autoindex.so
%{_libdir}/httpd/modules/mod_bucketeer.so
%{_libdir}/httpd/modules/mod_case_filter_in.so
%{_libdir}/httpd/modules/mod_case_filter.so
%{_libdir}/httpd/modules/mod_cern_meta.so
%{_libdir}/httpd/modules/mod_cgid.so
%{_libdir}/httpd/modules/mod_cgi.so
%{_libdir}/httpd/modules/mod_charset_lite.so
%{_libdir}/httpd/modules/mod_dir.so
%{_libdir}/httpd/modules/mod_dumpio.so
%{_libdir}/httpd/modules/mod_echo.so
%{_libdir}/httpd/modules/mod_env.so
%{_libdir}/httpd/modules/mod_expires.so
%{_libdir}/httpd/modules/mod_ext_filter.so
%{_libdir}/httpd/modules/mod_filter.so
%{_libdir}/httpd/modules/mod_headers.so
%{_libdir}/httpd/modules/mod_ident.so
%{_libdir}/httpd/modules/mod_imagemap.so
%{_libdir}/httpd/modules/mod_include.so
%{_libdir}/httpd/modules/mod_info.so
%{_libdir}/httpd/modules/mod_log_config.so
%{_libdir}/httpd/modules/mod_log_forensic.so
%{_libdir}/httpd/modules/mod_logio.so
%{_libdir}/httpd/modules/mod_macro.so
%{_libdir}/httpd/modules/mod_md.so
%{_libdir}/httpd/modules/mod_mime_magic.so
%{_libdir}/httpd/modules/mod_mime.so
%{_libdir}/httpd/modules/mod_negotiation.so
%{_libdir}/httpd/modules/mod_optional_fn_export.so
%{_libdir}/httpd/modules/mod_optional_fn_import.so
%{_libdir}/httpd/modules/mod_optional_hook_export.so
%{_libdir}/httpd/modules/mod_optional_hook_import.so
%{_libdir}/httpd/modules/mod_rewrite.so
%{_libdir}/httpd/modules/mod_setenvif.so
%{_libdir}/httpd/modules/mod_speling.so
%{_libdir}/httpd/modules/mod_status.so
%{_libdir}/httpd/modules/mod_substitute.so
%{_libdir}/httpd/modules/mod_unique_id.so
%{_libdir}/httpd/modules/mod_usertrack.so
%{_libdir}/httpd/modules/mod_version.so
%{_libdir}/httpd/modules/mod_vhost_alias.so
%{_libdir}/httpd/modules/mod_access_compat.so
%{_libdir}/httpd/modules/mod_allowmethods.so
%{_libdir}/httpd/modules/mod_authn_core.so
%{_libdir}/httpd/modules/mod_authn_socache.so
%{_libdir}/httpd/modules/mod_authz_core.so
%{_libdir}/httpd/modules/mod_buffer.so
%{_libdir}/httpd/modules/mod_data.so
%{_libdir}/httpd/modules/mod_deflate.so
%{_libdir}/httpd/modules/mod_dialup.so
%{_libdir}/httpd/modules/mod_file_cache.so
%{_libdir}/httpd/modules/mod_heartbeat.so
%{_libdir}/httpd/modules/mod_heartmonitor.so
%{_libdir}/httpd/modules/mod_log_debug.so
%{_libdir}/httpd/modules/mod_lua.so
%{_libdir}/httpd/modules/mod_ratelimit.so
%{_libdir}/httpd/modules/mod_reflector.so
%{_libdir}/httpd/modules/mod_remoteip.so
%{_libdir}/httpd/modules/mod_request.so
%{_libdir}/httpd/modules/mod_reqtimeout.so
%{_libdir}/httpd/modules/mod_sed.so
%{_libdir}/httpd/modules/mod_slotmem_plain.so
%{_libdir}/httpd/modules/mod_slotmem_shm.so
%{_libdir}/httpd/modules/mod_socache_dbm.so
%{_libdir}/httpd/modules/mod_socache_memcache.so
%{_libdir}/httpd/modules/mod_socache_redis.so
%{_libdir}/httpd/modules/mod_socache_shmcb.so
%{_libdir}/httpd/modules/mod_unixd.so
%{_libdir}/httpd/modules/mod_watchdog.so
%{_libdir}/httpd/modules/mod_systemd.so
%{_libdir}/httpd/modules/httpd.exp

%dir /var/log/httpd

%dir %{_libdir}/httpd
%attr(0700,apache,root) %dir /var/cache/httpd
%exclude %{_mandir}/man8/htcacheclean.8*
%exclude %{_mandir}/man8/suexec.8*
%exclude %{_mandir}/man1/apxs.1*
%{_mandir}/*/*

%files mod_proxy
%doc modules/proxy/CHANGES
%config(noreplace) %{confdir}/modules.d/00_mod_proxy.conf
%{_libdir}/httpd/modules/mod_proxy.so
%{_libdir}/httpd/modules/mod_lbmethod_bybusyness.so
%{_libdir}/httpd/modules/mod_lbmethod_byrequests.so
%{_libdir}/httpd/modules/mod_lbmethod_bytraffic.so
%{_libdir}/httpd/modules/mod_lbmethod_heartbeat.so
%{_libdir}/httpd/modules/mod_proxy_ajp.so
%{_libdir}/httpd/modules/mod_proxy_balancer.so
%{_libdir}/httpd/modules/mod_proxy_connect.so
%{_libdir}/httpd/modules/mod_proxy_express.so
%{_libdir}/httpd/modules/mod_proxy_fcgi.so
%{_libdir}/httpd/modules/mod_proxy_fdpass.so
%{_libdir}/httpd/modules/mod_proxy_ftp.so
%{_libdir}/httpd/modules/mod_proxy_hcheck.so
%{_libdir}/httpd/modules/mod_proxy_http.so
%{_libdir}/httpd/modules/mod_proxy_scgi.so
%{_libdir}/httpd/modules/mod_proxy_uwsgi.so
%{_libdir}/httpd/modules/mod_proxy_wstunnel.so
%attr(0770,apache,root) %dir /var/cache/httpd/mod_proxy

%files mod_proxy_html
%config(noreplace) %{confdir}/modules.d/00_mod_proxy_html.conf
%{_libdir}/httpd/modules/mod_proxy_html.so
%{_libdir}/httpd/modules/mod_xml2enc.so

%files mod_dav
%config(noreplace) %{confdir}/modules.d/00_mod_dav.conf
%{_libdir}/httpd/modules/mod_dav_fs.so
%{_libdir}/httpd/modules/mod_dav_lock.so
%{_libdir}/httpd/modules/mod_dav.so
%attr(-,apache,apache) %dir /var/lib/dav

%files mod_ldap
%config(noreplace) %{confdir}/modules.d/01_mod_ldap.conf
%{_libdir}/httpd/modules/mod_ldap.so
%{_libdir}/httpd/modules/mod_authnz_ldap.so
%attr(0600,apache,root) %ghost /var/cache/httpd/mod_ldap_cache

%files mod_session
%config(noreplace) %{confdir}/modules.d/01_mod_session.conf
%{_libdir}/httpd/modules/mod_session.so
%{_libdir}/httpd/modules/mod_session_cookie.so
%{_libdir}/httpd/modules/mod_session_crypto.so
%{_libdir}/httpd/modules/mod_auth_form.so

%files mod_cache
%config(noreplace) %{confdir}/modules.d/00_mod_cache.conf
%{_libdir}/httpd/modules/mod_cache.so
%{_libdir}/httpd/modules/mod_cache_disk.so
%{_libdir}/httpd/modules/mod_cache_socache.so

%files mod_suexec
%config(noreplace) %{confdir}/modules.d/00_mod_suexec.conf
%{_libdir}/httpd/modules/mod_suexec.so
%attr(4710,root,apache) %{_sbindir}/suexec
%{_mandir}/man8/suexec.8*

%files mod_userdir
%config(noreplace) %{confdir}/modules.d/00_mod_userdir.conf
%config(noreplace) %{confdir}/conf.d/userdir.conf
%{_libdir}/httpd/modules/mod_userdir.so

%files mod_ssl
%config(noreplace) %{confdir}/modules.d/00_mod_ssl.conf
%config(noreplace) %{confdir}/conf.d/ssl.conf
%config(noreplace) %{confdir}/sites.d/00_default_ssl_vhost.conf
%{_libdir}/httpd/modules/mod_ssl.so
%attr(0700,apache,root) %dir /var/cache/httpd/mod_ssl
%attr(0600,apache,root) %ghost /var/cache/httpd/mod_ssl/scache.dir
%attr(0600,apache,root) %ghost /var/cache/httpd/mod_ssl/scache.pag
%attr(0600,apache,root) %ghost /var/cache/httpd/mod_ssl/scache.sem

%files mod_dbd
%config(noreplace) %{confdir}/modules.d/02_mod_dbd.conf
%{_libdir}/httpd/modules/mod_dbd.so
%{_libdir}/httpd/modules/mod_authn_dbd.so
%{_libdir}/httpd/modules/mod_authz_dbd.so
%{_libdir}/httpd/modules/mod_session_dbd.so

%files mod_http2
%config(noreplace) %{confdir}/modules.d/01_mod_http2.conf
%{_libdir}/httpd/modules/mod_http2.so

%files mod_brotli
%config(noreplace) %{confdir}/modules.d/10_mod_brotli.conf
%{_libdir}/httpd/modules/mod_brotli.so

%files htcacheclean
%{_unitdir}/htcacheclean.service
%config(noreplace) %{_sysconfdir}/sysconfig/htcacheclean
%{_sbindir}/htcacheclean
%{_mandir}/man8/htcacheclean.8*

%files devel
%multiarch %{multiarch_includedir}/httpd/ap_config_layout.h
%{_includedir}/httpd
%{_libdir}/httpd/build
%{_sysconfdir}/httpd/build
%{_rpmmacrodir}/macros.httpd
%{_sbindir}/envvars
%{_sbindir}/envvars-std
%{_bindir}/apxs
%{_mandir}/man1/apxs.1*

%files doc
%config(noreplace) %{confdir}/sites.d/manual.conf
%{_datadir}/httpd/manual
