%define libname_orig	libapm
%define major		1
%define libname		%mklibname apm %{major}
%define develname	%mklibname apm -d

Summary:	Advanced Power Management (APM) BIOS utilities for laptops
Name:		apmd
Version:	3.2.2
Release:	%mkrel 41
License:	GPLv2+
Group:		System/Servers
URL:		ftp://ftp.debian.org/debian/pool/main/a/apmd
Source:		ftp://ftp.debian.org/debian/pool/main/a/apmd/%{name}_%{version}.orig.tar.bz2
Source1:	apmd_proxy
Source2:	apmscript
Source3:	apmd.conf
Source4:	laptopmode
Source5:	apmd.modules
Source6:	apmd.service
Patch0:		apmd-3.2.2.orig-lib64.patch
Patch1:		apmd-3.2.2.orig-graphicswitch.patch
Patch2:		apmd-3.2.2.orig-optimization.patch
Patch5:		apmd-3.2.2.orig-security.patch
Patch9:		apmd-3.2.2.orig-proxy-timeout.patch
Patch10:	apmd-3.2.2-libtool.patch
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xaw7)
BuildRequires:	pkgconfig(xt)
BuildRequires:	libtool
BuildRequires:	systemd
Requires(post):	systemd >= %{systemd_required_version}
Requires(preun): systemd >= %{systemd_required_version}

%description
APMD is a set of programs for controlling the Advanced Power 
Management daemon and utilities found in most modern laptop 
computers. APMD can watch your notebook's battery and warn 
users when the battery is low. APMD is also capable of shutting 
down the PCMCIA sockets before a suspend.

Install the apmd package if you need to control the APM system 
on your laptop.

%package -n %{libname}
Summary:	Main library for %{libname_orig}
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{libname_orig}.

%package -n %{develname}
Summary:	Development library for %{libname_orig}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel

%description -n %{develname}
This package contains the developmeent library needed to compile
programs that use %{libname_orig}.

%prep
%autosetup -p1 -n apmd-%{version}.orig

echo "LIB = %_lib" > config.make

%build
%serverbuild
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="%{ldflags}" PROXY_DIR=%{_sbindir}

%install
mkdir -p %{buildroot}%{_sysconfdir}/{modules-load.d,sysconfig/apm-scripts}

%make_install PREFIX=%{_prefix} MANDIR=%{_mandir}

for i in apm.1 apmsleep.1;do install -m644 $i -D %{buildroot}%{_mandir}/man1/$i;done
install -m644 apmd.8 -D %{buildroot}%{_mandir}/man8/apmd.8

install -m755 %{SOURCE1} -D %{buildroot}%{_sbindir}/apmd_proxy
rm -f %{buildroot}%{_bindir}/on_ac_power

install -m 755 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/apm-scripts/
install -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/apmd
install -m 755 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/apm-scripts/
install -m 755 %{SOURCE5} %{buildroot}%{_sysconfdir}/modules-load.d/apmd.conf
install -D -m 644 %{SOURCE6} %{buildroot}%{_unitdir}/apmd.service

find %{buildroot} -name '*.a' -delete

%post
%_post_service apmd

%preun
%_preun_service apmd

%files
%doc AUTHORS ChangeLog README apmsleep.README
%license COPYING
%{_mandir}/man?/*
%{_bindir}/*
%{_sbindir}/*
%dir %{_sysconfdir}/sysconfig/apm-scripts
%config(noreplace) %{_sysconfdir}/sysconfig/apmd
%config(noreplace) %{_sysconfdir}/sysconfig/apm-scripts/*
%config(noreplace) %{_sysconfdir}/modules-load.d/apmd.conf
%{_unitdir}/apmd.service

%files -n %{libname}
%license apmlib.COPYING
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*.h
