%define major	8
%define gmajor	1.0
%define libname	%mklibname %{name} %{major}
%define girname	%mklibname %{name}-gir %{gmajor}

%define libbuilder %mklibname appstream-builder %{major}
%define girbuilder %mklibname appstream-builder-gir %{gmajor}

%define devname	%mklibname %{name} -d

%define url_ver	%(echo %{version} | cut -d. -f1,2)

Name:		appstream-glib
Version:	0.8.3
Release:	%mkrel 1
Summary:	Library for reading and writing AppStream metadata
Group:		System/Libraries
License:	LGPLv2+
URL:		https://people.freedesktop.org/~hughsient/appstream-glib/
Source0:	https://people.freedesktop.org/~hughsient/appstream-glib/releases/%{name}-%{version}.tar.xz

# Mageia specific patches
## (wally): Build libappstream-builder as a shared lib to fix linking
Patch1011:	appstream-glib-linking.patch
# Regular build dependencies
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(libgcab-1.0)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.31.5
BuildRequires:	pkgconfig(glib-2.0) >= 2.45.8
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(json-glib-1.0) >= 1.1.1
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(rpm)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(yaml-0.1)
BuildRequires:	gettext
BuildRequires:	gtk-doc
BuildRequires:	gcab
BuildRequires:	gperf
BuildRequires:	meson

# this is not a library version
%define as_plugin_version               5

%description
This library provides GObjects and helper methods to make it easy to read and
write AppStream metadata. It also provides a simple DOM implementation that
makes it easy to edit nodes and convert to and from the standardized XML
representation.

%package -n	appstream-util
Summary:	Utility to do simple operations on AppStream metadata
Group:		System/Packaging
Obsoletes:	appdata-tools < 0.1.9
Provides:	appdata-tools = %{version}-%{release}
Requires:	%{libname}%{?_isa} = %{version}-%{release}

%description -n	appstream-util
Utility to do simple operations on AppStream metadata.

Sub-commands understood by this utility include: 'install', 'uninstall',
'dump' and 'convert'.

%package -n	%{libname}
Summary:	Library for reading and writing AppStream metadata
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}-%{release}

%description -n	%{libname}
This library provides GObjects and helper methods to make it easy to read and
write AppStream metadata. It also provides a simple DOM implementation that
makes it easy to edit nodes and convert to and from the standardized XML
representation.

%package -n     %{libbuilder}
Summary:        Library for reading and writing AppStream metadata
Group:          System/Libraries

%description -n %{libbuilder}
This library provides GObjects and helper methods to make it easy to read and
write AppStream metadata. It also provides a simple DOM implementation that
makes it easy to edit nodes and convert to and from the standardized XML
representation.

%package -n	%{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{girname}
GObject Introspection interface description for %{name}.

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libbuilder} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
# tools are tested by some pkgs, thus fixing generating deps:
Requires:	appstream-util
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Conflicts:	appdata-tools < 0.1.9

%description -n	%{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package	i18n
Summary:	Library for reading and writing AppStream metadata - translations
Group:		System/Internationalization
BuildArch:	noarch

%description	i18n
This package contains translations used by %{name}.

%package builder
Summary:	Library and command line tools for building AppStream metadata
Group:		System/Packaging
Requires:	appstream-util >= %{version}-%{release}
Recommends:	pngquant

%description builder
This library and command line tool is used for building AppStream metadata
from a directory of packages.

%prep
%autosetup -p1

%build
%meson \
       -Dgtk-doc=true \
       -Ddep11=true
%meson_build

%install
%meson_install

%find_lang %{name}

%files -n appstream-util
%{_bindir}/appstream-util
%{_bindir}/appstream-compose
%{_datadir}/bash-completion/completions/appstream-util
%{_mandir}/man1/appstream-util.1*
%{_mandir}/man1/appstream-compose.1*

%files -n %{libname}
%doc AUTHORS NEWS
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{libbuilder}
%{_libdir}/libappstream-builder.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/AppStreamGlib-%{gmajor}.typelib

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/appstream-glib/
%{_includedir}/lib%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/libappstream-builder.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/AppStreamGlib-%{gmajor}.gir
%{_datadir}/aclocal/appdata-xml.m4
%{_datadir}/aclocal/appstream-xml.m4
%{_datadir}/installed-tests/appstream-glib
%{_datadir}/gettext/its/appdata.its
%{_datadir}/gettext/its/appdata.loc

%files i18n -f %{name}.lang

%files builder
%license COPYING
%{_bindir}/appstream-builder
%{_datadir}/bash-completion/completions/appstream-builder
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_appdata.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_desktop.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_font.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_gettext.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_hardcoded.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_icon.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_shell_extension.so
%{_mandir}/man1/appstream-builder.1*
