%define somajor      5
%define girapi       1.0
%define libname      %mklibname %{name} %{somajor}
%define girname      %mklibname %{name}-gir %{girapi}
%define devname      %mklibname %{name} -d

%define comp_major   0
%define comp_libname %mklibname %{name}-compose %{comp_major}
%define comp_girname %mklibname %{name}-compose-gir %{girapi}
%define comp_devname %mklibname %{name}-compose -d

%define qtsomajor    3
%define qtlibname    %mklibname %{name}qt_ %{qtsomajor}
%define qtdevname    %mklibname %{name}qt -d

# Vala/Vapi support ( upstream disabled by default, probably explains why it the build breaks often )
%bcond_without vala

Summary:        Utilities to generate, maintain and access the AppStream database
Name:           appstream
Version:        1.0.4
Release:        %mkrel 3
Group:          System/Packaging

# lib LGPLv2+, tools GPLv2+
License:        GPLv2+ and LGPLv2+
#URL:     https://www.freedesktop.org/wiki/Distributions/AppStream
URL:            https://github.com/ximion/appstream
Source0:        https://www.freedesktop.org/software/appstream/releases/AppStream-%{version}.tar.xz

## upstream patches

## upstreamable patches

# needed for cmake auto-provides
BuildRequires:  cmake
BuildRequires:  meson
BuildRequires:  gettext
BuildRequires:  gi-docgen
BuildRequires:  gperf
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  qttools6
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libzstd)
BuildRequires:  pkgconfig(lmdb)
BuildRequires:  pkgconfig(packagekit-glib2)
BuildRequires:  pkgconfig(xmlb)
BuildRequires:  pkgconfig(yaml-0.1)
BuildRequires:  libstemmer-devel
BuildRequires:  xmlto
%if %{with vala}
BuildRequires:  vala-tools
%endif
# Qt6
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Test)

Requires:       %{libname}%{?_isa} = %{version}-%{release}

# (ngompa): We don't have this...
#Requires: appstream-data

%description
AppStream makes it easy to access application information from the
AppStream database over a nice GObject-based interface.

%package -n %{libname}
Summary:        Library for %{name}
Group:          System/Libraries

%description -n %{libname}
%{summary}.

%package -n %{girname}
Summary:        GObject Introspection Library for %{name}
Group:          System/Libraries

%description -n %{girname}
%{summary}.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname}%{?_isa} = %{version}-%{release}
Requires:       %{girname}%{?_isa} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{name}-devel%{?_isa} = %{version}-%{release}
Obsoletes:      appstream-vala < 0.15.1

Obsoletes:      %{_lib}appstream1.0-devel < 1.0.1

%description -n %{devname}
%{summary}.

%package compose
Summary:        Library for generating AppStream data
Group:          System/Packaging
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description compose
%{summary}.

%package -n %{comp_libname}
Summary:        Library for %{name}-compose
Group:          System/Libraries

%description -n %{comp_libname}
%{summary}.

%package -n %{comp_girname}
Summary:        GObject Introspection Library for %{name}-compose
Group:          System/Libraries

%description -n %{comp_girname}
%{summary}.

%package -n %{comp_devname}
Summary:        Development files for %{name}-compose
Group:          Development/C
Requires:       %{comp_libname}%{?_isa} = %{version}-%{release}
Requires:       %{comp_girname}%{?_isa} = %{version}-%{release}
Provides:       %{name}-compose-devel = %{version}-%{release}
Provides:       %{name}-compose-devel%{?_isa} = %{version}-%{release}

%description -n %{comp_devname}
%{summary}.

%package -n %{qtlibname}
Summary:        Qt6 bindings for %{name}
Group:          System/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

Obsoletes:      %{_lib}appstreamqt6_3 < 1.0.1

%description -n %{qtlibname}
%{summary}.

%package -n %{qtdevname}
Summary:        Development files for %{name} Qt6 bindings
Group:          Development/C++
Requires:       %{qtlibname}%{?_isa} = %{version}-%{release}
Provides:       %{name}-qt-devel = %{version}-%{release}
Provides:       %{name}-qt-devel%{?_isa} = %{version}-%{release}
Provides:       %{name}-qt6-devel%{?_isa} = %{version}-%{release}
Provides:       %{name}-qt6-devel = %{version}-%{release}

Provides:       %{_lib}appstreamqt6-devel = %{version}-%{release}
Obsoletes:      %{_lib}appstreamqt6-devel < 1.0.1

%description -n %{qtdevname}
%{summary}.


%prep
%autosetup -n AppStream-%{version} -p1


%build
%meson \
  -Dcompose=true \
  -Dqt=true \
  -Dstemming=true \
  -Dvapi=%{?with_vala:true}%{!?with_vala:false}

%meson_build


%install
%meson_install

mkdir -p %{buildroot}/var/cache/swcatalog/{icons,gv,xml}
touch %{buildroot}/var/cache/swcatalog/cache.watch

%find_lang appstream


%check
# The test suite doesn't automatically know to look at the "built"
# library, so we force it by creating an LD_LIBRARY_PATH
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}
%meson_test ||:


%posttrans
%{_bindir}/appstreamcli refresh --force >& /dev/null ||:

# (ngompa): For the moment, not required
#triggerun -- appstream-data
#{_bindir}/appstreamcli refresh >& /dev/null ||:

%files -f appstream.lang
%doc AUTHORS
%license COPYING
%{_bindir}/appstreamcli
%{_mandir}/man1/appstreamcli.1*
%{_datadir}/appstream/
%{_metainfodir}/org.freedesktop.appstream.cli.*.xml
# put in -devel? -- rex
%{_datadir}/gettext/its/metainfo.*
%ghost /var/cache/swcatalog/cache.watch
%dir /var/cache/swcatalog/
%dir /var/cache/swcatalog/icons/
%dir /var/cache/swcatalog/gv/
%dir /var/cache/swcatalog/xml/

%files -n %{libname}
%license COPYING
%{_libdir}/libappstream.so.%{somajor}
%{_libdir}/libappstream.so.%{version}

%files -n %{girname}
%{_libdir}/girepository-1.0/AppStream-%{girapi}.typelib

%files -n %{devname}
%{_includedir}/appstream/
%{_libdir}/libappstream.so
%{_libdir}/pkgconfig/appstream.pc
%{_datadir}/gir-1.0/AppStream-1.0.gir
%{_docdir}/appstream/html/
## symlink pointing to ^^, but need to take care, since rpm has
## trouble replacing dirs with symlinks, omit it for now -- rex
%exclude %{_datadir}/gtk-doc/html/appstream
%{_datadir}/installed-tests/appstream/metainfo-validate.test

%if %{with vala}
%{_datadir}/vala/vapi/appstream.deps
%{_datadir}/vala/vapi/appstream.vapi
%endif

%files compose
%{_libexecdir}/appstreamcli-compose
%{_metainfodir}/org.freedesktop.appstream.compose.metainfo.xml
%{_mandir}/man1/appstreamcli-compose.1*

%files -n %{comp_libname}
%license COPYING
%{_libdir}/libappstream-compose.so.%{comp_major}
%{_libdir}/libappstream-compose.so.%{version}

%files -n %{comp_girname}
%{_libdir}/girepository-1.0/AppStreamCompose-%{girapi}.typelib

%files -n %{comp_devname}
%{_includedir}/appstream-compose/
%{_libdir}/libappstream-compose.so
%{_libdir}/pkgconfig/appstream-compose.pc
%{_datadir}/gir-1.0/AppStreamCompose-1.0.gir
%{_datadir}/gtk-doc/html/appstream-compose

%files -n %{qtlibname}
%{_libdir}/libAppStreamQt.so.%{qtsomajor}
%{_libdir}/libAppStreamQt.so.%{version}

%files -n %{qtdevname}
%{_includedir}/AppStreamQt/
%{_libdir}/cmake/AppStreamQt/
%{_libdir}/libAppStreamQt.so
