%define DBVer	1.79.1

Summary:	Debian apt tools for %_real_vendor
Name:		apt-mga
Version:	2.5.4
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Packaging
Url:		https://ftp.debian.org/debian/pool/main/a/apt/
Source:		https://ftp.debian.org/debian/pool/main/a/apt/apt_%{version}.tar.xz
Patch0:         apt_0.8.9-fix-build.patch
BuildRequires:	libtool-base
BuildRequires:  docbook-style-xsl >= 1.78.1
# Mandatory for apt-ftparchive build
BuildRequires:  db5-devel
BuildRequires:  dpkg
BuildRequires:  doxygen
BuildRequires:  xsltproc
BuildRequires:  po4a
BuildRequires:  w3m
BuildRequires:  triehash
BuildRequires:  perl-Dpkg
#
BuildRequires:  gtest-devel
BuildRequires:  bzip2-devel
BuildRequires:  pkgconfig(libcurl) >= 7.19.4
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(liblz4)
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(libxxhash)
BuildRequires:  cmake >= 3.4
Requires:       bzip2
Requires:       gnupg2
Conflicts:      apt
Conflicts:      zypper

%description
Provides tools useful to manage a Debian repository on a %_real_vendor
distribution (apt-ftparchive e.g.).

#--------------------------------------------------------------------

%package devel
Summary:        Debian apt tools for %_real_vendor - devel
Group:		System/Packaging

%description devel
Development files for %{name}.

%files devel
%{_includedir}/apt-pkg

#--------------------------------------------------------------------

%prep
%setup -q -n apt-%{version}
%autopatch -p0

%build
# As no DebianDoc is available yet, remove xml doc build
perl -pi -e 's/^\[type: docbook\]/#[type: docbook]/' doc/po4a.conf
perl -pi -e 's/^\[type: sgml\]/#[type: sgml]/' doc/po4a.conf
mkdir -p  %{_vpath_builddir}/doc/doxygen
%cmake
%cmake_build

%install
%cmake_install

%files
%license COPYING* debian/copyright
%doc README.* AUTHORS
%doc %{_docdir}/libapt-pkg-doc
%doc %{_docdir}/apt-doc
%doc %{_docdir}/apt-utils/examples/*
%doc %{_docdir}/apt/examples/*

%{_bindir}/apt*
%{_libdir}/libapt*
%dir %{_libexecdir}/apt
%{_libexecdir}/apt/*/*
%{_libexecdir}/apt/apt*
%{_libexecdir}/dpkg/methods/apt/*
%{_datadir}/bash-completion/completions/apt
%{_mandir}/*/*/*xz
%{_mandir}/*/*xz
%{_datadir}/locale/*/LC_MESSAGES/*mo
%{_libdir}/pkgconfig/apt-pkg.pc
