#Mageia version adapted from Caixa Magica's apt package

%define versionadd	pt
%define major		4
%define libname		%mklibname apt-pkg %major
%define libnamedevel	%mklibname apt-pkg -d

%bcond_with lua

Name:		apt
Epoch:		1
Version:	0.5.15lorg3.94
Release:	%mkrel 44
Summary:	Debian's Advanced Packaging Tool with RPM support
Group:		System/Packaging
License:	GPLv2+
Url:		https://www.apt-rpm.org/
Source0: 	https://apt-rpm.org/releases/%{name}-%{version}%{versionadd}.tar.bz2
Source1:	%{name}-apt.conf
Source2:	%{name}-sources.list
Source3:	%{name}-vendors.list
Source4:	%{name}-rpmpriorities
Source5:	%{name}-mageia.conf
# not used
Source8:	apt-pbo

## from Caixa Magica's apt:
# URPM Lists support
# DUDF MANCOOSI project support
# Rollback, URPM, DUDF and pbo features
# From https://contribsoft.caixamagica.pt/changeset/2987#file3
Patch1:		%{name}-git-cm15-05.patch.bz2

# enhance the sorting by taking Obsoletes into account
Patch3:		apt-0.3.19cnc53-stelian-apt-pkg-algorithms-scores.patch
Patch6:		apt-0.5.15lorg3.95-lua-5.3.patch
# TODO document this patch
Patch8:		%{name}-0.5.4cnc9-alt-packagemanager-CheckRConflicts.patch
# alternative scoring method ( PreDepends implies -1 instead of +50 )
Patch9:		%{name}-0.5.4cnc9-alt-pkgorderlist_score.patch
# add # to the list of the forbidden characters in the name of cdrom
Patch11:	apt-0.5.15lorg3.2-alt-specialchars.patch

# s/de_DE/de/ and  /it_IT/it/ in po files
Patch14:	%{name}-invalid-lc-messages-dir.patch

# use the moo
Patch15:	apt-moo.patch

# a quick bugfix to make build-dep work
Patch18:	%{name}-build-dep.patch

# (cjw) fix segfault on large transactions by removing call to rpmReadConfigFiles()
#       that isn't needed
Patch25:	apt-0.5.15lorg3.94pt-drop-unneeded-rpmReadConfigFiles.patch

# (cjw) from git: fix build with rpm 4.9
Patch26:	apt.git-dfcec4ea45210b5d83ab65ecadb35001c7d39913.patch
Patch27:	apt.git-3b4e4dcf7a86f96da1124c6913ff7e66e4f1ccff.patch
# (cjw) caixa magica rpm 4.9 fixes
Patch28:	apt-cm-rpm4.9.patch
# (cjw) _dbapi macro disappeared, so drop the rpm backwards compatibility code using it
Patch29:	apt-0.5.15lorg3.94pt-rpm4.9-dbapi.patch
# (cjw) fix build with glibc 2.16
Patch30:	apt-0.5.15-glibc-2.16.patch
# (cjw) fix for ABI breakage hacked into RPM for /usr move
Patch31:	apt-0.5.15lorg3.94pt-ignore-usrmove_hack_in_rpm.patch
# (wally) fix jsoncpp include
Patch32:	apt-0.5.15lorg3.94pt-jsoncpp.patch
Patch33:	apt-0.5.15lorg3.95-lua-5.2.patch
# (tv) use new suggest tag:
Patch34:	apt-use-new-suggest-tag.diff
# (cjw) synthesis may have requires names that contain '['
Patch35:	apt-0.5.15lorg3.94pt-brackets.patch
# (cjw) one line in synthesis can be 78000 chars, overflowing 16-bit offsets
Patch36:	apt-0.5.15lorg3.94pt-synthesis-section-offset-overflow.patch
# (cjw) fix potential buffer overflow caused by use of a fixed string buffer + strcat
Patch37:	apt-0.5.15lorg3.94pt-CVE-2014-6273.patch
# (cjw) synthesis.hdlist.cz is now xz compressed?
Patch38:	apt-0.5.15lorg3.94pt-synthesis-xz.patch
# (cjw) build fixes, e.g. for rpm 4.14
Patch39:	apt-0.5.15lorg3.94pt-rpm414.patch
# (cjw) switch from STLport hash_set/hash_map to C++ unordered_set/unordered_map
Patch40:	apt-0.5.15lorg3.94pt-gcc7.patch
Patch41:	rpm-4.15.patch
Patch42:	rpm-4.18.patch

Requires:	gnupg
Requires:	gzip
Requires:	%{name}-common
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(readline)
BuildRequires:	rpm-devel >= 4.6
BuildRequires:	pkgconfig(popt)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(sqlite3)
%if %{with lua}
BuildRequires:	lua-devel
%endif
BuildRequires:	perl
BuildRequires:	pkgconfig(jsoncpp) >= 0.5.0

%description
A port of Debian's apt tools for RPM based distributions.
Original RPM port done by and for Conectiva. It provides
the apt-get utility that provides a simple way to install
and upgrade packages. APT features complete installation
ordering, multiple source capability and several other
unique features.

%package -n %{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries
Requires:	%name-common
#For uuidgen
Requires:	e2fsprogs

%description -n %{libname}
This package contains APT's libapt-pkg package manipulation library
modified for RPM.

%package -n %{libnamedevel}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	libapt-pkg-devel
# only header files in this package...
Requires:	jsoncpp-devel
Obsoletes:	%{_lib}apt-pkg4-devel < 1:0.5.15lorg3.94-10

%description -n %{libnamedevel}
This package contains the header files and static libraries for
developing with APT's libapt-pkg package manipulation library,
modified for RPM.

%package pbo
Summary:	Alternate dependency solver for apt.
Group:		System/Packaging
BuildArch:	noarch
Requires:	%{name}-common
Requires:	perl
Requires:	minisat+
Requires:	perl-libapt-pkg

%description pbo
Alternate dependency solver for the apt package manager.
Currently in testing.

%package common
Summary:	Common file for %{name} frontend
Group:		System/Packaging

%description common
This package contains the needed files for various apt-frontend,
such as synaptic, aptitude.

%prep
%setup -q -n %{name}-%{version}%{versionadd}
%patch -P 1 -p1
%patch -P 3 -p1 -b .scores
%patch -P 6 -p1 -b .lua53
%patch -P 8 -p1 -b .checkrconflicts
%patch -P 9 -p1 -b .predepends-scores
%patch -P 11 -p1 -b .specialchars
%patch -P 14 -p1
%patch -P 15 -p1 -b .moo
%patch -P 18 -p1 -b .build-dep-fix
%patch -P 26 -p1 -b .headerUnlink
%patch -P 27 -p1 -b .fdLink+fdFree
%patch -P 28 -p1 -b .cm-rpm4.9
%patch -P 29 -p1 -b .dbapi
%patch -P 25 -p1 -b .segfault
%patch -P 30 -p1 -b .glibc2_16
%patch -P 31 -p1 -b .usrmove_broken_rpm
%patch -P 32 -p1 -b .jsoncpp
%patch -P 33 -p1 -b .lua
%patch -P 34 -p1 -b .suggests
%patch -P 35 -p1 -b .brackets
%patch -P 36 -p1 -b .overflow
%patch -P 37 -p1 -b .cve-2014-6273
%patch -P 38 -p1 -b .xz
%patch -P 39 -p1 -b .rpm414
%patch -P 40 -p1 -b .gcc7
%patch -P 41 -p1 -b .rpm415
%patch -P 42 -p1 -b .rpm418

cat %{SOURCE1} > apt.conf
sed 's/%%ARCH%%/%{_target_cpu}/' %{SOURCE2} > sources.list
cat %{SOURCE3} > vendors.list
cat %{SOURCE4} > rpmpriorities
cat %{SOURCE5} > mageia.conf

# add aarch64
echo -e "aarch64\taarch64" >> buildlib/archtable

%build
autoreconf -vfi
%configure %{!?_with_lua:--disable-scripts}

# This next line is necessary because of the invalid-lc-messages-dir patch
(cd po; cp -f de_DE.po de.po; cp -f it_IT.po it.po)


# Parallel make is taken account in the configure script
%make_build NOISY=1

#( cd python; %%make_build )

%install
cat <<EOF >README.Mageia
This version uses the synthesis form of the hdlist which is specified as a urpm
source. The "rpm" source represents a debian-style pkglist, so full hdlists
cannot be used anymore.

EOF

%make_install

rm -rf %{buildroot}%{_bindir}/apt-pbo

install -d -m 755 %{buildroot}%{_var}/cache/%{name}/archives/partial
install -d -m 755 %{buildroot}%{_var}/lib/%{name}/lists/partial

install -d -m 755 %{buildroot}%{_sysconfdir}/apt
echo "APT::Install-Suggests \"true\";" > %{buildroot}%{_sysconfdir}/apt/apt.conf.d/01-suggests.conf
install -m 644 apt.conf %{buildroot}%{_sysconfdir}/apt
install -m 644 *.list %{buildroot}%{_sysconfdir}/apt
install -m 644 rpmpriorities %{buildroot}%{_sysconfdir}/apt

install -d -m 755 %{buildroot}%{_sysconfdir}/apt/apt.conf.d
install -m 644 mageia.conf %{buildroot}%{_sysconfdir}/apt/apt.conf.d

install -d -m 755 %{buildroot}%{_sysconfdir}/apt/translate.list.d

install -d -m 755 %{buildroot}%{_var}/lib/apt/dudf

#install -d -m 755 %%{buildroot}%%{_sbindir}
#install -m 755 %%SOURCE8 %%{buildroot}%%{_sbindir}

install -d -m 755 %{buildroot}%{_sysconfdir}/cron.d
#AG: Script directory, this should really be created by "make install" itself
install -d -m 755 %{buildroot}%{_datadir}/apt/scripts

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING* doc/*.txt doc/examples AUTHORS* README.Mageia
%{_bindir}/*
%{_mandir}/man5/*
%{_mandir}/man8/*

#files pbo
#{_sbindir}/apt-pbo

%files common
%{_libdir}/%{name}/
%{_var}/cache/%{name}
%{_var}/lib/%{name}
%{_datadir}/%{name}/
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/apt/apt.conf
%config(noreplace) %{_sysconfdir}/apt/sources.list
%config(noreplace) %{_sysconfdir}/apt/vendors.list
%config(noreplace) %{_sysconfdir}/apt/rpmpriorities
%dir %{_sysconfdir}/%{name}/apt.conf.d
%config(noreplace) %{_sysconfdir}/apt/apt.conf.d/mageia.conf
%config(noreplace) %{_sysconfdir}/apt/apt.conf.d/multilib.conf
%config(noreplace) %{_sysconfdir}/apt/apt.conf.d/01-suggests.conf
%dir %{_sysconfdir}/%{name}/translate.list.d

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{libnamedevel}
%{_includedir}/apt-pkg/
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/*.pc
