%define __provides_exclude_from ^%{_libdir}/apulse/.*.so.*$

Name:		apulse
Version:	0.1.13
Release:	%mkrel 4
Summary:	PulseAudio emulation for ALSA
License:	MIT and LGPL-2.1+
Group:		System/Libraries
URL:		https://github.com/i-rinat/apulse
Source:		https://github.com/i-rinat/apulse/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		apulse-fix-pulse-13.patch
BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(libpulse) >= 5.0

%description
The program provides an alternative partial implementation of the
PulseAudio API.

It consists of a wrapper script and a number of shared libraries with
the same names as from original PulseAudio, so applications could
dynamically load them and think they are talking to
PulseAudio. Internally, no separate sound mixing daemon is used.

%prep
%autosetup -p1

%build
%cmake \
	-DAPULSEPATH:PATH=%{_libdir}/%{name} \
	-DAPULSE_SEARCH_PATHS:PATH=%{_libdir}/%{name} \
	-DUSE_BUNDLED_PULSEAUDIO_HEADERS:BOOL=OFF
%cmake_build

%install
%cmake_install

rm %{buildroot}%{_libdir}/%{name}/libpulse*.so

%files
%doc README*
%license LICENSE.MIT
%{_bindir}/*
%{_libdir}/%{name}/
%{_mandir}/man1/*
