%define major         44
%define libname       %mklibname %name %major
%define develname     %mklibname %name -d
%define fname         %name-%{version}

Name:           aqbanking
Summary:        A library for online banking functions and financial data import/export
Version:        6.6.0
Release:        %mkrel 2
Group:          System/Libraries
License:        GPLv2+
URL:            https://www.aquamaniac.de/rdm/
Source:         https://www.aquamaniac.de/rdm/attachments/download/531/%name-%{version}.tar.gz
BuildRequires:  pkgconfig(libofx) >= 0.8.2
BuildRequires:  gmp-devel
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gwengui-gtk3)
BuildRequires:  pkgconfig(gwenhywfar) >= 5.11.2.0
BuildRequires:  pkgconfig(ktoblzcheck) >= 1.10
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(xmlsec1-gnutls) >= 1.0.0

%description
The intention of AqBanking is to provide a middle layer between the
program and the various Online Banking libraries (e.g. AqHBCI). The
first backend which is already supported is AqHBCI, a library which
implements a client for the German HBCI (Home Banking Computer
Interface) protocol. Additionally, Aqbanking provides various plugins
to simplify import and export of financial data. Currently there are
import plugins for the following formats: DTAUS (German financial
format), SWIFT (MT940 and MT942).

%package -n %libname
Summary:        A library for online banking functions and financial data import/export
Group:          System/Libraries
Requires:       %name >= %version

%description -n %libname
The intention of AqBanking is to provide a middle layer between the
program and the various Online Banking libraries (e.g. AqHBCI). The
first backend which is already supported is AqHBCI, a library which
implements a client for the German HBCI (Home Banking Computer
Interface) protocol. Additionally, Aqbanking provides various plugins
to simplify import and export of financial data. Currently there are
import plugins for the following formats: DTAUS (German financial
format), SWIFT (MT940 and MT942).

%package -n %develname
Summary:        Aqbanking development kit
Group:          Development/C++
Requires:       %{libname} = %{version}
Provides:       lib%name-devel = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}
Requires:       opensp-devel

%description -n %develname
This package contains aqbanking-config and header files for writing and
compiling programs using Aqbanking.

%prep
%setup -q

%build

# upstream was still using automake1.14
#autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

%find_lang %name

mv %buildroot%_datadir/doc/%name installed-docs

%files -f %name.lang
%doc installed-docs
%{_bindir}/aqbanking-cli
%{_bindir}/*-tool
%{_bindir}/*-tool4
%{_libdir}/%{name}
%{_datadir}/%{name}

%files -n %libname
%{_libdir}/libaqbanking.so.%{major}{,.*}

%files -n %develname
%{_bindir}/aqbanking-config
%{_includedir}/aqbanking6
%{_libdir}/cmake/aqbanking-*
%{_libdir}/libaqbanking.so
%{_datadir}/aclocal/aqbanking.m4
%{_libdir}/pkgconfig/aqbanking.pc
