%define lib_name_orig	libaqsis
%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

%global _python_bytecompile_extra 0

# Use git commit as there are no tags/releases in the git repo
# Check CMakeLists.txt for version: VERSION_[MAJOR,MINOR,BUILD]
%define commit	27f240b97ea73043099944c16ae0f8ffb7a350f1

%bcond_with	tests

Summary:	RenderMan-compliant 3D rendering solution
Name:		aqsis
Version:	1.8.4
Release:	%mkrel 2
License:	GPLv2+ and BSD
Group:		Graphics/3D
Url:		https://www.aqsis.org/
Source0:	https://github.com/aqsis/aqsis/archive/%{commit}/%{name}-%{version}.tar.gz
# Use own desktop file because of dead upstream
Source1:	eqsl.desktop
# Use system libpartio.
Patch0:		aqsis-use-external-library-partio.patch

BuildRequires:	cmake
BuildRequires:	bison
BuildRequires:	doxygen
BuildRequires:	flex
BuildRequires:	boost-devel
BuildRequires:	partio-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:	pkgconfig(zlib)

%description
Tha Aqsis rendering system consists of a set of libraries and applications for
creating high-quality computer imagery using the Pixar RenderMan Interface.

%package -n %{libname}
Summary:	Aqsis library
Group:		System/Libraries

%description -n %{libname}
The Aqsis library.

%package -n %{develname}
Summary:	Development files for Aqsis
Group:		Development/C++
Requires:	%{libname} >= %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
The Aqsis library developpement files.

%prep
%autosetup -p1 -n %{name}-%{!?commit:%version}%{?commit:%commit}

cp -f %{SOURCE1} distribution/linux/

# Replace/Disable deprecated boost
sed -e 's|branch_path|parent_path|' -i libs/util/file_test.cpp
sed -e 's|BOOST_MESSAGE|//BOOST_MESSAGE|g' -i libs/tex/io/tiffdirhandle_test.cpp

%build
%cmake \
    -DAQSIS_USE_RPATH:BOOL=OFF \
    -DSYSCONFDIR:STRING=%{_sysconfdir} \
    -DLIBDIR:STRING=%{_libdir} \
    -DDEFAULT_DISPLAYPATH:STRING=%{_libdir}/%{name} \
    -DAQSIS_USE_EXTERNAL_TINYXML:BOOL=ON \
    -DAQSIS_USE_EXTERNAL_PARTIO:BOOL=ON \
    -Daqsis_enable_testing:BOOL=%{?with_tests:ON}%{!?with_tests:OFF}

%cmake_build

%install
%cmake_install

%check
%{?with_tests:%ctest || : }

%files
%doc AUTHORS README
%config(noreplace) %{_sysconfdir}/*
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/aqsis.xml
%{_datadir}/pixmaps/*.png
%{_iconsdir}/hicolor/*/mimetypes/*.png

%files -n %{libname}
%license COPYING doc/common/{gpl,lgpl,bsd,cc}.txt
%{_libdir}/%{name}/
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*
