Summary:	Screen layout editor for xrandr 1.2 (Another XRandR gui)
Name:		arandr
Version:	0.1.11
Release:	%mkrel 3
License:	GPLv3
Group:		System/X11
URL:		https://christian.amsuess.com/tools/arandr/
Source0:	https://christian.amsuess.com/tools/arandr/files/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(docutils)
Requires:	task-x11
Requires:	xrandr

%description
Provide a simple visual front end for XRandR 1.2, client
side X only (no xorg.conf involved, no pre-1.2 options).

Features

* Allow setting the primary output
* Full control over positioning (instead of plain "left of") with
  edge snapping
* Saving configurations as executable shell scripts (configurations
  can be loaded without using this program)
* Configuration files can be edited to include additional payload
  (like xsetwacom commands tablet PC users need when rotating), which
  is preserved when editing
* Metacity keybinding integration:
* Saved configurations can be bound to arbitrary keys via metacity
  custom commands.
* Several layouts can be bound to one key; they are cycled
  through. (Useful for "rotate" buttons on tablet PCs.)
* Main widget separated from packaged application (to facilitate
  integration with existing solutions)

%prep
%autosetup

%build
%py3_build

%install
%py3_install

%find_lang %{name}

%files -f %{name}.lang
%doc NEWS README TODO
%{python3_sitelib}/screenlayout
%{python3_sitelib}/*.egg-info

%{_bindir}/%{name}
%{_bindir}/unxrandr
%{_datadir}/applications/arandr.desktop
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/unxrandr.1*
