Name:		aranym
Version:	1.1.0
Release:	%mkrel 4
Summary:	Atari ST/TT/Falcon emulator
License:	GPLv2
Group:		Emulators
Url:		https://aranym.github.io/
Source:		https://prdownloads.sourceforge.net/%{name}/%{name}_%{version}.orig.tar.gz
# https://github.com/aranym/aranym/commit/021f75b54ad17d7f8ad9caee1068801a06ab2f24
Patch1:		0001-Use-pow10-only-if-it-exits.patch
BuildRequires:	pkgconfig(sdl) >= 1.2.12
BuildRequires:	pkgconfig(SDL_image)

%description
ARAnyM is a software virtual machine (similar to VirtualBox or Bochs)
designed and developed for running 32-bit Atari ST/TT/Falcon operating systems
(TOS, FreeMiNT, MagiC and Linux-m68k) and TOS/GEM applications on any kind of
hardware - be it an IBM clone (read it as "PC" :-), an Apple, an Unix server,
a graphics workstation or even a portable computer.

%prep
%autosetup -p1

%build
export CC_FOR_BUILD=%__cc
export CXX_FOR_BUILD=%__cxx
autoreconf -vfi
%configure
%make_build

%install
%make_install

install -Dm 0644 contrib/icon-48.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -Dm 0644 contrib/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc %{_docdir}/%{name}
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/pixmaps/%{name}*.png
%{_iconsdir}/*/*/*/%{name}*.png
%{_mandir}/man?/*.*.*
