# Major
%define major		3
%define libver		1.1.0

# Library names
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

%bcond_with python

Summary:	Library for creating a socket to send and receive messages
Name:		arcus
Epoch:		1
Version:	5.3.0
Release:	%mkrel 2
License:	LGPLv3+
Group:		Development/Other
URL:		https://github.com/Ultimaker/libArcus
Source0:	%{url}/archive/%{version}/lib%{name}-%{version}.tar.gz
# Python bits
Source1:	https://github.com/Ultimaker/pyArcus/archive/%{version}/pyArcus-%{version}.tar.gz
# Cmake bits taken from 4.13.1, before upstream went nuts with conan
Source2:	FindSIP.cmake
Source3:	SIPMacros.cmake
Source4:	CMakeLists.txt
Source5:	CPackConfig.cmake
Source6:	ArcusConfig.cmake.in
Source7:	COPYING-CMAKE-SCRIPTS

# https://bugzilla.redhat.com/show_bug.cgi?id=1601917
Patch1:		libArcus-3.10.0-PyQt6.sip.patch

# Actually export symbols
Patch2:		libArcus-5.2.2-actually-export-symbols.patch

Patch3:		0001-Fix-compatibility-for-protobuf-v26.x-and-later.patch

BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(protobuf)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-protobuf
BuildRequires:	python3-pyqt6-sip
#BuildRequires:	python3-sip-devel

%description
This library contains a C++ and Python3 class for creating a socket
in a thread and using this socket to send and receive messages based
on the Protocol Buffers library.
It is designed to facilitate the communication between Cura and its backend
and similar code.

%package -n	%{libname}
Summary:	Runtime library for Arcus
Group:		System/Libraries

%if %{without python}
Obsoletes:	python3-arcus < %{epoch}:%{version}-%{release}
%endif

%description -n	%{libname}
This library contains a C++ and Python3 class for creating a socket
in a thread and using this socket to send and receive messages based
on the Protocol Buffers library.
It is designed to facilitate the communication between Cura and its backend
and similar code.

This package contains the shared Arcus library.

%package -n	%{develname}
Summary:	Arcus C++ headers and libraries
Group:		Development/Other
Requires:	%{libname} = %{epoch}:%{version}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}

%description -n	%{develname}
This package contains Arcus C++ headers and libraries.

%if %{with python}
%package -n     python3-arcus
Summary:	Python 3 libArcus bindings
Group:		Development/Python
%{?_sip_api:Requires: python3-pyqt6-sip-api(%{_sip_api_major}) >= %{_sip_api}}
%{?python_provide:%python_provide python3-arcus}

Conflicts:	%{_lib}arcus1 < 15.10-10

%description -n python3-arcus
Arcus Python 3 bindings for creating a socket in a thread and using this
socket to send and receive messages based on the
Protocol Buffers library. It is designed to facilitate the communication
between Cura and its backend and similar code.
%endif

%prep
%setup -q -n libArcus-%{version} -a1

cp -a pyArcus-%{version}/python .
cp -a pyArcus-%{version}/include/pyArcus include
mkdir cmake
cp -a %{SOURCE2} %{SOURCE3} %{SOURCE7} cmake/
rm -rf CMakeLists.txt
cp -a %{SOURCE4} %{SOURCE5} %{SOURCE6} .
cp -a pyArcus-%{version}/src/PythonMessage.cpp python/

%autopatch -p1

%build
%cmake \
	-DCMAKE_SKIP_RPATH:BOOL=ON \
	%{!?with_python:-DBUILD_PYTHON=OFF} \
	-DBUILD_EXAMPLES:BOOL=OFF
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc README.md
%license LICENSE
%{_libdir}/libArcus.so.%{major}
%{_libdir}/libArcus.so.%{libver}

%files -n %{develname}
%license LICENSE cmake/COPYING-CMAKE-SCRIPTS
%{_includedir}/Arcus/
%{_libdir}/libArcus.so
%{_libdir}/cmake/Arcus/

%if %{with python}
%files -n python3-arcus
%license LICENSE
%doc README.md
%doc examples/example.py
%{python3_sitearch}/Arcus.so
%endif
