Name:          args4j10
Version:       1.0
Release:       %mkrel 6
Summary:       Commandline parser
Group:         Development/Java
License:       MIT
Url:           https://args4j.java.net/
# svn export https://svn.java.net/svn/jaxb~version2/tags/jaxb-2_2_4u1/jaxb-ri/tools/lib/src/args4j-src.zip
Source0:       args4j-src.zip
Patch0:        args4j-1.0-javadoc.patch
BuildRequires: maven-changelog-plugin
BuildRequires: maven-changes-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-local
BuildRequires: maven-surefire-plugin
Requires:      jpackage-utils
BuildArch:     noarch

%description
Args4j is a small Java class library that makes it easy to
parse command line options/arguments in your CUI application.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
args4j - Java command line arguments parser.

This package contains javadoc for %{name}.

%prep
%setup -q -n args4j
%patch -P 0 -p0
for j in $(find . -name "*.jar"); do
	mv $j $j.no
done

%build
mvn-rpmbuild install javadoc:aggregate

%install
mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/args4j-%{version}.jar \
	%{buildroot}%{_javadir}/args4j10.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-args4j10.pom
%add_maven_depmap JPP-args4j10.pom args4j10.jar 

(
	cd %{buildroot}%{_javadir}
	for jar in *-%{version}*; do
		ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
	done
)

mkdir -p %{buildroot}%{_javadocdir}/args4j10-%{version}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/args4j10-%{version}
ln -sf args4j10-%{version} %{buildroot}%{_javadocdir}/args4j10

%files
%{_javadir}/args4j10.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt

%files javadoc
%{_javadocdir}/args4j10-%{version}
%{_javadocdir}/args4j10

