%define major   0
%define libname %mklibname argtable2_ %{major}
%define devname %mklibname argtable2 -d

Name:       argtable2
Version:    13
Release:    %mkrel 16
License:    LGPLv2+
Group:      Development/C
Summary:    A library for parsing GNU style command line arguments
URL:        https://argtable.sourceforge.net/
Source0:    https://downloads.sourceforge.net/argtable/%{name}-%{version}.tar.gz
Patch0:     argtable2-missing-includes.patch

%description
Argtable is an ANSI C library for parsing GNU style command line arguments. It
enables a program's command line syntax to be defined in the source code as an
array of argtable structs. The command line is then parsed according to that
specification and the resulting values are returned in those same structs where
they are accessible to the main program. Both tagged (-v, --verbose, --foo=bar)
and untagged arguments are supported, as are multiple instances of each
argument. Syntax error handling is automatic and the library also provides the
means for displaying the command line syntax directly from the array of
argument specifications.

Argtable can function as a "getopt_long" replacement, without the user of the
program noticing the difference. Unlike "getopt_long", argtable is cross
platform and works on Windows and Mac as well as Posix systems.

%package -n %{libname}
Summary:    A library for parsing GNU style command line arguments
Group:      System/Libraries
Obsoletes:  %{name} < 13-10
Provides:   %{name} = %{version}-%{release}

%description -n %{libname}
Argtable is an ANSI C library for parsing GNU style command line arguments. It
enables a program's command line syntax to be defined in the source code as an
array of argtable structs. The command line is then parsed according to that
specification and the resulting values are returned in those same structs where
they are accessible to the main program. Both tagged (-v, --verbose, --foo=bar)
and untagged arguments are supported, as are multiple instances of each
argument. Syntax error handling is automatic and the library also provides the
means for displaying the command line syntax directly from the array of
argument specifications.

Argtable can function as a "getopt_long" replacement, without the user of the
program noticing the difference. Unlike "getopt_long", argtable is cross
platform and works on Windows and Mac as well as Posix systems.

%package -n %{devname}
Group:      Development/C
Summary:    Development libraries and headers for the %{name} library
Requires:   %{libname} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}
Obsoletes:  %{name}-devel < 13-10

%description -n %{devname}
Development libraries and headers for use in building applications that
use the %{name} library.

%package doc
Group:      Development/C
Summary:    Documentation for the %{name} library
BuildArch:  noarch

%description doc
The %{name}-doc package contains documentation for using
the %{name} library.

%prep
%autosetup -p1

%build
# to recognize aarch64
autoreconf -vfi

%configure \
    --disable-static \
    --docdir=%{_docdir}/%{name}-%{version}
%make_build

%install
%make_install

%check
%{__make} check

%files -n %{libname}
%license COPYING
%doc AUTHORS ChangeLog README
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/*

%files doc
%doc %{_docdir}/%{name}-%{version}
