Summary:	Download utility with resuming and segmented downloading
Name:		aria2
Version:	1.37.0
Release:	%mkrel 2
License:	GPLv2+
Group:		Networking/File transfer
URL:		https://aria2.github.io/
Source0:	https://github.com/aria2/aria2/releases/download/release-%{version}/aria2-%{version}.tar.xz
BuildRequires:	bison
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libssh2)
BuildRequires:	pkgconfig(gnutls) >= 2.2.0
BuildRequires:	pkgconfig(libcares) >= 1.7.0
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(cppunit)
Requires:	rootcerts
#we need 1.7.0 to have ares_library_init available
Requires:	c-ares >= 1.7.0
Provides:	webfetch

%description
Aria2 has segmented downloading engine in its core. It can download one
file from multiple URLs or multiple connections from one URL. This results
in very high speed downloading, very much faster than ordinary browsers.
This engine is implemented with a single-thread model.
It can also download BitTorrent files and supports Metalink version 3.0.

%package doc
Summary:	Documentation for %{name}
Group:		Networking/File transfer
BuildArch:	noarch

%description doc
This package contains the documentation for %{name}.

%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="%{optflags} -Os"
export CXXFLAGS="$CFLAGS"

%configure \
	--with-ca-bundle="%{_sysconfdir}/pki/tls/cert.pem" \
	--with-bashcompletiondir="%{_datadir}/bash-completion/completions/" \
	--enable-bittorrent \
	--enable-metalink \
	--enable-epoll \
	--enable-threads=posix \
	--disable-rpath \
	--with-gnutls \
	--with-libcares \
	--with-libxml2 \
	--without-openssl \
	--with-libz \
	--with-sqlite3 \
	--without-libexpat

%make_build

# disable checks on ARM
# check does not work because of firewall
%ifnarch %arm
%check
#make check
%endif

%install
%make_install
rm -f %{buildroot}%{_docdir}/%{name}/README{,.asciidoc}
install NEWS %{buildroot}%{_docdir}/%{name}/

%find_lang %{name} --with-man --all-name

%files -f %{name}.lang
%exclude %{_docdir}/%{name}
%{_bindir}/aria2c
%{_mandir}/man1/aria2c.1*
%{_datadir}/bash-completion/completions/aria2c

%files doc
%doc %{_docdir}/%{name}/
