%define tarname	AriaSrc

Name:		ariamaestosa
Version:	1.4.13
Release:	%mkrel 20
Summary:	An open-source midi tracker/editor
# License is GPLv2 with exceptions (look at license.txt)
License:	GPLv2
Group:		Sound/Midi
URL:		https://ariamaestosa.sourceforge.net/
Source0:	https://sourceforge.net/projects/ariamaestosa/files/%{name}/%{version}/%{tarname}-%{version}.tar.bz2
Source1:	ariamaestosa.desktop
# Upstream patches
Patch1:		0001-Use-a-sensible-default-folder-for-opening-saving-fil.patch
Patch2:		0001-Update-to-wxWidgets-3.1.2.patch
Patch3:		0001-Make-the-scons-build-compatible-with-Python-3.patch
# Mageia patches
Patch50:	ariamaestosa-wxgtk.patch
Patch51:	ariamaestosa-scons.patch
Patch52:	ariamaestosa-skip-upstream-version-check.patch
BuildRequires:	cvs
BuildRequires:	desktop-file-utils
BuildRequires:	flex
BuildRequires:	imagemagick
BuildRequires:	rcs
BuildRequires:	scons
BuildRequires:	swig
BuildRequires:	ghostscript-devel
BuildRequires:	wxgtk-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(glu)

%description
Aria Maestosa is an open-source (GPL) midi tracker/editor. It lets you
compose, edit and play midi files with a few clicks in a user-friendly
interface offering keyboard, guitar, drum and controller views.


%prep
%setup -q -n %{tarname}-%{version}
%autopatch -p1

%build
%scons config=debug prefix=%{_prefix} destdir=%{buildroot}

%install
%scons_install config=debug prefix=%{buildroot}%{_prefix}

%find_lang aria_maestosa

# icons-repertory .png
for SIZE in 16x16 22x22 32x32 48x48 64x64 128x128; do
	mkdir -p %{buildroot}%{_iconsdir}/hicolor/$SIZE/apps
	convert aria128.png -geometry $SIZE %{buildroot}%{_iconsdir}/hicolor/$SIZE/apps/%{name}.png
done

# desktop menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --mode=0644 --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

%files -f aria_maestosa.lang
%doc Changelog.txt TODO.txt license.txt
%attr(0755,root,root) %{_bindir}/Aria
%{_datadir}/Aria/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
