#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           arianna
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Ebook reader and library management app
License:        GPL-3.0-only
Group:          Graphical desktop/KDE
URL:            https://apps.kde.org/arianna/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6HttpServer)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6WebSockets)
BuildRequires:  cmake(Qt6WebChannel)
BuildRequires:  cmake(Qt6WebEngineQuick)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)

BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6FileMetaData)
BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6QuickCharts)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6ColorScheme)
BuildRequires:  cmake(KF6KirigamiAddons) >= 1.4.0
BuildRequires:  cmake(KF6QQC2DesktopStyle)
BuildRequires:  cmake(KF6Baloo)

Requires:       kirigami
Requires:       kirigami-addons
Requires:       kquickcharts
Requires:       qt6-database-plugin-sqlite

%description
An ebook reader and library management app supporting ".epub" files.
Arianna discovers your books automatically, and sorts them by
categories, genres and authors.

%files -f %{name}.lang
%license LICENSES/*
%doc README.md
%{_kf6_categoriesdir}/arianna.categories
%{_kf6_bindir}/arianna
%{_kf6_applicationsdir}/org.kde.arianna.desktop
%{_kf6_metainfodir}/org.kde.arianna.appdata.xml
%{_kf6_iconsdir}/hicolor/scalable/apps/org.kde.arianna.svg

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}
