Summary: File compression and packaging utility compatible with ARJ for MS-DOS
Name: arj
Version: 3.10.22
Release: %mkrel 21
Group: Archiving/Compression
License: GPLv2
Url: https://arj.sourceforge.net/
Source0: https://arj.sourceforge.net/files/%{name}-%{version}.tar.gz
Patch0:  https://ftp.debian.org/debian/pool/main/a/%{name}/%{name}_%{version}-6.diff.gz
Patch1:  arj-3.10.22-fedora-missing-protos.patch
Patch2:  arj-3.10.22-fedora-custom-printf.patch
# Filed into upstream bugtracker as https://sourceforge.net/tracker/?func=detail&aid=2853421&group_id=49820&atid=457566
Patch3:  arj-3.10.22-fedora-quotes.patch
Patch4:  arj-3.10.22-mageia-fix_format_string.patch
Patch5:  arj-3.10.22-parallel.patch
Patch6:  arj-3.10.22-debian-security-afl.patch
Patch7:  arj-3.10.22-debian-security-traversal-dir.patch
Patch8:  arj-3.10.22-debian-security-traversal-symlink.patch
BuildRequires: automake

Provides:      unarj = %{version}-%{release}
Obsoletes:     unarj < 3

%description
A portable version of the ARJ archiver, available for a growing number
of DOS-like and UNIX-like platforms on a variety of architectures.
This aims for compatibility with the original ARJ archiver by ARJ
Software, Inc.

%prep
%setup -q
%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1
%patch -P 4 -p0

for i in debian/patches/00*.patch; do
  patch -p1 < $i
done

%patch -P 5 -p1
%patch -P 6 -p1
%patch -P 7 -p1
%patch -P 8 -p1

cd gnu
autoconf -f

%build
cd gnu
%configure
cd ..
# Disable binary strippings
%make_build ADD_LDFLAGS=""

%install
%make_install

%files
%doc ChangeLog* doc/*
%_bindir/arj
%_bindir/arj-register
%_bindir/arjdisp
%_bindir/rearj
%dir %_libdir/arj/
%_libdir/arj/arjcrypt.so
%_mandir/man1/*arj*.1*



