#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           ark
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Program for managing various archive formats within the KDE environment
Group:          Archiving/Compression
License:        GPLv2 and LGPLv2 and GPLD
URL:            https://apps.kde.org/ark/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

# upstream patches 1->100

# Patches from branch 100->200:

# Patches from trunk 200->300

# Mageia Patches 300->400
Source300:      ark-disable-compressAsRar-in-servicemenu.patch

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Concurrent)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6FileMetaData)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6Pty)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6IconThemes)

BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(libzip)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(bzip2)
BuildRequires:  pkgconfig(gmp)

BuildRequires:  arj
BuildRequires:  lrzip
BuildRequires:  p7zip
BuildRequires:  unzip
BuildRequires:  unar
BuildRequires:  zip

Requires:       kio

Requires:       bzip2
Requires:       gzip
Requires:       lrzip
Requires:       unzip
Requires:       zip
Recommends:     p7zip
Recommends:     arj
Recommends:     unar
Recommends:     ark-handbook


%description
Graphical file compression/decompression utility with support for multiple
formats.

%files -f %name.lang
%_kf6_categoriesdir/ark.categories
%_kf6_sysconfdir/xdg/arkrc
%_kf6_bindir/ark
%_kf6_plugindir/parts/arkpart.so
%dir %_kf6_plugindir/kio_dnd
%_kf6_plugindir/kio_dnd/*.so
%dir %_kf6_plugindir/kfileitemaction
%_kf6_plugindir/kfileitemaction/*.so
%_qt6_plugindir/kerfuffle
%_kf6_metainfodir/org.kde.ark.appdata.xml
%_kf6_applicationdir/org.kde.ark.desktop
%_kf6_datadir/config.kcfg/ark.kcfg
%_kf6_datadir/icons/*/*/*/*
%_kf6_datadir/kconf_update/ark.upd
%_kf6_datadir/kconf_update/ark_add_hamburgermenu_to_toolbar.sh

#------------------------------------------------------------------------------

%package -n ark-handbook
Summary:        Ark Handbook
Group:          Documentation
BuildArch:      noarch

%description -n ark-handbook
This package provides ark handbook.

%files -n ark-handbook
%_kf6_docdir/HTML/*/ark/
%_kf6_mandir/man1/ark.1.*

#------------------------------------------------------------------------------

%define libkerfuffle_major 25
%define libkerfuffle %mklibname kerfuffle %{libkerfuffle_major}

%package -n %libkerfuffle
Summary:        Runtime library for Ark
Group:          System/Libraries

%description -n %libkerfuffle
Runtime library for Ark.

%files -n %libkerfuffle
%_kf6_libdir/libkerfuffle.so.%{libkerfuffle_major}{,.*}

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %name --with-man
