# Tarfile created using git
# git clone https://pagure.io/arm-image-installer.git
# git archive --format=tar --prefix=%{name}-%{version}/ %{version} | xz > ~/%{name}-%{version}.tar.xz

Name:		arm-image-installer
Version:	3.7
Release:	%mkrel 1
Summary:	Writes binary image files to any specified block device
Group:          Archiving/Other
License:	GPLv2+
Url:		https://pagure.io/arm-image-installer
Source0:	%{name}-%{version}.tar.xz

BuildArch:	noarch

Requires:	btrfs-progs
Requires:	e2fsprogs
Requires:	libselinux-utils
Requires:	parted
Requires:	sudo
Requires:	util-linux
Requires:	xfsprogs
Requires:	xz


%description
Allows one to first select a source image (local or remote). The image must be
a binary file containing: [MBR + Partitions + File Systems + Data]. A
destination block device should then be selected for final installation.

It is also suitable for dumping Mageia installer isos to USB sticks.


%prep
%autosetup

%build
echo "skipping..."

%install
install -d %{buildroot}%{_datadir}/arm-image-installer
install -d %{buildroot}%{_datadir}/arm-image-installer/socs.d
install -pm 644 socs.d/* %{buildroot}%{_datadir}/arm-image-installer/socs.d/
install -d %{buildroot}%{_datadir}/arm-image-installer/boards.d
install -pm 644 boards.d/* %{buildroot}%{_datadir}/arm-image-installer/boards.d/

install -d %{buildroot}%{_bindir}
install -pm 0755 update-uboot %{buildroot}%{_bindir}/
install -pm 0755 arm-image-installer %{buildroot}%{_bindir}/
install -pm 0755 rpi-uboot-update %{buildroot}%{_bindir}/
install -pm 0755 spi-flashing-disk %{buildroot}%{_bindir}/
ln -s /usr/bin/arm-image-installer %{buildroot}%{_bindir}/fedora-arm-image-installer

%files
%license COPYING
%doc AUTHORS README TODO SUPPORTED-BOARDS
%{_bindir}/arm-image-installer
%{_bindir}/fedora-arm-image-installer
%{_bindir}/update-uboot
%{_bindir}/rpi-uboot-update
%{_bindir}/spi-flashing-disk
%{_datadir}/arm-image-installer/
