#(peroyvind) dunno what this is nor why it's required, but we don't have it and it shouldn't be required
%global	__requires_exclude	BEGIN_RIM

%define sourcename	armagetronad

Summary:	Armagetron Advanced, 3D lightcycle game using OpenGL
Name:		armagetron
Version:	0.2.9.1.1
Release:	%mkrel 2
License:	GPL-2.0-or-later
Group:		Games/Arcade
URL:		https://www.armagetronad.org/
Source0:	https://prdownloads.sourceforge.net/armagetronad/%{sourcename}-%{version}.tbz
# taken from debian
Source1:	%{sourcename}.png
Patch0:		armagetronad-0.2.8.3.1-empty-master.srv-fix.patch

BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libxml-2.0)

%description
Armagetron is a multiplayer game in 3D that attempts to emulate and expand
on the lightcycle sequence from the movie Tron. It's an old school arcade
game slung into the 21st century. Highlights include a customizable playing
arena, HUD, unique graphics, and AI bots. For the more advanced player there
are new game modes and a wide variety of physics settings to tweak as well.

%prep
%autosetup -p1 -n %{sourcename}-%{version}

%build
%configure \
	--bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir} \
	--docdir=%{_docdir} \
	--enable-music \
	--disable-games \
	--disable-uninstall
%make_build

%install
%make_install

# remove unwanted files
rm -rf %{buildroot}%{_gamesdatadir}/%{sourcename}/{desktop,scripts}
rm -rf %{buildroot}%{_datadir}/icons

cat <<EOF >%{buildroot}%{_gamesbindir}/%{name}
#!/bin/sh -e

REALTRON=%{_gamesbindir}/%{sourcename}

DATADIR=%{_gamesdatadir}/%{sourcename}
CONFDIR=%{_sysconfdir}/%{sourcename}
USERCONFDIR=\$HOME/.%{name}
USERDATADIR=\$USERCONFDIR/data
VARDIR=\$HOME/.%{name}
AUTORESOURCEDIR=\$HOME/.%{name}/resource
if [ ! -d \$USERCONFDIR ]; then
	# have to create configuration directory
	install -d \$USERCONFDIR
fi
if [ -f \$HOME/.%{name}rc ]; then
	# upgrade from before 0.2
	mv -f \$HOME/.%{name}rc \$USERCONFDIR/user.cfg
fi
# remove empty master.srv file created by earlier revisions
if [ -r \$USERCONFDIR/master.srv ] && ! [ -s \$USERCONFDIR/master.srv ]; then
  rm -f \$USERCONFDIR/master.srv
fi

CMDLINE="--datadir \$DATADIR --configdir \$CONFDIR --userconfigdir \$USERCONFDIR --vardir \$VARDIR --autoresourcedir \$AUTORESOURCEDIR"
if [ -d \$USERDATADIR ]; then
	CMDLINE="\$CMDLINE --userdatadir \$USERDATADIR"
fi
exec \$REALTRON \$CMDLINE "\$@"
EOF

install -m0644 %{SOURCE1} -D %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Armagetron Advanced
Comment=Another 3d lightcycle game
Comment[de]=dreidimensionales Lichtradspiel
Comment[fr]=Jeu de course 3D basé sur une séquence du film Tron
Exec=%_gamesbindir/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
MimeType=application/x-armagetronad;
Keywords=tron-like;light;cycle;3D;multiplayer;networked;server;
EOF

%files
%doc AUTHORS NEWS README
%license COPYING
%attr(0755,root,games) %{_gamesbindir}/%{name}
%attr(2755,root,games) %{_gamesbindir}/%{sourcename}
%{_gamesdatadir}/%{sourcename}/
%dir %{_sysconfdir}/%{sourcename}
%config(noreplace) %{_sysconfdir}/%{sourcename}/*
%{_iconsdir}/hicolor/128x128/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_metainfodir}/%{sourcename}.appdata.xml
%{_defaultdocdir}/%{sourcename}/
