%global namedreltag .Final-SNAPSHOT
%global namedversion %{version}%{?namedreltag}
Name:          arquillian-container-weld
Version:       1.0.0
Release:       %mkrel 1
Summary:       Arquillian Container Weld
Group:         Development/Java
License:       ASL 2.0
Url:           https://github.com/arquillian/arquillian-container-weld
# git clone git://github.com/arquillian/arquillian-container-weld.git
# cd arquillian-container-weld/ && git archive --format=tar --prefix=arquillian-container-weld-1.0.0.Final-SNAPSHOT/ master | xz > ../arquillian-container-weld-1.0.0.Final-SNAPSHOT.tar.xz
Source0:       arquillian-container-weld-%{namedversion}.tar.xz
# changes:
#    org.jboss.ejb3 jboss-ejb3-api with org.jboss.spec.javax.ejb jboss-ejb-api_3.1_spec
#    javax.transaction jta with org.jboss.spec.javax.transaction jboss-transaction-api_1.1_spec
Patch0:        arquillian-container-weld-%{namedversion}-ee-embedded-1_1-pom.patch
# require old weld-api version
Patch1:        arquillian-container-weld-1.0.0.Final-SNAPSHOT-disable-module-weld-se-embedded-1.patch

BuildRequires: java-devel
BuildRequires: jboss-parent
BuildRequires: jpackage-utils

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin

BuildRequires: arquillian-core
BuildRequires: arquillian-core-container
BuildRequires: arquillian-core-testenrichers
BuildRequires: glassfish-persistence-1.0b-api
BuildRequires: glassfish-el
BuildRequires: hibernate-validation-api
BuildRequires: jboss-ejb-3.1-api
BuildRequires: jboss-servlet-3.0-api
BuildRequires: jboss-transaction-1.1-api
BuildRequires: shrinkwrap
BuildRequires: weld
BuildRequires: weld-api

# test deps
BuildRequires: arquillian-core-junit
BuildRequires: junit
BuildRequires: slf4j

Requires:      arquillian-core
Requires:      arquillian-core-container
Requires:      arquillian-core-testenrichers
Requires:      glassfish-persistence-1.0b-api
Requires:      glassfish-el
Requires:      hibernate-validation-api
Requires:      jboss-ejb-3.1-api
Requires:      jboss-servlet-3.0-api
Requires:      jboss-transaction-1.1-api
Requires:      shrinkwrap
Requires:      weld
Requires:      weld-api

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
Weld Container integrations for the Arquillian Project.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch -P 0 -p0
%patch -P 1 -p0

%build

mvn-rpmbuild -Dmaven.test.failure.ignore=true install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}/jboss
install -pm 644 weld-ee-embedded-1.1/target/arquillian-weld-ee-embedded-1.1-%{namedversion}.jar \
   %{buildroot}%{_javadir}/jboss/arquillian-weld-ee-embedded-1.1.jar
install -pm 644 weld-se-embedded-1.1/target/arquillian-weld-se-embedded-1.1-%{namedversion}.jar \
   %{buildroot}%{_javadir}/jboss/arquillian-weld-se-embedded-1.1.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-arquillian-parent-weld.pom
%add_maven_depmap JPP.jboss-arquillian-parent-weld.pom
install -pm 644 weld-ee-embedded-1.1/pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-arquillian-weld-ee-embedded-1.1.pom
%add_maven_depmap JPP.jboss-arquillian-weld-ee-embedded-1.1.pom jboss/arquillian-weld-ee-embedded-1.1.jar
install -pm 644 weld-se-embedded-1.1/pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-arquillian-weld-se-embedded-1.1.pom
%add_maven_depmap JPP.jboss-arquillian-weld-se-embedded-1.1.pom jboss/arquillian-weld-se-embedded-1.1.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -r target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/jboss/arquillian-weld-ee-embedded-1.1.jar
%{_javadir}/jboss/arquillian-weld-se-embedded-1.1.jar
%{_mavenpomdir}/JPP.jboss-arquillian-parent-weld.pom
%{_mavenpomdir}/JPP.jboss-arquillian-weld-ee-embedded-1.1.pom
%{_mavenpomdir}/JPP.jboss-arquillian-weld-se-embedded-1.1.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}