#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           artikulate
Summary:        Learning software to improve pronunciation skills
Version: 25.04.0
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        LGPLv3+ and GPLv2 and BSD
URL:            https://apps.kde.org/artikulate/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Sql)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5XmlPatterns)
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Multimedia)

BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(KF5Kirigami2)

Requires:       kf5-kirigami2
Requires:       kqtquickcharts

# Branch Patch (100-200)

# Mageia Patch


%description
Artikulate is a learning software that helps improving pronunciation skills
by listening to native speakers.

%files -f %name.lang
%_kf5_bindir/artikulate
%_kf5_bindir/artikulate_editor
%_kf5_applicationsdir/*.desktop
%_kf5_iconsdir/hicolor/*/*/*
%_kf5_datadir/knsrcfiles/artikulate.knsrc
%_kf5_metainfodir/org.kde.artikulate.appdata.xml
%_kf5_datadir/config.kcfg/artikulate.kcfg

#------------------------------------------------------------------------------

%package handbook
Summary:        Artikulate handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} >= %{version}-%{release}

%description handbook
This package provides artikulate handbook.

%files handbook
%doc %_kf5_docdir/HTML/*/%{name}

#------------------------------------------------------------------------------	

%define artikulatecore_major 0
%define libartikulatecore %mklibname artikulatecore %artikulatecore_major

%package -n %libartikulatecore
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %libartikulatecore
Runtime library for %{name}.

%files -n %libartikulatecore
%_kf5_libdir/libartikulatecore.so.%{artikulatecore_major}{,.*}

#------------------------------------------------------------------------------	

%define artikulatelearnerprofile_major 0
%define libartikulatelearnerprofile %mklibname artikulatelearnerprofile %artikulatelearnerprofile_major

%package -n %libartikulatelearnerprofile
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %libartikulatelearnerprofile
Runtime library for %{name}.

%files -n %libartikulatelearnerprofile
%_kf5_libdir/libartikulatelearnerprofile.so.%{artikulatelearnerprofile_major}{,.*}

#------------------------------------------------------------------------------ 

%define artikulatesound_major 0
%define libartikulatesound %mklibname artikulatesound %artikulatesound_major

%package -n %libartikulatesound
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %libartikulatesound
Runtime library for %{name}.

%files -n %libartikulatesound
%_kf5_libdir/libartikulatesound.so.%{artikulatesound_major}{,.*}

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %name

rm -f %{buildroot}%{_kf5_libdir}/libartikulate*.so
