
%define rel 1
%define oname openAV-ArtyFX-release

#NB the real source URL is https://github.com/openAVproductions/openAV-ArtyFX/archive/refs/tags/release-1.3.1.tar.gz

Name:    artyfx
Version: 1.3.1
Release: %mkrel %{rel}
Summary: A LV2 plugin bundle of artistic audio effects
Group:   Sound/Midi
License: GPLv2
URL:     http://openavproductions.com/artyfx/
Source0: %{oname}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  meson
BuildRequires:  pkgconfig(lv2)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(cairo)
BuildRequires:	pkgconfig(samplerate)

BuildRequires: suil-devel

Requires: lv2
Requires: suil-x11-in-gtk2

%description
ArtyFX is a plugin bundle of artistic real-time audio effects.
The aim of this plugin collection is to allow the designing of
your sound just as you desired using a fast, efficient workflow.
From bitcrushers, delays, distortions, equalizers, compressors,
reverbs and more, there is a range of sounds available from ArtyFX

%prep
%autosetup  -n %{oname}-%{version}

%build
%meson
%meson_build

%install
%meson_install


%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/lv2
mv %{buildroot}/usr/lib/lv2/* %{buildroot}%{_libdir}/lv2/
%endif

%files
%doc README.md LICENSE
%{_libdir}/lv2/
