Name:           arx-libertatis
Version:        1.2.1
Release:        %mkrel 1
Summary:        Cross-platform port of the GPL'ed Arx Fatalis game by Arkane Studios
Group:          Games/Adventure
License:        GPLv3
URL:            https://arx-libertatis.org
Source0:        https://arx-libertatis.org/files/%{name}-%{version}.tar.xz

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  imagemagick
BuildRequires:  inkscape
BuildRequires:  optipng
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(glm)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(zlib)
# Dependencies of the crash reporter
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
Recommends:     innoextract

%description
Arx Libertatis is a cross-platform, open source port of Arx Fatalis, a 2002
first-person role-playing game/dungeon crawler developed by Arkane Studios.

Arx Fatalis features crafting, melee and ranged combat, as well as a unique
casting system where the player draws runes in real time to effect the
desired spell.

Arx Libertatis is based on the publicly released Arx Fatalis sources and
available under the GPL 3+ license. This does however not include the game
data, so you need to obtain a copy of the original Arx Fatalis or its demo
to play Arx Libertatis. See Arx Libertatis' wiki for more information.

%prep
%autosetup -p1

%build
%cmake \
  -DCMAKE_INSTALL_BINDIR=%{_gamesbindir} \
  -DBUILD_CRASHHANDLER=ON \
  -DBUILD_CRASHREPORTER=ON \
  -DBUILD_IO_LIBRARY=OFF \
  -DBUILD_TOOLS=OFF \
  -DINSTALL_BLENDER_PLUGIN=OFF
%cmake_build

%install
%cmake_install

# Replace bundled font with symlink
pushd %{buildroot}%{_gamesdatadir}/arx/misc
rm -f dejavusansmono.ttf
ln -s %{_xfontdir}/TTF/dejavu/DejaVuSansMono.ttf dejavusansmono.ttf
popd

%files
%{_gamesbindir}/arx
%{_gamesbindir}/arx-install-data
%{_gamesdatadir}/arx/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_libexecdir}/arxcrashreporter
%{_mandir}/man1/arx-install-data.1*
%{_mandir}/man6/arx.6*
