%define url_ver	%(tr '.' '-' <<< %{version})

Name:           asc
Version:        2.8.0.0
Release:        %mkrel 5
Summary:        Advanced Strategic Command - Turn-based strategy game
Group:          Games/Strategy
License:        GPLv2+
URL:            https://www.asc-hq.org/
Source0:        https://github.com/ValHaris/asc-hq/archive/ASC%{url_ver}/asc-hq-ASC%{url_ver}.tar.gz
Patch0:         asc-2.6.1.0-git-gcc10.patch
Patch1:         asc-2.8.0.2-gcc-11.patch
BuildRequires:  boost-devel
BuildRequires:  bzip2-devel
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(physfs)
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(lua)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(sigc++-2.0)
BuildRequires:  SDL_sound-devel
BuildRequires:  wxgtk-devel
BuildRequires:  zip
Requires:       %{name}-data >= %{version}
Recommends:     %{name}-music >= %{version}

%description
Advanced Strategic Command is a free, turn-based strategy game.
It is designed in the tradition of the Battle Isle series.
The game can be played against human or computer.

%files
%{_gamesbindir}/%{name}*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_mandir}/man6/%{name}*.6*

#----------------------------------------------------------------------

%package data
Summary:        Data files for Advanced Strategic Command
BuildArch:      noarch

%description data
This package contains arch-independent data files for the Advanced
Strategic Command game, except from the music pack provided by the
%{name}-music package.

%files data
%{_gamesdatadir}/%{name}/

#----------------------------------------------------------------------

%prep
%autosetup -n asc-hq-ASC%{url_ver} -p1

%build
export CXXFLAGS="%{optflags} -std=gnu++11 -Wno-deprecated-declarations -D__EXPORT__="
%configure \
  --bindir=%{_gamesbindir} \
  --enable-genparse
%make_build

%install
%make_install

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Advanced Strategic Command
Comment=Turn-based strategy game inspired from the Battle Isle series
Exec=%{name}
Icon=%{name}
Type=Application
Categories=Game;StrategyGame;
EOF

install -D -p -m644 data/icons/program-icon.png \
    %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
