# comment out if not pre rel
# %%global prel	rc1

# rel for bumping
%global rel	2

Name:		asciidoc
Version:	10.2.1
Release:	%mkrel %{?prel:0.%prel.}%{rel}
Summary:	Tool to convert custom-formatted text files to DocBook, HTML or Unix man pages
License:	GPLv2+
Group:		Publishing
Url:		https://github.com/asciidoc/asciidoc-py3
Source0:	https://github.com/asciidoc/asciidoc-py3/archive/%{version}%{?prel}/asciidoc-py3-%{version}%{?prel}.tar.gz
BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:	docbook-dtd45-xml
BuildRequires:	xsltproc
Requires:	python3
# For a2x
Requires:	xmllint
Requires:	docbook-style-xsl
Requires:	xsltproc
Recommends:	dblatex
Recommends:	fop
Recommends:	w3m

%description
AsciiDoc is a text document format for writing short documents, articles,
books and UNIX man pages.

%prep
%autosetup -p1 -n %{name}-py-%{version}%{?prel}

# don't run pip
sed -i -e '/install:/s/pip\s\+//' Makefile.in

%build
autoreconf -vfi
%configure
%make_build

%pyproject_wheel

%install
%make_install

%pyproject_install
%pyproject_save_files asciidoc

# man pages
install -Dpm644 doc/asciidoc.1 %{buildroot}%{_mandir}/man1/asciidoc.1
install -Dpm644 doc/a2x.1 %{buildroot}%{_mandir}/man1/a2x.1

%files -f %{pyproject_files}
%{_bindir}/asciidoc
%{_bindir}/a2x
%{_mandir}/man1/asciidoc.1*
%{_mandir}/man1/a2x.1*
