Name:		asciinema
Version:	2.4.0
Release:	%mkrel 1
Summary:	Terminal session recorder
License:	GPLv3+
Group:		Terminals
URL:		https://asciinema.org
Source0:	https://github.com/asciinema/asciinema/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros
BuildRequires:	python3-devel
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(pytest)
BuildRequires:	python3dist(wheel)
# pkg_resources is used from /usr/bin/asciinema
Requires:       python3dist(setuptools)
%{?python_provide:%python_provide python3-%{name}}

%description
Asciinema is a free and open source solution for recording the terminal sessions
and sharing them on the web.

%prep
%setup -q

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name}

# man page
install -d %{buildroot}%{_mandir}/man1
install -p -m 644 man/asciinema.1 %{buildroot}%{_mandir}/man1/

%check
%pytest

%files
%license LICENSE
%doc *.md doc/*.md
%{_bindir}/asciinema
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-*.dist-info/
%{_mandir}/man1/%{name}.1*
