%define debug_package %{nil}
%define oname	ASCO

Name:		asco
Summary:	A SPICE Circuit Optimizer
Version:	0.4.11
Release:	%mkrel 1
License:	GPLv2
Group:		Sciences/Other
URL:		https://asco.sourceforge.net/
Source0:	https://download.sourceforge.net/asco/ASCO-%{version}.tar.gz
# From qucs upstream
Patch0:		patch_asco_unbuffer.diff
Patch1:		0001-asco-fix-fprintf-gethostname-and-declaration-of-Dete.patch
%ifarch x86_64 %{arm64}
BuildRequires:	openmpi-devel
%endif

%description
ASCO project aims to bring circuit optimization capabilities to existing
SPICE simulators using a high-performance parallel differential evolution
(DE) optimization algorithm.

Currently out-of-the-box support for Eldo (TM), HSPICE (R), LTspice (TM),
Spectre (R), Qucs and ngspice exist.

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

# autotools support
tar -zxf Autotools.tar.gz

# to make autoreconf happy
touch NEWS

# more happiness
sed -i -e 's,\(no-define\),\1 subdir-objects,g' configure.ac

%build
%define _legacy_common_support 1
autoreconf -vfi
%configure \
%ifarch x86_64 %{arm64}
    --enable-mpi
%endif

%make_build

%install
%make_install

# clean examples
rm -rf examples/Makefile*

%files
%doc README doc/ASCO.pdf
%doc examples
%{_bindir}/alter
%{_bindir}/asco
%ifarch x86_64 %{arm64}
%{_bindir}/asco-mpi
%endif
%{_bindir}/asco-test
%{_bindir}/log
%{_bindir}/monte
%{_bindir}/postp
%{_bindir}/rosen

