%define major     15
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

Name:           aspell
Version:        0.60.8.1
Release:        %mkrel 1
Summary:        A Free and Open Source interactive spelling checker program
Group:          Text tools
License:        LGPL
URL:            http://aspell.net/
Source0:        https://ftp.gnu.org/gnu/aspell/%{name}-%{version}.tar.gz
BuildRequires: gettext-devel
BuildRequires: ncursesw-devel
%if !%{bootstrap}
Requires:      aspell-dictionary
%endif

%description
GNU Aspell is a Free and Open Source spell checker designed to eventually
replace Ispell. It can either be used as a library or as an independent
spell checker.
Its main feature is that it does a much better job of coming up with possible
suggestions than just about any other spell checker out there for the English
language, including Ispell and Microsoft Word. It also has many other technical
enhancements over Ispell such as using shared memory for dictionaries and
intelligently handling personal dictionaries when more than one Aspell process
is open at once.


%files -f %{name}.lang
%doc README TODO
%{_bindir}/aspell*
%{_bindir}/run-with-aspell
%{_bindir}/word-list-compress
%{_bindir}/precat
%{_bindir}/preunzip
%{_bindir}/prezip
%{_bindir}/prezip-bin
%{_libdir}/aspell-0.60
%{_libdir}/aspell
%doc %{_infodir}/aspell*
%doc %{_mandir}/man1/*.1*

#----------------------------------------------------------------------

%package -n     %{libname}
Summary:        Shared library files for aspell
Group:          Text tools
Recommends:     aspell-dictionary

%description -n %{libname}
Shared library files for the aspell package.

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

#----------------------------------------------------------------------

%package -n     %{develname}
Summary:        Development files for aspell
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Provides:       libaspell-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Development headers, and files for development from the aspell package.


%files -n %{develname}
%{_bindir}/pspell-config
%{_includedir}/*
%{_libdir}/libaspell.so
%{_libdir}/libpspell.so

#----------------------------------------------------------------------

%package        manual
Summary:        Manual for aspell
Group:          Text tools

%description    manual
This package contains a manual for aspell.

GNU Aspell is a Free and Open Source spell checker designed to eventually
replace Ispell. It can either be used as a library or as an independent
spell checker.


%files manual
%doc manual/*

#----------------------------------------------------------------------

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

# Provides symlink for configures that mean to match aspell on %%_libdir/aspell
pushd %{buildroot}%{_libdir}
    ln -sf aspell-0.60 aspell
popd

%find_lang %{name}
