%define         majornum        4
%define         libname         %mklibname %{name} %{majornum}
%define         develname       %mklibname %{name} -d

%define         gccinstalldir   %(LC_ALL=C %__cc --print-search-dirs | grep install | %__awk '{print $2}')
%define         fincludedir     %{gccinstalldir}/finclude

Name:           aspic
Version:        1.5.3
Release:        %mkrel 2
Summary:        A scientific library dedicated to inflationary cosmology
License:        GPLv3+
Group:          Sciences/Astronomy

URL:            https://curl.irmp.ucl.ac.be/~chris/aspic.html
Source0:        https://curl.irmp.ucl.ac.be/~chris/upload/patches/aspic/aspic-%{version}.tar.gz
Patch0:         aspic-1.5.3-prec32b.patch

BuildRequires:  gcc-c++
BuildRequires:  gcc-gfortran
%ifarch %{ix86} x86_64
BuildRequires:  quadmath-devel
%endif
BuildRequires:  libgomp-devel


%description
Aspic is a collection of fast modern Fortran routines for computing
various observable quantities used in Cosmology from definite single
field inflationary models. It is distributed as a scientific library
and aims at providing an efficient, extendable and accurate way of
comparing theoretical inflationary predictions with cosmological data.


%package -n %{libname}
License:        GPLv3+
Summary:        The Aspic Fortran library
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
Aspic is a collection of fast modern Fortran routines for computing
various observable quantities used in Cosmology from definite single
field inflationary models. It is distributed as a scientific library
and aims at providing an efficient, extendable and accurate way of
comparing theoretical inflationary predictions with cosmological data.


%package -n %{develname}
License:        GPLv3+
Summary:        Headers and modules for the Fortran Aspic libraries
Group:          Development/Other
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
%{summary}.


%prep

%setup -q
%autopatch -p1



%build

if [ ! -d build-std ]; then
        mkdir build-std
fi
pushd build-std
CONFIGURE_TOP=.. %configure \
                    --includedir=%{fincludedir}
%make_build
popd

%ifarch %{ix86} x86_64
if [ ! -d build-quad ]; then
        mkdir build-quad
fi
pushd build-quad
CONFIGURE_TOP=.. %configure \
                    --includedir=%{fincludedir} \
                    --enable-quad-precision
%make_build
popd
%endif




%check
%make_build check -C build-std
%ifarch %{ix86} x86_64
%make_build check -C build-quad
%endif




%install

pushd build-std
%make_install
popd

%ifarch %{ix86} x86_64
pushd build-quad
%make_install
popd
%endif

#nuke la files from libtools
find %{buildroot}%{_libdir} -name *.la -delete
find %{buildroot}%{_libdir} -name *.a -delete


%files -n %{libname}
%doc COPYING AUTHORS README NEWS
%{_libdir}/libaspic.so.%{majornum}{,.*}
%ifarch %{ix86} x86_64
%{_libdir}/libaspicq.so.%{majornum}{,.*}
%endif
%{_mandir}/man3/*.3*


%files -n %{develname}
%doc ChangeLog TODO
%{_libdir}/libaspic.so
%dir %{fincludedir}/aspic
%{fincludedir}/aspic/*.mod
%{fincludedir}/aspic/aspic.h
%ifarch %{ix86} x86_64
%{_libdir}/libaspicq.so
%dir %{fincludedir}/aspicq
%{fincludedir}/aspicq/*.mod
%{fincludedir}/aspicq/aspicq.h
%endif

