%define major 0
%define libname %mklibname %{name} %{major}
%define libnamedev %mklibname %{name} -d

Summary:	Library assetml to share and reuse content like image and audio file
Name: 		assetml
Version: 	1.2.1
Release: 	%mkrel 19
License: 	GPLv2+
Group: 		System/Libraries
URL:		https://ofset.sourceforge.net/assetml
Source:		https://download.sourceforge.net/ofset/lib%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(popt)
BuildRequires:	glib2-devel >= 2.0.0
BuildRequires:	glibc-devel
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	texi2html
BuildRequires:	texinfo
BuildRequires:	gettext-devel

%description
This is a library based on an XML file format that is used to share and reuse
content like image and audio file.

Application using this library can query files on their system that provides an
assetml xml file description.

%package -n %{libname}
Summary:	Library assetml to share image and audio file between project
Group:		System/Libraries

%description -n %{libname}
AssetML Library.

%package  -n %{libnamedev}
Summary:	Devel Library assetml to share image and audio file between project
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}assetml0-devel < 1.2.1-9

%description -n %{libnamedev}
AssetML Devel Library

%prep
%setup -q -n lib%{name}-%{version}

%build
# to recognize aarch64
autoreconf -vfi

%configure \
	--disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang lib%{name} --with-gnome

%files -f lib%{name}.lang
%doc AUTHORS ChangeLog README THANKS
%{_bindir}/assetml-query
%{_infodir}/lib%{name}.info.*

%files -n %{libname}
%{_libdir}/libassetml.so.%{major}
%{_libdir}/libassetml.so.%{major}.*

%files -n %{libnamedev}
%{_libdir}/libassetml.so
%{_includedir}/libassetml-1.0/
%{_libdir}/pkgconfig/libassetml.pc
