Name:           astromenace
Version:        1.4.3
Release:        %mkrel 1
Summary:        Hardcore 3D space shooter with spaceship upgrade possibilities
Group:          Games/Shooter
License:        GPLv3+ and CC BY-SA 3.0
URL:            https://www.viewizard.com/
Source0:        https://github.com/viewizard/astromenace/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(freealut)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(xinerama)

%description
Space is a vast area, an unbounded territory where it seems there is a
room for everybody, but reversal of fortune put things differently. The
hordes of hostile creatures crawled out from the dark corners of the
universe, craving to conquer your homeland. Their force is compelling,
their legions are interminable. However, humans didn't give up without
a final showdown and put their best pilot to fight back. These malicious
invaders chose the wrong galaxy to conquer and you are to prove it!
Go ahead and make alien aggressors regret their insolence.

%prep
%autosetup

%build
%cmake -DDATADIR=%{_gamesdatadir}/%{name}
%cmake_build

%{_vpath_builddir}/astromenace --pack --rawdata=./gamedata --dir=.

%install
install -D -m755 %{_vpath_builddir}/astromenace %{buildroot}%{_gamesbindir}/%{name}
install -D -m644 %{_vpath_builddir}/gamedata.vfs %{buildroot}%{_gamesdatadir}/%{name}/gamedata.vfs
install -D -m644 share/astromenace.appdata.xml %{buildroot}%{_metainfodir}/%{name}.appdata.xml

for size in 64 128; do
  install -D -m644 share/%{name}_${size}.png %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done

install -d %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Astromenace
Comment=3D space shooter
Exec=%{name}
Icon=%{name}
Type=Application
StartupNotify=false
Terminal=false
Categories=Game;Shooter;
EOF

%files
%doc CHANGELOG.md LICENSE.md README.md docs/
%{_datadir}/applications/%{name}.desktop
%{_metainfodir}/%{name}.appdata.xml
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png
