%define major	3
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		astyle
Version:	3.6.8
Release:	%mkrel 1
Summary:	Source code indenter, formatter and beautifier
License:	LGPLv3+
Group:		Development/C
URL:		https://astyle.sourceforge.net/
Source0:	https://sourceforge.net/projects/astyle/files/astyle/astyle%203.6/astyle-%{version}.tar.bz2
BuildRequires:	java-devel >= 1:1.8.0

%description
Artistic Style is a series of filters that automatically re-indent and reformat
C, C++, C# and Java source files. This package contains the main executable.

%package -n %{libname}
Summary:	Library for Artistic Style
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with the %{name} library as well as the JNI version.

%package -n %{devname}
Summary:	Development files for using %{name} library
Group:		Development/C
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{devname}
Development files for using %{name} library.


%prep
%autosetup

#fix rights
chmod 644 doc/*

%build
%set_build_flags
export JAVA_HOME=/usr/lib/jvm/java
%make_build -C build/gcc prefix=%{_prefix} release shared java

%install
install -Dm755 build/gcc/bin/%{name} %{buildroot}%{_bindir}/%{name}
# libastyle
v="3.2.0"
install -Dm755 build/gcc/bin/lib%{name}.so."$v" %{buildroot}%{_libdir}/lib%{name}.so."$v"
cp -P build/gcc/bin/lib%{name}.so.%{major} %{buildroot}%{_libdir}/lib%{name}.so.%{major}
cp -P build/gcc/bin/lib%{name}.so %{buildroot}%{_libdir}/lib%{name}.so
# libastylej (jni)
install -Dm755 build/gcc/bin/lib%{name}j.so."$v" %{buildroot}%{_libdir}/lib%{name}j.so."$v"
cp -P build/gcc/bin/lib%{name}j.so.%{major} %{buildroot}%{_libdir}/lib%{name}j.so.%{major}
cp -P build/gcc/bin/lib%{name}j.so %{buildroot}%{_libdir}/lib%{name}j.so

install -Dm644 src/%{name}.h %{buildroot}%{_includedir}/%{name}.h

%files
%doc doc/*
%{_bindir}/%{name}

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}
%{_libdir}/lib%{name}j.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}j.so
%{_includedir}/%{name}.h
