%define major		0
%define gmajor		2.0
%define libname		%mklibname atspi %{major}
%define girname		%mklibname atspi-gir %{gmajor}
%define libnamedev	%mklibname -d atspi

%define atkapi		1.0
%define atkgmajor	1.0
%define atklib		%mklibname atk %{atkapi} %{major}
%define atkgir		%mklibname atk-gir %{atkgmajor}
%define atkdev		%mklibname atk %{atkapi} -d

%define atkbridgeapi	2.0
%define atkbridgelib	%mklibname atk-bridge %{atkbridgeapi} %{major}
%define atkbridgedev	%mklibname atk-bridge %{atkbridgeapi} -d

Name:		at-spi2-core
Version:	2.56.1
Release:	%mkrel 1
Summary:	DBus interface definitions for AT-SPI (Assistive Technology Service Provider Interface)
Group:		System/Libraries
License:	LGPLv2+
URL:		https://www.linuxfoundation.org/en/AT-SPI_on_D-Bus
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(xkbcommon-x11)
BuildRequires:	python-sphinx
BuildRequires:	gi-docgen
BuildRequires:	intltool
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	meson
Requires:	dbus

%description
DBus interface definitions for AT-SPI (Assistive Technology Service Provider
Interface) — the core of an accessibility stack for free software systems.

The basic daemons of the accessibility stack, the ATK library to make
applications and GUI toolkits accessible, and the internal hooks between AT-SPI
and ATK are also included.

%package -n %{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
This package contains libraries used by %{name}.

%package -n %{atklib}
Summary:	Libraries for Atk
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{atklib}
This package contains libraries used by Atk.

%package -n %{atkbridgelib}
Summary:	A GTK+ module that bridges ATK to D-Bus at-spi
Group:		System/Libraries

%description -n %{atkbridgelib}
This package includes a gtk-module that bridges ATK to the new D-Bus based
at-spi.

%package -n %{libnamedev}
Summary:	Libraries and include files for %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}
Requires:	%{girname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
This package provides the necessary development libraries and include
files to allow you to develop with %{name}.

%package -n %{atkdev}
Summary:	Libraries and include files for Atk
Group:		Development/GNOME and GTK+
Requires:	%{atklib} = %{version}-%{release}
Requires:	%{atkgir} = %{version}-%{release}
Provides:	atk%{atkapi}-devel = %{version}-%{release}

%description -n %{atkdev}
This package provides the necessary development libraries and include
files to allow you to develop with Atk.

%package -n %{atkbridgedev}
Summary:	Libraries and include files for ATK/D-Bus Bridge
Group:		Development/GNOME and GTK+
Requires:	%{atkbridgelib} = %{version}-%{release}
Provides:	at-spi2-atk-devel = %{version}-%{release}
Provides:	at-spi2-atk%{atkbridgeapi}-devel = %{version}-%{release}

%description -n %{atkbridgedev}
This package provides the necessary development libraries and include
files to allow you to develop with ATK/D-Bus Bridge.

%package -n %{girname}
Summary:	GObject Introspection interface description for Atspi
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for Atspi.

%package -n %{atkgir}
Summary:	GObject Introspection interface description for Atk
Group:		System/Libraries
Requires:	%{atklib} = %{version}-%{release}

%description -n %{atkgir}
GObject Introspection interface description for Atk.

%prep
%setup -q

%build
%meson \
  -Ddocs=true \
  -Dintrospection=enabled \
  -Dx11=enabled \
  -Dsystemd_user_dir=%{_userunitdir}
%meson_build

%install
%meson_install

%find_lang %{name}

%check
#meson_test

%files -f %{name}.lang
%license COPYING
%doc MAINTAINERS README.md
%{_sysconfdir}/xdg/autostart/at-spi-dbus-bus.desktop
%{_libexecdir}/at-spi2-registryd
%{_libexecdir}/at-spi-bus-launcher
%{_datadir}/dbus-1/services/org.*.service
%{_datadir}/dbus-1/accessibility-services/org.*.service
%{_datadir}/defaults/at-spi2/accessibility.conf
# the 'logical' owner of this dir is gnome-settings-daemon, but g-s-d
# indirectly depends on this package, so depending on it to provide
# this directory would create a circular dependency. so we just co-own
# it instead
%dir %{_sysconfdir}/xdg/Xwayland-session.d
%{_sysconfdir}/xdg/Xwayland-session.d/00-at-spi
%{_userunitdir}/at-spi-dbus-bus.service
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/at-spi2-atk.desktop
%{_libdir}/gtk-2.0/modules/libatk-bridge.so

%files -n %{libname}
%{_libdir}/libatspi.so.%{major}{,.*}

%files -n %{atklib}
%{_libdir}/libatk-%{atkapi}.so.%{major}{,.*}

%files -n %{atkbridgelib}
%{_libdir}/libatk-bridge-%{atkbridgeapi}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Atspi-%{gmajor}.typelib

%files -n %{atkgir}
%{_libdir}/girepository-1.0/Atk-%{atkgmajor}.typelib

%files -n %{libnamedev}
%doc %{_defaultdocdir}/libatspi/
%{_libdir}/libatspi.so
%{_libdir}/pkgconfig/atspi-2.pc
%{_includedir}/at-spi-2.0/
%{_datadir}/gir-1.0/Atspi-%{gmajor}.gir

%files -n %{atkdev}
%doc %{_defaultdocdir}/atk/
%{_libdir}/libatk-%{atkapi}.so
%{_libdir}/pkgconfig/atk.pc
%{_includedir}/atk-1.0/
%{_datadir}/gir-1.0/Atk-%{atkgmajor}.gir

%files -n %{atkbridgedev}
%{_libdir}/libatk-bridge-%{atkbridgeapi}.so
%{_libdir}/pkgconfig/atk-bridge-%{atkbridgeapi}.pc
%{_includedir}/at-spi2-atk/
