Summary:	Job spooling tools
Name:		at
Version:	3.2.5
Release:	%mkrel 2
License:	GPLv2
Group:		System/Servers
Source0:	http://software.calhariz.com/at/at_%{version}.orig.tar.gz
Url:		http://blog.calhariz.com/index.php/tag/at
Source1:        pam_atd
Source3:    atd.sysconf
Source5:    atd.systemd
Patch0:      at-3.2.5-address-sast.patch
Patch1:      at-aarch64.patch
Patch2:      at-3.2.5-make.patch
Patch3:      at-3.2.5-pam.patch
Patch4:      at-3.1.14-opt_V.patch
Patch5:      at-3.2.2-shell.patch 
Patch6:      at-3.2.5-nitpicks.patch
Patch7:      at-3.1.14-fix_no_export.patch
Patch8:      at-3.2.5-mailwithhostname.patch
Patch9:      at-3.2.5-aborted-jobs.patch
Patch10:      at-3.2.5-noabort.patch
Patch11:      at-3.1.16-fclose-error.patch
Patch12:      at-3.1.16-clear-nonjobs.patch
Patch13:      at-3.2.2-lock-locks.patch
Patch14:      at-3.1.23-document-n.patch
Patch15:      at-3.1.20-log-jobs.patch


Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Conflicts:	crontabs <= 1.5
Requires:	common-licenses
BuildRequires:	flex
BuildRequires:	python3
BuildRequires:	sendmail-command
BuildRequires:	bison
BuildRequires:	cronie
BuildRequires:  pam-devel
BuildRequires:  systemd-units

%description
At and batch read commands from standard input or from a specified file.
At allows you to specify that a command will be run at a particular time
(now or a specified time in the future).  Batch will execute commands
when the system load levels drop to a particular level.  Both commands
use /bin/sh to run the commands.

You should install the at package if you need a utility that will do
time-oriented job control.  Note: you should use crontab instead, if it is
a recurring job that will need to be repeated at the same time every
day/week/etc.

%prep
%setup -q
cp %{SOURCE1} .
%autopatch -p1
%build
autoreconf -vfi
%serverbuild
# uselles files
rm -f lex.yy.* y.tab.*

%configure --with-atspool=%{_localstatedir}/spool/at/spool \
    --with-jobdir=%{_localstatedir}/spool/at \
    --with-daemon_username=root  \
    --with-daemon_groupname=root \
    %{?with_pam:--with-pam}

make

%install
make install \
    DAEMON_USERNAME=`id -nu` \
    DAEMON_GROUPNAME=`id -ng` \
    DESTDIR=%{buildroot} \
    sbindir=%{_prefix}/sbin \
    bindir=%{_bindir} \
    datadir=%{_datadir} \
    prefix=%{_prefix} \
    exec_prefix=%{_prefix} \
    docdir=%{_prefix}/doc \
    mandir=%{_mandir} \
    etcdir=%{_sysconfdir} \
    ATJOB_DIR=%{_localstatedir}/spool/at \
    ATSPOOL_DIR=%{_localstatedir}/spool/at/spool \
    INSTALL_ROOT_USER=`id -nu` \
    INSTALL_ROOT_GROUP=`id -nu`;

echo > %{buildroot}%{_sysconfdir}/at.deny
mkdir docs
cp  %{buildroot}%{_prefix}/doc/at/* docs/

mkdir -p %{buildroot}%{_sysconfdir}/pam.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pam.d/atd

mkdir -p %{buildroot}/etc/sysconfig
install -m 644 %{SOURCE3} %{buildroot}/etc/sysconfig/atd

# install systemd initscript
mkdir -p %{buildroot}/%{_unitdir}/
install -m 644 %{SOURCE5} %{buildroot}/%{_unitdir}/atd.service

# remove unpackaged files from the buildroot
rm -r  %{buildroot}%{_prefix}/doc

%post
touch /var/spool/at/.SEQ
chmod 660 /var/spool/at/.SEQ
chown daemon:daemon /var/spool/at/.SEQ

%_post_service atd

%preun
%_preun_service atd

%files
%doc ChangeLog Problems README Copyright timespec
%attr(0640,root,daemon) %config(noreplace) %{_sysconfdir}/at.deny
%config(noreplace) %{_sysconfdir}/sysconfig/atd
%{_sysconfdir}/pam.d/atd
%{_unitdir}/atd.service
%attr(0770,daemon,daemon) %dir /var/spool/at
%attr(0660,daemon,daemon) %verify(not md5 size mtime) %ghost /var/spool/at/.SEQ
%attr(0770,daemon,daemon) %dir /var/spool/at/spool
%{_sbindir}/atrun
%{_sbindir}/atd
%attr(6755,daemon,daemon) %{_bindir}/batch
%{_bindir}/atrm
%attr(6755,daemon,daemon) %{_bindir}/at
%{_bindir}/atq
%{_datadir}/at/batch-job
%{_mandir}/*/atrun.8*
%{_mandir}/*/atd.8*
%{_mandir}/*/at.1*
%{_mandir}/*/atq.1*
%{_mandir}/*/atrm.1*
%{_mandir}/*/batch.1*
%{_mandir}/*/at.allow.5*
%{_mandir}/*/at.deny.5*
