Name:           atanks
Version:        6.6
Release:        %mkrel 1
Summary:        Scorched Earth game clone
License:        GPLv2+
Group:          Games/Arcade
Url:            https://atanks.sourceforge.net/
Source0:        https://downloads.sourceforge.net/atanks/atanks-%{version}.tar.gz

BuildRequires:  allegro4-devel
BuildRequires:  icoutils

%description
This is Atomic Tanks, a multi-player game similar to Scorched Earth
which involves firing enormous weapons to try and destroy the other
tanks.

%prep
%setup -q

%build
%make_build \
	CC="%{__cxx}" \
	CXXFLAGS="%{optflags}" \
	LFLAGS="%{ldflags} -L%{_libdir} -lX11 -lXext -lXcursor -lXpm -lxcb -lXrender -lXfixes -lXau -lXdmcp" \
	INSTALLDIR=%{_gamesdatadir}/%{name}

%install
%make_install \
	BINDIR=%{_gamesbindir} \
	INSTALLDIR=%{_gamesdatadir}/%{name}

%{__perl} -pi -e "s/\r$//g" %{buildroot}%{_gamesdatadir}/%{name}/tanks.txt

#icons
icotool -x %{name}.ico
for i in 16 32 48; do
	install -Dm644 %{name}_?_${i}x${i}x32.png %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps/%{name}.png
done

%files
%doc Changelog README TODO
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_metainfodir}/io.sourceforge.%{name}.metainfo.xml
