%define debug_package %{nil}
%define develname %mklibname zm -s -d

Name:       ate-pairing
Version:    1.2
Release:    %mkrel 0.20161029.5
Summary:    High-Speed Software Implementation of the Optimal Ate Pairing over Barreto-Naehrig Curves
License:    BSD
Group:      System/Libraries
Url:        https://github.com/herumi/ate-pairing
Source0:    https://github.com/herumi/ate-pairing/archive/ate-pairing-master.zip
Patch0:		ate-pairing-dynamic.patch
BuildRequires: 	swig
BuildRequires:	xbyak-devel
BuildRequires:	gmpxx-devel
ExclusiveArch:	x86_64

%description
This library provides functionality to compute the optimal ate pairing over 
Barreto-Naehrig (BN) curves. It is released under the BSD 3-Clause License.

%package -n     %{develname}
Summary:        Development files for %{name}
Group:          System/Libraries
Provides:	zm-static-devel

%description -n    %{develname}
This library provides functionality to compute the optimal ate pairing over 
Barreto-Naehrig (BN) curves. It is released under the BSD 3-Clause License.

%prep 
%setup -q  -n ate-pairing-master

%build
cd src
%make_build SUPPORT_SNARK=1

%install
%{__mkdir_p} %{buildroot}/%{_libdir}/
%{__mkdir_p} %{buildroot}/%{_includedir}/cybozu/
%{__install} -p lib/libzm.a %{buildroot}/%{_libdir}
%{__install} -p include/{bn.h,zm2.h,zm.h}  %{buildroot}/%{_includedir}
%{__install} -p include/cybozu/{benchmark.hpp,inttype.hpp,test.hpp}  %{buildroot}/%{_includedir}/cybozu/

%files -n %develname
%{_libdir}/libzm.a
%{_includedir}/*
