Name:           aterm
Version:        1.0.1
Release:        %mkrel 17
Summary:        A terminal emulator with pleasant visual effects
License:        GPLv2
Group:          Terminals
URL:            https://aterm.sourceforge.net/
Source0:        ftp://ftp.afterstep.org/apps/aterm/%{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
Patch0:         aterm-debuginfo.patch
Patch1:         aterm-stropts.patch
BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xt)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  libglib2-devel
BuildRequires:  libgdk_pixbuf2.0-devel
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  afterstep-devel
BuildRequires:  freetype-devel
BuildRequires:  afterstep
BuildRequires:  findutils
BuildRequires:  sed
BuildRequires:  perl

%description
Aterm is designed to provide pleasing visual effects, while performing
such a mundane function as terminal emulation under X. It is largely
based on RXVT code. Several points set it apart from other similar
applications such as fast pseudo-transparency, optional off-focus
fading of text or when aterm looses focus its contents is
dimmed. Aterm do things like semitransparent gradient background,
supports JPEG, PNG and other images format as background, and more.

%prep
%setup -q
%patch -P 0 -b.debuginfo
%patch -P 1 -b.stropts

%build
%configure  --enable-fading           \
                --enable-background-image \
                --enable-graphics         \
                --enable-half-shadow
%make_build

%install
%make_install INSTALL_PROGRAM="/usr/bin/install -c -m 755"
install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc INSTALL ChangeLog
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/%{name}.desktop
