Name: athcool
Version: 0.3.12
Release: %mkrel 15
Summary: Utility to enable/disable powersaving for AMD Athlon/Duron cpus
Group: System/Base
License: GPLv2
Url: http://members.jcom.home.ne.jp/jacobi/linux/softwares.html
Source0: http://members.jcom.home.ne.jp/jacobi/linux/files/%{name}-%{version}.tar.gz
Patch0: athcool_0.3.12-gcc10.patch
BuildRequires: pkgconfig(libpci)
ExclusiveArch: %{ix86} x86_64

%description
athcool is a small utility, enabling/disabling Powersaving mode
for AMD Athlon/Duron processors.

Since enabling Powersaving mode, you can save power consumption,
lower CPU temperature when CPU is idle.

Powersaving works if your kernel support ACPI (APM not work),
because athcool only set/unset "Disconnect enable when STPGNT detected"
bits in the Northbridge of Chipset. To really save power, someone
has to send the STPGNT signal when idle.
This is done by the ACPI subsystem when C2 state entered.

WARNING: Depending on your motherboard and/or hardware components,
enabling powersaving mode may cause:

- noisy or distorted sound playback
- a slowdown in harddisk performance
- system locks or instability

If you met those problems, you should not use athcool.
Please use athcool AT YOUR OWN RISK!

%prep
%setup -q
%patch -P 0 -p2

# fix debuginfo:
sed -i -e 's/install -s/install/' Makefile

%build
%make_build CFLAGS="%{optflags} -Wall"

%install
%make_install

%files
%doc README
%{_sbindir}/%{name}
%{_mandir}/man8/*.*
