%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define api 2.36
%define major 1
%define libname %mklibname %{name} %{api} %{major}
%define libnamedev %mklibname -d %{name} %{api}

%bcond_without doc

Name:		atkmm
Summary:	C++ interface for accessibility library Atk
Version:	2.36.3
Release:	%mkrel 1
#gw lib is LGPL, tool is GPL
License:	LGPLv2+ and GPLv2+
Group:		System/Libraries
URL:		https://www.gtkmm.org/
Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	git-core
BuildRequires:	meson
BuildRequires:	pkgconfig(atk) >= 1.12
BuildRequires:	pkgconfig(glibmm-2.68)
%if %{with doc}
BuildRequires:	doxygen
%endif

%description
Atkmm provides a C++ interface to the Atk accessibility library.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

%package	-n %{libname}
Summary:	C++ interface for accessibility library Atk
Group:		System/Libraries
Provides:	%{name}%{api} = %{version}-%{release}

%description	-n %{libname}
Atkmm provides a C++ interface to the Atk accessibility library.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains the library needed to run programs dynamically
linked with %{name}.

%package	-n %{libnamedev}
Summary:	Headers and development files of %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}
Provides:	%{name}%{api}-devel = %{version}-%{release}
Obsoletes:	atkmm-doc < 2.36.0

%description	-n %{libnamedev}
This package contains the headers and development files that are needed,
when trying to develop or compile applications which need %{name}.

%prep
%autosetup -p1 -Sgit_am

%build
%meson \
  -Dbuild-documentation=%{?with_doc:true}%{!?with_doc:false} \
  -Dbuild-deprecated-api=true
%meson_build

%install
%meson_install

%files -n %{libname}
%license COPYING
%doc NEWS README.md
%{_libdir}/libatkmm-%{api}.so.%{major}{,.*}

%files -n %{libnamedev}
%doc ChangeLog
%{_includedir}/atkmm-%{api}/
%{_libdir}/libatkmm-%{api}.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/atkmm-%{api}/
%if %{with doc}
%doc %{_datadir}/doc/atkmm-%{api}
%doc %{_datadir}/devhelp/books/*
%endif
