%define pkgname atkmm

%bcond_without doc

%define api 1.6
%define major 1
%define libname %mklibname %{pkgname} %{api} %{major}
%define libnamedev %mklibname -d %{pkgname} %{api}
%define libnamestaticdev %mklibname -d -s %{pkgname} %{api}

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		%{pkgname}%{api}
Summary:	C++ interface for accessibility library Atk
Version:	2.28.4
Release:	%mkrel 1
#gw lib is LGPL, tool is GPL
License:	LGPLv2+ and GPLv2+
Group:		System/Libraries
URL:		https://www.gtkmm.org/
Source:		https://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	pkgconfig(atk) >= 1.12
BuildRequires:	pkgconfig(glibmm-2.4) >= 2.36.2
%if %{with doc}
BuildRequires:	doxygen
%endif

%description
Atkmm provides a C++ interface to the Atk accessibility library.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.


%package	-n %{libname}
Summary:	C++ interface for accessibility library Atk
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description	-n %{libname}
Atkmm provides a C++ interface to the Atk accessibility library.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains the library needed to run programs dynamically
linked with %{name}.


%package	-n %{libnamedev}
Summary:	Headers and development files of %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %{libnamedev}
This package contains the headers and development files that are needed,
when trying to develop or compile applications which need %{name}.

%package	doc
Summary:	Atkmm documentation
Group:		Documentation
BuildArch:	noarch

%description	doc
Atkmm provides a C++ interface to the Atk accessibility library.

Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains all API documentation for Atkmm. You can readily read
this documentation with devhelp, a documentation reader.

%prep
%setup -qn %{pkgname}-%{version}

%build
%meson -Dbuild-documentation=%{?with_doc:true}%{?!with_doc:false}
%meson_build

%install
%meson_install

%files -n %{libname}
%license COPYING
%doc NEWS README.md
%{_libdir}/libatkmm-%{api}.so.%{major}{,.*}

%files -n %{libnamedev}
%doc ChangeLog
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%_libdir/atkmm-%{api}/

%if %{with doc}
%files doc
%doc %{_datadir}/doc/atkmm-%{api}/
%doc %{_datadir}/devhelp/books/*
%endif
