%define name atmel-firmware
%define version 1.3
%define release %mkrel 12
%define url https://www.thekelleys.org.uk/

Summary:	Firmware for Atmel at76c50x wireless network chips
Name:		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	Redistributable, no modification permitted
Group:		System/Kernel and hardware
URL:		%{url}
Source0: 	%{name}-%{version}.tar.bz2
BuildArch:	noarch

%description
The drivers for Atmel at76c50x wireless network chips in the
Linux 2.6.x kernel and at
https://www.berlios.de/software/at76c503a-linux-usb-treiber/ do not 
include the firmware and this firmware needs to be loaded by 
the host on most cards using these chips. 
This package provides the firmware images which 
should be automatically loaded as needed by the hotplug system. It also 
provides a small loader utility which can be used to accomplish the 
same thing when hotplug is not in use. 

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p -m 755 $RPM_BUILD_ROOT/lib/firmware
cp images/* $RPM_BUILD_ROOT/lib/firmware
cp images.usb/* $RPM_BUILD_ROOT/lib/firmware

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING 
/lib/firmware/*.bin
