%define oname	AtomicParsley

Summary:	Command-line program to read and set MPEG-4 tags compatible with iPod/iTunes
Name:		atomicparsley
Version:	0.9.6
Release:	%mkrel 2
License:	GPLv2+
Group:		Sound/Utilities
# http://atomicparsley.sourceforge.net/
URL:		https://github.com/wez/atomicparsley
Source0:	https://github.com/wez/atomicparsley/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	pkgconfig(zlib)


%description
AtomicParsley is a command line program for reading, parsing and setting
tags and meta-data into MPEG-4 files supporting these styles of meta-data:

* iTunes-style meta-data into .mp4, .m4a, .m4p, .m4v, .m4b files
* 3gp-style assets (3GPP TS 26.444 version 6.4.0 Release 6 specification
  conforming) in 3GPP, 3GPP2, MobileMP4 & derivatives
* ISO copyright notices at movie & track level for MPEG-4 & derivative files
* uuid private user extension text & file embedding for MPEG-4 & derivative
  files


%prep
%autosetup

%build
./autogen.sh
%configure
%make_build

%install
%make_install

ln -s %{oname} %{buildroot}%{_bindir}/%{name}

%files
%doc COPYING Changes.txt tools/iTunMOVI-1.1.pl
%{_bindir}/*
