%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Mind game - build molecules out of single atoms
Name:		atomix
Version:	44.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Games/Puzzles
URL:		https://github.com/GNOME/atomix
Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(appstream-glib)
BuildRequires:	pkgconfig(libgnome-games-support-1)
BuildRequires:	gettext-devel
BuildRequires:	gnome-common
BuildRequires:	intltool
BuildRequires:	perl(XML::Parser)
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	meson

Requires(pre):	rpm-helper

%description
Atomix is a little mind game where you have to build molecules out of
single atoms. These are lying around between the walls and obstacles
on the play-field. Once you have pushed an atom in one direction, it
moves until it hits an obstacle or another atom. It requires some thinking
for how to construct complex molecules with this behavior. The game
is inspired by the original Amiga version.

%prep
%setup -q
%autopatch -p1

%build
%meson
%meson_build

%install
%meson_install

mkdir -p %{buildroot}%{_gamesbindir}
mv %{buildroot}%{_bindir}/atomix %{buildroot}%{_gamesbindir}/atomix

install -D -m644 data/icons/hicolor/symbolic/apps/atomix-symbolic.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

%find_lang %{name}

%pre
%create_ghostfile %{_localstatedir}/lib/games/atomix.scores root games 0664

%files -f %{name}.lang
%doc README.md
%license COPYING
%attr(2511, root, games) %{_gamesbindir}/atomix
%{_datadir}/%{name}/
%{_datadir}/metainfo/*.xml
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.svg
%{_iconsdir}/hicolor/*/apps/%{name}-symbolic.svg
%ghost %{_localstatedir}/lib/games/atomix.scores
