Name:      atop
Version:   2.11.1
Release:   %mkrel 1
Summary:   AT Computing System and Process Monitor
License:   GPLv2+
Group:     Monitoring
URL:       https://www.atoptool.nl/
Source0:   https://www.atoptool.nl/download/%{name}-%{version}.tar.gz
Source4:   atop.sysconfig
Source5:   atop.tmpfiles
Source6:   atop.service
Patch0:    atop-2.10.0-rundir.patch
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(ncurses)
BuildRequires: pkgconfig(ncursesw)
# for macro definition:
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  systemd-units
Requires(post): systemd
Requires(preun): systemd

%description
The program atop is an interactive monitor to view the load on
a Linux-system. It shows the occupation of the most critical
hardware-resources (from a performance point of view) on system-level,
i.e. cpu, memory, disk and network. It also shows which processes are
responsible for the indicated load (again cpu-, memory-, disk- and
network-load on process-level).
The program atop can also be used to log system- and process-level
information in raw format for long-term analysis.

The program atopsar can be used to view system-level statistics as
reports, similar to the program sar.

%prep
%autosetup -p1

%build
%set_build_flags
%make_build

%install
install -Dp -m 04711 atop            $RPM_BUILD_ROOT%{_bindir}/atop
ln -s atop                           $RPM_BUILD_ROOT%{_bindir}/atopsar
install -Dp -m 0755 atopconvert      $RPM_BUILD_ROOT%{_bindir}/atopconvert
install -Dp -m 0644 man/atop.1       $RPM_BUILD_ROOT%{_mandir}/man1/atop.1
install -Dp -m 0644 man/atopsar.1    $RPM_BUILD_ROOT%{_mandir}/man1/atopsar.1
install -Dp -m 0644 man/atoprc.5     $RPM_BUILD_ROOT%{_mandir}/man5/atoprc.5
install -Dp -m 0644 man/atopacctd.8  $RPM_BUILD_ROOT%{_mandir}/man8/atopacctd.8
install -Dp -m 0711 atop.daily       $RPM_BUILD_ROOT%{_sysconfdir}/atop/atop.daily
install -Dp -m 0644 %{SOURCE4}       $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/atop
install -Dp -m 0644 atop.service     $RPM_BUILD_ROOT%{_unitdir}/atop.service
install -d  -m 0755                  $RPM_BUILD_ROOT%{_logdir}/atop
install -Dp -m 0755 atopacctd        $RPM_BUILD_ROOT%{_sbindir}/atopacctd
install -Dp -m 0644 atopacct.service $RPM_BUILD_ROOT%{_unitdir}/atopacct.service
install -Dp -m 0644 atop-rotate.*    $RPM_BUILD_ROOT%{_unitdir}/
install -Dp -m 0644 %{SOURCE5}       $RPM_BUILD_ROOT%{_tmpfilesdir}/%{name}.conf
install -d -m 0755                   $RPM_BUILD_ROOT%{_rundir}/%{name}

%post
%_tmpfilescreate %{name}
%_post_service %{name}
%_post_service atopacct
%systemd_post atop-rotate.timer

%preun
%_preun_service %{name}
%_preun_service atopacct
%systemd_preun atop-rotate.timer

%files
%doc README ChangeLog
%license COPYING
%config(noreplace) %{_sysconfdir}/sysconfig/atop
%{_bindir}/atop
%{_bindir}/atopsar
%{_bindir}/atopconvert
%{_sbindir}/atopacctd
%{_mandir}/man1/atop.1*
%{_mandir}/man1/atopsar.1*
%{_mandir}/man5/atoprc.5*
%{_mandir}/man8/atopacctd.8*
%dir %{_sysconfdir}/atop/
%{_sysconfdir}/atop/atop.daily
%dir %{_logdir}/atop/
%{_unitdir}/atop.service
%{_unitdir}/atop-rotate.service
%{_unitdir}/atop-rotate.timer
%{_unitdir}/atopacct.service
%dir %ghost %attr(0755, root, root) %{_rundir}/atop
%ghost %attr(0660, -, -) %{_rundir}/atop/atopacctd.pid
%ghost %attr(0660, -, -) %{_rundir}/atop/atop.pid
%{_tmpfilesdir}/%{name}.conf
