#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1
%define oname attica

Summary:        Open Collaboration Service providers library
Name:           %oname
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://projects.kde.org/projects/kdesupport/attica
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{oname}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Gui)

#(nl) see : https://bugreports.qt-project.org/browse/QTBUG-39859
BuildRequires:  pkgconfig(egl)

BuildRequires:  python3dist(reuse)

%description
A library to access Open Collaboration Service providers.
Required to access OSC providers in get hot new stuff in KDE.

%files
%_kf6_categoriesdir/attica.categories
%_kf6_categoriesdir/attica.renamecategories

#--------------------------------------------------------------------

%define attica_major 6
%define libattica %mklibname kf6attica %{attica_major}

%package -n %libattica
Summary:        Qt library that implements the Open Collaboration Services API
Group:          System/Libraries

Requires:       %name >= %version-%release

%description -n %libattica
A library to access Open Collaboration Service providers
Required to access OSC providers in get hot new stuff.

%files -n %libattica
%{_kf6_libdir}/libKF6Attica.so.%{attica_major}{,.*}
%{_kf6_libdir}/libKF6Attica.so.%{version}

#--------------------------------------------------------------------

%define attica_devel %mklibname kf6attica -d

%package -n %attica_devel
Summary:        Devel stuff for %oname
Group:          Development/KDE and Qt
Requires:       %libattica = %version-%release
Requires:       cmake(Qt6Core)

Provides:       %name-devel = %version-%release
Provides:       %name-kf6-devel = %version-%release

%description -n %attica_devel
This package contains header files needed if you wish to build applications
based on %oname.

%files -n %attica_devel
%{_kf6_includedir}/Attica/
%{_kf6_libdir}/libKF6Attica.so
%{_kf6_libdir}/pkgconfig/KF6Attica.pc
%{_kf6_libdir}/cmake/KF6Attica/

#--------------------------------------------------------------------

%prep
%setup -q -n %oname-%version

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

