%define	lib_major	1
%define	lib_name 	%mklibname %{name} %{lib_major}
%define dev_name	%mklibname %{name} -d

Summary:	Utility for managing filesystem extended attributes
Name:		attr
Version:	2.5.2
Release:	%mkrel 2
Source0:	https://git.savannah.gnu.org/cgit/attr.git/snapshot/%{name}-%{version}.tar.gz
License:	GPLv2
Group:		System/Kernel and hardware
URL:		https://savannah.nongnu.org/projects/attr
BuildRequires:	gettext-devel

%description
A set of tools for manipulating extended attributes on filesystem
objects, in particular getfattr(1) and setfattr(1).
An attr(1) command is also provided which is largely compatible
with the SGI IRIX tool of the same name.

%package -n %{lib_name}
Summary:	Main library for libattr
Group:		System/Libraries
License:        LGPLv2.1
Requires(pre):	filesystem >= 2.1.9-18

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with libattr.

%package -n %{dev_name}
Summary:	Extended attribute static libraries and headers
Group:		Development/C
License:        LGPLv2.1
Requires(pre):	filesystem >= 2.1.9-18
Requires:	%{lib_name} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{dev_name}
This package contains the libraries and header files needed to
develop programs which make use of extended attributes.
For Linux programs, the documented system call API is the
recommended interface, but an SGI IRIX compatibility interface
is also provided.

Currently only ext2, ext3, JFS and XFS support extended attributes.
The SGI IRIX compatibility API built above the Linux system calls is
used by programs such as xfsdump(8), xfsrestore(8) and xfs_fsr(8).

You should install libattr-devel if you want to develop programs
which make use of extended attributes.  If you install libattr-devel
then you'll also want to install attr.

%prep
%setup -q

%build
./autogen.sh
%configure \
	--disable-static
%make_build

%install
make install DESTDIR=%{buildroot}

# fix conflict with man-pages-1.56
rm -fr %{buildroot}{%_mandir/man2,%_datadir/doc}

# Remove unpackaged symlinks
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc doc/CHANGES README
%config(noreplace) /etc/xattr.conf
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{lib_name}
%{_libdir}/lib%{name}.so.%{lib_major}{,.*}

%files -n %{dev_name}
%doc doc/CHANGES README
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc
%{_mandir}/man3/*
%{_includedir}/%{name}/
