Name:           attract
Version:        2.7.0
Release:        %mkrel 3
Summary:        Graphical frontend for command line emulators
Group:          Emulators
License:        GPLv3+
URL:            https://attractmode.org/
Source0:        https://github.com/mickelson/attract/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         attract-2.7.0-makefile.patch
Patch10:        0001-fix-missing-include.patch
# Add compatibility with FFMPEG 7.0
# https://github.com/mickelson/attract/pull/756
Patch11:        0001-Add-compatibility-with-FFMPEG-7.0.patch

BuildRequires:  ffmpeg-devel
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sfml-graphics)
BuildRequires:  pkgconfig(sfml-network)
BuildRequires:  pkgconfig(sfml-system)
BuildRequires:  pkgconfig(sfml-window)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(zlib)

%description
Attract-Mode is a graphical frontend for command line emulators such as
MAME, MESS, and Nestopia. It hides the underlying operating system and
is intended to be controlled with a joystick, gamepad or spin dial,
making it ideal for use in arcade cabinet setups.

%prep
%autosetup -p1

%build
%set_build_flags
export EXTRA_CXXFLAGS="%{optflags}"
%make_build

%install
%make_install

install -D -m644 util/icon.png %{buildroot}%{_iconsdir}/hicolor/512x512/apps/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Attract-Mode
Comment=Graphical frontend for command line emulators
Exec=%{name}
Icon=%{name}
Type=Application
Categories=Game;Emulator;
EOF

%files
%doc Layouts.md Readme.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/512x512/apps/%{name}.png
