Name:           auale
Version:        2.2.0
Release:        %mkrel 1
Summary:        A free mancala game for the serious player
Group:          Games/Boards
License:        GPLv3+
URL:            https://www.joansala.com/auale
Source0:        https://github.com/joansalasoler/auale/releases/download/%{version}/auale_%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-cairo
Requires:       python3-gobject3
Recommends:     sdl2_mixer

%description
Aualé is a graphical user interface for the popular Oware Abapa board
game. It may be used to analyze, record and share your own mancala
games or to play against the computer.

This interface communicates with an oware engine through an adapted
version of the Universal Chess Interface protocol, which makes it
suitable for use with multiple mancala playing programs. Although,
currently only the Aalina game engine supports this protocol.

%prep
%autosetup -p1 -c

%build
pushd src
%py3_build
popd

%install
pushd src
%py3_install -- --install-lib=%{_gamesdatadir}
popd

# __main__.py is the game launcher
install -d %{buildroot}%{_gamesbindir}
ln -s %{_gamesdatadir}/%{name}/__main__.py %{buildroot}%{_gamesbindir}/%{name}
chmod +x %{buildroot}%{_gamesdatadir}/%{name}/__main__.py

# Install dist files
pushd share
install -D -m644 applications/%{name}.desktop \
    %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D -m644 glib-2.0/schemas/com.joansala.%{name}.gschema.xml \
    %{buildroot}%{_datadir}/glib-2.0/schemas/com.joansala.%{name}.gschema.xml
install -D -m644 man/man6/%{name}.6 \
    %{buildroot}%{_mandir}/man6/%{name}.6
install -D -m644 mime/packages/%{name}.xml \
    %{buildroot}%{_datadir}/mime/packages/%{name}.xml
install -D -m644 icons/hicolor/scalable/mimetypes/text-x-oware-ogn-symbolic.svg \
    %{buildroot}%{_iconsdir}/hicolor/scalable/mimetypes/text-x-oware-ogn-symbolic.svg
install -D -m644 icons/hicolor/scalable/apps/%{name}.svg \
    %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
install -D -m644 metainfo/com.joansala.auale.metainfo.xml \
    %{buildroot}%{_metainfodir}/com.joansala.auale.metainfo.xml
popd

# Move installed locales
mv %{buildroot}%{_gamesdatadir}/%{name}/data/locale %{buildroot}%{_datadir}/locale

rm -rf %{buildroot}%{_gamesdatadir}/*.egg-info

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/com.joansala.%{name}.gschema.xml
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_iconsdir}/hicolor/scalable/mimetypes/text-x-oware-ogn-symbolic.svg
%{_metainfodir}/com.joansala.auale.metainfo.xml
%{_mandir}/man6/%{name}.6*
