%define major     5
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define gittag    152d6819b360c2e7b379ee3f373d444ab3df0895
%define shorttag  152d681
%define gitdate   20240102

%define rel 15

Summary:        A library for audio labelling
Name:           aubio
Version:        0.4.9
Release:        %mkrel %{rel}.git%{gitdate}
License:        GPLv2+
Group:          Sound/Utilities
Url:            https://aubio.org/
Source0:        https://aubio.org/pub/%{name}-%{shorttag}.tar.gz
Patch1:         aubio-0.4.2-libdir.patch
Patch4:         python3.8.patch
Patch5:         aubio-numpy-2.0.patch
Patch6:         aubio-ffmpeg7.patch

BuildRequires:  doxygen
BuildRequires:  ffmpeg-devel
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  swig
BuildRequires:  pkgconfig(lash-1.0)
BuildRequires:  pd-devel
BuildRequires:  docbook-to-man
BuildRequires:  python3-devel
BuildRequires:  python3-numpy-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx
BuildRequires:  txt2man
BuildRequires:  waf

%description
A library for audio labelling. Its features include segmenting
a sound file before each of its attacks, performing pitch
detection, tapping the beat and producing midi streams from
live audio. The name aubio comes from 'audio' with a typo:
several transcription errors are likely to be found in the
results too.

%package -n %{libname}
Summary:        Main library for %{name}
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %{libname}
Main library for %{name}.

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files and headers for %{name}.

%package -n python3-%{name}
Summary:        Python3 bindings for %{name}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
Python 3 bindings for %{name}.

%prep
%autosetup -p1 -n %{name}-%{shorttag}

# rm -rv waflib

%build
%waf \
    --enable-fftw3 \
    --libdir=%{_libdir}
%waf_build -vv

# python3
%pyproject_wheel

%install
%waf_install --destdir=%{buildroot}

# python3
%pyproject_install
%pyproject_save_files aubio

# we don't want these
find %{buildroot} -name '*.la' -delete
rm %{buildroot}%{_libdir}/libaubio.a

%files
%doc AUTHORS README.md
%{_bindir}/*
%{_mandir}/man1/aubio*.1*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_docdir}/libaubio-doc/api
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files -n python3-%{name} -f %{pyproject_files}
%license COPYING
%doc README.md ChangeLog AUTHORS
