# build with Qt
%bcond_without		qt

# comment out if not prerelease
#define	 prel		beta1

# release for bumping
%define rel		1

%define major		5
%define libname		%mklibname audcore %{major}

%define majorgui	6
%define libgui		%mklibname audgui %{majorgui}

%define majortag	3
%define libtag		%mklibname audtag %{majortag}

%if %{with qt}
%define majorqt		3
%define libqt		%mklibname audqt %{majorqt}
%endif

%define devname		%mklibname %{name} -d

Summary:	A versatile and handy media player
Name:		audacious
Epoch:		6
Version:	4.4.2
Release:	%mkrel %{?prel:0.%prel.}%{rel}
License:	BSD
Group:		Sound/Players
Url:		https://audacious-media-player.org/
Source0:	https://distfiles.audacious-media-player.org/%{name}-%{version}%{?prel:-%prel}.tar.bz2
BuildRequires:	meson
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(libguess)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(dbus-glib-1)
%if %{with qt}
BuildRequires:	qt6-qttools
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Widgets)
%endif
Recommends:	audacious-pulse
Requires:	audacious-plugins
Requires(post):		desktop-file-utils
Requires(postun):	desktop-file-utils

%description
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

%package -n	%{libname}
Group:		System/Libraries
Summary:	Core engine library for %{name}

%description -n	%{libname}
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

This package contains the Core library needed by %{name}.

%package -n	%{libgui}
Group:		System/Libraries
Summary:	Core engine Gui library for %{name}

Conflicts:	%{_lib}audcore5 < 4.3.1-2

%description -n	%{libgui}
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

This package contains the Gui library needed by %{name}.

%package -n	%{libtag}
Group:		System/Libraries
Summary:	Core engine Tag library for %{name}

%description -n	%{libtag}
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

This package contains the Tag library needed by %{name}.

%if %{with qt}
%package -n	%{libqt}
Group:		System/Libraries
Summary:	Core engine Qt library for %{name}

%description -n	%{libqt}
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

This package contains the Qt library needed by %{name}.
%endif

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Requires:	%{libgui} = %{epoch}:%{version}-%{release}
Requires:	%{libtag} = %{epoch}:%{version}-%{release}
%if %{with qt}
Requires:	%{libqt} = %{epoch}:%{version}-%{release}
%endif
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}

%description -n	%{devname}
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

This package contains the files needed for developing applications
which use %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}%{?prel:-%prel}

%build
%meson \
	%{?with_qt:-D qt=true} \
	%{!?with_qt:-D qt=false} \
	-D gtk=true \
	-D libarchive=true \
	-D buildstamp="%{_vendor} %{distro_release} package"
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS
%license COPYING
%{_bindir}/audtool
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/*

%files -n %{libname}
%license COPYING
%{_libdir}/libaudcore.so.%{major}{,.*}

%files -n %{libgui}
%license COPYING
%{_libdir}/libaudgui.so.%{majorgui}{,.*}

%files -n %{libtag}
%license COPYING
%{_libdir}/libaudtag.so.%{majortag}{,.*}

%if %{with qt}
%files -n %{libqt}
%license COPYING
%{_libdir}/libaudqt.so.%{majorqt}{,.*}
%endif

%files -n %{devname}
%doc AUTHORS
%license COPYING
%{_includedir}/%{name}/
%{_includedir}/libaudcore/
%{_includedir}/libaudgui/
%if %{with qt}
%{_includedir}/libaudqt/
%endif
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
