# comment out when not pre-release
#define prel	rc2

%define manual_ver %{version}

# rel for bumping
%define rel	1

%define wxver		3.2.5
%define wxvershort	3.2

%define use_builtin_wxgtk	0
%{?_with_builtin_wxgtk: %global use_builtin_wxgtk 1}
%{?_without_builtin_wxgtk: %global use_builtin_wxgtk 0}

# use system portaudio (without) or bundled's one (with)
%bcond_without portaudio

# use system lv2 (without) or bundled's one (with)
%bcond_without lv2

Summary:	Free Audio Editor With Effects/Analysis Tools
Name:		audacity
Version:	3.7.3
Release:	%mkrel %{?prel:0.%prel.}%{rel}
License:	GPLv2+
Group:		Sound/Editors and Converters
URL:		https://www.audacityteam.org/
Source0:	https://github.com/audacity/audacity/releases/download/Audacity-%{version}/audacity-sources-%{version}.tar.gz
Source1:	https://github.com/audacity/audacity/releases/download/Audacity-%{version}/audacity-manual-%{manual_ver}.tar.gz

%if %{use_builtin_wxgtk}
# get from here: https://github.com/wxWidgets/wxWidgets.git with:
# git clone --recurse-submodules https://github.com/audacity/wxWidgets/
Source2:	https://github.com/wxWidgets/wxWidgets/releases/download/v%{wxver}/wxWidgets-%{wxver}.tar.bz2
%endif

Patch2:		fix_data_path.patch
Patch4:		audacity-3.5.0-no-x86-hardcodes.patch
Patch7:		audacity-non-x86.patch
# add missed revision ident (to be derived from git)
# use:
# cd src; git show -s --format="#define REV_LONG \"%H\"%n#define REV_TIME \"%cd\"%n" | tee ../src/RevisionIdent.h
Patch8:		audacity-3.5.1-provide-missed-RevisionIdent.patch
# Fix libmp3lame detection from cmake
Patch11:	audacity-2.4.2-fix-libmp3lame-as-system.patch
# Fix portmidi detection from cmake
Patch12:	audacity-3.0.0-fix-portmidi-as-system.patch
# module locations fix
Patch15:	audacity-module-location.patch
# cosmetic: switch default theme to dark
Patch20:	audacity-2.4.2-default-theme-dark.patch

# From OpenMandriva
# https://github.com/OpenMandrivaAssociation/audacity/commit/e32bb95201c023836aebf61180fe3b3de94fb258
Patch21:	audacity-3.4.0-fix-build.patch

BuildRequires:	autoconf
BuildRequires:	cmake >= 1:3.15
BuildRequires:	fftw-devel >= 2.1.4
BuildRequires:	ffmpeg-devel
BuildRequires:	gettext-devel
BuildRequires:	imagemagick
BuildRequires:	ninja
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(flac++)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(id3tag)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libmpg123)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(opusfile)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(sbsms)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(soundtouch) >= 1.3.0
BuildRequires:	pkgconfig(soxr)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(twolame)
BuildRequires:	pkgconfig(vamp)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(wavpack)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(portmidi)
%if %{with portaudio}
BuildRequires:	pkgconfig(portaudio-2.0)
%endif
%if %{with lv2}
BuildRequires:	pkgconfig(lv2) > 1.16.0
%endif
BuildRequires:	pkgconfig(suil-0)
BuildRequires:	pkgconfig(lilv-0)
#for compressing the help file:
BuildRequires:	zip

%if %{use_builtin_wxgtk}
BuildRequires:	bakefile
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(cppunit)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libmspack)
BuildRequires:	pkgconfig(libnotify) >= 0.7
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(xxf86vm)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(gtk+-3.0)
%else
BuildRequires:	wxgtk%{?wxvershort}-devel >= %{wxver}
%endif
BuildRequires:	nasm
BuildRequires:	lame-devel
#
# Required by virtual:world of local lv2
%if %{without lv2}
BuildRequires:	pkgconfig(gtk+-x11-2.0)
BuildRequires:	pkgconfig(gtk+-x11-3.0)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
%endif
BuildRequires:	cmake(rapidjson)

Recommends:	%mklibname lame 0

%if %{without portaudio}
Provides:	bundled(portaudio) = 19
%endif
%if %{use_builtin_wxgtk}
Provides:	bundled(wxgtk) = 3.1.3
%endif


%description
Audacity is a program that lets you manipulate digital audio waveforms.

In addition to letting you record sounds directly from within the program,
it imports many sound file formats, including WAV, AIFF, MP3 and Ogg/Vorbis.
It supports all common editing operations such as Cut, Copy, and Paste, plus
it will mix tracks and let you apply plug-in effects to any part of a sound.
It also has a built-in amplitude envelope editor, a customizable spectrogram
mode and a frequency analysis window for audio analysis applications.

%prep
%if %{use_builtin_wxgtk}
%setup -q -n audacity-sources-%{version} -a 2
%else
%setup -q -n audacity-sources-%{version}
%endif

%patch -P 2 -p1 -b .data-path
%patch -P 4 -p1 -b .no-x86-hardcodes
%patch -P 7 -p1 -b .non-x86

%patch -P 8 -p1 -b .revision-ident

# fix detection of libmp3lame
%patch -P 11 -p1 -b .pkgconfig

# fix detection of portmidi
%patch -P 12 -p1 -b .pkg_midi

# fix module search path
%patch -P 15 -p1

# use dark theme as default
#patch -P 20 -p1 -b .dark

# Fix build
%patch -P 21 -p1 -b .fix-build

chmod 644 *.txt

# remove -Wl,--disable-new-dtags from linker flags to
# replace RPATH with RUNPATH
sed -i -e '/disable-new-dtags/d' src/CMakeLists.txt

%build
%if %{use_builtin_wxgtk}
(cd wxWidgets-%{wxver}
 aclocal --force -I $PWD/build/aclocal
 autoconf -f
 libtoolize --copy --force
 CFLAGS="%{optflags} -fno-strict-aliasing" \
 CXXFLAGS="%{optflags} -fno-strict-aliasing" \
 ./configure \
   --prefix=$PWD/../%{name}_binlibs \
   --with-gtk=3 \
   --disable-shared \
   --enable-monolithic \
   --with-libpng=sys \
   --with-libjpeg=sys \
   --with-libtiff=sys \
   --with-zlib=sys \
   --with-expat=sys \
   --with-regex=builtin \
   --with-libmspack
 make -j $(nproc)
 make install
)
%endif

%if %{use_builtin_wxgtk}
export PATH=$PWD/%{name}_binlibs/bin:$PATH
%endif

# list of cmake options:
# https://wiki.audacityteam.org/wiki/CMake_Options#Lin
#
# other instructions:
# https://wiki.audacityteam.org/wiki/Building_On_Linux

# fix system lame detection
export PKG_CONFIG_PATH=$(pwd):$PKG_CONFIG_PATH

export CXXFLAGS="%{build_cxxflags} -Wno-deprecated-declarations"
%ifarch %arm
export CFLAGS="%{optflags} -march=armv7-a -mtune=native -mfloat-abi=hard -mfpu=neon"
%endif

%cmake -GNinja \
    -DCMAKE_INSTALL_LIBDIR=%{_lib} \
    -Daudacity_use_pch=off \
    -Daudacity_conan_enabled=off \
    -Daudacity_conan_allow_prebuilt_binaries=no \
    -Daudacity_obey_system_dependencies=yes \
    -Daudacity_lib_preference=system \
    -Daudacity_use_lame=system \
%if %{use_builtin_wxgtk}
    -Daudacity_use_wxwidgets=system \
%else
    -DwxWidgets_CONFIG_EXECUTABLE:FILEPATH=%{_bindir}/wx-config-%{wxvershort} \
%endif
    -Daudacity_use_ffmpeg=loaded \
%if ! %{with portaudio}
    -Daudacity_use_portaudio=system \
%endif
%if ! %{with lv2}
    -Daudacity_use_lv2=system \
%endif
    -Daudacity_use_portsmf=local \
    -Daudacity_use_sbsms=system \
%ifarch %ix86
    -DHAVE_SSE=ON \
    -DHAVE_SSE2=OFF \
%endif
    -Daudacity_has_vst3=no

%cmake_build

%install
%cmake_install

# fix rights
chmod 755 %{buildroot}%{_libdir}/audacity/{,modules/}*.so

%find_lang %{name}

#install mime-type icon for .aup files (mga#27644)
mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/mimetypes/
ln -s ../apps/audacity.svg %{buildroot}%{_iconsdir}/hicolor/scalable/mimetypes/application-x-audacity-project.svg

#clean uneeded installed but not packaged
rm -rf %{buildroot}%{_docdir}/*
rm -rf %{buildroot}%{_prefix}/audacity

#gw work around bug #52526
mkdir -p %{buildroot}%{_datadir}/%{name}/help/manual

# audacity manual must be extracted to correct location
pushd %{buildroot}%{_datadir}/%{name}
gzip -dc %{SOURCE1} | tar -xvvf -
popd

%files -f %{name}.lang
%{_bindir}/*
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/*.so
%dir %{_libdir}/%{name}/modules/
%{_libdir}/%{name}/modules/*.so
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/*/*.svg
%{_datadir}/icons/hicolor/*/%{name}.png
%{_datadir}/pixmaps/*
%{_datadir}/mime/packages/%{name}.xml
%{_mandir}/man1/%{name}.1*
%{_metainfodir}/audacity.appdata.xml
