%define gstapi	1.0

%define ubuntuversion	jammy

Name:		audio-recorder
Version:	3.3.4
Release:	%mkrel 2
Summary:	Audio recorder application for the GNOME 3
License:	GPLv3+
Group:		Sound/Utilities
URL:		https://launchpad.net/~audio-recorder
# https://launchpad.net/%%{name}/trunk/stable/+download/%%{name}_%%{version}.tar.xz
Source0:	%{url}/+archive/ubuntu/ppa/+sourcefiles/audio-recorder/%{version}~%{ubuntuversion}/audio-recorder_%{version}~%{ubuntuversion}.tar.gz
Patch0:		audio-recorder-correct-desktop-menu.patch
Patch1:		0001-Port-to-Ayatana-AppIndicator.patch
Patch2:		0001-replace-deprecated-IS_APP_INDICATOR-to-APP_IS_INDICATOR.patch
BuildRequires:	intltool
BuildRequires:	pkgconfig(ayatana-appindicator3-0.1)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(dconf)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gstreamer-%{gstapi})
BuildRequires:	pkgconfig(gstreamer-pbutils-%{gstapi})
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libpulse)

Requires:	gstreamer%{gstapi}-plugins-bad
Requires:	gstreamer%{gstapi}-plugins-base
Requires:	gstreamer%{gstapi}-plugins-good
Recommends:	gstreamer%{gstapi}-plugins-ugly

%description
Audio-recorder allows you to record your favourite music or audio to
a file. It can record audio from your system's soundcard,
microphones, browsers, webcams & more. Put simply: if it plays out of
your loudspeakers you can record it.


%prep
%setup -q -n trunk
%autopatch -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/*/%{name}*.svg
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%{_mandir}/man1/%{name}.1.*
