#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           audiocd-kio
Epoch:          3
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        KDE audiocd
Group:          Sound/Utilities
License:        GPLv2
URL:            https://apps.kde.org/kio_audiocd/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6KCMUtils)

BuildRequires:  cmake(KCompactDisc6)
BuildRequires:  cmake(KCddb6)

BuildRequires:  cdparanoia-devel
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  lame

Requires:       kcm_cddb
Recommends:     lame
Recommends:     %name-handbook


%description
KIO audiocd.

%files -f %name.lang
%_kf6_categoriesdir/kio_audiocd.*categories
%_qt6_plugindir/plasma/kcms/systemsettings_qwidgets/kcm_audiocd.so
%_qt6_plugindir/libaudiocd_*
%_kf6_plugindir/kio/audiocd.so
%_kf6_applicationsdir/kcm_audiocd.desktop
%_kf6_datadir/config.kcfg/audiocd_*
%_kf6_datadir/konqsidebartng/virtual_folders/services/audiocd.desktop
%_kf6_datadir/solid/actions/solid_audiocd.desktop
%_kf6_metainfodir/org.kde.kio_audiocd.metainfo.xml

#------------------------------------------------------------------------------

%package	handbook
Summary:        KIO audiocd handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} >= %{epoch}:%{version}-%{release}

%description handbook
This package provides KIO audiocd handbook.

%files handbook
%_kf6_docdir/HTML/*/kioslave5/audiocd/
%_kf6_docdir/HTML/*/kcontrol/audiocd/
%_kf6_docdir/HTML/*/kcontrol/kcmaudiocd/
%_kf6_docdir/HTML/*/kioworker6/audiocd/

#------------------------------------------------------------------------------

%define  audiocdplugins_major 5
%define libaudiocdplugins %mklibname audiocdplugins %audiocdplugins_major

%package -n %libaudiocdplugins
Summary:        KDE I/O Slave for Audio CDs
Group:          System/Libraries

%description -n %libaudiocdplugins
KDE I/O Slave for Audio CDs using cdparanoia.

%files -n %libaudiocdplugins
%_kf6_libdir/libaudiocdplugins.so.%{audiocdplugins_major}{,.*}

#--------------------------------------------------------------------

%package devel
Summary:        Devel stuff for %{name}
Group:          Development/KDE and Qt
Requires:       %libaudiocdplugins = %epoch:%version

%description  devel
This package contains header files needed if you wish to build applications
based on %{name}.

%files devel
%_kf6_libdir/libaudiocdplugins.so
%_includedir/*

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name --all-name
