%define	url_ver		%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define	lib_major	1
%define	lib_name	%mklibname %{name} %{lib_major}
%define develname	%mklibname %{name} -d

Summary:	Library to handle various audio file formats
Name:		audiofile
Version:	0.3.6
Release:	%mkrel 14
License:	LGPLv2+
Group:		System/Libraries
Source0:	https://download.gnome.org/sources/%name/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		00_audiofile-0.3.6-CVE-2015-7747.patch
Patch1:     01_gcc6.patch                                                 
Patch2:     02_hurd.patch                                                 
Patch3:     04_clamp-index-values-to-fix-index-overflow-in-IMA.cpp.patch
Patch4:     05_Always-check-the-number-of-coefficients.patch              
Patch5:     06_Check-for-multiplication-overflow-in-MSADPCM-decodeSam.patch
Patch6:     07_Check-for-multiplication-overflow-in-sfconvert.patch
Patch7:     08_Fix-signature-of-multiplyCheckOverflow.-It-returns-a-b.patch
Patch8:     09_Actually-fail-when-error-occurs-in-parseFormat.patch 
Patch9:		10_Check-for-division-by-zero-in-BlockCodec-runPull.patch
Patch10:	11_audiofile-0.3.6-CVE-2018-13440.patch
Patch11:	12_audiofile-0.3.6-CVE-2018-17095.patch
Patch12:	13_Partial-fix-of-CVE-2019-13147.patch
Patch13:	14_Partial-fix-of-CVE-2019-13147.patch
Patch14:	15_audiofile-0.3.6-CVE-2022-24599.patch


URL:		https://www.68k.org/~michael/audiofile/
BuildRequires:	pkgconfig(alsa)

%description
The Silicon Graphics Audio File Library provides a uniform programming 
interface to standard digital audio file formats.

Currently supported sound file formats include AIFF/AIFF-C, WAVE, and
NeXT/Sun .snd/.au. Supported compression formats are currently G.711 
mu-law and A-law. 
Used by the esound daemon.

%package -n	%{lib_name}
Summary:	Main library for audiofile 
Group:		System/Libraries

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with audiofile.

%package -n	%{develname}
Summary:	Includes and other files to develop audiofile applications
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	lib%{name}-devel = %{version}
Provides:	audiofile-devel = %{version}
Obsoletes:	%{_lib}audiofile0-devel < 0.3.2

%description -n	%{develname}
Libraries, include files and other resources you can use to develop audiofile
applications.

%prep
%setup -q
%autopatch -p1

%build
%configure --enable-largefile --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files
%doc COPYING README
%{_bindir}/sfconvert
%{_bindir}/sfinfo
%{_mandir}/man1/*

%files -n %{lib_name}
%doc COPYING README
%{_libdir}/*.so.%{lib_major}
%{_libdir}/*.so.%{lib_major}.*

%files -n %{develname}
%doc COPYING README ACKNOWLEDGEMENTS TODO NEWS NOTES ChangeLog docs
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_mandir}/man3/*
