%global dont_check_desktop_files 1

%define iconname	%{name}.png
%define build_tainted	0

%if "%{distro_section}" == "tainted"
%global build_tainted	1
%endif

Name:		audiokonverter
Version:	5.9.4
Release:	%mkrel 7
Summary:	A KDE audio converter service menu for Dolphin
Group:		Sound/Editors and Converters
License:	GPLv2
URL:		https://www.kde-apps.org/content/show.php?content=12608
Source0:	https://www.kde-apps.org/CONTENT/content-files/12608-%{name}-%{version}.tar.bz2
Patch0:		audiokonverter-nofaac.patch
Patch1:		audiokonverter-free.patch
BuildArch:	noarch

BuildRequires:	kf5-macros

Requires:	dolphin
Requires:	mplayer
Requires:	ffmpeg
Requires:	flac
Requires:	wavpack
Recommends:	mppdec
Recommends:	id3lib
Recommends:	id3v2
Recommends:	vorbis-tools

%if %{build_tainted}
Requires:	lame
Requires:	faad2
%endif

%description
audiokonverter is a small utility to easily convert from OGG, MP3,
AAC, M4A, FLAC, WMA, RealAudio, Musepack, Wavpack, WAV and movies to
MP3, OGG, M4A, WAV and FLAC in Dolphin and Konqueror by right-clicking
on them.

%if %{build_tainted}
This package is in the tainted section because it contains software that
supports codecs that may be covered by software patents.
%endif

%prep
%setup -q

%if %{build_tainted}
%patch -P 0 -p0 -b .audiokonverter-nofaac.patch
%else
%patch -P 1 -p0 -b .audiokonverter-free.patch
%endif

%install
mkdir -p %{buildroot}%{_kf5_services}/ServiceMenus
install -m 644 *4.desktop %{buildroot}%{_kf5_services}/ServiceMenus

mkdir -p %{buildroot}%{_kf5_appsdir}/dolphin/servicemenus
install -m 644 *4.desktop %{buildroot}%{_kf5_appsdir}/dolphin/servicemenus

mkdir -p %{buildroot}%{_kf5_bindir}
install -m 755 anytowav4 audioconvert4 movie2sound4 oggdrop-lx %{buildroot}%{_kf5_bindir}

%files
%doc README Changelog
%{_kf5_bindir}/*
%{_kf5_services}/ServiceMenus/*.desktop
%{_kf5_appsdir}/dolphin/servicemenus/*.desktop
