#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           audiotube
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        YouTube Music client
License:        GPLv2+
Group:          Graphical desktop/KDE
Url:            https://apps.kde.org/audiotube/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# Upstream patches
#

# Mageia patches
Patch500:       audiotube-fPIC.patch

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6WindowSystem)

BuildRequires:  cmake(KF6KirigamiAddons)
BuildRequires:  cmake(FutureSQL6)
BuildRequires:  cmake(QCoro6)
BuildRequires:  pybind11-devel
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-ytmusicapi
BuildRequires:  yt-dlp

Requires:       kirigami
Requires:       kirigami-addons
Requires:       python3-ytmusicapi
Requires:       yt-dlp


%description
AudioTube can search YouTube Music, list albums and artists,
play automatically generated playlists, albums and allows to
put your own playlist together.

%files -f %{name}.lang
%license LICENSES/*
%{_kf6_bindir}/%{name}
%{_kf6_datadir}/applications/org.kde.%{name}.desktop
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_datadir}/icons/hicolor/scalable/apps/org.kde.%{name}.svg

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%cmake_install

%find_lang %{name}
