# no debug for now
%global debug_package %{nil}

%define rev git20201212

%define rel 2

Name: aufs-tools
Version: 5.8
Release: %mkrel -c %{rev} %{rel}

Group: System/Base
Summary: Tools to manage aufs filesystems
License: GPLv2+
Url: https://aufs.sourceforge.net/

# git clone git://git.code.sf.net/p/aufs/aufs-util aufs-util
# cd aufs-util
# git checkout aufs5.x-rcN
# git archive HEAD --prefix=aufs-util/ | xz > ../SOURCES/aufs-tools-%{version}-%{rev}.tar.xz
Source0: %{name}-%{version}-%{rev}.tar.xz
Patch0:  %{name}-3.14-deb-static.patch
Patch1:  %{name}-3.14-deb-manpage.patch
#Patch2:  aufs-util-fix-version-check.patch
BuildRequires: kernel-userspace-headers >= 4.9.0-1

%description
These utilities are always necessary for aufs.
The aufs driver provides a unification file system for the Linux kernel. It
allows one to virtually merge the contents of several directories and/or stack
them, so that apparent file changes in the aufs end in file changes in only one
of the source directories.
This package contains utilities needed to configure aufs containers on-the-fly.

%prep
%setup -q -n aufs-util
%patch -P 0 -p1
%patch -P 1 -p1
#patch -P 2 -p1

sed -i 's|-o root -g root||g' Makefile
sed -i '/install_ulib: Tgt/ s,/usr/lib,%{_libdir},' fhsm/Makefile
sed -i '/install_ulib: Tgt/ s,/usr/lib,%{_libdir},' libau/Makefile
sed -i '/install_sbin: Tgt/ s,/sbin,%{_sbindir},' Makefile
sed -i 's|/sbin|%{_sbindir}|g' README aufs.in.5 aubrsync
sed -i 's|sudo ||g' aufs.in.5 aubrsync aufs.shlib
make clean

%build
%set_build_flags
%make_build LibAuDir=%{_libdir}

%install
%makeinstall DESTDIR=%{buildroot} LibAuDir=%{_libdir}

%files
%doc README
%config(noreplace) %{_sysconfdir}/default/aufs
%{_bindir}/*
%{_libdir}/*
%{_sbindir}/*
%{_mandir}/man*/*.*
