%define major 0
%define famajor 1
%define libname %mklibname augeas %{major}
%define libfa %mklibname fa %{famajor}
%define develname %mklibname augeas -d

Name:           augeas
Version:        1.12.0
Release:        %mkrel 6
Summary:        A library for changing configuration files
Group:          Development/C
License:        LGPv2.1+
URL:            https://augeas.net/
Source0:        http://download.augeas.net/%{name}-%{version}.tar.gz
Source1:	http://download.augeas.net/%{name}-%{version}.tar.gz.sig
Patch0:		af2aa88ab37fc48167d8c5e43b1770a4ba2ff403.patch
BuildRequires:  readline-devel
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libselinux)

%description
A library for programmatically editing configuration files. Augeas parses
configuration files into a tree structure, which it exposes through its
public API. Changes made through the API are written back to the initially
read files.

The transformation works very hard to preserve comments and formatting
details. It is controlled by ``lens'' definitions that describe the file
format and the transformation into a tree.

%package -n %develname
Summary:        Development files for %{name}
Group:          Development/C
Provides:       %{name}-devel = %{version}-%{release}
Requires: 	%{libname} = %{version}-%{release}
Requires: 	%{libfa} = %{version}-%{release}

%description -n %develname
This package contains libraries and header files for
developing applications that use %{name}.

%package -n 	%{libname}
Summary:        Libraries for %{name}
Requires:       %{name}-lenses = %{version}-%{release}
Group:          System/Libraries
Provides:       lib%{name} = %{version}-%{release}

%description -n %{libname}
The libraries for %{name} .

%package -n	 %{libfa}
Summary: 	Library for %{name}
Group: 		System/Libraries

%description -n %{libfa}
The library for %{name}.

%package 	lenses
Summary:        Lenses for %{name}
Group:          Development/C

%description 	lenses
The lenses for %{name}.

%prep
%setup -q
%autopatch -p1

%build
%configure --disable-static
%make_build


# %%check
# %%make_build check

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files
%{_bindir}/augtool
%{_bindir}/augparse
%{_bindir}/augmatch
%{_bindir}/fadot
%{_mandir}/man1/*
%{_datadir}/vim/vimfiles/ftdetect/augeas.vim
%{_datadir}/vim/vimfiles/syntax/augeas.vim

%files lenses
%doc AUTHORS NEWS
%{_datadir}/augeas

%files -n %{libname}
%{_libdir}/libaugeas.so.%{major}{,.*}

%files -n %{libfa}
%{_libdir}/libfa.so.%{famajor}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/augeas.pc
