Name:		aumix
Summary:	A GTK+ / Ncurses audio mixer
Version:	2.9.1
Release:	%mkrel 14
License:	GPLv1
Group:		Sound/Mixers
Source0:	http://www.jpj.net/~trevor/aumix/%{name}-%{version}.tar.bz2
Patch0:		aumix-2.9.1-fix-building-with-gcc14.patch
URL: 		https://sourceforge.net/projects/aumix/
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	gtk+2-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
Requires:	initscripts >= 4.42

%description
This is a program for adjusting audio mixers from the command line or scripts,
or interactively at the console or a terminal with a full-screen, ncurses-based
interface or a GTK-based X interface.

%package text
Summary:	An Ncurses audio mixer
License:	GPLv1
Group:		Sound/Mixers

%description text
This is a program for adjusting audio mixers from the command line or scripts,
or interactively at the console or a terminal with a full-screen, ncurses-based
interface .

%prep
%autosetup -p1

%build
%define _legacy_common_support 1
autoreconf -vfi

mkdir build-text
pushd build-text
CONFIGURE_TOP=.. %configure --without-gtk
%make_build
popd
mkdir build-gui
pushd build-gui
CONFIGURE_TOP=.. %configure
%make_build
popd

%install
%make_install -C build-gui

install -m755 build-text/src/aumix %{buildroot}%{_bindir}/aumix-text

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Aumix
Comment=Basic volume controller
Exec=%{name}
Icon=sound_section
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;Audio;Mixer;
EOF

%find_lang %name

%files -f %{name}.lang
%doc README TODO NEWS ChangeLog
%{_bindir}/%{name}
%{_bindir}/mute
%{_bindir}/x%{name}
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}

%files text
%{_bindir}/%{name}-text
