%define AMC_cat Education;
%define AMC_makepass SYSTEM_TYPE=rpm MODSDIR=%{_libdir}/AMC MODELSDIR=%{_datadir}/%{name}/models TEXDIR=%{_datadir}/texmf/tex/latex/AMC BINDIR=%{_bindir} ICONSDIR=%{_datadir}/%{name}/icons PIXDIR=%{_datadir}/pixmaps PERLDIR=%{perl_vendorlib} MAN1DIR=%{_mandir}/man1 DOCDIR=%{_docdir}/%{name} DESKTOPDIR="" DESKTOP_CAT="%{AMC_cat}" USER_GROUP=""

Name:           auto-multiple-choice
Version:        1.6.0
Release:        %mkrel 4
Summary:        Multiple choice papers management
License:        GPLv2+
Group:          Education
URL:            https://gitlab.com/jojo_boulix/auto-multiple-choice
Source0:        https://gitlab.com/jojo_boulix/auto-multiple-choice/-/archive/%{version}/%{name}-%{version}.tar.gz
#Source0:        https://download.auto-multiple-choice.net/%%{name}_%%{version}_precomp.tar.gz
# the PDF build fails without ipaex fonts for Japanese, we don't have them packaged
Patch0:         0001-auto-multiple-choice-1.6.0-no-pdf-doc.patch
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(poppler-glib)
BuildRequires:  pkgconfig(opencv)
BuildRequires:  desktop-file-utils
BuildRequires:  librsvg
BuildRequires:  netpbm-devel
BuildRequires:  netpbm
BuildRequires:  dblatex
BuildRequires:  texlive-dist
BuildRequires:  texlive-fontsextra
BuildRequires:  docbook-style-xsl
BuildRequires:  docbook-dtds
BuildRequires:  perl(Archive::Tar)

Requires:       texlive
Requires(post): texlive-collection-basic
Requires(postun): texlive-collection-basic
Requires:       perl-Net-CUPS
Requires:       ghostscript
Requires:       poppler
Requires:       netpbm
Requires:       unzip
Requires:       graphicsmagick
Requires:       perl(Graphics::Magick)
Requires:       perl(DBD::SQLite)

%description
Utility to manage multiple choice questionnaires, with optionally
mixed questions and answers. AMC provides automatic marking from papers
scans. Annotated papers are produced. Marks can be exported as a
OpenOffice.org sheet file.

%files -f %{name}.lang
%doc COPYING ChangeLog doc/html doc/%{name}.??.xml
%doc %{_datadir}/doc/texmf/AMC
#doc doc/%%{name}.??.pdf
%dir %{_datadir}/%{name}
%{_libdir}/AMC
%{_datadir}/%{name}/models
%{_datadir}/%{name}/icons
%{_datadir}/%{name}/gtk/auto-multiple-choice.css
%{_datadir}/texmf/tex/latex/AMC
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.xpm
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.svg*
%{_datadir}/gtksourceview-4/language-specs/amc-txt.lang
%{_datadir}/mime/packages/%{name}.xml
%{perl_vendorlib}/AMC
%{_datadir}/applications/net.auto_multiple_choice.amc.desktop
%{_datadir}/metainfo/net.auto_multiple_choice.amc.metainfo.xml
%{_mandir}/man1/%{name}-*.1*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}.*.1*

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

sed -i 's|/usr/lib/AMC|%{_libdir}/AMC|' Makefile
sed -i 's|/usr/lib/AMC|%{_libdir}/AMC|' Makefile.conf

%build
/usr/bin/perl local/versions.pl
make %{AMC_makepass} GCC_NETPBM="-I /usr/include/netpbm -lnetpbm" GCC_OPENCV_LIBS="-lopencv_core -lopencv_highgui -lopencv_imgproc -lopencv_imgcodecs" GCC="gcc" GCC_PP="g++" CFLAGS="%{optflags} -Wall" CXXFLAGS="%{optflags} -Wall -fpermissive" LDFLAGS="%{ldflags}" TEXINPUTS=/usr/share/dblatex/latex/graphics/:

%install
make DESTDIR=%{buildroot} %{AMC_makepass} install
desktop-file-install --delete-original --dir=%{buildroot}%{_datadir}/applications net.auto_multiple_choice.amc.desktop
%find_lang %{name}

%post
/usr/share/texmf-dist/scripts/texlive/mktexlsr

%postun
/usr/share/texmf-dist/scripts/texlive/mktexlsr
