# comment out if not git snapshot
#global git     97-fd1d

%if 0%{?git:1}
%global gitv    %(echo %git | cut -d- -f1)
%global gitr    %(echo %git | cut -d- -f2)
%endif

%global rel     1

Name:		autoconf-archive
Version:	2024.10.16%{?git:.%gitv}
Release:	%mkrel %{?git:%gitr.}%{rel}
Summary:	The Autoconf Macro Archive
Group:		Development/Other
License:	GPLv3+ with exceptions
URL:		https://www.gnu.org/software/autoconf-archive/
Source0:	https://ftp.gnu.org/gnu/autoconf-archive/%{name}-%{version}%{?git:-%gitr}.tar.xz
Source1:	gettarball.sh
BuildArch:	noarch
BuildRequires:	texinfo
Requires:	autoconf
Conflicts:	gnome-common < 3.18.0-2

%description
The GNU Autoconf Archive is a collection of more than 450 macros for
GNU Autoconf that have been contributed as free software by friendly
supporters of the cause from all over the Internet.

%prep
%autosetup -n %{name}-%{version}%{?git:-%gitr} -p1

%build
%configure
%make_build

%install
%make_install

# remove dir file which will be generated by /sbin/install-info
rm -f %{buildroot}%{_infodir}/dir

# document files are installed another location
rm -rf %{buildroot}%{_datadir}/%{name}

%files
%doc AUTHORS COPYING* ChangeLog NEWS README TODO
%{_datadir}/aclocal/*.m4
%{_infodir}/autoconf-archive.info*
