%bcond_without check

# comment out if not git snapshot
#global git	18-5144

#global beta	1

%if 0%{?git:1}
%global gitv	%(echo %git | cut -d- -f1)
%global gitr	%(echo %git | cut -d- -f2)
%endif

%global rel	1

Name:		autoconf
Summary:	A GNU tool for automatically configuring source code
Epoch:		2
Version:	2.72%{?git:.%gitv}
Release:	%mkrel %{?git:%gitr.}%{rel}
License:	GPLv2+ with exceptions
Group:		Development/Other
URL:		https://www.gnu.org/software/autoconf/
BuildArch:	noarch
%if 0%{?beta:1}
Source0:	https://alpha.gnu.org/pub/gnu/autoconf/autoconf-%{version}.tar.xz
%else
Source0:	https://ftpmirror.gnu.org/gnu/autoconf/autoconf-%{version}%{?git:-%gitr}.tar.xz
%endif
Source1:	gettarball.sh
Source2:	autoconf-site-start.el

# Upstream patches from master branch

# Mageia patches
Patch0501:	0001-Change-default-runstatedir-location-to-run.patch

# From upstream patches ML
# https://lists.gnu.org/archive/html/autoconf-patches/
#

BuildRequires:	git-core
BuildRequires:	texinfo
BuildRequires:	m4
BuildRequires:	help2man
Requires:	m4
Requires:	mktemp
# autoreconf: running: autopoint --force
# Can't exec "autopoint": No such file or directory at
# /usr/share/autoconf/Autom4te/FileUtils.pm line 345.
Requires:	autopoint
# autoreconf: running: gtkdocize --copy
# Can't exec "gtkdocize": No such file or directory at
# /usr/share/autoconf/Autom4te/FileUtils.pm line 292, <GEN3> line 6.
Requires:	gtk-doc
Provides:	autoconf2.5 = %{epoch}:%{version}-%{release}
Conflicts:	autoconf2.1 < 1:2.13-26

# for tests
%if %{with check}
BuildRequires:	bison
BuildRequires:	erlang
BuildRequires:	flex
BuildRequires:	gcc-gfortran
%endif

%description
GNU's Autoconf is a tool for configuring source code and Makefiles.
Using Autoconf, programmers can create portable and configurable
packages, since the person building the package is allowed to
specify various configuration options.

You should install Autoconf if you are developing software and you'd
like to use it to create shell scripts which will configure your
source code packages. If you are installing Autoconf, you will also
need to install the GNU m4 package.

Note that the Autoconf package is not required for the end user who
may be configuring software with an Autoconf-generated script;
Autoconf is only required for the generation of the scripts, not
their use.

%prep
%autosetup -n autoconf-%{version}%{?git:-%gitr} -S git_am

%build
%configure
%make_build

%install
%make_install

# We don't want to include the standards.info stuff in the package,
# because it comes from binutils...
rm -f $RPM_BUILD_ROOT%{_infodir}/standards*

# emacs stuff
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d/%{name}.el

# if emacs-bin was not here, *.el and *.elc files will be missing - install *.el files anyway
if [ ! -d $RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp ]; then
	mkdir -p $RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp
	install -m644 lib/emacs/*.el $RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp
fi

%if %{with check}
%check
PATH=$(pwd)/tests:$PATH
autoreconf -vfi
make distclean
%configure
make check
%endif

%files
%doc AUTHORS BUGS COPYING INSTALL NEWS README THANKS TODO
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/*.el
%{_bindir}/*
%{_datadir}/autoconf
%{_datadir}/emacs/site-lisp/*.el*
%{_infodir}/*
%{_mandir}/*/*
