
Name:		autofdo
Version:	0.19
Release:	%mkrel 15
Summary:	A tool to convert perf.data profile to AutoFDO profile
License:	ASL 2.0
Group:		Development/Other
Url:		https://github.com/google/autofdo
Source:		https://github.com/google/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch1:		autofdo-autoconf.patch
Patch2:		https://github.com/google/autofdo/commit/a6471bffb0ce44524854b4237a3bcd671ad31674.patch
Patch3:		https://github.com/google/autofdo/commit/8af5535d7f1f395928cb2f8a47917d3d49870ac9.patch
Patch4:		https://github.com/google/autofdo/commit/88ee9d075686a9ceb42a28a136ea98244e7198f9.patch
Patch5:		fix-ec-writer.patch
# deb
Patch10:	disable-rpath.patch
#
BuildRequires:	automake
BuildRequires:	clang
BuildRequires:	elfutils-devel
BuildRequires:	gcc-c++
BuildRequires:	git
BuildRequires:	llvm-devel >= 5.0
BuildRequires:	pkgconfig(libunwind)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(zlib)

%description
AutoFDO is a tool to convert perf.data profile to AutoFDO profile that
can be used by GCC and LLVM.

Each compiler is supported by a different tool. For GCC, use
'create_gcov'. For LLVM, use 'create_llvm_prof'. LLVM version 5 or
higher is required.  The two tools have compatible command line
flags. However, the outputs are incompatible. You cannot use the
profile generated for GCC in LLVM and vice-versa.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure

# do not use the parallel build. The configure scripts for the sub-projects fail if run in parallel
%make_build -j1

%install
%make_install

%files
%doc README
%license COPYING
%{_bindir}/create_gcov
%{_bindir}/create_llvm_prof
%{_bindir}/dump_gcov
%{_bindir}/profile_diff
%{_bindir}/profile_merger
%{_bindir}/profile_update
%{_bindir}/sample_merger
