%define major 25
%define libname %mklibname opts %{major}
%define libnamedevel %mklibname %{name} -d

Summary:	Tool for autogenerating code
Name:		autogen
Version:	5.18.16
Release:	%mkrel 8
Group:		Development/Other
License:	GPLv2+
URL:		https://www.gnu.org/software/autogen/
Source0:	https://ftp.gnu.org/gnu/autogen/rel%{version}/%{name}-%{version}.tar.xz

# Fix multilib conflicts
Patch0:		autogen-multilib.patch
# Fix gcc error on overlapping strings
Patch1:		autogen-overlap.patch
Patch2:		autogen-configure-c99.patch
# https://sourceforge.net/p/autogen/bugs/212/
Patch3:		autogen-fortify.patch

BuildRequires:  chrpath
BuildRequires:	pkgconfig(guile-2.0)
BuildRequires:	pkgconfig(libxml-2.0)

%description
AutoGen is a tool designed to simplify the creation and maintenance
of programs that contain large amounts of repetitious text. It is
especially valuable in programs that have several blocks of text
that must be kept synchronized.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		Development/Other

%description -n	%{libname}
AutoGen is a tool designed to simplify the creation and maintenance
of programs that contain large amounts of repetitious text. It is
especially valuable in programs that have several blocks of text
that must be kept synchronized.

%package -n %{libnamedevel}
Summary:	Development headers and libraries for %{name}
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}autogen-static-devel < 5.18.16-8

%description -n	%{libnamedevel}
AutoGen is a tool designed to simplify the creation and maintenance
of programs that contain large amounts of repetitious text. It is
especially valuable in programs that have several blocks of text
that must be kept synchronized.

%prep
%autosetup -p1

%build
export CFLAGS="%{optflags} -Wno-implicit-fallthrough -Wno-format-overflow \
                -Wno-format-truncation"
autoreconf -fi
%configure --disable-rpath
%make_build

%install
%make_install

# Remove time stamps from generated devel man pages to avoid multilib conflicts
sed -i 's|\(It has been AutoGen-ed\).*.\(by AutoGen\)|\1 \2|' \
	$RPM_BUILD_ROOT%{_mandir}/man3/*.3

# Remove rpath.
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/{columns,getdefs,%{name},xml2ag}
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/lib*.so.*

# Drop static build
find %{buildroot}%{_libdir} -name "*.a" -delete

%check
make check || true

%files
%doc README TODO
%{_bindir}/autogen
%{_bindir}/columns
%{_bindir}/getdefs
%{_bindir}/xml2ag
%{_infodir}/autogen.info*
%{_mandir}/man?/*
%{_datadir}/aclocal/*
%{_datadir}/autogen/

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{libnamedevel}
%{_bindir}/autoopts-config
%{_includedir}/autoopts/
%{_libdir}/*.so
%{_libdir}/autogen/tpl-config.tlib
%{_libdir}/pkgconfig/*
