Name:		autojump
Version:	22.5.3
Release:	%mkrel 7
Summary:	A fast way to navigate your filesystem from the command line
Group:		Shells
License:	GPLv3+
URL:		https://github.com/wting/autojump
Source:		https://github.com/wting/autojump/archive/release-v%{version}/%{name}-%{version}.tar.gz
Patch0:		remove-homebrew-check.patch
Patch1:		install-add-distribution-arg.patch

BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:	python3-mock
BuildRequires:	python3-pytest

%description
autojump provides a fast way to navigate your filesystem, with a "cd command
that learns".

It works by maintaining a database of the directories you use the most from
the command line, and allows you to "jump" to frequently used directories by
typing only "j" + a small pattern.

%package zsh
Requires:       %{name} = %{version}-%{release}
Group:          Shells
Summary:        Autojump for zsh

%description zsh
autojump is a faster way to navigate your filesystem. It works by maintaining
a database of the directories you use the most from the command line.
autojump-zsh is designed to work with zsh.

%prep
%autosetup -p1 -n %{name}-release-v%{version}

# Use system argparse
sed -i 's|autojump_argparse|argparse|' bin/%{name}

# Fix shebangs, non .py files need to be specified manually, so we provide bin/* as well as .
%py3_shebang_fix . ./bin/*
sed -i '1{/^#!/d}' bin/%{name}_*.py

%build
#make docs

%install
%{__python3} install.py \
  --destdir %{buildroot} \
  --prefix usr \
  --zshshare %{buildroot}%{_datadir}/zsh/site-functions \
  --distribution

# Do not need bundled modules
rm %{buildroot}%{_bindir}/%{name}_argparse.py

# Move modules to proper directory
mkdir -p %{buildroot}%{python3_sitelib}
mv %{buildroot}%{_bindir}/%{name}_*.py %{buildroot}%{python3_sitelib}/

%check
%{__python3} -m pytest tests -vv

%files
%doc LICENSE README.md AUTHORS
%{_bindir}/%{name}
%{python3_sitelib}/%{name}_data.py
%{python3_sitelib}/%{name}_match.py
%{python3_sitelib}/%{name}_utils.py
%{python3_sitelib}/__pycache__/%{name}*.pyc
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/icon.png
%{_mandir}/man1/%{name}.1*
%config(noreplace) %{_sysconfdir}/profile.d/%{name}.sh
%config(noreplace) %{_datadir}/%{name}/%{name}.bash
%config(noreplace) %{_datadir}/%{name}/%{name}.fish

%files zsh
%config(noreplace) %{_datadir}/%{name}/%{name}.zsh
%{_datadir}/zsh/site-functions/_j
