%global __requires_exclude typelib\\(Unity\\)

Name:           autokey
Version:        0.96.0
Release:        %mkrel 2
Summary:        Desktop automation utility

Group:          Graphical desktop/Other
License:        GPLv3
URL:            https://github.com/autokey/autokey
Source0:        https://github.com/autokey/autokey/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:         0001-Port-to-Ayatana-AppIndicator.patch

BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

Requires:       python3-pyinotify
Provides:       autokey = %{version}-%{release}
Provides:       autokey-common = %{version}-%{release}
Provides:       autokey-gtk = %{version}-%{release}


%description
AutoKey is a desktop automation utility for Linux and X11. It allows
the automation of virtually any task by responding to typed abbreviations
and hot keys. It offers a full-featured GUI that makes it highly
accessible for novices, as well as a scripting interface offering
the full flexibility and power of the Python language.

%package common
Summary:        Desktop automation utility - common data
Group:          Graphical desktop/Other
Requires:       python3-dbus
Requires:       python3-pyinotify
Requires:       python3-xlib
Requires:       wmctrl
Provides:       autokey = %{version}-%{release}


%description common
This package contains the common data shared between the various front ends.


%package gtk
Summary:        AutoKey GTK+ front end
Group:          Graphical desktop/Other
Requires:       python3-gobject3
Requires:       zenity
Requires:       autokey-common = %{version}-%{release}
Provides:       autokey = %{version}-%{release}

%description gtk
This package contains the GTK+ front end for autokey.


%package qt
Summary:        AutoKey Qt front end
Group:          Graphical desktop/Other
Requires:       python3-qt5-core
Requires:       python3-qt5-dbus
Requires:       python3-qt5-gui
Requires:       python3-qt5-widgets
Requires:       python3-qt5-qscintilla
Requires:       autokey-common = %{version}-%{release}
Provides:       autokey = %{version}-%{release}

%description qt
This package contains the Qt front end for autokey.


%prep
%setup -q
%autopatch -p1

%generate_buildrequires
%pyproject_buildrequires 

%build
%pyproject_wheel


%install
%pyproject_install

# remove shebang from python libraries
for lib in $(find %{buildroot}%{python3_sitelib}/autokey/ -name "*.py"); do
 sed '/\/usr\/bin\/env/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

# # ensure pkg_resources is able to find the required python packages
# sed -i 's/python3-xlib/python-xlib/' %{buildroot}%{python3_sitelib}/%{name}-%{version}.dist-info/requires.txt

%files common
%doc ACKNOWLEDGMENTS README.rst new_features.rst CHANGELOG.rst
%dir %{python3_sitelib}/autokey
%{python3_sitelib}/autokey/*.py*
%{python3_sitelib}/autokey-*.dist-info
%{python3_sitelib}/autokey/__pycache__/
%{python3_sitelib}/autokey/configmanager/
%{python3_sitelib}/autokey/iomediator/
%{python3_sitelib}/autokey/model/
%{python3_sitelib}/autokey/scripting/
%exclude %{python3_sitelib}/autokey/gtkapp.py*
%exclude %{python3_sitelib}/autokey/gtkui/
%exclude %{python3_sitelib}/autokey/__pycache__/gtkapp.*
%exclude %{python3_sitelib}/autokey/qtapp.py*
%exclude %{python3_sitelib}/autokey/qtui/
%exclude %{python3_sitelib}/autokey/__pycache__/qtapp.*
%{_datadir}/icons/hicolor/scalable/apps/autokey-status*.svg
%{_datadir}/icons/hicolor/*/apps/autokey.png
%{_datadir}/icons/hicolor/scalable/apps/autokey.svg
%{_datadir}/icons/ubuntu-mono-dark/apps/*
%{_datadir}/icons/ubuntu-mono-light/apps/*
%{_datadir}/icons/Humanity/scalable/apps/*.svg
%{_bindir}/autokey-run
%{_bindir}/autokey-shell
%{_mandir}/man1/autokey-run.1*

%files gtk
%{_bindir}/autokey-gtk
%{python3_sitelib}/autokey/gtkapp.py*
%{python3_sitelib}/autokey/gtkui/
%{python3_sitelib}/autokey/__pycache__/gtkapp.*
%{_datadir}/applications/autokey-gtk.desktop
%{_mandir}/man1/autokey-gtk.1*

%files qt
%{_bindir}/autokey-qt
%{python3_sitelib}/autokey/qtapp.py*
%{python3_sitelib}/autokey/qtui/
%{python3_sitelib}/autokey/__pycache__/qtapp.*
%{_datadir}/applications/autokey-qt.desktop
%{_mandir}/man1/autokey-qt.1*
