Summary:	Automatically log in
Name:		autologin
Version:	1.0.0
Release:	%mkrel 41
Group:		System/Base
License:	GPLv2
URL:		https://www.linux-easy.com/development/autologin/
Source0:	%{name}-%{version}.tar.bz2
Source1:	startx.autologin
Patch0:		autologin-1.0.0-mga.patch
Patch1:		autologin-glibc28_fix.diff
Patch2:		autologin-1.0.0-tty1.patch
Patch3:		autologin-fix-building-with-gcc14.patch
BuildRequires:	pam-devel 
BuildRequires:	automake 
BuildRequires:	autoconf 
Requires:	initscripts 

%description
Autologin automatically logs in as the user specified in
/etc/sysconfig/autologin and starts the X session defined there.

Install autologin if you want to bypass the login screen.

%prep
%setup -q

%patch -P 0 -p1 -b .fred
%patch -P 1 -p0 -b .glibc28_fix
%patch -P 2 -p1 -b .tty
%patch -P 3 -p1 -b .gcc14

# fix build with new automake 1.13
sed -i -e 's,AM_CONFIG_HEADER,AC_CONFIG_HEADERS,g' configure.*

%build
#FORCE_AUTOCONF_2_5=1 AUTOMAKE="automake --add-missing" autoreconf
autoreconf -fiv
%configure
%make_build

%install
%make_install

install -m755 %{SOURCE1} -D %{buildroot}%{_bindir}/startx.autologin

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig/
cat > %{buildroot}%{_sysconfdir}/sysconfig/autologin <<EOF
# uncomment and set the user 
#USER=
#
# uncomment if you want to run something else than startx
#EXEC=
#
# uncomment to enable autologin, after setting USER
#AUTOLOGIN=yes
EOF

#rename README to show it at install time
mv README  README.urpmi


%files
%doc README.urpmi AUTHORS
%{_sbindir}/autologin
%{_bindir}/startx.autologin
%config(noreplace) /etc/pam.d/autologin
%config(noreplace) %{_sysconfdir}/sysconfig/autologin

