%define amversion 1.17

%global __requires_exclude perl\\(Automake::.*\\)
%global __provides_exclude perl\\(Automake::.*\\)

# See: https://bugs.mageia.org/show_bug.cgi?id=26640
# "automake generates projects that are not portable"
# due to mangled shebangs
%undefine __brp_mangle_shebangs

%bcond_with	check

# comment out if not pre-release
#global	prel	1

Summary:	A GNU tool for automatically creating Makefiles
Name:		automake
Version:	1.17
Release:	%mkrel 1
License:	GPLv2+
Group:		Development/Other
URL:		https://www.gnu.org/software/automake/
Source0:	https://%{?prel:alpha}%{!?prel:ftp}.gnu.org/gnu/automake/automake-%{version}.tar.xz
BuildArch:	noarch

Requires:	autoconf
BuildRequires:	autoconf
BuildRequires:	texinfo
Provides:	automake1.9 = %{version}-%{release}
Provides:	automake1.8 = %{version}-%{release}

# tests need these
%if %{with check}
BuildRequires:	bison
BuildRequires:	dejagnu
BuildRequires:	emacs
BuildRequires:	flex
BuildRequires:	gettext-devel
BuildRequires:	help2man
BuildRequires:	libtool
BuildRequires:	makedepend
BuildRequires:	ncompress
BuildRequires:	python3
BuildRequires:	sharutils
BuildRequires:	tetex-latex
BuildRequires:	texinfo-tex
BuildRequires:	vala
%endif

%description
Automake is a tool for automatically generating Makefiles compliant with
the GNU Coding Standards.

You should install Automake if you are developing software and would like
to use its capabilities of automatically generating GNU standard
Makefiles. If you install Automake, you will also need to install GNU's
Autoconf package.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%check
%if %{with check}
# (Abel) reqd2.test tries to make sure automake won't work if ltmain.sh
# is not present. But automake behavior changed, now it can handle missing
# libtool file as well, so this test is bogus.
sed -e 's!t/reqd2.sh!!g' Makefile
%__make check	# VERBOSE=1
%endif

%install
%make_install

# provide symlinks
for v in 1.8 1.9 1.12 1.14 1.15 1.16; do
  ln -s automake-%{amversion} %{buildroot}%{_bindir}/automake-$v
  ln -s aclocal-%{amversion} %{buildroot}%{_bindir}/aclocal-$v
done

rm -f %{buildroot}/%{_infodir}/*
install -m 644 doc/%{name}.info* %{buildroot}/%{_infodir}/

mkdir -p %{buildroot}%{_datadir}/aclocal

%files
%doc AUTHORS ChangeLog NEWS* README THANKS
%exclude  /usr/share/doc/automake/amhello-1.0.tar.gz
%{_bindir}/automake
%{_bindir}/aclocal
%{_bindir}/automake-%{amversion}
%{_bindir}/aclocal-%{amversion}
%{_bindir}/automake-1.8
%{_bindir}/aclocal-1.8
%{_bindir}/automake-1.9
%{_bindir}/aclocal-1.9
%{_bindir}/automake-1.12
%{_bindir}/aclocal-1.12
%{_bindir}/automake-1.14
%{_bindir}/aclocal-1.14
%{_bindir}/automake-1.15
%{_bindir}/aclocal-1.15
%{_bindir}/automake-1.16
%{_bindir}/aclocal-1.16
%{_datadir}/automake*
%{_infodir}/automake*
%{_datadir}/aclocal*
%{_mandir}/man1/*
