%define destdir %{_libdir}/%{name}

Name:           autopano-sift-C
Version:        2.5.1
Release:        %mkrel 14
Summary:        SIFT Feature Detection implementation
License:        GPLv2
Group:          Graphics/Utilities
Url:            https://hugin.sourceforge.net/
Source0:        https://sourceforge.net/projects/hugin/files/autopano-sift-C/autopano-sift-C-%{version}/autopano-sift-C-%{version}.tar.gz
Patch0:         autopano-sift-C-2.5.1-link.patch
BuildRequires:  cmake
BuildRequires:  pano13-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  libjpeg-devel
BuildRequires:  zlib-devel
BuildRequires:  libxml2-devel

%description
This package provides an implementation of the SIFT algorithm and a set of
utilities to utilize the algorithm to match two or more images. As output, a
number of control points are created, which specify one and the same image
location in two images. The output is created as project file for the hugin
panorama stitching software, which is available at
https://hugin.sourceforge.net/

This package is in tainted because the SIFT algorithm is patented.

%prep
%setup -q
%patch -P 0 -p0

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc LICENSE README README.1ST ChangeLog
%{_mandir}/man?/*
%{_bindir}/*
