# disable bytecompile otside Python-specific directories
%global _python_bytecompile_extra 0

# don't provide plugin .so
%global __provides_exclude_from %{_libdir}/ADM_plugins.*\.so

%define libname		%mklibname %{name}
%define ffmpegversion	4.4.3

# define build_qt -> 1 for building against QT5
# or
# define build_qt6 -> 1 for building against QT6
# (these flags must be mutually exclusive)
%define build_qt	0
%define build_qt6	1

Name:		avidemux
Version:	2.8.1
Release:	%mkrel 18
Summary:	A free video editor
License:	GPLv2+
Group:		Video/Editors and Converters
Url:		http://fixounet.free.fr/avidemux
Source0:	https://downloads.sourceforge.net/%{name}/%{name}_%{version}.tar.gz
Source1:	https://ffmpeg.org/releases/ffmpeg-%{ffmpegversion}.tar.bz2
Source2:	0001-get_cabac_inline_x86-Don-t-inline-the-assembly-funct.patch

Patch0:		avidemux-2.7.1-ffmpeg-version.patch
Patch2:		avidemux-2.8.1-plugins-linkage.patch
Patch3:		0001-Disable-faacDecInit-check.patch
Patch4:		avidemux-2.7.4-fix-build-against-qt-5.15.patch
Patch5:		avidemux-linking.patch
Patch6:		avidemux-fix-cmake.patch
Patch7:		avidemux-2.8.1-compile.patch
Patch8:		avidemux-2.8.1-opengl.patch
Patch9:		ffmpeg_buildfix.patch

# git upstream patches from https://github.com/mean00/avidemux2
Patch102:	0002-demuxers-MpegTS-Fix-segfault-extracting-PSI-payload-.patch
Patch103:	0003-coreDemuxerMpeg-coreUtils-Fix-memleaks-probing-for-s.patch
Patch104:	0004-demuxers-MpegTS-Add-additional-protection-against-ov.patch
Patch105:	0005-demuxers-MpegTS-Increase-audio-probe-size-to-deal-be.patch
Patch106:	0006-demuxers-MpegTS-Compare-offsets-instead-of-pointers.patch
Patch107:	0007-demuxers-MpegTS-Allocate-temporary-buffer-for-video-.patch
Patch108:	0008-demuxers-MpegTS-Add-assert.patch
Patch109:	0009-editor-muxerGate-Start-video-copy-from-a-clean-state.patch
Patch110:	0010-coreVideoCodec-editor-Remove-traces-of-an-old-unused.patch
Patch111:	0011-fix-build-with-latest-nv-codec-headers.patch
Patch112:	0012-Add-upstream-fix-for-NVENC-detection.patch
Patch113:	0013-Fix-build-with-x265-v4.0.patch
Patch114:	0014-Try-to-fix-build-with-Qt-6.8.patch

ExclusiveArch:  x86_64 %{ix86}

# core
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(vdpau)
BuildRequires:	pkgconfig(xv)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	cmake
BuildRequires:	yasm
BuildRequires:	fakeroot
BuildRequires:	chrpath
%if %{build_qt}
# qt
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qttools5
BuildRequires:	xsltproc
BuildRequires:	imagemagick
%endif
%if %{build_qt6}
# qt
BuildRequires:	pkgconfig(Qt6Core)
BuildRequires:	pkgconfig(Qt6Gui)
BuildRequires:	pkgconfig(Qt6Network)
BuildRequires:	pkgconfig(Qt6OpenGL)
BuildRequires:	pkgconfig(Qt6OpenGLWidgets)
BuildRequires:	pkgconfig(Qt6Widgets)
BuildRequires:	qttools6
BuildRequires:	xsltproc
BuildRequires:	imagemagick
%endif
# plugins
%ifarch %{ix86} x86_64
BuildRequires:	aften-devel
%endif
BuildRequires:	a52dec-devel
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(aom)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(libass)
BuildRequires:	pkgconfig(libpulse-simple)
# There are undefined references when building with libva enabled. To review.
BuildRequires:	pkgconfig(libva)
BuildRequires:	pkgconfig(vpx)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(opencore-amrnb)
BuildRequires:	pkgconfig(opencore-amrwb)
BuildRequires:	pkgconfig(twolame)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	lame-devel
BuildRequires:	mp4v2-devel
%if "%distro_section" == "tainted"
BuildRequires:	pkgconfig(x264)
BuildRequires:	pkgconfig(x265)
BuildRequires:	pkgconfig(dcaenc)
BuildRequires:	pkgconfig(libdca)
BuildRequires:	pkgconfig(faad2)
BuildRequires:	xvid-devel
%endif

%description
Avidemux is a free video editor designed for simple cutting,
filtering and encoding tasks.It supports many file types, including
AVI, DVD compatible MPEG files, MP4 and ASF, using a variety of
codecs. Tasks can be automated using projects, job queue and
powerful scripting capabilities.

%package -n	%{libname}
Summary:	Shared libraries for %{name}

%description -n	%{libname}
Shared libraries for %{name}.

%package	devel
Summary:	Header files for %{name}
Requires:	%{libname} = %{version}
Requires:	pkgconfig(vdpau)
Obsoletes:	%{name}-qt-devel < %{version}-%{release}
Obsoletes:	%{name}-cli-devel < %{version}-%{release}

%description	devel
Header files for %{name}.

%package	cli
Summary:	Command line interface for %{name}
%rename		%{name}
Recommends:	%{name}-plugins
Recommends:	%{name}-cli-plugins

%description	cli
This package contains the command-line interface for %{name}.

%if %{build_qt}
%package	qt
Summary:	Qt5 graphical user interface for %{name}
%rename		%{name}
Recommends:	%{name}-plugins
Recommends:	%{name}-qt-plugins

%description	qt
This package contains the Qt5 graphical user interface for %{name}.
%endif

%if %{build_qt6}
%package	qt
Summary:	Qt6 graphical user interface for %{name}
%rename		%{name}
Recommends:	%{name}-plugins
Recommends:	%{name}-qt6-plugins

%description	qt
This package contains the Qt6 graphical user interface for %{name}.
%endif

%package	plugins
Summary:	Plugins for %{name}

%description	plugins
This package contains the common plugins for %{name}.

%package	cli-plugins
Summary:	Plugins for %{name}-cli

%description	cli-plugins
This package contains the plugins for the %{name} command-line interface.

%if %{build_qt}
%package	qt-plugins
Summary:	Plugins for %{name}-qt

%description	qt-plugins
This package contains the plugins for the %{name} graphical user interface.
%endif

%if %{build_qt6}
%package	qt-plugins
Summary:	Plugins for %{name}-qt

%description	qt-plugins
This package contains the plugins for the %{name} graphical user interface.
%endif


%prep
%autosetup -p1 -n %{name}_%{version}

rm -f avidemux_core/ffmpeg_package/ffmpeg-*.tar.bz2
cp %{SOURCE1} avidemux_core/ffmpeg_package/

cp %{SOURCE2} avidemux_core/ffmpeg_package/patches

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
export LDFLAGS="%{ldflags}"
# Temporarily allow underlinking for building with libva enabled
export LDFLAGS=$(echo ${LDFLAGS} | sed -e 's@-Wl,--no-undefined @@g')

# fix menu exec path for QT6
%if %{build_qt6}
perl -pi -e 's@avidemux3_qt5@avidemux3_qt6@g' \
	./avidemux/qt4/xdg_data/org.avidemux.Avidemux.desktop \
	./avidemux/qt4/xdg_data/org.avidemux.Avidemux.appdata.xml.in
# Qt6 requires a C++17 compiler
sed -i 's|"-std=c++11"|"-std=c++17"|' ./avidemux/qt4/CMakeLists.txt
%endif

%if %{build_qt}
export QTDIR=%{_libdir}/qt5
%endif
%if %{build_qt6}
export QTDIR=%{_libdir}/qt6
%endif


bash bootStrap.bash \
     --with-core \
     --with-cli \
     --with-plugins \
     --with-system-libass \
     --with-system-liba52 \
     --with-system-libmad \
%if %build_qt6
     --enable-qt6 \
%endif
     --with-system-libmp4v2

%install
cp -a install/* %{buildroot}
mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 man/avidemux.1 %{buildroot}%{_mandir}/man1
chrpath --delete %{buildroot}%{_libdir}/*.so*
chrpath --delete %{buildroot}%{_libdir}/ADM_plugins6/*/*.so
chrpath --delete %{buildroot}%{_bindir}/*
rm -rf %{buildroot}%{_datadir}/ADM6_addons


%files -n %{libname}
%{_libdir}/libADM_audio*.so
%{_libdir}/libADM_core*.so
%{_libdir}/libADM6*.so.*

%files devel
%{_includedir}/%{name}

%files cli
%{_mandir}/man1/avidemux.1*
%{_bindir}/avidemux3_cli
%{_libdir}/libADM_UI_Cli6.so
%{_libdir}/libADM_render6_cli.so

%if %{build_qt}
%files qt
%{_bindir}/avidemux3_qt5
%{_bindir}/avidemux3_jobs_qt5
%{_libdir}/libADM_UIQT56.so
%{_libdir}/libADM_render6_QT5.so
%{_libdir}/libADM_openGLQT56.so
%dir %{_datadir}/avidemux6
%dir %{_datadir}/avidemux6/qt5
%{_datadir}/metainfo/org.avidemux.Avidemux.appdata.xml
%{_iconsdir}/hicolor/128x128/apps/org.avidemux.Avidemux.png
%{_datadir}/applications/org.avidemux.Avidemux.desktop
%endif

%if %{build_qt6}
%files qt
%{_bindir}/avidemux3_qt6
%{_bindir}/avidemux3_jobs_qt6
%{_libdir}/libADM_UIQT66.so
%{_libdir}/libADM_render6_QT6.so
%{_libdir}/libADM_openGLQT66.so
%dir %{_datadir}/avidemux6
%dir %{_datadir}/avidemux6/qt6
%{_datadir}/metainfo/org.avidemux.Avidemux.appdata.xml
%{_iconsdir}/hicolor/128x128/apps/org.avidemux.Avidemux.png
%{_datadir}/applications/org.avidemux.Avidemux.desktop
%endif

%files plugins
%dir %{_libdir}/ADM_plugins6
%dir %{_libdir}/ADM_plugins6/*
%{_libdir}/ADM_plugins6/*/*
%exclude %{_libdir}/ADM_plugins6/videoFilters/cli/*.so
%if %{build_qt}
%exclude %{_libdir}/ADM_plugins6/videoFilters/qt5/*.so
%endif
%if %{build_qt6}
%exclude %{_libdir}/ADM_plugins6/videoFilters/qt6/*.so
%endif

%files cli-plugins
%{_libdir}/ADM_plugins6/videoFilters/cli/*.so

%if %{build_qt}
%files qt-plugins
%dir %{_datadir}/avidemux6/qt5/i18n
%{_datadir}/avidemux6/qt5/i18n/*.qm
%{_libdir}/ADM_plugins6/videoFilters/qt5/*.so
%endif

%if %{build_qt6}
%files qt-plugins
%dir %{_datadir}/avidemux6/qt6/i18n
%{_datadir}/avidemux6/qt6/i18n/*.qm
%{_libdir}/ADM_plugins6/videoFilters/qt6/*.so
%endif
