%define i18n_version	1.99.0

Name:		avogadro2
Version:	1.99.0
Release:	%mkrel 3
Summary:	An advanced molecular editor
License:	BSD
Group:		Sciences/Chemistry
URL:		https://www.openchemistry.org/projects/avogadro2/
Source0:	https://github.com/OpenChemistry/avogadroapp/archive/%{version}/avogadroapp-%{version}.tar.gz
Source1:	https://github.com/OpenChemistry/avogadro-i18n/archive/%{i18n_version}/avogadro-i18n-%{i18n_version}.tar.gz
# Upstream oatches
Patch1:		0001-Further-fixes-for-Qt6.patch
Patch2:		0001-Port-to-QRegularExpression.patch
# Magiea patches
Patch20:	avogadro2-linking.patch
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	hdf5-devel
BuildRequires:	cmake(AvogadroLibs) >= %{version}
#BuildRequires:	cmake(MoleQueue)
BuildRequires:	pkgconfig(eigen3)
BuildRequires:	pkgconfig(glew)
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Help)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6OpenGL)
BuildRequires:	cmake(Qt6OpenGLWidgets)
BuildRequires:	cmake(Qt6Widgets)

Requires:	avogadrolibs
Requires:	openbabel
Requires:	python%{python3_pkgversion}

%description
Avogadro is an advanced molecular editor designed for cross-platform use in
computational chemistry, molecular modeling, bioinformatics, materials science,
and related areas. It offers flexible rendering and a powerful plugin
architecture. The code in this repository is a rewrite of Avogadro with source
code split across a libraries repository and an application repository. Core
features and goals of the Avogadro project:

  * Open source distributed under the liberal 3-clause BSD license
  * Cross platform with nightly builds on Linux, Mac OS X and Windows
  * Intuitive interface designed to be useful to whole community
  * Fast and efficient embracing the latest technologies
  * Extensible, making extensive use of a plugin architecture
  * Flexible supporting a range of chemical data formats and packages

%prep
%autosetup -p1 -n avogadroapp-%{version} -a1

# help cmake to find translations
ln -s ${PWD}/avogadro-i18n-%{i18n_version}/ ../avogadro-i18n

%build
%cmake_qt6 \
	-DQT_VERSION=6 \
	-DAvogadro_ENABLE_RPC=OFF \
	-DENABLE_TESTING:BOOL=OFF \
	-DCMAKE_SKIP_RPATH:BOOL=ON \
	-DBUILD_DOCUMENTATION:BOOL=ON

%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_datadir}/doc

# more icons
for i in 64 128 256 512; do
	install -Dpm 644 avogadro/icons/%{name}_${i}.png %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps/%{name}.png
done

%files
%doc CONTRIBUTING.md README.md
%license LICENSE
%{_bindir}/avogadro2
%dir %{_datadir}/avogadro2
%dir %{_datadir}/avogadro2/i18n
%{_datadir}/avogadro2/i18n/avogadroapp-*.qm
%{_datadir}/avogadro2/i18n/avogadrolibs-*.qm
%{_datadir}/applications/avogadro2.desktop
%{_datadir}/pixmaps/avogadro2.png
%{_iconsdir}/hicolor/*/apps/avogadro2.png
%{_metainfodir}/avogadro2.appdata.xml
