%define target avr

Name:           %{target}-gdb
Version:        14.2
Release:        %mkrel 1
Summary:        GDB for (remote) debugging %{target} binaries
Group:          Development/Tools
License:        GPLv2+
URL:            https://www.sourceware.org/gdb/
Source0:        https://ftp.gnu.org/gnu/gdb/gdb-%{version}.tar.xz
Source1:        README.mageia
BuildRequires:  pkgconfig(gmp)
BuildRequires:  pkgconfig(mpfr)
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  makeinfo

%description
This is a special version of GDB, the GNU Project debugger, for (remote)
debugging %{target} binaries. GDB allows you to see what is going on
inside another program while it executes or what another program was doing at
the moment it crashed.

%files
%doc gdb-%{version}/COPYING* gdb-%{version}/README*
%{_bindir}/%{name}*
%{_bindir}/avr-run
%{_mandir}/man?/avr-*

#--------------------------------------------------------------------

%prep
%setup -q -c
cp %{SOURCE1} .

# fix build on aarch64
for d in $(find . -name config.guess); do
  cp -af %{_rpmconfigdir}/%{_real_vendor}/config.{guess,sub} $(dirname $d)
done

%build
mkdir -p build
pushd build
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" \
  ../gdb-%{version}/configure --prefix=%{_prefix} \
  --libdir=%{_libdir} --mandir=%{_mandir} --infodir=%{_infodir} \
  --target=%{target} --disable-nls --disable-werror
%make_build
popd


%install
pushd build
%make_install
popd

# we don't want these as we are a cross version
rm -r $RPM_BUILD_ROOT%{_infodir}
rm -r $RPM_BUILD_ROOT%{_includedir}/gdb
rm -r $RPM_BUILD_ROOT%{_includedir}/sim
rm -r $RPM_BUILD_ROOT%{_datadir}/gdb
# Should not be installed
rm    $RPM_BUILD_ROOT%{_libdir}/libavr-sim.a

