%bcond_without  doc
%bcond_without  linuxgpio
%bcond_without  linuxspi
%bcond_without  parport
%bcond_with     sharedlibs

Name:           avrdude
Version:        8.0
Release:        %mkrel 1
Summary:        Software for programming Atmel AVR Microcontroller
Group:          Development/Tools
License:        GPLv2+
URL:            https://www.nongnu.org/avrdude
Source0:        https://github.com/avrdudes/avrdude/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        avrdude-udev-rules
BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(readline)
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(hidapi-hidraw)
BuildRequires:  pkgconfig(libelf)
BuildRequires:  pkgconfig(libftdi1)
BuildRequires:  pkgconfig(libserialport)
BuildRequires:  pkgconfig(libusb-1.0)
BuildRequires:  pkgconfig(python3)
BuildRequires:  swig
BuildRequires:  perl
BuildRequires:  texi2html
BuildRequires:  texinfo-tex
# TODO
#BuildRequires:  pkgconfig(libgpiod)
# Fix for MGA#14513 - post scriptlet failed without systemd.
Requires(post):   systemd
Requires(postun): systemd

%define udev_rules 70-avrdude_usbprog.rules

%description
AVRDUDE is a program for programming Atmel's AVR CPU's. It can program
the Flash and EEPROM, and where supported by the serial programming
protocol, it can program fuse and lock bits. AVRDUDE also supplies a
direct instruction mode allowing one to issue any programming
instruction to the AVR chip regardless of whether AVRDUDE implements
that specific feature of a particular chip.

%prep
%autosetup -p1

%build
%cmake \
	-DBUILD_DOC:BOOL=%{?with_doc:ON}%{!?with_doc:OFF} \
	-DBUILD_SHARED_LIBS:BOOL=%{?with_sharedlibs:ON}%{!?with_sharedlibs:OFF} \
	-DHAVE_LINUXGPIO:BOOL=%{?with_linuxgpio:ON}%{!?with_linuxgpio:OFF} \
	-DHAVE_LINUXSPI:BOOL=%{?with_linuxspi:ON}%{!?with_linuxspi:OFF} \
	-DHAVE_PARPORT:BOOL=%{?with_parport:ON}%{!?with_parport:OFF} \
	-DUSE_EXTERNAL_LIBS:BOOL=OFF \
	-GNinja
%cmake_build

%install
%cmake_install

# remove sharedlibs, if not needed
%if %{without sharedlibs}
rm -fr %{buildroot}%{_includedir}
rm -fr %{buildroot}%{_libdir}
%endif

install -d -m 755 %{buildroot}%{_udevrulesdir}
install -m 644 %{SOURCE1} %{buildroot}%{_udevrulesdir}/%{udev_rules}

%post
udevadm control --reload

%postun
udevadm control --reload


%files
%license COPYING
%doc %{_docdir}/%{name}/
%config(noreplace) %{_sysconfdir}/avrdude.conf
%{_bindir}/%{name}
%{_bindir}/%{name}-gui
%{_bindir}/elf2tag
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1*
%{_infodir}/%{name}.info*
%{_udevrulesdir}/%{udev_rules}
