Name: 		awesfx
Version:	0.5.2
Release:	%mkrel 4
Summary:	Utility programs for the AWE32 sound driver
Group:		System/Kernel and hardware
URL:		https://github.com/tiwai/awesfx
Source0:	https://deb.debian.org/debian/pool/main/a/awesfx/awesfx_%{version}.orig.tar.gz
# This link is defunct as of 2024
Source2:	https://www.pvv.org/~thammer/localfiles/soundfonts_other/gu11-rom.zip
# Upstream https://github.com/tiwai/awesfx/commit/682d0caaffa9bfcc2381b947fb47395fb3da98b9
Patch0:	    awesfx-fix-return-in-alsa.patch
License:	GPL
BuildRequires:	unzip
BuildRequires:	pkgconfig(alsa)

%description
The awesfx package contains necessary utilities for the AWE32
sound driver.

If you must use an AWE32 sound driver, you should install
this package.

%package	devel
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Summary:	Development files for awesfx

%description	devel
Development files needed for awesfx.

%prep
%autosetup -p1
mkdir gu11-rom
cd gu11-rom
unzip %{SOURCE2}
cd ..

%build
# to recognize aarch64
autoreconf -vfi

%configure
%make_build

%install
mkdir -p %{buildroot}{%_mandir,%_bindir,%_libdir}
mkdir -p %{buildroot}%{_sysconfdir}/midi

%make_install

mkdir -p %{buildroot}%{_includedir}/awe
for i in include/*.h ; do
install -m 644 $i %{buildroot}%{_includedir}/awe
done
cp gu11-rom/GU11-ROM.SF2 %{buildroot}%{_sysconfdir}/midi
rm -rf %{buildroot}%{_libdir}/sfbank
install -m 644 awelib/libawe.a %{buildroot}%{_libdir}

%files
%doc gu11-rom
%config(noreplace) %{_sysconfdir}/midi/GU11-ROM.SF2
%{_bindir}/*
%{_mandir}/man1/*.1*
%{_datadir}/sounds/sf2

%files devel
%dir %{_includedir}/awe
%{_includedir}/awe/*
%{_libdir}/*.a
