# short-term fix for FTBFS with GCC10
%define _legacy_common_support 1

Name:		awesome
Version:	4.3
Release:	%mkrel 6
Summary:	Highly configurable, framework window manager for X. Fast, light and extensible
Group:		Graphical desktop/Other
License:	GPLv2+
URL:		https://awesomewm.org/
Source0:	https://github.com/awesomeWM/awesome-releases/raw/master/%{name}-%{version}.tar.xz
Patch0:		awesome-3.5.2-link.patch
Patch1:		awesome-lua5.1.patch
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(cairo-xcb)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libev)
BuildRequires:	pkgconfig(libstartup-notification-1.0) >= 0.10
BuildRequires:	pkgconfig(libxdg-basedir) >= 1.0.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcb) >= 1.6
BuildRequires:	pkgconfig(xcb-cursor)
BuildRequires:	pkgconfig(xcb-icccm) >= 0.3.8
BuildRequires:	pkgconfig(xcb-keysyms) >= 0.3.4
BuildRequires:	pkgconfig(xcb-randr)
BuildRequires:	pkgconfig(xcb-shape)
BuildRequires:	pkgconfig(xcb-util) >= 0.3.8
BuildRequires:	pkgconfig(xcb-xinerama)
BuildRequires:	pkgconfig(xcb-xrm)
BuildRequires:	pkgconfig(xcb-xtest)
BuildRequires:	pkgconfig(xkbcommon)
BuildRequires:	pkgconfig(xproto) >= 7.0.15
BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	gettext-devel
BuildRequires:	lua5.1-devel
BuildRequires:	lua5.1-lgi >= 0.7.0
BuildRequires:	imagemagick
BuildRequires:	intltool
BuildRequires:	ruby-asciidoctor
BuildRequires:	xmlto-notex
BuildRequires:	docbook-dtds
BuildRequires:	docbook-style-xsl
#FIXME: why does the export not work :/
BuildRequires:	typelib(Pango)

Requires:	lua5.1-lgi >= 0.7.0
Requires:	typelib(Pango)
Requires:	typelib(cairo)
Requires:	xterm
# (eatdirt) default editor for editing configuration
Requires:	nano
# for wallpaper setting handling
Requires:	feh
# widgets
Recommends:	awesome-plugin-vicious
# to test a new config without screwing the main one
Recommends:	x11-server-xephyr

%description
Awesome is a highly configurable, next generation framework window
manager for X. It is very fast, light and extensible.

It is primarily targeted at power users, developers and any people
dealing with every day computing tasks and want to have fine-grained
control on its graphical environment.


%prep
%setup -q
%autopatch -p1

%build
%cmake \
	-DXDG_CONFIG_DIR=%{_sysconfdir}/xdg \
	-DLUA_VERSION=5.1
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-man --all-name

%posttrans
# (ovitters) In posttrans, $1 is always equal to 1, even in the upgrade case.
# So just run this always:
if [ -e %{_datadir}/xsessions/19awesome.desktop ]; then
	rm -rf %{_datadir}/xsessions/19awesome.desktop
fi
if [ -e %{_sysconfdir}/X11/dm/Sessions/19awesome.desktop ]; then
	rm -rf %{_sysconfdir}/X11/dm/Sessions/19awesome.desktop
fi

%files -f %{name}.lang
%config(noreplace) %{_sysconfdir}/xdg/%{name}/rc.lua
%{_datadir}/xsessions/%{name}.desktop
%{_bindir}/%{name}
%{_bindir}/%{name}-client
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/icons/*
%{_datadir}/%{name}/lib/*
%{_datadir}/%{name}/themes/*
%{_docdir}/%{name}/{*.md,LICENSE}
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/%{name}-client.1.*
%{_mandir}/man5/awesomerc.5.*
