Name:		awstats
Version:	7.9
Release:	%mkrel 1
Summary:	Advanced Web Statistics
License:	GPLv2
Group:		Networking/WWW
URL:		https://www.awstats.org/
Source0:	https://prdownloads.sourceforge.net/awstats/%{name}-%{version}.tar.gz

Requires:	webserver
BuildArch:	noarch

%description
Advanced Web Statistics is a powerful and featureful tool that generates
advanced web server graphic statistics. This server log analyzer works
from command line or as a CGI and shows you all information your log contains,
in graphical web pages. It can analyze a lot of web/wap/proxy servers like
Apache, IIS, Weblogic, Webstar, Squid, ... but also mail or ftp servers.

This program can measure visits, unique visitors, authenticated users, pages,
domains/countries, OS busiest times, robot visits, type of files, search
engines/keywords used, visits duration, HTTP errors and more...
Statistics can be updated from a browser or your scheduler.
The program also supports virtual servers, plugins and a lot of features.

%prep
%autosetup -p1

# fix perms
find . -type f -exec chmod 644 {} \;
find . -name *.pl -exec chmod 755 {} \;
rm -f  wwwroot/cgi-bin/plugins/.#geoip_city_maxmind.pm.1.8

%build

%install

# apache configuration
install -d -m 755 %{buildroot}%{_webappconfdir}
cat > %{buildroot}%{_webappconfdir}/%{name}.conf <<EOF
# Awstats configuration

Alias /awstats %{_datadir}/%{name}/www
<Directory %{_datadir}/%{name}/www>
    Require all granted

    Options ExecCGI
    AddHandler cgi-script .pl
    DirectoryIndex awstats.pl
</Directory>

SetEnv PERL5LIB %{_datadir}/%{name}/lib:%{_datadir}/%{name}/plugins
EOF

# cron task
install -d -m 755 %{buildroot}%{_sysconfdir}/cron.daily
cat > %{buildroot}%{_sysconfdir}/cron.daily/%{name} <<EOF
#!/bin/sh
%{_datadir}/%{name}/www/awstats.pl -config=awstats.conf -update > /dev/null
EOF
chmod 755 %{buildroot}%{_sysconfdir}/cron.daily/%{name}

install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}
install -m 644 wwwroot/cgi-bin/awstats.model.conf \
    %{buildroot}%{_sysconfdir}/%{name}/%{name}.conf

perl -pi \
    -e 's|^LogFile=.*|LogFile="/var/log/httpd/access_log"|;' \
    -e 's|^DirData=.*|DirData="/var/lib/awstats"|;' \
    -e 's|^DirCgi=.*|DirCgi="/awstats"|;' \
    -e 's|^DirIcons=.*|DirIcons="/awstats/icon"|;' \
    -e 's|^MiscTrackerUrl=.*|MiscTrackerUrl="/awstats/js/awstats_misc_tracker.js"|;' \
    %{buildroot}%{_sysconfdir}/%{name}/%{name}.conf

install -d -m 755 %{buildroot}%{_datadir}/%{name}
install -d -m 755 %{buildroot}%{_datadir}/%{name}/www
install -m 755 wwwroot/cgi-bin/awstats.pl %{buildroot}%{_datadir}/%{name}/www
cp -r wwwroot/icon %{buildroot}%{_datadir}/%{name}/www
cp -r wwwroot/css %{buildroot}%{_datadir}/%{name}/www
cp -r wwwroot/js %{buildroot}%{_datadir}/%{name}/www

cp -r tools %{buildroot}%{_datadir}/%{name}
cp -r wwwroot/cgi-bin/lang %{buildroot}%{_datadir}/%{name}
cp -r wwwroot/cgi-bin/lib %{buildroot}%{_datadir}/%{name}
cp -r wwwroot/cgi-bin/plugins %{buildroot}%{_datadir}/%{name}

install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}

%post
if [ $1 -eq 1 ]; then
	perl -pi \
        -e 's/SiteDomain=""/SiteDomain="'`hostname`'"/' \
        %{_sysconfdir}/%{name}/%{name}.conf
fi

%files
%doc README.md docs/*
%config(noreplace) %{_webappconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/cron.daily/%{name}
%{_datadir}/%{name}
%{_localstatedir}/lib/%{name}
