%global _python_dist_allow_version_zero 1

%define	oname	b43-tools-b43-fwcutter

Name:		b43-tools
Version:	019
Release:	%mkrel 8
Summary:	Tools for the Broadcom 43xx series WLAN chip
Group:		System/Networking
# assembler — GPLv2
# debug — GPLv3
# disassembler — GPLv2
# ssb_sprom — GPLv2+
License:	GPLv2 and GPLv2+ and GPLv3
URL:		https://bues.ch/gitweb?p=b43-tools.git;a=summary
Source0:	https://bues.ch/cgit/b43-tools.git/snapshot/%{oname}-%{version}.tar.xz
Patch1:		0001-b43-tools-fix-format-security-errors.patch
Patch2:		0002-Use-2to3-to-convert-to-Python3.patch
Patch3:		0002-Explicitly-use-python3.patch
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pkgconfig(python3)


%description
Tools for the Broadcom 43xx series WLAN chip.


%prep
%autosetup -p1 -n %{oname}-%{version}
install -p -m 0644 assembler/COPYING COPYING.assembler
install -p -m 0644 assembler/README README.assembler
install -p -m 0644 debug/COPYING COPYING.debug
install -p -m 0644 debug/README README.debug
install -p -m 0644 disassembler/COPYING COPYING.disassembler
install -p -m 0644 ssb_sprom/README README.ssb_sprom
install -p -m 0644 ssb_sprom/COPYING COPYING.ssb_sprom

# For py3_build/py3_install macros
install -p -m 0644 debug/install.py debug/setup.py

%build
CFLAGS="%{optflags}" make %{?_smp_mflags} -C assembler
CFLAGS="%{optflags}" make %{?_smp_mflags} -C disassembler
CFLAGS="%{optflags}" make %{?_smp_mflags} -C ssb_sprom
cd debug && %pyproject_wheel


%install
mkdir -p %{buildroot}%{_bindir}
install -p -m 0755 assembler/b43-asm %{buildroot}%{_bindir}
install -p -m 0755 assembler/b43-asm.bin %{buildroot}%{_bindir}
install -p -m 0755 disassembler/b43-dasm %{buildroot}%{_bindir}
install -p -m 0755 disassembler/b43-ivaldump %{buildroot}%{_bindir}
install -p -m 0755 disassembler/brcm80211-fwconv %{buildroot}%{_bindir}
install -p -m 0755 disassembler/brcm80211-ivaldump %{buildroot}%{_bindir}
install -p -m 0755 ssb_sprom/ssb-sprom %{buildroot}%{_bindir}
cd debug && %pyproject_install
%pyproject_save_files libb43


%files -f %{pyproject_files}
%doc README.* COPYING.*
%{_bindir}/b43-asm
%{_bindir}/b43-asm.bin
%{_bindir}/b43-beautifier
%{_bindir}/b43-dasm
%{_bindir}/b43-fwdump
%{_bindir}/b43-ivaldump
%{_bindir}/brcm80211-fwconv
%{_bindir}/brcm80211-ivaldump
%{_bindir}/ssb-sprom
