%global major 1
%define libname %mklibname babeltrace %{major}
%define devname %mklibname babeltrace -d

Name:           babeltrace
Version:        1.5.11
Release:        %mkrel 2
License:        MIT and GPLv2
URL:            https://www.efficios.com/babeltrace
Source0:        https://www.efficios.com/files/%{name}/%{name}-%{version}.tar.bz2
Group:          Development/Tools
Summary:        Trace Viewer and Converter, mainly for the Common Trace Format
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(popt)
BuildRequires:  pkgconfig(uuid)
BuildRequires:  libtool
BuildRequires:  pkgconfig(libelf)

%description
This project provides trace read and write libraries, as well as a trace
converter. A plugin can be created for any trace format to allow its conversion
to/from another trace format.

The main format expected to be converted to/from is the Common Trace
Format (CTF). See https://www.efficios.com/ctf


%package -n     %{libname}
Summary:        Common Trace Format Babel Tower
Group:          Development/C

%description -n %{libname}
This project provides trace read and write libraries, as well as a trace
converter. A plugin can be created for any trace format to allow its conversion
to/from another trace format.


%package -n     %{devname}
Summary:        Common Trace Format Babel Tower
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:       glib2-devel
Provides:       %{name}-devel = %{version}-%{release}
Provides:       libbabeltrace-devel = %{version}-%{release}

%description -n %{devname}
This project provides trace read and write libraries, as well as a trace
converter. A plugin can be created for any trace format to allow its conversion
to/from another trace format.


%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure --disable-static

%make_build

%check
make check

%install
%make_install

find %{buildroot} -name '*.la' -delete


%files
%{_bindir}/%{name}*
%doc ChangeLog LICENSE gpl-2.0.txt mit-license.txt
%doc std-ext-lib.txt doc/*.txt
%{_mandir}/man1/*.1*

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*
%doc ChangeLog LICENSE gpl-2.0.txt mit-license.txt
%doc std-ext-lib.txt doc/*.txt

%files -n %{devname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/babeltrace.pc
%{_libdir}/pkgconfig/babeltrace-ctf.pc
