Name:		backintime
Version:	1.5.4
Release:	%mkrel 1
Summary:	Backup tool for Linux
License:	GPLv2+
Group:		Archiving/Backup
URL:		https://github.com/bit-team/backintime
Source0:	https://github.com/bit-team/backintime/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	cronie
BuildRequires:	gettext
BuildRequires:	cmake(bash-completion)
BuildRequires:	pkgconfig(python3)

%description
Back In Time is a simple backup tool for Linux inspired from
Flyback project and TimeVault.

#--------------------------------------------------------------------

%package	common
Summary:	Back Up Tool for Linux
Group:		Archiving/Backup
Requires:	python3
Requires:	rsync
Requires:	cron-daemon
Requires:	python3-keyring
Requires:	python3-dbus
Requires:	python3-packaging
Requires:	cronie
Requires:	openssh-clients
Recommends:	sshfs-fuse
Recommends:	encfs

%description	common
Common files for Back In Time.

%files common -f %{name}.lang
%doc %{_datadir}/doc/%{name}/
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_bindir}/%{name}
%{_bindir}/%{name}-askpass
%dir %{_datadir}/%{name}/
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/common/
%{_datadir}/%{name}/plugins/usercallbackplugin.py
%{_datadir}/bash-completion/completions/%{name}
%{_metainfodir}/io.github.bit_team.back_in_time.gui.metainfo.xml
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/%{name}-askpass.1.*
%{_mandir}/man1/%{name}-config.1.*

#---------------------------------------------------------------------

%package	qt
Summary:	Qt Frontend for Back In Time
Group:		Archiving/Backup
Requires:	%{name}-common = %{version}-%{release}
Requires:	x11-tools
Requires:	python3-qt5-core
Requires:	python3-qt5-gui
Requires:	python3-qt5-network
Requires:	python3-qt5-widgets
Requires:	libnotify
Requires:	polkit
Requires:	python3-keyring
Requires:	python3-secretstorage

Provides:	backintime-kde4 = %{version}-%{release}
Provides:	backintime-notify = %{version}-%{release}
Provides:	backintime-gnome = %{version}-%{release}
Provides:	backintime-qt4 = %{version}-%{release}

%description	qt
Qt Frontend for Back In Time.

%files qt
%doc %{_docdir}/%{name}-qt/
%{_bindir}/%{name}-qt
%{_bindir}/%{name}-qt-root
%{_bindir}/backintime-qt_polkit
%{_sbindir}/%{name}-qt-root
%config(noreplace) %{_sysconfdir}/pam.d/%{name}-qt-root
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}-qt-root
%{_datadir}/dbus-1/system.d/net.launchpad.%{name}.serviceHelper.conf
%{_datadir}/dbus-1/system-services/net.launchpad.%{name}.serviceHelper.service
%{_datadir}/polkit-1/actions/net.launchpad.%{name}.policy
%{_datadir}/applications/%{name}-qt.desktop
%{_datadir}/applications/%{name}-qt-root.desktop
%{_datadir}/%{name}/qt/
%{_datadir}/%{name}/plugins/notifyplugin.py
%{_datadir}/%{name}/plugins/systrayiconplugin.py
%{_datadir}/bash-completion/completions/backintime-qt
%{_iconsdir}/hicolor/*/actions/*.svg
%{_mandir}/man1/%{name}-qt.1.*

#---------------------------------------------------------------------

%prep
%autosetup -p1

# Fix documentation directories.
sed -i -e "s|'%{name}-common'|'%{name}'|g" common/config.py
sed -i -e "s|%{name}-common|%{name}|g" common/configure

%build
pushd common
%configure
%make_build
popd

pushd qt
%configure --python=%{python3}
%make_build
popd

%install
pushd common
%make_install
popd

pushd qt
%make_install
popd

desktop-file-install \
      --dir=%{buildroot}%{_datadir}/applications \
      %{buildroot}%{_datadir}/applications/%{name}-qt.desktop

desktop-file-install \
      --dir=%{buildroot}%{_datadir}/applications/ \
      --add-category="KDE;GNOME;Settings;" \
      %{buildroot}%{_datadir}/applications/%{name}-qt-root.desktop


mkdir -p %{buildroot}%{_sbindir}
cp -p %{buildroot}%{_bindir}/%{name}-qt \
      %{buildroot}%{_sbindir}/%{name}-qt-root

ln -s consolehelper \
      %{buildroot}%{_bindir}/%{name}-qt-root

mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps/

cat << EOF > %{buildroot}%{_sysconfdir}/security/console.apps/%{name}-qt-root
USER=root
PROGRAM=%{_sbindir}/%{name}-qt-root
SESSION=true
EOF

mkdir -p %{buildroot}%{_sysconfdir}/pam.d

cat << EOF > %{buildroot}%{_sysconfdir}/pam.d/%{name}-qt-root
#%PAM-1.0
auth            include         config-util
account         include         config-util
session         include         config-util
EOF

chmod +x %{buildroot}%{_datadir}/%{name}/common/askpass.py
chmod +x %{buildroot}%{_datadir}/%{name}/common/bcolors.py

# Manually invoke the python byte compile macro for each path that needs byte
# compilation.
%py_byte_compile %{python3} %{buildroot}%{_datadir}/%{name}/qt

%find_lang %{name}
