Name:           backup-manager
Version:        0.7.16
Release:        %mkrel 3
Summary:        A command line backup tool for GNU/Linux

Group:          Archiving/Backup
License:        GPLv2+
URL:            https://github.com/sukria/Backup-Manager/
Source0:        https://github.com/sukria/Backup-Manager/archive/%{version}/Backup-Manager-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  gettext
Requires:       util-linux-ng
Requires:       bc
Requires:       bzip2
Requires:       diffutils
Requires:       less
Requires:       gettext
Requires:       gnupg
Requires:       gzip
Requires:       openssh-clients
Requires:       rsync
Requires:       sed
Requires:       tar
Requires:       which
Recommends:     cdrkit-genisoimage
Recommends:     cdrkit
Recommends:     dvd+rw-tools
Recommends:     dar

%description
Backup Manager is a command line backup tool for GNU/Linux, designed to help
you make daily archives of your file system. Written in bash and Perl, it can
make archives in lots of open formats (tar, gzip, bzip2, lzma, dar, zip) and
provides lots of interesting features (such as network exports or CD/DVD
automated-burning).

The program is designed to be as easy to use as possible and is popular with
desktop users and sysadmins. The whole backup process is defined in one
full-documented configuration file which needs no more than 5 minutes to tune
for your needs.

%prep
%setup -q -n Backup-Manager-%{version}

# Clean Makefile
sed -i -e "s@install -o root -g 0 @install @" Makefile

# rpmlint W: file-not-utf8
for file in  ChangeLog THANKS; do
    iconv -f ISO_8859-1 -t UTF-8 -o ${file}{.utf8,}
    mv ${file}{.utf8,}
done;

%build
%make_build PREFIX=%{_prefix}

%install
%make_install PREFIX=%{_prefix} PERL5DIR=%{perl_vendorlib}

%find_lang %{name}

# Create backup directory
install -d %{buildroot}%{_localstatedir}/lib/%{name}

# Copy configuration
install -p -D -m 0644 %{buildroot}%{_datadir}/%{name}/%{name}.conf.tpl \
    %{buildroot}%{_sysconfdir}/%{name}.conf
perl -pi \
    -e 's|BM_REPOSITORY_ROOT="/var/archives"|BM_REPOSITORY_ROOT="%{_localstatedir}/lib/%{name}"|' \
    %{buildroot}%{_sysconfdir}/%{name}.conf

# Add cron.daily
install -d -m 755 %{buildroot}%{_sysconfdir}/cron.daily/
cat > %{buildroot}%{_sysconfdir}/cron.daily/%{name} <<EOF
#!/bin/sh
%{_sbindir}/%{name} -v
EOF
chmod 755 %{buildroot}%{_sysconfdir}/cron.daily/%{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING NEWS README.md THANKS
%{_bindir}/%{name}-purge
%{_bindir}/%{name}-upload
%{_sbindir}/%{name}
%{perl_vendorlib}/BackupManager
%{_datadir}/%{name}/
%{_prefix}/lib/%{name}/
%{_mandir}/man8/%{name}*
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_sysconfdir}/cron.daily/%{name}
%{_localstatedir}/lib/%{name}
