%define _disable_ld_no_undefined 1

%define libname %mklibname bacula 7
%define sql_libname %mklibname bacula-sql 7
%define devel %mklibname -d bacula

%define bacula_user bacula

# directories and paths
%define bacula_confdir %{_sysconfdir}/bacula
%define script_dir %{_libexecdir}/bacula
%define bacula_home_dir %{_localstatedir}/lib/bacula
%define archivedir %{_localstatedir}/spool/bacula
%define subsysdir %{_localstatedir}/lock/subsys
%define log_dir %{_logdir}/bacula

# Prevent the non-existant libbacats-x.x.x.so library to be required. The library
# is provided by the libbacats-database-x.x.x.so variants and selected with the
# update-alternatives mechanism.
# RPM complains, as the shared object name it is always libbacats-x.x.x.so in all
# the database shared object variants.

%global __requires_exclude ^libbaccats.*\\.so.*$

# fixes passwords in configuration files
# removing "SubSys Directory" is needed if upgrading from 1.30a or lower
%define post_fix_config() {\
umask 0037;\
if [ -s %{bacula_confdir}/.pw.sed ]; then\
    for i in %{bacula_confdir}/%{1}.conf %{bacula_confdir}/%{1}.conf.rpmnew; do\
        if [ -s $i ]; then\
            sed -i -f %{bacula_confdir}/.pw.sed $i;\
            sed -i -e '/SubSys[[:space:]]*Directory/I d' $i;\
        fi;\
    done;\
fi;\
}


Name:               bacula
Epoch:              1
Version:            15.0.2
Release:            %mkrel 1
Summary:            Cross platform network backup for Linux, Unix, Mac and Windows
# See LICENSE for details
License:            AGPLv3 with exceptions
Group:              Archiving/Backup
URL:                https://www.bacula.org/

Source0:            https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

Source2:            quickstart_postgresql.txt
Source3:            quickstart_mysql.txt
Source4:            quickstart_sqlite3.txt
Source5:            README.mageia
Source6:            %{name}.logrotate
Source7:            %{name}-fd-tmpfiles.conf
Source8:            %{name}-dir-tmpfiles.conf
Source9:            %{name}-sd-tmpfiles.conf
Source10:           %{name}-fd.service
Source11:           %{name}-dir.service
Source12:           %{name}-sd.service
Source15:           %{name}-fd.sysconfig
Source16:           %{name}-dir.sysconfig
Source17:           %{name}-sd.sysconfig

Patch1:             %{name}-9.0.6-openssl.patch
Patch2:             %{name}-9.0.0-queryfile.patch
Patch3:             %{name}-9.0.4-sqlite-priv.patch
Patch4:             %{name}-9.0.6-bat-build.patch
Patch5:             %{name}-9.0.0-seg-fault.patch
Patch6:             %{name}-5.2.13-logwatch.patch
# desktop-file-install not supported on RHEL 6
Patch8:             %{name}-9.0.2-desktop.patch
Patch100:           %{name}-mageia-platform.patch

BuildRequires:      desktop-file-utils
BuildRequires:      perl
BuildRequires:      sed

BuildRequires:      glibc-devel
BuildRequires:      ImageMagick
BuildRequires:      libacl-devel
BuildRequires:      libstdc++-devel
BuildRequires:      pkgconfig(libxml-2.0)
BuildRequires:      pkgconfig(libcap)
BuildRequires:      liblzo
BuildRequires:      mysql-devel
BuildRequires:      pkgconfig(ncurses)
BuildRequires:      pkgconfig(openssl)
BuildRequires:      pkgconfig(libpq) >= 15
BuildRequires:      pkgconfig(readline)
BuildRequires:      pkgconfig(zlib)
BuildRequires:      pkgconfig(Qt5Core)
BuildRequires:      pkgconfig(Qt5Gui)
BuildRequires:      pkgconfig(Qt5Widgets)
BuildRequires:      tcp_wrappers-devel
BuildRequires:      pkgconfig(sqlite3)
BuildRequires:      systemd

%description
Bacula is a set of programs that allow you to manage the backup, recovery, and
verification of computer data across a network of different computers. It is
based on a client/server architecture and is efficient and relatively easy to
use, while offering many advanced storage management features that make it easy
to find and recover lost or damaged files.


%package            -n %{libname}
Summary:            Bacula libraries
Group:              System/Libraries

%description        -n %{libname}
Bacula is a set of programs that allow you to manage the backup,
recovery, and verification of computer data across a network of
different computers. It is based on a client/server architecture.

This package contains basic Bacula libraries, which are used by all
Bacula programs.


%package            -n %{sql_libname}
Summary:            Bacula SQL libraries
Group:              System/Libraries
Provides:           bacula-libs-mysql = %{version}-%{release}
Provides:           bacula-libs-sqlite3 = %{version}-%{release}
Provides:           bacula-libs-postgresql = %{version}-%{release}

%description        -n %{sql_libname}
Bacula is a set of programs that allow you to manage the backup, recovery, and
verification of computer data across a network of different computers. It is
based on a client/server architecture.

This package contains the SQL Bacula libraries, which are used by Director and
Storage daemons. You have to select your preferred catalog library through the
alternatives system.


%package            common
Summary:            Common Bacula files
Group:              Archiving/Backup
Requires:           %{libname}  = %{epoch}:%{version}-%{release}
Requires(pre):      shadow-utils
Requires(postun):   shadow-utils

%description        common
Bacula is a set of programs that allow you to manage the backup, recovery, and
verification of computer data across a network of different computers. It is
based on a client/server architecture.

This package contains files common to all Bacula daemons.


%package            dir
Summary:            Bacula Director files
Group:              Archiving/Backup
Requires:           bacula-common  = %{epoch}:%{version}-%{release}
Requires:           %{libname}  = %{epoch}:%{version}-%{release}
Requires:           %{sql_libname}  = %{epoch}:%{version}-%{release}
Requires:           logwatch
# Director backends merged into core.
Provides:           bacula-dir-common = %{epoch}:%{version}-%{release}
Provides:           bacula-dir-mysql = %{epoch}:%{version}-%{release}
Provides:           bacula-dir-sqlite3 = %{epoch}:%{version}-%{release}
Provides:           bacula-dir-postgresql = %{epoch}:%{version}-%{release}
Requires(post):     rpm-helper >= %{rpmhelper_required_version}
Requires(preun):    rpm-helper >= %{rpmhelper_required_version}

%description        dir
Bacula is a set of programs that allow you to manage the backup, recovery, and
verification of computer data across a network of different computers. It is
based on a client/server architecture.

This package contains the director files.


%package            sd
Summary:            Bacula storage daemon files
Group:              Archiving/Backup
Requires:           bacula-common  = %{epoch}:%{version}-%{release}
Requires:           %{libname}   = %{epoch}:%{version}-%{release}
Requires:           %{sql_libname}  = %{epoch}:%{version}-%{release}
Requires:           mt-st
Requires:           mtx
# Storage backends merged into core.
Provides:           bacula-sd-common = %{version}-%{release}
Provides:           bacula-sd-mysql = %{version}-%{release}
Provides:           bacula-sd-sqlite3 = %{version}-%{release}
Provides:           bacula-sd-postgresql = %{version}-%{release}

Requires(post):     rpm-helper >= %{rpmhelper_required_version}
Requires(preun):    rpm-helper >= %{rpmhelper_required_version}

%description        sd
Bacula is a set of programs that allow you to manage the backup, recovery, and
verification of computer data across a network of different computers. It is
based on a client/server architecture.

This package contains the storage daemon, the daemon responsible for writing
the data received from the clients onto tape drives or other mass storage
devices.


%package            fd
Summary:            Bacula backup client
Group:              Archiving/Backup
Requires:           bacula-common  = %{epoch}:%{version}-%{release}
Requires:           %{libname}   = %{epoch}:%{version}-%{release}

# this is for useradd, groupadd, etc.
Requires(post):     rpm-helper >= %{rpmhelper_required_version}
Requires(preun):    rpm-helper >= %{rpmhelper_required_version}
Requires(pre):      %{_sbindir}/useradd
Requires(pre):      %{_sbindir}/groupadd

%description        fd
Bacula is a set of programs that allow you to manage the backup, recovery, and
verification of computer data across a network of different computers. It is
based on a client/server architecture.

This package contains the bacula client, the daemon running on the system to be
backed up.


%package            console
Summary:            Bacula management console
Group:              Archiving/Backup
Requires:           %{libname}  = %{epoch}:%{version}-%{release}

%description console
Bacula is a set of programs that allow you to manage the backup, recovery, and
verification of computer data across a network of different computers. It is
based on a client/server architecture.

This package contains the command-line management console for the bacula backup
system.


%package            bat
Summary:            Bacula bat console
Group:              Archiving/Backup
Requires:           %{libname}   = %{epoch}:%{version}-%{release}

%description        bat
Bacula is a set of programs that allow you to manage the backup, recovery, and
verification of computer data across a network of different computers. It is
based on a client/server architecture.

This package contains the bat version of the bacula management console.


%package            tray-monitor
Summary:            Bacula system tray monitor
Group:              Archiving/Backup
Requires:           %{libname}   = %{epoch}:%{version}-%{release}

%description        tray-monitor
Bacula is a set of programs that allow you to manage the backup, recovery, and
verification of computer data across a network of different computers. It is
based on a client/server architecture.

This package contains the Gnome and KDE compatible tray monitor to monitor your
bacula server.


%package            -n %{devel}
Summary:            Bacula development files
Group:              System/Libraries
Requires:           %{libname}   = %{epoch}:%{version}-%{release}
Requires:           %{sql_libname}  = %{epoch}:%{version}-%{release}
Conflicts:          %{_lib}bacula-sql7 < 1:9.0.6-2

%description        -n %{devel}
Bacula is a set of programs that allow you to manage the backup, recovery, and
verification of computer data across a network of different computers. It is
based on a client/server architecture.

This development package contains static libraries and header files.


%package            -n nagios-plugins-bacula
Summary:            Nagios Plugin - check_bacula
Group:              Archiving/Backup
Requires:           %{libname}   = %{epoch}:%{version}-%{release}
Requires:           nagios

%description        -n nagios-plugins-bacula
Provides check_bacula support for Nagios.


%prep
%autosetup -p1

cp %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} .

# Remove execution permissions from files we're packaging as docs later on
find updatedb -type f | xargs chmod -x


%build
export CFLAGS="%{optflags} -I%{_includedir}/ncurses"
export CPPFLAGS="%{optflags} -I%{_includedir}/ncurses"
%configure \
        --disable-conio \
        --disable-rpath \
        --docdir=%{_datadir}/bacula \
        --enable-bat \
        --enable-batch-insert \
        --enable-build-dird \
        --enable-build-stored \
        --enable-includes \
        --enable-largefile \
        --enable-readline \
        --enable-smartalloc \
        --sysconfdir=%{_sysconfdir}/bacula \
        --with-basename=bacula \
        --with-bsrdir=%{archivedir} \
        --with-dir-password=@@DIR_PASSWORD@@ \
        --with-fd-password=@@FD_PASSWORD@@ \
        --with-hostname=localhost \
        --with-logdir=%{log_dir} \
        --with-mon-dir-password=@@MON_DIR_PASSWORD@@ \
        --with-mon-fd-password=@@MON_FD_PASSWORD@@ \
        --with-mon-sd-password=@@MON_SD_PASSWORD@@ \
        --with-mysql \
        --with-openssl \
        --with-pid-dir=%{_localstatedir}/run \
        --with-plugindir=%{_libdir}/bacula \
        --with-postgresql \
        --with-scriptdir=%{script_dir} \
        --with-sd-password=@@SD_PASSWORD@@ \
        --with-smtp-host=localhost \
        --with-sqlite3 \
        --with-subsys-dir=%{subsysdir} \
        --with-tcp-wrappers \
        --with-working-dir=%{archivedir} \
        --with-x

# Remove RPATH
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build
make -C examples/nagios/check_bacula


pushd src/qt-console/tray-monitor
    %qmake_qt5 tray-monitor.pro
    %make_build
popd


%install
%make_install

# Nagios plugin
%{__install} -p -m 755 -D examples/nagios/check_bacula/.libs/check_bacula %{buildroot}%{_libdir}/nagios/plugins/check_bacula

# Remove catalogue backend symlinks
rm -f %{buildroot}%{_libdir}/libbaccats.so
rm -f %{buildroot}%{_libdir}/libbaccats-%{version}.so


# Bat
%{__install} -p -m 755 -D src/qt-console/.libs/bat %{buildroot}%{_sbindir}/bat
%{__install} -p -m 644 -D src/qt-console/images/bat_icon.png %{buildroot}%{_datadir}/pixmaps/bat_icon.png
%{__install} -p -m 644 -D scripts/bat.desktop %{buildroot}%{_datadir}/applications/bat.desktop

# QT Tray monitor
%{__install} -p -m 755 -D src/qt-console/tray-monitor/.libs/bacula-tray-monitor %{buildroot}%{_sbindir}/bacula-tray-monitor
%{__install} -p -m 644 -D src/qt-console/tray-monitor/tray-monitor.conf %{buildroot}%{bacula_confdir}/bacula-tray-monitor.conf
%{__install} -p -m 644 -D src/qt-console/images/bat_icon.png %{buildroot}%{_datadir}/pixmaps/bacula-tray-monitor.png
%{__install} -p -m 644 -D manpages/bacula-tray-monitor.1 %{buildroot}%{_mandir}/man1/bacula-tray-monitor.1
%{__install} -p -m 644 -D scripts/bacula-tray-monitor.desktop %{buildroot}%{_datadir}/applications/bacula-tray-monitor.desktop


# Logrotate
%{__mkdir_p} %{buildroot}%{_localstatedir}/log/bacula
%{__install} -D -p -m 644 -D %{SOURCE6} %{buildroot}%{_sysconfdir}/logrotate.d/bacula

# Logwatch
%{__install} -D -p -m 755 -D scripts/logwatch/bacula %{buildroot}%{_sysconfdir}/logwatch/scripts/services/bacula
%{__install} -D -p -m 755 -D scripts/logwatch/applybaculadate %{buildroot}%{_sysconfdir}/logwatch/scripts/shared/applybaculadate
%{__install} -D -p -m 644 -D scripts/logwatch/logfile.bacula.conf %{buildroot}%{_sysconfdir}/logwatch/conf/logfiles/bacula.conf
%{__install} -D -p -m 644 -D scripts/logwatch/services.bacula.conf %{buildroot}%{_sysconfdir}/logwatch/conf/services/bacula.conf


# Systemd unit files
%{__mkdir_p} %{buildroot}%{_unitdir}
%{__install} -p -m 644 -D %{SOURCE10} %{buildroot}%{_unitdir}/bacula-fd.service
%{__install} -p -m 644 -D %{SOURCE11} %{buildroot}%{_unitdir}/bacula-dir.service
%{__install} -p -m 644 -D %{SOURCE12} %{buildroot}%{_unitdir}/bacula-sd.service

# Systemd tmpfiles
%{__mkdir_p} %{buildroot}%{_tmpfilesdir}
%{__install} -p -m 0644 %{SOURCE7} %{buildroot}%{_tmpfilesdir}/%{name}-fd.conf
%{__install} -p -m 0644 %{SOURCE8} %{buildroot}%{_tmpfilesdir}/%{name}-dir.conf
%{__install} -p -m 0644 %{SOURCE9} %{buildroot}%{_tmpfilesdir}/%{name}-sd.conf


# Sysconfig
%{__install} -p -m 644 -D %{SOURCE15} %{buildroot}%{_sysconfdir}/sysconfig/bacula-fd
%{__install} -p -m 644 -D %{SOURCE16} %{buildroot}%{_sysconfdir}/sysconfig/bacula-dir
%{__install} -p -m 644 -D %{SOURCE17} %{buildroot}%{_sysconfdir}/sysconfig/bacula-sd

# Spool directory
%{__mkdir_p} %{buildroot}%{_localstatedir}/spool/bacula

# Remove stuff we do not need
rm -f %{buildroot}%{_libexecdir}/bacula/{bacula,bacula-ctl-*,startmysql,stopmysql,bconsole,make_catalog_backup}
rm -f %{buildroot}%{_sbindir}/bacula
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_datadir}/bacula/{ChangeLog,INSTALL,LICENSE*,README,ReleaseNotes,VERIFYING,technotes}




%post -n %{sql_libname}
# Add alternative on unversioned library, so it's not broken during upgrades,
# and use the versioned library as a slave alternative.
/usr/sbin/alternatives \
    --install %{_libdir}/libbaccats.so libbaccats.so %{_libdir}/libbaccats-mysql.so 50 \
    --slave %{_libdir}/libbaccats-%{version}.so libbaccats-%{version}.so %{_libdir}/libbaccats-mysql-%{version}.so
/usr/sbin/alternatives \
    --install %{_libdir}/libbaccats.so libbaccats.so %{_libdir}/libbaccats-sqlite3.so 40 \
    --slave %{_libdir}/libbaccats-%{version}.so libbaccats-%{version}.so %{_libdir}/libbaccats-sqlite3-%{version}.so
/usr/sbin/alternatives \
    --install %{_libdir}/libbaccats.so libbaccats.so %{_libdir}/libbaccats-postgresql.so 60 \
    --slave %{_libdir}/libbaccats-%{version}.so libbaccats-%{version}.so %{_libdir}/libbaccats-postgresql-%{version}.so

# Fix for automatic selection of backends during upgrades
if readlink /etc/alternatives/libbaccats.so | grep --silent postgresql || \
   readlink /etc/alternatives/bacula-dir | grep --silent postgresql || \
   readlink /etc/alternatives/bacula-sd | grep --silent mysql; then
        /usr/sbin/alternatives --set libbaccats.so %{_libdir}/libbaccats-postgresql.so
elif readlink /etc/alternatives/libbaccats.so | grep --silent sqlite || \
   readlink /etc/alternatives/bacula-dir | grep --silent sqlite || \
   readlink /etc/alternatives/bacula-sd | grep --silent sqlite; then
        /usr/sbin/alternatives --set libbaccats.so %{_libdir}/libbaccats-sqlite3.so
else
        /usr/sbin/alternatives --set libbaccats.so %{_libdir}/libbaccats-mysql.so
fi


%preun -n %{sql_libname}
if [ "$1" = 0 ]; then
        /usr/sbin/alternatives --remove libbaccats.so %{_libdir}/libbaccats-mysql.so
        /usr/sbin/alternatives --remove libbaccats.so %{_libdir}/libbaccats-sqlite3.so
        /usr/sbin/alternatives --remove libbaccats.so %{_libdir}/libbaccats-postgresql.so
fi

%pre common
if [ ! -e %{bacula_confdir} ]; then
    %{__mkdir_p} %{bacula_confdir}
fi

%_pre_useradd %{bacula_user} %{bacula_home_dir} /usr/sbin/nologin
%_pre_groupadd %{bacula_user}
# generating passwords, ensuring it is not visible in process list
for string in @@DIR_PASSWORD@@ @@MON_DIR_PASSWORD@@ @@FD_PASSWORD@@ @@MON_FD_PASSWORD@@ @@SD_PASSWORD@@ @@MON_SD_PASSWORD@@ ; do
    if ! grep -qs "$string" %{bacula_confdir}/.pw.sed; then
        echo -n "s!$string!" >> %{bacula_confdir}/.pw.sed
        openssl rand -base64 33 | sed -e 's/$/!g/'  >> %{bacula_confdir}/.pw.sed
    fi
done

%post common
%post_fix_config *

%postun common
%_postun_userdel %{bacula_user}
%_postun_groupdel %{bacula_user}


%post fd
%post_fix_config %{name}-fd
%_tmpfilescreate %{name}-fd
%_post_service %{name}-fd

%preun fd
%_preun_service %{name}-fd

%post dir
%post_fix_config %{name}-dir
%_tmpfilescreate %{name}-dir
%_post_service %{name}-dir

%preun dir
%_preun_service %{name}-dir

%post sd
%post_fix_config %{name}-sd
%_tmpfilescreate %{name}-sd
%_post_service %{name}-sd

%preun sd
%_preun_service %{name}-sd

%post console
%post_fix_config bconsole

%post bat
%post_fix_config bat

%post tray-monitor
%post_fix_config tray-monitor


%files  -n %{libname}
%doc AUTHORS ChangeLog LICENSE SUPPORT ReleaseNotes  LICENSE-FAQ LICENSE-FOSS
%{_libdir}/libbac-%{version}.so
%{_libdir}/libbaccfg-%{version}.so
%{_libdir}/libbacfind-%{version}.so
%{_libdir}/libbacsd-%{version}.so


%files  -n %{sql_libname}
%{_libdir}/libbaccats-mysql-%{version}.so
%{_libdir}/libbaccats-postgresql-%{version}.so
%{_libdir}/libbaccats-sqlite3-%{version}.so
%{_libdir}/libbacsql-%{version}.so


%files common
%doc README.mageia quickstart_*
%config(noreplace) %{_sysconfdir}/logrotate.d/bacula
%dir %{log_dir} %attr(750,%{bacula_user},%{bacula_user})
%dir %{archivedir} %attr(750,%{bacula_user},%{bacula_user})
%dir %{script_dir}
%dir %{bacula_confdir} %attr(755,%{bacula_user},%{bacula_user})
%{_libexecdir}/%{name}/btraceback.dbx
%{_libexecdir}/%{name}/btraceback.gdb
%{_libexecdir}/%{name}/bacula_config
%{_libexecdir}/%{name}/btraceback.mdb
%{_libexecdir}/%{name}/isworm
%{_libexecdir}/%{name}/install-key-manager.sh
%{_libexecdir}/%{name}/key-manager.py
%{_mandir}/man8/btraceback.8*
%{_mandir}/man8/bacula.8*
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/btraceback
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/get_malware_abuse.ch
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/md5tobase64.py


%files dir
%doc updatedb examples/sample-query.sql
%config(noreplace) %{bacula_confdir}/bacula-dir.conf %attr(640,%{bacula_user},%{bacula_user})
%config(noreplace) %{bacula_confdir}/query.sql %attr(640,%{bacula_user},%{bacula_user})
%config(noreplace) %{_sysconfdir}/logwatch/conf/logfiles/bacula.conf
%config(noreplace) %{_sysconfdir}/logwatch/conf/services/bacula.conf
%config(noreplace) %{_sysconfdir}/sysconfig/bacula-dir
%{_libexecdir}/%{name}/{create,drop,grant,make,update}_{bacula,mysql,sqlite3,postgresql}_{database,tables,privileges}
%{_libexecdir}/%{name}/baculabackupreport
%attr(-,%{bacula_user},%{bacula_user})%{_libexecdir}/%{name}/delete_catalog_backup
%attr(-,%{bacula_user},%{bacula_user})%{_libexecdir}/%{name}/make_catalog_backup.pl
%{_mandir}/man1/bsmtp.1*
%{_mandir}/man8/bacula-dir.8*
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/bdirjson
%{_mandir}/man8/bdirjson.8*
%{_mandir}/man8/bregex.8*
%{_mandir}/man8/bwild.8*
%{_mandir}/man8/dbcheck.8*
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/bacula-dir
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/bregex
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/bsmtp
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/bwild
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/dbcheck
%{_sysconfdir}/logwatch/scripts/services/bacula
%{_sysconfdir}/logwatch/scripts/shared/applybaculadate
%{_unitdir}/%{name}-dir.service
%{_tmpfilesdir}/%{name}-dir.conf


%files sd
%config(noreplace) %{bacula_confdir}/bacula-sd.conf %attr(640,%{bacula_user},%{bacula_user})
%config(noreplace) %{_sysconfdir}/sysconfig/bacula-sd
%{_libexecdir}/%{name}/disk-changer
%{_libexecdir}/%{name}/mtx-changer
%{_libexecdir}/%{name}/mtx-changer.conf
%{_libexecdir}/%{name}/tapealert
%{_mandir}/man8/bacula-sd.8*
%{_mandir}/man8/bcopy.8*
%{_mandir}/man8/bextract.8*
%{_mandir}/man8/bls.8*
%{_mandir}/man8/bscan.8*
%{_mandir}/man8/bsdjson.8*
%{_mandir}/man8/btape.8*
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/bacula-sd
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/bcopy
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/bextract
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/bls
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/bscan
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/bsdjson
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/btape
%{_unitdir}/%{name}-sd.service
%{_tmpfilesdir}/%{name}-sd.conf


%files fd
%config(noreplace) %{bacula_confdir}/bacula-fd.conf %attr(640,%{bacula_user},%{bacula_user})
%config(noreplace) %{_sysconfdir}/sysconfig/bacula-fd
%{_mandir}/man8/bacula-fd.8*
%{_libdir}/bacula/bpipe-fd.so
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/bacula-fd
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/bfdjson
%{_unitdir}/%{name}-fd.service
%{_tmpfilesdir}/%{name}-fd.conf
%{_mandir}/man8/bfdjson.8*


%files console
%config(noreplace) %{bacula_confdir}/bconsole.conf %attr(640,%{bacula_user},%{bacula_user})
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/bconsole
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/bbconsjson
%{_mandir}/man8/bconsole.8*
%{_mandir}/man8/bbconsjson.8*


%files bat
%config(noreplace) %{bacula_confdir}/bat.conf %attr(640,%{bacula_user},%{bacula_user})
%{_datadir}/applications/bat.desktop
%{_datadir}/bacula/*.html
%{_datadir}/bacula/*.png
%{_datadir}/pixmaps/bat_icon.png
%{_mandir}/man1/bat.1*
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/bat


%files tray-monitor
%attr(640,%{bacula_user},%{bacula_user})%config(noreplace) %{bacula_confdir}/bacula-tray-monitor.conf
%{_datadir}/applications/bacula-tray-monitor.desktop
%{_datadir}/pixmaps/bacula-tray-monitor.png
%{_mandir}/man1/bacula-tray-monitor.1*
%attr(0750,%{bacula_user},%{bacula_user})%{_sbindir}/bacula-tray-monitor


%files -n %{devel}
%{_includedir}/bacula
%{_libdir}/libbac.so
%{_libdir}/libbac{cfg,find,sd,sql,cats-mysql,cats-postgresql,cats-sqlite3}.so


%files -n nagios-plugins-bacula
%{_libdir}/nagios/plugins/check_bacula

