%define Werror_cflags -Wno-error=unused-but-set-variable

Name:		balance
Version:	3.57
Release:	%mkrel 7
Summary:	TCP load-balancing proxy server with round robin and failover mechanisms
Group:		Networking/Other
License:	GPLv2
URL:		https://www.inlab.de/balance.html
Source0:	https://www.inlab.de/%{name}-%{version}.tar.gz
Source1:	balance-tmpfiles.conf
Patch0:		balance-3.57-update-all-paths-from-var_run-to-run.patch

Requires(post):   systemd >= %{systemd_required_version}
Requires(pre):    rpm-helper
Requires(post):   rpm-helper
Requires(preun):  rpm-helper
Requires(postun): rpm-helper

%description
Balance is a simple but powerful generic TCP proxy with round robin
load balancing and failover mechanisms.  Its behavior can
be controlled at runtime using a simple command line syntax.

%prep
%autosetup -p1

%build
%serverbuild
%make_build CFLAGS="$CFLAGS -Wall"

%install
%{__mkdir} -p %{buildroot}%{_rundir}/%{name}
%{__install} -Dp -m 755 %{name} %{buildroot}%{_sbindir}/%{name}
%{__install} -Dp -m 644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%{__install} -D -p -m 0644 %{SOURCE1} %{buildroot}%{_tmpfilesdir}/%{name}.conf


%pre
%_pre_useradd %{name} /dev/null /bin/false

%post
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%doc README COPYING
%{_sbindir}/%{name}
%{_mandir}/man1/%{name}.1*
%ghost %dir %{_rundir}/%{name}
%{_tmpfilesdir}/%{name}.conf
