#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Widgets for Baloo
Name:           baloo-widgets
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6FileMetaData)
BuildRequires:  cmake(KF6Baloo)
BuildRequires:  cmake(KF6Service)


%description
Widgets for Baloo.

%files -f %name.lang
%_kf6_categoriesdir/baloo-widgets.categories
%_kf6_bindir/baloo_filemetadata_temp_extractor
%_kf6_plugindir/kfileitemaction/tagsfileitemaction.so
%_kf6_plugindir/propertiesdialog/baloofilepropertiesplugin.so

#--------------------------------------------------------------------

%define kf6baloowidgets_major 6
%define libkf6baloowidgets %mklibname kf6baloowidgets %{kf6baloowidgets_major}

%package -n %libkf6baloowidgets
Summary:        Widgets for Baloo
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkf6baloowidgets
Widgets for Baloo.

%files -n %libkf6baloowidgets
%_kf6_libdir/libKF6BalooWidgets.so.%{kf6baloowidgets_major}
%_kf6_libdir/libKF6BalooWidgets.so.%{version}

#--------------------------------------------------------------------

%define kf6baloowidgets_devel %mklibname kf6baloowidgets -d

%package -n %kf6baloowidgets_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6baloowidgets = %version-%release
Requires:       baloo-devel
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6baloowidgets_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6baloowidgets_devel
%_kf6_includedir/BalooWidgets/
%_kf6_libdir/cmake/KF6BalooWidgets/
%_kf6_libdir/*.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %name --all-name
