#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

# filter out some bogues devel() requires
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}devel\\(libKF6BalooEngine

%define rel 1
%define framework baloo

Summary:        Baloo is a framework for searching and managing metadata
Name:           %framework
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz
Source1:        97-kde-baloo-filewatch-inotify.conf

BuildRequires:  kf6-rpm-macros
BuildRequires:  lmdb-devel

BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Quick)

BuildRequires:  cmake(KF6I18n) >= %version
BuildRequires:  cmake(KF6Config) >= %version
BuildRequires:  cmake(KF6IdleTime) >= %version
BuildRequires:  cmake(KF6Auth) >= %version
BuildRequires:  cmake(KF6Crash) >= %version
BuildRequires:  cmake(KF6Solid) >= %version
BuildRequires:  cmake(KF6KIO) >= %version
BuildRequires:  cmake(KF6DBusAddons) >= %version
BuildRequires:  cmake(KF6FileMetaData) >= %version

Requires:       baloo-kioslaves = %{version}-%{release}


%description
Baloo is a framework for searching and managing metadata.

%files  -f %name.lang
%_kf6_sysconfdir/xdg/autostart/baloo_file.desktop
%_kf6_categoriesdir/baloo.*categories
%_kf6_bindir/balooctl6
%_kf6_bindir/baloosearch6
%_kf6_bindir/balooshow6
%_kf6_datadir/dbus-1/interfaces/org.kde.baloo.fileindexer.xml
%_kf6_datadir/dbus-1/interfaces/org.kde.baloo.main.xml
%_kf6_datadir/dbus-1/interfaces/org.kde.baloo.scheduler.xml
%_kf6_datadir/dbus-1/interfaces/org.kde.baloo.file.indexer.xml
%_kf6_datadir/dbus-1/interfaces/org.kde.BalooWatcherApplication.xml
%_kf6_qmldir/org/kde/baloo
%{_prefix}/lib/sysctl.d/97-kde-baloo-filewatch-inotify.conf
%_userunitdir/kde-baloo.service
%_kf6_libexecdir/baloo_file
%_kf6_libexecdir/baloo_file_extractor

#--------------------------------------------------------------------

%package kioslaves
Summary:        KIO slave components for Baloo Framework
Group:          System/Base
Requires:       kded

# ease upgrade
Conflicts:      baloo < 6.0.0-2

%description kioslaves
Baloo is a framework for searching and managing metadata.
This package contains KIO slave components.

%files kioslaves -f kioslaves.lang
%_kf6_plugindir/kded/*.so
%_kf6_plugindir/kio/*.so

#--------------------------------------------------------------------

%define kf6baloo_major 6
%define libkf6baloo %mklibname kf6baloo %{kf6baloo_major}

%package -n %libkf6baloo
Summary:        Baloo is a framework for searching and managing metadata
Group:          System/Libraries

%description -n %libkf6baloo
Baloo is a framework for searching and managing metadata.

%files -n %libkf6baloo
%_kf6_libdir/libKF6Baloo.so.%{kf6baloo_major}{,.*}
%_kf6_libdir/libKF6Baloo.so.%{version}

#--------------------------------------------------------------------

%define kf6balooengine_major 6
%define libkf6balooengine %mklibname kf6balooengine %{kf6balooengine_major}

%package -n %libkf6balooengine
Summary:        Baloo is a framework for searching and managing metadata
Group:          System/Libraries

%description -n %libkf6balooengine
Baloo is a framework for searching and managing metadata.

%files -n %libkf6balooengine
%_kf6_libdir/libKF6BalooEngine.so.%{kf6balooengine_major}{,.*}
%_kf6_libdir/libKF6BalooEngine.so.%{version}

#--------------------------------------------------------------------

%define baloo_devel %mklibname kf6baloo -d

%package -n %baloo_devel
Summary:        Devel stuff for %framework
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Requires:       %libkf6baloo = %version-%release
Requires:       %libkf6balooengine = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %baloo_devel
This package contains header files needed if you wish to build applications
based on %framework.

%files -n %baloo_devel
%_kf6_includedir/Baloo/
%_kf6_libdir/*.so
%_kf6_libdir/cmake/KF6Baloo/
%_kf6_libdir/pkgconfig/KF6Baloo.pc

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %framework-%version

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

install -p -m644 -D %{SOURCE1} %{buildroot}%{_prefix}/lib/sysctl.d/97-kde-baloo-filewatch-inotify.conf

%find_lang baloo_file_extractor6
cat baloo_file_extractor6.lang >> %{name}.lang
%find_lang baloo_file6
cat baloo_file6.lang >> %{name}.lang
%find_lang balooctl6
cat balooctl6.lang >> %{name}.lang
%find_lang baloodb6
cat baloodb6.lang >> %{name}.lang
%find_lang balooengine6
cat balooengine6.lang >> %{name}.lang
%find_lang baloosearch6
cat baloosearch6.lang >> %{name}.lang
%find_lang balooshow6
cat balooshow6.lang >> %{name}.lang

%find_lang kio6_baloosearch
cat kio6_baloosearch.lang >> kioslaves.lang
%find_lang kio6_tags
cat kio6_tags.lang >> kioslaves.lang
%find_lang kio6_timeline
cat kio6_timeline.lang >> kioslaves.lang
