%define api		3
%define major		2
%define libname		%mklibname %{name}%{api}_ %{major}
%define girname		%mklibname %{name}-gir %{api}
%define libnamedev	%mklibname %{name}%{api} -d


Name:		bamf
Summary:	Removes applications matching into a simple DBusdaemon and C wrapper library
Group:		System/Libraries
Version:	0.5.6
Release:	%mkrel 2
License:	GPLv3
URL:		https://launchpad.net/bamf
Source0:	https://launchpad.net/bamf/0.5/%{version}/+download/%{name}-%{version}.tar.gz
BuildRequires:	gtk-doc
BuildRequires:	vala-tools
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libwnck-3.0)
BuildRequires:	pkgconfig(libgtop-2.0)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	python3dist(lxml)

%description
BAMF removes the headache of applications matching into a simple DBus
daemon and C wrapper library. Currently features application matching
at amazing levels of accuracy (covering nearly every corner case). This
package contains the bamf library built against GTK+ 2.

#--------------------------------------------------------------------

%package daemon
Summary:	BAMF daemon
Group:		System/Libraries
License:	GPLv3

%description daemon
BAMF daemon.

BAMF removes the headache of applications matching into a simple DBus
daemon and C wrapper library. Currently features application matching
at amazing levels of accuracy (covering nearly every corner case). This
package contains the bamf library built against GTK+ 2.

%files daemon
%license COPYING
%dir %{_libexecdir}/bamf/
%{_libexecdir}/bamf/bamfdaemon
%{_libexecdir}/bamf/bamfdaemon-dbus-runner
%{_datadir}/dbus-1/services/*.service
%{_userunitdir}/bamfdaemon.service
# upstart stuff
%exclude %{_datadir}/upstart/sessions/bamfdaemon.conf

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	BAMF libray
Group:		System/Libraries

%description -n	%{libname}
Library for %{name}.

BAMF removes the headache of applications matching into a simple DBus
daemon and C wrapper library. Currently features application matching
at amazing levels of accuracy (covering nearly every corner case). This
package contains the bamf library built against GTK+ 2.

%files -n %{libname}
%license COPYING
%{_libdir}/libbamf3.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{libnamedev}
Summary:	Development files for %{name}
Group:		Development/GNOME and GTK+
License:	GPLv3
Requires:	%{libname} = %{version}
Requires:	%{girname} = %{version}

%description -n	%{libnamedev}
This package contains libraries and header files for developing applications
that use %{name}.

BAMF removes the headache of applications matching into a simple DBus
daemon and C wrapper library. Currently features application matching
at amazing levels of accuracy (covering nearly every corner case). This
package contains the bamf daemon and supporting data.

%files -n %{libnamedev}
%license COPYING.LGPL COPYING
%doc %{_datadir}/gtk-doc/html/libbamf/
%{_includedir}/libbamf3/
%{_libdir}/libbamf3.so
%{_libdir}/pkgconfig/libbamf3.pc
%{_datadir}/gir-1.0/Bamf-%{api}.gir
%{_datadir}/vala/vapi/libbamf3.vapi

#--------------------------------------------------------------------

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/Bamf-%{api}.typelib

#--------------------------------------------------------------------

%prep
%autosetup -p1

# fix build with glib >= 2.62
sed -i -e '/CFLAGS/s,-Werror\s\?,,g' configure.ac

%build
autoreconf -vfi
export CFLAGS="%{optflags} -Wno-deprecated-declarations"
%configure \
    --disable-static \
    --enable-introspection=yes
%make_build

%install
%make_install

# Clean .la files
find %{buildroot} -name '*.la' -delete
