%global __provides_exclude_from %{_libdir}/%{name}/modules/.*\\.so

%define major	20
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Summary: 	Modular SIP useragent
Name: 		baresip
Version: 	3.21.0
Release: 	%mkrel 1
License: 	BSD
Group: 		Communications/Telephony
URL: 		https://github.com/baresip/baresip
Source0:	https://github.com/baresip/baresip/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	pkgconfig(fdk-aac)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(libmosquitto)
BuildRequires:	pkgconfig(libmpg123)
BuildRequires:	pkgconfig(libre) >= %{version}
BuildRequires:	pkgconfig(codec2)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libpipewire-0.3)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(spandsp)
BuildRequires:	pkgconfig(speexdsp)
BuildRequires:	pkgconfig(twolame)
BuildRequires:	pkgconfig(vpx)
BuildRequires:	ffmpeg-devel
BuildRequires:	lame-devel

%description
Baresip is a portable and modular SIP User-Agent with audio and video support.

%package -n %{libname}
Summary:	Modular SIP useragent
Group:		System/Libraries
Provides:	%{_lib}baresip = %{version}-%{release}
Obsoletes:	%{_lib}baresip < 2.11.0-2

%description -n %{libname}
Shared libraries for Baresip, a portable and modular SIP User-Agent with audio
and video support.

%package -n %{devname}
Summary:	Development libraries and headers for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
Development libraries and header for Baresip, a portable and modular SIP
User-Agent with audio and video support.

%prep
%setup -q

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc README.md docs/*
%{_bindir}/baresip
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/com.github.%{name}.desktop

%files -n %{libname}
%{_libdir}/libbaresip.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/baresip.h
%{_libdir}/libbaresip.so
%{_libdir}/pkgconfig/libbaresip.pc
