Name:           barrage
Version:        1.0.7
Release:        %mkrel 1
Summary:        Kill and destroy as many targets as possible within 3 minutes
Group:          Games/Arcade
License:        GPLv2+
URL:            https://lgames.sourceforge.io/Barrage/
Source0:        https://downloads.sourceforge.net/lgames/%{name}-%{version}.tar.gz
Source1:        %{name}.png
Source2:	%{name}.desktop
Patch0:         barrage-1.0.2-spelling.patch
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  desktop-file-utils

%description
Barrage is a rather violent action game with the objective to kill
and destroy as many targets as possible within 3 minutes. The player
controls a gun that may either fire small or large grenades at
soldiers, jeeps and tanks. It is a very simple gameplay though it is
not that easy to get high scores.

%prep
%autosetup -p0

%build
export CFLAGS=$(echo "%{optflags}" | sed "s/-Werror=format-security//")
%configure --localstatedir=%{_localstatedir}/games \
           --bindir=%{_gamesbindir}
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_iconsdir}/hicolor/48x48/apps
mv %{buildroot}%{_iconsdir}/barrage48.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

sed -i 's/Icon=.*/Icon=barrage/' %buildroot/%{_datadir}/applications/%{name}.desktop

%files
%license COPYING
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%{_gamesbindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%config(noreplace) %attr(664, games, games) %{_localstatedir}/games/%{name}.hscr
