Summary:	The skeleton package which defines a simple Mageia Linux system
Name:		basesystem
Epoch:		1
Version:	10
Release:	%mkrel 0.1
License:	GPL
Group:		System/Base
Requires:	kernel basesystem-minimal
Recommends:	dnf
Recommends:	urpmi
Requires:	systemd
%ifnarch %arm %mips aarch64
Requires:	bootloader
%endif
Requires:	rpm-plugin-syslog rpm-plugin-systemd-inhibit

%package minimal
Summary:	The skeleton package which defines a simple minimal Mageia Linux system
Group:		System/Base

#Requires:	locales
Requires:	initscripts kbd utempter chkconfig
Requires:	chkconfig crontabs makedev logrotate
Requires:	less
Requires:	iproute2
Requires:	sash termcap
Requires:	cronie
Requires:	kmod
Requires:	basesystem-minimal-core

# (gb) Add timezone database here for now before moving it to DrakX
Requires:	timezone

%package minimal-core
Summary:	The skeleton package which defines a simple Mageia Linux system for chroot systems
Group:		System/Base

Requires:	setup filesystem sed
Requires:	coreutils etcskel findutils grep gzip
Requires:	passwd procps
Requires:	hostname
Requires:	psmisc rootfiles rpm shadow-utils
Requires:	stat tar time util-linux vim
# (tmb) give dnf a clue
Recommends:	vim-minimal
Requires:	which common-licenses
Requires:	mageia-release >= 1

# (gb) Add timezone database here for now before moving it to DrakX
Requires:	timezone

%package container
Summary:	The skeleton package which defines a simple Mageia Linux system to be run as a container
Group:		System/Base
# uml flavor is gone, container variant replaces it
Obsoletes:	basesystem-uml < 1:8-0.4
Requires:	basesystem-minimal-core
Recommends:	microdnf

%description
Basesystem defines the components of a basic Mageia Linux system (for
example, the package installation order to use during bootstrapping).
Basesystem should be the first package installed on a system, and it
should never be removed.
The difference with basesystem-minimal is that it includes systemd, the kernel
and the boot loader as well as recommending urpmi.

%description minimal
Basesystem defines the components of a basic Mageia Linux system (for
example, the package installation order to use during bootstrapping).
Basesystem should be the first package installed on a system, and it
should never be removed.
Especially it doesn't include the kernel.
It's basically basesystem-minimal-core plus the boot scripts & the tools they
need.

%description minimal-core
Basesystem defines the components of a very basic Mageia Linux system (for
example, the package installation order to use during bootstrapping).
Basesystem should be the first package installed on a system, and it
should never be removed.

%description container
Basesystem defines the components of a basic Mageia Linux system (for
example, the package installation order to use during bootstrapping).
Basesystem should be the first package installed on a system, and it
should never be removed.

This package can be used to setup a full and working system running
in a container.
It's basically basesystem-minimal-core plus recommending microdnf.

%files
%files minimal
%files minimal-core
%files container

