Name:		basetest
Version:	1.3
Release:	%mkrel 13
Summary:	Simulator Number System
License:	GPLv3+
Group:		Sciences/Mathematics
#https://github.com/Voral/numericsystem/archive/v%{version}.tar.gz
URL:		https://github.com/Voral/numericsystem
Source0:	https://github.com/Voral/numericsystem/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-mga-desktop.patch
Patch1:		%{name}-%{version}-mga-qt5.patch
Patch2:		%{name}-%{version}-mga-translator.patch
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
Requires:	qttranslations5

%description
Simulator Number System.
The program helps to get the skills to transfer numbers between different
number systems (use of systems with a base of 2 to 36).

%prep
%autosetup -p1

%build
cd src
%qmake_qt5
%make_build

%install
%__install -dm 755 %{buildroot}%{_bindir}
%__install -m 755 ./bin/%{name} %{buildroot}%{_bindir}/

%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 ./packages/%{name}/usr/share/pixmaps/%{name}.png %{buildroot}%{_datadir}/pixmaps/

%__install -dm 755 %{buildroot}%{_datadir}/applications
%__install -m 644 ./packages/%{name}/usr/share/applications/%{name}.desktop %{buildroot}%{_datadir}/applications/

%files
%doc README
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
