%define _python_bytecompile_errors_terminate_build 0

Name:       bash-completion
Epoch:      2
Version:    2.16.0
Release:    %mkrel 2
Summary:    Programmable completion for bash
Group:      Shells
License:    GPL-2.0-or-later
URL:        https://github.com/scop/bash-completion
Source0:    https://github.com/scop/bash-completion/releases/download/%{version}/%{name}-%{version}.tar.xz
# https://github.com/scop/bash-completion/issues/1317
Patch1:     0001-deprecate-ours-secret-tool-in-favor-of-upstream.patch
BuildArch:  noarch

%description
bash-completion is a collection of shell functions that take advantage of
the programmable completion feature of bash.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

# create and own compat dir
mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d/

# Remove files now provided in upstream packages
rm -f %{buildroot}%_datadir/bash-completion/completions/{nmcli,chsh,su,cal,dmesg,eject,hexdump,ionice,look,renice,hwclock,rtcwake,rfkill}

chmod 644 %{buildroot}%_datadir/bash-completion/bash_completion

# adapt installation
rm -f %{buildroot}%_sysconfdir/profile.d/bash_completion.sh

mkdir -p %{buildroot}%_sysconfdir/profile.d/
cat <<'EOF' >> %{buildroot}%_sysconfdir/profile.d/20bash-completion.sh
# Check for interactive bash and that we haven't already been sourced.
if [ -z "$BASH_VERSION" -o -z "$PS1" -o -n "$BASH_COMPLETION_COMPAT_DIR" ]; then
    return
fi

# source system wide config file
. %_sysconfdir/sysconfig/bash-completion

# source user config file if available,
if [ -f $HOME/.bash_completion ]; then
    . $HOME/.bash_completion
fi

if [ -n "$ENABLE_BASH_COMPLETION" ]; then
    . %_datadir/bash-completion/bash_completion
fi
EOF

mkdir -p %{buildroot}%_sysconfdir/sysconfig
cat <<'EOF' >> %{buildroot}%_sysconfdir/sysconfig/bash-completion
# bash completion global configuration

# enable bash completion
ENABLE_BASH_COMPLETION=1
# enable remote cvs completion
COMP_CVS_REMOTE=
# enable configure arguments completion
COMP_CONFIGURE_HINTS=
# enable tar archive internal path completion
COMP_TAR_INTERNAL_PATHS=
# enable wireless uid completion
COMP_IWLIST_SCAN=
# enable zeroconf hostnames completion
COMP_KNOWN_HOSTS_WITH_AVAHI=
# enable hostfile hostnames completion
COMP_KNOWN_HOSTS_WITH_HOSTFILE=1
EOF

mkdir -p %{buildroot}%_sysconfdir/skel
cat <<'EOF' >> %{buildroot}%_sysconfdir/skel/.bash_completion
# bash completion local configuration

# enable bash completion
#ENABLE_BASH_COMPLETION=1
# enable remote cvs completion
#COMP_CVS_REMOTE=
# enable configure arguments completion
#COMP_CONFIGURE_HINTS=
# enable tar archive internal path completion
#COMP_TAR_INTERNAL_PATHS=
# enable wireless uid completion
#COMP_IWCONFIG_SCAN=
# enable zeroconf hostnames completion
#COMP_AVAHI_BROWSE=
EOF

cat > README.install.urpmi <<EOF
Mageia RPM specific notes

Programmable bash completion is enabled by default. These settings can be
changed system-wide in /etc/sysconfig/bash-completion. Users may override these
settings in their ~/.bash_completion files. New users get a skeleton
configuration file automatically, while existing users can copy
/etc/skel/.bash_completion into their home directories if they want to edit
their completion settings.
EOF

%triggerpostun -- bash-completion < 2:1.90-3.mga2
# drop dangling symlinks resulting from previous setup
find %{_sysconfdir}/bash_completion.d -type l | xargs rm -f

%files
%doc README.md README.*.urpmi
%{_sysconfdir}/profile.d/20bash-completion.sh
%dir %{_sysconfdir}/bash_completion.d/
%{_sysconfdir}/bash_completion.d/000_bash_completion_compat.bash
%{_datadir}/bash-completion/
%{_datadir}/pkgconfig/bash-completion.pc
%{_datadir}/cmake/bash-completion/
%config(noreplace) %{_sysconfdir}/sysconfig/bash-completion
%config(noreplace) %{_sysconfdir}/skel/.bash_completion
