%define bashver 5.0
%define nextbashver 5.1
%define oversion 5.0-1.1.2

Name:           bashdb
Summary:        BASH debugger, the BASH symbolic debugger
Group:          Development/Other
Version:        %(echo %{oversion} | tr - .)
Release:        %mkrel 2
License:        GPLv2+
Url:            https://bashdb.sourceforge.net/
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{oversion}.tar.bz2
BuildArch:	noarch
BuildRequires:  bash >= %{bashver}
BuildRequires:	bash < %{nextbashver}
Requires:       bash >= %{bashver}
Requires:	bash < %{nextbashver}

%description
The Bash Debugger Project is a source-code debugger for bash,
which follows the gdb command syntax.
The purpose of the BASH debugger is to check
what is going on inside a bash script, while it executes:
    * Start a script, specifying conditions that might affect its behavior.
    * Stop a script at certain conditions (break points).
    * Examine the state of a script.
    * Experiment, by changing variable values on the fly.
The 4.0 series is a complete rewrite of the previous series.
Bashdb can be used with ddd: ddd --debugger %{_bindir}/%{name} <script-name>.

%prep
%setup -q -n %{name}-%{oversion}

%build
%configure --build=%{_build}
%make_build

%install
%make_install
perl -i -lpE 's{^(#!/usr/bin/env python)\b}{${1}3}' `find %{buildroot}/%{_datadir} -name '*.py'`

%files
%doc doc/*.html AUTHORS ChangeLog NEWS.md README.md THANKS
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1*
%{_infodir}/%{name}.info.*
