Summary:        Simple BASIC IDE that allows young children to learn programming
Name:           basic256
Version:        2.0.99.10
Release:        %mkrel 1
License:        GPLv2
Group:          Development/Other
URL:            https://kidbasic.sourceforge.net
Source0:        https://sourceforge.net/projects/kidbasic/files/%{name}_%{version}.orig.tar.gz
Source1:        %{name}-0.9.6-doc.tar.gz
Source2:        %{name}.desktop
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gcc-c++
BuildRequires:  imagemagick
BuildRequires:  qttools5
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5SerialPort)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5TextToSpeech)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  libespeak-devel

%description
BASIC-256 is a simple BASIC IDE, that allows young children
to learn programming. It was written in response to David
Brin's article, "Why Johnny Can't Code", in which he bemoans
the lack of a simple, line-oriented programming language
for children that runs on modern computers. It features a
byte-code compiler and interpreter, a debugger, easy to use
graphical and text output, and an editor.

%prep
%autosetup -p1 -n %{name}-%{version} -a1

# https://sourceforge.net/p/kidbasic/bugs/32
chmod -x doc/en/*.html
chmod -x doc/en/*.css
chmod -x doc/ru/*.html
chmod -x doc/ru/*.css

%build
%{_qt5_bindir}/lrelease Translations/*.ts
%qmake_qt5 BASIC256.pro
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/%{name}/help
install -Dm 644 %{SOURCE2} %{buildroot}%{_datadir}/applications/%{name}.desktop
cp -r doc/en/ %{buildroot}%{_datadir}/%{name}/help/
cp -r doc/ru/ %{buildroot}%{_datadir}/%{name}/help/

for png in 64x64 32x32 16x16; do
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/${png}/apps/
  convert -geometry $png resources/icons/basic256.png %{buildroot}%{_iconsdir}/hicolor/${png}/apps/%{name}.png
done

%files
%doc CONTRIBUTORS
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
