%define rel	9

Name:           basket
Version:        2.49b
Release:        %mkrel %{rel}
Summary:        BasKet Note Pads - a system for organizing information in KDE
Group:          Office/Organizer
License:        GPLv2+
# https://basket-notepads.github.io
Url:            https://invent.kde.org/utilities/basket
# https://github.com/basket-notepads/basket
Source0:        https://invent.kde.org/utilities/basket/-/archive/v%{version}/%{name}-v%{version}.tar.gz
# https://phabricator.kde.org/D27990
Patch1:         0001-Added-support-for-libgit2-0.99.patch
Patch2:         0001-Fix-build-against-libgit-1.8.patch
Patch3:         basket-fix-build-with-gcc14.patch

BuildRequires:  gettext
BuildRequires:  gpgme-devel
BuildRequires:  pkgconfig(libgit2)
BuildRequires:  pkgconfig(x11)

BuildRequires:  kf5-rpm-macros
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5FileMetaData)
BuildRequires:  cmake(KF5GlobalAccel)
BuildRequires:  cmake(KF5GuiAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5XmlGui)
# For documentation, https://github.com/basket-notepads/basket/issues/35
BuildRequires:  kdelibs4support

BuildRequires:  pkgconfig(phonon4qt5)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)

%description
This application is mainly an all-purpose notes taker.
It provide several baskets where to drop every sort of
items: text, rich text, links, images, sounds, files,
colors, application launcher...
Objects can be edited, copied, dragged... So, you can
arrange them as you want !
This application can be used to quickly drop web objects
(link, text, images...) or notes, as well as to free your
cluttered desktop (if any).
It is also useful to collect information for a report.
Those data can be shared with co-workers by exporting
baskets to HTML.

%files -f %{name}.lang
%{_kf5_bindir}/%{name}
%{_kf5_datadir}/%{name}/
%{_kf5_applicationsdir}/%{name}.desktop
%{_kf5_datadir}/kxmlgui5/%{name}/%{name}ui.rc
%{_kf5_iconsdir}/hicolor/16x16/actions/*.png
%{_kf5_iconsdir}/hicolor/*/apps/%{name}.png
%{_kf5_services}/%{name}*.desktop
%{_qt5_plugindir}/%{name}thumbcreator.so
%{_qt5_plugindir}/kcm_%{name}.so

#--------------------------------------------------------------------

%define basketcommon_major 5
%define libbasketcommon %mklibname basketcommon %{basketcommon_major}

%package -n %{libbasketcommon}
Summary:        Library files for %{name}
Group:          Office/Organizer

%description -n %{libbasketcommon}
Library files for %{name}.

%files -n %{libbasketcommon}
%{_kf5_libdir}/lib%{name}common.so.%{basketcommon_major}{,.*}

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

rm -f %{buildroot}%{_libdir}/lib%{name}common.so

%find_lang %{name} --with-html
