%global         upstreamname  bats-core

Name:           bats
Version:        1.11.0
Release:        %mkrel 1
Summary:        Bash Automated Testing System
Group:          Shells
License:        MIT
URL:            https://github.com/%{upstreamname}/%{upstreamname}
Source0:        https://github.com/%{upstreamname}/%{upstreamname}/archive/v%{version}.tar.gz#/%{upstreamname}-%{version}.tar.gz

BuildArch:      noarch

Requires:       bash
Requires:       parallel
BuildRequires:  parallel
BuildRequires:  procps-ng

%description
Bats is a TAP-compliant testing framework for Bash. It provides a simple way to
verify that the UNIX programs you write behave as expected. Bats is most useful
when testing software written in Bash, but you can use it to test any UNIX
program.

%prep
%setup -q -n %{upstreamname}-%{version}

%build
# NOTHING TO BUILD #

%install
./install.sh %{buildroot}%{_prefix}

%if 0
%check
./bin/bats test
%endif

%files
%doc AUTHORS README.md docs/CHANGELOG.md
%license LICENSE.md
%{_bindir}/%{name}
%{_libexecdir}/%{upstreamname}
%{_prefix}/lib/%{upstreamname}
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man7/%{name}.7.*
