Summary:	The Insidious Big Brother Database
Name:		bbdb
Version:	3.2.2b
Release:	%mkrel 1
License:	GPLv2
Group:		Editors
URL:		https://savannah.nongnu.org/projects/bbdb/
Source:		https://git.savannah.nongnu.org/cgit/bbdb.git/snapshot/%name-%version.tar.gz
Source1:	emacs-bbdb.metainfo.xml
BuildArch:	noarch

BuildRequires:	emacs
BuildRequires:	texinfo
BuildRequires:	texinfo-tex

%define lispdir	%{_datadir}/emacs/site-lisp/bbdb
%define texdir	%{_datadir}/texmf/tex/plain/bbdb

%description
BBDB is a rolodex-like database program for GNU Emacs which is tightly
integrated with the Emacs mail and news readers (Gnus, MH-E, and
RMAIL.)

%prep
%autosetup -p1

perl -pi -e 's:^#!/usr/local/bin/perl5?:#!/usr/bin/perl:' utils/*.pl

%build
./autogen.sh
%configure
make
make info

%install
install -d %{buildroot}%{lispdir}
install -m 644 lisp/bbdb*.el %{buildroot}%{lispdir}
install -m 644 lisp/bbdb*.elc %{buildroot}%{lispdir}

install -d %{buildroot}%{_infodir}
install -m 644 doc/bbdb.info* %{buildroot}%{_infodir}

install -d %{buildroot}%{_sysconfdir}/emacs/site-start.d
cat << EOF > %{buildroot}%{_sysconfdir}/emacs/site-start.d/%{name}-init.el
(add-to-list 'load-path "%{lispdir}")

;(require 'bbdb)

; Since the syntax-checking of phone numbers only works with American
; phone numbers the syntax-checking is disabled by default.
(setq bbdb-north-american-phone-numbers-p nil)

; Set the coding system in order to prevent problems with non-ASCII
; characters.  The available coding systems can be displayed with
; (list-coding-systems).
;(modify-coding-system-alist 'file "\\.bbdb" 'emacs-mule)

;(bbdb-initialize 'gnus 'mh-e 'rmail 'sendmail 'message 'sc 'w3)
EOF

%post
if [ -x %{_bindir}/texhash -a -e %{_datadir}/texmf/ls-R ]; then
	%{_bindir}/texhash
fi

%files
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/%{name}-init.el
%{lispdir}/*
%doc %{_infodir}/*
