%define         major         1
%define         libname       %mklibname %{name} %{major}
%define         develname     %mklibname %{name} -d

Name:           bcunit
Version:        5.3.5
Release:        %mkrel 1
Summary:        Provide C programmers basic testing functionality
License:        LGPLv2+
Group:          Development/C++
Url:            https://linphone.org/
Source:		https://gitlab.linphone.org/BC/public/bcunit/-/archive/%{version}/bcunit-%{version}.tar.gz
# PATCH-FIX-OPENSUSE bcunit-link-ncurses.patch jengelh@medozas.de
Patch0:         bcunit-link-ncurses.patch
# PATCH-FIX-OPENSUSE bcunit-ncurses6.patch idonmez@suse.com -- Compile with ncurses6.
Patch1:         bcunit-ncurses6.patch
# PATCH-FIX-OPENSUSE bcunit-sover.patch sor.alexei@meowr.ru -- Correctly set the sover.
Patch2:         bcunit-sover.patch
# mga patches
Patch100:	bcunit-pkg-conf-pc.patch
Patch101:	bcunit-CMake-files-location.patch
Patch102:	bcunit-3.0.2-mga-string-format.patch
BuildRequires:  cmake
BuildRequires:  ncurses-devel
BuildRequires:  pkgconfig

%description
BCUnit is a unit testing framework for C, derived from CUnit.
(B)CUnit provides various interfaces to the framework, some of which
are platform dependent (e.g. curses on *nix). The framework complies
with the conventional structure of test cases bundled into suites
which are registered with the framework for running.

%package -n %{develname}
Summary:        BCUnit development files
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < 3.0.2-5

%description -n %{develname}
BCUnit is a unit testing framework for C.
This package installs the BCUnit development files.

%package -n %{libname}
Summary:        BCUnit shared library
Group:          System/Libraries

%description  -n %{libname}
BCUnit is a unit testing framework for C.
This package installs the BCUnit shared library.

%prep
%autosetup -p1 -n %{name}-%{version}

# Fix version
sed -i -e '/^project/s/\(VERSION\)\s\+"\?[0-9]\+\(\.[0-9]\+\)\+"\?/\1 %{version}/' CMakeLists.txt

%build
%cmake \
  -DENABLE_STATIC:BOOL=OFF    \
  -DENABLE_AUTOMATED:BOOL=ON  \
  -DENABLE_BASIC:BOOL=ON      \
  -DENABLE_CONSOLE:BOOL=ON    \
  -DENABLE_CURSES:BOOL=ON     \
  -DENABLE_EXAMPLES:BOOL=OFF
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license COPYING
%{_libdir}/libbcunit.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS ChangeLog NEWS README* TODO
%{_includedir}/BCUnit/
%{_datadir}/BCUnit/
%{_libdir}/libbcunit.so
%{_libdir}/pkgconfig/bcunit.pc
%{_libdir}/cmake/BCUnit/
