%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:           bean-validation-api
Summary:        Bean Validation API (JSR 349)
Version:        2.0.1
Release:        %mkrel 4
Group:          Development/Java
License:        ASL 2.0

URL:            https://beanvalidation.org/
Source0:        https://github.com/beanvalidation/beanvalidation-api/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.testng:testng)

%description
This package contains Bean Validation (JSR-349) API.


%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n beanvalidation-api-%{namedversion}

%pom_remove_plugin :license-maven-plugin
%pom_remove_plugin -r :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin

#(daviddavid) disable test who fails always on our autobuild
find . -name "ValidationTest.java" -delete

%mvn_file : %{name}


%build
%mvn_build


%install
%mvn_install


%files -f .mfiles
%doc README.md
%license license.txt copyright.txt

%files javadoc -f .mfiles-javadoc
%doc README.md
%license license.txt copyright.txt

