Summary:    Control the PC speaker
Name:       beep
Version:    1.3
Release:    %mkrel 8
License:    GPLv2
Group:      System/Kernel and hardware
URL:        http://www.johnath.com/beep/
Source0:    http://www.johnath.com/beep/%{name}-%{version}.tar.gz
Patch1:     catch-sig-term.patch
# MGA#22869
Patch2:     CVE-2018-0492.patch

%description
Beep allows the user to control the PC speaker with precision,
allowing different sounds to indicate different events. While it
can be run quite happily on the command-line, its intended place
of residence is within shell/Perl scripts, notifying the user when
something interesting occurs. Of course, it has no notion of
what's interesting, but it is really good at that notifying part.

%prep
%setup -q
%patch -P 1 -p1 -b .orig1
%patch -P 2 -p1 -b .orig2

%build
gcc %{optflags} -Wall -o beep beep.c

%install
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_mandir}/man1
install -m 755 beep %{buildroot}/%{_bindir}/
gunzip beep.1.gz
install -m 644 beep.1 %{buildroot}%{_mandir}/man1/

%files
%doc CHANGELOG COPYING CREDITS README
%{_bindir}/*
%{_mandir}/man1/*
