%define major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	C++ library to manipulate vCard standard format
Name:		belcard
Version:	5.3.5
Release:	%mkrel 1
License:	GPLv3+
Group:		System/Libraries
URL:		https://linphone.org/
Source0:	https://gitlab.linphone.org/BC/public/belcard/-/archive/%{version}/belcard-%{version}.tar.gz
# (wally) from OpenSUSE to install pkgconfig .pc file
Patch0:		belcard-fix-pkgconfig.patch
# (wally) fix cmake config file location
Patch1:         belcard-cmake-config-location.patch
BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	pkgconfig(belr) >= %{version}
BuildRequires:	pkgconfig(udev)

%description
Belcard is a C++ library to manipulate the vCard standard format.

%package -n	%{libname}
Summary:	C++ library to manipulate vCard standard format
Group:		System/Libraries
Requires:	%{name}-grammars >= %{version}-%{release}

%description -n	%{libname}
Belcard is a C++ library to manipulate the vCard standard format.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains development files for %{name}

%package grammars
Summary:	VCard grammar files for Belcard
Group:          System/Libraries
BuildArch:	noarch

%description grammars
Belcard VCard grammar files.

%prep
%setup -q
sed -i -e 's,\r$,,' CMakeLists.txt
%autopatch -p1

# Fix version
sed -i -e '/project/s/\(VERSION\)\s\+[0-9]\+\(\.[0-9]\+\)\+/\1 %{version}/' CMakeLists.txt

%build
%cmake -GNinja \
  -DENABLE_STATIC:BOOL=OFF \
  -DENABLE_STRICT:BOOL=OFF \
  -DENABLE_UNIT_TESTS:BOOL=OFF
%cmake_build

%install
%cmake_install

find %{buildroot} -name "*.la" -delete

%files
%license LICENSE*
%doc README*
%{_bindir}/belcard-folder
%{_bindir}/belcard-parser
%{_bindir}/belcard-unfolder

%files grammars
%dir %{_datadir}/belr/
%dir %{_datadir}/belr/grammars/
%{_datadir}/belr/grammars/vcard_grammar

%files -n %{libname}
%license LICENSE*
%doc README*
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/BelCard/
%{_libdir}/pkgconfig/%{name}.pc
