%define major   1
%define devname %mklibname belle-sip -d
%define libname %mklibname belle-sip %{major}

%bcond_with tests

Name:           belle-sip
Version:        5.3.5
Release:        %mkrel 1
Summary:        Linphone sip stack

Group:          Communications/Telephony
License:        GPLv2
URL:            https://linphone.org/technical-corner/belle-sip/overview
Source0:        https://gitlab.linphone.org/BC/public/belle-sip/-/archive/%{version}/belle-sip-%{version}.tar.gz
# (wally) fix pkgconfig file contents when building with cmake
Patch100:	belle-sip-cmake-fix-pkgconfig-pc-file.patch
BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  bctoolbox-devel >= %{version}
BuildRequires:  belr-devel >= %{version}

%description
Belle-sip is an object oriented c written SIP stack used by Linphone.

%package -n     %{libname}
Summary:        The belle-sip library, a part of belle-sip
Group:          System/Libraries
Requires:	%{name}-grammars >= %{version}-%{release}
Obsoletes:	%{_lib}bellesip1 < 5.3.5

%description -n %{libname}
The belle-sip library, a part of belle-sip.

%package -n     %{devname}
Summary:        Development libraries for belle-sip
Group:          System/Libraries
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Obsoletes:	%{_lib}bellesip-devel < 5.3.5

%description -n %{devname}
Libraries and headers required to develop software with belle-sip.

%package grammars
Summary:	VCard grammar files for Belle-sip
Group:		Communications/Telephony
BuildArch:	noarch

%description grammars
Belle-sip VCard grammar files.

%prep
%autosetup -p1

# Fix project version
sed -i -e '/project/s/\(VERSION\)\s\+[0-9]\+\(\.[0-9]\+\)\+/\1 %{version}/' CMakeLists.txt

%build
%cmake -GNinja \
    -DCMAKE_SKIP_INSTALL_RPATH:BOOL=YES \
    -DENABLE_STATIC:BOOL=NO \
    -DENABLE_STRICT:BOOL=NO \
    -DENABLE_TESTS:BOOL=%{?_with_tests:YES}%{?!_with_tests:NO}\
    -DENABLE_UNIT_TESTS:BOOL=NO
%cmake_build

%install
%cmake_install

%files -n %{devname}
%doc README.md CHANGELOG.md
%{_includedir}/belle-sip/
%{_libdir}/libbelle-sip.so
%{_libdir}/pkgconfig/belle-sip.pc
%{_libdir}/cmake/BelleSIP/
%if %{with tests}
%{_bindir}/belle_sip_tester
%dir %{_datadir}/belle_sip_tester/
%{_datadir}/belle_sip_tester/tester_hosts
%endif

%files -n %{libname}
%license LICENSE.txt
%{_libdir}/libbelle-sip.so.%{major}{,.*}

%files grammars
%{_datadir}/belr/grammars/sdp_grammar
