Name:           berusky
Version:        1.7.2
Release:        %mkrel 3
Summary:        Advanced sokoban clone with nice graphics
License:        GPLv2+
Group:          Games/Puzzles
URL:            https://www.anakreon.cz
Source0:        https://anakreon.cz/download/%{name}-%{version}.tar.gz
Source1:        %{name}.png
Patch1:         berusky-1.7.2-mga-fix-working-paths.patch
Patch2:         berusky-1.7.2-fix-cpp-code.patch

BuildRequires:  gettext
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_image)
Requires:       %{name}-data >= 1.7

%description
Berusky is a 2D logic game based on an ancient puzzle named Sokoban.

An old idea of moving boxes in a maze has been expanded with new logic
items such as explosives, stones, special gates and so on.
In addition, up to five bugs can cooperate and be controlled by the player.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

# Remove docs from a wrong directory
rm -rf %{buildroot}%{_prefix}/doc

# Install icon
install -D -p %{SOURCE1} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png

# Desktop-file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Berusky
Comment=Rescue the bugs!
Exec=%{name}
Terminal=false
Type=Application
StartupNotify=false
Icon=%{name}
Categories=Game;LogicGame;
EOF

# Move berusyk.ini to /etc
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
mv %{buildroot}%{_datadir}/%{name}/%{name}.ini %{buildroot}%{_sysconfdir}/%{name}

# Fix path for the games data dir for files from berusky-data
rm -fR %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}

# Move binary to /usr/games
mv %{buildroot}%{_bindir} %{buildroot}%{_gamesbindir}

%files
%doc AUTHORS ChangeLog INSTALL NEWS README TODO
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%dir %{_gamesdatadir}/%{name}
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%config(noreplace) %{_sysconfdir}/%{name}/*
