Name:           berusky2
Version:        0.12
Release:        %mkrel 3
License:        GPLv2+
Summary:        Bugs Escape 3D - Advanced Sokoban clone with nice sceneries
Group:          Games/Puzzles
URL:            https://www.anakreon.cz/berusky2.html
Source0:        https://www.anakreon.cz/download/%{name}-%{version}.tar.gz
Patch1:         berusky2-0.10-mga-desktop.patch

BuildRequires:  pkgconfig(freealut)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(vorbis)
Requires:       %{name}-data >= 0.12

%description
Berusky 2 (Bugs Escape 3D) is a game that challenges your visual/spatial
thinking and ability to find a way to resolve a logic task. Using five bugs,
you'll go through an adventure full of various puzzles spread across
nine episodes. Individual episodes differ in appearance and difficulty,
which increases throughout the game.

%prep
%setup -q
%autopatch -p1

# Fix paths in config file
sed -i 's@/usr/share/berusky2@%{_gamesdatadir}/%{name}@g' data/berusky3d.ini

%build
%configure \
  --bindir=%{_gamesbindir} \
  --with-ini-file-global-dir='"%{_sysconfdir}/%{name}"'
%make_build

%install
%make_install

# Remove documentation from a wrong path
rm -fR %{buildroot}%{_prefix}/doc/

# Install ini file
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
mv %{buildroot}%{_datadir}/%{name}/berusky3d.ini %{buildroot}%{_sysconfdir}/%{name}

# Install icon file
mkdir -p %{buildroot}%{_iconsdir}/hicolor/32x32/apps
mv %{buildroot}%{_datadir}/%{name}/%{name}.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps

# Install .desktop file
mkdir -p %{buildroot}%{_datadir}/applications
mv %{buildroot}%{_datadir}/%{name}/%{name}.desktop %{buildroot}%{_datadir}/applications

# Remove unused files and create dir that will hold the data
rm -rf %{buildroot}%{_datadir}/%{name}/
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}

%files
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_gamesbindir}/%{name}
%dir %{_gamesdatadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%config %{_sysconfdir}/%{name}/berusky3d.ini
