# comment out when not pre-release
#define prel    rc2

%define rel     1

Name:           bibletime
Version:        3.1.1
Release:        %mkrel %{?prel:0.%prel.}%{rel}
Summary:        Easy to use Bible study tool
License:        GPLv2+
Group:          Text tools
Url:            https://www.bibletime.info/
Source0:        https://github.com/bibletime/bibletime/releases/download/v%{version}%{?prel:_%prel}/%{name}-%{version}%{?prel:_%prel}.tar.xz

# Upstream patches (100-200)

# Mageia patches (300-400)
Patch300:       bibletime-2.11.0-mga-fix-desktop-file.patch

ExclusiveArch:  aarch64 x86_64

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6QuickWidgets)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  pkgconfig(sword) >= 1.7.0
BuildRequires:  pkgconfig(libclucene-core)
BuildRequires:  cmake
BuildRequires:  docbook-style-xsl
BuildRequires:  fop
BuildRequires:  po4a
BuildRequires:  xsltproc

Requires:       sword >= 1.7.0

%description
BibleTime is a free and easy to use bible study tool built with QT5.

BibleTime provides easy handling of digitized texts (Bibles, commentaries
and lexicons) and powerful features to work with these texts (search in
texts, write own notes, save, print etc.). Bibletime is a front-end for
the SWORD Bible Framework.

%prep
%autosetup -p1 -n %{name}-%{version}%{?prel:_%prel}

%build
%cmake_qt6

%cmake_build

%install
%cmake_install

cp README.md %{buildroot}%{_docdir}/%{name}/

%files
%license LICENSE
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/scalable/apps/info.%{name}.BibleTime.svg
%{_datadir}/applications/info.%{name}.BibleTime.desktop
%{_metainfodir}/info.%{name}.BibleTime.metainfo.xml
