#Cambiar el directorio de python de b3 a bigbrotherbot
#Hacer que el log se cree en /var/log
#importar mas plugins

%define oname	b3
Name:		bigbrotherbot
Summary:	Automated Game Server administration tool
Version:	1.9.2
Release:	%mkrel 1
License:	GPLv2+
Source0:	%{oname}-%{version}.zip
Source1:	b3.xml
#Source2:	% {name}.service
Group:		Games/Shooter
BuildArch:	noarch
Url:		https://www.bigbrotherbot.net/
Requires:	python-beaker
Requires:	python-yaml
#Requires:	python-celementtree
Requires:	python-mysql
Requires:	mariadb
BuildRequires:	python-setuptools
Recommends:	urbanterror-server

Requires(post):	systemd >= %{systemd_required_version}
Requires(pre):	rpm-helper
Requires(post):	rpm-helper
Requires(preun):	rpm-helper


%description
Big Brother Bot (B3) is a complete and total server administration package for 
online games. It is the preferred ingame RCON Tool currently available.

%files 
%defattr(-,root,root)
#% doc README.txt LICENSE.txt cheatsheet.odg cheatsheet.pdf
%{_defaultdocdir}/%{name}/README.urpmi
%{_bindir}/%{oname}_run
%{python_sitelib}/%{oname}/*
%{python_sitelib}/%{oname}-%{version}-*.egg-info


%package doc
Summary:	Documentation for Big Brother Bot game server administration tool
Group:		Documentation
BuildArch:	noarch

%description doc
Documentation files for Big Brother Bot automated game server administration tool.

%files doc
%exclude %{_defaultdocdir}/%{name}/README.urpmi
%{_defaultdocdir}/%{name}/*


%prep
%setup -q -n %{oname}-%{version}

%build
python setup.py build


%install
python setup.py install -O1 --root=$RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_defaultdocdir}/%{name}
mv %{buildroot}%{python_sitelib}/%{oname}/docs %{buildroot}%{_defaultdocdir}/%{name}

#delete bundled python libs and use the system ones
#rm -fr % {buildroot}% {python_sitelib}/% {oname}/lib/elementtree
#rm -fr % {buildroot}% {python_sitelib}/% {oname}/lib/beaker
#rm -fr % {buildroot}% {python_sitelib}/% {oname}/lib/yaml

#Move the test dir inside b3 install
mv %{buildroot}%{python_sitelib}/tests/ %{buildroot}%{python_sitelib}/%{oname}/

cat > ${RPM_BUILD_ROOT}/%{_docdir}/%{name}/README.urpmi << EOF

This Big Brother Bot package comes preconfigured to run with a local Urban 
Terror server. Please edit the game server details in the configuration file:

%{_sysconfdir}/%{name}/b3.xml

EOF

#Replace @b3 and @conf in the default config file:


%pre 
%_pre_useradd %{name} %{_var}/lib/%{name} /bin/sh

%post 
#% _tmpfilescreate % {_tmpfilesdir}/% {name}
%_post_service %{name}

%preun 
%_preun_service %{name}

%postun 
%_postun_userdel %{name}
