%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		bijiben
Version:	40.1
Release:	%mkrel 6
Summary:	Simple Note Viewer
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		https://wiki.gnome.org/Bijiben
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch:		0001-meson-fix-build-with-meson-0.61.patch
Patch:		0001-build-Bump-dependency-on-evolution-data-server.patch
BuildRequires:	pkgconfig(evolution-calendar-3.0)
BuildRequires:	pkgconfig(evolution-data-server-1.2)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(tinysparql-3.0)
BuildRequires:	pkgconfig(clutter-gtk-1.0)
BuildRequires:	pkgconfig(libhandy-1)
BuildRequires:	pkgconfig(libecal-2.0)
BuildRequires:	pkgconfig(libedataserverui-1.2)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(zeitgeist-2.0)
BuildRequires:	pkgconfig(goa-1.0)
BuildRequires:	pkgconfig(webkit2gtk-4.1)
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	meson

%description
Simple note editor which emphasis on visuals : quickly write
notes, quickly find it back.

%prep
%autosetup -p1

%build
%meson -Dupdate_mimedb=false
%meson_build

%install
%meson_install

rm -f %{buildroot}%{_prefix}/doc/%{name}/*

%find_lang %{name} --with-gnome

%check
%meson_test

%files -f %{name}.lang
%doc NEWS AUTHORS COPYING README.md
%{_bindir}/%{name}
%{_datadir}/metainfo/org.gnome.Notes.appdata.xml
%{_datadir}/applications/org.gnome.Notes.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Notes.gschema.xml
%{_datadir}/gnome-shell/search-providers/org.gnome.Notes-search-provider.ini
%{_iconsdir}/*/*/*/org.gnome.Notes*.*
%{_datadir}/mime/packages/org.gnome.Notes.xml
%{_datadir}/%{name}/
%{_libexecdir}/%{name}-shell-search-provider
%{_datadir}/dbus-1/services/org.gnome.Notes.SearchProvider.service
