Name:           bino
Version:        2.5
Release:        %mkrel 2
Summary:        Video Player with 3D and Multi-Display Video Support
Group:          Video/Players
License:        GPLv3+
URL:            https://bino3d.org/
Source0:        https://bino3d.org/releases/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6OpenGL)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6OpenGLWidgets)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Linguist)
BuildRequires:  cmake(QVR) >= 4.1.0
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glew) >= 1.5.0
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  ffmpeg-devel
BuildRequires:  gettext-devel
BuildRequires:  gcc-gfortran
BuildRequires:  pkgconfig(libass)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  texinfo

%description
Bino is a video player with the following main features:

- Support for stereoscopic 3D video, with a wide variety of input and output
formats.
- Support for multi-display video, e.g. for powerwalls, Virtual Reality
installations and other multi-projector setups.


%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_datadir}/doc

%files
%doc NEWS.md README.md
%license LICENSE.md
%{_bindir}/bino
#{_mandir}/man1/*
%{_datadir}/applications/*%{name}*.desktop
%{_metainfodir}/org.bino3d.bino.metainfo.xml
%{_iconsdir}/hicolor/*/apps/*%{name}*
