Name:		binwalk
Version:	2.3.4
Release:	%mkrel 4
Summary:	Firmware analysis tool
License:	MIT
Group:		Development/Tools
URL:		https://github.com/ReFirmLabs/binwalk
Source0:	https://github.com/ReFirmLabs/binwalk/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		binwalk-2.2.0-disable-test-coverage.patch
Patch1:		binwalk-2.3.3-tests.patch
Patch3:		binwalk-2.3.3-syntax-fix.patch
# https://github.com/ReFirmLabs/binwalk/pull/666
Patch4:		0001-fix-the-importlib-usage-for-python-3.12.patch
BuildRequires:	pkgconfig(python3)
# For tests
BuildRequires:	python3-pytest
BuildRequires:	python3-pynose
BuildRequires:	python3-coverage
BuildArch:	noarch

%description
Binwalk is a fast, easy-to-use tool for analyzing and extracting
firmware images.


%files -f %{pyproject_files}
%doc README.md
%license LICENSE
%{_bindir}/%{name}


%prep
%autosetup -p1

sed -i 's|2.3.3|%{version}|' setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{name}


%check
PYTHONPATH=%{buildroot}%{python3_sitelib} %pytest testing/tests
