Name:		biosdevname
Version:	0.7.3
Release:	%mkrel 3
Summary:	Udev helper for naming devices per BIOS names
Group:		System/Base
License:	GPLv2
URL:		https://linux.dell.com/files/biosdevname
# SMBIOS only exists on these arches.  It's also likely that other
# arches don't expect the PCI bus to be sorted breadth-first, or of
# so, there haven't been any comments about that on LKML.
ExclusiveArch:	%{ix86} x86_64 ia64
Source0:	https://github.com/dell/biosdevname/archive/v%{version}/%{name}-%{version}.tar.gz
Patch2:		0002-Place-udev-rules-to-usr-lib.patch
BuildRequires:	pkgconfig(libpci)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	udev
Requires:	udev

%description
biosdevname in its simplest form takes a kernel device name as an
argument, and returns the BIOS-given name it "should" be.  This is necessary
on systems where the BIOS name for a given device (e.g. the label on
the chassis is "Gb1") doesn't map directly and obviously to the kernel
name (e.g. eth0).

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure

%make_build

%install
%make_install install-data

%files
%doc COPYING README
%{_sbindir}/%{name}
%{_udevrulesdir}/71-biosdevname.rules
%{_mandir}/man1/%{name}.1*
