# based on Fedora package: thanks


Name:		bip
Version:	0.9.3
Release:	%mkrel 1
Summary:	IRC Bouncer (proxy)
Group:		Networking/IRC
License:	GPLv2+
URL:		https://bip.milkypond.org/
Source0:	https://projects.duckcorp.org/attachments/download/146/bip-%{version}.tar.gz
Source1:	bip.logrotate
Source2:	bip.service
Source3:	bip-tmpfiles.conf
Patch0:		bip-0.9.3-conf.patch
BuildRequires:	pkgconfig(openssl)
BuildRequires:	flex
BuildRequires:	byacc
Requires(post):  systemd >= %{systemd_required_version}
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description
Bip is an IRC proxy, which means it keeps connected to your preferred IRC
servers, can store the logs for you, and even send them back to your IRC
client(s) upon connection.
You may want to use bip to keep your logfiles (in a unique format and on a
unique computer) whatever your client is, when you connect from multiple
workstations, or when you simply want to have a playback of what was said
while you were away.

%prep
%setup -q
%autopatch -p1

iconv -f iso-8859-1 -t utf-8 -o ChangeLog{.utf8,}
mv ChangeLog{.utf8,}

%build
# It generates an error on -Werror so we need to remove it.
perl -i -lape 's/\s+-Werror// if /\AAM_CFLAGS =/' "Makefile.in" "src/Makefile.in"
%configure
%make_build

%install
%make_install

# Remove misplaced files
rm -rf %{buildroot}%{_defaultdocdir}/bip

# Install bip.conf
install -D -p -m 644 samples/bip.conf %{buildroot}%{_sysconfdir}/bip.conf

# Install logrotate
install -D -p -m 755 %{SOURCE1} %{buildroot}%{_sysconfdir}/logrotate.d/bip

mkdir -p %{buildroot}%{_logdir}/bip

# Install systemd service file
install -D -p -m 0644 %{SOURCE2} %{buildroot}%{_unitdir}/%{name}.service
install -D -p -m 0644 %{SOURCE3} %{buildroot}%{_tmpfilesdir}/%{name}.conf

%pre
%_pre_useradd %{name} / /bin/sh

%post
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}


%files
%doc AUTHORS ChangeLog README TODO
%doc samples/bip.vim
%{_bindir}/bip
%{_bindir}/bipmkpw
%{_mandir}/man1/bip.1*
%{_mandir}/man1/bipmkpw.1*
%{_mandir}/man5/bip.conf.5*
%config(noreplace) %{_sysconfdir}/bip.conf
%{_sysconfdir}/logrotate.d/bip
%{_unitdir}/bip.service
%{_tmpfilesdir}/bip.conf
%attr(-,bip,bip) %dir %{_logdir}/bip
