Name:           birdfont
Version:        2.33.5
Release:        %mkrel 1
Summary:        A free font editor for TTF, EOT & SVG fonts
Group:          Graphics/Editors and Converters
License:        GPLv3+
URL:            https://birdfont.org
Source0:        https://github.com/johanmattssonm/birdfont/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         birdfont-2.29.1-mga-desktop.patch
Patch1:         birdfont-linking.patch

BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libsoup-3.0)
BuildRequires:  pkgconfig(webkit2gtk-4.1)
BuildRequires:  pkgconfig(xmlbird)
BuildRequires:  python3
BuildRequires:  vala-tools

Requires:       google-roboto-fonts
Requires:       unicode-ucd

%description
BirdFont is a free font editor that lets you create vector graphics and export
TTF, EOT & SVG fonts.

%prep
%autosetup -p1

sed -i -e 's/libsoup-2.4/libsoup-3.0/g' configure

%build
%{__python3} ./configure \
	-p%{_prefix} \
	--cflags="%{optflags}" \
	--ldflags="%{ldflags}"
%{__python3} scripts/linux_build.py

%install
%{__python3} install.py \
	-d%{buildroot} \
	-l/%{_lib} \
	-n/share/man/man1 \
	-mtrue

rm -f %{buildroot}%{_libdir}/libbird*.so

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}*
%{_libdir}/libbirdfont.so.*
%{_libdir}/libbirdgems.so.*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}*.1*
