%define oname	bitcoin

Name:		bitcoin-qt
Version:	0.6.3
Release:	%mkrel 2
Summary:	Peer-to-peer digital currency

Group:		Applications/System
License:	MIT
URL:		https://bitcoin.org/
Source0:	https://downloads.sourceforge.net/%{oname}/%{oname}-%{version}.tar.gz
Source1:	bitcoind
Source2:	bitcoin-qt
Source3:	bitcoin.init

Patch1:		bitcoin-0.6.3-pro.patch
Patch2:		bitcoin-0.6.3-makefile.unix.patch

BuildRequires:	qt4-devel >= 1:4.6 qrencode-devel openssl-devel miniupnpc-devel boost-devel >= 1.41.0 db4-devel
BuildRequires:	desktop-file-utils

Requires:	qt4-common >= 4.6 libminiupnpc8 qrencode openssl >= 1.0.0j boost >= 1.41.0


%package server
Summary:	Peer-to-peer digital currency
Requires(pre):	shadow-utils
Requires(post): chkconfig


%description
Bitcoin is an experimental new digital currency that enables instant
payments to anyone, anywhere in the world. Bitcoin uses peer-to-peer
technology to operate with no central authority: managing transactions
and issuing money are carried out collectively by the network.

Bitcoin is also the name of the open source software which enables the
use of this currency.

This package provides Bitcoin, a user-friendly wallet manager for
personal use.


%description server
Bitcoin is an experimental new digital currency that enables instant
payments to anyone, anywhere in the world. Bitcoin uses peer-to-peer
technology to operate with no central authority: managing transactions
and issuing money are carried out collectively by the network.

This package provides bitcoind, a wallet server and command line tool
for manipulating a remote bitcoind server.


%prep
%setup -q -n %{oname}-%{version}
%patch -P 1 -p1
%patch -P 2 -p1

%build
cd src
qmake USE_UPNP=1 USE_DBUS=1 USE_QRCODE=1
make

%install
%find_lang %{oname}
cp src/contrib/debian/examples/bitcoin.conf bitcoin.conf.example
pushd src
install -D -m755 -p bitcoin-qt %{buildroot}%{_libdir}/bitcoin/bitcoin-qt
install -D -m755 -p %{SOURCE2} %{buildroot}%{_bindir}/bitcoin-qt
install -D -m644 -p share/pixmaps/bitcoin32.xpm %{buildroot}%{_datadir}/pixmaps/bitcoin32.xpm
install -D -m644 -p share/pixmaps/bitcoin80.xpm %{buildroot}%{_datadir}/pixmaps/bitcoin80.xpm
install -D -m644 -p contrib/debian/bitcoin-qt.desktop %{buildroot}%{_datadir}/applications/bitcoin-qt.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/bitcoin-qt.desktop
install -D -m644 -p contrib/debian/bitcoin-qt.protocol %{buildroot}%{_datadir}/kde4/services/bitcoin-qt.protocol


%files
%doc COPYING README bitcoin.conf.example
%{_bindir}/bitcoin-qt
%{_libdir}/bitcoin/bitcoin-qt
%{_datadir}/applications/bitcoin-qt.desktop
%{_datadir}/kde4/services/bitcoin-qt.protocol
%{_datadir}/pixmaps/bitcoin32.xpm
%{_datadir}/pixmaps/bitcoin80.xpm


