%define oname	bitcoin


Name:		bitcoin-server
Version:	0.6.3
Release:	%mkrel 1
Summary:	Peer-to-peer digital currency

Group:		Applications/System
License:	MIT
URL:		https://bitcoin.org/
Source0:	https://downloads.sourceforge.net/%{oname}/%{oname}-%{version}.tar.gz
Source1:	bitcoind
Source2:	bitcoin-qt
Source3:	bitcoin.init

Patch1:		bitcoin-0.6.3-pro.patch
Patch2:		bitcoin-0.6.3-makefile.unix.patch

BuildRequires:	qrencode-devel openssl-devel miniupnpc-devel boost-devel >= 1.41.0 db4-devel
BuildRequires:	desktop-file-utils

Requires:	miniupnpc8 qrencode openssl >= 1.0.0j boost >= 1.41.0


%package server
Summary:	Peer-to-peer digital currency
Requires(pre):	shadow-utils
Requires(post): chkconfig
Requires(post):		/sbin/restorecon, /sbin/fixfiles
Requires(preun): chkconfig
Requires(preun): initscripts
Requires(postun): initscripts
Requires(postun):	/sbin/restorecon, /sbin/fixfiles


%description
Bitcoin is an experimental new digital currency that enables instant
payments to anyone, anywhere in the world. Bitcoin uses peer-to-peer
technology to operate with no central authority: managing transactions
and issuing money are carried out collectively by the network.

Bitcoin is also the name of the open source software which enables the
use of this currency.

This package provides Bitcoin, a user-friendly wallet manager for
personal use.


%description server
Bitcoin is an experimental new digital currency that enables instant
payments to anyone, anywhere in the world. Bitcoin uses peer-to-peer
technology to operate with no central authority: managing transactions
and issuing money are carried out collectively by the network.

This package provides bitcoind, a wallet server and command line tool
for manipulating a remote bitcoind server.


%prep
%setup -q -n %{oname}-%{version}
%patch -P 1 -p1
%patch -P 2 -p1

%build
cd src
qmake USE_UPNP=1 USE_DBUS=1 USE_QRCODE=1
cd src
make -f makefile.unix

%install
%find_lang %{oname}
pushd src
cp contrib/debian/examples/bitcoin.conf bitcoin.conf.example
install -D -m644 -p contrib/debian/manpages/bitcoind.1 %{buildroot}%{_mandir}/man1/bitcoind.1
install -D -m644 -p contrib/debian/manpages/bitcoin.conf.5 %{buildroot}%{_mandir}/man5/bitcoin.conf.5
install -D -m755 -p src/bitcoind %{buildroot}%{_libdir}/bitcoin/bitcoind
install -D -m755 -p %{SOURCE1} %{buildroot}%{_sbindir}/bitcoind
install -D -m755 -p %{SOURCE3} %{buildroot}%{_initrddir}/bitcoin
install -d -m750 -p %{buildroot}%{_localstatedir}/lib/bitcoin
install -d -m750 -p %{buildroot}%{_sysconfdir}/bitcoin
popd



%pre
getent group bitcoin >/dev/null || groupadd -r bitcoin
getent passwd bitcoin >/dev/null ||
	useradd -r -g bitcoin -d /var/lib/bitcoin -s /sbin/nologin \
	-c "Bitcoin wallet server" bitcoin
exit 0


%post
/sbin/chkconfig --add bitcoin


%preun
if [ $1 -eq 0 ] ; then
    /sbin/service bitcoin stop >/dev/null 2>&1
    /sbin/chkconfig --del bitcoin
fi


%postun
if [ "$1" -ge "1" ] ; then
	/sbin/service bitcoin condrestart >/dev/null 2>&1 || :
else
	/sbin/fixfiles -R bitcoin-server restore &> /dev/null || :
fi
stop
%files
%doc COPYING README
%dir %attr(750,bitcoin,bitcoin) %{_localstatedir}/lib/bitcoin
%dir %attr(750,bitcoin,bitcoin) %{_sysconfdir}/bitcoin
%{_libdir}/bitcoin/bitcoind
%{_sbindir}/bitcoind
%{_initrddir}/bitcoin
%{_mandir}/man1/bitcoind.1.xz
%{_mandir}/man5/bitcoin.conf.5.xz
