Name:           bitfighter
Version:        022
Release:        %mkrel 5
Summary:        Free multi-player 2D space combat game with dual-axes controls
Group:          Games/Arcade
License:        GPLv2+
URL:            https://bitfighter.org
Source0:        https://bitfighter.org/files/%{name}-%{version}.tar.gz
# fix for bundled rapidjson (P11->P16)
# https://github.com/Tencent/rapidjson/pull/719
Patch11:        0001-Removed-non-compiling-assignment-operator.-Fixed-718.patch
# https://github.com/Tencent/rapidjson/pull/719
Patch12:        0002-Explicitly-disable-copy-assignment-operator.patch
# https://github.com/Tencent/rapidjson/pull/1137
Patch13:        0003-Three-way-comparison-for-CLang-10-fix-1679.patch
# https://github.com/Tencent/rapidjson/pull/1679
Patch14:        0004-Fix-recursive-operator-call-in-C-20-1846.patch
# https://github.com/Tencent/rapidjson/pull/1847
Patch15:        0005-gate-definition-of-symmetric-equality-operators-on-i.patch
# https://github.com/Tencent/rapidjson/pull/2091
Patch16:        0006-do-not-define-operator-in-C-20.patch

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  pkgconfig(alure)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(libmodplug)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(luajit)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(poly2tri)
BuildRequires:  pkgconfig(polyclipping)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(speex)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(vorbisfile)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  tomcrypt-devel

# Python notifier dependencies
Requires:       python3dist(dbus-python)
Requires:       python3dist(notify2)
#Requires:       python3-qt4-core
#Requires:       python3-qt4-gui

Provides:       bundled(discord-rpc)
Provides:       bundled(rapidjson) = 1.1.0

%description
Bitfighter is a free multi-player 2-D space combat game with dual-axes
controls. It's a team-based strategy game featuring retro vector graphics
and customizable ships. It's fast, fun, and frenetic.

%prep
%autosetup -p1

# Remove bundled dependencies
rm -rf alure \
  boost \
  clipper \
  lua \
  poly2tri \
  sqlite \
  tomcrypt

%build
# BUILD_SHARED_LIBS=OFF to prevent building tnl as .so
%cmake -DBUILD_SHARED_LIBS=OFF \
       -DCMAKE_BIN_PATH=%{_gamesbindir} \
       -DCMAKE_DATA_PATH=%{_gamesdatadir} \
       -DMASTER_MINIMAL=ON \
       -DLUAJIT_BUILTIN=OFF

%cmake_build

%install
%cmake_install

%files
%doc doc/README.txt
%license LICENSE.txt
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}_notifier
%{_gamesdatadir}/%{name}/
%{_mandir}/man6/%{name}.6*
