# disable default option "make V=1 VERBOSE=1"
%define _make_verbose %nil

%define	bitlbid	bitlbee

Summary:	IRC proxy to connect to ICQ, AOL, MSN and Jabber
Name:		bitlbee
Version:	3.6
Release:	%mkrel 5
License:	GPLv2+
Group:		Networking/Instant messaging
URL:		https://bitlbee.org/
Source0:	https://get.bitlbee.org/src/%{name}-%{version}.tar.gz
Patch0:		0001-twitter-switch-to-an-app-that-didn-t-get-murdered-ye.patch
Patch3:		bitlbee-forkdaemon.patch
BuildRequires:	libgcrypt-devel
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(purple)
BuildRequires:	pkgconfig(libotr)
BuildRequires:	pkgconfig(python3)
# Documentation (user-guide.html)
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl

Requires(post):	ccp
Requires(pre):	rpm-helper
Requires(post): rpm-helper
Requires(preun): rpm-helper

%description
%{name} is a proxy which accepts connections from any irc-client
and allows you to communicate using following instant messaging
protocols:

 - ICQ
 - AIM
 - YIM
 - Jabber (including Google Talk and Facebook)
 - Twitter

%prep
%setup -q
%autopatch -p1
# Use the nick "bitlbee" instead of "root"
%{__sed} -i 's/ROOT_NICK "root"/ROOT_NICK "bitlbee"/' bitlbee.h

%build
%set_build_flags
export PYTHON="%{__python3}"
./configure	--prefix=%{_prefix} \
		--etcdir=%{_sysconfdir}/%{name} \
		--libdir=%{_libdir}/%{name} \
		--strip=0 \
		--jabber=1 \
		--purple=1 \
		--otr=1

%make_build

(cd doc/user-guide/ && make user-guide.html)

%install
%make_install install-etc install-systemd

%{__install} -d   %{buildroot}%{_var}/lib/%{name}

%triggerpostun -- bitlbee < 3.0.6
[ -d %{_var}/lib/%{name} ] && chown -R %{bitlbid}:%{bitlbid} %{_var}/lib/%{name}
%_postun_userdel %{bitlbid}

%pre
%_pre_useradd %{bitlbid} %{_var}/%{name} /bin/true
# in post it is harder to know if the new empty dir already exists
if [ $1 = 2 -a -d "%{_var}/%{name}" -a ! -d "%{_var}/lib/%{name}" ]; then
   echo -n " NOTE: new location of bitlbee users data: "
   mv -v "%{_var}/%{name}" "%{_var}/lib/%{name}"
fi

%post
ccp --delete --ifexists --set NoOrphans --oldfile %{_sysconfdir}/%{name}/%{name}.conf --newfile %{_sysconfdir}/%{name}/%{name}.conf.rpmnew
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{bitlbid}

%files
%defattr(0750,root,%{bitlbid},0755)
%{_sbindir}/%{name}
%defattr(0644,root,root,0755)
%doc doc/AUTHORS doc/README doc/FAQ
%doc doc/CHANGES doc/CREDITS
%doc doc/user-guide/user-guide.html

%{_datadir}/%{name}/help.txt
%dir %{_datadir}/%{name}/
%{_mandir}/man?/*
%config(noreplace) %{_sysconfdir}/%{name}/motd.txt
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%{_unitdir}/%{name}*
%defattr(0600,%{bitlbid},%{bitlbid},0700)
%{_var}/lib/%{name}
