%define rel_name bk2010

Summary: Java Emulator for BK* computers
Name: bk-emu
Version: 0.5
Release: %mkrel 12
License: BSD
Group: Emulators
URL: https://bitbucket.org/alex_tishin/%{rel_name}_releases
BuildArchitectures: noarch
Requires: jre >= 1.6.0
Source0: https://bitbucket.org/alex_tishin/%{rel_name}_releases/downloads/%{rel_name}-%{version}-release.zip
Source1: %{name}
Source2: %{name}.png
Source3: %{name}.desktop
Source4: keyboard.ini
BuildRequires: javapackages-filesystem
AutoReqProv: no

%description
A portable emulator of the Soviet-era home/educational computer BK0010 and
its successor BK0011M, written entirely in the Java programming language.
The emulator was written for Java by Alex Tishin.

%prep
%setup -q -n %{rel_name}
rm -f ./start.bat

%build
#nothing

%install
mkdir -p %{buildroot}/%{_javadir}/%{name}
cp -af *.jar %{buildroot}/%{_javadir}/%{name}
cp -af disks %{buildroot}/%{_javadir}/%{name}
cp -af roms %{buildroot}/%{_javadir}/%{name}
cp -af tapes %{buildroot}/%{_javadir}/%{name}
touch %{buildroot}/%{_javadir}/%{name}/config.ini
chmod 666 %{buildroot}/%{_javadir}/%{name}/config.ini
install -m 666 %{SOURCE4} %{buildroot}/%{_javadir}/%{name}/
mkdir -p %{buildroot}%{_bindir}
install -m 755 %{SOURCE1} %{buildroot}%{_bindir}/
mkdir -p %{buildroot}/%{_datadir}/pixmaps
cp -f %{SOURCE2} %{buildroot}/%{_datadir}/pixmaps
mkdir -p %{buildroot}/%{_datadir}/applications
install -m 644 %{SOURCE3} %{buildroot}/%{_datadir}/applications

%files
%doc *.txt
%{_javadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
