%define cleanerml_snap	20220427

Name:		bleachbit
Version:	4.6.2
Release:        %mkrel 1
Summary:	Remove unnecessary files, free space, and maintain privacy
License:	GPLv3+
Group:		System/Configuration
URL:		https://www.bleachbit.org/
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
# provides additional cleaner plugins, taken from https://github.com/az0/cleanerml via
# rm -rf cleanerml && git clone https://github.com/az0/cleanerml.git && cd cleanerml
# git archive --prefix=cleanerml-$(date +%Y%m%d)/ --format=tar HEAD | xz > ../cleanerml-$(date +%Y%m%d).tar.xz
Source2:	cleanerml-%{cleanerml_snap}.tar.xz
Patch2:		bleachbit-disable-update-check.patch
BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:	python3dist(setuptools)
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
Requires:	python3-chardet
Requires:	python3-gobject

%description
BleachBit deletes unnecessary files to free valuable disk space, maintain
privacy, and remove junk. Rid your system of old clutter including cache,
cookies, Internet history, localizations, logs, temporary files, and broken
shortcuts. It wipes clean the cache and history list of many common programs.

%prep
%setup -a 2 -qn %{name}-%{version}
%autopatch -p1

%generate_buildrequires
%pyproject_buildrequires

%build
# delete windows files
%make_build delete_windows_files

# adapted from Makefile to clean cleanerml
awk '/os="windows/ && /id="/ {print FILENAME}' cleanerml-%{cleanerml_snap}/release/*.xml | xargs rm -f

%pyproject_wheel

%install
%make_install prefix=%{_prefix}

# remove shebang as those files are not executable and not meant to be run by users
sed -i -e '/^#!\//, 1d' %{buildroot}%{_datadir}/%{name}/CLI.py
sed -i -e '/^#!\//, 1d' %{buildroot}%{_datadir}/%{name}/GUI.py

# install additional released cleaner plugins from cleanerml snapshot
install -m 644 cleanerml-%{cleanerml_snap}/release/*.xml %{buildroot}%{_datadir}/%{name}/cleaners

%find_lang %{name}

%files -f %{name}.lang
%doc README.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.bleachbit.BleachBit.desktop
%{_metainfodir}/org.bleachbit.BleachBit.metainfo.xml
%{_datadir}/polkit-1/actions/org.bleachbit.policy
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png
