%define major   0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

%bcond_without check

Name:           blend2d
Version:        0.11.5
Release:        %mkrel 1
Summary:        2D Vector Graphics Engine Powered by a JIT Compiler
Group:          System/Libraries
License:        Zlib
URL:            https://blend2d.com/
Source0:        https://blend2d.com/download/%{name}-%{version}.tar.gz
Patch0:         blend2d-soversion.patch

BuildRequires:  cmake
BuildRequires:  ninja

%description
Blend2D is a high performance 2D vector graphics engine written in C++ and
released under the Zlib license. The engine utilizes a built-in JIT compiler to
generate optimized pipelines at runtime and is capable of using multiple threads
to boost the performance beyond the possibilities of single-threaded rendering.
Additionally, the engine features a new rasterizer that has been written from
scratch. It delivers superior performance while quality is comparable to
rasterizers used by AGG, FreeType, and Qt. The performance has been optimized by
using an innovative approach to index data that is built during rasterization
and scanned during composition. The rasterizer is robust and excels in rendering
basic shapes, complex vector art, and text.

%package -n %{libname}
Summary:        2D Vector Graphics Engine Powered by a JIT Compiler
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
Blend2D is a high performance 2D vector graphics engine written in C++ and
released under the Zlib license. The engine utilizes a built-in JIT compiler to
generate optimized pipelines at runtime and is capable of using multiple threads
to boost the performance beyond the possibilities of single-threaded rendering.
Additionally, the engine features a new rasterizer that has been written from
scratch. It delivers superior performance while quality is comparable to
rasterizers used by AGG, FreeType, and Qt. The performance has been optimized by
using an innovative approach to index data that is built during rasterization
and scanned during composition. The rasterizer is robust and excels in rendering
basic shapes, complex vector art, and text.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
The %{name}-devel package contains development files for %{name}.

%prep
%autosetup -p1 -n %{name}

%build
%cmake \
    -GNinja \
    -DBLEND2D_NO_JIT=ON \
%if %{with check}
    -DBLEND2D_TEST=ON \
%endif
    %nil

%cmake_build

%install
%cmake_install

%if %{with check}
%check
%ctest
%endif

%files -n %{libname}
%license LICENSE.md
%doc README.md
%{_libdir}/libblend2d.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/blend2d-debug.h
%{_includedir}/blend2d-impl.h
%{_includedir}/blend2d.h
%{_includedir}/blend2d/
%{_libdir}/cmake/blend2d/
%{_libdir}/libblend2d.so
