#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           blinken
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Simon Says Game
Group:          Games/Puzzles
License:        GPLv2
URL:            https://apps.kde.org/blinken/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

#Branch patchs 100->200

#Trunk Patchs 200->300

#Mageia Patchs 500->600

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Svg)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6Crash)

Requires:       sj-stevehand-fonts
Recommends:     blinken-handbook


%description
Blinken is the KDE version of the well-known game Simon Says.
Follow the pattern of sounds and lights as long as you can! Press the
start game button to begin. Watch the computer and copy the pattern it
makes. Complete the sequence in the right order to win.

%files -f %name.lang
%_kf6_bindir/blinken
%_kf6_metainfodir/org.kde.blinken.appdata.xml
%_kf6_applicationsdir/org.kde.blinken.desktop
%_kf6_datadir/blinken/
%_kf6_datadir/config.kcfg/blinken.kcfg
%_kf6_iconsdir/*/*/*/*

#------------------------------------------------------------------------------

%package handbook
Summary:        Blinken handbook
Group:          Documentation
BuildArch:      noarch
Requires:       blinken >= %{version}-%{release}

%description handbook
This package provides blinken handbook.

%files handbook
%doc %_kf6_docdir/HTML/*/blinken

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
