Name:           blockattack
Version:        2.9.0
Release:        %mkrel 3
Summary:        Puzzle game inspired by Tetris
Group:          Games/Strategy
License:        GPL-2.0-or-later
URL:            https://blockattack.net/
#Git-Clone:     https://github.com/blockattack/blockattack-game.git
Source:         https://github.com/blockattack/blockattack-game/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         blockattack-locale-install-path.patch
Patch1:         blockattack-unbundled-libs.patch
BuildRequires:  cmake
BuildRequires:  zip
BuildRequires:  boost-devel
BuildRequires:  cmake(fmt)
BuildRequires:  cmake(utf8cpp)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(SDL2_ttf)
BuildRequires:  pkgconfig(physfs)

Requires:       blockattack-data = %{version}
Provides:       bundled(cereal) = 1.3.0
Provides:       bundled(PlatformFolders) = 4.2.0


%description
Block Attack is a puzzle/blockfall game inspired by Nintendo's Tetris Attack
for the Super Nintendo. The game is pretty action packed for a puzzle game :-)

Features:
 * Based on the classic "Tetris Attack" for the SNES
 * 5 single player modes: Endless, Time Trial, Puzzle Mode, Stage Clear and
 Vs. Mode
 * 2 two player options: Time Trial and Vs. Mode
 * Puzzle mode has 20+ puzzles
 * Players can use a custom key setup
 * Handicap in multiplayer
 * Highscores are saved
 * Joypad support
 * Music and sound effects
 * Animations
 * Select puzzle file from a list in the game

%package data
Summary:        Architecture independent data for blockattack
Group:          Games/Strategy
Requires:       %{name} >= %{version}
BuildArch:      noarch

%description data
This package contains the game data for blockattack.
It is required to play the game.

%prep
%autosetup -p1 -n blockattack-game-%{version}

chmod -x COPYING

%build
%cmake -DINSTALL_BIN_DIR=%{_gamesbindir} \
       -DINSTALL_DATA_DIR=%{_gamesdatadir}/blockattack \
       -DBLOCKATTACK_USE_EMBEDDED_FMT=OFF \
       -DBLOCKATTACK_USE_EMBEDDED_UTFCPP=OFF \
       -DBUILD_SHARED_LIBS:BOOL=OFF \
       -DDBUILD_STATIC_LIBS:BOOL=ON
%cmake_build

%install
./packdata.sh
%cmake_install

%find_lang %{name} --all-name

%files -f %{name}.lang
%license COPYING
%doc README.md CHANGELOG.md CONTRIBUTING.md
%{_gamesbindir}/blockattack
%{_datadir}/applications/blockattack.desktop
%{_metainfodir}/net.blockattack.game.metainfo.xml
%{_iconsdir}/hicolor/*/apps/blockattack.png
%{_mandir}/man6/blockattack.6.*

%files data
%{_gamesdatadir}/blockattack/
