Summary:	A Tk toolkit extension, including widgets, geometry managers, etc
Name:		blt
Version:	2.5.3
Release:	%mkrel 1
License:	MIT
Group:		System/Libraries
URL:		https://pdqi.com/w/pw/pdqi/Wize/Blt
Source0:	https://downloads.sourceforge.net/wize/blt-src-2.5.3.zip
Patch0:		blt-2.5-mga-cplusplus.patch
# (tv) Tcl/Tk 8.6 fixes from FC, adapted for blt-2.5:
Patch1:		blt2.4z-tcl8.6.patch
Patch2:		blt2.4z-tk8.6.patch
Patch3:		blt-2.5-mga-errorLine.patch
Patch4:		blt-autoconf.patch
Patch5:		blt-rpath.patch
Patch6:		blt-configure-c99.patch
Patch7:		blt-configure-c99-2.patch
Patch8:		blt-fix-build-with-gcc14.patch
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(tk)
BuildRequires:	pkgconfig(tcl)

%description
BLT is an extension to the Tk toolkit. BLT's most useful feature is the
provision of more widgets for Tk, but it also provides more geometry managers
and miscellaneous other commands. Note that you won't need to do any patching
of the Tcl or Tk source files to use BLT, but you will need to have Tcl/Tk
installed in order to use BLT.

%package -n blt-devel
Summary: Tk toolkit extension
Group:   System/Libraries
Requires: blt = %{version}

%description -n blt-devel
Development files for BLT

%prep
%setup -q -n %{name}2.5
%autopatch -p1

sed -i -e 's,local/,,g' demos/scripts/page.tcl
sed -i 's/^\(#!\)\.\.\/src/\1\/usr\/bin/' demos/*.tcl
sed -i 's/^\(#!\)\.\./\1\/usr\/bin/' demos/scripts/*.tcl

%build
#autoreconf -vfi
%configure --libdir=%{tcl_sitearch} \
   --with-tcl=%{_libdir}
make LDFLAGS="%{ldflags}"

%install
%{__mkdir_p} %{buildroot}%{_libdir}
%{__mkdir_p} %{buildroot}%{_mandir}

make prefix=%{buildroot}%{_prefix} \
 exec_prefix=%{buildroot}%{_prefix} \
 bindir=%{buildroot}%{_bindir} \
 libdir=%{buildroot}%{tcl_sitearch} \
 includedir=%{buildroot}%{_includedir} \
 mandir=%{buildroot}%{_mandir} \
 scriptdir=%{buildroot}%{tcl_sitearch}/blt%{version} \
install

ln -sf bltwish25 %{buildroot}%{_bindir}/bltwish
ln -sf bltsh25 %{buildroot}%{_bindir}/bltsh

# Dadou - Don't put in %%_libdir things which should be in %%_docdir
rm -fr %{buildroot}%{tcl_sitearch}/blt2.5/NEWS
rm -fr %{buildroot}%{tcl_sitearch}/blt2.5/PROBLEMS
rm -fr %{buildroot}%{tcl_sitearch}/blt2.5/README
rm -fr %{buildroot}%{tcl_sitearch}/blt2.5/demos

# Dadou - Prevent conflicts with other packages
for i in bitmap graph tabset tree watch; do
	mv %{buildroot}%{_mandir}/mann/$i{,-blt}.n
done

# need to be available as a shared lib as well as a tcl module
ln -s %{tcl_sitearch}/libBLT25.so %{buildroot}%{_libdir}/libBLT25.so
ln -s %{tcl_sitearch}/libBLTlite25.so %{buildroot}%{_libdir}/libBLTlite25.so

# development crap, we don't have anything that builds against this
# at present
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{tcl_sitearch}/*.a

sed -i -e 's!%{buildroot}!!g' %{buildroot}%{tcl_sitearch}/blt%{version}/pkgIndex.tcl

%files
%doc MANIFEST NEWS PROBLEMS README
%doc examples/
%doc html/
%doc demos/
%{_bindir}/*
%{_mandir}/mann/*
%{_mandir}/man3/*
%{tcl_sitearch}/*.so
%{tcl_sitearch}/%{name}%{version}
%{_libdir}/*.so

%files -n blt-devel
%{_includedir}/*.h
