#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:          bluedevil
Version: 6.3.4
Release:       %mkrel %{rel}
Summary:       BlueDevil is the bluetooth stack for Plasma
Group:         Communications/Bluetooth
License:       GPLv2
URL:           https://projects.kde.org/projects/extragear/base/bluedevil
Source0:       https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

#branch patches (100-199)

BuildRequires: kf6-rpm-macros

BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: cmake(Qt6Network)
BuildRequires: cmake(Qt6Qml)
BuildRequires: cmake(Qt6DBus)

BuildRequires: cmake(KF6CoreAddons)
BuildRequires: cmake(KF6WidgetsAddons)
BuildRequires: cmake(KF6DBusAddons)
BuildRequires: cmake(KF6DocTools)
BuildRequires: cmake(KF6Notifications)
BuildRequires: cmake(KF6WindowSystem)
BuildRequires: cmake(KF6Svg)
BuildRequires: cmake(KF6I18n)
BuildRequires: cmake(KF6KIO)
BuildRequires: cmake(KF6BluezQt)
BuildRequires: cmake(KF6KCMUtils)
BuildRequires: cmake(KF6JobWidgets)
BuildRequires: cmake(Plasma)
BuildRequires: cmake(KF6Kirigami2)

Provides:      bluez-pin
Requires:      bluez >= 5
Requires:      obexd
Requires:      bluez-qt
Requires:      kirigami

%description
BlueDevil is the bluetooth stack for Plasma, it's composed of:
KCM, KDED, KIO, Library and some other small applications.

%files -f %{name}.lang
%{_kf6_bindir}/*
%{_kf6_datadir}/plasma/plasmoids/org.kde.plasma.bluetooth
%{_kf6_qmldir}/org/kde/plasma/private/bluetooth
%{_kf6_plugindir}/kded/bluedevil.so
%{_kf6_plugindir}/kio/kio_bluetooth.so
%{_kf6_plugindir}/kio/kio_obexftp.so
%{_qt6_plugindir}/plasma/kcms/systemsettings/kcm_bluetooth.so
%{_kf6_applicationdir}/org.kde.bluedevilsendfile.desktop
%{_kf6_applicationdir}/org.kde.bluedevilwizard.desktop
%{_kf6_applicationdir}/kcm_bluetooth.desktop
%{_kf6_datadir}/bluedevilwizard
%{_kf6_knotificationsdir}/bluedevil.notifyrc
%{_kf6_datadir}/mime/packages/bluedevil-mime.xml
%{_kf6_datadir}/remoteview/bluetooth-network.desktop
%{_kf6_metainfodir}/org.kde.plasma.bluetooth.appdata.xml
%{_kf6_categoriesdir}/bluedevil.categories

#--------------------------------------------------------------------

%package handbook
Summary:        %{name} Handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides %{name} Handbook.

%files handbook
%doc %_kf6_docdir/HTML/*/kcontrol/bluedevil/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name
