# comment out if not pre-release
#define prel beta1

# rel for bumping
%define rel 1

Name:		blueman
Summary:	GTK+ Bluetooth Manager
Version:	2.4.4
Release:	%mkrel %{?prel:0.%prel.}%{rel}
License:	GPLv2+
Group:		Communications/Bluetooth
URL:		https://github.com/blueman-project/blueman/
Source0:	https://github.com/blueman-project/blueman/releases/download/%{version}%{?prel:.%prel}/blueman-%{version}%{?prel:.%prel}.tar.xz
BuildRequires:	git-core
BuildRequires:	pkgconfig(bluez)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libstartup-notification-1.0)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	pkgconfig(polkit-agent-1)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-cython
BuildRequires:	intltool
BuildRequires:	thunar
BuildRequires:	iproute2

Requires:	bluez >= 5.11
Requires:	python3-gobject3
Requires:	polkit-agent
Requires:	pulseaudio-module-bluetooth
Requires:	adwaita-icon-theme
Requires:	iproute2
Recommends:	%{name}-sendto = %{version}-%{release}
Recommends:	bluez-pin

%description
Blueman is designed to provide simple, yet effective means for
controlling BlueZ API and simplifying bluetooth tasks such as:

* Connecting to 3G/EDGE/GPRS via dial-up
* Connecting to/Creating bluetooth networks
* Connecting to input devices
* Connecting to audio devices
* Sending/Receiving/Browsing files via OBEX
* Pairing

%prep
%autosetup -p1 -n %{name}-%{version}%{?prel:.%prel} -Sgit_am

%build
export PYTHON=%{__python3}
export CYTHONEXEC=cython-3
export PATH="%{_sbindir}${PATH:+:$PATH}"
%configure \
    --enable-polkit \
    --disable-static \
    --enable-thunar-sendto \
    --enable-settings-integration \
    --disable-schemas-compile \
    --with-dhcp-config=%{_sysconfdir}/dhcpd.conf
%make_build

%install
%make_install

desktop-file-install --vendor="" \
  --add-category="GTK" \
  --add-category="HardwareSettings" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}-manager.desktop

desktop-file-install \
 --add-category="GTK;GNOME;" \
 --add-only-show-in="GNOME;XFCE;LXDE;X-Cinnamon;MATE" \
 --delete-original \
 --dir %{buildroot}%{_sysconfdir}/xdg/autostart %{buildroot}%{_sysconfdir}/xdg/autostart/%{name}.desktop

desktop-file-install \
 --delete-original     \
 --dir %{buildroot}%{_datadir}/applications  %{buildroot}%{_datadir}/applications/%{name}-adapters.desktop

find %{buildroot} -name '*.la' -delete

%find_lang %{name}

%post
%systemd_post blueman-mechanism.service
%systemd_user_post blueman-applet.service

%postun
%systemd_postun_with_restart blueman-mechanism.service

%preun
%systemd_preun blueman-mechanism.service
%systemd_user_preun blueman-applet.service

%files -f %{name}.lang
%doc CHANGELOG.md FAQ README.md COPYING
%{_sysconfdir}/xdg/autostart/blueman.desktop
%{_bindir}/blueman*
%{_datadir}/blueman/
%{_datadir}/applications/blueman-manager.desktop
%{_datadir}/applications/blueman-adapters.desktop
%{_datadir}/glib-2.0/schemas/org.blueman.gschema.xml
%{_datadir}/polkit-1/actions/org.blueman.policy
%{_datadir}/polkit-1/rules.d/blueman.rules
%{_datadir}/Thunar/sendto/thunar-sendto-blueman.desktop
%{_iconsdir}/hicolor/*/*/blueman*
%{_datadir}/dbus-1/services/org.blueman.*.service
%{_datadir}/dbus-1/system-services/org.blueman*.service
%{_datadir}/dbus-1/system.d/org.blueman.Mechanism.conf
%{_unitdir}/blueman-mechanism.service
%{_userunitdir}/blueman-applet.service
%{_userunitdir}/blueman-manager.service

%{_mandir}/man1/blueman*.1*
%{_libexecdir}/blueman-mechanism
%{_libexecdir}/blueman-rfcomm-watcher
%{python3_sitelib}/blueman/
%{python3_sitearch}/_blueman.so
