#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define rel 1

Summary:        KDE Frameworks 6 Tier 1 Qt wrapper for Bluez
Name:           bluez-qt
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6QuickTest)
BuildRequires:  cmake(Qt6Xml)

%description
KDE Frameworks 6 Tier 1 Qt wrapper for Bluez.

%files
%_kf6_categoriesdir/bluezqt.*categories
%_kf6_qmldir/org/kde/bluezqt

#--------------------------------------------------------------------

%define kf6bluezqt_major 6
%define libkf6bluezqt %mklibname kf6bluezqt %{kf6bluezqt_major}

%package -n %libkf6bluezqt
Summary:        KDE Frameworks 6 Tier 1 Qt wrapper for Bluez
Group:          System/Libraries

Requires:       %name >= %version-%release

%description -n %libkf6bluezqt
KDE Frameworks 6 Tier 1 Qt wrapper for Bluez.

%files -n %libkf6bluezqt
%_kf6_libdir/libKF6BluezQt.so.%{kf6bluezqt_major}
%_kf6_libdir/libKF6BluezQt.so.%{version}

#--------------------------------------------------------------------

%define kf6bluezqt_devel %mklibname kf6bluezqt -d

%package -n %kf6bluezqt_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6bluezqt = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}
Provides:       bluedevil-devel = %version-%release

%description -n %kf6bluezqt_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6bluezqt_devel
%_kf6_includedir/BluezQt/
%_kf6_libdir/cmake/KF6BluezQt/
%_kf6_libdir/*.so
%_kf6_libdir/pkgconfig/KF6BluezQt.pc

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

