%define major   3
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

# build deprecated tools
# hciattach hciconfig hcitool hcidump rfcomm sdptool ciptool gatttool
%bcond_without deprecated

Name:           bluez
Summary:        Official Linux Bluetooth protocol stack
Version:        5.82
Release:        %mkrel 1
License:        GPLv2+
Group:          Communications/Bluetooth
URL:            https://www.bluez.org/
Source0:        https://www.kernel.org/pub/linux/bluetooth/%{name}-%{version}.tar.xz

# Upstream backport (https://github.com/bluez/bluez)
#
## ubuntu patches
Patch0040:      0001-work-around-Logitech-diNovo-Edge-keyboard-firmware-i.patch
# Non-upstream
Patch0051:      0001-obex-Use-GLib-helper-function-to-manipulate-paths.patch
Patch0052:      0004-agent-Assert-possible-infinite-loop.patch
Patch0102:      CVE-2016-9804-tool-hcidump-Fix-memory-leak-with-malformed-packet.patch
#
## debian Patches
Patch0203:      Fix-typo.patch
Patch0204:      shared-gatt-client-Fix-segfault-after-PIN-entry.patch
Patch0205:      main.conf-Add-more-details-Closes-904212.patch
Patch0206:      headers-use-releative-symlinks.patch
Patch0207:      Add-HCI_TO_STR-macro-for-FIRMWARE_DIR.patch
Patch0208:      lp1759836.patch
Patch0209:      0002-hostname-handle-chassis-type-handset.patch
Patch0210:      ubuntu_error_restart.patch
Patch0211:      raspi-bcm43xx-load-firmware.patch
Patch0212:      raspi-bcm43xx-3wire.patch
#
## opensuse patches
Patch0250:      bluez-sdp-unix-path.patch
Patch0251:      CVE-2016-9800-tool-hcidump-Fix-memory-leak-with-malformed-packet.patch
Patch0252:      disable_some_obex_tests.patch
Patch0254:      hcidump-Fixed-malformed-segment-frame-length.patch
Patch0255:      hcidump-Fix-memory-leak-with-malformed-packet.patch

BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  rst2man
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(ell) >= 0.26
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libcap-ng)
BuildRequires:  pkgconfig(libdw)
BuildRequires:  pkgconfig(libical)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(readline)
BuildRequires:  pkgconfig(udev)

Requires(pre):  filesystem >= 2.1.9-18
Requires(post): rpm-helper >= 0.24.8-1
Requires(preun):        rpm-helper >= 0.24.8-1
Recommends:     bluez-firmware

%description
These are the official Bluetooth communication libraries for Linux.

%post
%_post_service bluetooth

%preun
%_preun_service bluetooth

%files
%dir %{_sysconfdir}/bluetooth/
%config(noreplace) %{_sysconfdir}/bluetooth/*.conf
%config %{_sysconfdir}/bluetooth/pin
%{_bindir}/btattach
%{_bindir}/l2ping
%{_bindir}/bluetoothctl
%{_bindir}/bluemoon
%{_bindir}/btmon
%if %{with deprecated}
%{_bindir}/hciattach
%{_bindir}/hciconfig
%{_bindir}/hcitool
%{_bindir}/hcidump
%{_bindir}/rfcomm
%{_bindir}/sdptool
%{_bindir}/ciptool
%{_mandir}/man1/hciattach.1.*
%{_mandir}/man1/hciconfig.1.*
%{_mandir}/man1/hcitool.1.*
%{_mandir}/man1/hcidump.1.*
%{_mandir}/man1/rfcomm.1.*
%{_mandir}/man1/sdptool.1.*
%{_mandir}/man1/ciptool.1.*
%endif
%{_bindir}/hex2hcd
%{_bindir}/l2test
%{_bindir}/mpris-proxy
%{_bindir}/rctest
%{_mandir}/man1/btattach.1.*
%{_mandir}/man1/l2ping.1.*
%{_mandir}/man1/rctest.1.*
%{_mandir}/man1/btmon.1.*
%{_mandir}/man1/bluetoothctl*.1.*
%{_mandir}/man1/btmgmt.1.*
%{_mandir}/man5/org.bluez*.5.*
%{_mandir}/man7/sco.7.*
%{_mandir}/man8/*
%dir %{_libexecdir}/bluetooth/
%{_libexecdir}/bluetooth/bluetoothd
%{_libexecdir}/bluetooth/obexd
%{_localstatedir}/lib/bluetooth
%{_datadir}/dbus-1/system-services/org.bluez.service
%{_datadir}/dbus-1/services/org.bluez.obex.service
%{_datadir}/zsh/site-functions/_bluetoothctl
%{_unitdir}/bluetooth.service
%{_userunitdir}/mpris-proxy.service
%{_userunitdir}/obex.service
%{_userunitdir}/dbus-org.bluez.obex.service
%{_datadir}/dbus-1/system.d/bluetooth.conf
%{_datadir}/dbus-1/system.d/obex.conf

#--------------------------------------------------------------------

%package        cups
Summary:        CUPS printer backend for Bluetooth printers
Group:          System/Printing
Requires:       cups-filesystem
BuildRequires:  cups-devel

%description    cups
This package contains the CUPS backend for Bluetooth printers.

%files cups
%{_prefix}/lib/cups/backend/bluetooth

#--------------------------------------------------------------------

%package        mesh
Summary:        Bluetooth mesh
Group:          Communications/Bluetooth
BuildRequires:  pkgconfig(json-c)
Requires:       %{name} >= %{version}-%{release}

%description    mesh
This package contains the Services for bluetooth mesh.

%post mesh
%_post_service bluetooth-mesh

%preun mesh
%_preun_service bluetooth-mesh

%files mesh
%{_datadir}/dbus-1/system.d/bluetooth-mesh.conf
%{_bindir}/meshctl
%{_bindir}/mesh-cfgclient
%{_bindir}/mesh-cfgtest
%{_unitdir}/bluetooth-mesh.service
%{_libexecdir}/bluetooth/bluetooth-meshd
%{_datadir}/dbus-1/system-services/org.bluez.mesh.service

#--------------------------------------------------------------------

%package        hid2hci
Summary:        Put HID proxying bluetooth HCI's into HCI mode
Group:          Communications/Bluetooth
Conflicts:      %{name} < 4.99-1
Requires(post): filesystem >= 2.1.9-18

%description    hid2hci
Most all-in-one PC's and bluetooth keyboard / mouse sets which include a
bluetooth dongle, ship with a so called HID proxying bluetooth HCI.
The HID proxying makes the keyboard / mouse show up as regular USB HID
devices (after connecting using the connect button on the device + keyboard),
which makes them work without requiring any manual configuration.

The bluez-hid2hci package contains the hid2hci utility and udev rules to
automatically switch supported Bluetooth devices into regular HCI mode.

Install this package if you want to use the bluetooth function of the HCI
with other bluetooth devices like for example a mobile phone.

Note that after installing this package you will first need to pair your
bluetooth keyboard and mouse with the bluetooth adapter before you can use
them again. Since you cannot use your bluetooth keyboard and mouse until
they are paired, this will require the use of a regular (wired) USB keyboard
and mouse.

%files hid2hci
%{_prefix}/lib/udev/hid2hci
%{_mandir}/man1/hid2hci.1*
%{_mandir}/man7/hci.7.*
%{_mandir}/man7/l2cap.7*
%{_mandir}/man7/rfcomm.7*
%{_udevrulesdir}/97-hid2hci.rules

%post hid2hci
%{_bindir}/udevadm trigger --subsystem-match=usb

#--------------------------------------------------------------------

%package -n     %{libname}
Summary:        Official Linux Bluetooth protocol stack
Group:          System/Libraries
Requires(pre):  filesystem >= 2.1.9-18

%description -n %{libname}
These are the official Bluetooth communication libraries for Linux.

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n     %{devname}
Summary:        Headers for developing programs that will use %{name}
Group:          Development/C++
Requires(pre):  filesystem >= 2.1.9-18
Requires:       %{libname} = %{version}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the headers that programmers will need to develop
applications which will use libraries from %{name}.

%files -n %{devname}
%doc AUTHORS ChangeLog README
%{_bindir}/isotest
%{_mandir}/man1/isotest.1.*
%{_includedir}/bluetooth
%{_libdir}/*.so
%{_libdir}/pkgconfig/bluez.pc
%{_libdir}/bluez/test

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
autoreconf -fi
%configure \
    --enable-external-ell \
    --enable-cups \
    --enable-tools \
    --enable-library \
    --enable-sixaxis \
    --enable-hid2hci \
    --enable-nfc \
    --enable-mesh \
    --enable-bap \
    --enable-bass \
    --enable-mcp \
    --enable-micp \
    --enable-csip \
    --enable-vcp \
    %{?with_deprecated:--enable-deprecated} \
    --with-systemdsystemunitdir=%{_unitdir} \
    --with-systemduserunitdir=%{_userunitdir} \
    \
    --enable-testing \
    --enable-experimental \
    \
    --disable-silent-rules \
    --enable-shared \
    --enable-library \
    --enable-midi \
    --enable-datafiles \
    --enable-threads \
    --enable-backtrace \
    --enable-debug \
    --enable-test \
    --enable-sap \
    --enable-monitor \
    --enable-udev \
    --enable-obex \
    --enable-client \
    --enable-systemd \
    --enable-health

%make_build

%install
%make_install

# Remove the cups backend from libdir, and install it in /usr/lib whatever the install
%ifarch x86_64 aarch64
if test -d %{buildroot}%{_libdir}/cups ; then
    install -D -m0755 %{buildroot}%{_libdir}/cups/backend/bluetooth %{buildroot}/usr/lib/cups/backend/bluetooth
    rm -rf %{buildroot}%{_libdir}/cups
fi
%endif

#install more config files
install -d -m 755 %{buildroot}%{_sysconfdir}/bluetooth

echo "1234" > %{buildroot}%{_sysconfdir}/bluetooth/pin
chmod 600 %{buildroot}%{_sysconfdir}/bluetooth/pin

install -m 644 profiles/network/network.conf %{buildroot}%{_sysconfdir}/bluetooth/
install -m 644 profiles/input/input.conf %{buildroot}%{_sysconfdir}/bluetooth/

#copy bluetooth config file and setup auto enable
install -D -p -m0644 src/main.conf %{buildroot}%{_sysconfdir}/bluetooth/main.conf
install -D -p -m0644 mesh/mesh-main.conf %{buildroot}%{_sysconfdir}/bluetooth/mesh-main.conf
sed -i 's/#\[Policy\]$/\[Policy\]/; s/#AutoEnable=false/AutoEnable=true/' %{buildroot}%{_sysconfdir}/bluetooth/main.conf

install -d -m0755 %{buildroot}%{_localstatedir}/lib/bluetooth
