# comment out when not a git snapshot
%define date	git20240326
%define commit	df3f289

Name:		bookworm
Version:	1.1.2
Release:	%mkrel %{?date:6.%{date}.}2
Summary:	A simple E-book reader
License:	GPLv3+
Group:		Office/Utilities
URL:		https://babluboy.github.io/bookworm
#Source0:	https://github.com/babluboy/bookworm/archive/%%{version}/%%{name}-%%{version}.tar.gz
Source0:	%{name}-%{version}+%{date}.tar.gz
# https://github.com/babluboy/bookworm/pull/391
Patch1:		0001-Switch-from-webkit2gtk-4.0-to-4.1.patch
BuildRequires:	meson
BuildRequires:	imagemagick
BuildRequires:	vala
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(granite)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(webkit2gtk-4.1)
# Check list of dependencies
BuildRequires:	html2text
BuildRequires:	poppler
BuildRequires:	python3

Requires:	contractor
Requires:	html2text
Requires:	poppler
Recommends:	unrar
Recommends:	unzip

%description
An eBook reader for Elementary OS.

It uses poppler for decoding and read formats like EPUB, PDF, mobi, cbr, etc.

%prep
%autosetup -p1 -n %{name}-%{version}%{?date:-%{commit}}

chmod -x AUTHORS
# python shebang
%py3_shebang_fix data/scripts/mobi_lib/*

%build
%meson

%meson_build

%install
%meson_install

ln -s %{_bindir}/com.github.babluboy.%{name} %{buildroot}%{_bindir}/%{name}

# remove executable flags
find %{buildroot} -name \*.txt -exec chmod 0644 {} +

%find_lang com.github.babluboy.bookworm

%files -f com.github.babluboy.bookworm.lang
%license COPYING
%doc AUTHORS README.md
%{_bindir}/%{name}
%{_bindir}/com.github.babluboy.%{name}
%{_datadir}/applications/com.github.babluboy.%{name}.desktop
%{_datadir}/glib-2.0/schemas/com.github.babluboy.%{name}.gschema.xml
%{_iconsdir}/hicolor/*/apps/*%{name}*.??g
%{_metainfodir}/com.github.babluboy.%{name}.appdata.xml
%{_datadir}/com.github.babluboy.%{name}/
