Summary:	A server process which provides boot information to diskless clients
Name:		bootparamd
Version:	0.17
Release:	%mkrel 30
License:	BSD
Group:		System/Servers
Url:		ftp://ftp.uk.linux.org/pub/linux/Networking/netkit
Source0:	https://ibiblio.org/pub/Linux/system/network/daemons/netkit-bootparamd-0.17.tar.bz2
Source1:	bootparamd.service
Source2:	bootparamprog_1.patch
Patch0:		fix-getopt-return-type.patch
Patch1:		use-cmake-as-buildsystem.patch
Patch2:		use-cmake-as-buildsystem-debian-extras.patch
Patch3:		use-cmake-as-buildsystem-tirpc.patch
Patch4:		tirpc-drop-glibc-fix.patch
Patch5:		fix_bootparamd_manpage.patch
Patch6:		use-cmake-as-buildsystem-mageia-extras.patch
BuildRequires:	cmake
BuildRequires:	rpcsvc-proto-devel
BuildRequires:	pkgconfig(libtirpc)
BuildRequires:	rpcgen
Requires(post):	systemd
Requires(preun): systemd
Requires:	rpcbind

%description
The bootparamd process provides bootparamd, a server process which
provides the information needed by diskless clients in order for them
to successfully boot.  Bootparamd looks first in /etc/bootparams for an
entry for that particular client; if a local bootparams file doesn't
exist, it looks at the appropriate Network Information Service (NIS)
map.  Some network boot loaders (notably Sun's) rely on special boot
server code on the server, in addition to the rarp and tftp servers.
This bootparamd server process is compatible with SunOS bootparam clients
and servers which need that boot server code.

You should install bootparamd if you need to provide boot information to
diskless clients on your network.

%prep
%autosetup -p1 -n netkit-bootparamd-%{version}

cp -a %{SOURCE2} .

%build
%cmake
%cmake_build -j1

%install
%cmake_install

install -D -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/bootparamd.service

%post
%_post_service bootparamd

%preun
%_preun_service bootparamd

%files
%doc README
%{_sbindir}/rpc.bootparamd
%{_bindir}/callbootd
%{_mandir}/man5/*
%{_mandir}/man8/*
%{_unitdir}/bootparamd.service
