Name:		boswars
Summary:	Bos Wars is a futuristic real-time strategy game
Version:	2.8
Release:	%mkrel 1
Group:		Games/Strategy
License:	GPLv2+
URL:		https://www.boswars.org
# SVN snapshot: svn co svn://bos.seul.org/svn/bos/bos/trunk boswars
#Source0:	%%{name}-%%{version}+%%{date}.tar.xz
Source0:	https://www.boswars.org/dist/releases/%{name}-%{version}-src.tar.gz
Source11:	%{name}-16.png
Source12:	%{name}-32.png
Source13:	%{name}-48.png
Source14:	%{name}.6
Patch1:		boswars-0001-Convert-to-UTF-8.patch
Patch2:		boswars-0002-fabricate.py-remove-deprecated-calls-to-os.stat_floa.patch
Patch3:		boswars-0003-build-detect-alternative-name-for-Lua-5.1-libs.patch

BuildRequires:	imagemagick
BuildRequires:	python3
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(lua-5.1)
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(zlib)

Requires:	%{name}-data = %{version}-%{release}

Provides:	bundled(guichan)
Provides:	bundled(tolua++)

%description
Invasion - Battle of Survival is a real-time strategy game using
the Stratagus game engine.

%package data
Summary:	Data files for %{name}
Group:		Games/Strategy
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}

%description data
Invasion - Battle of Survival is a real-time strategy game using
the Stratagus game engine.

This package contains data files for %{name} game.

%prep
%autosetup -p1 -n %{name}-%{version}-src

sed -i -e "s|-Wall -fsigned-char -D_GNU_SOURCE=1 -D_REENTRANT|%{optflags}|g" make.py
find campaigns engine maps -type f -executable -exec chmod -x {} ';'

%build
%set_build_flags

%{__python3} make.py

%install
mkdir -p %{buildroot}{%_gamesbindir,%_gamesdatadir/%{name}}
install -m 0755 fbuild/release/boswars %{buildroot}%{_gamesbindir}/%{name}

cp -ra campaigns graphics intro languages maps patches scripts sounds units %{buildroot}%{_gamesdatadir}/%{name}/
install -m 0644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m 0644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m 0644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png
install -m 0644 %{SOURCE14} -D %{buildroot}%{_mandir}/man6/%{name}.6

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Bos Wars
Comment=Bos Wars is a futuristic real-time strategy game
Exec=%{name} -d %{_gamesdatadir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF

%files
%doc README.txt CHANGELOG doc/*.html
%license COPYRIGHT.txt LICENSE.txt doc/guichan-copyright.txt
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_mandir}/man6/%{name}.6*

%files data
%{_gamesdatadir}/%{name}
