#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           bovo
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Classic pen and paper game
Group:          Games/Strategy
License:        GPLv2
URL:            https://apps.kde.org/bovo/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6SvgWidgets)
BuildRequires:  cmake(Qt6Concurrent)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(KDEGames6)

Recommends:     bovo-handbook


%description
Bovo is a Gomoku (from Japanese 五目並べ - lit. "five points") like game for two
players, where the opponents alternate in placing their respective pictogram on
the game board. (Also known as: Connect Five, Five in a row, X and O, Naughts
and Crosses)

%files -f %name.lang
%_kf6_bindir/bovo
%_kf6_datadir/bovo
%_kf6_iconsdir/hicolor/*/apps/bovo.*
%_kf6_applicationsdir/org.kde.bovo.desktop
%_kf6_metainfodir/*.xml

#------------------------------------------------------------------------------

%package -n bovo-handbook
Summary:        Bovo handbook
Group:          Documentation
BuildArch:      noarch
Requires:       bovo >= %{epoch}:%{version}-%{release}

%description -n bovo-handbook
This package provides the bovo handbook.

%files -n bovo-handbook
%doc %_kf6_docdir/HTML/*/bovo

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
