Name:           bpython
Summary:        Fancy curses interface to the Python interactive interpreter
Version:        0.25
Release:        %mkrel 1
URL:            https://www.bpython-interpreter.org
Group:          Development/Python
License:        MIT
Source0:        https://github.com/bpython/bpython/archive/%{version}-release.tar.gz

BuildArch:      noarch
BuildRequires:  locales-en
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(babel)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

Requires:       python3dist(urwid)
Recommends:     python3dist(jedi)
Obsoletes:      python3-%{name} < 0.18-3
%{?python_provide:%python_provide python3-%{name}}

%description
bpython is a fancy interface to the Python interpreter for Unix-like
operating systems. It has the following features:
 o in-line syntax highlighting
 o readline-like autocomplete with suggestions displayed as you type
 o expected parameter list for any Python function.
 o rewind function to pop the last line of code from memory and
   re-evaluate.
 o send the code you've entered off to a pastebin and display the
   pastebin URL for copying, etc.
 o save the code you've entered to a file
 o auto indentation

%prep
%autosetup -p1 -n %{name}-%{version}-release

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

pushd doc/sphinx/
make man
popd

%install
%pyproject_install

install -m0644 -p -D doc/sphinx/build/man/bpython.1 \
     %{buildroot}%{_mandir}/man1/bpython.1
install -m0644 -p -D doc/sphinx/build/man/bpython-config.5 \
     %{buildroot}%{_mandir}/man5/bpython-config.5

%files
%license LICENSE
%doc AUTHORS.rst CHANGELOG.rst theme/*
%{_bindir}/bpdb
%{_bindir}/%{name}
%{_bindir}/%{name}-urwid
%{python3_sitelib}/%{name}*
%{python3_sitelib}/bpdb
%{_mandir}/man1/%{name}.1*
%{_mandir}/man5/%{name}-config.5*
%{_datadir}/applications/org.bpython-interpreter.%{name}.desktop
%{_metainfodir}/org.bpython-interpreter.%{name}.metainfo.xml
%{_datadir}/pixmaps/%{name}.png
