#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

# If KF7 still provides these icons, then their installation should then
# be disabled in KF6 builds.
%bcond_without install_icons
# for compatibility, to be removed once Kexi (and others?) are ported
%bcond_without install_rcc

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Name:           breeze-icons
Summary:        Breeze icon theme
Epoch:          1
Version: 6.13.0
Release:        %mkrel %rel
Group:          Graphical desktop/KDE
License:        LGPLv3
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz
## upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  python3
BuildRequires:  python3dist(lxml)
BuildRequires:  util-linux
BuildRequires:  symlinks

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Test)

%description
Breeze Plasma 6 icon theme. Compliant with FreeDesktop.org naming schema.

%if %{with install_icons}
%files
%_kf6_iconsdir/breeze/
%ghost %_kf6_iconsdir/breeze/icon-theme.cache
%_kf6_iconsdir/breeze-dark/
%ghost %_kf6_iconsdir/breeze-dark/icon-theme.cache
%exclude %_kf6_iconsdir/breeze/breeze-icons.rcc
%endif

#-----------------------------------------------------------------------------

%if %{with install_rcc}
%package -n breeze-icon-theme-rcc
Summary:        RCC resources for the breeze icon theme
License:        LGPL-2.1-or-later AND LGPL-3.0-or-later AND CC-BY-SA-4.0
BuildArch:      noarch

%description -n breeze-icon-theme-rcc
Breeze-icons is a freedesktop.org compatible icon theme.
This contains the Breeze (non-dark) icons in a QResource file, used by Kexi.

%files -n breeze-icon-theme-rcc
%dir %_kf6_iconsdir/breeze
%_kf6_iconsdir/breeze/breeze-icons.rcc
%endif

#-----------------------------------------------------------------------------

%define breezeicons_major 6
%define libbreezeicons    %mklibname kf6breezeicons %{breezeicons_major}

%package -n %libbreezeicons
Summary:        KDE Frameworks 6 Tier 1 addon with breezeicons functions
Group:          System/Libraries
Requires:       %name >= %epoch:%version-%release

%description -n %libbreezeicons
KDE Frameworks 6 Tier 1 addon with breezeicons functions.

%files -n %libbreezeicons
%_kf6_libdir/libKF6BreezeIcons.so.%{breezeicons_major}
%_kf6_libdir/libKF6BreezeIcons.so.%{version}

#-----------------------------------------------------------------------------

%define libbreezeicons_devel %mklibname kf6breezeicons -d

%package -n %{libbreezeicons_devel}
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libbreezeicons = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %{libbreezeicons_devel}
This package contains header files needed if you wish to build applications
based on %name.

%files -n %{libbreezeicons_devel}
%_kf6_includedir/BreezeIcons/
%_kf6_libdir/libKF6BreezeIcons.so
%_kf6_libdir/cmake/KF6BreezeIcons/

#-----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 %{?with_install_rcc:-DBINARY_ICONS_RESOURCE:BOOL=ON} \
           %{!?with_install_icons:-DSKIP_INSTALL_ICONS:BOOL=OFF}
%cmake_build

%install
%cmake_install


# remove possible dangling symlinks
symlinks -rd %{buildroot}%{_kf6_iconsdir}

# As of 4.5.80, hardlink reports
#Linked 854
#saved 8265728
hardlink -c -v %{buildroot}%{_kf6_iconsdir}


# automatic gtk icon cache update on rpm installs/removals
%transfiletriggerin --  /usr/share/icons/breeze/
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --force --quiet /usr/share/icons/breeze
fi

%transfiletriggerin --  /usr/share/icons/breeze-dark/
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --force --quiet /usr/share/icons/breeze-dark
fi

