#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Artwork, styles and assets for the Breeze visual style for the Plasma Desktop
Name:           breeze
Version: 6.3.4
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Svg)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6ColorScheme)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6KirigamiPlatform)
BuildRequires:  cmake(KF6FrameworkIntegration)

BuildRequires:  cmake(KDecoration3)

BuildRequires:  pkgconfig(fftw3)

Requires:       %{name}-common = %{version}-%{release}

Provides:       plasma-style-breeze = %version-%release

%description
Artwork, styles and assets for the Breeze visual style for the Plasma Desktop.

%files  -f breeze_style_config.lang
%_kf6_bindir/breeze-settings6
%_kf6_bindir/kcursorgen
%_kf6_iconsdir/breeze_cursors
%_kf6_iconsdir/Breeze_Light
%_kf6_iconsdir/hicolor/scalable/apps/breeze-settings.svgz
%_kf6_datadir/kstyle/themes/breeze.themerc
%_qt6_plugindir/styles/breeze6.so
%_qt6_plugindir/kstyle_config/breezestyleconfig.so
%_qt6_plugindir/org.kde.kdecoration3.kcm/kcm_breezedecoration.so
%_qt6_plugindir/org.kde.kdecoration3/org.kde.breeze.so
%_kf6_datadir/applications/breezestyleconfig.desktop
%_kf6_datadir/applications/kcm_breezedecoration.desktop

#--------------------------------------------------------------------

%package        common
Summary:        Common files shared for Plasma 5 versions of the Breeze style
Group:          System/Base
BuildArch:      noarch

%description    common
Common files shared for Plasma 5 versions of the Breeze
style.

%files common
%{_kf6_datadir}/color-schemes/*.colors
%{_kf6_datadir}/QtCurve/Breeze.qtcurve
%{_kf6_datadir}/wallpapers/Next/

#--------------------------------------------------------------------

%define breeze_devel %mklibname breeze -d

%package -n %breeze_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %{version}-%{release}

Provides:       %name-devel = %{version}-%{release}

%description -n %breeze_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %breeze_devel
%_kf6_libdir/cmake/Breeze/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DBUILD_QT5:BOOL=OFF
%cmake_build

%install
%cmake_install

%find_lang breeze_style_config --all-name
