%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:		breezy
Summary:	Friendly distributed version control system
Version:	3.3.9
Release:	%mkrel 1
License:	GPLv2+
Group:		Development/Tools
Url:		https://www.breezy-vcs.org/
Source0:	https://launchpad.net/brz/%{url_ver}/%{version}/+download/breezy-%{version}.tar.gz
Patch50:	breezy-man-location.patch
Patch51:	breezy-pyo3.patch
BuildRequires:	pyproject-rpm-macros
BuildRequires:	python3-devel
BuildRequires:	rust-packaging
Obsoletes:	bzr < 3
Provides:	bzr = %{version}-%{release}
Provides:	brz = %{version}-%{release}

%description
Breezy (brz) is a decentralized revision control system, designed to be easy
for developers and end users alike.

By default, Breezy provides support for both the Bazaar and Git file formats.

%prep
%autosetup -p1
%cargo_prep

# Remove Cython generated .c files
find . -name '*_pyx.c' -delete

%generate_buildrequires
%cargo_generate_buildrequires
%pyproject_buildrequires

%build
export RUSTFLAGS="${RUSTFLAGS:-%{build_rustflags}}"
%pyproject_wheel
%make_build man1/brz.1

%install
%pyproject_install
%pyproject_save_files breezy

# symlinks
ln -s brz %{buildroot}%{_bindir}/bzr
ln -s git-remote-bzr %{buildroot}%{_bindir}/git-remote-brz

# man pages
install -Dpm644 man1/brz.1 %{buildroot}%{_mandir}/man1/brz.1
install -Dpm644 breezy/git/git-remote-bzr.1 %{buildroot}%{_mandir}/man1/git-remote-bzr.1
echo ".so man1/brz.1" > %{buildroot}%{_mandir}/man1/bzr.1
echo ".so man1/git-remote-bzr.1" > %{buildroot}%{_mandir}/man1/git-remote-brz.1

%find_lang %{name}

%files -f %{pyproject_files} -f %{name}.lang
%license COPYING*
%doc NEWS README.rst
%{_bindir}/brz
%{_bindir}/bzr-*-pack
%{_bindir}/bzr
%{_bindir}/git-remote-brz
%{_bindir}/git-remote-bzr
%{_mandir}/man1/brz.1*
%{_mandir}/man1/bzr.1*
%{_mandir}/man1/git-remote-brz.1*
%{_mandir}/man1/git-remote-bzr.1*
