Name:          brewtarget
Version:       4.0.17
Release:       %mkrel 1
Summary:       An open source beer recipe creation tool
Group:         Sciences/Other
License:       GPLv3 and WTFPL and LGPLv2
URL:           http://www.brewtarget.org
Source0:       https://github.com/Brewtarget/brewtarget/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:        fix_boost_requirements.patch
BuildRequires: cmake
BuildRequires: cmake(valijson)
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pkgconfig(xalan-c)
BuildRequires: boost-devel
BuildRequires: sqlite3-tools
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6LinguistTools)
BuildRequires: cmake(Qt6Multimedia)
BuildRequires: cmake(Qt6PrintSupport)
BuildRequires: cmake(Qt6Qml)
BuildRequires: cmake(Qt6Sql)
BuildRequires: cmake(Qt6Svg)
BuildRequires: cmake(Qt6Test)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: cmake(Qt6Xml)

%description
Brewtarget is an open source beer recipe creation tool. It automatically
calculates color, bitterness, and other parameters for you while you drag and
drop ingredients into the recipe. Brewtarget also has many other tools such as
priming sugar calculators, OG correction help, and a unique mash designing tool.
It also can export and import recipes in BeerXML.

%prep
%autosetup -p1

%build
%cmake -DDO_RELEASE_BUILD:BOOL=ON
%cmake_build

%install
%cmake_install

gzip doc/brewtarget.1
install -m 0644 -Dp doc/brewtarget.1.gz %{buildroot}%{_mandir}/man1/brewtarget.1.gz

%files
%doc CHANGES.markdown README.md doc/manual-en.pdf
%license COPYRIGHT COPYING.GPLv3 LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/brewtarget.1*
