%define	rel     2

Name:		bridge-utils
Version:	1.7.1
Release:	%mkrel %{rel}
Summary:	Utilities for configuring the linux ethernet bridge
Group:		Networking/Other
License:	GPL
URL:		https://wiki.linuxfoundation.org/networking/bridge
Source0:	https://git.kernel.org/pub/scm/network/bridge/%{name}.git/snapshot/%{name}-%{version}.tar.gz
BuildRequires:	kernel-headers

Obsoletes:	bridge-utils-devel < 1.7.1-1
Provides:	bridge-utils-devel = %{version}-%{release}

%description
This package contains utilities for configuring the linux ethernet
bridge. The linux ethernet bridge can be used for connecting multiple
ethernet devices together. The connecting is fully transparent: hosts
connected to one ethernet device see hosts connected to the other
ethernet devices directly.

%prep
%setup -q
%autopatch -p1

%build
autoconf
%configure
# makefile is broken and passes -j without argument to sub-make
make

%install
%make_install

%files
%doc ChangeLog README doc/{FAQ,FIREWALL,HOWTO,WISHLIST}
%{_mandir}/man*/*
%{_sbindir}/*
