Name:		briquolo
Version:	0.5.7
Release:	%mkrel 17
Summary:	An OpenGL breakout game
Source0:	http://briquolo.free.fr/download/%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.5.6-desktop-install.patch
Patch1:		%{name}-0.5.5-desktop-remove-double-category.patch
Patch2:		briquolo-0.5.7-gcc43.patch
Patch3:		briquolo-0.5.6-fix-icon-install.patch
Patch4:		briquolo-0.5.7-libpng14.patch
Patch5:		briquolo-0.5.7-automake-1.13.patch
Patch6:		briquolo-0.5.7-mga-operator-const.patch
Source11:	%{name}-16.png
Source12:	%{name}-32.png
Source13:	%{name}-48.png
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_ttf)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	dos2unix
BuildRequires:	pkgconfig(libpng)
BuildRequires:	desktop-file-utils
BuildRequires:	gettext-devel
BuildRequires:	dos2unix
Requires:	fonts-ttf-dejavu
Group:		Games/Arcade
License:	GPLv2+
URL:		http://briquolo.free.fr/

%description
Briquolo is a 3D brick game using OpenGL

%prep
%setup -q
dos2unix data/tableau/old/{001,002,003,006}.tab
%patch -P 0 -p1 -b .desktop
%patch -P 1 -p1 -b .remove_category
%patch -P 2 -p0 -b .gcc
%patch -P 3 -p0 -b .icon
%patch -P 4 -p0 -b .libpng
%patch -P 5 -p1 -b .automake-1_13
%patch -P 6 -p1

%build
autoreconf -fi
%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make_build

%install
%make_install

#this empty file makes rpmlint shouting otherwise...
echo %{version} > %{buildroot}%{_gamesdatadir}/%{name}/%{version}

mv %buildroot%_gamesdatadir/locale %buildroot%_datadir
mv %buildroot%_gamesdatadir/pixmaps %buildroot%_datadir

# Use packaged font rather than internal font 
ln -sf %{_datadir}/fonts/TTF/dejavu/DejaVuSans.ttf %{buildroot}%{_gamesdatadir}/%{name}/data/DejaVuSans.ttf

%find_lang %{name}

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

desktop-file-install --vendor="" --delete-original \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_gamesdatadir}/applications/*

%files -f %{name}.lang
%doc ABOUT-NLS AUTHORS ChangeLog README.fr
%attr(0755,root,games) %{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/briquolo.desktop
%{_datadir}/pixmaps/briquolo.svg
