Summary:    Modern, efficient menu for the MATE Desktop Environment
Name:       brisk-menu
Version:    0.6.2
Release:    %mkrel 2
Group:      Graphical desktop/MATE
# The brisk_system-log-out-symbolic.svg icon is a copy of application-exit-symbolic.svg to use within Brisk.
# This icon is copyright © Sam Hewitt, from the Paper Icons theme, available under the terms of the CC-BY-SA-4.0 license.
License:    GPLv2+ and Creative Commons Attribution-ShareAlike
Url:        https://github.com/getsolus/%{name}
Source0:    https://github.com/getsolus/brisk-menu/releases/download/v%{version}/%{name}-v%{version}.tar.xz
Patch0:     brisk-menu-0.3.0-mga-add_drakconf_launcher.patch
Patch1:     brisk-menu-0.4.0-mga-menu_icon.patch

BuildRequires:  intltool
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.18.0
BuildRequires:  pkgconfig(gdk-x11-3.0) >= 3.18.0
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(gobject-2.0) >= 2.44.0
BuildRequires:  pkgconfig(gio-unix-2.0) >= 2.44.0
BuildRequires:  pkgconfig(libmate-menu) >= 1.18.0
BuildRequires:  pkgconfig(libmatepanelapplet-4.0) >= 1.18.0
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  meson

Requires:   mate-panel >= 1.18.0
Requires:   desktop-common-data

%description
Modern, efficient menu for the MATE Desktop Environment.
Features:
- Keyboard centric (mice welcome too, of course)
- Basic hotkey support (CTRL+F10) Needs fixing to support Super shortcut
- Stupid-fast
- Efficient, useful searching.
- Automatically reload
- Filter via categories
- Session/screensaver controls
- Drag & drop support for launchers
- GTK3
- Fully correct X11 WM integration (grab policy and window types)
- Not Python.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%doc LICENSE*
%{_libexecdir}/brisk-menu
%dir %{_datadir}/mate-panel/
%dir %{_datadir}/mate-panel/applets/
%{_datadir}/mate-panel/applets/*brisk*.mate-panel-applet
%{_datadir}/icons/hicolor/scalable/actions/brisk*.*
%{_datadir}/glib-2.0/schemas/*%{name}.gschema.xml
%{_datadir}/dbus-1/services/org.mate.panel.applet.BriskMenuFactory.service
