Name:    broadcom-wireless-config
Version: 1
Release: %mkrel 12
Summary: Broadcom wireless configs
License: GPL
Group:   System/Kernel and hardware
BuildArch: noarch
Source0: broadcom-bcma-blacklist.conf
Source1: broadcom-ssb-blacklist.conf

%description
This package provides default configs and module blacklists
for Broadcom wireless devices.

%package -n broadcom-bcma-config
Summary:   Broadcom wireless configs for bcma supported hardware
Conflicts: broadcom-wl-common
Conflicts: broadcom-ssb-config
Recommends:  kernel-firmware-nonfree

%description -n broadcom-bcma-config
This package provides default configs and module blacklists
for Broadcom wireless devices supported by the bcma module.

%package -n broadcom-ssb-config
Summary:   Broadcom wireless configs for ssb supported hardware
Conflicts: broadcom-wl-common
Conflicts: broadcom-bcma-config
Recommends:  kernel-firmware-nonfree

%description -n broadcom-ssb-config
This package provides default configs and module blacklists
for Broadcom wireless devices supported by the ssb module.

%prep

%build

%install
# add blacklist for conflicting modules
install -m755 -d %{buildroot}%{_sysconfdir}/modprobe.d/
# bcma
install -m644 %{SOURCE0} %{buildroot}%{_sysconfdir}/modprobe.d
# ssb
install -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/modprobe.d


%posttrans -n broadcom-bcma-config
if [ -z "$DURING_INSTALL" ] ; then
    /sbin/rmmod b43 >/dev/null 2>&1 ||:
    /sbin/rmmod b43legacy >/dev/null 2>&1 ||:
    /sbin/rmmod brcmfmac >/dev/null 2>&1 ||:
    /sbin/rmmod brcmsmac >/dev/null 2>&1 ||:
    /sbin/rmmod bcma >/dev/null 2>&1 ||:
    /sbin/rmmod ssb >/dev/null 2>&1 ||:
    /sbin/rmmod wl >/dev/null 2>&1 ||:
    /sbin/modprobe bcma >/dev/null 2>&1 ||:
fi

%posttrans -n broadcom-ssb-config
if [ -z "$DURING_INSTALL" ] ; then
    /sbin/rmmod b43 >/dev/null 2>&1 ||:
    /sbin/rmmod b43legacy >/dev/null 2>&1 ||:
    /sbin/rmmod brcmfmac >/dev/null 2>&1 ||:
    /sbin/rmmod brcmsmac >/dev/null 2>&1 ||:
    /sbin/rmmod bcma >/dev/null 2>&1 ||:
    /sbin/rmmod ssb >/dev/null 2>&1 ||:
    /sbin/rmmod wl >/dev/null 2>&1 ||:
    /sbin/modprobe ssb >/dev/null 2>&1 ||:
fi

%files -n broadcom-bcma-config
%{_sysconfdir}/modprobe.d/broadcom-bcma-blacklist.conf

%files -n broadcom-ssb-config
%{_sysconfdir}/modprobe.d/broadcom-ssb-blacklist.conf
