%global major 0
%define libname %mklibname broadvoice %major
%define devname %mklibname -d broadvoice
Summary:    Library for the BroadVoice 16 and 32 speech codecs
Name:       broadvoice
Version:    0.1.0
Release:    %mkrel 5
License:    LGPL2.1
Group:      System/Libraries
URL:        https://www.soft-switch.org/broadvoice
#https://files.freeswitch.org/repo/deb/debian/pool/main/libb/libbroadvoice/
Source:     https://www.soft-switch.org/downloads/codecs/broadvoice-0.1.0.tar.gz

BuildRequires: pkgconfig(audiofile)
BuildRequires: doxygen 
BuildRequires: libtool

%description
broadvoice is a library for the BroadVoice 16 and 32 speech codecs.

%package -n %libname
Summary:    Library for the BroadVoice 16 and 32 speech codecs
Group:      System/Libraries

%description -n %libname
libbroadvoice development files.

%package -n %devname
Summary:    BroadVoice development files
Group:      Development/C
Requires:   %libname = %{version}
Provides:   broadvoice-devel

%description -n %devname
libbroadvoice development files.

%prep
%setup -q

%build
./autogen.sh
%configure --enable-doc --disable-static --disable-rpath
make

%install
make install DESTDIR=%{buildroot}
rm %{buildroot}%{_libdir}/libbroadvoice.la

%files -n %libname
%doc ChangeLog AUTHORS COPYING NEWS README 
%{_libdir}/libbroadvoice.so.%{major}
%{_libdir}/libbroadvoice.so.%{major}.*

%files -n %devname
%doc doc/api
%{_includedir}/broadvoice.h
%{_includedir}/broadvoice
%{_libdir}/libbroadvoice.so
%{_libdir}/pkgconfig/broadvoice.pc

