%define rel	14

Summary:	Binary diff/patch utility
Name:		bsdiff
Version:	4.3
Release:	%mkrel %rel
Group:		File tools
License:	BSD
URL:		https://www.daemonology.net/bsdiff/
Source:		https://www.daemonology.net/bsdiff/%name-%version.tar.gz
Patch0:		bsdiff-4.3-CVE-2014-9862.patch
BuildRequires:	bzip2-devel

%description
bsdiff and bspatch are tools for building and applying patches to
binary files. By using suffix sorting (specifically, Larsson and
Sadakane's qsufsort) and taking advantage of how executable files
change, bsdiff routinely produces binary patches 50-80%% smaller
than those produced by Xdelta, and 15%% smaller than those produced
by .RTPatch.

These programs were originally named bdiff and bpatch, but the large
number of other programs using those names lead to confusion; I'm
not sure if the "bs" in refers to "binary software" (because bsdiff
produces exceptionally small patches for executable files) or
"bytewise subtraction" (which is the key to how well it performs).
Feel free to offer other suggestions.

%prep
%setup -q
%autopatch -p1

%build
%__cc %optflags %ldflags bsdiff.c -o bsdiff -lbz2
%__cc %optflags %ldflags bspatch.c -o bspatch -lbz2

%install
install -D -m755 bsdiff %{buildroot}%{_bindir}/bsdiff
install -D -m755 bspatch %{buildroot}%{_bindir}/bspatch

install -D -m644 bsdiff.1 %{buildroot}%{_mandir}/man1/bsdiff.1
install -D -m644 bspatch.1 %{buildroot}%{_mandir}/man1/bspatch.1

%files
%{_bindir}/bsdiff
%{_bindir}/bspatch
%{_mandir}/man1/bsdiff.1*
%{_mandir}/man1/bspatch.1*




