Name:           bstone
Version:        1.2.12
Release:        %mkrel 1
Summary:        A source port of Blake Stone
# bstone is GPL-2.0+, but statically links GLM (MIT license), STB (public domain or MIT), and xbrz (GPL-3.0+)
License:        GPL-2.0-or-later AND MIT AND GPL-3.0-or-later
Group:          Games/Shooter
URL:            https://bibendovsky.github.io/bstone/
Source:         https://github.com/bibendovsky/bstone/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         bstone-fix-destinations.patch
Patch1:         bstone-fix-build-with-gcc13.patch
BuildRequires:  cmake
BuildRequires:  pkgconfig(sdl2)

%description
A source port of the first-person shooter Blake Stone.

Features:
 *  High resolution rendering of world (extended vanilla engine)
 *  Modern and vanilla controls
 *  Allows to customize control bindings
 *  Separate volume control of sound effects and music
Supported games:
 *  Aliens of Gold (v1.0/v2.0/v2.1/v3.0) full or shareware
 *  Planet Strike (v1.0/v1.1)


NOTE: To play Blake Stone with bstone you need the original game files
You need to start the game from within the folder with these files.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%license bstone_license.txt "Blake Stone source code license.doc"
%doc %{_docdir}/%{name}/*.txt
%{_gamesbindir}/bstone
