%define libname_orig    libbtrfs
%define major           0
%define libname         %mklibname btrfs %{major}
%define majorutil       1
%define libutilname     %mklibname btrfsutil %{majorutil}
%define develname       %mklibname btrfs -d

Name:           btrfs-progs
Version:        6.12
Release:        %mkrel 1
Summary:        Userspace programs for btrfs
Group:          System/Kernel and hardware
License:        GPLv2
URL:            https://btrfs.wiki.kernel.org/
Source0:        https://www.kernel.org/pub/linux/kernel/people/kdave/%{name}/%{name}-v%{version}.tar.xz
Patch0:         btrfs-progs-recognize-fsck.btrfs-like-btrfsck.patch

# Backports from upstream

BuildRequires:  e2fsprogs-devel
BuildRequires:  pkgconfig(uuid)
BuildRequires:  pkgconfig(blkid)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(libzstd)
BuildRequires:  acl-devel
BuildRequires:  liblzo-devel
BuildRequires:  asciidoc
BuildRequires:  xmlto
BuildRequires:  pkgconfig(libudev)
BuildRequires:  python3-devel >= 3.4
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx
Requires:       %{libname_orig} = %{version}-%{release}

%description
The btrfs-progs package provides all the userpsace programs needed to create,
check, modify and correct any inconsistencies in the btrfs filesystem.

%package -n     %{libname}
Summary:        Main library for btrfs
Group:          System/Libraries
Provides:       %{libname_orig} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with btrfs.

%package -n     %{libutilname}
Summary:        Util library for btrfs
Group:          System/Libraries

%description -n %{libutilname}
This package contains the util library needed to run programs dynamically
linked with btrfs.

%package -n     %{develname}
Summary:        Headers for developing programs that will use btrfs
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{libname_orig}-devel = %{version}-%{release}
Provides:       btrfs-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use btrfs.

%prep
%setup -q -n %{name}-v%{version}
%autopatch -p1

%build
./autogen.sh
%configure --bindir %{_sbindir} CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"
%make_build

%install
%make_install
%{__mkdir_p} %{buildroot}%{_datadir}/bash-completion/completions
cp btrfs-completion %{buildroot}%{_datadir}/bash-completion/completions/btrfs
rm -f %{buildroot}%{_libdir}/*.a

%files
%doc CHANGES COPYING
%{_sbindir}/btrfs
%{_sbindir}/btrfs-convert
%{_sbindir}/btrfs-find-root
%{_sbindir}/btrfs-image
%{_sbindir}/btrfs-map-logical
%{_sbindir}/btrfs-select-super
%{_sbindir}/btrfsck
%{_sbindir}/btrfstune
%{_sbindir}/fsck.btrfs
%{_sbindir}/mkfs.btrfs
%{_mandir}/man*/*
%{_datadir}/bash-completion/completions/btrfs
%{_udevrulesdir}/64-btrfs-dm.rules
%{_udevrulesdir}/64-btrfs-zoned.rules

%files -n %{libname}
%{_libdir}/libbtrfs.so.%{major}{,.*}

%files -n %{libutilname}
%{_libdir}/libbtrfsutil.so.%{majorutil}{,.*}

%files -n %{develname}
%{_includedir}/btrfs/
%{_includedir}/btrfsutil.h
%{_libdir}/libbtrfs.so
%{_libdir}/libbtrfsutil.so
%{_libdir}/pkgconfig/libbtrfsutil.pc
