Name: bubblewrap
Summary: Core execution tool for unprivileged containers
Group: Security
Version: 0.10.0
Release: %mkrel 1
License: LGPLv2+
URL: https://github.com/projectatomic/bubblewrap
Source0: %{url}/releases/download/v%{version}/%{name}-%{version}.tar.xz

# We always run autogen.sh
BuildRequires: gcc
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: pkgconfig(libcap)
BuildRequires: pkgconfig(libselinux)
BuildRequires: xsltproc
BuildRequires: docbook-style-xsl

%description
Bubblewrap (/usr/bin/bwrap) is a core execution engine for unprivileged
containers that works as a setuid binary on kernels without
user namespaces.

%prep
%autosetup -p1

%build
if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi
%configure \
	--disable-silent-rules \
	--with-priv-mode=none

%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete -print

%files
%license COPYING
%{_datadir}/bash-completion/completions/bwrap
%{_bindir}/bwrap
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_bwrap
%{_mandir}/man1/*

