%define pre	%nil

Name:		bugzilla
Version:	5.0.6
Release:	%mkrel 6

Summary:	A bug tracking system developed by mozilla.org
License:	MPL
Group:		Networking/WWW
Url:		https://www.bugzilla.org/
Source0:	https://ftp.mozilla.org/pub/mozilla.org/webtools/%{name}-%{version}%{pre}.tar.gz
Source1:	Bugzilla.pm
Patch0:		%{name}-fhs.patch
Patch1:		bugzilla-5.0.3-convert-absolute-paths.patch
Patch2:		bugzilla-4.0.2-fix-permissions.patch
Patch3:		bugzilla-4.0.2-recommend-urpmi.patch
Patch4:		bugzilla-5.0.6-py-shebang.patch
Requires:	apache
Requires:	perl(CGI)                 >= 1:3.510.0
Requires:	perl(Digest::SHA)
Requires:	perl(Date::Format)        >= 2.230.0
Requires:	perl(DateTime)            >= 0.750.0
Requires:	perl(DateTime::TimeZone)  >= 1.640.0
Requires:	perl(DBI)                 >= 1.614.0
Requires:	perl(Template)            >= 2.240.0
Requires:	perl(Email::Sender)       >= 1.300.11
Requires:	perl(Email::MIME)         >= 1.904.0
Requires:	perl(URI)                 >= 1.550.0
Requires:	perl(List::MoreUtils)     >= 0.320.0
Requires:	perl(Math::Random::ISAAC) >= 1.1.0
Requires:	perl(Math::Random::ISAAC::XS)
Requires:	perl(File::Slurp)         >= 9999.130.0
Requires:	perl(JSON::XS)            >= 2.10.0
Requires:	sendmail-command
Recommends:	diffutils
Recommends:	graphviz
Recommends:	patchutils
Recommends:	perl(DBD::mysql) >= 4.10.0
Recommends:	perl(DBD::Pg)    >= 2.7.0
Recommends:	perl(GD)
Recommends:	perl(GD::Graph)
Recommends:	perl(GD::TextUtil)
Recommends:	perl(Chart::Base)
Recommends:	perl(Template::GD)
Recommends:	perl(Net::LDAP)
Recommends:	perl(PatchReader)
Recommends:	perl(Authen::SASL)
Recommends:	perl(Net::SMTP::SSL)
Recommends:	perl(JSON::RPC)
Recommends:	perl(Test::Taint)
Recommends:	perl(Encode)
Recommends:	perl(Encode::Detect)
Recommends:	perl(File::MimeInfo::Magic)
Recommends:	perl(IO::Scalar)
BuildArch:	noarch



%{?perl_default_filter}

# Remove private modules from the requires stream
%global __requires_exclude %__requires_exclude|^perl\\(sanitycheck.cgi\\)$
%global __requires_exclude %__requires_exclude|^perl\\(Bugzilla\\)$
%global __requires_exclude %__requires_exclude|^perl\\(Bugzilla::

# Remove all optional modules from the requires stream
# mod_perl modules
%global __requires_exclude %__requires_exclude|^perl\\(Apache2::
%global __requires_exclude %__requires_exclude|^perl\\(ModPerl::
# authentification modules
%global __requires_exclude %__requires_exclude|^perl\\(Authen::Radius\\)$
%global __requires_exclude %__requires_exclude|^perl\\(Net::LDAP\\)$
# database modules
%global __requires_exclude %__requires_exclude|^perl\\(DBD::Oracle\\)$
%global __requires_exclude %__requires_exclude|^perl\\(DBD::Pg\\)$
%global __requires_exclude %__requires_exclude|^perl\\(DBI::db\\)$
%global __requires_exclude %__requires_exclude|^perl\\(DBI::st\\)$
# inbound email modules
%global __requires_exclude %__requires_exclude|^perl\\(Email::MIME::Attachment::Stripper\\)$
%global __requires_exclude %__requires_exclude|^perl\\(Email::Reply\\)$
# bug moving modules
%global __requires_exclude %__requires_exclude|^perl\\(MIME::Parser\\)$
%global __requires_exclude %__requires_exclude|^perl\\(XML::Twig\\)$
# xml-rpc and json-rpc modules
%global __requires_exclude %__requires_exclude|^perl\\(XMLRPC::
%global __requires_exclude %__requires_exclude|^perl\\(HTTP::Message\\)$
%global __requires_exclude %__requires_exclude|^perl\\(Test::Taint\\)$
# mail queueing modules
%global __requires_exclude %__requires_exclude|^perl\\(TheSchwartz\\)$
# extension modules
%global __requires_exclude %__requires_exclude|^perl\\(Image::Magick\\)$
# contrib scripts
%global __requires_exclude %__requires_exclude|^python

# and remove the extensions from the provides stream
%global __provides_exclude %__provides_exclude|^perl\\(Bugzilla::Extension::BmpConvert\\)$
%global __provides_exclude %__provides_exclude|^perl\\(Bugzilla::Extension::Example\\)$
%global __provides_exclude %__provides_exclude|^perl\\(Bugzilla::Extension::Example::Auth::Login\\)$
%global __provides_exclude %__provides_exclude|^perl\\(Bugzilla::Extension::Example::Auth::Verify\\)$
%global __provides_exclude %__provides_exclude|^perl\\(Bugzilla::Extension::Example::Config\\)$
%global __provides_exclude %__provides_exclude|^perl\\(Bugzilla::Extension::Example::WebService\\)$
%global __provides_exclude %__provides_exclude|^perl\\(Bugzilla::Extension::OldBugMove\\)$
%global __provides_exclude %__provides_exclude|^perl\\(Bugzilla::Extension::OldBugMove::Params\\)$
%global __provides_exclude %__provides_exclude|^perl\\(Bugzilla::Extension::Voting\\)$


%description
Bugzilla is one example of a class of programs called "Defect Tracking
Systems", or, more commonly, "Bug-Tracking Systems". Defect Tracking Systems
allow individual or groups of developers to keep track of outstanding bugs
in their product effectively.

%package contrib
Summary:	Additional tools for %{name}
Group:		Networking/WWW

%description contrib
This package contains additional tools for %{name}.

%prep
%setup -q -n %{name}-%{version}%{pre}
find . -name CVS -o -name .cvsignore -delete

# fix perms
chmod -R go=u-w .
chmod 644 Bugzilla/Bug.pm
chmod 644 template/en/default/admin/keywords/*
chmod 755 docs/makedocs.pl

# fix paths
find . -type f | xargs perl -pi -e "s|/usr/local/bin|%{_bindir}|g"

# fix contrib documentation files names
(cd contrib/bugzilla-submit && mv README README.bugzilla-submit)

%patch -P 0 -p1 -b .patch0
%patch -P 1 -p1 -b .patch1
%patch -P 2 -p1 -b .patch2
%patch -P 3 -p1 -b .patch3
%patch -P 4 -p1

%build

%install
%__mkdir_p %{buildroot}%{perl_vendorlib}
install -m644 %{SOURCE1} %{buildroot}%{perl_vendorlib}

install -d -m 755 %{buildroot}%{_datadir}/%{name}

install -d -m 755 %{buildroot}%{_datadir}/%{name}/www
install -m 755 *.cgi %{buildroot}%{_datadir}/%{name}/www
cp -pr js skins images robots.txt %{buildroot}%{_datadir}/%{name}/www
install -d -m 755 %{buildroot}%{_datadir}/%{name}/extensions
install -d -m 755 %{buildroot}%{_datadir}/%{name}/www/skins/custom
install -d -m 755 %{buildroot}%{_datadir}/%{name}/www/skins/contrib

install -d -m 755 %{buildroot}%{_datadir}/%{name}/lib
install -d -m 755 %{buildroot}%{_datadir}/%{name}/bin

# only install english templates (bug #61555)
install -d -m 755 %{buildroot}%{_datadir}/%{name}/template
cp -pr template/en %{buildroot}%{_datadir}/%{name}/template

cp -pr Bugzilla %{buildroot}%{_datadir}/%{name}/lib
install -m 644 Bugzilla.pm \
	%{buildroot}%{_datadir}/%{name}/lib
install -m 755 collectstats.pl \
	testserver.pl \
	checksetup.pl \
	importxml.pl \
	whineatnews.pl \
	whine.pl \
	contrib/bzdbcopy.pl \
	contrib/jb2bz.py \
	contrib/merge-users.pl \
	contrib/mysqld-watcher.pl \
	contrib/sendbugmail.pl \
	contrib/sendunsentbugmail.pl \
	contrib/syncLDAP.pl \
	contrib/bugzilla-submit/bugzilla-submit \
	contrib/cmdline/buglist \
	contrib/cmdline/bugs \
	%{buildroot}%{_datadir}/%{name}/bin

install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}
install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}
install -m 644 contrib/cmdline/query.conf %{buildroot}%{_sysconfdir}/%{name}

install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}

# apache configuration
install -d -m 755 %{buildroot}%{_webappconfdir}
cat > %{buildroot}%{_webappconfdir}/%{name}.conf <<EOF
# Bugzilla Apache configuration
Alias /%{name}/data %{_localstatedir}/lib/%{name}
Alias /%{name}/graphs %{_localstatedir}/lib/%{name}/graphs
Alias /%{name}/images %{_datadir}/%{name}/www/images
Alias /%{name}/js %{_datadir}/%{name}/www/js
Alias /%{name}/skins %{_datadir}/%{name}/www/skins
Alias /%{name}/webdot %{_localstatedir}/lib/%{name}/webdot
ScriptAlias /%{name} %{_datadir}/%{name}/www

<Directory %{_datadir}/%{name}/www>
    Require all granted
    DirectoryIndex index.cgi
</Directory>

<Directory %{_localstatedir}/lib/%{name}>
    AllowOverride All
</Directory>
EOF

# cron task
install -d -m 755 %{buildroot}%{_sysconfdir}/cron.d
cat > %{buildroot}%{_sysconfdir}/cron.d/%{name} <<EOF
0 0 * * *     apache     %{_datadir}/%{name}/bin/collectstats.pl > /dev/null 2>&1
0 0 * * *     apache     %{_datadir}/%{name}/bin/whineatnews.pl > /dev/null 2>&1
*/15 * * * *  apache     %{_datadir}/%{name}/bin/whine.pl > /dev/null 2>&1
EOF

cat > README.urpmi <<EOF
Mageia RPM specific notes

setup
-----
The setup used here differs from default one, to achieve better FHS compliance.
- the constant files are in %{_datadir}/%{name}
- the variables files are in %{_localstatedir}/lib/%{name}
- the configuration file will be generated in %{_sysconfdir}/%{name}

post-installation
-----------------
 - create a database in one of: MySQL/MariaDB/PostgreSQL
 - run %{_datadir}/%{name}/bin/checksetup.pl

Additional useful packages
--------------------------
- perl-GD, perl-GDGraph, perl-GDTextUtil and perl-Template-GD for graphical reports
- perl-XML-Twig and perl-MIME-tools for importing XML bugs
- perl-Net-LDAP for LDAP authentication
- perl-PatchReader, diffutils and patchutils for patch viewer
- graphviz for graphical view of dependency relationships
- a MySQL/MariaDB/PostgreSQL database, either locale or remote
EOF

%files
%doc README README.urpmi docs
%config(noreplace) %{_webappconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/cron.d/%{name}
%{_datadir}/%{name}
%{_sysconfdir}/%{name}
%attr(-,apache,apache) %{_localstatedir}/lib/%{name}
%{perl_vendorlib}/Bugzilla.pm
%exclude %{_datadir}/%{name}/bin/jb2bz.py
%exclude %{_datadir}/%{name}/bin/mysqld-watcher.pl
%exclude %{_datadir}/%{name}/bin/sendbugmail.pl
%exclude %{_datadir}/%{name}/bin/sendunsentbugmail.pl
%exclude %{_datadir}/%{name}/bin/syncLDAP.pl
%exclude %{_datadir}/%{name}/bin/bugzilla-submit
%exclude %{_datadir}/%{name}/bin/buglist
%exclude %{_datadir}/%{name}/bin/bugs
%exclude %{_sysconfdir}/%{name}/query.conf

%files contrib
%doc contrib/README
%doc contrib/bugzilla-submit/README.bugzilla-submit
%{_datadir}/%{name}/bin/jb2bz.py
%{_datadir}/%{name}/bin/mysqld-watcher.pl
%{_datadir}/%{name}/bin/sendbugmail.pl
%{_datadir}/%{name}/bin/sendunsentbugmail.pl
%{_datadir}/%{name}/bin/syncLDAP.pl
%{_datadir}/%{name}/bin/bugzilla-submit
%{_datadir}/%{name}/bin/buglist
%{_datadir}/%{name}/bin/bugs
%config(noreplace) %{_sysconfdir}/%{name}/query.conf
