Name:		buku
Version:	4.9
Release:	%mkrel 1
Summary:	Powerful command-line bookmark manager 
Group:		Networking/WWW
License:	GPLv3+
URL:		https://github.com/jarun/Buku
Source0:	https://github.com/jarun/Buku/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	make

Requires:	python3dist(beautifulsoup4)
Requires:	python3dist(certifi)
Requires:	python3dist(urllib3)
Requires:	python3dist(cryptography)
Requires:	python3dist(html5lib)

%description
buku is a powerful bookmark manager written in Python3 and SQLite3.

buku fetches the title of a bookmarked web page and stores it along
with any additional comments and tags. You can use your favourite editor
to compose and update bookmarks. With multiple search options, including regex
and a deep scan mode (particularly for URLs), it can find any bookmark
instantly. Multiple search results can be opened in the browser at once.

%prep
%autosetup -p1

sed -i '1s/env //' buku

%build
# Nothing to do

%install
%make_install PREFIX=%{_prefix}

install -Dpm0644 -t %{buildroot}%{_datadir}/bash-completion/completions \
  auto-completion/bash/buku-completion.bash
install -Dpm0644 -t %{buildroot}%{_datadir}/fish/vendor_functions.d \
  auto-completion/fish/buku.fish
install -Dpm0644 -t %{buildroot}%{_datadir}/zsh/site-functions \
  auto-completion/zsh/_buku

%files
%doc CHANGELOG README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/bash-completion/completions/buku-completion.bash
%{_datadir}/fish/vendor_functions.d/buku.fish
%{_datadir}/zsh/site-functions/_buku
%{_mandir}/man1/%{name}.1.*
