%define upstream_name bulk_extractor

# warning: exiv2 crashes
%bcond_with exiv2

Name:           bulk-extractor
Version:        2.1.1
Release:        %mkrel 1
Summary:        A forensic media scanning and analysis tool
License:        MIT and Public Domain
Group:          Security
URL:            https://forensics.wiki/bulk_extractor/
Source0:        https://github.com/simsong/%{upstream_name}/releases/download/v%{version}/%{upstream_name}-%{version}.tar.gz
BuildRequires:  flex
BuildRequires:  pkgconfig(absl_any)
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(gpg-error)
BuildRequires:  pkgconfig(libewf)
BuildRequires:  pkgconfig(libgcrypt)
BuildRequires:  pkgconfig(libpcap)
# enable once porting to pcre2
#BuildRequires:  pkgconfig(libpcre2-8)
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(re2)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(tre)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(uuid)
BuildRequires:  pkgconfig(zlib)

# We need fiwalk which was added to sleuthkit in v4.1.0
Requires:       sleuthkit >= 4.1
Requires:       zlib

%description
bulk_extractor is a C++ program that scans a disk image, a file, or a
directory of files and extracts useful information without parsing the
file system or file system structures. The results are stored in feature files
that can be easily inspected, parsed, or processed with automated tools.
It also creates histograms of features that it finds, as features that are
more common tend to be more important.

%prep
%autosetup -p1 -n %{upstream_name}-%{version}

%build
%configure %{?with_exiv2:--enable-exiv2=true}
%make_build

%install
%make_install

%files
%license LICENSE.md
%doc ChangeLog README.md NEWS COPYING
%doc doc/*.{html,md,txt} doc/Diagnostic_Notes/*.{md,html}
%{_bindir}/bulk_extractor
%{_mandir}/man1/bulk_extractor.1*
