%define libname %mklibname %{name} %{version}
%define develname %mklibname %{name} -d

%define uname   bullet3

Name:           bullet
Version:        3.24
Release:        %mkrel 3
Summary:        Professional 3D collision detection library
Group:          System/Libraries
License:        zlib
URL:            https://www.bulletphysics.com/
Source0:        https://github.com/bulletphysics/bullet3/archive/%{version}/%{uname}-%{version}.tar.gz
# Still no proper fix to https://github.com/bulletphysics/bullet3/issues/626
Patch0:         bullet-2.89-fix-bullet.pc.patch
Patch1:         bullet-3.24-fix-bullet-config.cmake.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(freeglut)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(libxml-2.0)

%description
Bullet is a professional open source multi-threaded
3D Collision Detection and Rigid Body Dynamics Library
for games and animation.

%package -n %{libname}
Summary:        Professional 3D collision detection library
Group:          System/Libraries
Obsoletes:      %{_lib}bullet2 < 2.82-5
Provides:       %{_lib}bullet2 = %{version}-%{release}

%description -n %{libname}
Bullet is a professional open source multi-threaded
3D Collision Detection and Rigid Body Dynamics Library
for games and animation.

%package -n %{develname}
Summary:        Development headers for the Bullet library
Group:          Development/C
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
Development headers for Bullet 3D collision library.

%prep
%autosetup -p1 -n %{uname}-%{version}

# in the file BulletConfig.cmake "BULLET_INCLUDE_DIR(S)" should not have a prefix
# just the relative path "include/bullet"
sed -i 's|@INCLUDE_INSTALL_DIR@|@CMAKE_INSTALL_INCLUDEDIR@|g' BulletConfig.cmake.in

%build
# Extras/Serialize needed by stuntrally (FileLoader and WorldImporter).
# Use double precision required by openmw
# The rest can be disabled.
%cmake \
    -DBUILD_BULLET2_DEMOS=OFF \
    -DBUILD_CPU_DEMOS=OFF \
    -DBUILD_EXTRAS=ON \
    -DBUILD_INVERSE_DYNAMIC_EXTRA=OFF \
    -DBUILD_BULLET_ROBOTICS_GUI_EXTRA=OFF \
    -DBUILD_BULLET_ROBOTICS_EXTRA=OFF \
    -DBUILD_OBJ2SDF_EXTRA=OFF \
    -DBUILD_SERIALIZE_EXTRA=ON \
    -DBUILD_CONVEX_DECOMPOSITION_EXTRA=OFF \
    -DBUILD_HACD_EXTRA=OFF \
    -DBUILD_GIMPACTUTILS_EXTRA=OFF \
    -DBUILD_OPENGL3_DEMOS=OFF \
    -DBUILD_UNIT_TESTS=OFF \
    -DUSE_DOUBLE_PRECISION=ON \
    -DINSTALL_EXTRA_LIBS=ON \
    -DINCLUDE_INSTALL_DIR=%{_includedir}/%{name} \
    -DCMAKE_INSTALL_INCLUDEDIR="include/%{name}"
%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/lib*.so.%{version}

%files -n %{develname}
%doc AUTHORS.txt README.md VERSION
%{_includedir}/%{name}/
%{_libdir}/cmake/%{name}/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}.pc
