Name:		bwbasic
Summary:	A Basic interpreter
Version:	3.30
Release:	%mkrel 1
License:	GPLv2
Group:		Development/Basic
Url:		https://sourceforge.net/projects/bwbasic
Source0:	https://sourceforge.net/projects/bwbasic/files/bwbasic/version%203.30/%{name}-%{version}.zip
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	bwbtest.zip

BuildRequires:	desktop-file-utils
BuildRequires:	unzip
BuildRequires:	grep
BuildRequires:	gcc
BuildRequires:	autoconf

%description
The Bywater BASIC Interpreter (bwBASIC) implements a large 
superset of the ANSI Standard for Minimal BASIC (X3.60-1978) 
and a significant subset of the ANSI Standard for 
Full BASIC (X3.113-1987) in C.

%prep
%autosetup -c -n %{name}-%{version}

unzip %{SOURCE3}
chmod ug+x ./configure

%build
sed -ie "s/HAVE_UNIX/HAVE_UNIX -fPIE/" Makefile.in
autoconf
INSTALLSH=`ls -1 /usr/share/|grep automake|sort|head -1`
cp -a /usr/share/$INSTALLSH/install-sh .
%configure
%make_build

%install
install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m 755 renum %{buildroot}%{_bindir}/renum
install -d %{buildroot}%{_prefix}/lib/%{name}
install -m 644 bwbtest/* %{buildroot}%{_prefix}/lib/%{name}/
install -D -m 644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%{name}.png
install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc README* %{name}.doc DOCS/*
%license COPYING
%{_bindir}/%{name}
%{_bindir}/renum
%{_prefix}/lib/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

