%define rel	2

Summary:	Console-based live network and disk io bandwidth monitor
Name:		bwm-ng
Version:	0.6.3
Release:	%mkrel %{rel}
License:	GPLv2+
Group:		Monitoring
URL:		https://gropp.org/?id=projects&sub=bwm-ng
Source:		https://github.com/vgropp/bwm-ng/archive/v%{version}/bwm-ng-%{version}.tar.gz
Patch0:		bwm-ng-0.6.3-git-format-literal.patch
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(libstatgrab) >= 0.91

%description
Bandwidth Monitor NG is a small and simple console-based live
network and disk io bandwidth monitor for Linux, BSD, Solaris, Mac
OS X and others.

Short list of features:
- supports /proc/net/dev, netstat, getifaddr, sysctl, kstat,
  /proc/diskstats, /proc/partitions, IOKit, devstat and libstatgrab
- unlimited number of interfaces/devices supported
- interfaces/devices are added or removed dynamically from list
- white-/blacklist of interfaces/devices
- output of KB/s, Kb/s, packets, errors, average, max and total sum
- output in curses, plain console, CSV or HTML
- configfile

%prep
%autosetup -p1

%build
./autogen.sh
%configure \
	--disable-silent-rules \
	--enable-64bit \
	--enable-netstatbyte \
	--enable-netstatlink \
	--with-ncurses \
	--with-getopt_long \
	--with-partitions \
	--with-procnetdev \
	--with-netstatlinux \
	--with-libstatgrab
%make_build

%install
%make_install

%files
%doc README AUTHORS ChangeLog NEWS THANKS bwm-ng.conf-example bwm-ng.css
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
