Name:           bygfoot
Version:        2.3.5
Release:        %mkrel 1
Summary:        Football (Soccer) management game
License:        GPLv2
Group:          Games/Sports
URL:            https://bygfoot.sourceforge.io/
Source0:        https://gitlab.com/bygfoot/bygfoot/-/archive/%{version}/bygfoot-%{version}.tar.bz2
Source1:        bygfoot.desktop
Patch0:         bygfoot-c99-1.patch
Patch1:         bygfoot-c99-2.patch

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(json-c)

%description
Bygfoot is a small and simple graphical football (a.k.a. soccer) manager game 
featuring many international leagues and cups. You manage a team from one such 
league: you form the team, buy and sell players, get promoted or relegated and
of course try to be successful.

%prep
%autosetup -p1

sed -i 's|DESTINATION bin|DESTINATION games|' CMakeLists.txt

%build
%cmake -G Ninja \
       -DCMAKE_INSTALL_DATADIR=%{_gamesdatadir}
%cmake_build

%install
%cmake_install

%find_lang %{name}

install -D -m 0644 support_files/pixmaps/bygfoot_icon.png \
        "%{buildroot}%{_datadir}/pixmaps/bygfoot.png"

desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE1}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README TODO UPDATE
%license COPYING
%{_gamesbindir}/bygfoot*
%{_datadir}/applications/bygfoot.desktop
%{_datadir}/pixmaps/bygfoot.png
%{_gamesdatadir}/bygfoot/
