Summary: 	Powerful, text based window manager and shell multiplexer
Name: 	 	byobu
Version: 	6.12
Release: 	%mkrel 1
License: 	GPLv3+
Group:		Terminals
Url:		https://byobu.co/
Source0: 	https://github.com/dustinkirkland/byobu/archive/%{version}/%{name}-%{version}.tar.gz
# Fix invalid path (mga#21277)
Patch0:		byobu-5.119-mga-gnome-terminal-server.patch
# fallback to xterm because of conflict with emacs
Patch1:	        byobu-5.127-fallback-xterm.patch

BuildArch:	noarch
BuildRequires:	gettext

#TODO: require a virtual provides that allows to choose either screen or tmux
Requires:	screen
Requires:	tmux
Requires:	gawk
Requires:	gettext
Requires:	python3
Requires:	python3-newt
# Used by the desktop file
Recommends:	gnome-terminal

%description
Byobu is a GPLv3 open source text-based window manager and terminal
multiplexer. It was originally designed to provide elegant enhancements
to the otherwise functional, plain, practical GNU Screen, for the Ubuntu
server distribution. Byobu now includes an enhanced profiles, convenient
keybindings, configuration utilities, and toggle-able system status
notifications for both the GNU Screen window manager and the more modern
Tmux terminal multiplexer, and works on most Linux, BSD, and Mac
distributions.

%prep
%autosetup -p1

%build
export BYOBU_PYTHON=%{__python3}
./autogen.sh
%configure
%make_build

%install
%make_install \
	pixmapsdir=%{_iconsdir}/hicolor/scalable/apps

# compile and install locale files
for po in po/*.po
do
	lang=${po#po/}
	lang=${lang%.po}
	mkdir -p %{buildroot}%{_datadir}/locale/${lang}/LC_MESSAGES/
	msgfmt ${po} -o %{buildroot}%{_datadir}/locale/${lang}/LC_MESSAGES/%{name}.mo
done

# Install appdata
cp -av usr/share/appdata %{buildroot}%{_datadir}

# Install desktop file
mkdir -p %{buildroot}%{_datadir}/applications

%find_lang %{name}

%files -f %{name}.lang
%doc README.md
%doc usr/share/doc/%{name}/help.screen.txt
%doc usr/share/doc/%{name}/help.tmux.txt
%license COPYING
%dir %{_datadir}/%{name}
%dir %{_prefix}/lib/%{name}
%{_bindir}/*
%{_sysconfdir}/profile.d/*
%{_sysconfdir}/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/dbus-1/services/*.service
%{_datadir}/%{name}/*
%{_prefix}/lib/%{name}/*
%{_iconsdir}/hicolor/scalable/apps/byobu.svg
%{_mandir}/man?/*
