%define snap 20140224
%define rel  9

Name:          byzanz
Version:       0.3
Release:       %mkrel -c git%{snap} %{rel}
Summary:       A desktop recorder
License:       GPLv3+
Group:         Video/Editors and Converters 
URL:           https://git.gnome.org/browse/byzanz
#Source0: https://download.gnome.org/sources/%%{name}/0.2/%%{name}-%%{version}.tar.bz2
#git clone git://git.gnome.org/byzanz
#git archive --prefix=byzanz-$(date +%Y%m%d)/ --format=tar HEAD | xz > ../byzanz-$(date +%Y%m%d).tar.xz

Source0:       %{name}-%{snap}.tar.xz
Patch0:        byzanz-20140224-mga-init-enter.patch

BuildRequires: gnome-common
BuildRequires: pkgconfig(cairo) >= 1.8.10
BuildRequires: gtk3-devel
BuildRequires: pkgconfig(xdamage) >= 1.0
BuildRequires: pkgconfig(glib-2.0) >= 2.6.0
BuildRequires: pkgconfig(gstreamer-base-1.0) 
BuildRequires: gstreamer1.0-plugins-base-devel
BuildRequires: gettext-devel
BuildRequires: intltool
BuildRequires: perl(XML::Parser)


%description
Byzanz is a desktop recorder striving for ease of use. It can record to 
GIF images, Ogg Theora video - optionally with sound - and other formats.
A command-line recording tool is included.

%prep
%autosetup -p1 -n %{name}-%{snap}

%build
NOCONFIGURE=1 ./autogen.sh
CFLAGS="%{optflags} -Wno-deprecated-declarations"
%ifarch %{arm}
# https://rwmj.wordpress.com/2014/01/06/alignment-errors-on-fedora-arm/
CFLAGS="$CFLAGS -Wno-cast-align"
%endif
%configure
%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make_install

%find_lang %{name}


%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING NEWS
%{_bindir}/%{name}-playback
%{_bindir}/%{name}-record
%{_datadir}/icons/hicolor/*/apps/%{name}-record-area.*
%{_datadir}/icons/hicolor/*/apps/%{name}-record-desktop.*
%{_datadir}/icons/hicolor/*/apps/%{name}-record-window.*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-playback.1*
%{_mandir}/man1/%{name}-record.1*
