Name:		bzflag
Summary:	A multiplayer 3D tank battle game
Epoch:          1
Version:	2.4.30
Release:	%mkrel 1
License:	LGPLv2
Group:		Games/Arcade
URL:		https://www.bzflag.org
Source0:	https://download.bzflag.org/bzflag/source/%{version}/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(libcares)
BuildConflicts:	freetds-devel

%description
BZFlag is a multiplayer 3D tank battle game. It's one of the most popular games
ever on Silicon Graphics systems.

%prep
%autosetup

%build
# We need to install the plugins under %%{_libdir}/%%{name} so they won't get
# in the way.
%configure \
	--bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir} \
	--enable-robots \
	--libdir=%{_libdir}/%{name}
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications
mv %{buildroot}%{_gamesdatadir}/bzflag/bzflag.desktop %{buildroot}%{_datadir}/applications/bzflag.desktop
sed -i 's|Icon=bzflag-48x48|Icon=%{name}|' %{buildroot}%{_datadir}/applications/bzflag.desktop

mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps
install -m 644 misc/art/bzicon-red.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

mkdir -p %{buildroot}%{_gamesdatadir}/%{name}/maps
install -m 644 misc/maps/*.bzw %{buildroot}%{_gamesdatadir}/%{name}/maps

%files
%license COPYING
%doc ChangeLog README README.Linux
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so
%{_mandir}/*/*
