%define major     1
%define libname   %mklibname bz2_ %{major}
%define develname %mklibname bz2 -d

%define buildpdf 0

Summary:	Extremely powerful file compression utility
Name:		bzip2
Version:	1.0.8
Release:	%mkrel 6
License:	BSD
Group:		Archiving/Compression
URL:		http://www.bzip.org/
Source0:	https://sourceware.org/pub/bzip2/%{name}-%{version}.tar.gz
Source1:	bzgrep
Source2:	bzme
Source3:	bzme.1
Source4:	bzip2.pc
Patch0:		bzip2-1.0.8-makefile.patch
Patch1:		0001-bzgrep_use_grep-E_-F_instead-of-egrep-and-fgrep.patch
Requires:	mktemp
Requires:	%{libname} = %{version}-%{release}
%if 0%{?buildpdf}
BuildRequires:	tetex-dvips
BuildRequires:	tetex-latex
%endif
BuildRequires:	texinfo
BuildRequires:	libtool


%description
Bzip2 compresses files using the Burrows-Wheeler block-sorting text
compression algorithm, and Huffman coding. Compression is generally
considerably better than that achieved by more conventional LZ77/LZ78-based
compressors, and approaches the performance of the PPM family of statistical
compressors.

The command-line options are deliberately very similar to those of GNU Gzip,
but they are not identical.

%package -n %{libname}
Summary:	Libraries for developing apps which will use bzip2
Group:		System/Libraries
Obsoletes:	%{mklibname bzip2_ 1} < 1.0.6-11

%description -n	%{libname}
Library of bzip2 functions, for developing apps which will use the
bzip2 library (aka libz2).

%package -n %{develname}
Summary:	Header files for developing apps which will use bzip2
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname bzip2 -d} < 1.0.6-11
Provides:	%{mklibname bzip2 -d} = %{version}-%{release}

%description -n	%{develname}
Header files and static library of bzip2 functions, for developing apps which
will use the bzip2 library (aka libz2).

%prep
%autosetup -p1

echo "lib = %{_lib}" >> config.in
echo "CFLAGS = %{optflags}" >> config.in
echo "LDFLAGS = %{ldflags}" >> config.in

cp %{SOURCE2} bzme
cp %{SOURCE3} bzme.1

cp -a %{SOURCE4} bzip2.pc
sed -i "s|^libdir=|libdir=%{_libdir}|" bzip2.pc
sed -i "s|@VERSION@|%{version}|" bzip2.pc

%build
%make_build -f Makefile-libbz2_so
%make_build

%if 0%{?buildpdf}
texi2dvi --pdf manual.texi
%endif

%install
%make_install

install -m0755 bzme %{buildroot}%{_bindir}/
install -m0755 bzgrep %{buildroot}%{_bindir}/
install -m0644 bzgrep.1 %{buildroot}%{_mandir}/man1/

mkdir -p %{buildroot}%{_libdir}/pkgconfig
install -m0644 bzip2.pc %{buildroot}%{_libdir}/pkgconfig

cat > %{buildroot}%{_bindir}/bzless <<EOF
#!/bin/sh
%{_bindir}/bunzip2 -c "\$@" | %{_bindir}/less
EOF
chmod 755 %{buildroot}%{_bindir}/bzless
install -m 644 %{SOURCE3} %{buildroot}%{_mandir}/man1/

%files
%doc README CHANGES
%license LICENSE
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%license LICENSE
%{_libdir}/libbz2.so.%{major}{,.*}

%files -n %{develname}
%doc *.html
%license LICENSE
%if 0%{?buildpdf}
%doc manual.pdf
%endif
%{_libdir}/libbz2.a
%{_libdir}/libbz2.so
%{_includedir}/*.h
%{_libdir}/pkgconfig/*.pc
