%define major	0
%define api	2.2
%define gtkver	3
%define oname cxx-gtk-utils
%define libname	%mklibname %{oname} %{api} %{major}
%define devname %mklibname %{oname} %{api} -d

Summary:	GTK+-based ISO image editor
Name:		c++-gtk-utils
Version:	2.2.20
Release:	%mkrel 3
License:	LGPLv2
Group:		System/Libraries
URL:		https://cxx-gtk-utils.sourceforge.net/
Source0:	https://downloads.sourceforge.net/project/cxx-gtk-utils/cxx-gtk-utils/%{version}/%{name}-%{version}.tar.gz
Patch1:		c++-gtk-utils-autoconf.patch
BuildRequires:	gtk+3.0-devel

%description
c++-gtk-utils is a lightweight library containing a number of classes and
functions for programming GTK+ programs using C++ in POSIX (Unix-like)
environments, where the user does not want to use a full-on wrapper such as
gtkmm or wxWidgets, or is concerned about exception safety or thread safety of
the wrapper and their documentation. It is parallel installable for both GTK+2
and GTK+3.

%package -n	%{libname}
Summary:	A library containing a number of classes and functions for programming GTK+ programs using C++
Group:		System/Libraries

%description -n %{libname}
c++-gtk-utils is a lightweight library containing a number of classes and
functions for programming GTK+ programs using C++ in POSIX (Unix-like)
environments, where the user does not want to use a full-on wrapper such as
gtkmm or wxWidgets, or is concerned about exception safety or thread safety of
the wrapper and their documentation. It is parallel installable for both GTK+2
and GTK+3.

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}

%description -n %{devname}
Development files for %{name}

%prep
%autosetup -p1

%build
autoreconf -fi
LDFLAGS="%{ldflags} -lpthread"
%configure --disable-static
%make_build

%install
%make_install
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/libcxx-gtk-utils-%{gtkver}-%{api}.so.%{major}
%{_libdir}/libcxx-gtk-utils-%{gtkver}-%{api}.so.%{major}.*

%files -n %{devname}
%{_includedir}/%{name}-%{gtkver}-%{api}/%{name}/*.h
%{_includedir}/%{name}-%{gtkver}-%{api}/%{name}/*.tpp
%{_libdir}/pkgconfig/*.pc
%{_docdir}/%{name}/%{api}/html/*
%{_docdir}/%{name}/%{api}/README
%{_docdir}/%{name}/%{api}/NEWS
%{_docdir}/%{name}/%{api}/BUGS
%{_docdir}/%{name}/%{api}/COPYING
%{_docdir}/%{name}/%{api}/PORTING*
%{_libdir}/libcxx-gtk-utils-%{gtkver}-%{api}.so
