%define major		2
%define libname		%mklibname cares %{major}
%define libdevelname	%mklibname cares -d

Summary:	A library that performs asynchronous DNS operations
Name:		c-ares
Version:	1.34.5
Release:	%mkrel 1
License:	MIT
Group:		System/Libraries
URL:		https://c-ares.org/
Source0:	https://github.com/c-ares/c-ares/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake

%description
c-ares is a C library that performs DNS requests and name resolves
asynchronously. c-ares is a fork of the library named 'ares', written
by Greg Hudson at MIT.

%package -n %{libname}
Summary:	A library that performs asynchronous DNS operations
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
c-ares is a C library that performs DNS requests and name resolves
asynchronously. c-ares is a fork of the library named 'ares', written
by Greg Hudson at MIT.

%package -n %{libdevelname}
Summary:	Development files for c-ares
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{libdevelname}
This package contains the header files and development libraries
needed to compile applications or shared objects that use c-ares.

%prep
%autosetup -p1

%build
%cmake -DCARES_BUILD_TOOLS:BOOL=OFF
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license LICENSE.md
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{libdevelname}
%doc README.md RELEASE-NOTES.md
%{_includedir}/ares*.h
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/libcares.pc
%{_libdir}/cmake/c-ares/
%{_mandir}/man3/ares_*
