%define		git 58284ae9c49a1894a58fe4a8bc933b6cb09fd577
%define		gitdate 20220205

%define rel 3

Name:           c-icap-modules-classify
Version:        20200730
Release:        %mkrel %{rel}.git%{gitdate}
Summary:        Classification module for c-icap
Group:          System/Servers
License:        LGPLv3+
URL:            https://github.com/treveradams/C-ICAP-Classify
Source0:        https://github.com/treveradams/C-ICAP-Classify/archive/%{git}.tar.gz
BuildRequires:  c-icap-devel >= 1:0.5.3
BuildRequires:  pkgconfig(opencv)
BuildRequires:  pkgconfig(tre)
BuildRequires:  pkgconfig(icu-uc)

Requires:       c-icap-server

%description
This module can be setup to classify text & HTML pages as well as images. These
classifications are according to FastHyperSpace files or Intel OpenCV files
supplied by the user to recognize various image characteristics.

%package -n	%{name}-training
Summary:	Programs to train FHS (Fast HyperSpace) or FNB (Fast Naive Bayes) files
Group:		System/Servers
Provides:       %{name}-training fhs_learn fhs_judge fhs_makepreload fnb_learn fnb_judge fnb_makepreload
Requires:	c-icap-modules-classify

%description -n %{name}-training
Programs to train FHS (Fast HyperSpace) or FNB (Fast Naive Bayes)
files for use by c_icap_classify.

%prep
%autosetup -p1 -n C-ICAP-Classify-%{git}

chmod 700 RECONF

%build
%ifarch %{ix86} %{arm32}
%global optflags %{optflags} -Wno-incompatible-pointer-types
%endif
./RECONF
%configure
%make_build

%install
# Make some directories
install -d %{buildroot}%{_sysconfdir}

# Now do install
%make_install

# nuke unwanted devel files
rm -f %{buildroot}%{_libdir}/c_icap/srv_*.a
rm -f %{buildroot}%{_libdir}/c_icap/srv_*.la
rm -f %{buildroot}%{_libdir}/c_icap/sys_logger.la

%files
%{_libdir}/c_icap/srv_classify.so

%files training
%{_bindir}/fhs_judge
%{_bindir}/fhs_learn
%{_bindir}/fhs_makepreload
%{_bindir}/fnb_judge
%{_bindir}/fnb_learn
%{_bindir}/fnb_makepreload
%{_bindir}/fhs_findtolearn
%{_bindir}/fnb_findtolearn
%{_mandir}/man8/fhs_findtolearn.8*
%{_mandir}/man8/fhs_judge.8*
%{_mandir}/man8/fhs_learn.8*
%{_mandir}/man8/fhs_makepreload.8*
%{_mandir}/man8/fnb_findtolearn.8*
%{_mandir}/man8/fnb_judge.8*
%{_mandir}/man8/fnb_learn.8*
%{_mandir}/man8/fnb_makepreload.8*
