%define _disable_libtoolize 1

Summary:	An ICAP module server coded in C
Name:		c-icap-modules-extra
Epoch:		1
Version:	0.5.7
Release:	%mkrel 3
License:	GPLv2
Group:		System/Servers
URL:		https://sourceforge.net/projects/c-icap/
Source0:	https://prdownloads.sourceforge.net/c-icap/c_icap_modules-%{version}.tar.gz
BuildRequires:	pkgconfig(libclamav)
BuildRequires:	c-icap-devel
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	dos2unix
BuildRequires:	db-devel 
BuildRequires:	tommath-devel
Requires:	c-icap-server

%description
An ICAP modules server coded in C.


%prep
%setup -q -n c_icap_modules-%{version}

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

# strip away annoying ^M
# find -type f | grep -v "\.gif" | grep -v "\.png" | grep -v "\.jpg" | xargs dos2unix -U

chmod 644 AUTHORS COPYING 

%build
autoreconf -vfi

export LIBS="-lpthread -ldl"

%configure \
    --disable-static \
    --enable-shared \
    --with-clamav=%{_prefix} \
    --with-c-icap=%{_prefix} \
    --with-bdb

perl -pi -e 's|(srv_clamav_la_LIBADD =  -L)/usr/lib|$1%{_libdir}|;'    \
        services/clamav/Makefile

%make_build

%install
mkdir -p %{buildroot}%{_sysconfdir}/icapd
%make_install CONFIGDIR=/etc/icapd

%files 
%doc AUTHORS
%license COPYING
%dir %{_libdir}/c_icap
%dir %{_sysconfdir}/icapd
%attr(0755,root,root) %{_libdir}/c_icap/*.so
%config(noreplace) %{_sysconfdir}/icapd/virus_scan.conf
%config(noreplace) %{_sysconfdir}/icapd/srv_url_check.conf
%config(noreplace) %{_sysconfdir}/icapd/clamav_mod.conf
%config(noreplace) %{_sysconfdir}/icapd/clamav_mod.conf.default
%config(noreplace) %{_sysconfdir}/icapd/clamd_mod.conf
%config(noreplace) %{_sysconfdir}/icapd/clamd_mod.conf.default
%config(noreplace) %{_sysconfdir}/icapd/srv_content_filtering.conf.default
%{_sysconfdir}/icapd/srv_url_check.conf.default
%{_sysconfdir}/icapd/virus_scan.conf.default
%{_bindir}/c-icap-mods-sguardDB
%{_datadir}/c_icap/templates/srv_url_check/en/*
%{_datadir}/c_icap/templates/virus_scan/en/*
%{_datadir}/c_icap/templates/srv_content_filtering/en/*
%{_mandir}/man8/c-icap-mods-sguardDB.8*
