%define major     6
%define libname   %mklibname icapapi %{major}
%define develname %mklibname c-icap -d

%bcond_without pcre

Summary:	An ICAP server coded in C
Name:		c-icap
Epoch:		4
Version:	0.6.3
Release:	%mkrel 3
License:	LGPLv2+
Group:		System/Servers
URL:		https://c-icap.sourceforge.net/
Source0:	https://prdownloads.sourceforge.net/c-icap/c_icap-%{version}.tar.tgz
Source1:	c-icap.service
Source2:	icapd.sysconfig
Source3:	icapd.logrotate
Source4:	c-icap-tmpfiles.conf
Patch0:		0001-c_icap-mga-config.patch
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	chrpath
BuildRequires:	dos2unix
BuildRequires:	doxygen
BuildRequires:	file
BuildRequires:	db-devel
BuildRequires:	gdbm-devel
BuildRequires:	libatomic-devel
BuildRequires:	openldap-devel
BuildRequires:	perl-devel
BuildRequires:	pkgconfig(libclamav)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(libzstd)
BuildRequires:	pkgconfig(gmp)
BuildRequires:	pkgconfig(openssl)

Requires(pre):    rpm-helper
Requires(post):   rpm-helper
Requires(post):   systemd
Requires(preun):  rpm-helper

%description
c-icap is an implementation of an ICAP server. It can be used with HTTP
proxies that support the ICAP protocol to implement content adaptation
and filtering services.

Most of the commercial HTTP proxies must support the ICAP protocol. The
open source Squid 3.x proxy server supports it.

%package -n	%{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

Obsoletes:	%{_lib}c-icap0 < 4:0.6.3-3

%description -n	%{libname}
Shared libraries for %{name}.

%package -n	%{develname}
Summary:	Development library and header files for the %{name} library
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}

%description -n	%{develname}
This package contains the static %{libname} library and its header
files.

%package	server
Summary:	An ICAP server coded in C
Group:          System/Servers
Requires:	%{name}-modules = %{epoch}:%{version}-%{release}
Requires:	file webserver
Requires(post): systemd >= %{systemd_required_version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Recommends:	c-icap-modules-extra

%description	server
An ICAP server coded in C.

%package	client
Summary:	An ICAP client coded in C
Group:		System/Servers

%description	client
An ICAP client coded in C.

%package	modules
Summary:	Modules for the c-icap-server
Group:		System/Servers

%description	modules
Modules for the c-icap-server.

%prep
%autosetup -p1 -n c_icap-%{version}

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

# strip away annoying ^M
# find -type f | grep -v "\.gif" | grep -v "\.png" | grep -v "\.jpg" | xargs dos2unix -U
# find -type f -exec dos2unix --skipbin -U -n {} {} \;
chmod 644 AUTHORS COPYING TODO

cp %{SOURCE2} icapd.sysconfig
cp %{SOURCE3} icapd.logrotate

%build
autoreconf -vfi

export LIBS="-lpthread -ldl -latomic"
export ICAP_DIR=`pwd`

%configure \
    --disable-static \
%if %{without pcre}
    --without-pcre \
    --without-pcre2 \
%endif
    --enable-shared \
    --with-ldap

%__make

%install
%make_install CONFIGDIR=%{_sysconfdir}/icapd

%{__install} -d -m0755 %{buildroot}%{_sysconfdir}/sysconfig
%{__install} -d -m0755 %{buildroot}%{_sysconfdir}/logrotate.d
%{__install} -d -m0755 %{buildroot}%{_sbindir}
%{__install} -d -m0755 %{buildroot}%{_var}/log/icapd
%{__install} -d -m0755 %{buildroot}%{_var}/www/cgi-bin

mv %{buildroot}%{_bindir}/c-icap %{buildroot}%{_sbindir}/icapd
%{__install} -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/icapd.service
%{__install} -m0644 icapd.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/icapd
%{__install} -m0644 icapd.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/icapd
%{__install} -D -p -m 0644 %{SOURCE4} %{buildroot}%{_tmpfilesdir}/%{name}.conf
# nuke rpath
chrpath -d %{buildroot}%{_sbindir}/*

chrpath -d %{buildroot}%{_bindir}/c-icap-client
chrpath -d %{buildroot}%{_bindir}/c-icap-stretch

touch %{buildroot}%{_var}/log/icapd/server.log
touch %{buildroot}%{_var}/log/icapd/access.log

mkdir -p %{buildroot}%{_tmpfilesdir}
cat <<EOF > %{buildroot}%{_tmpfilesdir}/%{name}.conf
d /run/icapd 0755 icapd icapd
EOF

%pre server
%_pre_useradd icapd /var/lib/icapd /bin/sh

%post server
%_tmpfilescreate %{name}
%_post_service icapd
#create_ghostfile %%{_var}/log/icapd/server.log icapd icapd 0644
#create_ghostfile %%{_var}/log/icapd/access.log icapd icapd 0644

%preun server
%_preun_service icapd

%postun server
%_postun_userdel icapd

%files server
%doc AUTHORS TODO
%license COPYING
%{_tmpfilesdir}/%{name}.conf
%{_unitdir}/icapd.service
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/icapd/c-icap.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/icapd/c-icap.magic
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/sysconfig/icapd
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/logrotate.d/icapd
%{_sysconfdir}/icapd/c-icap.conf.default
%{_sysconfdir}/icapd/c-icap.magic.default
%attr(0755,root,root) %{_sbindir}/icapd
%attr(0755,icapd,icapd) %dir %{_var}/log/icapd
%ghost %attr(0644,icapd,icapd) %{_var}/log/icapd/server.log
%ghost %attr(0644,icapd,icapd) %{_var}/log/icapd/access.log
%{_mandir}/man8/c-icap.8.*
%{_mandir}/man8/c-icap-mklmdb.8.*

%files client
%doc AUTHORS TODO
%{_bindir}/c-icap-client
%{_bindir}/c-icap-stretch
%{_bindir}/c-icap-mkbdb
%{_mandir}/man8/c-icap-client.8.*
%{_mandir}/man8/c-icap-mkbdb.8.*
%{_mandir}/man8/c-icap-stretch.8.*

%files modules
%license COPYING
%dir %{_libdir}/c_icap
%{_libdir}/c_icap/*.so

%files -n %{libname}
%license COPYING
%{_libdir}/libicapapi.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/c_icap/
%{_libdir}/*.so
%{_bindir}/c-icap-config
%{_bindir}/c-icap-libicapapi-config
%{_mandir}/man8/c-icap-config.8.*
%{_mandir}/man8/c-icap-libicapapi-config.8.*
