%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^typelib\\((.*AppIndicator3|Gtk)

Name:           cadence
Version:        0.9.1
Release:        %mkrel 10
Summary:        Set of tools useful for audio production
License:        GPLv2
Group:          Sound/Utilities
URL:            https://github.com/falkTX/Cadence
Source0:        https://github.com/falkTX/Cadence/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         cadence-0.9.0-mga-fix-desktop-files.patch
Patch1:         cadence-0.9.0-qt5-fix.patch
Patch2:         cadence-0.9.1-backport-upstream-fixes-from-git20200604.patch
Patch3:         0001_cadence_aloop_daemon_place_lockfile_into_non_public_patch.txt
Patch4:         0001_cadence_py_wine_ASIO_settings_use_safe_tempfile_patch.txt

BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(sip)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  qtbase5-common
BuildRequires:  python3-qt5-devel
Requires:       jackit
Requires:       python(abi) = %{python3_version}
Requires:       python3dist(sip)
Requires:       python3-dbus
Requires:       python3-qt5-core
Requires:       python3-qt5-gui
Requires:       python3-qt5-widgets
Requires:       python3-qt5-svg
Requires:       qtbase5-common
Requires:       cadence-data = %{version}-%{release}
Requires:       cadence-tools = %{version}-%{release}
Requires:       catarina = %{version}-%{release}
Requires:       catia = %{version}-%{release}
Requires:       claudia = %{version}-%{release}
Recommends:     pulseaudio-module-jack
Recommends:     a2jmidid

%description
Cadence is a set of tools useful for audio production.
It's being developed by falkTX, using Python3 and Qt5
(and some C++ where needed).
This package contains the main Cadence application.

%files
%{_bindir}/cadence
%{_datadir}/cadence/src/cadence.py*
%{_datadir}/cadence/src/ui_cadence.py*
%{_datadir}/cadence/src/ui_cadence_*.py*

%{_datadir}/applications/cadence.desktop
%{_datadir}/icons/hicolor/*/apps/cadence.*

%{_sysconfdir}/xdg/autostart/cadence-session-start.desktop
%{_sysconfdir}/X11/xinit/xinitrc.d/61cadence-session-inject

#--------------------------------------------------------------------
%package data
Summary:        Set of tools useful for audio production
Requires:       python(abi) = %{python3_version}
Requires:       python3-qt5-core
Requires:       python3-qt5-gui
Requires:       python3-qt5-widgets
Requires:       python3-qt5-svg

%description data
This package contains the shared data and modules.

%files data
%dir %{_datadir}/cadence
%dir %{_datadir}/cadence/src
%dir %{_datadir}/cadence/pulse2loopback
%{_datadir}/cadence/src/shared.py*
%{_datadir}/cadence/src/shared_cadence.py*
%{_datadir}/cadence/src/shared_canvasjack.py*
%{_datadir}/cadence/src/shared_settings.py*
%{_datadir}/cadence/src/resources_rc.py*
%{_datadir}/cadence/src/ui_settings_app.py*

%{_datadir}/cadence/src/jacklib.py*
%{_datadir}/cadence/src/jacklib_helpers.py*
%{_datadir}/cadence/src/patchcanvas.py*
%{_datadir}/cadence/src/patchcanvas_theme.py*
%{_datadir}/cadence/src/systray.py*

%{_datadir}/cadence/src/canvaspreviewframe.py*
%{_datadir}/cadence/src/clickablelabel.py*

%{_datadir}/cadence/pulse2loopback/play+rec.pa
%{_datadir}/cadence/pulse2loopback/play.pa


#--------------------------------------------------------------------
%package tools
Summary:        Set of tools useful for audio production
Requires:       cadence-data = %{version}-%{release}
Requires:       python(abi) = %{python3_version}
Requires:       jack_capture

%description tools
This package contains the small tools used in Cadence.

%files tools
%{_bindir}/cadence-*

%{_datadir}/cadence/src/cadence_aloop_daemon.py*
%{_datadir}/cadence/src/cadence_session_start.py*
%{_datadir}/cadence/src/jacksettings.py*
%{_datadir}/cadence/src/logs.py*
%{_datadir}/cadence/src/render.py*

%{_datadir}/cadence/src/ui_logs.py*
%{_datadir}/cadence/src/ui_render.py*
%{_datadir}/cadence/src/ui_settings_jack.py*

%{_datadir}/cadence/pulse2jack/

#--------------------------------------------------------------------
%package -n catarina
Summary:        Set of tools useful for audio production
Requires:       cadence-data = %{version}-%{release}
Requires:       python(abi) = %{python3_version}
Requires:       python3-qt5-opengl
Requires:       python3-qt5-xml

%description -n catarina
Catarina is a testing ground for the 'PatchCanvas'
module used in the Cadence tools.

%files -n catarina
%{_bindir}/catarina
%{_datadir}/cadence/src/catarina.py*
%{_datadir}/cadence/src/ui_catarina.py*
%{_datadir}/cadence/src/ui_catarina_*.py*

%{_datadir}/applications/catarina.desktop
%{_datadir}/icons/hicolor/*/apps/catarina.*

#--------------------------------------------------------------------
%package -n catia
Summary:        Set of tools useful for audio production
Requires:       cadence-tools = %{version}-%{release}
Requires:       python(abi) = %{python3_version}
Requires:       python3-qt5-opengl

%description -n catia
extended JACK patchbay
Catia is a nice JACK Audio Patchbay with A2J Bridge integration.
It also includes Jack Transport support and the ability to
render jack projects.

%files -n catia
%{_bindir}/catia
%{_datadir}/cadence/src/catia.py*
%{_datadir}/cadence/src/ui_catia.py*

%{_datadir}/applications/catia.desktop
%{_datadir}/icons/hicolor/*/apps/catia.*

#--------------------------------------------------------------------
%package -n claudia
Summary:        Set of tools useful for audio production
Requires:       cadence-tools = %{version}-%{release}
Requires:       python(abi) = %{python3_version}
Requires:       python3-qt5-opengl
Recommends:     a2jmidid

%description -n claudia
Claudia is a Graphical User Interface to LADISH.
It has more features than gladish, including Jack Transport,
Configurable Canvas, App Templates, Render projects
(realtime or freewheel mode).


%files -n claudia
%{_bindir}/claudia
%{_bindir}/claudia-launcher
%{_datadir}/cadence/src/claudia.py*
%{_datadir}/cadence/src/claudia_database.py*
%{_datadir}/cadence/src/claudia_launcher.py*
%{_datadir}/cadence/src/ui_claudia.py*
%{_datadir}/cadence/src/ui_claudia_*.py*

%{_datadir}/cadence/icons/
%{_datadir}/cadence/templates/

%{_datadir}/applications/claudia*.desktop
%{_datadir}/icons/hicolor/*/apps/claudia*


%prep
%setup -q -n Cadence-%{version}
find . -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
find . -name '*.py' | xargs sed -i '1s|^#!/usr/bin/env python3|#!%{__python3}|'
rm -R data/unity/
%autopatch -p1

# Fix error: Empty %%files file debugsourcefiles.list
sed -i "s|-O0 -g|%{optflags}|" c++/Makefile.mk

%build
%set_build_flags
%make_build SKIP_STRIPPING=true \
            DEBUG=true \
            BASE_FLAGS=


%install
%make_install PREFIX=%{_prefix}
