%define ename   cups-of-caffeine
%define uname   cups_of_caffeine

Name:           caffeine
Version:        2.9.10
Release:        %mkrel 3
Summary:        Utility to inhibit screensaver and sleep modes
License:        GPLv3+ and LGPLv3+
Group:          Graphics/Utilities
Url:            https://launchpad.net/caffeine
Source0:        https://launchpad.net/ubuntu/+archive/primary/+sourcefiles/caffeine/%{version}-1/%{name}_%{version}.orig.tar.gz
Patch0:         caffeine-2.4.1.498-mga-desktop-files.patch
Patch1:         caffeine-fix-flat-layout.spec

# For typelib() Requires
BuildRequires:  pyproject-rpm-macros
BuildRequires:  gobject-introspection
BuildRequires:  pkgconfig(python3)

Requires:       python3-xlib
Requires:       python3-pkg-resources
Requires:       python3-pyxdg
Requires:       python3-dbus
Requires:       python3-gobject

BuildArch:      noarch

%description
Caffeine is a status bar application able to temporarily prevent the
activation of both the screensaver and the "sleep" powersaving mode.

%prep
%setup -q -n %{ename}-%{version}
%autopatch -p1

%build
%pyproject_wheel

%install
%pyproject_install
# we don't need ubuntu themes
rm -r %{buildroot}%{_datadir}/icons/ubuntu*
rm -rf %{buildroot}/usr/{VERSION,__pycache__/,compile_translations.py}
mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
mv %{buildroot}%{python3_sitelib}/etc/xdg/autostart/caffeine.desktop %{buildroot}%{_sysconfdir}/xdg/autostart/caffeine.desktop
%find_lang %{name}-indicator

%files -f %{name}-indicator.lang
%doc README.md
%{_bindir}/*
%{python3_sitelib}/%{uname}-%{version}.dist-info
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/icons/hicolor/*/status/%{name}-*.*
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/*.1*
%{_datadir}/caffeine-indicator/glade/GUI.glade
%{_sysconfdir}/xdg/autostart/caffeine.desktop
