%define _exclude_files_from_autoprov ^%{_datadir}/cairo-dock/themes/.*$
%define committag a77d61b70fb060d2dbd9b7615d90a77295b36600
%define gitdate   20250308

Summary:	A light and eye-candy dock to launch your programs easily
Name:		cairo-dock
Version:	3.5.99.rc2
Release:	%mkrel git%{gitdate}.1
License:	GPLv3+
Group:		Graphical desktop/Other
URL:		https://glx-dock.org/
# Source:		https://github.com/Cairo-Dock/cairo-dock-core/archive/%%{version}/%%{name}-%%{version}.tar.gz
Source:		https://github.com/Cairo-Dock/cairo-dock-core/archive/%{committag}.tar.gz
Patch0:		0001-cairo-dock-3.99-link.patch
Patch1:		cairo-dock-3.5.1-fix-svg-iconsdir.patch
Patch2:		0001-cairo-dock-3.99-fix-rpath.patch
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(dbus-python)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtk-layer-shell-0)
BuildRequires:	pkgconfig(json-c)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(xcomposite)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	intltool
BuildRequires:	imagemagick
BuildRequires:	cmake
Requires:	python3-dbus
Recommends:	cairo-dock-plugins = %version
Recommends:	cairo-dock-themes

%description
cairo-dock uses cairo to render nice graphics, and Glitz to use hardware
acceleration. It's fully configurable and can be a taskbar too. You can
easily plug applets into it.

%files -f %{name}.lang
%{_bindir}/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libcd-Help.so
%{_datadir}/%name/
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_mandir}/man1/cairo-dock.1.*

#---------------------------------------------------------------------

%define major   3
%define libname %mklibname gldi %{major}

%package -n %libname
Summary:	Library files for cairo-dock
Group:		System/Libraries

%description -n %libname
cairo-dock uses cairo to render nice graphics, and Glitz to use hardware
acceleration. It's fully configurable and can be a taskbar too. You can
easily plug applets into it.

This package provides the libraries for cairo-dock functions.

%files  -n %libname
%{_libdir}/libgldi.so.%{major}{,.*}

#---------------------------------------------------------------------

%define devname %mklibname gldi -d

%package -n %{devname}
Summary:	Development files for cairo-dock
Group:		Development/Other
Requires:	%name = %version
Requires:	%libname = %version
Provides:	%name-devel = %version
Obsoletes:	%name-devel < 3.5.0-2

%description -n %{devname}
cairo-dock uses cairo to render nice graphics, and Glitz to use hardware
acceleration. It's fully configurable and can be a taskbar too. You can
easily plug applets into it.

This package provides the include files and library for cairo-dock functions.

%files -n %{devname}
%{_includedir}/%name/
%{_userunitdir}/%{name}.service
%{_libdir}/libgldi.so
%{_libdir}/pkgconfig/*.pc

#---------------------------------------------------------------------
%prep
%autosetup -p1 -n %name-core-%{?committag:%committag}%{?!committag:%{version}}

%build
%cmake -DCMAKE_INSTALL_LIBDIR=%{_lib}
%cmake_build

%install
%cmake_install

%{find_lang} %{name}
