%define lib_major        2
%define libname          %mklibname cairo %{lib_major}
%define libnamedev       %mklibname cairo -d

%bcond_without doc

Summary:	Cairo - multi-platform 2D graphics library
Name:		cairo
Version:	1.18.4
Release:	%mkrel 1
License:	BSD
Group:		System/Libraries
URL:		https://www.cairographics.org/
Source0:	https://cairographics.org/releases/%{name}-%{version}.tar.xz
Source1:	https://cairographics.org/releases/%{name}-%{version}.tar.xz.sha256sum

BuildRequires:	meson
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(pixman-1)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(lzo2)

%if %{with doc}
BuildRequires:	gtk-doc
%endif

%description
Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

Cairo exports a stateful rendering API similar in spirit to the path
construction, text, and painting operators of PostScript, (with the
significant addition of translucence in the imaging model). When
complete, the API is intended to support the complete imaging model of
PDF 1.4.

Cairo relies on the Xc library for backend rendering. Xc provides an
abstract interface for rendering to multiple target types. As of this
writing, Xc allows Cairo to target X drawables as well as generic
image buffers. Future backends such as PostScript, PDF, and perhaps
OpenGL are currently being planned.

%package -n %{libname}
Summary:	Cairo - multi-platform 2D graphics library
Group:		System/Libraries
Provides:	cairo = %{version}-%{release}

%description -n %{libname}
Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

Cairo exports a stateful rendering API similar in spirit to the path
construction, text, and painting operators of PostScript, (with the
significant addition of translucence in the imaging model). When
complete, the API is intended to support the complete imaging model of
PDF 1.4.

Cairo relies on the Xc library for backend rendering. Xc provides an
abstract interface for rendering to multiple target types. As of this
writing, Xc allows Cairo to target X drawables as well as generic
image buffers. Future backends such as PostScript, PDF, and perhaps
OpenGL are currently being planned.

%package -n %{libnamedev}
Summary:	Development files for Cairo library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}cairo-static-devel < 1.17.8-1

%description -n %{libnamedev}
Development files for Cairo library.

%prep
%autosetup -p1

%build
%meson \
	-Dfreetype=enabled \
	-Dfontconfig=enabled \
	-Dglib=enabled \
%if %{with doc}
	-Dgtk_doc=true \
%endif
	-Dspectre=disabled \
	-Dsymbol-lookup=disabled \
	-Dtee=enabled \
	-Dtests=disabled \
	-Dxcb=enabled \
	-Dxlib=enabled \
%meson_build

%install
%meson_install

%files -n %{libname}
%doc AUTHORS BUGS NEWS README.md
%license COPYING COPYING-LGPL-2.1 COPYING-MPL-1.1
%{_libdir}/libcairo.so.%{lib_major}{,.*}
%{_libdir}/libcairo-gobject.so.%{lib_major}{,.*}
%{_libdir}/libcairo-script-interpreter.so.%{lib_major}{,.*}

%files -n %{libnamedev}
%doc BUGS
%doc %{_datadir}/gtk-doc/html/cairo/
%{_bindir}/cairo-trace
%{_libdir}/cairo/
%{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
