%define api		1.16
%define major		1
%define libname		%mklibname %{name} %{api} %{major}
%define libnamedev	%mklibname %{name} %{api} -d

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

# “Let mm-common-get copy some files to untracked/”, i.e., replace scripts from
# the tarball with those from mm-common. This is (potentially) required if
# building an autotools-generated tarball with meson, or vice versa.
%bcond_without maintainer_mode

Summary:	C++ API for the cairo multi-platform 2D graphics library
Name:		cairomm
Version:	1.18.0
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
Url:		https://www.cairographics.org/cairomm
Source0:	https://www.cairographics.org/releases/%{name}-%{version}.tar.xz
#Source0:	https://download.gnome.org/sources/%%{name}/%%{url_ver}/%%{name}-%%{version}.tar.xz
BuildRequires:	pkgconfig(cairo) >= 1.10.0
BuildRequires:	pkgconfig(sigc++-3.0)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:	pkgconfig(mm-common-libstdc++)
BuildRequires:	doxygen
BuildRequires:	meson
BuildRequires:	xsltproc

# For tests:
BuildRequires:	boost-devel

%description
This is a C++ API for the Cairo graphics library.

Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

%package -n %{libname}
Summary:	Cairomm - multi-platform 2D graphics library
Group:		System/Libraries

%description -n %{libname}
This is a C++ API for the Cairo graphics library.

Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

%package -n %{libnamedev}
Summary:	Development files for Cairomm library
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}%{api}-devel = %{version}-%{release}

%description -n %{libnamedev}
This is a C++ API for the Cairo graphics library.

Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

%prep
%autosetup -p1

%build
%meson \
  -Dmaintainer-mode=%{?with_maintainer_mode:true}%{?!with_maintainer_mode:false} \
  -Dbuild-documentation=true \
  -Dbuild-examples=false \
  -Dbuild-tests=true \
  -Dboost-shared=true \
  -Dwarnings=max
%meson_build

%install
%meson_install

%files -n %{libname}
%doc ChangeLog NEWS README.md
%license COPYING
%{_libdir}/libcairomm-%{api}.so.%{major}{,.*}

%files -n %{libnamedev}
%doc %{_datadir}/doc/cairomm-%{api}/
%{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%dir %{_libdir}/%{name}-%{api}/
%dir %{_libdir}/%{name}-%{api}/include
%{_libdir}/%{name}-%{api}/include/*.h
%{_datadir}/devhelp/books/%{name}-%{api}
