%define pkgname		cairomm

%define api		1.0
%define major		1
%define libname		%mklibname %{pkgname} %{api} %{major}
%define libnamedev	%mklibname %{pkgname} %{api} -d

Summary:	C++ API for the cairo multi-platform 2D graphics library
Name:		cairomm%{api}
Version:	1.14.5
Release:	%mkrel 1
Source0:	https://www.cairographics.org/releases/%{pkgname}-%{version}.tar.xz
License:	LGPLv2+
Group:		System/Libraries
Url:		https://www.cairographics.org/cairomm
BuildRequires:	pkgconfig(cairo) >= 1.10.0
BuildRequires:	pkgconfig(sigc++-2.0)
BuildRequires:	doxygen
BuildRequires:	meson

%description
This is a C++ API for the Cairo graphics library.

Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

%package -n %{libname}
Summary:	Cairomm - multi-platform 2D graphics library
Group:		System/Libraries

%description -n %{libname}
This is a C++ API for the Cairo graphics library.

Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

%package -n %{libnamedev}
Summary:	Development files for Cairomm library
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
This is a C++ API for the Cairo graphics library.

Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%meson
%meson_build

%install
%meson_install

%files -n %{libname}
%doc ChangeLog NEWS README.md
%license COPYING
%{_libdir}/libcairomm-%{api}.so.%{major}{,.*}

%files -n %{libnamedev}
%{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/%{pkgname}-%{api}/
