%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:       caja-actions
Version:    1.28.0
Release:    %mkrel 2
Group:      Graphical desktop/MATE
License:    GPLv2+ and LGPLv2+
Summary:    Caja extension for customizing the context menus

URL:        https://github.com/NiceandGently/caja-actions
Source0:    https://pub.mate-desktop.org/releases/%{url_ver}/caja-actions-%{version}.tar.xz

BuildRequires:    pkgconfig(libcaja-extension) >= %{url_ver}
BuildRequires:    pkgconfig(uuid)
BuildRequires:    pkgconfig(sm)
BuildRequires:    mate-common >= %{url_ver}
BuildRequires:    pkgconfig(libxml-2.0)
BuildRequires:    pkgconfig(ice)
BuildRequires:    pkgconfig(libgtop-2.0)
BuildRequires:    pkgconfig(gtk+-3.0)
BuildRequires:    pkgconfig(glib-2.0)
BuildRequires:    yelp-tools
BuildRequires:    itstool

Obsoletes:        caja-actions-docs < 1.28.0
Obsoletes:        %{_lib}caja-actions < 1.28.0
Obsoletes:        %{_lib}caja-actions-devel < 1.28.0

%description
Caja actions is an extension for Caja, the MATE file manager. It provides an
easy way to configure programs to be launch on files selected in Caja interface.

%prep
%autosetup -p1

%build
%configure \
    --disable-static
%make_build

%install
%make_install

# clean docs dirs
rm -f %{buildroot}%{_docdir}/%{name}/INSTALL
rm -f %{buildroot}%{_docdir}/%{name}/ChangeLog-2008
rm -f %{buildroot}%{_docdir}/%{name}/ChangeLog-2009
rm -f %{buildroot}%{_docdir}/%{name}/ChangeLog-2010
rm -f %{buildroot}%{_docdir}/%{name}/ChangeLog-2011
rm -f %{buildroot}%{_docdir}/%{name}/ChangeLog-2012
rm -f %{buildroot}%{_docdir}/%{name}/MAINTAINERS

# no devel pkg, yet
rm -rf %{buildroot}%{_includedir}/caja-actions/

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc %{_docdir}/caja-actions/
%{_bindir}/caja-actions-*
%{_libexecdir}/caja-actions/
%{_datadir}/caja-actions/
%{_datadir}/icons/hicolor/*/apps/caja-actions.*
%{_datadir}/applications/cact.desktop
%{_libdir}/caja-actions/
%{_libdir}/caja/extensions-2.0/libcaja-actions-menu.so
%{_libdir}/caja/extensions-2.0/libcaja-actions-tracker.so
