%define url_ver     %(echo %{version}|cut -d. -f1,2)

%define oname       mate-file-manager

%define major       1
%define gi_major    2.0
%define libname     %mklibname %{name}-extension %{major}
%define develname   %mklibname -d %{name}-extension
%define girname     %mklibname %{name}-gir %{gi_major}

%define have_packagekit 1

Name:    caja
Version: 1.28.0
Release: %mkrel 3
Summary: File manager for the MATE desktop environment
Group:   File tools
License: GPLv2+ and LGPLv2+
URL:     https://www.mate-desktop.org/
Source0: https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Source4: caja-ffmpegthumbnailer.thumbnailer
# gw from Fedora, fix crash on weird file infos
# https://bugzilla.gnome.org/show_bug.cgi?id=519743
Patch0:  nautilus-filetype-symlink-fix.patch
# (fc) add a search .desktop file (GNOME bug #350950) (SUSE)
Patch3:  nautilus-bgo350950-search-desktop.diff
# (gnome#674659)    places-sidebar: don't double unref GMount objects
Patch8:  mate-file-manager-1.6.2-double_unref_GMount_objects.patch

BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(gail-3.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: intltool
BuildRequires: pkgconfig(exempi-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(cairo-gobject)
BuildRequires: pkgconfig(libexif)
BuildRequires: pkgconfig(mate-desktop-2.0) >= %{url_ver}
BuildRequires: pkgconfig(pango)
BuildRequires: pkgconfig(libnotify)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(gmodule-2.0)
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(gtk-doc)

Requires: gvfs
# We need a seperate package for other MATE apps.
Requires: %{name}-schemas = %{version}-%{release}
Requires: mate-desktop-schemas >= %{url_ver}

Recommends: %{name}-extensions >= %{url_ver}

# Without these, caja can not connect to a secure network or WebDav
Recommends: glib-networking
Recommends: davfs2

# Without this caja could not show thumbnails for video files
Recommends: ffmpegthumbnailer

%description
Caja is the file manager and graphical shell for the MATE desktop,
that makes it easy to manage your files and the rest of your system.

It allows to browse directories on local and remote file systems,
preview files and launch applications associated with them.
It is also responsible for handling the icons on the MATE desktop.

%package -n %{libname}
Summary:  Libraries for Mate file manager
Group:    System/Libraries

%description -n %{libname}
Caja is a file manager for the MATE desktop environment.
This package contains libraries used by Caja.

%package -n %{girname}
Summary:   GObject Introspection interface description for %{name}
Group:     System/Libraries
Requires:  %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}

%package -n %{develname}
Summary:   Libraries and include files for developing caja components
Group:     Development/C
Requires:  %{libname} = %{version}-%{release}
Requires:  %{girname} = %{version}-%{release}
Provides:  %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package provides the necessary development libraries and include
files to allow you to develop caja components.

%package -n %{name}-schemas
Summary:   Gsettings schema files for %{name}
Group:     File tools
BuildArch: noarch

%description -n %{name}-schemas
This package provides caja gsettings schema files;
needed to run caja and various other MATE applications.

%prep
%autosetup -p1

%build
%configure \
        --disable-static \
        %if %{have_packagekit}
        --enable-packagekit \
        %else
        --disable-packagekit \
        %endif
        --disable-schemas-compile \
        --disable-update-mimedb \
        --disable-icon-update
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/thumbnailers
install -m644 %{_sourcedir}/caja-ffmpegthumbnailer.thumbnailer %{buildroot}%{_datadir}/thumbnailers/caja-ffmpegthumbnailer.thumbnailer

mkdir -p %{buildroot}%{_localstatedir}/lib/mate/desktop \
    %{buildroot}%{_datadir}/%{name}/default-desktop \
    %{buildroot}%{_libdir}/%{name}/extensions-2.0

%find_lang %{name}

%files -f %{name}.lang
%doc README NEWS HACKING AUTHORS
%dir %{_localstatedir}/lib/mate/desktop
%dir %{_localstatedir}/lib/mate/
%{_bindir}/caja
%{_bindir}/caja-autorun-software
%{_bindir}/caja-connect-server
%{_bindir}/caja-file-management-properties
%{_datadir}/caja/
%{_datadir}/dbus-1/services/org.mate.freedesktop.FileManager1.service
%{_datadir}/applications/*
%{_datadir}/metainfo/caja.appdata.xml
%{_datadir}/pixmaps/%{name}/
%{_datadir}/mime/packages/caja.xml
%{_datadir}/thumbnailers/caja-ffmpegthumbnailer.thumbnailer
%{_datadir}/icons/hicolor/*/emblems/emblem-note.png
%{_mandir}/man1/caja-autorun-software.1*
%{_mandir}/man1/caja-connect-server.1*
%{_mandir}/man1/caja-file-management-properties.1*
%{_mandir}/man1/caja.1*
%dir %{_libdir}/caja
%dir %{_libdir}/caja/extensions-2.0

%files -n %{libname}
%{_libdir}/libcaja-extension.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Caja-%{gi_major}.typelib

%files -n %{develname}
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/libcaja-extension/
%{_includedir}/*
%{_libdir}/libcaja-extension.so
%{_libdir}/pkgconfig/libcaja-extension.pc
%{_datadir}/gir-1.0/Caja-%{gi_major}.gir

%files -n %{name}-schemas
%{_datadir}/glib-2.0/schemas/org.mate.*.gschema.xml
