#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        This lib provides calendar support
Name:           calendarsupport
Epoch:          2
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# FIXME missing 32bit support for akonadi-calendar
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6UiTools)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Codecs)
BuildRequires:  cmake(KF6CalendarCore)
BuildRequires:  cmake(KF6Holidays)

BuildRequires:  cmake(KPim6Akonadi) >= 6.2.80
BuildRequires:  cmake(KPim6Mime)
BuildRequires:  cmake(KPim6CalendarUtils)
BuildRequires:  cmake(KPim6IdentityManagementCore)
BuildRequires:  cmake(KPim6AkonadiCalendar) >= 6.2.80
BuildRequires:  cmake(KF6TextCustomEditor)


%description
This lib provides calendar support.

%files -f %name.lang
%_kf6_categoriesdir/calendarsupport.categories
%_kf6_categoriesdir/calendarsupport.renamecategories

#--------------------------------------------------------------------

%define kpimcalendarsupport_major 6
%define libkpimcalendarsupport %mklibname kpim6calendarsupport %{kpimcalendarsupport_major}

%package -n %libkpimcalendarsupport
Summary:      This lib provides calendar support
Group:        System/Libraries

Requires:     %name = %epoch:%version

%description -n %libkpimcalendarsupport
This lib provides calendar support.

%files -n %libkpimcalendarsupport
%_kf6_libdir/libKPim6CalendarSupport.so.%{kpimcalendarsupport_major}{,.*}

#--------------------------------------------------------------------

%define calendarsupport_devel %mklibname kfpim6calendarsupport -d

%package -n %calendarsupport_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkpimcalendarsupport = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %calendarsupport_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %calendarsupport_devel
%_includedir/KPim6/CalendarSupport/
%_kf6_libdir/libKPim6CalendarSupport.so
%_kf6_libdir/cmake/KPim6CalendarSupport/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name
