%define _disable_ld_no_undefined 1

%bcond_with test

Name:          calibre
Version:       8.2.1
Release:       %mkrel 1
Summary:       E-book converter and library management
Group:         Office/Utilities
License:       GPLv3
URL:           https://calibre-ebook.com/
Source0:       https://download.calibre-ebook.com/%{version}/calibre-%{version}.tar.xz
Source1:       https://github.com/LibreOffice/dictionaries/archive/master/hyphenation-dictionaries.tar.gz
Source2:       https://github.com/mathjax/MathJax/archive/3.1.4/mathjax-3.1.4.tar.gz
# Backup of https://salsa.debian.org/iso-codes-team/iso-codes/-/archive/main/iso-codes-main.zip
# Currently not used, but let's keep it here just in case
Source3:       iso-codes-main.zip
Source5:       %{name}-mount-helper
# Add scripts.calibre_msgpack from version 6.11
#Source6:       scripts.calibre_msgpack
Source7:       user-agent-data.json

# don't check for new upstream version (that's what packagers do)
# otherwise the plugins are safe to be updated in ~/.config/calibre/plugins/
Patch0:        calibre-no-update.patch
# Do not display multiple apps in desktop files, only the main app
# This is so gnome-software only 'sees' calibre once.
Patch1:        calibre-nodisplay.patch
Patch2:        calibre-glue_open_const_char.patch
Patch3:        calibre-linking.patch

#
# Security patches
# P100 -> ...
#

# Qt Webengine no longer supports 32-bit architectures
ExclusiveArch: aarch64 x86_64

# Kovid keeps updating the requirements
# Here is an updated list
# https://github.com/kovidgoyal/build-calibre/blob/master/scripts/sources.json
BuildRequires:  python3
BuildRequires:  python3dist(sip)
BuildRequires:  python3-pyqt6-sip
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sip) >= 6
BuildRequires:  python3dist(pyqt-builder)
BuildRequires:  python3dist(pychm)
BuildRequires:  python3dist(pycryptodome)
BuildRequires:  python3dist(sgmllib3k)
BuildRequires:  python3-speechd
BuildRequires:  python3dist(jeepney)
BuildRequires:  python3-qt6-devel
BuildRequires:  python3-qt6-webenginecore
BuildRequires:  python3-qt6-webenginewidgets
BuildRequires:  python3-qt6-widgets
BuildRequires:  pkgconfig(libpodofo)
BuildRequires:  desktop-file-utils
BuildRequires:  xdg-utils
BuildRequires:  chmlib-devel
BuildRequires:  python3dist(cssutils)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(icu-i18n)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libmspack)
BuildRequires:  pkgconfig(libmtp)
BuildRequires:  pkgconfig(libwmf)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6WebEngineWidgets)
BuildRequires:  qt6-qtimageformats-devel
BuildRequires:  pkgconfig(poppler-qt6) >= 0.12
BuildRequires:  pkgconfig(poppler-glib)
BuildRequires:  web-assets-devel
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(openssl)
# calibre installer is so smart that it check for the presence of the
# directory (and then installs in the wrong place)
BuildRequires:  bash-completion
BuildRequires:  python3dist(xxhash)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(libinput)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  python3dist(apsw)
BuildRequires:  python3dist(mechanize)
BuildRequires:  python3dist(lxml)
BuildRequires:  python3dist(python-dateutil)
BuildRequires:  python3dist(pillow)
BuildRequires:  python3dist(css-parser)
BuildRequires:  python3dist(feedparser)
BuildRequires:  python3dist(netifaces)
BuildRequires:  python3dist(beautifulsoup4)
BuildRequires:  python3dist(psutil)
BuildRequires:  python3dist(pygments)
BuildRequires:  python3dist(soupsieve)
BuildRequires:  python3dist(msgpack)
BuildRequires:  python3dist(regex)
BuildRequires:  python3dist(html5-parser) >= 0.4.8
BuildRequires:  python3dist(html2text)
BuildRequires:  python3dist(zeroconf)
BuildRequires:  python3dist(markdown) >= 3.0
BuildRequires:  python3dist(sphinx)
BuildRequires:  pkgconfig(appstream-glib)
BuildRequires:  libstemmer-devel
BuildRequires:  html2text
BuildRequires:  pkgconfig(hunspell)
BuildRequires:  pkgconfig(ImageMagick)
# Required for tests
BuildRequires:  fonts-ttf-liberation
BuildRequires:  locales-en
#BuildRequires:  jpeg-progs
#BuildRequires:  optipng
#BuildRequires:  jxrlib-devel
BuildRequires:  hyphen-devel
BuildRequires:  pkgconfig(uchardet)
BuildRequires:  chrpath
BuildRequires:  python3dist(webencodings)
BuildRequires:  python3dist(html5lib)
BuildRequires:  python3dist(ifaddr)
BuildRequires:  python3dist(texttable)
BuildRequires:  python3dist(brotli)
BuildRequires:  python3dist(toml)
BuildRequires:  python3dist(pyparsing)
BuildRequires:  python3dist(ply)
BuildRequires:  python3dist(packaging)
BuildRequires:  pkgconfig(iso-codes)
# FIXME use mathjax system
#BuildRequires:  mathjax

%{?pyqt6_requires}

Requires:       python3-dbus
Requires:       python3-qt6
Requires:       python3-qt6-core
Requires:       python3-qt6-webenginecore
Requires:       python3-qt6-webenginewidgets
Requires:       python3dist(css-parser)
Requires:       python3dist(odfpy)
Requires:       python3dist(lxml)
Requires:       python3dist(pillow)
Requires:       python3dist(mechanize)
Requires:       python3dist(python-dateutil)
Requires:       python3dist(beautifulsoup4)
Requires:       poppler
# Require the packages of the files which are symlinked by calibre
Requires:       fonts-ttf-liberation
Requires:       python3dist(netifaces)
Requires:       python3dist(dnspython)
Requires:       python3dist(apsw)
# FIXME use mathjax system
#Requires:       mathjax >= 3
Requires:       python3dist(psutil)
Requires:       python3dist(pygments)
Requires:       optipng
Requires:       python3dist(msgpack)
Requires:       python3dist(regex)
Requires:       python3dist(html5-parser)
Requires:       python3dist(six)
Requires:       python3dist(zeroconf)
Requires:       python3dist(markdown)
Requires:       python3dist(feedparser)
Requires:       python3dist(soupsieve)
Requires:       jpeg-progs
Requires:       python3dist(jeepney)
Requires:       python3dist(xxhash)

%description
Calibre is meant to be a complete e-library solution. It includes library
management, format conversion, news feeds to ebook conversion as well as
e-book reader sync features.

Calibre is primarily a ebook cataloging program. It manages your ebook
collection for you. It is designed around the concept of the logical book,
i.e. a single entry in the database that may correspond to ebooks in several
formats. It also supports conversion to and from a dozen different ebook
formats.

Supported input formats are: MOBI, LIT, PRC, EPUB, CHM, ODT, HTML, CBR, CBZ,
RTF, TXT, PDF and LRS.

%prep
%autosetup -p1

# remove redundant / non-free fonts
rm -rf resources/fonts/*/

# dos2unix newline conversion
sed -i -e 's/\r//' src/calibre/web/feeds/recipes/*

# fix the location of liberation default font
sed -i -e "s:P('fonts/liberation/Liberation:('%{_datadir}/fonts/TTF/liberation/Liberation:" \
  src/calibre/utils/magick/draw.py
sed -i -e "s:P('fonts/liberation/Liberation:('%{_datadir}/fonts/TTF/liberation/Liberation:" \
  src/calibre/library/catalogs/epub_mobi_builder.py
sed -i -e "s:P('fonts/liberation/Liberation:('%{_datadir}/fonts/TTF/liberation/Liberation:" \
  src/calibre/ebooks/oeb/polish/tests/base.py
sed -i -e "s:P('fonts/liberation/Liberation:('%{_datadir}/fonts/TTF/liberation/Liberation:" \
  src/calibre/ebooks/__init__.py
sed -i -e "s:P('fonts/liberation/Liberation:('%{_datadir}/fonts/TTF/liberation/Liberation:" \
  src/calibre/web/feeds/news.py
sed -i -e "s:P('fonts/liberation/Liberation:('%{_datadir}/fonts/TTF/liberation/Liberation:" \
  recipes/*_ke.recipe

# remove shebangs
sed -i -e '/^#!\//, 1d' src/calibre/*/*/*/*/*.py
sed -i -e '/^#!\//, 1d' src/calibre/*/*/*/*.py
sed -i -e '/^#!\//, 1d' src/calibre/*/*/*.py
sed -i -e '/^#![ ]*\//, 1d' src/calibre/*/*.py
sed -i -e '/^#!\//, 1d' src/calibre/*.py
sed -i -e '/^#!\//, 1d' src/css_selectors/*.py
sed -i -e '/^#!\//, 1d' src/polyglot/*.py
sed -i -e '/^#!\//, 1d' src/templite/*.py
sed -i -e '/^#!\//, 1d' src/tinycss/*/*.py
sed -i -e '/^#!\//, 1d' src/tinycss/*.py
sed -i -e '/^#!\//, 1d' resources/default_tweaks.py

# libdir
sed -i -e 's,/usr/lib,%{_libdir},g' setup/build_environment.py

chmod -x src/calibre/*/*/*/*.py
chmod -x src/calibre/*/*/*.py
chmod -x src/calibre/*/*.py
chmod -x src/calibre/*.py
chmod -x recipes/*.recipe

# use system mspack (mga#15218)
rm -f src/calibre/utils/lzx/mspack.h
sed -i 's| calibre/utils/lzx/mspack.h||' setup/extensions.json

# Let's see if this works...
#cp %%{S:6} resources/
cp %{S:7} resources/

%build
tar xf %{S:1}
tar xf %{S:2}
# The setup.py file doesn't like the --executable option set with
# %%py3_build. That's why we use this operation.
export OVERRIDE_CFLAGS="%{optflags}"
PODOFO_LIB_DIR=%{_libdir} \
CALIBRE_PY3_PORT=1 \
%{python3} setup.py build
#{__python3} setup.py iso639
#{__python3} setup.py iso3166
#{__python3} setup.py translations
%{python3} setup.py gui
#{__python3} setup.py resources \
#	--path-to-liberation_fonts %%{_datadir}/fonts/TTF/liberation \
#	--system-liberation_fonts \
#	--path-to-hyphenation `pwd`/dictionaries-master \
#	--path-to-mathjax `pwd`/MathJax-3.1.4
#{__python3} setup.py man_pages

chrpath -d src/calibre/plugins/progress_indicator.so
chrpath -d src/calibre/plugins/rcc_backend.so
chrpath -d src/calibre/plugins/imageops.so
chrpath -d src/calibre/plugins/pictureflow.so

%install
mkdir -p %{buildroot}%{_datadir}

# create directories for xdg-utils
mkdir -p %{buildroot}%{_datadir}/icons
mkdir -p %{buildroot}%{_datadir}/icons/hicolor
mkdir -p %{buildroot}%{_datadir}/packages
mkdir -p %{buildroot}%{_datadir}/mime
mkdir -p %{buildroot}%{_datadir}/mime/packages
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/desktop-directories
mkdir -p %{buildroot}%{_mandir}

# create directory for calibre environment module
# the install script assumes it's there.
mkdir -p %{buildroot}%{python3_sitearch}

# create directory for completion files, so calibre knows where
# to install them
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions
mkdir -p %{buildroot}%{_datadir}/zsh/site-functions

XDG_DATA_DIRS="%{buildroot}%{_datadir}" \
XDG_UTILS_INSTALL_MODE="system" \
LIBPATH="%{_libdir}" \
CALIBRE_PY3_PORT=1 \
LANG="en_US.UTF-8" \
%{python3} setup.py install \
            --root=%{buildroot}%{_prefix} \
            --prefix=%{_prefix} \
            --libdir=%{_libdir} \
	    --staging-root=%{buildroot}%{_prefix} \
            --staging-libdir=%{buildroot}%{_libdir} \
	    --staging-sharedir=%{buildroot}%{_datadir}

# remove shebang from init_calibre.py here because
# it just got spawned by the install script
sed -i -e '/^#!\//, 1d' %{buildroot}%{python3_sitearch}/init_calibre.py

# icons
mkdir -p %{buildroot}%{_datadir}/pixmaps/
cp -p resources/images/library.png        \
    %{buildroot}%{_datadir}/pixmaps/calibre-gui.png
cp -p resources/images/viewer.png        \
    %{buildroot}%{_datadir}/pixmaps/calibre-viewer.png
cp -p resources/images/tweak.png        \
    %{buildroot}%{_datadir}/pixmaps/calibre-ebook-edit.png

# every file is empty here
find %{buildroot}%{_datadir}/mime -maxdepth 1 -type f|xargs rm -f

# the portable batch (>=0.8.5) is not needed
rm -f %{buildroot}%{_bindir}/calibre-portable.bat

# packages aren't allowed to register mimetypes like this
rm -f %{buildroot}%{_datadir}/applications/defaults.list
rm -f %{buildroot}%{_datadir}/applications/mimeinfo.cache
rm -f %{buildroot}%{_datadir}/mime/application/*.xml
rm -f %{buildroot}%{_datadir}/mime/text/*.xml

# mimetype icon for lrf
rm -rf %{buildroot}%{_datadir}/icons/hicolor/128x128
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/mimetypes
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
cp -p resources/images/mimetypes/lrf.png \
      %{buildroot}%{_datadir}/icons/hicolor/scalable/mimetypes/application-x-sony-bbeb.png
cp -p resources/images/viewer.png \
      %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/calibre-viewer.png

# these are provided as separate packages
rm -rf %{buildroot}%{_libdir}/%{name}/{odf,cherrypy,pyPdf,encutils,css-parser}
rm -rf %{buildroot}%{_libdir}/%{name}/cal/utils/genshi
rm -rf %{buildroot}%{_libdir}/%{name}/cal/trac

# link to system fonts after we have deleted the non-free ones
# http://oldbugs.calibre-ebook.com/ticket/3832
mkdir -p %{buildroot}%{_datadir}/%{name}/fonts/prs500
ln -s %{_datadir}/fonts/TTF/liberation/LiberationSans-Regular.ttf \
      %{buildroot}%{_datadir}/%{name}/fonts/prs500/tt0003m_.ttf
ln -s %{_datadir}/fonts/TTF/liberation/LiberationSerif-Regular.ttf \
      %{buildroot}%{_datadir}/%{name}/fonts/prs500/tt0011m_.ttf
ln -s %{_datadir}/fonts/TTF/liberation/LiberationMono-Regular.ttf \
      %{buildroot}%{_datadir}/%{name}/fonts/prs500/tt0419m_.ttf

# localization has changed since calibre-0.8.5
# locale.zip is treated internally at runtime
# so the traditional locale fixes are moot.
# locales should still be looked for in the proper place
# but under the new localization zip-based schema
sed -i -e 's:localization/locale.zip:%{_datadir}/%{name}/localization/locales.zip:' %{buildroot}%{_libdir}/%{name}/%{name}/utils/localization.py

rm -f %{buildroot}%{_bindir}/%{name}-uninstall

install -m 0755 %{SOURCE5} %{buildroot}%{_bindir}/

# translated man-pages
cp -a man-pages/* %{buildroot}%{_mandir}/

%find_lang %{name} --all-name --with-man

%if %{with test}
%check
# skip failing tests:
# - unrar (missing dependencies)
# - bonjour (problems in mock)
# - 7z (missing dependencies)
# - qt (fails on 32-bit architectures only)
# - test_searching (python3 porting issue?)
CALIBRE_PY3_PORT=1 \
%{__python3} setup.py test \
    --exclude-test-name unrar \
    --exclude-test-name bonjour \
    --exclude-test-name 7z \
    --exclude-test-name test_searching \
    --exclude-test-name test_html2text_behavior \
%ifarch %{ix86} armv7hl x86_64
    --exclude-test-name qt
%endif
%endif

%files -f %{name}.lang
%license LICENSE
%doc Changelog.txt COPYRIGHT README.md
%{_bindir}/calibre
%{_bindir}/calibre-complete
%{_bindir}/calibre-customize
%{_bindir}/calibre-debug
%{_bindir}/calibre-parallel
%{_bindir}/calibre-server
%{_bindir}/calibre-smtp
%{_bindir}/calibre-mount-helper
%{_bindir}/calibredb
%{_bindir}/ebook-convert
%{_bindir}/ebook-device
%{_bindir}/ebook-edit
%{_bindir}/ebook-meta
%{_bindir}/ebook-polish
%{_bindir}/ebook-viewer
%{_bindir}/fetch-ebook-metadata
%{_bindir}/lrf2lrs
%{_bindir}/lrfviewer
%{_bindir}/lrs2lrf
%{_bindir}/markdown-calibre
%{_bindir}/web2disk
%{_datadir}/bash-completion/completions/*
%{_datadir}/zsh/site-functions/*
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/mime/packages/*.xml
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/icons/hicolor/*/mimetypes/*
%{_metainfodir}/%{name}-*.metainfo.xml
%{_mandir}/man1/*.1*
%pycached %{python3_sitearch}/init_calibre.py
