#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define kf6_min_version 5.2.40

%define rel 1

Name:           calindori
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Calendar application for Plasma Mobile
Group:          Office/Organizer
License:        GPLv3+ and LGPLv3+ and BSD and CC0
URL:            https://apps.kde.org/calindori/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt63DRender)

BuildRequires:  cmake(KF6Config) >= %{kf6_min_version}
BuildRequires:  cmake(KF6Kirigami) >= %{kf6_min_version}
BuildRequires:  cmake(KF6I18n) >= %{kf6_min_version}
BuildRequires:  cmake(KF6CoreAddons) >= %{kf6_min_version}
BuildRequires:  cmake(KF6CalendarCore) >= %{kf6_min_version}
BuildRequires:  cmake(KF6Notifications) >= %{kf6_min_version}
BuildRequires:  cmake(KF6People) >= %{kf6_min_version}
BuildRequires:  cmake(KF6DBusAddons)

Recommends:     qt6-qtwayland
Requires:       kirigami

%description
Calindori is a touch friendly calendar application. It has been
designed for mobile devices but it can also run on desktop
environments. Users of Calindori are able to check previous and
future dates and manage tasks and events.

When executing the application for the first time, a new calendar
file is created that follows the ical standard. Alternatively,
users may create additional calendars or import existing ones.

Features:
  * Agenda
  * Events
  * Todos
  * Multiple calendars
  * Import calendar

%files -f %{name}-full.lang
%license LICENSES/*
%{_kf6_bindir}/%{name}
%{_kf6_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_datadir}/applications/org.kde.%{name}.desktop

%{_kf6_bindir}/calindac
%{_kf6_knotificationsdir}/calindac.notifyrc
%{_kf6_sysconfdir}/xdg/autostart/org.kde.calindac.desktop
%{_kf6_datadir}/dbus-1/services/org.kde.calindac.service

%prep
%autosetup

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}
%find_lang calindac
cat %{name}.lang calindac.lang > %{name}-full.lang
