# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define _mobile     0
%define _xbase      0
%define _postgresql 1

%define rel 1

Name:           calligra
Epoch:          13
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Set of office applications for KDE
Group:          Office/Suite
License:        GPLv2+ and GFDL and LGPLv2
URL:            https://calligra.org/
Source:         https://download.kde.org/stable/calligra/%{name}-%{version}.tar.xz
## upstream patches

## mga patches

## Gentoo patches

## upstream patches (backport from master branch)

# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6OpenGL)
BuildRequires:  cmake(Qt6QuickWidgets)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6WebEngineWidgets)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6ItemViews)
BuildRequires:  cmake(KF6JobWidgets)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6NotifyConfig)
BuildRequires:  cmake(KF6Sonnet)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6DBusAddons)

BuildRequires:  cmake(Qt6Keychain)
BuildRequires:  cmake(Phonon4Qt6)
BuildRequires:  cmake(KF6CalendarCore)
BuildRequires:  cmake(KF6Contacts)
BuildRequires:  cmake(KPim6Akonadi)
BuildRequires:  cmake(KChart6) >= 3.0
BuildRequires:  cmake(Qca-qt6)
BuildRequires:  cmake(Okular6)

BuildRequires:  cmake(Marble)

%ifnarch %{arm} aarch64
BuildRequires:  cmake(Vc)
%endif

BuildRequires:  boost-devel
BuildRequires:  git
BuildRequires:  pstoedit
BuildRequires:  spnav-devel

BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(OpenEXR)
BuildRequires:  pkgconfig(gsl)
BuildRequires:  pkgconfig(eigen3)
BuildRequires:  pkgconfig(libgit2)
BuildRequires:  pkgconfig(librevenge-0.0)
BuildRequires:  pkgconfig(librevenge-stream-0.0)
BuildRequires:  pkgconfig(libodfgen-0.1)
BuildRequires:  pkgconfig(libwpd-0.10)
BuildRequires:  pkgconfig(libwpg-0.3)
BuildRequires:  pkgconfig(libwps-0.4)
BuildRequires:  pkgconfig(libvisio-0.1)
BuildRequires:  pkgconfig(libetonyek-0.1)
BuildRequires:  pkgconfig(pstoedit)
BuildRequires:  pkgconfig(poppler-qt6)

%if %_postgresql
BuildRequires:  pkgconfig(libpqxx)
%endif
%if %_xbase
BuildRequires:  xbase-devel
%endif

Recommends:     %{name}-words
Recommends:     %{name}-sheets
Recommends:     karbon
Recommends:     %{name}-stage
Recommends:     kexi
Recommends:     braindump
# NOTE: reenable if/when again available
#Recommends:     flow
#Recommends:     %%{name}-gemini

%description
Office applications for the K Desktop Environment.

Calligra contains:
   * Words: word processor
   * Sheets: spreadsheet
   * Stage: presentations
   * Flow: diagram generator
   * Some filters (Excel 97, Winword 97/2000, etc.)
   * karbon: the scalable vector drawing application for KDE.
   * kexi: an integrated data management application.
   * Gemini: Writing and Presenting at Home and on the Go.

%files

#--------------------------------------------------------------------

%package -n     calligra-handbook
Summary:        Calligra Handbook
Group:          Documentation
BuildArch:      noarch

%description -n calligra-handbook
This package provides Calligra Handbook.

%files -n calligra-handbook
%doc %{_kf6_docdir}/HTML/*/calligra/
# includes en/ docs, rename to -doc instead? -- rdieter
%{_kf6_applicationsdir}/calligra.desktop

#------------------------------------------------------------------------------

%package        core
Group:          Office/Utilities
Summary:        Set of office applications for KDE
Requires:       qca-qt6

%description    core
Common files for Calligra.

%files core -f calligra.lang
%_kf6_bindir/calligralauncher
%_kf6_bindir/calligraconverter
%_kf6_datadir/mime/packages/calligra_svm.xml
%dir %_kf6_datadir/calligra/
%_kf6_datadir/calligra/autocorrect
%_kf6_datadir/calligra/cursors
%_kf6_datadir/calligra/palettes
%_kf6_datadir/calligra/pics/
%_kf6_datadir/calligra/styles/
%_kf6_datadir/calligra/icons/
%_kf6_datadir/calligra/calligra_shell.rc
%_kf6_datadir/calligra_shape_state/
%_kf6_datadir/calligra_shape_music/
%_kf6_iconsdir/hicolor/scalable/actions/office-chart-stock*.svg
%_kf6_applicationsdir/org.kde.calligra.desktop
%_kf6_metainfodir/org.kde.calligra.metainfo.xml

#Find better package
%dir %_qt6_plugindir/calligra/parts
%dir %_qt6_plugindir/calligra/formatfilters
%dir %_qt6_plugindir/calligra/shapes
%dir %_qt6_plugindir/calligra/dockers
%dir %_qt6_plugindir/calligra/pageapptools
%dir %_qt6_plugindir/calligra/shapefiltereffects
%dir %_qt6_plugindir/calligra/tools
%_qt6_plugindir/calligra/dockers/calligra_docker_defaults.so
%_qt6_plugindir/calligra/dockers/calligra_docker_stencils.so
%_qt6_plugindir/calligra/pageapptools/kopabackgroundtool.so
%_qt6_plugindir/calligra/shapefiltereffects/calligra_filtereffects.so
%_qt6_plugindir/calligra/tools/calligra_tool_basicflakes.so
%_qt6_plugindir/calligra/tools/calligra_tool_defaults.so
%_kf6_plugindir/thumbcreator/
%_kf6_plugindir/propertiesdialog/

#--------------------------------------------------------------------

%package        words
Summary:        Word processor for calligra
Group:          Office/Word processor
URL:            https://www.calligra.org/words/
Requires:       %name-core = %{epoch}:%{version}-%{release}
Requires:       okular
Requires:       wordnet
Provides:       %name-apps

%description    words
Words is an intuitive word processor application with desktop publishing
features.
With it, you can create informative and attractive documents with ease.

%files words -f calligrawords.lang
%_kf6_sysconfdir/xdg/calligrawordsrc
%_kf6_bindir/calligrawords
%_kf6_iconsdir/hicolor/*/apps/calligrawords.*
%_kf6_iconsdir/hicolor/scalable/apps/org.kde.calligra.words.svg
%_kf6_datadir/templates/.source/TextDocument.odt
%_kf6_datadir/templates/TextDocument.desktop
%_kf6_datadir/mime/packages/wiki-format.xml
%_kf6_datadir/calligrawords
%_qt6_plugindir/calligra/formatfilters/calligra_filter_ascii2words.so
%_qt6_plugindir/calligra/formatfilters/calligra_filter_odt*
%_qt6_plugindir/calligra/formatfilters/calligra_filter_applixword2odt.so
%_qt6_plugindir/calligra/formatfilters/calligra_filter_doc2odt.so
%_qt6_plugindir/calligra/formatfilters/calligra_filter_docx2odt.so
%_qt6_plugindir/calligra/formatfilters/calligra_filter_html2ods.so
%_qt6_plugindir/calligra/formatfilters/calligra_filter_pdf2odg.so
%_qt6_plugindir/calligra/formatfilters/calligra_filter_rtf2odt.so
%_qt6_plugindir/calligra/shapes/calligra_shape_artistictext.so
%_qt6_plugindir/calligra/shapes/calligra_shape_chart.so
%_qt6_plugindir/calligra/shapes/calligra_shape_formula.so
%_qt6_plugindir/calligra/shapes/calligra_shape_music.so
%_qt6_plugindir/calligra/shapes/calligra_shape_paths.so
%_qt6_plugindir/calligra/shapes/calligra_shape_picture.so
%_qt6_plugindir/calligra/shapes/calligra_shape_plugin.so
%_qt6_plugindir/calligra/shapes/calligra_shape_text.so
%_qt6_plugindir/calligra/shapes/calligra_shape_threed.so
%_qt6_plugindir/calligra/shapes/calligra_shape_vector.so
%_qt6_plugindir/calligra/shapes/calligra_shape_video.so
%_qt6_plugindir/calligra/textediting/calligra_textediting_autocorrect.so
%_qt6_plugindir/calligra/textediting/calligra_textediting_changecase.so
%_qt6_plugindir/calligra/textediting/calligra_textediting_spellcheck.so
%_qt6_plugindir/calligra/textediting/calligra_textediting_thesaurus.so
%_qt6_plugindir/calligra/textinlineobjects/calligra_textinlineobject_variables.so
%_qt6_plugindir/calligra/textinlineobjects/kprvariables.so
%_qt6_plugindir/calligra/parts/calligrawordspart.so
%_qt6_plugindir/okular_generators/okularGenerator_doc_calligra.so
%_qt6_plugindir/okular_generators/okularGenerator_docx_calligra.so
%_qt6_plugindir/okular_generators/okularGenerator_odt_calligra.so
%_qt6_plugindir/okular_generators/okularGenerator_rtf_calligra.so
%_kf6_metainfodir/org.kde.calligra.words.metainfo.xml
%_kf6_applicationsdir/org.kde.calligra.words.desktop
%_kf6_applicationsdir/org.kde.calligrawords_ascii.desktop
%_kf6_datadir/kxmlgui5/calligrawords/
%_kf6_datadir/kio/servicemenus/words_print.desktop
%_kf6_datadir/calligra/thesaurus/
%_kf6_applicationsdir/okularApplication_doc_calligra.desktop
%_kf6_applicationsdir/okularApplication_docx_calligra.desktop
%_kf6_applicationsdir/okularApplication_odt_calligra.desktop
%_kf6_applicationsdir/okularApplication_rtf_calligra.desktop

%_kf6_datadir/templates/Presentation.desktop
%_kf6_datadir/templates/.source/Presentation.odp

#--------------------------------------------------------------------

%package        sheets
Summary:        SpreadSheet for calligra
Group:          Office/Spreadsheet
URL:            https://www.calligra.org/sheets/
Requires:       %name-core = %{epoch}:%{version}-%{release}
Provides:       %name-apps

%description    sheets
Calligra Sheets is a fully-featured calculation and spreadsheet tool.
Use it to quickly create and calculate various business-related spreadsheets,
such as income and expenditure, employee working hours, etc.

%files sheets -f calligrasheets.lang
%_kf6_sysconfdir/xdg/calligrasheetsrc
%_kf6_bindir/calligrasheets
%_qt6_plugindir/calligra/formatfilters/calligra_filter_kspread2tex.so
%_qt6_plugindir/calligra/formatfilters/calligra_filter_applixspread2kspread.so
%_qt6_plugindir/calligra/formatfilters/calligra_filter_sheets2csv.so
%_qt6_plugindir/calligra/formatfilters/calligra_filter_sheets2gnumeric.so
%_qt6_plugindir/calligra/formatfilters/calligra_filter_sheets2html.so
%_qt6_plugindir/calligra/formatfilters/calligra_filter_sheets2opencalc.so
%_qt6_plugindir/calligra/formatfilters/calligra_filter_csv2sheets.so
%_qt6_plugindir/calligra/formatfilters/calligra_filter_dbase2kspread.so
%_qt6_plugindir/calligra/formatfilters/calligra_filter_gnumeric2sheets.so
%_qt6_plugindir/calligra/formatfilters/calligra_filter_kpr2odp.so
%_qt6_plugindir/calligra/formatfilters/calligra_filter_opencalc2sheets.so
%_qt6_plugindir/calligra/formatfilters/calligra_filter_qpro2sheets.so
%_qt6_plugindir/calligra/formatfilters/calligra_filter_xls2ods.so
%_qt6_plugindir/calligra/formatfilters/calligra_filter_xlsx2ods.so
%_qt6_plugindir/calligra/parts/calligrasheetspart.so
%_qt6_plugindir/calligrasheets/
%_kf6_datadir/calligrasheets/
%_kf6_iconsdir/hicolor/*/apps/calligrasheets.*
%_kf6_iconsdir/hicolor/scalable/apps/org.kde.calligra.sheets.svg
%_kf6_metainfodir/org.kde.calligra.sheets.metainfo.xml
%_kf6_applicationsdir/org.kde.calligra.sheets.desktop
%_kf6_datadir/config.kcfg/calligrasheets.kcfg
%_kf6_datadir/kio/servicemenus/sheets_print.desktop
%_kf6_datadir/kxmlgui5/calligrasheets/

%_kf6_datadir/templates/SpreadSheet.desktop
%_kf6_datadir/templates/.source/SpreadSheet.ods

#------------------------------------------------------------------------------

%package        sheets-handbook
Summary:        Sheets Handbook
Group:          Documentation
BuildArch:      noarch

%description    sheets-handbook
This package provides Sheets Handbook.

%files sheets-handbook
%doc %{_kf6_docdir}/HTML/*/calligrasheets/
%doc %{_kf6_docdir}/HTML/*/sheets/

#------------------------------------------------------------------------------

%package        stage
Summary:        Presentation for calligra-suite
Group:          Office/Utilities
URL:            https://www.calligra.org/stage/
Requires:       %name-core = %{epoch}:%{version}-%{release}
Requires:       okular
Requires:       pstoedit
Requires:       xdg-utils
Provides:       %name-apps

%description    stage
Calligra Stage is an easy to use yet still flexible presentation
application. You can easily create presentations containing a rich
variety of elements, from graphics to text, from charts to images.
Stage is extensible through a plugin system, so it is easy to add new effects,
new content elements or even new ways of managing your presentation. Because of
the integration with Calligra, all the power and flexibility of the Calligra
content elements are available to Stage.

%files stage -f calligrastage.lang
%_kf6_sysconfdir/xdg/calligrastagerc
%_kf6_bindir/calligrastage
%_kf6_datadir/calligrastage
%_qt6_plugindir/calligra/parts/calligrastagepart.so
%_qt6_plugindir/calligra/presentationeventactions/
%_qt6_plugindir/calligra/formatfilters/calligra_filter_eps2svgai.so
%_qt6_plugindir/calligra/formatfilters/calligra_filter_pdf2svg.so
%_qt6_plugindir/calligra/formatfilters/calligra_filter_ppt2odp.so
%_qt6_plugindir/calligra/formatfilters/calligra_filter_pptx2odp.so
%_qt6_plugindir/calligra/formatfilters/calligra_filter_wmf2svg.so
%_qt6_plugindir/calligra/formatfilters/calligra_filter_xfig2odg.so
%_qt6_plugindir/calligra/formatfilters/calligra_filter_key2odp.so
%_qt6_plugindir/calligra/formatfilters/calligra_filter_vsdx2odg.so
%_qt6_plugindir/calligra/formatfilters/calligra_filter_wpd2odt.so
%_qt6_plugindir/calligra/formatfilters/calligra_filter_wpg2odg.so
%_qt6_plugindir/calligra/formatfilters/calligra_filter_wpg2svg.so
%_qt6_plugindir/calligra/formatfilters/calligra_filter_wps2odt.so
%_qt6_plugindir/calligrastage/
%_kf6_applicationsdir/org.kde.calligra.stage.desktop
%_kf6_metainfodir/org.kde.calligra.stage.metainfo.xml
%_qt6_plugindir/okular_generators/okularGenerator_odp_calligra.so
%_qt6_plugindir/okular_generators/okularGenerator_powerpoint_calligra.so
%_qt6_plugindir/okular_generators/okularGenerator_pptx_calligra.so
%_qt6_plugindir/okular_generators/okularGenerator_wpd_calligra.so
%_kf6_datadir/applications/okularApplication_odp_calligra.desktop
%_kf6_datadir/applications/okularApplication_powerpoint_calligra.desktop
%_kf6_datadir/applications/okularApplication_pptx_calligra.desktop
%_kf6_datadir/applications/okularApplication_wpd_calligra.desktop
%_kf6_datadir/kio/servicemenus/stage_print.desktop
%_kf6_iconsdir/hicolor/*/apps/calligrastage.png
%_kf6_iconsdir/hicolor/scalable/apps/org.kde.calligra.stage.svg
%_kf6_iconsdir/hicolor/scalable/apps/calligrastage.svgz
%_kf6_datadir/kxmlgui5/calligrastage/

%_kf6_datadir/templates/.source/Illustration.odg
%_kf6_datadir/templates/Illustration.desktop

#--------------------------------------------------------------------

%package        stage-handbook
Summary:        Stage Handbook
Group:          Documentation
BuildArch:      noarch

%description    stage-handbook
This package provides Stage Handbook.

%files stage-handbook
%doc %{_kf6_docdir}/HTML/*/calligrastage/
%doc %{_kf6_docdir}/HTML/*/stage/

#------------------------------------------------------------------------------

%package -n     karbon
Summary:        Scalable drawing for calligra
Group:          Graphics/Editors and Converters
URL:            https://www.calligra.org/karbon/
Requires:       %name-core = %{epoch}:%{version}-%{release}
Requires:       pstoedit
Provides:       %name-apps

%description -n karbon
Karbon is a vector drawing application with an user interface that is easy to
use, highly customizable and extensible.
That makes Karbon a great application for users starting to explore the world of
vector graphics as well as for artists wanting to create breathtaking vector
art.

%files -n karbon -f karbon.lang
%_kf6_sysconfdir/xdg/karbonrc
%_kf6_bindir/karbon
%_kf6_datadir/calligra/stencils/
%_qt6_plugindir/calligra/formatfilters/calligra_filter_karbon1x2karbon.so
%_qt6_plugindir/calligra/formatfilters/calligra_filter_karbon2image.so
%_qt6_plugindir/calligra/formatfilters/calligra_filter_karbon2svg.so
%_qt6_plugindir/calligra/formatfilters/calligra_filter_karbon2wmf.so
%_qt6_plugindir/calligra/formatfilters/calligra_filter_svg2karbon.so
%_qt6_plugindir/calligra/parts/karbonpart.so
%_qt6_plugindir/calligra/tools/karbon_tools.so
%_qt6_plugindir/karbon/
%_kf6_metainfodir/org.kde.calligra.karbon.metainfo.xml
%_kf6_applicationsdir/org.kde.calligra.karbon.desktop
%_kf6_iconsdir/hicolor/*/apps/calligrakarbon.png
%_kf6_iconsdir/hicolor/scalable/apps/org.kde.calligra.karbon.svg
%_kf6_iconsdir/hicolor/scalable/apps/calligrakarbon.svgz
%_kf6_datadir/kio/servicemenus/karbon_print.desktop
%_kf6_datadir/kxmlgui5/karbon/
%_kf6_datadir/karbon/

#--------------------------------------------------------------------
%if 0
%package -n     flow
Summary:        Diagramming and flowcharting apps for calligra
Group:          Office/Management
URL:            https://www.calligra.org/flow/
Requires:       %name-core = %{epoch}:%{version}-%{release}

%description -n flow
Calligra Flow is an easy to use diagramming and flowcharting application with
tight integration to the other Calligra applications. It enables you to create
network diagrams, organisation charts, flowcharts and more. 

%files -n flow -f flow.lang
%endif

#--------------------------------------------------------------------
%if 0
%package        gemini
Summary:        Writing and Presenting at Home and on the Go
Group:          Office/Utilities
URL:            https://www.calligra.org/gemini/
Requires:       %name-core = %epoch:%version
Requires:       %name-words = %epoch:%version
Requires:       %name-stage = %epoch:%version
Provides:       %name-apps

%description    gemini
Writing and Presenting at Home and on the Go.

%files gemini
#%%_kf6_bindir/calligragemini
#%%_kf6_bindir/calligrageminithumbnailhelper
#%%_kf6_applicationsdir/org.kde.calligragemini.desktop
#%%_kf6_metainfodir/org.kde.calligragemini.appdata.xml
#%%_kf6_datadir/calligragemini/
#%%_kf6_iconsdir/hicolor/*/apps/calligragemini.*
#%%_kf6_qmldir/Calligra/Gemini/
%endif
#--------------------------------------------------------------------

%package -n     braindump
Summary:        Storing your ideas
Group:          Office/Utilities
Requires:       %name-core = %epoch:%version-%release
Recommends:     %{name}-words = %epoch:%version-%release

%description -n braindump
Braindump is a tool to dump and organize the content of your brain
(ideas, drawings, images, texts) to your computer.

%files -n braindump -f braindump.lang
%_kf6_bindir/braindump
%_qt6_plugindir/calligra/shapes/braindump_shape_state.so
%_qt6_plugindir/calligra/shapes/braindump_shape_web.so
%_kf6_applicationsdir/org.kde.calligra.braindump.desktop
%_kf6_iconsdir/hicolor/*/apps/braindump.png
%_kf6_iconsdir/hicolor/scalable/apps/org.kde.calligra.braindump.svg
%_kf6_iconsdir/hicolor/scalable/apps/braindump.svgz
%_kf6_metainfodir/org.kde.calligra.braindump.metainfo.xml
%_kf6_datadir/kxmlgui5/braindump/

#--------------------------------------------------------------------

%package -n     katelier
Summary:        Krita and karbon meta package
Group:          Graphical desktop/KDE
Requires:       karbon = %{epoch}:%{version}-%{release}
Requires:       krita

%description -n katelier
Krita and karbon meta package.

%files -n katelier

#--------------------------------------------------------------------

%define calligra_major 40

#--------------------------------------------------------------------

%define libautocorrection_major %{calligra_major}
%define libautocorrection %mklibname autocorrection %libautocorrection_major

%package -n     %libautocorrection
Summary:        Calligra Autocorrection library
Group:          System/Libraries

%description -n %libautocorrection
Calligra Autocorrection library.

%files -n %libautocorrection
%_kf6_libdir/libautocorrection.so.%{libautocorrection_major}
%_kf6_libdir/libautocorrection.so.%{version}

#--------------------------------------------------------------------

%define libbraindumpcore_major %{calligra_major}
%define libbraindumpcore %mklibname braindumpcore %libbraindumpcore_major

%package -n     %libbraindumpcore
Summary:        Calligra Braindump Core library
Group:          System/Libraries

%description -n %libbraindumpcore
Calligra Braindump Core library.

%files -n %libbraindumpcore
%_kf6_libdir/libbraindumpcore.so.%{libbraindumpcore_major}
%_kf6_libdir/libbraindumpcore.so.%{version}

#--------------------------------------------------------------------

%define libflake_major %{calligra_major}
%define libflake %mklibname flake %libflake_major

%package -n     %libflake
Summary:        Calligra Flake library
Group:          System/Libraries

%description -n %libflake
Calligra Flake library.
Flake is the object library for Calligra. It provides a basic concept of a
'shape' which can be a square, circle or any other form. The shape can contain
any sort of media because it is responsible for painting itself. This means that
Words can provide a textShape which has text flowing inside.

%files -n %libflake
%_kf6_libdir/libflake.so.%{libflake_major}
%_kf6_libdir/libflake.so.%{version}

#--------------------------------------------------------------------

%define  karboncommon_major %{calligra_major}
%define  libkarboncommon %mklibname karboncommon  %karboncommon_major

%package -n     %libkarboncommon
Summary:        Calligra Karbon common library
Group:          System/Libraries

%description -n %libkarboncommon
Calligra Karbon common library.

%files -n %libkarboncommon
%_kf6_libdir/libkarboncommon.so.%{karboncommon_major}
%_kf6_libdir/libkarboncommon.so.%{version}

#--------------------------------------------------------------------

%define wordsprivate_major %{calligra_major}
%define libwordsprivate %mklibname wordsprivate %wordsprivate_major

%package -n     %libwordsprivate
Summary:        Calligra Words private library
Group:          System/Libraries

%description -n %libwordsprivate
Calligra Words private library.

%files -n %libwordsprivate
%_kf6_libdir/libwordsprivate.so.%{wordsprivate_major}
%_kf6_libdir/libwordsprivate.so.%{version}

#--------------------------------------------------------------------

%define libpigmentcms_major %{calligra_major}
%define libpigmentcms %mklibname pigmentcms %libpigmentcms_major

%package -n     %libpigmentcms
Summary:        Calligra Pigment cms library
Group:          System/Libraries

%description -n %libpigmentcms
Calligra Pigment cms library.
Pigment is the Color Manipulation System library for Calligra, this include but
it is not limited to full color management. Originating from Krita it provides a
generic KoColor class wich represents the notion of a color. The same color can
often be specified in different colorspaces. Some colors however can only be
specified in some colorspaces.

%files -n %libpigmentcms
%_kf6_libdir/libpigmentcms.so.%{libpigmentcms_major}
%_kf6_libdir/libpigmentcms.so.%{version}

#--------------------------------------------------------------------

%define kundo2_major %{calligra_major}
%define libkundo2 %mklibname kundo2_ %kundo2_major

%package -n     %libkundo2
Summary:        Calligra Kundo2 library
Group:          System/Libraries

%description -n %libkundo2
Calligra Kundo2 library.

%files -n %libkundo2
%_kf6_libdir/libkundo2.so.%{kundo2_major}
%_kf6_libdir/libkundo2.so.%{version}

#-------------------------------------------------------------------- 

%define libkowv2_major 9
%define libkowv2 %mklibname kowv2_ %libkowv2_major

%package -n     %libkowv2
Summary:        Calligra Kowv2 library
Group:          System/Libraries

%description -n %libkowv2
Calligra Kowv2 library.

%files -n %libkowv2
%_kf6_libdir/libkowv2.so.%{libkowv2_major}{,.*}

#--------------------------------------------------------------------

%define libkowidgetutils_major %{calligra_major}
%define libkowidgetutils %mklibname kowidgetutils %libkowidgetutils_major

%package -n     %libkowidgetutils
Summary:        Calligra Kowidgetutils library
Group:          System/Libraries

%description -n %libkowidgetutils
Calligra Kowidgetutils library.

%files -n %libkowidgetutils
%_kf6_libdir/libkowidgetutils.so.%{libkowidgetutils_major}
%_kf6_libdir/libkowidgetutils.so.%{version}

#--------------------------------------------------------------------

%define  libkowidgets_major %{calligra_major}
%define  libkowidgets %mklibname kowidgets %libkowidgets_major
#
%package -n     %libkowidgets
Summary:        Calligra Kowidgets library
Group:          System/Libraries

%description -n %libkowidgets
Calligra Kowidgets library.

%files -n %libkowidgets
%_kf6_libdir/libkowidgets.so.%{libkowidgets_major}
%_kf6_libdir/libkowidgets.so.%{version}

#--------------------------------------------------------------------

%define libkovectorimage_major %{calligra_major}
%define libkovectorimage %mklibname kovectorimage %libkovectorimage_major

%package -n     %libkovectorimage
Summary:        Calligra Kovectorimage library
Group:          System/Libraries

%description -n %libkovectorimage
Calligra Kovectorimage library.

%files -n %libkovectorimage
%_kf6_libdir/libkovectorimage.so.%{libkovectorimage_major}
%_kf6_libdir/libkovectorimage.so.%{version}

#--------------------------------------------------------------------

%define libkotextlayout_major %{calligra_major}
%define libkotextlayout %mklibname kotextlayout %libkotextlayout_major

%package -n     %libkotextlayout
Summary:        Calligra Kotextlayout library
Group:          System/Libraries

%description -n %libkotextlayout
Calligra Kotextlayout library.

%files -n %libkotextlayout
%_kf6_libdir/libkotextlayout.so.%{libkotextlayout_major}
%_kf6_libdir/libkotextlayout.so.%{version}

#--------------------------------------------------------------------

%define  libkoplugin_major %{calligra_major}
%define  libkoplugin %mklibname koplugin  %libkoplugin_major

%package -n     %libkoplugin
Summary:        Calligra Koplugin library
Group:          System/Libraries

%description -n %libkoplugin
Calligra Koplugin library.

%files -n %libkoplugin
%_kf6_libdir/libkoplugin.so.%{libkoplugin_major}
%_kf6_libdir/libkoplugin.so.%{version}

#--------------------------------------------------------------------

%define libkopageapp_major %{calligra_major}
%define libkopageapp %mklibname kopageapp %libkopageapp_major

%package -n     %libkopageapp
Summary:        Calligra Kopageapp library
Group:          System/Libraries

%description -n %libkopageapp
Calligra Kopageapp library.

%files -n %libkopageapp
%_kf6_libdir/libkopageapp.so.%{libkopageapp_major}
%_kf6_libdir/libkopageapp.so.%{version}

#--------------------------------------------------------------------

%define libkotext_major %{calligra_major}
%define libkotext %mklibname kotext %libkotext_major

%package -n     %libkotext
Summary:        Calligra Kotext library
Group:          System/Libraries

%description -n %libkotext
Calligra Kotext library.
KoText is the library that offers rich text layout and OpenDocument Format
loading/saving.

%files -n %libkotext
%_kf6_libdir/libkotext.so.%{libkotext_major}
%_kf6_libdir/libkotext.so.%{version}

#--------------------------------------------------------------------

%define libkostore_major %{calligra_major}
%define libkostore %mklibname kostore %libkostore_major

%package -n     %libkostore
Summary:        Calligra Kostore library
Group:          System/Libraries

%description -n %libkostore
Calligra Kostore library.

%files -n %libkostore
%_kf6_libdir/libkostore.so.%{libkostore_major}
%_kf6_libdir/libkostore.so.%{version}

#--------------------------------------------------------------------

%define libkookulargenerator_odt_major %{calligra_major}
%define libkookulargenerator_odt %mklibname kookulargenerator_odt %libkookulargenerator_odt_major

%package -n     %libkookulargenerator_odt
Summary:        Calligra KookularGenerator odt library
Group:          System/Libraries

%description -n %libkookulargenerator_odt
Calligra KookularGenerator odt library.

%files -n %libkookulargenerator_odt
%_kf6_libdir/libkookularGenerator_odt.so.%{libkookulargenerator_odt_major}
%_kf6_libdir/libkookularGenerator_odt.so.%{version}

#--------------------------------------------------------------------

%define libkookulargenerator_odp_major %{calligra_major}
%define libkookulargenerator_odp %mklibname kookulargenerator_odp %libkookulargenerator_odp_major

%package -n     %libkookulargenerator_odp
Summary:        Calligra KookularGenerator odp library
Group:          System/Libraries

Obsoletes:      %{_lib}kookularGenerator_odp39 < 13:24.11.80-2

%description -n %libkookulargenerator_odp
Calligra KookularGenerator odp library.

%files -n %libkookulargenerator_odp
%_kf6_libdir/libkookularGenerator_odp.so.%{libkookulargenerator_odp_major}
%_kf6_libdir/libkookularGenerator_odp.so.%{version}

#--------------------------------------------------------------------

%define libkoodfreader_major %{calligra_major}
%define libkoodfreader %mklibname koodfreader %libkoodfreader_major

%package -n     %libkoodfreader
Summary:        Calligra Koodfreader library
Group:          System/Libraries

%description -n %libkoodfreader
Calligra Koodfreader library.

%files -n %libkoodfreader
%_kf6_libdir/libkoodfreader.so.%{libkoodfreader_major}
%_kf6_libdir/libkoodfreader.so.%{version}

#--------------------------------------------------------------------

%define libkoodf2_major %{calligra_major}
%define libkoodf2 %mklibname koodf2_ %libkoodf2_major

%package -n     %libkoodf2
Summary:        Calligra Koodf2 library
Group:          System/Libraries

%description -n %libkoodf2
Calligra Koodf2 library.

%files -n %libkoodf2
%_kf6_libdir/libkoodf2.so.%{libkoodf2_major}
%_kf6_libdir/libkoodf2.so.%{version}

#--------------------------------------------------------------------

%define libkoodf_major %{calligra_major}
%define libkoodf %mklibname koodf %libkoodf_major

%package -n     %libkoodf
Summary:        Calligra Koodf library
Group:          System/Libraries

%description -n %libkoodf
Calligra Koodf library.

%files -n %libkoodf
%_kf6_libdir/libkoodf.so.%{libkoodf_major}
%_kf6_libdir/libkoodf.so.%{version}

#--------------------------------------------------------------------

%define libkomsooxml_major %{calligra_major}
%define libkomsooxml %mklibname komsooxml %libkomsooxml_major

%package -n     %libkomsooxml
Summary:        Calligra Komsooxml library
Group:          System/Libraries

%description -n %libkomsooxml
Calligra Komsooxml library.

%files -n %libkomsooxml
%_kf6_libdir/libkomsooxml.so.%{libkomsooxml_major}
%_kf6_libdir/libkomsooxml.so.%{version}

#--------------------------------------------------------------------

%define libkomain_major %{calligra_major}
%define libkomain %mklibname komain %libkomain_major

%package -n     %libkomain
Summary:        Calligra Komain library
Group:          System/Libraries

%description -n %libkomain
Calligra Komain library.

%files -n %libkomain
%_kf6_libdir/libkomain.so.%{libkomain_major}
%_kf6_libdir/libkomain.so.%{version}

#--------------------------------------------------------------------

%define libkoformula_major %{calligra_major}
%define libkoformula %mklibname koformula %libkoformula_major

%package -n     %libkoformula
Summary:        Calligra Koformula library
Group:          System/Libraries

%description -n %libkoformula
Calligra Koformula library.

%files -n %libkoformula
%_kf6_libdir/libkoformula.so.%{libkoformula_major}
%_kf6_libdir/libkoformula.so.%{version}

#--------------------------------------------------------------------

%define libkarbonui_major %{calligra_major}
%define libkarbonui %mklibname karbonui %libkarbonui_major

%package -n     %libkarbonui
Summary:        Calligra Karbonui library
Group:          System/Libraries

%description -n %libkarbonui
Calligra Karbonui library.

%files -n %libkarbonui
%_kf6_libdir/libkarbonui.so.%{libkarbonui_major}
%_kf6_libdir/libkarbonui.so.%{version}

#--------------------------------------------------------------------

%define libcalligrastageprivate_major %{calligra_major}
%define libcalligrastageprivate %mklibname calligrastageprivate %libcalligrastageprivate_major

%package -n     %libcalligrastageprivate
Summary:        Calligra Stage private library
Group:          System/Libraries

%description -n %libcalligrastageprivate
Calligra Stage private library.

%files -n %libcalligrastageprivate
%_kf6_libdir/libcalligrastageprivate.so.%{libcalligrastageprivate_major}
%_kf6_libdir/libcalligrastageprivate.so.%{version}

#--------------------------------------------------------------------

%define libcalligrasheetscore_major %{calligra_major}
%define libcalligrasheetscore %mklibname calligrasheetscore %libcalligrasheetscore_major

%package -n     %libcalligrasheetscore
Summary:        Calligra Sheets Core library
Group:          System/Libraries

%description -n %libcalligrasheetscore
Calligra Sheets Core library.

%files -n %libcalligrasheetscore
%_kf6_libdir/libcalligrasheetscore.so.%{libcalligrasheetscore_major}
%_kf6_libdir/libcalligrasheetscore.so.%{version}

#--------------------------------------------------------------------

%define libcalligrasheetsengine_major %{calligra_major}
%define libcalligrasheetsengine %mklibname calligrasheetsengine %libcalligrasheetsengine_major

%package -n     %libcalligrasheetsengine
Summary:        Calligra Sheets Engine library
Group:          System/Libraries

%description -n %libcalligrasheetsengine
Calligra Sheets Engine library.

%files -n %libcalligrasheetsengine
%_kf6_libdir/libcalligrasheetsengine.so.%{libcalligrasheetsengine_major}
%_kf6_libdir/libcalligrasheetsengine.so.%{version}

#--------------------------------------------------------------------

%define libcalligrasheetspartlib_major %{calligra_major}
%define libcalligrasheetspartlib %mklibname calligrasheetspartlib %libcalligrasheetspartlib_major

%package -n     %libcalligrasheetspartlib
Summary:        Calligra Sheets Part Lib library
Group:          System/Libraries

%description -n %libcalligrasheetspartlib
Calligra Sheets Part Lib library.

%files -n %libcalligrasheetspartlib
%_kf6_libdir/libcalligrasheetspartlib.so.%{libcalligrasheetspartlib_major}
%_kf6_libdir/libcalligrasheetspartlib.so.%{version}

#--------------------------------------------------------------------

%define libcalligrasheetsui_major %{calligra_major}
%define libcalligrasheetsui %mklibname calligrasheetsui %libcalligrasheetsui_major

%package -n     %libcalligrasheetsui
Summary:        Calligra Sheets UI library
Group:          System/Libraries

%description -n %libcalligrasheetsui
Calligra Sheets UI library.

%files -n %libcalligrasheetsui
%_kf6_libdir/libcalligrasheetsui.so.%{libcalligrasheetsui_major}
%_kf6_libdir/libcalligrasheetsui.so.%{version}

#--------------------------------------------------------------------

%define libbasicflakes_major %{calligra_major}
%define libbasicflakes %mklibname basicflakes %libbasicflakes_major

%package -n     %libbasicflakes
Summary:        Calligra Basicflakes library
Group:          System/Libraries

%description -n %libbasicflakes
Calligra Basicflakes library.

%files -n %libbasicflakes
%_kf6_libdir/libbasicflakes.so.%{libbasicflakes_major}
%_kf6_libdir/libbasicflakes.so.%{version}

#--------------------------------------------------------------------

%define librtfreader_major %{calligra_major}
%define librtfreader %mklibname rtfreader %librtfreader_major

%package -n     %librtfreader
Summary:        Calligra RtfReader library
Group:          System/Libraries

%description -n %librtfreader
Calligra RtfReader library.

%files -n %librtfreader
%_kf6_libdir/libRtfReader.so.%{librtfreader_major}
%_kf6_libdir/libRtfReader.so.%{version}

#--------------------------------------------------------------------

%package        devel
Group:          Development/KDE and Qt
Summary:        Header files for developing calligra applications
Requires:       %name-core = %{epoch}:%{version}-%{release}
Provides:       %name-devel = %{epoch}:%{version}-%{release}

Requires:       %libautocorrection = %{epoch}:%{version}-%{release}
Requires:       %libbraindumpcore = %{epoch}:%{version}-%{release}
Requires:       %libflake = %{epoch}:%{version}-%{release}
Requires:       %libkarboncommon = %{epoch}:%{version}-%{release}
Requires:       %libwordsprivate = %{epoch}:%{version}-%{release}
Requires:       %libpigmentcms = %{epoch}:%{version}-%{release}
Requires:       %libkundo2 = %{epoch}:%{version}-%{release}
Requires:       %libkowv2 = %{epoch}:%{version}-%{release}
Requires:       %libkowidgetutils = %{epoch}:%{version}-%{release}
Requires:       %libkowidgets = %{epoch}:%{version}-%{release}
Requires:       %libkovectorimage = %{epoch}:%{version}-%{release}
Requires:       %libkotextlayout = %{epoch}:%{version}-%{release}
Requires:       %libkoplugin = %{epoch}:%{version}-%{release}
Requires:       %libkopageapp = %{epoch}:%{version}-%{release}
Requires:       %libkotext = %{epoch}:%{version}-%{release}
Requires:       %libkostore = %{epoch}:%{version}-%{release}
Requires:       %libkookulargenerator_odt = %{epoch}:%{version}-%{release}
Requires:       %libkookulargenerator_odp = %{epoch}:%{version}-%{release}
Requires:       %libkoodfreader = %{epoch}:%{version}-%{release}
Requires:       %libkoodf2 = %{epoch}:%{version}-%{release}
Requires:       %libkoodf = %{epoch}:%{version}-%{release}
Requires:       %libkomsooxml = %{epoch}:%{version}-%{release}
Requires:       %libkomain = %{epoch}:%{version}-%{release}
Requires:       %libkoformula = %{epoch}:%{version}-%{release}
Requires:       %libkarbonui = %{epoch}:%{version}-%{release}
Requires:       %libcalligrastageprivate = %{epoch}:%{version}-%{release}
Requires:       %libcalligrasheetscore = %{epoch}:%{version}-%{release}
Requires:       %libcalligrasheetsengine = %{epoch}:%{version}-%{release}
Requires:       %libcalligrasheetspartlib = %{epoch}:%{version}-%{release}
Requires:       %libcalligrasheetsui = %{epoch}:%{version}-%{release}
Requires:       %libbasicflakes = %{epoch}:%{version}-%{release}
Requires:       %librtfreader = %{epoch}:%{version}-%{release}

%description    devel
Header files needed for developing calligra applications.

%files devel
%_kf6_libdir/libautocorrection.so
#_kf6_libdir/libbraindumpcore.so
%_kf6_libdir/libflake.so
%_kf6_libdir/libkarboncommon.so
%_kf6_libdir/libwordsprivate.so
%_kf6_libdir/libpigmentcms.so
%_kf6_libdir/libkundo2.so
%_kf6_libdir/libkowv2.so
%_kf6_libdir/libkowidgetutils.so
%_kf6_libdir/libkowidgets.so
%_kf6_libdir/libkovectorimage.so
%_kf6_libdir/libkotextlayout.so
%_kf6_libdir/libkoplugin.so
%_kf6_libdir/libkopageapp.so
%_kf6_libdir/libkotext.so
%_kf6_libdir/libkostore.so
%_kf6_libdir/libkookularGenerator_odt.so
%_kf6_libdir/libkookularGenerator_odp.so
%_kf6_libdir/libkoodfreader.so
%_kf6_libdir/libkoodf2.so
%_kf6_libdir/libkoodf.so
%_kf6_libdir/libkomsooxml.so
%_kf6_libdir/libkomain.so
%_kf6_libdir/libkoformula.so
%_kf6_libdir/libkarbonui.so
%_kf6_libdir/libcalligrastageprivate.so
%_kf6_libdir/libcalligrasheetscore.so
%_kf6_libdir/libcalligrasheetsengine.so
%_kf6_libdir/libcalligrasheetspartlib.so
%_kf6_libdir/libcalligrasheetsui.so
%_kf6_libdir/libbasicflakes.so
%_kf6_libdir/libRtfReader.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 \
           -DPACKAGERS_BUILD=ON \
           -DPRODUCTSET=DESKTOP \
           -DBUILD_TESTING=OFF
%cmake_build

%install
%cmake_install

# remove as it should be in krita package
find %buildroot -name "krita.mo" | xargs rm -fv
find %buildroot -name "org.kde.krita.appdata.mo" | xargs rm -fv
find %buildroot -name "desktop_calligra_krita.mo" | xargs rm -fv
# remove as it should be in kexi package
find %buildroot -name "kexi.mo" | xargs rm -fv
find %buildroot -name "kexiforms_mapwidgetplugin.mo" | xargs rm -fv
find %buildroot -name "kexiforms_webbrowserwidgetplugin.mo" | xargs rm -fv
find %buildroot -name "keximigrate_spreadsheet.mo" | xargs rm -fv
find %buildroot -name "org.kde.kexi.appdata.mo" | xargs rm -fv
find %buildroot -name "json_calligra_kexi.mo" | xargs rm -fv
find %buildroot -name "keximigrate_mdb.mo" | xargs rm -fv
find %buildroot -name "org.kde.kexi.appdata.mo" | xargs rm -fv
find %buildroot -name "desktop_calligra_kexi.mo" | xargs rm -fv
# NOTE: reenable if/when again available
find %buildroot -name "flow.mo" | xargs rm -fv
find %buildroot -name "org.kde.calligraflow.appdata.mo" | xargs rm -fv

%find_lang calligra
%find_lang karbon
%find_lang calligrawords
%find_lang calligrastage
%find_lang KarbonFilterEffects
%find_lang braindump
cat KarbonFilterEffects.lang >> karbon.lang
%find_lang KarbonTools
cat KarbonTools.lang >> karbon.lang
%find_lang calligralauncher
cat calligralauncher.lang >> calligra.lang
%find_lang calligra-defaulttools
cat calligra-defaulttools.lang >> calligra.lang
%find_lang calligra-dockers
cat calligra-dockers.lang >> calligra.lang
%find_lang calligra-opener
cat calligra-opener.lang >> calligra.lang
%find_lang calligra_semanticitem_contact
cat calligra_semanticitem_contact.lang >> calligra.lang
%find_lang calligra_semanticitem_event
cat calligra_semanticitem_event.lang >> calligra.lang
%find_lang calligra_semanticitem_location
cat calligra_semanticitem_location.lang >> calligra.lang
%find_lang calligra_shape_artistictext
cat calligra_shape_artistictext.lang >> calligrawords.lang
%find_lang calligra_shape_chart
cat calligra_shape_chart.lang >> calligrawords.lang
%find_lang calligra_shape_comment
cat calligra_shape_comment.lang >> calligra.lang
%find_lang calligra_shape_formula
cat calligra_shape_formula.lang >> calligrawords.lang
%find_lang calligra_shape_music
cat calligra_shape_music.lang >> calligrawords.lang
%find_lang calligra_shape_paths
cat calligra_shape_paths.lang >> calligrawords.lang
%find_lang calligra_shape_picture
cat calligra_shape_picture.lang >> calligrawords.lang
%find_lang calligra_shape_plugin
cat calligra_shape_plugin.lang >> calligrawords.lang
%find_lang calligra_shape_spreadsheet
cat calligra_shape_spreadsheet.lang >> calligra.lang
%find_lang calligra_shape_template
cat calligra_shape_template.lang >> calligra.lang
%find_lang calligra_shape_text
cat calligra_shape_text.lang >> calligrawords.lang
%find_lang calligra_shape_threed
cat calligra_shape_threed.lang >> calligrawords.lang
%find_lang calligra_shape_vector
cat calligra_shape_vector.lang >> calligrawords.lang
%find_lang calligra_shape_video
cat calligra_shape_video.lang >> calligrawords.lang
%find_lang calligra_textediting_autocorrect
cat calligra_textediting_autocorrect.lang >> calligrawords.lang
%find_lang calligra_textediting_changecase
cat calligra_textediting_changecase.lang >> calligrawords.lang
%find_lang calligra_textediting_spellcheck
cat calligra_textediting_spellcheck.lang >> calligrawords.lang
%find_lang calligra_textediting_thesaurus
cat calligra_textediting_thesaurus.lang >> calligrawords.lang
%find_lang calligra_textinlineobject_variables
cat calligra_textinlineobject_variables.lang >> calligrawords.lang
%find_lang calligrafilters
cat calligrafilters.lang  >> calligrawords.lang
%find_lang calligrasheets
%find_lang calligrasheets_calendar
cat calligrasheets_calendar.lang  >> calligrasheets.lang
%find_lang calligrasheets_solver
cat calligrasheets_solver.lang >> calligrasheets.lang
%find_lang kocolorspaces
cat kocolorspaces.lang >> calligra.lang
%find_lang koconverter
cat koconverter.lang >> calligra.lang
%find_lang okularGenerator_odp
cat okularGenerator_odp.lang >> calligrawords.lang
%find_lang okularGenerator_odt
cat okularGenerator_odt.lang >> calligrawords.lang
%find_lang calligra_shape_webshape
cat calligra_shape_webshape.lang >> calligra.lang
# NOTE: reenable if/when again available
#%%find_lang flow
#%%find_lang org.kde.calligraflow.appdata
#cat org.kde.calligraflow.appdata.lang >> flow.lang
