%define libname    ocaml-%{name}
%define libdevname ocaml-%{name}-devel

Name:           caml2html
Version:        1.4.4
Release:        %mkrel 11
Summary:        Highlight OCaml code by adding some color
License:        GPLv2
Group:          Development/OCaml
URL:            https://mjambon.github.io/mjambon2016/caml2html.html
Source0:        https://github.com/mjambon/caml2html/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  camlmix

Patch0:		caml2html-1.4.3-enable-debugging-information.patch

%description
The caml2html package provides an executable that highlight OCaml code
by adding some color. With the caml2html program, you can produce
ready-to-go HTML files.

%package -n     %{libname}
Summary:        Development files for %{libname}
Group:          Development/OCaml

%description -n %{libname}
The %{libname} package provides a library that highlight OCaml code
by adding some color. With the caml2html program, you can produce
ready-to-go HTML files.

%package -n     %{libdevname}
Summary:        Development files for %{libname}
Group:          Development/OCaml
Requires:       %{libname} = %{version}-%{release}

%description -n %{libdevname}
The %{libdevname} package contains libraries and signature files for
developing applications that use %{libname}.

%prep
%setup -q
%autopatch -p1

%build
%make_build caml2html
%make_build bytelib optlib

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/Icaml2html
mkdir -p %{buildroot}%{_bindir}
%make_install BINDIR=%{buildroot}%{_bindir}

%files
%doc LICENSE README.md history.txt TODO
%{_bindir}/caml2html

%files -n %{libname}
%doc LICENSE README.md history.txt TODO
%dir %{_libdir}/ocaml/caml2html
%{_libdir}/ocaml/caml2html/META
%{_libdir}/ocaml/caml2html/*.cma
%{_libdir}/ocaml/caml2html/*.cmi

%files -n %{libdevname}
%doc test.ml
%doc caml2html_test.ml
%{_libdir}/ocaml/caml2html/*.a
%{_libdir}/ocaml/caml2html/*.cmxa
%{_libdir}/ocaml/caml2html/*.mli
