%define filever 37p3
%define	major	1
%define	libname	%mklibname canna %{major}

Name:		canna
Summary:	Japanese Kana-Kanji translation engine
Version:	3.7p3
Release:	%mkrel 29
License:	MIT
Group:		System/Internationalization
URL:		https://sourceforge.jp/projects/canna/
Source:		Canna%{filever}.tar.bz2
Source1:	canna.service
Source2:	canna-tmpfiles.conf
Patch1:		canna-3.7p1-config.patch
Patch2:		canna-3.7p1-buildfix.patch
Patch3:		canna-3.7p1-fix-str-fmt.patch
Patch4:		safe-sockdir.patch
Patch5:		canna-3.7p1-fix-building-with-gcc14.patch
Requires:	locales-ja
BuildRequires:	imake

# this is for serviceadd, etc.
Requires(post): rpm-helper
Requires(preun): rpm-helper
# this is for useradd, groupadd, etc.
Requires(pre): rpm-helper
Requires(postun): rpm-helper

%description
Canna is a Japanese Kana-Kanji translation engine.


%package -n	%{libname}
Summary:	Canna libraries
Group:		System/Internationalization

%description -n	%{libname}
Canna libraries.

%package -n	%{libname}-devel
Summary:	Headers and libraries of Canna for development
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
Headers and libraries of Canna for development.


%prep
%autosetup -p0 -n Canna%{filever}

%build
xmkmf
make canna EXTRA_LDOPTIONS="%{ldflags}" CCOPTIONS="%{optflags}"

%install
%make_install sysconfdir=%{buildroot}%{_sysconfdir} libCannaDir=%{_libdir}

mkdir -p %{buildroot}%{_unitdir}
install -p -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/canna.service

mkdir -p %{buildroot}%{_tmpfilesdir}
install -p -m 0644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/%{name}.conf

%__install -d %{buildroot}%{_sysconfdir}/logrotate.d
cat << EOF > %{buildroot}%{_sysconfdir}/logrotate.d/canna
/var/log/canna/CANNA?msgs {
    notifempty
    missingok
}
EOF

%pre
%_pre_useradd canna %{_datadir}/canna /sbin/nologin

%post
if ! grep -q canna /etc/services
then
        echo "canna             5680/tcp" >>/etc/services
fi

%_post_service canna

%preun
%_preun_service canna

%postun
%_postun_userdel canna

%files
%{_sbindir}/*
%{_bindir}/*
%{_unitdir}/*
%{_tmpfilesdir}/%{name}.conf
%doc CHANGES.jp ChangeLog README README.jp WHATIS WHATIS.jp
%dir %{_var}/lib/canna
%config(noreplace) %{_sysconfdir}/logrotate.d/canna
%config(noreplace) %{_var}/lib/canna/default.canna
%{_var}/lib/canna/sample
%dir %attr(755,canna,canna) %{_var}/lib/canna/dic
%dir %attr(755,canna,canna) %{_var}/lib/canna/dic/canna
%attr(644,canna,canna) %config(noreplace) %{_var}/lib/canna/dic/*.cbp
%attr(644,canna,canna) %config(noreplace) %{_var}/lib/canna/dic/canna/*
%attr(755,canna,canna) %dir %{_var}/log/canna

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{libname}-devel
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/*
