%define __python %{__python3}

# comment out when not pre-release
%define	prel	svn20190422

%define rel	10

Name:		canorus
Version:	0.7.3
Release:	%mkrel %{?prel:0.%prel.}%{rel}
Summary:	A music score editor
Group:		Education
License:	GPLv3
Url:		https://canorus.sourceforge.net/
Source:		https://sourceforge.net/projects/canorus/files/%{version}/%{name}-%{version}%{?prel}.tar.bz2
# userguide does not honour DESTDIR: add it
Patch1:		%{name}-0.7.3-DESTDIR.patch
# https://sourceforge.net/p/canorus/bugs/50/
Patch2:		%{name}-0.7.3-qt-translations.patch
# userguid was not installed, hide from menu
Patch3:		%{name}-0.7.3-no-userguid.patch

BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5WebEngineWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(alsa)

Recommends:		qttranslations5

%description
Canorus is a free cross-platform music score editor.
It supports an unlimited number and length of staffs, polyphony,
a MIDI playback of notes, chord markings, lyrics, import/export filters
to formats like MIDI, MusicXML, ABC Music, MusiXTeX and LilyPond.

%package doc
Summary:	Canorus documentation
Group:		Documentation
BuildArch:	noarch

%description doc
Canorus developers guide.
The documentation is available in many formats:
	* PDF
	* Html
	* Qt Help

%prep
%setup -q -n %{name}-%{version}%{?prel}
%autopatch -p1

# set correct version
echo %{version}%{?prel} > VERSION

%build
%cmake_qt5 \
	-DNO_RUBY:BOOL=TRUE \
	-DNO_SWIG:BOOL=TRUE \
	-DNO_PYTHON:BOOL=TRUE
%cmake_build

pushd doc
pushd developersguide
%make_build
popd

#pushd usersguide2
#make_build all
#popd
popd

%install
%cmake_install

# desktop file
mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

# manpage
mkdir -p %{buildroot}%{_mandir}/man6
install -m 644 debian/canorus.6 %{buildroot}%{_mandir}/man6/%{name}.6

# doc files
mkdir -p %{buildroot}%{_docdir}/%{name}
cp -R doc/developersguide %{buildroot}%{_docdir}/%{name}/
#cp -R doc/usersguide2 %%{buildroot}%%{_datadir}/%%{name}/doc/

# cleanup
find %{buildroot}%{_docdir}/%{name} -name "Makefile*" -type f -delete
find %{buildroot}%{_docdir}/%{name} -name "cmake*" -type f -delete
rm -rf %{buildroot}%{_datadir}/%{name}/{README,NEWS,AUTHORS,DEVELOPERS,COPYING,VERSION}

%files
%doc README NEWS AUTHORS DEVELOPERS VERSION
%license COPYING
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/examples/
%{_datadir}/%{name}/images/
%{_datadir}/%{name}/fonts/
%{_datadir}/%{name}/lang/
%{_datadir}/%{name}/plugins/
%{_datadir}/%{name}/scripts/
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man6/%{name}.6.*

%files doc
%doc doc/Readme-doc.txt
%{_docdir}/%{name}/
