Name:		cantata
Version:	3.3.0
Release:	%mkrel 1
Summary:	Graphical client for the Music Player Daemon (MPD)
License:	GPLv2+
Group:		Graphical desktop/KDE
# https://github.com/CDrummond/cantata/
# Cantata is no longer maintained, repo at CDrummond is now archived,
# but new fork appears that also support QT6 (above url)
URL:		https://github.com/nullobsi/cantata
Source0:	https://github.com/nullobsi/cantata/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	cdparanoia
BuildRequires:	media-player-info
BuildRequires:	cdda-devel
BuildRequires:	ebur128-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	qt6-qtmultimedia
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Multimedia)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Sql)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)
BuildRequires:	pkgconfig(avahi-client)
BuildRequires:	pkgconfig(libcddb)
BuildRequires:	pkgconfig(libmpg123)
BuildRequires:	pkgconfig(libmtp)
BuildRequires:	pkgconfig(libmusicbrainz5)
BuildRequires:	pkgconfig(libvlc)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(taglib) >= 2.0
BuildRequires:	pkgconfig(speexdsp)
BuildRequires:	pkgconfig(udev)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(zlib)

Requires:	qt6-qtmultimedia
Recommends:	media-player-info
Recommends:	mpd

%description
Cantata is a (yet another!) graphical client for the music player daemon (MPD).

Supporting features:
  * Multiple MPD collections.
  * Highly customisable layout.
  * Songs grouped by album in play queue.
  * Context view to show artist, album, and song information of current track.
  * Simple tag editor.
  * File organizer - use tags to organize files and folders.
  * Ability to calculate ReplyGain tags.
  * Dynamic playlists.
  * Online services; Jamendo, Magnatune, SoundCloud, and Podcasts.
  * Radio stream support - with the ability to search for streams via TuneIn,
    ShoutCast, or Dirble.
  * USB-Mass-Storage and MTP device support.
  * Audio CD ripping and playback.
  * Playback of non-MPD songs, via simple in-built HTTP server if connected
    to MPD via a standard socket, otherwise filepath is sent to MPD.
  * MPRISv2 DBUS interface.
  * Support for KDE global shortcuts (KDE builds), GNOME media keys, and
    standard media keys (via Qxt support).
  * Ubuntu/ambiance theme integration.
  * Basic support for touch-style interface (views are made 'flickable').
  * Scrobbling.
  * Ratings support.

%files
%doc AUTHORS ChangeLog README TODO
%license LICENSE
%{_bindir}/%{name}
%{_libexecdir}/Cantata/
%{_datadir}/applications/dog.unix.%{name}.Cantata.desktop
%{_datadir}/Cantata/
%{_iconsdir}/hicolor/*/apps/*%{name}*.*
%{_metainfodir}/dog.unix.%{name}.Cantata.metainfo.xml

#------------------------------------------------------------------------------

%prep
%autosetup -p1

# Hack to fix install path for x86_64 build
# TODO report upstream for a fix -done.
sed -i -e 's|LINUX_LIB_DIR lib|LINUX_LIB_DIR %{_lib}|g' CMakeLists.txt

%build
%cmake_qt6 \
	-DENABLE_HTTP_STREAM_PLAYBACK=ON \
	-DENABLE_REMOTE_DEVICES=ON
%cmake_build

%install
%cmake_install
