%define major		0
%define gir_major	1.0
%define libname		%mklibname %{name} %{major}
%define libnamedevel	%mklibname %{name} -d
%define girname		%mklibname %{name}-gir %{gir_major}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		caribou
Version:	0.4.21
Release:	%mkrel 17
Summary:	A simplified in-place on-screen keyboard
Group:		Accessibility
License:	LGPLv2+
URL:		https://wiki.gnome.org/Caribou
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# https://bugzilla.gnome.org/show_bug.cgi?id=791001
Patch0:		fix-style-css.patch
# CVE  https://gitlab.com/linuxmint/pins/mint/caribou/-/commit/00653c5dcc4be5e983b670d00d5724fc21da2e82
Patch1:		00653c5dcc4be5e983b670d00d5724fc21da2e82.patch
Patch2:		caribou-0.4.21-fix-build.patch
# from fedora
Patch3:		drop_gir_patch.patch

BuildRequires:	pkgconfig(atspi-2)
BuildRequires:	pkgconfig(clutter-1.0) >= 1.5.11
BuildRequires:	pkgconfig(gdk-3.0) >= 3.0.0
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(libxklavier)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(pygobject-3.0) >= 2.90.3
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-gobject
BuildRequires:	intltool
BuildRequires:	gnome-doc-utils
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
Requires:	python3-pyatspi
Requires:	python3dist(pygobject)

%description
Caribou is a text entry application that currently manifests itself as
a simplified in-place on-screen keyboard.

%package	gtk2
Summary:	GTK2 Integration for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description	gtk2
GTK2 Integration for %{name}.

%package	gtk3
Summary:	GTK3 Integration for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description	gtk3
GTK3 Integration for %{name}.

%package -n	%{libname}
Summary:	Library files for %{name}
Group:		System/Libraries
Requires:	%{name}

%description -n %{libname}
Library files for %{name}.

%package -n	%{libnamedevel}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{libnamedevel}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%autosetup -p1
autoreconf -fiv
find -name '*.vala' -exec touch {} \;

%build
%configure --disable-static PYTHON=python3
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang caribou

%files -f caribou.lang
%doc NEWS README
%{_bindir}/caribou-preferences
%{_datadir}/caribou
%{_datadir}/antler
%{_datadir}/dbus-1/services/org.gnome.Caribou.Antler.service
%{_datadir}/dbus-1/services/org.gnome.Caribou.Daemon.service
%{_libexecdir}/antler-keyboard
%{_libexecdir}/caribou
%{_sysconfdir}/xdg/autostart/caribou-autostart.desktop
%{_datadir}/glib-2.0/schemas/*
%{python3_sitelib}/caribou/

%files gtk2
%{_libdir}/gtk-2.0/modules/libcaribou-gtk-module.so

%files gtk3
%{_libdir}/gtk-3.0/modules/libcaribou-gtk-module.so
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/caribou-gtk-module.desktop

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Caribou-%{gir_major}.typelib

%files -n %{libnamedevel}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/caribou-%{gir_major}.pc
%{_datadir}/gir-1.0/Caribou-%{gir_major}.gir
%{_datadir}/vala/vapi/caribou-1.0.deps
%{_datadir}/vala/vapi/caribou-1.0.vapi
