%define oname   cars-sports-racing

%define rev     645

Name:           cars-sports-racing-data-season3
Version:        1.0.5.1
Release:        %mkrel 1
Summary:        Season 3 data for Cars Sports Racing
Group:          Games/Simulation
License:        GPLv2
URL:            https://www.cars-sports-racing.net
Source0:        https://sourceforge.net/projects/cars-sports-racing/files/%{version}/%{oname}-src-season3-cars-and-tracks-%{version}.tar.xz

BuildArch:      noarch
Requires:       %{oname}-data-base >= %{version}
Requires:       %{oname}-data-season2 >= %{version}

%description
Season 3 data for Cars Sports Racing.

- new tracks: corkscrew, prenzlau, milky-five
- new cars: 01GPA, Supercars class A
- new robots: axiom_01GPA, shadow_01GPA, usr_01GPA, axiom_sca,
  shadow_sca, usr_sca
- adds mods: 01GPA races, SC-A races

%prep
%autosetup -c

%build
#NOTHING TO DO!!!

%install
mkdir -p %{buildroot}%{_gamesdatadir}/%{oname}
cp -a data/* %{buildroot}%{_gamesdatadir}/%{oname}/

find %{buildroot} -name "CMakeLists.txt" -delete

%files
%{_gamesdatadir}/%{oname}/tracks/grandprix/corkscrew/
%{_gamesdatadir}/%{oname}/tracks/road/prenzlau/
%{_gamesdatadir}/%{oname}/tracks/speedway/milky-five/

%{_gamesdatadir}/%{oname}/config/raceman/01GPA-practice.xml
%{_gamesdatadir}/%{oname}/config/raceman/01GPA-championship*.xml
%{_gamesdatadir}/%{oname}/config/raceman/01GPA-challenge*.xml
%{_gamesdatadir}/%{oname}/config/raceman/01GPA-endurance*.xml
%{_gamesdatadir}/%{oname}/config/raceman/SC-A-practice.xml
%{_gamesdatadir}/%{oname}/config/raceman/SC-A-championship*.xml
%{_gamesdatadir}/%{oname}/config/raceman/SC-A-challenge*.xml
%{_gamesdatadir}/%{oname}/config/raceman/SC-A-endurance*.xml

%{_gamesdatadir}/%{oname}/cars/models/01gpa-ffr/
%{_gamesdatadir}/%{oname}/cars/models/01gpa-furia/
%{_gamesdatadir}/%{oname}/cars/models/01gpa-hartbill-2002/
%{_gamesdatadir}/%{oname}/cars/models/01gpa-murasama/
%{_gamesdatadir}/%{oname}/cars/models/01gpa-team-lynx/
%{_gamesdatadir}/%{oname}/cars/models/sc-lynx-220/
%{_gamesdatadir}/%{oname}/cars/models/sc-spirit-300/
%{_gamesdatadir}/%{oname}/cars/models/sc-vieringe-4s/
%{_gamesdatadir}/%{oname}/drivers/*_01GPA/
%{_gamesdatadir}/%{oname}/drivers/*_sca/
