%define oname   cars-sports-racing

%define rev     645

Name:           cars-sports-racing-data-season5
Version:        1.0.5.1
Release:        %mkrel 1
Summary:        Season 5 data for Cars Sports Racing
Group:          Games/Simulation
License:        GPLv2
URL:            https://www.cars-sports-racing.net
Source0:        https://sourceforge.net/projects/cars-sports-racing/files/%{version}/%{oname}-src-season5-cars-and-tracks-%{version}.tar.xz

BuildArch:      noarch
Requires:       %{oname}-data-base = %{version}
Requires:       %{oname}-data-season2 = %{version}
Requires:       %{oname}-data-season3 = %{version}
Requires:       %{oname}-data-season4 = %{version}

%description
Season 5 data for Cars Sports Racing.

- new tracks: dijon, jarama, hidden-valley, migrants, ruudskogen
  brighton, cagliari, casablanca, garguree, ole-road-1
  atlanta, longday, salty
- new cars: LS1, 36GP
- new robots: axiom_ls1, shadow_ls1, usr_ls1, axiom_36GP
- adds mods: LS1 races, 36GP races

%prep
%autosetup -c

%build

%install
mkdir -p %{buildroot}%{_gamesdatadir}/%{oname}
cp -a data/* %{buildroot}%{_gamesdatadir}/%{oname}/

find %{buildroot} -name "CMakeLists.txt" -delete

%files
%{_gamesdatadir}/%{oname}/tracks/circuit/bueno/
%{_gamesdatadir}/%{oname}/tracks/circuit/nordschleife/

%{_gamesdatadir}/%{oname}/tracks/grandprix/ardennen-spa

%{_gamesdatadir}/%{oname}/tracks/road/pinabashi/
%{_gamesdatadir}/%{oname}/tracks/road/lombaro/
%{_gamesdatadir}/%{oname}/tracks/road/street-1/

%{_gamesdatadir}/%{oname}/config/raceman/LS1-practice.xml
%{_gamesdatadir}/%{oname}/config/raceman/LS1-championship*.xml
%{_gamesdatadir}/%{oname}/config/raceman/LS1-challenge*.xml
%{_gamesdatadir}/%{oname}/config/raceman/LS1-endurance*.xml

%{_gamesdatadir}/%{oname}/config/raceman/36GP-practice.xml
%{_gamesdatadir}/%{oname}/config/raceman/36GP-championship*.xml
%{_gamesdatadir}/%{oname}/config/raceman/36GP-challenge*.xml
%{_gamesdatadir}/%{oname}/config/raceman/36GP-endurance*.xml

%{_gamesdatadir}/%{oname}/cars/models/ls1-archer-r9/
%{_gamesdatadir}/%{oname}/cars/models/ls1-cavallo-570s1/
%{_gamesdatadir}/%{oname}/cars/models/ls1-marisatech-gt4r/
%{_gamesdatadir}/%{oname}/cars/models/ls1-newcastle-fury/
%{_gamesdatadir}/%{oname}/cars/models/ls1-taipan-ltsr/
%{_gamesdatadir}/%{oname}/cars/models/ls1-toro-rgt/
%{_gamesdatadir}/%{oname}/cars/models/ls1-vulture-v5r/
%{_gamesdatadir}/%{oname}/cars/models/ls1-vulture-v6r/
%{_gamesdatadir}/%{oname}/cars/models/ls1-zentek-z7r/

%{_gamesdatadir}/%{oname}/cars/models/36gp-century-r11b/
%{_gamesdatadir}/%{oname}/cars/models/36gp-ettore-t59/
%{_gamesdatadir}/%{oname}/cars/models/36gp-milano-12c36/
%{_gamesdatadir}/%{oname}/cars/models/36gp-milano-tipop3/
%{_gamesdatadir}/%{oname}/cars/models/36gp-motorunion-typec/
%{_gamesdatadir}/%{oname}/cars/models/36gp-silber-w25b/
%{_gamesdatadir}/%{oname}/cars/models/36gp-tridenti-6c34/
%{_gamesdatadir}/%{oname}/cars/models/36gp-tridenti-v8ri/

%{_gamesdatadir}/%{oname}/drivers/*_ls1/
%{_gamesdatadir}/%{oname}/drivers/*_36GP/
