%global debug_package %{nil}
%define libnamedev %mklibname catch2 -d

Name:           catch
Version:        2.13.8
Release:        %mkrel 1
Summary:        A modern, C++-native, header-only, framework for unit-tests, TDD and BDD
Group:          System/Libraries
License:        Boost
URL:            https://github.com/philsquared/Catch
Source0:        https://github.com/philsquared/Catch/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  python3

%description
Catch stands for C++ Automated Test Cases in Headers and is a
multi-paradigm automated test framework for C++ and Objective-C (and,
maybe, C). It is implemented entirely in a set of header files, but
is packaged up as a single header for extra convenience.


%package -n     %{libnamedev}
Summary:        Development files for %{name}
Group:          System/Libraries
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{name}2-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < 1.2.1-4

%description -n %{libnamedev}
Catch stands for C++ Automated Test Cases in Headers and is a
multi-paradigm automated test framework for C++ and Objective-C (and,
maybe, C). It is implemented entirely in a set of header files, but
is packaged up as a single header for extra convenience.


%prep
%autosetup -p 1 -n Catch2-%{version}
# No python, just python3
sed -i -e "s|COMMAND python |COMMAND python3 |" projects/CMakeLists.txt


%build
%cmake -DCATCH_ENABLE_WERROR=OFF
%cmake_build


%install
%cmake_install
rm -rf %{buildroot}%{_docdir}


%check
%ctest


%files -n %{libnamedev}
%doc README.md CODE_OF_CONDUCT.md docs
%license LICENSE.txt
%{_includedir}/catch2/
%{_datadir}/Catch2/
%{_datadir}/pkgconfig/catch2.pc
%{_libdir}/cmake/Catch2/
