%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	A handy file search tool
Name:		catfish
Version:	4.20.0
Release:	%mkrel 2
Group:		File tools
License:	GPLv2+
URL:		https://docs.xfce.org/apps/catfish/start
Source0:	https://archive.xfce.org/src/apps/catfish/%{url_ver}/catfish-%{version}.tar.bz2
BuildArch:	noarch
BuildRequires:	meson
BuildRequires:	pkgconfig(gdk-3.0)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfconf-0)
BuildRequires:	pkgconfig(pango)
BuildRequires:	python3dist(dbus-python)
BuildRequires:	python3dist(pygobject)
BuildRequires:	python3dist(pexpect)
Requires:	python3dist(dbus-python)
Requires:	python3dist(pygobject)
Requires:	python3dist(pexpect)
Requires:	locate
Requires:	findutils

%description
Catfish is a handy file searching tool for Linux and Unix. The
interface is intentionally lightweight and simple, using only
GTK+3. You can configure it to your needs by using several
command line options.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

desktop-file-edit \
	--remove-category="Utility" \
	--add-category='System' \
	%{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS README* NEWS
%{_bindir}/%{name}
%{_datadir}/applications/org.xfce.Catfish.desktop
%{_datadir}/metainfo/catfish.appdata.xml
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/org.xfce.catfish.{png,svg}
%{_mandir}/man1/%{name}.1*
%{python3_sitelib}/catfish*/
