Name:           cave9
Version:        0.4.1
Release:        %mkrel 5
Summary:        A cave exploration game featuring unique controls based on gravity
Group:          Games/Arcade
License:        LGPLv3 and CC-BY-SA and CC-BY and Public Domain
URL:            https://code.google.com/p/cave9
# Repacked from https://github.com/bart9h/cave9 with data (e6896eb)
Source0:        %{name}-%{version}.tar.xz
#Source0:        https://github.com/bart9h/cave9/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         0001-Data-paths-support-games-FHS-dir.patch
Patch1:         cave9-0.4.1-gcc7.patch

BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_net)
BuildRequires:  pkgconfig(SDL_ttf)

%description
Cave 9 is 3D cave exploration game based on the SF-cave game.
You control a jet that maneuvers through a series of caves and the objective
of the game is to avoid colliding with the cave walls.

%prep
%autosetup -p1

sed -i src/GNUmakefile -e "s/-Wall -Werror -ggdb//"

%build
%set_build_flags
export CFLAGS="%{optflags} -Wno-error=unused-result"
%make_build

%install
install -D -m755 cave9 %{buildroot}%{_gamesbindir}/%{name}

install -d %{buildroot}%{_gamesdatadir}/%{name}
cp -a data/* %{buildroot}%{_gamesdatadir}/%{name}/

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Cave 9
GenericName=3D gravity game
Comment=3D gravity cave exploration game
Exec=%{name}
Icon=%{name}
Type=Application
Categories=Game;ArcadeGame;
EOF

install -D -m644 data/icon.png %{buildroot}%{_datadir}/icons/%{name}.png

# Taken from Fedora's package
install -d %{buildroot}%{_datadir}/appdata
cat << EOF > %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Ravi Srinivasan <ravishankar.srinivasan@gmail.com> -->
<application>
  <id type="desktop">cave9.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <summary>A cave exploration game featuring unique controls based on gravity</summary>
  <description>
    <p>
      cave9 is 3D cave exploration game based on the SF-cave game.
      You control a jet that maneuvers through a series of caves and the objective
      of the game is to avoid colliding with the cave walls.
    </p>
  </description>
  <url type="homepage">https://code.google.com/p/cave9</url>
  <!-- Broken URL
  <screenshots>
    <screenshot type="default">http://cave9.googlecode.com/files/cave9-small.jpg</screenshot>
  </screenshots>
  -->
</application>
EOF

%files
%doc AUTHORS.txt README.txt
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/%{name}.png
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
