Name:           cbi-plugins
Version:        1.1.7
Release:        %mkrel 3
Group:          Development/Java
Summary:        A set of helpers for Eclipse CBI
License:        EPL-1.0
URL:            https://git.eclipse.org/c/cbi/org.eclipse.cbi.git/tree/maven-plugins/README.md

Source0:        https://git.eclipse.org/c/cbi/org.eclipse.cbi.git/snapshot/org.eclipse.cbi_maven-plugin-parent_%{version}.tar.xz

BuildRequires:  maven-local
BuildRequires:  mvn(com.google.auto.value:auto-value)
BuildRequires:  mvn(com.google.guava:guava:20.0)
BuildRequires:  mvn(de.pdark:decentxml)
BuildRequires:  mvn(org.apache.commons:commons-compress)
BuildRequires:  mvn(org.apache.httpcomponents:httpclient)
BuildRequires:  mvn(org.apache.httpcomponents:httpmime)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.eclipse.tycho:tycho-core)

# Upstream Eclipse no longer supports non-64bit arches
ExcludeArch: s390 %{arm} %{ix86}
BuildArch: noarch

%description
A set of helpers for Eclipse CBI.

%package javadoc
Summary: Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n org.eclipse.cbi_maven-plugin-parent_%{version}
%pom_disable_module eclipse-macsigner-plugin maven-plugins
%pom_disable_module eclipse-winsigner-plugin maven-plugins
%pom_disable_module eclipse-dmg-packager maven-plugins
%pom_disable_module eclipse-flatpak-packager maven-plugins

# Disable plugins not needed for RPM builds
%pom_remove_plugin :spotbugs-maven-plugin
%pom_remove_plugin :maven-checkstyle-plugin
%pom_remove_plugin :maven-enforcer-plugin

# Build the common module
%pom_xpath_inject pom:modules "<module>../common/</module>" maven-plugins
%pom_remove_dep org.eclipse.cbi:checkstyle common

# Remove separate annotations requirement of auto
%pom_remove_dep :auto-value-annotations . common maven-plugins/common

# Parent pom and common module are "released" independently, but actually nothing changed yet since last releases
sed -i -e 's/1\.0\.6-SNAPSHOT/1.0.5/' pom.xml
sed -i -e 's/1\.2\.4-SNAPSHOT/1.2.3/' common/pom.xml

%build
# Tests require jimfs which is not in Fedora
%mvn_build -f -- -f maven-plugins/pom.xml -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc


