%define major     0
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           ccfits
Version:        2.6
Release:        %mkrel 3
Summary:        An object oriented interface to the cfitsio library
License:        BSD-like
Group:          System/Libraries

URL:            https://heasarc.gsfc.nasa.gov/docs/software/fitsio/ccfits/
Source0:        https://heasarc.gsfc.nasa.gov/docs/software/fitsio/ccfits/CCfits-%{version}.tar.gz
#to remove -rpath in linking, sniffed from Fedora (Sergio Pascual)
Patch0:         CCfits-2.5-norpath.patch
Patch1:         CCfits-2.6-autotools.patch


BuildRequires:  pkgconfig(pkg-config)
BuildRequires:  gcc-c++
BuildRequires:  gcc-gfortran
%ifnarch %arm aarch64
BuildRequires:  quadmath-devel
%endif
BuildRequires:  pkgconfig(cfitsio)
BuildRequires:  autoconf-archive


%description
CCfits is an object oriented interface to the cfitsio library. It is
designed to make the capabilities of cfitsio available to programmers
working in C++. It is written in ANSI C++ and implemented using the
C++ Standard Library with namespaces, exception handling, and member
template functions.


%package -n %{libname}
Summary:        CCfits library
Group:          System/Libraries
Provides:	CCfits = %{version}-%{release}
Provides:	libCCfits = %{version}-%{release}
Obsoletes:	%{_lib}CCfits0 < 2.6

%description -n %{libname}
CCfits is an object oriented interface to the cfitsio library. It is
designed to make the capabilities of cfitsio available to programmers
working in C++. It is written in ANSI C++ and implemented using the
C++ Standard Library with namespaces, exception handling, and member
template functions.


%package -n %{develname}
Summary:        Headers, libraries, & docs for the CCfits library
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Requires:       cfitsio-devel
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:	libCCfits-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:	CCfits-devel = %{version}-%{release}
Obsoletes:	%{_lib}CCfits-devel < 2.6

%description -n %{develname}
This package contains the additional header files, documentation, and
libraries you need to develop programs using the CCfits library.


%prep
%setup -q -n CCfits-%{version}
%autopatch -p1

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

find %{buildroot}%{_libdir} -name *.la -delete
rm -fr %{buildroot}%{_bindir}/cookbook

%files -n %{libname}
%doc CHANGES
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/CCfits/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
