Summary:	Generic USB CCID smart card reader driver
Name:		ccid
Version:	1.4.33
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
URL:		https://ccid.apdu.fr

Source0:	https://ccid.apdu.fr/files/%{name}-%{version}.tar.bz2
Patch0:		ccid-libtool_fixes.diff

BuildRequires:	pkgconfig(libpcsclite)
BuildRequires:	pkgconfig(libusb-1.0)

Requires:	pcsc-lite

%description
Generic USB CCID (Chip/Smart Card Interface Devices) driver for use with the
PC/SC Lite daemon.


%prep
%autosetup -p1


%build
./bootstrap
%configure --enable-twinserial

%make_build


%install
%make_install
cp -p src/openct/LICENSE LICENSE.openct
cp -f src/towitoko/README README.towitoko

# conf file should be placed inside reader.conf.d
mkdir -p %{buildroot}%{_sysconfdir}/reader.conf.d
mv -f %{buildroot}%{_sysconfdir}/reader.conf.d/libccidtwin %{buildroot}%{_sysconfdir}/reader.conf.d/GemPCTwin-serial.conf

%post
/usr/bin/systemctl try-restart pcscd.service > /dev/null 2>&1


%postun
/usr/bin/systemctl try-restart pcscd.service > /dev/null 2>&1


%files
%doc AUTHORS ChangeLog README.md README.towitoko
%license COPYING LICENSE.openct
%config(noreplace) %{_sysconfdir}/reader.conf.d/*.conf
%{_libdir}/pcsc/drivers/ifd-ccid.bundle/
%{_libdir}/pcsc/drivers/serial/
