Name:		cclive
Version:	0.9.3
Release:	%mkrel 11
Summary:	A tool for downloading media from YouTube and similar websites
License:	GPLv3
URL:		https://cclive.sourceforge.net/
Group:		Networking/WWW
Source0:	https://download.sourceforge.net/cclive/%{name}-%{version}.tar.xz
Patch0:		cclive-0.9.3-iostream.patch
Patch1:		cclive-0.9.3_gcc5.patch
Patch2:		cclive-0.9.3-boost-1.67.patch
BuildRequires:	pkgconfig(glib-2.0) >= 2.24
BuildRequires:	pkgconfig(glibmm-2.4) >= 2.24
BuildRequires:	pkgconfig(libcurl) >= 7.18.0
BuildRequires:	pkgconfig(libpcre) >= 8.02
BuildRequires:	pkgconfig(libpcrecpp) >= 8.02
BuildRequires:	pkgconfig(libquvi-0.9) >= 0.9
BuildRequires:	boost-devel

%description
A tool for downloading media from YouTube and similar websites.
It has a low memory footprint compared to other existing tools.

Features:
- Retries interrupted downloads automatically
- Runs as a background process if preferred
- Use video ID, title, etc. in filenames
- Supports many (40+) websites, see quvi
- Configuration file support
- Bandwidth throttle

%prep
%setup -q
%autopatch -p1

%build
# Needed to push cclive-0.9.3_gcc5.patch changes to configure
autoconf
export CXXFLAGS="%{optflags} -std=c++11"
%configure
%make_build

%install
%make_install

%files
%doc README NEWS COPYING ChangeLog
%{_bindir}/*
%{_mandir}/*/%{name}.*
