%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		ccnet
Version:	6.1.8
Release:	%mkrel 11
Summary:	Framework for writing networked applications in C
License:	GPLv3+
Group:		Networking/File transfer
URL:		https://github.com/haiwen/ccnet
Source0:	https://github.com/haiwen/ccnet/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		fix-async-client-py3.patch
Patch1:		fix-packet-py3.patch

BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(jansson)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libevent)
BuildRequires:	pkgconfig(uuid) >= 2.0
BuildRequires:	pkgconfig(libsearpc)
BuildRequires:	pkgconfig(python3)
BuildRequires:	vala >= 0.26
# server requirements
BuildRequires:	pkgconfig(zdb)

Requires:	python3dist(ccnet) = %{version}-%{release}

%description
Ccnet is a framework for writing networked applications in C.

#----------------------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n	%{libname}
Ccnet is a framework for writing networked applications in C.
This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%package -n	python3-%{name}
Summary:	Python 3 bindings for %{name}
Group:		Development/Python
BuildArch:	noarch
Provides:	python3dist(ccnet) = %{version}-%{release}
Obsoletes:	python-ccnet < 6.0.7-2
Provides:	python-ccnet = %{version}-%{release}

Obsoletes:	python2-ccnet < 6.1.8-3

%description -n	python3-%{name}
Ccnet is a framework for writing networked applications in C.
This package contains the python 3 bindings for %{name}.

#----------------------------------------------------

%prep
%autosetup -p1

sed -i -e /\(DESTDIR\)/d libccnet.pc.in

NOCONFIGURE=1 ./autogen.sh

%build
%configure \
	--disable-static \
	--disable-compile-demo \
	PYTHON=%{__python3}
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc HACKING README.markdown
%license LICENSE.txt
%{_bindir}/%{name}
%{_bindir}/%{name}-init

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc HACKING README.markdown
%{_includedir}/*
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc

%files -n python3-%{name}
%doc HACKING README.markdown
%{python3_sitearch}/%{name}/
