%define major      3
%define libname    %mklibname %{name} %{major}
%define libnamedev %mklibname %{name} -d

Name:           ccrtp
Version:        2.1.2
Release:        %mkrel 5
License:        GPLv2+
Summary:        Common C++ class framework for RTP/RTCP
Group:          System/Libraries
URL:            https://www.gnu.org/software/commoncpp/
Source0:        https://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.gz
Source1:        https://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.gz.sig

BuildRequires:  libcommoncpp2-devel >= 1.7.0
BuildRequires:  doxygen
BuildRequires:  libgcrypt-devel
BuildRequires:  pkgconfig(ucommon)

%description
ccRTP is a generic, extensible and efficient C++ framework for
developing applications based on the Real-Time Transport Protocol
(RTP) from the IETF. It is based on Common C++ and provides a full
RTP/RTCP stack for sending and receiving of realtime data by the use
of send and receive packet queues. ccRTP supports unicast,
multi-unicast and multicast, manages multiple sources, handles RTCP
automatically, supports different threading models and is generic as
for underlying network and transport protocols.

%package -n     %{libname}
Summary:        Common C++ class framework for RTP/RTCP
Group:          System/Libraries

Obsoletes:      %{_lib}ccrtp2 < 2.2.1-4
Provides:       %{_lib}ccrtp2 = %{version}-%{release}

%description -n %{libname}
ccRTP is a generic, extensible and efficient C++ framework for
developing applications based on the Real-Time Transport Protocol
(RTP) from the IETF. It is based on Common C++ and provides a full
RTP/RTCP stack for sending and receiving of realtime data by the use
of send and receive packet queues. ccRTP supports unicast,
multi-unicast and multicast, manages multiple sources, handles RTCP
automatically, supports different threading models and is generic as
for underlying network and transport protocols.

This package contains the shared library part of ccrtp.

%package -n     %{libnamedev}
Summary:        Header files and libraries for %{name} development
Group:          Development/Other
# Some of the headers are LGPLv2+
License:        GPLv2+ and LGPLv2+

Provides:       ccrtp-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Requires:       libcommoncpp2-devel

%description -n %{libnamedev}
The %{libnamedev} package contains the header files and libraries needed
to develop programs that use the %{name} library.


%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc COPYING README COPYING.addendum
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{libnamedev}
%doc doc/html
%{_includedir}/ccrtp
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/libccrtp.pc
%{_infodir}/*
