Summary: CDDB server
Name: cddbd
Version: 1.5.2
Release: %mkrel 5
License: GPL
Group: Databases
Source: %name-%version.tar.gz
Source1: cddbd.service

%description
This is the CDDB server

%prep
rm -rf $RPM_BUILD_ROOT

%setup 
# We need to do that to avoid the interactive config.sh script
echo "ACCESSFILE %{_datadir}/%{name}/access" > .accessfile
echo "SECUSERS " >> .accessfile
echo "#define ACCESSFILE \"%{_datadir}/%{name}/access\"" > access.h
echo "char *secure_users[] = {0};" > secure.c

cat > configurables.h << __EOF__
/* Generated by config.sh - do not edit */
#ifndef __CONFIGURABLES_H__
#define __CONFIGURABLES_H__

#undef DB_WINDOWS_FORMAT
#undef DB_WINDOWS_FORMAT_USE_RANGES
#undef DONT_RESOLVE_ADDRESS

#endif /* __CONFIGURABLES_H__ */
__EOF__

%build
make CFLAGS="$RPM_OPT_FLAGS -Wall"

%install
export BASEDIR="$RPM_BUILD_ROOT/%{_datadir}/%{name}"
export CDDBDIR="$RPM_BUILD_ROOT/%{_datadir}/cddb"
install -m 755 -d $BASEDIR $CDDBDIR 
install -m 644 sites.hdr $BASEDIR/sites
install -m 600 passwd.hdr $BASEDIR/passwd
install -m 755 -d $RPM_BUILD_ROOT/%{_sbindir}
install -m 755 %{name} $RPM_BUILD_ROOT/%{_sbindir}
install -m 755 -d $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 644 %{name}.1 $RPM_BUILD_ROOT/%{_mandir}/man1

install -m 644 access.hdr access
echo "motdfile:     %{_datadir}/%{name}/motd" >> access
echo "sitefile:     %{_datadir}/%{name}/sites" >> access
echo "pwdfile:      %{_datadir}/%{name}/passwd" >> access
echo "workdir:      %{_datadir}/%{name}" >> access
echo "cddbdir:      %{_datadir}/cddb" >> access
echo "postdir:      %{_datadir}/cddb" >> access
echo "dup_policy:   always" >> access
echo "logging:      errors hello access" >> access
echo "post_lines:   1024" >> access
echo "put_size:     102400"  >> access
echo "users:        100" >> access
echo "fuzzy_factor: 900" >> access
echo "fuzzy_div:    4" >> access
echo "xmit_time:    600" >> access
echo "input_time:   300" >> access
echo "access_time:  600" >> access
echo "connect_time: 3600" >> access
echo "elapse_time:  500" >> access
echo "delay_time:   250" >> access
echo "email_time:   500" >> access
echo "lock_time:    250" >> access
echo "lock_wait:    60" >> access
echo "hang_time:    60" >> access
echo "max_hangs:    10" >> access
echo "log_hiwat:    10240000" >> access
echo "log_lowat:    7680000" >> access
echo "strip_ext:    no" >> access
echo "ck_berzerk:   yes" >> access
echo "file_charset: prefer_iso" >> access
echo "utf_as_iso:   reject" >> access
echo "user:         cddb" >> access
echo "group:        cddb" >> access
echo "file_mode:    644" >> access
echo "dir_mode:     755" >> access
echo "db_user:      cddb" >> access
echo "db_group:     cddb" >> access
echo "db_file_mode: 644" >> access
echo "db_dir_mode:  755" >> access
echo "host_perms:   ches default connect nopost noupdate noget noput nopasswd" >> access
#echo "host_perms:   sc *.freedb.org connect post update \c" >> access
#echo "get noput npasswd" >> access
#echo "host_perms:   che default connect nopost noupdate noget \c" >> access
#echo "noput npasswd" >> access
#echo "host_perms:   s default noconnect nopost noupdate noget \c" >> access
#echo "noput npasswd" >> access
install -m 644 access $BASEDIR/access

echo "Welcome to Mageia's %{name} server" > $BASEDIR/motd
install -m644 %{SOURCE1} -D %{buildroot}/lib/systemd/system/%{name}.service

%post
%{_sbindir}/%{name} -fd
%_post_service %{name}

%pre
groupadd cddb
useradd -d /usr/share/%{name} -g cddb -s /bin/false cddb 
echo "apphost:      `uname -n`" >> %{_datadir}/%{name}/access

%postun
groupdel cddb
%_postun_userdel cddb

%preun
%_preun_service %{name}

%files
%defattr(-,root,root)
%attr(0755,cddb,cddb) %dir %{_datadir}/%{name}
%attr(0755,cddb,cddb) %dir %{_datadir}/cddb
%attr(0644,cddb,cddb) %config(noreplace) %{_datadir}/%{name}/*
%doc COPYING README CDDBPROTO CDDBD_HOWTO CHANGELOG DBFORMAT MANIFEST submit.cgi.template
%{_sbindir}/*
%{_mandir}/man1/*
/lib/systemd/system/%{name}.service
