Name:		cdemu-client
Version:	3.2.5
Summary:	Command-line client for controlling CDEmu daemon
Release:	%mkrel 2
Group:		Emulators
License:	GPLv2+
URL:		https://cdemu.sourceforge.io/
Source:		https://downloads.sourceforge.net/cdemu/%{name}-%{version}.tar.xz
Patch0:		cdemu-client-3.2.5-fix-install.patch
BuildArch:	noarch
BuildRequires:	python3
BuildRequires:	intltool
BuildRequires:	glib-gettextize
BuildRequires:	cmake
BuildRequires:	pkgconfig(bash-completion)
Requires:	python3dist(dbus-python)
Requires:	cdemu-daemon >= %{version}

%description
This is cdemu-client, a simple command-line client for controlling
CDEmu daemon. It is part of the userspace-cdemu suite, a free, GPL
CD/DVD-ROM device emulator for linux.

It provides a way to perform the key tasks related to controlling
the CDEmu daemon, such as loading and unloading devices, displaying
devices' status and retrieving/setting devices' debug masks.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%find_lang cdemu

%files -f cdemu.lang
%doc README AUTHORS ChangeLog
%license COPYING
%{_datadir}/bash-completion/completions/cdemu
%{_bindir}/cdemu
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/cdemu-client.svg
%{_mandir}/man1/cdemu.1*
