Name:		cdemu-daemon
Version:	3.2.7
Summary:	Userspace daemon part of the CDemu suite
Release:	%mkrel 1
Group:		Emulators
License:	GPLv2+
URL:		https://cdemu.sourceforge.io/
Source0:	https://downloads.sourceforge.net/cdemu/%{name}-%{version}.tar.xz
Source1:	50-cdemud.rules
Source2:	README.1.4.0.upgrade.urpmi
BuildRequires:	pkgconfig(libmirage) >= 3.2.1
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(ao)
BuildRequires:	pkgconfig(libsysfs)
BuildRequires:	cmake
BuildRequires:	intltool
Requires:	kmod(vhba.ko)

%description
The daemon receives SCSI commands from kernel module and processes
them, passing the requested data back to the kernel.

Daemon implements the actual virtual device; one instance per each
device registered by kernel module. It uses libMirage, an image
access library that is part of userspace-cdemu suite, for the image
access (e.g. sector reading).

Daemon is controlled through methods that are exposed via D-BUS. It
is written in C and based on GLib (and thus GObjects), but being
controlled over D-BUS, it allows for different clients written in
different languages.

%prep
%autosetup -p1

cp %{SOURCE2} .

%build
%cmake
%cmake_build

%install
%cmake_install

install -d -m755 %{buildroot}%{_sysconfdir}/modules-load.d
install -d -m755 %{buildroot}/lib/udev/rules.d

echo "vhba" > %{buildroot}%{_sysconfdir}/modules-load.d/cdemud.conf

install %{SOURCE1} %{buildroot}/lib/udev/rules.d/50-cdemud.rules

install -Dp -m0644 service-example/%{name}.service %{buildroot}%{_userunitdir}/%{name}.service
install -Dp -m0644 service-example/net.sf.cdemu.CDEmuDaemon.service %{buildroot}%{_datadir}/dbus-1/services/net.sf.cdemu.CDEmuDaemon.service

%find_lang %{name}

%post
# remove old system-wide service
if [ -e %{_initrddir}/cdemud ]; then
	chkconfig --del cdemud
fi
# apply the new udev rule if module already present
/sbin/modprobe --first-time vhba 2>/dev/null || /sbin/udevadm trigger --sysname-match=vhba_ctl

%files -f %{name}.lang
%doc README AUTHORS README.1.4.0.upgrade.urpmi
%doc service-example/README.md
%{_sysconfdir}/modules-load.d/cdemud.conf
/lib/udev/rules.d/50-cdemud.rules
%{_bindir}/cdemu-daemon
%{_userunitdir}/%{name}.service
%{_datadir}/dbus-1/services/net.sf.cdemu.CDEmuDaemon.service
%{_mandir}/man8/cdemu-daemon.8*
