# (gb) don't use fortify, this package has ugly abuse of memcpy() that we can't cope with if it's a macro
# XXX would be better to define scsi cmds constants instead...
%undefine _fortify_cflags

%define	major		0
%define	fullname	%{name}-III-%version

%define	libname		%mklibname cdda %{major}
%define develname	%mklibname cdda -d

Summary:	Utility to copy digital audio CDs
Name:		cdparanoia
Epoch:		1
Version:	10.2
Release:	%mkrel 23
License:	GPLv2+ and LGPLv2+
Group:		Sound/Utilities
URL:		https://www.xiph.org/paranoia/
Source0:	https://downloads.xiph.org/releases/cdparanoia/%{fullname}.src.tgz
Patch0:		cdparanoia-III-alpha9.8-includes.patch
Patch1:		cdparanoia-III-10.2-gcc43.patch
Patch2:		cdparanoia-III-10.2-format-security.patch
Patch3:		cdparanoia-use-proper-gnu-config-files.patch
Patch4:		cdparanoia-10.2-install.patch
Patch5:		cdparanoia-10.2-ldflags.patch
# https://svn.xiph.org/trunk/cdparanoia@17289
Patch6:		cdparanoia-10.2-add-pkgconfig.patch

%description
This CDDA reader distribution ('cdparanoia') reads audio from the CDROM
directly as data, with no analog step between, and writes the data to a file
or pipe as .wav, .aifc or as raw 16 bit linear PCM.

cdparanoia is a complete rewrite of Heiko Eissfeldt's 'cdda2wav' program,
and generally is much better at succeeding to read difficult discs with
cheap drives.

%package -n	%{libname}
Summary:	Libraries for cdparanoia
Group:		Sound/Utilities

%description -n	%{libname}
This is the development libraries for cdparanoia. cdparanoia is a complete
rewrite of Heiko Eissfeldt's 'cdda2wav' program, and generally is much better 
at succeeding to read difficult discs with cheap drives.

%package -n	%{develname}
Summary:	Development libraries for cdparanoia
Group:		Development/C
Provides:	libcdda-devel = %epoch:%{version}
Provides:	cdda-devel = %epoch:%{version}
Provides:	cdparanoia-devel = %epoch:%{version}
Requires:	%{libname} = %epoch:%{version}

%description -n	%{develname}
This is the development libraries for cdparanoia. cdparanoia is a complete
rewrite of Heiko Eissfeldt's 'cdda2wav' program, and generally is much better 
at succeeding to read difficult discs with cheap drives.

%prep
%autosetup -n %{fullname} -p1

%build
autoreconf -vfi
cp configure.sub config.sub
%configure

make OPT="-fsigned-char -finline-functions -Dsize16='short' -Dsize32='int' $RPM_OPT_FLAGS" LDFLAGS="%{ldflags}"

%install
%make_install

%files
%doc README
%{_bindir}/cdparanoia
%{_mandir}/man1/cdparanoia.1*

%files -n %{libname}
%license COPYING*
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
