Summary:	Cdrdao - Write CDs in disk-at-once mode
Name:		cdrdao
Version:	1.2.5
Release:	%mkrel 3
License:	GPLv2+
Group:		Archiving/Cd burning
URL:		https://cdrdao.sourceforge.net/
Source0:	https://prdownloads.sourceforge.net/cdrdao/%{name}-%{version}.tar.bz2
# https://github.com/cdrdao/cdrdao/pull/21
# should fix whipper failure with this version of cdrdao:
# https://github.com/whipper-team/whipper/issues/591
# https://bugzilla.redhat.com/show_bug.cgi?id=2238243
Patch:     21.patch
# https://github.com/cdrdao/cdrdao/pull/25
# fixes the "cdrdao version" command broken in 1.2.5 that brasero relies on
Patch1:    cdrdao-1.2.5-Fix-version-command.patch
# https://github.com/cdrdao/cdrdao/pull/35
# Fix build with GCC 15 (C23)
Patch2:    cdrdao-1.2.5-gcc15.patch
Patch10:	mkisofs-changelog.patch
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(ao)
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils

%description
Writes CDs in disc-at-once (DAO) mode allowing control over pre-gaps
(length down to 0, nonzero audio data) and sub-channel information
like ISRC codes. All data that is written to the disc must be
specified with a text file. Audio data may be in WAVE or raw format.

%package	gcdmaster
Summary:	Graphical front end to cdrdao for creating audio CDs
Group:		Archiving/Cd burning
BuildRequires:	pkgconfig(gtkmm-3.0)
Provides:	cdrdao-xdao
Provides:	cdrdao-xcdrdao
Requires:	%{name} = %{version}

%description    gcdmaster
gcdmaster allows the creation of toc-files for cdrdao and can control
the recording process. Its main application is the creation of audio
CDs from one or more audio files. It supports PQ-channel editing,
entry of meta data like ISRC codes/CD-TEXT and non-destructive cut of
the audio data.

%package	toc2mp3
Summary:	Command line MP3 encoder front end to cdrdao
Group:		Sound/Editors and Converters
BuildRequires:	liblame-devel
Requires:	%{name} = %{version}

%description	toc2mp3
This is a command line MP3 encoder that converts audio CD disc images
(toc files) to MP3 files. Special care is taken that the MP3 files can
be played in sequence without having unwanted noise at the transition
points. CD-TEXT information (if available) is used to set ID3 (v2)
tags and to construct the name of the MP3 files.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

# Menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="X-Fedora" \
  --remove-key="Encoding" \
  --add-category="GTK" \
  --add-category="DiscBurning" \
  --set-icon="gcdmaster" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# icon
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
convert -scale 16 gcdmaster/gcdmaster.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/gcdmaster.png
convert -scale 32 gcdmaster/gcdmaster.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/gcdmaster.png
install -m 644 gcdmaster/gcdmaster.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/gcdmaster.png

%files
%doc AUTHORS ChangeLog README README.PlexDAE
%license COPYING
%attr(6755,root,cdwriter) %{_bindir}/cdrdao
%{_bindir}/toc2cue
%{_bindir}/toc2cddb
%{_bindir}/cue2toc
%{_datadir}/%{name}/
%{_mandir}/man1/*

%files gcdmaster
%doc AUTHORS ChangeLog README README.PlexDAE
%license COPYING
%{_bindir}/gcdmaster
%{_datadir}/applications/gcdmaster.desktop
%{_datadir}/application-registry/gcdmaster.applications
%{_datadir}/gcdmaster/
%{_datadir}/glib-2.0/schemas/org.gnome.gcdmaster.gschema.xml
%{_datadir}/mime-info/gcdmaster.keys
%{_datadir}/mime-info/gcdmaster.mime
%{_datadir}/mime/packages/gcdmaster.xml
%{_datadir}/pixmaps/gcdmaster*.png
%{_iconsdir}/hicolor/*/apps/*.png

%files toc2mp3
%doc AUTHORS ChangeLog README README.PlexDAE
%license COPYING
%{_bindir}/toc2mp3
