# filter out bogus auto-requires
%global __requires_exclude ^/usr/bin/csh$

Name:    cdsclient
Version: 3.84
Release: %mkrel 4
Summary: Query astronomical catalogues from the command line

Group:   Sciences/Astronomy
License: GPLv2

URL:     https://cdsarc.u-strasbg.fr/doc/cdsclient.html
Source0: ftp://cdsarc.u-strasbg.fr/pub/sw/%{name}-%{version}.tar.gz
# Patch to get useful debuginfo. strip was called in Makefile before and compiler
# flags were ignored, submitted upstream by email
Patch0:         fix_makefile_debuginfo.patch

#wwwget is not build in this version
Requires: wget

%description
The cdsclient package is a set of C and shell routines which can be
built on Unix stations or PCs running Linux, which once compiled
allow to query some databases located at CDS or on mirrors over the
network.


%prep
%autosetup


%build
%configure
%make_build

%install
%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_mandir}

%make_install PREFIX=%{buildroot}%{_prefix} MANDIR=%{buildroot}%{_mandir}

%__rm -f %{buildroot}%{_prefix}/versions
%__rm -f %{buildroot}%{_mandir}/mantex/aclient.tex
%__rm -f %{buildroot}%{_bindir}/find_cats.gz
%__install -d %{buildroot}%{_datadir}/cdsclient
mv %{buildroot}%{_bindir}/abibcode.awk %{buildroot}%{_datadir}/cdsclient/abibcode.awk

%files
%doc aclient.tex
%{_bindir}/abibcode
%{_bindir}/aclient
%{_bindir}/aclient_cgi
%{_bindir}/Detex
%{_bindir}/catcat
%{_bindir}/find*
#commented upstream
#%%{_bindir}/wwwget
%{_bindir}/lscat
%{_bindir}/sesame
%{_bindir}/simbib
%{_bindir}/simref
%{_bindir}/vizquery
%{_datadir}/cdsclient/abibcode.awk
%{_mandir}/man1/aclient.1*
%{_mandir}/man1/wwwget.1*
%{_mandir}/man3/sk.3*
