%global opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)
%global debug_package %{nil}

%global ocaml_major 4.00
%global ocaml_minor 1

# Disabled for 3.11.2+rc1, 3.12.0, 3.12.1, 4.00.0.
%global with_ocamlduce 0

%if %{with_ocamlduce}
%global ocamlduce_version %{ocaml_major}.%{ocaml_minor}.0
%endif

Name:           cduce
Version:        0.5.5
Release:        %mkrel 3
Summary:        Modern XML-oriented functional language

Group:          Development/OCaml
License:        BSD
URL:            https://www.cduce.org/

Source0:        https://www.cduce.org/download/%{name}-%{version}.tar.gz
%if %{with_ocamlduce}
Source1:        https://caml.inria.fr/distrib/ocaml-%{ocaml_major}/ocaml-%{ocaml_major}/ocaml-%{ocaml_major}.%{ocaml_minor}.tar.gz
#Source2:        https://forge.ocamlcore.org/frs/download.php/225/ocamlduce-%{ocamlduce_version}.tar.gz
Source2:         http://debian.glondu.net/debian/ocaml-3.12.0/pool/ocamlduce/ocamlduce_3.12.0.0.orig.tar.gz
%endif

BuildRequires:  ocaml = %{ocaml_major}.%{ocaml_minor}
BuildRequires:  camlp4-devel
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-ocamlnet-devel >= 3.4
BuildRequires:  ocaml-pcre-devel
BuildRequires:  ocaml-pxp-devel >= 1.2.2
BuildRequires:  ocaml-expat-devel
BuildRequires:  ocaml-curl-devel
BuildRequires:  ocaml-ulex-devel
BuildRequires:  pcre-devel
BuildRequires:  bzip2
BuildRequires:  chrpath
BuildRequires:  rpm >= 4.4.2.3-2

%global __ocaml_requires_opts -i Asttypes -i Outcometree -i Parsetree


%description
CDuce is a modern XML-oriented functional language with innovative
features. A compiler is available under the terms of an open-source
license. CDuce is type-safe, efficient, and offers powerful
constructions to work with XML documents.

For ocamlduce (the modified OCaml language which incorporates CDuce
extensions), please install the cduce-ocamlduce package.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%if %{with_ocamlduce}
%package        ocamlduce
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}


%description    ocamlduce
This package contains a modified version of the OCaml language which
incorporates CDuce extensions for working with XML documents.
%endif


%prep
%setup -q -n %{name}-%{version}
%if %{with_ocamlduce}
%setup -q -n %{name}-%{version} -T -D -a 2
%endif

./configure --prefix=%{_prefix} \
  --bindir=%{_bindir} \
  --mandir=%{_mandir} \
  --docdir=%{_docdir} \
  --mliface=ocaml-%{ocaml_major}.%{ocaml_minor}


%build
make all doc
strip cduce
chrpath --delete cduce

%if %{with_ocamlduce}
# Building ocamlduce is a bit more involved ...
pushd ocamlduce-%{ocamlduce_version}
make prepare \
  OCAML_VERSION=%{ocaml_major}.%{ocaml_minor} \
  OCAML_SOURCE=%{SOURCE1} \
  OCAML_SRCDIR=ocaml-%{ocaml_major}.%{ocaml_minor}
cd ocaml-%{ocaml_major}.%{ocaml_minor}
  # Configure must match the one from base ocaml.spec
CFLAGS="$RPM_OPT_FLAGS" ./configure \
    -bindir %{_bindir} \
    -libdir %{_libdir}/ocaml \
    -x11lib %{_libdir} \
    -x11include %{_includedir} \
    -mandir %{_mandir}/man1
make -f Makefile.ocamlduce world world.opt
popd
%endif


%install
rm -rf $RPM_BUILD_ROOT
export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
make install \
  BINDIR=$RPM_BUILD_ROOT%{_bindir} \
  MANDIR=$RPM_BUILD_ROOT%{_mandir} \
  DOCDIR=$RPM_BUILD_ROOT%{_docdir}/%{name}-devel-%{version}

%if %{with_ocamlduce}
# Install ocamlduce.
pushd ocamlduce-%{ocamlduce_version}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/ocaml/ocamlduce
cd ocaml-%{ocaml_major}.%{ocaml_minor}
make -f Makefile.ocamlduce installbyte installopt \
  DUCE_LIBDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml/ocamlduce \
  BINDIR=$RPM_BUILD_ROOT%{_bindir}
popd
%endif


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGES README LICENSE VERSION
%{_libdir}/ocaml/cduce
%if %opt
%exclude %{_libdir}/ocaml/cduce/*.a
%exclude %{_libdir}/ocaml/cduce/*.cmxa
%endif
%{_bindir}/cduce


%files devel
%defattr(-,root,root,-)
%{_libdir}/ocaml/cduce/*.a
%{_libdir}/ocaml/cduce/*.cmxa
%{_mandir}/man1/*.1.*
%{_docdir}/%{name}-devel-%{version}/


%if %{with_ocamlduce}
%files ocamlduce
%defattr(-,root,root,-)
%{_bindir}/ocamlduce*
%{_libdir}/ocaml/ocamlduce/
%endif



