%define mainver	0.8
%define api	0
%define major	2
%define libname	%mklibname %{name} %{api} %{major}
%define devname	%mklibname %{name} %{api} -d

%define mainrel	12
%define date	20181104
%define rel	10

Name:		cegui
Version:	0.8.7
Release:	%mkrel %{mainrel}.%{date}.%{rel}
Summary:	A free library providing windowing and widgets for graphics APIs / engines
Group:		Development/C++
License:	MIT
URL:		http://cegui.org.uk
#Source0:	https://downloads.sf.net/crayzedsgui/%%{name}-%%{version}.tar.bz2
# Snapshot of v0-8 branch for Ogre 1.11 and recent compilers compat
# https://bitbucket.org/cegui/cegui/commits/branch/v0-8
# now at https://github.com/cegui/cegui
Source0:	%{name}-%{version}+%{date}.tar.xz
Patch0:		cegui-0.8.7-xerces32_changes.patch
Patch1:		cegui-0.8.7-find-ois.patch
Patch2:		cegui-minizip-ng.patch
Patch3:		cegui-0.8.7-fix-build-with-libxml2-2.12.0.patch

BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	devil-devel
BuildRequires:	doxygen
BuildRequires:	freeimage-devel
BuildRequires:	glm-devel
BuildRequires:	graphviz
BuildRequires:	irrlicht-devel
BuildRequires:	lua5.1-devel
BuildRequires:  ogre1.10-devel
BuildRequires:	pkgconfig(epoxy)
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glesv2)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(glfw3)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libpcre)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(minizip)
BuildRequires:	pkgconfig(OIS)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(sfml-all)
BuildRequires:	pkgconfig(tinyxml2)
BuildRequires:	pkgconfig(xerces-c)
BuildRequires:	tolua++-devel

%description
Crazy Eddie's GUI System is a free library providing windowing and widgets for
graphics APIs / engines where such functionality is not natively available,
or severely lacking. The library is object orientated, written in C++,
and targeted at games developers who should be spending their time creating
great games, not building GUI sub-systems!

#----------------------------------------------------------------------

%package -n	%{libname}
Summary:	CEGUI library
Group:		System/Libraries

# (akien) Tmp obsolete as we can't build python-cegui
Obsoletes:      ceed < 0.8.0-3

%description -n	%{libname}
Crazy Eddie's GUI System is a free library providing windowing and widgets for
graphics APIs / engines where such functionality is not natively available,
or severely lacking. The library is object orientated, written in C++,
and targeted at games developers who should be spending their time creating
great games, not building GUI sub-systems!

%files -n	%{libname}
%doc COPYING README.md
%{_libdir}/libCEGUI*-%{api}.so.%{major}{,.*}
%{_libdir}/%{name}-%{mainver}/

#----------------------------------------------------------------------

%package -n	%{devname}
Summary:	Development files for CEGUI
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{_lib}ogre1.10-devel

%description -n	%{devname}
Development files for CEGUI.

%files -n	%{devname}
%{_includedir}/%{name}-%{api}/
%{_libdir}/libCEGUI*.so
%{_libdir}/pkgconfig/CEGUI-%{api}*.pc

%prep
%autosetup -p1 -n %{name}-%{version}+%{date}

%build
%cmake -DCEGUI_SAMPLES_ENABLED=FALSE \
       -DCEGUI_BUILD_PYTHON_MODULES=FALSE
%cmake_build

%install
%cmake_install

# Remove unnecessary demo content
rm -f %{buildroot}%{_bindir}/toluapp%{name}-%{mainver}
rm -rf %{buildroot}%{_datadir}/%{name}-%{api}
