%define major	0
%define libname	%mklibname celt 071 %{major}
%define devname	%mklibname %{name} -d

Name:		celt071
Version:	0.7.1
Release:	%mkrel 13
Summary:	An audio codec for use in low-delay speech and audio communication

Group:		Sound/Utilities
License:	BSD and GPLv2+
# Files without license header are confirmed to be BSD. Will be fixed in later release
# https://lists.xiph.org/pipermail/celt-dev/2009-February/000063.html
URL:		https://www.celt-codec.org/
Source0:	https://downloads.xiph.org/releases/celt/celt-%{version}.tar.gz
Source1:	%{name}.pc.in
Patch0:		%{name}-append-version-suffix.patch
BuildRequires:	pkgconfig(ogg)

%description
CELT (Constrained Energy Lapped Transform) is an ultra-low delay audio
codec designed for realtime transmission of high quality speech and audio.
This is meant to close the gap between traditional speech codecs
(such as Speex) and traditional audio codecs (such as Vorbis).

The CELT bitstream format is not yet stable, this package is a special
version of 0.7.1 that has the same bitstream format, but symbols and files
renamed from 'celt*' to 'celt071*' so that it is parallel installable with
the normal celt for packages requiring this particular bitstream format.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the shared libraries for %{name}.

%package -n %{devname}
Summary:	Development package for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the libraries and header files for developing
applications that use %{name}.

%prep
%setup -q -n celt-%{version}

cp %{SOURCE1} .
%patch -P 0 -p1

# fix build with new automake 1.13
sed -i -e 's,AM_CONFIG_HEADER,AC_CONFIG_HEADERS,g' configure.*

%build
autoreconf -vfi
%configure --disable-static

# Remove rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc README TODO
%{_bindir}/celtenc071
%{_bindir}/celtdec071

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%doc README
%{_includedir}/%{name}
%{_libdir}/pkgconfig/celt071.pc
%{_libdir}/lib%{name}.so
