#Please update certbot-{apache,nginx} to same version 
# when you update this package

Name:           certbot
Version:        4.0.0
Release:        %mkrel 1
Summary:        A free, automated certificate authority client
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/certbot/certbot
Source0:        https://github.com/certbot/certbot/archive/v%{version}/%{name}-%{version}.tar.gz
Source10:       certbot-renew-systemd.service
Source11:       certbot-renew-systemd.timer
Source12:       certbot-sysconfig-certbot
Source13:       README.urpmi

BuildArch:      noarch

BuildRequires:  pkgconfig(python3)

# For the systemd macros
%{?systemd_requires}
BuildRequires:  pkgconfig(libsystemd)

Obsoletes:      certbot-doc < 2.8.0-2

%description
Certbot, previously the Let's Encrypt Client, is EFF's tool to obtain certs
from Let's Encrypt, and (optionally) auto-enable HTTPS on your server.
It can also act as a client for any other CA that uses the ACME protocol.

%prep
%autosetup -n %{name}-%{version} -p1
mv certbot cert
mv cert/* .

install -Dpm644 %{SOURCE13} README.urpmi


%generate_buildrequires
%pyproject_buildrequires -x docs

%build
%pyproject_wheel

# build documentation
make \
 -C docs man html
rm -rf docs/_build/html/.docinfo

%install
%pyproject_install
%pyproject_save_files %{name}

# Put the man pages in place
install -pD -t %{buildroot}%{_mandir}/man1 docs/_build/man/%{name}.1
install -pD -t %{buildroot}%{_mandir}/man7 docs/_build/man/%{name}.7
install -Dm 0644 %{SOURCE10} %{buildroot}%{_unitdir}/certbot-renew.service
install -Dm 0644 %{SOURCE11} %{buildroot}%{_unitdir}/certbot-renew.timer
install -Dm 0644 %{SOURCE12} %{buildroot}%{_sysconfdir}/sysconfig/certbot

%check
#pytest
# Make sure the scripts use the expected python versions
#grep -q %{__python3} %{buildroot}%{_bindir}/certbot

%preun
%systemd_preun certbot-renew.timer

%files -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst CHANGELOG.md README.urpmi
%doc docs/_build/html/
%{_bindir}/%{name}
# project uses old letsencrypt dirs for compatibility
%ghost %dir %{_sysconfdir}/letsencrypt
%ghost %dir %{_sharedstatedir}/letsencrypt
%ghost %dir %{_logdir}/letsencrypt
%config %{_sysconfdir}/sysconfig/certbot
%{_unitdir}/certbot-renew.service
%{_unitdir}/certbot-renew.timer
%{_mandir}/man*/%{name}.*
