#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           cervisia
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        CVS frontend
License:        GPLv2 and LGPLv2 and GFDL
Group:          Graphical desktop/KDE
URL:            https://apps.kde.org/cervisia/
Source:         https://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Widgets)

BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5Init)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(KF5Su)
BuildRequires:  cmake(KF5TextWidgets)

Recommends:     %{name}-handbook


%description
Cervisia is a CVS frontend for Plasma.

%files -f %name.lang
%doc README
%license COPYING*
%_kf5_bindir/cervisia
%_kf5_bindir/cvsaskpass
%_kf5_bindir/cvsservice5
%_kf5_plugindir/parts/cervisiapart.so
%_kf5_applicationsdir/org.kde.cervisia.desktop
%_kf5_metainfodir/org.kde.cervisia.appdata.xml
%_kf5_datadir/config.kcfg/cervisiapart.kcfg
%_kf5_kxmlguidir/cervisia/
%_kf5_kxmlguidir/cervisiapart/
%_kf5_iconsdir/hicolor/*/apps/*.png
%_kf5_iconsdir/hicolor/*/actions/*.png
%_kf5_iconsdir/hicolor/scalable/apps/cervisia.svg
%_kf5_iconsdir/hicolor/scalable/actions/*.svgz
%_kf5_services/org.kde.cvsservice5.desktop
%_kf5_mandir/man1/cervisia.1*
%_kf5_mandir/*/man1/cervisia.1*
%_kf5_datadir/dbus-1/interfaces/*.xml
%_kf5_knotificationsdir/cervisia.notifyrc

#--------------------------------------------------------------------

%package        handbook
Summary:        Cervisia Handbook
Group:          Documentation
BuildArch:      noarch

%description    handbook
This package provides Cervisia handbook.

%files handbook
%{_kf5_docdir}/HTML/*/%{name}/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %name --all-name
