Name:           ceylon
Epoch:          0
Version:        0.1
Release:        %mkrel 0
Summary:        A programming language
License:        ASL 2.0 and GPLv2 + Classpath exception
Group:          Development/Other
URL:            https://www.ceylon-lang.org/
#generated by the script in ceylon-spec (with the parameter "0.1")
Source0:        %{name}-%{version}-src.tar.gz
Source1:        %{name}-%{version}-src.tar.gz.sha1
Patch0:         %{name}-%{version}-mga-use-current-maven.patch

BuildRequires:  zip
BuildRequires:  ant
BuildRequires:  maven
BuildRequires:  java-devel >= 0:1.6.0

BuildArch:      noarch

%description
Ceylon is a programming language for writing large programs in a team
environment. The language is elegant, highly readable, extremely type-safe,
and makes it easy to get things done. And it's easy to learn for programmers
who are familiar with mainstream languages used in business computing.
Ceylon has a full-featured Eclipse-based development environment, allowing
developers to take best advantage of the powerful static type system.
Programs written in Ceylon execute on any JVM.


%prep
%setup -q -n %{name}-%{version}-src
%patch -P 0 -p1

%build
export LANG=en_US.UTF-8
pushd %{name}-spec
ant publish
popd
pushd %{name}.language
ant publish
popd
pushd %{name}-dist
ant
popd

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}/%{name}/%{version}/{bin,lib,repo,runtime-repo,doc}

pushd %{name}-dist
rm -f dist/bin/*.bat
install -m 755 dist/bin/%{name}c %{buildroot}%{_libdir}/%{name}/%{version}/bin
install -m 755 dist/bin/%{name}d %{buildroot}%{_libdir}/%{name}/%{version}/bin
install -m 755 dist/bin/%{name}  %{buildroot}%{_libdir}/%{name}/%{version}/bin
install -m 755 dist/bin/args.sh %{buildroot}%{_libdir}/%{name}/%{version}/bin
cp -pr dist/repo/* %{buildroot}%{_libdir}/%{name}/%{version}/repo
cp -pr dist/runtime-repo/* %{buildroot}%{_libdir}/%{name}/%{version}/runtime-repo
cp -pr dist/lib/* %{buildroot}%{_libdir}/%{name}/%{version}/lib
cp -pr dist/doc/* %{buildroot}%{_libdir}/%{name}/%{version}/doc
popd
pushd %{buildroot}%{_bindir}
ln -s ../..%{_libdir}/%{name}/%{version}/bin/%{name} %{name}
ln -s ../..%{_libdir}/%{name}/%{version}/bin/%{name}c %{name}c
ln -s ../..%{_libdir}/%{name}/%{version}/bin/%{name}d %{name}d
popd

%files
%{_bindir}/%{name}*
%attr(755,root,root) %{_libdir}/%{name}/%{version}/bin/%{name}*
%attr(644,root,root) %{_libdir}/%{name}/%{version}/bin/args.sh
%{_libdir}/%{name}/%{version}/repo/*
%{_libdir}/%{name}/%{version}/runtime-repo/*
%{_libdir}/%{name}/%{version}/lib/*
%{_libdir}/%{name}/%{version}/doc/*
