#define         sversion        #(echo %version |sed -e 's|0||g')
%define         sversion        %{version}

%define         major           10
%define         libname         %mklibname %{name} %{major}
%define         develname       %mklibname %name -d
%define         develnamestatic %mklibname %name -d -s

Summary:        A library for accessing files in FITS format for C and Fortran
Name:           cfitsio
Version:        4.5.0
Release:        %mkrel 1
License:        BSD-like
Group:          System/Libraries

URL:            https://heasarc.gsfc.nasa.gov/docs/software/fitsio/
Source:         https://heasarc.gsfc.nasa.gov/FTP/software/fitsio/c/%{name}-%{sversion}.tar.gz

BuildRequires:  sed
BuildRequires:  grep
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gcc-gfortran
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(zlib)
%ifnarch %arm aarch64
BuildRequires:  quadmath-devel
%endif
BuildRequires:  pkgconfig(pkg-config)


%description
Cfitsio is a library of C and Fortran subroutines for reading and
writing data files in FITS (Flexible Image Transport System) data
format.  Cfitsio simplifies the task of writing software that deals
with FITS files by providing an easy to use set of high-level routines
that insulate the programmer from the internal complexities of the
FITS file format.  At the same time, cfitsio provides many advanced
features that have made it the most widely used FITS file programming
interface in the astronomical community.


%package -n %{libname}
License:        BSD-like
Summary:        A library for accessing files in FITS format for C and Fortran
Group:          System/Libraries
Provides:       lib%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the shared library required by programs that use
the cfitsio library.



%package -n %{develname}
License:        BSD-like
Summary:        Headers, libraries, & docs for the cfitsio library
Group:          System/Libraries
Provides:       fitsio-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
This package contains the headers required for compiling software that uses
the cfitsio library.



%package -n %{develnamestatic}
License:        BSD-like
Summary:        Static development file for the cfitsio library
Group:          System/Libraries
Requires:       %{develname} = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Requires:       pkgconfig
Provides:       lib%{name}-static-devel = %{version}-%{release}

%description -n %{develnamestatic}
This package contains the static files required for compiling software that uses
the cfitsio library.


%prep
%setup -q -n %{name}-%{sversion}
%autopatch -p1


%build
autoreconf --force --install

# (cjw) ssse3 is not standard on x86-64 so it cannot be enabled at compile time
%configure \
               %ifarch x86_64
               --enable-sse2 \
               %endif
               --enable-reentrant

%make_build all


%check
make testprog
LD_LIBRARY_PATH=. ./testprog > testprog.lis
cmp -s testprog.lis testprog.out
cmp -s testprog.fit testprog.std



%install
export QA_RPATHS=0x0001
%make_install




%files
%{_bindir}/*


%files -n %{libname}
%doc README.md
%{_libdir}/*.so.%{major}{,.*}


%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*


%files -n %{develnamestatic}
%{_libdir}/*.a



