Name:           cgdb
Version:        0.8.0
Release:        %mkrel 2
Summary:        CGDB is a curses-based interface to the GNU Debugger (GDB)
Group:          Development/Other
License:        GPLv2
URL:            https://cgdb.github.io
Source0:        https://cgdb.me/files/%{name}-%{version}.tar.gz
Patch1:		cgdb-configure-c99.patch
BuildRequires:  flex
BuildRequires:  help2man
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  readline-devel
BuildRequires:  texinfo

Requires:       gdb

%description
CGDB is a curses-based interface to the GNU Debugger (GDB).
The goal of CGDB is to be lightweight and responsive; not encumbered with
unnecessary features.
The interface is designed to deliver the familiar GDB text interface,
with a split screen showing the source as it executes.
The UI is modeled on the classic Unix text editor, vi.
Those familiar with vi should feel right at home using CGDB.

%prep
%autosetup -p1

# make autoreconf happy
echo %{version} > VERSION

%build
autoreconf -fi -Iconfig
%configure
%make_build

%install
%make_install

rm -rf %{buildroot}%{_infodir}/dir

%files
%doc AUTHORS COPYING NEWS ChangeLog
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_infodir}/%{name}.info.*
