%global gitver      2.39.0
%global cachedir    %{_localstatedir}/cache/%{name}
%global filterdir   %{_libexecdir}/%{name}/filters
%global scriptdir   %{_localstatedir}/www/cgi-bin
%global cgitdata    %{_datadir}/%{name}

%global cgitmake \
%make_build \\\
     DESTDIR=%{buildroot} \\\
     CACHE_ROOT=%{cachedir} \\\
     CGIT_SCRIPT_PATH=%{scriptdir} \\\
     CGIT_SCRIPT_NAME=cgit \\\
     CGIT_DATA_PATH=%{cgitdata} \\\
     docdir=%{docdir} \\\
     mandir=%{_mandir} \\\
     filterdir=%{filterdir}

Name:           cgit
Version:        1.2.3
Release:        %mkrel 5
Summary:        A fast web interface for git
Group:          System/Servers
License:        GPLv2
URL:            https://git.zx2c4.com/cgit/
Source0:        https://git.zx2c4.com/cgit/snapshot/%{name}-%{version}.tar.xz
Source1:        https://mirrors.edge.kernel.org/pub/software/scm/git/git-%{gitver}.tar.xz
Source2:        cgitrc
Source3:        cgit.httpd
# upstream master
Patch001:	0001-git-update-to-v2.26.0.patch
Patch002:	0002-git-update-to-v2.27.0.patch
Patch003:	0003-git-update-to-v2.28.0.patch
Patch004:	0004-git-update-to-v2.29.0.patch
Patch005:	0005-global-replace-references-to-sha1-with-oid.patch
Patch006:	0006-global-replace-hard-coded-hash-length.patch
Patch007:	0007-tests-do-not-copy-snapshots-to-tmp.patch
Patch008:	0008-tests-try-with-commit-graph.patch
Patch009:	0009-git-update-to-v2.29.1.patch
Patch010:	0010-git-update-to-v2.29.2.patch
Patch011:	0011-git-update-to-v2.30.0.patch
Patch012:	0012-md2html-use-sane_lists-extension.patch
Patch013:	0013-tests-t0107-support-older-and-or-non-GNU-tar.patch
Patch014:	0014-git-update-to-v2.30.1.patch
Patch015:	0015-git-update-to-v2.31.0.patch
Patch016:	0016-md2html-use-proper-formatting-for-hr.patch
Patch017:	0017-git-update-to-v2.31.1.patch
Patch018:	0018-git-update-to-v2.32.0.patch
Patch019:	0019-git-update-to-v2.33.0.patch
Patch020:	0020-git-update-to-v2.34.0.patch
Patch021:	0021-git-update-to-v2.34.1.patch
Patch022:	0022-git-update-to-v2.35.0.patch
Patch023:	0023-git-update-to-v2.35.1.patch
Patch024:	0024-git-update-to-v2.35.2.patch
Patch025:	0025-git-update-to-v2.35.3.patch
Patch026:	0026-git-update-to-v2.36.0.patch
Patch027:	0027-shared-fix-bad-free-in-cgit_diff_tree.patch
Patch028:	0028-git-update-to-v2.36.1.patch
Patch029:	0029-git-update-to-v2.37.0.patch
Patch030:	0030-git-update-to-v2.37.1.patch
Patch031:	0031-git-update-to-v2.37.2.patch
Patch032:	0032-git-update-to-v2.37.3.patch
Patch033:	0033-git-update-to-v2.38.0.patch
Patch034:	0034-git-update-to-v2.38.1.patch
Patch035:	0035-git-update-to-v2.38.2.patch
Patch036:	0036-git-update-to-v2.39.0.patch

# highlight change
Patch500:	0500-cgit-0.9.1-highlightv3.patch
# (cg) Formatting patch from http://colin.guthr.ie/git/misc/cgit/log/?h=tweaks
Patch501:	0501-ui-repolist-Add-a-very-simple-pretty-print-option-fo.patch

BuildRequires:  asciidoc
BuildRequires:  docbook-style-xsl
BuildRequires:  xsltproc
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(openssl)
Requires:       webserver
Requires:       highlight

%description
Cgit is a fast web interface for git.  It uses caching to increase performance.

%prep
%autosetup -p1 -a 1

# setup the git dir
rm -rf git
mv git-%{gitver} git
sed -i 's|^\(CFLAGS = \).*|\1%{optflags}|' git/Makefile
sed -i "s|^\(GIT_VER = \).*|\1%{gitver}|" Makefile


%build
%cgitmake
# Something in the a2x chain doesn't like running in parallel. :/
%cgitmake -j 1 doc-man doc-html


%install
%cgitmake install install-man

install -d -m0755 %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -p -m0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/cgitrc
install -p -m0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
install -d -m0755 %{buildroot}%{cachedir}


%files
%doc COPYING README* *.html
%config(noreplace) %{_sysconfdir}/cgitrc
%config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
%dir %attr(-,apache,root) %{cachedir}
%{cgitdata}
%{filterdir}
%{scriptdir}/*
%{_mandir}/man*/*
