%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		cglm
Version:	0.9.6
Release:	%mkrel 1
Summary:	OpenGL mathematics (glm) for C
License:	MIT
Group:		System/Libraries
URL:		https://github.com/recp/cglm
Source0:	%{url}/archive/refs/tags/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	meson
BuildRequires:	pkgconfig
BuildRequires:	python3dist(sphinx)
BuildRequires:	python3dist(sphinx-rtd-theme)

%description
cglm is a C99-compatible version of the previous OpenGL Mathematics
(GLM) implementation, a mathematics library for graphics software
based on the OpenGL Shading Language (GLSL) specifications.

#------------------------------------------------

%package -n	%{libname}
Summary:	OpenGL mathematics (glm) for C
Group:		System/Libraries

%description -n	%{libname}
cglm is a C99-compatible version of the previous OpenGL Mathematics
(GLM) implementation, a mathematics library for graphics software
based on the OpenGL Shading Language (GLSL) specifications.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -p1

%build
%meson -Dbuild_tests=true
%meson_build

# generate html docs
cd docs
sphinx-build source/ html
rm -rf html/.{buildinfo,doctrees,nojekyll}

%install
%meson_install

%check
%meson_test

%files -n %{libname}
%doc README.md
%license LICENSE
%{_libdir}/libcglm.so.%{major}{,.*}

%files -n %{develname}
%doc README.md CREDITS
%doc docs/html
%{_includedir}/cglm/
%{_libdir}/libcglm.so
%{_libdir}/pkgconfig/cglm.pc
