Name:		cgoban
Version:	1.9.14
Release:	%mkrel 24

Summary:	A Go game client
License:	GPLv2+
Group:		Games/Boards
URL:		https://cgoban1.sourceforge.net/
Source:		https://downloads.sourceforge.net/project/cgoban1/cgoban1/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	imagemagick
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xt)
Obsoletes:	cgoban1

%description
Cgoban (Complete Goban) is for Unix systems with X11.  It has the ability
to be a computerized go board, view and edit smart-go files, and connect to
go servers on the Internet.
Cgoban is also a smart interface for GNU Go.

%prep
%autosetup -p1

%build
sed -i -e 's|\"./goDummy\"|\"/usr/games/gnugo --quiet\"|' src/cgoban.c
# See https://bugs.mageia.org/show_bug.cgi?id=20995
perl -lpi -e 's#"/usr/bin/gnugo#"/usr/games/gnugo#g' src/cgoban.c
sed -i -e "s|-O2 -fomit-frame-pointer|%{optflags}|g" configure
chmod +x configure
%configure
%make_build

%install
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_mandir}/man6
mkdir -p %{buildroot}/%{_iconsdir}{,/mini,/large}
%make_install
cp -p cgoban_icon.png %{buildroot}/%{_iconsdir}/large/cgoban.png
convert cgoban_icon.png -resize 24x24 %{buildroot}/%{_iconsdir}/cgoban.png
convert cgoban_icon.png -resize 16x16 %{buildroot}/%{_iconsdir}/mini/cgoban.png

mkdir -p %{buildroot}/%{_datadir}/applications
cat > %{buildroot}/%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=CGoban
Comment=Graphical game of Go
Exec=%{_bindir}/%{name}
Icon=cgoban
Terminal=false
Type=Application
Categories=Game;BoardGame;
EOF

%files
%doc README TODO seigen-minoru.sgf
%license COPYING
%{_bindir}/*
%{_mandir}/man6/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/cgoban.png
%{_iconsdir}/*/cgoban.png
