%define major		1
%define libname		%mklibname cgsi-gsoap %{major}
%define develname	%mklibname cgsi-gsoap -d
%define _name		CGSI-gSOAP

Name:		cgsi-gsoap
Version:	1.3.12
Release:	%mkrel 2
Summary:	GSI plugin for gSOAP
Group:          System/Libraries
License:	ASL 2.0
URL:		https://glite.web.cern.ch/glite/
Source0:	https://gitlab.cern.ch/dmc/cgsi-gsoap/-/archive/v%{version}/cgsi-gsoap-v%{version}.tar.gz

BuildRequires:	doxygen
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(globus-gss-assist)
BuildRequires:	pkgconfig(globus-gssapi-gsi)
BuildRequires:	pkgconfig(gsoap)
BuildRequires:	pkgconfig(voms-2.0)

%description
This is a GSI plugin for gSOAP. It uses the globus GSI libraries to implement
GSI secure authentication and encryption on top of gSOAP.

%package -n %{libname}
Summary:	GSI plugin for gSOAP
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	%{_name} = %{version}-%{release}

Obsoletes:	%{_lib}cgsi-gsoap0 < 1.3.11-3

%description -n %{libname}
This is a GSI plugin for gSOAP. It uses the globus GSI libraries to implement
GSI secure authentication and encryption on top of gSOAP.

%package -n %{develname}
Summary:	GSI plugin for gSOAP - development files
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{_name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	pkgconfig(gsoap)

%description -n %{develname}
This package provides the header files for programming with the cgsi-gsoap
plugins.

%prep
%autosetup -n %{name}-v%{version}

# Fix bad permissions (which otherwise end up in the debuginfo package)
find . '(' -name '*.h' -o -name '*.c' -o -name '*.cpp' -o -name '*.cc' ')' \
    -exec chmod 644 {} ';'
chmod 644 LICENSE RELEASE-NOTES

# Remove -L/usr/lib and -L/usr/lib64 since they may cause problems
sed -e 's!-L$([A-Z_]*)/lib!!' \
    -e 's!-L$([A-Z_]*)/$(LIBDIR)!!' -i src/Makefile

# Remove gsoap version from library names
sed -e 's!$(GSOAP_VERSION)!!g' -i src/Makefile

%build
. ./VERSION
cd src

%make_build \
     CFLAGS="%build_cflags -fPIC -I. $(pkg-config --cflags gsoap)" \
     SHLIBLDFLAGS="%build_ldflags -shared" \
     USE_VOMS=yes WITH_CPP_LIBS=yes \
     LIBDIR=%{_lib} \
     GLOBUS_LIBS="-lglobus_gss_assist \
	-lglobus_gssapi_gsi \
	-lglobus_gsi_credential \
	-lglobus_gsi_cert_utils \
	-lglobus_openssl \
	-lglobus_common -lgsoap -lpthread -lssl -lcrypto" \
     all doc

%install
. ./VERSION
cd src
%make_install \
     CFLAGS="%build_cflags -fPIC -I. $(pkg-config --cflags gsoap)" \
     SHLIBLDFLAGS="%build_ldflags -shared" \
     USE_VOMS=yes WITH_CPP_LIBS=yes \
     LIBDIR=%{_lib} \
     DOCDIR=$(sed 's!^%{_prefix}!!' <<< %{_pkgdocdir}) \
     install.man

rm %{buildroot}%{_libdir}/*.a

%files -n %{libname}
%{_libdir}/libcgsi_plugin.so.%{major}{,.*}
%{_libdir}/libcgsi_plugin_cpp.so.%{major}{,.*}
%{_libdir}/libcgsi_plugin_voms.so.%{major}{,.*}
%{_libdir}/libcgsi_plugin_voms_cpp.so.%{major}{,.*}
%doc RELEASE-NOTES
%license LICENSE

%files -n %{develname}
%{_includedir}/cgsi_plugin.h
%{_libdir}/libcgsi_plugin.so
%{_libdir}/libcgsi_plugin_cpp.so
%{_libdir}/libcgsi_plugin_voms.so
%{_libdir}/libcgsi_plugin_voms_cpp.so
%{_mandir}/man*/*
%doc %{_pkgdocdir}/html
