%define major		2
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		charls
Version:	2.4.2
Release:	%mkrel 1
Summary:	An optimized implementation of the JPEG-LS standard
Group:		System/Libraries
License:	BSD
URL:		https://github.com/team-charls/charls
Source0:	https://github.com/team-charls/charls/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	dos2unix

%description
An optimized implementation of the JPEG-LS standard for loss less and 
near loss less image compression. JPEG-LS is a low-complexity standard that
matches JPEG 2000 compression ratios. In terms of speed, CharLS outperforms
open source and commercial JPEG LS implementations.

JPEG-LS (ISO-14495-1/ITU-T.87) is a standard derived from the Hewlett Packard
LOCO algorithm. JPEG LS has low complexity (meaning fast compression) and high
compression ratios, similar to JPEG 2000. JPEG-LS is more similar to the old
loss less JPEG than to JPEG 2000, but interestingly the two different
techniques result in vastly different performance characteristics.

#----------------------------------------------------

%package -n %{libname}
Summary:	An optimized implementation of the JPEG-LS standard
Group:		System/Libraries
Provides:	%{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:	CharLS = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:	CharLS < 1.0-6

%description -n %{libname}
An optimized implementation of the JPEG-LS standard for loss less and 
near loss less image compression. JPEG-LS is a low-complexity standard that
matches JPEG 2000 compression ratios. In terms of speed, CharLS outperforms
open source and commercial JPEG LS implementations.

JPEG-LS (ISO-14495-1/ITU-T.87) is a standard derived from the Hewlett Packard
LOCO algorithm. JPEG LS has low complexity (meaning fast compression) and high
compression ratios, similar to JPEG 2000. JPEG-LS is more similar to the old
loss less JPEG than to JPEG 2000, but interestingly the two different
techniques result in vastly different performance characteristics.

#----------------------------------------------------

%package -n %{develname}
Summary:	Libraries and headers for CharLS
Group:		Development/C
Requires:	%{libname} = %{?epoch:%epoch:}%{version}-%{release}
Provides:	%{name}-devel = %{?epoch:%epoch:}%{version}-%{release}
Provides:	CharLS-devel = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:	CharLS-devel < 1.0-6

%description -n %{develname}
CharLS - An optimized implementation of the JPEG-LS standard.

This package contains development libraries and headers for CharLS.

#----------------------------------------------------

%prep
%setup -q

%build
%cmake -DBUILD_TESTING=ON
%cmake_build

%install
%cmake_install

%check
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:.
ctest ./src

%files -n %{libname}
%doc CHANGELOG.md README.md SECURITY.md
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc README.md
%license LICENSE.md
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/%{name}.pc

