%define changeset 0b531e81dcaa
%define rev 1450
%define buildid %(echo `date +%Y%m%d%H`)

Name:           chatzilla
Version:        0.9.87
Release:        %mkrel -c %rev 1
Summary:        Standalone Mozilla IRC Client, no browsers attached

Group:          Applications/Internet
License:        MPLv1.1 or GPLv2+ or LGPLv2+
URL:            https://chatzilla.rdmsoft.com/xulrunner/
Source0:        https://hg.mozilla.org/chatzilla/archive/%{changeset}.tar.bz2
Source1:        %{name}.schemas
Source2:        %{name}.1
Source3:        README
Source4:        http://twpol.dyndns.org/temp/cz_logo.svg
Source5:        %{name}
Source6:        %{name}.desktop

BuildRequires:  zip desktop-file-utils python
BuildRequires:  ImageMagick
Requires:       xulrunner hicolor-icon-theme

BuildArch:      noarch

# Patch0 : make chatzilla standalone xulrunner app
Patch0:         %{name}-%{version}-%{changeset}-xulrunner.patch
# Patch1 : this patch is needed if we want to add menus after to the ui
Patch1:         %{name}-%{version}-add-menupopupids.patch

%description
ChatZilla is normally used as part of SeaMonkey, or an extension 
to other browsers. However, it can also run under XULRunner, allowing 
ChatZilla to be used standalone, independent of a web browser. 

%prep
%setup -q -n %{name}-%{changeset}
%patch -P 0 -p1 -b .xr
%patch -P 1 -p1 -b .add-menupopupids

sed -i 's|@REVISION@|%{version}|g' xpi/resources/{application.ini,brand.properties,brand.dtd,chatzilla-prefs.xr.js}
sed -i 's|@BUILDID@|%{buildid}|g' xpi/resources/application.ini
sed -i 's|@__RPM_REL__@|%{release}|g' xul/content/static.js
cp %{SOURCE5} .
sed -i 's|@CZ_INSTALL_PATH@|%{_datadir}/%{name}-%{version}|g' %{name}

%build
pushd xpi
python makexpi.py
popd

%install
export DESTDIR=%{buildroot}%{_datadir}/%{name}-%{version}
export FEDIR=`pwd`

mkdir -p $DESTDIR
cp -rf xpi/xpi-tree/* $DESTDIR

# Do the appropriate changes
pushd $DESTDIR
    rm -f chrome.manifest install.js install.rdf
    install -Dpm 644 $FEDIR/xpi/resources/application.ini .
    mkdir -p extensions/\{972ce4c6-7e08-4474-a285-3208198ce6fd\}
    install -Dpm 644 $FEDIR/xpi/resources/themeinstall.rdf extensions/\{972ce4c6-7e08-4474-a285-3208198ce6fd\}/install.rdf
    mkdir -p defaults/preferences
    install -Dpm 644 $FEDIR/xpi/resources/*.xr.js defaults/preferences
    install -Dpm 644 $FEDIR/xpi/resources/chrome.xr.manifest chrome/chrome.manifest
    mkdir -p chrome/branding
    install -Dpm 644 $FEDIR/xpi/resources/{brand.dtd,brand.properties} chrome/branding
popd

# Install launcher
install -Dpm 755 %{name} %{buildroot}%{_bindir}/%{name}

# Install Icons
install -Dpm 644 %{SOURCE4} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
for i in 16 20 24 32 36 48 64 72 96 128 192 256; do
    mkdir -p %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps
    convert -background none %{SOURCE4} -resize ${i}x${i} \
            %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps/%{name}.png
done
pushd %{buildroot}%{_datadir}/%{name}-%{version}/chrome/icons/default
    rm -f *
    for i in 16 20 24 32 36 48 64 72 96 128 192 256; do
        ln -sf ../../../../icons/hicolor/${i}x${i}/apps/%{name}.png \
               chatzilla-window${i}.png
        ln -sf ../../../../icons/hicolor/${i}x${i}/apps/%{name}.png \
               default${i}.png
    done
popd

# Install Desktop File
desktop-file-install %{SOURCE6} \
                     --dir=%{buildroot}%{_datadir}/applications

#Install manual page
install -dm 755 %{buildroot}%{_datadir}/man/man1
install -Dpm 644 %{SOURCE2} %{buildroot}%{_datadir}/man/man1

#Add a chrome.manifest to top directory
cat <<EOF >%{buildroot}%{_datadir}/%{name}-%{version}/chrome.manifest
manifest chrome/chrome.manifest
EOF

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc ChangeLog DYK
%{_bindir}/%{name}
%{_datadir}/%{name}-%{version}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/man/man1/%{name}.1.*

