%define	major	0
%define	libname	%mklibname %{name} %{major}
%define	develname %mklibname %{name} -d

Name:		check
Version:	0.15.2
Release:	%mkrel 3
License:	LGPLv2+
Summary:	A unit test framework for C
Group:		System/Libraries
URL:		https://libcheck.github.io/check/
Source:		https://github.com/libcheck/check/archive/%{version}/%{name}-%{version}.tar.gz
# Fix a texinfo error due to a missing @end verbatim
# https://github.com/libcheck/check/issues/360
# https://github.com/libcheck/check/pull/361
Patch2:         check-0.15.2-texinfo.patch
BuildRequires:	texinfo
BuildRequires:	texlive
BuildRequires:	graphviz

%description
Check is a unit test framework for C. It features a simple interface for
defining unit tests, putting little in the way of the developer. Tests are run
in a separate address space, so Check can catch both assertion failures and
code errors that cause segmentation faults or other signals.  The output from
unit tests can be used within source code editors and IDEs.

%package -n	%{libname}
Summary:	C testing framework
Group:		System/Libraries

%description -n	%{libname}
Check is a unit test framework for C. It features a simple interface for
defining unit tests, putting little in the way of the developer. Tests are run
in a separate address space, so Check can catch both assertion failures and
code errors that cause segmentation faults or other signals. The output from
unit tests can be used within source code editors and IDEs.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains development files for %{name}.

%prep
%autosetup -p1

# Avoid an obsolescence warning
sed -i 's/fgrep/grep -F/' Makefile.am

%build
autoreconf -vfi
%configure \
	--disable-static
%make_build

%install
%make_install

# move documentation
mv %{buildroot}%{_datadir}/doc/%{name} \
    %{buildroot}%{_datadir}/doc/%{develname}-%{version}

%files -n %{libname}
%license COPYING.LESSER
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc README.md AUTHORS
%doc %{_datadir}/doc/%{develname}-%{version}/
%{_bindir}/checkmk
%{_datadir}/aclocal/check.m4
%{_libdir}/libcheck.so
%{_includedir}/check.h
%{_includedir}/check_stdint.h
%{_libdir}/pkgconfig/check.pc
%{_infodir}/check.info*
%{_mandir}/man1/checkmk.1*
