%define realname W3C-LinkChecker


Summary:	A tools to check link on website
Name:		checklink
Version:	4.81
Release:	%mkrel 12
Source0:	https://cpan.metacpan.org/authors/id/S/SC/SCOP/%{realname}-%{version}.tar.gz
# Avoid bogus requirement on perl(Valid)
Patch0:		W3C-LinkChecker-4.81-use-Valid.patch
License:	W3C License
Group:		Networking/WWW
Url:		https://metacpan.org/release/W3C-LinkChecker
BuildArch:	noarch
Provides:	%{realname} = %{version}-%{release}
# To follow perl module policy naming:
Provides:	perl-%{realname} = %{version}-%{release}
BuildRequires:	perl(CGI)
BuildRequires:	perl(HTML::Entities)
BuildRequires:	perl(HTML::Parser) >= 3.00
BuildRequires:	perl(HTTP::Request)
BuildRequires:	perl(HTTP::Response)
BuildRequires:	perl(LWP::RobotUA)
BuildRequires:	perl(Net::IP)
BuildRequires:	perl(Net::hostent)
BuildRequires:	perl(Socket)
BuildRequires:	perl(Time::HiRes)
BuildRequires:	perl(URI)
BuildRequires:	perl(URI::Escape)
BuildRequires:	perl(URI::file)
BuildRequires:	perl(CSS::DOM)

%description
The link checker reads an HTML or XHTML document and extracts a list of anchors
and links.

It checks that no anchor is defined twice. 

It then checks that all the links are dereferenceable, including the fragments.
It warns about HTTP redirects, including directory redirects. 

It can check recursively a part of a Web site. 

There is a command line version and a CGI version. They both support HTTP basic
authentication. This is achieved in the CGI version by passing through the
authorization information from the user browser to the site tested. 

%prep
%setup -q -n %{realname}-%{version}
%autopatch -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

mkdir -p %buildroot%_var/www/cgi-bin/

cp %{buildroot}%{_bindir}/%{name} %{buildroot}%{_var}/www/cgi-bin/%{name}.cgi

%files
%{_bindir}/%{name}
%{perl_vendorlib}/W3C/LinkChecker.pm
%{_var}/www/cgi-bin/%{name}.cgi
%{_mandir}/man*/%{name}*
%doc docs/*
%doc README NEWS
