%define major 		25
%define cheesemajor	8

%define libname		%mklibname %{name}-gtk %{major}
%define develname	%mklibname -d %{name}-gtk

%define girmajor	3.0
%define girname		%mklibname %{name}-gtk-gir %{girmajor}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		cheese
Version:	44.1
Release:	%mkrel 4
Summary:	A GNOME application for taking pictures and videos from a webcam
License:	GPLv2+
Group:		Video/Utilities
URL:		https://wiki.gnome.org/Apps/Cheese
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		cheese-c99.patch
# https://gitlab.gnome.org/GNOME/cheese/-/merge_requests/73
# https://gitlab.gnome.org/GNOME/cheese/-/issues/183
# https://bugzilla.redhat.com/show_bug.cgi?id=2315884
# Fix crash on startup due to invalid JSON
Patch1:		73.patch
#
# patches from upstream (https://gitlab.gnome.org/GNOME/cheese/)
#
BuildRequires:	gnome-common
BuildRequires:	meson
BuildRequires:	yelp-tools
BuildRequires:	pkgconfig(appstream-glib)
BuildRequires:	pkgconfig(cairo) >= 1.10.0
BuildRequires:	pkgconfig(clutter-1.0) >= 1.13.2
BuildRequires:	pkgconfig(clutter-gst-3.0)
BuildRequires:	pkgconfig(clutter-gtk-1.0) >= 0.91.8
BuildRequires:	pkgconfig(gdk-3.0) >= 3.3.6
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gio-2.0) >= 2.32.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.32.0
BuildRequires:	pkgconfig(gnome-desktop-3.0) >= 2.91.6
BuildRequires:	pkgconfig(gnome-video-effects)
BuildRequires:	pkgconfig(gobject-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gstreamer-1.0) >= 0.11.0
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0) >= 0.11.0
BuildRequires:	pkgconfig(gstreamer-plugins-bad-1.0) >= 0.11.0
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0) >= 0.11.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.4.4
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libcanberra-gtk)
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.26
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.32.0
BuildRequires:	pkgconfig(pangocairo) >= 1.28.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.6.7
BuildRequires:	gtk-doc >= 1.14
BuildRequires:	gnome-doc-utils >= 0.20
BuildRequires:	pkgconfig(xtst)
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	vala >= 0.13.2
Requires:	gnome-video-effects
Requires:	gstreamer1.0-plugins-bad
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-vp8
Requires:	gstreamer1.0-gstclutter3

# TODO update features once added upstream
%description
Cheese is a Photobooth-inspired GNOME application for taking pictures and
videos from a webcam. It also includes fancy graphical effects based on
the gstreamer-backend.

%package -n %{libname}
Group:		System/Libraries
Summary:	Shared library part of %{name}

%description -n %{libname}
Cheese is a Photobooth-inspired GNOME application for taking pictures and
videos from a webcam. It also includes fancy graphical effects based on
the gstreamer-backend.

%package -n %{develname}
Group:		Development/C
Summary:	Development files for %{name}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	lib%{name}-gtk-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Cheese is a Photobooth-inspired GNOME application for taking pictures and
videos from a webcam. It also includes fancy graphical effects based on
the gstreamer-backend.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Provides:	%{mklibname %{name}-gir %{girmajor}} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%autosetup -p1

# Trigger recompilation of all Vala sources.
find -name '*.vala' -exec touch {} \;

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome --all-name

%define launchers %{_sysconfdir}/dynamic/launchers/webcam

# dynamic support
mkdir -p %{buildroot}%{launchers}
cat > %{buildroot}%{launchers}/%{name}.desktop << EOF
[Desktop Entry]
Name=Webcam Photobooth
Comment=Cheese Webcam Photobooth using \$devicename
TryExec=cheese
Exec=cheese
Terminal=false
Icon=cheese
Type=Application
StartupNotify=true
EOF

%post
update-alternatives --install %{launchers}/kde.desktop webcam.kde.dynamic %{launchers}/%name.desktop 60
update-alternatives --install %{launchers}/gnome.desktop webcam.gnome.dynamic %{launchers}/%name.desktop 60

%postun
if [ "$1" = "0" ]; then
   update-alternatives --remove webcam.kde.dynamic %{launchers}/%name.desktop
   update-alternatives --remove webcam.gnome.dynamic %{launchers}/%name.desktop
fi

%files -f %{name}.lang
%config(noreplace) %{launchers}/*.desktop
%{_bindir}/*
%{_mandir}/man1/cheese.1.*
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/applications/*
%{_datadir}/glib-2.0/schemas/org.gnome.Cheese.gschema.xml
%{_datadir}/metainfo/org.gnome.Cheese.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Cheese.service

%files -n %{libname}
%{_libdir}/lib%{name}-gtk.so.%{major}{,.*}
%{_libdir}/lib%{name}.so.%{cheesemajor}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Cheese-%{girmajor}.typelib

%files -n %{develname}
%{_includedir}/%{name}
%{_libdir}/lib%{name}-gtk.so
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}-gtk.pc
%{_datadir}/gtk-doc/html/%{name}/
%{_datadir}/gir-1.0/Cheese-%{girmajor}.gir
