Summary:	Program for 2D drawing organic molecules
Name:		chemtool
Version:	1.6.14
Release:	%mkrel 12
License:	GPLv2+
Group:		Sciences/Chemistry
Source0:	http://ruby.chemie.uni-freiburg.de/~martin/chemtool/%{name}-%{version}.tar.gz
Url:		http://ruby.chemie.uni-freiburg.de/~martin/chemtool/
Requires:	transfig
Requires:	openbabel
BuildRequires:	gtk2-devel
BuildRequires:	gettext-devel
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
Patch0:		%{name}-1.6.14-mga-desktop-file.patch
Patch1:		%{name}-1.6.14-gcc10.patch

%description
Chemtool is a program for drawing organic molecules easily and store them as
a X bitmap, Xfig or EPS file. It runs under the X Window System using
the GTK widget set.

%prep
%setup -q
%autopatch -p1

%build
# to recognize aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/%{name}-%{version}
install -m644 examples/* %{buildroot}%{_datadir}/%{name}-%{version}/

mkdir -p %{buildroot}%{_datadir}/applications
install -m644 %{name}.desktop %{buildroot}%{_datadir}/applications/

install -D -m644 kde/icons/hicolor/32x32/mimetypes/%{name}.png %{buildroot}%{_iconsdir}/hicolor/32x32/mimetypes/%{name}.png

# icons
%{__install} -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
%{__install} -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
%{__install} -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png
%{__install} -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{__install} -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{__install} -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%{find_lang} %{name}

%files -f %{name}.lang
%doc TODO README ChangeLog
%{_bindir}/*
%{_datadir}/%{name}-%{version}
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
