Name:		cherrytree
Version:	1.4.0
Release:	%mkrel 1
Summary:	Hierarchical note taking application
Group:		Office/Utilities
License:	GPLv3+
URL:		https://www.giuspen.com/cherrytree/
Source0:	https://www.giuspen.com/software/cherrytree_%{version}.tar.xz
Patch50:	remove-Check-New-Version.patch
BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	git-core
BuildRequires:	python3-lxml
BuildRequires:	pkgconfig(gtkmm-3.0)
BuildRequires:	pkgconfig(gtksourceview-4)
BuildRequires:	pkgconfig(gspell-1)
BuildRequires:	pkgconfig(libxml++-2.6)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(uchardet)
BuildRequires:	pkgconfig(fmt)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	pkgconfig(vte-2.91)
BuildRequires:	pkgconfig(spdlog)

%description
CherryTree is a hierarchical note taking application, featuring rich text and
syntax highlighting, storing all the data (including images) in a single XML
file with .ctd extension.

%prep
%autosetup -n %{name}_%{version} -p1

%build
%cmake -DBUILD_TESTING:BOOL=OFF
%cmake_build

%install
%cmake_install

%find_lang %{name}

%files -f %{name}.lang
%doc changelog.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/mime-info/cherrytree.*
%{_mandir}/man1/*.1*
%{_metainfodir}/net.giuspen.cherrytree.metainfo.xml
