%define url_ver	%(echo %{version}|sed 's/[.]/./g')

Name:		chessx
Version:	1.6.2
Release:	%mkrel 1
Summary:	An Open Source chess database
License:	GPLv2
Group:		Games/Boards
URL:		https://chessx.sourceforge.io/
Source0:	https://sourceforge.net/projects/chessx/files/%{name}/%{version}/%{name}-%{url_ver}.tgz
# upstream patches
# https://github.com/Isarhamster/chessx/pull/61
Patch002:	0002-Fix-install-path-of-icons-on-Linux.patch
# https://github.com/Isarhamster/chessx/pull/63
Patch003:	0003-Allow-linking-against-system-libraries-via-pkg-confi.patch
# mageia patches
Patch10:	chessx-mga-install-lang-and-data-files.patch

BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Help)
BuildRequires:	cmake(Qt6Multimedia)
BuildRequires:	cmake(Qt6MultimediaWidgets)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6OpenGL)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6TextToSpeech)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)
BuildRequires:	pkgconfig(quazip1-qt6)

# Bundles part of scid 1.0 (https://sourceforge.net/projects/scid/)
Provides:	bundled(scid) = 1.0

%description
ChessX is an Open Source chess database. With ChessX you can operate on your
collection of chess games in many ways:
browse, edit, add, organize, analyze, etc.

%prep
%autosetup -p1 -n %{name}-master

# Ensure bundled quazip code is not used
rm -rf src/quazip

%build
%{_qt6_bindir}/lrelease i18n/*.ts
%qmake_qt6 -r CONFIG+=link_pkgconfig CONFIG+=speech
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%license COPYING.md
%doc README.md ChangeLog.md
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_metainfodir}/io.sourceforge.ChessX.metainfo.xml
