Name:           chirp
Version:        20250328
Release:        %mkrel 1
Summary:        A tool for programming radio equipment
Group:          Communications/Radio
License:        GPLv3+
URL:            https://chirpmyradio.com/projects/chirp/wiki/Download
Source0:        https://archive.%{name}myradio.com/%{name}_next/next-%{version}/%{name}-%{version}.tar.gz
Patch0:         chirp-skip-update-check.patch
Patch1:         chirp-skip-desktop-file-install.patch

BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires:  libxml2-python3
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

Requires:       python3-wxpython4

%description
CHIRP is an open-source tool for programming radio transceivers.
It supports a large number of manufacturers and models, as well as providing
a way to interface with multiple data sources and formats.

This version is built from the chirp-next sources.

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files chirp

# Desktop file
install -d -m 755 %{buildroot}%{_datadir}/applications
desktop-file-install \
        --dir=%{buildroot}%{_datadir}/applications \
        chirp/share/chirp.desktop

# Icon
install -d -m 755 %{buildroot}/%{_iconsdir}
install -m 644 chirp/share/chirp.png %{buildroot}/%{_iconsdir}/chirp.png

# man page
mkdir -p %{buildroot}/%{_mandir}/man1
install -m 644 chirp/share/chirpw.1 %{buildroot}/%{_mandir}/man1/chirp.1

%files -f %{pyproject_files}
%doc COPYING
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/chirp.png
%{_mandir}/man1/chirp.1*
