%define git_url git://git.fedorahosted.org/chkconfig.git

Summary:	A system tool for maintaining the /etc/rc*.d hierarchy
Name:		chkconfig
Version:	1.25
Release:	%mkrel 2
License:	GPL-2.0-only
Group:		System/Boot and Init
Url:		https://github.com/fedora-sysv/chkconfig
# TODO: fix Source0 url
Source0:	https://github.com/fedora-sysv/chkconfig/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:	chkconfig.po
# (cg) Revert the selinux stuff for now.
Patch0500: 0500-Revert-leveldb-remove-debug-output.patch
Patch0501: 0501-Revert-leveldb-restore-selinux-context-for-xinetd-co.patch
Patch0502: 0502-Revert-Makefile-fix-wrongly-behaving-LDFLAGS.patch

# Downstream patches
Patch0900: 0900-netsysv-Use-Mandriva-colours.patch
Patch0901: 0901-leveldb-Change-runlevels-dir-to-suit-Mandriva.patch
Patch0902: 0902-chkconfig-Delete-a-service-before-adding-it.patch
Patch0903: 0903-chkconfig-Support-adding-deleting-xinetd-services.patch
Patch0904: 0904-chkconfig-Do-not-show-errors-in-service-lists.patch
Patch0905: 0905-chkconfig-Skip-any-init-script-with-a-dot-comma-or-t.patch
Patch0906: 0906-chkconfig-Fix-xinetd-error-message.patch
Patch0907: 0907-chkconfig-Fix-priority-when-adding-a-LSB-service-req.patch

BuildRequires:	gettext
BuildRequires:	pkgconfig(libnewt)
BuildRequires:	pkgconfig(popt)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	slang
Conflicts:	rpm-helper < 0.6
Conflicts:	systemd-units < 221
Provides:	/sbin/chkconfig
Provides:	/usr/sbin/chkconfig
Provides:	/sbin/update-alternatives
Provides:	/usr/sbin/update-alternatives
Provides:	alternatives = %{version}-%{release}
Provides:	update-alternatives = 1.18.1-1
Obsoletes:	update-alternatives < 1.9.0-17

%description
Chkconfig is a basic system utility.  It updates and queries runlevel
information for system services.  Chkconfig manipulates the numerous
symbolic links in /etc/rc*.d, to relieve system administrators of some
of the drudgery of manually editing the symbolic links.

%package -n	ntsysv
Summary:	A system tool for maintaining the /etc/rc*.d hierarchy
Group:		System/Boot and Init
Requires:	chkconfig

%description -n	ntsysv
ntsysv updates and queries runlevel information for system services.
ntsysv relieves system administrators of having to directly manipulate
the numerous symbolic links in /etc/rc*.d.

%prep
%setup -q
#patch -P 0501 -p1 -b .OR
%autopatch -p1
perl -pi -e 's/\bmv\b/mv -f/' po/Makefile

%build

%ifarch sparc
LIBMHACK=-lm
%endif

%make_build RPM_OPT_FLAGS="%{optflags}" LIBMHACK=$LIBMHACK LDFLAGS="%{ldflags}"

%install
%make_install MANDIR=%{_mandir} BINDIR=%{_sbindir}

mkdir -p %{buildroot}%{_sysconfdir}/rc.d/init.d
for n in 0 1 2 3 4 5 6 7; do
    mkdir -p %{buildroot}%{_sysconfdir}/rc.d/rc${n}.d
done

cd %{buildroot}%{_sysconfdir}/
ln -s rc.d/init.d init.d
cd -
ln -s rc7.d %{buildroot}%{_sysconfdir}/rc.d/rcS.d

# corrected indonesian language code (it has changed from 'in' to 'id')
mkdir -p %{buildroot}%{_datadir}/locale/id/LC_MESSAGES
mv %{buildroot}%{_datadir}/locale/{in,in_ID}/LC_MESSAGES/* \
	%{buildroot}%{_datadir}/locale/id/LC_MESSAGES || :
rm -rf %{buildroot}%{_datadir}/locale/{in,in_ID} || :

mkdir -p %{buildroot}%{_datadir}/locale/zh_TW.Big5/LC_MESSAGES
msgfmt %SOURCE1 -o %{buildroot}%{_datadir}/locale/zh_TW.Big5/LC_MESSAGES/chkconfig.mo

# Geoff 20020623 -- zh is incorrect for locale and there's nothing in it anyway
rm -fr %{buildroot}%_datadir/locale/zh

%find_lang %{name}


%pretrans -p <lua>
path = "%{_localstatedir}/lib/alternatives"
path2 = "%{_localstatedir}/lib/rpm/alternatives"
st = posix.stat(path)
st2 = posix.stat(path2)
if st and st.type == "link" and st2 and st2.type == "directory" then
  os.remove(path)
  os.rename(path2, path)
  posix.symlink(path, path2)
end

%files -f %{name}.lang
%{_sbindir}/chkconfig
%{_prefix}/lib/systemd/systemd-sysv-install
%{_mandir}/man8/chkconfig.8*
%dir %{_sysconfdir}/rc.d
%dir %{_sysconfdir}/rc.d/init.d
%dir %{_sysconfdir}/rc.d/rc[0-7]*
%{_sysconfdir}/rc.d/rcS.d
%{_sysconfdir}/init.d
%{_sbindir}/alternatives
%{_sbindir}/update-alternatives
%{_mandir}/man8/alternatives.8*
%{_mandir}/man8/update-alternatives.8*
%ghost %{_localstatedir}/lib/rpm/alternatives
%dir %{_localstatedir}/lib/alternatives
%dir %{_sysconfdir}/alternatives

%files -n ntsysv
%{_sbindir}/ntsysv
%{_mandir}/man8/ntsysv.8*
