# OE: conditional switches
#(ie. use with rpm --rebuild):
#	--with diet	Compile chkrootkit against dietlibc

%define build_diet 0

# commandline overrides:
# rpm -ba|--rebuild --with 'xxx'
%{?_with_diet: %{expand: %%define build_diet 1}}

Summary:	Check rootkits
Name:		chkrootkit
Version:	0.57
Release:	%mkrel 2
License:	BSD
Group:		Monitoring
URL:		https://www.chkrootkit.org/
Source0:	ftp://chkrootkit.org/pub/seg/pac/chkrootkit.tar.gz#/%{name}-%{version}.tar.gz
Patch0:		chkrootkit_fix_apache_false_positive.diff
Patch1:		chkrootkit-0.49-bug57979.diff
Patch2:		chkrootkit-0.52-suckit-false-positive.diff
Requires:	binutils, coreutils, findutils, gawk, grep, net-tools, procps, sed
BuildRequires:	glibc-static-devel

%if %{build_diet}
BuildRequires:	dietlibc-devel >= 0.32
%endif

%description
Chkrootkit is a tool to locally check for signs of a rootkit.

%prep

%setup -q
%patch -P 0 -p0
%patch -P 1 -p0
%patch -P 2 -p1
# fix debuginfo:
sed -i -e 's!\s\+@strip.*!!g' Makefile

# instead of a static patch
chmod 644 *
for i in `ls -1 *.c|sed "s/\.c//"`; do
    perl -pi -e "s|\./${i}|%{_libdir}/%{name}/${i}|g" %{name}
done

%build

%if %{build_diet}
# OE: use the power of dietlibc
make CC="diet gcc" CFLAGS="%{optflags} -DHAVE_LASTLOG_H -DLASTLOG_FILENAME='\"/var/log/lastlog\"' -DWTMP_FILENAME='\"/var/log/wtmp\"' -Os  -s -static" LDFLAGS=-static
%else
make CFLAGS="%{optflags} -DHAVE_LASTLOG_H -DLASTLOG_FILENAME='\"/var/log/lastlog\"' -DWTMP_FILENAME='\"/var/log/wtmp\"'" LDFLAGS=-static
%endif

%install
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_libdir}/%{name}

install -m 0755 chkrootkit %{buildroot}%{_sbindir}/
install -m 0755 check_wtmpx chkdirs chklastlog chkproc chkutmp chkwtmp ifpromisc strings-static %{buildroot}%{_libdir}/%{name}/

%files
%doc ACKNOWLEDGMENTS README* COPYRIGHT
%{_sbindir}/*
%{_libdir}/%{name}
