Name: chmlib
Version: 0.40
Release: %mkrel 17
License: GPL
Group: System/Libraries
Summary: A library for dealing with Microsoft ITSS/CHM format files
URL: https://www.jedrea.com/chmlib/
Source0: https://www.jedrea.com/chmlib/%{name}-%{version}.tar.bz2
Patch0: chmlib-0001-Patch-to-fix-integer-types-problem-by-Goswin-von-Bre.patch
Patch1: chmlib-0002-Fix-for-extract_chmLib-confusing-empty-files-with-di.patch
# from https://github.com/jedwing/CHMLib PR
Patch2: 5877959e3eb9a54e131608c52e2d6f4c89bc0189.patch

Provides: libchm-bin

%description
CHMLIB is a library for dealing with Microsoft ITSS/CHM format files.
Right now, it is a very simple library, but sufficient for dealing with
all of the .chm files I've come across. Due to the fairly well-designed
indexing built into this particular file format, even a small library
is able to gain reasonably good performance indexing into ITSS archives.

Code runs on Linux, Windows, Solaris, and Irix.

%files
%{_bindir}/*

#----------------------------------------------------------------------

%define	major 0
%define	libname %mklibname chm %{major}

%package -n	%{libname}
Summary:	A library for dealing with Microsoft ITSS/CHM format files
Group:		System/Libraries
Provides:	libchm = %{version}-%{release}

%description -n	%{libname}
CHMLIB is a library for dealing with Microsoft ITSS/CHM format files.
Right now, it is a very simple library, but sufficient for dealing with
all of the .chm files I've come across. Due to the fairly well-designed
indexing built into this particular file format, even a small library
is able to gain reasonably good performance indexing into ITSS archives.

%files -n %{libname}
%{_libdir}/libchm.so.%{major}{,.*}

#----------------------------------------------------------------------

%define libnamedev %mklibname -d chm

%package -n	%{libnamedev}
Summary: A library for dealing with Microsoft ITSS/CHM format files
Group: Development/Other
Provides: %{name}-devel = %{version}
Provides: libchm-devel = %{version}
Requires: %{libname} = %{version}
Obsoletes: %{mklibname -d chm 0}

%description -n %{libnamedev}
CHMLIB is a library for dealing with Microsoft ITSS/CHM format files.
Right now, it is a very simple library, but sufficient for dealing with
all of the .chm files I've come across. Due to the fairly well-designed
indexing built into this particular file format, even a small library
is able to gain reasonably good performance indexing into ITSS archives.

%files -n %{libnamedev}
%{_includedir}/*.h
%{_libdir}/*.so

#----------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
# to recognize aarch64
autoreconf -vfi

%configure --disable-static \
	--enable-examples
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la
