Name:		chocolate-doom
Version:	3.1.0
Release:	%mkrel 1
Group:		Games/Shooter
Summary:	Historically compatible Doom engine
License:	GPLv2+
URL:		https://www.chocolate-doom.org/
Source0:	https://github.com/chocolate-doom/chocolate-doom/archive/%{name}-%{version}.tar.gz
Source1:	chocolate-freedoom1.desktop
Source2:	chocolate-freedoom2.desktop
Source3:	chocolate-freedm.desktop
BuildRequires:	pkgconfig(fluidsynth)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(SDL2_net)
BuildRequires:	pkgconfig(samplerate)

Recommends:     doom-iwad
Provides:       doom-engine


%description
Chocolate Doom is a game engine that aims to accurately reproduce the experience
of playing vanilla Doom. It is a conservative, historically accurate Doom source
port, which is compatible with the thousands of mods and levels that were made
before the Doom source code was released. Rather than flashy new graphics,
Chocolate Doom's main features are its accurate reproduction of the game as it
was played in the 1990s.

The following games can be played:
-Freedoom
-Doom (including the Ultimate Doom expansion pack)
-Doom II
-Final Doom
-Chex Quest

It is also possible to play these expansion packs and commercial games:
-The Master Levels for Doom II
-Hacx

And also various TCs and WAD files:
https://www.chocolate-doom.org/wiki/index.php/User_guide

%prep
%autosetup -p1 -n %{name}-%{name}-%{version}

%build
autoreconf -vfi
%configure --bindir=%{_gamesbindir}
%make_build

%install
%make_install iconsdir="%{_iconsdir}/hicolor/64x64/apps"
install -m0644 %{SOURCE1} %{buildroot}%{_datadir}/applications/chocolate-freedoom1.desktop
install -m0644 %{SOURCE2} %{buildroot}%{_datadir}/applications/chocolate-freedoom2.desktop
install -m0644 %{SOURCE3} %{buildroot}%{_datadir}/applications/chocolate-freedm.desktop

rm -f %{buildroot}%{_datadir}/applications/screensavers/*.desktop

# These suck, we don't like them
rm -f %{buildroot}%{_datadir}/applications/org.chocolate_doom.Doom.desktop
rm -f %{buildroot}%{_datadir}/applications/org.chocolate_doom.Setup.desktop
rm -f %{buildroot}%{_datadir}/applications/org.chocolate_doom.Heretic.desktop
rm -f %{buildroot}%{_datadir}/applications/org.chocolate_doom.Hexen.desktop
rm -f %{buildroot}%{_datadir}/applications/org.chocolate_doom.Strife.desktop

cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Chocolate Doom
Comment=Conservative Doom source port
Exec=chocolate-doom
Type=Application
Terminal=false
Icon=chocolate-doom
Categories=Game;ArcadeGame;
Keywords=first;person;shooter;doom;vanilla;
EOF

cat > %{buildroot}%{_datadir}/applications/chocolate-setup.desktop << EOF
[Desktop Entry]
Name=Chocolate Doom Setup
Comment=Setup tool for Chocolate Doom
Exec=chocolate-doom-setup
Type=Application
Terminal=false
Icon=chocolate-setup
Categories=Game;ArcadeGame;
Keywords=first;person;shooter;doom;heretic;hexen;strife;vanilla;
EOF

cat > %{buildroot}%{_datadir}/applications/chocolate-heretic.desktop << EOF
[Desktop Entry]
Name=Chocolate Doom Heretic
Comment=Conservative Doom source port
Exec=chocolate-heretic
Type=Application
Terminal=false
Icon=chocolate-doom
Categories=Game;ArcadeGame;
Keywords=first;person;shooter;doom;vanilla;
EOF

cat > %{buildroot}%{_datadir}/applications/chocolate-hexen.desktop << EOF
[Desktop Entry]
Name=Chocolate Doom Hexen
Comment=Conservative Doom source port
Exec=chocolate-hexen
Type=Application
Terminal=false
Icon=chocolate-doom
Categories=Game;ArcadeGame;
Keywords=first;person;shooter;doom;vanilla;
EOF

cat > %{buildroot}%{_datadir}/applications/chocolate-strife.desktop << EOF
[Desktop Entry]
Name=Chocolate Doom Strife
Comment=Conservative Doom source port
Exec=chocolate-strife
Type=Application
Terminal=false
Icon=chocolate-doom
Categories=Game;ArcadeGame;
Keywords=first;person;shooter;doom;vanilla;
EOF

%files
%doc AUTHORS
%doc %{_docdir}/chocolate-doom
%doc %{_docdir}/chocolate-heretic
%doc %{_docdir}/chocolate-hexen
%doc %{_docdir}/chocolate-strife
%{_gamesbindir}/%{name}
%{_gamesbindir}/chocolate-server
%{_gamesbindir}/chocolate-doom-setup
%{_gamesbindir}/chocolate-heretic
%{_gamesbindir}/chocolate-heretic-setup
%{_gamesbindir}/chocolate-hexen
%{_gamesbindir}/chocolate-hexen-setup
%{_gamesbindir}/chocolate-strife
%{_gamesbindir}/chocolate-strife-setup
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/chocolate-freedoom1.desktop
%{_datadir}/applications/chocolate-freedoom2.desktop
%{_datadir}/applications/chocolate-freedm.desktop
%{_datadir}/applications/chocolate-setup.desktop
%{_datadir}/applications/chocolate-heretic.desktop
%{_datadir}/applications/chocolate-hexen.desktop
%{_datadir}/applications/chocolate-strife.desktop
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/bash-completion/completions/chocolate-heretic
%{_datadir}/bash-completion/completions/chocolate-hexen
%{_datadir}/bash-completion/completions/chocolate-strife
%{_iconsdir}/hicolor/64x64/apps/%{name}.png
%{_iconsdir}/hicolor/64x64/apps/chocolate-setup.png
%{_iconsdir}/hicolor/64x64/apps/chocolate-heretic.png
%{_iconsdir}/hicolor/64x64/apps/chocolate-hexen.png
%{_iconsdir}/hicolor/64x64/apps/chocolate-strife.png
%{_metainfodir}/org.chocolate_doom.Doom.metainfo.xml
%{_metainfodir}/org.chocolate_doom.Heretic.metainfo.xml
%{_metainfodir}/org.chocolate_doom.Hexen.metainfo.xml
%{_metainfodir}/org.chocolate_doom.Strife.metainfo.xml
%{_mandir}/man5/%{name}.cfg.5.*
%{_mandir}/man5/chocolate-heretic.cfg.5.*
%{_mandir}/man5/chocolate-hexen.cfg.5.*
%{_mandir}/man5/chocolate-strife.cfg.5.*
%{_mandir}/man5/default.cfg.5.*
%{_mandir}/man5/heretic.cfg.5.*
%{_mandir}/man5/hexen.cfg.5.*
%{_mandir}/man5/strife.cfg.5.*
%{_mandir}/man6/%{name}.6.*
%{_mandir}/man6/chocolate-server.6.*
%{_mandir}/man6/chocolate-doom-setup.6.*
%{_mandir}/man6/chocolate-heretic-setup.6.*
%{_mandir}/man6/chocolate-heretic.6.*
%{_mandir}/man6/chocolate-hexen-setup.6.*
%{_mandir}/man6/chocolate-hexen.6.*
%{_mandir}/man6/chocolate-strife-setup.6.*
%{_mandir}/man6/chocolate-strife.6.*
