# comment out when not pre-release
#define prel	beta2

%define url_ver	%(echo %{version}|cut -d. -f1,2)

%define rel	8

Name:		choqok
Version:	1.7.0
Release:	%mkrel %{?prel:0.%prel.}%{rel}
Summary:	Plasma 5 Micro-Blogging Client
License:	GPLv3
Group:		Networking/News
Url:		http://choqok.gnufolks.org/
Source0:	https://download.kde.org/%{?prel:un}stable/choqok/%{url_ver}/src/%{name}-%{version}.tar.xz
Patch0:		choqok-0.9.85-dbus-service-dir.patch
Patch1:		0001-Fix-warning-about-KCModule.patch
# twitter third party clients no longer work
# konqueror plugin is broken and obsolete
Patch2:		choqok-1.7.0-disable_obsolete.patch

BuildRequires:	kf5-rpm-macros
BuildRequires:	cmake(KF5Archive)
BuildRequires:	cmake(KF5Attica)
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5ConfigWidgets)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5Emoticons)
BuildRequires:	cmake(KF5GlobalAccel)
BuildRequires:	cmake(KF5GuiAddons)
BuildRequires:	cmake(KF5KCMUtils)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5Notifications)
BuildRequires:	cmake(KF5NotifyConfig)
BuildRequires:	cmake(KF5Purpose)
BuildRequires:	cmake(KF5Sonnet)
BuildRequires:	cmake(KF5TextWidgets)
BuildRequires:	cmake(KF5Wallet)
BuildRequires:	cmake(KF5XmlGui)
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5NetworkAuth)
BuildRequires:	pkgconfig(Qt5Widgets)

BuildRequires:	pkgconfig(qca2-qt5)

Requires:	qca-qt5
Recommends:	%{name}-handbook

%description
Choqok is a Free/Open Source micro-blogging client for Plasma 5 Desktop.

%files -f %{name}.lang
%doc AUTHORS changelog README
%license COPYING
%{_kf5_bindir}/choqok
%{_qt5_plugindir}/*.so
%{_kf5_plugindir}/purpose/*.so
%{_kf5_applicationsdir}/org.kde.choqok.desktop
%{_kf5_datadir}/choqok/
%{_kf5_datadir}/config.kcfg/*.kcfg
%{_kf5_datadir}/kxmlgui5/%{name}*/
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf5_knotificationsdir}/%{name}.notifyrc
%{_kf5_iconsdir}/*/*/*/*
%{_kf5_services}/choqok_*.desktop
%{_kf5_servicetypes}/choqok*.desktop
%{_kf5_datadir}/dbus-1/services/org.kde.choqok.service

#-------------------------------------------------------------------

%define choqok_major 1
%define libchoqok %mklibname choqok %{choqok_major}

%package -n     %{libchoqok}
Summary:        %{name} library
Group:          System/Libraries

%description -n %{libchoqok}
%{name} library.

%files -n %{libchoqok}
%{_kf5_libdir}/libchoqok.so.%{choqok_major}{,.*}

#-------------------------------------------------------------------

%define twitterapihelper_major 1
%define libtwitterapihelper %mklibname twitterapihelper %{twitterapihelper_major}

%package -n     %{libtwitterapihelper}
Summary:        %{name} library
Group:          System/Libraries

%description -n %{libtwitterapihelper}
%{name} library.

%files -n %{libtwitterapihelper}
%{_kf5_libdir}/libtwitterapihelper.so.%{twitterapihelper_major}{,.*}

#-------------------------------------------------------------------

%define gnusocialapihelper_major 1
%define libgnusocialapihelper %mklibname gnusocialapihelper %{gnusocialapihelper_major}

%package -n     %{libgnusocialapihelper}
Summary:        %{name} library
Group:          System/Libraries

%description -n %{libgnusocialapihelper}
%{name} library.

%files -n %{libgnusocialapihelper}
%{_kf5_libdir}/libgnusocialapihelper.so.%{gnusocialapihelper_major}{,.*}

#-------------------------------------------------------------------

%define devchoqok %mklibname choqok -d

%package -n     %{devchoqok}
Summary:        %{name} development files
Group:          Development/KDE and Qt
Requires:       %{libchoqok} = %{version}-%{release}
Requires:       %{libtwitterapihelper} = %{version}-%{release}
Requires:       %{libgnusocialapihelper} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < 1.4-7

%description -n %{devchoqok}
This package contains header files needed if you wish to build applications
based on %{name}.

%files  -n %{devchoqok}
%{_kf5_libdir}/libchoqok.so
%{_kf5_libdir}/libtwitterapihelper.so
%{_kf5_libdir}/libgnusocialapihelper.so
%{_includedir}/choqok/
%{_kf5_datadir}/cmake/modules/*

#--------------------------------------------------------------------

%package        handbook
Summary:        Choqok Handbook
Group:          Documentation
BuildArch:      noarch

%description	handbook
This package provides Choqok handbook.

%files handbook
%{_kf5_docdir}/HTML/*/%{name}/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name}

