Name:           chroma
Version:        1.20
Release:        %mkrel 1
Summary:        Abstract puzzle game with complex patterns of colourful shapes
License:        GPLv2+
Group:          Games/Puzzles
Url:            https://www.level7.org.uk/chroma/
Source0:        https://www.level7.org.uk/chroma/download/%{name}-%{version}.tar.bz2
Source1:        %{name}.svg
Source2:        %{name}-curses.svg
Patch0:         chroma-1.17-use-cflags.patch

BuildRequires:  imagemagick
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_image)

%description
Chroma is an abstract puzzle game. A variety of colourful shapes
are arranged in a series of increasingly complex patterns, forming
fiendish traps that must be disarmed and mysterious puzzles that
must be manipulated in order to give up their subtle secrets.
Initially so straightforward that anyone can pick it up and begin
to play, yet gradually becoming difficult enough to tax even
the brightest of minds.

Have you got what it takes to solve Chroma?

%prep
%autosetup -p1

%build
autoreconf -fi
%configure \
  --bindir=%{_gamesbindir} \
  --datadir=%{_gamesdatadir}
%make_build

%install
%make_install

# Generate and install icons
for bin in %{name} %{name}-curses; do
  install -D -m644 %{_sourcedir}/%{name}.svg \
    %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
  for size in 48x48 256x256; do
    install -d %{buildroot}%{_iconsdir}/hicolor/${size}/apps
    convert -background transparent %{_sourcedir}/${bin}.svg -resize ${size} \
      %{buildroot}%{_iconsdir}/hicolor/${size}/apps/${bin}.png
  done
done

# Desktop entries
install -d %{buildroot}%{_datadir}/applications

cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Chroma
Comment=Abstract puzzle game
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;BlocksGame;
EOF

cat > %{buildroot}%{_datadir}/applications/%{name}-curses.desktop << EOF
[Desktop Entry]
Name=Chroma (console version)
Comment=Abstract puzzle game (console version)
Exec=%{name}-curses
Icon=%{name}-curses
Terminal=true
Type=Application
Categories=Game;BlocksGame;
EOF

%files
%doc help/README COPYING CHANGELOG
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-curses.desktop
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}-curses
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_iconsdir}/hicolor/*/apps/%{name}-curses.*
