Name:           chromaprint-tools
Version:        1.0
Release:        %mkrel 2
Summary:        Library implementing the AcoustID fingerprinting
Group:          System/Libraries
License:        LGPLv2+
URL:            https://www.acoustid.org/chromaprint/
Source:         https://github.com/downloads/lalinsky/chromaprint/chromaprint-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:  fftw-devel >= 3
BuildRequires:  ffmpeg-devel

%description
Chromaprint library is the core component of the AcoustID project. It's a 
client-side library that implements a custom algorithm for extracting 
fingerprints from raw audio sources.

This is a set of Chromaprint tools related to acoustic fingerprinting 
featuring fpcalc an standalone AcoustID tool used by Picard.

%prep
%setup -q -n chromaprint-%{version}

%build
%cmake -DBUILD_EXAMPLES=on -DBUILD_TESTS=off
%cmake_build

%install
%cmake_install

# cleaning files managed in the chromaprint main package
rm -f %{buildroot}%{_includedir}/chromaprint.h
rm -f %{buildroot}%{_libdir}/pkgconfig/libchromaprint.pc
rm -f %{buildroot}%{_libdir}/lib*.la
rm -f %{buildroot}%{_libdir}/lib*.so*

%files
%doc CHANGES.txt COPYING.txt NEWS.txt README.txt
%{_bindir}/fpcalc
