%define major          1
%define libchromaprint %mklibname %{name} %{major}
%define develname      %mklibname %{name} -d

Name:           chromaprint
Version:        1.5.1
Release:        %mkrel 3
Summary:        Library implementing the AcoustID fingerprinting

Group:          System/Libraries
License:        LGPLv2+
URL:            https://www.acoustid.org/chromaprint
Source:         https://github.com/acoustid/chromaprint/releases/download/v%{version}/%{name}-%{version}.tar.gz
Patch0:		0001-Use-FFmpeg-5.x.patch
Patch1:		0001-ffmpeg5-fix-for-issue-#122.patch

BuildRequires:  cmake
BuildRequires:  fftw-devel >= 3
BuildRequires:  ffmpeg-devel
BuildRequires:  pkgconfig(taglib)
Provides:       chromaprint-tools

%description
Chromaprint library is the core component of the AcoustID project. It's a
client-side library that implements a custom algorithm for extracting
fingerprints from raw audio sources.

The library exposes a simple C API. The documentation for the C API can be
found in the main header file.

%package -n     %{libchromaprint}
Summary:        Library implementing the AcoustID fingerprinting
Group:          System/Libraries

%description -n %{libchromaprint}
Chromaprint library is the core component of the AcoustID project. It's a
client-side library that implements a custom algorithm for extracting
fingerprints from raw audio sources.

The library exposes a simple C API. The documentation for the C API can be
found in the main header file.

%package -n     %{develname}
Summary:        Headers for developing programs that will use %{name}
Group:          Development/C
Requires:       %{libchromaprint} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%cmake -DBUILD_TOOLS=ON
%cmake_build

%install
%cmake_install

%files
%{_bindir}/fpcalc

%files -n %{libchromaprint}
%doc NEWS.txt README.md
%license LICENSE.md
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/chromaprint.h
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
