# eu-strip crashes on chrome binary from this build
%bcond_with _enable_debug_packages
%global debug_package          %{nil}
%global __debug_install_post   %{nil}

%bcond_with gold

#squidf:WARNING: building with gcc is broken from chromium version 98.
# It is possible again with gcc12 and Chromium 114 but Chromium crashes at launch...
%bcond_without clang
%bcond_without system_llvm
%if %{without system_llvm}
%global _clang_path %{_libdir}/llvm17
%else
%global _clang_path %{_prefix}
%endif
#squidf: 120_ i586 crashes during link on our BS
#squidf: 125_ x86_64 clang crashes as well with thin_lto and cfi
%bcond_with thin_lto
%if %{with thin_lto}
%bcond_without cfi
%else
%bcond_with cfi
%endif

#squidf: 120_ flag to enable|disable use_custom_libcxx
# On MGA9, GCC12 is too old and requires additonal patches to build with GCC libs from the system
# For i586, bundled GCC libs cannot be built. Chromium has made it too complicated.
# A consequence of all of that is Chromium cannot be built for i586 anymore, from version 123_ at least
%ifarch %{ix86}
%bcond_with use_custom_libcxx
%else
%bcond_without use_custom_libcxx
%endif

%bcond_without qt
%bcond_without link_vulkan

%bcond_without system_dav1d
%bcond_without system_double_conversion
%bcond_with	system_ffmpeg
%bcond_without system_flac
%bcond_with    system_flatbuffers
%bcond_without system_fontconfig
%bcond_without system_freetype
%bcond_without system_harfbuzz
%bcond_with system_highway
#squidf: Chromium seems too sensitive to icu, leading to crash some sites like google earth
%bcond_with	system_icu
#squidf: 120_ use bundled jsoncpp
#       124_ ld.lld: error: undefined symbol: Json::Value::Value(std::__Cr::basic_string<char, std::__Cr::char_traits<char>, std::__Cr::allocator<char>> const&)
%bcond_with system_jsoncpp
%bcond_without system_lcms2
%bcond_with system_libaom
%bcond_with system_libavif
%bcond_without system_libdrm
# system libevent causes the renderer to get stuck ?
%bcond_with system_libevent
%bcond_without system_libpng
%bcond_without system_libsecret
%bcond_without system_libtiff
%bcond_without system_libusb
%bcond_with system_libvpx
%bcond_with system_libwebp
#124_ : third_party/blink/renderer/core/xml/xsl_style_sheet_libxslt.cc:125:26: error: no matching constructor for initialization of 'XMLDocumentParserScope'
%bcond_with system_libxml
%bcond_without system_libxslt
#squidf: FIXME from 119
%bcond_with system_minizip
%bcond_without system_openjpeg
%bcond_without system_opus
#squidf: bundled re2 from 116_
%bcond_with system_re2
#squidf: 120_ use bundled snappy
# 124_ ld.lld: error: undefined symbol: snappy::Compress(char const*, unsigned long, std::__Cr::basic_string<char, std::__Cr::char_traits<char>, std::__Cr::allocator<char>>*) referenced by compression_module.cc
%bcond_with system_snappy
%bcond_without system_vaapi
%bcond_without system_wayland

#squidf:build error with chromium 97 even for MGA9
%bcond_with warnings_as_errors


%define crname chromium-browser
%define _crdir %{_libdir}/%{crname}
%define __requires_exclude_from ^%{_crdir}/libwidevinecdmadapter.so$

# eol 'fix' corrupts some .bin
%define dont_fix_eol 1

#squidf: to better track esbuild version
#       check chromium version in third_party/devtools-frontend/src/DEPS
#       https://github.com/evanw/esbuild
%define     esb_ver 0.16.4

Name:		chromium-browser-stable
Version:	134.0.6998.165
Release:	%mkrel 1
Summary:	A fast webkit-based web browser
Group:		Networking/WWW
License:	BSD and LGPLv2+
URL:		https://www.chromium.org/Home
#		https://omahaproxy.appspot.com/
#		https://googlechromereleases.blogspot.com/
Source0:	https://commondatastorage.googleapis.com/chromium-browser-official/chromium-%{version}.tar.xz
Source1:	chromium-wrapper
Source2:	chromium-browser.desktop
#squidf: to get esbuild from https://github.com/evanw/esbuild with vendor
Source3:    gen_esbuild_vendor.sh
Source4:    esbuild-%{esb_ver}.tar.xz
#squidf: Applications preferences at startup
Source13:   master_preferences

#squidf: fonts already available system wise
Patch1:     chromium-124-remove-bundled-roboto-font.patch
# fix googleisms in man page
Patch2:		chromium-mageia.patch
# (ns80) use a patch rather than a source file for widevine
#Patch3:		chromium-71.0.3578.98-widevine-r3.patch
# (ns80) remove unrar
Patch4:		chromium-122-norar.patch
# (cjw) disable external components -- this stops chromium from downloading hotword stuff, for example
#squidf: update for 103_ and simplified
Patch10:	chromium-103-no-external-components.patch
# (cjw) add missing unbundle gn files (2)
Patch29:	chromium-53-gn-system-opus.patch
# (cjw) fix pdfium build with system openjpeg
Patch31:	chromium-117-pdfium-system-libopenjpeg2.patch
# (cjw) use system nodejs to fix build
Patch37:	chromium-98-system-nodejs.patch
# (cjw) use system closure compiler
Patch38:	chromium-110-system-closure-compiler.patch
# (cjw) fix build with system icu
Patch39:	chromium-113-system-icu.patch
# (cjw) gcc warnings: missing casts
# (cjw) fix gn bootstrapping with gcc. Kept with clang to stay safe.
#squidf: grouped 69 and 72 versions
Patch190:	chromium-98-gn-bootstrap.patch
#squidf: grouped system zlib patches 85, 87 and 96, including angle-vulkan fix
Patch240:	chromium-126-system-zlib.patch
# (cjw) fix broken system libvpx build
Patch244:	chromium-88-system-libvpx.patch

#squidf: to use system libusb
Patch256:   chromium-120-system-libusb.patch
Patch257:   chromium-117-libusb_interrupt_event_handler.patch
#squidf: to use system vulkan, from nodejs-electron openSUSE
Patch258:   chromium-125-do-not-build-libvulkan.so.patch
Patch259:   chromium-125-skia-system-vulkan-headers.patch
#squidf:geentoo patch to pass sandbox/linux/services/credentials.cc:103:16: error: variable-sized object may not be initialized
#       https://bugs.gentoo.org/823857
Patch261:   chromium-100-clang-variable-size-object.patch

#squidf:additional patch for vaapi (mainly from rpmfusion/freeworld)
#squidf: update for 100_: deprecated patch for media/gpu/chromeos/video_decoder_pipeline.cc
Patch280:   chromium-100-vaapi-libdrm.patch

#squidf: additional patch
#squidf: build error: math_extras.h:130:18: error: constexpr function never produces a constant expression
Patch301:   chromium-98-constexpr-compiler.patch
#squidf: from openSUSE to unbundle fully libdrm
Patch306:   chromium-114-system-libdrm.patch
#squidf: update for 99_
Patch307:   chromium-112-wayland-egl.patch

#squidf: from Arch
Patch314:   chromium-126-compiler.patch
#squidf: 106_ fix missing include cmath
Patch318:   chromium-116-include-std-namespace.patch
#squidf: allow system clang version
Patch319:   chromium-107-remove-clang-version-test.patch

#ns80: fix build error with new pipewire
Patch356:   chromium-133-pipewire-cast.patch

#squidf: from Fedora
Patch400:   chromium-111-disable-font-tests.patch
# squidf: From Arch: this allows signing into Chromium without baked-in values
Patch405:   chromium-126-use-oauth2-client-switches-as-default.patch
#squidf: 114_ remove rust version check
Patch406:   chromium-116-trick-rust-version.patch
#squidf: from Fedora, former openSUSE to build with gcc
Patch408:   chromium-125-missing-header-files.patch
#squidf: various community patches to fix build
Patch409:   chromium-121-workaround_clang_bug-structured_binding.patch
#squidf: from Arch
Patch414:   chromium-117-string-convert.patch
Patch420:   chromium-117-lp155-url_load_stats-size-t.patch
#squidf: from Fedora
Patch424:   chromium-121-llvm17-clang-lib-path.patch
# fix build with sytem rust bindgen tool
Patch425:   chromium-128-system-rust.patch
# fix build with system libtiff
Patch426:   chromium-132-system-libtiff.patch
# fix build with system highway
Patch427:   chromium-134-system-highway.patch
# fix compilation with clang
Patch428:   chromium-134-template-arguments.patch

# patches from upstream
# upstream bug 392818696
Patch1000:	chromium-fdf50ecfb6bcba3e7b19ca8aad93b28e2e37ef65.patch
# upstream bug 388680893
Patch1001:	chromium-ba87ecce5f6c7c8f22331d3bc718b88232c96b8a.patch
# upstream bug 362545037
Patch1002:	chromium-ce7064982527865ee63c8fd136fe2cca52fbdb10.patch
# upstream bug 40051596
Patch1003:	chromium-cdb798347ad78bcb1cffdbdc0e06eb1ec1867a57.patch
# upstream bug 40086360
Patch1004:	chromium-d2dfa6c653e88758c80530d5edfa464c5e865e98.patch
# upstream bug 40060076
Patch1005:	chromium-9e4e1d6af14a445e01f21e1bf5165a22b8fa8205.patch
Patch1006:	chromium-6dd275ac73511547f92ce0545a27a8e186404678.patch
Patch1007:	chromium-29cb77bec10a689ab16dc4816340405f3d9e368c.patch
Patch1008:	chromium-be949061e561cfc316cd5559e122de5877fda659.patch
Patch1009:	chromium-8c29dd7a6c9b72170056d95cafa4130e50eb0968.patch
Patch1010:	chromium-87c77f3cdf63ff9cdead9b97f1f627427654b0d1.patch
Patch1011:	chromium-ce0f402f288d3f0aacfdd843f57d8839613b70db.patch
# upstream bug 401823929
Patch1012:	chromium-19ac0182b7df645c2d8f99c5e36350fdc7f05a50.patch
# upstream bug 376491759
Patch1013:	chromium-a9a7be5f5c0a41b054d18e1e95c26ba1ab15f0b4.patch
# upstream bug 405140652
Patch1014:	chromium-94ec04ec6bd89868fe9508a76d058243db8f0623.patch
# upstream bug 396460489
Patch1015:	v8-1e4e857dc52c7fcb7949dc5ef1c9f08358cf0630.patch
Patch1016:	v8-1cc3b453addfb00b6f05afabaf3b61241754f904.patch
# upstream bug 399002829
Patch1017:	v8-7a96ba425eebb46958a27c64c8504c0ecffcfef6.patch
# upstream bug 397187119
Patch1018:	v8-ec48078aaeaef623314ed1dddc3a4b3967e8eb82.patch
# upstream bug 391114794
Patch1019:	chromium-a479c24d1ea0093435ba8bef5a365822ba6c6c6e.patch
# upstream bug 40064203
Patch1020:	chromium-4efa3c0ed400fb153831e754643b6d1e07bddec7.patch
# upstream bug 407368915
Patch1022:	dawn-53dfda5e9d07d58b43cea66b8153c55dd751ff88.patch

#For integration
Recommends: xdg-utils
Recommends: xdg-portal

Requires:       google-roboto-fonts

Provides:	%{crname}

BuildRequires:	bison
#squidf: 120_ cfi to be used when possible
%if %{with system_llvm}
BuildRequires:  compiler-rt
%endif
BuildRequires:	flex
#squidf: add golang to build esbuild from source
BuildRequires:  golang
BuildRequires:	gperf
%if %{with system_icu}
BuildRequires:	icu
%endif
BuildRequires:	ninja
#squidf: move to Python3:
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:	python3-beautifulsoup4
BuildRequires:	python3-html5lib
BuildRequires:	python3-markupsafe
BuildRequires:	python3-ply
BuildRequires:	python3-simplejson
#BuildRequires:	yasm
BuildRequires:	bzip2-devel
#BuildRequires:	closure-compiler
BuildRequires:	cups-devel
BuildRequires:	elfutils-devel
%if %{with system_double_conversion}
BuildRequires:  cmake(double-conversion)
%endif
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libavfilter)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libavutil)
BuildRequires:	glib2-devel
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:	devel(libatomic)
%if %{with system_libevent}
BuildRequires:	pkgconfig(libevent)
%endif
BuildRequires:	pkgconfig(dri)
BuildRequires:	pkgconfig(pam)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	mesaglesv2-devel

BuildRequires:	nodejs
BuildRequires:  rust
BuildRequires:  bindgen-cli
BuildRequires:  clang-devel

BuildRequires:	osmesa-devel
#BuildRequires:	protobuf-devel
%if %{with system_snappy}
BuildRequires:	pkgconfig(snappy)
%endif
BuildRequires:	perl(Switch)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(atk-bridge-2.0)
%if %{with system_dav1d}
BuildRequires:	pkgconfig(dav1d)
%endif
%if %{with system_libaom}
BuildRequires:	pkgconfig(aom)
%endif
BuildRequires:  pkgconfig(atspi-2)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(epoxy)
BuildRequires:	pkgconfig(expat)
%if %{with system_flac}
BuildRequires:	pkgconfig(flac)
%endif
%if %{with system_flatbuffers}
BuildRequires:  pkgconfig(flatbuffers)
%endif
%if %{with system_fontconfig}
BuildRequires:	pkgconfig(fontconfig)
%endif
%if %{with system_freetype}
BuildRequires:	pkgconfig(freetype2)
%endif
BuildRequires:	pkgconfig(gbm)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gnutls)
%if %{with system_harfbuzz}
BuildRequires:	pkgconfig(harfbuzz)
%endif
%if %{with system_highway}
BuildRequires:  pkgconfig(libhwy) >= 1
%endif
%if %{with system_icu}
BuildRequires:	pkgconfig(icu-i18n)
%endif
%if %{with system_jsoncpp}
BuildRequires:	pkgconfig(jsoncpp)
%endif
%if %{with system_lcms2}
BuildRequires:  pkgconfig(lcms2)
%endif
%if %{with system_libavif}
BuildRequires:  pkgconfig(libavif)
%endif
BuildRequires:	pkgconfig(libcap)
%if %{with system_libdrm}
BuildRequires:	pkgconfig(libdrm)
%endif
BuildRequires:	pkgconfig(libexif)
%if %{with system_openjpeg}
BuildRequires:	pkgconfig(libjpeg)
%endif
BuildRequires:  pkgconfig(libnghttp2)
BuildRequires:	pkgconfig(libopenjp2)
BuildRequires:	pkgconfig(libpci)
%if %{with system_libpng}
BuildRequires:	pkgconfig(libpng)
%endif
%if %{with system_libsecret}
BuildRequires:  pkgconfig(libsecret-1)
%endif
%if %{with system_libtiff}
BuildRequires:	pkgconfig(libtiff-4)
%endif
%if %{with system_libusb}
BuildRequires:	pkgconfig(libusb-1.0)
%endif
#squidf:added for vaapi support
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(libva)
BuildRequires:  pkgconfig(libva-drm)
BuildRequires:  pkgconfig(libva-glx)
BuildRequires:  pkgconfig(libva-x11)
%if %{with system_libvpx}
BuildRequires:  nasm
BuildRequires:	pkgconfig(libvpx)
%endif
%if %{with system_libwebp}
BuildRequires:	pkgconfig(libwebp)
%endif
%if %{with system_libxml}
BuildRequires:	pkgconfig(libxml-2.0)
%endif
%if %{with system_libxslt}
BuildRequires:	pkgconfig(libxslt)
%endif
%if %{with system_minizip}
BuildRequires:	pkgconfig(minizip)
%endif
BuildRequires:	pkgconfig(nspr)
BuildRequires:	pkgconfig(nss)
%if %{with system_opus}
BuildRequires:	pkgconfig(opus)
%endif
%if %{with system_re2}
BuildRequires:	pkgconfig(re2)
%endif
BuildRequires:	pkgconfig(speech-dispatcher)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(udev)
BuildRequires:  pkgconfig(vulkan) >= 1.3
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:	pkgconfig(xscrnsaver)
BuildRequires:	pkgconfig(xshmfence)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(zlib)
%if %{with clang}
%if %{without system_llvm}
# If a new llvm (clang) version is used, check if __GCC_CONSTRUCTIVE_SIZE and __GCC_DESTRUCTIVE_SIZE defines below are still needed!
BuildRequires:  llvm17-suite-devel
BuildRequires:	llvm17-suite-tools-extra
%else
BuildRequires:	clang
BuildRequires:  lld
BuildRequires:	clang-tools-extra
BuildRequires:	clang-devel
%endif
%endif
%if %{with system_wayland}
BuildRequires:  pkgconfig(libva-wayland)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-scanner)
BuildRequires:  pkgconfig(wayland-server)
%endif
# Unused but building gn wants it to be present
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	git
#squidf: add support to pipewire
BuildRequires:  pkgconfig(libpipewire-0.3)
#squidf: new BR from 107_ to enable Qt6
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt6Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt6Widgets)
%if %{without use_custom_libcxx}
%ifarch %{ix86}
BuildRequires:  gcc-x86_64-linux-gnu
%endif
%endif
BuildRequires:  pkgconfig(libcurl)

#squidf: from 123_, only x86_64 is supported due to GCC12 at least
#ExclusiveArch:	i586 x86_64
ExclusiveArch:	x86_64


%description
Chromium is a browser that combines a minimal design with sophisticated
technology to make the web faster, safer, and easier.

For certain media playback features - AAC decoding - this package
currently assumes decoder support is available, while that is only true if
the 'tainted' variety of the libavcodec package is installed. When the 'core'
variety of libavcodec is installed, chromium may output noise for AAC audio.

%ifarch %{ix86}
The i586 build of this package does not work on machines that do not
support the SSE2 instruction set extension.
%endif

%package -n	chromium-browser
Summary:	A fast webkit-based web browser (transition package)
Epoch:		1
Group:		Networking/WWW
Requires:	%{name} = %{version}-%{release}

%description -n	chromium-browser
Chromium is a browser that combines a minimal design with sophisticated
technology to make the web faster, safer, and easier.

This is a transition package that installs the stable channel Chromium
browser.

%prep
%setup -q -n chromium-%{version}

#squidf: avoid autopatch to get all patches in src.rpm, independently of the flag settings
# first apply upstream patches
%patch -P1000 -p1 -b .bug392818696
%patch -P1001 -p1 -b .bug388680893
%patch -P1002 -p1 -b .bug362545037
%patch -P1003 -p1 -b .bug40051596
%patch -P1004 -p1 -b .bug40086360
%patch -P1011 -p1 -b .bug40060076-1
%patch -P1010 -p1 -b .bug40060076-2
%patch -P1009 -p1 -b .bug40060076-3
%patch -P1008 -p1 -b .bug40060076-4
%patch -P1007 -p1 -b .bug40060076-5
%patch -P1006 -p1 -b .bug40060076-6
%patch -P1005 -p1 -b .bug40060076-7
%patch -P1012 -p1 -b .bug401823929
%patch -P1013 -p1 -b .bug376491759
%patch -P1014 -p1 -b .bug405140652
%patch -P1016 -p1 -b .bug396460489-1
%patch -P1015 -p1 -b .bug396460489-2
%patch -P1017 -p1 -b .bug399002829
%patch -P1018 -p1 -b .bug397187119
%patch -P1019 -p1 -b .bug391114794
%patch -P1020 -p1 -b .bug40064203
%patch -P1022 -p1 -b .bug407368915

# mageia patches
%patch -P1 -p1 -b .unbundle-roboto-fonts
%patch -P2 -p1 -b .fix-googleism
#patch -P3 -p1 -b .add-widevine
#patch -P4 -p1 -b .remove-norar
%patch -P10 -p1 -b .disable-no-external-components-downloads
%if %{with system_opus}
%patch -P29 -p1 -b .missing-system-opus-gn-flag
%endif
%if %{with system_openjpeg}
%patch -P31 -p1 -b .use-pdfium-with-system-libopenjpeg2
%endif
%patch -P37 -p1 -b .fix-build-with-system-nodejs
%patch -P38 -p1 -b .use-system-closure-compiler
%if %{with system_icu}
%patch -P39 -p1 -b .fix-build-with-system-icu
%endif
%patch -P190 -p1 -b .fix-build-gn-bootstrap
%if %{with system_minizip}
%patch -P240 -p1 -b .use-system-zlib
%endif
%if %{with system_libvpx}
%patch -P244 -p1 -b .use-system-libvpx
%endif

%if %{with system_libusb}
%patch -P256 -p1 -b .use-system-libusb
%endif
%patch -P257 -p1 -b .libusb-interrupt
%if %{with link_vulkan}
%patch -P258 -p1 -b .do-not-build-libvulkan
%patch -P259 -p1 -b .skia-vulkan-system-headers
%endif
%patch -P261 -p1 -b .fix-build-variable-size-object

%patch -P280 -p1 -b .use-system-vaapi-libdrm

%patch -P301 -p1 -b .fix-build-constexpr

%if %{with libdrm}
%patch -P306 -p1 -b .system-libdrm
%endif
%patch -P307 -p1 -b .wayland-egl

%patch -P314 -p1 -b .arch-compiler
%patch -P318 -p1 -b .fix-build-isnan-member
%patch -P319 -p1 -b .allow-system-clang-version

%patch -P356 -p1 -b .system-pipewire

%patch -P400 -p1 -b .fix-terminal-error-fontconfig
%patch -P405 -p1 -b .use-oauth2-client-switches
%patch -P406 -p1 -b .remove-rust-version-check
%patch -P408 -p1 -b .fix-build-gcc13
%patch -P409 -p1 -b .fix-build-clang-structured_binding
%patch -P414 -p1 -b .fix-build-117_14
%patch -P420 -p1 -b .fix-build-117_18
%patch -P424 -p1 -b .fix-build-121_24
%patch -P425 -p1 -b .system-rust
%patch -P426 -p1 -b .system-libtiff
%patch -P427 -p1 -b .system-highway
%patch -P428 -p1 -b .template-arguments

#squidf: use esbuild version from esbuild source
sed -i 's/0.14.13/%{esb_ver}/g' ./third_party/devtools-frontend/src/DEPS
sed -i 's/0.14.13/%{esb_ver}/g' ./DEPS
sed -i 's/0.14.13/%{esb_ver}/g' ./third_party/devtools-frontend/src/node_modules/esbuild/lib/main.js
sed -i 's/0.14.13/%{esb_ver}/g' ./third_party/devtools-frontend/src/node_modules/esbuild/install.js
sed -i 's/0.14.13/%{esb_ver}/g' ./third_party/devtools-frontend/src/node_modules/esbuild/package.json
sed -i 's/0.14.13/%{esb_ver}/g' ./third_party/devtools-frontend/src/package-lock.json
sed -i 's/0.14.13/%{esb_ver}/g' ./third_party/devtools-frontend/src/scripts/deps/manage_node_deps.py

# files we do not want from upstream source bundles
rm -r --interactive=never third_party/breakpad/breakpad/src/processor/testdata/
rm -r --interactive=never third_party/breakpad/breakpad/src/tools
#squidf: chrome/test/data/extensions is mandatory to build 108_
rm -r --interactive=never chrome/test/data/{android,app_shim,apptest,ash,autofill,automation,automation_proxy_snapshot,banners,bookmark_html_reader,bookmarks,captive_portal,chromedriver,chrome_endure,chromeos,click_modifier,components,constrained_files,content,content_setting_bubble,devtools,diagnostics,dom_automation,dom_distiller,downloads,dromaeo,durable,edge_database_reader,edge_profile,encoding_tests,extensions,fast_shutdown,fast_tab_close,favicon,feeds,file_select_helper,find_in_page,focus,frame_dom_access,frame_tree,geolocation,google,gpu,History,image_decoding,image_search,import,indexeddb,inspector,installer,interstitial_page,login,native_messaging,navigation_interception,notifications,page_cycler,page_load_metrics,password,pepper,perf,permissions,plugin_power_saver,policy,popup_blocker,predictor,prefs,pref_service,prerender,printing,profiles,push_messaging,referrer_policy,safe_browsing,save_page,scroll,session_history,session_restore,sessions,settings,speech,ssl,sunspider,sync,template_url_scraper,textinput,third_party,top_sites,translate,viewsource,web_app_info,webrtc,websocket,workers}
rm -r --interactive=never chrome/test/data/{accessibility,app_deduplication_service,app_discovery_service,arc_board_default_apps,arc_default_apps,arc_non_adaptive_default_apps,arc_overview_tracing,autofill_prediction_improvements,back_forward_cache,background_fetch,background_sync,bookmark_html_writer,browsing_data,browsing_topics,bruschetta,capability_delegation,cart,client_hints,companion_visual_query,compose,content_index,content_language,continuous_search,controlled_frame,convert_dict,data_use_measurement,device_id,dlp,drag_and_drop,enterprise,errorpage,fenced_frames,fingerprinting_protection,firefox3_profile,firefox3_searchplugins,first_run,focus_rings,fullscreen_keyboardlock,fullscreen_pointerlock,hats,image_writer_private,inner_text,intent_picker,interest_group,lens,load_image,mac_installer,magic_boost,mahi,main_content_extraction,mirror_request_header,navigation_predictor,ocr,offline_pages,optimization_guide,osdd,pdf_private,pointer_lock,predictors,preload,previews,print_to_pdf,privacy_budget,private_network_access,public_offline_pages,pwa,reduce_accept_language,resource_coordinator,scanning,security,service_worker,shared_storage,sharing,shortcuts,subresource_loading,supervised_user,thumbnail_capture,top_controls_scroll,tpcd,updater,variations,wasm,webapks,web_app_badging,web_app_default_apps,web_app_file_handling,web_app_notifications,web_apps,web_app_shortcuts,webapps_integration,webaudio,webauthn,web_page_replay_go_helper_scripts,webshare,web_share_target,webview,xr}
rm -r --interactive=never chrome/test/data/nacl/{pnacl_error_handling,cross_origin,irt_exception,pnacl_request_header,pnacl_url_loader,pnacl_hw_eh_disabled,pnacl_nmf_options,pnacl_dyncode_syscall_disabled,extension_mime_handler,ppapi_test_lib,bad,ppapi,manifest,pnacl_debug_url,extension_validation_cache,exit_status,progress_events,manifest_file,sysconf_nprocessors_onln,crash}
rmdir chrome/test/data/webui/history/history_clusters
rm -r --interactive=never components/test/data/update_client/{ihfokbkgjpifnbbojhneepfflplebdkc,jebgalgnebhfojomionfpkfelancnnkf}
rm -r --interactive=never content/test/data/
rm -r --interactive=never ppapi/native_client/tests/
rm --interactive=never third_party/angle/third_party/VK-GL-CTS/src/scripts/src_util/clang-format
rm -r --interactive=never third_party/apache-linux
rm -r --interactive=never third_party/apache-win32/
rm --interactive=never third_party/catapult/third_party/gsutil/third_party/crcmod_osx/crcmod/_crcfunext.so
rm --interactive=never third_party/catapult/third_party/markupsafe/_speedups.cpython-39-x86_64-linux-gnu.so
rm -r --interactive=never third_party/expat/{fuzz,include,src}
%if %{with system_freetype}
rm -r --interactive=never third_party/freetype/{include,src}
%endif
%if %{with system_ffmpeg}
rm -r --interactive=never third_party/ffmpeg/*/*
%endif
%if %{with system_flac}
rm -r --interactive=never third_party/flac/{include,src}
%endif
%if %{with system_icu}
rm -r --interactive=never third_party/icu/{android,common,patches,source,chromeos,ios}
%endif
%if %{with system_jsoncpp}
rm -r --interactive=never third_party/jsoncpp/source
%endif
rm -r --interactive=never third_party/lcov
%if %{with system_libvpx}
rm -r --interactive=never third_party/libvpx/source/{libvpx,config}
%endif
%if %{with system_libaom}
rm -r --interactive=never third_party/libaom/source
%endif
%if %{with system_dav1d}
rm -r --interactive=never third_party/dav1d/{libdav1d,version}
%endif
%if %{with system_openjpeg}
rm -r --interactive=never third_party/libjpeg_turbo/*.[ch]
%endif
%if %{with system_libpng}
rm -r --interactive=never third_party/libpng/*.[ch]
%endif
rm -r --interactive=never third_party/libxslt/{mac,win32}
%if %{with system_libxslt}
rm -r --interactive=never third_party/libxslt/{linux,src}
%endif
rm -r --interactive=never third_party/xdg-utils/tests/
%if %{with system_minizip}
rm -r --interactive=never third_party/zlib/{*.[ch],contrib/minizip}
%endif
rm -r --interactive=never native_client_sdk/src/tools/lib/tests/data
rm -r --interactive=never buildtools/third_party/eu-strip/bin
%if %{with system_openjpeg}
rm --interactive=never third_party/pdfium/third_party/libopenjpeg/*.[ch]
%endif
%if %{with system_libtiff}
rm --interactive=never third_party/pdfium/third_party/libtiff/*.[ch]
%endif
%if %{with system_re2}
rm -r --interactive=never third_party/re2/src
%endif
%if %{with system_fontconfig}
rm -r --interactive=never third_party/fontconfig/{src,include,chromium}
%endif
rm -r --interactive=never third_party/unrar
rm -r --interactive=never base/test/data/pe_image_reader
rm -r --interactive=never build/linux/debian_bullseye_i386-sysroot
rm -r --interactive=never build/linux/debian_bullseye_amd64-sysroot
rm --interactive=never buildtools/linux64/gn
rm --interactive=never buildtools/linux64-format/clang-format
rm -r --interactive=never buildtools/reclient
rm --interactive=never chrome/updater/test/data/signed.exe
rm --interactive=never chrome/updater/test/data/tagged_encode_utf8.exe
rm --interactive=never chrome/updater/test/data/test_installer/*/Testapp2Setup.exe
rm --interactive=never components/zucchini/fuzzers/testdata/new_eventlog_provider.dll
rm --interactive=never components/zucchini/fuzzers/testdata/old_eventlog_provider.dll
rm -r --interactive=never components/zucchini/testdata
rm --interactive=never net/tools/testserver/dist/_socket.pyd
rm --interactive=never net/tools/testserver/dist/_ssl.pyd
rm --interactive=never tools/android/elf_compression/test/testdata/lib.so
rm -r --interactive=never tools/luci-go
rm -r --interactive=never tools/resultdb
rm -r --interactive=never tools/skia_goldctl
rm --interactive=never third_party/webrtc/data/voice_engine/stereo_rtp_files/rtpplay.exe
rm -r --interactive=never third_party/llvm
rm --interactive=never third_party/webgl/src/sdk/demos/google/san-angeles/gles/bob/bob
rm --interactive=never third_party/webgl/src/sdk/demos/google/san-angeles/glut/SanOGLES
rm -r --interactive=never third_party/lzma_sdk/bin/*
rm --interactive=never third_party/breakpad/symupload.exe
rm -r --interactive=never third_party/catapult/third_party/vinn/third_party/v8
rm -r --interactive=never third_party/instrumented_libs/binaries
rm -r --interactive=never base/test/data/pe_image/
rm -r --interactive=never base/test/data/file_version_info_unittest
rm --interactive=never third_party/crashpad/crashpad/handler/win/z7_test.dll
rm -r --interactive=never third_party/crashpad/crashpad/snapshot/elf/elf_image_reader_fuzzer_corpus
rm -r --interactive=never third_party/boringssl/src/util/ar/testdata
rm -r --interactive=never third_party/dawn/third_party/dxc/test/Object/Inputs
rm -r --interactive=never third_party/dawn/third_party/dxc/test/tools
rm --interactive=never third_party/dawn/third_party/ninja/ninja
rm -r --interactive=never third_party/dawn/tools/golang/bin
rm -r --interactive=never third_party/dawn/tools/golang/pkg/tool
rm --interactive=never third_party/dawn/tools/golang/src/crypto/internal/boring/syso/*.syso
rm -r --interactive=never third_party/dawn/tools/golang/src/debug/dwarf/testdata
rm -r --interactive=never third_party/dawn/tools/golang/src/debug/elf/testdata
rm -r --interactive=never third_party/dawn/tools/golang/src/debug/pe/testdata
rm -r --interactive=never third_party/dawn/tools/golang/src/runtime/pprof/testdata
rm --interactive=never third_party/dawn/tools/golang/src/runtime/race/internal/*/*.syso
rm --interactive=never third_party/dawn/tools/golang/src/runtime/race/*.syso
rm --interactive=never third_party/devtools-frontend/src/third_party/esbuild/esbuild
rm -r --interactive=never third_party/devtools-frontend/src/third_party/image_diff
rm --interactive=never third_party/freetype-testing/src/fuzzing/corpora/windowsfnt/bungeman/HangingS-PE.fon
rm --interactive=never third_party/freetype-testing/src/fuzzing/corpora/windowsfnt-render/bungeman/HangingS-PE.fon
rm --interactive=never third_party/google-closure-library/scripts/ci/CloseAdobeDialog.exe
rm --interactive=never third_party/libei/cipd/bin/ei-debug-events
rm -r --interactive=never third_party/llvm-build
rm -r --interactive=never third_party/llvm-build-tools/cargo-beta-x86_64-unknown-linux-gnu
rm -r --interactive=never third_party/nasm/travis/test
rm --interactive=never third_party/ninja/ninja
rm --interactive=never third_party/openscreen/src/buildtools/linux64-format/clang-format
rm --interactive=never third_party/openscreen/src/buildtools/third_party/eu-strip/bin/eu-strip
rm -r --interactive=never third_party/pyelftools/test/testfiles_for_unittests
rm -r --interactive=never third_party/pyelftools/test/external_tools
rm -r --interactive=never third_party/pyelftools/test/testfiles_for_readelf
rm -r --interactive=never third_party/pyelftools/examples
rm -r --interactive=never third_party/skia/platform_tools/android/bin
rm -r --interactive=never build/android/tests/symbolize
rm --interactive=never third_party/node/linux/node-linux-x64/bin/node
rm -r --interactive=never third_party/rust-src/
rm -r --interactive=never third_party/rust-toolchain
rm --interactive=never third_party/siso/cipd/siso
rm --interactive=never third_party/tflite/src/tensorflow/compiler/aot/codegen_test_o.golden
rm --interactive=never third_party/updater/chrome_linux64/cipd/updater_test
rm --interactive=never third_party/updater/chromium_linux64/cipd/updater_test
rm -r --interactive=never third_party/vulkan-loader/src/tests/framework/data/binaries
rm -r --interactive=never third_party/vulkan_memory_allocator/bin
rm --interactive=never third_party/skia/platform_tools/android/apps/gradle/wrapper/gradle-wrapper.jar
rm --interactive=never third_party/libphonenumber/dist/tools/java/cpp-build/target/cpp-build-1.0-SNAPSHOT-jar-with-dependencies.jar
rm --interactive=never third_party/webrtc/examples/androidapp/third_party/autobanh/lib/autobanh.jar
rm --interactive=never third_party/closure_compiler/compiler/compiler.jar
rm --interactive=never third_party/flatbuffers/src/android/gradle/wrapper/gradle-wrapper.jar
rm --interactive=never third_party/flatbuffers/src/kotlin/gradle/wrapper/gradle-wrapper.jar
rm --interactive=never third_party/webgl/src/conformance-suites/2.0.0/deqp/compiler.jar
rm --interactive=never third_party/grpc/src/examples/android/helloworld/gradle/wrapper/gradle-wrapper.jar
rm --interactive=never third_party/grpc/src/src/android/test/interop/gradle/wrapper/gradle-wrapper.jar
rm --interactive=never third_party/tflite/src/tensorflow/lite/java/ovic/demo/gradle/wrapper/gradle-wrapper.jar
rm --interactive=never third_party/tflite/src/tensorflow/lite/java/demo/gradle/wrapper/gradle-wrapper.jar
rm --interactive=never third_party/accessibility_test_framework/src/gradle/wrapper/gradle-wrapper.jar
rm --interactive=never third_party/android_build_tools/lint/custom_lint.jar
rm --interactive=never third_party/angle/third_party/r8/custom_d8.jar
rm --interactive=never third_party/beto-core/src/nearby/connections/ukey2/ukey2_jni/java/gradle/wrapper/gradle-wrapper.jar
rm --interactive=never third_party/beto-core/src/nearby/presence/ldt_np_jni/java/LdtNpJni/gradle/wrapper/gradle-wrapper.jar
rm --interactive=never third_party/beto-core/src/nearby/presence/np_java_ffi/gradle/wrapper/gradle-wrapper.jar
rm --interactive=never third_party/checkstyle/cipd/checkstyle-all.jar
rm --interactive=never third_party/google-java-format/chromium-overrides.jar
rm --interactive=never third_party/google-java-format/cipd/google-java-format.jar
rm --interactive=never third_party/libwebp/src/gradle/wrapper/gradle-wrapper.jar
rm --interactive=never third_party/libwebp/src/swig/libwebp.jar
rm --interactive=never third_party/r8/custom_d8.jar
rm --interactive=never third_party/r8/custom_r8.jar
rm --interactive=never build/android/stacktrace/java_deobfuscate_java.jar

%if %{with link_vulkan}
find third_party/angle/src/third_party/volk -type f ! -name "*.gn" -a ! -name "*.gni"  -delete
%endif

%if %{with system_icu}
# Remove bundled ICU; its header files appear to get picked up instead of
# the system ones, leading to errors during the final link stage.
# https://groups.google.com/a/chromium.org/d/topic/chromium-packagers/BNGvJc08B6Q
find third_party/icu -type f \! -regex '.*\.\(gn\|gni\|isolate\)' -delete
%endif

# Hard code extra version
FILE=chrome/common/channel_info_posix.cc
sed -i.orig -r -e 's/env = getenv\("CHROME_VERSION_EXTRA"\).*;/env = "%{product_vendor} %{product_version}";/' -e 's/return env \? (.*) : .*;/return \1;/' $FILE
if diff -u $FILE $FILE.orig >/dev/null; then
  exit 1
fi

#squidf: Fedora and Arch allow building against system libraries in official builds
#         It is not related to Google Chrome build; misleading.
#         https://groups.google.com/a/chromium.org/g/chromium-dev/c/4F5hM8XMOhQ
  sed -i 's/OFFICIAL_BUILD/GOOGLE_CHROME_BUILD/' \
    tools/generate_shim_headers/generate_shim_headers.py

#squidf: since 120_, from Fedora, add correct path for nodejs binary
mkdir -p third_party/node/linux/node-linux-x64/bin
ln -s %{_bindir}/node third_party/node/linux/node-linux-x64/bin/node


%build
%set_build_flags
%if %{with clang}
CC=%{_clang_path}/bin/clang; export CC
CXX=%{_clang_path}/bin/clang++; export CXX
LD=%{_clang_path}/bin/clang++; export LD
# set clang version
%define _clang_version %(%{_clang_path}/bin/clang --version | sed -n 's/clang version //p' | cut -d. -f1)
%else
CC=%{__cc}; export CC
CXX=%{__cxx}; export CXX
LD=%{__cxx}; export LD
%endif

%if %{without system_llvm}
AR=%{_clang_path}/bin/llvm-ar; export AR
NM=%{_clang_path}/bin/llvm-nm; export NM
%else
AR=%{__ar}; export AR
NM=%{_bindir}/nm; export NM
%endif

%if %{with clang}
LDFLAGS="-fuse-ld=lld $LDFLAGS"
%else
%if %{with gold}
LDFLAGS="-fuse-ld=gold $LDFLAGS"
%endif
%endif

# reduce warnings
FLAGS=' -Wno-deprecated-declarations -Wno-unknown-warning-option -Wno-unused-command-line-argument'
FLAGS+=' -Wno-unused-but-set-variable -Wno-unused-result -Wno-unused-function -Wno-unused-variable'
FLAGS+=' -Wno-unused-const-variable -Wno-unneeded-internal-declaration -Wno-unknown-attributes'
FLAGS+=' -Wno-unknown-pragmas'
# hack for a C++17 feature in libstdc++ not working with this clang version
FLAGS+=' -D__GCC_DESTRUCTIVE_SIZE=64 -D__GCC_CONSTRUCTIVE_SIZE=64'

export CFLAGS="$CFLAGS $FLAGS"
export CXXFLAGS="$CXXFLAGS $FLAGS"

%if %{with gold}
%ifarch %{ix86}
LDFLAGS="$LDFLAGS -Wl,--no-keep-files-mapped"
%endif
%else
LDFLAGS="$LDFLAGS -fno-use-linker-plugin"
%endif

# for debugging:
%if %{with _enable_debug_packages}
CFLAGS="$(echo $CFLAGS|sed -e 's/-Wp,-D_FORTIFY_SOURCE=2//' -e 's/-D_FORTIFY_SOURCE=2//') -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=0 -gdwarf64"
CXXFLAGS="$(echo $CXXFLAGS|sed -e 's/-Wp,-D_FORTIFY_SOURCE=2//' -e 's/-D_FORTIFY_SOURCE=2//') -Og -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=0 -Wno-error=return-type -gdwarf64"
%endif

# Let Chromium set its own symbol level
CFLAGS=${CFLAGS/-g }
CXXFLAGS=${CXXFLAGS/-g }

%ifarch %{ix86}
#squidf: for later, maybe...
#export CFLAGS="$CFLAGS -Wno-error=undef -march=i686 -mfpmath=sse -msse2"
#export CXXFLAGS="$CXXFLAGS -march=i686 -mfpmath=sse -msse2"
CFLAGS="$CFLAGS -msse2 -Wno-macro-redefined"
CXXFLAGS="$CXXFLAGS -msse2 -Wno-macro-redefined"
%endif

#squidf: esbuild built from source
# the bundled binary is removed in prep, so the next line is redundant
rm -f third_party/devtools-frontend/src/third_party/esbuild/esbuild
%{__tar} -xf %{SOURCE4}
pushd esbuild
GO_FLAGS="-mod=vendor" make
cp -a esbuild ../third_party/devtools-frontend/src/third_party/esbuild/esbuild
popd

# squidf: from _121, rust is required. Adapted from Fedora:
# need for error: the option `Z` is only accepted on the nightly compiler
export RUSTC_BOOTSTRAP=1


unbundle_list=()

%if %{with system_dav1d}
unbundle_list+=( dav1d )
%endif

%if %{with system_double-conversion}
unbundle_list+=( double-conversion )
%endif

%if %{with system_icu}
unbundle_list+=( icu )
%endif

%if %{with system_ffmpeg}
unbundle_list+=( ffmpeg )
%endif

%if %{with system_flac}
unbundle_list+=( flac )
%endif

%if %{with system_flatbuffers}
unbundle_list+=( flatbuffers )
%endif

%if %{with system_fontconfig}
unbundle_list+=( fontconfig )
%endif

%if %{with system_freetype}
unbundle_list+=( freetype )
%endif

%if %{with system_harfbuzz}
unbundle_list+=( harfbuzz-ng )
%endif

%if %{with system_highway}
find third_party/highway -type f ! -name "*.gn" -a ! -name "*.gni" -delete
unbundle_list+=( highway )
%endif

%if %{with system_jsoncpp}
unbundle_list+=( jsoncpp )
%endif

%if %{with system_libaom}
unbundle_list+=( libaom )
%endif

%if %{with system_libavif}
unbundle_list+=( libavif )
%endif

%if %{with system_libdrm}
unbundle_list+=( libdrm )
%endif

%if %{with system_libevent}
unbundle_list+=( libevent )
%endif

%if %{with system_openjpeg}
unbundle_list+=( libjpeg )
%endif

%if %{with system_libpng}
unbundle_list+=( libpng )
%endif

%if %{with system_libsecret}
unbundle_list+=( libsecret )
%endif

%if %{with system_libusb}
unbundle_list+=( libusb )
%endif

%if %{with system_libvpx}
unbundle_list+=( libvpx )
%endif

%if %{with system_libwebp}
unbundle_list+=( libwebp )
%endif

%if %{with system_libxml}
unbundle_list+=( libxml )
%endif

%if %{with system_libxslt}
unbundle_list+=( libxslt )
%endif

%if %{with system_minizip}
unbundle_list+=( zlib )
%endif

%if %{with system_opus}
unbundle_list+=( opus )
%endif

%if %{with system_re2}
unbundle_list+=( re2 )
%endif

%if %{with system_snappy}
unbundle_list+=( snappy )
%endif

#squidf: From openSUSE:
# The proprietary codecs just force the chromium to say they can use it and
# offload the actual computation to the ffmpeg, otherwise the chromium
# won't be able to load the codec even if the library can handle it => ffmpeg_branding=chrome
gn_mga=(
'use_sysroot=false'
'system_libdir="%{_lib}"'
'custom_toolchain="//build/toolchain/linux/unbundle:default"'
'host_toolchain="//build/toolchain/linux/unbundle:default"'
'target_os="linux" current_os="linux"'
'safe_browsing_use_unrar=false'
'proprietary_codecs=true'
'ffmpeg_branding="Chrome"'
'is_component_ffmpeg=true'
'enable_platform_ac3_eac3_audio = true'
'enable_platform_dts_audio = true'
'enable_mse_mpeg2ts_stream_parser=true'
'enable_widevine=true'
'fatal_linker_warnings=false'
'use_pulseaudio=true'
'link_pulseaudio=true'
'rtc_use_pipewire=true'
'rtc_link_pipewire=true'
'is_debug=false'
'use_system_libffi=true'
'dcheck_always_on=false'
'rust_sysroot_absolute="%{_prefix}"'
'rust_bindgen_root="%{_prefix}"'
"rustc_version=\"$(rustc --version)\""
'enable_vulkan=true'
'is_component_build=false'
'disable_fieldtrial_testing_config=true'
'use_dbus=true'
'is_official_build=true chrome_pgo_phase=0'
'ignore_missing_widevine_signing_cert=true'
# Set up Google API keys, see https://www.chromium.org/developers/how-tos/api-keys
# Note: these are for Mageia use ONLY.
# For your own builds, please get your own set of keys.
'google_api_key="AIzaSyDhhIHB_kQZodiWr8yDAm8E3GwEyiXmuDU"'
)

%if %{without cfi}
gn_mga+=('is_cfi=false')
%endif
%if %{with clang}
gn_mga+=(
'is_clang=true'
'clang_use_chrome_plugins=false'
'use_lld=true'
'clang_base_path="%{_clang_path}"'
'clang_version="%{_clang_version}"'
)
%else
gn_mga+=(
'is_clang=false'
'use_lld=false'
)
%endif
%if %{with use_custom_libcxx}
gn_mga+=('use_custom_libcxx=true')
%else
gn_mga+=('use_custom_libcxx=false')
%endif
%if %{with qt}
gn_mga+=(
'use_qt6=true'
'moc_qt6_path="%{_libdir}/qt6/libexec"'
'use_qt=true'
'moc_qt5_path="%{_libdir}/qt5/bin"'
)
%endif
%if %{with system_freetype}
gn_mga+=('use_system_freetype=true')
%endif
%if %{with gold}
gn_mga+=('use_gold=true')
%else
gn_mga+=('use_gold=false')
%endif
%if %{with system_harfbuzz}
gn_mga+=('use_system_harfbuzz=true')
%endif
%if %{with system_icu}
gn_mga+=('icu_use_data_file=false')
%endif
%if %{with system_lcms2}
gn_mga+=('use_system_lcms2=true')
%endif
%if %{with thin_lto}
gn_mga+=('use_thin_lto=true')
%else
gn_mga+=('use_thin_lto=false')
%endif
%if %{with system_libpng}
gn_mga+=('use_system_libpng=true')
%endif
%if %{with system_libtiff}
gn_mga+=('use_system_libtiff=true')
%endif
%if %{with system_minizip}
gn_mga+=" use_system_zlib=true"
%endif
%if %{with system_openjpeg}
gn_mga+=('use_system_libjpeg=true' 'use_system_libopenjpeg2=true')
%endif
%if %{with system_vaapi}
gn_mga+=('use_vaapi=true  use_vaapi_image_codecs=true')
%else
gn_mga+=('use_vaapi=false  use_vaapi_image_codecs=false')
%endif
%if %{with link_vulkan}
gn_mga+=(
'angle_shared_libvulkan=false'
'angle_use_custom_libvulkan=false'
)
%else
gn_mga+=('angle_use_custom_libvulkan=true')
%endif
%if %{with warnings_as_errors}
gn_mga+=('treat_warnings_as_errors=true')
%else
gn_mga+=('treat_warnings_as_errors=false')
%endif


build/linux/unbundle/replace_gn_files.py --system-libraries ${unbundle_list[@]}
third_party/libaddressinput/chromium/tools/update-strings.py


python tools/gn/bootstrap/bootstrap.py --gn-gen-args="${gn_mga[*]}"

out/Release/gn gen --args="${gn_mga[*]}" out/Release
#list gn flags
out/Release/gn args --list out/Release

%if %{without gold}
# ld.bfd needs lots of file descriptors to link chrome
ulimit -n 4096
%endif

%ninja_build -C out/Release chrome chrome_sandbox


# man page
sed -e "s/@@PACKAGE@@/chromium/" -e "s/@@MENUNAME@@/Chromium Web Browser/" chrome/app/resources/manpage.1.in >out/Release/chromium.1

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_crdir}/locales
mkdir -p %{buildroot}%{_crdir}/themes
mkdir -p %{buildroot}%{_crdir}/MEIPreload
mkdir -p %{buildroot}%{_mandir}/man1

#squidf: add master_preferences to prevent default browser check banner, at first
install -m 644 %{SOURCE13} %{buildroot}%{_crdir}/master_preferences
#squidf: install chromium-wrapper from source1
install -m 755 %{SOURCE1} %{buildroot}%{_crdir}/
install -m 755 out/Release/chrome %{buildroot}%{_crdir}/
#squidf Explicitly strip since we don't use debuginfo here anyway
#strip %{buildroot}%{_crdir}/chrome
install -m 4755 out/Release/chrome_sandbox %{buildroot}%{_crdir}/chrome-sandbox
#strip %{buildroot}%{_crdir}/chrome-sandbox
install -m 644 out/Release/chromium.1 %{buildroot}%{_mandir}/man1/%{crname}.1
install -m 644 out/Release/chrome_100_percent.pak %{buildroot}%{_crdir}/
install -m 644 out/Release/chrome_200_percent.pak %{buildroot}%{_crdir}/
install -m 644 out/Release/resources.pak %{buildroot}%{_crdir}/
install -m 644 out/Release/snapshot_blob.bin %{buildroot}%{_crdir}/
install -m 755 out/Release/mksnapshot %{buildroot}%{_crdir}/
install -m 755 out/Release/chrome_crashpad_handler %{buildroot}%{_crdir}/
#strip %{buildroot}%{_crdir}/chrome_crashpad_handler
install -m 644 out/Release/locales/*.pak %{buildroot}%{_crdir}/locales/
install -m 644 out/Release/v8_context_snapshot.bin %{buildroot}%{_crdir}/
install -m 755 out/Release/libEGL.so %{buildroot}%{_crdir}/
#strip %{buildroot}%{_crdir}/libEGL.so
install -m 755 out/Release/libGLESv2.so %{buildroot}%{_crdir}/
#strip %{buildroot}%{_crdir}/libGLESv2.so
%if %{without system_ffmpeg}
install -m 755 out/Release/libffmpeg.so %{buildroot}%{_crdir}/
%endif
install -m 755 out/Release/libVk*.so %{buildroot}%{_crdir}/
install -m 755 out/Release/libvk_swiftshader.so %{buildroot}%{_crdir}/
%ifarch x86_64
%if %{without link_vulkan}
install -m 755 out/Release/libvulkan.so.1 %{buildroot}%{_crdir}
%endif
install -m 644 out/Release/vk_swiftshader_icd.json %{buildroot}%{_crdir}
%endif

#squidf: fix "use qt" button
%if %{with qt}
#install -m 755 out/Release/libqt5_shim.so %{buildroot}%{_crdir}/
#strip %{buildroot}%{_crdir}/libqt5_shim.so
install -m 755 out/Release/libqt6_shim.so %{buildroot}%{_crdir}/
#strip %{buildroot}%{_crdir}/libqt6_shim.so
%endif

install -m 644 out/Release/MEIPreload/* %{buildroot}%{_crdir}/MEIPreload/
ln -s %{_crdir}/chromium-wrapper %{buildroot}%{_bindir}/%{crname}

find out/Release/resources/ -name "*.d" -exec rm {} \;
cp -r out/Release/resources %{buildroot}%{_crdir}

# desktop file
mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %{_sourcedir}/%{crname}.desktop %{buildroot}%{_datadir}/applications/

%if %{with system_icu}
# symlink to ICU data file
ICUDATADIR=$(icuinfo | grep \"icudata.path\" | sed -re 's/^.*>(.*)<.*$/\1/')
ICUDATANAME=$(icuinfo | grep \"icudata.name\" | sed -re 's/^.*>(.*)<.*$/\1/')
ICUDATAFILE=$(realpath --relative-to=%{_crdir}/ ${ICUDATADIR}/${ICUDATANAME}.dat)
ln -s ${ICUDATAFILE} %{buildroot}%{_crdir}/icudtl.dat
%else
install -m 644 out/Release/icudtl.dat %{buildroot}%{_crdir}/
%endif

# icon
for i in 24 48 64 128 256; do
	%{__mkdir_p} %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps
    install -m 644 chrome/app/theme/chromium/product_logo_$i.png %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps/%{crname}.png
done
%{__mkdir_p} %{buildroot}%{_iconsdir}/hicolor/32x32/apps
install -m 644 chrome/app/theme/chromium/linux/product_logo_32.xpm %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{crname}.xpm
%{__mkdir_p} %{buildroot}%{_iconsdir}/hicolor/scalable/apps
install -m 644 chrome/app/theme/chromium/product_logo.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{crname}.svg

%files -n chromium-browser

%files
%{_bindir}/%{crname}
%dir %{_crdir}
%{_crdir}/chromium-wrapper
%{_crdir}/chrome
%attr(4755,root,root) %{_crdir}/chrome-sandbox
%{_crdir}/icudtl.dat
%{_crdir}/locales
%{_crdir}/master_preferences
%{_crdir}/snapshot_blob.bin
%{_crdir}/v8_context_snapshot.bin
%{_crdir}/resources.pak
%{_crdir}/resources
%{_crdir}/chrome_100_percent.pak
%{_crdir}/chrome_200_percent.pak
%{_crdir}/mksnapshot
%{_crdir}/chrome_crashpad_handler
%{_crdir}/themes
%{_crdir}/libEGL.so
%{_crdir}/libGLESv2.so
%if %{without system_ffmpeg}
%{_crdir}/libffmpeg.so
%endif
%{_crdir}/libVk*.so
%{_crdir}/libvk_swiftshader.so
%if %{with qt}
#{_crdir}/libqt5_shim.so
%{_crdir}/libqt6_shim.so
%endif
%ifarch x86_64
%if %{without link_vulkan}
%{_crdir}/libvulkan.so.1
%endif
%{_crdir}/vk_swiftshader_icd.json
%endif
%{_mandir}/man1/%{crname}*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/%{crname}.png
%{_iconsdir}/hicolor/*/apps/%{crname}.xpm
%{_iconsdir}/hicolor/scalable/apps/%{crname}.svg
%{_crdir}/MEIPreload


