Name:		chromium-bsu
Version:	0.9.16.1
Release:	%mkrel 4
Summary:	Fast paced, arcade-style, top-scrolling space shooter
Group:		Games/Arcade
License:	Artistic
URL:		https://sourceforge.net/projects/chromium-bsu
Source0:	https://downloads.sf.net/chromium-bsu/%{name}-%{version}.tar.gz

BuildRequires:	imagemagick
BuildRequires:	pkgconfig(freealut)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(quesoglc)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
Requires:	font(bitstreamverasans)
Obsoletes:	chromium < 0.9.15.1

%description
You are captain of the cargo ship Chromium B.S.U., responsible for delivering
supplies to our troops on the front line. Your ship has a small fleet of
robotic fighters which you control from the relative safety of the Chromium
vessel.
This is an OpenGL-based shoot 'em up game with fine graphics.

%prep
%setup -q

%build
%configure \
    --bindir=%{_gamesbindir} \
    --datadir=%{_gamesdatadir} \
    --with-font-name="Bitstream Vera Sans"
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
convert -scale 48x48 misc/chromium-bsu.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 32x32 misc/chromium-bsu.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16x16 misc/chromium-bsu.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README COPYING NEWS
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_docdir}/%{name}/*
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}.6*
