Name:		chrony
Version:	4.5
Release:	%mkrel 1
Summary:	An NTP client/server
Group:		System/Servers
License:	GPLv2
URL:		https://chrony.tuxfamily.org
Source0:	https://download.tuxfamily.org/chrony/chrony-%{version}.tar.gz
Source1:	chrony.dhclient
Source3:	chrony-dnssrv@.service
Source4:	chrony-dnssrv@.timer

# add distribution-specific bits (from Fedora) to DHCP dispatcher
Patch1:		chrony-nm-dispatcher-dhcp.patch

BuildRequires:	pkgconfig(libcap)
BuildRequires:	pkgconfig(libedit)
BuildRequires:	pkgconfig(nettle)
BuildRequires:	pkgconfig(libseccomp)
BuildRequires:	bison
BuildRequires:	gnutls-devel
BuildRequires:	pps-tools-devel
Requires(pre):	rpm-helper >= 0.24.8-1
Requires(post):	rpm-helper >= 0.24.8-1
Requires(postun): rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description
A client/server for the Network Time Protocol, this program keeps your
computer's clock accurate. It was specially designed to support
systems with intermittent internet connections, but it also works well
in permanently connected environments. It can use also hardware reference
clocks, system real-time clock or manual input as time references.

%prep
%setup -q
%autopatch -p1

cp examples/chrony.conf.example2 chrony.conf
touch -r examples/chrony.conf.example2 chrony.conf

# regenerate the file from getdate.y
rm -f getdate.c

%build
%serverbuild
export CFLAGS="$CFLAGS -pie -fpie"
export LDFLAGS="$LDFLAGS -Wl,-z,relro,-z,now"

%configure \
	--enable-scfilter \
	--docdir=%{_docdir} \
	--with-ntp-era=$(date -d '1970-01-01 00:00:00+00:00' +'%s') \
	--with-user=chrony \
	--with-hwclockfile=%{_sysconfdir}/adjtime \
	--with-sendmail=%{_sbindir}/sendmail \
	--with-pidfile=%{_rundir}/chrony/chronyd.pid \
	--chronyrundir=%{_rundir}/chrony

%make_build

%install
%make_install

rm -rf %{buildroot}%{_docdir}

mkdir -p %{buildroot}%{_sysconfdir}/{sysconfig,logrotate.d}
mkdir -p %{buildroot}%{_localstatedir}/{lib,log}/chrony
mkdir -p %{buildroot}%{_sysconfdir}/NetworkManager/dispatcher.d
mkdir -p %{buildroot}%{_sysconfdir}/dhcp/dhclient.d
mkdir -p %{buildroot}%{_libexecdir}
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_prefix}/lib/systemd/ntp-units.d

install -m 644 -p chrony.conf %{buildroot}%{_sysconfdir}/chrony.conf

install -m 640 -p examples/chrony.keys.example \
	%{buildroot}%{_sysconfdir}/chrony.keys
install -m 755 -p examples/chrony.nm-dispatcher.onoffline \
	%{buildroot}%{_sysconfdir}/NetworkManager/dispatcher.d/20-chrony-onoffline
install -m 755 -p examples/chrony.nm-dispatcher.dhcp \
	%{buildroot}%{_sysconfdir}/NetworkManager/dispatcher.d/20-chrony-dhcp
install -m 755 -p %{SOURCE1} \
	%{buildroot}%{_sysconfdir}/dhcp/dhclient.d/chrony.sh
install -m 644 -p examples/chrony.logrotate \
	%{buildroot}%{_sysconfdir}/logrotate.d/chrony

install -m 644 -p examples/chronyd.service \
	%{buildroot}%{_unitdir}/chronyd.service
install -m 644 -p examples/chrony-wait.service \
	%{buildroot}%{_unitdir}/chrony-wait.service
install -m 644 -p %{SOURCE3} %{buildroot}%{_unitdir}/chrony-dnssrv@.service
install -m 644 -p %{SOURCE4} %{buildroot}%{_unitdir}/chrony-dnssrv@.timer

touch %{buildroot}%{_localstatedir}/lib/chrony/{drift,rtc}

echo 'chronyd.service' > %{buildroot}%{_prefix}/lib/systemd/ntp-units.d/50-chronyd.list

%pre
%_pre_useradd %{name} %{_localstatedir}/lib/%{name} /sbin/nologin

%post
%_post_service chronyd

%preun
%_preun_service chronyd

%postun
%_postun_userdel %{name}

%files
%doc COPYING FAQ NEWS README
%config(noreplace) %{_sysconfdir}/chrony.conf
%config(noreplace) %verify(not md5 size mtime) %attr(640,root,chrony) %{_sysconfdir}/chrony.keys
%config(noreplace) %{_sysconfdir}/logrotate.d/chrony
%{_sysconfdir}/NetworkManager/dispatcher.d/20-chrony-onoffline
%{_sysconfdir}/NetworkManager/dispatcher.d/20-chrony-dhcp
%{_sysconfdir}/dhcp/dhclient.d/chrony.sh
%{_bindir}/chronyc
%{_sbindir}/chronyd
%{_prefix}/lib/systemd/ntp-units.d/*.list
%{_unitdir}/chrony*.service
%{_unitdir}/chrony*.timer
%{_mandir}/man[158]/%{name}*.[158]*
%dir %attr(750,chrony,chrony) %{_localstatedir}/lib/chrony
%ghost %attr(-,chrony,chrony) %{_localstatedir}/lib/chrony/drift
%ghost %attr(-,chrony,chrony) %{_localstatedir}/lib/chrony/rtc
%dir %attr(750,chrony,chrony) %{_localstatedir}/log/chrony
