%define check_sig() export GNUPGHOME=%{_tmppath}/rpm-gpghome \
if [ -d "$GNUPGHOME" ] \
then echo "Error, GNUPGHOME $GNUPGHOME exists, remove it and try again"; exit 1 \
fi \
install -d -m700 $GNUPGHOME \
gpg2 --import %{1} \
gpg2 --trust-model always --verify %{2} %{?3} \
rm -Rf $GNUPGHOME ;\
\

Summary:	Tools for Managing Linux CIFS Client Filesystems
Name:		cifs-utils
Version:	7.2
Release:	%mkrel 1
License:	GPLv3
Group:		Networking/Other
URL:		https://www.samba.org/linux-cifs/cifs-utils/
Source0:	https://download.samba.org/pub/linux-cifs/cifs-utils/%{name}-%{version}.tar.bz2
Source1:	https://download.samba.org/pub/linux-cifs/cifs-utils/%{name}-%{version}.tar.bz2.asc
Source2:	https://download.samba.org/pub/linux-cifs/cifs-utils/cifs-utils-pubkey_0642D5A0.asc
Patch0:		cifs-utils-6.12-no-mount-smb3.patch

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	python3-docutils
BuildRequires:	pkgconfig(talloc)
BuildRequires:	pkgconfig(libcap-ng)
BuildRequires:	keyutils-devel
BuildRequires:	pkgconfig(krb5)
BuildRequires:	pkgconfig(wbclient)
BuildRequires:	gnupg2
BuildRequires:	pam-devel
Recommends:	sudo nss_wins
Provides:	mount-cifs = %{version}
Obsoletes:	mount-cifs <= 4.0
Requires:	keyutils

%description
Tools for Managing Linux CIFS Client Filesystems.

%package	devel
Summary:	Files needed for building plugins for cifs-utils
Group:		Development/C

%description	devel
This package contains the header file necessary for building ID mapping
plugins for cifs-utils.

%prep
%check_sig %{SOURCE2} %{SOURCE1} %{SOURCE0}

%autosetup -p1

%build
autoreconf -fi
%configure \
    --sbindir=%{_sbindir} \
    --enable-cifsacl \
    --enable-cifsidmap

%make_build

%install
%make_install

mv %{buildroot}/sbin/mount.cifs %{buildroot}%{_sbindir}/mount.cifs
ln -s ../sbin/mount.cifs %{buildroot}%{_bindir}/mount.cifs
# Hack for smb4k
ln -s umount %{buildroot}%{_bindir}/umount.cifs

mkdir -p %{buildroot}%{_sysconfdir}/%{name}
ln -s %{_libdir}/%{name}/idmapwb.so %{buildroot}%{_sysconfdir}/%{name}/idmap-plugin
mkdir -p %{buildroot}%{_sysconfdir}/request-key.d
install -m 644 contrib/request-key.d/cifs.idmap.conf %{buildroot}%{_sysconfdir}/request-key.d
install -m 644 contrib/request-key.d/cifs.spnego.conf %{buildroot}%{_sysconfdir}/request-key.d
cp contrib/request-key.d/README contrib/request-key.d/README.keyutils-1.5.5

%files
%doc AUTHORS README doc/linux-cifs-client-guide.odt
%doc contrib/request-key.d/README.keyutils-1.5.5
%config(noreplace) %{_sysconfdir}/%{name}/idmap-plugin
%config(noreplace) %{_sysconfdir}/request-key.d/cifs.idmap.conf
%config(noreplace) %{_sysconfdir}/request-key.d/cifs.spnego.conf
%{_bindir}/cifscreds
%{_bindir}/*etcifsacl
%{_bindir}/smbinfo
%{_bindir}/smb2-quota
%{_sbindir}/cifs.upcall
%{_sbindir}/cifs.idmap
%{_sbindir}/mount.cifs
%{_libdir}/%{name}/idmapwb.so
%{_libdir}/security/pam_cifscreds.so
%{_bindir}/mount.cifs
%{_bindir}/umount.cifs
%{_mandir}/man8/cifs.upcall.8*
%{_mandir}/man8/cifs.idmap.8*
%{_mandir}/man8/mount.cifs.8*
%{_mandir}/man8/idmapwb.8*
%{_mandir}/man8/pam_cifscreds.8*
%{_mandir}/man1/*etcifsacl.1*
%{_mandir}/man1/cifscreds.1*
%{_mandir}/man1/smbinfo.1*
%{_mandir}/man1/smb2-quota.1*

%files devel
%{_includedir}/cifsidmap.h
