%define	oname CImg

Summary:	Tools for advanced image processing
Name:		cimg
Version:	3.5.3
Release:	%mkrel 1
License:	CeCiLLv2
Group:		Graphics/Utilities
URL:		https://cimg.eu/
Source0:	https://cimg.eu/files/CImg_%{version}.zip
Patch1:		CImg-linking.patch
BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(opencv)
BuildRequires:	pkgconfig(libheif)
BuildRequires:	pkgconfig(GraphicsMagick++)
BuildRequires:	doxygen

%description
Image manipulation tools based on the CImg library, including the
greycstoration noise reduction tool.

%package   devel
Summary:   Library for advanced image processing (development files)
Group:     Development/C++
Requires:  pkgconfig(OpenEXR)
Provides:  CImg-devel = %{version}-%{release}

%description devel
The CImg Library is a C++ toolkit providing simple classes and functions to
load, save, process and display images in your own C++ code. It consists
only of a single header file CImg.h that must be included in your program
source. It contains useful image processing algorithms for loading/saving,
resizing/rotating, filtering, object drawing (text, lines, faces,
ellipses, ...), etc.

Images are instanciated by a class able to represent images up to 4-dimension
wide (from 1-D scalar signals to 3-D volumes of vector-valued pixels), with
template pixel types. It depends on a minimal number of libraries: you can
compile it with only standard C libraries. No need for exotic libraries and
complex dependencies.

%prep
%autosetup -n %{oname}-%{version} -p1

# build with GraphicsMagick++
sed -i -e '/PKG_CHECK_MODULES/s/\(\s\+\)Magick++/\1GraphicsMagick++/' examples/CMakeLists.txt

%build
%global _vpath_srcdir examples
%cmake -GNinja
%cmake_build

%install
%global demos CImg_demo captcha curve_editor2d dtmri_view3d  edge_explorer2d  fade_images  gaussian_fit1d generate_loop_macros hough_transform2d image_registration2d image2ascii image_surface3d jawbreaker mcf_levelsets2d mcf_levelsets3d odykill pde_heatflow2d pde_TschumperleDeriche2d plotter1d radon_transform2d scene3d spherical_function3d tetris tron tutorial wavelet_atrous use_draw_gradient use_nlmeans use_skeleton use_RGBclass

for d in %{demos}; do
  install -Dpm755 examples/$d %{buildroot}%{_bindir}/$d
done

mkdir -p %{buildroot}%{_includedir}/%{oname}
cp -a plugins %{buildroot}%{_includedir}/%{oname}
cp -a %{oname}.h %{buildroot}%{_includedir}/%{oname}
ln -s %{oname}/%{oname}.h %{buildroot}%{_includedir}/%{oname}.h

%files
%doc README.txt
%license Licence*
%{_bindir}/*

%files devel
%{_includedir}/%{oname}*
%doc README.txt Licence_CeCILL*
