
%global glib2_version          2.50.2
%global startup_notification_version 0.12
%global gtk3_version           2.99.3
%global dbus_version           0.90
%global dbus_glib_version      0.74
%global cinnamon_desktop_version 4.6.0
%global libgnomekbd_version    2.91.1

%define major   0
%define girmajor   1.0
%define libname %mklibname %{name} %{major}
%define libdev  %mklibname %{name} -d
%define girlib    %mklibname %{name}-gir %{girmajor}

Summary: Cinnamon Screensaver
Name:    cinnamon-screensaver
Version: 6.4.0
Release: %mkrel 1
License: GPLv2+ and LGPLv2+
URL:     http://cinnamon.linuxmint.com
Group:   Graphical desktop/Cinnamon

Source0: https://github.com/linuxmint/cinnamon-screensaver/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires: pkgconfig(gtk+-3.0) >= %{gtk3_version}
BuildRequires: pkgconfig(dbus-1) >= %{dbus_version}
BuildRequires: pkgconfig(dbus-glib-1) >= %{dbus_glib_version}
BuildRequires: pkgconfig(cinnamon-desktop) >= %{cinnamon_desktop_version}
BuildRequires: pam-devel
BuildRequires: pkgconfig(nss)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xscrnsaver)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xinerama)
BuildRequires: pkgconfig(xmu)
BuildRequires: pkgconfig(libgnomekbd) >= %{libgnomekbd_version}
# this is here because the configure tests look for protocol headers
BuildRequires: pkgconfig(xproto)
BuildRequires: pkgconfig(libxdo)
BuildRequires: intltool
BuildRequires: gnome-common
BuildRequires: pkgconfig(xxf86vm)
BuildRequires: pkgconfig(xtst)
BuildRequires: desktop-file-utils
BuildRequires: pkgconfig(libsystemd)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: python3
BuildRequires: meson

Requires: cinnamon-translations
Requires: cinnamon-desktop >= %{cinnamon_desktop_version}
# since we use it, and pam spams the log if a module is missing
Requires: gnome-keyring
Requires: xapps
Requires: python3dist(python-xapp)
Requires: python3-gobject3
Requires: python3-setproctitle
# since we use it, and pam spams the log if a module is missing
Requires: gnome-keyring
Obsoletes: %{libname} <= %{version}-%{release}
Obsoletes: %{girlib} <= %{version}-%{release}
Obsoletes: %{libdev} <= %{version}-%{release}
Obsoletes: cinnamon-screensaver-unsupported <= %{version}-%{release}
Provides: typelib(CScreensaver) = 1.0

# I have no idea why this is required, but for now, just get things to build
BuildRequires:  pkgconfig(libxklavier)

%description
cinnamon-screensaver is a screen saver and locker.


#--------------------------------------------------------------------

%package -n %{girlib}
Summary: GObject introspection interface library for %{name}
Group: System/Libraries

%description -n %{girlib}
GObject introspection interface library for %{name}.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install
# Delete development files
	
rm %{buildroot}%{_datadir}/gir-1.0/CScreensaver-1.0.gir

%files
%doc AUTHORS NEWS README.md COPYING
%{_bindir}/cinnamon-screensaver*
%{_bindir}/cinnamon-unlock-desktop
%{_libexecdir}/cinnamon-screensaver/cinnamon-screensaver-pam-helper
%{_libexecdir}/cinnamon-screensaver/cs-backup-locker
%{_datadir}/dbus-1/services/org.cinnamon.ScreenSaver.service
%{_datadir}/icons/hicolor/scalable/*/*.svg
%{_datadir}/applications/org.cinnamon.ScreenSaver.desktop
%config %{_sysconfdir}/pam.d/cinnamon-screensaver
%{_datadir}/cinnamon-screensaver
%exclude %{_datadir}/cinnamon-screensaver/screensavers
%{_libexecdir}/cinnamon-screensaver/girepository-1.0/C*-%{girmajor}.typelib
%{_libexecdir}/cinnamon-screensaver/libcscreensaver.so
