%global _internal_version 52d6af3d7048118ad8c50191de1b115ce207d9f0
%define date 20250111

Name:           cinnamon
Version:        6.4.6
Release:        %mkrel 1

#Release:        %mkrel 0.%{date}.git%{_internal_version}
Summary:        Window management and application launching for Cinnamon

Group:          Graphical desktop/Cinnamon
# cinnamon-menu-editor is LGPLv2+
License:        GPLv2+ and LGPLv2+
URL:            http://cinnamon.linuxmint.com
Source0:        https://github.com/linuxmint/Cinnamon/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        10_cinnamon-mageia.gschema.override
Source3:        polkit-cinnamon-authentication-agent-1.desktop
Source4:        10_cinnamon-apps.gschema.override.in

# from fedora
Patch0:         background.patch
#Patch1:         autostart.patch
Patch2:         default_panal_launcher.patch
Patch3:         fix-adwaita-icons.patch

Obsoletes:      cinnamon-devel-doc <= %{version}

%global clutter_version 1.12.2
%global gobject_introspection_version 0.10.1
%global muffin_version 6.4.1
%global eds_version 2.91.6
%global json_glib_version 0.13.2
%global polkit_version 0.100

BuildRequires:  pkgconfig(clutter-x11-1.0) >= %{clutter_version}
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  desktop-file-utils
BuildRequires:  glib2-devel
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= %{gobject_introspection_version}
BuildRequires:  pkgconfig(json-glib-1.0) >= %{json_glib_version}
BuildRequires:  pkgconfig(libnm)
BuildRequires:  pkgconfig(polkit-agent-1) >= %{polkit_version}
BuildRequires:  pkgconfig(gudev-1.0)
# for screencast recorder functionality
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  intltool
BuildRequires:  pkgconfig(libcanberra)
BuildRequires:  pkgconfig(gnome-keyring-1)
BuildRequires:  pkgconfig(libstartup-notification-1.0)
BuildRequires:  pkgconfig(xapp)

# for barriers
BuildRequires:  pkgconfig(xfixes) >= 5.0
# used in unused BigThemeImage
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libmuffin-0) >= %{muffin_version}
BuildRequires:  libpulseaudio-devel
# Bootstrap requirements
BuildRequires:  gtk-doc
BuildRequires:  gnome-common
%ifnarch %{arm}
BuildRequires:  pkgconfig(libwacom)
BuildRequires:  pkgconfig(xorg-wacom)
%endif
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(gdk-x11-3.0)
BuildRequires:  pkgconfig(cjs-1.0) >= 5.8.0
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(cinnamon-desktop) >= 5.8.0
BuildRequires:  pkgconfig(libcinnamon-menu-3.0) >= 4.8.0
BuildRequires:  meson
BuildRequires:  python3-libsass

#required for applet fix
BuildRequires:  patchelf
BuildRequires:  chrpath

Requires:       cinnamon-menus
# wrapper script uses to restart old GNOME session if run --replace
# from the command line
Requires:       gobject-introspection >= %{gobject_introspection_version}
# needed for loading SVG's via gdk-pixbuf
Requires:       librsvg2
# needed as it is now split from Clutter
Requires:       json-glib >= %{json_glib_version}
# Get upower 1.0 api changes
Requires:       upower >= 0.99.0
Requires:       polkit >= 0.100
# needed for session files
# cinnamon-session version fixes location of helper app
Requires:       cinnamon-session
# needed for on-screen keyboard
Requires:       caribou
# needed for settings
Requires:       python3-gobject3
Requires:       dbus-python3
Requires:       python3-distro
Requires:       python3-lxml
Requires:       python3-imaging
Requires:       python3-pam
Requires:       python3-pexpect
Requires:       python3-pillow
Requires:       python3-pytz
Requires:       python3-requests
Requires:       python3-setproctitle
Requires:       python3-tinycss2
Requires:       python3-xapp
Requires:       cinnamon-control-center
Requires:       cinnamon-translations
# fix 10916
Requires:       gnome-themes-standard
# fix cinnamon startup crashes
Requires:       typelib(fontconfig)
# include cjs introspection
Requires:       cjs >= 3.8.0
# Mate polkit
Requires:       mate-polkit
# requires for keyboard applet
Requires:       gucharmap

# required for network applet
Requires:       networkmanager-applet
#needed for cinnamon-looking-glass
Requires:       python3-pyinotify
#needed for cinnamon-json-makepot
Requires:       python3-polib

#otherwise crashed at login
Requires:       nemo
Requires:       google-noto-sans-fonts
Requires:       python3-tinycss
#include config files
Requires:       muffin

# cinnamon handles notifications natively, no notification-daemon needed
Provides:       virtual-notification-daemon
# and ditto for polkit authorisation dialogs
Provides:       polkit-agent

#force requires to deal with mutter confusion

Requires:  %{mklibname clutter-gir 1.0}
Requires:  %{mklibname cogl-pango-gir 1.0}
Requires:  %{mklibname cogl-gir 1.0}

%description
Cinnamon is a Linux desktop which provides advanced
 innovative features and a traditional user experience.

The desktop layout is similar to Gnome 2. 
The underlying technology is forked from Gnome Shell.
The emphasis is put on making users feel at home and providing
 them with an easy to use and comfortable desktop experience.

%prep
%autosetup -p1 -n cinnamon-%{version}
#autosetup -p1 -n linuxmint-Cinnamon-%{_internal_version}
 
# remove gschema
#rm -rf data/org.cinnamon.gschema.xml

# have cinnamon use mageia app system
grep -r -l cinnamon-applications.menu files%{_datadir} files%{_bindir}  src | \
xargs sed -i -e 's@cinnamon-applications@applications@g' 

# files replaced with mageia files
rm -rf files%{_sysconfdir}/xdg
rm -f files%{_datadir}/desktop-directories/cinnamon-{menu-applications,utility,utility-accessibility,development,education,game,graphics,network,audio-video,office,system-tools,other}.directory
# remove spurious NMclient items
sed -i -e 's!imports.gi.NMClient!imports_gi_NMClient!g' js/ui/extension.js

# Fix rpmlint errors	
for file in files%{_datadir}/%{name}/%{name}-settings/bin/*.py files%{_datadir}/%{name}/%{name}-looking-glass/*.py \
   files%{_datadir}/%{name}/%{name}-settings/modules/cs_{applets,desklets}.py; do
   chmod a+x $file	
done
chmod a-x files%{_datadir}/%{name}/%{name}-settings/bin/__init__.py


%build
%meson \
 --libexecdir=%{_libexecdir}/cinnamon/ \
 -Ddeprecated_warnings=false \
 -Dpy3modules_dir=%{python3_sitelib} \
 -Ddocs=false

%meson_build

%install
%meson_install

install -D -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/glib-2.0/schemas/10_cinnamon-mageia.gschema.override


# install polkik autostart desktop file
install -D -p -m 0644 %{SOURCE3} %{buildroot}%{_datadir}/applications/


# install gschema-override for apps
%{__sed} -e 's!@pkg_manager@!mageia-drakconf.desktop!g' \
    < %{SOURCE4} > %{buildroot}%{_datadir}/glib-2.0/schemas/10_%{name}-apps.gschema.override

# symlink icon
mkdir -p %{buildroot}%{_datadir}/cinnamon/theme/
ln -s %{_iconsdir}/hicolor/scalable/apps/mageia-menu.svg \
  %{buildroot}%{_datadir}/cinnamon/theme/mageia-menu.svg

# fix hard coded paths
%if "%{?_lib}" == "lib64"
sed -i -e 's@/usr/lib/cinnamon-control-center@%{_libdir}/cinnamon-control-center@g' \
%{buildroot}%{_datadir}/cinnamon/cinnamon-settings/bin/capi.py
%endif

# delete the preload bits till it supports systemd
rm -f %{buildroot}%{_bindir}/cinnamon-preload*
rm -rf %{buildroot}%{_sysconfdir}/cinnamon/

%posttrans
# (ovitters) In posttrans, $1 is always equal to 1, even in the upgrade case.
# So just run this always:
if [ -e %{_datadir}/xsessions/10Cinnamon.desktop ]; then
	rm -rf %{_datadir}/xsessions/10Cinnamon.desktop
fi
if [ -e %{_datadir}/xsessions/11Cinnamon2D.desktop ]; then
	rm -rf %{_datadir}/xsessions/11Cinnamon2D.desktop
fi

%check
%{_bindir}/desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files
%doc README.rst AUTHORS
%license COPYING
%{_bindir}/*
%{_datadir}/desktop-directories/cinnamon-*.directory
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/*/*.svg
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/polkit-1/actions/org.cinnamon.settings-users.policy
%{_datadir}/cinnamon/
%{_datadir}/cinnamon-*/
%{_datadir}/dbus-1/services/org.Cinnamon.*.service
%{_datadir}/dbus-1/services/org.cinnamon.*.service
%{_datadir}/xsessions/*
%{_datadir}/wayland-sessions/*
%{_datadir}/xdg-desktop-portal/x-cinnamon-portals.conf
%{_libdir}/cinnamon/
%{_mandir}/man1/*.1.*
%{python3_sitelib}/cinnamon/
%{_libexecdir}/cinnamon/cinnamon-hotplug-sniffer
%{_libexecdir}/cinnamon/cinnamon-perf-helper
%{_libexecdir}/cinnamon/cinnamon-calendar-server.py

