%global sum	Cute breakout-like game

Summary:	%{sum}
Name:		circuslinux
Version:	1.0.3
Release:	%mkrel 27
Source0:	https://tuxpaint.org/ftp/unix/x/circus-linux/src/%{name}-%{version}.tar.bz2
Source5:	%{name}-16.png
Source6:	%{name}-32.png
Source7:	%{name}-48.png
Patch0:		%{name}-1.0.3-fix-64bits-build.patch
Patch1:		0001-circuslinux-fix-implicit-int-for-main-in-tests.patch
License:	GPLv2
Url:		http://newbreedsoftware.com/circus-linux/
Group:		Games/Arcade
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(alsa)

%description
"Circus Linux!" is based on the Atari 2600 game "Circus Atari" by Atari,
released in 1980.  Gameplay is similar to "Breakout" and "Arkanoid"- you
slide a device left and right to bounce objects into the air which destroy
a wall.

%prep
%autosetup -p1

# fix EOL
mv README-SDL.txt README-SDL.txt.msdos
sed -e 's/\r$//' README-SDL.txt.msdos > README-SDL.txt

cat << EOF > %{name}.desktop
[Desktop Entry]
Name=Circus Linux
Comment=%{sum}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

%build
%configure	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
%make_build

%install
%makeinstall bindir=%{buildroot}%{_gamesbindir} datadir=%{buildroot}%{_gamesdatadir}

install -D -m644 %{name}.desktop %buildroot%{_datadir}/applications/%{name}.desktop
install -D -m644 %SOURCE6 %buildroot%{_iconsdir}/%{name}.png
install -D -m644 %SOURCE6 %buildroot%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -D -m644 %SOURCE5 %buildroot%{_miconsdir}/%{name}.png
install -D -m644 %SOURCE5 %buildroot%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -D -m644 %SOURCE7 %buildroot%{_liconsdir}/%{name}.png
install -D -m644 %SOURCE7 %buildroot%{_iconsdir}/hicolor/48x48/apps/%{name}.png

rm -rf %buildroot%_datadir/doc/circuslinux-1.0.3

%files
%doc AUTHORS.txt CHANGES.txt README.txt FAQ.txt README-SDL.txt
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_datadir}/applications/*
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
