%global commit 399bccdabc0a5ca00b2350f31abddce63b112d8a
%global shortcommit  %(c=%{commit}; echo ${c:0:7})
%define api             1.0
%define major           0
%define girmajor        1.0
%define libname         %mklibname %{name} %{major}
%define develname       %mklibname -d %{name}
%define girname         %mklibname %{name}-gir %{girmajor}

%define with_tests 0
# needed to prevent spurtious devel require
%global _requires_exclude devel\\(libmozjs\-52.*\\)

Name:          cjs
Epoch:         1
Version:       6.4.0
Release:       %mkrel 1
Summary:       Javascript Bindings for Cinnamon

Group:         Development/Other
# The following files contain code from Mozilla which
# is triple licensed under MPL1.1/LGPLv2+/GPLv2+:
# The console module (modules/console.c)
# Stack printer (gjs/stack.c)
License:       MIT and (MPLv1.1 or GPLv2+ or LGPLv2+)
URL:           http://cinnamon.linuxmint.com

Source0:       https://github.com/linuxmint/cjs/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

#Source0: https://github.com/linuxmint/cjs/tarball/%%{shortcommit}#/%%{name}-%%{version}.git%%{shortcommit}.tar.gz

BuildRequires: pkgconfig(mozjs-115)
BuildRequires: pkgconfig(cairo-gobject)
BuildRequires: pkgconfig(gobject-introspection-1.0) >= 1.31.22
BuildRequires: readline-devel
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(sysprof-capture-4)
BuildRequires: intltool
# Bootstrap requirements
BuildRequires: gtk-doc
BuildRequires: gnome-common
BuildRequires: meson
BuildRequires: cmake
BuildRequires: git

BuildRequires: dbus-x11
BuildRequires: x11-server-xvfb

%description
Cjs allows using Cinnamon libraries from Javascript. It's based on the
Spidermonkey Javascript engine from Mozilla and the GObject introspection
framework.

%package -n %{libname}
Group:          System/Libraries
Summary:        JavaScript bindings based on gobject-introspection

%description -n %{libname}
This package contains JavaScript bindings based on gobject-introspection.

%package -n %{develname}
Summary: Development package for %{name}
Group: Development/C
Requires:       %{libname} = %{?epoch}:%{version}-%{release}
Provides:       %{name}-devel = %{?epoch}:%{version}-%{release}
Provides:       lib%{name}-devel = %{?epoch}:%{version}-%{release}

%description -n %{develname}
Files for development with %{name}.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{?epoch}:%{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package tests
Summary: Tests for the cjs package
Requires: %{name}%{?_isa} = %{?epoch}:%{version}-%{release}

%description tests
The cjs-tests package contains tests that can be used to verify
the functionality of the installed cjs package.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

##check
#ifnarch s390 s390x
#xvfb-run -a /usr/bin/meson test -C %{_vpath_builddir} \
# --num-processes %{_smp_build_ncpus} --print-errorlog	
#endif

#Remove libtool archives.
find %{buildroot} -name '*.la' -delete

%if ! %with_tests
rm -fr %buildroot%{_libexecdir}/installed-tests/
rm -fr %buildroot%{_datadir}/installed-tests/
rm -f %buildroot%{_datadir}/glib-2.0/schemas/org.cinnamon.CjsTest.gschema.xml
%endif

%files
%doc COPYING NEWS
%{_bindir}/cjs
%{_bindir}/cjs-console

%files -n %{libname}
%{_libdir}/*.so.*

%files -n %{girname}
%{_libdir}/cjs/

%files -n %{develname}
%doc examples/*
%{_includedir}/cjs-1.0/
%{_datadir}/cjs-1.0/*/*.supp
%{_libdir}/pkgconfig/cjs-*1.0.pc
%{_libdir}/*.so

%if %with_tests
%files tests
%{_libexecdir}/installed-tests/
%{_datadir}/installed-tests/
%{_datadir}/glib-2.0/schemas/org.cinnamon.CjsTest.gschema.xml
%endif
