%define         uname   cJSON

%define         major   1
%define         libname %mklibname %{name} %{major}
%define         devel   %mklibname %{name} -d

Name:           cjson
Version:        1.7.18
Release:        %mkrel 1
Summary:        Ultra-lightweight JSON parser in ANSI C
Group:          System/Libraries
License:        MIT
URL:            https://github.com/DaveGamble/cJSON/
Source0:        https://github.com/DaveGamble/cJSON/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  ninja

%description
cJSON aims to be the dumbest possible parser that you can get your job done
with. It's a single file of C, and a single header file.

JSON is described best here: https://www.json.org/ It's like XML, but fat-free.
You use it to move data around, store things, or just generally represent
your program's state.

As a library, cJSON exists to take away as much legwork as it can, but not
get in your way. As a point of pragmatism (i.e. ignoring the truth), I'm
going to say that you can use it in one of two modes: Auto and Manual.
Let's have a quick run-through.

I lifted some JSON from this page: https://www.json.org/fatfree.html
That page inspired me to write cJSON, which is a parser that tries to share
the same philosophy as JSON itself. Simple, dumb, out of the way.

%package -n %{libname}
Summary:        Libraries for cJSON
Group:          System/Libraries

%description -n %{libname}
cJSON aims to be the dumbest possible parser that you can get your job done
with. It's a single file of C, and a single header file.

This package contains the libraries for cJSON.

%package -n %{devel}
Summary:       Development libraries and headers for cJSON
Group:         System/Libraries
Requires:      %{libname} = %{version}-%{release}

%description -n %{devel}
cJSON aims to be the dumbest possible parser that you can get your job done
with. It's a single file of C, and a single header file.

Headers and development libraries for cJSON.

%prep
%autosetup -n %{uname}-%{version}

%build
%cmake -GNinja
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license LICENSE
%doc *.md
%{_libdir}/libcjson.so.%{major}{,.*}

%files -n %{devel}
%dir %{_includedir}/cjson
%{_includedir}/cjson/cJSON.h
%{_libdir}/libcjson.so
%{_libdir}/cmake/cJSON/
%{_libdir}/pkgconfig/libcjson.pc
