%define major   0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           ck
Version:        0.7.2
Release:        %mkrel 1
Summary:        Library for high performance concurrent programming
Group:          System/Libraries
License:        BSD
URL:            https://github.com/concurrencykit/ck
Source0:        https://github.com/concurrencykit/ck/archive/%{version}/ck-%{version}.tar.gz

BuildRequires:  gcc

%description
Concurrency Kit provides a plethora of concurrency primitives, safe memory
reclamation mechanisms and lock-less and lock-free data structures designed to
aid in the design and implementation of high performance concurrent systems. It
is designed to minimize dependencies on operating system-specific interfaces
and most of the interface relies only on a strict subset of the standard
library and more popular compiler extensions.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:        Library for high performance concurrent programming
Group:          System/Libraries

%description -n %{libname}
Concurrency Kit provides a plethora of concurrency primitives, safe memory
reclamation mechanisms and lock-less and lock-free data structures designed to
aid in the design and implementation of high performance concurrent systems. It
is designed to minimize dependencies on operating system-specific interfaces
and most of the interface relies only on a strict subset of the standard
library and more popular compiler extensions.

%files -n %{libname}
%doc README.md
%license LICENSE
%{_libdir}/libck.so.%{major}{,.*}

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:        Header files and libraries for CK development
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Header files and static library for CK.

%files -n %{devname}
%{_libdir}/libck.so
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/*.3.*

#----------------------------------------------------------------------------

%prep
%autosetup

%build
%set_build_flags
export CFLAGS="%{optflags}"
# not autotools configure
./configure \
        --libdir=%{_libdir} 			\
        --includedir=%{_includedir}/%{name}	\
        --mandir=%{_mandir}			\
        --prefix=%{_prefix}
%make_build

%install
%make_install

# remove static library
rm -rv %{buildroot}%{_libdir}/libck.a

%check
# Tests work fine locally but on Mageia BS they either fail or hang forever...
##make check || :
