Name:		cksfv
Version:	1.3.15
Release:	%mkrel 2
Summary:	Simple File Verification program
License:	GPLv2+
Group:		File tools
URL:		https://zakalwe.fi/~shd/foss/cksfv/
Source0:	https://zakalwe.fi/~shd/foss/cksfv/files/%{name}-%{version}.tar.bz2
Source1:	cksfv.bash-completion

%description
Some files that you download will come with a .sfv file. This is used to
verify that the files that you received are the same as the originals.
cksfv is a program that can use the .sfv file to verify the downloaded
files. Also, it can be used to create new .sfv files.

%prep
%setup -q

%build
%before_configure
./configure --prefix=%{_prefix} \
	--package-prefix=%{buildroot} \
	--bindir=%{_bindir} \
	--mandir=%{_mandir}

%make_build

%install
%make_install

#bash completion
install -Dm644 %{SOURCE1} %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}

%check
%make_build check

%files
%license COPYING
%doc ChangeLog README.md TODO
%doc scripts/
%{_bindir}/cksfv
%{_mandir}/man1/*
%{_sysconfdir}/bash_completion.d/%{name}
