%define	major 12
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

%bcond_without milter

# build with system mspack
%bcond_without sysmpack

%define mspackmajor 0
%define mspacklib %mklibname clammspack %{mspackmajor}

%define dbdate 20250129

Summary:	An anti-virus utility for Unix
Name:		clamav
Version:	1.4.2
Release:	%mkrel 2
License:	GPLv2+
Group:		Security
URL:		https://clamav.sourceforge.net/
# clamav-0.95+ bundles support for RAR v3 in "libclamav" without permission,
# from Eugene Roshal of RARlabs. There is also patent issues involved.
#
# https://bugzilla.redhat.com/show_bug.cgi?id=334371
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=312552
#
# Both Redhat and debian removes this code from the upstream tar ball
# and repackages it.
Source0:	%{name}-%{version}-norar.tar.xz
Source2:	clamd-tempfiles.conf
Source3:	clamav-clamd.logrotate
Source5:	clamav-freshclam.logrotate
Source6:	clamav-milter.service
Source8:	clamav-milter.logrotate
Source11:	https://database.clamav.net/main.cvd#/main-%{dbdate}.cvd
Source12:	https://database.clamav.net/daily.cvd#/daily.%{dbdate}.cvd
Patch0:		clamav-mga_conf.patch
BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	bc
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	tommath-devel
BuildRequires:	rpm-helper
BuildRequires:	rust
BuildRequires:	cargo
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(check)
BuildRequires:	pkgconfig(libpcre2-posix)
BuildRequires:	pkgconfig(json-c)
BuildRequires:	pkgconfig(libsystemd)
%if %{with sysmpack}
BuildRequires:  pkgconfig(libmspack)
%endif
%if %{with milter}
BuildRequires:	sendmail-devel
BuildRequires:	tcp_wrappers-devel
%endif

Requires(post): clamav-db
Requires(preun): clamav-db
Requires(post): %{libname} = %{version}
Requires(preun): %{libname} = %{version}
Requires(post): systemd >= %{systemd_required_version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper

%description
Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of this
software is the integration with mail servers (attachment scanning). The
package provides a flexible and scalable multi-threaded daemon, a command-line
scanner, and a tool for automatic updating via Internet. The programs are based
on a shared library distributed with the Clam AntiVirus package, which you can
use in your own software.

You can build %{name} with some conditional build switches;

(ie. use with rpm --rebuild):
    --with[out] milter	Build %{name}-milter (disabled)

%package -n	clamd
Summary:	The Clam AntiVirus Daemon
Group:		Security
Requires:	%{name} = %{version}
# (cg) To ensure the tmpfiles are created for the service
Requires(post):	%{name} = %{version}
Requires(post): clamav-db
Requires(preun): clamav-db
Requires(post): %{libname} = %{version}
Requires(preun): %{libname} = %{version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper

%description -n	clamd
The Clam AntiVirus Daemon

%if %{with milter}
%package -n	%{name}-milter
Summary:	The Clam AntiVirus milter Daemon
Group:		Security
Requires:	%{name} = %{version}
Requires:	clamd = %{version}
Requires:	tcp_wrappers
# (cg) To ensure the tmpfiles are created for the service
Requires(post):	%{name} = %{version}
Requires(post): clamav-db
Requires(preun): clamav-db
Requires(post): %{libname} = %{version}
Requires(preun): %{libname} = %{version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper

%description -n	%{name}-milter
The Clam AntiVirus milter Daemon
%endif

%package -n	%{name}-db
Summary:	Virus database for %{name}
Group:		Security
Requires:	%{name} = %{version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildArch: noarch

%description -n	%{name}-db
The actual virus database for %{name}

%package -n	%{libname}
Summary:	Shared libraries for %{name}
Group:          System/Libraries
Conflicts:      %{_lib}clamav9 < 0.103.10-2
Conflicts:      %{_lib}clamav11 < 1.1.0-1

%description -n	%{libname}
Shared libraries for %{name}.

%package -n     %{mspacklib}
Summary:        Shared libraries for %{name}
Group:          System/Libraries
Conflicts:      %{_lib}clamav7 < 0.101.4-3
Conflicts:      %{_lib}clamav9 < 0.101.4-3
Conflicts:      %{_lib}clamav11 < 1.1.0-1

%description -n %{mspacklib}
Shared libraries for %{name}.

%package -n	%{develname}
Summary:	Development library and header files for the %{name} library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
%if ! %{with sysmpack}
Requires:	%{mspacklib} = %{version}-%{release}
%endif
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains the static %{libname} library and its header
files.

%prep

%setup -q

# clean up
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*` `find . -type d -name .svn`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

%patch -P0 -p1 -b .mgaconf

# we can't ship libclamunrar
rmdir --ignore-fail-on-non-empty libclamunrar
if [ -d libclamunrar ]; then
    echo "delete the libclamunrar directory and repackage the tar ball"
    exit 1
fi

mkdir -p libclamunrar{,_iface}
touch libclamunrar/{Makefile.in,all,install}

mkdir -p Mageia
cp %{SOURCE3} Mageia/clamav-clamd.logrotate
cp %{SOURCE5} Mageia/clamav-freshclam.logrotate
cp %{SOURCE8} Mageia/clamav-milter.logrotate

%build
%serverbuild
# compatibility with zlib-ng
export CFLAGS="%{optflags} -DFAR="

# IPv6 check is buggy and does not work when there are no IPv6 interface on build machine
export have_cv_ipv6=yes

%cmake  \
    -G Ninja \
    -DAPP_CONFIG_DIRECTORY=%{_sysconfdir} \
    -DDATABASE_DIRECTORY=/var/lib/%{name} \
%if %{with sysmpack}
    -DENABLE_EXTERNAL_MSPACK=ON \
%endif
%if %{with milter}
    -DENABLE_MILTER=ON \
%else
    -DENABLE_MILTER=OFF \
%endif
    -DENABLE_UNRAR=OFF \
    -DCMAKE_SKIP_RPATH=ON

%ninja_build -C build

%install
%ninja_install -C build

# install the virus-db files
%{__install} -D -m 0644 -p %{SOURCE11} %{buildroot}/var/lib/%{name}/main.cvd
%{__install} -D -m 0644 -p %{SOURCE12} %{buildroot}/var/lib/%{name}/daily.cvd

%if %{with milter}
# Install the systemd unit+tempfiles
%{__install} -D -p -m 644 %{SOURCE6} %{buildroot}%{_unitdir}/%{name}-milter.service
%endif

# install the logrotate stuff
%{__install} -d %{buildroot}%{_sysconfdir}/logrotate.d
%{__install} -m644 Mageia/clamav-clamd.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/clamd
%{__install} -m644 Mageia/clamav-freshclam.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/freshclam

%if %{with milter}
%{__install} -m644 Mageia/clamav-milter.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/clamav-milter
%endif

%{__install} -d %{buildroot}%{_logdir}/%{name}
touch %{buildroot}%{_logdir}/%{name}/freshclam.log
touch %{buildroot}%{_logdir}/%{name}/clamd.log

%if %{with milter}
%{__install} -m644 etc/clamav-milter.conf.sample %{buildroot}%{_sysconfdir}/clamav-milter.conf
touch %{buildroot}%{_logdir}/%{name}/clamav-milter.log
%endif

# install config files
%{__install} -m644 etc/clamd.conf.sample %{buildroot}%{_sysconfdir}/clamd.conf
%{__install} -m600 etc/freshclam.conf.sample %{buildroot}%{_sysconfdir}/freshclam.conf

# fix TMPDIR
%{__install} -d %{buildroot}/var/lib/%{name}/tmp

# Install the systemd unit+tempfiles
%{__install} -D -p -m 644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/%{name}.conf

# we don't want these
find %{buildroot} -name "*.la" -delete

cat > README.qmail+qmail-scanner <<EOF
#!/bin/sh
#
# The "temporary" qmail+qmail-scanner HOWTO
# -----------------------------------------
#
# For some unknown and undocumented reason clamdscan stopped working
# in the excellent qmail+qmail-scanner setup somewhere after the
# 20040103 CVS snapshot.
#
# To get it working again everything assigned to the clamav user has
# to be changed to the qscand user by hand.
#
# Hint: Change the config and chown the directories like this:
# (if you are lazy you could just execute this file)

perl -pi -e "s|%{name} %{name}|qscand qscand|g" %{_sysconfdir}/logrotate.d/clamd
perl -pi -e "s|%{name} %{name}|qscand qscand|g" %{_sysconfdir}/logrotate.d/freshclam
perl -pi -e "s|^User %{name}|User qscand|g" %{_sysconfdir}/clamd.conf
perl -pi -e "s|^DatabaseOwner %{name}|DatabaseOwner qscand|g" %{_sysconfdir}/freshclam.conf

chown -R qscand:qscand /var/lib/%{name}
chown -R qscand:qscand %{_logdir}/%{name}
chown -R qscand:qscand /run/%{name}

if [ -x %{_initrddir}/clamd ]; then
    %{_initrddir}/clamd restart
fi

if [ -x %{_initrddir}/freshclam ]; then
    %{_initrddir}/freshclam restart
fi

# Regards // Oden Eriksson
EOF

cat > README.urpmi << EOF
clamav-0.95+ bundles support for RAR v3 in "libclamav" without permission,
from Eugene Roshal of RARlabs. There is also patent issues involved.

Therefore %_vendor has been forced to remove the offending code.
EOF

# cleanup
rm -f %{buildroot}%{_sysconfdir}/*.conf.sample
rm -rf %{buildroot}%{_docdir}/ClamAV

%pre
%_pre_useradd %{name} /var/lib/%{name} /bin/sh

if ! [ -z "`getent group amavis`" ]; then
    gpasswd -a %{name} amavis
fi

%post
%_tmpfilescreate %{name}
%_post_service %{name}-freshclam
%create_ghostfile %{_logdir}/%{name}/freshclam.log %{name} %{name} 0644

%preun
%_preun_service %{name}-freshclam

%pre -n clamd
%_pre_useradd %{name} /var/lib/%{name} /bin/sh

%post -n clamd
%_post_service %{name}-daemon
%create_ghostfile %{_logdir}/%{name}/clamd.log %{name} %{name} 0644

%preun -n clamd
%_preun_service %{name}-daemon

%postun -n clamd
%_postun_userdel %{name}%{_tmpfilesdir}/clamd.conf

%if %{with milter}
%post -n %{name}-milter
%_post_service %{name}-milter
%create_ghostfile %{_logdir}/%{name}/clamav-milter.log %{name} %{name} 0644

%preun -n %{name}-milter
%_preun_service %{name}-milter
%endif

%pre -n %{name}-db
%_pre_useradd %{name} /var/lib/%{name} /bin/sh

%post -n %{name}-db
# try to keep most uptodate database
for i in main daily; do
	if [ -f %{_var}/lib/clamav/$i.cvd.rpmnew ]; then
		if [ %{_var}/lib/clamav/$i.cvd.rpmnew -nt %{_var}/lib/%{name}/$i.cvd ]; then
			mv -f %{_var}/lib/clamav/$i.cvd.rpmnew %{_var}/lib/%{name}/$i.cvd
		else
			rm -f %{_var}/lib/clamav/$i.cvd.rpmnew
		fi
	fi
done

# take care of "[LibClamAV] Detected duplicate databases /var/lib/clamav/main.cvd and /var/lib/clamav/main.cld, please manually remove one of them"
if [ %{_var}/lib/clamav/main.cld -nt %{_var}/lib/clamav/main.cvd ]; then
    mv %{_var}/lib/clamav/main.cld %{_var}/lib/clamav/main.cvd
else
    rm -f %{_var}/lib/clamav/main.cld
fi

%postun -n %{name}-db
%_postun_userdel %{name}


%files
%doc NEWS.md README.md README.urpmi
%doc docs/html
%doc README.qmail+qmail-scanner COPYING*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/clamd.conf
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/freshclam.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/freshclam
%{_sbindir}/clamonacc
%{_bindir}/clambc
%{_bindir}/clamconf
%{_bindir}/clamdscan
%{_bindir}/clamdtop
%{_bindir}/clamscan
%{_bindir}/freshclam
%{_bindir}/clamsubmit
%{_unitdir}/clamav-freshclam.service
%{_unitdir}/clamav-clamonacc.service
%{_unitdir}/clamav-freshclam-once.service
%{_unitdir}/clamav-freshclam-once.timer
%{_tmpfilesdir}/%{name}.conf
%{_bindir}/sigtool
%{_mandir}/man1/clambc.*
%{_mandir}/man1/clamconf.1.*
%{_mandir}/man1/clamdscan.1*
%{_mandir}/man1/clamdtop.1*
%{_mandir}/man1/clamscan.1*
%{_mandir}/man1/freshclam.1*
%{_mandir}/man1/sigtool.1*
%{_mandir}/man1/clamsubmit.1*
%{_mandir}/man5/clamd.conf.5*
%{_mandir}/man5/freshclam.conf.5*
%{_mandir}/man8/clamonacc.8*
%if ! %{with milter}
%exclude %{_mandir}/man8/%{name}-milter.8*
%exclude %{_mandir}/man5/%{name}-milter.conf.5*
%endif
%dir %attr(0775,%{name},%{name}) /var/lib/%{name}
%dir %attr(0740,%{name},%{name}) %{_logdir}/%{name}
%ghost %attr(0644,%{name},%{name}) %{_logdir}/%{name}/freshclam.log

%files -n clamd
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/clamd
%{_unitdir}/clamav-daemon.service
%{_unitdir}/clamav-daemon.socket
%{_sbindir}/clamd
%{_mandir}/man8/clamd.8*
%ghost %attr(0644,%{name},%{name}) %{_logdir}/%{name}/clamd.log

%if %{with milter}
%files -n %{name}-milter
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/clamav-milter.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/clamav-milter
%{_sbindir}/%{name}-milter
%{_unitdir}/%{name}-milter.service
%{_mandir}/man8/%{name}-milter.8*
%{_mandir}/man5/%{name}-milter.conf.5*
%ghost %attr(0644,%{name},%{name}) %{_logdir}/%{name}/clamav-milter.log
%endif

%files -n %{name}-db
%dir %attr(0775,%{name},%{name}) /var/lib/%{name}
%dir %attr(0755,%{name},%{name}) /var/lib/%{name}/tmp
%attr(0644,%{name},%{name}) %config(noreplace) /var/lib/%{name}/daily.cvd
%attr(0644,%{name},%{name}) %config(noreplace) /var/lib/%{name}/main.cvd

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}
%{_libdir}/libfreshclam.so.*

%if ! %{with sysmpack}
%files -n %{mspacklib}
%{_libdir}/libclammspack.so.%{mspackmajor}{,.*}
%endif

%files -n %{develname}
%{_bindir}/clamav-config
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libclamav.pc
%{_libdir}/libclamav_rust.a
