Name:		clamtk
Version:	6.18
Release:	%mkrel 1
Summary:	Easy to use front-end for ClamAV
License:	Artistic
Group:		File tools
URL:		https://gitlab.com/dave_m/clamtk/wikis/Home
Source0:	https://github.com/dave-theunsub/clamtk/releases/download/v%{version}/%{name}-%{version}.tar.xz
Patch1:		clamtk-5.07-fix-UTF-8-decoding.patch
BuildArch:	noarch
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
Requires:	perl(File::Find::Rule)
Requires:	perl(Date::Calc)
Requires:	perl(LWP)
Requires:	clamav >= 0.90
Requires:	clamav-db
Requires:	adwaita-icon-theme
Recommends:	yelp

%description
ClamTk is a GUI front-end for ClamAV using Gtk2-perl.
It is designed to be an easy-to-use, point and click
virus scanner for Linux systems.

%prep
%setup -q
%autopatch -p1

%build
#nothing

%install
install -D -m0755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m0644 images/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
install -D -m0644 %{name}.1.gz %{buildroot}%{_mandir}/man1/%{name}.1.gz
install -D -m0644 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -d %{buildroot}%{perl_vendorlib}/ClamTk
install -m0644 lib/*.pm %{buildroot}%{perl_vendorlib}/ClamTk

for n in po/*.mo ; do
	%{__install} -D -m0644 $n %{buildroot}%{_datadir}/locale/`basename $n .mo`/LC_MESSAGES/%{name}.mo
done

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc CHANGES README.md
%license LICENSE
%{_bindir}/%{name}
%{perl_vendorlib}/ClamTk
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1.*
