Name:       cldr-emoji-annotation
Version:    47
Release:    %mkrel 1
# Annotation files are in Unicode license
Summary:    Emoji annotation files in CLDR
Group:      System/Internationalization
License:    LGPLv2+ and Unicode
URL:        https://cldr.unicode.org/
Source0:    https://github.com/unicode-org/cldr/archive/release-%{version}/cldr-release-%{version}.tar.gz
BuildArch:  noarch
Requires:   %{name}-dtd >= %{version}-%{release}

%description
This package provides the emoji annotation file by language in CLDR.

%package dtd
Summary:    DTD files of CLDR common
Group:      System/Internationalization

%description dtd
This package contains DTD files of CLDR common which are required by
cldr-emoji-annotations.

%package devel
Summary:    Files for development using cldr-annotations
Group:      System/Internationalization
Requires:   %{name} >= %{version}-%{release}
Requires:   pkgconfig

%description devel
This package contains the pkg-config files for development
when building programs that use cldr-annotations.

%prep
%autosetup -n cldr-release-%{version}

%build
#NOTHING TO DO!!!

%install
pushd $PWD
ANNOTATION_DIR=common/annotations
CLDR_DIR=%{_datadir}/unicode/cldr/$ANNOTATION_DIR
pushd $ANNOTATION_DIR
for xml in *.xml ; do
    install -pm 644 -D $xml $RPM_BUILD_ROOT$CLDR_DIR/$xml
done
popd

ANNOTATION_DIR=common/annotationsDerived
CLDR_DIR=%{_datadir}/unicode/cldr/$ANNOTATION_DIR
pushd $ANNOTATION_DIR
for xml in *.xml ; do
    install -pm 644 -D $xml $RPM_BUILD_ROOT$CLDR_DIR/$xml
done
popd

DTD_DIR=common/dtd
CLDR_DIR=%{_datadir}/unicode/cldr/$DTD_DIR
pushd $DTD_DIR
for dtd in *.dtd ; do
    install -pm 644 -D $dtd $RPM_BUILD_ROOT$CLDR_DIR/$dtd
done
popd

install -pm 755 -d $RPM_BUILD_ROOT%{_datadir}/pkgconfig
cat >> $RPM_BUILD_ROOT%{_datadir}/pkgconfig/%{name}.pc <<_EOF
prefix=/usr

Name: cldr-emoji-annotations
Description: annotation files in CLDR
Version: %{version}
_EOF

%files
%doc README.md
%license LICENSE
%dir %{_datadir}/unicode
%dir %{_datadir}/unicode/cldr
%dir %{_datadir}/unicode/cldr/common
%{_datadir}/unicode/cldr/common/annotations/
%{_datadir}/unicode/cldr/common/annotationsDerived/

%files dtd
%{_datadir}/unicode/cldr/common/dtd/

%files devel
%{_datadir}/pkgconfig/*.pc
