%bcond_without	ruby
%bcond_with	python
%bcond_without	perl

Summary:	ClearSilver HTML template system
Name:		clearsilver
Version:	0.10.5
Release:	%mkrel 36
License:	BSD License
Group:		Networking/WWW
Source0:	http://www.clearsilver.net/downloads/%{name}-%{version}.tar.bz2
Patch0:		clearsilver-0.10.5-mandriva.patch
Patch1:		clearsilver-0.10.5-regression.patch
Patch2:		clearsilver-0.10.5-CVE-2011-4357.patch
Patch3:		clearsilver-ruby-1.9.patch
Patch4:		clearsilver-ruby-2.2.patch
# GCC 5 compatibility, bug #1190760
Patch5:		clearsilver-0.10.5-gcc5.patch
Patch6:		clearsilver-configure-c99.patch
Patch7:		clearsilver-fix-build-with-gcc14.patch
URL:		http://www.clearsilver.net/
BuildRequires:	pkgconfig(zlib)
%if %{with python}
BuildRequires:	pkgconfig(python3)
%endif
%if %{with perl}
BuildRequires:	perl-devel
%endif
%if %{with ruby}
BuildRequires:	pkgconfig(ruby) >= 1.4.5
BuildRequires:	ruby(rubygems)
%endif

%description
ClearSilver is a fast, powerful, and language-neutral HTML template system.
In both static content sites and dynamic HTML applications, it provides a
separation between presentation code and application logic which makes
working with your project easier.

Because it's written as a C-library, and exported to scripting languages
like Python and Perl via modules, it is extremely fast compared to template
systems written in a script language.

%package	devel
Summary:	ClearSilver development package
Group:		Development/C

%description devel
This package provides needed files to develop extension
to ClearSilver.

%if %{with python}
%package -n	python-%{name}
Summary:	Neotonic ClearSilver Python Module
Group:		Development/Python
Requires:	clearsilver = %{version}

%description -n	python-%{name}
This package provides a python interface to the
clearsilver CGI kit and templating system.
%endif

%if %{with perl}
%package -n	perl-ClearSilver
Summary:	Neotonic ClearSilver Perl Module
Group:		Development/Perl
Requires:	clearsilver = %{version}

%description -n perl-ClearSilver
The clearsilver-perl package provides a perl interface to the
clearsilver templating system.
%endif

%if %{with ruby}
%package -n	ruby-%{name}
Summary:	Neotonic ClearSilver Ruby Module
Group:		Development/Ruby
Requires:	clearsilver = %{version}

%description -n	ruby-%{name}
The clearsilver-ruby package provides a ruby interface to the
clearsilver templating system.
%endif

%prep
%setup -q
%patch -P 0 -p0
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1 -b .ruby19~
%patch -P 4 -p1
%patch -P 5 -p2
%patch -P 6 -p1
%patch -P 7 -p1
touch configure
sed -i -r 's|(\$\(RUBY\) install.rb config) (--.*)|\1 --rb-dir="$(DESTDIR)%{ruby_vendorlibdir}" --so-dir="$(DESTDIR)%{ruby_vendorarchdir}" \2|' ruby/Makefile

# fix build on aarch64
cp -af %{_rpmconfigdir}/%{_real_vendor}/config.{guess,sub} .

%build
%configure	--disable-apache \
		--disable-java \
		--disable-csharp \
%if %{with ruby}
		--enable-ruby \
%else
		--disable-ruby \
%endif
%if %{with perl}
		--enable-perl \
%else
		--disable-perl \
%endif
%if %{with python}
		--enable-python
%else
		--disable-python
%endif
perl -pi -e 's#install.rb install$#install.rb install --prefix=%{buildroot}#' ruby/Makefile
perl -pi -e 's/555/755/' ruby/install.rb

%make_build

%if %{with python}
cd python
LDSHARED="gcc -shared -lz %{ldflags}" %{__python3} setup.py build
%endif

%install
perl -pi -e 's#/usr/local/#/usr/#' scripts/document.py
%if %{with perl}
cd perl
perl Makefile.PL INSTALLDIRS=vendor
%make_install
cd ..
%endif
%make_install

%if %{with python}
cd python
%{__python3} setup.py install --root=%{buildroot}
cd ..
%endif

find %{buildroot} -name '*.so' -exec chmod u+w {} \;

#
# TODO add script ( in script/ subdir )
# emacs mode
%files
%doc CS_LICENSE INSTALL LICENSE README scripts/cs_lint.py contrib/cs-mode.el
%{_bindir}/*
%{_mandir}/man3/*.3.*

%files devel
%{_includedir}/ClearSilver/
%{_libdir}/libneo_cgi.a
%{_libdir}/libneo_cs.a
%{_libdir}/libneo_utl.a

%if %{with python}
%files -n python-%{name}
%doc README.python
%{python3_sitearch}/neo_cgi.so
%{python3_sitearch}/clearsilver-%{version}-py%{python3_version}.egg-info
%endif

%if %{with perl}
%files -n perl-ClearSilver
%{perl_vendorarch}/ClearSilver.pm
%{perl_vendorarch}/auto/ClearSilver/ClearSilver.so
%dir %{perl_vendorarch}/auto/ClearSilver/
%{_mandir}/man3/*.3pm*
%endif

%if %{with ruby}
%defattr(-,root,root)
%{ruby_vendorarchdir}/hdf.so
%{ruby_vendorlibdir}/neo.rb
%endif

