%define clip_dir %{_datadir}/clipart
%define libreoffice 0

Name: clipart-openclipart
Version: 2.0
Release: %mkrel 13
Summary: Open Clip Art Library
License: Public Domain
Group: Graphics/Utilities
Url: https://openclipart.org/
Source: https://openclipart.org/downloads/%version/openclipart-%{version}-svgonly.tar.bz2
Source1: clean-up-sources.sh
Source2: libreoffice-openclipart.blacklist
%if %libreoffice
BuildRequires: libreoffice-core
%endif
BuildArch: noarch

%description
This is a collection of 100% license-free, royalty-free, and
restriction-free art that you can use for whatever purpose you see fit.

Most of the art in this package is in the Scalable Vector Graphic (SVG)
format, which is an XML format approved by the W3C and used in a wide
range of software applications, including Inkscape, Adobe Illustrator,
Batik, and more.

The goal of the Open Clip Art Library is to provide the public with a
huge collection of reusable art for any purpose.

For more information, including how you can contribute to this growing
library, please see https://openclipart.org/

%prep
%setup -q -n openclipart-%{version}-svgonly

%build
# nothing to build

%install
mkdir -p %{buildroot}%clip_dir
( cd ./clipart && tar c ./ | tar x -C %{buildroot}%{clip_dir} )

find %{buildroot}%{clip_dir} -type f -exec chmod 644 '{}' \;



%if %libreoffice
GENGAL_BIN=%_libdir/libreoffice/basis3.3/program/gengal
for dir in `find -L %{buildroot}%clip_dir -mindepth 1 -maxdepth 1 -type d | LC_CTYPE=C sort` ; do
    # get the gallery name from the directory name
    # and make the first character uppercase
    dirname=${dir##*/}
    gal_name=$dirname
    gal_name=`echo $gal_name | tr "_-" "  "`
    gal_name_rest=${gal_name#?}
    gal_name_first_char=${gal_name%$gal_name_rest}
    gal_name_first_char=`echo $gal_name_first_char | tr "a-z" "A-Z"`
    gal_name=$gal_name_first_char$gal_name_rest
    #
    echo "Doing gallery $gal_name..."
    #
    # add too big files to the black list (svg import is somewhat slow)
    blacklist=`mktemp /tmp/gengal.blacklist.XXXXXX`
    IFS_saved="$IFS"
IFS="
"
    for file in `find $dir -name "*.svg" | LC_CTYPE=C sort` ; do
        test -L $file && echo "$file" >>$blacklist
        echo size=`du -L $file | cut -f1`
        test `du -b -L $file  | cut -f1` -gt 100000 && echo "$file" >>$blacklist
    done
    IFS="$IFS_saved"
    # add files from explicit blacklist if any
    grep "^$dirname" libreoffice-openclipart.blacklist >>$blacklist || true
    echo "Ignoring too big and problematic files:"
    cat $blacklist
    echo "Enf of the list"
    #
    # xargs is necessary because the list of files is quite long
    find $dir -name "*.svg" -print0 | \
    LC_CTYPE=C sort -z | \
    grep -z -v -f $blacklist | \
    { xargs -0 $GENGAL_BIN -headless  --name "$gal_name" --path $RPM_BUILD_DIR/%name-%version --number-from "%gal_num_from" || exit 1; }
    rm $blacklist
done

# FIXME: The stuff from this directory is linked to ooo-home by the script
#        link-to-ooo-home; so it must keep the usual OOo structure
install -m 755 -d $RPM_BUILD_ROOT%_libdir/libreoffice/basis3.3/share/gallery
for file in `ls sg*` ; do
    install -m 644 $file $RPM_BUILD_ROOT%_libdir/libreoffice/basis3.3/share/gallery
    echo "%_libdir/libreoffice/basis3.3/share/gallery/$file" >>$RPM_BUILD_ROOT%_datadir/%ooo_home/openclipart_list.txt
done

%endif

%files
%doc README AUTHORS ChangeLog INSTALL LICENSE NEWS
%clip_dir
