%define	major     6
%define	libname   %mklibname %{name} %{major}
%define	develname %mklibname %{name} -d

Summary:	C++ Class Library for Numbers
Name:		cln
Version:	1.3.7
Release:	%mkrel 1
License:	GPLv2+
Group:		Sciences/Mathematics
URL:		https://www.ginac.de/CLN/
Source0:	https://www.ginac.de/CLN/%{name}-%{version}.tar.bz2
BuildRequires:	gmp-devel

%description
CLN is a collection of C++ math classes and functions licensed under
the GPL that provides efficiency, type safety, and algebraic syntax in
a fast, memory-efficient library.

%package -n	%{libname}
Summary:	C++ Class Library for Numbers
Group:		Sciences/Mathematics
Provides:	%{name} = %{version}-%{release}
Provides:	%{libname} = %{version}-%{release}

%description -n	%{libname}
CLN is a collection of C++ math classes and functions licensed under
the GPL that provides efficiency, type safety, and algebraic syntax in
a fast, memory-efficient library.

%package -n	%{develname}
Summary:	Development files for programs using the CLN library
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{develname} = %{version}-%{release}

%description -n %{develname}
This package is necessary if you wish to develop software that uses
the CLN library.

%prep
%autosetup

%build
%configure \
	--disable-static
%ifarch %arm32
%make_build CPPFLAGS="-DNO_ASM"
%else
%make_build
%endif

%install
%make_install

# prepare documents
%{__rm} -rf documents
%{__mkdir} documents
%{__cp} --parents examples/*.cc documents/

%{__rm} -rf %{buildroot}%{_datadir}/dvi

%{__rm} -rf %{buildroot}%{_bindir}
%{__rm} -rf %{buildroot}%{_mandir}
%{__rm} -rf %{buildroot}%{_datadir}/aclocal

# we don't want these
find %{buildroot} -name "*.la" -delete

%check
%__make check

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog NEWS README TODO* documents/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_infodir}/*.info*
