Name:           cloc
Version:        2.02
Release:        %mkrel 1
Summary:        Count lines of code
Group:          Development/Tools
License:        GPLv2+
URL:            https://github.com/AlDanial/cloc
Source0:        https://github.com/AlDanial/%{name}/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-podlators
# Runtime
BuildRequires:  perl(Algorithm::Diff)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Glob)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(Parallel::ForkManager)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Regexp::Common)
BuildRequires:  perl(strict)
BuildRequires:  perl(Text::Tabs)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(warnings)
# Tests only
BuildRequires:  perl
BuildRequires:  perl-devel
BuildRequires:  perl(Test::More)

%{?perl_default_filter}

%description
A tool to count lines of code in various languages from a given directory.

%prep
%setup -q -n %{name}-%{version}/Unix

# < relrod> I found a bug in perl.req while trying to update a package I
# maintain (which is causing the build to completely hang/not finish, at least
# for a very long time)... This is the simplest reproducer I could come up
# with: https://gist.github.com/relrod/4ee22e8ae13486d91fb580aafb188a45
# < relrod> Notice how the execution time changes drastically when the only
# change in the source it's scanning is the length of a variable name.
#patch0

%build
# Nothing to do but run make anyway, in case anything ever changes
%make_build

%install
%make_install

#%%check
#make test

%files
%license COPYING
%doc AUTHORS NEWS README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
