%global upstream    talios
%global groupId     com.theoryinpractise
%global artifactId  clojure-maven-plugin

Name:           %{artifactId}
Version:        1.9.2
Release:        %mkrel 2
Summary:        Clojure plugin for Maven
Group:          Development/Java

License:        EPL-1.0
URL:            https://github.com/%{upstream}/%{name}
# wget --content-disposition %%{url}/tarball/%%{version}
Source0:        %{URL}/archive/%{name}-%{version}.tar.gz

BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.commons:commons-exec)
BuildRequires:  mvn(org.apache.commons:commons-io)
BuildRequires:  mvn(org.apache.commons:commons-lang3)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.plugins:maven-invoker-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.codehaus.plexus:plexus-compiler-api)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)

%description
This plugin has been designed to make working with clojure as easy as
possible, when working in a mixed language, enterprise project.


%prep
%setup -q -n %{artifactId}-%{artifactId}-%{version}

# release plugin is not required for RPM builds
%pom_remove_plugin :maven-release-plugin
%pom_remove_plugin :maven-enforcer-plugin
%pom_remove_plugin :ossindex-maven-plugin
%pom_remove_plugin :cyclonedx-maven-plugin

# trivial port to commons-lang3
%pom_remove_dep :commons-lang
%pom_add_dep org.apache.commons:commons-lang3

sed -i "s/org.apache.commons.lang./org.apache.commons.lang3./g" \
    src/main/java/com/theoryinpractise/clojure/AbstractClojureCompilerMojo.java
sed -i "s/org.apache.commons.lang./org.apache.commons.lang3./g" \
    src/main/java/com/theoryinpractise/clojure/ClojureNReplMojo.java
sed -i "s/org.apache.commons.lang./org.apache.commons.lang3./g" \
    src/main/java/com/theoryinpractise/clojure/ClojureSwankMojo.java

%build
# test1.clj does not get discovered if LANG=C
# also, using 'package' instead of 'install' to avoid
# running integration tests - they do installation tests
# for a lot of packages*versions we do not currently have
export LANG=en_US.utf8
# Do not run tests cause we miss dependencies fest-assert
# and maven-surefire-provider-junit5
%mvn_build -f -j


%install
%mvn_install

%files -f .mfiles
%license epl-v10.html 
%doc README.markdown


