Name:           cloud-utils
Version:        0.33
Release:        %mkrel 1
License:        GPLv3
Summary:        Cloud image management utilities
Url:            https://launchpad.net/ubuntu/+source/cloud-utils
Group:          Networking/Other
Source:         https://github.com/canonical/cloud-utils/archive/refs/tags/%{version}.tar.gz#/%{name}_%{version}.orig.tar.gz
Source1:        LICENSE
BuildArch:      noarch
Requires:       cloud-utils-growpart
Requires:       gawk
Requires:       e2fsprogs
Requires:       file
Requires:       python3
Requires:       qemu-img
Requires:       util-linux

%description
This package provides a useful set of utilities for managing cloud
images.

The euca2ools package (a dependency of cloud-utils) provides an Amazon
EC2 API compatible set of utilities for bundling kernels, ramdisks,
and root filesystems, and uploading them to either EC2 or UEC.

The tasks associated with image bundling are often tedious and
repetitive.  The cloud-utils package provides several scripts
that wrap the complicated tasks with a much simpler interface.

%package growpart
Summary: Script for growing a partition
Group:          Networking/Other

Requires:       gawk
# gdisk is only required for resizing GPT partitions and depends on libicu
# (25MB). We don't make this a hard requirement to save some space in non-GPT
# systems.
#Requires:      gdisk
Requires:       util-linux

%description growpart
This package provides the growpart script for growing a partition. It is
primarily used in cloud images in conjunction with the dracut-modules-growroot
package to grow the root partition on first boot.

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build

%install
cp %{SOURCE1} LICENSE
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1

cp bin/* %{buildroot}%{_bindir}/
cp man/* %{buildroot}%{_mandir}/man1/

rm -f %{buildroot}%{_bindir}/*ubuntu*

# Install the growpart binary and man page
cp bin/growpart %{buildroot}%{_bindir}/
cp man/growpart.* %{buildroot}%{_mandir}/man1/

%files
%doc ChangeLog LICENSE
%{_bindir}/cloud-localds
%{_bindir}/write-mime-multipart
%{_bindir}/ec2metadata
%{_bindir}/mount-image-callback
%{_bindir}/resize-part-image
%{_bindir}/vcs-run
%{_mandir}/man1/cloud-localds.1*
%{_mandir}/man1/resize-part-image.*
%{_mandir}/man1/write-mime-multipart.*

# Files for the growpart subpackage
%files growpart
%doc ChangeLog LICENSE
%{_bindir}/growpart
%{_mandir}/man1/growpart.*
