Name:    cloudy
Version: 13.05
Release: %mkrel 4
Summary: Spectral synthesis code to simulate conditions in interstellar matter

%define upversion 13

Group:   Sciences/Astronomy
License: BSD
URL:     https://www.nublado.org/
Source0: https://data.nublado.org/cloudy_releases/c%{upversion}/c%{version}.tar.gz
Source1: cloudy_no_date_footer.tar.gz

BuildRequires: doxygen
BuildRequires: graphviz
BuildRequires: tetex-latex

%description
Most of the quantitative information we have about the cosmos comes from 
spectroscopy. In many cases the light we analyze was produced by atoms in 
the first generations of stars and galaxies.  The spectra are produced by 
dilute gas where such properties as the gas kinetic temperature, chemical 
state, level of ionization, and level populations, are determined by a 
host of microphysical processes rather than by a single temperature. 
Analytical solutions are seldom possible and computer solutions are 
needed to understand their physical properties. Numerical simulations make 
it possible to understand complex physical environments starting from 
first principles. Cloudy is designed to do exactly this.

%prep
%setup -q -n c%{version}
%setup -q -n c%{version} -T -D -a 1

%build
cd source
%make_build CXX="%{__cxx}" CXXFLAGS="%{build_cxxflags} -std=c++11" OPT="" \
    CLOUDY_DATA_PATH=%{_datadir}/%{name}/data/
cd ..
cd doxygen
doxygen Doxyfile
# Deleting empty files
find -empty -exec rm '{}' ';'
# Spurious file
find -name installdox -exec rm '{}' ';'

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}/%{name}
mkdir -p %{buildroot}%{_datadir}/%{name}/data
mkdir -p %{buildroot}%{_datadir}/%{name}/scripts
mkdir -p %{buildroot}%{_datadir}/%{name}/grain
install -m 755 source/cloudy.exe %{buildroot}/%{_bindir}/cloudy

cp -a data/*.opc %{buildroot}%{_datadir}/%{name}/data
cp -a data/*.ini %{buildroot}%{_datadir}/%{name}/data
cp -a data/*.dat %{buildroot}%{_datadir}/%{name}/data
cp -a data/*.rfi %{buildroot}%{_datadir}/%{name}/grain
cp -a data/*.szd %{buildroot}%{_datadir}/%{name}/grain
cp -a data/*.in %{buildroot}%{_datadir}/%{name}/scripts

%files
%doc readme.txt license.txt docs/*
%doc doxygen/html
%doc data/readme_data.htm data/readme_LineList_dat.txt
%{_bindir}/*
%{_datadir}/%{name}/
