Summary:        windows interface for the ClustalW multiple sequence alignment program
Name:		clustalx
Version:	2.1
Release:	%mkrel 19
License:	GPLv3+ and LGPLv3+
Group:		Sciences/Biology
URL:		http://www.clustal.org/clustal2/
Source0:	http://www.clustal.org/download/%{version}/%{name}-%{version}.tar.gz
Source1:	clustalx.1
Patch0:		clustalx-2.1-qt5.patch
Requires:       clustalw
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)

%description
Clustal X is a new windows interface for the ClustalW multiple sequence
alignment program. It provides an integrated environment for performing
multiple sequence and profile alignments and analysing the results. The
sequence alignment is displayed in a window on the screen. A versatile coloring
scheme has been incorporated allowing you to highlight conserved features in
the alignment. The pull-down menus at the top of the window allow you to select
all the options required for traditional multiple sequence and profile
alignment.

%files
%doc COPYING COPYING.LESSER README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1.*

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%qmake_qt5
%make_build

%install
%__mkdir -p %{buildroot}%{_datadir}/%{name}
cp -a colprot.xml coldna.xml colprint.xml clustalx.hlp %{name} %{buildroot}%{_datadir}/%{name}/

%__mkdir -p %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/sh
%{_datadir}/%{name}/%{name} &
EOF
chmod 755 %{buildroot}%{_bindir}/%{name}

# desktopfile
%__install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
GenericName=%{name}
Comment=windows interface for the ClustalW multiple sequence alignment program
Exec=%{name}
Icon=biology_section
Terminal=false
Type=Application
Categories=Science;Biology;Qt;
EOF

# manpage
%__install -D -p -m644 %{SOURCE1} %{buildroot}%{_mandir}/man1/%{name}.1
