%define	major	3
%define	libname	%mklibname %{name} %{major}
%define	develname %mklibname %{name} -d

Name:		clxclient
Summary:	C++ libraries
Version:	3.9.2
Release:	%mkrel 3
License:	LGPLv2+
Group:		System/Libraries 
Source0:	https://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2
Patch0:		clxclient-3.9.0-mga-Makefile.patch
Patch1:		clxclient-3.9.2-mga-fix_global_header_include.patch
URL:		https://kokkinizita.linuxaudio.org/linuxaudio/

BuildRequires:	clthreads-devel >= 2.4.2
BuildRequires:	x11-proto-devel
BuildRequires:	pkgconfig(xft)

%description
C++ libraries needed by Aeolus

#--------------------------------------------------------------------

%package -n %{libname}
Group:		System/Libraries
Summary:	Libraries for %{name}
Provides:	lib%{name} = %{version}-%{release}

%description -n	%{libname}
The libraries from %{name} package needed by Aeolus

%files -n %{libname}
%{_libdir}/libclxclient.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{develname}
Group:		Development/Other
Summary:	Libraries for %name
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{libname}-devel < %{version}-%{release}

%description -n	%{develname}
Development libraries from %{name}

%files -n %{develname}
%{_includedir}/clxclient.h
%{_libdir}/libclxclient.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

sed -e 's|-O2|%{optflags}|' \
    -e 's|/sbin/ldconfig|# /sbin/ldconfig|' \
    -e 's|`freetype-config --libs`||' \
    -e 's! -shared ! -Wl,--as-needed\0!g' \
    -e 's|-lpthread -lXft -lX11|-lclthreads -lXft -lX11|' \
    -i source/Makefile

%build
cd source
%make_build %{?_smp_mflags} PREFIX=%{_prefix} LIBDIR=%{_libdir} 

%install
cd source
%make_install PREFIX=%{buildroot}%{_prefix} LIBDIR=%{_libdir} INCDIR=%{_includedir}
ln -s libclxclient.so.%{version} %{buildroot}%{_libdir}/libclxclient.so.%{major}

