%define libmajor	1
%define libname		%mklibname %{name} %{libmajor}
%define libname_devel	%mklibname %{name} -d

Summary:	Ring class fields of imaginary quadratic number fields and of elliptic curves
Name:		cm
Version:	0.4.3
Release:	%mkrel 3
License:	GPLv3+
Group:		System/Libraries
URL:		https://www.multiprecision.org/cm
Source0:	https://www.multiprecision.org/downloads/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(flint) >= 3.0.0
BuildRequires:	pkgconfig(gmp) >= 4.3.2
BuildRequires:	pkgconfig(mpfr) >= 3.0.0
BuildRequires:	libmpc-devel >= 1.0
BuildRequires:	mpfrcx-devel >= 0.6.3
BuildRequires:	pari-devel >= 2.11.0
BuildRequires:	ntl-devel
BuildRequires:	pkgconfig(zlib)

%description
The CM software implements the construction of ring class fields of
imaginary quadratic number fields and of elliptic curves with complex
multiplication via floating point approximations. It consists of libraries
that can be called from within a C program and of executable command line
applications. For the implemented algorithms, see A. Enge, The complexity
of class polynomial computation via floating point approximations,
Mathematics of Computation 78 (266), 2009, pp. 1089-1107.

%package	-n %{libname}
Summary:	Arithmetic of complex numbers with arbitrarily high precision and correct rounding
Group:		System/Libraries

%description	-n %{libname}
The CM software implements the construction of ring class fields of
imaginary quadratic number fields and of elliptic curves with complex
multiplication via floating point approximations. It consists of libraries
that can be called from within a C program and of executable command line
applications. For the implemented algorithms, see A. Enge, The complexity
of class polynomial computation via floating point approximations,
Mathematics of Computation 78 (266), 2009, pp. 1089-1107.

%package	-n %{libname_devel}
Summary:	Development headers and libraries for CM
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %{libname_devel}
Development headers and libraries for CM.

%prep
%autosetup -p1

# Fix testing for gcc-14
sed -i 's/cm.h/cm-impl.h/' tests/tecpp.c tests/ttwist.c

%build
%configure --disable-static
%make_build

%install
%make_install

%check
make check

%files
%{_bindir}/classpol
%{_bindir}/cm
%{_bindir}/ecpp
%{_bindir}/ecpp-check
%{_datadir}/%{name}/

%files -n %{libname}
%doc README NEWS AUTHORS
%license COPYING
%{_libdir}/libcm*.so.%{libmajor}{,.*}

%files -n %{libname_devel}
%{_includedir}/cm*.h
%{_infodir}/cm.info*
%{_libdir}/libcm*.so
