%define major     %{version}
%define libname   %mklibname cmark %{major}
%define develname %mklibname cmark -d

Name:           cmark
Version:        0.31.1
Release:        %mkrel 1
Summary:        CommonMark parsing and rendering
Group:          Development/C

License:        BSD and MIT
URL:            https://github.com/jgm/cmark
Source0:        https://github.com/jgm/cmark/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++

%description
`cmark` is the C reference implementation of CommonMark,
a rationalized version of Markdown syntax with a spec.

It provides a shared library (`libcmark`) with functions for parsing
CommonMark documents to an abstract syntax tree (AST), manipulating
the AST, and rendering the document to HTML, groff man, LaTeX,
CommonMark, or an XML representation of the AST.  It also provides a
command-line program (`cmark`) for parsing and rendering CommonMark
documents.


%package -n %{develname}
Summary:        Development files for cmark
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}


%description -n %{develname}
This package provides the development files for cmark.


%package -n %{libname}
Summary:        CommonMark parsing and rendering library
Group:          System/Libraries
Obsoletes:      %{_lib}cmark0 < 0.30.2-4

%description -n %{libname}
This package provides the cmark library.


%prep
%setup -q


%build
%cmake \
  -DCMARK_STATIC:BOOL=OFF \
  -DCMARK_TESTS:BOOL=OFF
%cmake_build


%install
%cmake_install

%if %{with tests}
%check
%ctest
%endif

%files
%license COPYING
%{_bindir}/cmark
%{_mandir}/man1/cmark.1.*


%files -n %{libname}
%license COPYING
%{_libdir}/libcmark.so.%{version}


%files -n %{develname}
%doc README.md
%{_includedir}/cmark.h
%{_includedir}/cmark_export.h
%{_includedir}/cmark_version.h
%{_libdir}/libcmark.so
%{_libdir}/pkgconfig/libcmark.pc
%{_mandir}/man3/cmark.3.*
%{_libdir}/cmake/cmark/
