%define _disable_ld_no_undefined 1

Name:		cmus
Version:	2.12.0
Release:	%mkrel 1
Summary:	A powerful ncurses-based music player
URL:		https://cmus.github.io/
License:	GPLv2
Group:		Sound/Players
Source:		https://github.com/%{name}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		cmus-2.7.1-fix-install.patch
BuildRequires:	ffmpeg-devel
BuildRequires:	mp4v2-devel
BuildRequires:	musepack-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(ao)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(libcddb)
BuildRequires:	pkgconfig(libcue)
BuildRequires:	pkgconfig(libdiscid)
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(libmodplug)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(opusfile)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(sndio)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(wavpack)
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(libcdio_cdda)

%if "%{?distro_section}" == "tainted"
BuildRequires:	pkgconfig(faad2)
%endif

Requires:	ncurses

%description
cmus is a powerful music player with an ncurses UI. It supports many
different file types like FLAC, Ogg/Vorbis, etc. and is able to handle play
lists.
%if "%{?distro_section}" == "tainted"
This package is in the "tainted" section as it requires other "tainted" packages.
%endif

%prep
%autosetup -p1

%build
%set_build_flags
./configure prefix=%{_prefix} libdir=%{_libdir} DEBUG=0
%make_build

%install
%make_install

%files
%doc README.md
%{_docdir}/%{name}/examples/
%{_bindir}/*
%{_libdir}/cmus/
%{_datadir}/cmus/
%{_mandir}/man1/*
%{_mandir}/man7/*
