#global svnrev	12803

%global _smp_ncpus_max	8

%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

%global __provides_exclude_from ^%{_libdir}/%{name}/plugins/.*\\.so$

Name:		codeblocks
Version:	25.03%{?svnrev:^svn%svnrev}
Release:	%mkrel 1
Summary:	A C++ IDE
Group:		Development/Other
License:	GPLv3
URL:		https://www.codeblocks.org/
%if 0%{?svnrev:1}
Source0:	%{name}-svn%{svnrev}.tar.bz2
%else
Source0:	https://downloads.sourceforge.net/codeblocks/%{name}_%{version}.tar.xz
%endif
Source1:	%{name}.png
Source100:	getsources.sh
Patch1:		codeblocks-autorev.patch
Patch2:		codeblocks-wxBitmapBundle.patch
BuildRequires:	zip
BuildRequires:	dos2unix
BuildRequires:	imagemagick
BuildRequires:	astyle-devel
BuildRequires:	boost-devel
BuildRequires:	wxgtk-devel
BuildRequires:	squirrel-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(hunspell)
BuildRequires:	pkgconfig(gamin)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:	pkgconfig(zlib)

Recommends:	gcc-c++

%description
Code::Blocks is a free C++ IDE built specifically to meet the most demanding
needs of its users. It was designed, right from the start, to be extensible and
configurable. Built around a plugin framework, Code::Blocks can be extended
with plugin DLLs. It includes a plugin wizard so you can compile your own
plugins!

%package -n	%{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n	%{libname}
Shared libraries for %{name}.

%package -n	%{develname}
Summary:	Development headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Development headers for %{name}.

%prep
%autosetup -n %{name}_%{?svnrev:svn%svnrev}%{?!svnrev:%version} -p1

%if 0%{?svnrev:1}
# replace egrep with grep -E
perl -pi -e 's,egrep,grep -E,g' bootstrap

# generate revision.m4
cat >> revision.m4 << EOF
m4_define([SVN_REV], %{svnrev})
m4_define([SVN_REVISION], %(echo %{version} | tr -d '^'))
m4_define([SVN_DATE], %(TZ=GMT date '+%F %T'))
EOF
%endif

%build
%if 0%{?svnrev:1}
./bootstrap
%else
autoreconf -fi
%endif
%configure \
	--with-contrib-plugins=all \
	--with-boost-libdir=%{_libdir} \
	--disable-static

%make_build

%install
%make_install

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{128x128,256x256}/apps
convert -scale 128x128 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png
install -m 0644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png

chmod +x %{buildroot}%{_datadir}/%{name}/lexers/lexer_bash.sample

%files
%doc README AUTHORS BUGS COMPILERS TODO NEWS
%{_bindir}/*
%{_libdir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/*/*.png
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.png
%{_metainfodir}/%{name}.appdata.xml
%{_metainfodir}/%{name}-contrib.metainfo.xml
%{_mandir}/man1/*.1*

%files -n %{libname}
%doc README
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%doc BUGS COMPILERS TODO
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
