# filter out bogus auto-requires
%global __requires_exclude pear\\(.*\\)

Name:           codelite
Version:        17.12.1
Release:        %mkrel 2
Summary:        A powerful open-source, cross platform C/C++/PHP IDE
License:        GPLv2+
Group:          Development/Tools
Url:            https://codelite.org/
Source0:        https://github.com/eranif/codelite/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        extra-deps.tar.xz
Patch0:         codelite-remove-bundled-wxsqlite.patch
Patch1:         codelite-remove-bundled-yaml-cpp.patch
Patch2:         codelite-disable-stripping.patch
Patch3:         codelite-default-no-check-for-updates.patch
Patch11:        codelite-17.12.1-mga-set-proper-libdir.patch
Patch12:        codelite-17.12.1-mga-set-proper-mandir.patch
Patch101:       0001-Fix-HiDPI-install-locations.patch
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  ccache
BuildRequires:  clang-devel
BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  lldb-devel
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(hunspell)
BuildRequires:  pkgconfig(libssh)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(wxsqlite3)
BuildRequires:  pkgconfig(yaml-cpp)
BuildRequires:  wxgtk-devel
BuildRequires:  glibc-static-devel
Recommends:     gcc
Recommends:     xterm

%description
CodeLite uses a sophisticated, yet intuitive interface which allows
users to easily create, build and debug complex projects.

It provides built-in support for GCC/Clang/VC++ compilers and debugging
using GDB.

%prep
%autosetup -p1 -a1

# Make sure we don't build against bundled (wx)sqlite3 and yaml-cpp
rm -rf sdk/wxsqlite3
rm -rf submodules/yaml-cpp

# Make sure stripping is disabled
sed -i -e '/CMAKE_INSTALL_DO_STRIP/s/TRUE/FALSE/g' -e '/CMAKE_INSTALL_DO_STRIP/s/ON/OFF/g' CMakeLists.txt

%build
%cmake -GNinja \
       -DCL_INSTALL_LIBDIR=%{_lib} \
       -DENABLE_STATIC=OFF \
       -DENABLE_CLANG=1 \
       -DENABLE_LLDB=1
%cmake_build

%install
%cmake_install

# we do not want devel files
rm -rf %{buildroot}%{_includedir}
rm -rf %{buildroot}%{_libdir}/cmake
find %{buildroot} -name '*.a' -delete
find %{buildroot} -name '*.pc' -delete

# python shebangs
%py3_shebang_fix %{buildroot}%{_bindir}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS
%license LICENSE COPYING
%{_bindir}/codelite*
%{_bindir}/ctagsd*
%{_bindir}/CxxLocalVariables
%{_bindir}/cc-wrapper
%{_bindir}/convert_hf_to_gguf.py
%{_bindir}/llama-cli
%{_datadir}/codelite/
%{_datadir}/applications/codelite.desktop
%{_datadir}/applications/codelite-url-handler.desktop
%{_iconsdir}/hicolor/*/apps/codelite.png
%{_metainfodir}/org.codelite.codelite.metainfo.xml
%{_libdir}/codelite/
%{_mandir}/man1/codelite*.1*
