Name:           codespell
Version:        2.4.1
Release:        %mkrel 1
Summary:        Find and fix common misspellings in text files
Group:          Development/Tools
License:        GPLv2
URL:            https://github.com/lucasdemarchi/codespell
Source0:        https://github.com/lucasdemarchi/codespell/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  aspell-en
BuildRequires:  help2man
BuildRequires:  python3
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools-scm
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(pytest-dependency)

%description
Finds and fixes common misspellings in text files. It is designed
primarily for checking misspelled words in source code, but it can be
used with other files as well.

%prep
%autosetup -p1

%generate_buildrequires
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_buildrequires

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_wheel

%install
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_install
%pyproject_save_files codespell_lib

# Generate manpage
help2man %{buildroot}%{_bindir}/%{name} --no-discard-stderr \
  --include %{name}.1.include --no-info --output %{name}.1
sed -i '/\.SS \"Usage/,+2d' %{name}.1

# Install manpage
install -D -m644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files -f %{pyproject_files}
%doc README.rst
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
