%define major %(echo %{version} | cut -d. -f1,2)

%define libname    %mklibname %{name} %{major}
%define devel_name %mklibname %{name} -d

Name:       coeurl
Version:    0.3.1
Release:    %mkrel 3
Summary:    Simple async wrapper around CURL for C++
License:    MIT
Group:      System/Libraries
URL:        https://nheko.im/nheko-reborn/coeurl
Source0:    %{url}/-/archive/v%{version}/%{name}-v%{version}.tar.gz#/%{name}-v%{version}.tar.gz

BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(libevent)
BuildRequires: meson
BuildRequires: ninja
BuildRequires: pkgconfig(fmt)
BuildRequires: pkgconfig(spdlog)

%description
Simple library to do http requests asynchronously via CURL in C++.
Based on the CURL-libevent example.

%package -n %{libname}
Summary:    Simple async wrapper around CURL for C++
Group:      System/Libraries
Provides:   %{name} = %{version}-%{release}
Obsoletes:  %{name} < 0.2.1-2

%description -n %{libname}
Simple library to do http requests asynchronously via CURL in C++.
Based on the CURL-libevent example.

%package -n %{devel_name}
Summary:    Development files for %{name}
Group:      Development/C++
Requires:   %{libname} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{devel_name}
Development files for %{name}.

%prep
%autosetup -n %{name}-v%{version} -p1

%build
%meson \
    -Dwerror=false \
    -Dtests=false \
    -Dexamples=false
%meson_build

%install
%meson_install

%files -n %{libname}
%doc CHANGELOG.md README.md
%license LICENSE
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devel_name}
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc
