%define major 		20
%define pangomajor	20
%define gi_major	1.0
%define gi_major2	2.0

%define libname		%mklibname %{name} %{major}
%define libname_pango	%mklibname %{name}-pango %{pangomajor}
%define develname 	%mklibname -d %{name}
%define girname 	%mklibname %{name}-gir %{gi_major}
%define girname_pango	%mklibname %{name}-pango-gir %{gi_major}

%define girname2 	%mklibname %{name}-gir %{gi_major2}
%define girname_pango2	%mklibname %{name}-pango-gir %{gi_major2}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		cogl
Version:	1.22.8
Release:	%mkrel 4
Summary:	A library for using 3D graphics hardware to draw pretty pictures
Group:		System/Libraries
License:	LGPLv2+
URL:		https://gitlab.gnome.org/GNOME/cogl
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# Vaguely related to https://bugzilla.gnome.org/show_bug.cgi?id=772419
# but on the 1.22 branch, and the static inline in the header is gross
# ajax promises he'll clean this up.
Patch0: 0001-egl-Use-eglGetPlatformDisplay-not-eglGetDisplay.patch

# "GL_ARB_shader_texture_lod" is used to do lod biased texturing. It
# make achieve faster blurring of images instead of using large blur radius.
Patch1: 0002-add-GL_ARB_shader_texture_lod-support.patch

# "copy_sub_image" is used to implement feature similar with kwin blur
# effect by being abel to copy partial of framebuffer contents as texture
# and do post blurring.
Patch2: 0003-texture-support-copy_sub_image.patch

# Fix building against libglvnd-provided EGL headers
# https://gitlab.gnome.org/GNOME/cogl/-/merge_requests/17
BuildRequires:	mesaegl-devel
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xfixes) >= 3
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xcomposite) >= 0.4
BuildRequires:	pkgconfig(gobject-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gmodule-no-export-2.0)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(cairo) >= 1.10
BuildRequires:	pkgconfig(pangocairo) >= 1.20
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk-doc)
# ovitters: Wayland support + required KMS support
BuildRequires:	pkgconfig(wayland-egl) >= 1.0.0
BuildRequires:	pkgconfig(wayland-client) >= 1.0.0
BuildRequires:	pkgconfig(wayland-server) >= 1.1.90
BuildRequires:	pkgconfig(gbm)

%description
Cogl is a small open source library for using 3D graphics hardware to draw
pretty pictures. The API departs from the flat state machine style of
OpenGL and is designed to make it easy to write orthogonal components that
can render without stepping on each others toes.

As well aiming for a nice API, we think having a single library as opposed
to an API specification like OpenGL has a few advantages too; like being
able to paper over the inconsistencies/bugs of different OpenGL
implementations in a centralized place, not to mention the myriad of OpenGL
extensions. It also means we are in a better position to provide utility
APIs that help software developers since they only need to be implemented
once and there is no risk of inconsistency between implementations.

Having other backends, besides OpenGL, such as drm, Gallium or D3D are
options we are interested in for the future.

#--------------------------------------------------------------------

%package i18n
Summary:	Translations for %{name}
Group:		System/Internationalization
Obsoletes:	%{name} < 1.9.2
BuildArch:	noarch

%description i18n
This contains the translation data for %{name}.

%files i18n -f %{name}.lang

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	A library for using 3D graphics hardware to draw pretty pictures
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libname}
Cogl is a small open source library for using 3D graphics hardware to draw
pretty pictures. The API departs from the flat state machine style of
OpenGL and is designed to make it easy to write orthogonal components that
can render without stepping on each others toes.

As well aiming for a nice API, we think having a single library as opposed
to an API specification like OpenGL has a few advantages too; like being
able to paper over the inconsistencies/bugs of different OpenGL
implementations in a centralized place, not to mention the myriad of OpenGL
extensions. It also means we are in a better position to provide utility
APIs that help software developers since they only need to be implemented
once and there is no risk of inconsistency between implementations.

Having other backends, besides OpenGL, such as drm, Gallium or D3D are
options we are interested in for the future.

%files -n %{libname}
%{_libdir}/libcogl.so.%{major}{,.*}
%{_libdir}/libcogl-path.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{libname_pango}
Summary:	A library for using 3D graphics hardware to draw pretty pictures
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libname_pango}
Cogl is a small open source library for using 3D graphics hardware to draw
pretty pictures. The API departs from the flat state machine style of
OpenGL and is designed to make it easy to write orthogonal components that
can render without stepping on each others toes.

As well aiming for a nice API, we think having a single library as opposed
to an API specification like OpenGL has a few advantages too; like being
able to paper over the inconsistencies/bugs of different OpenGL
implementations in a centralized place, not to mention the myriad of OpenGL
extensions. It also means we are in a better position to provide utility
APIs that help software developers since they only need to be implemented
once and there is no risk of inconsistency between implementations.

Having other backends, besides OpenGL, such as drm, Gallium or D3D are
options we are interested in for the future.

%files -n %{libname_pango}
%{_libdir}/libcogl-pango.so.%{pangomajor}{,.*}

#--------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{mklibname %{name}-gir 0.0} < %{version}
Conflicts:	%{mklibname clutter 1.0 0} < 1.7.2

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/Cogl-%{gi_major}.typelib

#--------------------------------------------------------------------

%package -n %{girname_pango}
Summary:	GObject Introspection interface description for %{name}-pango
Group:		System/Libraries
Requires:	%{libname_pango} = %{version}-%{release}
Conflicts:	%{_lib}cogl-gir0.0 < %{version}

%description -n %{girname_pango}
GObject Introspection interface description for %{name}-pango.

%files -n %{girname_pango}
%{_libdir}/girepository-1.0/CoglPango-%{gi_major}.typelib

#--------------------------------------------------------------------

%package -n %{girname2}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname2}
GObject Introspection interface description for %{name}.

%files -n %{girname2}
%{_libdir}/girepository-1.0/Cogl-%{gi_major2}.typelib

#--------------------------------------------------------------------

%package -n %{girname_pango2}
Summary:	GObject Introspection interface description for %{name}-pango
Group:		System/Libraries
Requires:	%{libname_pango} = %{version}-%{release}

%description -n %{girname_pango2}
GObject Introspection interface description for %{name}-pango.

%files -n %{girname_pango2}
%{_libdir}/girepository-1.0/CoglPango-%{gi_major2}.typelib

#--------------------------------------------------------------------

%package -n %{develname}
Summary:	%{name} development environment
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname_pango} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	mesaegl-devel
Requires:	pkgconfig(egl)
Requires:	pkgconfig(gl)
Requires:	%{girname} = %{version}-%{release}
Requires:	%{girname2} = %{version}-%{release}
Requires:	%{girname_pango} = %{version}-%{release}
Requires:	%{girname_pango2} = %{version}-%{release}
Conflicts:	%{mklibname -d clutter 1.0} <= 1.6.16

%description -n %{develname}
Header files and libraries for building and developing apps with %{name}.

%files -n %{develname}
%doc NEWS README ChangeLog
%{_includedir}/cogl
%{_libdir}/libcogl*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/Cogl*-%{gi_major}.gir
%{_datadir}/gir-1.0/Cogl*-%{gi_major2}.gir

#--------------------------------------------------------------------

%package doc
Summary:	Documentation for %{name}
Group:		Documentation 
Requires:	%{name}-devel = %{version}-%{release}
BuildArch:	noarch

%description doc
This package contains documentation for %{name}.

%files doc
%{_datadir}/gtk-doc/html/cogl
%{_datadir}/gtk-doc/html/cogl-2.0-experimental

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
CFLAGS="%{optflags} -fPIC"

%configure \
	--enable-cairo=yes \
	--enable-gdk-pixbuf=yes \
	--enable-cogl-pango=yes \
	--enable-glx=yes \
	--enable-gtk-doc \
	--enable-introspection=yes \
	--enable-examples-install=no \
	--enable-wayland-egl-server=yes \
	--enable-wayland-egl-platform=yes \
	--enable-kms-egl-platform
%make_build

%install
%make_install

#Remove examples
rm -rf %{buildroot}%{_datadir}/%{name}/examples-data/

#Remove libtool archives.
find %{buildroot} -name "*.la" -delete

%find_lang %{name}
