%define tarname		Coin

%define major		80
%define libname		%mklibname %name %major
%define libnamedev	%mklibname %name -d

Summary:		Implementation of the Open Inventor API
Name:			coin
Version:		4.0.3
Release:		%mkrel 1
License:		GPLv2
Group:			System/Libraries
URL:			https://coin3d.github.io/
Source0:		https://github.com/coin3d/coin/releases/download/v%{version}/%{name}-%{version}-src.tar.gz
Patch0:			Coin-3.1.3-coin-config-usrmove-hack.patch
Patch1:			coin-4.0.2-linking.patch
# From fedora:
Patch3:			0003-man3.patch
Patch4:			0006-inttypes.patch
Patch5:			0011-Fix-SoCamera-manpage.patch
# Upstream patch
#
BuildRequires:		cmake
BuildRequires:		doxygen
BuildRequires:		boost-devel
BuildRequires:		pkgconfig(expat)
BuildRequires:		pkgconfig(gl)
BuildRequires:		pkgconfig(glu)
BuildRequires:		pkgconfig(bzip2)
BuildRequires:		pkgconfig(fontconfig)
BuildRequires:		pkgconfig(freetype2)
BuildRequires:		pkgconfig(openal)
BuildRequires:		pkgconfig(zlib)

%description
Coin is an implementation of the Open Inventor API, fully backwards
compatible with SGI Open Inventor v2.1, and incorporating many new
features.
Coin is portable across Win32, Linux, SGI IRIX, Mac OS X, HP-UX, Sun
Solaris, IBM AIX, and other platforms.

%package -n %{libname}
Summary:		Main library for Coin
Group:			System/Libraries
Provides:		%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with Coin.

%package -n %{libnamedev}
Summary:		Headers for developing programs that will use Coin
Group:			Development/C++
Requires:		%{libname} = %{version}-%{release}
Provides:		libcoin-devel = %{version}-%{release}
Provides:		%{name}-devel = %{version}-%{release}
Provides:		%{tarname}-devel = %{version}-%{release}

%description -n %{libnamedev}
This package contains the headers that programmers will need to develop
applications which will use Coin.

%prep
%setup -qn %{name}
%autopatch -p1

%build
%cmake -DCOIN_BUILD_DOCUMENTATION=TRUE \
       -DCOIN_BUILD_DOCUMENTATION_MAN=TRUE \
       -DCOIN_THREADSAFE=ON \
       -DCOIN_BUILD_TESTS=FALSE \
       -DHAVE_MULTIPLE_VERSION=TRUE \
       -DUSE_EXTERNAL_EXPAT=TRUE
%cmake_build

%install
%cmake_install

cd %{buildroot}%{_mandir}
%{_bindir}/rename .3 .3coin4 man3/*
cd -

mv %{buildroot}%{_datadir}/Coin/conf %{buildroot}%{_datadir}/Coin4/conf

%files -n %{libname}
%license COPYING
%{_libdir}/*.so.%{major}{,.*}

%files -n %{libnamedev}
%doc README.md FAQ AUTHORS NEWS RELNOTES THANKS
%{_docdir}/Coin4/
%{_bindir}/%{name}-config
%{_libdir}/*.so
%{_includedir}/*
%{_datadir}/Coin4/
%{_mandir}/man3/*
%{_libdir}/cmake/%{tarname}-%{version}/
%{_libdir}/pkgconfig/*.pc
