Name:          cojen
Version:       2.0
Release:       %mkrel 1
Summary:       Cojen - Java bytecode generator
Group:         Development/Java
License:       ASL
Url:           https://cojen.sourceforge.net/
# svn co https://cojen.svn.sourceforge.net/svnroot/cojen/tags/Cojen-2.0.0 cojen-2.0.0
# tar czf cojen-2.0.0-src-svn.tar.gz cojen-2.0.0
Source0:       cojen-2.0.0-src-svn.tar.gz
BuildRequires: java-devel
BuildRequires: junit
BuildRequires: jpackage-utils
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-jxr
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-surefire-provider-junit
Requires:      jpackage-utils
BuildArch:     noarch

%description
Dynamic Java bytecode generation and disassembly tools.
A builder allows code to be generated more easily,
instead of having to select exact instructions.
Utility classes are provided which demonstrate the
code generator and loader.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
Cojen - Java bytecode generator.

This package contains javadoc for %{name}.

%prep
%setup -q -n cojen-%{version}.0

for j in $(find . -name "*.jar"); do
  mv $j ${j}.no
done

sed -i 's/\r//g' LICENSE.txt RELEASE-NOTES.txt

%build

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository

mvn-jpp \
  -e \
  -Dmaven2.jpp.mode=true \
  -Dmaven.test.skip=true \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
  install javadoc:javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/cojen-%{version}.jar \
  %{buildroot}%{_javadir}/

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-cojen.pom
%add_to_maven_depmap org.cojen cojen %{version} JPP cojen

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/cojen-%{version}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/cojen-%{version}
ln -s cojen-%{version} %{buildroot}%{_javadocdir}/cojen

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/cojen-%{version}.jar
%{_javadir}/cojen.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt RELEASE-NOTES.txt

%files javadoc
%{_javadocdir}/cojen-%{version}
%{_javadocdir}/cojen

