Name:           colobot
Version:        0.2.2
Release:        %mkrel 2
Summary:        A real-time strategy game with programmable bots
Group:          Games/Strategy
License:        GPLv3+
Url:            https://colobot.info/
Source0:        https://github.com/colobot/colobot/archive/colobot-gold-%{version}-alpha.tar.gz
BuildRequires:  ninja
BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  doxygen
BuildRequires:  gettext
BuildRequires:  xmlstarlet
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(physfs)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_ttf)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  po4a
Requires:       %{name}-data >= %{version}

%description
Colobot is a real-time strategy game. In a way. But it isn't.

Unlike most RTS games, Colobot does not require tactics, but it does require
thinking. Another difference would be the fact that you do not control
the game from a 'god' camera, seeing everything from up top, but you have
to control each unit individually. This could potentially cause the problem
of not being able to control two units at once, yet this is when another
twist comes in: Colobot actually has its own interpretation of robot
programming, which is done fully by the player, together with a few hints
and tips from the trusty SatCom.

But then, you can play the game without programming the robots if you want.
This is all up to you!

%prep
%autosetup -p1 -n %{name}-colobot-gold-%{version}-alpha

%build
%cmake -GNinja \
       -DCOLOBOT_INSTALL_LIB_DIR:PATH=%{_libdir}/%{name} \
       -DCOLOBOT_INSTALL_DATA_DIR:PATH=%{_gamesdatadir}/%{name}
%cmake_build

%install
%cmake_install

%find_lang %{name}

desktop-file-edit %{buildroot}%{_datadir}/applications/%{name}.desktop \
  --remove-category=AdventureGame \
  --remove-category=Robotics

%files -f %{name}.lang
%doc LICENSE.txt README.md
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/shaders/
%{_libdir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/info.%{name}.Colobot.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man6/%{name}.6*
%{_mandir}/*/man6/%{name}.6*
