%define major		1
%define gi_major	1.0
%define libname		%mklibname colord-gtk %major
%define develname	%mklibname colord-gtk -d
%define girname		%mklibname colord-gtk-gir %gi_major

%define libname4	%mklibname colord-gtk4_ %major
%define develname4	%mklibname colord-gtk4 -d

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		colord-gtk
Version:	0.3.1
Release:	%mkrel 1
Summary:	Library for the colord-gtk protocol
Group:		System/Libraries
License:	LGPLv2+
URL:		https://www.freedesktop.org/software/colord/
Source0:	https://www.freedesktop.org/software/colord/releases/%{name}-%{version}.tar.xz

BuildRequires:	colord-devel >= 0.1.23
BuildRequires:	docbook5-style-xsl
BuildRequires:	gettext >= 0.19.8
BuildRequires:	glib2-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	gtk-doc
BuildRequires:	gtk3-devel
BuildRequires:	gtk4-devel
BuildRequires:	lcms2-devel >= 2.2
BuildRequires:	meson
BuildRequires:	vala-tools
Provides:       %{name}-i18n = %version-%release
Obsoletes:      %{name}-i18n < %version-%release

%description
colord-gtk is a support library for colord and provides additional
functionality that requires GTK+.

%package -n %{libname}
Summary:	Library for the colord-gtk protocol
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
colord-gtk is a support library for colord and provides additional
functionality that requires GTK+.


%package -n %develname
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains libraries and header files for
developing applications that use %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for colord-gtk
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

# duplicate/identical with this one, so not needed
Obsoletes:	%{_lib}colord-gtk-gir4.0 < 0.3.0-2

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{libname4}
Summary:	Library for the colord-gtk protocol
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

# wrong name, missing the major lib
Obsoletes:	%{_lib}colord-gtk4 < 0.3.0-2

%description -n %{libname4}
colord-gtk is a support library for colord and provides additional
functionality that requires GTK+.


%package -n %develname4
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname4} = %{version}-%{release}
Provides:	%{name}4-devel = %{version}-%{release}
Provides:	lib%{name}4-devel = %{version}-%{release}
Requires:       %{develname}%{?_isa} = %{version}-%{release}

%description -n %{develname4}
This package contains libraries and header files for
developing applications that use %{name} for GTK 4.

%prep
%autosetup -p1

%build
%meson -Ddocs=true -Dgtk2=false -Dman=true -Dtests=false -Dvapi=true
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%doc README AUTHORS NEWS COPYING
%{_bindir}/*
%{_mandir}/man1/*.1*

%files -n %{libname}
%{_libdir}/libcolord-gtk.so.%{major}{,.*}

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/colord-gtk
%{_libdir}/libcolord-gtk.so
%{_libdir}/pkgconfig/colord-gtk.pc
%{_includedir}/colord-1/colord-gtk.h
%{_includedir}/colord-1/colord-gtk/
%{_datadir}/gir-1.0/ColordGtk-1.0.gir
%{_datadir}/vala/vapi/colord-gtk.vapi
%{_datadir}/vala/vapi/colord-gtk.deps

%files -n %{girname}
%{_libdir}/girepository-1.0/ColordGtk-%{gi_major}.typelib

%files -n %{libname4}
%{_libdir}/libcolord-gtk4.so.%{major}{,.*}

%files -n %{develname4}
%{_libdir}/libcolord-gtk4.so
%{_libdir}/pkgconfig/colord-gtk4.pc
# Requires the base -devel package for headers. No GTK 4 .gir nor VAPI yet.
