#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:		colord-kde
Version: 25.04.0
Release:	%mkrel %{rel}
Summary:	Interfaces and session daemon to colord for Plasma
Group:		Graphical desktop/KDE
License:	GPLv2+
URL:		https://invent.kde.org/graphics/colord-kde
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Widgets)

BuildRequires:	cmake(KF6ConfigWidgets)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6DBusAddons)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6KCMUtils)
BuildRequires:	cmake(KF6WidgetsAddons)
BuildRequires:	cmake(KF6WindowSystem)
BuildRequires:	cmake(KF6ItemModels)

BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(lcms2)

# colord is a dbus daemon
Requires:	colord
Requires:	systemsettings

%description
Interfaces and session daemon to colord for Plasma.


%files -f %{name}.lang
%doc MAINTAINERS TODO
%license COPYING
%{_kf6_bindir}/colord-kde-icc-importer
%{_qt6_plugindir}/plasma/kcms/systemsettings/kcm_colord.so
%{_kf6_plugindir}/kded/colord.so
%{_kf6_applicationsdir}/colordkdeiccimporter.desktop
%{_kf6_applicationsdir}/kcm_colord.desktop

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}
