%define _disable_ld_no_undefined	1

%define _icccolordir    %{_datadir}/color/icc

%define major		2
%define gir_major	1.0
%define libname		%mklibname %{name} %{major}
%define devname		%mklibname %{name} -d
%define girname		%mklibname %{name}-gir %{gir_major}

Summary:	Color daemon
Group:		Graphical desktop/GNOME
Name:		colord
Version:	1.4.7
Release:	%mkrel 3
License:	GPLv2+ and LGPLv2+
URL:		https://www.freedesktop.org/software/colord/
Source0:	https://www.freedesktop.org/software/colord/releases/%{name}-%{version}.tar.xz
Patch0:		0001-Fix-writing-to-the-database-with-ProtectSystem-stric.patch
# Fix colord-sane with hplip (mga#33876)
Patch1:		0001-Fix-USB-scanners-not-working-with-RestrictAddressFamilies.patch
BuildRequires:	pkgconfig(bash-completion) >= 2.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gio-2.0) >= 2.25.9
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(gusb)
BuildRequires:	pkgconfig(libusb-1.0) >= 1.0.0
BuildRequires:	pkgconfig(polkit-gobject-1) >= 0.103
BuildRequires:	pkgconfig(sane-backends)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	gettext
BuildRequires:	libxslt-proc
BuildRequires:	docbook5-style-xsl
BuildRequires:	vala-tools
BuildRequires:	locales
BuildRequires:	meson

Requires(pre):		rpm-helper >= %{rpmhelper_required_version}
Requires(post):		rpm-helper >= %{rpmhelper_required_version}
Requires(preun):	rpm-helper >= %{rpmhelper_required_version}
Requires(postun):	rpm-helper >= %{rpmhelper_required_version}
Obsoletes:		shared-color-profiles < 0.1.5-3
Provides:		shared-color-profiles

%description
colord is a low level system activated daemon that maps color devices
to color profiles in the system context.

%package extra-profiles
Summary:	More color profiles for color management that are less commonly used
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

# obsolete separate profiles package
Obsoletes:	shared-color-profiles-extra < 0.1.5-3
Provides:	shared-color-profiles-extra

%description extra-profiles
More color profiles for color management that are less commonly used.
This may be useful for CMYK soft-proofing or for extra device support.

%package -n %{libname}
Summary:	Color daemon run-time libraries
Group:		System/Libraries

%description -n %{libname}
colord is a low level system activated daemon that maps color devices
to color profiles in the system context.

This package contains the run-time libraries for %{name}.

%package -n %{devname}
Summary:	Development files and headers for %{name}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
colord is a low level system activated daemon that maps color devices
to color profiles in the system context.

This package contains the development files and headers for %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%autosetup -p1

%build
# Set ~2 GiB limit so that colprof is forced to work in chunks when
# generating the print profile rather than trying to allocate a 3.1 GiB
# chunk of RAM to put the entire B-to-A tables in.
ulimit -Sv 2000000
%meson \
	-Dvapi=true \
	-Dsane=true \
	-Dprint_profiles=false \
	-Dlibcolordcompat=true \
	-Ddaemon_user=colord

%meson_build

%install
%meson_install

# databases
touch %{buildroot}%{_localstatedir}/lib/colord/mapping.db
touch %{buildroot}%{_localstatedir}/lib/colord/storage.db

%find_lang %{name}

%pre
%_pre_useradd %{name} %{_localstatedir}/lib/colord %{_sbindir}/nologin

%post
if [ -f %{_localstatedir}/lib/colord/mapping.db ]; then
        if [ ! $(stat -c %U %{_localstatedir}/lib/colord/mapping.db) == "colord" ];then
                chown colord: %{_localstatedir}/lib/colord/*.db
       	fi
fi

%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files -f %{name}.lang
%doc README.md AUTHORS NEWS MAINTAINERS
%license COPYING
%{_datadir}/dbus-1/interfaces/org.freedesktop.ColorHelper.xml
%{_datadir}/dbus-1/services/org.freedesktop.ColorHelper.service
%{_datadir}/bash-completion/completions/colormgr
%{_bindir}/cd-create-profile
%{_bindir}/cd-fix-profile
%{_bindir}/cd-iccdump
%{_bindir}/colormgr
%{_bindir}/cd-it8
%{_libexecdir}/colord
%{_libdir}/colord-sensors
%{_libexecdir}/colord-sane
%{_libexecdir}/colord-session
%{_unitdir}/colord.service
%{_udevrulesdir}/*.rules
%{_tmpfilesdir}/colord.conf
%{_datadir}/%{name}/
%{_datadir}/dbus-1/interfaces/org.freedesktop.ColorManager*.xml
%{_datadir}/dbus-1/system.d/org.freedesktop.ColorManager.conf
%{_datadir}/dbus-1/system-services/org.freedesktop.ColorManager.service
%{_userunitdir}/colord-session.service
%{_datadir}/polkit-1/actions/org.freedesktop.color.policy
%attr(755,colord,colord) %dir %{_localstatedir}/lib/colord
%attr(-,colord,colord) %ghost %{_localstatedir}/lib/colord/*.db
%{_mandir}/man1/cd-create-profile.1.*
%{_mandir}/man1/cd-fix-profile.1.*
%{_mandir}/man1/colormgr.1.*
%{_mandir}/man1/cd-it8.1.*
%{_datadir}/glib-2.0/schemas/org.freedesktop.ColorHelper.gschema.xml
%{_libdir}/%{name}-plugins/
%{_libdir}/libcolordcompat.so

# common colorspaces
%dir %{_icccolordir}/colord
%{_icccolordir}/colord/AdobeRGB1998.icc
%{_icccolordir}/colord/ProPhotoRGB.icc
%{_icccolordir}/colord/Rec709.icc
%{_icccolordir}/colord/SMPTE-C-RGB.icc
%{_icccolordir}/colord/sRGB.icc

# monitor test profiles
%{_icccolordir}/colord/Bluish.icc

# named color profiles
%{_icccolordir}/colord/x11-colors.icc

%files extra-profiles
# other colorspaces not often used
%{_icccolordir}/colord/AppleRGB.icc
%{_icccolordir}/colord/BestRGB.icc
%{_icccolordir}/colord/BetaRGB.icc
%{_icccolordir}/colord/BruceRGB.icc
%{_icccolordir}/colord/CIE-RGB.icc
%{_icccolordir}/colord/ColorMatchRGB.icc
%{_icccolordir}/colord/DonRGB4.icc
%{_icccolordir}/colord/ECI-RGBv1.icc
%{_icccolordir}/colord/ECI-RGBv2.icc
%{_icccolordir}/colord/EktaSpacePS5.icc
%{_icccolordir}/colord/Gamma*.icc
%{_icccolordir}/colord/NTSC-RGB.icc
%{_icccolordir}/colord/PAL-RGB.icc
%{_icccolordir}/colord/SwappedRedAndGreen.icc
%{_icccolordir}/colord/WideGamutRGB.icc

# other named color profiles not generally useful
%{_icccolordir}/colord/Crayons.icc

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}
%{_libdir}/lib%{name}private.so.%{major}{,.*}
%{_libdir}/libcolorhug.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Colord-%{gir_major}.typelib
%{_libdir}/girepository-1.0/Colorhug-%{gir_major}.typelib

%files -n %{devname}
%{_includedir}/%{name}-1
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}private.so
%{_libdir}/libcolorhug.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/colorhug.pc
%{_datadir}/gir-1.0/Colord-%{gir_major}.gir
%{_datadir}/gir-1.0/Colorhug-%{gir_major}.gir
%{_datadir}/vala/vapi/colord.vapi
%{_datadir}/vala/vapi/colord.deps
%dir %{_datadir}/gtk-doc/html/colord
%{_datadir}/gtk-doc/html/colord/*
