Summary: GCC output colorizer
Name: colorgcc
Version: 1.4.5
Release: %mkrel 6
Source0: https://github.com/colorgcc/colorgcc/archive/%{version}.tar.gz
Patch0: colorgcc-1.4.5-mgaconf.patch
Patch1: colorgcc-1.4.5-handle-translated-output.patch
License: GPL
Group: Development/C
Url: https://www.schlueters.de/colorgcc.html
Requires: gcc
Provides: gcc-colorgcc <= 4.2.1
BuildArch: noarch

%description
ColorGCC is a Perl wrapper to colorize the output of compilers with
warning and error messages matching the GCC output format.

This package is configured to run with the associated system compiler. If you
want to use it for another compiler (e.g. gcc 2.96), you may have to define
gccVersion: 2.96 and uncomment the respective compiler paths in
%{_sysconfdir}/colorgccrc for a system-wide effect, or in ~/.colorgccrc for
your user only.

%prep
%setup -q
mv ./colorgccrc.txt ./colorgccrc
%patch -P 0 -p1 -b .mgaconf
%patch -P 1 -p1 -b .i18n

cat <<'EOF' > colorgcc.sh
case ":${PATH}:" in
    :: )
	PATH=%{_datadir}/%{name}
	export PATH
    ;;
    *:%{_datadir}/%{name}:* )
	: Already set
    ;;
    * )
	PATH=%{_datadir}/%{name}:$PATH
	export PATH
    ;;
esac
EOF

cat <<'EOF' > colorgcc.csh
if ( $?PATH ) then
    switch (:${PATH}:)
	case *":%{_datadir}/%{name}:"* :
		breaksw
	default :
		setenv PATH %{_datadir}/%{name}:$PATH
		breaksw
	endsw
else
   setenv PATH %{_datadir}/%{name}
endif
EOF

%build

%install
install -D -m 755 colorgcc.pl  %{buildroot}%{_bindir}/colorgcc
install -D -m 644 colorgccrc   %{buildroot}%{_sysconfdir}/colorgccrc
install -D -m 644 colorgcc.sh  %{buildroot}%{_sysconfdir}/profile.d/20colorgcc.sh
install -D -m 644 colorgcc.csh %{buildroot}%{_sysconfdir}/profile.d/20colorgcc.csh
# nb: prefixing colorgcc.sh by "20" so that it is sourced before 80icecream.sh

install -d %{buildroot}%{_datadir}/%{name}
ln -s ../../bin/colorgcc %{buildroot}%{_datadir}/%{name}/colorgcc
for i in gcc cc g++ c++ ccache gfortran g77 f77 gcj; do
    ln -s colorgcc %{buildroot}%{_datadir}/%{name}/$i
done

%files
%doc README
%config(noreplace) %{_sysconfdir}/colorgccrc
%{_sysconfdir}/profile.d/*
%{_bindir}/colorgcc
%{_datadir}/colorgcc/
