Name:          colt
Version:       1.2.0
Release:       %mkrel 7
Summary:       Open Source Libraries for High Performance Scientific and Technical Computing in Java
Group:         Development/Java
License:       LGPL, X11
Url:           https://dst.lbl.gov/ACSSoftware/colt/
Source0:       https://dst.lbl.gov/ACSSoftware/colt/colt-download/releases/colt-%{version}.tar.gz
Source1:       colt-%{version}.build.xml
Source2:       https://repo1.maven.org/maven2/colt/colt/%{version}/colt-%{version}.pom

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: concurrent
BuildRequires: concurrent-javadoc
BuildRequires: corejava-format
BuildRequires: corejava-format-javadoc
BuildRequires: java-javadoc

Requires:      concurrent

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Colt provides a set of open-source libraries for high performance scientific
and technical computing in Java.

%package javadoc
Summary:       Javadoc for %{name}
Group:         Development/Java

%description javadoc
Javadoc for %{name}.

%package hep
Summary:       Compact, extensible, modular and performant histogramming functionality
Group:         Development/Java
Requires:      %{name} = %{version}

%description hep
This package contains compact, extensible, modular and
performant histogramming functionality, from the COLT distribution.

%package hep-javadoc
Summary:       Javadoc for %{name}-hep
Group:         Development/Java

%description hep-javadoc
Javadoc for %{name}-hep.

%prep
%setup -q -n %{name}
cp %{SOURCE1} build.xml

for i in `find -name "*.java"`
do
        native2ascii -encoding UTF8 $i $i
done

%build
export CLASSPATH=$(build-classpath corejava-format concurrent)
ant \
  -Dversion=%{version} \
  -Dj2se.apiurl=%{_javadocdir}/java \
  -Dconcurrent.apiurl=%{_javadocdir}/concurrent \
  -Dcorejava-format.apiurl=%{_javadocdir}/corejava-format \
  jars javadoc

%install
mkdir -p %{buildroot}%{_javadir}
install -pm 644 %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
install -pm 644 %{name}-hep-%{version}.jar %{buildroot}%{_javadir}/%{name}-hep.jar

mkdir -p  %{buildroot}%{_mavenpomdir}
cp -p %SOURCE2 %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr docs-%{name}/* %{buildroot}%{_javadocdir}/%{name}
mkdir -p %{buildroot}%{_javadocdir}/%{name}-hep
cp -pr docs-%{name}-hep/* %{buildroot}%{_javadocdir}/%{name}-hep

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc README.html

%files javadoc
%{_javadocdir}/%{name}

%files hep
%{_javadir}/%{name}-hep.jar

%files hep-javadoc
%{_javadocdir}/%{name}-hep
