Name:		commit-patch
Version:	2.6
Release:	%mkrel 3
Summary:	A utility that lets you check select portions of a file into a VCS
License:	GPLv2
URL:		https://porkrind.org/commit-patch/
Group:		Development/Tools
Source:		https://porkrind.org/commit-patch/%{name}-%{version}.tar.gz
BuildArch:	noarch

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Win32|anonymous|temporary|that

%description
Jim Radford and David Caldwell wrote a neat little utility that lets you check
in select portions of a file into Darcs, Git, CVS, Subversion, or Mercurial. It
comes as a command line app and also and emacs interface.

A blog entry (https://porkrind.org/missives/commit-patch-managing-your-mess)
about commit-patch provides some detailed information on why you might want to
use commit-patch.

commit-patch and commit-partial can make committing partial changes easier with:
-darcs
-git
-mercurial
-cvs
-svn

commit-patch-buffer.el is an emacs interface to commit-patch. It allows you to
just hit C-c C-c in any patch buffer to apply and commit only the changes
indicated by the patch, regardless of the changes in your working directory. 

%prep
%setup -q

%install
install -d %{buildroot}/%{_bindir} %{buildroot}/%{_mandir}/man1/ %{buildroot}/%{_datadir}/emacs/site-lisp
install -m 755 %{name} %{buildroot}/%{_bindir}
install -m 644 %{name}.1 %{buildroot}/%{_mandir}/man1/
install -m 644 *.el %{buildroot}/%{_datadir}/emacs/site-lisp/
ln -s %{name} %{buildroot}/%{_bindir}/commit-partial
ln -s %{name}.1.%{_extension} %{buildroot}/%{_mandir}/man1/%{name}.1.%{_extension}

%files
%{_bindir}/commit-*
%{_mandir}/man1/commit-*.*
%{_datadir}/emacs/site-lisp/%{name}*.el
