%define api        1.8
%define major      0
%define libname    %mklibname %{name}2_ %{api} %{major}
%define libnamedev %mklibname %{name} -d


Summary:        A GNU package for creating portable C++ programs
Name:           commoncpp
Version:        1.8.1
Release:        %mkrel 19
Group:          Development/C++
# Library is GPLv2+ with exceptions
License:        GPLv2+ with exceptions
URL:            https://www.gnutelephony.org/
Source:         https://ftp.gnu.org/gnu/commoncpp/commoncpp2-%{version}.tar.gz
Patch0:         applog_pipe.patch
Patch1:         applog_pipe_fixing.patch
Patch2:         commoncpp2-gcc9.patch
Patch3:         commoncpp2_sizeof.patch
Patch4:         commoncpp2-autoconf.patch
Patch5:         commoncpp2-autoconf-vol2.patch
Patch6:         commoncpp2-1.8.1-mga-exceptions.patch
Patch7:         commoncpp2-1.8.1-mga-tests.patch
BuildRequires:  doxygen
BuildRequires:  glibc-static-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig(cppunit)
BuildRequires:  pkgconfig(zlib)

%description
Common C++2 is a GNU package which offers portable "abstraction" of system
services such as threads, networks, and sockets. Common C++ also offers
individual frameworks generally useful to developing portable C++ applications
including a object persistence engine, math libraries, threading, sockets, etc.

Common C++2 is small, and highly portable. Common C++ will support most Unix
operating systems as well as Win32, in addition to GNU/Linux.

%package -n %libname
Summary:        A GNU package for creating portable C++ program
Group:          System/Libraries

Obsoletes:      %{_lib}commoncpp2_1.8 < 1.8.1-14

%description -n %libname
Common C++2 is a GNU package which offers portable "abstraction" of system
services such as threads, networks, and sockets. Common C++ also offers
individual frameworks generally useful to developing portable C++ applications
including a object persistence engine, math libraries, threading, sockets, etc.

Common C++2 is small, and highly portable. Common C++ will support most Unix
operating systems as well as Win32, in addition to GNU/Linux.

This package contains the shared library part of CommonC++.

%package -n %libnamedev
Summary:        A GNU package for creating portable C++ program
Group:          Development/C++
Requires:       %libname = %{version}-%{release}
Provides:       %{name}2-devel = %{version}-%{release}
Provides:       lib%{name}2-devel = %{version}-%{release}
Provides:       libcommoncpp-devel = %{version}-%{release}
Requires:       libxml2-devel

%description -n %libnamedev
Common C++ is a GNU package which offers portable "abstraction" of system
services such as threads, networks, and sockets. Common C++ also offers
individual frameworks generally useful to developing portable C++ applications
including a object persistence engine, math libraries, threading, sockets, etc.

Common C++ is small, and highly portable. Common C++ will support most Unix
operating systems as well as Win32, in addition to GNU/Linux.

This package contains the development files and documentation needed to build
programs with CommonC++.

%prep
%setup -q -n commoncpp2-%{version}
%patch -P 0 -p0 -b .missing_include
%patch -P 1 -p0 -b .pipe_flush
%patch -P 2 -p1 -b .gcc9
%patch -P 3 -p1 -b .sizeoff
%patch -P 4 -p1 -b .autoconf
%patch -P 5 -p1 -b .autoconf_vol2
%patch -P 6 -p1
%patch -P 7 -p1

# fix build with new automake 1.13
sed -i \
  -e 's,AM_CONFIG_HEADER(\(.*\)),AC_CONFIG_HEADERS([\1]),g' \
  -e 's,AM_PROG_LIBTOOL,LT_INIT,g' \
  configure.ac

%build
autoreconf -vfi
%configure --disable-static --with-cppunit
%__make LIBTOOL=%_bindir/libtool
%make_build -C tests

%install
%make_install LIBTOOL=%_bindir/libtool

%multiarch_binaries %buildroot%_bindir/ccgnu2-config

# we don't want these
find %{buildroot} -name '*.a' -delete
find %{buildroot} -name '*.la' -delete

%check
cd tests 
./test.sh

%files -n %libname
%_libdir/lib*-%{api}.so.%{major}{,.*}

%files -n %libnamedev
%doc AUTHORS NEWS README TODO THANKS ChangeLog doc/html
%license COPYING COPYING.addendum
%_bindir/*/ccgnu2-config
%_bindir/ccgnu2-config
%_datadir/aclocal/*
%_infodir/*
%_libdir/*.so
%_includedir/cc++/
%_libdir/pkgconfig/*.pc
