%define oname communi-desktop

Name:           communi
Version:        3.6.0
Release:        %mkrel 1
Summary:        A simple and elegant cross-platform IRC client for desktop platforms
Group:          Networking/IRC
License:        BSD
URL:            https://communi.github.io
# From https://github.com/communi/communi-desktop with submodules
Source0:        %{oname}-%{version}.tar.xz
Patch0:         communi-desktop-3.4.0-gnome-plugin-x11.patch
Patch1:         0001-Change-default-irc-server-from-freenode-to-Libera-Chat.patch

BuildRequires:  chrpath
BuildRequires:  libcommuni-devel >= %{version}
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)

%description
Communi provides a set of tools for enabling IRC connectivity in Qt-based C++ and QML applications.
See the online reference documentation for help with getting started: https://communi.github.io/doc

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

%build
%qmake_qt5 COMMUNI_INSTALL_LIBS=%{_libdir}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

find %{buildroot} -name '*.so' -delete

chrpath -d %{buildroot}%{_bindir}/communi

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/themes/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_libdir}/libCommuni.so.1{,.*}
%{_qt5_plugindir}/%{name}/
