%define major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Image from/to X-Face conversion utilities
Name:		compface
Version:	1.5.2
Release:	%mkrel 20
License:	MIT
Group:		Graphics/Editors and Converters
URL:		http://freecode.com/projects/compface
Source0:	http://ftp.xemacs.org/pub/xemacs/aux/compface-%{version}.tar.gz
# originally from https://ftp.debian.org/debian/pool/main/libc/libcompface/libcompface_1.5.2-5.diff.gz
Patch0:         libcompface_1.5.2-5.diff
Patch2:         compface-1.5.2-build.patch
Patch3:         compface-c99.patch
Patch4:         compface-configure-c99.patch

%description
Compface provides utilities to convert from/to X-Face format, a 48x48 bitmap
format used to carry thumbnails of email authors in a mail header.

%package -n	%{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n	%{libname}
Compface provides utilities to convert from/to X-Face format, a 48x48 bitmap
format used to carry thumbnails of email authors in a mail header.

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} >= %{version}
Obsoletes:	%{name}-devel < 1.5.2-3
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Compface provides utilities to convert from/to X-Face format, a 48x48 bitmap
format used to carry thumbnails of email authors in a mail header.

This package provides the development files for %{name}.

%prep
%setup -q
%patch -P 0 -p1
%patch -P 2 -p0
%patch -P 3 -p1
%patch -P 4 -p1

%build
CFLAGS="%{optflags} -fPIC" \
%configure
%make_build

%install
%make_install STRIP=/bin/true

%files
%doc README ChangeLog
%attr(0755,root,root) %{_bindir}/*
%{_mandir}/man1/compface.1*
%{_mandir}/man1/uncompface.1*

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/lib*.so
%{_includedir}/compface.h
%{_mandir}/man3/compface.3*
%{_mandir}/man3/uncompface.3*
