%define debug_package %{nil}

%define rname   compositing-wm
%define imgname mageia-top

Name:           %{rname}-common
Version:        2018.0
Release:        %mkrel 19
Summary:        Common tools for compositing window managers
Group:          System/X11
License:        GPLv2+
URL:            https://www.mandriva.com/
Source0:        %{rname}.xinit
Source1:        %{rname}.sysconfig
Source2:        %{rname}-start
Requires:       glxinfo
Requires:       xvinfo
Requires:       compiz-manager

%description
This package contains tools for compositing window managers, such as
Compiz. This includes X session scripts, configuration files and
images.

%prep
%setup -q -c -T

%install
install -D -m 0755 %SOURCE0 %{buildroot}%{_sysconfdir}/X11/xinit.d/40%{rname}
install -D -m 0644 %SOURCE1 %{buildroot}%{_sysconfdir}/sysconfig/%{rname}
install -D -m 0755 %SOURCE2 %{buildroot}%{_bindir}/%{rname}-start
perl -pi -e "s!__LIBDIR__!%{_libdir}!" %{buildroot}%{_bindir}/%{rname}-start


# And a default config to override some defaults
mkdir -p %{buildroot}%{_sysconfdir}/xdg/compiz
cat >%{buildroot}%{_sysconfdir}/xdg/compiz/compiz-manager <<EOF
# We start the decorator via compiz' decoration plugin so set it to "no" here.
START_DECORATOR="no"
EOF

%files
%{_sysconfdir}/X11/xinit.d/*
%config(noreplace) %{_sysconfdir}/sysconfig/%{rname}
%dir %{_sysconfdir}/xdg/compiz/
%config(noreplace) %{_sysconfdir}/xdg/compiz/compiz-manager
%{_bindir}/%{rname}-start
