Summary:	Logitech Harmony remote programmer GUI
Name:		congruity
Version:	21
Release:	%mkrel 3
License:	GPLv3+
URL:		https://congruity.sourceforge.net/
Source:		https://downloads.sourceforge.net/congruity/congruity-%{version}.tar.bz2
Group:		System/Kernel and hardware
BuildArch:	noarch
BuildRequires:	python3dist(setuptools)
Requires:	python3dist(libconcord)
Requires:	python3-suds
Requires:	python3dist(six)
Requires:	python3dist(wxpython)

%description
congruity is a GUI application for programming Logitech Harmony universal
remote controls. congruity builds upon the work of libconcord, which
provides the underlying communication.

congruity is configured to handle the configuration files downloaded
from the Logitech configuration website. After installing this package
you can just use the Logitech configuration website and congruity will
launch automatically when appropriate.

A tool called 'mhgui' is also included for configuring remotes that only
work through the myharmony.com website, which does not work with Linux.
This includes the Harmony 200 and Harmony 300. To use it, simply run
'mhgui' and follow the prompts.

%prep
%setup -q

# drop bundled egg-info
rm -rf congruity.egg-info/

%build
%py3_build

%install
%py3_install -- --skip-update-desktop-db

%files
%doc Changelog README.txt LICENSE.txt
%{_bindir}/%{name}
%{_bindir}/mhgui
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/mhgui.desktop
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/mhgui.1*
%{python3_sitelib}/congruity-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/congruity/
