%global build_no ~136~ubuntu16.04.1

Name:           conky-manager
Version:        2.4
Release:        %mkrel 5
Summary:        A simple GUI for managing Conky config files
Group:          Monitoring
License:        GPLv3+
Url:            https://launchpad.net/%{name}
Source0:        https://launchpad.net/~teejee2008/+archive/ppa/+files/%{name}_%{version}%{build_no}.tar.xz
Patch0:		conky-manager-desktopentry-fixer-and-arabizer.patch
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  vala
Requires:       conky
Requires:       lm_sensors
Requires:       hddtemp
Requires:       p7zip

%description
A simple GUI for managing Conky config files. Options for changing themes and
running Conky at startup build and packaged for fedora, more info
about the code, licence and credits at https://launchpad.net/conky-manager.

%prep
%setup -q -n %{name}-%{version}%{build_no}
%autopatch -p0

# Enable debugging information:
sed -i 's/valac/valac -g/g' src/makefile

%build
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}
%find_lang %name

%files -f %name.lang
%doc README AUTHORS TODO
%{_bindir}/conky-manager*
%{_datadir}/applications/conky-manager.desktop
%{_datadir}/appdata/conky-manager.appdata.xml
%{_datadir}/conky-manager/
%{_datadir}/pixmaps/conky-manager.png
