Name:		connman
Version:	1.43
Release:	%mkrel 1
Summary:	Connection Manager
Group:		Networking/Other
License:	GPLv2
URL:		https://01.org/connman
Source0:	https://www.kernel.org/pub/linux/network/connman/%{name}-%{version}.tar.xz
# Missing from source tarball
Source1:	libppp-compat.h
Source100:	README.urpmi
Patch101:	connman-1.21-fix-polkit-detection.patch
#(eatdirt): the tmpfile makes a symlink to /etc/resolv.conf, which
#after deinstallation of connman is dangling and breaks all the other
#network manager. We remove the creation of the symlink (connman should find
#its own resolv.conf in /var/run/connman)
Patch103:	connman-1.33-nosymlink-resolvconf.patch

BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(glib-2.0)
# for iptables-save check
BuildRequires:	iptables
BuildRequires:	pkgconfig(xtables)
BuildRequires:	openconnect
BuildRequires:	openvpn
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libmnl)
BuildRequires:	pkgconfig(openconnect)
BuildRequires:	pkgconfig(polkit-agent-1)
BuildRequires:	ppp-devel
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(udev)
BuildRequires:	vpnc
# for wpa_supplicant check
BuildRequires:  wpa_supplicant
Requires:	openvpn openconnect vpnc
Requires:	dbus
Requires:	wpa_supplicant >= 0.5.7
Requires:	bluez

Requires(post):   rpm-helper >= %{rpmhelper_required_version}
Requires(preun):  rpm-helper >= %{rpmhelper_required_version}

%description
Connection Manager provides a daemon for managing Internet connections
within embedded devices running the Linux operating system.

%package devel
Summary:	Development files for Connection Manager
Group:		Development/C
Requires:	%{name} >= %{version}

%description devel
connman-devel contains development files for use with connman.

%prep
%setup -q
%autopatch -p1

# Missing from source tarball
if [[ ! -f scripts/libppp-compat.h ]]; then
  install -Dpm644 %{SOURCE1} scripts/libppp-compat.h
fi

# README.urpmi
install -pm644 %{_sourcedir}/README.urpmi .

%build
autoreconf -fi
%configure	--disable-static \
		--enable-ethernet \
		--enable-wifi \
		--enable-bluetooth \
		--enable-datafiles \
		--enable-loopback \
		--enable-client \
		--enable-hh2serial-gps \
		--enable-openvpn \
		--enable-openconnect \
		--enable-vpnc \
		--enable-l2tp \
		--enable-iospm \
		--enable-tist \
		--enable-nmcompat \
		--enable-polkit \
		--enable-iwd \
		--runstatedir=%{_rundir}
%make_build

%install
%make_install

%__install -Dpm644 src/connman.service %{buildroot}%{_datadir}/dbus-1/system-services/org.moblin.connman.service

# we don't want these
find %{buildroot} -name "*.la" -delete

# (wally) don't enable connman by default as it can cause problems if
# networkmanager is also running. People wanting to test/use connman
# should stop/disable other network managers by themselves before enabling
# connman
#post
#_post_service %%{name}

%preun
%_preun_service %{name}
# this guy get started via bus and remains after deinstallation otherwise
%_preun_service %{name}-vpn

%files
%doc AUTHORS COPYING ChangeLog NEWS README
%doc README.urpmi
%{_bindir}/connmanctl
%{_sbindir}/*
%dir %{_libdir}/%{name}/scripts/
%{_libdir}/%{name}/scripts/libppp-plugin.so
%{_libdir}/%{name}/scripts/openvpn-script
%{_libdir}/%{name}/scripts/vpn-script
%dir %{_libdir}/%{name}/plugins/
%{_libdir}/%{name}/plugins/hh2serial-gps.so
%{_libdir}/%{name}/plugins/iospm.so
%{_libdir}/%{name}/plugins/tist.so
%dir %{_libdir}/%{name}/plugins-vpn/
%{_libdir}/%{name}/plugins-vpn/l2tp.so
%{_libdir}/%{name}/plugins-vpn/openconnect.so
%{_libdir}/%{name}/plugins-vpn/openvpn.so
%{_libdir}/%{name}/plugins-vpn/vpnc.so
%{_libdir}/%{name}/plugins-vpn/wireguard.so
# %%{_sysconfdir}/dbus-1/system.d/*.conf
%{_datadir}/dbus-1/system.d/*.conf
%{_datadir}/dbus-1/system-services/net.connman.vpn.service
%{_datadir}/dbus-1/system-services/org.moblin.connman.service
%{_datadir}/polkit-1/actions/net.%{name}.policy
%{_datadir}/polkit-1/actions/net.%{name}.vpn.policy
%{_unitdir}/%{name}.service
%{_unitdir}/%{name}-vpn.service
%{_unitdir}/%{name}-wait-online.service
%{_tmpfilesdir}/connman_resolvconf.conf
%{_mandir}/man1/connmanctl.1*
%{_mandir}/man5/%{name}*.conf.5*
%{_mandir}/man5/%{name}*.config.5*
%{_mandir}/man8/%{name}.8*
%{_mandir}/man8/%{name}-vpn.8*

%files devel
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
