Name:		console-setup
Version:	1.233
Release:	%mkrel 1
Summary:	Tools for configuring the console using X Window System key maps

Group:		System/Internationalization
# For a breakdown of the licensing, see COPYRIGHT, copyright, copyright.fonts and copyright.xkb
License:	GPLv2+ and MIT and Public Domain
URL:		https://packages.debian.org/cs/sid/console-setup
Source0:	https://ftp.debian.org/debian/pool/main/c/%{name}/%{name}_%{version}.tar.xz

# Fixes installing paths to Fedora style
Patch0:		console-setup-1.76-paths.patch
# Fixes FSF address, sent to upstream
Patch1:		console-setup-1.76-fsf-address.patch
# Removes Caps_Lock to CtrlL_Lock substitution
Patch2:		console-setup-1.84-ctrll-lock.patch

Requires:	kbd
# require 'xkeyboard-config' to have X Window keyboard descriptions?

BuildRequires:	perl
BuildRequires:	perl(encoding)
BuildArch:	noarch

%description
This package provides the console with the same keyboard configuration
scheme that X Window System has. Besides the keyboard, the package configures
also the font on the console.  It includes a rich collection of fonts and
supports several languages that would be otherwise unsupported on the console
(such as Armenian, Georgian, Lao and Thai).


%package -n bdf2psf
Summary:	Generate console fonts from BDF source fonts
Group:		System/Internationalization

%description -n bdf2psf
This package provides a command-line converter that can be used in scripts
to build console fonts from BDF sources automatically. The converter comes
with a collection of font encodings that cover many of the world's
languages. The output font can use a different character encoding from the
input. When the source font does not define a glyph for a particular
symbol in the encoding table, that glyph position in the console font is
not wasted but used for another symbol.


%prep
%autosetup -p1

cp -a --remove-destination debian/copyright COPYRIGHT
cp -a --remove-destination debian/changelog CHANGES


%build
make build-linux


%install
make prefix=%{buildroot} install-linux
# we don't want another set of keyboard descriptions, we want to use descriptions from
# xkeyboard-config (require it?), so removing it
# or maybe have these from tarball it in optional subpackage?
rm -rf %{buildroot}/etc/console-setup

mkdir -p %{buildroot}%{_bindir}
install -p Fonts/bdf2psf %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_datadir}/bdf2psf
cp -a Fonts/fontsets Fonts/*.equivalents Fonts/*.set %{buildroot}%{_datadir}/bdf2psf/

mkdir -p %{buildroot}%{_mandir}/man1
install -pm644 man/bdf2psf.1 %{buildroot}%{_mandir}/man1/

%files
%doc README COPYRIGHT CHANGES
%doc copyright.fonts copyright.xkb Fonts/copyright
%{_bindir}/ckbcomp
%{_bindir}/setupcon
%config(noreplace) %{_sysconfdir}/default/console-setup
%config(noreplace) %{_sysconfdir}/default/keyboard
%{_datadir}/consolefonts/
%{_datadir}/consoletrans/
%{_mandir}/*/*

%files -n bdf2psf
%license GPL-2
%{_bindir}/bdf2psf
%{_datadir}/bdf2psf/
%{_mandir}/man1/bdf2psf.1*
