%define upstream_name    Games-Construder
%define upstream_version 0.95

Name:       construder
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A 3D game written in Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://ue.o---o.eu/
Source0:    https://www.cpan.org/modules/by-module/Games/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Alien::SDL)
BuildRequires: perl(AnyEvent)
BuildRequires: perl(Compress::LZF)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir::Install)
BuildRequires: perl(File::ShareDir::PAR)
BuildRequires: perl(JSON)
BuildRequires: perl(Math::Trig)
BuildRequires: perl(Object::Event)
BuildRequires: perl(OpenGL)
BuildRequires: perl(OpenGL::List)
BuildRequires: perl(SDL)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More)
BuildRequires: perl(common::sense)
BuildRequires: perl-devel
BuildRequires: SDL-devel

%description
Construder is a 3D game written in Perl and C, featuring a dynamic
infinite world of cubes to explore and change. In an artificial infinite
structure the player has to gather resources for construction purposes
and his basic survival. It's 3D engine and basic game play is inspired
by Minecraft and Infiniminer.

The goal is to get 10,000,000 score points and get the "Construder"
rank. There are multiple ways to gain score points: building blocks in
the world (for example for your home base), constructing items (such as
teleporters for easier travel, message beacons for navigation or even
programmable robots - which you can program to help you building things
or gathering resources). Another way to earn many score points is to
finish construction assignments.

Dangers the player might run into are starvation, as all his actions
require biological energy and the randomly appearing robot drones, which
- on a task to cleanup the world - teleport the player far away. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc COPYING Changes TODO README META.yml
%{_bindir}/*
%{_mandir}/man3/*
%perl_vendorlib/*


