Summary:	A very flexible unit converter
Name:		convertall
Version:	0.8.0
Release:	%mkrel 3
License:	GPLv2+
Group:		Sciences/Mathematics
Url:		https://convertall.bellz.org/
Source0:	https://sourceforge.net/projects/convertall/files/%{version}/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
# from Debian
Source2:	%{name}.1
BuildRequires:	librsvg
BuildRequires:	python3-qt5-devel
Requires:	python3-qt5-core
Requires:	python3-qt5-gui
Requires:	python3-qt5-widgets
BuildArch:	noarch

%description
With ConvertAll, you can convert any unit in the large database to any other
compatible unit. If you want to convert from inches per decade, that's fine.
Or from meter-pounds. Or from cubic nautical miles. The units don't have to
make sense to anyone else.

%prep
%setup -qn ConvertAll

%build
# nothing

%install
%__python3 install.py \
	-p %{_prefix} \
	-b %{buildroot} \
	-i %{_datadir}/%{name}/icons \
	-d %{_docdir}/%{name}

# install menu entry
install -Dm 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop

# install menu icons
for s in 256 128 96 48 32 22 16 ; do
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/${s}x${s}/apps
rsvg-convert -w ${s} -h ${s} \
    icons/%{name}-icon.svg -o \
    %{buildroot}%{_iconsdir}/hicolor/${s}x${s}/apps/%{name}.png
done
mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps
install -m 0644 icons/%{name}-icon.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

# install man page
install -Dm 644 %{SOURCE2} %{buildroot}%{_mandir}/man1/%{name}.1

# remove unneeded files
rm -rf %{buildroot}%{_docdir}/%{name}/INSTALL
rm -rf %{buildroot}%{_docdir}/%{name}/LICENSE
rm -rf %{buildroot}%{_datadir}/%{name}/translations/*.ts
rm -rf %{buildroot}%{_datadir}/%{name}/%{name}.pro
rm -rf %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}-icon.svg

%files
%license doc/LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/*
%{_docdir}/%{name}
