%define _disable_ld_no_undefined 1

%define lib_major	1
%define lib_name	%mklibname Cw %lib_major
%define develname	%mklibname Cw -d

Summary: 	Full featured multiple window programmer's text editor
Name: 		cooledit
Version: 	4.1.2
Release: 	%mkrel 2
License: 	GPLv2+
Group: 		Editors
URL: 		https://github.com/paulsheer/cooledit
Source0:	ftp://ftp.ibiblio.org/pub/Linux/apps/editors/X/%{name}/%{name}-%{version}.tar.gz
Source1:	%{name}_48x48.xpm
Patch2:		cooledit-4.0.0-linking.patch
Patch3:		cooledit-4.0.0-python3.patch
ExclusiveArch:	%{ix86} x86_64
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xt)
BuildRequires:	python3
BuildRequires:	groff-for-man

%description 
Full-featured X Window text editor; multiple edit windows; 3D Motif-ish
look and feel; shift-arrow and mouse text highlighting; column text
highlighting and manipulation; color syntax highlighting for various
sources; built-in Python interpreter for macro program.; interactive
graphical debugger - interface to gdb; key for key undo; macro
recording; regular expression search and replace; pull-down menus; drag
and drop; interactive man page browser; run make and other shell
commands with seamless shell interface; redefine keys with an easy
interactive key learner; full support for proportional fonts;

%package -n %lib_name
Group:          Editors
Summary:        Shared library files for cooledit

%description -n %lib_name
Shared library files for cooledit.

%package -n %develname
Group:          Development/C
Summary:        Development files for cooledit
Requires:	%name = %version-%release
Requires:	%lib_name = %version-%release
Provides:	%{name}-devel = %version-%release

%description -n %develname
Files for development from the cooledit package.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure --program-prefix='' --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

# Mageia menu entries

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=CoolEdit
Comment=Programmer's text editor with Python and shell scripting hooks
Exec=%{name}
Icon=editors_section
Terminal=false
Type=Application
StartupNotify=true
Categories=TextEditor;Utility;
EOF

%files
%doc AUTHORS NEWS README TODO VERSION
%doc cooledit_16x16.xpm cooledit_32x32.xpm rxvt/README.rxvt
%license COPYING
%{_bindir}/*
%{_datadir}/cooledit/
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/*

%files -n %lib_name
%{_libdir}/*.so.%{lib_major}{,.*}

%files -n %develname
%{_libdir}/*.so
