Name:       copr-cli
Version:    2.0
Release:    %mkrel 2
Summary:    Command line interface for COPR

Group:      System/Packaging

License:    GPL-2.0-or-later
URL:        https://github.com/fedora-copr/copr

Source0:    %{pypi_source}

BuildArch:  noarch

Requires:      wget

BuildRequires: asciidoc
BuildRequires: xsltproc
BuildRequires: python3-devel
BuildRequires: python3dist(pytest)
BuildRequires: python3dist(responses)

Recommends:    python3-progress

%description
COPR is lightweight build system. It allows you to create new project in WebUI,
and submit new builds and COPR will create yum repository from latests builds.

This package contains command line interface.

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# convert manages
a2x -d manpage -f manpage man/copr-cli.1.asciidoc

%install
%pyproject_install
%pyproject_save_files copr_cli

ln -sf %{_bindir}/copr-cli %{buildroot}%{_bindir}/copr
install -d %{buildroot}%{_mandir}/man1
install -p -m 644 man/copr-cli.1 %{buildroot}/%{_mandir}/man1/
install -p man/copr.1 %{buildroot}/%{_mandir}/man1/
install -d %{buildroot}%{_datadir}/cheat
cp -a man/copr-cli.cheat %{buildroot}%{_datadir}/cheat/copr-cli
ln -s %{_datadir}/cheat/copr-cli %{buildroot}%{_datadir}/cheat/copr

%check
%pytest

%files -f %{pyproject_files}
%license LICENSE
%{_bindir}/copr
%{_bindir}/copr-cli
%{_mandir}/man1/copr-cli.1*
%{_mandir}/man1/copr.1*
%{_datadir}/cheat/copr-cli
%{_datadir}/cheat/copr
