%global _privatelibs libitem[\.]+so[.]+
%global __provides_exclude ^(%{_privatelibs})$
%global __requires_exclude ^(%{_privatelibs})$
%define aname CopyQ

Name:           copyq
Version:        10.0.0
Release:        %mkrel 1
Summary:        An advanced clipboard manager
License:        GPLv3
Group:          Text tools
URL:            https://github.com/hluk/CopyQ
Source0:        https://github.com/hluk/CopyQ/releases/download/v%{version}/%{aname}-%{version}.tar.gz
BuildRequires:  kf6-rpm-macros
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6StatusNotifierItem)
BuildRequires:  pkgconfig(Qt6Core)
BuildRequires:  pkgconfig(Qt6Svg)
BuildRequires:  pkgconfig(Qt6Help)
BuildRequires:  pkgconfig(Qt6Xml)
BuildRequires:  pkgconfig(Qt6Gui)
BuildRequires:  pkgconfig(Qt6Network)
BuildRequires:  pkgconfig(Qt6Qml)
BuildRequires:  pkgconfig(Qt6WaylandClient)
BuildRequires:  pkgconfig(Qt6Widgets)
BuildRequires:  pkgconfig(bash-completion)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xtst)

%description
CopyQ is advanced clipboard manager with searchable and editable history
with support for image formats, command line control and more.

%prep
%autosetup -p1 -n Copyq-%{version}

%build
%cmake_qt6 \
    -DPLUGIN_INSTALL_PREFIX=%{_libdir}/%{name}/plugins \
    -DWITH_QT6=ON
%cmake_build

%install
%cmake_install

# Add translation lang tags
(cd %{buildroot} && find . -name '*.qm') | sed -e 's|^.||' | sed -e \
    's:\(.*/translations/copyq_\)\([a-z_A-Z]\+\)\(.*qm$\):%lang(\2) \1\2\3:'\
        >> %{name}.lang

%files -f %{name}.lang
%doc AUTHORS CHANGES.md HACKING README.md
%{_bindir}/%{name}
%{_datadir}/applications/com.github.hluk.%{name}.desktop
%{_datadir}/bash-completion/completions/copyq
%{_metainfodir}/com.github.hluk.%{name}.appdata.xml
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/translations
%{_datadir}/%{name}/themes/
%{_libdir}/%{name}/
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man1/%{name}.1*
