# This package is really noarch, but it has to be installed in an arch-specific
# location, so we build it as an arch-specific package.
%define debug_package %{nil}
%define flocqdir %{_libdir}/ocaml/coq/user-contrib/Flocq
%define coqver 8.16.1

Name:           coq-flocq
Version:        4.1.0
Release:        %mkrel 2
Summary:        Formalization of floating point numbers for Coq

Group:          Sciences/Computer science
License:        LGPLv3+
URL:            https://flocq.gitlabpages.inria.fr/
Source0:        https://flocq.gitlabpages.inria.fr/releases/flocq-%{version}.tar.gz

BuildRequires:  coq => %{coqver}
Requires:       coq => %{coqver}

%description
Flocq (Floats for Coq) is a floating-point formalization for the Coq
system.  It provides a comprehensive library of theorems on a
multi-radix multi-precision arithmetic.  It also supports efficient
numerical computations inside Coq.

%prep
%autosetup -p1 -n flocq-%{version}

# Point to the local coqdoc files
sed -i 's,\(--coqlib \)[^[:blank:]]*,\1%{ocamldir}/coq,' Remakefile.in

%build
# We do NOT want to specify --libdir, and we don't need CFLAGS, etc.
./configure

./remake all doc

%install
DESTDIR="%{buildroot}" ./remake install
find "%{buildroot}%{flocqdir}" -name .coq-native -prune -exec rm -r {} +

%files
%doc AUTHORS COPYING NEWS.md README.md html
%dir %{flocqdir}
%{flocqdir}/*.v
%{flocqdir}/*.vo
%{flocqdir}/Calc/
%{flocqdir}/Core/
%{flocqdir}/IEEE754/
%{flocqdir}/Pff/
%{flocqdir}/Prop/
