%global uuid    org.%{name}.CoreCtrl

Name:           corectrl
Version:        1.4.3
Release:        %mkrel 3
Summary:        Friendly hardware control
Group:          System/Configuration
# The entire source code is GPLv3+ except bundled libs:
#                   3rdparty/units
# * Public Domain   FindBotan.cmake
License:        GPLv3+ and Boost and BSD and MIT and Public Domain
URL:            https://gitlab.com/corectrl/corectrl
Source0:        https://gitlab.com/corectrl/corectrl/-/archive/v%{version}/%{name}-v%{version}.tar.gz
Source1:        README.mageia.md

BuildRequires:  cmake
BuildRequires:  cmake(Qt5Charts)
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(QuaZip-Qt5)
# For experimental stdc++fs, not in shared lib.
BuildRequires:  libstdc++-static-devel
BuildRequires:  pkgconfig(botan-3)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(polkit-gobject-1)
BuildRequires:  pkgconfig(pugixml)
BuildRequires:  pkgconfig(spdlog)
BuildRequires:  pkgconfig(x11)
# for tests
BuildRequires:  cmake(Catch2)
#BuildRequires:  trompeloeil-devel

# * For pidof:
Requires:       procps-ng
# * For pci.ids
Requires:       hwdata

# Used to gather more information
# * For glxinfo
Recommends:     glxinfo

# * For lscpu
Recommends:     util-linux

# * For vulkaninfo
Recommends:     vulkan-tools

# https://gitlab.com/corectrl/corectrl/issues/13
Provides:       bundled(units)

%description
CoreCtrl is a Free and Open Source GNU/Linux application that allows you to
control with ease your computer hardware using application profiles. It aims to
be flexible, comfortable and accessible to regular users.

- For setup instructions run:

  xdg-open %{_docdir}/%{name}/README.mageia.md

- or go to the project wiki:

  https://gitlab.com/corectrl/corectrl/wikis


%prep
%autosetup -n %{name}-v%{version} -p1

# 'lib64' path fix
sed -e 's@DESTINATION lib@DESTINATION %{_lib}@g' -i src/CMakeLists.txt

# lib soversion fix
echo "set_property(TARGET corectrl_lib PROPERTY SOVERSION 0)" >> src/CMakeLists.txt


%build
%cmake -DBUILD_TESTING=OFF
%cmake_build


%install
%cmake_install

install -m 0644 -Dp %{SOURCE1} %{buildroot}%{_docdir}/%{name}/README.mageia.md

# Useless symlink without headers
rm -f %{buildroot}%{_libdir}/libcorectrl.so


%check
#make_build test -C build


%files
%license COPYING LICENSE
%doc README.md README.mageia.md
%{_bindir}/%{name}
%{_datadir}/applications/%{uuid}.desktop
%{_datadir}/dbus-1/system-services/org.%{name}.helper*.service
%{_datadir}/dbus-1/system.d/org.%{name}.helper*.conf
%{_datadir}/icons/hicolor/*/apps/%{name}.svg
%{_datadir}/polkit-1/actions/org.%{name}.helper*.policy
%{_libdir}/lib%{name}.so.0*
%{_libexecdir}/%{name}/%{name}_helper*
%{_metainfodir}/%{uuid}.appdata.xml
