# define alphatag svn1211
%define buildtrunk 0
%{?alphatag: %define buildtrunk 1}
%{?_with_buildtrunk: %define buildtrunk 1}

%define major		4
%define major5		5
%define major7		7
%define major8		8
%define libname_common	%mklibname corosync_common %{major}
%define libnamedevel	%mklibname corosync -d

%define libcfg		%mklibname cfg %{major7}
%define libname_cmap	%mklibname cmap %{major}
%define libname_cpg	%mklibname cpg %{major}
%define libname_sam	%mklibname sam %{major}
%define libquorum	%mklibname quorum %{major5}
%define libvotequorum	%mklibname votequorum %{major8}

Name:		corosync
Summary:	The Corosync Cluster Engine and Application Programming Interfaces
Version:	3.1.9
Release:	%mkrel 1
License:	BSD
Group:		System/Base
URL:		https://www.corosync.org/
Source0:	https://build.clusterlabs.org/corosync/releases/corosync-%{version}.tar.gz
Source1:	https://build.clusterlabs.org/corosync/releases/corosync-%{version}.sha256
Source2:	https://build.clusterlabs.org/corosync/releases/corosync-%{version}.sha256.asc
Patch0:		779.patch

BuildRequires:	groff
BuildRequires:	groff-for-man
BuildRequires:	pkgconfig(nss)
BuildRequires:	pkgconfig(libqb)
BuildRequires:	pkgconfig(libknet)
BuildRequires:	pkgconfig(libsystemd)

%description
This package contains the Corosync Cluster Engine Executive, several default
APIs and libraries, default configuration files, and an init script.

%package	-n %{libname_common}
Summary:	The Corosync Common Cluster Engine Libraries
Group:		System/Libraries

%description	-n %{libname_common}
This package contains corosync common libraries.

%package	-n %{libcfg}
Summary:	The Corosync Cfg Cluster Engine Libraries
Group:		System/Libraries

%description	-n %{libcfg}
This package contains corosync cfg libraries.

%package	-n %{libname_cmap}
Summary:	The Corosync Cmap Cluster Engine Libraries
Group:		System/Libraries

%description	-n %{libname_cmap}
This package contains corosync cmap libraries.

%package	-n %{libname_cpg}
Summary:	The Corosync Cpg Cluster Engine Libraries
Group:		System/Libraries

%description	-n %{libname_cpg}
This package contains corosync cpg libraries.

%package	-n %{libname_sam}
Summary:	The Corosync Sam Cluster Engine Libraries
Group:		System/Libraries

%description	-n %{libname_sam}
This package contains corosync sam libraries.

%package	-n %{libquorum}
Summary:	The Corosync Quorum Cluster Engine Libraries
Group:		System/Libraries

%description	-n %{libquorum}
This package contains corosync quorum libraries.

%package	-n %{libvotequorum}
Summary:	The Corosync Vote Quorum Cluster Engine Libraries
Group:		System/Libraries

%description	-n %{libvotequorum}
This package contains corosync votequorum libraries.

%package	-n %{libnamedevel}
Summary:	The Corosync Cluster Engine Development Kit
Group:		Development/C
Requires:	%{libname_common} = %{version}-%{release}
Requires:	%{libcfg} = %{version}-%{release}
Requires:	%{libname_cmap} = %{version}-%{release}
Requires:	%{libname_cpg} = %{version}-%{release}
Requires:	%{libname_sam} = %{version}-%{release}
Requires:	%{libquorum} = %{version}-%{release}
Requires:	%{libvotequorum} = %{version}-%{release}
Provides:	corosync-devel = %{version}-%{release}
Provides:	corosynclibs-devel = %{version}-%{release}

%description	-n %{libnamedevel}
This package contains include files and man pages used to develop using
The Corosync Cluster Engine APIs.

%prep
%autosetup -n corosync-%{version} -p1

%build
%configure \
  --disable-static \
  --enable-systemd \
  --with-systemddir=%{_unitdir}
%make_build

%install
%make_install

## tree fixup
# drop static libs
find %{buildroot} -name '*.la' -delete

# drop docs and html docs for now
rm -rf %{buildroot}%{_docdir}/*

#add logs directory
install -d %{buildroot}/var/log/%{name}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
[ "$1" -ge "1" ] && /sbin/service corosync condrestart &>/dev/null || :

%files
%license LICENSE
%doc README*
%{_sbindir}/corosync*
%{_bindir}/corosync*
%{_sysconfdir}/logrotate.d/corosync
%dir %{_sysconfdir}/corosync
%dir %{_sysconfdir}/corosync/service.d
%dir %{_sysconfdir}/corosync/uidgid.d
%config(noreplace) %{_sysconfdir}/corosync/corosync.conf.example
%dir %{_localstatedir}/lib/corosync
%{_mandir}/man5/corosync.conf.5*
%{_mandir}/man5/votequorum.5*
%{_mandir}/man7/cmap_keys.7*
%{_mandir}/man7/corosync_overview.7*
%{_mandir}/man8/corosync-*.8*
%{_mandir}/man8/corosync.8*
%{_unitdir}/corosync-notifyd.service
%{_unitdir}/corosync.service
%dir %{_logdir}/%{name}/

%files -n %{libname_common}
%{_libdir}/libcorosync_common.so.%{major}{,.*}

%files -n %{libcfg}
%{_libdir}/libcfg.so.%{major7}{,.*}

%files -n %{libname_cmap}
%{_libdir}/libcmap.so.%{major}{,.*}

%files -n %{libname_cpg}
%{_libdir}/libcpg.so.%{major}{,.*}

%files -n %{libname_sam}
%{_libdir}/libsam.so.%{major}{,.*}

%files -n %{libquorum}
%{_libdir}/libquorum.so.%{major5}{,.*}

%files -n %{libvotequorum}
%{_libdir}/libvotequorum.so.%{major8}{,.*}

%files -n %{libnamedevel}
%doc LICENSE README.recovery
%{_includedir}/corosync/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*.3*
