%define oname	CorsixTH

Name:		corsixth
Epoch:		1
Version:	0.67
Release:	%mkrel 2
Summary:	Open source clone of Theme Hospital
Group:		Games/Strategy
License:	MIT
URL:		https://github.com/CorsixTH/CorsixTH
Source0:	https://github.com/CorsixTH/CorsixTH/archive/v%{version}/%{oname}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	ffmpeg-devel
BuildRequires:	pkgconfig(lua)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_mixer)

Requires:	lua-filesystem
Requires:	lua-lpeg
Recommends:	TiMidity++

%description
This project aims to reimplement the game engine of Theme Hospital, and
be able to load the original game data files. This means that you will
need a purchased copy of Theme Hospital in order to enjoy CorsixTH.

%prep
%autosetup -p1 -n %{oname}-%{version}

%build
%cmake -DCMAKE_INSTALL_BINDIR=%{_gamesbindir} \
       -DCMAKE_INSTALL_DATADIR=%{_gamesdatadir}
%cmake_build

%install
%cmake_install

%files
%doc LICENSE.txt README.txt
%{_gamesbindir}/corsix-th
%{_gamesdatadir}/corsix-th/
%{_iconsdir}/hicolor/scalable/apps/corsix-th.svg
%{_datadir}/applications/com.corsixth.corsixth.desktop
%{_datadir}/metainfo/com.corsixth.corsixth.metainfo.xml
%{_mandir}/man6/corsix-th.6.*
