%define major	8
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Summary:	A library implementing algorithms related to the Unicode Standard
Name:		courier-unicode
Version:	2.3.0
Release:	%mkrel 1
License:	GPLv3
Group:		System/Libraries
URL:		https://www.courier-mta.org/unicode/
Source0: 	https://download.sourceforge.net/courier/courier-unicode-%{version}.tar.bz2

%description
This library implements several algorithms related to the Unicode Standard:

* Look up uppercase, lowercase, and titlecase equivalents of a unicode
  character.
* Implementation of grapheme and word breaking rules.
* Implementation of line breaking rules.

Several ancillary functions, like looking up the unicode character that
corresponds to some HTML 4.0 entity (such as “&amp;”, for example), and
determining the normal width or a double-width status of a unicode character.
Also, an adaptation of the iconv(3) API for this unicode library.

This library also implements C++ bindings for these algorithms.
The current release of the Courier Unicode library is based on the Unicode
6.3.0 standard.

%package -n %{libname}
Summary:	A library implementing algorithms related to the Unicode Standard
Group:		System/Libraries

%description -n %{libname}
This library implements several algorithms related to the Unicode Standard:

* Look up uppercase, lowercase, and titlecase equivalents of a unicode
  character.
* Implementation of grapheme and word breaking rules.
* Implementation of line breaking rules.

Several ancillary functions, like looking up the unicode character that
corresponds to some HTML 4.0 entity (such as “&amp;”, for example), and
determining the normal width or a double-width status of a unicode character.
Also, an adaptation of the iconv(3) API for this unicode library.

This library also implements C++ bindings for these algorithms.
The current release of the Courier Unicode library is based on the Unicode
6.3.0 standard.

%package -n %{devname}
Summary:	Development tools for programs which will use the libcourier-unicode
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
The courier-unicode-devel package includes the header files and documentation
necessary for developing programs which will use the libcourier-unicode library.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

%check
%{__make} check

%files -n %{libname}
%license COPYING
%doc README ChangeLog AUTHORS
%{_libdir}/libcourier-unicode.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/courier-unicode.h
%{_includedir}/courier-unicode-categories-tab.h
%{_includedir}/courier-unicode-script-tab.h
%{_libdir}/libcourier-unicode.so
%{_mandir}/man3/*
%{_mandir}/man7/*
%{_datadir}/aclocal/courier-unicode*.m4
