%global compdir %(pkg-config --variable=completionsdir bash-completion)
%global __requires_exclude .*Acme::Cow.*

Name:       cowsay
Version:    3.7.0
Release:    %mkrel 1
Summary:    Configurable speaking/thinking cow
License:    GPLv3+
Group:      Toys
URL:        https://github.com/cowsay-org/cowsay
Source0:    %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:    cowsay.bashcomp
Source2:    animalsay
Patch0:     fox-cow.patch

BuildArch:  noarch


%description
cowsay is a configurable talking cow, written in Perl.  It operates
much as the figlet program does, and it is written in the same spirit
of silliness.
It generates ASCII pictures of a cow with a message. It can also generate
pictures of other animals.

%prep
%setup -q

%build
echo No need to build anything

%install
# At least for cowsay-3.7.0, replace upstream's "make install" by our
# own installation code.
install -d -m 0755         %{buildroot}%{_bindir}
install -p -m 0755 %{name} %{buildroot}%{_bindir}
ln -s              %{name} %{buildroot}%{_bindir}/cowthink

install -d -m 0755           %{buildroot}%{_mandir}/man1
install -p -m 0644 %{name}.1 %{buildroot}%{_mandir}/man1
ln -s              %{name}.1 %{buildroot}%{_mandir}/man1/cowthink.1

install -d -m 0755              %{buildroot}%{_datadir}/%{name}/cows
install -p -m 0644 share/cows/* %{buildroot}%{_datadir}/%{name}/cows

install -d -m 0755              %{buildroot}%{_datadir}/%{name}/site-cows

install -d -m 0755              %{buildroot}%{_sysconfdir}/%{name}/cowpath.d

# Install actions specific to the Fedora package

# License issue
rm -f %{buildroot}%{_datadir}/%{name}/cows/daemon.cow
# animalsay
install -p -m 0755 %{SOURCE2} %{buildroot}%{_bindir}
# bash completion file
install -d -m 0755            %{buildroot}%{compdir}
install -p -m 0644 %{SOURCE1} %{buildroot}%{compdir}/%{name}

%files
%doc ChangeLog LICENSE.txt README*
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/cowpath.d
%{_bindir}/%{name}
%{_bindir}/cowthink
%{_bindir}/animalsay
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/cowthink.1*
%{_datadir}/%{name}
%{compdir}/%{name}
