%define upstream_name    App-Cpan
%define upstream_version 1.5902

Name:       cpan
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Easily interact with CPAN from the command line
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     App-Cpan-1.5902-increase_cpan-O_precision.patch

BuildRequires: perl(CPAN)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This script provides a command interface (not a shell) to CPAN. At the
moment it uses CPAN.pm to do the work, but it is not a one-shot command
runner for CPAN.pm.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch -P 0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install
for i in %{buildroot}/%{_bindir}/*; do mv $i $i-%{upstream_version}; done

%files
%doc META.yml Changes META.json
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

