%define upstream_name    App-cpanminus
%define upstream_version 1.7048

%{?perl_default_filter}
%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}^%perl_vendorlib/App/cpanminus/fatscript.pm$
%global __requires_exclude perl\\(App::cpanminus::Dependency\\)

Name:       cpanminus
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Get, unpack, build and install modules from CPAN
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

Obsoletes:  perl-App-cpanminus
Provides:   perl-App-cpanminus
Provides:   perl(App::cpanminus::CPANVersion)

%description
cpanminus is a script to get, unpack, build and install modules from CPAN.

Why? It's dependency free, requires zero configuration, and stands alone --
but it's maintainable and extensible with plugins and friendly to shell
scripting. When running, it requires only 10MB of RAM.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

for F in bin/cpanm lib/App/cpanminus/fatscript.pm; do
    # CVE-2024-45321 - patch to use https instead of http
    perl -pi -E 's{http://(cpan\.cpantesters\.org|www\.cpan\.org|backpan\.perl\.org|cpan\.metacpan\.org|fastapi\.metacpan\.org|cpanmetadb\.plackperl\.org)}{https://$1}g' "$F"
done

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/cpanm
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*