Summary:	A GNU archiving program
Name:		cpio
Version:	2.15
Release:	%mkrel 2
License:	GPLv2+
Group:		Archiving/Backup
URL:		https://www.gnu.org/software/cpio/
Source:		https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.bz2
Source1:	https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.bz2.sig

Patch20:	cpio-2.12-svr4compat.patch

BuildRequires:	bison
BuildRequires:	texinfo

Requires:	rmt

%description
GNU cpio copies files into or out of a cpio or tar archive.  Archives
are files which contain a collection of other files plus information
about them, such as their file name, owner, timestamps, and access
permissions.  The archive can be another file on the disk, a magnetic
tape, or a pipe.  GNU cpio supports the following archive formats:  binary,
old ASCII, new ASCII, crc, HPUX binary, HPUX old ASCII, old tar and POSIX.1
tar.  By default, cpio creates binary format archives, so that they are
compatible with older cpio programs.  When it is extracting files from
archives, cpio automatically recognizes which kind of archive it is reading
and can read archives created on machines with a different byte-order.

Install cpio if you need a program to manage file archives.
archives

%prep
%setup -q
%autopatch -p1
# update timestamp
touch configure.ac

%build
export CPPFLAGS="%{optflags} -DHAVE_LSTAT=1"
%configure \
	--bindir=%{_bindir} \
	--with-rmt=%{_sysconfdir}/rmt \
	--disable-rpath

%make_build

%check
make check

%install
%make_install

%find_lang %{name}

# remove unpackaged file
rm -f %{buildroot}%{_mandir}/man1/mt.*

%files -f %{name}.lang
%doc AUTHORS ChangeLog README NEWS
%{_bindir}/cpio
%{_infodir}/cpio.*
%{_mandir}/man1/cpio.1*
