%define  major           26
%define  libname         %mklibname %{name} %{major}
%define  develname       %mklibname %{name} -d

Name:    cpl
Version: 7.3.2
Release: %mkrel 1
Summary: ESO library for automated astronomical data-reduction tasks

Group:   Sciences/Astronomy
License: GPLv2+
URL:     https://www.eso.org/sci/software/cpl/
Source:  ftp://ftp.eso.org/pub/dfs/pipelines/libraries/cpl/%{name}-%{version}.tar.gz
Patch0:  cpl-i386.patch

BuildRequires: gcc
BuildRequires: pkgconfig(cfitsio)
BuildRequires: pkgconfig(wcslib)
BuildRequires: fftw-devel

%description
The Common Pipeline Library (CPL) comprises a set of ISO-C libraries
that provide a comprehensive, efficient and robust software toolkit.
It forms a basis for the creation of automated astronomical data-reduction
tasks (known as "pipelines") for ESO (European Southern Observatory)
instruments. The CPL was developed to standardize the way
VLT (Very Large Telescope) instrument pipelines are built,
to shorten their development cycle and to ease their maintenance.

%package -n %{libname}
Summary: ESO library for automated astronomical data-reduction tasks
Group: Sciences/Astronomy
Provides: %{name} = %{version}-%{release}

%description -n %{libname}
The Common Pipeline Library (CPL) comprises a set of ISO-C libraries
that provide a comprehensive, efficient and robust software toolkit.
It forms a basis for the creation of automated astronomical data-reduction
tasks (known as "pipelines") for ESO (European Southern Observatory)
instruments. The CPL was developed to standardize the way
VLT (Very Large Telescope) instrument pipelines are built,
to shorten their development cycle and to ease their maintenance.

%package -n %{develname}
Summary: Libraries, includes, etc. used to develop an application with %{name}
Group: Sciences/Astronomy
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
These are the header files and libraries needed to develop a %{name}
application.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc AUTHORS BUGS COPYING NEWS
%{_libdir}/libcpl*.so.%{major}{,.*}
%{_libdir}/libcext*.so.*

%files -n %{develname}
%doc README
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/cext.pc
