%define debug_package %nil

%define devname	%mklibname %{name} -d

%global zmqver	%(rpm -q --queryformat "%{VERSION}" %{_lib}zmq-devel )

Name:		cppzmq
Summary:	C++ binding for 0MQ
Version:	4.10.0
Release:	%mkrel 1
License:	MIT
Group:		Development/Other
Url:		https://github.com/zeromq/cppzmq
Source0:	https://github.com/zeromq/cppzmq/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		0001-Skip-zeromq-static-targets.patch
Patch2:		0001-Fix-FindZeroMQ.cmake-install-location.patch
BuildRequires:	cmake
BuildRequires:	git-core
BuildRequires:	pkgconfig(libzmq) >= 4.3.1

%description
C++ binding for 0MQ.

%package -n %{devname}
Summary:	C++ binding for 0MQ
Requires:	zeromq-devel >= 4.3.1
Provides:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{_lib}zeromq-devel < 4.2.2

%description -n %{devname}
C++ binding development headers for 0MQ.

%prep
%autosetup -S git_am

%build
%cmake \
	-DCPPZMQ_BUILD_TESTS:BOOL=OFF \
	-DCPPZMQ_CMAKECONFIG_INSTALL_DIR:PATH=%{_libdir}/cmake/cppzmq
%cmake_build

%install
%cmake_install

%files -n %{devname}
%doc README*
%license LICENSE
%{_includedir}/zmq*.hpp
%{_libdir}/cmake/cppzmq/
%{_libdir}/pkgconfig/cppzmq.pc
