%define major 0
%define libname %mklibname cpufreq %{major}
%define develname %mklibname cpufreq -d

Summary:	Tools to determine and set cpufreq settings
Name:		cpufrequtils
Version:	008
Release:	%mkrel 13
License:	GPLv2
Group:		System/Base
URL:		https://www.kernel.org/pub/linux/utils/kernel/cpufreq/cpufrequtils.html
Source0:	https://www.kernel.org/pub/linux/utils/kernel/cpufreq/%{name}-%{version}.tar.bz2
BuildRequires:	libtool
BuildRequires:	libsysfs-devel
BuildRequires:	gettext
ExclusiveArch:  %{ix86} x86_64

%description
To make access to the Linux kernel cpufreq subsystem easier for users
and cpufreq userspace tools, the cpufrequtils package was created. It
contains a library used by other programs (libcpufreq), command line
tools to determine current CPUfreq settings and to modify them
(cpufreq-info and cpufreq-set), and debug tools.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		%{group}

%description -n %{libname}
Dynamic library for programs accessing cpufreq subsystem.

%package -n     %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	libcpufreq-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{mklibname cpufreq 0 -d}

%description -n %{develname}
Development libraries and include files for cpufrequtils.

%prep
%setup -q

%build
%set_build_flags
%make_build

%install
%makeinstall localedir=%{buildroot}%{_datadir}/locale

%find_lang %{name}

%files -f %{name}.lang
%doc README AUTHORS
%{_mandir}/man1/*
%{_bindir}/*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*


