%define svndate	20090313
%define rel	34

%define	major	1
%define	libname	%mklibname %{name} %{major}
%define	devname	%mklibname %{name} -d
%define	static	%mklibname %{name} -d -s

%bcond_without	perl
%bcond_with	python

Summary:	A CPU identification tool and library
Name:		cpuinfo
Version:	1.0
Release:	%mkrel %{?svndate:0.%{svndate}.}%{rel}
# based on branch at https://code.launchpad.net/cpuinfo/trunk, please don't
# replace until merged upstream
Source0:	%{name}-%{version}%{?svndate:-%{svndate}}.tar.xz
# This patch is already commited to branch above, patch added here in stead of
# updating tarball for just one commit..
Patch500:	cpuinfo-1.0-no-64bit-if-32bit-personality.patch
# lame workaround for now..
Patch501:	cpuinfo-1.0-dont-report-64bit-on-32bit.patch
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		http://gwenole.beauchesne.info/projects/cpuinfo/
ExclusiveArch:	%{ix86} x86_64 ppc ppc64 ia64
%if %{with perl}
BuildRequires:	perl-devel
%endif
%if %{with python}
BuildRequires:	pkgconfig(python) 
BuildRequires:	python-setuptools
%endif

%description
cpuinfo consists of an API/library used by programs to get information
about the underlying CPU. Such information includes CPU vendor, model
name, cache hierarchy, and supported features (e.g. CMP, SMT, and
SIMD). cpuinfo is also a standalone program to demonstrate the use of
this API.

%package -n	%{libname}
Summary:	Library for cpuinfo
Group:		System/Libraries

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with cpuinfo.

%package -n	%{devname}
Summary:	Development files for cpuinfo
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{devname}
This package contains headers and libraries needed to use cpuinfo's
processor characterisation features in your programs.

%package -n	%{static}
Summary:	Static library for cpuinfo
Group:		Development/C
Provides:	%{name}-static-devel = %{version}-%{release}
Requires:       %{devname} = %{version}-%{release}

%description -n	%{static}
This package contains static libraries needed to statically link cpuinfo's
processor characterisation features in your programs.

%if %{with perl}
%package -n	perl-Cpuinfo
Summary:	Perl bindings for cpuinfo
Group:		Development/Perl

%description -n	perl-Cpuinfo
Provides a Perl API to the cpuinfo library.
%endif

%if %{with python}
%package -n	python-cpuinfo
Summary:	Python bindings for cpuinfo
Group:		Development/Perl

%description -n python-cpuinfo
Provides a Python API to the cpuinfo library.
%endif

%prep
%setup -q
%autopatch -p0

%build
%configure \
	--enable-shared \
%if %{with perl}
	--enable-perl=vendor \
%endif
%if %{with python}
	--enable-python \
%endif
	--install-sdk
%make_build

%install
%make_install

# fix file rights
chmod u+w %{buildroot}%{perl_vendorarch}/auto/Cpuinfo/Cpuinfo.so

# nuke unpackaged files
find $RPM_BUILD_ROOT -name cpuinfo.pl -exec rm -f {} \;
find $RPM_BUILD_ROOT -name perllocal.pod -exec rm -f {} \;
find $RPM_BUILD_ROOT -name .packlist -exec rm -f {} \;

%files
%doc README COPYING NEWS
%{_bindir}/cpuinfo

%files -n %{libname}
%{_libdir}/libcpuinfo.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/cpuinfo.h
%{_libdir}/pkgconfig/libcpuinfo.pc
%{_libdir}/libcpuinfo.so

%files -n %{static}
%{_libdir}/libcpuinfo.a

%if %{with perl}
%files -n perl-Cpuinfo
%doc src/bindings/perl/cpuinfo.pl
%{perl_vendorarch}/Cpuinfo.pm
%dir %{perl_vendorarch}/auto/Cpuinfo
%{perl_vendorarch}/auto/Cpuinfo/*
%endif

%if %{with python}
%files -n python-cpuinfo
%{python2_sitearch}/CPUInfo.so
%dir %{python_sitearch}/pycpuinfo-*.egg-info/
%{python2_sitearch}/pycpuinfo-*.egg-info/*
%endif


