# Undefine to build stable release.
%define date    20230122
%define commit  96b231b4fed59f854ad417cd1893be0b5fd28c1d

Name:           cpupower-gui
Version:        1.0.0
Release:        %mkrel 1.%{date}.3
Summary:        Graphical program to change the scaling frequency limits of the cpu, similar to cpupower
Group:          System/Kernel and hardware
License:        GPLv3+
URL:            https://github.com/vagnum08/cpupower-gui
%if 0%{?date}
Source0:        https://github.com/vagnum08/cpupower-gui/archive/%{commit}/%{name}-%{commit}.tar.gz
%else
Source0:        https://github.com/vagnum08/cpupower-gui/releases/download/v%{version}/%{name}-%{version}.tar.xz
%endif
Patch0:         cpupower-git-mga-ayatana-appindicator3.patch

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  meson
BuildRequires:  ninja
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libhandy-1)
BuildRequires:  python3dist(pyxdg)

Requires:       polkit
Requires:       python3dist(dbus-python)
Requires:       python3dist(pygobject)
Requires:       python3dist(pyxdg)

%description
This program is designed to allow you to change the frequency limits of your cpu
and its governor. The application is similar in functionality to cpupower but
with a user-friendly graphical interface.

System and user systemd units are provided for the user to enable manually, as
needed. Please refer to README.md for details.

%prep
%if 0%{?date}
%autosetup -p1 -n %{name}-%{commit}
%else
%autosetup -p1
%endif

%build
%meson \
  -Duse_libexec=true \
  -Dsystemddir=%{_systemd_util_dir}
%meson_build

%install
%meson_install
%find_lang %{name} --with-man

%check
%meson_test

%post
systemctl enable cpupower-gui-helper

%preun
systemctl disable cpupower-gui-helper cpupower-gui

%files -f %{name}.lang
%doc README.md
%license AUTHORS COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/org.rnd2.cpupower_gui.desktop
%{_datadir}/dbus-1/services/org.rnd2.cpupower_gui.service
%{_datadir}/dbus-1/system-services/org.rnd2.cpupower_gui.helper.service
%{_datadir}/dbus-1/system.d/org.rnd2.cpupower_gui.helper.conf
%{_datadir}/glib-2.0/schemas/org.rnd2.cpupower_gui.gschema.xml
%{_datadir}/metainfo/org.rnd2.cpupower_gui.appdata.xml
%{_datadir}/polkit-1/actions/org.rnd2.%{name}.policy
%{_datadir}/polkit-1/rules.d/org.rnd2.%{name}.rules
%{_iconsdir}/hicolor/scalable/apps/org.rnd2.cpupower_gui.svg
%{_libexecdir}/%{name}/
%{_mandir}/man1/%{name}.1.*
%{_sysconfdir}/cpupower_gui.conf
%{_sysconfdir}/cpupower_gui.d/
%{_unitdir}/%{name}-helper.service
%{_unitdir}/%{name}.service
%{_userunitdir}/%{name}-user.service
