Summary:        CPU frequency adjusting daemon
Name:           cpuspeed
Version:        1.5
Release:        %mkrel 1
Group:          System/Servers
License:        GPLv2+
URL:            https://carlthompson.net/Software/CPUSpeed
Source0:        https://carlthompson.net/downloads/cpuspeed/cpuspeed-%{version}.tar.bz2
Source1:        https://carlthompson.net/downloads/cpuspeed/license.txt
Source2:        cpuspeed.init
Source3:        cpuspeed.conf
Source4:        cpuspeed.8
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(post):  chkconfig rpm-helper
Requires(preun): chkconfig rpm-helper
Requires(preun): chkconfig rpm-helper initscripts

BuildRequires:  automake util-linux groff gettext
ExclusiveArch: %{ix86} x86_64 ppc ppc64 ia64 sparcv9 sparc64

Patch1:         cpuspeed-1.5-Makefile.patch
Patch2:         cpuspeed-1.5-no-affected_cpus-fallback.patch

%description
cpuspeed is a daemon that dynamically changes the speed
of your processor(s) depending upon its current workload
if it is capable (needs Intel Speedstep, AMD PowerNow!,
or similar support).

This package also supports enabling CPU frequency scaling
via in-kernel governors on Intel Centrino and AMD
Athlon64/Opteron platforms.

%prep
%setup -q
cp %{SOURCE1} .
%patch -P 1 -p1 -b .make
%patch -P 2 -p1 -b .ac

%build
RPM_OPT_FLAGS=$(echo $RPM_OPT_FLAGS | sed -e 's/-fexceptions/-fno-exceptions/g')
make CFLAGS="$RPM_OPT_FLAGS -fpie -pie" LDFLAGS="-Wl,-z,relro,-z,now"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8/

make DESTDIR=$RPM_BUILD_ROOT install
install -m755 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/cpuspeed
install -m644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/cpuspeed
install -m644 %{SOURCE4} $RPM_BUILD_ROOT%{_mandir}/man8/cpuspeed.8

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root,-)
%doc license.txt CHANGES CONTRIBUTORS EXAMPLES FEATURES README USAGE
%{_sbindir}/cpuspeed
%{_sysconfdir}/rc.d/init.d/cpuspeed
%{_mandir}/man8/*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/cpuspeed

%post
%_post_service %{name}

%preun
%_preun_service  %{name}

