%define root	crack

%define major		2
%define libname		%mklibname %{root} %{major}
%define develname	%mklibname %{root} -d

Summary:	A password-checking library
Name:		cracklib
Version:	2.9.11
Release:	%mkrel 3
Group:		System/Libraries
License:	LGPLv2
URL:		https://sourceforge.net/projects/cracklib/
Source0:	https://github.com/cracklib/cracklib/releases/download/v%{version}/cracklib-%{version}.tar.bz2
Source1:        https://github.com/cracklib/cracklib/releases/download/v%{version}/cracklib-words-%{version}.bz2

# No upstream source for this, just words missing from the current cracklib-words
Source10:	missing-words.gz

# A bit hackish way to make pkg to build with py3
Patch0:		cracklib-2.9.11-python3.patch

BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(zlib)

%description
CrackLib tests passwords to determine whether they match certain
security-oriented characteristics. You can use CrackLib to stop
users from choosing passwords which would be easy to guess. CrackLib
performs certain tests:

* It tries to generate words from a username and gecos entry and
  checks those words against the password;
* It checks for simplistic patterns in passwords;
* It checks for the password in a dictionary.

CrackLib is actually a library containing a particular
C function which is used to check the password, as well as
other C functions. CrackLib is not a replacement for a passwd
program; it must be used in conjunction with an existing passwd
program.

Install the cracklib package if you need a program to check users'
passwords to see if they are at least minimally secure. If you
install CrackLib, you'll also want to install the cracklib-dicts
package.

%package -n	%{libname}
Summary:	A password-checking library
Group:		System/Libraries

%description -n %{libname}
CrackLib tests passwords to determine whether they match certain
security-oriented characteristics.

%package -n	python3-%{name}
Summary:	A password-checking library
Group:		System/Libraries
BuildRequires:	pkgconfig(python3)
Obsoletes:	%{_lib}crack2-python < 2.9.7-8
Provides:	%{_lib}crack2-python = %{version}-%{release}

%description -n python3-%{name}
CrackLib tests passwords to determine whether they match certain
security-oriented characteristics.

%package	dicts
Summary:	The standard CrackLib dictionaries
Group:		System/Libraries

%description	dicts
The cracklib-dicts package includes the CrackLib dictionaries.
CrackLib will need to use the dictionary appropriate to your system,
which is normally put in /usr/share/dict/words.  Cracklib-dicts also contains
the utilities necessary for the creation of new dictionaries.

If you are installing CrackLib, you should also install cracklib-dicts.

%package -n	%{develname}
Summary:	Cracklib link library & header file
Group:		Development/C
Provides:	lib%{root}-devel = %{version}-%{release}
Provides:	%{root}lib-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n	%{develname}
The cracklib devel package include the needed library link and
header files for development.

%prep
%autosetup -p1

cp -a %{SOURCE10} %{SOURCE1} dicts/

%build
autoreconf -vfi
%configure \
  --disable-static \
  --with-python-incdir=%{_includedir}/python%{python3_version}
%make_build

%install
%make_install

chmod 0755 ./util/cracklib-format ./util/cracklib-packer
./util/cracklib-format dicts/* | ./util/cracklib-packer %{buildroot}%{_datadir}/cracklib/pw_dict

ln -s cracklib-format %{buildroot}%{_sbindir}/mkdict
ln -s cracklib-packer %{buildroot}%{_sbindir}/packer

ln -s %{_datadir}/cracklib/pw_dict.hwm %{buildroot}%{_libdir}/cracklib_dict.hwm
ln -s %{_datadir}/cracklib/pw_dict.pwd %{buildroot}%{_libdir}/cracklib_dict.pwd
ln -s %{_datadir}/cracklib/pw_dict.pwi %{buildroot}%{_libdir}/cracklib_dict.pwi

find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -n %{libname}
%license COPYING.LIB
%{_libdir}/libcrack.so.%{major}{,.*}

%files -n python3-%{name}
%{python3_sitearch}/__pycache__/*
%{python3_sitearch}/cracklib*
%{python3_sitearch}/_cracklib*
%{python3_sitearch}/test_cracklib*

%files -f %{name}.lang
%doc AUTHORS NEWS README*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/libcrack.so
%{_mandir}/man3/FascistCheck.3.*

%files dicts
%{_sbindir}/*
%{_datadir}/%{name}/
%{_libdir}/cracklib_dict.*
%{_mandir}/man8/cracklib*.8.*
