%define Werror_cflags %nil
%define _disable_ld_no_undefined 1
%define _disable_ld_as_needed 1

Summary:        A free chess program, plays a decent game of chess
Name:           crafty
Version:        25.0.1
Release:        %mkrel 4
License:        Freeware, but restricted - consult the source code before use
Group:          Games/Boards
URL:            https://www.craftychess.com/

Source0:        https://craftychess.com/downloads/source/%{name}-%{version}.zip
Source1:        https://craftychess.com/downloads/book/book.bin
Source2:        ftp://ftp.cis.uab.edu/pub/hyatt/book/books.bin
Source3:        ftp://ftp.cis.uab.edu/pub/hyatt/book/bookc.bin

Patch0:         crafty-25.0.1-fix-Makefile.patch
Patch1:         crafty-25.0.1-setup-paths.patch
Patch2:         crafty-opensuse-debian-25.0.1-security-203541.patch
Patch3:         crafty-25.0.1-fix-Makefile-2.patch
Patch4:         crafty-25.0.1-fix-boolean.c.patch

%description
Crafty is a chess program written by Bob Hyatt <hyatt at cis.uab.edu>.
It is a direct descendent of Cray Blitz, the World Computer Champion
from 1983 to 1989.

It comes with a text interface like gnuchess does. If you want a graphical
interface, you can install GUI chessboards such as xboard or eboard.

Crafty is based on the classic BITMAP approach to representing the chess
board, but uses a unique methodology called "rotated bitmaps" to
significantly improve the performance of the chess engine.


%prep
%global dir %{name}-%{version}
rm -fr %{dir}
mkdir %{dir}
cd %{dir}
unzip %{SOURCE0}
%patch -P 0 -p0
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1 -b .fix-makefile-2
%patch -P 4 -p1 -b .fix-bool

%build
cd %{dir}
make CFLAGS="%{optflags}" opt='-DPOPCNT -DCPUS=4' unix-gcc

%install
cd %{dir}
install -D -m 755 %{name} %{buildroot}%{_gamesbindir}/%{name}

# opening book
install -D -m 644 %{_sourcedir}/book.bin %{buildroot}%{_gamesdatadir}/%{name}/book.bin
install -D -m 644 %{_sourcedir}/books.bin %{buildroot}%{_gamesdatadir}/%{name}/books.bin
install -D -m 644 %{_sourcedir}/bookc.bin %{buildroot}%{_gamesdatadir}/%{name}/bookc.bin

%files
%doc %{dir}/%{name}.hlp
%{_gamesbindir}/*
%{_gamesdatadir}/*
