#
# crash core analysis suite
#
Summary: Kernel analysis utility for live systems, netdump, diskdump, kdump, LKCD or mcore dumpfiles
Name: crash
Version: 8.0.3
Release: %mkrel 1
License: GPLv3
Group: Development/Tools
Source0: https://github.com/crash-utility/crash/archive/crash-%{version}.tar.gz
Source1: https://ftp.gnu.org/gnu/gdb/gdb-10.2.tar.gz
URL: https://crash-utility.github.io
ExclusiveOS: Linux
ExclusiveArch: %{ix86} ia64 x86_64 ppc ppc64 s390 s390x %{arm} aarch64 ppc64le
BuildRequires: pkgconfig(libzstd)
BuildRequires: pkgconfig(lzo2) 
BuildRequires: pkgconfig(ncurses) 
BuildRequires: pkgconfig(readline)
BuildRequires: pkgconfig(snappy) 
BuildRequires: pkgconfig(zlib) 
BuildRequires: bison 
BuildRequires: texinfo
Requires: binutils
Provides: bundled(libiberty)
Provides: bundled(gdb) = 10.2
Patch0: lzo_snappy_zstd.patch
Patch1: crash-8.0.3_build.patch
Patch2: 0001-Fix-kernel-version-macros-for-revision-numbers-over-.patch
Patch3: 0002-Fix-failure-of-dev-d-D-options-on-Linux-6.4-and-late.patch
Patch4: 0003-Fix-kmem-v-option-displaying-no-regions-on-Linux-6.3.patch
Patch5: 0004-arm64-x86_64-Enhance-vtop-command-to-show-zero_pfn-i.patch
Patch6: 0005-diskdump-netdump-fix-segmentation-fault-caused-by-fa.patch
Patch7: 0006-Fix-segfault-in-arm64_is_kernel_exception_frame-when.patch
Patch8: 0007-Output-prompt-when-stdin-is-not-a-TTY.patch
Patch9: 0008-x86_64-Fix-bt-command-printing-stale-entries-on-Linu.patch
Patch10: 0009-Fix-invalid-structure-size-error-during-crash-startu.patch
Patch11: 0010-Revert-Fix-segfault-in-arm64_is_kernel_exception_fra.patch
Patch12: 0011-arm64-Fix-again-segfault-in-arm64_is_kernel_exceptio.patch
Patch13: 0012-ppc64-Remove-redundant-PTE-checks.patch
Patch14: 0013-Support-module-memory-layout-change-on-Linux-6.4.patch
Patch15: 0014-Fix-failure-of-gathering-task-table-on-Linux-6.5-rc1.patch
Patch16: 0015-Fix-compilation-error-due-to-new-strlcpy-function-th.patch
Patch17: 0016-Fix-irq-a-option-on-Linux-6.0-and-later.patch
Patch18: 0017-vmware-Improve-output-when-we-fail-to-read-vmware-vm.patch
Patch19: 0018-Exclude-zero-entries-from-do_maple_tree-return-value.patch
Patch20: 0019-Fix-irq-a-s-options-on-Linux-6.5-rc1-and-later.patch
Patch21: 0020-Fix-segmentation-fault-by-tree-s-option-with-Maple-T.patch
Patch22: 0021-Fix-warning-about-kernel-version-inconsistency-durin.patch
Patch23: 0022-Fix-get_linux_banner_from_vmlinux-for-vmlinux-withou.patch

%description
The core analysis suite is a self-contained tool that can be used to
investigate either live systems, kernel core dumps created from the
netdump, diskdump and kdump packages from Red Hat Linux, the mcore kernel patch
offered by Mission Critical Linux, or the LKCD kernel patch.

%package devel
Requires: %{name} = %{version}, zlib-devel
Summary: kernel crash analysis utility for live systems, netdump, diskdump, kdump, LKCD or mcore dumpfiles
Group: Development/Tools

%description devel
The core analysis suite is a self-contained tool that can be used to
investigate either live systems, kernel core dumps created from the
netdump, diskdump and kdump packages from Red Hat Linux, the mcore kernel patch
offered by Mission Critical Linux, or the LKCD kernel patch.

%prep
%setup -n %{name}-%{version} -q
%autopatch -p1

%build
cp %{SOURCE1} .
make -j`nproc` RPMPKG="%{version}-%{release}" CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" LDFLAGS="%{build_ldflags}"

%install
mkdir -p %{buildroot}%{_bindir}
%make_install
mkdir -p %{buildroot}%{_mandir}/man8
cp -p crash.8 %{buildroot}%{_mandir}/man8/crash.8
mkdir -p %{buildroot}%{_includedir}/crash
chmod 0644 defs.h
cp -p defs.h %{buildroot}%{_includedir}/crash

%files
%{_bindir}/crash
%{_mandir}/man8/crash.8*
%doc README COPYING3

%files devel
%{_includedir}/*

