%define target avr

Name:           cross-%{target}-binutils
Version:        2.30
Release:        %mkrel 4
Epoch:		1
Summary:        Cross Compiling GNU binutils targeted at %{target}
Group:          Development/Other 
License:        GPLv2+
URL:            https://www.gnu.org/software/binutils/
Source0:        https://ftp.gnu.org/gnu/binutils/binutils-%{version}.tar.gz
Source1:        README.mageia
Patch0:		binutils-2.23.2-textinfo-fixes.patch
BuildRequires:  gawk 
BuildRequires:  texinfo

Obsoletes:      %{target}-binutils < 1:2.21
Provides:       %{target}-binutils = %epoch:%version-%release

%description
This is a Cross Compiling version of GNU binutils, which can be used to
assemble and link binaries for the %{target} platform, instead of for the
native %{_arch} platform.

#--------------------------------------------------------------------

%prep
%setup -q -c
#autopatch -p1

cp %{SOURCE1} .

%build
mkdir -p build
pushd build
CFLAGS="$RPM_OPT_FLAGS" ../binutils-%{version}/configure --prefix=%{_prefix} \
  --libdir=%{_libdir} --mandir=%{_mandir} --infodir=%{_infodir} \
  --target=%{target} --disable-werror --disable-nls
%__make %{?_smp_mflags}
popd


%install
pushd build
%make_install DESTDIR=%{buildroot}
popd
# these are for win targets only
rm %{buildroot}%{_mandir}/man1/%{target}-{dlltool,nlmconv,windres}.1
# we don't want these as we are a cross version
rm -r %{buildroot}%{_infodir}

%files
%doc binutils-%{version}/COPYING binutils-%{version}/COPYING.LIB
%doc binutils-%{version}/README README.mageia
%{_prefix}/%{target}
%{_bindir}/%{target}-*
%{_mandir}/man1/%{target}-*.1*

