%define target avr

# Please note:	a local build of cross-avr-gcc will fail with
#		/usr/avr/bin/as: unrecognized option '--64'
#		if the PATH environment variable contains a "." item

# Disable -Werror because there's a format string warning in gcc/cp/parser.c
# around line 2300 that a comment says is intentional :(

%define Werror_cflags %nil

Name:           cross-%{target}-gcc
Version:        12.3.0
Release:        %mkrel 2
Summary:        Cross Compiling GNU GCC targeted at %{target}
Group:          Development/C
License:        GPLv2+
URL:            https://gcc.gnu.org/
Source0:        https://ftp.gnu.org/gnu/gcc/gcc-%{version}/gcc-%{version}.tar.xz
Source1:        README.mageia

Patch0:         avr-gcc-4.5.3-mint8.patch
#Patch1:         avr-gcc-config.patch

BuildRequires:  cross-%{target}-binutils >= 1:2.23.2
BuildRequires:  flex
BuildRequires:  gawk
BuildRequires:  gmp-devel
BuildRequires:  gperf
BuildRequires:  libmpc-devel
BuildRequires:  pkgconfig(mpfr)
BuildRequires:  pkgconfig(zlib)
Requires:       cross-%{target}-binutils >= 1:2.23.2
Provides:       bundled(libiberty)

%description
This is a Cross Compiling version of GNU GCC, which can be used to
compile for the %{target} platform, instead of for the
native %{_arch} platform.


%package c++
Summary:        Cross Compiling GNU GCC targeted at %{target}
Group:          Development/C
Requires:       %{name} = %{version}-%{release}

%description c++
This package contains the Cross Compiling version of g++, which can be used to
compile c++ code for the %{target} platform, instead of for the native %{_arch}
platform.


%prep
%setup -q -c

pushd gcc-%{version}
%patch -P 0 -p2 -b .mint8

contrib/gcc_update --touch

popd
cp -a %{SOURCE1} .

%build
mkdir -p gcc-%{target}
pushd gcc-%{target}
FILTERED_RPM_OPT_FLAGS=$(echo "${RPM_OPT_FLAGS}" | sed 's/Werror=format-security/Wno-format-security/g')
export CFLAGS=$FILTERED_RPM_OPT_FLAGS
export CXXFLAGS=$FILTERED_RPM_OPT_FLAGS
CC="%{__cc} ${FILTERED_RPM_OPT_FLAGS} -fno-stack-protector" \
../gcc-%{version}/configure --prefix=%{_prefix} --mandir=%{_mandir} \
  --infodir=%{_infodir} --target=%{target} --enable-languages=c,c++ \
  --disable-nls --disable-libssp --with-system-zlib \
  --enable-version-specific-runtime-libs \
  --with-pkgversion="Mageia %{version}-%{release}" \
  --with-bugurl="https://bugs.mageia.org/"
# In general, building GCC is not always smp-safe, but give it initial boost anyway
make %{?_smp_mflags} || make
popd


%install
pushd gcc-%{target}
make install DESTDIR=$RPM_BUILD_ROOT
popd
# we don't want these as we are a cross version
rm -r $RPM_BUILD_ROOT%{_infodir}
rm -r $RPM_BUILD_ROOT%{_mandir}/man7
rm    $RPM_BUILD_ROOT%{_libdir}/libiberty.a ||:
rm    $RPM_BUILD_ROOT%{_libdir}/libcc1* ||:
# and these aren't useful for embedded targets
rm -r $RPM_BUILD_ROOT/usr/lib/gcc/%{target}/%{version}/install-tools ||:
rm -r $RPM_BUILD_ROOT%{_libexecdir}/gcc/%{target}/%{version}/install-tools ||:


%files
%doc gcc-%{version}/COPYING gcc-%{version}/COPYING.LIB
%doc gcc-%{version}/README README.mageia
%{_bindir}/%{target}-*
%dir /usr/lib/gcc
%dir /usr/lib/gcc/%{target}
/usr/lib/gcc/%{target}/%{version}
%dir %{_libexecdir}/gcc
%dir %{_libexecdir}/gcc/%{target}
%{_libexecdir}/gcc/%{target}/%{version}
%{_mandir}/man1/%{target}-*.1.*
%exclude %{_bindir}/%{target}-?++
%exclude %{_libexecdir}/gcc/%{target}/%{version}/cc1plus
%exclude %{_mandir}/man1/%{target}-g++.1.*

%files c++
%{_bindir}/%{target}-?++
%{_libexecdir}/gcc/%{target}/%{version}/cc1plus
%{_mandir}/man1/%{target}-g++.1.*
