Name:           crossfire-client
Version:        1.75.3
Release:        %mkrel 1
Summary:        Client for connecting to Crossfire game servers
Group:          Games/Adventure
License:        GPLv2+
URL:            https://crossfire.real-time.com/
Source0:        https://downloads.sourceforge.net/project/crossfire/%{name}/%{version}/%{name}-%{version}.tar.gz
Patch0:         crossfire-client-1.75.1-cmake-gamesdatadir.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(x11)
BuildRequires:  vala
Requires:       crossfire-client-data >= 1.71.0

%description
Crossfire is a free, open-source, cooperative multi-player RPG and adventure
game. Since its initial release, Crossfire has grown to encompass over 150
monsters, 3000 areas to explore, an elaborate magic system, 13 races, 15
character classes, and many powerful artifacts scattered far and wide. Set
in a fantastical medieval world, it blends the style of Gauntlet, NetHack,
Moria, and Angband.

This package allows you to connect to Crossfire servers around the world.

%prep
%autosetup -p1

%build
%cmake \
    -DBUILD_SHARED_LIBS=OFF \
    -DCMAKE_INSTALL_BINDIR=%{_gamesbindir} \
    -DCMAKE_INSTALL_DATADIR=%{_gamesdatadir}
%cmake_build

%install
%cmake_install

%files
%doc AUTHORS ChangeLog README.rst
%license COPYING
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}-gtk2
%dir %{_gamesdatadir}/%{name}
%dir %{_gamesdatadir}/%{name}/sounds
%{_gamesdatadir}/%{name}/sounds/*
%{_gamesdatadir}/%{name}/themes/
%{_gamesdatadir}/%{name}/ui/
%{_iconsdir}/hicolor/*/apps/%{name}.png
