%define rel		2

%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

%define date		20190529
%if %{date}
%define release		%mkrel -c git%{date} %{rel}
%define tarballver	%{commit}
%define tarballdir	%{commit}
%define tarballgit	+git%{date}
%define commit		ca1bf4b810e2d188d04cb6286f957008ee1b7681
%else
%define release		%mkrel %{rel}
%define tarballver	%{version}
%define tarballdir	v%{version}
%endif

Name:		crossguid
Version:	0.2.3
Release:	%{release}
Summary:	Lightweight cross platform C++ GUID/UUID library
Group:		System/Libraries
License:	MIT
URL:		https://github.com/graeme-hill/crossguid/
Source0:	https://mirrors.kodi.tv/build-deps/sources/crossguid-%{commit}.tar.gz

# Fix build with C++17
# See https://github.com/graeme-hill/crossguid/pull/56
Patch0:		56.patch
# From Kodi
Patch1:		001-fix-unused-function.patch
Patch2:		002-disable-Wall-error.patch
Patch3:		crossguid-fix_GCC13.patch

BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(uuid)

%description
CrossGuid is a minimal, cross platform, C++ GUID library. It uses the best
native GUID/UUID generator on the given platform and has a generic class for
parsing, stringifying, and comparing IDs.

#----------------------------------------------------

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n	%{libname}
Shared libraries for %{name}.

#----------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Development files and headers for %{name}.

#----------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{tarballver}

%build
%cmake
%make_build -C %{_vpath_builddir}

%install
%make_install -C %{_vpath_builddir}

%check
pushd %{_vpath_builddir}
./crossguid-test
popd

%files -n %{libname}
%doc README.md
%license LICENSE
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/crossguid/
