%global appid	org.kde.CrowTranslate

Name:		crow-translate
Version:	3.1.0
Release:	%mkrel 1
Summary:	A simple and lightweight translator
Group:		System/Internationalization
License:	GPL-3.0-only AND GPL-3.0-or-later AND BSD-3-Clause AND MIT
URL:		https://apps.kde.org/crowtranslate/
Source0:	https://download.kde.org/stable/crow-translate/%{version}/%{name}-v%{version}.tar.gz

BuildRequires:	kf5-rpm-macros

BuildRequires:	cmake(Qt5Concurrent)
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5DBus)
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	cmake(Qt5Network)
BuildRequires:	cmake(Qt5LinguistTools)
BuildRequires:	cmake(Qt5Multimedia)
BuildRequires:	cmake(Qt5X11Extras)

BuildRequires:	cmake(KF5Wayland)

BuildRequires:	doxygen
BuildRequires:	pkgconfig(lept)
BuildRequires:	pkgconfig(tesseract) >= 4.0

Recommends:	gstreamer-plugins-good

# Consider submodules in this repo as a way to avoid copy-pasting the code
# https://github.com/crow-translate/crow-translate/issues/615#issuecomment-1762779870
Provides:	bundled(qonlinetranslator)
Provides:	bundled(qhotkey)
Provides:	bundled(qtaskbarcontrol)
Provides:	bundled(singleapplication)

%description
Crow Translate is a simple and lightweight translator written in C++ / Qt that
allows you to translate and speak text using Google, Yandex, Bing,
LibreTranslate and Lingva translate API. You may also be interested in my
library QOnlineTranslator used in this project.


%prep
%autosetup -p1 -n %{name}-v%{version}

# Unbundle
#   * Used only on Windows
rm -r src/qgittag

%build
%cmake_kf5 \
    -DBUILD_SHARED_LIBS:BOOL=OFF
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-qt

%files -f %{name}.lang
%license LICENSES
%doc README.md
%{_bindir}/crow
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/scalable/*/*.svg
%{_metainfodir}/%{appid}*.xml
