Name:		cryfs
Version:	0.11.4
Release:	%mkrel 9
Summary:	Cryptographic filesystem for the cloud
License:	LGPLv3+
Group:		File tools
URL:		https://www.cryfs.org
Source0:	https://github.com/cryfs/cryfs/releases/download/%{version}/%{name}-%{version}.tar.xz
Patch0:		cryfs-0.10.2-static.patch
Patch1:		cryfs-unbundle-libs.patch

BuildRequires:	cmake
BuildRequires:	cmake(fmt)
BuildRequires:	cmake(range-v3)
BuildRequires:	cmake(spdlog)
BuildRequires:	gcc-c++
BuildRequires:	gzip
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(fuse)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(cryptopp) >= 8.2

Requires:	fuse

%description
CryFS provides a FUSE-based mount that encrypts file contents, file
sizes, metadata and directory structure. It uses encrypted same-size
blocks to store both the files themselves and the blocks' relations
to one another. These blocks are stored as individual files in the
base directory, which can then be synchronized to remote storage
(using an external tool).

%prep
%setup -c -q
%autopatch -p1

# install files with all build types
sed -i -e '/CONFIGURATIONS/d' $(find . -name "CMakeLists.txt")

%build
export CFLAGS="$RPM_OPT_FLAGS -DFMT_DEPRECATED_OSTREAM"
export CXXFLAGS="$RPM_OPT_FLAGS -DFMT_DEPRECATED_OSTREAM"
%cmake \
  -DDEPENDENCY_CONFIG=cmake-utils/DependenciesFromLocalSystem.cmake \
  -DUSE_SYSTEM_LIBS=ON \
  -DBUILD_TESTING=OFF \
  -DBoost_USE_STATIC_LIBS=OFF \
  -DCRYFS_UPDATE_CHECKS=OFF

%cmake_build

%install
%cmake_install

%files
%doc README.md ChangeLog.txt
%license LICENSE.txt
%{_bindir}/cryfs*
%{_mandir}/man?/cryfs*
