Name:       cryptmount
Version:    6.3.0
Release:    %mkrel 1
Summary:    A utility for accessing encrypted filesystems
License:    GPLv3
Group:      System/Kernel and hardware
URL:        https://cryptmount.sourceforge.net/
Source0:    https://github.com/rwpenney/cryptmount/archive/v%{version}/cryptmount-%{version}.tar.gz
Patch0:     cryptmount-6.1.0-allow-non-root-build.patch
BuildRequires:  pkgconfig(devmapper)
BuildRequires:  libgcrypt-devel
BuildRequires:  pkgconfig(uuid)
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(libcryptsetup)

%description
cryptmount is a utility for GNU/Linux operating systems which allows an
ordinary user to mount an encrypted filing system without requiring superuser
privileges. It is aimed at recent Linux systems using the 2.6 kernel series.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure
%make_build

%install
%make_install -k

rm -f %{buildroot}%{_sysconfdir}/cryptmount/cmtab.example
rm -f %{buildroot}%{_sysconfdir}/init.d/cryptmount

%find_lang %{name}

%files -f %{name}.lang
%doc README.md README.sshfs RELNOTES COPYING ABOUT-NLS AUTHORS
%doc ChangeLog cmtab.example
%doc %{_docdir}/cryptmount/examples/
%dir %{_sysconfdir}/cryptmount
%config(noreplace) %{_sysconfdir}/cryptmount/cmtab
%config(noreplace) %{_sysconfdir}/modules-load.d/cryptmount.conf
%{_sbindir}/cryptmount-setup
%{_bindir}/cryptmount
%{_mandir}/man5/cmtab.5*
%{_mandir}/man8/cryptmount.8*
%{_mandir}/man8/cryptmount-setup.8*
%{_mandir}/fr/man5/cmtab.5*
%{_mandir}/fr/man8/cryptmount.8*

