Name:		csound-plugins
Version:	1.0.2
Release:	%mkrel 7
Summary:	Extra opcodes for Csound
License:	LGPLv2+
Group:		Sound/Utilities
URL:		https://csound.github.io/
Source0:	https://github.com/csound/plugins/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		csound-plugins-fix-plugindir.patch

BuildRequires:	cmake
BuildRequires:	csound-devel
BuildRequires:	faust-devel
BuildRequires:	fltk-devel
#BuildRequires:	getfem-devel
BuildRequires:	hdf5-devel
BuildRequires:	lame-devel
BuildRequires:	stk-devel
BuildRequires:	wiiuse-devel
BuildRequires:	pkgconfig(eigen3)
BuildRequires:	pkgconfig(fluidsynth)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libwebsockets)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(zlib)

Requires:	csound

%description
Plugins collection for Csound which were originally in the
main repository.

%prep
%autosetup -p1 -n plugins-%{version}

%build
export CFLAGS="%{optflags} -Wno-incompatible-pointer-types"
%cmake \
%ifarch x86_64 aarch64
	-DUSE_LIB64=ON \
	-DDEFAULT_STK_RAWWAVE_PATH=%{_datadir}/stk/rawwaves \
%endif
	-DBUILD_LINEAR_ALGEBRA_OPCODES=OFF
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc README.md
%{_libdir}/csound/plugins-6.0/*.so
