# Package based on debian and fedora source tarballs
# downloadable from the site:
# https://ftp.debian.org/debian/pool/main/c/csstidy/csstidy_1.4.orig.tar.gz

Name:           csstidy
Version:        1.4
Release:        %mkrel 12
Summary:        CSS parser and optimizer
Group:          Networking/WWW
License:        GPLv2+
URL:            https://csstidy.sourceforge.net/
Source0:        csstidy-%{version}.tar.gz
Patch0:         csstidy-1.4-fix-misc.cpp.patch
Patch1:         csstidy-1.4-optflags.patch
Patch2:         csstidy-1.4-scons-python3.patch

BuildRequires:  gcc-c++
BuildRequires:  scons

%description
CSSTidy is an open source CSS parser and optimizer. In opposite to most other
CSS parsers, no regular expressions are used and thus CSSTidy has full CSS2
support and a higher reliability.

%prep
%setup -q
%autopatch -p1

%build
%scons

%install
%__mkdir_p %{buildroot}%{_bindir}
%__install -cpm 755 release/csstidy/csstidy %{buildroot}%{_bindir}/%{name}

%files
%doc AUTHORS BUGS ChangeLog COPYING NEWS README TODO
%{_bindir}/%{name}
