%define upstream_name    App-CSV2Chart
%define upstream_version 0.12.0

%{?perl_default_filter}

Name:       csv2chart
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Command line utility to convert CSV data to a graphical chart
License:    MIT
Group:      File tools
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/S/SH/SHLOMIF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Cmd::Setup)
BuildRequires: perl(Excel::Writer::XLSX)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::CSV)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl
BuildArch:  noarch

%description
Command line utility to convert CSV data to a graphical chart.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}
perl -i -lpe 's{^(#\!/usr/bin/perl).*}{$1} if $. == 1' %{buildroot}/%{_bindir}/*

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/App/*
%{_mandir}/*/*
%{_bindir}/*
