#note this package is not prefixable

Summary:	Generates an index (or "tag") file for objects found in source files
Name:		ctags
Version:	6.0.0
Release:	%mkrel 5
URL:		https://github.com/universal-ctags/ctags
Source0:	https://github.com/universal-ctags/ctags/archive/v%{version}/%{name}-%{version}.tar.gz
License:	GPLv2+ and LGPLv2+ and Public Domain
Group:		Development/Tools
Requires(pre):	update-alternatives
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(jansson)
BuildRequires:	pkgconfig(libseccomp)
BuildRequires:	pkgconfig(yaml-0.1)
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	sphinx-build

%description
The ctags program generate an index (or "tag") file for a variety of
language objects found in files.  This tag file allows these items to
be quickly and easily located by a text editor or other utility.  A
"tag" signifies a language object for which an index entry is
available (or, alternatively, the index entry created for that object).

Alternatively, ctags can generate a cross reference file which lists, in
human readable form, information about the various source objects found in
a set of language files.

%prep
%setup -q

%build
./autogen.sh
%configure --disable-etags --enable-tmpdir=/tmp
%make_build
make -C docs html

%install
%makeinstall

mv %{buildroot}/%{_bindir}/ctags %{buildroot}/%{_bindir}/universal-ctags
mv %{buildroot}/%{_bindir}/optscript %{buildroot}/%{_bindir}/universal-optscript
mv %{buildroot}/%{_bindir}/readtags %{buildroot}/%{_bindir}/universal-readtags

mv %{buildroot}/%{_mandir}/man1/ctags.1 %{buildroot}/%{_mandir}/man1/universal-ctags.1
mv %{buildroot}/%{_mandir}/man1/readtags.1 %{buildroot}/%{_mandir}/man1/universal-readtags.1

mv %{buildroot}/%{_mandir}/man5/ctags-json-output.5 %{buildroot}/%{_mandir}/man5/universal-ctags-json-output.5
mv %{buildroot}/%{_mandir}/man5/tags.5 %{buildroot}/%{_mandir}/man5/universal-tags.5

mv %{buildroot}/%{_mandir}/man7/ctags-client-tools.7 %{buildroot}/%{_mandir}/man7/universal-ctags-client-tools.7
mv %{buildroot}/%{_mandir}/man7/ctags-faq.7 %{buildroot}/%{_mandir}/man7/universal-ctags-faq.7
mv %{buildroot}/%{_mandir}/man7/ctags-incompatibilities.7 %{buildroot}/%{_mandir}/man7/universal-ctags-incompatibilities.7
mv %{buildroot}/%{_mandir}/man7/ctags-lang-asm.7 %{buildroot}/%{_mandir}/man7/universal-ctags-lang-asm.7
mv %{buildroot}/%{_mandir}/man7/ctags-lang-elm.7 %{buildroot}/%{_mandir}/man7/universal-ctags-lang-elm.7
mv %{buildroot}/%{_mandir}/man7/ctags-lang-gdscript.7 %{buildroot}/%{_mandir}/man7/universal-ctags-lang-gdscript.7
mv %{buildroot}/%{_mandir}/man7/ctags-lang-inko.7 %{buildroot}/%{_mandir}/man7/universal-ctags-lang-inko.7
mv %{buildroot}/%{_mandir}/man7/ctags-lang-iPythonCell.7 %{buildroot}/%{_mandir}/man7/universal-ctags-lang-iPythonCell.7
mv %{buildroot}/%{_mandir}/man7/ctags-lang-javascript.7 %{buildroot}/%{_mandir}/man7/universal-ctags-lang-javascript.7
mv %{buildroot}/%{_mandir}/man7/ctags-lang-julia.7 %{buildroot}/%{_mandir}/man7/universal-ctags-lang-julia.7
mv %{buildroot}/%{_mandir}/man7/ctags-lang-python.7 %{buildroot}/%{_mandir}/man7/universal-ctags-lang-python.7
mv %{buildroot}/%{_mandir}/man7/ctags-lang-r.7 %{buildroot}/%{_mandir}/man7/universal-ctags-lang-r.7
mv %{buildroot}/%{_mandir}/man7/ctags-lang-rmarkdown.7 %{buildroot}/%{_mandir}/man7/universal-ctags-lang-rmarkdown.7
mv %{buildroot}/%{_mandir}/man7/ctags-lang-sql.7 %{buildroot}/%{_mandir}/man7/universal-ctags-lang-sql.7
mv %{buildroot}/%{_mandir}/man7/ctags-lang-tcl.7 %{buildroot}/%{_mandir}/man7/universal-ctags-lang-tcl.7
mv %{buildroot}/%{_mandir}/man7/ctags-lang-verilog.7 %{buildroot}/%{_mandir}/man7/universal-ctags-lang-verilog.7
mv %{buildroot}/%{_mandir}/man7/ctags-optlib.7 %{buildroot}/%{_mandir}/man7/universal-ctags-optlib.7

%post
update-alternatives --install %{_bindir}/ctags ctags %{_bindir}/universal-ctags 11 \
                    --slave %{_bindir}/optscript optscript %{_bindir}/universal-optscript \
                    --slave %{_bindir}/readtags readtags %{_bindir}/universal-readtags \
                    --slave %{_mandir}/man1/ctags.1%{_extension} ctags.1%{_extension} %{_mandir}/man1/universal-ctags.1%{_extension} \
                    --slave %{_mandir}/man1/readtags.1%{_extension} readtags.1%{_extension} %{_mandir}/man1/universal-readtags.1%{_extension} \
                    --slave %{_mandir}/man5/ctags-json-output.5%{_extension} ctags-json-output.5%{_extension} %{_mandir}/man5/universal-ctags-json-output.5%{_extension} \
                    --slave %{_mandir}/man5/tags.5%{_extension} tags.5%{_extension} %{_mandir}/man5/universal-tags.5%{_extension} \
                    --slave %{_mandir}/man7/ctags-client-tools.7%{_extension} ctags-client-tools.7%{_extension} %{_mandir}/man7/universal-ctags-client-tools.7%{_extension} \
                    --slave %{_mandir}/man7/ctags-faq.7%{_extension} ctags-faq.7%{_extension} %{_mandir}/man7/universal-ctags-faq.7%{_extension} \
                    --slave %{_mandir}/man7/ctags-incompatibilities.7%{_extension} ctags-incompatibilities.7%{_extension} %{_mandir}/man7/universal-ctags-incompatibilities.7%{_extension} \
                    --slave %{_mandir}/man7/ctags-lang-asm.7%{_extension} ctags-lang-asm.7%{_extension} %{_mandir}/man7/universal-ctags-lang-asm.7%{_extension} \
                    --slave %{_mandir}/man7/ctags-lang-elm.7%{_extension} ctags-lang-elm.7%{_extension} %{_mandir}/man7/universal-ctags-lang-elm.7%{_extension} \
                    --slave %{_mandir}/man7/ctags-lang-gdscript.7%{_extension} ctags-lang-gdscript.7%{_extension} %{_mandir}/man7/universal-ctags-lang-gdscript.7%{_extension} \
                    --slave %{_mandir}/man7/ctags-lang-inko.7%{_extension} ctags-lang-inko.7%{_extension} %{_mandir}/man7/universal-ctags-lang-inko.7%{_extension} \
                    --slave %{_mandir}/man7/ctags-lang-iPythonCell.7%{_extension} ctags-lang-iPythonCell.7%{_extension} %{_mandir}/man7/universal-ctags-lang-iPythonCell.7%{_extension} \
                    --slave %{_mandir}/man7/ctags-lang-javascript.7%{_extension} ctags-lang-javascript.7%{_extension} %{_mandir}/man7/universal-ctags-lang-javascript.7%{_extension} \
                    --slave %{_mandir}/man7/ctags-lang-julia.7%{_extension} ctags-lang-julia.7%{_extension} %{_mandir}/man7/universal-ctags-lang-julia.7%{_extension} \
                    --slave %{_mandir}/man7/ctags-lang-python.7%{_extension} ctags-lang-python.7%{_extension} %{_mandir}/man7/universal-ctags-lang-python.7%{_extension} \
                    --slave %{_mandir}/man7/ctags-lang-r.7%{_extension} ctags-lang-r.7%{_extension} %{_mandir}/man7/universal-ctags-lang-r.7%{_extension} \
                    --slave %{_mandir}/man7/ctags-lang-rmarkdown.7%{_extension} ctags-lang-rmarkdown.7%{_extension} %{_mandir}/man7/universal-ctags-lang-rmarkdown.7%{_extension} \
                    --slave %{_mandir}/man7/ctags-lang-sql.7%{_extension} ctags-lang-sql.7%{_extension} %{_mandir}/man7/universal-ctags-lang-sql.7%{_extension} \
                    --slave %{_mandir}/man7/ctags-lang-tcl.7%{_extension} ctags-lang-tcl.7%{_extension} %{_mandir}/man7/universal-ctags-lang-tcl.7%{_extension} \
                    --slave %{_mandir}/man7/ctags-lang-verilog.7%{_extension} ctags-lang-verilog.7%{_extension} %{_mandir}/man7/universal-ctags-lang-verilog.7%{_extension} \
                    --slave %{_mandir}/man7/ctags-optlib.7%{_extension} ctags-optlib.7%{_extension} %{_mandir}/man7/universal-ctags-optlib.7%{_extension}

%postun
if [ "$1" -eq 0 ]; then
  if [ -x %{_sbindir}/update-alternatives ]; then
    %{_sbindir}/update-alternatives --remove ctags %{_bindir}/universal-ctags
  fi
fi

%triggerpostun -- ctags < 6.0.0-2
if [ -x %{_sbindir}/update-alternatives ]; then
  %{_sbindir}/update-alternatives --remove ctags %{_bindir}/exuberant-ctags
fi

%files
%{_bindir}/universal-ctags
%{_bindir}/universal-optscript
%{_bindir}/universal-readtags
%{_mandir}/man1/universal-ctags.1*
%{_mandir}/man1/universal-readtags.1*
%{_mandir}/man5/universal-ctags-json-output.5*
%{_mandir}/man5/universal-tags.5*
%{_mandir}/man7/universal-ctags-client-tools.7*
%{_mandir}/man7/universal-ctags-faq.7*
%{_mandir}/man7/universal-ctags-incompatibilities.7*
%{_mandir}/man7/universal-ctags-lang-asm.7*
%{_mandir}/man7/universal-ctags-lang-elm.7*
%{_mandir}/man7/universal-ctags-lang-gdscript.7*
%{_mandir}/man7/universal-ctags-lang-inko.7*
%{_mandir}/man7/universal-ctags-lang-iPythonCell.7*
%{_mandir}/man7/universal-ctags-lang-javascript.7*
%{_mandir}/man7/universal-ctags-lang-julia.7*
%{_mandir}/man7/universal-ctags-lang-python.7*
%{_mandir}/man7/universal-ctags-lang-r.7*
%{_mandir}/man7/universal-ctags-lang-rmarkdown.7*
%{_mandir}/man7/universal-ctags-lang-sql.7*
%{_mandir}/man7/universal-ctags-lang-tcl.7*
%{_mandir}/man7/universal-ctags-lang-verilog.7*
%{_mandir}/man7/universal-ctags-optlib.7*
%doc README.md
