%define major     3
%define libname   %mklibname ctemplate %{major}
%define develname %mklibname ctemplate -d

Summary:        Simple but powerful template language for C++
Name:           ctemplate
Version:        2.4
Release:        %mkrel 2
Group:          System/Libraries
License:        BSD
URL:            https://github.com/olafvdspek/ctemplate
Source:         https://github.com/OlafvdSpek/ctemplate/archive/ctemplate-%{version}.tar.gz
BuildRequires:  libstdc++-devel
BuildRequires:  libtool
BuildRequires:  autoconf
BuildRequires:  python3

%description
The ctemplate package contains a library implementing a simple but
powerful template language for C++.  It emphasizes separating logic
from presentation: it is impossible to embed application logic in this
template language.  This limits the power of the template language
without limiting the power of the template *system*.  Indeed, Google's
"main" web search uses this system exclusively for formatting output.

%package -n     %{libname}
Summary:        Simple but powerful template language for C++
Group:          System/Libraries

%description -n %{libname}
The ctemplate package contains a library implementing a simple but
powerful template language for C++.  It emphasizes separating logic
from presentation: it is impossible to embed application logic in this
template language.  This limits the power of the template language
without limiting the power of the template *system*.  Indeed, Google's
"main" web search uses this system exclusively for formatting output.

%package -n     %{develname}
Summary:        Development files for the %{name} library
Group:          Development/C
Provides:       %{name}-devel = %{version}
Provides:       lib%{name}-devel = %{version}
Requires:       %{libname} = %{version}

%description -n %{develname}
The ctemplate-devel package contains static and debug libraries and header
files for developing applications that use the ctemplate package.

%prep
%autosetup -p1 -n ctemplate-ctemplate-%{version}

%build
# to recognize aarch64
autoreconf -vfi

export PTHREAD_LIBS="-lpthread"
%configure --disable-static
%make_build

%check
make check

%install
%make_install

# cleanup
rm -rf %{buildroot}%{_docdir}/ctemplate-*

# don't ship .la
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc AUTHORS ChangeLog README doc/*
%license COPYING
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*
%{_datadir}/doc/%{name}/*

%files -n %{develname}
%doc AUTHORS
%{_includedir}/ctemplate/
%{_libdir}/pkgconfig/libctemplate*.pc
%{_bindir}/diff_tpl_auto_escape
%{_bindir}/make_tpl_varnames_h
%{_bindir}/template-converter
%{_libdir}/*.so
