%define         majornum        4
%define         libname         %mklibname %{name} %{majornum}
%define         develname       %mklibname %{name} -d
%define         srcname         Cuba
%global        _legacy_common_support 1

Name:           cuba
Version:        4.2.2
Release:        %mkrel 1
Summary:        A library for multidimensional numerical integration
License:        LGPLv3
Group:          Sciences/Computer science

URL:            https://www.feynarts.de/cuba
Source0:        https://www.feynarts.de/cuba/%{srcname}-%{version}.tar.gz
#build shared lib
Patch0:         cuba-4.2.1-shlib.patch
#remove all deps to Wolfwram Mathematica
Patch1:         cuba-4.2-nukewolf.patch
#sanity settings:
#https://github.com/MoMEMta/MoMEMta/blob/master/external/cuba/
#set IPC pages to be removed after process detachment
#increase definition of zero from 1pow(104) -> pow(250)
Patch2:         cuba-4.2-stddecl-safe.patch
Patch3:         cuba-4.2-Qt5.patch

BuildRequires:  gcc-c++
BuildRequires:  gcc-gfortran
%ifarch %{ix86} x86_64
BuildRequires:  quadmath-devel
%endif
BuildRequires:  libgomp-devel
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Widgets)

%description
The Cuba library offers a choice of four independent routines for
multidimensional numerical integration: Vegas, Suave, Divonne, and
Cuhre. All four have a C/C++ and Fortran interface and can integrate
vector integrands. Their invocation is very similar, so it is easy to
substitute one method by another for cross-checking. For further
safeguarding, the output is supplemented by a chi-square probability
which quantifies the reliability of the error estimate. C functions
can be called from Fortran directly, so there is no need for adapter
code. Similarly, linking Fortran code with the library is
straightforward and requires no extra tools. In Fortran and C/C++ the
Cuba library can (and usually does) automatically parallelize the
sampling of the integrand.


%package -n %{libname}
License:        LGPLv3
Summary:        The Cuba library for multidimensional numerical integration
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
The Cuba library offers a choice of four independent routines for
multidimensional numerical integration: Vegas, Suave, Divonne, and
Cuhre. All four have a C/C++ and Fortran interface and can integrate
vector integrands. Their invocation is very similar, so it is easy to
substitute one method by another for cross-checking. For further
safeguarding, the output is supplemented by a chi-square probability
which quantifies the reliability of the error estimate. C functions
can be called from Fortran directly, so there is no need for adapter
code. Similarly, linking Fortran code with the library is
straightforward and requires no extra tools. In Fortran and C/C++ the
Cuba library can (and usually does) automatically parallelize the
sampling of the integrand.


%package -n %{develname}
License:        LGPLv3
Summary:        Headers and modules for the Cuba library
Group:          Development/Other
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Obsoletes:      %{_lib}cuba-static-devel < 4.2-4

%description -n %{develname}
%{summary}.


%prep

%setup -q -n %{srcname}-%{version}
%autopatch -p1
#patch -P 0 -p1 -b .orig
#patch -P 1 -p1 -b .orig
#patch -P 2 -p1 -b .orig
#patch -P 3 -p1 -b .orig


%build
%define _legacy_common_support 1
autoreconf -fi
%configure
#parallel build broken
%__make


%install
%make_install
%__rm -f %{buildroot}%{_datadir}/cuba.pdf

#nuke la files from libtools
find %{buildroot} -name '*.*a' -delete


%files
%doc COPYING cuba.pdf
%{_bindir}/partview


%files -n %{libname}
%{_libdir}/libcuba.so.%{majornum}{,.*}


%files -n %{develname}
%doc ChangeLog
%{_includedir}/*.h
%{_libdir}/libcuba.so

