Summary:	CUDF (Common Upgradeability Description Format) tools and libraries
Name:		cudf
Version:	0.9
Release:	%mkrel 15
License:	LGPLv3 with linking exception
Group:		Development/Other
URL:		https://www.mancoosi.org/cudf/
Source0:	https://gforge.inria.fr/frs/download.php/file/36602/%{name}-%{version}.tar.gz

# Use ounit2.
%global _default_patch_fuzz 2
Patch1:         cudf-0.9-ounit2.patch

BuildRequires:	ocaml-compiler
BuildRequires:	ocaml-ocamlbuild-devel
BuildRequires:	ocaml-findlib-devel
BuildRequires:	ocaml-extlib-devel
BuildRequires:	ocaml-ounit-devel
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	perl

%description
CUDF (for Common Upgradeability Description Format) is a format for describing
upgrade scenarios in package-based Free and Open Source Software distribution.

libCUDF is a library to manipulate so called CUDF documents. A CUDF document
describe an upgrade problem, as faced by package managers in popular
package-based GNU/Linux distributions.

%package	tools
Summary:	CUDF (Common Upgradeability Description Format) command-line tools

%description	tools
This package contains command line tools to manipulate CUDF and related
documents. In particular it contains cudf-check, which enables checking of
document properties such as installation consistency and matching of problems
with their solutions.

%package	devel
Summary:	CUDF (Common Upgradeability Description Format) C development stuff

%description	devel
This package contains the development stuff needed to use libCUDF in your C
programs.

%package -n	ocaml-cudf
Summary:	CUDF (Common Upgradeability Description Format) OCaml development stuff
Group:		Development/OCaml
%rename cudf-ocaml-devel

%description -n	ocaml-cudf
This package contains the development stuff needed to use libCUDF in your OCaml
programs.

%package -n	ocaml-cudf-devel
Summary:	Development files for ocaml-cudf
Group:		Development/OCaml
Requires:	ocaml-cudf = %{version}

%description -n	ocaml-cudf-devel
The ocaml-cudf-devel package contains libraries and signature files for
developing applications that use ocaml-cudf.


%prep
%autosetup -p1

# Add debug tag.
sed 's/pkg_extlib/pkg_extlib, debug/g' -i _tags

%build
make all c-lib
which /usr/bin/ocamlopt > /dev/null && make opt c-lib-opt

%install
make install DESTDIR="%{buildroot}" LIBDIR="%{_libdir}" OCAMLLIBDIR="%{_libdir}/ocaml"

# Install the man page for cudf-check.
mkdir -p %{buildroot}%{_mandir}/man1
cp -a doc/cudf-check.1* %{buildroot}%{_mandir}/man1

# Remove .o files from cudf directory.
rm -rf %{buildroot}%{_libdir}/ocaml/cudf/*.o


%check
make test

%files tools
%{_bindir}/cudf-check
%{_bindir}/cudf-parse-822
%{_mandir}/man1/cudf-check.1*

%files devel
%{_includedir}/cudf.h
%{_libdir}/*.a
%{_libdir}/pkgconfig/cudf.pc

%files -n ocaml-cudf
%dir %{_libdir}/ocaml/cudf
%{_libdir}/ocaml/cudf/META
%{_libdir}/ocaml/cudf/*.cmi
%{_libdir}/ocaml/cudf/*.cma


%files -n ocaml-cudf-devel
%{_libdir}/ocaml/cudf/*.a
%{_libdir}/ocaml/cudf/*.mli
%{_libdir}/ocaml/cudf/*.cmx
%{_libdir}/ocaml/cudf/*.cmxa

