%define _legacy_common_support 1
%global optflags %(echo "%{optflags} -Wno-int-conversion -Wno-incompatible-pointer-types")

%define abi		0
%define libname		%mklibname cuneiform %{abi}
%define develname	%mklibname cuneiform -d

# datafiles must have DOS-style EOL
%define dont_fix_eol	1

Name:		cuneiform-linux
Summary:	A command-line OCR system
Version:	1.1.0
Release:	%mkrel 21
License:	BSD
URL:		https://launchpad.net/cuneiform-linux
Group:		Text tools
Source0:	https://launchpad.net/cuneiform-linux/1.1/1.1/+download/%{name}-%{version}.tar.bz2
Patch0:		cuneiform-size4to5.patch
Patch1:		cuneiform-linux-1.1.0-gcc7.patch
Patch2:		cttypes.patch
Patch3:		cuneiform-linux-1.1.0-deb-gcc-11.patch
Patch4:		cuneiform-linux-1.1.0-mga-wchar_t.patch
Patch5:		0001-cuneiform-1.1.0-gcc14.patch
Patch6:		0001-fix-imagemagick.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(Magick++)

%description
Cuneiform is a multi-language OCR system originally developed
and open sourced by Cognitive Technologies. Cuneiform was
originally a Windows program, which was ported to Linux
by Jussi Pakkanen.

%package -n %{libname}
Summary:	Cuneiform OCR system shared libraries
Group:		System/Libraries

%description -n %{libname}
Cuneiform is a multi-language OCR system originally developed
and open sourced by Cognitive Technologies. Cuneiform was
originally a Windows program, which was ported to Linux
by Jussi Pakkanen.

%package -n %{develname}
Summary:	Cuneiform development files
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	pkgconfig(Magick++)

%description -n %{develname}
Cuneiform is a multi-language OCR system originally developed
and open sourced by Cognitive Technologies. Cuneiform was
originally a Windows program, which was ported to Linux
by Jussi Pakkanen.

This package contains files required only for development purpose.

%prep
%autosetup -p1

%build

%cmake
%cmake_build

%install
cp original\ russian\ readme.rtf original_russian_readme.rtf

%cmake_install

%files
# cuneiform_src/Kern/license.txt is in Russian
%doc issues.txt original_russian_readme.rtf readme.txt cuneiform_src/Kern/license.txt
%{_bindir}/cuneiform
%{_datadir}/cuneiform/*.dat

%files -n %{libname}
%{_libdir}/*.so.%{abi}{,.*}
%{_libdir}/*.so.%{version}

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/cuneiform.h
