%define uname CUnit

%define bad_version 2.1-3

%define	major 1
%define	libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:		cunit
Version:	2.1.3
Release:	%mkrel 6
License:	GPLv2+
Summary:	A Unit Testing Framework for C
Group:		System/Libraries
URL:		https://cunit.sourceforge.net/
Source:		https://sourceforge.net/projects/cunit/files/CUnit/%{bad_version}/%{uname}-%{bad_version}.tar.bz2
Patch0:		%{name}-2.1.0.link_against_ncurses.patch
Patch1:		cunit-2.1-automake-1.13.patch
Patch2:		cunit-2.1.3-mga-curses-format.patch
Patch3:		https://sourceforge.net/p/cunit/patches/24/attachment/patch-cunit_sources_curses_curses.c.diff
BuildRequires:	pkgconfig(ncurses)

%description
CUnit is a lightweight system for writing, administering, and running unit
tests in C.  It provides C programmers a basic testing functionality with a
flexible variety of user interfaces.

CUnit is built as a static library which is linked with the user's testing
code.  It uses a simple framework for building test structures, and provides a
rich set of assertions for testing common data types. In addition, several
different interfaces are provided for running tests and reporting results.
These interfaces currently include:

- Automated: Non-interactive output to xml file
- Basic: Non-interactive flexible programming interface
- Console: Interactive console interface (ansi C)
- Curses: Interactive graphical interface (Unix)

%package -n %{libname}
Summary:	C testing framework
Group:		System/Libraries

%description -n %{libname}
CUnit is a lightweight system for writing, administering, and running unit
tests in C.  It provides C programmers a basic testing functionality with a
flexible variety of user interfaces.

CUnit is built as a static library which is linked with the user's testing
code.  It uses a simple framework for building test structures, and provides a
rich set of assertions for testing common data types. In addition, several
different interfaces are provided for running tests and reporting results.
These interfaces currently include:

- Automated: Non-interactive output to xml file
- Basic: Non-interactive flexible programming interface
- Console: Interactive console interface (ansi C)
- Curses: Interactive graphical interface (Unix)

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{uname}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name} 1 -d

%description -n	%{develname}
This package contains development files for %{name}.

%prep
sed -i 's@ CUnit/@ x/CUnit/@' %{PATCH3}
%autosetup -p1 -n %{uname}-%{bad_version}
chmod 644 AUTHORS NEWS ChangeLog README TODO

%build
autoreconf -f -i
%configure \
	--enable-curses
%make_build

%install
%make_install

# Drop .la file
rm -f  %{buildroot}%{_libdir}/libcunit.la

# ugly, but needed to deal with installed and non-installed documentation
install -d -m 755 %{buildroot}%{_datadir}/doc/%{libname}-devel-%{version}
mv %{buildroot}%{_prefix}/doc/%{uname} \
    %{buildroot}%{_datadir}/doc/%{libname}-devel-%{version}/html
install -m 644 AUTHORS NEWS ChangeLog README TODO \
    %{buildroot}%{_datadir}/doc/%{libname}-devel-%{version} 
rm -rf %{buildroot}%{_prefix}/doc

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_datadir}/doc/%{libname}-devel-%{version}
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{uname}
%{_datadir}/%{uname}
%{_mandir}/man3/*
