Summary:	CUPS printer drivers for Casio USB label printers
Name:		cups-drivers-pegg
Version:	0.23
Release:	%mkrel 18
License:	GPL
Group:		System/Printing
URL:		https://sourceforge.net/apps/mediawiki/pegg/index.php?title=Main_Page
# the http://www.tu-harburg.de/~soda0231/pegg/files/ resource is gone
Source0:	pegg-0.23.tar.bz2
Source1:	xbm2crw-0.4.tar.bz2
Source2:	cups2pegg-0.21a.tar.bz2
Source3:	pegg_el-0.11.tar.bz2
Patch0:		cups-drivers-pegg-0.23-LDFLAGS.diff
Patch1:		cups-drivers-pegg-fix-building-with-gcc14.patch
Requires:	imagemagick
Requires:	cups
BuildRequires:	pkgconfig(libusb)
Conflicts:	cups-drivers = 2007
Conflicts:	printer-utils = 2007
Conflicts:	printer-filters = 2007

%description
CUPS printer drivers for  Casio USB label printers.

This package contains CUPS drivers (PPD) for the following printers:

 o CASIO Computer CO. LTD. EL-700 EL-5000W
 o CASIO Computer CO. LTD. KL-P1000 KL-E11
 o CASIO Computer CO. LTD. KP-C10 KP-C50

%prep

%setup -q -c -T -n %{name}-%{version} -a0 -a1 -a2 -a3
%patch -P 0 -p1
%patch -P 1 -p1

# gunzip the man pages
find -name "*.1.gz" | xargs gunzip

%build

%make_build -C pegg-* CFLAGS="%{optflags}" LIB_PATH="%{_libdir}" LDFLAGS="%{ldflags}"

%make_build -C pegg_el-*/src CFLAGS="%{optflags}" LIB_PATH="%{_libdir}" LDFLAGS="%{ldflags}"

# Suppress logging in cups2pegg backend
perl -p -i -e "s:/var/log/cups/cups2pegg.log:/dev/null:" cups2pegg*/src/cups2pegg

# Fix PPD file
perl -p -i -e 's/^(\*ModelName:).*$/$1 "CASIO Computer CO. LTD. EL-700 EL-5000W"/' cups2pegg-*/src/ppd/casio_el.ppd
perl -p -i -e 's/^(\*ShortNickName:).*$/$1 "CASIO EL-700 EL-5000W"/' cups2pegg-*/src/ppd/casio_el.ppd
perl -p -i -e 's/^(\*ModelName:).*$/$1 "CASIO Computer CO. LTD. KL-P1000 KL-E11"/' cups2pegg-*/src/ppd/casio_kl.ppd
perl -p -i -e 's/^(\*ShortNickName:).*$/$1 "CASIO KL-P1000 KL-E11"/' cups2pegg-*/src/ppd/casio_kl.ppd
perl -p -i -e 's/: Letter/: 128_64/' cups2pegg-*/src/ppd/casio_kl.ppd
perl -p -i -e 's/^(\*ModelName:).*$/$1 "CASIO Computer CO. LTD. KP-C10 KP-C50"/' cups2pegg-*/src/ppd/casio_kp.ppd
perl -p -i -e 's/^(\*ShortNickName:).*$/$1 "CASIO KP-C10 KP-C50"/' cups2pegg-*/src/ppd/casio_kp.ppd
perl -p -i -e 's/: Letter/: 512_64/' cups2pegg-*/src/ppd/casio_kp.ppd

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_prefix}/lib/cups/backend
install -d %{buildroot}%{_datadir}/cups/model/pegg
install -d %{buildroot}%{_mandir}/man1

install -m0755 pegg-*/pegg %{buildroot}%{_bindir}/
install -m0755 pegg_el-*/src/pegg_el %{buildroot}%{_bindir}/
install -m0755 xbm2crw*/xbm2crw %{buildroot}%{_bindir}/
install -m0755 cups2pegg*/src/cups2pegg %{buildroot}%{_prefix}/lib/cups/backend/
install -m0644 pegg-*/pegg.1 %{buildroot}%{_mandir}/man1/
install -m0644 pegg_el-*/src/pegg_el.1 %{buildroot}%{_mandir}/man1/
install -m0644 cups2pegg-*/src/ppd/*.ppd* %{buildroot}%{_datadir}/cups/model/pegg/

rm -rf installed_docs
mkdir -p installed_docs/{pegg_el,xbm2crw,cups2pegg}
cp pegg_el-*/README pegg_el-*/TODO pegg_el-*/INSTALL installed_docs/pegg_el/
cp xbm2crw-*/README installed_docs/xbm2crw/
cp cups2pegg-*/*.png cups2pegg-*/*.html installed_docs/cups2pegg/

%files
%defattr(0644,root,root,0755)
%doc pegg-*/CHANGELOG pegg-*/README pegg-*/LICENSE pegg-*/INSTALL installed_docs/*
%attr(0755,root,root) %{_bindir}/pegg
%attr(0755,root,root) %{_bindir}/pegg_el
%attr(0755,root,root) %{_bindir}/xbm2crw
%attr(0755,root,root) %{_prefix}/lib/cups/backend/cups2pegg
%attr(0755,root,root) %dir %{_datadir}/cups/model/pegg
%attr(0644,root,root) %{_datadir}/cups/model/pegg/*.ppd*
%attr(0644,root,root) %{_mandir}/man1/pegg*.1*


