%define oname printer-driver-ptouch
%define pname ptouch-driver

Summary:	CUPS/foomatic driver for Brother P-touch label printers
Name:		cups-drivers-ptouch
Version:	1.7
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Printing
URL:		https://github.com/philpem/printer-driver-ptouch
Source0:	https://github.com/philpem/%{oname}/releases/download/v%{version}/%{pname}-%{version}.tar.gz
Patch1:		0001-Fix-Brother-QL-600.xml.patch
Requires:	cups
BuildRequires:	pkgconfig(cups)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	ghostscript

%description
The ptouch-driver consists of a CUPS raster filter for driving the family of
Brother P-touch label printers.

This package contains CUPS foomatic drivers for the following printers:
PT-1500PC, PT-18R, PT-1950VP, PT-1950, PT-1960, PT-2300,
PT-2420PC, PT-2430PC, PT-2450DX, PT-2500PC, PT-2600, PT-2610,
PT-3600, PT-550A, PT-P710BT, PT-9200DX, PT-9200PC, PT-9400,
PT-9500PC, PT-9600, PT-9700PC, PT-E550W, PT-P300BT, PT-P700,
PT-P900W, PT-P950NW, PT-PC, QL-500, QL-550, QL-570, QL-650TD,
QL-700, QL-800, QL-810W, QL-820NWB


%prep
%autosetup -p1 -n %{pname}-%{version}

%build
%configure \
    --libdir=%{_prefix}/lib

%make_build

%install
install -d %{buildroot}%{_datadir}/cups/model/%{name}

%make_install

%files
%doc AUTHORS README
%{_prefix}/lib/cups/filter/rastertoptch
%{_datadir}/foomatic/db/source/printer/*.xml
%{_datadir}/foomatic/db/source/driver/*.xml
%{_datadir}/foomatic/db/source/opt/*.xml
%dir %{_datadir}/cups/model/%{name}
