%define rname splix
%define rev 20130826svn315

Summary:	CUPS printer driver for QPDL/SPL2 printers
Name:		cups-drivers-%{rname}
Version:	2.0.1
Release:	%mkrel -c %{rev} 14
License:	GPLv2
Group:		System/Printing
URL:		http://splix.ap2c.org/
#svn checkout svn://svn.code.sf.net/p/splix/code/ splix-code
Source0:	%{rname}-%{version}.%{rev}.tar.gz
Patch0:		%{rname}-2.0.0-ldflags.patch
Patch2:		%{rname}-2.0.0-gcc44.patch
# IEEE 1284 Device IDs
Patch4:		%{rname}-deviceID-fedora.patch
Patch5:		%{rname}-2.0.0-fix-alignment-problem-on-armel-deb.patch
Patch6:		%{rname}-2.0.0-qt5.patch
Requires:	cups
BuildRequires:	cups
BuildRequires:	cups-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	ghostscript
# JBIG1 lossless image compression
BuildRequires:	jbig-devel

%description
This driver is usable by all printer devices which understand the QPDL
(Quick Page Description Language) also known as SPL2 (Samsung Printer Language)
language. It covers several Samsung, Xerox, Lexmark, Toshiba and Dell printers.
Splix doesn't support old SPL(1) printers.

%prep
%setup -q -n %{rname}-%{version}.%{rev}
%autopatch -p1

# remove old PPDs (not sure why some PPDs are outside ppd/)
rm -f *.ppd

%build
pushd ppd
# remove old PPDs
%make_build distclean
popd

%make_build CXXFLAGS="%{optflags} -fPIC `pkg-config Qt5Core --cflags`" \
            LIBS="`pkg-config Qt5Core --libs` %{ldflags}" -C tools
# *.drv.in -> *.drv
%make_build drv
%make_build all V=1 DRV_ONLY=1

%install
%make_install DRV_ONLY=1
mkdir -p %{buildroot}%{_bindir}
install -m0755 tools/decompress %{buildroot}%{_bindir}/%{name}-decompress

cat << EOF > README.urpmi
Installation of the color profile for color printers:
-----------------------------------------------------

	Color printers need color profile files to get better results. These
files are provided by your printer manufacturer and you have to install them
manually. To do that, download the official linux drivers and locate the "cms"
directory. Install the contents to "/usr/share/cups/profiles/\$MANUFACTURER".

	Samsung color profile files are available at:
		(Then use MANUFACTURER=samsung)
		http://splix.ap2c.org/samsung_cms.tar.bz2
EOF

%files
%doc AUTHORS COPYING ChangeLog README THANKS TODO
%doc README.urpmi
%{_bindir}/%{name}-decompress
%{_prefix}/lib/cups/filter/pstoqpdl
%{_prefix}/lib/cups/filter/rastertoqpdl
%{_datadir}/cups/drv/%{rname}-dell.drv
%{_datadir}/cups/drv/%{rname}-lexmark.drv
%{_datadir}/cups/drv/%{rname}-samsung.drv
%{_datadir}/cups/drv/%{rname}-toshiba.drv
%{_datadir}/cups/drv/%{rname}-xerox.drv


