Name:           curaengine
Epoch:          1
Version:        5.4.0
Release:        %mkrel 3
Group:          Sciences/Computer science
Summary:        Engine for processing 3D models into G-code instructions for 3D printers
License:        AGPL-3.0-or-later
URL:            https://github.com/Ultimaker/CuraEngine
Source0:        %{url}/archive/%{version}.tar.gz#/CuraEngine-%{version}.tar.gz

# Cmake bits taken from 4.13.1, before upstream went nuts with conan
Source2:        FindGMock.cmake
Source3:        FindPolyclipping.cmake
Source4:        FindStb.cmake
Source5:        CMakeLists.txt
Source6:        CPackConfig.cmake

# This is some kind of "public" layer of a private logging thing :/
# It's header-only and not usable as a system library,
# so I (churchyard) decided to bundle it for now. Shame on me.
# It's AGPL-3.0-or-later.
%global scripta_version c378c837eeb505146ab67abe0904bfed2099128f
Source7:        https://github.com/Ultimaker/Scripta_public/archive/%{scripta_version}/Scripta_public-%{scripta_version}.tar.gz
Provides:       bundled(scripta) = %{scripta_version}
# The cmake stuff would attempt to git clone this:
# TODO package on it's own
# commit at Jan 29, 2023
%global stb_commit 5736b15f7ea0ffb08dd38af21067c314d6a3aae9
Source8:	https://github.com/nothings/stb/archive/%{stb_commit}/stb-%{stb_commit}.tar.gz

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake(Arcus)
BuildRequires:  pkgconfig(polyclipping) >= 6.1.2
BuildRequires:  pkgconfig(protobuf)
BuildRequires:  pkgconfig(RapidJSON)
BuildRequires:  pkgconfig(protobuf)
BuildRequires:  cmake
BuildRequires:  git-core
BuildRequires:  boost-devel
BuildRequires:  range-v3
BuildRequires:  cmake(fmt)
BuildRequires:  cmake(spdlog)

Patch0:         CuraEngine-static-libstdcpp.patch
# Patch for fmtlib 10, from https://github.com/Ultimaker/CuraEngine/commit/5a4ca90594f965b6a5e6af626a5c508185277162
Patch1:         CuraEngine-5.4.0-fmt10.patch


%description
CuraEngine is a C++ console application for 3D printing G-code generation. It
has been made as a better and faster alternative to the old Skeinforge engine.

This is just a console application for G-code generation. For a full graphical
application look at cura with is the graphical frontend for CuraEngine.

%prep
%setup -q -n CuraEngine-%{version} -a8

mv stb-%{stb_commit} stb
cp stb/stb_image.h include/
mkdir cmake
cp -a %{SOURCE2} %{SOURCE3} %{SOURCE4} cmake
rm -rf CMakeLists.txt
cp -a %{SOURCE5} %{SOURCE6} .

tar xf %{SOURCE7}
mv Scripta_public-%{scripta_version}/include/scripta/ include/

%patch -P0 -p1
%patch -P1 -p1

# bundled libraries
rm -rf libs


%build
%cmake \
  -DSET_RPATH:BOOL=OFF \
  -DBUILD_SHARED_LIBS:BOOL=OFF \
  -DCURA_ENGINE_VERSION:STRING=%{version} \
  -DUSE_SYSTEM_LIBS:BOOL=ON \
  -DCMAKE_CXX_FLAGS_RELEASE_INIT:STRING="%{optflags} -fPIC" \
  -DStb_INCLUDE_DIRS:PATH==%{_builddir}/CuraEngine-%{version}/stb
%cmake_build


%install
%cmake_install


%check
# Smoke test
%{buildroot}%{_bindir}/CuraEngine help

%files
%doc LICENSE README.md
%{_bindir}/CuraEngine
