# comment out when not a pre-release
%define prel    RC1

Name:           cutecom
Summary:        A graphical serial terminal, like minicom or Hyperterminal on Windows
Version:        0.60.0
Release:        %mkrel %{?prel:0.rc1.}1
License:        GPLv3+
Group:          Communications/Serial
URL:            https://gitlab.com/cutecom/cutecom
Source0:        https://gitlab.com/cutecom/cutecom/-/archive/v%{version}%{?prel:-%prel}/%{name}-v%{version}%{?prel:-%prel}.tar.gz

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6SerialPort)
BuildRequires:  cmake(Qt6Widgets)

# Required for xmodem support
Requires:       lrzsz

%description
CuteCom is a graphical serial terminal, like minicom or Hyperterminal on
Windows. It is aimed mainly at hardware developers or other people who need
a terminal to talk to their devices.

%prep
%autosetup -p1 -n %{name}-v%{version}%{?prel:-%prel}

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

# Upstream script does not install the .desktop file if KDE is not installed,
# so we install it manually:
desktop-file-install \
   --remove-key=Path --remove-key=Encoding \
   --add-category=System \
   --dir %{buildroot}%{_datadir}/applications/ \
   cutecom.desktop

%files
%doc CREDITS README.md Changelog TODO
%license LICENSE
%{_bindir}/cutecom
%{_mandir}/man1/cutecom.1*
%{_datadir}/applications/cutecom.desktop
%{_iconsdir}/hicolor/scalable/apps/cutecom.svg
%{_iconsdir}/hicolor/*/apps/cutecom.png
%{_metainfodir}/com.gitlab.cutecom.cutecom.appdata.xml
