%define uname CuteCW

Summary:	Morse Code Training Software
Name:		cutecw
Version:	2.0
Release:	%mkrel 1
License:	GPLv2
Group:		Communications/Radio
URL:		https://github.com/hardaker/CuteCW
Source0:	https://github.com/hardaker/%{uname}/releases/tag/%{version}/%{uname}-%{version}.tar.gz
Source1:	%{name}.desktop

Patch1:		cutecw-2.0-mga-fix_target_path.patch

BuildRequires:	qt6core-devel
BuildRequires:	qt6multimedia-devel
BuildRequires:	qtwidgets6-devel
BuildRequires:	qt6xml-devel
BuildRequires:	desktop-file-utils

%description
Most Morse code training requires you to learn everything at once
without a training process. This application changes that and
separates training into phases.
The term 'CW' is often incorrectly used to refer to Morse code.
In reality it is the carrier wave mode, commonly used to transmit Morse code.

%prep
%autosetup -p1 -n %{uname}-%{version}

%build
%qmake_qt6 PREFIX=%{_prefix} QMAKE_LFLAGS_RPATH=

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%{__mkdir_p} %{buildroot}%{_iconsdir}/hicolor/scalable/apps/
%{__cp} icons/%{name}.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/
%{__mkdir_p} %{buildroot}%{_datadir}/%{name}
%{__cp} -r words %{buildroot}%{_datadir}/%{name}/
%{__cp} -r books %{buildroot}%{_datadir}/%{name}/
%{__cp} %{SOURCE1} .

desktop-file-install --vendor="" \
    --dir %{buildroot}%{_datadir}/applications %{name}.desktop

%files 
%doc LICENSE README.org
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/apps/*.svg
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
