%global sum	A tetris-styled game with many different levels

Summary:	%{sum}
Name:		cuyo
Url:		https://www.karimmi.de/cuyo/
Version:	2.1.0
Epoch:		1
Release:	%mkrel 7
Source0:	https://download.savannah.gnu.org/releases/cuyo/%{name}-%{version}.tar.gz
License:	GPLv2
Group:		Games/Puzzles

BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_mixer)

%description
Cuyo is a Tetris-style puzzle game for up to two players. The player
controls falling blocks of various types which change with each level.

When enough blocks of the same type come together, they explode.
The goal of each level is to blow special stones away.
But what "of the same type" and "together" means varies with the levels.

%prep
%setup -q

%build
%configure	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications/
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Cuyo
GenericName=Tetris-style game
Comment=%{sum}
Type=Application
Exec=%{name}
Icon=%{name}
Categories=Game;LogicGame;
EOF

%find_lang %{name}

%files -f %{name}.lang
%{_gamesbindir}/%{name}
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/*
%{_mandir}/man6/cu*.6*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/64x64/apps/%{name}.png
