Summary:	CVE reporting tool
Name: 		cvechecker
Version: 	4.0
Release: 	%mkrel 2
Group: 		System/Servers
License: 	GPLv3
URL:		https://github.com/sjvermeu/cvechecker/wiki
Source0: 	https://github.com/sjvermeu/cvechecker/archive/%{name}-%{version}/%{name}-%{version}.tar.gz
Patch:		cvechecker-c99.patch

BuildRequires:	pkgconfig(libbsd)
BuildRequires:	pkgconfig(libconfig)
BuildRequires:	mysql-devel
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(sqlite3)
Requires:	wget
Requires:	xsltproc
Requires:	jq

%description
cvechecker reports about possible vulnerabilities on your system by scanning
the installed software and matching the results with the CVE database. This is
not a bullet-proof method and you will most likely have many false positives,
but it is still better than nothing, especially if you are running a
distribution with little security coverage.

%prep
%setup -q -n %{name}-%{name}-%{version}
%autopatch -p1

%build
autoreconf -vfi
%configure \
    --localstatedir=%{_sharedstatedir} \
    --enable-sqlite3 \
    --enable-mysql
%make_build

%install
%make_install

rm -rf %{buildroot}%{_docdir}/*

%files
%doc README.md ChangeLog docs/userguide.xml
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/cvechecker.conf
%{_bindir}/*
%attr(0644,root,root) %{_mandir}/man1/*
%{_datadir}/cvechecker
%dir %{_sharedstatedir}/cvechecker
%dir %{_sharedstatedir}/cvechecker/local
%dir %{_sharedstatedir}/cvechecker/cache


