Name:           cvs-fast-export
Version:        1.68
Release:        %mkrel 1
Summary:        Export an RCS or CVS history as a fast-import stream
Group:          Development/Other
License:        GPLv2+
URL:            http://www.catb.org/esr/cvs-fast-export/
Source0:        http://www.catb.org/~esr/cvs-fast-export/%{name}-%{version}.tar.gz
BuildRequires:  asciidoc
BuildRequires:  asciidoctor
BuildRequires:  pkgconfig(zlib)
# Requires cvs only with --no-cvs-direct, but I cannot imagine this dep
# being a problem on systems where cvsps will be installed...
Requires:       cvs
Requires:       python3
Obsoletes:	cvsps < 2.2b1-10
Provides:	cvsps

%description
cvs-fast-export, formerly "parsecvs", does what its new name implies:
exports CVS repositories in a format suitable for git fast-import.
This program analyzes a collection of RCS files in a CVS repository
(or outside of one) and, when possible, emits an equivalent history
in the form of a fast-import stream. Not all possible histories can
be rendered this way; the program tries to emit useful warnings when
it can't. The program can also produce a visualization of the
resulting commit DAG in the DOT format handled by the graphviz suite.
The distribution includes a tool, cvssync, for fetching masters from
CVS remote repositories so cvs-fast-export can see them.  You will
need rsync installed to use it.
A wrapper script called cvsconvert runs a conversion to git and
looks for content mismatches with the original CVS.  You will need
CVS and Git installed to use it.
Also included is a tool called cvsreduce that strips content out of
trees of RCS/CVS masters, leaving only metadata structure in place.

%prep
%autosetup -p1


%build
# (daviddavid) parallel build broke asciidoc
%__make CFLAGS="%{optflags} -pthread" LDFLAGS="%{ldflags}"


%install
%make_install prefix=%{_prefix} mandir=%{buildroot}%{_mandir}

# python shebang
%py3_shebang_fix %{buildroot}%{_bindir}/*


%files
%doc NEWS.adoc README.adoc
%{_bindir}/%{name}
%{_bindir}/cvsconvert
%{_bindir}/cvssync
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/cvsconvert.1*
%{_mandir}/man1/cvssync.1*
