Name:		cwstudio
Summary:	Morse code practice software with extended features
Version:	0.9.7
Release:	%mkrel 5
License:	GPLv2
Url:		https://cwstudio.sourceforge.net/
Group:		Communications/Radio
Source0:	https://downloads.sourceforge.net/project/%{name}/%{name}-%{version}.tar.gz
Source1:	%{name}.png

BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	wxgtk-devel

%description
CWStudio is a fast, computationally efficient and portable generator of various
CW signals for telegraphy training purposes.
Besides efficiency and portability, it is designed to simulate as accurately
as possible real receiving conditions.
It can generate signals of various complexity, from one sine signal without any
noise, to AGC-like complex signals mixed with possible hum, chirp, detuning,
hand irregularities and so on.
The interface is a clean easy to use, modern GUI.

This package also installs CWCURSES which is a retro TUI (text user interface)
version.

It also installs the CWCLI batch generator and player. See the man page.

%prep
%setup -q

%build
libtoolize --copy --force --install
aclocal
automake -acf

%configure

%make_build

%install
%make_install

# Icon
mkdir %{buildroot}%{_iconsdir}
install -m755 %{SOURCE1} %{buildroot}%{_iconsdir}/%{name}.png

# Desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Comment[en_GB]=Fully featured Morse code tutor
Comment=Fully featured Morse code tutor
Exec=cwwx
Icon=%{name}
Name=CWStudio
Name[en_GB]=CWStudio
GenericName=CWStudio
GenericName[en_GB]=CWStudio
Type=Application
StartupNotify=true
Categories=Education;HamRadio;X-Mageia-CrossDesktop;

EOF

%files
%doc AUTHORS README
%{_bindir}/cwwx
%{_bindir}/cwcurses
%{_bindir}/cwcli
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_mandir}/man1/%{name}.1*
