# NOTE: when updating, make sure tntnet and vdr-plugin-live still build. -Anssi

%define major	10
%define libname	%mklibname cxxtools %major
%define devname	%mklibname cxxtools -d

Summary:	Toolbox with reusable c++ components
Name:		cxxtools
Version:	3.0
Release:	%mkrel 1
License:	LGPLv2.1+
Group:		System/Libraries
URL:		https://www.tntnet.org/
Source0:	https://www.tntnet.org/download/%name-%version.tar.gz
Patch0:         cxxtools-3.0-arm.patch
Patch2:		cxxtools-3.0-gcc11.patch
Patch3:		cxxtools-3.0-i686.patch
Patch4:		cxxtools-3.0-ppc64le.patch
Patch5:		cxxtools-3.0-timer.patch
Patch10:	cxxtools-3.0-linking.patch
BuildRequires:	openssl-devel
Provides:       bundled(md5-polstra)

%description
Toolbox with reusable c++ components.

%package -n %libname
Summary:	Shared library of cxxtools
Group:		System/Libraries

%description -n %libname
Toolbox with reusable c++ components.

%package -n %devname
Summary:	Headers and development library for cxxtools
Group:		Development/C++
Requires:	%libname = %version
Provides:	cxxtools-devel = %version-%release

%description -n %devname
Toolbox with reusable c++ components.

%prep
%autosetup -p0 -n %{name}-%{version}

%build
autoreconf -fi
%configure \
%ifarch %{arm32} %{arm64}
	--with-atomictype=pthread \
%endif
	--disable-static \
	--disable-demos
%make_build

%install
%make_install

%check
export TZ=UTC
LD_LIBRARY_PATH=%{buildroot}%{_libdir} ./test/.libs/alltests

%files
%license COPYING
%doc README AUTHORS
%{_bindir}/cxxtz
%{_bindir}/siconvert

%files -n %libname
%{_libdir}/*.so.%{major}{,.*}

%files -n %devname
%doc README AUTHORS
%{_bindir}/cxxtools-config
%{_libdir}/*.so
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/cxxtools*.pc
