%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		d-feet
Version:	0.3.16
Release:	%mkrel 6
Summary:	D-Feet is a D-Bus debugger
License:	GPLv2+
Group:		Development/Other
URL:		https://wiki.gnome.org/Apps/DFeet
Source0:	https://download.gnome.org/sources/d-feet/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		d-feet-build-with-meson61.patch
BuildArch:	noarch
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(pep8)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-pycodestyle
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.6
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	gnome-common
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	gettext
BuildRequires:	meson
BuildRequires:	yelp-tools
Requires:	python3dist(dbus-python)
Requires:	python3dist(pygobject)

%description
D-Feet is a D-Bus debugger written in PyGtk by John (J5) Palmieri.
It allows :
* to view names on any bus,
* to view exported objects, interfaces, methods and signals,
* to view the full command line of services on the bus,
* and to execute methods with parameters on the bus and see their
 return values.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

#fix desktop file
desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/org.gnome.dfeet.desktop

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS README.md
%license COPYING
%{python3_sitelib}/*
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/apps/*.svg
%{_datadir}/applications/org.gnome.dfeet.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.dfeet.gschema.xml
%{_metainfodir}/org.gnome.dfeet.appdata.xml
