Summary:	Web Downloader for X
Name:		d4x
Version:	2.5.7.1
Release:	%mkrel 22
License:	Artistic
Group:		Networking/File transfer
Source:		%{name}-%{version}.tar.bz2
Source1:	%{name}-zh_TW.po.bz2
Source2:	%{name}-pt_BR.po.bz2
Source3:	%{name}-de.po.bz2
Patch0:		%{name}-2.5.7.1-fix-deprecated-gtk.patch
Patch1:		%{name}-2.5.7.1-fix-str-fmt.patch
Patch2:		%{name}-2.5.7.1-gcc4.4.patch
Patch3:		%{name}-2.5.7.1-remove-esd-check.patch
Patch4:		%{name}-2.5.7.1-link.patch
Patch5:		%{name}-2.5.7.1-mga-desktop-file.patch
Patch6:		%{name}-2.5.0-alt-be-locale.patch
Patch7:		%{name}-2.5.7.1-mga-wrong-var.patch
URL:		http://www.krasu.ru/soft/chuchelo/
BuildRequires:	pkgconfig(ao)
BuildRequires:	gtk+2-devel
BuildRequires:	imagemagick
BuildRequires:	pkgconfig(openssl)
BuildRequires:	gettext-devel
BuildRequires:	desktop-file-utils
BuildRequires:	boost-devel
Obsoletes:	nt
Provides:	nt

%description
This program lets you download files from internet/intranet using
ftp, http or https protocol.
Main features:
    * multithreaded design
    * convient user-friendly interface
    * automatic resuming after connection breaks
    * multiple simultaneous downloads
    * recursive ftp and http downloading
    * wildcards support for ftp recursing
    * proxy support (ftp and http)
    * supports for traffic limitation
    * mass downloading function
    * and other ...

%prep
%setup -q
%patch -P 0 -p0
%patch -P 1 -p0
%patch -P 2 -p0
%patch -P 3 -p0
%patch -P 4 -p0
%patch -P 5 -p1
%patch -P 6 -p1
%patch -P 7 -p1
bzcat %{SOURCE2} > po/pt_BR.po
bzcat %{SOURCE3} > po/de.po

%build
autoreconf -fi
%configure \
	--enable-release \
	--disable-esd \
	--disable-oss \
	--enable-libao

# force gmo file regeneration
rm -f po/stamp-po
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 share/%{name}_aqua.png %{buildroot}%{_datadir}/pixmaps/
install -m 644 share/nt-gray.png %{buildroot}%{_datadir}/pixmaps/
install -m 644 share/nt.png %{buildroot}%{_datadir}/pixmaps/

install -m 644 -D share/nt.desktop %{buildroot}%{_datadir}/applications/nt.desktop

mkdir -p %{buildroot}%{_miconsdir} \
	  %{buildroot}%{_liconsdir} \
	  %{buildroot}%{_iconsdir}

install -m 644 share/nt.png %{buildroot}%{_iconsdir}/nt.png
convert -size 16x16 share/nt.png %{buildroot}%{_miconsdir}/nt.png
convert -size 48x48 share/nt.png %{buildroot}%{_liconsdir}/nt.png

# traditional Chinese translation
if test ! -d %{buildroot}%{_datadir}/locale/zh_TW/LC_MESSAGES; then
  mkdir -p %{buildroot}%{_datadir}/locale/zh_TW/LC_MESSAGES
  bzcat %{SOURCE1} | msgfmt -o %{buildroot}%{_datadir}/locale/zh_TW/LC_MESSAGES/%{name}.mo -
fi

# man page for all binaries
cp -f %{buildroot}%{_mandir}/man1/nt.1 %{buildroot}%{_mandir}/man1/%{name}.1

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog README* PLANS TODO
%{_bindir}/*
%{_datadir}/applications/nt.desktop
%{_miconsdir}/nt.png
%{_iconsdir}/nt.png
%{_liconsdir}/nt.png
%{_datadir}/pixmaps/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_mandir}/man1/nt.1*
%{_mandir}/man1/%{name}.1*
