%define major 2
%define libname %mklibname %{name} %{major}

%define sfbpfmajor 0
%define libsfbpf %mklibname sfbpf %{sfbpfmajor}

%define develname %mklibname %{name} -d

Name:		daq
Version:	2.0.7
Release:	%mkrel 3
Summary:	Data Acquisition library, for packet I/O
License:	GPLv2+
Group:		Networking/Other
URL:		https://www.snort.org/
Source:		https://www.snort.org/downloads/snort/%{name}-%{version}.tar.gz
BuildRequires:	pcap-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pkgconfig(libnetfilter_queue)
BuildRequires:	dnet-devel
BuildRequires:	pkgconfig(libipq)
BuildRequires:	pkgconfig(xtables)

%description
Snort 2.9 introduces the DAQ, or Data Acquisition library, for packet I/O.  The
DAQ replaces direct calls to PCAP functions with an abstraction layer that
facilitates operation on a variety of hardware and software interfaces without
requiring changes to Snort.  It is possible to select the DAQ type and mode
when invoking Snort to perform PCAP readback or inline operation, etc.  The
DAQ library may be useful for other packet processing applications and the
modular nature allows you to build new modules for other platforms.

%package -n %{libname}
Summary:	Main library for daq
Group:		System/Libraries

%description -n %{libname}
Snort 2.9 introduces the DAQ, or Data Acquisition library, for packet I/O.  The
DAQ replaces direct calls to PCAP functions with an abstraction layer that
facilitates operation on a variety of hardware and software interfaces without
requiring changes to Snort.  It is possible to select the DAQ type and mode
when invoking Snort to perform PCAP readback or inline operation, etc.  The
DAQ library may be useful for other packet processing applications and the
modular nature allows you to build new modules for other platforms.

%package -n %{libsfbpf}
Summary:	Library for daq
Group:		System/Libraries
Conflicts:	%{_lib}daq1 < %{version}-%{release}
Conflicts:	%{_lib}daq0 < %{version}-%{release}

%description -n %{libsfbpf}
Snort 2.9 introduces the DAQ, or Data Acquisition library, for packet I/O.  The
DAQ replaces direct calls to PCAP functions with an abstraction layer that
facilitates operation on a variety of hardware and software interfaces without
requiring changes to Snort.  It is possible to select the DAQ type and mode
when invoking Snort to perform PCAP readback or inline operation, etc.  The
DAQ library may be useful for other packet processing applications and the
modular nature allows you to build new modules for other platforms.

%package modules
Summary:	Bundled DAQ modules
Group:		System/Libraries

%description modules
Contains the DAQ modules that come bundled with the base LibDAQ distribution.

%package -n %{develname}
Summary:	Header files for the dssl library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libsfbpf} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	openssl-devel
Requires:	libpcap-devel
Requires:	zlib-devel

%description -n %{develname}
Snort 2.9 introduces the DAQ, or Data Acquisition library, for packet I/O.  The
DAQ replaces direct calls to PCAP functions with an abstraction layer that
facilitates operation on a variety of hardware and software interfaces without
requiring changes to Snort.  It is possible to select the DAQ type and mode
when invoking Snort to perform PCAP readback or inline operation, etc.  The
DAQ library may be useful for other packet processing applications and the
modular nature allows you to build new modules for other platforms.

%prep
%setup -q

%build
%global optflags %(echo "%{optflags} -Wno-incompatible-pointer-types")

%configure --disable-ipfw-module
# Parallel builds sometimes fail unless this is built first
%__make -C sfbpf sf_grammar.c
%make_build

%install
%make_install

# Remove the .la files
find %{buildroot} -name '*.la' -delete

%files modules
%{_libdir}/daq

%files -n %{libname}
%doc README
%{_libdir}/libdaq.so.%{major}
%{_libdir}/libdaq.so.%{major}.*

%files -n %{libsfbpf}
%{_libdir}/libsfbpf.so.%{sfbpfmajor}
%{_libdir}/libsfbpf.so.%{sfbpfmajor}.*

%files  -n %{develname}
%{_bindir}/daq-modules-config
%{_includedir}/daq.h
%{_includedir}/daq_api.h
%{_includedir}/daq_common.h
%{_includedir}/sfbpf.h
%{_includedir}/sfbpf_dlt.h
%{_libdir}/libdaq_static.a
%{_libdir}/libdaq_static_modules.a
%{_libdir}/libsfbpf.a
%{_libdir}/libsfbpf.so
%{_libdir}/libdaq.so
%{_libdir}/libdaq.a
