%define major		6000
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Shell command to back up directory trees and files
Name:		dar
Version:	2.7.16
Release:	%mkrel 1
License:	GPLv2+
Group:		Archiving/Backup
URL:		http://dar.linux.free.fr/
Source0:	https://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	gcc-c++
BuildRequires:	bzip2
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(libargon2)
BuildRequires:	pkgconfig(libattr)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(lzo2)
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(libzstd)
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	pkgconfig(gpgme)
BuildRequires:	acl-devel
BuildRequires:	gettext-devel
BuildRequires:	rsync-devel
BuildRequires:	groff
BuildRequires:	doxygen

%description
DAR is a command line tool to backup a directory tree and files. DAR is
able to make differential backups, split them over a set of disks or files
of a given size, use compression, filter files or subtrees to be saved or
not saved, directly access and restore given files. DAR is also able
to handle extended attributes, and can make remote backups through an
ssh session for example. Finally, DAR handles save and restore of hard
and symbolic links.

%package -n 	%{libname}
Group:		System/Libraries
Summary:	Shared library for %{name}

%description -n	%{libname}
DAR is a command line tool to backup a directory tree and files. DAR is
able to make differential backups, split them over a set of disks or files
of a given size, use compression, filter files or subtrees to be saved or
not saved, directly access and restore given files. DAR is also able
to handle extended attributes, and can make remote backups through an
ssh session for example. Finally, DAR handles save and restore of hard
and symbolic links.


%package -n	%{develname}
Group:		Development/Other
Summary:	Development headers for %{name}
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
DAR is a command line tool to backup a directory tree and files. DAR is
able to make differential backups, split them over a set of disks or files
of a given size, use compression, filter files or subtrees to be saved or
not saved, directly access and restore given files. DAR is also able
to handle extended attributes, and can make remote backups through an
ssh session for example. Finally, DAR handles save and restore of hard
and symbolic links.

%prep
%autosetup -p1

%build
%configure \
	--enable-mode=64 \
	--disable-dar-static \
	--disable-static \
	--disable-upx
%make_build

%install
%make_install

# fix-up docs
install -m 644 doc/samples/README README.samples

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%doc README.samples doc/samples/cdbackup.sh doc/samples/darrc_sample doc/samples/sample1.txt
%doc doc/mini-howto/dar-differential-backup-mini-howto.*.html
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}rc

%files -n %{libname}
%{_libdir}/libdar*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/libdar*.so
%{_libdir}/pkgconfig/lib%{name}*.pc
