Summary:	The Debian Almquist Shell (formerly NetBSD's ash)
Name:		dash
Version:	0.5.12
Release:	%mkrel 2
License:	BSD and GPLv2+
Group:		Shells
URL:		http://gondor.apana.org.au/~herbert/dash/
Source0:	http://gondor.apana.org.au/~herbert/dash/files/%{name}-%{version}.tar.gz
Source1:	aarch64-stat64.patch
Patch1:		dash-0.5.7-hack-to-fix-test-build.patch
Patch2:		dash-gcc14.patch
Requires(post):		rpm-helper
Requires(postun):	rpm-helper
# explicit file provide:
# (tmb) keep old path provide too for now to avoid breakage
Provides:	/bin/dash
Provides:	/usr/bin/dash
BuildRequires:	bison
BuildRequires:	dietlibc-devel

%description
"dash" is a POSIX compliant shell that is much smaller than "bash".
Dash supports many features that a real sh shell would support, however
it is much smaller in size. This becomes an advantage in situations
where there is a lack of memery (initial ram-disks, etc). dash does
lack a few features, like command line history.

dash is the continuation of the original NetBSD ash fork. dash is much
more up-to-date, and properly maintained.

You should install dash if you need a near featureful lightweight shell
that is similar to GNU's bash.

%package static
Summary:	The Debian Almquist Shell (statically compiled)
License:	BSD
Group:		Shells
Provides:	ash
Conflicts:	dash < 0.5.4-3
# explicit file provide:
# (tmb) keep old path provide too for now to avoid breakage
Provides:	/bin/dash.static
Provides:	/usr/bin/dash.static

%description static
"dash" is a POSIX compliant shell that is much smaller than "bash".
Dash supports many features that a real sh shell would support, however
it is much smaller in size. This becomes an advantage in situations
where there is a lack of memery (initial ram-disks, etc). dash does
lack a few features, like command line history.

dash is the continuation of the original NetBSD ash fork. dash is much
more up-to-date, and properly maintained.

You should install dash if you need a near featureful lightweight shell
that is similar to GNU's bash.

This version is statically compiled.

%prep
%autosetup -p1

%ifarch aarch64
patch -p1 < %{_sourcedir}/aarch64-stat64.patch
sed -i -e 's,stat64,stat,g' src/bltin/test.c src/exec.c src/expand.c src/mail.c src/redir.c src/main.c src/cd.c src/var.c
%endif

%build
export CPPFLAGS="-D_POSIX_C_SOURCE=200809L"
export CFLAGS="%{optflags} -Os"
export CXXFLAGS=$CFLAGS

autoreconf -vfi
%configure

# Build dynamically linked dash first
%make_build
mv src/dash src/dash.dynamic

# Build statically linked dietlibc dash last
make clean

export CC="diet -v gcc"
%configure
%make_build
strip src/dash
mv src/dash src/dash.static

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1

install -m 755 src/dash.dynamic %{buildroot}%{_bindir}/dash
install -m 644 src/dash.1 %{buildroot}%{_mandir}/man1/dash.1

install -m 755 src/dash.static %{buildroot}%{_bindir}/dash.static

ln -s %{_bindir}/dash.static %{buildroot}%{_bindir}/ash
ln -s %{_mandir}/man1/dash.1 %{buildroot}%{_mandir}/man1/ash.1

%post
%_add_shell_helper %{name} $1 %{_bindir}/dash

%postun
%_del_shell_helper %{name} $1 %{_bindir}/dash

%files
%doc ChangeLog
%license COPYING
%{_bindir}/dash
%{_mandir}/man1/*

%files static
%doc ChangeLog
%license COPYING
%{_bindir}/dash.static
%{_bindir}/ash
