%define rel		2

Summary:		Graphical predictive text entry system
Name:			dasher
Version:		5.0.0
Release:		%mkrel 0.8.beta.%{rel}
License:		GPLv2+
Group:			Accessibility
URL:			https://www.inference.org.uk/dasher/
# Source0:		https://download.gnome.org/sources/%%{name}/%%{version}/%%{name}-%%{version}.tar.bz2
# Taken from https://gitlab.gnome.org/GNOME/dasher
# Version is from the git Makefile there and not related to anything current
Source0:		%{name}-%{version}-beta-20230115.tar.xz
Patch0:			%{name}-5.0.0-mga-c-linkage.patch
BuildRequires:		pkgconfig(gtk+-3.0)
BuildRequires:		pkgconfig(expat)
BuildRequires:		pkgconfig(atspi-2)
BuildRequires:		pkgconfig(speech-dispatcher)
BuildRequires:		gnome-common
BuildRequires:		yelp-tools
BuildRequires:		perl(XML::Parser)
BuildRequires:		desktop-file-utils
BuildRequires:		intltool
BuildRequires:		itstool

%description
Dasher is an information-efficient text-entry interface, driven by natural
continuous pointing gestures. Dasher is a competitive text-entry system
wherever a full-size keyboard cannot be used.

%prep
%autosetup -n %{name}-%{version}-beta -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

%find_lang %{name} --with-gnome

desktop-file-install --vendor="" \
  --add-category="Accessibility" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%files -f %{name}.lang
%doc README.md AUTHORS
%license COPYING
%{_bindir}/*
%{_datadir}/applications/dasher.desktop
%{_datadir}/dasher/
%{_iconsdir}/hicolor/scalable/apps/dasher.svg
%{_iconsdir}/hicolor/48x48/apps/dasher.png
%{_mandir}/man1/*
