%define bootstrap 1
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

Name:           dblatex
Version:        0.3.12
Release:        %mkrel 6
Summary:        DocBook to LaTeX/ConTeXt Publishing
Group:          Publishing
License:        GPLv2+
URL:            https://dblatex.sourceforge.net/
Source0:        https://downloads.sourceforge.net/dblatex/dblatex3-%{version}.tar.bz2
# Source1 is from http://docbook.sourceforge.net/release/xsl/current/COPYING
Source1:	COPYING-docbook-xsl
Patch0:		dblatex-0.3.11-disable-debian.patch
Patch1:		dblatex-0.3.11-which-shutil.patch
Patch2:         dblatex-0.3.11-replace-inkscape-by-rsvg.patch
# Patch3 sent upstream: https://sourceforge.net/p/dblatex/patches/12/
Patch3:         dblatex-0.3.12-replace-imp-by-importlib.patch
# Patch4 sent upstream: https://sourceforge.net/p/dblatex/patches/13/
Patch4:         dblatex-0.3.12-adjust-submodule-imports.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  libxslt-proc
BuildRequires:  texlive
%if !%bootstrap
BuildRequires:  saxon-scripts
BuildRequires:  imagemagick
Requires:       imagemagick
%endif
BuildRequires:  latex
BuildRequires:  texlive-texmf
Requires:       libxslt-proc docbook-dtd44-xml xmltex latex
Requires:       transfig
#BuildRequires:  tetex-fonts
Recommends:     rsvg-convert
Requires(post): texlive
Requires(postun): texlive

%description
dblatex is a program that transforms your SGML/XMLDocBook
documents to DVI, PostScript or PDF by translating them
into pure LaTeX as a first process.  MathML 2.0 markups
are supported, too. It started as a clone of DB2LaTeX.

%prep
%autosetup -p1 -n %{name}3-%{version}

rm -rf lib/contrib
%py3_shebang_fix .

%build
%py3_build

%install
%py3_install

# fix shebang
%py3_shebang_fix %{buildroot}%{_bindir}/dblatex

# these are already in tetex-latex:
for file in bibtopic.sty enumitem.sty ragged2e.sty passivetex/; do
  rm -rf $RPM_BUILD_ROOT%{_datadir}/dblatex/latex/misc/$file
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/texmf/tex/latex/dblatex
for file in ` find $RPM_BUILD_ROOT%{_datadir}/dblatex/latex/ -name '*.sty' ` ; do
  mv $file $RPM_BUILD_ROOT%{_datadir}/texmf/tex/latex/dblatex/`basename $file`;
done

rm -rf $RPM_BUILD_ROOT%{_datadir}/dblatex/latex/{misc,contrib/example,style}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/dblatex
# shipped in %%docs
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/

sed -e 's/\r//' xsl/mathml2/README > README-xsltml
touch -r xsl/mathml2/README README-xsltml
cp -p %{SOURCE1} COPYING-docbook-xsl



%files
%{_mandir}/man1/dblatex.1*
%doc COPYRIGHT docs/manual.pdf COPYING-docbook-xsl README-xsltml
%{python3_sitelib}/dbtexmf/
%{python3_sitelib}/dblatex-*.egg-info
%{_bindir}/dblatex
%{_datadir}/dblatex/
%{_datadir}/texmf/tex/latex/dblatex/
%dir %{_sysconfdir}/dblatex

%post -p /usr/bin/texhash

%postun -p /usr/bin/texhash
