%define	_name	dbp
%define abi_version 2.0

Name:		dbp-gimp
Version:	1.1.9
Release:	%mkrel 14
Summary:	David's Batch Processor gimp plugin
License:	GPLv2+
Group:		Graphics/Utilities
Url:		https://sourceforge.net/projects/gimpdbpplugin/
Source0:		https://sourceforge.net/projects/gimpdbpplugin/files/Source-Code/%{_name}Src-1-1-9.tgz
Patch0:	gimp3.patch

BuildRequires:	pkgconfig(gimp-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
Requires:	gimp

Provides:	%{_name} = %{version}

Obsoletes:	%{_name}
Obsoletes:	gimp-plugin-registry

%description
DBP (David's Batch Processor) is a simple batch processing
plugin for the Gimp - it allows the user to automatically
perform operations (such as resize) on a collection of
image files.
Its main advantage is that the user does not have to learn
a scripting language. Like the Gimp itself, DBP relies on
a graphical interface. The user creates a list of images,
and sets up the processing required for each image.
The results of the current settings can be displayed.
Once the required sequence of operations has been set up,
DBP performs the same processing on each image in turn.
The images can be colour corrected, resized, cropped,
and sharpened, then renamed and saved to a different file
in a specified image format.
All the steps (except loading and saving the image!) are optional;
so the simplest use of DBP is just to convert a number of image
files from one format to another.

Note that DBP is intended for RGB, not indexed images.
Trying to process an indexed image will probably just cause an error,
and DBP will halt.
Also, DBP will not overwrite the original image
(in fact, it should not overwrite any file) -
images must at least be either renamed (possibly by changing
the image format) or moved to a different directory.

%prep
%setup -q -n %{_name}-%{version}
#patch -P 0 -p1

%build
%set_build_flags
export CPPFLAGS="$CXXFLAGS"
%make_build

%install
mkdir -p %{buildroot}
install -D -m755 %{_name} %{buildroot}%{_libdir}/gimp/%{abi_version}/plug-ins/%{_name}

%files
%{_libdir}/gimp/%{abi_version}/plug-ins/%{_name}
