%define lib_major	2
%define lib_api		1
%define lib_name	%mklibname dbus-glib %{lib_api} %{lib_major}
%define develname	%mklibname %{name} -d

Summary:	D-Bus message bus
Name:		dbus-glib
Version:	0.114
Release:	%mkrel 1
License:	AFL and GPLv2
Group:		System/Libraries
URL:		https://www.freedesktop.org/Software/dbus
Source0:	https://dbus.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(dbus-1) >= 1.8
BuildRequires:	pkgconfig(gio-2.0) >= 2.40
BuildRequires:	pkgconfig(gobject-2.0) >= 2.40
BuildRequires:	pkgconfig(expat)
BuildRequires:	chrpath

%description
D-Bus add-on library to integrate the standard D-Bus library with
the GLib thread abstraction and main loop.

%package -n	%{lib_name}
Summary:	GLib-based library for using D-Bus
Group:		System/Libraries
Provides:	dbus-glib = %{version}-%{release}

%description -n	%{lib_name}
D-Bus add-on library to integrate the standard D-Bus library with
the GLib thread abstraction and main loop.

%package -n	%{develname}
Summary:	Libraries and headers for D-Bus
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	lib%{name}-1-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Headers and static libraries for D-Bus.

%prep
%autosetup -p1

%build
%configure \
    --disable-static \
    --disable-tests \
    --disable-verbose-mode \
    --disable-asserts

%make_build

%install
%make_install

chrpath --delete %{buildroot}%{_bindir}/dbus-binding-tool
chrpath --delete %{buildroot}%{_libexecdir}/dbus-bash-completion-helper

# Scripts that are sourced should not be executable.
chmod -x %{buildroot}%{_sysconfdir}/bash_completion.d/dbus-bash-completion.sh

%check
make check

%files -n %{lib_name}
%{_libdir}/libdbus-glib-%{lib_api}.so.%{lib_major}{,.*}

%files -n %{develname}
%{_bindir}/dbus-binding-tool
%{_sysconfdir}/bash_completion.d/dbus-bash-completion.sh
%{_libexecdir}/dbus-bash-completion-helper
%{_libdir}/libdbus-glib-%{lib_api}.so
%{_libdir}/pkgconfig/dbus-glib-%{lib_api}.pc
%{_includedir}/dbus-1.0/dbus/dbus-glib-bindings.h
%{_includedir}/dbus-1.0/dbus/dbus-gtype-specialized.h
%{_includedir}/dbus-1.0/dbus/dbus-glib-lowlevel.h
%{_includedir}/dbus-1.0/dbus/dbus-glib.h
%{_includedir}/dbus-1.0/dbus/dbus-gvalue-parse-variant.h
%{_datadir}/gtk-doc/html/dbus-glib/
%{_mandir}/man1/*
