%global __requires_exclude python-gi

Summary:	D-Bus Python Bindings
Name:		dbus-python
Version:	1.3.2
Release:	%mkrel 4
License:	MIT
Group:		Development/Python
URL:		https://www.freedesktop.org/wiki/Software/DBusBindings
Source0:	https://dbus.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
Source1:	https://dbus.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz.asc
Patch0:		linking.patch

BuildRequires:  pyproject-rpm-macros
BuildRequires:	pkgconfig(dbus-1) >= 1.8
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	dbus-x11
BuildRequires:	meson
BuildRequires:	ninja
BuildRequires:	patchelf
BuildRequires:	python3dist(meson-python)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(wheel)

%description
D-Bus python bindings for use with python programs.

%package -n python3-dbus
Summary:	D-Bus Python 3 Bindings
Group:		Development/Python
%{?python_provide:%python_provide python3-dbus}
Obsoletes:	dbus-python3 < %{version}-%{release}
Provides:	dbus-python3 = %{version}-%{release}
Requires:	dbus >= 1.8
Requires:	python3dist(pygobject)

%description -n python3-dbus
D-Bus python 3 bindings for use with python3 programs.

%package -n python-dbus-devel
Summary:	Development files for python3-dbus
Group:		Development/Python
Provides:	python3-dbus-devel = %{version}-%{release}

%description -n python-dbus-devel
Header files for python3-dbus.

%prep
%autosetup -p1

%dnl %generate_buildrequires
%dnl %pyproject_buildrequires

%build
autoreconf -vfi
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files dbus

mkdir -p %{buildroot}%{_libdir}/pkgconfig/
mv %{buildroot}%{python3_sitearch}/.dbus_python.mesonpy.libs/pkgconfig/dbus-python.pc %{buildroot}%{_libdir}/pkgconfig/
rm -rf %{buildroot}%{python3_sitearch}/.dbus_python.mesonpy.libs/

mkdir -p %{buildroot}%{_includedir}/dbus-1.0/dbus/
mv %{buildroot}%{_includedir}/python%{python3_version}/dbus_python/dbus-1.0/dbus/dbus-python.h %{buildroot}%{_includedir}/dbus-1.0/dbus/
rm -rf %{buildroot}%{_includedir}/python%{python3_version}/dbus_python/

#remove unpackaged files
rm -rf %{buildroot}%{_datadir}/doc/dbus-python

%check
%configure --disable-api-docs PYTHON=%{__python3}
%make_build check
%pyproject_check_import

%files -n python3-dbus -f %{pyproject_files}
%doc README NEWS doc/*.txt
%{python3_sitearch}/_dbus_bindings.*.so
%{python3_sitearch}/_dbus_glib_bindings.*.so

%files -n python-dbus-devel
%{_includedir}/dbus-1.0/dbus/*.h
%{_libdir}/pkgconfig/*.pc
