%define uname	dbus-sharp-glib
%define pkgname	%{uname}-1.0
%global __requires_exclude lib.*glib2.0_0

Name:		dbus-sharp-glib1.0
Summary:	Managed D-Bus implementation - GLib integration
Version:	0.5.0
Release:	%mkrel 6
Group:		System/Libraries
License:	MIT
Source0:	https://github.com/downloads/mono/dbus-sharp/%{uname}-%{version}.tar.gz
Url:		http://mono.github.com/dbus-sharp/
BuildRequires:	pkgconfig(mono)
BuildRequires:	pkgconfig(dbus-sharp-1.0)
BuildRequires:	pkgconfig(gtk-sharp-2.0)
Requires:	glib2
BuildArch:	noarch

%description
dbus-sharp is a C# implementation of D-Bus. It's often referred to as
"managed D-Bus" to avoid confusion with existing bindings (which wrap
libdbus). This is the GLib integration for ndesk-dbus.

D-Bus is an inter-process communication framework that lets
applications interface with the system event bus as well as allowing
them to talk to one another in a peer-to-peer configuration.

%package devel
Summary: Development files for %{name}
Group: Development/Other
Requires: %{name} = %{version}

%description devel
dbus-sharp is a C# implementation of D-Bus. It's often referred to as
"managed D-Bus" to avoid confusion with existing bindings (which wrap
libdbus). This is the GLib integration for ndesk-dbus.

D-Bus is an inter-process communication framework that lets
applications interface with the system event bus as well as allowing
them to talk to one another in a peer-to-peer configuration.

%prep
%setup -q -n %{uname}-%{version}

sed -i "s#gmcs#mcs#g" configure
sed -i "s#gmcs#mcs#g" configure.ac

%build
#to recognize aarch64
autoreconf -vfi

./configure --prefix=%{_prefix}
make

%install
%make_install pkgconfigdir=%{_datadir}/pkgconfig

%files
%doc README COPYING
%{_prefix}/lib/mono/%{pkgname}
%{_prefix}/lib/mono/gac/%{uname}/

%files devel
%doc examples
%{_datadir}/pkgconfig/%{pkgname}.pc
