%define pkgname		%{name}-2.0

Name:			dbus-sharp
Summary:		Managed D-Bus implementation
Version:		0.8.1
Release:		%mkrel 5
Group:			System/Libraries
License:		MIT
Url:			http://mono.github.com/dbus-sharp/
Source0:		https://github.com/downloads/mono/%{name}/%{name}-%{version}.tar.gz
BuildRequires:		pkgconfig(mono)
BuildArch:		noarch

%description
dbus-sharp is a C# implementation of D-Bus. It's often referred to as
"managed D-Bus" to avoid confusion with existing bindings (which wrap
libdbus).

D-Bus is an inter-process communication framework that lets
applications interface with the system event bus as well as allowing
them to talk to one another in a peer-to-peer configuration.

%package devel
Summary:		Development files for %{name}
Group:			Development/Other
Requires:		%{name} = %{version}-%{release}
Provides:		%{name}2.0-devel = %{version}-%{release}

%description devel
dbus-sharp is a C# implementation of D-Bus. It's often referred to as
"managed D-Bus" to avoid confusion with existing bindings (which wrap
libdbus).

D-Bus is an inter-process communication framework that lets
applications interface with the system event bus as well as allowing
them to talk to one another in a peer-to-peer configuration.

%prep
%setup -q

sed -i "s#gmcs#mcs#g" configure
sed -i "s#gmcs#mcs#g" configure.ac
find . -name "*.sln" -print -exec sed -i 's/Format Version 10.00/Format Version 11.00/g' {} \;
find . -name "*.csproj" -print -exec sed -i 's#ToolsVersion="3.5"#ToolsVersion="4.0"#g; s#<TargetFrameworkVersion>.*</TargetFrameworkVersion>##g; s#<PropertyGroup>#<PropertyGroup><TargetFrameworkVersion>v4.5</TargetFrameworkVersion>#g' {} \;

%build
./configure --prefix=%_prefix
%make_build

%install
%make_install pkgconfigdir=%_datadir/pkgconfig

%files
%doc README COPYING
%{_prefix}/lib/mono/%{pkgname}
%{_prefix}/lib/mono/gac/%{name}

%files devel
%doc examples
%{_datadir}/pkgconfig/%{pkgname}.pc
