Name:           dc3dd
Version:        7.3.1
Release:        %mkrel 1
Summary:        Patched version of GNU dd for use in computer forensics
License:        GPLv3+
Group:          Security
Url:            https://sourceforge.net/projects/dc3dd/
Source0:        https://sourceforge.net/projects/dc3dd/files/dc3dd/%{version}/dc3dd-%{version}.zip
# Bug 22: https://sourceforge.net/p/dc3dd/bugs/22/
Patch0:         dc3dd-configure-c99.patch
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gnulib
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(readline)
BuildRequires:  p7zip

%description
dc3dd is a patched version of GNU dd to include a number of features useful
for computer forensics. Many of these features were inspired by dcfldd, but
were rewritten for dc3dd.

    * Pattern writes. The program can write a single hexadecimal value or a
    text string to the output device for wiping purposes.
    * Piecewise and overall hashing with multiple algorithms and variable
    size windows. Supports MD5, SHA-1, SHA-256, and SHA-512. Hashes can be
    computed before or after conversions are made.
    * Progress meter with automatic input/output file size probing
    * Combined log for hashes and errors
    * Error grouping. Produces one error message for identical sequential
    errors
    * Verify mode. Able to repeat any transformations done to the input
    file and compare it to an output.
    * Ability to split the output into chunks with numerical or alphabetic
    extensions


%prep
%autosetup -p1

rm po/*.gmo

# Add executable flag
chmod +x configure build-aux/git-version-gen

# Remove the obsolete macro
sed -i '/AC_REQUIRE(\[AM_C_PROTOTYPES\])/d' m4/jm-macros.m4

%build
autoreconf -vfi

%configure
%make_build

%install
%make_install

%find_lang %{name}

%check
%__make check

%files -f %{name}.lang
%license COPYING
%doc ABOUT-NLS AUTHORS ChangeLog README README.coreutils THANKS
%doc THANKS-to-translators TODO Sample_Commands.txt NEWS Options_Reference.txt
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*
