%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		dcadec
Version:	0.2.0
Release:	%mkrel 4
Summary:	DTS Coherent Acoustics decoder with support for HD extensions
License:	LGPLv2+
Group:		Video/Editors and Converters
Url:		https://github.com/foo86/dcadec
Source0:	https://github.com/foo86/dcadec/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	xz

%description
Free DTS Coherent Acoustics decoder with support for HD extensions.

Supported features:
  * Decoding of standard DTS core streams with up to 5.1 channels
  * Decoding of DTS-ES streams with discrete back channel
  * Decoding of High Resolution streams with up to 7.1 channels and
    extended bitrate
  * Decoding of 96/24 core streams
  * Lossless decoding of Master Audio streams with up to 7.1 channels,
    192 kHz
  * Downmixing to stereo and 5.1 using embedded coefficients

Features not implemented:
  * Decoding of DTS Express streams
  * Applying dynamic range compression and dialog normalization

#----------------------------------------------------

%package -n	%{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n	%{libname}
DTS Coherent Acoustics decoder with support for HD extensions.

#----------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Header files for development with %{name}.

#----------------------------------------------------

%prep
%setup -q

%build
export CFLAGS="%{optflags} -fPIC"

%make_build CONFIG_SHARED=1

%install
%make_install CONFIG_SHARED=1 PREFIX=%{_prefix} LIBDIR=%{_libdir}

%files
%doc COPYING.LGPLv2.1 README.md
%{_bindir}/%{name}

%files -n %{libname}
%doc COPYING.LGPLv2.1 README.md
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc COPYING.LGPLv2.1 README.md
%{_includedir}/lib%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
