%define libmajor 0
%define pluginname %{mklibname alsa-plugins}-dca
%define libname %mklibname %name %libmajor
%define devellibname %mklibname -d %name


Summary: DTS Coherent Acoustics encoder
Name:    dcaenc
Version: 2
Release: %mkrel 12
Source0: https://aepatrakov.narod.ru/dcaenc/%{name}-%{version}.tar.gz
License: LGPLv2.1+
Group:    Sound/Utilities
URL:     https://aepatrakov.narod.ru/dcaenc/

BuildRequires: kernel-headers >= 2.4.0
BuildRequires: libalsa-devel >= %version

%description
DTS Coherent Acoustics encoder.

It may be useful if you want to create a DTS CD or a DTS soundtrack for a DVD
from a 6-channel PCM wav file using linux. Another use case is related to
real-time encoding of multichannel PCM audio output from arbitrary linux
applications for transmission over SPDIF (see %{pluginname} package).

%if "%distro_section" == "tainted"
%package -n %{libname}
Summary:   Libraries for DTS Coherent Acoustics encoder
Group:     System/Libraries

%description -n %{libname}
Libraries for DTS Coherent Acoustics encoder.


%package -n %{devellibname}
Summary:   Development sources for DTS Coherent Acoustics encoder
Group:     Development/C
Requires:  %{libname} = %{version}-%{release}

%description -n %{devellibname}
Development sources for DTS Coherent Acoustics encoder.


%package -n %{pluginname}
Summary:   DTS Coherent Acoustics encoder plugin for ALSA
Group:     Sound/Utilities 
Requires:  libalsa

%description -n %{pluginname}
DTS Coherent Acoustics encoder plugin for ALSA.

Provides real-time encoding of multichannel PCM audio output from arbitrary
linux applications for transmission over SPDIF.
%endif

%if "%distro_section" == "tainted"
%prep
%setup -q
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build
%endif

%install
%if "%distro_section" == "tainted"
%make_install

# (cg) Activate the configuration by default when package is installed
mv %{buildroot}%{_datadir}/alsa/pcm %{buildroot}%{_datadir}/alsa/alsa.conf.d

find %{buildroot} -name '*.la' -delete
%else
%__install -d %{buildroot}%{_docdir}/%{name}
echo >%{buildroot}%{_docdir}/%{name}/README.urpmi <<EOF
This package is not available via the core media in Magiea.
You need to enable the 'tainted' repositories for a functioning build of this
software due to patent restrictions.
EOF
%endif

%files
%if "%distro_section" == "tainted"
%{_bindir}/dcaenc
%else
%{_docdir}/%{name}/README.urpmi
%endif

%if "%distro_section" == "tainted"
%files -n %{libname}
%{_libdir}/libdcaenc.so.%{libmajor}*

%files -n %{devellibname}
%{_includedir}/dcaenc.h
%{_libdir}/libdcaenc.so
%{_libdir}/pkgconfig/dcaenc.pc

%files -n %{pluginname}
%{_datadir}/alsa/alsa.conf.d/dca.conf
%{_libdir}/alsa-lib/*
%endif
