%define major 1
%define libname %mklibname dcap %{major}
%define develname %mklibname dcap -d

Name:		dcap
Version:	2.47.12
Release:	%mkrel 3
Summary:	Client Tools for dCache
Group:		Development/Other
#		plugins/gssapi/{base64.[ch],gssIoTunnel.c,util.c} - BSD license
#		the rest - LGPLv2+ license
License:	LGPLv2+ and BSD
URL:		https://www.dcache.org/manuals/libdcap.shtml
Source0:	https://github.com/dCache/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
#		Fix autoconf for EPEL 6
#		https://github.com/dCache/dcap/pull/17
Patch0:		%{name}-am-prog-ar.patch
#		Missing function declaration
#		https://github.com/dCache/dcap/pull/18
Patch1:		%{name}-missing-declaration.patch

Requires:	%{name}-libs = %{version}-%{release}
BuildRequires:	globus-gssapi-gsi-devel
BuildRequires:	krb5-devel
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gcc
BuildRequires:	libtool
BuildRequires:	CUnit-devel

%description
dCache is a distributed mass storage system.
This package contains the client tools.

%package -n %{libname}
Summary:	Client Libraries for dCache
License:	LGPLv2+
Group: Development/Other
Provides:	%{name}-libs = %{version}-%{release}

%description -n %{libname}
dCache is a distributed mass storage system.
This package contains the client libraries.

%package -n %{develname}
Summary:	Client Development Files for dCache
License:	LGPLv2+
Provides: %{name}-devel = %{version}-%{release}
Requires:	%{name}-libs = %{version}-%{release}

%description -n %{develname}
dCache is a distributed mass storage system.
This package contains the client development files.

%package -n %{libname}-tunnel-gsi
Summary:	GSI tunnel for dCache
License:	LGPLv2+ and BSD
Requires:	%{name}-libs = %{version}-%{release}
Provides:       %{name}-tunnel-gsi = %{version}-%{release}

%description -n %{libname}-tunnel-gsi
This package contains the gsi tunnel plugin library used by dcap-libs.
This library is dynamically loaded at runtime.

%package -n %{libname}-tunnel-krb
Summary:	Kerberos tunnel for dCache
License:	LGPLv2+ and BSD
Requires:	%{name}-libs = %{version}-%{release}
Provides:       %{name}-tunnel-krb = %{version}-%{release}

%description -n %{libname}-tunnel-krb
This package contains the kerberos tunnel plugin library used by dcap-libs.
This library is dynamically loaded at runtime.

%package -n %{libname}-tunnel-ssl
Summary:	SSL tunnel for dCache
License:	LGPLv2+
Requires:	%{name}-libs = %{version}-%{release}
Provides:       %{name}-tunnel-ssl = %{version}-%{release}

%description -n %{libname}-tunnel-ssl
This package contains the ssl tunnel plugin library used by dcap-libs.
This library is dynamically loaded at runtime.

%package -n %{libname}-tunnel-telnet
Summary:	Telnet tunnel for dCache
License:	LGPLv2+
Requires:	%{name}-libs = %{version}-%{release}
Provides:       %{name}-tunnel-telnet = %{version}-%{release}

%description -n %{libname}-tunnel-telnet
This package contains the telnet tunnel plugin library used by dcap-libs.
This library is dynamically loaded at runtime.

%prep
%setup -q
%autopatch -p1

%build
./bootstrap.sh

%configure \
    --disable-static \
    --with-tunneldir=%{_libdir}/%{name} \
    --with-globus-include=%{_includedir}/globus \
    --with-globus-lib=/dummy
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

# Remove libtool archive files
rm -rf %{buildroot}/%{_libdir}/*.la
rm -rf %{buildroot}/%{_libdir}/%{name}/*.la

# We are installing the docs in the files sections
rm -rf %{buildroot}/%{_docdir}

%check
make %{?_smp_mflags} check

%files
%{_bindir}/dccp
%{_mandir}/man1/dccp.1*

%files -n %{libname}
%{_libdir}/libdcap.so.*
%{_libdir}/libpdcap.so.*
%dir %{_libdir}/%{name}
%license LICENSE COPYING.LIB AUTHORS

%files -n %{develname}
%{_libdir}/libdcap.so
%{_libdir}/libpdcap.so
%{_includedir}/dc_hack.h
%{_includedir}/dcap.h
%{_includedir}/dcap_errno.h

%files -n %{libname}-tunnel-gsi
%{_libdir}/%{name}/libgsiTunnel.so
%license plugins/gssapi/Copyright

%files -n %{libname}-tunnel-krb
%{_libdir}/%{name}/libgssTunnel.so
%license plugins/gssapi/Copyright

%files -n %{libname}-tunnel-ssl
%{_libdir}/%{name}/libsslTunnel.so

%files -n %{libname}-tunnel-telnet
%{_libdir}/%{name}/libtelnetTunnel.so


