Name:           dcfldd
Version:        1.9.1
Release:        %mkrel 1
Summary:        Improved dd, useful for forensics and security

Group:          Security
#Fedora license analysis: it applies to Mageia
#Whole dcfldd is licensed as GPLv2+
#sha1.c sha1.h BSD Type license - Allan Saddi <allan@saddi.com>
#sha2.c sha2.h BSD Type license - Aaron D. Gifford <me@aarongifford.com>
#md5.c Copyright RSA
# Note that we are using the RSA MD5 code without license.
# See: https://fedoraproject.org/wiki/Licensing:FAQ#MD5
License:        GPLv2+ and BSD and Copyright Only
URL:            https://github.com/resurrecting-open-source-projects/dcfldd
Source0:        https://github.com/resurrecting-open-source-projects/dcfldd/releases/download/v%{version}/%{name}-%{version}.tar.gz


%description
dcfldd is an enhanced version of GNU dd with features useful for forensics
and security. dcfldd has the following additional features:

   * Hashing on-the-fly - dcfldd can hash the input data as it is being
     transferred, helping to ensure data integrity.
   * Status output - dcfldd can update the user of its progress in terms of
     the amount of data transferred and how much longer operation will take.
   * Flexible disk wipes - dcfldd can be used to wipe disks quickly
     and with a known pattern if desired.
   * Image/wipe Verify - dcfldd can verify that a target drive is a
     bit-for-bit match of the specified input file or pattern.
   * Multiple outputs - dcfldd can output to multiple files or disks at
     the same time.
   * Split output - dcfldd can split output to multiple files with more
     configuration possibilities than the split command.
   * Piped output and logs - dcfldd can send all its log data and output
     to commands as well as files.

%prep
%autosetup

%build
%configure
%make_build

%install
%make_install


%files
%doc AUTHORS ChangeLog CONTRIBUTING.md README.md
%license COPYING
%{_bindir}/dcfldd
%{_mandir}/man1/dcfldd.1*
