# This should be submitted to tainted as per our policy on game emulators

Name:		dcmo5
Version:	11.2
Release:	%mkrel 6
Summary:	Thomson MO5 emulator
License:	GPLv3+
Group:		Emulators
Url:		http://dcmo5.free.fr/
Source0:	http://dcmo5.free.fr/v11/download/%{name}v11.0.tar.gz
Source1:	http://dcmo5.free.fr/v11/download/%{name}v%{version}.tar.gz
Source2:	%{name}-32.png
Source3:	%{name}-16.png
Source4:	%{name}.rom
Patch0:		dcmo5v11.2-dc6809emul.patch
Patch1:		dcmo5v11.2-user_directory.patch
Patch2:		dcmo5v11.2-scancodes.patch
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_ttf)

%description
DCMO5 is an emulator for the Thomson MO5 system.
It emulates almost every aspect of the MO5, including K7, D7,
MEMO5 cartridges, joystick and light pen.

Software for the MO5 can be found at http://dcmoto.free.fr

%prep
%setup -q -a 1 -c %{name}-%{version}-%{release}
%autopatch -p1

sed -i s/cc/"gcc %{optflags} -Wl,--allow-multiple-definition"/g makefile

# fix file-not-utf8
pushd licence
iconv -f iso8859-1 -t utf-8 dcmo5v11-licence.txt > dcmo5v11-licence.txt.conv \
&& mv -f dcmo5v11-licence.txt.conv dcmo5v11-licence.txt
popd

# fix wrong-file-end-of-line-encoding
sed -i 's/\r$//' licence/*.txt documentation/*.css

%build
%make_build

%install
# binary
mkdir -p %{buildroot}%{_bindir}
install -m 0755 dcmo5 %{buildroot}%{_bindir}/%{name}

# icon
mkdir -p %{buildroot}%{_iconsdir}
install -m 0644 %{SOURCE2} %{buildroot}%{_iconsdir}/%{name}.png
mkdir -p %{buildroot}%{_liconsdir}
install -m 0644 %{SOURCE3} %{buildroot}%{_liconsdir}/%{name}.png

# xdg menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=DCMO5
Name[fr]=DCMO5
Comment=Thomson MO5 emulator
Comment[fr]=Emulateur MO5 Thomson
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;Emulator;
EOF

# rom
mkdir -p %{buildroot}%{_datadir}/apps/%{name}
install -m 0644 %{SOURCE4} %{buildroot}%{_datadir}/apps/%{name}/%{name}.rom

%files
%doc documentation/*
%license licence/*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/apps/%{name}/%{name}.rom
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
