%define major		19
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

%define url_ver		%(echo %{version}|sed -e 's/\\.//g')

Name:		dcmtk
Version:	3.6.9
Release:	%mkrel 4
Summary:	DICOM Toolkit libraries and applications
Group:		System/Libraries
License:	BSD and MIT
URL:		https://dicom.offis.de/dcmtk.php.en
Source0:	ftp://dicom.offis.de/pub/dicom/offis/software/dcmtk/dcmtk%{url_ver}/%{name}-%{version}.tar.gz
# Upstream fixes
#  See TALOS-2024-2121 and CVE-2024-52333 (P1)
Patch1:		0001-Added-check-to-make-sure-HighBit-BitsAllocated.patch
Patch2:		0001-Replaced-call-of-delete-by-delete.patch
# See TALOS-2024-2122 and CVE-2024-47796 (P3)
Patch3:		0001-Fixed-issue-rendering-invalid-monochrome-image.patch
# CVE-2025-25472
Patch4:		0001-Fixed-another-issue-with-invalid-mono-images.patch
# CVE-2025-25474
Patch5:		0001-Fixed-another-issue-with-invalid-DICOM-images.patch
# CVE-2025-25475
Patch6:		0001-Fixed-issue-with-invalid-RLE-compressed-DICOM-images.patch
# CVE-2025-2357
Patch7:		dcmtk.git-3239a791542e1ea433d23aaa9e0a05a532ffabff.patch

BuildRequires:	cmake
BuildRequires:	bison
BuildRequires:	doxygen
BuildRequires:	flex
BuildRequires:	charls-devel
BuildRequires:	wrap-devel
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libopenjp2)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(zlib)
# for xxd tool
BuildRequires:	vim-common

%description
DCMTK is a collection of libraries and applications implementing large parts
the DICOM standard. It includes software for examining, constructing
and converting DICOM image files, handling offline media, sending and receiving
images over a network connection, as well as demonstrative image storage
and worklist servers. DCMTK is is written in a mixture of ANSI C and C++.
It comes in complete source code and is made available as "open source"
software.

DCMTK has been used at numerous DICOM demonstrations to provide central,
vendor-independent image storage and worklist servers (CTNs - Central Test
Nodes). It is used by hospitals and companies all over the world for a wide
variety of purposes ranging from being a tool for product testing to being
a building block for research projects, prototypes and commercial products.

%package -n	%{libname}
Summary:	DICOM Toolkit libraries
Group:		System/Libraries

%description -n	%{libname}
DCMTK is a collection of libraries and applications implementing large parts
the DICOM standard. It includes software for examining, constructing
and converting DICOM image files, handling offline media, sending and receiving
images over a network connection, as well as demonstrative image storage
and worklist servers. DCMTK is is written in a mixture of ANSI C and C++.
It comes in complete source code and is made available as "open source"
software.

This package contains shared libraries.

%package -n	%{develname}
Summary:	DICOM Toolkit libraries development files
Group:		Development/C
Requires:	%{name} = %{version}
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
DCMTK is a collection of libraries and applications implementing large parts
the DICOM standard. It includes software for examining, constructing
and converting DICOM image files, handling offline media, sending and receiving
images over a network connection, as well as demonstrative image storage
and worklist servers. DCMTK is is written in a mixture of ANSI C and C++.
It comes in complete source code and is made available as "open source"
software.

This package contains files required for development only.

%prep
%autosetup -p1

%build
%cmake \
	-DDCMTK_INSTALL_CMKDIR=%{_libdir}/cmake/%{name} \
	-DDCMTK_WITH_XML=ON \
	-DDCMTK_WITH_OPENSSL=ON \
	-DDCMTK_WITH_SNDFILE=ON \
	-DDCMTK_WITH_ZLIB=ON

%cmake_build

%install
%cmake_install

%files
%doc %{_defaultdocdir}/%{name}-%{version}/
%dir %{_sysconfdir}/%{name}-%{version}
%config(noreplace) %{_sysconfdir}/%{name}-%{version}/*.cfg
%{_bindir}/*
%{_datadir}/%{name}-%{version}/
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/*.so
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/dcmtk.pc
