%define api		1
%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname -d %{name}
%define giolibname	%mklibname gio 2.0 0

%define busname		ca.desrt.dconf-editor

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Configuration backend for Glib
Name:		dconf
Version:        0.40.0
Release:	%mkrel 2
License:	LGPLv2+ and GPLv2+ and GPLv3+
Group:		System/Libraries
URL:		https://wiki.gnome.org/dconf
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# do not use XDG_RUNTIME_DIR when root - workaround for mga#11643 bug
Patch0:		dconf-0.14.1-mga-dconfsu.patch
BuildRequires:	pkgconfig(glib-2.0) >= 2.36.0
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(bash-completion)
BuildRequires:	pkgconfig(vapigen) >= 0.17.0
BuildRequires:	gtk-doc >= 1.15
BuildRequires:	vala >= 0.17.0
BuildRequires:	intltool
BuildRequires:	meson
BuildRequires:	systemd
Requires:	dbus
Requires(post):	%{giolibname} >= 2.23.4-2mdv
Requires(postun):	%{giolibname} >= 2.23.4-2mdv
Conflicts:	%{mklibname %name 0} < 0.13.4-5
Conflicts:	%{mklibname %name 1} < 0.13.4-5

%description
This is a configuration backend for Glib's GSettings and part of GNOME 3.0.

%package -n %{libname}
Group:			System/Libraries
Summary:		Configuration backend library for Glib

%description -n %{libname}
This is a configuration backend for Glib's GSettings and part of GNOME 3.0.

%package -n %{develname}
Group:		Development/C
Summary:	Configuration backend library for Glib - development files
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
This is a configuration backend for Glib's GSettings and part of GNOME 3.0.

%prep
%setup -q
%autopatch -p1

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install
#we need this beacuse ibus and gdm installs file there
install -d %{buildroot}%{_sysconfdir}/dconf/db
install -d %{buildroot}%{_sysconfdir}/dconf/profile

%post
%{_bindir}/gio-querymodules-%{__isa_bits} %{_libdir}/gio/modules

%postun
if [ "$1" = "0" ]; then
 %{_bindir}/gio-querymodules-%{__isa_bits} %{_libdir}/gio/modules
fi

%check
#meson_test

%files
%doc NEWS
%dir %{_sysconfdir}/dconf
%dir %{_sysconfdir}/dconf/db
%dir %{_sysconfdir}/dconf/profile
%{_bindir}/dconf
%{_mandir}/man?/dconf.*
%{_mandir}/man1/dconf-service.*
%{_libexecdir}/dconf-service
%{_datadir}/bash-completion/completions/dconf
%{_datadir}/dbus-1/services/ca.desrt.dconf.service
%{_userunitdir}/dconf.service
%{_libdir}/gio/modules/libdconfsettings.*

%files -n %{libname}
%{_libdir}/libdconf.so.%{major}{,.*}

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/dconf
%{_libdir}/libdconf.so
%{_libdir}/pkgconfig/dconf.pc
%{_includedir}/dconf
%{_datadir}/vala/vapi/dconf*
