Summary:	Does copy data from one file or block device to another
Name:		dd_rescue
Version:	1.99.21
Release:	%mkrel 1
License:	GPLv2
Group:		System/Kernel and hardware
URL:		https://www.garloff.de/kurt/linux/ddrescue/
Source0:	https://www.garloff.de/kurt/linux/ddrescue/%{name}-%{version}.tar.bz2

BuildRequires:	pkgconfig(lzo2)
BuildRequires:	pkgconfig(openssl)

%description
Like dd, dd_rescue does copy data from one file or block device to another.
You can specify file positions (called seek and Skip in dd). There are several
differences:
  o dd_rescue does not provide character conversions.
  o The command syntax is different. Call dd_rescue -h.
  o dd_rescue does not abort on errors on the input file, unless you specify a
    maximum error number. Then dd_rescue will abort when this number is reached
  o dd_rescue does not truncate the output file, unless asked to.
  o You can tell dd_rescue to start from the end of a file and move backwards.
  o It uses two block sizes, a large (soft) block size and a small (hard) block
    size. In case of errors, the size falls back to the small one and is
    promoted again after a while without errors.

%prep
%autosetup -p1

%build
./autogen.sh
%configure
%make_build

%install
%make_install INSTASROOT="" INSTALLFLAGS=""

%files
%doc README.%{name}
%{_bindir}/%{name}
%{_libdir}/libddr_*.so
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/ddr_lzo.1*
%{_mandir}/man1/ddr_lzma.1*
%{_mandir}/man1/ddr_crypt.1*
