# fix automatic requires
%global __requires_exclude ^perl\\\((-norequire|ddclient)

Name:           ddclient
Version:        4.0.0
Release:        %mkrel 1
Summary:        Client to update dynamic DNS host entries
License:        GPLv2
Group:          System/Networking
URL:            https://ddclient.sourceforge.net/
Source0:        https://github.com/ddclient/ddclient/releases/download/v%{version}/ddclient-%{version}.tar.gz
Source1:        ddclient.rwtab
Source2:        ddclient.service
Source3:        ddclient.sysconfig
Source4:        ddclient.NetworkManager
Source5:        ddclient-tmpfiles.conf
BuildArch:      noarch
BuildRequires:  curl
Requires:       curl
Requires(post): systemd >= %{systemd_required_version}
Requires(post): rpm-helper
Requires(preun):rpm-helper

%description
ddclient is a Perl client used to update dynamic DNS entries for accounts on
many different dynamic DNS services. Features include: Operating as a daemon,
manual and automatic updates, static and dynamic updates, optimized updates for
multiple addresses, MX, wildcards, abuse avoidance, retrying the failed updates
and sending update status to syslog and through e-mail.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --runstatedir=%{_rundir}
%make_build

%install

chmod 644 README*

install -D -p -m 755 %{name} %{buildroot}%{_sbindir}/%{name}
install -D -p -m 600 ddclient.conf %{buildroot}%{_sysconfdir}/%{name}/%{name}.conf
install -D -p -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/rwtab.d/%{name}
install -D -p -m 644 %{SOURCE2} %{buildroot}%{_unitdir}/%{name}.service
install -D -p -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -D -p -m 755 %{SOURCE4} %{buildroot}%{_sysconfdir}/NetworkManager/dispatcher.d/50-%{name}
install -D -p -m 644 %{SOURCE5} %{buildroot}%{_tmpfilesdir}/%{name}.conf

mkdir -p %{buildroot}%{_localstatedir}/cache/%{name}
touch %{buildroot}%{_localstatedir}/cache/%{name}/%{name}.cache

%pre
%_pre_useradd %{name} %{_localstatedir}/cache/%{name} /sbin/nologin

%post
%_tmpfilescreate %{name}
%create_ghostfile %{_localstatedir}/cache/%{name}/%{name}.cache %name %name 600

%postun
%_postun_userdel %{name}

%files
%doc README*
%{_sbindir}/%{name}
%dir %{_sysconfdir}/%{name}
%attr(0600,%{name},%{name}) %config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/rwtab.d/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%dir %{_localstatedir}/cache/%{name}
%attr(0600,%{name},%{name}) %ghost %{_localstatedir}/cache/%{name}/%{name}.cache
%{_sysconfdir}/NetworkManager/dispatcher.d/50-%{name}
%{_tmpfilesdir}/%{name}.conf
%{_unitdir}/%{name}.service
%dir %ghost %attr(0755, ddclient, ddclient) %{_rundir}/ddclient
%ghost %attr(0660, -, -) %{_rundir}/ddclient/ddclient.pid
