Summary:	A GUI for several command-line debuggers
Name:		ddd
Version:	3.4.1
Release:	%mkrel 1
Group:		Development/Other
License:	GPL-2.0-or-later
URL:		https://www.gnu.org/software/ddd/
Source0:	https://ftp.gnu.org/gnu/ddd/ddd-%{version}.tar.gz
Source2:	ddd.png
Source3:	org.gnu.ddd.metainfo.xml
Patch0:		ddd-3.3.12-debuginfo.patch

BuildRequires:	flex
BuildRequires:	motif-devel
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(xaw7)
BuildRequires:	binutils-devel
BuildRequires:	chrpath
BuildRequires:	gdb
BuildRequires:	info
BuildRequires:	xterm
Requires:	motif
Requires:	xterm
Requires:	gdb

%description
The Data Display Debugger (DDD) is a popular GUI for command-line
debuggers like GDB, DBX, JDB, WDB, XDB, the Perl debugger, and the
Python debugger.  DDD allows you to view source texts and provides an
interactive graphical data display, in which data structures are
displayed as graphs.  You can use your mouse to dereference pointers
or view structure contents, which are updated every time the program
stops.  DDD can debug programs written in Ada, C, C++, Chill, Fortran,
Java, Modula, Pascal, Perl, and Python.  DDD provides machine-level
debugging; hypertext source navigation and lookup; breakpoint,
watchpoint, backtrace, and history editors; array plots; undo and
redo; preferences and settings editors; program execution in the
terminal emulation window, debugging on a remote host, an on-line
manual, extensive help on the Motif user interface, and a command-line
interface with full editing, history and completion capabilities.

%prep
%autosetup -p1

sed -i -e "s/^Categories=Development;$/Categories=Development;Debugger;/" ddd/ddd.desktop

%build
export CXXFLAGS="${RPM_OPT_FLAGS} -fpermissive"
%configure --with-readline
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_infodir}
mv %{buildroot}%{_datadir}/%{name}-%{version}/info/ddd* %{buildroot}%{_infodir}/
rm -rf %{buildroot}%{_datadir}/%{name}-%{version}/info/
rm -rf %{buildroot}%{_datadir}/%{name}-%{version}/doc/

install -D -m 0644 %{SOURCE2} %{buildroot}%{_iconsdir}/hicolor/128x128/apps/ddd.png
install -D -m 0644 %{SOURCE3} %{buildroot}%{_metainfodir}/org.gnu.ddd.metainfo.xml

# (sb) remove rpath from binary
chrpath -d %{buildroot}%{_bindir}/%{name}

%files
%license doc/COPYING*
%doc doc/{AUTHORS,CREDITS}
%doc doc/{NEWS,README,TIPS}
%{_bindir}/ddd
%{_infodir}/%{name}.*
%{_infodir}/%{name}-*
%{_datadir}/%{name}-%{version}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/ddd.png
%{_metainfodir}/org.gnu.ddd.metainfo.xml
%{_mandir}/man1/ddd.1*
