%global toolchain      clang
%global optflags       %optflags -Wno-unused-but-set-variable -Wno-unused-variable
%global build_cxxflags %build_cxxflags -std=c++11

# do not provide plugins .so
%define	_exclude_files_from_autoprov	%{_libdir}/%{name}/.*\\.so

%define mp4pgit 156195c

Summary:	Ultimate music player for GNU/Linux
Name:		deadbeef
Version:	1.9.6
Release:	%mkrel 2
License:	GPLv2+
Group:		Sound/Players
Url:		https://deadbeef.sourceforge.io/
Source0:	https://github.com/DeaDBeeF-Player/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
# https://api.github.com/repos/DeaDBeeF-Player/mp4p/tarball/%%{mp4pgit}
Source1:	DeaDBeeF-Player-mp4p-%{mp4pgit}.tar.gz
Source2:	https://github.com/DeaDBeeF-Player/ddb_dsp_libretro/archive/b4d3db19566398603069d02eeacb3b06987a1b74.zip
Source3:	https://github.com/DeaDBeeF-Player/ddb_output_pw/archive/0b099d13ab0e89d9934aabdeb2872f0f66ea6960.zip
Patch0:		deadbeef-desktop.patch
# https://github.com/DeaDBeeF-Player/deadbeef/commit/d4cca5605447
Patch1:		deadbeef-ffmpeg-7.patch
BuildRequires:	clang
BuildRequires:	intltool >= 0.40
BuildRequires:	bison
BuildRequires:	yasm
BuildRequires:	ffmpeg-devel
BuildRequires:	libstdc++-static-devel
BuildRequires:	libdispatch-devel
BuildRequires:	pkgconfig(faad2)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(wavpack)
BuildRequires:	pkgconfig(libcdio)
BuildRequires:	pkgconfig(libcddb)
BuildRequires:	pkgconfig(libzip)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(imlib2)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libmms)
BuildRequires:	pkgconfig(libmpg123)
BuildRequires:	pkgconfig(libpipewire-0.3)
BuildRequires:	pkgconfig(jansson)
BuildRequires:	pkgconfig(opusfile)

%description
DeaDBeeF is an audio player for GNU/Linux systems with
X11 written in C and C++.

Features:
* minimal depends
* native GTK2/GTK3 GUI
* cuesheet support
* mp3
* ogg
* flac
* ape
* chiptune formats with subtunes
* song-length databases
* small memory footprint

%package devel
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{name} = %{version}-%{release}

%description devel
Development files and headers for %{name}.

%prep
%setup -q -a 2 -a 3
tar -C external --transform "s,^DeaDBeeF-Player-mp4p-%{mp4pgit}/,mp4p/," -xf %{SOURCE1}

rm -rf external/ddb*
%__mv ddb_output_pw* external/ddb_output_pw
%__mv ddb_dsp_libretro* external/ddb_dsp_libretro

%autopatch -p1

# Drop hardcoded -msse3
sed -i "s/-msse3//" ./external/ddb_dsp_libretro/Makefile.*

%build
./autogen.sh
%configure \
	%ifarch %{ix86}
	--disable-soundtouch \
	%endif
	--disable-static \
	--disable-rpath \
	--disable-gtk2 \
	--enable-gtk3 \
	--disable-pulse \
	--enable-pipewire

%make_build

%install
%make_install

#handle docs in files section
rm -rf %{buildroot}%{_docdir}/%{name}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog
%doc about.txt help.txt translators.txt
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

%files devel
%{_includedir}/%{name}/
