# SPEC and source package imported from Fedora:
# http://mirror.kolabsys.com/pub/fedora/apt-utils/f16/SRPMS/
Name:           debhelper
Version:        13.20
Release:        %mkrel 1
Summary:        Helper programs for Debian rules

Group:          System/Packaging
License:        GPLv2+
URL:            https://packages.debian.org/sid/debhelper
Source0:        https://ftp.debian.org/debian/pool/main/d/%{name}/%{name}_%{version}.tar.xz
Patch0:         debhelper-11.4-no-utf8-to-pod2man.patch
BuildArch:      noarch

BuildRequires:  po4a
BuildRequires:  dpkg-dev
BuildRequires:  dpkg
BuildRequires:  perl(Dpkg::Arch)

Requires:       binutils
Requires:       html2text
Requires:       perl
Requires:       po-debconf
Requires:       dpkg >= 1.18.0
Requires:       dpkg-dev >= 1.18.2
Requires:       dpkg-perl >= 1.17.14

%description
A collection of programs that can be used in a Debian rules file
to automate common tasks related to building Debian packages.
Programs are included to install various files into your package,
compress files, fix file permissions, integrate your package with
the Debian menu system, debconf, doc-base, etc. Most Debian
packages use debhelper as part of their build process.

%prep
%autosetup -p1 -n work

%build
%__make build

%install
%make_install

mkdir -p \
            %{buildroot}%{_mandir}/{,de,es,fr,ja,pt}/man{1,7}/

for lang in de es fr ja pt; do
    for level in 1 7; do
        mv ./*.$lang.$level %{buildroot}%{_mandir}/$lang/man$level/ || :
    done
done

install -m 644 ./*.1 %{buildroot}%{_mandir}/man1
install -m 644 ./*.7 %{buildroot}%{_mandir}/man7

# Seems man7 es pages are missing copying english ones instead
cp -a %{buildroot}%{_mandir}/man7/* %{buildroot}%{_mandir}/es/man7

%find_lang debhelper --all-name --with-man

%files -f debhelper.lang
%doc examples/ doc/
%{_mandir}/man1/*
%{_mandir}/man7/*
%{_bindir}/dh*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/autoscripts
%dir %{perl_vendorlib}/Debian
%{perl_vendorlib}/Debian/Debhelper

