Name:		dejagnu
Epoch:		20010912
Version:	1.6.3
Release:	%mkrel 2
Summary:	A front end for testing other programs
License:	GPLv2+
Group:		Development/Other
URL:		https://www.gnu.org/software/dejagnu/
Source0:	https://ftp.gnu.org/gnu/dejagnu/%{name}-%{version}.tar.gz
# https://lists.gnu.org/archive/html/bug-dejagnu/2022-11/msg00000.html
Patch1:		0001-Remove-wait-function-in-dejagnu.h-to-resolve-PR59586.patch
Patch101:	dejagnu-1.6.3-runtest.patch
BuildArch:	noarch
BuildRequires:	docbook-utils
BuildRequires:	docbook-utils-pdf
BuildRequires:	docbook-dtd31-sgml
# in contrib, but likely not needed anyways even if configure checks for it..
#BuildRequires:	docbook2x
BuildRequires:	expect
BuildRequires:	screen
BuildRequires:	texinfo
Requires:	common-licenses
Requires:	tcl >= 8.0
Requires:	expect >= 5.21

%description
DejaGnu is an Expect/Tcl based framework for testing other programs.
DejaGnu has several purposes: to make it easy to write tests for any
program; to allow you to write tests which will be portable to any
host or target where a program must be tested; and to standardize the
output format of all tests (making it easier to integrate the testing
into software development).

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%check
echo ============TESTING===============
# Dejagnu test suite also has to test reporting to user.  It needs a
# terminal for that.  That doesn't compute in mock.  Work around it by
# running the test under screen and communicating back to test runner
# via temporary file.  If you have better idea, we accept patches.
TMP=`mktemp`
export SCREENDIR=`mktemp -d`
screen -D -m sh -c '(make check RUNTESTFLAGS="RUNTEST=`pwd`/runtest"; echo $?) >> '$TMP
RESULT=`tail -n 1 $TMP`
cat $TMP
rm -f $TMP
rm -rf $SCREENDIR
echo ============END TESTING===========
exit $RESULT

%files
%doc AUTHORS NEWS README TODO
%{_bindir}/dejagnu
%{_datadir}/dejagnu/
%{_bindir}/runtest
%{_mandir}/man1/runtest.1*
%{_mandir}/man1/dejagnu*.1*
%{_infodir}/dejagnu.info*
%{_includedir}/dejagnu.h
