%global __provides_exclude font\\\(.*\\\)|font\\\(:lang=.*\\\)
%global gittag f6855a6

Name:		denemo
Version:	2.6.40
Release:	%mkrel 3
Summary:	WYSIWYG musical score editor and frontend for Lilypond
License:	GPLv2+
Group:		Publishing
URL:		https://www.denemo.org/
Source0:	https://ftp.gnu.org/gnu/denemo/%{name}-%{version}.tar.gz
Patch:		0001-denemo-fix-include-for-implicit-declaration.patch
Patch:		denemo.git-234ba3b02bf1a5dc8d589f02ec6097dff7fc61c6.patch
Patch:		denemo-fix-for-incompatible-type-lilydirectives.patch
BuildRequires:	pkgconfig(aubio)
BuildRequires:	atril-devel
# BuildRequires:	pkgconfig(evince-view-3.0)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(fluidsynth)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtksourceview-4)
BuildRequires:	pkgconfig(guile-2.0)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(portmidi)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(rubberband)
BuildRequires:	intltool
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	desktop-file-utils

Requires:	lilypond
Requires:	TiMidity++
Requires:	playmidi
Requires:	fluidsynth
# see in mga#23671#c6
Recommends:	inkscape
Recommends:	atril
Recommends:	eog

%description
Denemo is the GNU graphical musical score editor, and serves as a frontend
to Lilypond. Besides lilypond, it can also export music into ABC format.
as well as handling Csound score files playback and MIDI playback.

%prep
%autosetup -p1 -n denemo-%{gittag}

# port to gtksourceview4
perl -pi -e 's/gtksourceview-3.0/gtksourceview-4/g' configure.ac

# move fonts to /usr/share/fonts/TTF
sed -i 's|/fonts/truetype/denemo|/fonts/TTF/denemo|' fonts/Makefile.*

%build
autoreconf -fi
%configure \
	--disable-static \
	--enable-gtk3 \
	--enable-doc \
	--enable-atril \
	--enable-guile_2_0
%make_build

%install
%make_install

desktop-file-install --vendor="" \
	--dir %{buildroot}%{_datadir}/applications \
	--add-category="GTK" \
	%{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS docs/*
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/fonts/TTF/%{name}/
%{_datadir}/metainfo/org.%{name}.Denemo.metainfo.xml
%{_datadir}/applications/org.%{name}.Denemo.desktop
%{_datadir}/pixmaps/org.%{name}.Denemo.png
