# Install the ODT file or not
# It needs two fonts we don't have yet
%define with_odt 0

Name: designing-with-libreoffice
Version: 2.0
Release: %mkrel 1
License: CC-BY-SA
Group: Documentation
URL: https://designingwithlibreoffice.com/
Source0: https://designingwithlibreoffice.com/wp-content/uploads/2022/11/DWL-SecondEdition.pdf
%if %with_odt
Source1: https://designingwithlibreoffice.com/wp-content/uploads/2022/11/DWL-SecondEdition.odt
%endif
Summary: Free PDF about Designing with LibreOffice
BuildArch: noarch

%description
Designing with LibreOffice is not the usual death march through the menu and
standard tasks. Instead, the book takes two fresh approaches to the world’s
most popular free office suite.

First, it explains the importance of using styles and templates in order to
use LibreOffice with the most convenience and the least effort. By taking
advantage of styles and templates, you can concentrate on self-expression,
rather than format. Later, as you edit, you can make changes more quickly
and with more precision.

Second, it explains the basics of modern design and how to apply them in
LibreOffice, expanding on the open secret that LibreOffice is as much a
desktop publishing application as an office suite. It explains and illustrates
the possible choices as you design, as well as the pros, cons, and
considerations behind each choice — and, in some cases, what you should avoid
altogether.

%if %with_odt
%package pdf
Summary: PDF of Designing with LibreOffice
Group: Documentation

%description pdf
Designing with LibreOffice is not the usual death march through the menu and
standard tasks. Instead, the book takes two fresh approaches to the world’s
most popular free office suite.

First, it explains the importance of using styles and templates in order to
use LibreOffice with the most convenience and the least effort. By taking
advantage of styles and templates, you can concentrate on self-expression,
rather than format. Later, as you edit, you can make changes more quickly
and with more precision.

Second, it explains the basics of modern design and how to apply them in
LibreOffice, expanding on the open secret that LibreOffice is as much a
desktop publishing application as an office suite. It explains and illustrates
the possible choices as you design, as well as the pros, cons, and
considerations behind each choice — and, in some cases, what you should avoid
altogether.

This is the PDF version.

%package odt
Summary: ODT of Designing with LibreOffice
Group: Documentation
Recommends: fontconfig

%description odt
Designing with LibreOffice is not the usual death march through the menu and
standard tasks. Instead, the book takes two fresh approaches to the world’s
most popular free office suite.

First, it explains the importance of using styles and templates in order to
use LibreOffice with the most convenience and the least effort. By taking
advantage of styles and templates, you can concentrate on self-expression,
rather than format. Later, as you edit, you can make changes more quickly
and with more precision.

Second, it explains the basics of modern design and how to apply them in
LibreOffice, expanding on the open secret that LibreOffice is as much a
desktop publishing application as an office suite. It explains and illustrates
the possible choices as you design, as well as the pros, cons, and
considerations behind each choice — and, in some cases, what you should avoid
altogether.

This is the ODT version.

This document needs 2 fonts to display properly.
1. https://github.com/theleagueof/fanwood/archive/master.zip
2. https://github.com/theleagueof/raleway/releases/download/4.101/Raleway-4.101.zip

Unzip and install them in ~/.fonts and run fc-cache.
%endif

%prep
# Nothing

%build
# Nothing

%install
mkdir -p %{buildroot}%{_docdir}/%{name}
cp %{S:0} %{buildroot}%{_docdir}/%{name}/
%if %with_odt
cp %{S:1} %{buildroot}%{_docdir}/%{name}/
%endif

%if %with_odt
%files pdf
%{_docdir}/%{name}/*pdf

%files odt
%{_docdir}/%{name}/*odt
%else
%files
%{_docdir}/%{name}/*pdf
%endif
