Summary:	A real mode 80x86 assembler and linker
Name:		dev86
Version:	0.16.21
Release:	%mkrel 9
License: GPL+ and GPLv2+ and LGPLv2+
Group:		Development/Other
URL:		http://v3.sk/~lkundrak/dev86/
Source:		http://v3.sk/~lkundrak/dev86/Dev86src-%{version}.tar.gz
Patch0:		dev86-noelks.patch
Patch1:		dev86-64bit.patch
Patch2:		dev86-nostrip.patch
Patch4:		dev86-long.patch
Patch5:		dev86-fix-building-with-gcc14.patch
Obsoletes:	bin86
Provides:	bin86
ExclusiveArch:	%{ix86} ppc x86_64

# don't try to strip binaries generated by dev86 unknown to /usr/bin/strip
%define __os_install_post    /usr/lib/rpm/brp-compress /usr/lib/rpm/brp-strip %{__strip} /usr/lib/rpm/brp-strip-comment-note %{__strip} %{__objdump} %{nil}

BuildRequires:  gcc
%description
The dev86 package provides an assembler and linker for real mode 80x86
instructions. You'll need to have this package installed in order to
build programs that run in real mode, including LILO and the kernel's
bootstrapping code, from their sources.

You should install dev86 if you intend to build programs that run in real
mode from their source code.

%package	devel
Summary:	A development files for dev86
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}

%description	devel
The dev86 package provides an assembler and linker for real mode 80x86
instructions. You'll need to have this package installed in order to
build programs that run in real mode, including LILO and the kernel's
bootstrapping code, from their sources.

The dev86-devel package provides C headers need to use bcc, the C
compiler for real mode x86.

You should install dev86 if you intend to build programs that run in real
mode from their source code.

Note that you don't need dev86-devel package in order to build
a kernel.

%prep
%setup -q
%patch -P 0 -p1 -b .noelks
%if 0%{?__isa_bits} == 64
%patch -P 1 -p1 -b .64bit
%endif
%patch -P 2 -p1 -b .nostrip
%patch -P 4 -p1 -b .long
%patch -P 5 -p1 -b .gcc14

%build
# the main makefile doesn't allow parallel build
make bcc86 unproto copt as86 ld86 CFLAGS="%{optflags} -fno-strict-aliasing"
%make_build -C cpp CFLAGS="%{optflags}"
%make_build -C ar CFLAGS="%{optflags}"
%make_build -C ld CFLAGS="%{optflags}"
# ncc doesn't support gcc optflags
make

%install
make	DIST=${RPM_BUILD_ROOT} \
	MANDIR=%{_mandir} \
	LIBDIR=%{_libdir}/bcc \
	INCLDIR=%{_libdir}/bcc \
	LOCALPREFIX=%{_prefix} \
	install install-man

# preserve READMEs
for i in bootblocks copt dis88 unproto bin86 ; do cp $i/README README.$i ; done
cp bin86/README-0.4 README-0.4.bin86
cp bin86/ChangeLog ChangeLog.bin86
mv libc/COPYING COPYING.LGPL

pushd %{buildroot}%{_bindir}
rm -f nm86 size86
ln -s objdump86 nm86
ln -s objdump86 size86
popd

%files
%doc README MAGIC Contributors README.bootblocks README.copt README.dis88
%doc README.unproto README-0.4.bin86 README.bin86 ChangeLog.bin86 COPYING
%doc COPYING.LGPL
%dir %{_libdir}/bcc
%{_bindir}/*
%{_libdir}/bcc/*
%{_mandir}/man1/*
%exclude %{_libdir}/bcc/i386/lib*
%exclude %{_libdir}/bcc/include

%files devel
%doc README
%dir %{_libdir}/bcc/include
%{_libdir}/bcc/include/*
%{_libdir}/bcc/i386/lib*
