Name:		devede
Version:	4.21.0
Release:	%mkrel 1
Summary:	Graphical frontend to create video DVDs/(S)VCDs
License:	GPLv3+

Group:		Graphical desktop/Other
URL:		https://www.rastersoft.com/programas/devede.html
Source0:	https://gitlab.com/rastersoft/devedeng/-/archive/%{version}/%{name}ng-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	pkgconfig(python3)
BuildRequires:	imagemagick

Requires:	dvdauthor
Requires:	mencoder
Requires:	mkisofs
Requires:	mplayer
Requires:	ffmpeg
Requires:	vcdimager
# for python3-pkg-resources mga#31152
Requires:	python3dist(setuptools)

Provides:	%{name}ng = %{version}

%if "%{?distro_section}" == "tainted"
Requires:	faad2
%endif

%description
DeVeDe is a program to create video DVDs (compatible with home players) from
nearly any video format. It only uses Python, MPlayer, Mencoder, DVDAuthor,
VCDImager, and mkisofs, so it has very few dependencies.
%if "%{?distro_section}" == "tainted"
This package is in the "tainted" section as it requires other "tainted" packages.
%endif

%prep
%setup -qn %{name}ng-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files devedeng copy_files_verbose

%find_lang %{name}ng

%files -f %{name}ng.lang -f %{pyproject_files}
%{_bindir}/*
%{_datadir}/applications/%{name}*.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}ng_icon.svg
