Name:			dfu-util
Summary:		Device Firmware Upgrade Utilities
Group:			System/Kernel and hardware
Version:		0.11
Release:		%mkrel 2
# Note only 'dfuse-pack' python script is LGPLv3
License:		GPLv2 and LGPLv3
Url:			https://sourceforge.net/projects/dfu-util/
Source0:		https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:		README.Mageia

BuildRequires:	autoconf
BuildRequires:	pkgconfig(libusb-1.0)

Requires:		python3

%description
%{name} is a host side implementation of the DFU 1.0 and DFU 1.1
specifications of the USB forum.
DFU is intended to download and upload firmware to/from devices
connected over USB.
This package also includes dfuse.pack script which will convert
downloaded .bin firmware files to .dfu format for re-installing.

See an example of upgrading NanoVNA firmware in the file:
/usr/share/doc/dfu-util/README.Mageia.

%prep
%autosetup -p1

%build
./autogen.sh

%configure

%make_build

%install
%make_install

# Edit shebang for py3
sed -i 's:#!/usr/bin/python:#!/usr/bin/python3:' dfuse-pack.py
# Install script
install -m 755 dfuse-pack.py %{buildroot}/%{_bindir}/dfuse-pack

cp -f %{SOURCE1} .

%files
%doc AUTHORS DEVICES.txt README README.Mageia
%{_bindir}/dfu-prefix
%{_bindir}/dfu-suffix
%{_bindir}/%{name}
%{_bindir}/dfuse-pack
%{_mandir}/man1/*.*
