# OE: conditional switches
#
#(ie. use with rpm --rebuild):
#
#      --with diet     Compile dhcp-forwarder against dietlibc

%define build_diet 0

# commandline overrides:
# rpm -ba|--rebuild --with 'xxx'
%{?_with_diet: %{expand: %%define build_diet 1}}


Summary:	An DHCP relay agent
Name:		dhcp-forwarder
Version:	0.11
Release:	%mkrel 5
License:	GPLv3
Group:		System/Servers
URL:		https://www.nongnu.org/dhcp-fwd/
Source0:	https://savannah.nongnu.org/download/dhcp-fwd/%{name}-%{version}.tar.xz
Source1:	dhcp-forwarder.service
Conflicts:	dhcpd-relay
Requires(post):  systemd
Requires(preun): systemd

%if %{build_diet}
BuildRequires:	dietlibc-devel >= 0.20-1
%endif

%description
dhcp-fwd forwards DHCP messages between subnets with different sublayer
broadcast domains. It is similar to the DHCP relay agent dhcrelay of
ISC's DHCP, but has the following features which are important for me:

* Runs as non-root in a chroot-jail
* Uses "normal" AF_INET sockets which allows to uses packagefilters to
  filter incoming messages.
* The DHCP agent IDs can be defined freely
* Has a small memory footprint when using dietlibc

%prep
%setup -q

%build
%if %{build_diet}
%configure --enable-release enable-dietlibc
make CC="diet gcc" CFLAGS="-Os -s -static -nostdinc"
%else
%configure --enable-release --disable-dietlibc
%make_build
%endif

%install
%make_install

install -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/dhcp-forwarder.service
install -D -m 644 contrib/dhcp-fwd.conf %{buildroot}%{_sysconfdir}/dhcp-fwd.conf
install -D -m 644 contrib/dhcp-fwd.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/dhcp-fwd

# (cg) Make sure we mask the sysvinit script name
ln -s dhcp-forwarder.service %{buildroot}%{_unitdir}/dhcp-fwd.service

install -m 755 -d %{buildroot}/var/lib/dhcpfwd

%pre
%_pre_useradd dhcp-fwd /var/lib/dhcpfwd /bin/false

%post
%_post_service dhcp-fwd

%preun
%_preun_service dhcp-fwd

%postun
%_postun_userdel dhcp-fwd

%files
%doc AUTHORS ChangeLog NEWS README
%{_unitdir}/dhcp-forwarder.service
%{_unitdir}/dhcp-fwd.service
%config(noreplace) %{_sysconfdir}/sysconfig/dhcp-fwd
%config(noreplace) %{_sysconfdir}/dhcp-fwd.conf
%{_sbindir}/*
%dir /var/lib/dhcpfwd
%{_mandir}/man1/*
