%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

#don't provide plugin .so
%global __provides_exclude_from %{_libdir}/%{name}

#provide filtered out
%global __requires_exclude ^lib%{name}\\.so
%define commit b0a8790b04b87217c0d1ef9a08030383019b9dd6
%define gitrel  %(c=%{commit}; echo ${c:0:7})
%define date 20231127
%define _disable_ld_no_undefined 1
%define rel 3

Name:		dia
Version:	0.97.4
Release:	%mkrel -c %{date}git.%{gitrel} %{rel}
Summary:	A gtk+ based diagram creation program
License:	GPLv2+
Group:		Office/Utilities
URL:		https://wiki.gnome.org/Dia
#Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source0:	https://api.github.com/repos/GNOME/dia/tarball/%{gitrel}#/dia-git.%{date}.%{gitrel}.tar.gz

BuildRequires:	pkgconfig(cairo) >= 1.6.0
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.20.0
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libart-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(pangoft2)
BuildRequires:  pkgconfig(graphene-1.0)
BuildRequires:	docbook-utils
BuildRequires:	intltool
BuildRequires:	libxslt-proc
BuildRequires:	scrollkeeper
BuildRequires:	docbook-style-xsl
BuildRequires:	desktop-file-utils
#gw if we run aclocal or autogen.sh
BuildRequires:	gnome-common
BuildRequires:	gettext-devel
BuildRequires:  meson
BuildRequires:  cmake
BuildRequires:  python3-devel
BuildRequires:  appstream-util

#gw help viewer also for non-GNOME
Recommends:	yelp

%description
Dia is a program designed to be much like the Windows
program 'Visio'. It can be used to draw different kind of diagrams. In
this first version there is support for UML static structure diagrams
(class diagrams) and Network diagrams. It can currently load and save
diagrams to a custom fileformat and export to postscript.

%prep
%setup -q -n GNOME-dia-%{gitrel}
%autopatch -p1

%build
%meson
%meson_build

%install
%meson_install
%py3_shebang_fix  %{buildroot}%{_bindir}/* %{buildroot}%{_datadir}/dia/python/*.py

#we don't want these
find %{buildroot} -name '*.la' -delete

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/org.gnome.Dia.desktop 

%find_lang %{name} --with-gnome --with-man

%files -f %{name}.lang
%doc TODO NEWS AUTHORS
%{_bindir}/*
%{_libdir}/dia/
%{_mandir}/man1/dia.1.*
%{_datadir}/dia/
%{_datadir}/applications/org.gnome.Dia.desktop 
%{_datadir}/icons/hicolor/*/*/*
%{_libdir}/libdia.so
%{_datadir}/metainfo/org.gnome.Dia.appdata.xml
%{_datadir}/thumbnailers/org.gnome.Dia.thumbnailer
