Name:           diff-so-fancy
Version:        1.4.4
Release:        %mkrel 1
Summary:        Good looking diffs
Group:          Development/Tools
License:        MIT
URL:            https://github.com/so-fancy/diff-so-fancy
Source0:        https://github.com/so-fancy/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildArch:      noarch

# Build
BuildRequires:  coreutils
BuildRequires:  make
%if 0%{?fedora}
BuildRequires:  perl-generators
%endif
BuildRequires:  perl-podlators
# Runtime
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Glob)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(strict)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(warnings)
# Tests only
BuildRequires:  perl
BuildRequires:  perl(Pod::Checker)
BuildRequires:  perl(Test::More)

%{?perl_default_filter}

%description
diff-so-fancy strives to make your diff's human readable instead of machine
readable. This helps improve code quality and help you spot defects faster.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}/%{_bindir}
install %{name} %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{perl_vendorlib}
install lib/DiffHighlight.pm %{buildroot}/%{perl_vendorlib}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{perl_vendorlib}/*
