Name:           diffpdf
Version:        2.1.3.1
Release:        %mkrel 1
Summary:        PDF files comparator

Group:          File tools
License:        GPLv2+
URL:            https://www.qtrac.eu/diffpdf-foss.html
Source0:        https://gitlab.com/eang/diffpdf/-/archive/v%{version}/%{name}-v%{version}.tar.bz2

BuildRequires:  cmake
BuildRequires:  cmake(ECM)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(poppler-qt5)

%description
DiffPDF is used to compare two PDF files. By default the comparison is
of the text on each pair of pages, but comparing the appearance of pages
is also supported (for example, if a diagram is changed or a paragraph
reformatted). It is also possible to compare particular pages or page
ranges.

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%cmake
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_docdir}/DiffPDF

%files
%doc CHANGES help_cz.html help_de.html help_fr.html help.html README
%license gpl-2.0.txt
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/applications/eu.qtrac.diffpdf.desktop
%{_mandir}/man1/%{name}.1.*
