Summary:	A GNU collection of diff utilities
Name:		diffutils
Version:	3.10
Release:	%mkrel 2
License:	GPLv3+
Group:		Development/Other
URL:		https://www.gnu.org/software/diffutils/
Source0:	https://ftp.gnu.org/gnu/diffutils/%{name}-%{version}.tar.xz
Source1:	https://ftp.gnu.org/gnu/diffutils/%{name}-%{version}.tar.xz.sig
Source2:	diffutils-help2man.bz2
BuildRequires:	libsigsegv-devel
BuildRequires:	gettext-devel

%description
Diffutils includes four utilities:  diff, cmp, diff3 and sdiff.

  * Diff compares two files and shows the differences, line by line.
  * The cmp command shows the offset and line numbers where two files differ,
    or cmp can show the characters that differ between the two files.
  * The diff3 command shows the differences between three files. Diff3 can be
    used when two people have made independent changes to a common original;
    diff3 can produce a merged file that contains both persons' changes and
    warnings about conflicts.
  * The sdiff command can be used to list diff of two files side by side or
    merge two files interactively.

Install diffutils if you need to compare text files.

%prep
%setup -q

bzcat %{SOURCE2} > help2man
chmod +x help2man

%build
# default editor for sdiff interactive mode, vi is likely better than ed
perl -pi -e 's/^(#define\s+DEFAULT_EDITOR_PROGRAM\s+)"ed"/$1"vi"/' configure*

# for finding help2man
export PATH=$PATH:`pwd`
autoreconf -fi
%configure \
	--disable-rpath \
	--without-included-regex \
	--with-packager="%{distribution}" \
	--with-packager-bug-reports="https://bugs.mageia.org"


%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man*/*
%{_infodir}/%name.info*
