#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

# comment out when not pre-release
#define  prel beta3

# disable default option "make V=1 VERBOSE=1"
%define _make_verbose %nil
# limit CPUs to work around homicidal build system
%global _smp_ncpus_max 4

%ifarch aarch64 x86_64
%bcond_without qwebengine
%else
%bcond_with qwebengine
%endif

%define rel 1

Name:           digikam
Epoch:          1
Version: 8.6.0
Release:        %mkrel %{?prel:0.%prel.}%{rel}
Summary:        A KDE photo management utility
License:        GPLv2+
Group:          Graphics/Photography
Url:            https://www.digikam.org
Source0:        https://download.kde.org/stable/digikam/%{version}%{?prel:-%prel}/digiKam-%{version}%{?prel:-%prel}.tar.xz
# upstream patches

# mageia patches

# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6SvgWidgets)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6MultimediaWidgets)
BuildRequires:  cmake(Qt6OpenGL)
BuildRequires:  cmake(Qt6OpenGLWidgets)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6NetworkAuth)
BuildRequires:  cmake(Qt6StateMachine)
BuildRequires:  cmake(Qt6Widgets)
%if %{with qwebengine}
BuildRequires:  cmake(Qt6WebEngineWidgets)
%endif

BuildRequires:  cmake(KSaneWidgets6)
BuildRequires:  cmake(KF6FileMetaData)
BuildRequires:  cmake(KF6CalendarCore)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6NotifyConfig)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6Sonnet)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6Solid)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6ThreadWeaver)

BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(libgphoto2)
# gPhoto2 support needs usb-compat-devel
BuildRequires:  pkgconfig(libusb)
BuildRequires:  pkgconfig(opencv) >= 3.0
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(lensfun)
BuildRequires:  pkgconfig(lqr-1) >= 0.4.0
BuildRequires:  pkgconfig(libgpod-1.0)
BuildRequires:  pkgconfig(libheif)
BuildRequires:  pkgconfig(eigen3)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(libjxl)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(jasper)
# MediaPlayer support
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libavdevice)
BuildRequires:  pkgconfig(libavfilter)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libswresample)
BuildRequires:  pkgconfig(libswscale)
BuildRequires:  pkgconfig(libass)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libva)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(uchardet)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xv)

BuildRequires:  boost-devel
BuildRequires:  imagemagick-devel
BuildRequires:  libgomp-devel
BuildRequires:  cmake(marble)
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  doxygen
BuildRequires:  mysql-core
BuildRequires:  mysql-common
BuildRequires:  imagemagick

Requires:       mysql-core
Requires:       mysql-common
Requires:       %mklibname qt6-database-plugin-sqlite
Requires:       digikam-core = %{epoch}:%{version}-%{release}
Recommends:     digikam-plugin-gmic
Recommends:     hugin
Recommends:     marble

# needed by cleanup_digikamdb
Requires:       sqlite3-tools

%description
DigiKam is an advanced digital photo management application for KDE.
Photos can be collected into albums which can be sorted chronologically,
by directory layout or by custom collections.
DigiKam also provides tagging functionality. Images can be tagged despite of
their position and digiKam provides fast and intuitive ways to browse them.
User comments and customized meta-information added to images, are stored
into a database and retrieved to make them available into the user interface.
As soon as the camera is plugged in digikam allows you to preview, download,
upload and delete images.
Digikam also includes tools like Image Editor, to modify photos using plugins
such as red eye correction or Gamma correction, exif management,...
Light Table to make artistic photos and an external image editor such
as Showfoto.
Digikam also uses KIPI plugins (KDE Image Plugin Interface) to increase
its functionalities.


%files -f %{name}.lang
%{_kf6_bindir}/digikam
%{_kf6_bindir}/digitaglinktree
%{_kf6_bindir}/cleanup_digikamdb
%{_kf6_datadir}/digikam/
%{_kf6_datadir}/solid/actions/digikam*.desktop
%{_kf6_mandir}/man1/digitaglinktree.1*
%{_kf6_mandir}/man1/cleanup_digikamdb.1*
%{_kf6_iconsdir}/*/*/apps/digikam.*
%{_kf6_applicationdir}/org.kde.digikam.desktop
%{_kf6_metainfodir}/org.kde.digikam.appdata.xml
%{_kf6_datadir}/kxmlgui5/digikam/
%{_kf6_knotificationsdir}/digikam.notifyrc
%{_kf6_iconsdir}/*/*/*/expoblending.*
%{_kf6_iconsdir}/*/*/*/panorama.*
%{_kf6_iconsdir}/*/*/*/albumfolder*.*
%{_kf6_iconsdir}/*/*/*/overexposure.*
%{_kf6_iconsdir}/*/*/*/tag*.*
%{_kf6_iconsdir}/*/*/*/underexposure.*
%{_kf6_iconsdir}/*/*/*/dk-box.*
%{_kf6_iconsdir}/*/*/*/dk-dropbox.*
%{_kf6_iconsdir}/*/*/*/dk-flickr.*
%{_kf6_iconsdir}/*/*/*/dk-googledrive.*
%{_kf6_iconsdir}/*/*/*/dk-googlephoto.*
%{_kf6_iconsdir}/*/*/*/dk-imageshack.*
%{_kf6_iconsdir}/*/*/*/dk-imgur.*
%{_kf6_iconsdir}/*/*/*/dk-inat.*
%{_kf6_iconsdir}/*/*/*/dk-mediawiki.*
%{_kf6_iconsdir}/*/*/*/dk-onedrive.*
%{_kf6_iconsdir}/*/*/*/dk-pinterest.*
%{_kf6_iconsdir}/*/*/*/dk-piwigo.*
%{_kf6_iconsdir}/*/*/*/dk-smugmug.*
%{_qt6_plugindir}/digikam/

#-----------------------------------------------------------------------

%package -n     showfoto
Summary:        Fast Image Editor
Group:          Graphics/Photography
Requires:       libkdcraw-common

%description -n showfoto
Showfoto is a fast Image Editor with powerful image editing tools.
You can use it to view your photographs and improve them.

%files -n showfoto
%{_kf6_bindir}/showfoto
%{_kf6_datadir}/kxmlgui5/showfoto/
%{_kf6_metainfodir}/org.kde.showfoto.appdata.xml
%{_kf6_datadir}/showfoto/
%{_kf6_iconsdir}/*/*/apps/showfoto.*
%{_kf6_applicationsdir}/org.kde.showfoto.desktop

#-----------------------------------------------------------------------

%define libdigikamdatabase_major %{version}
%define libdigikamdatabase %mklibname digikamdatabase %{libdigikamdatabase_major}

%package -n     %{libdigikamdatabase}
Summary:        Runtime library for %{name}
Group:          System/Libraries
Provides:       %{libdigikamdatabase} = %{epoch}:%{version}-%{release}

%rename         %{_lib}digikamdatabase4

%description -n %{libdigikamdatabase}
Library File needed by %{name}.

%files -n %{libdigikamdatabase}
%{_kf6_libdir}/libdigikamdatabase.so.%{libdigikamdatabase_major}{,.*}

#-----------------------------------------------------------------------

%define libdigikamcore_major %{version}
%define libdigikamcore %mklibname digikamcore %{libdigikamcore_major}

%package -n     %{libdigikamcore}
Summary:        Runtime library for %{name}
Group:          System/Libraries
Provides:       digikam-core = %{epoch}:%{version}-%{release}

%rename         %{_lib}digikamcore4

%description -n %{libdigikamcore}
Library File needed by %{name}.

%files -n %{libdigikamcore}
%{_kf6_libdir}/libdigikamcore.so.%{libdigikamcore_major}{,.*}

#-----------------------------------------------------------------------

%define libdigikamgui_major %{version}
%define libdigikamgui %mklibname digikamgui %{libdigikamgui_major}

%package -n     %{libdigikamgui}
Summary:        Runtime library for %{name}
Group:          System/Libraries
Provides:       digikam-core = %{epoch}:%{version}-%{release}

%description -n %{libdigikamgui}
Library File needed by %{name}.

%files -n %{libdigikamgui}
%{_kf6_libdir}/libdigikamgui.so.%{libdigikamgui_major}{,.*}

#-----------------------------------------------------------------------

%define libnamedev %mklibname digikam -d

%package -n     %{libnamedev}
Summary:        Static libraries and headers for %{name}
Group:          Development/C
Provides:       %{name}-devel = %{epoch}:%{version}-%{release}
Requires:       %{libdigikamcore} = %{epoch}:%{version}-%{release}
Requires:       %{libdigikamgui} = %{epoch}:%{version}-%{release}
Requires:       %{libdigikamdatabase} = %{epoch}:%{version}-%{release}

%description -n %{libnamedev}
%{libnamedev} contains the libraries and header files needed to
develop programs which make use of %{name}.
The library documentation is available on header files.

%files -n     %{libnamedev}
%{_includedir}/digikam/
%{_kf6_libdir}/*.so
%{_kf6_libdir}/cmake/DigikamDatabase/
%{_kf6_libdir}/cmake/DigikamCore/
%{_kf6_libdir}/cmake/DigikamGui/
%{_kf6_libdir}/cmake/DigikamPlugin/

#-----------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{version}%{?prel:-%{prel}}

%build
%cmake_kf6 -DDIGIKAMSC_CHECKOUT_PO=OFF -DDIGIKAMSC_COMPILE_PO=ON \
           -DDIGIKAMSC_CHECKOUT_DOC=OFF -DDIGIKAMSC_COMPILE_DOC=OFF \
           -DENABLE_APPSTYLES=ON \
           -DENABLE_MEDIAPLAYER=ON \
           -DENABLE_QTMULTIMEDIA=ON \
           -DENABLE_MYSQLSUPPORT=ON \
           -DENABLE_INTERNALMYSQL=ON \
           -DBUILD_WITH_QT6:BOOL=ON \
%ifarch %ix86
           -DSSE2_FOUND:BOOL=false \
           -DSSE4_1_FOUND:BOOL=false \
%endif
           %{!?with_qwebengine:-DENABLE_QWEBENGINE:BOOL=OFF}

%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html
