%global __requires_exclude_from %{_docdir}/%{name}

Summary:	Digital thermometer using DS1820 1-wire sensors
Name:		digitemp
Version:	3.7.2
Release:	%mkrel 3
License:	GPLv2+
Group:		Monitoring
URL:		https://www.digitemp.com/
Source0:	https://github.com/bcl/digitemp/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:	https://www.brianlane.com/linux/dthowto.txt
Source2:	DS9097_Schematic.gif
BuildRequires:	pkgconfig(libusb)
#BuildRequires:	lockdev-devel

%description
DigiTemp is a simple to use interface to the Dallas Semiconductor DS18S20,
DS1822, and DS18B20 1-wire digital temperature sensors. You can use DigiTemp
in a wide variety of applications, such as heating control, process monitoring,
weather station, indor/outdoor temperature logging, etc. It includes a couple
of useful Perl, Python and RRD Tool scripts for crating graphs and dynamic
signatures.

%prep

%setup -q

cp %{SOURCE1} %{SOURCE2} .

# Convert everything to UTF-8
iconv -f iso-8859-1 -t utf-8 -o ChangeLog.utf8 ChangeLog
touch -c -r ChangeLog ChangeLog.utf8
mv -f ChangeLog.utf8 ChangeLog

%build
%set_build_flags

%make_build ds9097

%make_build clean
%make_build ds9097u

%make_build clean
%make_build ds2490

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1

install -pm0755 digitemp_DS* %{buildroot}%{_bindir}/
install -pm0644 %{name}.1 %{buildroot}%{_mandir}/man1/

%files
%doc CREDITS DS9097_S* FAQ README TODO dthowto.txt perl python rrdb
%{_bindir}/*
%{_mandir}/man1/*
