Name:		dikt
Version:	3
Release:	%mkrel 1
Summary:	A Plasma client for the Dict network dictionary protocol
License:	BSD-like
Group:		Networking/Other
URL:		https://www.dikt.tv/
Source:		https://osdn.net/dl/dikt/%{name}-%{version}.txz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6PrintSupport)

BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6KIO)
BuildRequires:	cmake(KF6XmlGui)
BuildRequires:	cmake(KF6GuiAddons)
BuildRequires:	cmake(KF6IconThemes)
BuildRequires:	cmake(KF6DBusAddons)

%description
Dikt is a dictionary application that implements the Dict protocol.
Dikt is a network application, it looks up words on Dict servers,
so its main advantage is that it’s not necessary to install any dictionaries.
Dikt is very similar to web browsers and should be easy to use to anyone
familiar with the Web and the Internet.

%prep
%autosetup

%build
%cmake_kf6

%cmake_build

%install
%cmake_install

%files
%doc README
%license LICENSE
%{_kf6_bindir}/%{name}
%{_kf6_datadir}/%{name}/
%{_kf6_applicationsdir}/%{name}.desktop
%{_kf6_datadir}/kxmlgui5/%{name}/
%{_kf6_iconsdir}/hicolor/128x128/apps/%{name}.png
