Name:		dillo
Version:	3.2.0
Release:	%mkrel 1
Summary:	Very fast and light web browser
# The OpenSSL exception is in dpi/https.c - AdamW 2008/12
License:	GPL-3.0-or-later with exceptions
Group:		Networking/WWW
URL:		https://dillo-browser.github.io/
Source0:	https://github.com/dillo-browser/dillo/releases/download/v%{version}/%{name}-%{version}.tar.bz2
Source1:	https://github.com/dillo-browser/dillo/releases/download/v%{version}/%{name}-%{version}.tar.bz2.asc
BuildRequires:	ungif-devel
BuildRequires:	cmake(fltk)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(zlib)

%description
Dillo is a Web browser that's completely written in C, very fast, and small in
code base and binary. It is a graphical browser built upon FLTK2 and currently
renders a subset of HTML (no frames, no JavaScript, and no JVM).

%prep
%autosetup

# silence rpmlint and convert to utf8
iconv -f iso8859-1 -t utf-8 AUTHORS > AUTHORS.conv && mv -f AUTHORS.conv AUTHORS
iconv -f iso8859-1 -t utf-8 ChangeLog > ChangeLog.conv && mv -f ChangeLog.conv ChangeLog

%build
%configure \
	--enable-ipv6 \
	--enable-tls
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_sysconfdir}
install -m 644 dillorc %{buildroot}%{_sysconfdir}/

%files
%doc AUTHORS ChangeLog NEWS README.md doc/user_help.html
%license COPYING
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_libdir}/%{name}/
%config(noreplace) %{_sysconfdir}/dillorc
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/dillorc
%config(noreplace) %{_sysconfdir}/%{name}/dpidrc
%config(noreplace) %{_sysconfdir}/%{name}/hsts_preload
%config(noreplace) %{_sysconfdir}/%{name}/keysrc
%config(noreplace) %{_sysconfdir}/%{name}/domainrc
%{_mandir}/man1/%{name}.1*
