%define path_utils_version 0.2.1
%define dhash_version 0.5.0
%define collection_version 0.7.0
%define ref_array_version 0.1.5
%define basicobjects_version 0.1.1
%define ini_config_version 1.3.1

%define path_utils_major 1
%define path_utils_libname %mklibname path_utils %{path_utils_major}
%define path_utils_develname %mklibname path_utils -d

%define dhash_major 1
%define dhash_libname %mklibname dhash %{dhash_major}
%define dhash_develname %mklibname dhash -d

%define collection_major 4
%define collection_libname %mklibname collection %{collection_major}
%define collection_develname %mklibname collection -d

%define ref_array_major 1
%define ref_array_libname %mklibname ref_array %{ref_array_major}
%define ref_array_develname %mklibname ref_array -d

%define basicobjects_major 0
%define basicobjects_libname %mklibname basicobjects %{basicobjects_major}
%define basicobjects_develname %mklibname basicobjects -d

%define ini_config_major 5
%define ini_config_libname %mklibname ini_config %{ini_config_major}
%define ini_config_develname %mklibname ini_config -d

Name:		ding-libs
Version:	0.6.2
# Increase release instead of resetting it to 1
# when a new version is released
Release:	%mkrel 15
Summary:	"Ding is not GLib" assorted utility libraries
Group:		Development/C
License:	LGPLv3+
URL:		https://github.com/SSSD/ding-libs
Source0:	https://github.com/SSSD/ding-libs/releases/download/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	doxygen
BuildRequires:	pkgconfig
BuildRequires:	pkgconfig(check)
BuildRequires:	git-core

%description
A set of helpful libraries used by projects such as SSSD.

%package	-n %{path_utils_libname}
Summary:	Filesystem Path Utilities
Group:		Development/C
License:	LGPLv3+
Version:	%{path_utils_version}

%description	-n %{path_utils_libname}
Utility functions to manipulate filesystem pathnames.

%package	-n %{path_utils_develname}
Summary:	Development files for libpath_utils
Group:		Development/C
Requires:	%{path_utils_libname} = %{path_utils_version}-%{release}
Provides:	path_utils-devel = %{path_utils_version}-%{release}
License:	LGPLv3+
Version:	%{path_utils_version}

%description	-n %{path_utils_develname}
Utility functions to manipulate filesystem pathnames.


%package	-n %{dhash_libname}
Group:		Development/C
Summary:	Dynamic hash table
License:	LGPLv3+
Version:	%{dhash_version}

%description	-n %{dhash_libname}
A hash table which will dynamically resize to achieve optimal storage & access
time properties.

%package	-n %{dhash_develname}
Summary:	Development files for libdhash
Group:		Development/C
Requires:	%{dhash_libname} = %{dhash_version}-%{release}
Provides:	dhash-devel = %{dhash_version}-%{release}
License:	LGPLv3+
Version:	%{dhash_version}

%description	-n %{dhash_develname}
A hash table which will dynamically resize to achieve optimal storage & access
time properties.

%package	-n %{collection_libname}
Summary:	Collection data-type for C
Group:		Development/C
License:	LGPLv3+
Version:	%{collection_version}

%description	-n %{collection_libname}
A data-type to collect data in a hierarchical structure for easy iteration
and serialization.

%package	-n %{collection_develname}
Summary:	Development files for libcollection
Group:		Development/C
License:	LGPLv3+
Requires:	%{collection_libname} = %{collection_version}-%{release}
Provides:	collection-devel = %{collection_version}-%{release}
Version:	%{collection_version}

%description	-n %{collection_develname}
A data-type to collect data in a hierarchical structure for easy iteration
and serialization.

%package	-n %{ref_array_libname}
Summary:	A refcounted array for C
Group:		Development/C
License:	LGPLv3+
Version:	%{ref_array_version}

%description	-n %{ref_array_libname}
A dynamically-growing, reference-counted array.

%package	-n %{ref_array_develname}
Summary:	Development files for libref_array
Group:		Development/C
Requires:	%{ref_array_libname} = %{ref_array_version}-%{release}
Provides:	ref_array-devel = %{ref_array_version}-%{release}
License:	LGPLv3+
Version:	%{ref_array_version}

%description	-n %{ref_array_develname}
A dynamically-growing, reference-counted array.

%package	-n %{basicobjects_libname}
Summary:	Basic object types for C
Group:		Development/C
License:	GPLv3+
Version:	%{basicobjects_version}

%description	-n %{basicobjects_libname}
Basic object types.

%package	-n %{basicobjects_develname}
Summary:	Development files for libbasicobjects
Group:		Development/C
License:	GPLv3+
Version:	%{basicobjects_version}
Requires:	%{basicobjects_libname} = %{basicobjects_version}-%{release}

%description	-n %{basicobjects_develname}
Basic object types.

%package	-n %{ini_config_libname}
Summary:	INI file parser for C
Group:		Development/C
License:	LGPLv3+
Version:	%{ini_config_version}

%description	-n %{ini_config_libname}
Library to process config files in INI format into a libcollection data
structure.

%package	-n %{ini_config_develname}
Summary:	Development files for libini_config
Group:		Development/C
License:	LGPLv3+
Requires:	%{ini_config_libname} = %{ini_config_version}-%{release}
Provides:	ini_config-devel = %{ini_config_version}-%{release}
Version:	%{ini_config_version}

%description	-n %{ini_config_develname}
Library to process config files in INI format into a libcollection data
structure.

%prep
%setup -q
%autopatch -p1

%build
%configure \
    --disable-static
%make_build all docs

%check
%__make check

%install
%make_install

# Remove .la files created by libtool
find %{buildroot}%{_libdir} -name '*.la' -delete

# Remove the example files from the output directory
# We will copy them directly from the source directory
# for packaging
rm -f \
    %{buildroot}/usr/share/doc/ding-libs/README.* \
    %{buildroot}/usr/share/doc/ding-libs/examples/dhash_example.c \
    %{buildroot}/usr/share/doc/ding-libs/examples/dhash_test.c

# Remove document install script. RPM is handling this
rm -f */doc/html/installdox

%files -n %{path_utils_libname}
%license COPYING COPYING.LESSER
%{_libdir}/libpath_utils.so.%{path_utils_major}{,.*}

%files -n %{path_utils_develname}
%{_libdir}/libpath_utils.so
%{_libdir}/pkgconfig/path_utils.pc
%{_includedir}/path_utils.h
%doc path_utils/README.path_utils
%doc path_utils/doc/html/

%files -n %{dhash_libname}
%license COPYING COPYING.LESSER
%{_libdir}/libdhash.so.%{dhash_major}{,.*}

%files -n %{dhash_develname}
%{_includedir}/dhash.h
%{_libdir}/libdhash.so
%{_libdir}/pkgconfig/dhash.pc
%doc dhash/README.dhash
%doc dhash/examples/

%files -n %{collection_libname}
%license COPYING COPYING.LESSER
%{_libdir}/libcollection.so.%{collection_major}{,.*}

%files -n %{collection_develname}
%{_includedir}/collection.h
%{_includedir}/collection_tools.h
%{_includedir}/collection_queue.h
%{_includedir}/collection_stack.h
%{_libdir}/libcollection.so
%{_libdir}/pkgconfig/collection.pc
%doc collection/doc/html/

%files -n %{ref_array_libname}
%license COPYING COPYING.LESSER
%{_libdir}/libref_array.so.%{ref_array_major}{,.*}

%files -n %{ref_array_develname}
%{_includedir}/ref_array.h
%{_libdir}/libref_array.so
%{_libdir}/pkgconfig/ref_array.pc
%doc refarray/README.ref_array
%doc refarray/doc/html/

%files -n %{basicobjects_libname}
%license COPYING COPYING.LESSER
%{_libdir}/libbasicobjects.so.%{basicobjects_major}{,.*}

%files -n %{basicobjects_develname}
%{_includedir}/simplebuffer.h
%{_libdir}/libbasicobjects.so
%{_libdir}/pkgconfig/basicobjects.pc

%files -n %{ini_config_libname}
%license COPYING COPYING.LESSER
%{_libdir}/libini_config.so.%{ini_config_major}{,.*}

%files -n %{ini_config_develname}
%{_includedir}/ini_config.h
%{_includedir}/ini_configobj.h
%{_includedir}/ini_valueobj.h
%{_includedir}/ini_comment.h
%{_includedir}/ini_configmod.h
%{_libdir}/libini_config.so
%{_libdir}/pkgconfig/ini_config.pc
%doc ini/doc/html/
