Summary:        German/English Dictionary Look-up Program
Name:           ding
Version:        1.9
Release:        %mkrel 3
License:        GPLv2+
Group:          System/Internationalization
URL:            https://www-user.tu-chemnitz.de/~fri/ding/
Source:         https://ftp.tu-chemnitz.de/pub/Local/urz/ding/ding-%{version}.tar.gz
Source1:        https://ftp.tu-chemnitz.de/pub/Local/urz/ding/de-en/de-en.txt.gz
Patch0:         ding-1.9-mga-xdg.patch
Patch1:         ding-1.5-encoding.patch
Patch2:         use-grep-instead-of-egrep.patch
BuildArch:      noarch
BuildRequires:  desktop-file-utils
BuildRequires:  imagemagick

Requires:       tcl >= 8.0
Requires:       tk >= 8.0
Requires:       aspell-en
Requires:       aspell-de

%description
Ding (DIctionary Nice Grep) is a tool to look up words in dictionaries.
It uses tools like agrep, dict, ispell/aspell etc. It contains a program
(ding) written in Tcl/Tk and a German - English dictionary with about
326,000 translations.

%prep
%autosetup -p1

zcat %SOURCE1 > de-en.txt

%build


%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/dict
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/doc/%{name}-%{version}
mkdir -p %{buildroot}%{_mandir}/man1
cp ding %{buildroot}%{_bindir}/ding
cp de-en.txt %{buildroot}%{_datadir}/dict/de-en.txt
cp ding.png %{buildroot}%{_datadir}/pixmaps/ding.png
cp ding.desktop %{buildroot}%{_datadir}/applications/ding.desktop
cp ding.1 %{buildroot}%{_mandir}/man1/ding.1
mkdir -p %{buildroot}{%_liconsdir,%_miconsdir,%_iconsdir}
ln -s %{_datadir}/pixmaps/%name.png %{buildroot}%{_iconsdir}/
convert -scale 16 %{name}.png %{buildroot}%{_miconsdir}/%{name}.png

%files
%doc CHANGES README.md
%license COPYING
%{_bindir}/ding
%{_datadir}/dict/de-en.txt
%{_datadir}/pixmaps/ding.png
%{_datadir}/applications/ding.desktop
%{_mandir}/man1/ding.1*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
