Name:		dino
Version:	0.4.5
Release:	%mkrel 1
Group:		Networking/Chat
License:	GPLv3
Summary:	Modern XMPP ("Jabber") Chat Client using GTK+/Vala
URL:		https://github.com/dino/dino
Source0:	%{url}/releases/download/v%{version}/dino-%{version}.tar.gz
Source1:	%{url}/releases/download/v%{version}/dino-%{version}.tar.gz.asc
Patch1:		dino-linking.patch
BuildRequires:	cmake
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	gettext
BuildRequires:	ninja-build
BuildRequires:	vala
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(gpgme)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(gspell-1)
BuildRequires:	pkgconfig(gstreamermm-1.0)
BuildRequires:	pkgconfig(libadwaita-1)
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(libsignal-protocol-c)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(libqrencode)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(libsrtp2)
BuildRequires:	pkgconfig(nice)
BuildRequires:	pkgconfig(webrtc-audio-processing)

Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-vp8

%description
A modern XMPP ("Jabber") chat client using GTK+/Vala.

%prep
%autosetup -p1

# Remove the bundled library
rm .gitmodules
rm -r plugins/signal-protocol/libsignal-protocol-c

%build
%cmake -GNinja
%cmake_build

%install
%cmake_install

%find_lang %{name}
%find_lang %{name}-omemo
%find_lang %{name}-openpgp

# we don't want devel/headers files
rm -rf %{buildroot}%{_includedir}/*.h
rm -rf %{buildroot}%{_libdir}/*.so
rm -rf %{buildroot}%{_datadir}/vala/

%check
ctest

%files -f %{name}.lang -f %{name}-omemo.lang -f %{name}-openpgp.lang
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/im.%{name}.Dino.desktop
%{_datadir}/dbus-1/services/im.%{name}.Dino.service
%{_iconsdir}/hicolor/scalable/apps/im.%{name}.Dino.svg
%{_iconsdir}/hicolor/symbolic/apps/im.%{name}.Dino-symbolic.svg
%{_metainfodir}/im.%{name}.Dino.appdata.xml
%{_libdir}/%{name}/
%{_libdir}/libdino.so.0*
%{_libdir}/libqlite.so.0*
%{_libdir}/libxmpp-vala.so.0*
%{_libdir}/libcrypto-vala.so.0*
