%define major      0
%define libname    %mklibname %name %major
%define develname  %mklibname %name -d
%define staticname %mklibname %name -s -d

Summary:        Video Codec based on Wavelets
Name:           dirac
Version:        1.0.2
Release:        %mkrel 16
License:        MPLv1.1
Group:          Video/Editors and Converters
Url:            https://sf.net/projects/dirac
Source0:        https://prdownloads.sourceforge.net/%name/%{name}-%{version}.tar.gz
Patch0:         dirac-0.7.0-werror.patch
Patch1:         dirac-1.0.2-backports.patch
BuildRequires:  doxygen
BuildRequires:  texlive
BuildRequires:  pkgconfig(cppunit)

%description
Dirac is an open source video codec. It uses a traditional hybrid
video codec architecture, but with the wavelet transform instead of
the usual block transforms.  Motion compensation uses overlapped
blocks to reduce block artifacts that would upset the transform coding
stage.

Dirac can code just about any size of video, from streaming up to HD
and beyond, although certain presets are defined for different
applications and standards.  These cover the parameters that need to
be set for the encoder to work, such as block sizes and temporal
prediction structures, which must otherwise be set by hand.

%package -n %libname
Summary:        Shared library of the Dirac Video codec
Group:          System/Libraries

%description -n %libname
Dirac is an open source video codec. It uses a traditional hybrid
video codec architecture, but with the wavelet transform instead of
the usual block transforms.  Motion compensation uses overlapped
blocks to reduce block artifacts that would upset the transform coding
stage.

Dirac can code just about any size of video, from streaming up to HD
and beyond, although certain presets are defined for different
applications and standards.  These cover the parameters that need to
be set for the encoder to work, such as block sizes and temporal
prediction structures, which must otherwise be set by hand.

%package -n %develname
Summary:        Development files of the Dirac Video codec
Group:          Development/C++
Requires:       %libname = %version
Provides:       lib%name-devel = %version-%release
Provides:       %name-devel = %version-%release

%description -n %develname
Dirac is an open source video codec. It uses a traditional hybrid
video codec architecture, but with the wavelet transform instead of
the usual block transforms.  Motion compensation uses overlapped
blocks to reduce block artifacts that would upset the transform coding
stage.

Dirac can code just about any size of video, from streaming up to HD
and beyond, although certain presets are defined for different
applications and standards.  These cover the parameters that need to
be set for the encoder to work, such as block sizes and temporal
prediction structures, which must otherwise be set by hand.

%package -n %staticname
Summary:        Static libraries of the Dirac Video codec
Group:          Development/C++
Requires:       %develname = %version
Provides:       lib%name-static-devel = %version-%release

%description -n %staticname
Dirac is an open source video codec. It uses a traditional hybrid
video codec architecture, but with the wavelet transform instead of
the usual block transforms.  Motion compensation uses overlapped
blocks to reduce block artifacts that would upset the transform coding
stage.

Dirac can code just about any size of video, from streaming up to HD
and beyond, although certain presets are defined for different
applications and standards.  These cover the parameters that need to
be set for the encoder to work, such as block sizes and temporal
prediction structures, which must otherwise be set by hand.

%package utils
Summary:        Example encoder and decoder for the Dirac video codec
Group:          Video/Editors and Converters

%description utils
Dirac is an open source video codec. It uses a traditional hybrid
video codec architecture, but with the wavelet transform instead of
the usual block transforms.  Motion compensation uses overlapped
blocks to reduce block artifacts that would upset the transform coding
stage.

Dirac can code just about any size of video, from streaming up to HD
and beyond, although certain presets are defined for different
applications and standards.  These cover the parameters that need to
be set for the encoder to work, such as block sizes and temporal
prediction structures, which must otherwise be set by hand.


%prep
%setup -q
%patch -P 0 -p1
%patch -P 1 -p0

%build
./bootstrap
%configure --disable-static
%make_build

%install
%make_install

mv %buildroot%_datadir/doc installed-docs
#gw don't package unit tests
rm -fv %buildroot%_bindir/dirac_unittest

find %{buildroot} -name '*.la' -delete

%files utils
%doc README TODO AUTHORS
%_bindir/dirac*
%_bindir/BMPtoRGB
%_bindir/RGB*
%_bindir/UYVYtoRGB
%_bindir/UYVYtoYUV422
%_bindir/YUV*
%_bindir/create_dirac_testfile.pl

%files -n %libname
%_libdir/libdirac*.so.%{major}{,.*}

%files -n %develname
%doc installed-docs/*
%_includedir/%{name}/
%_libdir/libdirac*.so
%_libdir/pkgconfig/dirac.pc
