%define major	%{version}
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		discord-rpc
Version:	3.4.0
Release:	%mkrel 1
Summary:	Discord rich presence library
License:	MIT
Group:		System/Libraries
URL:		https://github.com/discord/discord-rpc
Source0:	https://github.com/discord/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:	discord-rpc.pc
Patch0:		0001-Add-some-library-versioning.patch
BuildRequires:	cmake
BuildRequires:	cmake(rapidjson)

%description
This is a library for interfacing your game with a locally
running Discord desktop client.

#------------------------------------------------

%package -n	%{libname}
Summary:	Discord RPC library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
#Recommends:	discord

%description -n %{libname}
This is a library for interfacing your game with a locally
running Discord desktop client.

#------------------------------------------------

%package -n	%{devname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -p1

cp -a %{SOURCE1} .
sed -i 's|@LIB@|%{_lib}|' %{name}.pc

%build
%cmake

%cmake_build

%install
%cmake_install

install -D -m 0644 %{name}.pc %{buildroot}%{_libdir}/pkgconfig/%{name}.pc

%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%license LICENSE
%doc README.md
%{_includedir}/discord_register.h
%{_includedir}/discord_rpc.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
