#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define _cmake_skip_rpath %nil

%global flatpak_version 1.10.1

%define rel 1

Name:           discover
Version: 6.3.4
Release:        %mkrel %rel
Summary:        KDE and Plasma resources management GUI
Group:          Graphical desktop/KDE
License:        GPLv2+
URL:            https://kde.org
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz
## upstream patches

BuildRequires:  kf6-rpm-macros

# Qt6 BuildRequires
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6WebView)

#KDE Framework BuildRequires
BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6IdleTime)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6Purpose)
BuildRequires:  cmake(KF6Auth)
BuildRequires:  cmake(KF6StatusNotifierItem)
BuildRequires:  cmake(KF6IconThemes)

BuildRequires:  cmake(KF6Attica)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6KirigamiAddons)
BuildRequires:  cmake(KF6UserFeedback)
BuildRequires:  cmake(QCoro6)
BuildRequires:  cmake(KF6ItemModels)

#PackageKit backend BuildRequires
BuildRequires:  cmake(packagekitqt6)
BuildRequires:  cmake(AppStreamQt) >= 1.0

#Flatpak backend BuildRequires
BuildRequires:  pkgconfig(flatpak) >= %{flatpak_version}
BuildRequires:  pkgconfig(fwupd)
BuildRequires:  pkgconfig(libmarkdown)

BuildRequires:  git-core

Requires:       flatpak >= %{flatpak_version}
Requires:       fwupd
Requires:       kdeclarative
Requires:       kirigami
Requires:       kuserfeedback

#Add secondary provides name for sanity
Provides: plasma-%{name} = %{version}-%{release}
Provides: plasma-%{name}%{?_isa} = %{version}-%{release}

%description
KDE and Plasma resources management GUI.

%files -f discover.lang
%_kf6_sysconfdir/xdg/autostart/org.kde.discover.notifier.desktop
%_kf6_categoriesdir/discover.categories
%_libexecdir/DiscoverNotifier
%_kf6_bindir/plasma-discover
%_kf6_bindir/plasma-discover-update
%_kf6_libdir/plasma-discover/libDiscoverCommon.so
%_kf6_libdir/plasma-discover/libDiscoverNotifiers.so
%_qt6_plugindir/discover
%_qt6_plugindir/discover-notifier
%_qt6_plugindir/plasma/kcms/systemsettings/kcm_updates.so
%_kf6_applicationdir/org.kde.discover.desktop
%_kf6_applicationdir/org.kde.discover.urlhandler.desktop
%_kf6_applicationdir/org.kde.discover-flatpak.desktop
%_kf6_applicationdir/org.kde.discover.notifier.desktop
%_kf6_applicationdir/org.kde.discover.snap.desktop
%_kf6_applicationdir/kcm_updates.desktop
%_kf6_metainfodir/org.kde.discover.appdata.xml
%_kf6_metainfodir/org.kde.discover.packagekit.appdata.xml
%_kf6_metainfodir/org.kde.discover.flatpak.appdata.xml
%_kf6_iconsdir/hicolor/*/*/*
%_kf6_knotificationsdir/discoverabstractnotifier.notifyrc
%_kf6_datadir/kxmlgui5/plasmadiscover/
%_kf6_datadir/libdiscover/categories/packagekit-backend-categories.xml
%_kf6_datadir/libdiscover/categories/flatpak-backend-categories.xml

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name
