# Exclude all elements, as they are only run within diskimage-builder
%global __requires_exclude_from	^%{python3_sitelib}/diskimage_builder/elements/.*$

Name:		diskimage-builder
Summary:	Image building tools for OpenStack
Version:	3.37.0
Release:	%mkrel 2
License:	ASL 2.0
Group:		System/Base
URL:		https://launchpad.net/diskimage-builder
Source0:	https://tarballs.opendev.org/openstack/diskimage-builder/%{name}-%{version}.tar.gz
Patch0:		diskimage-builder-relax-reqs.patch
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(d2to1)
BuildRequires:	python3dist(pbr)

Requires: kpartx
Requires: qemu-img
Requires: busybox
Requires: curl
Requires: sudo
Requires: yum-utils

%description
Components of TripleO that are responsible for building disk images.

%prep
%setup -q
%autopatch -p1

# fix shebang excplicitly
%py3_shebang_fix diskimage_builder/elements/deploy-targetcli/extra-data.d/module/targetcli-wrapper

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files diskimage_builder

%files -f %{pyproject_files}
%doc README*
%{_bindir}/*
