%define up_name	DisplayCAL

Name:		displaycal
Version:	3.9.14
Release:	%mkrel 2
Summary:	A graphical user interface for the Argyll CMS display calibration utilities
Group: 		Graphics/Utilities
License:	GPLv3
URL:		https://github.com/eoyilmaz/displaycal-py3
Source0:	https://github.com/eoyilmaz/displaycal-py3/releases/download/%{version}/DisplayCAL-%{version}.tar.gz
Patch0:		displaycal-3.9.3-udev-dir.patch
Patch1:		displaycal-skip-update-check.patch
Patch2:		displaycal-3.9.14-fix-autostart-location.patch
BuildRequires:	pyproject-rpm-macros
BuildRequires:	python3dist(setuptools-scm)
BuildRequires:	python3dist(setuptools-scm[toml])
BuildRequires:	python3dist(wheel)
BuildRequires:	python3dist(pip)
BuildRequires:	python3dist(wxpython)
BuildRequires:	pkgconfig(xxf86vm)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(python3)
BuildRequires:	xdg-user-dirs
BuildRequires:	locales-fr

Requires:	argyllcms
# workaround for crash with pyglet as sound backend
Requires:	sdl2_mixer

Requires:	python3dist(setuptools)
Requires:	python3dist(pygobject)
Requires:	python3dist(numpy)
Requires:	python3dist(wxpython)
Requires:	python3dist(send2trash)
Requires:	python3dist(distro)

Provides:	%{up_name} = %{version}-%{release}
Provides:	dispcalGUI = %{version}-%{release}

%description
A graphical user interface for the Argyll CMS display calibration utilities.

%files
%docdir %{_docdir}/%{up_name}-%{version}/
%doc %{_docdir}/%{up_name}-%{version}/*
%{_sysconfdir}/xdg/autostart/z-displaycal-apply-profiles.desktop
%{_bindir}/*
%{_datadir}/%{up_name}/
%{_iconsdir}/hicolor/*/apps/%{name}*.png
%{_datadir}/applications/*.desktop
%{_metainfodir}/net.displaycal.%{up_name}.appdata.xml
%{python3_sitearch}/%{up_name}/
%{python3_sitearch}/%{name}-%{version}.dist-info
%{_mandir}/man1/*

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{version}

# hack to force creating dist/net.displaycal... (missed due pyproject)
sed -i -e 's|create_appdata = |create_appdata = True or |' setup.py

# drop prebuilt modules
find . -name '*.so' -print -delete

# fix paths
%ifarch %arm32 %ix86
ln -s ./lib64 DisplayCAL/lib32
sed -i -e 's/DisplayCAL\.lib64/DisplayCAL\.lib32/g' DisplayCAL/RealDisplaySizeMM.py
%endif


%build
export LC_ALL=fr_FR.UTF-8
export CFLAGS="%{optflags} -Wno-incompatible-pointer-types"
%pyproject_wheel

%install
export LC_ALL=fr_FR.UTF-8
%pyproject_install
mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart/
mv %{buildroot}%{_datadir}/DisplayCAL/z-displaycal-apply-profiles.desktop %{buildroot}%{_sysconfdir}/xdg/autostart/
