Name:           djview4
Epoch:          0
Version:        4.12
Release:        %mkrel 3
Summary:        DjVu viewer
License:        GPLv2+
Group:          Publishing
URL:            https://djvu.sourceforge.net/djview4.html
Source0:        https://downloads.sourceforge.net/djvu/djview-%{version}.tar.gz
BuildRequires:  pkgconfig(ddjvuapi)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  qttools5
BuildRequires:  pkgconfig(libtiff-4)
Obsoletes:      mozilla-plugin-dejavu < 4.10.6-4

%description
This package contains the djview4 viewer.

Highlights:

- Entirely based on the public djvulibre API.
- Entirely written in portable Qt4.
- Works with Qt/X11, Qt/Mac, and Qt/Windows.
- Continuous scrolling of pages.
- Side-by-side display of pages.
- Ability to specify a URL to the djview command.
- All plugin and CGI options available from the command line.
- All silly annotations implemented.
- Display thumbnails as a grid.
- Display outlines.
- Page names supported (see djvused command set-page-title).
- Metadata dialog (see djvused command set-meta).
- Implemented as reusable Qt widgets.

%prep
%setup -q

%build
./autogen.sh
%configure --disable-nsdejavu
%make_build

%install
%make_install

ln -s %{_bindir}/djview %{buildroot}%{_bindir}/%{name}

%{__mkdir_p} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
%{__cp} -a desktopfiles/prebuilt-hi32-%{name}.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/djvulibre-%{name}.png
%{__mkdir_p} %{buildroot}%{_datadir}/icons/hicolor/64x64/apps
%{__cp} -a desktopfiles/prebuilt-hi64-%{name}.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/djvulibre-%{name}.png
%{__mkdir_p} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
%{__cp} -a desktopfiles/djview.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/djvulibre-%{name}.svg

%{__cp} %{buildroot}%{_mandir}/man1/djview.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc COPYING COPYRIGHT NEWS README README_translations
%{_bindir}/djview
%{_bindir}/%{name}
%{_datadir}/djvu/%{name}/
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/djview.1*
%{_datadir}/applications/djvulibre-%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/djvulibre-%{name}.*
%{_datadir}/icons/hicolor/*/mimetypes/djvulibre-%{name}.*
