%define major     21
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define minor	  %nil

Name:           djvulibre
Version:        3.5.28
Release:        %mkrel 6
Summary:        DjVu viewers, encoders and utilities
License:        GPLv2+
Group:          Publishing
URL:            https://djvu.sourceforge.net/
Source0:        https://download.sourceforge.net/djvu/%{name}-%{version}%{minor}.tar.gz
Patch0:         CVE-2021-3500.patch
Patch1:         CVE-2021-32490.patch
Patch2:         CVE-2021-32491.patch
Patch3:         CVE-2021-32492.patch
Patch4:         CVE-2021-32493.patch
Patch5:         CVE-2021-46310.patch
Patch6:         CVE-2021-46312.patch
Patch10:        0001-Use-grep-E-instead-of-deprecated-egrep.patch

BuildRequires:  gnome-mime-data
BuildRequires:  imagemagick
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(xt)
BuildRequires:  xdg-utils

%description
DjVu is a web-centric format and software platform for distributing
documents and images.  DjVu content downloads faster, displays and
renders faster, looks nicer on a screen, and consumes less client
resources than competing formats. DjVu was originally developed at AT&T
Labs-Research by Leon Bottou, Yann LeCun, Patrick Haffner, and many
others.  In March 2000, AT&T sold DjVu to LizardTech Inc. who now
distributes Windows/Mac plug-ins, and commercial encoders (mostly on
Windows)

In an effort to promote DjVu as a Web standard, the LizardTech
management was enlightened enough to release the reference
implementation of DjVu under the GNU GPL in October 2000.  DjVuLibre
(which means free DjVu), is an enhanced version of that code maintained
by the original inventors of DjVu. It is compatible with version 3.5 of
the LizardTech DjVu software suite.

DjVulibre-3.5 contains:
- a standalone DjVu viewer based on the Qt library.
- A browser plugin that works with most Unix browsers.
- A full-fledged wavelet-based compressor for pictures.
- A simple compressor for bitonal (black and white) scanned pages.
- A compressor for palettized images (a la GIF/PNG).
- A set of utilities to manipulate and assemble DjVu images and documents.
- A set of decoders to convert DjVu to a number of other formats.
- An up-to-date version of the C++ DjVu Reference Library.

%package -n %{libname}
Summary:        DjVulibre library
Group:          System/Libraries

%description -n %{libname}
Djvulibre shared libraries.

%package -n %{develname}
Summary:        DjVulibre development files
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:       djvulibre-devel = %{version}-%{release}

%description -n %{develname}
DjVulibre development files.

%package browser-plugin
Summary:        DjVulibre browser plugin
Group:          Publishing
Requires:       %{name} = %{version}-%{release}

%description browser-plugin
A browser plugin that works with most Unix browsers.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure \
    --prefix=%{_prefix} \
    --enable-xmltools \
    --enable-threads \
    --enable-i18n \
    --enable-desktopfiles

%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc README COPYRIGHT COPYING INSTALL NEWS doc
%{_bindir}/any2djvu
%{_bindir}/bzz
%{_bindir}/c44
%{_bindir}/cjb2
%{_bindir}/cpaldjvu
%{_bindir}/csepdjvu
%{_bindir}/ddjvu
%{_bindir}/djvm
%{_bindir}/djvmcvt
%{_bindir}/djvudigital
%{_bindir}/djvudump
%{_bindir}/djvuextract
%{_bindir}/djvumake
%{_bindir}/djvups
%{_bindir}/djvused
%{_bindir}/djvuserve
%{_bindir}/djvutoxml
%{_bindir}/djvutxt
%{_bindir}/djvuxmlparser
%{_datadir}/djvu
%{_mandir}/man1/any2djvu.1*
%{_mandir}/man1/bzz.1*
%{_mandir}/man1/c44.1*
%{_mandir}/man1/cjb2.1*
%{_mandir}/man1/cpaldjvu.1*
%{_mandir}/man1/csepdjvu.1*
%{_mandir}/man1/ddjvu.1*
%{_mandir}/man1/djvm.1*
%{_mandir}/man1/djvmcvt.1*
%{_mandir}/man1/djvu.1*
%{_mandir}/man1/djvudigital.1*
%{_mandir}/man1/djvudump.1*
%{_mandir}/man1/djvuextract.1*
%{_mandir}/man1/djvumake.1*
%{_mandir}/man1/djvups.1*
%{_mandir}/man1/djvused.1*
%{_mandir}/man1/djvuserve.1*
%{_mandir}/man1/djvutoxml.1*
%{_mandir}/man1/djvutxt.1*
%{_mandir}/man1/djvuxml.1*
%{_mandir}/man1/djvuxmlparser.1*
%{_iconsdir}/hicolor/*/mimetypes/*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/libdjvu
%{_libdir}/pkgconfig/*.pc
