%define oname   bbswitch

Name:           dkms-%{oname}
Summary:        bbswitch - Optimus GPU power switcher
Group:          System/Kernel and hardware
Version:        0.8
Release:        %mkrel 15
License:        GPLv2+
URL:            https://github.com/Bumblebee-Project/bbswitch
Source0:        https://github.com/Bumblebee-Project/bbswitch/archive/refs/tags/v%{version}.tar.gz#/%{oname}-%{version}.tar.gz
Patch0:		bbswitch-0.8-fix-uaccess-inclusion.patch
Patch1:		bbswitch-0.8-kernel-5.6.patch
Patch2:		bbswitch-0.8-kernel-5.7.patch
Patch3:		bbswitch-0.8-kernel-5.18.patch
BuildArch:      noarch
Provides:       kmod(%{oname}.ko) = %{version}
Requires:       dkms
Obsoletes:      dkms-acpi_call <= 0.1

%description
bbswitch is a kernel module which automatically detects the required
ACPI calls for two kinds of Optimus laptops : "real" (e.g. Nvidia GT 425M)
and "legacy" (e.g. Nvidia GT 310M) Optimus laptops.
The universal calls should work for every laptop model supporting either
Optimus calls.

This package uses DKMS to automatically build the bbswitch kernel module.

%files
%doc NEWS README.md
%{_usrsrc}/%{oname}-%{version}-%{release}/*

%post
dkms add -m %{oname} -v %{version}-%{release} --rpm_safe_upgrade &&
dkms build -m %{oname} -v %{version}-%{release} --rpm_safe_upgrade &&
dkms install -m %{oname} -v %{version}-%{release} --rpm_safe_upgrade --force
true
/sbin/modprobe %{oname} ||:

%preun
dkms remove --binary -m %{oname} -v %{version}-%{release} --rpm_safe_upgrade --all
true
/sbin/rmmod %{oname} ||:

#--------------------------------------------------------------------
%prep
%setup -q -n %{oname}-%{version}
sed -i 's/#MODULE_VERSION#/%{version}-%{release}/g' dkms/dkms.conf
%autopatch -p1

%install
%define installdir %{buildroot}%{_usrsrc}/%{oname}-%{version}-%{release}
install -d %{installdir}
install -m644 %{oname}.c     %{installdir}
install -m644 Makefile       %{installdir}
install -m644 dkms/dkms.conf %{installdir}
