%define	modname		nvidiabl
%define git		1a18850
%define _version	v0.74-0
%define _gitauthor	guillaumezin

Name:		dkms-%{modname}
Version:	0.74
Release:	%mkrel 7
Summary:	DKMS-ready driver for nvidia display back-lights
License:	GPLv2+
Url:		https://github.com/guillaumezin/nvidiabl
Source0:	guillaumezin-%{modname}-%{_version}-g%{git}.tar.gz
Patch0:		%{modname}-dkmsconf.patch
Group:		System/Kernel and hardware
Requires(pre):	dkms
Requires(post): dkms
Buildarch:	noarch

%description
This package contains a DKMS-ready driver for nvidia laptop 
display back-lights.

This driver drives the smartdimmer register found on modern mobile
Nvidia graphics adapters such as NV40, NV41, NV43, NV44, NV46, NV47,
NV49, NV4B, C51, G84, G86, G92, G94, G96, GT200 architectures to adjust
the display backlight.

On Apple machines this driver allows more fine-grained brightness
adjustment than the mbp-nvidia-bl-dkms (mbp_nvidia_bl) driver and is
generally preferred.

%prep
%setup -q -c -n %{modname}-%{version}
mv %{_gitauthor}-%{modname}-%{git}/* .
rmdir %{_gitauthor}-%{modname}-%{git}
%patch -P 0 -p1 -b .dkmsconf
chmod -R go=u-w .

%build

%install
mkdir -p %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}
cp -a * %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}
install dkms.conf %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}/dkms.conf
sed -i -e 's|@MODNAME@|%{modname}|g' -e 's|@MODVERSION@|%{version}-%{release}|g' %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}/dkms.conf

%post
/usr/sbin/dkms add -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade
/usr/sbin/dkms build -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade
/usr/sbin/dkms install -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade


%preun
/usr/sbin/dkms remove -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade --all

%files
%{_usrsrc}/%{modname}-%{version}-%{release}

