%define oname rtl8192cu-fixes
%define gdate 20160619

%define rel 3

Name:            dkms-rtl8192cu
Version:         1.10
Release:         %mkrel %{?gdate:0.git%gdate.}%{rel}
Summary:         Realtek 8192CU USB WiFi driver
License:         GPLv2
Group:           System/Kernel and hardware
URL:             https://github.com/pvaret/rtl8192cu-fixes
# $ git clone https://github.com/pvaret/rtl8192cu-fixes.git
# $ cd rtl8192cu-fixes
# $ git archive --format=tar --prefix=rtl8192cu-fixes-%%{gdate}/ master | xz > ../rtl8192cu-fixes-%%{gdate}.tar.xz
Source:          %{oname}-%{gdate}.tar.xz
BuildArch:       noarch
Provides:        kmod(8192cu.ko) = %{version}
Requires:        dkms
Requires(post):  dkms
Requires(preun): dkms

%description
This is a repackaging of Realtek's own 8192CU USB WiFi driver.

%prep
%setup -q -n %{oname}-%{gdate}

%build

%install
install -d -m755 %{buildroot}%{_usrsrc}/%{oname}-%{version}-%{release}
install -d -m755 %{buildroot}/%{_sysconfdir}/modprobe.d
mv {blacklist-native-rtl8192,8192cu-disable-power-management}.conf %{buildroot}/%{_sysconfdir}/modprobe.d
cp -r * %{buildroot}%{_usrsrc}/%{oname}-%{version}-%{release}

%post
dkms add     -m %{oname} -v %{version}-%{release} --rpm_safe_upgrade &&
dkms build   -m %{oname} -v %{version}-%{release} --rpm_safe_upgrade &&
dkms install -m %{oname} -v %{version}-%{release} --rpm_safe_upgrade --force

%preun
dkms remove  -m %{oname} -v %{version}-%{release} --all --rpm_safe_upgrade --all

%files
%{_sysconfdir}/modprobe.d/*.conf
%{_usrsrc}/%{oname}-%{version}-%{release}
