%define module   rtl8192eu
# date should be date of most recent commit in git
# make sure to update version/date in SOURCES/dkms.conf too
%define date     20240209
%define rel      1

Name:            dkms-%{module}
Version:         5.11.2.1
Release:         %mkrel 1.%{date}.%{rel}

Summary:         dkms package for %{module} driver
License:         GPLv2
Group:           System/Kernel and hardware
URL:             https://github.com/clnhub/rtl8192eu-linux
# git clone https://github.com/clnhub/rtl8192eu-linux
# cd rtl8192eu-linux
# git archive --format tar.gz --prefix rtl8192eu-linux/ -o ../rtl8192eu-linux.tar.gz -v HEAD
Source0:         rtl8192eu-linux.tar.gz
Source1:         rtl8192eu-blacklist.conf
Source2:         dkms.conf
BuildArch:       noarch
Requires(post):  dkms
Requires(preun): dkms

%description
Realtek RTL8192EU Linux wireless driver source
 This package contains Realtek RTL8192EU USB Linux wireless driver
 for use with Realtek RTL8192EU hardware.

%prep
%autosetup -n rtl8192eu-linux -p1

%install
mkdir -p %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}/
cp -R * %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}/
find %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}/include/ -type f -exec chmod -x {} +

install -m644 %{SOURCE1} -D %{buildroot}%{_sysconfdir}/modprobe.d/rtl8192eu-blacklist.conf
install -m644 %{SOURCE2} -D %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}/dkms.conf

rm -f %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}/*install_wifi.sh

%files
%dir %{_usrsrc}/%{module}-%{version}-%{release}
%config(noreplace) %{_sysconfdir}/modprobe.d/rtl8192eu-blacklist.conf
%{_usrsrc}/%{module}-%{version}-%{release}/core/*
%{_usrsrc}/%{module}-%{version}-%{release}/hal/*
%{_usrsrc}/%{module}-%{version}-%{release}/include/*
%{_usrsrc}/%{module}-%{version}-%{release}/os_dep/*
%{_usrsrc}/%{module}-%{version}-%{release}/platform/*
%{_usrsrc}/%{module}-%{version}-%{release}/Kconfig
%{_usrsrc}/%{module}-%{version}-%{release}/Makefile
%{_usrsrc}/%{module}-%{version}-%{release}/dkms.conf
%{_usrsrc}/%{module}-%{version}-%{release}/ifcfg-wlan0
%{_usrsrc}/%{module}-%{version}-%{release}/README.md
%attr(0755, root, root) %{_usrsrc}/%{module}-%{version}-%{release}/clean
%attr(0755, root, root) %{_usrsrc}/%{module}-%{version}-%{release}/runwpa
%attr(0755, root, root) %{_usrsrc}/%{module}-%{version}-%{release}/wlan0dhcp

%post -n dkms-%{module}
%{_sbindir}/dkms add -m %{module} -v %{version}-%{release} --rpm_safe_upgrade
%{_sbindir}/dkms build -m %{module} -v %{version}-%{release} --rpm_safe_upgrade
%{_sbindir}/dkms install -m %{module} -v %{version}-%{release} --rpm_safe_upgrade
exit 0

%preun -n dkms-%{module}
%{_sbindir}/dkms remove -m %{module} -v %{version}-%{release} --rpm_safe_upgrade --all
exit 0

