# upstream release tarball is a snapshot-style one
%define snapshot 0
%define rel	1

# REV=$(svn info https://cdemu.svn.sourceforge.net/svnroot/cdemu/trunk/vhba-module| sed -ne 's/^Last Changed Rev: //p')
# svn export -r $REV https://cdemu.svn.sourceforge.net/svnroot/cdemu/trunk/vhba-module vhba-module-$REV
# tar -cJf vhba-module-$REV.tar.xz vhba-module-$REV

Summary:	Virtual SCSI HBA kernel module
%define module	vhba
%define oname	vhba-module
Name:		dkms-vhba
Version:	20240917
%if %snapshot
Release:	%mkrel 0.%{snapshot}.%{rel}
%else
Release:	%mkrel %{rel}
%endif
Group:		System/Kernel and hardware
License:	GPLv2+
URL:		https://cdemu.sourceforge.io/
%if %snapshot
Source0:	%{oname}-%{snapshot}.tar.xz
%else
Source0:	https://downloads.sourceforge.net/cdemu/%{oname}-%{version}.tar.xz
%endif
Source1:	60-vhba.rules
BuildArch:	noarch
Provides:	kmod(vhba.ko) = %{version}
Requires:	dkms
Requires(post):	dkms
Requires(preun): dkms

%description
Virtual SCSI HBA kernel module. The vhba module is used by cdemu.

%prep
%if %snapshot
%setup -q -n %{oname}-%{snapshot}
%else
%setup -q -n %{oname}-%{version}
%endif

%build

%install
install -d -m755 %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}
cp -r * %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}

cat > %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_NAME="%{module}"
PACKAGE_VERSION="%{version}-%{release}"
DEST_MODULE_LOCATION[0]="/kernel/%{module}"
BUILT_MODULE_NAME[0]="%{module}"
MAKE[0]="make KDIR=\${kernel_source_dir}"
AUTOINSTALL="yes"
EOF
sed -i 's/-Werror//' %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}/Makefile

install -Dp -m0644 %{SOURCE1} %{buildroot}%{_udevrulesdir}/60-vhba.rules

%post
dkms add	-m %{module} -v %{version}-%{release} --rpm_safe_upgrade &&
dkms build	-m %{module} -v %{version}-%{release} --rpm_safe_upgrade &&
dkms install	-m %{module} -v %{version}-%{release} --rpm_safe_upgrade
true

%preun
dkms remove  -m %{module} -v %{version}-%{release} --all --rpm_safe_upgrade
true

%files
%{_usrsrc}/%{module}-%{version}-%{release}
%{_udevrulesdir}/60-vhba.rules
