%global __requires_exclude /bin/awk

Summary: 	Dynamic Kernel Module Support Framework
Name: 		dkms
Version: 	2.0.19
URL:		https://linux.dell.com/dkms
Release: 	%mkrel 47
License: 	GPL
Group:  	System/Base
BuildArch: 	noarch
Requires:	kernel-devel
Recommends:	kernel-devel-latest
Requires:	%{name}-minimal = %{version}-%{release}
Requires(pre):	rpm-helper
Requires(post):		rpm-helper >= %{rpmhelper_required_version}
Requires(preun):	rpm-helper >= %{rpmhelper_required_version}
Requires:	patch
Source:		https://linux.dell.com/dkms/%{name}-%{version}.tar.gz
Source1:	template-dkms-mkrpm.spec.temp
Source2:	dkms.depmod.conf
Source3:	autoload.awk
Patch1:		dkms-2.0.19-norpm.patch
Patch2:		dkms-2.0.19-mgaify.patch
Patch3:		dkms-fix-kernel-make-prepare.patch
Patch4:		dkms-2.0.17.6-compressed-module.patch
Patch5:		dkms-2.0.19-weak_module_name.patch
Patch7:		dkms-2.0.19-procconfig.patch
Patch8:		dkms-2.0.19-mdkrpm-split-ver-rel.patch
Patch9:		dkms-2.0.19-bash-completion-update.patch
Patch10:	dkms-2.0.19-binary_only.patch
Patch11:	dkms-2.0.17.5-min-max-kernel.patch
Patch12:	dkms-2.0.17.6-test-dkms.conf-existence.patch
Patch13:	dkms-2.0.17.6-status_default.patch
Patch14:	dkms-2.0.17.6-stdout.patch
Patch15:	dkms-2.0.19-no_custom_rpm_provides.patch
Patch16:	dkms-2.0.19-binary.patch
Patch17:	dkms-2.0.19-autoalias.patch
Patch18:	dkms-2.0.19-mkrpm_status.patch
Patch19:	dkms-2.0.19-skip-unused-check.patch
Patch20:	dkms-2.0.19-uninstall-speedup.patch
Patch21:	dkms-2.0.19-init-mdv-interactive.patch
Patch22:	dkms-symvers.patch
Patch23:	dkms-2.0.19-autoload_instead_of_udevadm.patch
Patch24:	dkms-2.0.19-suggest-devel-not-source.patch
Patch25:	dkms-2.0.19-xz-support.patch
# (doktor5000) remove explicit usage of " > /dev/stdout" as standard output
# this breaks systemd logging and is unnecessary for standard output
Patch26:       dkms-2.0.19-mga-remove_dev_stdout_output_loc.patch
Patch27:	dkms-2.0.19-parallel-build.patch
Patch28:	dkms-no-autoload-during-install.patch
Patch29:	dkms-display-bootsplash-message.patch
Patch30:	dkms-2.0.19-fix-module-checksum-checking.patch
Patch31:	dkms-2.0.19-fix-modules-suffix.patch
Patch32:	dkms-2.0.19-mga-egrep-to-grep-E-v3.patch

%define _dkmsdir %{_localstatedir}/lib/%{name}
%define _dkmsbinarydir %{_localstatedir}/lib/%{name}-binary

%description
This package contains the framework for the Dynamic
Kernel Module Support (DKMS) method for installing
module RPMS as originally developed by the Dell
Computer Corporation.

This package is intended for building binary kernel
modules with dkms source packages installed

%package minimal
Summary: 	Dynamic Kernel Module Support Framework - minimal package
License: 	GPL
Group: 		System/Base
Requires:	lsb-release
Requires(preun):	rpm-helper
Requires(post):	rpm-helper

%description minimal
This package contains the framework for the Dynamic
Kernel Module Support (DKMS) method for installing
module RPMS as originally developed by the Dell
Computer Corporation.

This package is intended for installing binary module RPMS
as created by dkms.

%prep
%setup -q
%patch -P 1 -p1 -b .norpm
%patch -P 2 -p1 -b .mdkize
%patch -P 3 -p1 -b .fix-kernel-make-prepare
%patch -P 4 -p1 -b .compressed-module
%patch -P 5 -p1 -b .weak_module_name
%patch -P 7 -p1 -b .procconfig
%patch -P 8 -p1 -b .mdkrpm-split-ver-rel
%patch -P 9 -p1 -b .bash-completion-update
%patch -P 10 -p1 -b .binary_only
%patch -P 11 -p1 -b .min-max-kernel
%patch -P 12 -p1 -b .test-dkmsconf
%patch -P 13 -p1 -b .status_default
%patch -P 14 -p1 -b .stdout
%patch -P 15 -p1 -b .no_custom_rpm_provides
%patch -P 16 -p1 -b .binary
%patch -P 17 -p0 -b .autoalias
%patch -P 18 -p1 -b .mkrpm
%patch -P 19 -p1 -b .versionsanity
%patch -P 20 -p1 -b .uninst-speedup
%patch -P 21 -p1 -b .mdv-interactive
%patch -P 22 -p1 -b .symvers
%patch -P 23 -p1 -b .autoload_instead_of_udevadm
%patch -P 24 -p1 -b .suggest-devel
%patch -P 25 -p1 -b .xz-support
%patch -P 26 -p1 -b .dev_stdout_output_loc
%patch -P 27 -p1 -b .parallel-build
%patch -P 28 -p1 -b .no-autoload-during-install
%patch -P 29 -p1 -b .display-bootsplash-message
%patch -P 30 -p1 -b .fix-module-checksum-checking
%patch -P 31 -p1 -b .fix-module-suffix
%patch -P 32 -p1 -b .egrep-to-grep-E

sed -i -e 's,/var/%{name},%{_dkmsdir},g;s,init.d/dkms_autoinstaller,init.d/%{name},g' \
  dkms_autoinstaller \
  dkms_framework.conf \
  kernel_*.d_dkms \
  %{name}.8 \
  dkms

%install
mkdir -p %{buildroot}%{_mandir}/man8
%make_install INITD=%{buildroot}%{_initrddir}
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/%{name}/template-dkms-mkrpm.spec
install -m 755 dkms_mkkerneldoth %{buildroot}/%{_sbindir}/dkms_mkkerneldoth
install -m 755 %{SOURCE3} %{buildroot}/%{_sbindir}/dkms_autoload
mv %{buildroot}%{_initrddir}/dkms_autoinstaller %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_dkmsbinarydir}
mkdir -p %{buildroot}%{_sysconfdir}/depmod.d
install -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/depmod.d/%{name}.conf


# (doktor5000) systemd service file to run dkms_autoinstaller on every boot
# necessary to rebuild dkms modules for kernels booting the first time
mkdir -p %{buildroot}%{_unitdir}
cat << 'EOF' > %{buildroot}%{_unitdir}/%{name}-autorebuild.service
[Unit]
Description=run dkms_autoinstaller on every boot to rebuild dkms modules for newly booted kernels
DefaultDependencies=no
Conflicts=shutdown.target
Before=basic.target shutdown.target
After=local-fs.target

[Service]
ExecStart=%{_sbindir}/dkms-autorebuild.sh
Type=oneshot
RemainAfterExit=yes

[Install]
Alias=dkms_autoinstaller.service
WantedBy=basic.target

EOF


# (doktor5000) split out from /etc/init.d/mandrake_everytime / mandriva-everytime.service
# triggered by above systemd service on every boot (mga#
cat << 'EOF' > %{buildroot}%{_sbindir}/%{name}-autorebuild.sh
#!/bin/sh

# start dkms module build for newly booted kernels via %{name}-autorebuild.service
# rebuild can be disabled by setting DKMS_ONBOOT=no in /etc/sysconfig/system

[ -r /etc/sysconfig/system ] && . /etc/sysconfig/system

DKMS_TOOL=%{_sbindir}/dkms_autoinstaller
if [ "$DKMS_ONBOOT" != "no" ] && [ -x $DKMS_TOOL ]; then
# dkms_autoinstaller evaluates $verbose so enable it here for complete logging
    verbose=yes $DKMS_TOOL start
fi
EOF

chmod 755 %{buildroot}%{_sbindir}/%{name}-autorebuild.sh

%define _dkms_autorebuild_installed %{_localstatedir}/lib/rpm-state/dkms-autorebuild-installed

%pre
if [ $1 -eq 2 ] ; then
    if [ -f %{_unitdir}/%{name}-autorebuild.service ] ; then
        touch %{_dkms_autorebuild_installed}
    fi
fi

%post
if [ -f %{_dkms_autorebuild_installed} ] ; then
    # We are upgrading from a version that included the dkms-autorebuild
    # service.
    rm %{_dkms_autorebuild_installed}
else
    # We are either installing or upgrading from a version that didn't
    # include the dkms-autorebuild service. Force it to be installed.
    set -- 1
fi
%_post_service %{name}-autorebuild

%preun
%_preun_service %{name}-autorebuild

%triggerpostun -- dkms < 2.0.19-11
rm -f /etc/rc.d/*/{K,S}??dkms

%files
%doc %attr (-,root,root) sample.spec sample.conf AUTHORS COPYING template-dkms-mkrpm.spec 
%{_sbindir}/dkms_autoinstaller
%{_unitdir}/%{name}-autorebuild.service
%{_sbindir}/%{name}-autorebuild.sh

%files minimal
%{_sbindir}/dkms
%{_dkmsdir}
%dir %{_dkmsbinarydir}
%{_sbindir}/dkms_mkkerneldoth
%{_sbindir}/dkms_autoload
%{_mandir}/man8/dkms.8*
%config(noreplace) %{_sysconfdir}/dkms
# these dirs are for plugins - owned by other packages
%{_sysconfdir}/kernel/postinst.d/%{name}
%{_sysconfdir}/kernel/prerm.d/%{name}
%{_sysconfdir}/bash_completion.d/%{name}
%{_sysconfdir}/depmod.d/%{name}.conf
