%define major     3
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           dlm
Version:        4.3.0
Release:        %mkrel 1
# For a breakdown of the licensing, see README.license
License:        GPLv2 and GPLv2+ and LGPLv2+
Group:          System/Kernel and hardware
Summary:        dlm control daemon and tool
URL:            https://fedorahosted.org/cluster/wiki/HomePage
Source0:        https://releases.pagure.org/dlm/%{name}-%{version}.tar.gz
## Mageia patches
# Patch100:       Disable-annobin-plugin-not-available-in-Mageia.patch
BuildRequires:  kernel-userspace-headers
BuildRequires:  pkgconfig(corosync) >= 3.1
BuildRequires:  pkgconfig(pacemaker-fencing) >= 1.1.7
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  systemd-units

Requires:       corosync >= 1.99.9

Requires(post):   systemd-units
Requires(preun):  systemd-units
Requires(postun): systemd-units
Requires(post):   rpm-helper >= 0.24.8-1
Requires(preun):  rpm-helper >= 0.24.8-1

%description
The kernel dlm requires a user daemon to control membership.

#------------------------------------------------------------------

%package -n     %{libname}
Summary:        Library for %{name}
Group:          System/Libraries

%description -n %{libname}
The %{libname} package contains the libraries needed to use the dlm
from userland applications.

#------------------------------------------------------------------

%package -n     %{develname}
Summary:        Development files for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#------------------------------------------------------------------
%prep
%setup -q
%autopatch -p1

%build
# upstream does not require configure
# upstream does not support parallel builds
%set_build_flags
export CFLAGS="${CFLAGS} -I/usr/include/libxml2" 
export CXXFLAGS="${CXXFLAGS} -I/usr/include/libxml2" 

%make_build -j1
%make_build -j1 -C fence

%install
%make_install LIBDIR=%{_libdir} UDEVDIR=%{_udevrulesdir}
%make_install -C fence LIBDIR=%{_libdir}

install -Dm 0644 init/dlm.service %{buildroot}%{_unitdir}/%{name}.service
install -Dm 0644 init/dlm.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{name}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_service %{name}

%files
%doc README.license
%{_unitdir}/%{name}.service
%{_sbindir}/%{name}_controld
%{_sbindir}/%{name}_tool
%{_sbindir}/%{name}_stonith
%{_mandir}/man8/%{name}*.8.*
%{_mandir}/man5/%{name}*.5.*
%{_mandir}/man3/*%{name}*.3.*
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}

%files -n %{libname}
%{_udevrulesdir}/*-%{name}.rules
%{_libdir}/lib%{name}*.so.%{major}
%{_libdir}/lib%{name}*.so.%{major}.*

%files -n %{develname}
%{_libdir}/lib%{name}*.so
%{_includedir}/lib%{name}*.h
%{_libdir}/pkgconfig/*.pc
