

Summary:	A small Mail Transport Agent (MTA), designed for home and office use
Name:		dma
Version:	0.14
Release:	%mkrel 1
License:	BSD
URL:		https://github.com/corecode/dma
Group:		Networking/Mail

BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	pkgconfig(openssl)

Provides:	sendmail-command

# if release tarball is not provided or if using development version
# the source is obtained from upstream git repository:
# git clone git://github.com/corecode/dma.git
# pushd dma
# git archive --prefix=dma-X.Y/ -o ../dma-X.Y.tar commit_id
# popd
# xz -z -e dma-X.Y.tar
Source0:	dma-%{version}.tar.gz
Source1:	dma-aliases
Source2:	README.install.urpmi
Patch0:		dma-0.2-mga-fix-build-in-rpm-env.patch
Patch1:		dma-0.2-mga-locate-aliases-in-dma-etc-subdir.patch


%description
DragonFly Mail Agent (dma) is a small and secure MTA (mail transport agent) for
end-system use.
It features:
– daemon-less operation
– queuing
– aliases
– local delivery
– remote delivery via SMTP
– SSL support via STARTTLS and SSL
– SMTP AUTH LOGIN and -MD5 (for smart hosts)

%files
%doc TODO README.markdown VERSION README.install.urpmi
%attr(2755, root, mail)%{_sbindir}/%{name}
%attr(4750, root, mail)%{_libdir}/dma-mbox-create
%{_mandir}/man8/%{name}.8.*
%attr(770, root, mail)%{_var}/spool/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/%{name}/auth.conf
%config(noreplace) %{_sysconfdir}/%{name}/aliases

#----------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%make_build	CFLAGS="%optflags \
		-DDMA_VERSION='\"%{version}\"' \
		-DLIBEXEC_PATH='\"%{_libdir}\"' \
		-DCONF_PATH='\"/etc/dma\"'" \
		LIBEXEC=%{_libdir} \
		PREFIX=%{_prefix}

%install
%make_install LIBEXEC=%{_libdir} PREFIX=%{_prefix}

%__install -d %{buildroot}/%{_sysconfdir}/%{name}
cp auth.conf %{buildroot}/%{_sysconfdir}/%{name}/auth.conf
cp dma.conf %{buildroot}/%{_sysconfdir}/%{name}/%{name}.conf
cp %{SOURCE1} %{buildroot}/%{_sysconfdir}/%{name}/aliases
%__install -m644 %{SOURCE2} README.install.urpmi

%post
/usr/sbin/update-alternatives --install %{_sbindir}/sendmail sendmail-command %{_sbindir}/%{name} 5 \
					--slave %{_prefix}/lib/sendmail sendmail-command-in_libdir %{_sbindir}/%{name} \
					--slave %{_bindir}/mailq mta-mailq %{_sbindir}/%{name}

%postun
if [ ! -e %{_sbindir}/%{name} ]; then
		/usr/sbin/update-alternatives --remove sendmail-command %{_sbindir}/%{name}
fi
