%define devname %mklibname -d %{name}
%define libname %mklibname %{name}

Name:		dmalloc
Version:	5.6.5
Release:	%mkrel 2
Summary:	Debugging MALLOC
License:	BSD style
URL:		https://dmalloc.com/
Group:		Development/Other
Source:		https://dmalloc.com/releases/%{name}-%{version}.tgz
Requires:	%{devname} = %{version}

%package -n %{devname}
Summary:	Debugging MALLOC library
Group:		Development/Other
Provides:	dmalloc-devel = %{version}-%{release}
Provides:	libdmalloc-devel = %{version}-%{release}
Provides:	%{libname} = %{version}-%{release}
Obsoletes:	dmalloc-devel < %{version}-%{release}
Obsoletes:	libdmalloc-devel < %{version}-%{release}
Obsoletes:	%{libname} < %{version}-%{release}

%description
The debug memory allocation or "dmalloc" library has been designed
as a drop in replacement for the system's `malloc', `realloc',
`calloc', `free' and other memory management routines while providing
powerful debugging facilities configurable at run-time.  These
facilities include such things as memory-leak tracking, fence-post write
detection, file/line number reporting, and general logging of
statistics.

%description -n %{devname}
The debug memory allocation or "dmalloc" library has been designed
as a drop in replacement for the system's `malloc', `realloc',
`calloc', `free' and other memory management routines while providing
powerful debugging facilities configurable at run-time.  These
facilities include such things as memory-leak tracking, fence-post write
detection, file/line number reporting, and general logging of
statistics.

%prep
%setup -q
chmod -R o+rX .

%build
export CFLAGS=`echo %optflags | sed 's/-O2/-O0/'`

# testing program will segfault when building with -fPIC flag, so
# don't build shared library at all. Anyway this is for developers,
# so building static library is enough.
%configure --enable-threads

# Segfaults with 'make heavy'
%__make

%install
%make_install	bindir=%{buildroot}%{_bindir} \
				libdir=%{buildroot}%{_libdir} \
				includedir=%{buildroot}%{_includedir}

%files
%doc ChangeLog.txt README.md TODO %{name}.html 
%{_bindir}/*

%files -n %{devname}
%{_includedir}/*
%{_libdir}/*.a
