Name:		dmidiplayer
Version:	1.7.5
Release:	%mkrel 1
Summary:	Featured MIDI File Player using Qt6 and Drumstick2
License:	GPLv3
Group:		Sound/Midi
URL:		https://dmidiplayer.sourceforge.io/
Source0:	https://sourceforge.net/projects/dmidiplayer/files/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	cmake(drumstick-file) >= 2.2
BuildRequires:	cmake(drumstick-rt) >= 2.2
BuildRequires:	cmake(drumstick-widgets) >= 2.2
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(uchardet)

%description
Featured MIDI File Player for Linux, Windows, and macOS written in C++,
and using Qt6 and Drumstick2.

The project includes several tools as examples, and among them is the
drumstick-guiplayer utility that leverages the Drumstick::ALSA library,
so it is available only for Linux (because the ALSA sequencer is a linux
only technology).

Some key features:
==================
  * MIDI Output to hardware MIDI ports, or any other Drumstick backend
    like soft synths
  * Transpose song tonality between -12 and +12 semitones
  * Change MIDI volume level (using MIDI CC7)
  * Scale song speed between half and double tempo
  * Lyrics, Piano Player and MIDI Channels views

%prep
%autosetup -p1

%build
%cmake_qt6 -DUSE_QT=6 \
           -DBUILD_DOCS=OFF
%cmake_build

%install
%cmake_install

%files
%doc ChangeLog README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/net.sourceforge.%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg*
%{_metainfodir}/net.sourceforge.%{name}.metainfo.xml
%{_mandir}/man1/%{name}.1.*
