%global dnf_min_compatible 3.6.0

Summary: DNF plugin for Spacewalk
Name: dnf-plugin-spacewalk
Version: 2.9.7
Release: %mkrel 7
License: GPLv2
Group: System/Packaging
URL:     https://github.com/spacewalkproject/spacewalk

# Use tito to generate tarball from git repo
Source0: %{name}-%{version}.tar.gz

BuildArch: noarch

Requires: python3-%{name} = %{version}-%{release}
Requires: dnf >= 3.6.0
Requires: dnf-plugins-core

%description
This DNF plugin provides access to a Spacewalk server for software updates.

%package -n python3-%{name}
Summary: DNF plugin for Spacewalk
%{?python_provide:%python_provide python3-%{name}}
BuildRequires: python3-devel
Requires: %{name} = %{version}-%{release}
Requires: python3-dnf >= %{dnf_min_compatible}
Requires: python3-rhn-client-tools >= 2.8.4
Requires: python3-librepo

%description -n python3-%{name}
Python 3 specific files for %{name}.

%prep
%setup -q

%build
# Nothing to build

%install
install -d %{buildroot}%{_sysconfdir}/dnf/plugins/
install -d %{buildroot}/usr/share/rhn/actions
install -d %{buildroot}/var/lib/up2date
install -d %{buildroot}%{_mandir}/man{5,8}
install -m 644 spacewalk.conf %{buildroot}%{_sysconfdir}/dnf/plugins/
install -m 644 man/spacewalk.conf.5 %{buildroot}%{_mandir}/man5/
install -m 644 man/dnf.plugin.spacewalk.8 %{buildroot}%{_mandir}/man8/

install -d %{buildroot}%{python3_sitelib}/rhn/actions
install -d %{buildroot}%{python3_sitelib}/dnf-plugins/
install -m 644 spacewalk.py %{buildroot}%{python3_sitelib}/dnf-plugins/
install -m 644 actions/packages.py %{buildroot}%{python3_sitelib}/rhn/actions/
install -m 644 actions/errata.py %{buildroot}%{python3_sitelib}/rhn/actions/

%files
%verify(not md5 mtime size) %config(noreplace) %{_sysconfdir}/dnf/plugins/spacewalk.conf
%license LICENSE
%dir /var/lib/up2date
%{_mandir}/man*/*

%files -n python3-%{name}
%{python3_sitelib}/dnf-plugins/*
%{python3_sitelib}/rhn/actions/*

