%global dnf_org org.baseurl.Dnf
%global dnf_version 4.2.6

Name:           dnfdaemon
Version:        0.3.22
Release:        %mkrel 3
Summary:        D-Bus daemon for DNF package actions
Group:          System/Packaging
License:        GPLv2+
URL:            https://github.com/manatools/dnfdaemon
Source0:        %{url}/releases/download/%{name}-%{version}/%{name}-%{version}.tar.xz
BuildArch:      noarch
BuildRequires:  python3-devel
Requires:       python3-gobject3
Requires:       python3-dbus
Requires:       python3-dnf >= %{dnf_version}
Requires:       polkit

BuildRequires:    pkgconfig(libsystemd)
Requires:         systemd
Requires(post):   systemd
Requires(preun):  systemd

%description
D-Bus daemon for performing package actions with the DNF package manager

%package -n python3-%{name}
Summary:        Python 3 API for communicating with the dnf-daemon D-Bus service
Group:          Development/Python
BuildRequires:  python3-devel
Requires:       %{name} = %{version}-%{release}
Requires:       python3-gobject3
# Python 2 subpackage is dropped
Obsoletes:      python2-%{name} < 0.3.19-4

%description -n python3-%{name}
Python 3 API for communicating with the dnf-daemon D-Bus service

%prep
%autosetup -p1

%build
# Nothing to build

%install
make install DESTDIR=%{buildroot} DATADIR=%{_datadir} SYSCONFDIR=%{_sysconfdir}

# This is a workaround, see https://bugzilla.redhat.com/show_bug.cgi?id=1630281#c1
rm -rf %{buildroot}/lib/

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%files
%doc README.md ChangeLog
%license COPYING
%{_datadir}/dbus-1/system-services/%{dnf_org}*
%{_datadir}/dbus-1/services/%{dnf_org}*
%{_datadir}/%{name}/
%{_unitdir}/%{name}.service
%{_datadir}/polkit-1/actions/%{dnf_org}*
# this should not be edited by the user, so no %%config
%{_sysconfdir}/dbus-1/system.d/%{dnf_org}*
%dir %{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}/__*
%{python3_sitelib}/%{name}/server

%files -n  python3-%{name}
%{python3_sitelib}/%{name}/client

