Name:		dns2tcp
Version:	0.5.2
Release:	%mkrel 12
Summary:	Tunnel TCP over DNS
Group:		Networking/Other
License:	GPLv2+
URL:		https://www.hsc.fr/ressources/outils/dns2tcp/
Source0:	https://www.hsc.fr/ressources/outils/dns2tcp/download/%{name}-%{version}.tar.gz
Source1: 	dns2tcpd.service
Source2: 	dns2tcpd.conf
Source3: 	dns2tcpc.service
Source4: 	dns2tcpc.conf
Patch0:		dns2tcp-0.5.2-compile.patch
BuildRequires:	pkgconfig(openssl)

%description
Dns2tcp is a tool for relaying TCP connections over DNS. There is no
authentications nor encryption mechanisms : DNS encapsulation must be
considered as an unsecure and anonymous transport layer. Resources should
be public external services like ssh, ssltunnel ...

%package	client
Summary:	dns2tcp client (Tunnel TCP over DNS)
Group:		Networking/Other

%description	client
Dns2tcp is a tool for relaying TCP connections over DNS. There is no
authentications nor encryption mechanisms : DNS encapsulation must be
considered as an unsecure and anonymous transport layer. Resources should
be public external services like ssh, ssltunnel ...

This package contains the client part.

%package	server
Summary:	dns2tcp server (Tunnel TCP over DNS)
Group:		Networking/Other

%description	server
Dns2tcp is a tool for relaying TCP connections over DNS. There is no
authentications nor encryption mechanisms : DNS encapsulation must be
considered as an unsecure and anonymous transport layer. Resources should
be public external services like ssh, ssltunnel ...

This package contains the server part.

%prep
%autosetup -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

install -D -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/dns2tcpd.service
install -D -m 0755 %{SOURCE2} %{buildroot}%{_sysconfdir}/dns2tcpd.conf
install -D -m 0644 %{SOURCE3} %{buildroot}%{_unitdir}/dns2tcpc.service
install -D -m 0755 %{SOURCE4} %{buildroot}%{_sysconfdir}/dns2tcpc.conf

%post server
%_post_service dns2tcpd

%preun server
%_preun_service dns2tcpd

%post client
%_post_service dns2tcpc

%preun client
%_preun_service dns2tcpc

%files server
%doc README ChangeLog
%license COPYING
%{_bindir}/dns2tcpd
%{_unitdir}/dns2tcpd.service
%config(noreplace) %{_sysconfdir}/dns2tcpd.conf
%{_mandir}/man1/dns2tcpd.1.*

%files client
%doc README ChangeLog
%license COPYING
%{_bindir}/dns2tcpc
%{_unitdir}/dns2tcpc.service
%config(noreplace) %{_sysconfdir}/dns2tcpc.conf
%{_mandir}/man1/dns2tcpc.1.*
