%define         debug_package %{nil}

Name:           dnscrypt-proxy
Version:        2.1.5
Release:        %mkrel 1
Summary:        A protocol for securing communications between a client and a DNS resolver
License:        BSD
Group:          Networking/Other
Url:            https://github.com/jedisct1/dnscrypt-proxy

Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}.service
#socket activation is currently broken, maybe removed in the future
Source2:        %{name}.socket
Source3:        %{name}.toml

BuildRequires:  golang
BuildRequires:  pkgconfig(libsystemd)

Requires(post):  rpm-helper
Requires(preun): rpm-helper

Recommends:     unbound

%description
Dnscrypt-proxy provides local service which can be used directly as
your local resolver or as a DNS forwarder, encrypting and
authenticating requests using the DNSCrypt protocol and passing them
to an upstream server. The DNSCrypt protocol uses high-speed
high-security elliptic-curve cryptography and is very similar to
DNSCurve, but focuses on securing communications between a client and
its first-level resolver. While not providing end-to-end security, it
protects the local network, which is often the weakest point of the
chain, against man-in-the-middle attacks. It also provides some
confidentiality to DNS queries.

%prep
%setup -q


%build
export GO111MODULE=off
pushd dnscrypt-proxy
export GOPATH=$PWD
ln -s ../vendor src
go build -ldflags="-s -w"
popd

%install
pushd dnscrypt-proxy
%__install -D -p -m 0755 ./dnscrypt-proxy %{buildroot}%{_sbindir}/dnscrypt-proxy
%__install -D -p -m 0644 example-*.txt -t %{buildroot}%{_docdir}/%name/
popd
%__install -D -p -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service
%__install -D -p -m 0644 %{SOURCE2} %{buildroot}%{_unitdir}/%{name}.socket
%__install -D -p -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/%{name}.toml


%post
%_post_service %{name}

%preun
%_preun_service %{name}


%files
%doc README.md LICENSE
%config(noreplace) %{_sysconfdir}/dnscrypt-proxy.toml
%{_unitdir}/%{name}.service
%{_unitdir}/%{name}.socket
%{_sbindir}/%{name}
%{_docdir}/%{name}/*.txt
