Name:           dnstop
Version:        20240820
Release:        %mkrel 1
Summary:        Displays information about DNS traffic on your network
Group:          Networking/Other
License:        BSD
URL:            http://dns.measurement-factory.com/tools/dnstop/
Source0:        https://github.com/measurement-factory/dnstop/archive/master//dnstop-%{version}.zip

# At one point int[] arrays are passed to a uint* function; since all
# callers are signed, changed function to take signed ints.
# Also, check read(2) for entropy data and abort on short reads.
Patch0:         dnstop-20140915-fix-warnings.patch
Patch1:         dnstop-20140915-usage.patch

BuildRequires:  libpcap-devel
BuildRequires:  pkgconfig(ncurses)


%description
dnstop is a libpcap application (ala tcpdump) that displays various
tables of DNS traffic on your network.

dnstop supports both IPv4 and IPv6 addresses.

To help find especially undesirable DNS queries, dnstop provides a
number of filters.

dnstop can either read packets from the live capture device, or from a
tcpdump savefile.


%prep
%setup -qn %{name}-master
#autopatch -p1

%build
%configure
%make_build


%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man8

%make_install


%files
%doc LICENSE CHANGES
%{_bindir}/dnstop
%{_mandir}/man8/dnstop.8*
