name:		docbook-style-dsssl
version:	1.79
release:	%mkrel 20
Group:		Publishing
Summary:	Norman Walsh's modular stylesheets for DocBook
License:	Artistic style
URL:		https://sourceforge.net/projects/docbook/
Requires:	sgml-common >= 0.2
Requires:	jade >= 1.2.1
Requires:	docbook-dtds
Source0:	https://prdownloads.sourceforge.net/docbook/docbook-dsssl-%{version}.tar.bz2
Source1:    %{name}.Makefile
BuildArch:	noarch
Requires(post): sgml-common
Requires(preun): sgml-common

%description
These DSSSL stylesheets allow you to convert any DocBook document to another
printed (for example, RTF or PostScript) or online (for example, HTML) format.
They are highly customizable.


%prep
%setup -q -n docbook-dsssl-%{version}
cp %{SOURCE1} Makefile

%build

%install
make install \
    BINDIR=%{buildroot}/usr/bin \
    DESTDIR=%{buildroot}%{_datadir}/sgml/docbook/dsssl-stylesheets-%{version} \
    MANDIR=%{buildroot}%{_mandir}
cd ..
ln -s dsssl-stylesheets-%{version} %{buildroot}%{_datadir}/sgml/docbook/dsssl-stylesheets

%post
for centralized in %{_sysconfdir}/sgml/*-docbook-*.cat; do
     %{_bindir}/install-catalog --add $centralized \
         %{_datadir}/sgml/docbook/dsssl-stylesheets-%{version}/catalog \
         > /dev/null 2>/dev/null
done

%preun 
# Do not remove if upgrade
if [ "$1" = "0" ]; then
    for centralized in %{_sysconfdir}/sgml/*-docbook-*.cat; do
        %{_bindir}/install-catalog --remove $centralized \
            %{_datadir}/sgml/docbook/dsssl-stylesheets-%{version}/catalog \
            > /dev/null 2>/dev/null
     done 
fi

%files
%doc BUGS README RELEASE-NOTES.* VERSION
%doc ChangeLog WhatsNew
%{_bindir}/collateindex.pl
%{_mandir}/man1/collateindex.pl.1*
%{_datadir}/sgml/docbook/dsssl-stylesheets-%{version}
%{_datadir}/sgml/docbook/dsssl-stylesheets
