%define deb_release	47

Name:		docbook-to-man
Version:	2.0.0
Release:	%mkrel 17
Summary:	Converter from DocBook SGML into roff man macros
License:	MIT
Group:		Publishing
URL:		https://www.oasis-open.org/docbook/tools/dtm/
Source0:	https://ftp.debian.org/debian/pool/main/d/docbook-to-man/%{name}_%{version}.orig.tar.gz
Patch1:		0001-conglomeration.patch
Patch2:		0002-arg-req-space.patch
Patch3:		0003-userinput-font.patch
Patch4:		0004-instant-man.patch
Patch5:		0005-makefile.patch
Patch6:		0006-format-security.patch
Patch7:		0007-remove-timestamp.patch
Patch8:		0008-better-checking-of-return-value-of-Split-function.patch
Patch9:		0009-remove-sp-dependency.patch
Patch10:	0010-Prevent-undefined-behaviour-in-memcpy-parameter-over.patch
Patch11:	0011-Correct-spelling-mistakes-in-binary.patch
Patch12:	0012-Ensure-build-failures-in-subdirectories-cause-entire.patch
Patch13:	0013-Fix-FTBFS-with-Werror-implicit-function-declaration.patch
Patch20:	compile.mga.patch
Patch21:	%{name}-PLD.patch
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	opensp
Requires:	docbook-dtd41-sgml
Requires:	opensp

%description
docbook-to-man is a batch converter that transforms UNIX-style
manpages from the DocBook SGML format into nroff/troff man macros.

This is not the original version by Fred Dalrymple, but one with the
modifications by David Bolen with Debian changes.

%prep
%autosetup -p1 -n %{name}-%{version}.orig

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{optflags}" \
	LDFLAGS="%{ldflags}" \
	ROOT=%{_prefix}

%install
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/sgml,%{_mandir}/man{1,5}}

%make_install ROOT=$RPM_BUILD_ROOT%{_prefix}

install Doc/{docbook-to-man.1,instant.1} $RPM_BUILD_ROOT%{_mandir}/man1
install Doc/transpec.1 $RPM_BUILD_ROOT%{_mandir}/man5/transpec.5

%files
%doc README README.ANS
%attr(755,root,root) %{_bindir}/docbook-to-man
%attr(755,root,root) %{_bindir}/instant
%{_datadir}/sgml/transpec
%{_mandir}/man1/docbook-to-man.1*
%{_mandir}/man1/instant.1*
%{_mandir}/man5/transpec.5*
