Summary:	Shell scripts to manage DocBook documents
Name: 		docbook-utils
Version: 	0.6.14
Release:	%mkrel 24
Group:		Publishing
License:	GPLv2+
Url:		ftp://sources.redhat.com/pub/docbook-tools/new-trials/
Source0:	ftp://sources.redhat.com/pub/docbook-tools/new-trials/SOURCES/%{name}-%{version}.tar.bz2
Source1:	db2html
Source2:    gdp-both.dsl
Source3:	docbook2man-spec.pl
#gw prevent error with new grep:
#https://qa.mandriva.com/show_bug.cgi?id=61127
#Patch0:		docbook-utils-0.6.14-grep2.7.patch
Patch0: docbook-utils-spaces.patch
Patch1: docbook-utils-2ndspaces.patch
Patch2: docbook-utils-w3mtxtconvert.patch
Patch3: docbook-utils-grepnocolors.patch
Patch4: docbook-utils-sgmlinclude.patch
Patch5: docbook-utils-rtfmanpage.patch
Patch6: docbook-utils-papersize.patch
Patch7: docbook-utils-nofinalecho.patch
Patch8: docbook-utils-newgrep.patch

BuildRequires:	docbook-style-dsssl >= 1.72
BuildRequires:	docbook-dtd31-sgml
BuildArch:	noarch
Requires:	docbook-style-dsssl >= 1.72
Requires:	docbook-dtds
Requires:	perl-SGMLSpm >= 1.03ii
Requires:	which
Obsoletes:	sgml-tools
Provides:	sgml-tools

%description
This package contains scripts are for easy conversion from DocBook
files to other formats (for example, HTML, RTF, and PostScript), and
for comparing SGML files.

%package pdf
Summary: A script for converting DocBook documents to PDF format
Group: Publishing
Obsoletes: stylesheets-db2pdf
Provides: stylesheets-db2pdf
Conflicts: %{name} < 0.6.14-15
Requires: %{name} = %{version}
Requires: dvips
Requires: jadetex >= 2.5

%description pdf
This package contains a script for converting DocBook documents to
PDF format.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
#mkdir -p %{buildroot}/%{_mandir}/man{1,7}
#for sec in 1 7; do cp -af doc/man/*.$sec %{buildroot}/%{_mandir}/man$sec; done

%make_install
for util in dvi html pdf ps rtf man
do
        ln -s docbook2$util %{buildroot}%{_bindir}/db2$util
        ln -s jw.1.gz %{buildroot}/%{_mandir}/man1/db2$util.1
done
ln -s jw.1.gz %{buildroot}/%{_mandir}/man1/docbook2txt.1

# db2html is not just a symlink, as it has to create the output directory
rm -f %{buildroot}%{_bindir}/db2html
install -p -m 755 %{SOURCE1} %{buildroot}%{_bindir}/db2html
install -p -m 644 %{SOURCE2} %{buildroot}%{_datadir}/sgml/docbook/utils-%{version}/docbook-utils.dsl
install -p -m 755 %{SOURCE3} %{buildroot}%{_datadir}/sgml/docbook/utils-%{version}/helpers/docbook2man-spec.pl

# clean install html files
rm -rf %{buildroot}/%{_prefix}/doc

%files
%doc README COPYING TODO doc/HTML/*.html
%{_bindir}/jw
%{_bindir}/docbook2html
%{_bindir}/docbook2man
%{_bindir}/docbook2rtf
%{_bindir}/docbook2tex
%{_bindir}/docbook2texi
%{_bindir}/docbook2txt
%attr(0755,root,root) %{_bindir}/db2html
%{_bindir}/db2rtf
%{_bindir}/db2man
%{_bindir}/sgmldiff
%dir %{_datadir}/sgml/docbook/utils-%{version}
%dir %{_datadir}/sgml/docbook/utils-%{version}/backends
%{_datadir}/sgml/docbook/utils-%{version}/backends/html
%{_datadir}/sgml/docbook/utils-%{version}/backends/man
%{_datadir}/sgml/docbook/utils-%{version}/backends/rtf
%{_datadir}/sgml/docbook/utils-%{version}/backends/tex
%{_datadir}/sgml/docbook/utils-%{version}/backends/texi
%{_datadir}/sgml/docbook/utils-%{version}/backends/txt
%{_datadir}/sgml/docbook/utils-%{version}/docbook-utils.dsl
%dir %{_datadir}/sgml/docbook/utils-%{version}/frontends
%{_datadir}/sgml/docbook/utils-%{version}/frontends/docbook
%dir %{_datadir}/sgml/docbook/utils-%{version}/helpers
%{_datadir}/sgml/docbook/utils-%{version}/helpers/docbook2man-spec.pl
%{_datadir}/sgml/docbook/utils-%{version}/helpers/docbook2texi-spec.pl
%{_mandir}/man1/*
%{_mandir}/man7/*
%exclude %{_mandir}/man*/docbook2dvi.*
%exclude %{_mandir}/man*/docbook2pdf.*
%exclude %{_mandir}/man*/docbook2ps.*

%files pdf
%{_bindir}/db2dvi
%{_bindir}/db2pdf
%{_bindir}/db2ps
%{_bindir}/docbook2dvi
%{_bindir}/docbook2pdf
%{_bindir}/docbook2ps
%{_mandir}/man*/docbook2dvi.*
%{_mandir}/man*/docbook2pdf.*
%{_mandir}/man*/docbook2ps.*
%{_datadir}/sgml/docbook/utils-%{version}/backends/dvi
%{_datadir}/sgml/docbook/utils-%{version}/backends/pdf
%{_datadir}/sgml/docbook/utils-%{version}/backends/ps
