Name:          docbook5-style-xsl
Version:       1.79.2
Release:       %mkrel 5
Summary:       Norman Walsh's XSL stylesheets for DocBook 5.X
Group:         Publishing
License:       MIT, MPLv1.1
Url:           https://github.com/docbook/xslt10-stylesheets
Source0:       https://github.com/docbook/xslt10-stylesheets/releases/download/release%2F{%version}/docbook-xsl-%{version}.tar.bz2
Patch1:        0001-Fix-insecure-tmpdir-creation.patch
Provides:      docbook-xsl-ns = %{version}
# required /usr/bin/xmlcatalog
Requires(post): libxml2-utils
Requires(postun): libxml2-utils
Requires(post): xml-common
Requires(postun): xml-common

Requires:      xml-common

BuildArch:     noarch

%description
These XSL namespace aware stylesheets allow you to transform any
DocBook 5 document to other formats, such as HTML, manpages, FO,
XHMTL and other formats. They are highly customizable. For more
information see W3C page about XSL.

%prep
%setup -q -n docbook-xsl-%{version}
%patch -P 1 -p2 -b .TMPDIR

rm -rf $(find -name '.gitignore' -type f)
chmod +x epub/bin/dbtoepub

%build

%install
mkdir -p %{buildroot}%{_datadir}/sgml/docbook/xsl-ns-stylesheets-%version
cp -a [[:lower:]]* %{buildroot}%{_datadir}/sgml/docbook/xsl-ns-stylesheets-%version/
cp -a VERSION VERSION.xsl %{buildroot}%{_datadir}/sgml/docbook/xsl-ns-stylesheets-%version/
ln -s xsl-ns-stylesheets-%{version} %{buildroot}%{_datadir}/sgml/docbook/xsl-ns-stylesheets

rm -rf %{buildroot}%{_datadir}/sgml/docbook/xsl-ns-stylesheets/extensions
rm -rf %{buildroot}%{_datadir}/sgml/docbook/xsl-ns-stylesheets/install.sh

%post
CATALOG=/etc/xml/catalog
%{_bindir}/xmlcatalog --noout --add "rewriteSystem" \
 "http://cdn.docbook.org/release/xsl/%{version}" \
 "file://%{_datadir}/sgml/docbook/xsl-ns-stylesheets-%{version}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteURI" \
 "http://cdn.docbook.org/release/xsl/%{version}" \
 "file://%{_datadir}/sgml/docbook/xsl-ns-stylesheets-%{version}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteSystem" \
 "http://cdn.docbook.org/release/xsl/current/" \
 "file://%{_datadir}/sgml/docbook/xsl-ns-stylesheets-%{version}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteURI" \
 "http://cdn.docbook.org/release/xsl/current/" \
 "file://%{_datadir}/sgml/docbook/xsl-ns-stylesheets-%{version}" $CATALOG

%{_bindir}/xmlcatalog --noout --add "rewriteSystem" \
 "http://docbook.sourceforge.net/release/xsl-ns/current" \
 "file://%{_datadir}/sgml/docbook/xsl-ns-stylesheets-%{version}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteURI" \
 "http://docbook.sourceforge.net/release/xsl-ns/current" \
 "file://%{_datadir}/sgml/docbook/xsl-ns-stylesheets-%{version}" $CATALOG

%postun
if [ "$1" = 0 ]; then
CATALOG=/etc/xml/catalog
%{_bindir}/xmlcatalog --noout --del \
"file:///usr/share/sgml/docbook/xsl-ns-stylesheets-%{version}" $CATALOG
fi

%files
%{_datadir}/sgml/docbook/xsl-ns-stylesheets
%{_datadir}/sgml/docbook/xsl-ns-stylesheets-%{version}
%doc BUGS COPYING NEWS README RELEASE-NOTES.* TODO
