%global debug_package %{nil}

Name:           docker-compose
Version:        2.26.1
Release:        %mkrel 1
Summary:        Multi-container orchestration for Docker
Group:          System/Configuration
License:        ASL 2.0
URL:            https://www.docker.com/
Source0:        https://github.com/docker/compose/archive/v%{version}.tar.gz
# In order to refrech this file, please do
# bm -p
# cd BUILD/compose-*
# GO111MODULE=on go mod vendor
# tar cvfz ../../SOURCES/vendor.tgz vendor/
Source1:		vendor.tgz
BuildRequires:  golang >= 1.21
BuildRequires:  make
Requires:       docker >= 24.0.1

# docker-compose is compatible with fig and is a simple rename.
Provides:       fig = %{version}-%{release}
Obsoletes:      fig < 1.0.0-4

%description
Multi-container orchestration for Docker

docker compose allows you to:
- Define your application's environment with Docker so it can be reproduced
  anywhere.
- Define the services that make up your app so they can be run together in an
  isolated environment.
- Run 'docker compose up', and docker compose will start and run your entire
  app.

%prep
%setup -q -n compose-%{version}
tar xfz %{SOURCE1}

%build
export GO111MODULE=on
# Thanks to OpenSUSE for sharing their build !
go build \
   -mod=vendor \
   -buildmode=pie \
   -trimpath \
   -ldflags="-s -w -X github.com/docker/compose/v2/internal.Version=%{version}" \
   -o bin/build/docker-compose ./cmd/

%install
install -d -m 0755 %{buildroot}/%{_libexecdir}/docker/cli-plugins
install -p -m 0755 bin/build/%{name} %{buildroot}/%{_libexecdir}/docker/cli-plugins/

%files
%doc BUILDING.md CONTRIBUTING.md README.md MAINTAINERS NOTICE
%license LICENSE
%{_libexecdir}/docker/cli-plugins/%{name}
