%global dist_version 2.8.2

%global provider github
%global provider_tld com
%global project docker
%global repo distribution
%global import_path %{provider}.%{provider_tld}/%{project}/%{repo}

%define localname registry
%define srcname %{project}-%{localname}
%define cachedir %{_var}/cache/%{srcname}
%global gopath  %{_libdir}/golang
%global debug_package   %{nil}
%define gosrc %{gopath}/src/pkg/%{import_path}

Summary:        Registry server for Docker
Name:           %srcname
Version:        %dist_version
Release:        %mkrel 1
Group:          System/Configuration
License:        ASL 2.0
URL:            https://%import_path
Source:         https://%import_path/archive/v%{version}.tar.gz
Source1:        %{srcname}.service
Source2:        %{srcname}.sysconfig
Source3:        config.yml

BuildRequires:  systemd
BuildRequires:  gcc
BuildRequires:  glibc-static-devel
# ensure build uses golang 1.4 or above
BuildRequires:  golang >= 1.4

Requires(post):     systemd
Requires(preun):    systemd
Requires(postun):   systemd
Requires(post):   rpm-helper >= %{rpmhelper_required_version}
Requires(preun):  rpm-helper >= %{rpmhelper_required_version}

%description
Registry server for Docker (hosting/delivering of repositories and images).

%prep
%setup -q -n distribution-%{version}
mkdir -p vendor/src
mv vendor/g* vendor/r* vendor/src
mkdir -p vendor/src/%import_path
cd vendor/src/%import_path
for i in blobs.go doc.go errors.go manifests.go registry.go tags.go cmd configuration context contrib digestset health manifest metrics notifications project reference registry testutil uuid version; do
        ln -s ../../../../../$i .
done

%build
export REGISTRY_STORAGE_FILESYSTEM_ROOTDIRECTORY=%{cachedir}
export GOPATH=$(pwd)/vendor:%{_bindir}
go env -w GO111MODULE=off
go build -o bin/%srcname -a %{import_path}/cmd/registry

%install
export REGISTRY_STORAGE_FILESYSTEM_ROOTDIRECTORY=%{cachedir}
install -d %{buildroot}%{_bindir}
install -pm 755 bin/%srcname %{buildroot}%{_bindir}

install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{cachedir}

install -pm 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/%{srcname}

install -d %{buildroot}%{_unitdir}
install -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/%{srcname}.service

install -d %{buildroot}%{_sysconfdir}/%{srcname}
install -pm 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/%{srcname}/

%post
%_post_service %{srcname}

%preun
%_preun_service %{srcname}

%files
%doc LICENSE MAINTAINERS *.md
%config(noreplace) %{_sysconfdir}/%{srcname}/config.yml
%config(noreplace) %{_sysconfdir}/sysconfig/%{srcname}
%{_bindir}/%{name}
%dir %{cachedir}
%{_unitdir}/%{srcname}.service
