%global         debug_package %{nil}

Name:           docky
Version:        2.2.1.1
Release:        %mkrel 2
Summary:        Advanced shortcut bar written in Mono

Group:          Graphical desktop/GNOME
License:        GPLv3+
URL:            https://launchpad.net/docky
Source0:        https://launchpad.net/docky/2.2/%{version}/+download/docky-%{version}.tar.xz

# sharp deps
BuildRequires:  pkgconfig(gnome-sharp-2.0) 
BuildRequires:  pkgconfig(gnome-desktop-sharp-2.0)
BuildRequires:  pkgconfig(gnome-keyring-sharp-1.0) 
BuildRequires:  pkgconfig(gapi-2.0) 
BuildRequires:  pkgconfig(mono-addins)
BuildRequires:  pkgconfig(mono)
BuildRequires:  pkgconfig(ndesk-dbus-1.0) 
BuildRequires:  pkgconfig(ndesk-dbus-glib-1.0)
BuildRequires:  pkgconfig(notify-sharp)
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(gio-sharp-2.0)
BuildRequires:  pkgconfig(dbus-sharp-2.0) 
BuildRequires:  pkgconfig(dbus-sharp-glib-2.0)
BuildRequires:  pkgconfig(gkeyfile-sharp)
# native deps
BuildRequires:  pkgconfig(glib-2.0) 
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libwnck-1.0)
BuildRequires:  gettext
BuildRequires:  perl(XML::Parser)
BuildRequires:  intltool
BuildRequires:  desktop-file-utils

Requires:       gnome-desktop-2
Requires:       ndesk-dbus
Requires:       gtk2
Requires:       hicolor-icon-theme
Requires:       gio-sharp 
# docky brings an own, patched version of wnck-sharp, the .config file references libwnck-1.so.22
Requires:       libwnck-1

# Mono only available on these:
ExclusiveArch: %{ix86} x86_64 ppc ppc64 ia64 %{arm} sparcv9 alpha s390x


%description
Docky is an advanced shortcut bar that sits at the bottom, top, and/or sides 
of your screen. It provides easy access to some of the files, folders, 
and applications on your computer, displays which applications are 
currently running, holds windows in their minimized state, and more.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files
for developing applications that use %{name}.


%prep
%setup -q

# fix build with mono4
sed -i "s#gmcs#mcs#g" configure*
sed -i "s#gmcs#mcs#g" m4/shamrock/mono.m4

%build
autoreconf -vfi
%configure --disable-schemas-install --disable-dependency-tracking
%make

%install
%make_install

#gapi_codegen.exe is not distributed (licence is GNU GPL v2)
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/gapi_codegen*

desktop-file-install    \
        --dir $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart       \
        --add-only-show-in=GNOME                                \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
desktop-file-install --delete-original  \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        --remove-category Application \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

# autostart is disabled by default
echo "X-GNOME-Autostart-enabled=false" >> \
    $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/%{name}.desktop

%find_lang %{name}

%preun
%preun_uninstall_gconf_schemas %name

%files -f %{name}.lang
%doc AUTHORS COPYING COPYRIGHT NEWS
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/icons/hicolor/*/apps/gmail.png
%{_datadir}/icons/hicolor/*/mimetypes/*
%{_datadir}/applications/*.desktop
%config(noreplace) %{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_sysconfdir}/gconf/schemas/docky.schemas
%doc %{_mandir}/man1/%{name}.1*

%files devel
%{_libdir}/pkgconfig/docky.cairohelper.pc
%{_libdir}/pkgconfig/docky.services.pc
%{_libdir}/pkgconfig/docky.widgets.pc
%{_libdir}/pkgconfig/docky.items.pc
