Name:           doctest
Version:        2.4.11
Release:        %mkrel 2
Summary:        Feature-rich header-only C++ testing framework
License:        MIT
Group:          Development/C++
URL:            https://github.com/doctest/doctest
Source0:        https://github.com/doctest/doctest/archive/v%{version}/%{name}-%{version}.tar.gz
# Header-only packages
BuildArch:      noarch

BuildRequires:  cmake
BuildRequires:  git-core

%description
A fast (both in compile times and runtime) C++ testing framework, with the
ability to write tests directly along production source (or in their own
source, if you prefer).

%package devel
Summary:        Development files for %{name}
Group:          Development/C++
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}%{?_isa} = %{version}-%{release}
Requires:       libstdc++-devel

%description devel
Development files for %{name}.

%prep
%autosetup -p1

%build
%cmake \
  -DDOCTEST_WITH_MAIN_IN_STATIC_LIB:BOOL=OFF \
  -DDOCTEST_WITH_TESTS:BOOL=ON \
  -DCMAKE_INSTALL_LIBDIR=%{_datadir}
%cmake_build

%check
%ctest

%install
%cmake_install

%files devel
%doc README.md CHANGELOG.md CONTRIBUTING.md
%license LICENSE.txt
%{_includedir}/%{name}/
%{_datadir}/cmake/%{name}/
