%global	__requires_exclude  pear\\(Crypt/Hash.php\\)|pear\\(Base.php\\)|pear\\(Rijndael.php\\)|pear\\(other/ide_stubs/libsodium.php\\)
%define dir_version  2022-07-31
%define _localstatedir %{_var}

%define provider github
%define provider_tld com
%define project splitbrain
%define repo dokuwiki
%define provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%define import_path %{provider_prefix}
%define git0 https://%{provider}.%{provider_tld}/%{project}/%{repo}
%define commit0 f2a13d874dcc604edbe881a9f0925314dceba218
%define shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%define date 20201204


Name:       dokuwiki
Version:    20220731
Release:    %mkrel 1
#Release: %mkrel 0.%{date}.1.dev.git%{shortcommit0}
Summary:    A wiki with plain text files backend
License:    GPLv2
Group:      Networking/WWW
URL:        https://www.dokuwiki.org/dokuwiki
Source0:    https://download.dokuwiki.org/src/dokuwiki/%{name}-%{dir_version}.tgz
#Source0: %{git0}/archive/%{commit0}/%{repo}-%{shortcommit0}.tar.gz
Requires:   php-webinterface
Requires:   php-xml
BuildArch:  noarch

%description
DokuWiki is a standards compliant, simple to use Wiki, mainly aimed at creating
documentation of any kind. It is targeted at developer teams, workgroups and
small companies. It has a simple but powerful syntax which makes sure the
datafiles remain readable outside the Wiki and eases the creation of structured
texts. All data is stored in plain text files -- no database is required.

%prep
#autosetup -n %{name}-%{commit0}
%autosetup -n %{name}-%{dir_version}
find . -name '.htaccess' | xargs rm -f

%build

%install
install -d -m 755 %{buildroot}%{_datadir}/%{name}

install -d -m 755 %{buildroot}%{_datadir}/%{name}/bin
install -m 755 bin/* %{buildroot}%{_datadir}/%{name}/bin

cp -pr inc %{buildroot}%{_datadir}/%{name}
cp -pr lib %{buildroot}%{_datadir}/%{name}

install -m 644 *.php %{buildroot}%{_datadir}/%{name}

pushd %{buildroot}%{_datadir}/%{name}
ln -sf ../../../var/lib/dokuwiki data
ln -sf ../../../etc/dokuwiki conf
popd

install -d -m 755 %{buildroot}%{_localstatedir}/lib
cp -pr data %{buildroot}%{_localstatedir}/lib/%{name}

install -d -m 755 %{buildroot}%{_sysconfdir}
cp -pr conf %{buildroot}%{_sysconfdir}/%{name}
rm -f %{buildroot}%{_sysconfdir}/%{name}/*.{dist,example}

# apache configuration
install -d -m 755 %{buildroot}%{_webappconfdir}
cat > %{buildroot}%{_webappconfdir}/%{name}.conf <<EOF
# %{name} Apache configuration
Alias /%{name} %{_datadir}/%{name}

<Directory %{_datadir}/%{name}>
    Require all granted
    DirectoryIndex doku.php
</Directory>

<Directory %{_datadir}/%{name}/bin>
    Require all denied
</Directory>

<Directory %{_datadir}/%{name}/inc>
    Require all denied
</Directory>

<Directory %{_datadir}/%{name}/conf>
    Require all denied
</Directory>

<Directory %{_datadir}/%{name}/data>
    Require all denied
</Directory>
EOF

cat > README.urpmi <<EOF
Mageia RPM specific notes

setup
-----
The setup used here differs from default one, to achieve better FHS compliance, and
follow upstream security recommandations detailed at
http://wiki.splitbrain.org/wiki:security:
- the non-variable files are in %{_datadir}/%{name}
- the variable files are in %{_localstatedir}/lib/%{name}
- the configuration files are in %{_sysconfdir}/%{name}
EOF

# missing composer file
mkdir -p %{buildroot}/%{_datadir}/%{name}/vendor
#touch %%{buildroot}/%%{_datadir}/%%{name}/vendor/autoload.php

#Add vendor files until we start to use php7 (mga#20780)
cp -pr vendor/* %{buildroot}%{_datadir}/%{name}/vendor/
	

%pre
if [ $1 = "2" ]; then
    # fix for old setup
    if [ -d %{_localstatedir}/lib/%{name}/data ]; then
        mv %{_localstatedir}/lib/%{name}/data/* %{_localstatedir}/lib/%{name}
        rmdir %{_localstatedir}/lib/%{name}/data
    fi
fi

%files
%doc README README.urpmi conf/*.{dist,example}
%config(noreplace) %{_webappconfdir}/%{name}.conf
%attr(-,apache,apache) %config(noreplace) %{_sysconfdir}/%{name}
%{_datadir}/%{name}
%attr(-,apache,apache) %{_localstatedir}/lib/%{name}
