#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define _cmake_skip_rpath %nil

%define rel 1

Summary:        File manager for KDE focusing on usability
Name:           dolphin
Epoch:          1
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://apps.kde.org/dolphin/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# Upstream patches
#
# Mageia patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6Bookmarks)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6Solid)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6Codecs)

BuildRequires:  cmake(KF6UserFeedback)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(PlasmaActivities)

BuildRequires:  cmake(Phonon4Qt6)
BuildRequires:  cmake(packagekitqt6)
BuildRequires:  cmake(KF6Baloo)
BuildRequires:  cmake(KF6BalooWidgets)
BuildRequires:  cmake(KF6FileMetaData)

Requires:       kio
Requires:       kio-extras
Requires:       baloo-kioslaves
Recommends:     ffmpegthumbs
Recommends:     audiocd-kio
Recommends:     kio-fuse

%description
Dolphin is a file manager for KDE focusing on usability.
The main features of Dolphin are:
- Navigation bar for URLs, which allows to navigate quickly
  through the file hierarchy.
- View properties are remembered for each folder.
- Split of views is supported.
- Network transparency.
- Undo/redo functionality.
- Renaming of a variable number of selected items in one step.

Dolphin is not intended to be a competitor to Konqueror: Konqueror
acts as universal viewer being able to show HTML pages, text documents,
directories and a lot more, whereas Dolphin focuses on being only a file
manager. This approach allows to optimize the user interface for the task
of file management.

%files -f %name.lang
%_kf6_categoriesdir/dolphin.categories
%_kf6_bindir/dolphin
%_kf6_bindir/servicemenuinstaller
%_kf6_plugindir/parts/dolphinpart.so
%_kf6_plugindir/kfileitemaction/movetonewfolderitemaction.so
%dir %_qt6_plugindir/dolphin
%dir %_qt6_plugindir/dolphin/kcms
%_qt6_plugindir/dolphin/kcms/kcm_dolphingeneral.so
%_qt6_plugindir/dolphin/kcms/kcm_dolphinviewmodes.so
%_kf6_datadir/dolphin/
%_kf6_metainfodir/*.xml
%_kf6_iconsdir/hicolor/scalable/apps/org.kde.dolphin.svg
%_kf6_applicationsdir/org.kde.dolphin.desktop
%_kf6_datadir/kglobalaccel/org.kde.dolphin.desktop
%_kf6_datadir/knsrcfiles/servicemenu.knsrc
%_kf6_datadir/config.kcfg/*.kcfg
%_kf6_datadir/dbus-1/interfaces/org.freedesktop.FileManager1.xml
%_kf6_datadir/dbus-1/services/org.kde.dolphin.FileManager1.service
%_userunitdir/plasma-dolphin.service
%_kf6_datadir/kconf_update/dolphin_detailsmodesettings.upd
%_kf6_datadir/kconf_update/dolphin_directorysizemode.*
%_kf6_datadir/kconf_update/dolphin_statusandlocationbarssettings.upd
%_kf6_libdir/kconf_update_bin/dolphin_*_update_statusandlocationbarssettings
%_kf6_datadir/zsh/site-functions/_dolphin

#--------------------------------------------------------------------

%package handbook
Summary:        %{name} Handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides %{name} Handbook.

%files handbook
%doc %_kf6_docdir/HTML/*/dolphin

#--------------------------------------------------------------------

%define dolphinprivate_major 6
%define libdolphinprivate %mklibname dolphinprivate %{dolphinprivate_major}

%package -n %libdolphinprivate
Summary:        Widgets for Baloo
Group:          System/Libraries
%rename         %{_lib}dolphinprivate15

%description -n %libdolphinprivate
Dolphin Library.

%files -n %libdolphinprivate
%_kf6_libdir/libdolphinprivate.so.%{dolphinprivate_major}
%_kf6_libdir/libdolphinprivate.so.%{version}

#--------------------------------------------------------------------

%define dolphinvcs_major 6
%define libdolphinvcs %mklibname dolphinvcs %{dolphinvcs_major}

%package -n %libdolphinvcs
Summary:        Widgets for Baloo
Group:          System/Libraries
%rename         %{_lib}dolphinvcs15

%description -n %libdolphinvcs
Dolphin Library.

%files -n %libdolphinvcs
%_kf6_libdir/libdolphinvcs.so.%{dolphinvcs_major}
%_kf6_libdir/libdolphinvcs.so.%{version}

#--------------------------------------------------------------------

%define dolphin_devel %mklibname dolphin -d

%package -n %dolphin_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %epoch:%version-%release
Requires:       %libdolphinprivate = %epoch:%version-%release
Requires:       %libdolphinvcs = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %dolphin_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %dolphin_devel
%_includedir/Dolphin/
%_includedir/dolphin_export.h
%_includedir/dolphinvcs_export.h
%_kf6_libdir/cmake/DolphinVcs/
%_kf6_libdir/libdolphinvcs.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %name --all-name
