Name:		dosbox-staging
Version:	0.82.0
Release:	%mkrel 1
Summary:	A modernized DOSBox to run old DOS games
License:	GPLv2+
Group:		Emulators
URL:		https://dosbox-staging.github.io/

Source0:	https://github.com/dosbox-staging/dosbox-staging/archive/v%{version}/%{name}-%{version}.tar.gz
# launcher to workaround the lack of keyboard layout detection
# see also https://github.com/dosbox-staging/dosbox-staging/issues/394
Source1:	dosbox
# Example of config file to ease with change of variable name
# Need to be generated with the current version of dosbox staging 
Source2:	%{name}.conf.example

BuildRequires:	meson
BuildRequires:	pkgconfig(iir)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_net)
BuildRequires:	pkgconfig(opusfile)
BuildRequires:	pkgconfig(fluidsynth) > 2
BuildRequires:	pkgconfig(gtest)
BuildRequires:	pkgconfig(mt32emu)
BuildRequires:	pkgconfig(slirp)
BuildRequires:	pkgconfig(speexdsp)
BuildRequires:	pkgconfig(xi)


Provides:	dosbox = %{version}
Conflicts:	dosbox

%description
dosbox-staging is DOS/x86 emulator focusing on ease of use.

Based on DOSBox, it is a fork which use modern library (e.g.: sdl2) and 
practice in an attempt to revitalize the development process.

It prioritize DOS gaming, while welcoming general improvements (such as for 
productivity software) that don't impact game emulation quality 
or code-maintainability.

Some unique features: SDL2, pixel-perfect mode, resizable window, experimental 
wayland support, better OPL3 emulation, MP3, FLAC, VORBIS, OPUS support and 
many more (see https://dosbox-staging.github.io for a complete list).


DOSBox is a DOS-emulator that uses the SDL-library which makes DOSBox 
very easy to port to different platforms. DOSBox has already been ported 
to many different platforms, such as Windows, BeOS, Linux, MacOS X...

DOSBox also emulates CPU:286/386 realmode/protected mode,
Directory FileSystem/XMS/EMS, Tandy/Hercules/CGA/EGA/VGA/VESA
graphics, a SoundBlaster/Gravis Ultra Sound card for excellent
sound compatibility with older games.


%prep
%setup -q
%autopatch -p0



%build
%meson

%meson_build

%install
%meson_install

#We historically provided a script named dosbox to workaround faulty locale detection
#the build process was patched to provide a binary named dosbox-staging
#Since at least 0.81.1, the workaround is not necessary, thus the patch has been removed
#Provide a symlink to ease the transition
#2024.05.20
ln -s %{buildroot}%{_bindir}/dosbox %{buildroot}%{_bindir}/%{name}
cp %{buildroot}%{_mandir}/man1/dosbox.1 %{buildroot}%{_mandir}/man1/%{name}.1

#Configuration file example
install -Dm 0644 %{SOURCE2} %{buildroot}%{_docdir}/%{name}/%{name}.conf.example

%files
%license LICENSE BSD-2-Clause.txt BSD-3-Clause.txt GPL-2.0.txt LGPL-2.1.txt MIT.txt Zlib.txt DEBUG.COM.txt
%doc AUTHORS CODE_OF_CONDUCT.md CONTRIBUTING.md README README.md THANKS docs/README.video
%{_bindir}/%{name}
%{_bindir}/dosbox
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/org.%{name}.%{name}.*
%{_metainfodir}/org.%{name}.%{name}.metainfo.xml
%{_docdir}/%{name}/%{name}.conf.example
%{_datadir}/%{name}/
%{_mandir}/man1/dosbox*
