Name:		dosbox
Version:	0.74.3
Release:	%mkrel 3
Summary:	Free Open Source DOS emulator to run old DOS games
# 0.74-2 is a forbidden version number, so zezinho repacked it to 0.74.2 
Source0:	https://prdownloads.sourceforge.net/dosbox/%{name}-%{version}.tar.xz
# mga#12599
# Source1 comes from https://www.dosbox.com/download.php?main=1 and is packaged by
# renaming files to {name}-{version}-locale.lng
# Be sure it fits {version} before adding/updating files to Source1!
Source1:	%{name}-%{version}-i18n.tar.xz
Source2:	%{name}-%{version}.conf
Source3:	%{name}-%{version}-set-locale_config.sh
License:	GPLv2+
Group:		Emulators
URL:		https://dosbox.sourceforge.net/
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_net)
BuildRequires:	SDL_sound-devel
BuildRequires:	pkgconfig(glu)
BuildRequires:	icoutils

%description
DOSBox is a DOS-emulator that uses the SDL-library.

DOSBox also emulates CPU:286/386 realmode/protected mode,
Directory FileSystem/XMS/EMS, Tandy/Hercules/CGA/EGA/VGA/VESA
graphics, a SoundBlaster/Gravis Ultra Sound card for excellent
sound compatibility with older games.

You can "re-live" the good old days with the help of DOSBox,
it can run plenty of the old classics that don't run on your
new computer!

%prep
%setup -q
%autopatch -p0

%build
%configure	--enable-core-inline
%make_build

%install
%makeinstall
mkdir -p %{buildroot}%{_libexecdir}
mv -f %{buildroot}%{_bindir}/%{name} %{buildroot}%{_libexecdir}/

# Adds i18n support as requested on mga#12599
mkdir -p %{buildroot}%{_datadir}/%{name}/{i18n,template}
tar -xJf %{SOURCE1} -C %{buildroot}%{_datadir}/%{name}/i18n/
install -Dm 0664 %{SOURCE2} %{buildroot}%{_datadir}/%{name}/template/
install -Dm 0755 %{SOURCE3} %{buildroot}%{_bindir}/%{name}

rm -rf %{buildroot}%{_datadir}/doc/%{name}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=DOSBox
GenericName=A DOS emulator
GenericName[ar]=محاكي DOS
GenericName[az]=DOS emulyatoru
GenericName[bg]=Емулатор на DOS
GenericName[bn]=একটি ডস এমুলেটর
GenericName[br]=Ur Kendarvaner DOS
GenericName[bs]=Simulator DOSa
GenericName[ca]=Emulador de DOS
GenericName[cy]=Efelychwr DOS
GenericName[da]=En DOS-emulator
GenericName[de]=Ein DOS-Emulator
GenericName[el]=Εξομοιωτής DOS
GenericName[es]=Un emulador de DOS
GenericName[et]=DOS-i emulaator
GenericName[eu]=DOS emulatzaile bat
GenericName[fa]=یک شبیه‌ساز داس
GenericName[fi]=DOS-emulaattori
GenericName[fr]=Un émulateur DOS
GenericName[gl]=Un emulador do DOS
GenericName[he]=הדמיית DOS
GenericName[hi]=एक डॉस एम्यूलेटर
GenericName[hr]=DOS emulator
GenericName[hu]=DOS-emulátor
GenericName[hy]=DOS էմուլատոր
GenericName[id]=Emulator DOS
GenericName[is]=DOS Hermir
GenericName[it]=Emulatore DOS
GenericName[ja]=DOS エミュレータ
GenericName[ky]=DOS эмулятору
GenericName[mk]=DOS емулатор
GenericName[mt]=Emulatur DOS
GenericName[nb]=DOS-emulator
GenericName[nl]=Een DOS-emulator
GenericName[nn]=DOS-emulator
GenericName[pl]=Emulator DOS
GenericName[pt]=Um emulador DOS
GenericName[pt_BR]=Emulador de DOS
GenericName[ro]=Un emulator de DOS
GenericName[ru]=Эмулятор DOS
GenericName[sc]=Un'emuladori de DOS
GenericName[sk]=DOS emulátor
GenericName[sl]=Emulator za DOS
GenericName[sq]=Një imitues DOS
GenericName[sv]=DOS-emulator
GenericName[tg]=Намунасизи DOS
GenericName[tl]=Isang manggagaya ng DOS
GenericName[tr]=Bir DOS öykünücü
GenericName[uk]=Емулятор DOS
GenericName[uz]=DOS emulyatori
GenericName[uz@cyrillic]=DOS emulyatori
GenericName[vi]=Trình mô phỏng DOS
GenericName[wa]=Èn emulateu DOS
GenericName[zh_CN]=DOS 模拟器
GenericName[zh_TW]=DOS 模擬器
Comment=DOS emulator to run old DOS programs
Comment[ru]=Эмулятор DOS для запуска старых программ DOS
Exec=%{name} %%U
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Emulator;
EOF

icotool -x -i 1 -o %{name}.png src/%{name}.ico
install -m 0644 %{name}.png -D %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png

%files
%doc AUTHORS ChangeLog NEWS README THANKS docs/README.video
%{_bindir}/%{name}
%{_libexecdir}/%{name}
%{_mandir}/*/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}/i18n/%{name}-*.lng
%{_datadir}/%{name}/template/%{name}-%{version}.conf
