Name:		dot2tex
Version:	2.11.3
Release:	%mkrel 8
Summary:	Graphviz to LaTeX converter
License:	MIT
Group:		Publishing
Url:		http://www.fauskes.net/code/dot2tex/
Source0:	https://pypi.io/packages/source/d/dot2tex/%{name}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
Requires:	emacs-auctex
Requires:	graphviz
Recommends:	texlive

%description
The purpose of dot2tex is to give graphs generated by Graphviz a more
LaTeX friendly look and feel. This is accomplished by converting dot
output from Graphviz to a series of PSTricks or PGF/TikZ
commands. This approach allows:

* Typesetting labels with LaTeX, allowing mathematical notation.
* Using native PSTricks and PGF/TikZ commands for drawing arrows (optional).
* Using back-end specific styles to customize the output

Dot2tex can preprocess graphs using the preview package. Information
about label sizes will be extracted and used to get correctly sized
nodes and edge labels.

%prep
%setup -q

# Remove bundled egg-info
rm -rf %{name}.egg-info

%build
%py3_build

%install
%py3_install

%files
%doc AUTHORS CHANGES LICENSE readme.md docs/* examples/
%{_bindir}/%{name}
%{python3_sitelib}/%{name}-*.egg-info
%{python3_sitelib}/%{name}/
