%define name dotconf
%define	major 0
%define	libname %mklibname dotconf %{major}
%define	libnamedevel %mklibname dotconf -d

Name: dotconf
Summary: A ConfigurationFile Parser Library
Version: 1.4.1
Release: %mkrel 1
License: LGPLv2
Group: System/Libraries
URL: https://github.com/williamh/dotconf
Source0: https://github.com/williamh/dotconf/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

%description
Dotconf is a configuration file parser library.

%package -n %{libname}
Summary: The shared libraries needed for running programs using dotconf
Group: System/Libraries
Provides: %{name} = %{version}-%{release}

%description -n	%{libname}
Dotconf is a configuration file parser library.
This package contains only the shared libraries needed for running programs 
dynamically linked against dotconf.

%package -n %{libnamedevel}
Summary: The libraries and headers needed for dotconf development
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}dotconf-static-devel < 1.0.13-8

%description -n %{libnamedevel}
Dotconf is a configuration file parser library.
This package contains documentation, headers and shared library symlinks 
needed for dotconf development.

%package examples
Summary: The examples for the dotconf library
Group: Development/C
BuildArch: noarch

%description examples
Dotconf is a configuration file parser library.
This package contains examples, installed in the same place as the 
documentation.

%prep
%setup -q

%build
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install
rm -fr %{buildroot}%{_libdir}/*.la %{buildroot}%{_docdir}

%files -n %{libname}
%doc AUTHORS README
%{_libdir}/lib*.so.%{major}
%{_libdir}/lib*.so.%{major}.*

%files -n %{libnamedevel}
%doc AUTHORS README doc/dotconf*
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

%files examples
%doc examples/*
