%bcond_without static_libs # don't build static libraries

%define major      3
%define libname    %mklibname %{name} %{major}
%define develname  %mklibname %{name} -d
%define staticname %mklibname %{name} -s -d

%global _vpath_srcdir ..

Summary:        Library providing binary-decimal and decimal-binary routines for IEEE doubles
Name:           double-conversion
Version:        3.3.1
Release:        %mkrel 1
License:        BSD
Group:          Development/Other
URL:            https://github.com/google/double-conversion
Source0:        https://github.com/google/double-conversion/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  cmake

%description
Provides binary-decimal and decimal-binary routines for IEEE doubles.
The library consists of efficient conversion routines that have been
extracted from the V8 JavaScript engine. The code has been re-factored
and improved so that it can be used more easily in other projects.

%package -n     %{libname}
Summary:        Library providing binary-decimal and decimal-binary routines for IEEE doubles
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
Provides binary-decimal and decimal-binary routines for IEEE doubles.
The library consists of efficient conversion routines that have been
extracted from the V8 JavaScript engine. The code has been re-factored
and improved so that it can be used more easily in other projects.

%package -n     %{develname}
Summary:        Library providing binary-decimal and decimal-binary routines for IEEE doubles
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Contains header files for developing applications that use the %{name}
library.

There is extensive documentation in src/double-conversion.h. Other
examples can be found in test/cctest/test-conversions.cc.

%package -n     %{staticname}
Summary:        Library providing binary-decimal and decimal-binary routines for IEEE doubles
Group:          Development/Other
Requires:       %{develname} = %{version}-%{release}
Provides:       %{name}-static-devel = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}

%description -n %{staticname}
Static %{name} library.

%prep
%setup -q

%build
mkdir -p build-shared
pushd build-shared
  %cmake -DBUILD_TESTING=ON
  %cmake_build
popd

%if %{with static_libs}
mkdir  -p build-static
pushd build-static
  CXXFLAGS="%{optflags} -fPIC" %cmake -DBUILD_SHARED_LIBS=NO
  %cmake_build
popd
%endif

%install
%if %{with static_libs}
pushd build-static
  %cmake_install
popd
%endif

pushd build-shared
  %cmake_install
popd

%files -n %{libname}
%doc LICENSE README.md AUTHORS Changelog
%{_libdir}/libdouble-conversion.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libdouble-conversion.so
%{_libdir}/cmake/%{name}/
%{_includedir}/%{name}/

%if %{with static_libs}
%files -n %{staticname}
%{_libdir}/libdouble-conversion.a
%endif

