%define url_ver %(echo %{version} | cut -d. -f1,2)
%define main_ver %(echo %{version} | cut -d. -f1,2,3)

%global __provides_exclude_from %{_docdir}
%global __requires_exclude_from %{_docdir}

%define build_gssapi 1
%define build_ldap 1
%define build_lucene 1
%define build_solr 1
%define build_mysql 1
%define build_pgsql 1
%define build_sqlite 1
%define build_pigeonhole 1

%{?_with_gssapi: %{expand: %%global build_gssapi 1}}
%{?_without_gssapi: %{expand: %%global build_gssapi 0}}
%{?_with_ldap: %{expand: %%global build_ldap 1}}
%{?_without_ldap: %{expand: %%global build_ldap 0}}
%{?_with_lucene: %{expand: %%global build_lucene 1}}
%{?_without_lucene: %{expand: %%global build_lucene 0}}
%{?_with_solr: %{expand: %%global build_solr 1}}
%{?_without_solr: %{expand: %%global build_solr 0}}
%{?_with_mysql: %{expand: %%global build_mysql 1}}
%{?_without_mysql: %{expand: %%global build_mysql 0}}
%{?_with_pgsql: %{expand: %%global build_pgsql 1}}
%{?_without_pgsql: %{expand: %%global build_pgsql 0}}
%{?_with_sqlite: %{expand: %%global build_sqlite 1}}
%{?_without_sqlite: %{expand: %%global build_sqlite 0}}
%{?_with_pigeonhole: %{expand: %%global build_pigeonhole 1}}
%{?_without_pigeonhole: %{expand: %%global build_pigeonhole 0}}

%define pigeonhole_ver 0.5.21.1

%define _disable_ld_no_undefined 1

Summary:	Secure IMAP and POP3 server
Name:		dovecot
Version:	2.3.21.1
Release:	%mkrel 1
License:	MIT and LGPLv2 and BSD-like and Public Domain
Group:		System/Servers
URL:		https://dovecot.org
Source0:	https://dovecot.org/releases/%{url_ver}/%{name}-%{version}.tar.gz
Source1:	https://dovecot.org/releases/%{url_ver}/%{name}-%{version}.tar.gz.sig
Source2:	%{name}-pamd
Source4:	https://dovecot.org/tools/migration_wuimp_to_dovecot.pl
Source5:	https://dovecot.org/tools/mboxcrypt.pl
Source6:	https://pigeonhole.dovecot.org/releases/%{url_ver}/%{name}-%{url_ver}-pigeonhole-%{pigeonhole_ver}.tar.gz
Source7:	https://pigeonhole.dovecot.org/releases/%{url_ver}/%{name}-%{url_ver}-pigeonhole-%{pigeonhole_ver}.tar.gz.sig
Source8:	https://www.earth.ox.ac.uk/~steve/sieve/procmail2sieve.pl
Source9:	%{name}-tmpfiles.conf

Patch0:		dovecot-2.2.6-compress-ldl.patch
Patch1:		dovecot-2.3.2.1-force_dh.patch
Patch2:		dovecot-2.3.5-mga-fix-libstemmer-include.patch
Patch3:		CVE-2022-30550.patch

Provides:	imap-server pop3-server
Provides:	imaps-server pop3s-server
Requires(post):	systemd >= %{systemd_required_version}
Requires(pre):	rpm-helper >= 0.21
Requires(post):	rpm-helper >= 0.21
Requires(preun): rpm-helper >= 0.21
Requires(postun): rpm-helper >= 0.21
Requires(post):	openssl
# for /etc/ssl/ symlinks
Requires:	rootcerts >= 20121018.00-2.mga3
BuildRequires:	pam-devel
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libsasl2)
BuildRequires:	pkgconfig(libcap)
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(bdw-gc)
BuildRequires:	pkgconfig(libsystemd)
%if %{build_ldap}
BuildRequires:	openldap-devel
%endif
%if %{build_lucene}
BuildRequires:	pkgconfig(libclucene-core)
%endif
%if %{build_solr}
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(libcurl)
%endif
%if %{build_mysql}
BuildRequires:	mysql-devel
%endif
%if %{build_pgsql}
BuildRequires:	postgresql-devel
%endif
%if %{build_gssapi}
BuildRequires:	pkgconfig(libgssglue)
BuildRequires:	pkgconfig(krb5)
%endif
%if %{build_sqlite}
BuildRequires:	pkgconfig(sqlite3)
%endif
BuildRequires:	rpm-helper >= 0.21
BuildRequires:	pkgconfig(zlib)
BuildRequires:	bzip2-devel
BuildRequires:	libstemmer-devel

%description
Dovecot is an IMAP and POP3 server for Linux/UNIX-like systems, written with
security primarily in mind. Although it's written with C, it uses several
coding techniques to avoid most of the common pitfalls.


Dovecot can work with standard mbox and maildir formats and it's fully
compatible with UW-IMAP and Courier IMAP servers as well as mail clients
accessing the mailboxes directly.

You can build %{name} with some conditional build switches;

(ie. use with rpm --rebuild):

    --with[out] gssapi		GSSAPI support (enabled)
    --with[out] ldap		LDAP support (enabled)
    --with[out] lucene		Lucene support (enabled)
    --with[out] solr		Solr support (enabled)
    --with[out] mysql		MySQL support (enabled)
    --with[out] pgsql		PostgreSQL support (enabled)
    --with[out] sqlite		SQLite support (enabled)
    --with[out] sieve		Pigeonhole Sieve and ManageSieve support (enabled)

%if %{build_pigeonhole}

%package	pigeonhole
Summary:	Pigeonhole Sieve/ManageSieve plugin for dovecot LDA
Group:		System/Servers
Requires:	%{name} >= %{version}
Obsoletes:	%{name}-plugins-sieve < 2.0, %{name}-plugins-managesieve < 2.0

# ease upgrade because of files moved
Conflicts:	dovecot < 2.3.7.2-3

%description	pigeonhole
This package provides the Pigeonhole Sieve/ManageSieve plugin version %{pigeonhole_ver}
for dovecot LDA.

%package	pigeonhole-devel
Summary:	Pigeonhole Sieve/ManageSieve development files
Group:		Development/C
Requires:	%{name}-pigeonhole >= %{version}

%description	pigeonhole-devel
This package contains development files for Pigeonhole Sieve/ManageSieve %{pigeonhole_ver}.

%endif

%if %{build_pgsql}
%package	plugins-pgsql
Summary:	Postgres SQL backend for dovecot
Group:		System/Servers
Requires:	%{name} >= %{version}

%description	plugins-pgsql
This package provides the Postgres SQL backend for dovecot-auth etc.
%endif

%if %{build_mysql}
%package	plugins-mysql
Summary:	MySQL backend for dovecot
Group:		System/Servers
Requires:	%{name} >= %{version}

%description	plugins-mysql
This package provides the MySQL backend for dovecot-auth etc.
%endif

%if %{build_ldap}
%package	plugins-ldap
Summary:	LDAP support for dovecot
Group:		System/Servers
Requires:	%{name} >= %{version}

%description	plugins-ldap
This package provides LDAP capabilities to dovecot in a modular form.
%endif

%if %{build_gssapi}
%package	plugins-gssapi
Summary:	GSSAPI support for dovecot
Group:		System/Servers
Requires:	%{name} >= %{version}

%description	plugins-gssapi
This package provides GSSAPI capabilities to dovecot in a modular form.
%endif

%if %{build_sqlite}
%package	plugins-sqlite
Summary:	SQLite backend for dovecot
Group:		System/Servers
Requires:	%{name} >= %{version}

%description	plugins-sqlite
This package provides the SQLite backend for dovecot-auth etc.
%endif

%package	devel
Summary:	Development files for Dovecot IMAP and POP3 server
Group:		Development/C
Requires:	%{name} >= %{version}

%description	devel
Dovecot is an IMAP and POP3 server for Linux/UNIX-like systems, written with
security primarily in mind. Although it's written with C, it uses several
coding techniques to avoid most of the common pitfalls.

Dovecot can work with standard mbox and maildir formats and it's fully
compatible with UW-IMAP and Courier IMAP servers as well as mail clients
accessing the mailboxes directly.

This package contains development files for dovecot.

%prep

%setup -q -n dovecot-%{version}
# Bug #27491
%if %{build_lucene}
sed -i '/DEFAULT_INCLUDES *=/s|$| '"$(pkg-config --cflags libclucene-core)|" src/plugins/fts-lucene/Makefile.in
%endif

%if %{build_pigeonhole}
%setup -q -D -T -a 6 -n dovecot-%{version}
%define	pigeonhole_dir %{name}-%{url_ver}-pigeonhole-%{pigeonhole_ver}
%endif

%autopatch -p1

%build
%serverbuild
# (doktor5000) --with-gc causes memory leaks and is disregarded by upstream
# see https://bugs.mageia.org/show_bug.cgi?id=18047
%configure \
    --disable-static \
    --with-sql=plugin \
    --with-ssl=openssl \
    --with-nss \
    --with-libcap \
%if %{build_ldap}
    --with-ldap=plugin \
%endif
%if %{build_pgsql}
    --with-pgsql \
%endif
%if %{build_mysql}
    --with-mysql \
%endif
%if %{build_sqlite}
    --with-sqlite \
%endif
%if %{build_gssapi}
    --with-gssapi=plugin \
%endif
%if %{build_lucene}
    --with-lucene \
%endif
%if %{build_solr}
    --with-solr \
%endif
    --with-ssldir=%{_sysconfdir}/pki/tls \
    --with-moduledir=%{_libdir}/%{name}/modules \
    --with-rundir=/run/%{name} \
    --with-statedir=%{_localstatedir}/lib/%{name} \
    --with-systemd \
    --with-systemdsystemunitdir=%{_unitdir}

%make_build

%if %{build_pigeonhole}
pushd %{pigeonhole_dir}
autoreconf -fi
%configure \
    --disable-static \
    --with-dovecot=../ \
    --with-unfinished-features
%make_build
popd
%endif

%install
install -d %{buildroot}%{_sysconfdir}/%{name}/conf.d
install -d %{buildroot}%{_sysconfdir}/pam.d
install -d %{buildroot}%{_libdir}/%{name}/modules
install -d %{buildroot}%{_localstatedir}/lib/%{name}
install -d %{buildroot}%{_localstatedir}/lib/dovenull

%make_install

%if %{build_pigeonhole}

pushd %{pigeonhole_dir}
%make_install
#mv %%{buildroot}%%{_libdir}/%%{name}/sieve %%{buildroot}%%{_libdir}/%%{name}/modules
install -m 644 doc/example-config/conf.d/*.conf* %{buildroot}%{_sysconfdir}/%{name}/conf.d
popd

install -d -m 755 %{buildroot}%{_docdir}/%{name}-pigeonhole

%endif

cat %{SOURCE2} > %{buildroot}%{_sysconfdir}/pam.d/%{name}

install -m 644 doc/example-config/%{name}*.conf* %{buildroot}%{_sysconfdir}/%{name}
install -m 644 doc/example-config/conf.d/*.conf* %{buildroot}%{_sysconfdir}/%{name}/conf.d

# Since 2.2, Dovecot tries to listen to IPv4 and IPv6 interfaces by default.
# Dovecot won't start out of the box if IPv6 interface is not present.
# Let's switch to IPv4-only configuration for now.
sed -e "/listen =/ a\listen = *" -i %{buildroot}%{_sysconfdir}/%{name}/dovecot.conf

cp %{SOURCE4} .
cp %{SOURCE5} .

# procmail2sieve converter
install -d -m 755 %{buildroot}%{_bindir}
install %{SOURCE8} -m 755 %{buildroot}%{_bindir}
perl -pi -e 's|#!/usr/local/bin/perl|#!%{_bindir}/perl|' \
    %{buildroot}%{_bindir}/procmail2sieve.pl

install -D -p -m 0644 %{SOURCE9} %{buildroot}%{_tmpfilesdir}/%{name}.conf

# remove the libtool archives
find %{buildroot} -name '*.la' -delete

# automatic reloading for new plugins
%transfiletriggerin -- %{_libdir}/%{name}/modules/
systemctl try-restart %{name}.service

%pre
%_pre_useradd %{name} %{_localstatedir}/lib/%{name} /bin/false
%_pre_groupadd %{name} %{name}
%_pre_useradd dovenull %{_localstatedir}/lib/dovenull /bin/false
%_pre_groupadd dovenull dovenull

#Extract dovenull home directory
NULLHOME=`getent passwd dovenull | cut -d: -f6`;
if [ -z "${NULLHOME}" -o "${NULLHOME}" = "%{_localstatedir}/lib/%{name}" ]; then
	#Fix dovenull home for earlier version
	usermod -d %{_localstatedir}/lib/dovenull dovenull;
fi

%post
%_tmpfilescreate %{name}
%_post_service %{name}
%_create_ssl_certificate %{name}

#Check if dh it don't exists
#XXX: required by upgrade to version 2.3
if [ ! -e "%{_sysconfdir}/dovecot/dh.pem" ]; then
	#Generate the dh pem file in background
	echo "Generate %{_sysconfdir}/dovecot/dh.pem with 4096 bits, please wait completion."
	systemd-run -G --no-block openssl dhparam -out %{_sysconfdir}/dovecot/dh.pem 4096;
fi

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}
%_postun_groupdel %{name}
%_postun_userdel dovenull
%_postun_groupdel dovenull

%files
%doc AUTHORS ChangeLog COPYING* NEWS README TODO
%doc mboxcrypt.pl migration_wuimp_to_dovecot.pl
%doc %{_docdir}/%{name}

%dir %{_sysconfdir}/dovecot
%dir %{_sysconfdir}/dovecot/conf.d
%config(noreplace) %{_sysconfdir}/dovecot/README
#list all so we'll be noticed if upstream changes anything
%config(noreplace) %{_sysconfdir}/dovecot/dovecot.conf
%config(noreplace) %{_sysconfdir}/dovecot/dovecot-dict-auth.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/dovecot-dict-sql.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/dovecot-ldap.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/dovecot-oauth2.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/dovecot-sql.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/10-auth.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/10-director.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/10-logging.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/10-mail.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/10-master.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/10-metrics.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/10-ssl.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/15-lda.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/15-mailboxes.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/20-imap.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/20-lmtp.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/20-pop3.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/20-submission.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/90-acl.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/90-quota.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/90-plugin.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-checkpassword.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-deny.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-dict.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-ldap.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-master.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-passwdfile.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-sql.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-static.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-system.conf.ext

%config(noreplace) %{_sysconfdir}/pam.d/%{name}

%attr(0750,dovecot,dovecot) %dir %{_localstatedir}/lib/%{name}
%attr(0750,dovenull,dovenull) %dir %{_localstatedir}/lib/dovenull

%if %{build_pigeonhole}
%exclude %{_libdir}/%{name}/modules/*_sieve_plugin.so
%exclude %{_libdir}/%{name}/modules/sieve/*_sieve_imapsieve_plugin.so
%exclude %{_libdir}/%{name}/modules/sieve/*_sieve_extprograms_plugin.so
%exclude %{_libdir}/%{name}/modules/doveadm/*_sieve_plugin.so
%exclude %{_libdir}/%{name}/modules/settings/libmanagesieve*.so
%exclude %{_libdir}/%{name}/modules/settings/libpigeonhole_settings.so
%endif

%{_bindir}/doveadm
%{_bindir}/doveconf
%{_bindir}/dsync
%{_bindir}/dovecot-sysreport
%{_sbindir}/%{name}
%{_unitdir}/dovecot.service
%{_unitdir}/dovecot.socket

%dir %{_libdir}/%{name}
%{_libdir}/%{name}/dovecot-config
%{_libdir}/%{name}/modules
%exclude %{_libdir}/%{name}/modules/libdriver*sql*.so
%exclude %{_libdir}/%{name}/modules/*/libdriver*sql*.so
%exclude %{_libdir}/%{name}/modules/auth/libauthdb_ldap.so
%exclude %{_libdir}/%{name}/modules/auth/libmech_gssapi.so
%{_libdir}/%{name}/libdcrypt_openssl.so
%{_libdir}/%{name}/libdovecot.so*
%{_libdir}/%{name}/libdovecot-compression.so*
%{_libdir}/%{name}/libdovecot-dsync.so*
%{_libdir}/%{name}/libdovecot-fts.so*
%{_libdir}/%{name}/libdovecot-lda.so*
%{_libdir}/%{name}/libdovecot-ldap.so*
%{_libdir}/%{name}/libdovecot-login.so*
%{_libdir}/%{name}/libdovecot-sql.so*
%{_libdir}/%{name}/libdovecot-storage.so*


%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/aggregator
%{_libexecdir}/%{name}/anvil
%{_libexecdir}/%{name}/auth
%{_libexecdir}/%{name}/checkpassword-reply
%{_libexecdir}/%{name}/config
%{_libexecdir}/%{name}/decode2text.sh
%{_libexecdir}/%{name}/deliver
%{_libexecdir}/%{name}/dict
%{_libexecdir}/%{name}/director
%{_libexecdir}/%{name}/dns-client
%{_libexecdir}/%{name}/doveadm-server
%{_libexecdir}/%{name}/dovecot-lda
%{_libexecdir}/%{name}/gdbhelper
%{_libexecdir}/%{name}/health-check.sh
%{_libexecdir}/%{name}/imap
%{_libexecdir}/%{name}/imap-hibernate
%{_libexecdir}/%{name}/imap-login
%{_libexecdir}/%{name}/imap-urlauth
%{_libexecdir}/%{name}/imap-urlauth-login
%{_libexecdir}/%{name}/imap-urlauth-worker
%{_libexecdir}/%{name}/indexer
%{_libexecdir}/%{name}/indexer-worker
%{_libexecdir}/%{name}/ipc
%{_libexecdir}/%{name}/lmtp
%{_libexecdir}/%{name}/log
%{_libexecdir}/%{name}/maildirlock
%{_libexecdir}/%{name}/old-stats
%{_libexecdir}/%{name}/pop3
%{_libexecdir}/%{name}/pop3-login
%{_libexecdir}/%{name}/quota-status
%{_libexecdir}/%{name}/rawlog
%{_libexecdir}/%{name}/replicator
%{_libexecdir}/%{name}/script
%{_libexecdir}/%{name}/script-login
%{_libexecdir}/%{name}/stats
%{_libexecdir}/%{name}/submission
%{_libexecdir}/%{name}/submission-login
%{_libexecdir}/%{name}/xml2text

%{_tmpfilesdir}/%{name}.conf

%{_mandir}/man1/doveadm*.1*
%{_mandir}/man1/dovecot*.1*
%{_mandir}/man1/doveconf*.1*
%{_mandir}/man1/deliver.1*
%{_mandir}/man1/dsync.1*
%{_mandir}/man7/doveadm*.7*

# stopwords list for full text search library
%{_datadir}/%{name}/stopwords/stopwords_*.txt

%if %{build_pigeonhole}
%files pigeonhole
%doc %{pigeonhole_dir}/{AUTHORS,ChangeLog,COPYING*,INSTALL,NEWS,README}
%doc %{pigeonhole_dir}/doc/*
%config(noreplace) %{_sysconfdir}/%{name}/conf.d/20-managesieve.conf
%config(noreplace) %{_sysconfdir}/%{name}/conf.d/90-sieve.conf
%config(noreplace) %{_sysconfdir}/%{name}/conf.d/90-sieve-extprograms.conf
%{_bindir}/procmail2sieve.pl
%{_bindir}/sieve-dump
%{_bindir}/sieve-filter
%{_bindir}/sieve-test
%{_bindir}/sievec
%{_libdir}/%{name}/lib%{name}-sieve.so*
%{_libexecdir}/%{name}/managesieve
%{_libexecdir}/%{name}/managesieve-login
%{_libdir}/%{name}/modules/*_sieve_plugin.so
%{_libdir}/%{name}/modules/sieve/*_sieve_imapsieve_plugin.so
%{_libdir}/%{name}/modules/sieve/*_sieve_extprograms_plugin.so
%{_libdir}/%{name}/modules/doveadm/*_sieve_plugin.so
%{_libdir}/%{name}/modules/settings/libmanagesieve_settings.so
%{_libdir}/%{name}/modules/settings/libmanagesieve_login_settings.so
%{_libdir}/%{name}/modules/settings/libpigeonhole_settings.so
%{_mandir}/man1/sievec.1*
%{_mandir}/man1/sieved.1*
%{_mandir}/man1/sieve-dump.1*
%{_mandir}/man1/sieve-filter.1*
%{_mandir}/man1/sieve-test.1*
%{_mandir}/man7/pigeonhole.7*

%files pigeonhole-devel
%{_includedir}/%{name}/sieve
%{_datadir}/aclocal/dovecot-pigeonhole.m4

%endif

%if %{build_ldap}
%files plugins-ldap
%{_libdir}/%{name}/modules/auth/libauthdb_ldap.so
%endif

%if %{build_gssapi}
%files plugins-gssapi
%{_libdir}/%{name}/modules/auth/libmech_gssapi.so
%endif

%if %{build_sqlite}
%files plugins-sqlite
%{_libdir}/%{name}/modules/libdriver_sqlite.so
%{_libdir}/%{name}/modules/auth/libdriver_sqlite.so
%{_libdir}/%{name}/modules/dict/libdriver_sqlite.so
%endif

%if %{build_mysql}
%files plugins-mysql
%{_libdir}/%{name}/modules/libdriver_mysql.so
%{_libdir}/%{name}/modules/auth/libdriver_mysql.so
%{_libdir}/%{name}/modules/dict/libdriver_mysql.so
%endif

%if %{build_pgsql}
%files plugins-pgsql
%{_libdir}/%{name}/modules/libdriver_pgsql.so
%{_libdir}/%{name}/modules/auth/libdriver_pgsql.so
%{_libdir}/%{name}/modules/dict/libdriver_pgsql.so
%endif

%files devel
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/%{name}/dovecot-config
%{_datadir}/aclocal/%{name}.m4
%if %{build_pigeonhole}
%exclude %{_includedir}/%{name}/sieve
%endif
