%bcond_with doc
%bcond_without qt6

Name:		doxygen
Epoch:		1
Version:	1.13.2
Release:	%mkrel 1
Summary:	A documentation system for C/C++
Group:		Development/Other
License:	GPLv2+
URL:		https://www.doxygen.nl/
Source0:	https://doxygen.nl/files/%{name}-%{version}.src.tar.gz
## upstream patches

## mageia patches

## fedora patches


BuildRequires:	bison
BuildRequires:	cmake
BuildRequires:	flex
BuildRequires:	gcc-c++
BuildRequires:	git-core
BuildRequires:	graphviz
BuildRequires:	clang-devel
BuildRequires:	llvm-devel
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(spdlog)
BuildRequires:	pkgconfig(sqlite3)
%if %with qt6
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Xml)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Widgets)
%endif
%if %with doc
BuildRequires:	tetex-latex
BuildRequires:	texlive-collection-basic
BuildRequires:	texlive-dist
BuildRequires:	ghostscript
BuildRequires:	python3
%endif

Requires:	graphviz

%description
Doxygen is a documentation system for C, C++ and IDL. It can generate
an on-line class browser (in HTML) and/or an off-line reference manual
(in LaTeX) from a set of documented source files. There is also
support for generating man pages and for converting the generated
output into Postscript, hyperlinked PDF or compressed HTML. The
documentation is extracted directly from the sources.

Doxygen can also be configured to extract the code-structure from
undocumented source files. This can be very useful to quickly find
your way in large source distributions.

%if %with qt6
%package	doxywizard
Summary:	A GUI for creating and editing configuration files
Group:		Development/Other
Requires:	%{name} = %{epoch}:%{version}

%description	doxywizard
Doxywizard is a GUI for creating and editing configuration files that
are used by doxygen.
%endif

%prep
%autosetup -p1

find -type d -exec chmod 0755 {} \;

# build with system libpng
rm -rf libpng

# build with system swlite3 and spdlog
rm -rf deps/{sqlite3,spdlog}

%build
%cmake \
%if %with doc
	-Dbuild_doc=ON \
%else
	-Dbuild_doc=OFF \
%endif
%if %with qt6
	-Dbuild_wizard=ON \
	-Dforce_qt=Qt6 \
%else
	-Dbuild_wizard=OFF \
%endif
	-Duse_sys_spdlog=ON \
	-Duse_sys_sqlite3=ON \
	-Duse_libclang=ON
%cmake_build

%if %with doc
%cmake_build -t doxygen_pdf
%endif

%install
%cmake_install

%if %with doc
# doxysearch and doxyindexer are not built
rm -rf %{buildroot}%{_mandir}/man1/doxy{search,indexer}
%endif

%if ! %with qt6
rm -rf %{buildroot}%{_mandir}/man1/doxywizard.1*
%endif

%files
%doc README.md
%if %with doc
%doc %{_docdir}/%{name}/html/
%doc %{_docdir}/%{name}/doxygen_manual.pdf
%endif
%{_bindir}/doxygen
%{_mandir}/man1/doxygen.1*

%if %with qt6
%files doxywizard
%{_bindir}/doxywizard
%{_mandir}/man1/doxywizard.1*
%endif
