#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           dragon
Epoch:          3
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        A simple video player for Plasma
Group:          Video/Players
License:        GPLv2
URL:            https://apps.kde.org/dragonplayer/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui) >= 6.5
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6JobWidgets)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6Solid)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(Phonon4Qt6) >= 4.6.60

Recommends:     dragon-handbook

Provides:       dragonplayer = %{epoch}:%{version}-%{release}


%description
Dragon Player is a multimedia player where the focus is on simplicity,
instead of features. Dragon Player does one thing, and only one thing,
which is playing multimedia files. It's simple interface is designed not
to get in your way and instead empower you to simply play multimedia
files.

%files -f %name.lang
%_kf6_bindir/dragon
%_kf6_sysconfdir/xdg/dragonplayerrc
%_kf6_iconsdir/*/*/*/*
%_kf6_applicationsdir/*.desktop
%_kf6_plugindir/parts/dragonpart.so
%_kf6_datadir/kio/servicemenus/dragonplayer_play_dvd.desktop
%_kf6_datadir/solid/actions/dragonplayer-openaudiocd.desktop
%_kf6_datadir/solid/actions/dragonplayer-opendvd.desktop
%_kf6_metainfodir/org.kde.dragonplayer.appdata.xml
%_kf6_mandir/man1/dragon.1.*

#------------------------------------------------------------------------------

%package handbook
Summary:        dragon handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} >= %{epoch}:%{version}-%{release}
Provides:       dragonplayer-handbook = %{epoch}:%{version}-%{release}

%description handbook
This package provides dragon handbook.

%files handbook
%_kf6_docdir/HTML/*/dragonplayer

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name --all-name --with-man
