%define gitname control-center

Summary:  The %{_vendor} Control Center
Name:     drakconf
Version:  13.30
Release:  %mkrel 1
License:  GPLv2+
Group:    System/Configuration
Url:      https://www.mageia.org
# https://gitweb.mageia.org/software/control-center/
Source0:  https://gitweb.mageia.org/software/control-center/snapshot/%{gitname}-%{version}.tar.xz

BuildArch: noarch

BuildRequires: drakxtools-backend
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: perl_checker
BuildRequires: perl(Locale::gettext)

Requires: drak3d
Requires: drakconf-icons = %{version}
Requires: drakx-kbd-mouse-x11
Requires: drakx-net-applet
Requires: drakxtools
Requires: harddrake-ui
Requires: mageia-release
Requires: polkit
Requires: polkit-agent
Requires: userdrake
# for drakconsole:
Requires: typelib(Vte) = 2.91

Recommends: drakguard
Recommends: mgaonline
Recommends: msec-gui
Recommends: rpmdrake
Recommends: system-config-printer
Recommends: transfugdrake

# else embedding won't work under Wayland (mga#19498, #20104):
Requires: x11-server-xwayland

%description
drakconf includes the %{_vendor} Control Center which is an interface to
multiple utilities from DrakXtools.

%package icons
Summary:  Icons of the %{_vendor} Control Center
Group:    Graphical desktop/Other

%description icons
This package hold icons of the %{_vendor} Control Center used in
tools' banners.

%prep
%setup -q -n %{gitname}-%{version}

%install
%make_install

#install lang
%find_lang %{name}

#install menu
mkdir -p %{buildroot}%{_datadir}/applications
install -m644 drakconf.desktop %{buildroot}%{_datadir}/applications/%{_real_vendor}-drakconf.desktop

# install symlink to hicolor icon, IceWM still needs it (mga#18682)
install -d %{buildroot}%{_iconsdir}
ln -s hicolor/48x48/apps/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png

install -d %{buildroot}%{_sysconfdir}
touch %{buildroot}%{_sysconfdir}/mcc.conf

ln -s %{name} %{buildroot}%{_bindir}/mcc
ln -s %{_bindir}/%{name} %{buildroot}%{_sbindir}

(cd %{buildroot} ; find usr -type f \( -name "*.png" -o -name "*.svg" \) -printf "/%%p\n") > images-big.list
perl -ni -e '/128/ ? print : print STDERR $_ ' images-big.list 2> images.list
cat images-big.list >> %{name}.lang

%files icons -f images.list

%files -f %{name}.lang
%doc COPYING
%config(noreplace) %ghost %{_sysconfdir}/mcc.conf
%config(noreplace) %{_sysconfdir}/sysconfig/mcc.conf
%{_bindir}/drakconf
%{_bindir}/drakxconf
%{_bindir}/mcc
%{_bindir}/mdkwebadmin.pl
%{_sbindir}/drakconf
%{_sbindir}/drakconsole
%{_sbindir}/menus_launcher.pl
%{_libexecdir}/drakconf
%{_libexecdir}/drakxconf
%{_datadir}/applications/%{_real_vendor}-drakconf.desktop
%{_datadir}/polkit-1/actions/*.policy
%{perl_vendorlib}/MDV/Control_Center.pm
%dir %{_datadir}/mcc
%{_datadir}/mcc/progs.conf
%dir %{_datadir}/mcc/themes/
%dir %{_datadir}/mcc/themes/default
%{_datadir}/mcc/themes/default/mcc.css
%{_iconsdir}/%{name}.png
