%global __requires_exclude /usr/bin/irssi
Name:           drakcowsay
Version:        0.7
Release:        %mkrel 17
Summary:        Graphical interface for cowsay
License:        GPLv2+
Group:          Toys
URL:            https://wiki.mageia.org/en/Drakcowsay
Source0:        %{name}-%{version}.tar.bz2
Patch0:         drakcowsay-0.7-mga-port-to-hexchat.patch

BuildRequires:  pkgconfig(hexchat-plugin)

Requires:       drakxtools
Requires:       cowsay

%description
Drakcowsay is a graphical interface for cowsay.
Its target audience is those not yet familiar with the tough command line,
thus making cowsay rendering as easy as if you were a true l33t.

This package also includes drakcowthink, a graphical interface to cowthink.


%package -n hexchat-%{name}
Group:          System/Libraries
Summary:        HexChat plugin for Drakcowsay
Requires:       hexchat
Obsoletes:      xchat-%{name} < 0.7-10

%description -n hexchat-%{name}
HexChat-Drakcowsay is a plugin for hexchat to cowsay in your current IRC window.


%package -n irssi-%{name}
Group:          System/Libraries
Summary:        Irssi plugin for Drakcowsay
Requires:       irssi

%description -n irssi-%{name}
Irssi-Drakcowsay is a plugin for irssi to cowsay in your current IRC window.


%prep
%setup -q
%autopatch -p1

%build
gcc %{optflags} -Wl,--as-needed -Wl,-z,relro -Wl,-O1 -Wl,--build-id -Wl,--enable-new-dtags -Wl,--export-dynamic -Wall -O1 -shared -fPIC -I. xchat-%{name}.c -o hexchat-%{name}.so

%install
install -m755 -D %{name} %{buildroot}%{_bindir}/%{name}
ln -s %{name} %{buildroot}%{_bindir}/drakcowthink
install -m755 -D hexchat-%{name}.so %{buildroot}%{_libdir}/hexchat/plugins/hexchat-%{name}.so
install -m755 -D irssi-%{name}.pl %{buildroot}%{_datadir}/irssi/scripts/irssi-%{name}.pl

%files
%{_bindir}/%{name}
%{_bindir}/drakcowthink

%files -n hexchat-%{name}
%{_libdir}/hexchat/plugins/hexchat-%{name}.so

%files -n irssi-%{name}
%{_datadir}/irssi/scripts/irssi-%{name}.pl
