Summary:	Mageia installer and Live ISO generation tools
Name:		drakiso
Version:	1.20
Release:	%mkrel 3
License:	GPLv2+
Group:		System/Packaging
Url:		https://gitweb.mageia.org/software/build-system/drakiso
Source0:	https://gitweb.mageia.org/software/build-system/drakiso/snapshot/%{name}-%{version}.tar.xz
Patch1:		drakiso-no-linux32.patch
ExclusiveArch:  %{ix86} x86_64
Requires:	curl dosfstools mgatools mtools patch rpmcheck rpmtools
Requires:	rsync squashfs-tools urpmi xorriso
Recommends:	drakiso-bootloader-files sha3sum

%description
These tools let you generate %{_vendor} installer and live ISOs.

%package bootloader-files
Summary:	Provides files used by the bootloader on Mageia ISOs
Group:		System/Boot and Init

BuildRequires:	drakxtools-backend
BuildRequires:	gettext
BuildRequires:	grub2
BuildRequires:	grub2-efi
BuildRequires:	grub2-mageia-theme
BuildRequires:	libdrakx-kbd-mouse-x11
BuildRequires:	locales
BuildRequires:	perl-Locale-gettext

%description bootloader-files
Files used by the bootloader on Mageia ISOs.

%package null-bootloader
Summary:	Satisfies the basesystem bootloader requirement
Group:		System/Boot and Init

Provides:       bootloader

%description null-bootloader
Satisfies the requirement to have a bootloader when building Live ISOs.

%define my_lib MGA/DrakISO
%define debug_package %{nil}

%prep
%autosetup -p1

%build
%make_build

%install
install -D -m 0755 drakclassic %{buildroot}/%{_bindir}/drakclassic
install -D -m 0755 draklive2 %{buildroot}/%{_bindir}/draklive2
mkdir -p %{buildroot}/%{perl_vendorlib}/%{my_lib}/
install -m 0644 lib/%{my_lib}/*.pm %{buildroot}/%{perl_vendorlib}/%{my_lib}/
mkdir -p %{buildroot}/%{_datadir}/%{name}
cp -a examples %{buildroot}/%{_datadir}/%{name}
%make_install -C bootloader PREFIX=$RPM_BUILD_ROOT

%files
%doc NEWS
%{_bindir}/drakclassic
%{_bindir}/draklive2
%{perl_vendorlib}/MGA/DrakISO
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/examples

%files bootloader-files
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/bootloader

%files null-bootloader
