%define xsetup_level 60

Summary:	Live installer
Name:		draklive-install
Version:	2.33
Release:	%mkrel 1
License:	GPL
Group:		System/Configuration
Url:		https://gitweb.mageia.org/software/draklive-install/
Source0:	https://gitweb.mageia.org/software/draklive-install/snapshot/%{name}-%{version}.tar.xz
BuildArch:      noarch
Requires:	drakxtools >= 16.97
Requires:	drakx-installer-matchbox
Requires:	udisks2
Requires:	dracut >= 034-8
BuildRequires:	intltool

%description
This tool allows to install %{_vendor} from a running live system.


%prep
%autosetup -p1

%build
%make_build

%install
%makeinstall

# Prevent the executable permissions being removed from .desktop files.
# Plasma will complain about untrusted applications if they are.
%global __brp_mangle_shebangs_exclude_from ^%{_datadir}/dist/desktop-files/.*/%{name}.desktop$

for product in default; do
  install -D -m 0755 %{name}.desktop %{buildroot}%{_datadir}/dist/desktop-files/$product/%{name}.desktop
done
install -D -m 0755 %{name} %{buildroot}%{_sbindir}/%{name}
install -m 0755 %{name}-lock-storage %{buildroot}%{_sbindir}/
install -D -m 0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}

install -D -m 0644 org.mageia.%{name}.policy %{buildroot}%{_datadir}/polkit-1/actions/org.mageia.%{name}.policy
install -m 0644 org.mageia.%{name}-lock-storage.policy %{buildroot}%{_datadir}/polkit-1/actions/org.mageia.%{name}-lock-storage.policy

mkdir -p %{buildroot}{%_miconsdir,%_iconsdir,%_liconsdir,%_menudir,%_datadir/libDrakX/pixmaps/,%_datadir/applications,%_datadir/icons/hicolor/{16x16,32x32,48x48,64x64}/apps}
install data/icons/IC-installLive-48.png %{buildroot}%_liconsdir/%name.png
install data/icons/IC-installLive-32.png %{buildroot}%_iconsdir/%name.png
install data/icons/IC-installLive-16.png %{buildroot}%_miconsdir/%name.png
cp -l data/icons/IC-installLive-64.png %{buildroot}%_datadir/icons/hicolor/64x64/apps/%name.png
cp -l %{buildroot}%_liconsdir/%name.png %{buildroot}%_datadir/icons/hicolor/48x48/apps/%name.png
cp -l %{buildroot}%_liconsdir/%name.png %{buildroot}%_datadir/icons/hicolor/32x32/apps/%name.png
cp -l %{buildroot}%_liconsdir/%name.png %{buildroot}%_datadir/icons/hicolor/16x16/apps/%name.png
install data/icons/MageiaLive-*.png %{buildroot}%_datadir/libDrakX/pixmaps/
install -m 0644 mageia-draklive-install.desktop %{buildroot}%_datadir/applications/
install -D -m 0755 %{name}.xsetup %{buildroot}%_sysconfdir/X11/xsetup.d/%{xsetup_level}%{name}.xsetup

%find_lang %{name}

%files -f %{name}.lang
%{_sbindir}/%{name}
%{_sbindir}/%{name}-lock-storage
%{_bindir}/%{name}
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/dist/desktop-files/*/*.desktop
%{_datadir}/applications/%{_real_vendor}-draklive-install.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/libDrakX/pixmaps/MageiaLive-*.png
%{_sysconfdir}/X11/xsetup.d/??%{name}.xsetup
%dir %{_sysconfdir}/%{name}.d
%dir %{_sysconfdir}/%{name}.d/sysconfig
