%define destdir %{_docdir}/installer-help

Name:           drakx-installer-help
Version:        9.0
Release:        %mkrel 1
Summary:        Installer help texts
License:        CC-BY-SA
Group:          Documentation
URL:            https://gitweb.mageia.org/software/drakx-installer-help/
# git clone mga:software/drakx-installer-help
# cd drakx-installer-help && make dist
# or just do mgarepo sync -d
Source0:        https://gitweb.mageia.org/software/drakx-installer-help/snapshot/%{name}-%{version}.tar.xz

BuildArch:      noarch

%description
The help texts for the help buttons in drakx-installer-stage2.


%prep
%setup -q

%build
# nothing to do

%install
mkdir -p %{buildroot}%{destdir}

# HTML pages
install -p -m 644 *.html %{buildroot}%{destdir}

# images
install -p -m 644 *.png %{buildroot}%{destdir}

# translations
for lang in ca cs de el eo es et eu fr hr id it nl pl pt pt_br ro ru sk sl sq sv tr uk zh_cn; do
    for file in $lang/*.html $lang/*.png; do
        install -D -p -m 644 $file %{buildroot}%{destdir}/$file
    done
done

for file in $(find . -name "README"); do
     lang=`echo $file|sed 's,./\(.*\)/README,\1,'`
     [ "$file" == "./README" ] || cp $file README-$lang
done

for file in $(find . -name "COPYING"); do
     lang=`echo $file|sed 's,./\(.*\)/COPYING,\1,'`
     [ "$file" == "./COPYING" ] || cp $file COPYING-$lang
done

%files
%doc README NEWS
%doc README-*
%license COPYING
%license COPYING-*
%{destdir}/*.html
%{destdir}/*.png
%{destdir}/??/*.html
%{destdir}/??/*.png
%{destdir}/?????/*.html
%{destdir}/?????/*.png
