# fix build (debuginfo package is empty...):
# (we don't build anything, but we're arched b/c we include binaries from the
#  system into an image)
%define debug_package %{nil}

Summary:	Rescue image for DrakX
Name:		drakx-installer-rescue
Version:	1.67
Release:	%mkrel 6
Source0:	%{name}-%{version}.tar.xz
License:	GPLv2
Group:		Development/Other
Url:		https://wiki.mageia.org/en/Drakx-installer_tips_and_tricks
BuildRequires: perl(XML::Parser)
# Build tools:
BuildRequires: fakeroot
BuildRequires: ldetect-lst-devel
BuildRequires: mknod-m600
BuildRequires: squashfs-tools 
# For /usr move at build time:
BuildRequires: dracut
# System stuff:
BuildRequires: mingetty
BuildRequires: setserial
# for /usr/lib/systemd/system/systemd-ask-password-plymouth.*:
BuildRequires: plymouth
BuildRequires: kbd
# Bootloaders:
BuildRequires: grub
BuildRequires: grub2 >= 2.02-0.git10270.8
BuildRequires: extipl
%ifarch x86_64
BuildRequires: efibootmgr >= 0.12-4
%endif
# Partitionning tools:
BuildRequires: gdisk
BuildRequires: gpart
BuildRequires: parted
BuildRequires: partimage
BuildRequires: testdisk
BuildRequires: cryptsetup
BuildRequires: dmraid
BuildRequires: dmraid-events
BuildRequires: dmsetup
BuildRequires: kpartx
BuildRequires: lvm2
BuildRequires: mdadm
# Fs tools:
BuildRequires: btrfs-progs
BuildRequires: dosfstools
BuildRequires: e2fsprogs
BuildRequires: f2fs-tools
BuildRequires: jfsprogs
BuildRequires: nfs-utils
BuildRequires: nilfs-utils
BuildRequires: ntfs-3g
BuildRequires: ntfs-3g-system-compression
BuildRequires: reiserfsprogs
BuildRequires: xfsprogs
BuildRequires: dump
BuildRequires: xfsdump
BuildRequires: quota
BuildRequires: photorec

BuildRequires: eject
BuildRequires: mt-st
BuildRequires: ldetect
BuildRequires: packdrake
BuildRequires: rpmtools >= 7.02-2
# for rescue-gui:
BuildRequires: drakx-installer-binaries >= 2.62-2
BuildRequires: drakxtools-backend  >= 18.16
BuildRequires: drakx-kbd-mouse-x11
BuildRequires: bind-utils
BuildRequires: wget
BuildRequires: cdialog
BuildRequires: ldetect-lst >= 0.6.25-1
BuildRequires: pv
# Networking tools:
BuildRequires: net-tools
# Tools:
BuildRequires: dropbear
BuildRequires: hexedit
BuildRequires: krb5-appl-clients
BuildRequires: openssh-clients
BuildRequires: pciutils
BuildRequires: rsync
BuildRequires: screen
BuildRequires: strace
BuildRequires: vim-minimal
ExclusiveArch: x86_64 %{ix86}

%description
The rescue image is an alternative stage2 image for the drakx installer,
enabling to recovering broken installations.

%prep
%autosetup -p1

%build
# example: how to preset keyboard to eg "fr" in debug mode:
#export DEBUG_INSTALL_LANG=fr
fakeroot make -C rescue
rpm -qa | sort > build-rpms.lst

%install
dest=%{buildroot}%{_libdir}/%{name}
mkdir -p $dest
cp -r rescue/rescue.sqfs $dest

%files
%doc build-rpms.lst
%{_libdir}/%{name}
