# fix build (debuginfo package is empty...):
# (we don't build anything we package directly, but we're arched b/c we include
#  binaries from the system and from our sources into an image)
%define debug_package %{nil}

# whether stage2 image should contains usefull tools for debugging:
%define debug 0

Summary: DrakX installer stage2 image
Name: drakx-installer-stage2
Version: 18.68
Release: %mkrel 6
Source0: %{name}-%{version}.tar.xz
# NO PATCH ALLOWED
Patch1: 0001-perl-install-Drop-i586-bits.patch
Patch2: 0001-perl-install-install-rpm-s-usr-lib-rpm-sysusers.sh-t.patch
Patch3: 0001-perl-install-use-glob-when-installing-rpm-popt-alias.patch
Patch4: 0001-perl-install-fix-glob-for-svg-pixbuf-loader.patch
Patch5: 0001-perl-install-Agafari-16-console-font-support-was-dro.patch
Patch6: 0001-perl-install-bytes_heavy.pl-was-merged-into-bytes.pm.patch
License: GPLv2+
Group: Development/Other
Url: https://wiki.mageia.org/en/Drakx-installer_tips_and_tricks
ExclusiveArch:  %{ix86} x86_64

# for building the stage2 image:
BuildRequires: squashfs-tools >= 4.3
# for compiling the c module:
BuildRequires: perl-devel
BuildRequires: libldetect-devel >= 0.1.348
BuildRequires: pkgconfig(libparted)
BuildRequires: pkgconfig(libtirpc)
# for pcmcia-probe.o:
BuildRequires: drakx-installer-binaries >= 2.62-2
# graphical stack:
BuildRequires: task-x11
BuildRequires: x11-server-xorg >= 21.1.0-2
BuildRequires: x11-data-xkbdata >= 1.8-2
BuildRequires: xmodmap
BuildRequires: xset
BuildRequires: monitor-edid
BuildRequires: spice-vdagent
BuildRequires: libinput-tools
# toolkit:
BuildRequires: libgdk_pixbuf2.0
BuildRequires: librsvg2
BuildRequires: perl-Cairo
BuildRequires: perl-Curses-UI
BuildRequires: perl-Glib-Object-Introspection
BuildRequires: perl-Pango
BuildRequires: perl(Gtk3) >= 0.14.0-8
BuildRequires: perl(Gtk3::WebKit2)
BuildRequires: adwaita-icon-theme
# for introspection:
BuildRequires: %{_lib}atk-gir1.0
BuildRequires: %{_lib}cairo-gir1.0
BuildRequires: %{_lib}freetype-gir2.0
BuildRequires: %{_lib}gdk_pixbuf-gir2.0
BuildRequires: %{_lib}glib-gir2.0
BuildRequires: %{_lib}gtk-gir3.0 >= 3.14.8-3
BuildRequires: %{_lib}pango-gir1.0
BuildRequires: %{_lib}xlib-gir2.0
# wm:
BuildRequires: mutter
# drivers:
BuildRequires: x11-driver-input-libinput
%ifarch %ix86 x86_64
BuildRequires: x11-driver-video-vesa
%endif
BuildRequires: x11-driver-input-wacom
BuildRequires: libwacom
BuildRequires: x11-driver-video-fbdev >= 0.4.4-11
# theme:
BuildRequires: gnome-themes-standard
# Text mode:
BuildRequires: perl(Curses)
BuildRequires: perl(Curses::UI)
BuildRequires: perl(Term::ReadKey)
# Misc perl modules:
BuildRequires: drakx-kbd-mouse-x11 >= 1.33-1
BuildRequires: drakx-net >= 2.54
BuildRequires: perl(Clone)
BuildRequires: perl(List::MoreUtils::XS)
BuildRequires: perl(MDK::Common) >= 1.2.28
BuildRequires: perl(Net::Ping)
BuildRequires: perl(XML::Parser)
BuildRequires: perl(XML::SAX::Base)
BuildRequires: perl(XML::LibXML)
# for macro files:
BuildRequires: rpm-mageia-setup >= 1.48
BuildRequires: rpm >= 4.13.0-0.rc1.19
# urpmi:
BuildRequires: aria2 >= 1.18.1-2
BuildRequires: perl-URPM >= 5.16
BuildRequires: urpmi >= 8.118-1
BuildRequires: curl >= 7.62.0-2
BuildRequires: wget
# for compssUsers.pl:
BuildRequires: meta-task >= 9-0.19
# HW enumeration:
BuildRequires: ldetect-lst >= 0.6.25-1
BuildRequires: pciutils
# progs
BuildRequires: setserial
BuildRequires: mt-st
BuildRequires: pcmcia-cs
BuildRequires: ash
# Fonts:
BuildRequires: fonts-ttf-bengali
BuildRequires: fonts-ttf-bitstream-vera
BuildRequires: fonts-ttf-lohit
BuildRequires: fonts-ttf-thai
BuildRequires: fonts-ttf-devanagari
BuildRequires: fonts-ttf-wqy-microhei
BuildRequires: fonts-ttf-dejavu
# RAID/LVM:
BuildRequires: cryptsetup
BuildRequires: dmraid
BuildRequires: dmsetup
BuildRequires: mdadm
BuildRequires: quota
BuildRequires: lvm2
BuildRequires: kpartx
# locales:
BuildRequires: gettext
BuildRequires: glibc-i18ndata
BuildRequires: locales
BuildRequires: perl_checker
BuildRequires: perl(Locale::gettext)
# time zone data:
BuildRequires: timezone
# for mime.cache:
BuildRequires: shared-mime-info
# braille display for blind people:
BuildRequires: brltty
# for screenshots:
BuildRequires: scrot
# misc:
BuildRequires: draksnapshot
# help:
BuildRequires: drakx-installer-help >= 6.3-1
# grub:
BuildRequires: grub2-common
# FS:
BuildRequires: btrfs-progs
BuildRequires: dosfstools
BuildRequires: e2fsprogs >= 1.42.12
BuildRequires: f2fs-tools
BuildRequires: exfatprogs
BuildRequires: jfsutils
BuildRequires: mtools
BuildRequires: nfs-utils
BuildRequires: nilfs-utils
BuildRequires: ntfs-3g
BuildRequires: ntfs-3g-system-compression
BuildRequires: reiserfsprogs
BuildRequires: xfsprogs
# For HWDB (but maybe should we just not included those files):
# For /usr move at build time:
BuildRequires: dracut
#debug:
%if %debug
BuildRequires: busybox
BuildRequires: gdb
BuildRequires: less
BuildRequires: parted
BuildRequires: perl-Term-ReadLine-Gnu
BuildRequires: python3-devel
BuildRequires: strace
%endif

%description
This is the stage2 image for %_vendor DrakX installer.

It can be rebuilt with debug.

%prep
%autosetup -p1

%build
make -C tools
make -C perl-install/install
rpm -qa | sort > build-rpms.lst

%install
%if %debug
# dont run directly stage2, enable to do checks or run installer GUI with gdb:
export DEBUG_INSTALL=1
# run directly installer
perl -pi -e 'undef $_ if /make dont_run_directly_stage2/' perl-install/install/Makefile
# example: how to preset keyboard to eg "fr" in debug mode:
#export DEBUG_INSTALL_LANG=fr
%endif
dest=$RPM_BUILD_ROOT%{_libdir}/%name
mkdir -p $dest
make -C perl-install/install install ROOTDEST=$dest
make -C tools install ROOTDEST=$dest
# FIXME: nuke unwanted file
rm -rf $dest/install/stage2/usr

%check
cd perl-install
%make_build check_perl_checker

%files
%doc build-rpms.lst
%{_libdir}/%name
