# mga4
%define drakxtools_required_version  16.0
# mga3:
%define drakxtools_conflicted_version  15.57-3

%define libname lib%{name}

Summary:  Tools to configure the keyboard, the mouse and the graphic card
Name:     drakx-kbd-mouse-x11
Version:  1.38
Release:  %mkrel 4
License:  GPLv2+
Group:    System/Configuration
Url:      https://www.mageia.org/
Source0:  https://gitweb.mageia.org/software/%{name}/snapshot/%{name}-%{version}.tar.xz

BuildRequires: chrpath
BuildRequires: gettext
BuildRequires: perl_checker
BuildRequires: perl-devel
BuildRequires: pkgconfig(ncurses)
BuildRequires: pkgconfig(xxf86misc)
BuildRequires: intltool
Requires: drakxtools-curses => %drakxtools_required_version
Requires: %{libname} = %{version}
Requires: polkit
%ifnarch %{sunsparc} %arm %mips
Requires: monitor-edid >= 1.12
%endif
# for program:
Conflicts: drakxtools < %drakxtools_conflicted_version
# for man pages:
Conflicts: drakxtools-curses < %drakxtools_conflicted_version
# for -noAutoAddDevices (mga5):
Conflicts: x11-server-xorg < 1.5.99.3-1.20090110.13
# for Cards+ using nvidia-current|nvidia71xx|nvidia96xx instead of nvidia/nvidia97xx/NVIDIA_LEGACY
Requires: ldetect-lst >= 0.1.174
Requires: drakx-kbd-mouse-x11-text

# we don't want to require X libs (xf86misc is always used inside an eval)
%global __requires_exclude ^libX|perl\\([a-z].*\\)

%description
Keyboarddrake enables to configure  the keyboard.
Mousedrake enables to configure the mice.
XFdrake enables to configure the graphic card.

%package text
Summary: Tools to configure the keyboard, the mice and the graphic card
Group: System/Configuration
Requires: drakxtools-backend >= %drakxtools_required_version
Conflicts: drakx-kbd-mouse-x11 < %version-%release

%description text
This package contains the %_vendor X11 tools library.

%package -n %libname
Summary: Perl library to configure the keyboard, the mice and the graphic card
Group: System/Configuration
Requires: drakxtools-backend >= %drakxtools_required_version
Conflicts: drakxtools-curses <= %drakxtools_conflicted_version

%description -n %libname
This package contains the %_vendor X11 tools library.

%prep
%setup -q
# temp, remove autopatch before moving to core/release.
%autopatch -p1

%build
%make_build

%install
%make_install

# Remove rpaths
chrpath --delete %{buildroot}%{_prefix}/lib/libDrakX/auto/xf86misc/main/main.so

%find_lang %name

# add nokmsboot if necessary and rebuild initrds so that they handle it
%triggerpostun -- drakx-kbd-mouse-x11 < 0.93-2
perl -I/usr/lib/libDrakX -MXconfig::various -e 'Xconfig::various::setup_kms();' &>/dev/null
%{_sbindir}/bootloader-config --action rebuild-initrds || :

%files -f %{name}.lang
%doc COPYING NEWS
%{_sbindir}/display_driver_helper
%{_sbindir}/drakx-update-background
%{_bindir}/drakkeyboard
%{_bindir}/drakmouse
%{_bindir}/drakx11
%{_bindir}/keyboarddrake
%{_bindir}/mousedrake
%{_bindir}/XFdrake
%{_bindir}/Xdrakres
%{_libexecdir}/drakkeyboard
%{_libexecdir}/drakmouse
%{_libexecdir}/drakx11
%{_datadir}/polkit-1/actions/*.policy

%files text
%{_prefix}/lib/libDrakX/Xconfig/resolution_and_depth.pm

%files -n %{libname}
%{_datadir}/libDrakX/pixmaps/*
%{_prefix}/lib/libDrakX/auto/*
%{_prefix}/lib/libDrakX/xf86misc/main.pm
%{_prefix}/lib/libDrakX/Xconfig/*.pm
%exclude %{_prefix}/lib/libDrakX/Xconfig/resolution_and_depth.pm
%dir %{_prefix}/lib/libDrakX/Xconfig
%{_prefix}/lib/libDrakX/*.pm
