%define drakxtools_ver 16

%define libname lib%{name}

%define gtk_files (connection_manager/gtk|signal_strength|drakroam|ifw|netcenter|drakconnect/edit|drakconnect/global).pm

%global __requires_exclude perl\\([a-z].*\\)


Name:           drakx-net
Version:        2.58
Release:        %mkrel 1
Summary:        %_vendor network tools
# See https://gitweb.mageia.org/software/drakx-net/ for sources.
Source0:        https://gitweb.mageia.org/software/%{name}/snapshot/%{name}-%{version}.tar.xz
License:        GPL
Group:          System/Networking
Url:            https://www.mageia.org/

BuildArch:      noarch
BuildRequires:  intltool
BuildRequires:  perl_checker

Requires:       drakxtools >= %{drakxtools_ver}
Requires:       %{name}-text = %{version}
Requires:       %{libname} = %{version}
Requires:       netprofile >= 0.20
Requires:       perl-Gtk3
Requires:       perl-Gtk3-Helper
Requires:       polkit
# For the systray applet
Requires:       typelib(StatusNotifier) >= 1.0

Recommends:     wireless-tools
Recommends:     rfkill
Recommends:     comgt
Recommends:     net_monitor
Recommends:     %{name}-applet

%description
This package contains the %_vendor network tools.

%package text
Summary:        %_vendor network text tools
Group:          System/Networking
Requires:       drakxtools-curses >= %{drakxtools_ver}
Requires:       %{libname} = %{version}

%description text
This package contains the %_vendor network tools that can be used in
text mode.

drakconnect: LAN/Internet connection configuration. It handles
ethernet, ISDN, DSL, cable, modem.

drakfirewall: simple firewall configurator

drakgw: internet connection sharing

drakproxy: proxies configuration

drakvpn: VPN configuration (openvpn, vpnc)

%package applet
Summary:        %_vendor network applet
Group:          System/Networking
Requires:       %{name} = %{version}-%{release}
Requires:       perl-Gtk3-Notify

%description applet
This package contains the %_vendor network applet (net_applet)
to check network connection

%package -n %{libname}
Summary:        %_vendor network tools library
Group:          System/Networking
Requires:       drakxtools-backend >= %{drakxtools_ver}
# require perl-Net-Telnet for OpenVPN connections (#36126):
Requires:       perl-Net-Telnet
# Require iw and wireless-regdb for CRDA domain settings (#47324)
Requires:       iw
Requires:       wireless-regdb
Conflicts:      %{name} <= 2.12-1

%description -n	%{libname}
This package contains the %_vendor network tools library.

%prep
%autosetup -p1

%build
%make_build

%install
%make_install

(cd %{buildroot}; find usr/lib/libDrakX/network/ -type f -name '*.pm') | perl -ne 'm!/%{gtk_files}$! ? print STDERR "/$_" : print "/$_"' > %{name}-nogtk.list 2> %{name}-gtk.list

%find_lang %{name}
cat %{name}-nogtk.list %{name}.lang > %{name}.list

%check
while read f; do
      grep -i Gtk3 %{buildroot}$f && exit 1
done < %{name}-nogtk.list
exit 0

%files -f %{name}-gtk.list
%doc NEWS
%{_bindir}/draknetcenter
%{_bindir}/draknetprofile
%{_bindir}/drakhosts
%{_bindir}/drakids
%{_bindir}/draknfs
%{_bindir}/drakroam
%{_bindir}/draksambashare
%{_datadir}/applications/draknetcenter.desktop
%{_prefix}/lib/libDrakX/icons/*.png
%{_datadir}/libDrakX/pixmaps/*.png
%{_iconsdir}/hicolor/scalable/actions/*.svg
%{_libexecdir}/draknetcenter
%{_libexecdir}/draknetprofile
%{_libexecdir}/drakhosts
%{_libexecdir}/drakids
%{_libexecdir}/draknfs
%{_libexecdir}/drakroam
%{_libexecdir}/draksambashare
%{_datadir}/polkit-1/actions/org.mageia.draknetcenter.policy
%{_datadir}/polkit-1/actions/org.mageia.draknetprofile.policy
%{_datadir}/polkit-1/actions/org.mageia.drakhosts.policy
%{_datadir}/polkit-1/actions/org.mageia.drakids.policy
%{_datadir}/polkit-1/actions/org.mageia.draknfs.policy
%{_datadir}/polkit-1/actions/org.mageia.drakroam.policy
%{_datadir}/polkit-1/actions/org.mageia.draksambashare.policy
%{_datadir}/polkit-1/actions/com.redhat.initscripts.ifdown.policy
%{_datadir}/polkit-1/actions/com.redhat.initscripts.ifup.policy
%{_datadir}/polkit-1/actions/com.redhat.initscripts.vpn-start.policy
%{_datadir}/polkit-1/actions/com.redhat.initscripts.vpn-stop.policy
%{_datadir}/polkit-1/actions/org.mageia-x.set-netprofile.policy

%files text
%{_bindir}/drakconnect
%{_bindir}/drakgw
%{_bindir}/drakvpn
%{_bindir}/drakproxy
%{_bindir}/drakfirewall
%{_bindir}/drakfirewall6
%{_bindir}/drakinvictus
%{_libexecdir}/drakconnect
%{_libexecdir}/drakgw
%{_libexecdir}/drakvpn
%{_libexecdir}/drakproxy
%{_libexecdir}/drakfirewall
%{_libexecdir}/drakfirewall6
%{_libexecdir}/drakinvictus
%{_datadir}/polkit-1/actions/org.mageia.drakconnect.policy
%{_datadir}/polkit-1/actions/org.mageia.drakgw.policy
%{_datadir}/polkit-1/actions/org.mageia.drakvpn.policy
%{_datadir}/polkit-1/actions/org.mageia.drakproxy.policy
%{_datadir}/polkit-1/actions/org.mageia.drakfirewall.policy
%{_datadir}/polkit-1/actions/org.mageia.drakfirewall6.policy
%{_datadir}/polkit-1/actions/org.mageia.drakinvictus.policy

%files -n %{libname} -f %{name}.list
%dir %{_prefix}/lib/libDrakX/network/
%dir %{_prefix}/lib/libDrakX/network/connection
%dir %{_prefix}/lib/libDrakX/network/drakconnect/
%dir %{_prefix}/lib/libDrakX/network/vpn

%files applet
%{_bindir}/net_applet
%{_datadir}/applications/net_applet.desktop
%{_sysconfdir}/xdg/autostart/net_applet.desktop
