%define scummvmdir %{_datadir}/scummvm/

Name:		drascula
Version:	1.0
Release:	%mkrel 11
Summary:	Drascula: The Vampire Strikes Back - 1996 Adventure Game
Group:		Games/Adventure
License:	Freeware
URL:		https://wiki.scummvm.org/index.php/Drascula:_The_Vampire_Strikes_Back
Source0:	https://downloads.sourceforge.net/scummvm/%{name}-%{version}.zip
Source1:	https://downloads.sourceforge.net/scummvm/%{name}-int-1.1.zip
Source2:	https://downloads.sourceforge.net/scummvm/drascula-audio-2.0.zip
# source3 is the version 6 of the file drascula.dat for scummvm 2.1 version
# https://github.com/scummvm/scummvm/blob/59905eee0d13856837cec17d9df897e18858c30d/dists/engine-data/drascula.dat
Source3:	drascula-v6.dat
Source4:	drascula.png
BuildRequires:	unzip
BuildArch:	noarch
Requires:	scummvm >= 2.1.0

%description
You play the role of John Hacker, a British estate agent, who travels to a
small village of Transylvania in order to negotiate the sale of some ground
of Gibraltar with the Count Drascula.
But unfortunately Hacker is not aware of who is Drascula in reality: the most
terrible vampire with just one idea on his mind: DOMINATING the World
demonstrating that he is even more evil than his brother Vlad.


%prep
%setup -q -n %{name} -c %{name}
unzip -oqqj %{SOURCE1}
unzip -oqqj %{SOURCE2}

%build


%install
install -d -m 755 %{buildroot}%{_gamesbindir}
# startscript
cat > %{buildroot}%{_gamesbindir}/%{name} <<'EOF'
#!/bin/bash
# Basic switch of language according to locale defined in Unix systems
case "$LC_MESSAGES" in
  de* )
    language="de"
  ;;
  es* )
    language="es"
  ;;
  fr* )
    language="fr"
  ;;
  it* )
    language="it"
  ;;
  * )
    language="en"
  ;;
esac
scummvm -f -n -m 128 -p %{scummvmdir}/%{name} --language=$language %{name}
EOF

chmod 755 %{buildroot}%{_gamesbindir}/%{name}

mkdir -p %{buildroot}/%{scummvmdir}/%{name}
install -p -m 644 Packet.001 PACKET.00? *.ogg %{buildroot}/%{scummvmdir}/%{name}
install -p -m 644 %{SOURCE3} %{buildroot}/%{scummvmdir}/%{name}/drascula.dat

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Drascula: The Vampire Strikes Back
Comment=%summary
Name[es]=Dráscula: El Vampiro
Comment[es]=Dráscula: El Vampiro - Juego de Aventura Español de 1996
Name[fr]=Drascula: Le Vampire Frappe Encore
Comment[fr]=Drascula: Le Vampire Frappe Encore - Jeu dʼAventures Espagnol de 1996
Name[pt]=Dráscula: O Vampiro
Comment[pt]=Dráscula: O Vampiro - Jogo de Aventura Espanhol de 1996
Exec=%{_gamesbindir}/%{name}
Icon=%name
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;AdventureGame;
EOF

mkdir -p %{buildroot}/%{_iconsdir}/%{name}
install -p -m 644 %{SOURCE4} %{buildroot}/%{_iconsdir}/%{name}.png

%files
%doc readme.txt drascula.doc
%{_gamesbindir}/%{name}
%{scummvmdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
