Name:           drawpile
Version:        2.1.20
Release:        %mkrel 1
Summary:        A collaborative drawing program
Group:          Graphics/Editors and Converters
License:        GPLv3+
URL:            https://drawpile.net/
Source:         https://drawpile.net/files/src/%{name}-%{version}.tar.gz
Patch0:         drawpile-add-compatibility-for-miniupnpc-2.2.8.patch
BuildRequires:  cmake
BuildRequires:  cmake(ECM)
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  xdg-utils
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5DNSSD)
BuildRequires:  cmake(Qt5Keychain)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(libmicrohttpd)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libsodium)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(miniupnpc)
BuildRequires:  giflib-devel

%description
DrawPile is a sketching oriented drawing program with a twist:
you can share your drawing live with other users.
There are no restrictions on who may draw where; every user has full access
to the whole picture simultaneously.

Feature highlights:
    * Antialiased drawing and multiple blending modes
    * Layers
    * Text annotations
    * Tablet pressure sensitivity
    * Image may be rotated freely while drawing
    * Built-in server for hosting shared sessions
    * Chat

%prep
%autosetup -p1

%build
%cmake_qt5
%cmake_build

%install
%cmake_install

#fix .desktop file
desktop-file-edit \
	--remove-category=Network \
		%{buildroot}%{_datadir}/applications/net.drawpile.drawpile.desktop

%files
%doc %{_docdir}/%{name}/
%{_bindir}/drawpile*
%{_datadir}/drawpile/
%{_datadir}/metainfo/net.drawpile.drawpile.appdata.xml
%{_datadir}/applications/net.drawpile.drawpile.desktop
%{_datadir}/mime/packages/x-drawpile.xml
%{_iconsdir}/hicolor/*/apps/drawpile*
%{_iconsdir}/hicolor/*/mimetypes/*
%{_mandir}/man1/drawpile*.1*
