Name:           dreamchess
Version:        0.3.0
Release:        %mkrel 4
Summary:        DreamChess is a 3D chess user interface
Group:          Games/Boards
License:        GPLv3
URL:            https://www.dreamchess.org/
Source0:        https://github.com/dreamchess/dreamchess/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  bison
BuildRequires:  cmake
BuildRequires:  flex
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_mixer)
Requires:       dreamer = %{version}-%{release}

%description
DreamChess is an open source chess game. It features 3D OpenGL graphics
and provides various chess board sets, ranging from classic wooden to flat
figurines.

A moderately strong chess engine is included: Dreamer. However, should this
engine be too weak for you, then you can use any other XBoard-compatible
chess engine, including the popular Crafty and GNU Chess.

%files
%doc AUTHORS.txt NEWS.md README.md
%license LICENSE.txt
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}.6*

#----------------------------------------------------------------------------

%package -n     dreamer
Summary:        Dreamer standalone chess engine
Group:          Games/Boards
Recommends:     %{name}

%description -n dreamer
Dreamer is a moderately strong chess engine designed to be used with
the DreamChess user interface. Being XBoard-compatible, you can also use it
independently from DreamChess in the user interface of your choice.

%files -n       dreamer
%{_gamesbindir}/dreamer
%{_mandir}/man6/dreamer.6*

#----------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake -DCMAKE_INSTALL_BINDIR=%{_gamesbindir} \
       -DCMAKE_INSTALL_DATADIR=%{_gamesdatadir}
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_docdir}/DreamChess/
