%define doc_ver 1.5

Summary: Interactive educational geometry software
Name: drgeo
Version: 1.1.0
Release: %mkrel 12
License: GPLv2+ and GFDLv1.2
Group: Sciences/Mathematics
URL: https://www.gnu.org/software/dr_geo/dr_geo.html

Source0: https://sourceforge.net/projects/ofset/files/%{name}/%{version}/%{name}-%{version}.tar.gz
#https://sourceforge.net/p/ofset/patches/7
Source1: %{name}.1
#https://sourceforge.net/p/ofset/patches/8
Source2: ru.po
Source3: https://sourceforge.net/projects/ofset/files/%{name}-doc/%{doc_ver}/%{name}-doc-%{doc_ver}.tar.gz
#https://sourceforge.net/p/ofset/patches/2
Patch0: %{name}-%{version}-deb-fix-segfault.patch
#https://sourceforge.net/p/ofset/patches/5
Patch1: %{name}-%{version}-fdr-anonymous-type.patch
#https://sourceforge.net/p/ofset/patches/12/
Patch2: %{name}-%{version}-fdr-format-security.patch
#https://sourceforge.net/p/ofset/patches/4
Patch3: %{name}-%{version}-deb-mga-html-viewer.patch
#https://sourceforge.net/p/ofset/patches/3
Patch4: %{name}-%{version}-deb-mga-default-html-viewer.patch
#https://sourceforge.net/p/ofset/patches/1
Patch5: %{name}-%{version}-mga-breaks-complex-computation.patch
#https://sourceforge.net/p/ofset/bugs/7
Patch6: %{name}-%{version}-mga-fix-crash-when-closing-document-before-closing-dialog-box.patch
#https://sourceforge.net/p/ofset/bugs/8
Patch7: %{name}-%{version}-mga-obsolete-norwegian.patch
#https://sourceforge.net/p/ofset/patches/11
Patch8: %{name}-%{version}-mga-desktop-file.patch

BuildRequires: flex
BuildRequires: bison
BuildRequires: gmp-devel >= 2.0.2
BuildRequires: pkgconfig(guile-1.8)
BuildRequires: guile1.8
BuildRequires: pkgconfig(libglade-2.0)
BuildRequires: gettext-devel
#intltool is unused, but it's easy way to install all dependencies (see Fedora)
BuildRequires: intltool

%description
Dr. Geo is an interactive geometry GUI application. It allows one to create
geometric figures plus the interactive manipulation of such figure in
respect with their geometric constraints. It is usable in teaching
situation with students from primary or secondary level.

%prep
%setup -q
%autopatch -p1
cp -f %{SOURCE2} ./po/
#https://sourceforge.net/p/ofset/bugs/8
rm -f ./po/no.*
tar xvfz %{SOURCE3}

# fix build on aarch64
cp -af %{_rpmconfigdir}/%{_real_vendor}/config.{guess,sub} .

%build
%configure
%make_build

cd %{name}-doc-%{doc_ver}
%configure

%install
%make_install
%find_lang %{name}
install -D -m0644 glade/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
#https://sourceforge.net/p/ofset/patches/10
mkdir %{buildroot}%{_datadir}/TeXmacs
mv %{buildroot}%{_datadir}/texmacs/TeXmacs/plugins %{buildroot}%{_datadir}/TeXmacs/.
rmdir %{buildroot}%{_datadir}/texmacs/TeXmacs
rmdir %{buildroot}%{_datadir}/texmacs
mkdir -p %{buildroot}%{_mandir}/man1
install -m 0644 %{SOURCE1} %{buildroot}%{_mandir}/man1/

cd %{name}-doc-%{doc_ver}
%make_install
#We have no Russian help, use default without program's questions
ln -s %{_datadir}/%{name}/help/c %{buildroot}%{_datadir}/%{name}/help/ru

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/%{name}
%{_bindir}/tm_%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/*.png
%{_datadir}/TeXmacs/plugins/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}*
