#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        DrKonqi: The KDE Crash Handler
Name:           drkonqi
Version: 6.3.4
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Quick)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6JobWidgets)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6Wallet)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6IdleTime)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6SyntaxHighlighting)
BuildRequires:  cmake(KF6StatusNotifierItem)

# runtime dependencies
BuildRequires:  kitemmodels
BuildRequires:  kirigami
BuildRequires:  kcmutils
BuildRequires:  syntax-highlighting
BuildRequires:  python3dist(psutil)
BuildRequires:  python3dist(pygdbmi)
BuildRequires:  python3dist(sentry-sdk)
Requires:       kitemmodels
Requires:       kirigami
Requires:       kcmutils
Requires:       syntax-highlighting
Requires:       python3dist(psutil)
Requires:       python3dist(pygdbmi)
Requires:       python3dist(sentry-sdk)

%description
DrKonqi: The KDE Crash Handler.

%files -f %name.lang
%_kf6_categoriesdir/drkonqi.categories
%_libexecdir/drkonqi
%_libexecdir/drkonqi-coredump-cleanup
%_libexecdir/drkonqi-coredump-launcher
%_libexecdir/drkonqi-sentry-postman
%_libexecdir/drkonqi-coredump-processor
%_kf6_libexecdir/drkonqi-polkit-helper
%_kf6_bindir/drkonqi-coredump-gui
%_kf6_bindir/drkonqi-sentry-data
%_kf6_applicationsdir/org.kde.drkonqi.desktop
%_kf6_applicationdir/org.kde.drkonqi.coredump.gui.desktop
%_kf6_datadir/drkonqi
%_qt6_plugindir/drkonqi/KDECoredumpNotifierTruck.so
%_unitdir/drkonqi-coredump-processor@.service
%_unitdir/systemd-coredump@.service.wants/drkonqi-coredump-processor@.service
%_userunitdir/drkonqi-coredump-cleanup.service
%_userunitdir/drkonqi-coredump-cleanup.timer
%_userunitdir/drkonqi-coredump-launcher.socket
%_userunitdir/drkonqi-coredump-pickup.service
%_userunitdir/drkonqi-sentry-postman.path
%_userunitdir/drkonqi-sentry-postman.service
%_userunitdir/drkonqi-sentry-postman.timer
%_userunitdir/drkonqi-coredump-launcher@.service
%_userunitdir/default.target.wants/drkonqi-coredump-cleanup.service
%_userunitdir/default.target.wants/drkonqi-sentry-postman.path
%_userunitdir/plasma-core.target.wants/drkonqi-coredump-pickup.service
%_userunitdir/plasma-core.target.wants/drkonqi-sentry-postman.path
%_userunitdir/plasma-core.target.wants/drkonqi-sentry-postman.timer
%_userunitdir/sockets.target.wants/drkonqi-coredump-launcher.socket
%_userunitdir/timers.target.wants/drkonqi-coredump-cleanup.timer
%_userunitdir/timers.target.wants/drkonqi-sentry-postman.timer
%_kf6_datadir/dbus-1/system-services/org.kde.drkonqi.service
%_kf6_datadir/dbus-1/system.d/org.kde.drkonqi.conf
%_kf6_datadir/polkit-1/actions/org.kde.drkonqi.policy

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DWITH_PYTHON_VENDORING:BOOL=OFF
%cmake_build

%install
%cmake_install

%find_lang %name --all-name
