Name:		dropbear
Version:	2025.87
Release:	%mkrel 1
Summary:	SSH2 server and client

Group:		Networking/Remote access
License:	MIT
URL:		https://matt.ucc.asn.au/dropbear/dropbear.html
Source0:	https://matt.ucc.asn.au/dropbear/releases/%{name}-%{version}.tar.bz2
Source1:	dropbear.service
Source2:	dropbear-keygen.service
Source3:	distrooptions.h

BuildRequires:	pkgconfig(zlib)
BuildRequires:	tomcrypt-devel >= 1.18.2-5
BuildRequires:	pkgconfig(libtommath)
# (cg) I tried enabling pam but it seems somewhat broken and doesn't
# register with systemd-logind for now. Should be fixed.
# https://bugzilla.redhat.com/show_bug.cgi?id=770251
#BuildRequires:	libpam-devel
Requires(post):		rpm-helper >= 0.24.8-1
Requires(preun):	rpm-helper >= 0.24.8-1

Requires:	initscripts
Requires(post):	chkconfig >= 0.9, initscripts
# This is only needed for sftp support
Recommends:	openssh-server

%description
Dropbear is a relatively small SSH 2 server and client.  Dropbear
is particularly useful for "embedded"-type Linux (or other Unix)
systems, such as wireless routers. SFTP support requires the
openssh-server package.

%prep
%autosetup -p1
cp %{SOURCE3} src/

%build
# Point to the OpenSSH SFTP subsystem binary since dropbear doesn't include
# sftp support itself. The location is architecture-dependent, so must be
# overridden at build time, not patch time.
%configure CPPFLAGS='-DSFTPSERVER_PATH=\"%{_libdir}/ssh/sftp-server\"'
# --enable-pam
%make_build

%install
%make_install
install -d %{buildroot}%{_sysconfdir}/dropbear
install -d %{buildroot}%{_unitdir}
install -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/dropbear.service
install -m 0644 %{SOURCE2} %{buildroot}%{_unitdir}/dropbear-keygen.service

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc CHANGES INSTALL.md LICENSE MULTI.md README.md SMALL.md
%dir %{_sysconfdir}/dropbear
%{_unitdir}/dropbear*
%{_bindir}/dropbearkey
%{_bindir}/dropbearconvert
%{_bindir}/dbclient
%{_sbindir}/dropbear
%{_mandir}/man1/dbclient.1*
%{_mandir}/man1/dropbearconvert.1*
%{_mandir}/man1/dropbearkey.1*
%{_mandir}/man8/dropbear.8*
