Name:		dropbox-servicemenu
Version:	0.16.1
Release:	%mkrel 8
Summary:	Dropbox servicemenu for Konqueror and Dolphin
Group:		Graphical desktop/KDE
License:	GPLv3
URL:		https://kde-apps.org/content/show.php/Dropbox+ServiceMenu?content=124416
Source0:	https://kde-apps.org/CONTENT/content-files/124416-DropboxServiceMenu-%{version}.tar.gz
Patch0:		dropbox-servicemenu-0.16.1-mga-fix-correct-paths.patch
Patch1:		explicit-python2.patch
BuildArch:	noarch
BuildRequires:	kf5-macros

Requires:	plasma-workspace
Requires:	kdialog
Requires:	python-m2crypto
Requires:	recode
Requires:	sqlite3-tools
Requires:	xdg-utils


%description
Dropbox ServiceMenu is a servicemenu which allows easy access to most
of Dropbox features. It uses Dropbox CLI to generate public urls, and
pyndexer to allow sharing directories in public folder.

Note:
dropbox must be installed for proper work.

%prep
%setup -q -n DropboxServiceMenu-%{version}

%autopatch -p1

# FIXME (fdr)for missing shebang on dropbox_menu_translations.sh script
sed -i "1i #!/bin/bash" dropbox-scripts/dropbox_menu_translations.sh

%build
# nothing to build

%install
mkdir -p %{buildroot}%{_kf5_bindir}
install -m 0755 dropbox-scripts/*.sh %{buildroot}%{_kf5_bindir}/
install -m 0755 dropbox-scripts/*.py %{buildroot}%{_kf5_bindir}/

mkdir -p %{buildroot}%{_kf5_services}/ServiceMenus
install -m 0644 dropbox_*.desktop %{buildroot}%{_kf5_services}/ServiceMenus/

%files
%doc Changelog THANKS
%license LICENSE
%{_kf5_bindir}/pyndexer.py
%{_kf5_bindir}/get_dropbox_folder.sh
%{_kf5_bindir}/dropbox.py
%{_kf5_bindir}/dropbox-notify.py
%{_kf5_bindir}/dropbox_menu.sh
%{_kf5_bindir}/dropbox_menu_translations.sh
%{_kf5_services}/ServiceMenus/dropbox_all.desktop
%{_kf5_services}/ServiceMenus/dropbox_directories.desktop
%{_kf5_services}/ServiceMenus/dropbox_files.desktop
