%define major   2
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:		drumstick
Summary:	C++/Qt6 wrapper around the ALSA library sequencer interface
Version:	2.10.0
Release:	%mkrel 1
Group:		System/Libraries
License:	GPLv2+
URL:		https://drumstick.sourceforge.net/
Source0:	https://downloads.sourceforge.net/project/drumstick/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(fluidsynth)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(sonivox)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6UiPlugin)
BuildRequires:	cmake(Qt6Widgets)
# to build the manpages
BuildRequires:	docbook-style-xsl
BuildRequires:	xsltproc
BuildRequires:	shared-mime-info

%description
The drumstick library is a C++ wrapper around the ALSA library sequencer
interface, using Qt6 objects, idioms and style. The ALSA sequencer interface
provides software support for MIDI technology on GNU/Linux.

#----------------------------------------------------------------------

%package -n	%{libname}
Summary:	C++/Qt6 wrapper around the ALSA library sequencer interface
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
The drumstick library is a C++ wrapper around the ALSA library sequencer
interface, using Qt6 objects, idioms and style. The ALSA sequencer interface
provides software support for MIDI technology on GNU/Linux.

%files -n	%{libname}
%doc ChangeLog COPYING
%{_libdir}/libdrumstick-*.so.%{major}{,.*}
%{_libdir}/%{name}2/
%{_qt6_plugindir}/designer/lib%{name}-vpiano-plugin.so

#----------------------------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C++
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{devname}
This package contains development libraries and headers for %{name}.

%files -n	%{devname}
%{_libdir}/cmake/%{name}/
%{_libdir}/lib%{name}-*.so
%{_libdir}/pkgconfig/%{name}-*.pc
%{_includedir}/%{name}/
%{_includedir}/%{name}.h

#----------------------------------------------------------------------

%package	examples
Summary:	Example programs for %{name}
Group:		Sound/Midi
Requires:	%{libname} = %{version}-%{release}
Requires:	%{name}-i18n >= %{version}

%description	examples
This package contains the test/example programs for %{name}.

%files		examples
%{_bindir}/%{name}-*
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_metainfodir}/net.sourceforge.%{name}-*.metainfo.xml
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}-*.1*

#----------------------------------------------------------------------

%package	i18n
Summary:	Translation files for %{name}
Group:		System/Libraries
BuildArch:	noarch

Conflicts:	%{name}-examples < 2.9.0-3

%description	i18n
This package contains translation files for %{name}.

%files		i18n
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.qm

#----------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_qt6
%cmake_build

%install
%cmake_install
