Summary:	Printer driver for the Lexmark Z42, Z43 and Z52 printer
Name:		drv_z42
Version:	0.4.3
Release:	%mkrel 21
License:	GPLv2+
Group:		System/Printing
URL:		https://www.openprinting.org/driver/drv_z42/
Source:		https://www.openprinting.org/download/printing/%{name}-%{version}.tar.bz2
Source1:	z42-2.png
BuildRequires:	gtk+2-devel
BuildRequires:	imagemagick

%description
Driver for the Lexmark printers Z42, Z43, Z52, X73 and the Compaq IJ1200.

%package -n	z42tool
Summary:	GUI for Lexmark printer maintenance
Group:		System/Printing
Requires:	%{name} = %{version}

%description -n	z42tool
GUI tool to configure the Lexmark printers Z42, Z43, Z52, X73 and the Compaq
IJ1200.

%prep
%setup -q -n %{name}

%build
pushd src
%{__cc} %{optflags} %{ldflags} -o z42_cmyk z42_cmyk.c
popd

pushd z42tool
%configure
%make_build
popd

%install
install -d %{buildroot}%{_bindir}

pushd src
    install -m0755 z42_cmyk %{buildroot}%{_bindir}
popd

pushd z42tool
    %make_install
popd

install -d %{buildroot}%{_miconsdir}
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_liconsdir}

convert %SOURCE1 -resize 16x16 %{buildroot}%{_miconsdir}/z42tool.png
convert %SOURCE1 -resize 32x32 %{buildroot}%{_iconsdir}/z42tool.png
convert %SOURCE1 -resize 48x48 %{buildroot}%{_liconsdir}/z42tool.png

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/z42tool.desktop << EOF
[Desktop Entry]
Name=Lexmark printer manager
Name[ru]=Менеджер принтеров Lexmark
GenericName=Status, alignment, cartridge maintenance
GenericName[ru]=Статус, выравнивание, обслуживание картриджей
GenericName[nb]=Vis oppstilling, blekknivå og utfør vedlikehold
Comment=GUI for Lexmark printer maintenance
Comment[ru]=Графический интерфейс для управления принтерами Lexmark
Comment[cs]=Grafické rozhraní pro údržbu tiskáren Lexmark
Comment[cy]=Rhyngwyneb cynnal a chadw argraffydd Lexmark
Comment[et]=Lexmarki printeri hooldamise graafiline kasutajaliides
Comment[fr]=Interface graphique de maintenance des applications Lexmark
Comment[he]=מנשק לתחזוקת מדפסת לקסמרק
Comment[hu]=Grafikus felület Lexmark nyomtatók karbantartásához
Comment[nl]=Grafische interface voor Lexmark printeronderhoud
Comment[pl]=Program do konserwacji drukarek Lexmark
Comment[pt]=Interface gráfico para manutenção de impressoras Lexmark
Comment[pt_BR]=Interface para manutenção de impressora Lexmark
Comment[tr]=Lexmark yazıcı bakımı için grafiksel arayüz
Exec=z42tool
Icon=z42tool
Terminal=false
Type=Application
Categories=System;Monitor;
EOF

%files
%defattr(0644,root,root,0755)
%doc COPYING ChangeLog FAQ README
%attr(0755,root,root) %{_bindir}/z42_cmyk

%files -n z42tool
%defattr(0644,root,root,0755)
%doc z42tool/README
%{_datadir}/z42tool
%attr(0755,root,root) %{_bindir}/z42tool
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_datadir}/applications/*.desktop
