Name:          ds9
Version:       8.7b1
Summary:       Astronomical Data Visualization Application
Release:       %mkrel 2
License:       GPLv3+
Group:         Sciences/Astronomy

URL:           https://sites.google.com/cfa.harvard.edu/saoimageds9/home
Source:        https://hea-www.harvard.edu/RD/ds9/download/source/ds9.%{version}.tar.gz
Source1:       ds9.desktop
Source2:       ds9.png

#(eatdirt): test
#ExcludeArch:   #{arm} aarch64

#these patches remove the static deps to lib we already have, when
#possible (mind tclxml which is not the genuine version).


#in configure.in
Patch0:        ds9-8.2-configure.patch

#in make.include
Patch2:        ds9-8.7b1-include.patch
#in makefile.in
Patch3:        ds9-8.6-makefile.patch
#fix missing include for tkhtml
Patch4:        ds9-8.1-tkhtml.patch
#linking to dynamic libs
Patch7:        ds9-8.6-ds9makefile.patch
Patch8:        ds9-8.6-ds9configure.patch
Patch9:        ds9-8.6a-ds9init.patch
Patch10:       ds9-8.7b1-ds9tcl.patch

#strict null pointer value
Patch12:       ds9-7.6-tkmpeg-strict.patch
#fix compilation failure of gcat
Patch13:       ds9-8.2.1-gcat.patch
#fix missing include path for tksao
Patch14:       ds9-8.2.1-tksao-include.patch

BuildRequires: zip
BuildRequires: unzip
BuildRequires: perl
BuildRequires: gcc-gfortran
BuildRequires: pkgconfig(fontconfig)
BuildRequires: pkgconfig(tcl)
BuildRequires: pkgconfig(tk)
BuildRequires: tcl-tcllib
# package modified locally
#BuildRequires: tcl-tclxml-devel
BuildRequires: tkimg-devel
BuildRequires: tkblt-devel
BuildRequires: tcltls-devel
BuildRequires: pkgconfig(xpa)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(libxslt)
BuildRequires: jbigkit-devel
BuildRequires: pkgconfig(libzip)
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(xt)
BuildRequires: pkgconfig(openssl)

Requires:      tcl
Requires:      tk
Requires:      tcl-tcllib
Requires:      tcl-xmlrpc
#Requires:      tcl-tclxml
Requires:      tkblt
Requires:      tcltls

%description
SAOImage DS9 is an astronomical imaging and data visualization
application.  DS9 supports FITS images and binary tables, multiple
frame buffers, region manipulation, and many scale algorithms and
colormaps. It provides interfaces for easy communication with external
analysis tasks and is highly configurable and extensible.

%prep

#As far as the doc says, autosetup and autopatch do not support
#back-up, this pisses me off when debugging, and ds9 needs debugging
#at each release bump.
#autosetup -p1 -n SAOImageDS9

%setup -q -n SAOImageDS9-%{version}
%patch -P 0 -p1 -b .orig
%patch -P 2 -p1 -b .orig
%patch -P 3 -p1 -b .orig
%patch -P 4 -p1 -b .orig

%patch -P 7 -p1 -b .orig
%patch -P 8 -p1 -b .orig
%patch -P 9 -p1 -b .orig
%patch -P 10 -p1 -b .orig

%patch -P 12 -p1 -b .orig
%patch -P 13 -p1 -b .orig
%patch -P 14 -p1 -b .orig


#clean (some) of the static junk
%__rm -r -f tcl8.6
%__rm -r -f tcllib
#__rm -r -f tclxml
%__rm -r -f tk8.6
%__rm -r -f tkimg
%__rm -r -f tkblt
%__rm -r -f xpa
%__rm -r -f tls
%__rm -r -f openssl
%__rm -r -f tclzipfs




%build
autoreconf -fi ./unix
autoreconf -fi ./ds9/unix
export CONFIGURE_TOP=./unix
%configure
%make_build

%install
%__mkdir_p %{buildroot}%{_bindir}
cp bin/ds9 %{buildroot}%{_bindir}
%__mkdir_p %{buildroot}%{_datadir}/pixmaps
cp -a %{SOURCE2} %{buildroot}%{_datadir}/pixmaps
%__mkdir_p %{buildroot}%{_datadir}/applications
cp -a %{SOURCE1} %{buildroot}%{_datadir}/applications
#####__mkdir_p %%{buildroot}/etc/prelink.conf.d
%__mkdir_p %{buildroot}%{_datadir}/ds9
cp -a share/ds9 %{buildroot}%{_datadir}

%files
%doc LICENSE
%{_bindir}/ds9
%{_datadir}/applications/ds9.desktop
%{_datadir}/pixmaps/ds9.png
%{_datadir}/ds9
