%define oname     dSFMT

%define major     2
%define libname   %mklibname dsfmt %{major}
%define develname %mklibname dsfmt -d

Name:           dsfmt
Version:        2.2.3
Release:        %mkrel 7
Summary:        Double precision SIMD-oriented Fast Mersenne Twister
Group:          System/Libraries

License:        BSD
URL:            http://www.math.sci.hiroshima-u.ac.jp/m-mat/MT/SFMT/index.html
Source0:        http://www.math.sci.hiroshima-u.ac.jp/m-mat/MT/SFMT/dSFMT-src-%{version}.tar.gz

Patch0:         dSFMT-2.2.3_sharedlib.patch
Patch1:         dSFMT-2.2.3_pkgconfig.patch
Patch2:         dSFMT-2.2.3_exportfuns.patch

%description
The purpose of dSFMT is to speed up the generation by avoiding
the expensive conversion of integer to double (floating point).
dSFMT directly generates double precision floating point
pseudo-random numbers which have the IEEE Standard for Binary
Floating-Point Arithmetic (ANSI/IEEE Std 754-1985) format.

dSFMT is only available on the CPUs which use IEEE 754 format
double precision floating point numbers.

dSFMT doesn't support integer outputs.
dSFMT supports the output of double precision floating point
pseudo-random numbers which distribute in the range of
[1, 2), [0, 1), (0, 1] and (0, 1).
And it also supports the various periods form 2607-1 to 2132049-1.

%package -n %{libname}
Summary:	Double precision SIMD-oriented Fast Mersenne Twister
Group:		System/Libraries
Provides:	%{oname} = %{version}-%{release}
Provides: 	%{name} = %{version}-%{release}
Obsoletes:	%{_lib}dSFMT2 < 2.2.3-5

%description -n %{libname}
The purpose of dSFMT is to speed up the generation by avoiding
the expensive conversion of integer to double (floating point).
dSFMT directly generates double precision floating point
pseudo-random numbers which have the IEEE Standard for Binary
Floating-Point Arithmetic (ANSI/IEEE Std 754-1985) format.

dSFMT is only available on the CPUs which use IEEE 754 format
double precision floating point numbers.

dSFMT doesn't support integer outputs.
dSFMT supports the output of double precision floating point
pseudo-random numbers which distribute in the range of
[1, 2), [0, 1), (0, 1] and (0, 1).
And it also supports the various periods form 2607-1 to 2132049-1.

%package        -n %{develname}
Summary:        Development files for dSFMT
Requires:       %{libname} = %{version}-%{release}
Provides:       dsfmt-devel = %{version}-%{release}
Obsoletes:      %{_lib}dSFMT-devel < 2.2.3-5
Obsoletes:      lib64dSFMT-devel-doc < 2.2.3-5
Obsoletes:      libdSFMT-devel-doc < 2.2.3-5

%description    -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n dSFMT-src-%{version}
%patch -P 0 -p 1
%patch -P 1 -p 0
%patch -P 2 -p 1

%build
make %{?_smp_mflags} \
     sharedlib \
     libdir=%{_libdir} \
     CCFLAGS="-fPIC %{build_cflags} -fno-strict-aliasing" \
     LDFLAGS="%{build_ldflags} -shared"

%install
%make_install \
    libdir=%{_libdir}

install -pm644 dSFMT.pc %{buildroot}%{_libdir}/pkgconfig/

%check
make std-check \
     CCFLAGS="-fPIC %{build_cflags} -fno-strict-aliasing" \
     LDFLAGS="%{build_ldflags} -shared"

%files -n %{libname}
%doc ./CHANGE-LOG.txt ./LICENSE.txt
%doc README.txt README.jp.txt
%{_libdir}/*.so.*

%files -n %{develname}
%doc html/
%{_libdir}/*.so
%{_libdir}/pkgconfig/dSFMT.pc
%{_includedir}/*.h
