%define major   2
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           dumb
Version:        2.0.3
Release:        %mkrel 2
Summary:        Dynamic Universal Music Bibliotheque
Group:          Sound/Players
License:        BSD-like
Url:            https://github.com/kode54/dumb
Source0:        https://github.com/kode54/dumb/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pkgconfig(allegro)

# For example binaries
BuildRequires:  pkgconfig(argtable2)
BuildRequires:  pkgconfig(sdl2)

%description
DUMB is an IT, XM, S3M and MOD player library.

This package includes a player based on Allegro.

%package -n %{libname}
Summary:        Shared libraries for %{name}
Group:          System/Libraries

%description -n %{libname}
DUMB is an IT, XM, S3M and MOD player library.

%package -n %{devname}
Group:          Development/C
Summary:        Development files and headers for %{name}
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{name}.

%prep
%autosetup -p1

sed -i 's|@PROJECT_NAME@|%{name}|' pkg-config.pc.in

%build
%cmake \
%ifarch %{arm} aarch64
    -DUSE_SSE=OFF
%endif

%cmake_build

%install
%cmake_install

%files
%doc README.md CHANGELOG.md
%license LICENSE
%{_bindir}/%{name}out
%{_bindir}/%{name}play

%files -n %{libname}
%license LICENSE
%{_libdir}/lib%{name}.so.%{major}{,.*}
%{_libdir}/libaldmb.so.%{major}{,.*}

%files -n %{devname}
%doc README.md CHANGELOG.md
%license LICENSE
%{_libdir}/lib%{name}.so
%{_libdir}/libaldmb.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}.h
%{_includedir}/al%{name}.h
