Name:           dumpet
Version:        2.1
Release:        %mkrel 17
Summary:        A tool to dump and debug bootable CD images
License:        GPLv2+
Group:          Development/Tools
URL:            https://fedorahosted.org/dumpet/
BuildRequires:  pkgconfig(popt) 
BuildRequires:  pkgconfig 
BuildRequires:  pkgconfig(libxml-2.0) 
BuildRequires:  git-core

Source0:        https://fedorahosted.org/releases/d/u/dumpet/dumpet-%{version}.tar.bz2
Patch0001: 0001-Manually-tell-it-we-ve-got-64-bit-files-because-32-b.patch

%description
DumpET is a utility to aid in the debugging of bootable CD-ROM images.

%prep
%setup -q
git init
git config user.email "%{name}-owner@fedoraproject.org"
git config user.name "Fedora Ninjas"
git add .
git commit -a -q -m "%{version} baseline."
git am %{patches} </dev/null

%build
%make_build CFLAGS="%{optflags} $(pkg-config --cflags libxml-2.0)"

%install
mkdir -p %{buildroot}%{_bindir}

%make_install


%files
%license COPYING
%doc README TODO
%attr(644,root,root) %{_mandir}/man1/dumpet.1*
%{_bindir}/dumpet

