Name:           dunst
Version:        1.12.2
Release:        %mkrel 1
Summary:        Customizable and lightweight notification-daemon
License:        BSD
Group:          Graphical desktop/Other
URL:            https://dunst-project.org/
Source0:        https://github.com/dunst-project/dunst/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(libxdg-basedir)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(xscrnsaver)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(gdk-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(wayland-client)

%description
Dunst is a lightweight replacement for the notification-daemons provided
by most desktop environments. It's very customizable, doesn't depend on
any toolkits and therefore fits in those windowmanager centric setups
we all love to customize to perfection.

%prep
%setup -q

%build
%set_build_flags
%make_build SYSCONFDIR=%{_sysconfdir}/xdg VERSION=%{version}

%install
%make_install PREFIX=%{_prefix} SYSCONFDIR=%{_sysconfdir}/xdg

# create directory for config drop-in files
install -d -m 0755 -pv %{buildroot}%{_sysconfdir}/xdg/%{name}/dunstrc.d

%files
%doc RELEASE_NOTES README.md CHANGELOG.md AUTHORS
%license LICENSE
%dir %{_sysconfdir}/xdg/%{name}
%dir %{_sysconfdir}/xdg/%{name}/dunstrc.d
%config(noreplace) %{_sysconfdir}/xdg/%{name}/dunstrc
%{_bindir}/%{name}
%{_bindir}/dunstctl
%{_bindir}/dunstify
%{_datadir}/dbus-1/services/org.knopwob.dunst.service
%{_userunitdir}/%{name}.service
%{_datadir}/bash-completion/completions/dunst*
%{_datadir}/fish/vendor_completions.d/dunst*
%{_datadir}/zsh/site-functions/_dunst*
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/dunstctl.1.*
%{_mandir}/man1/dunstify.1.*
%{_mandir}/man5/%{name}.5.*
