Summary:	Untrusted/encrypted backup using rsync algorithm
Version:	2.1.4
Name:		duplicity
Release:	%mkrel 2
License:	GPLv2
Group:		Archiving/Backup
URL:		https://duplicity.gitlab.io/
Source0:	https://gitlab.com/duplicity/duplicity/-/archive/rel.%{version}/duplicity-rel.%{version}.tar.bz2
# (wally) call gpg2 instead of gpg
Patch1:		duplicity-2.1.4-gnupg2.patch
BuildRequires:	rsync-devel
BuildRequires:	python3-devel
BuildRequires:	pkgconfig(python3)
Requires:	gnupg2
Requires:	ncftp
Requires:	openssh-clients
Requires:	rsync
Recommends:	python3dist(dropbox)

%description
Duplicity incrementally backs up files and directory by encrypting tar-format
volumes with GnuPG and uploading them to a remote (or local) file server. In
theory many remote backends are possible; right now local, ssh/scp, ftp, and
rsync backends are written. Because duplicity uses librsync, the incremental
archives are space efficient and only record the parts of files that have
changed since the last backup.  Currently duplicity supports deleted files,
full unix permissions, directories, symbolic links, fifos, etc., but not hard
links.

%prep
%autosetup -p1 -n %{name}-rel.%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files duplicity

#handle docs in files section
mv %{buildroot}%{_docdir}/%{name}-%{version} %{buildroot}%{_docdir}/%{name}

%find_lang %{name}

%files -f %{name}.lang -f %{pyproject_files}
%doc CHANGELOG* README* CONTRIBUTING* COPYING
%{_mandir}/man1/%{name}*
%{_bindir}/duplicity
