# comment out when not a pre-release
%define prel		rc.9
%define real_prel	%(echo %{prel}|sed -e 's/\\.//')

%define rel	1

Name:		dust3d
Version:	1.0.0
Release:	%mkrel %{?prel:0.%real_prel.}%{rel}
Summary:	Dust3D 3D modeling software
Group:		Graphics/3D
License:	MIT
Url:		https://dust3d.org/
Source0:	https://github.com/huxingyi/dust3d/archive/%{version}%{?prel:-%prel}/%{name}-%{version}%{?prel:-%prel}.tar.gz
Patch0001:	0001-doc-add-new-contributor.patch
Patch0002:	0002-qt-fix-build-on-qt-6.5.1.patch
Patch0003:	0003-build-fix-lint.patch
Patch0004:	0004-wasm-fix-build.patch
Patch0005:	0005-wasm-fix-shaders.patch
Patch0006:	0006-wasm-update-environment-texture-loading-method.patch
Patch0007:	0007-wasm-fix-model-overlap-on-canvas.patch
Patch0008:	0008-wasm-fix-size_t-as-key-of-half-edge-size_t-is-not-64.patch
Patch0009:	0009-wasm-fix-offscreen-render.patch
Patch0010:	0010-wasm-fix-canvas-context-menu.patch
Patch0011:	0011-wasm-fix-parts-widget-context-menu.patch
Patch0012:	0012-wasm-fix-parts-management-widget-context-menu.patch
Patch0013:	0013-wasm-fix-picking-images-and-openning-files.patch
Patch0014:	0014-wasm-fix-color-picker.patch
Patch0015:	0015-wasm-disable-recent-files-from-webassembly.patch
Patch0016:	0016-wasm-fix-clipboard-null-pointer.patch
Patch0017:	0017-wasm-fix-saving.patch
Patch0018:	0018-wasm-fix-exporting.patch
Patch0019:	0019-wasm-fix-event-loop.patch
Patch0020:	0020-wasm-add-separated-shaders-files-for-wasm.patch
Patch0021:	0021-wasm-fix-dds-file-loader.patch
Patch0022:	0022-wasm-fix-missing-headers.patch
Patch0023:	0023-fbx_fix-missing-headers.patch

BuildRequires:	imagemagick
BuildRequires:	qttools6
BuildRequires:	boost-devel
BuildRequires:	cmake(CGAL)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6OpenGL)
BuildRequires:	cmake(Qt6OpenGLWidgets)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6SvgWidgets)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(gmp)
BuildRequires:	pkgconfig(libdrm)
BuildRequires:	pkgconfig(libglvnd)
BuildRequires:	pkgconfig(mpfr)

%description
Dust3D is a brand new 3D modeling software. It helps you
create a 3D watertight model in seconds. Use it to speed
up your character modeling in game making, 3D printing,
and so on.

%prep
%autosetup -p1 -n %{name}-%{version}%{?prel:-%prel}

%build
cd application
%qmake_qt6
%make_build

%install
mkdir -p %{buildroot}%{_bindir}
install -m 0755 application/%{name} %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}%{_datadir}/applications
install -m 0644 ci/appimage/dust3d.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

mkdir -p %{buildroot}%{_metainfodir}
install -m 0644 ci/appimage/dust3d.appdata.xml %{buildroot}%{_metainfodir}/%{name}.appdata.xml

for png in 128x128 64x64 32x32 16x16; do
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/${png}/apps/
  convert -geometry $png ci/appimage/dust3d.png %{buildroot}%{_iconsdir}/hicolor/${png}/apps/%{name}.png
done

%files
%doc AUTHORS CHANGELOGS CONTRIBUTORS README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_metainfodir}/%{name}.appdata.xml
