%define kernel_dir	/usr/src/linux
%define kernel_inc	%{kernel_dir}/include

Name:		dvbstream
Version:	0.6
Release:	%mkrel 1
Summary:	Broadcasts a DVB Stream over the Network
License:	GPLv2
Group:		Video/Utilities
URL:		https://dvbtools.sourceforge.net/
Source0:	%{name}-cvs.tar.bz2
Patch0:		%{name}-use-rpmopts.patch
Patch1:		%{name}-fix-building-with-gcc14.patch
BuildRequires:	kernel-source

Requires(post):		update-alternatives
Requires(postun):	update-alternatives

%description
DVBstream is based on the ts-rtp package available at
http://www.linuxtv.org.  It broadcasts a (subset of a) DVB transport
stream over a LAN using the rtp protocol.  There were a couple of
small bugs in the original ts-rtp application, which I have fixed
here.

%prep
%autosetup -p1 -n %{name}-cvs

%build
#UK
%make_build INCS=-I%{kernel_inc}
install -m 755 dvbstream dvbstream-uk
install -m 755 dumprtp dvb_dumprtp-uk
install -m 755 rtpfeed dvb_rtpfeed-uk
install -m 755 ts_filter dvb_ts_filter-uk
%make_build clean
#Finland
%make_build INCS=-I%{kernel_inc} FINLAND=1
install -m 755 dvbstream dvbstream-fin
install -m 755 dumprtp dvb_dumprtp-fin
install -m 755 rtpfeed dvb_rtpfeed-fin
install -m 755 ts_filter dvb_ts_filter-fin
%make_build clean

%make_build INCS=-I%{kernel_inc} FINLAND2=1
install -m 755 dvbstream dvbstream-fin2
install -m 755 dumprtp dvb_dumprtp-fin2
install -m 755 rtpfeed dvb_rtpfeed-fin2
install -m 755 ts_filter dvb_ts_filter-fin2

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 dvbstream-* %{buildroot}%{_bindir}/
install -m 755 dvb_dumprtp* %{buildroot}%{_bindir}/
install -m 755 dvb_rtpfeed* %{buildroot}%{_bindir}/
install -m 755 dvb_ts_filter* %{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{_libdir}/%{name}
install -m 755 TELNET/*.sh %{buildroot}%{_libdir}/%{name}/
install -m 755 TELNET/*.pl %{buildroot}%{_libdir}/%{name}/

echo "update-alternatives --install %{_bindir}/dvbstream dvbstream %{_bindir}/dvbstream-uk 30 \\" >> dvbstream-setup-alternatives.sh
for i in dvb_dumprtp dvb_rtpfeed dvb_ts_filter ; do
	echo "--slave  %{_bindir}/$i $i %{_bindir}/$i-uk \\" >> dvbstream-setup-alternatives.sh
done
echo >> dvbstream-setup-alternatives.sh

echo "update-alternatives --install %{_bindir}/dvbstream dvbstream %{_bindir}/dvbstream-fin 20 \\" >> dvbstream-setup-alternatives.sh
for i in dvb_dumprtp dvb_rtpfeed dvb_ts_filter ; do
	echo "--slave  %{_bindir}/$i $i %{_bindir}/$i-fin \\" >> dvbstream-setup-alternatives.sh
done
echo >> dvbstream-setup-alternatives.sh

echo "update-alternatives --install %{_bindir}/dvbstream dvbstream %{_bindir}/dvbstream-fin2 10 \\" >> dvbstream-setup-alternatives.sh
for i in dvb_dumprtp dvb_rtpfeed dvb_ts_filter ; do
	echo "--slave  %{_bindir}/$i $i %{_bindir}/$i-fin2 \\" >> dvbstream-setup-alternatives.sh
done
echo >> dvbstream-setup-alternatives.sh

%post -f dvbstream-setup-alternatives.sh

%postun
if [ $1 = 0 ]; then
	update-alternatives --remove dvbstream %{_bindir}/dvbstream-uk
	update-alternatives --remove dvbstream %{_bindir}/dvbstream-fin
	update-alternatives --remove dvbstream %{_bindir}/dvbstream-fin2
fi

%files
%doc README COPYING CHANGES
%{_bindir}/*
%{_libdir}/%{name}/
