%define kernel_dir	/usr/src/linux
%define kernel_inc	%{kernel_dir}/include

Name:		dvbtune
Version:	0.5
Release:	%mkrel 26
Summary:	Tuning application for DVB cards
License:	GPLv2
Group:		Video/Television
URL:		https://dvbtools.sourceforge.net/
Source0:	https://sourceforge.net/projects/dvbtools/files/dvbtune/%{name}-%{version}/%{name}-%{version}.tar.gz
Patch0:		dvbtune-0.5-fix-compile.patch
Patch1:		dvbtune-0.5-mga-honor-cflags.patch
BuildRequires:	kernel-source
BuildRequires:	pkgconfig(libxml-2.0)

Requires(post):		update-alternatives
Requires(postun):	update-alternatives

%description
DVBtune is a simple tuning application for DVB cards supported by the
Linux DVB driver (www.linuxtv.org).

%prep
%setup -q
%autopatch -p1

%build
perl -p -i -e "s|-O2 -g -pipe -Wformat -Wall|%{optflags}|" Makefile
#UK
%make_build INCS=-I%{kernel_inc}
%make_build xml2vdr
install -m 755 dvbtune dvbtune-uk
install -m 755 xml2vdr dvb_xml2vdr-uk
%make_build clean
#Finland
%make_build INCS=-I%{kernel_inc} FINLAND=1
%make_build FINLAND=1 xml2vdr
install -m 755 dvbtune dvbtune-fin
install -m 755 xml2vdr dvb_xml2vdr-fin
%make_build clean

%make_build INCS=-I%{kernel_inc} FINLAND2=1
%make_build FINLAND2=1 xml2vdr
install -m 755 dvbtune dvbtune-fin2
install -m 755 xml2vdr dvb_xml2vdr-fin2

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 dvbtune-* %{buildroot}%{_bindir}/
install -m 755 dvb_* %{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{_libdir}/%{name}
install -m 755 scripts/*.sh %{buildroot}%{_libdir}/%{name}

echo "update-alternatives --install %{_bindir}/dvbtune dvbtune %{_bindir}/dvbtune-uk 30 \\" >> dvbtune-setup-alternatives.sh
echo "--slave  %{_bindir}/dvb_xml2vdr dvb_xml2vdr %{_bindir}/dvb_xml2vdr-uk \\" >> dvbtune-setup-alternatives.sh
echo >> dvbtune-setup-alternatives.sh

echo "update-alternatives --install %_bindir/dvbtune dvbtune %{_bindir}/dvbtune-fin 20 \\" >> dvbtune-setup-alternatives.sh
echo "--slave  %{_bindir}/dvb_xml2vdr dvb_xml2vdr %{_bindir}/dvb_xml2vdr-fin \\" >> dvbtune-setup-alternatives.sh
echo >> dvbtune-setup-alternatives.sh


echo "update-alternatives --install %{_bindir}/dvbtune dvbtune %{_bindir}/dvbtune-fin2 10 \\" >> dvbtune-setup-alternatives.sh
echo "--slave  %{_bindir}/dvb_xml2vdr dvb_xml2vdr %{_bindir}/dvb_xml2vdr-fin2 \\" >> dvbtune-setup-alternatives.sh
echo >> dvbtune-setup-alternatives.sh

%post -f dvbtune-setup-alternatives.sh

%postun
if [ $1 = 0 ]; then
	update-alternatives --remove dvbtune %{_bindir}/dvbtune-uk
	update-alternatives --remove dvbtune %{_bindir}/dvbtune-fin
	update-alternatives --remove dvbtune %{_bindir}/dvbtune-fin2
fi

%files
%doc README
%{_bindir}/*
%{_libdir}/%{name}/
