%define gitdate 20211105
%define rel 2

Summary:	A simple set of tools to help you author a DVD
Name:		dvdauthor
Version:	0.7.2.1
Release:	%mkrel %{?gitdate: -c git%{gitdate}} %rel
License:	GPLv2+
Group:		Video/Editors and Converters
Url:		https://dvdauthor.sourceforge.net/
Source0:	https://github.com/ldo/dvdauthor/archive/refs/heads/master.tar.gz#/%{name}-%{version}.tar.gz
Source1:	https://www.joonet.de/dvdauthor/ftp/%{name}-doc-0.6.17.tar.gz
#Patch0:		dvdauthor-0.7.2-use-graphicsmagick.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pkgconfig(dvdread)
BuildRequires:	pkgconfig(GraphicsMagick)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6.0
BuildRequires:	pkgconfig(zlib)
BuildRequires:	gettext-devel

# see mga#25861
Requires:	graphicsmagick

%description
A simple set of tools to help you author a DVD. The idea is to be able to
create menus, buttons, chapters, etc. But for now you can just take an mpeg
stream (as created by mplex -f 8 from mjpegtools 1.6.0) and write it to DVD.

N.B. The system-wide default video format is NTSC, to change it modify 
/etc/video_format; for per user specific settings create ~/.config/video_format
and put the video format you want (NTSC or PAL) there.

%prep
%autosetup -p1 -n %{name}%{?gitdate:-master} -a1

mv %{name}-doc-0.6.17/html .

%build
#autoreconf -vfi
./bootstrap
%configure \
	--disable-rpath \
	--with-graphicsmagick \
	--enable-default-video-format=NTSC
%make_build

%install
%make_install

# (ahmad) Starting from 0.7, dvdauthor doesn't specify a default video format
# previously it defaulted to NTSC
mkdir -p %{buildroot}%{_sysconfdir}
cat > %{buildroot}%{_sysconfdir}/video_format << EOF
NTSC
EOF

%files
%doc AUTHORS README ChangeLog TODO html
%license COPYING
%{_sysconfdir}/video_format
%{_bindir}/dvdauthor
%{_bindir}/dvddirdel
%{_bindir}/dvdunauthor
%{_bindir}/mpeg2desc
%{_bindir}/spumux
%{_bindir}/spuunmux
%{_datadir}/%{name}/
%{_mandir}/man1/*
%{_mandir}/man7/video_format.7.*
