%define Werror_cflags	%nil

Summary:	Additional error protection for CD/DVD media
Name:		dvdisaster
Version:	0.79.5
Release:	%mkrel 8
Group:		Archiving/Cd burning
License:	GPLv2+
URL:		http://www.dvdisaster.com
Source0:	http://www.dvdisaster.com/downloads/%{name}-%{version}.tar.bz2
Patch0:		dvdisaster-0.79.5-po.patch
Patch1:		dvdisaster-configure-c99.patch
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	bzip2-devel
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(pango)

%description
%{name} provides a margin of safety against data loss on CD and DVD media
caused by scratches or aging. It creates error correction data, which is
used to recover unreadable sectors if the disc becomes damaged at a later
time.

%prep
%setup -q
%autopatch -p1

#fix desktop file
sed -i -e 's,%{name}48.png,%{name},g' contrib/%{name}.desktop

sed -i -e 's,REQUIRE_GMAKE,#REQUIRE_GMAKE,' configure

%build
%define _legacy_common_support 1
%configure \
	--buildroot=%{buildroot} \
	--docdir=%{_defaultdocdir} \
	--docsubdir=%{name} \
	--localedir=%{_datadir}/locale \
	--mandir=%{_mandir} \
	--with-embedded-src-path=no
make

%install
%make_install

# icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{64x64,48x48,32x32,16x16}/apps
install -Dm644 contrib/%{name}64.png %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
convert -size 48x48 contrib/%{name}64.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -size 32x32 contrib/%{name}64.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -size 16x16 contrib/%{name}64.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

# desktop file
desktop-file-install --vendor "" \
     --dir %{buildroot}%{_datadir}/applications \
     contrib/%{name}.desktop

# handle docs in files section
mv %{buildroot}%{_defaultdocdir}/%{name} installed-docs

# unwanted files
rm -f %{buildroot}%{_bindir}/*-uninstall.sh

%find_lang %{name} --with-man

%files -f %{name}.lang
%doc installed-docs/*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/*
