%define         Werror_cflags %nil

%define         oname         DVDStyler
%define         srcversion    %{version}

Name:           dvdstyler
Summary:        DVD authoring application
Epoch:          1
Version:        3.2.1
Release:        %mkrel 9

License:        GPLv2+
Group:          Video/Utilities

URL:            https://dvdstyler.sourceforge.net/
Source0:        https://downloads.sourceforge.net/%{name}/%{oname}-%{srcversion}.tar.bz2

Patch0:         wxvilla-3.2-compat.patch
Patch2:         0001-fixed-encoding-of-silent-audio-file.patch
# from opensuse
Patch51:        dvdstyler-ffmpeg5.patch
Patch52:        DVDStyler-ffmpeg7.patch

BuildRequires:  sed
BuildRequires:  wxgtk-devel
BuildRequires:  pkgconfig(libwxsvg) >= 1.5.17
BuildRequires:  xmlto
BuildRequires:  zip
BuildRequires:  cdrkit-genisoimage
BuildRequires:  dvd+rw-tools
BuildRequires:  dvdauthor >= 0.7.0
BuildRequires:  imagemagick
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  ffmpeg-devel
BuildRequires:  ffmpeg
Requires:       dvdauthor
Requires:       mjpegtools
Requires:       dvd+rw-tools
Requires:       mkisofs
Requires:       dvdisaster
Requires:       ffmpeg

%description
DVDStyler is a cross-platform free DVD authoring application for the
creation of professional-looking DVDs. It allows not only burning of
video files on DVD that can be played practically on any standalone
DVD player, but also creation of individually designed DVD menus. It
is Open Source Software and is completely free.

%prep
%autosetup -p1 -n %{oname}-%{srcversion}

#fix desktop file
sed -i -e 's,%{name}.png,%{name},g' data/dvdstyler.desktop

%build
#export CXXFLAGS="%{optflags} -std=c++14"
%configure
%make_build

%install
%make_install

rm -fr %{buildroot}/%{_docdir}

desktop-file-install --vendor='' \
        --dir=%{buildroot}%{_datadir}/applications \
        --remove-category='Application' \
        --add-category='Video;AudioVideoEditing' \
        %{buildroot}%{_datadir}/applications/*.desktop

mkdir -p %{buildroot}/%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
convert -size 48x48 src/rc/%{name}.png %{buildroot}/%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -size 32x32 src/rc/%{name}.png %{buildroot}/%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -size 16x16 src/rc/%{name}.png %{buildroot}/%{_iconsdir}/hicolor/16x16/apps/%{name}.png

#remove duplicate files
rm -fr %{buildroot}/%{_libdir}/share/doc/dvdstyler/

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/metainfo/dvdstyler.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
