Name:           dwm
Version:        6.5
Release:        %mkrel 1
Summary:        A minimalist window manager for the X Window System
License:        MIT
Group:          Graphical desktop/Other
URL:            https://dwm.suckless.org/
Source0:        https://dl.suckless.org/dwm/%{name}-%{version}.tar.gz
Source1:        %{name}.png
Source2:        %{name}.desktop
# Install to /usr instead of /usr/local, respect opt. flags
Patch2:         dwm-6.5-config.patch

BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xinerama)

Requires:       xterm
Recommends:     dmenu

%description
dwm is a dynamic window manager for X.

It manages windows in tiled and floating layouts. Either layout can be applied
dynamically, optimizing the environment for the application in use and the task
performed. It is the little brother of wmii.


%prep
%autosetup -p1

%build
%make_build

%install
%make_install DESTDIR=%{buildroot} PREFIX=%{_exec_prefix}

# start file
cat > %{buildroot}%{_bindir}/start%{name} << EOF
exec %{_bindir}/%{name}
EOF

chmod 755 %{buildroot}%{_bindir}/start%{name}

# an icon
%__install -D -m 0644 %{_sourcedir}/%{name}.png %{buildroot}%{_datadir}/icons/%{name}.png

%__install -D -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/xsessions/%{name}.desktop

%posttrans
# (ovitters) In posttrans, $1 is always equal to 1, even in the upgrade case.
# So just run this always:
if [ -e %{_datadir}/xsessions/40dwm.desktop ]; then
	rm -rf %{_datadir}/xsessions/40dwm.desktop
fi
if [ -e %{_sysconfdir}/X11/dm/Sessions/40dwm.desktop ]; then
	rm -rf %{_sysconfdir}/X11/dm/Sessions/40dwm.desktop
fi

%files
%doc README
%license LICENSE
%{_datadir}/xsessions/dwm.desktop
%{_bindir}/%{name}
%{_bindir}/start%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/icons/%{name}.png
