Name:           dynamips
Version:        0.2.21
Release:        %mkrel 2
Summary:        Cisco router emulator
License:        GPLv2
Group:          Emulators
URL:            https://github.com/GNS3/dynamips
Source0:        https://github.com/GNS3/dynamips/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  libpcap-devel
BuildRequires:  elfutils-devel
BuildRequires:  pkgconfig(uuid)

ExclusiveArch:  %{ix86} x86_64

%description
Dynamips is a software that emulates Cisco IOS on a traditional PC. It has been
made by Christophe Fillot who started his work in August 2005. The last
official release of Dynamips supports Cisco 7200, 3600 series (3620, 3640 and
3660), 3700 series (3725, 3745) and 2600 series (2610 to 2650XM, 2691) and
therefore is very popular with people studying for CCNA, CCNP and CCIE
certification exams. Please note that you must provide your own IOS images
compatible with the Cisco hardware emulated by Dynamips.

This is Cisco Router Emulator developed by GNS3 Community.


%prep
%setup -q

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc COPYING README.md README.hypervisor TODO ChangeLog
%doc MAINTAINERS RELEASE-NOTES
%{_bindir}/*
%{_mandir}/man?/*
