%define	_root_sbindir	/sbin
%define	_root_libdir	/%{_lib}

%define major		2
%define libname		%mklibname ext2fs %{major}
%define	devname		%mklibname ext2fs -d

%define major_comerr	2
%define libname_comerr	%mklibname com_err %{major_comerr}
%define	devname_comerr	%mklibname com_err -d

%define major_ss	2
%define libname_ss	%mklibname ss %{major_ss}
%define	devname_ss	%mklibname ss -d

%define git_url git://git.kernel.org/pub/scm/fs/ext2/e2fsprogs.git

Name:		e2fsprogs
Version:	1.47.1
Release:	%mkrel 1
Summary:	Utilities used for ext2/ext3/ext4 filesystems
License:	GPLv2
Group:		System/Kernel and hardware
Url:		https://e2fsprogs.sourceforge.net/
Source0:	https://www.kernel.org/pub/linux/kernel/people/tytso/%{name}/v%{version}/%{name}-%{version}.tar.gz
Source1:	e3jsize
# (cg) This default config prevents invalid warnings about clock differences
# http://thread.gmane.org/gmane.comp.sysutils.systemd.devel/4933
# https://pkgs.fedoraproject.org/gitweb/?p=e2fsprogs.git;a=blob;f=e2fsck.conf;h=b774f9ebf07bd0ecbcd6786b496f58c897eb6891;hb=HEAD
Source2:	e2fsck.conf
# (anssi) fix uninitialized variable causing crash without libreadline.so.5;
# submitted as https://sourceforge.net/tracker/?func=detail&aid=2822113&group_id=2406&atid=302406
Patch0:		e2fsprogs-1.42.9-uninitialized.patch
Patch1:		0001-remove-local-PATH.patch
# revert new default settings: remove the new default options metadata_csum_seed and orphan_file features (mga#31641)
Patch2:		0001-Remove-new-default-features-metadata_csum_seed-and-o.patch
Patch3:		e2fsck-dont-skip-checks-if-orphan-file-present.patch

BuildRequires:	texinfo
BuildRequires:	autoconf
BuildRequires:	m4
BuildRequires:	gettext
BuildRequires:	bzip2
BuildRequires:	git-core
BuildRequires:	pkgconfig(blkid)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(fuse3)
BuildRequires:	systemd-devel
BuildRequires:	udev-devel

%description
The e2fsprogs package contains a number of utilities for creating,
checking, modifying and correcting any inconsistencies in ext2, ext3,
and ext4 filesystems.  E2fsprogs contains e2fsck (used to repair
filesystem inconsistencies after an unclean shutdown), mke2fs (used to
initialize a partition to contain an empty ext2 filesystem), debugfs
(used to examine the internal structure of a filesystem, to manually
repair a corrupted filesystem or to create test cases for e2fsck), tune2fs
(used to modify filesystem parameters), resize2fs to grow and shrink
unmounted filesystems, and most of the other core ext2fs filesystem
utilities.

%package -n %{libname}
Summary:	The libraries for Ext2fs
Group:		System/Libraries

%description -n %{libname}
The e2fsprogs package contains a number of utilities for creating,
checking, modifying and correcting any inconsistencies in ext2, ext3,
and ext4 filesystems.  E2fsprogs contains e2fsck (used to repair
filesystem inconsistencies after an unclean shutdown), mke2fs (used to
initialize a partition to contain an empty ext2 filesystem), debugfs
(used to examine the internal structure of a filesystem, to manually
repair a corrupted filesystem or to create test cases for e2fsck), tune2fs
(used to modify filesystem parameters), resize2fs to grow and shrink
unmounted filesystems, and most of the other core ext2fs filesystem
utilities.

This package contains the shared libraries.

%package -n %{devname}
Summary:	The libraries for Ext2fs
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libext2fs-devel = %{version}-%{release}
Provides:	libe2fsprogs-devel = %{version}-%{release}
Provides:	ext2fs-devel = %{version}-%{release}

%description -n %{devname}
The e2fsprogs package contains a number of utilities for creating,
checking, modifying and correcting any inconsistencies in ext2, ext3,
and ext4 filesystems.  E2fsprogs contains e2fsck (used to repair
filesystem inconsistencies after an unclean shutdown), mke2fs (used to
initialize a partition to contain an empty ext2 filesystem), debugfs
(used to examine the internal structure of a filesystem, to manually
repair a corrupted filesystem or to create test cases for e2fsck), tune2fs
(used to modify filesystem parameters), resize2fs to grow and shrink
unmounted filesystems, and most of the other core ext2fs filesystem
utilities.

You should install %{libname} to use tools that compile with ext2fs
features.

%package -n %{libname_comerr}
Summary:	Common error description library
License:	MIT
Provides:	libcom_err = %{version}-%{release}

%description -n %{libname_comerr}
This is the common error description library, part of e2fsprogs.

libcom_err is an attempt to present a common error-handling mechanism.

%package -n %{devname_comerr}
Summary:	Common error description library
License:	MIT
Requires:	%{libname_comerr} = %{version}-%{release}
Provides:	libcom_err-devel = %{version}-%{release}

%description -n %{devname_comerr}
This is the common error description development library and headers,
part of e2fsprogs.  It contains the compile_et command, used
to convert a table listing error-code names and associated messages
messages into a C source file suitable for use with the library.

libcom_err is an attempt to present a common error-handling mechanism.

%package -n %{libname_ss}
Summary:	Command line interface parsing library
License:	MIT
Requires:	%{libname_comerr} = %{version}-%{release}
Provides:	libss = %{version}-%{release}

%description -n %{libname_ss}
This is libss, a command line interface parsing library, part of e2fsprogs.

This package includes a tool that parses a command table to generate
a simple command-line interface parser, the include files needed to
compile and use it.

It was originally inspired by the Multics SubSystem library.

%package -n %{devname_ss}
Summary:	Command line interface parsing library
License:	MIT
Requires:	%{libname_ss} = %{version}-%{release}
Provides:	libss-devel = %{version}-%{release}

%description -n %{devname_ss}
This is the command line interface parsing (libss) development library
and headers, part of e2fsprogs.  It contains the mk_cmds command, which
parses a command table to generate a simple command-line interface parser.

It was originally inspired by the Multics SubSystem library.

%package -n e2scrub
Summary:	Online Ext4 metadata consistency checking tool and service
License:	GPLv2 and LGPLv2
Recommends:	sendmail
Requires:	systemd
Requires:	util-linux
Requires:	lvm2
Requires:	e2fsprogs = %{version}-%{release}

%description -n e2scrub
This package includes e2scrub script that can check ext[234] file system
metadata consistency while the file system is online. It also contains a
systemd service that can be enabled to do consistency check periodically.

The file system consistency check can be performed online and does not
require the file system to be unmounted. It uses lvm snapshots to do this
which means that it can only be done on file systems that are on a lvm
managed device with some free space available in respective volume group.


%prep
%autosetup -p1
# Remove flawed tests
rm -rf tests/m_rootdir_acl
%ifarch armv7hl
# https://github.com/tytso/e2fsprogs/issues/65
rm -rf tests/j_recover_fast_commit
%endif

rm -f configure
autoconf

# Fix build:
chmod 644 po/*.po

# egrep: warning: egrep is obsolescent; using grep -E
sed -i -e 's/egrep/grep -E/g' $(grep -rl egrep tests)

%build
%configure \
	--enable-elf-shlibs \
	--disable-libblkid \
	--disable-libuuid \
	--disable-fsck \
	--disable-uuidd \
	--enable-symlink-install

%make_build

%__make -C e2fsck e2fsck.static

%check
touch tests/r_move_itable_nostride/is_slow_test
touch tests/r_move_itable_realloc/is_slow_test
LC_ALL=C %__make check

%install
export PATH=/sbin:$PATH

%make_install install-libs \
	root_sbindir=%{_root_sbindir} root_libdir=%{_root_libdir}

for i in libcom_err.so.2 libe2p.so.2 libext2fs.so.2 libss.so.2; do
	ln -s $i %{buildroot}%{_root_libdir}/${i%.[0-9]}
done

rm -f	%{buildroot}%{_libdir}/libss.a \
	%{buildroot}%{_root_libdir}/libcom_err.so \
	%{buildroot}%{_root_libdir}/libe2p.so \
	%{buildroot}%{_root_libdir}/libext2fs.so \
	%{buildroot}%{_root_libdir}/libss.so

# multiarch policy, alternative is to use <stdint.h>
%multiarch_includes %{buildroot}%{_includedir}/ext2fs/ext2_types.h

%find_lang %{name}

chmod +x %{buildroot}%_bindir/{mk_cmds,compile_et}

install -m 755 e2fsck/e2fsck.static %{buildroot}%{_root_sbindir}
install -m 755 %{SOURCE1} %{buildroot}%{_root_sbindir}
ln -f %{buildroot}%{_root_sbindir}/mke2fs \
	%{buildroot}%{_root_sbindir}/mke3fs

install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}


%files -f %{name}.lang
%doc README
%{_root_sbindir}/badblocks
%{_root_sbindir}/debugfs
%{_root_sbindir}/dumpe2fs
%{_root_sbindir}/e2fsck
%{_root_sbindir}/e2fsck.static
%{_root_sbindir}/e2image
%{_root_sbindir}/e2label
%{_root_sbindir}/e2mmpstatus
%{_root_sbindir}/e2undo
%{_root_sbindir}/e3jsize
%{_root_sbindir}/fsck.ext2
%{_root_sbindir}/fsck.ext3
%{_root_sbindir}/fsck.ext4
%{_root_sbindir}/logsave
%{_root_sbindir}/mke2fs
%{_root_sbindir}/mke3fs
%{_root_sbindir}/mkfs.ext2
%{_root_sbindir}/mkfs.ext3
%{_root_sbindir}/mkfs.ext4
%{_root_sbindir}/resize2fs
%{_root_sbindir}/tune2fs
%config(noreplace) %{_sysconfdir}/mke2fs.conf
%config(noreplace) %{_sysconfdir}/e2fsck.conf
%{_bindir}/chattr
%{_bindir}/lsattr
%{_mandir}/man1/chattr.1*
%{_mandir}/man1/fuse2fs.1*
%{_mandir}/man1/lsattr.1*
%{_mandir}/man5/e2fsck.conf.5*
%{_mandir}/man5/ext2.5*
%{_mandir}/man5/ext3.5*
%{_mandir}/man5/ext4.5*
%{_mandir}/man5/mke2fs.conf.5*
%{_mandir}/man8/badblocks.8*
%{_mandir}/man8/debugfs.8*
%{_mandir}/man8/dumpe2fs.8*
%{_mandir}/man8/e2freefrag.8*
%{_mandir}/man8/e2fsck.8*
%{_mandir}/man8/e2image.8*
%{_mandir}/man8/e2label.8*
%{_mandir}/man8/e2mmpstatus.8*
%{_mandir}/man8/e2undo.8.*
%{_mandir}/man8/e4crypt.8.*
%{_mandir}/man8/e4defrag.8.*
%{_mandir}/man8/filefrag.8*
%{_mandir}/man8/fsck.ext2.8*
%{_mandir}/man8/fsck.ext3.8*
%{_mandir}/man8/fsck.ext4.8.*
%{_mandir}/man8/logsave.8*
%{_mandir}/man8/mke2fs.8*
%{_mandir}/man8/mkfs.ext2.8*
%{_mandir}/man8/mkfs.ext3.8*
%{_mandir}/man8/mkfs.ext4.8.*
%{_mandir}/man8/mklost+found.8*
%{_mandir}/man8/resize2fs.8*
%{_mandir}/man8/tune2fs.8*
%{_sbindir}/e2freefrag
%{_sbindir}/e4crypt
%{_sbindir}/e4defrag
%{_sbindir}/filefrag
%{_bindir}/fuse2fs
%{_sbindir}/mklost+found

%files -n %{libname}
%doc README
%{_root_libdir}/libe2p.so.%{major}{,.*}
%{_root_libdir}/libext2fs.so.%{major}{,.*}
%{_libdir}/e2initrd_helper

%files -n %{devname}
%doc doc/RelNotes/v%{version}.txt
%{_infodir}/libext2fs.info*
%{_bindir}/mk_cmds
%{_libdir}/pkgconfig/e2p.pc
%{_libdir}/pkgconfig/ext2fs.pc
%{_libdir}/libe2p.a
%{_libdir}/libe2p.so
%{_libdir}/libext2fs.a
%{_libdir}/libext2fs.so
%{_includedir}/ext2fs
%multiarch %dir %{multiarch_includedir}/ext2fs
%multiarch %{multiarch_includedir}/ext2fs/ext2_types.h
%{_includedir}/e2p/

%files -n %{libname_comerr}
%license NOTICE
%{_root_libdir}/libcom_err.so.%{major_comerr}{,.*}

%files -n %{devname_comerr}
%{_bindir}/compile_et
%{_libdir}/libcom_err.so
%{_datadir}/et
%{_includedir}/et
%{_includedir}/com_err.h
%{_mandir}/man1/compile_et.1*
%{_mandir}/man3/com_err.3*
%{_libdir}/pkgconfig/com_err.pc
%{_libdir}/libcom_err.a

%files -n %{libname_ss}
%license NOTICE
%{_root_libdir}/libss.so.%{major_ss}{,.*}

%files -n %{devname_ss}
%{_bindir}/mk_cmds
%{_libdir}/libss.so
%{_datadir}/ss
%{_includedir}/ss
%{_mandir}/man1/mk_cmds.1*
%{_libdir}/pkgconfig/ss.pc

%files -n e2scrub
%config(noreplace) %{_sysconfdir}/e2scrub.conf
%{_root_sbindir}/e2scrub
%{_root_sbindir}/e2scrub_all
%{_mandir}/man8/e2scrub.8*
%{_mandir}/man8/e2scrub_all.8*
%dir %{_libexecdir}/e2fsprogs
%{_libexecdir}/e2fsprogs/e2scrub_fail
%{_libexecdir}/e2fsprogs/e2scrub_all_cron
%{_unitdir}/e2scrub@.service
%{_unitdir}/e2scrub_all.service
%{_unitdir}/e2scrub_all.timer
%{_unitdir}/e2scrub_fail@.service
%{_unitdir}/e2scrub_reap.service
%{_udevrulesdir}/64-ext4.rules
%{_udevrulesdir}/96-e2scrub.rules
%{_sysconfdir}/cron.d/e2scrub_all
