# Unable to get debuginfo from these files
%define		debug_package %{nil}

Name:		e3
Version:	2.82
Release:	%mkrel 5
Summary:	Lightweight text editor
Group:		Editors
License:	GPLv2
URL:		https://sites.google.com/site/e3editor/
Source0:	https://2b6d7e20-a-62cb3a1a-s-sites.googlegroups.com/site/e3editor/Home/%{name}-%{version}.tgz

# mark the stack as non-executable and disable tiny/crippled elf on 32
# bit linux so that stack can be marked as non-executable on it too
# https://www.gentoo.org/proj/en/hardened/gnu-stack.xml
Patch0:		e3-gnu-stack.patch
BuildRequires:	nasm
ExclusiveArch:	%{ix86} x86_64

%description
e3 is a full-screen, user-friendly text editor with an interface similar to
that of either WordStar, Emacs, Pico, Nedit, or vi. It's heavily optimized
for size and independent of libc or any other libraries, making it useful for
mini-Linux distributions and rescue disks. The assembler version supports
Linux, FreeBSD, OpenBSD, NetBSD, Win9x, QNX, Atheos, BeOS, ELKS, and DOS.
There is also a separately distributed version written in C which supports
some other Unix versions and CygWin. It is also possible to use regular
expressions by using child processes like sed. e3 has a built in arithmetic
calculator.

%prep
%autosetup -p1

# delete the included binaries
rm -rf bin

%build
%ifarch x86_64
make PREFIX=%{_prefix} MANDIR=%{_mandir}/man1 EXMODE=SED 64
%else
make PREFIX=%{_prefix} MANDIR=%{_mandir}/man1 EXMODE=SED 32
%endif

%install
# The Makefile does not have the feature to speciy a DESTDIR so we do this by
# hand
mkdir -p %{buildroot}%{_bindir}
install -m 755 e3 %{buildroot}%{_bindir}
ln -sf %{_bindir}/e3 %{buildroot}%{_bindir}/e3ws
ln -sf %{_bindir}/e3 %{buildroot}%{_bindir}/e3em
ln -sf %{_bindir}/e3 %{buildroot}%{_bindir}/e3pi
ln -sf %{_bindir}/e3 %{buildroot}%{_bindir}/e3vi
ln -sf %{_bindir}/e3 %{buildroot}%{_bindir}/e3ne

mkdir -p %{buildroot}%{_mandir}/man1/
install -m 644 e3.man %{buildroot}%{_mandir}/man1/e3.1
ln -sf %{_mandir}/man1/e3.1 %{buildroot}%{_mandir}/man1/e3ws.1
ln -sf %{_mandir}/man1/e3.1 %{buildroot}%{_mandir}/man1/e3em.1
ln -sf %{_mandir}/man1/e3.1 %{buildroot}%{_mandir}/man1/e3pi.1
ln -sf %{_mandir}/man1/e3.1 %{buildroot}%{_mandir}/man1/e3vi.1
ln -sf %{_mandir}/man1/e3.1 %{buildroot}%{_mandir}/man1/e3ne.1

%files
%doc README* ChangeLog COPY*
%{_bindir}/e3*
%{_mandir}/man1/%{name}*
