%define major   0
%define libname %mklibname %{name}-core %{major}

Summary:	Toolset to accelerate the boot process as well as application startups
Name:		e4rat
Version:	0.2.3
Release:	%mkrel 42
License:	GPLv3
Group:		System/Boot and Init
URL:		https://e4rat.sourceforge.net/
Source0:	https://sourceforge.net/projects/e4rat/files/%{name}_%{version}_src.tar.gz
Patch0:		git.diff
Patch1:		e4rat-0.2.2-libdir.patch
Patch2:		e4rat-0.2.3-shared-build.patch
Patch3:		e4rat-0.2.3-gcc7.patch
Patch4:		e4rat-0.2.3-glibc-2.28.patch
Patch5:		e4rat-boost-placeholders.patch
# Originally from Alt
Patch50:	e4rat-0.2.3-boost-1.76.0-compat.patch
# Originally from Arch e4rat-lite
Patch60:	e4rat-addSyscall.patch
Patch61:	e4rat-boost-1.85.patch
BuildRequires:	cmake
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	pkgconfig(blkid)
BuildRequires:	pkgconfig(audit)
BuildRequires:	auparse-devel
BuildRequires:	libstdc++-devel

%description
e4rat ("Ext4 - Reducing Access Times") is a toolset to accelerate the boot
process as well as application startups. Through physical file realloction
e4rat eliminates both seek times and rotational delays. This leads to a high
disk transfer rate.

Placing files on disk in a sequentially ordered way allows to efficiently
read-ahead files in parallel to the program startup. The combination of
sequentially reading and a high cache hit rate may reduce the boot time by a
factor of three, as the example below shows.

e4rat is based on the online defragmentation ioctl EXT4_IOC_MOVE_EXT from the
Ext4 filesystem, which was introduced in Linux Kernel 2.6.31. Other filesystem
types and/or earlier versions of extended filesystems are not supported.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n %{libname}
Main library for %{name}.

%prep
%autosetup -p1

sed -i -e '/Boost_USE_MULTITHREADED/d' CMakeLists.txt

%build
%cmake
%cmake_build

%install
%cmake_install

mkdir -p %buildroot/var/lib/e4rat

%files
%doc README
%config %{_sysconfdir}/%{name}.conf
%{_sbindir}/%{name}-collect
%{_sbindir}/%{name}-preload
%{_sbindir}/%{name}-realloc
%{_mandir}/man5/%{name}.conf.5*
%{_mandir}/man8/%{name}-collect.8*
%{_mandir}/man8/%{name}-preload.8*
%{_mandir}/man8/%{name}-realloc.8*
%dir /var/lib/e4rat

%files -n %{libname}
%exclude %{_libdir}/lib*%{name}-core.so
%{_libdir}/lib*%{name}-core.so.%{major}


