Name:           easyeffects
Version:        7.2.3
Release:        %mkrel 1
Summary:        Audio equalizer, filters and effects for pipewire applications
License:        GPLv3
Group:          Sound/Mixers
Url:            https://github.com/wwmm/easyeffects
Source0:        https://github.com/wwmm/easyeffects/archive/v%{version}/easyeffects-%{version}.tar.gz

BuildRequires:  appstream-util
BuildRequires:  boost-devel >= 1.72
BuildRequires:  desktop-file-utils
BuildRequires:  itstool
BuildRequires:  ladspa-devel
BuildRequires:  libxml2-utils
BuildRequires:  meson
BuildRequires:  pkgconfig(gsl)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(fmt)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(gtkmm-4.0)
BuildRequires:  pkgconfig(glibmm-2.68)
BuildRequires:  pkgconfig(gstreamer-1.0) >= 1.12
BuildRequires:  pkgconfig(gstreamer-plugins-bad-1.0) >= 1.12
BuildRequires:  pkgconfig(nlohmann_json)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(libbs2b)
BuildRequires:  pkgconfig(libebur128)
BuildRequires:  pkgconfig(lilv-0)
BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(rnnoise)
BuildRequires:  pkgconfig(rubberband)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(sigc++-2.0)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(speex)
BuildRequires:  pkgconfig(speexdsp)
BuildRequires:  pkgconfig(soundtouch)
BuildRequires:  pkgconfig(tbb)
BuildRequires:  zita-convolver-devel >= 3.1.0

Requires:       gstreamer1.0-ladspa >= 1.12
Requires:       gstreamer1.0-plugins-good >= 1.12
Requires:       ladspa-plugins-swh >= 0.4
Requires:       lv2-calf-plugins >= 0.90.0

Recommends:     mda-lv2
Recommends:     ladspa-zam-plugins
Recommends:     lv2-zam-plugins
Recommends:     rubberband
Recommends:     zam-plugins
Recommends:     lsp-plugins

%description
Limiters, compressor, reverberation, high-pass filter, low pass filter,
equalizer many more effects for PipeWire applications.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

desktop-file-install %{buildroot}%{_datadir}/applications/com.github.wwmm.%{name}.desktop \
    --add-category='X-Mageia-CrossDesktop' \
    --dir=%{buildroot}%{_datadir}/applications

%find_lang %{name} --all-name --with-gnome

%files -f %{name}.lang
%doc README.md
%license LICENSE
%{_bindir}/easyeffects
%{_datadir}/applications/com.github.wwmm.easyeffects.desktop
%{_datadir}/glib-2.0/schemas/com.github.wwmm.easyeffects*.gschema.xml
%{_datadir}/icons/hicolor/*/apps/com.github.wwmm.easyeffects*.svg
%{_metainfodir}/com.github.wwmm.easyeffects.metainfo.xml
%{_datadir}/dbus-1/services/com.github.wwmm.easyeffects.service
