%define liblcf_version %(echo %{version} | cut -d'.' -f-3)

Name:           easyrpg-player
Version:        0.8.1
Release:        %mkrel 1
Summary:        RPG Maker 2000/2003 and EasyRPG games interpreter
Group:          Games/Other
License:        GPLv3+
URL:            https://easyrpg.org
Source0:        https://easyrpg.org/downloads/player/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  icoutils
BuildRequires:  fluidsynth
BuildRequires:  pkgconfig(fluidsynth)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  cmake(liblcf) >= %{liblcf_version}
BuildRequires:  cmake(fmt)
BuildRequires:  pkgconfig(libmpg123)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libxmp)
BuildRequires:  pkgconfig(opusfile)
BuildRequires:  pkgconfig(pixman-1)
BuildRequires:  pkgconfig(ruby)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(speexdsp)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(wildmidi)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(zlib)

%description
EasyRPG Player is a game interpreter to play RPG Maker 2000, 2003 and
EasyRPG games. It uses liblcf to read RPG Maker game data.

It aims to be a free (as in freedom) cross-platform RPG Maker 2000/2003
interpreter. The main goal is to play all games created with them
as the original game interpreter (RPG_RT) does.

Run "%{name}" in the main directory of a RPG Maker 2000/2003
game project to launch it using EasyRPG.

%prep
%autosetup -p1

%build
%cmake -DCMAKE_INSTALL_BINDIR=%{_gamesbindir}
%cmake_build

%install
%cmake_install

rm -rf  %{buildroot}%{_datadir}/pixmaps/

%files
%doc README.md
%license COPYING
%{_datadir}/applications/%{name}.desktop
%{_datadir}/bash-completion/completions/%{name}
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_metainfodir}/%{name}.metainfo.xml
%{_mandir}/man6/%{name}.6*
