# disable nautilus extension because it's not compatible with
# Nautilus 43 which has switched to GTK4
%bcond_with nautilus

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Tag editor for MP3, OGG files
Name:		easytag
Version:	2.4.3
Release:	%mkrel 9
# Program is GPL only the included libapetag is LGPL
License:	GPLv2+ and LGPLv2+
Group:		Sound/Utilities
URL:		https://wiki.gnome.org/Apps/EasyTAG
Source0:	https://download.gnome.org/sources/easytag/%{url_ver}/%{name}-%{version}.tar.xz
Patch02:	02_fix-ogg-corruption.patch
Patch03:	easytag-taglib-2.patch

# Needed for AppData.
BuildRequires:	libtool
BuildRequires:	yelp-tools
BuildRequires:	appdata-tools >= 0.1.7
# provide appdata-xml.m4
BuildRequires:	pkgconfig(appstream-glib)

BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	id3lib-devel
BuildRequires:	pkgconfig(id3tag)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(wavpack)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(taglib)
BuildRequires:	pkgconfig(opusfile)
%if %{with nautilus}
BuildRequires:	pkgconfig(libnautilus-extension)
%endif
BuildRequires:	docbook-dtds
BuildRequires:	docbook-style-xsl
BuildRequires:	xsltproc

%if %{without nautilus}
Obsoletes:	easytag-nautilus < %{version}-%{release}
Provides:	easytag-nautilus = %{version}-%{release}
%endif

%description
EasyTAG is an utility for viewing and editing tags of MP3, MP2, FLAC,
Ogg Vorbis, MP4/AAC, MusePack, Wavpack, Speex and Monkey's Audio
files. Its simple and nice GTK+ interface makes tagging easier under
GNU/Linux.
Features:
- View, edit, write tags of MP3, MP2 files (ID3 tag with pictures),
  FLAC files (FLAC Vorbis tag), Ogg Vorbis files (Ogg Vorbis tag),
  MP4/AAC (MP4/AAC tag), and MusePack, Wavpack, Monkey's Audio files
  (APE tag), Speex files,
- Auto tagging: parse filename and directory to complete automatically
  the fields (using masks),
- Ability to rename files and directories from the tag (using masks) or by
  loading a text file,
- Process selected files of the selected directory,
- Recursion for tagging, removing, renaming, saving...,
- Can set a field (artist, title,...) to all other files,
- Read file header information (bitrate, time, ...) and display them,
- Ability to open a directory or a file with an external program,
- CDDB support (manual and automatic search),
- A tree based browser or a view by Artist & Album,
- A playlist generator window,

%if %{with nautilus}
%package nautilus
Summary:	Nautilus extension for opening in EasyTAG
Group:		Sound/Utilities
License:	GPLv3+
Requires:	%{name} = %{version}-%{release}

%description nautilus
Nautilus extension to add "Open with EasyTAG" to the Nautilus context menu, for
easier access to EasyTAG when opening directories and audio files.
%endif

%prep
%autosetup -p1

%build
NOCONFIGURE=1 ./autogen.sh
%configure --disable-tests \
%ifarch %{ix86} %{arm32}
           --disable-mp4 \
%endif
           --disable-appdata-validate
%make_build

%install
%make_install
%find_lang %{name} --with-gnome

desktop-file-install \
	--vendor="" \
	--remove-mime-type="inode/directory" \
	--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/*

%if %{with nautilus}
rm %buildroot%{_libdir}/nautilus/extensions-3.0/libnautilus-easytag.la
%endif

%check
make check

%files -f %{name}.lang
%doc ChangeLog README TODO THANKS HACKING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/icons/hicolor/*/apps/%{name}-symbolic.*
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/glib-2.0/schemas/*

%if %{with nautilus}
%files nautilus
%{_libdir}/nautilus/extensions-3.0/libnautilus-easytag.so
%{_datadir}/metainfo/%{name}-nautilus.metainfo.xml
%endif
