%define soname 16
%define libname_orig lib%{name}
%define libname %mklibname %{name} %{soname}
%define develname %mklibname %{name} -d

Summary:	Library for reading EB/EPWING files
Name:		eb
Version:	4.4.3
Release:	%mkrel 7
Group:		System/Internationalization
License:	BSD
URL:		https://www.sra.co.jp/people/m-kasahr/eb/
Source0:	ftp://ftp.sra.co.jp/pub/misc/eb/%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-fdr-aclocal-conf-libdir.patch
Patch1:		%{name}-gcc14.patch
BuildRequires:	pkgconfig(zlib)
Requires:	%{libname} = %{version}

%description
Eb is a library for reading EB/EPWING files.

%package -n	%{libname}
Summary:	Eb library
Group:		System/Internationalization
Provides:	%{libname_orig} = %{version}-%{release}

%description -n	%{libname}
Eb library.

%package -n	%{develname}
Summary:	Headers of %{name} for development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Eb development package: static libraries, header files, and the like.

%prep
%setup -q
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static --sysconfdir=%{_libdir}
%make_build

%install
%make_install


rm -f %{buildroot}%{_libdir}/*.la
rm -rf tmp
mkdir -p tmp
mv %{buildroot}%{_datadir}/%{name}/doc tmp/html

%find_lang %{name}
%find_lang %{name}utils

cat %{name}utils.lang >> %{name}.lang

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/%{name}*
%{_datadir}/%{name}

%files -n %{libname}
%doc COPYING
%{_libdir}/lib%{name}.so.%{soname}{,.*}

%files -n %{develname}
%doc COPYING tmp/html
%{_datadir}/aclocal/*
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}
%{_libdir}/%{name}.conf
