%define major 3
%define libname %mklibname %{name}  %{major}
%define develname %mklibname %{name} -d

Name:		ecap
Epoch:		1
Version:	1.0.1
Release:	%mkrel 5
Summary:	eCAP library
License:	BSD
Group:		Networking/Other
URL:		https://www.e-cap.org/
Source:		https://www.measurement-factory.com/tmp/ecap/libecap-%{version}.tar.gz
BuildRequires:	kernel-headers

%description
eCAP is a software interface that allows a network application, such as an 
HTTP proxy or an ICAP server, to outsource content analysis and adaptation 
to a loadable module. For each applicable protocol message being 
processed, an eCAP-enabled application supplies the message details to the 
adaptation module and gets back an adapted message or a "not interested" 
response. These exchanges often include message bodies.

%package -n     %{libname}
Summary:        Main library for ecap
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
eCAP is a software interface that allows a network application, such as an 
HTTP proxy or an ICAP server, to outsource content analysis and adaptation 
to a loadable module. For each applicable protocol message being 
processed, an eCAP-enabled application supplies the message details to the 
adaptation module and gets back an adapted message or a "not interested" 
response. These exchanges often include message bodies.


%package -n     %{develname}
Summary:        Header files for the ecap library
Group:          Development/C
Requires:       %{name} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
eCAP is a software interface that allows a network application, such as an
HTTP proxy or an ICAP server, to outsource content analysis and adaptation
to a loadable module. For each applicable protocol message being
processed, an eCAP-enabled application supplies the message details to the
adaptation module and gets back an adapted message or a "not interested"
response. These exchanges often include message bodies.
These are devel files.

%prep
%setup -q -n libecap-%{version}

# make autoreconf happy
sed -i -e 's,\(^AM_INIT_AUTOMAKE(\[\),\1foreign ,' configure.in

%build
# fix build on aarch64
autoreconf -vfi

%configure --enable-shared --enable-std-include
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/libecap.la

%files -n %{libname}
%doc LICENSE
%{_libdir}/libecap.so.%{major}{,.*}

%files  -n %{develname}
%{_includedir}/libecap/*
%{_libdir}/libecap.so
%{_libdir}/libecap.a
%{_libdir}/pkgconfig/libecap.pc
