%define major 24
%define libname %mklibname %{name} %{major}

%define cmajor 1
%define libc %mklibname %{name}c %{cmajor}

%define kvmajor 10
%define libkv %mklibname kvutils %{kvmajor}

%define develname %mklibname %{name} -d

Summary:	Sound processing, multitrack recording, and mixing tools
Name:		ecasound
Version:	2.9.3
Release: 	%mkrel 1
License: 	GPLv2+
Group: 		Sound/Editors and Converters
URL: 		https://ecasound.seul.org/ecasound/
Source0: 	https://ecasound.seul.org/download/%{name}-%{version}.tar.gz
Source1:        %{name}16.png
Source2:        %{name}32.png
Source3:        %{name}48.png
Patch0:		ecasound-2.9.1-shared.patch
Patch1:		ecasound-shellbang_fix.diff
Patch2:		ecasound-linkage_fix.diff
Patch3:		ecaound-2.9.3-mga-literal-format.patch
Patch4:		ecasound-2.8.1-ruby19dir.patch
BuildRequires:  autoconf
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(audiofile)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(liboil-0.3)
BuildRequires:	pkgconfig(liblo)
BuildRequires:	pkgconfig(lilv-0)
BuildRequires:	ruby
BuildRequires:	pkgconfig(ruby)

%description
Ecasound is a software package designed for multitrack audio processing. It can
be used for simple tasks like audio playback, recording and format conversions,
as well as for multitrack effect processing, mixing, recording and signal
recycling. Ecasound supports a wide range of audio inputs, outputs and effect
algorithms. Effects and audio objects can be combined in various ways, and
their parameters can be controlled by operator objects like oscillators and
MIDI-CCs. A versatile console mode user-interface is included in the package.

%package -n	%{libname}
Summary: 	Shared libraries for Ecasound
Group: 		System/Libraries
Obsoletes:	%{mklibname ecasound 22}

%description -n	%{libname}
Ecasound is a software package designed for multitrack audio processing. It can
be used for simple tasks like audio playback, recording and format conversions,
as well as for multitrack effect processing, mixing, recording and signal
recycling. Ecasound supports a wide range of audio inputs, outputs and effect
algorithms. Effects and audio objects can be combined in various ways, and
their parameters can be controlled by operator objects like oscillators and
MIDI-CCs. A versatile console mode user-interface is included in the package.

This package contains the shared Ecasound libraries.

%package -n     %{libc}
Summary:        Shared libraries for Ecasound
Group:          System/Libraries
Conflicts:      %{_lib}ecasound23 < 2.8.1-4

%description -n %{libc}
Ecasound is a software package designed for multitrack audio processing. It can
be used for simple tasks like audio playback, recording and format conversions,
as well as for multitrack effect processing, mixing, recording and signal
recycling. Ecasound supports a wide range of audio inputs, outputs and effect
algorithms. Effects and audio objects can be combined in various ways, and
their parameters can be controlled by operator objects like oscillators and
MIDI-CCs. A versatile console mode user-interface is included in the package.

This package contains the shared Ecasoundc library.

%package -n     %{libkv}
Summary:        Shared libraries for Ecasound
Group:          System/Libraries
Conflicts:      %{_lib}ecasound23 < 2.8.1-4

%description -n %{libkv}
Ecasound is a software package designed for multitrack audio processing. It can
be used for simple tasks like audio playback, recording and format conversions,
as well as for multitrack effect processing, mixing, recording and signal
recycling. Ecasound supports a wide range of audio inputs, outputs and effect
algorithms. Effects and audio objects can be combined in various ways, and
their parameters can be controlled by operator objects like oscillators and
MIDI-CCs. A versatile console mode user-interface is included in the package.

This package contains the shared kvutils library.

%package -n	ruby-ecasound
Summary:        Ruby bindings to ecasound control interface
Group:          Sound/Editors and Converters
Requires:       ecasound
Obsoletes:      rubyecasound
Provides:       rubyecasound

%description -n	ruby-ecasound
Ruby bindings to Ecasound Control Interface (ECI).

%package -n	%{develname}
Summary: 	Ecasound - development files
Group: 		Development/Other
Requires:	%{libname} = %{version}
Requires:	%{libc} = %{version}
Requires:	%{libkv} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname ecasound 22 -d}

%description -n	%{develname}
The ecasound-devel package contains the header files and libraries necessary
for building apps like ecawave and ecamegapedal that directly link against
ecasound libraries.

%prep
%autosetup -p1

%build
autoreconf -fiv
%configure \
    --disable-static \
    --enable-liboil \
    --disable-pyecasound \
    --disable-dependency-tracking \
    --enable-sys-readline
%make_build

%install
%make_install ECA_S_RUBY_SITEDIR="%{ruby_vendorlibdir}"

find %{buildroot} -name '*.la' -delete

# ecamonitor is python2 only and not supported until upstream ports it
rm -rf %{buildroot}%{_bindir}/ecamonitor

# Icons
install -m644 %{SOURCE1} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE2} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE3} -D %{buildroot}%{_liconsdir}/%{name}.png

# Menu

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=Sound processing, multitrack recording, and mixing tools
Exec=%{name} -c
Icon=%{name}
Terminal=false
Type=Application
Categories=AudioVideo;Audio;
EOF

%if 0
cat > %{buildroot}%{_datadir}/applications/ecamonitor.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=Sound processing, multitrack recording, and mixing tools
Exec=ecamonitor
Icon=%{name}
Terminal=false
Type=Application
Categories=AudioVideo;Audio;
EOF
%endif

cat > %{buildroot}%{_datadir}/applications/ecasignalview.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=Sound processing, multitrack recording, and mixing tools
Exec=ecasignalview
Icon=%{name}
Terminal=false
Type=Application
Categories=AudioVideo;Audio;
EOF

%files -n %{libname}
%{_libdir}/libecasound.so.%{major}{,.*}

%files -n %{libc}
%{_libdir}/libecasoundc.so.%{cmajor}{,.*}

%files -n %{libkv}
%{_libdir}/libkvutils.so.%{kvmajor}{,.*}

%files
%doc NEWS COPYING COPYING.GPL COPYING.LGPL README BUGS TODO examples
%doc Documentation/*.html
%{_bindir}/eca*
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/*.desktop

%files -n ruby-ecasound
%{ruby_vendorlibdir}/*.rb

%files -n %{develname}
%{_bindir}/libecasound-config
%{_bindir}/libecasoundc-config
%{_includedir}/kvutils/*.h
%{_includedir}/libecasound/*.h
%{_includedir}/libecasoundc/*.h
%{_libdir}/*.so
