%global gittag 5.9.0.202009080501-r

Name:             eclipse-egit
Version:          5.9.0
Release:          %mkrel 2
Group:            Development/Java
Summary:          Eclipse Git Integration

License:          EPL-2.0
URL:              https://www.eclipse.org/egit
Source0:          https://git.eclipse.org/c/egit/egit.git/snapshot/egit-%{gittag}.tar.xz

BuildRequires:    tycho
BuildRequires:    maven-antrun-plugin
BuildRequires:    eclipse-platform
BuildRequires:    eclipse-jdt
BuildRequires:    eclipse-jgit >= %{version}
BuildRequires:    jgit >= %{version}
BuildRequires:    eclipse-license2
Requires:         eclipse-platform
Requires:         eclipse-jgit >= %{version}
Requires:         jgit >= %{version}

BuildArch:        noarch

# Upstream Eclipse no longer supports non-64bit arches
ExcludeArch: s390 %{arm} %{ix86}

# Obsoletes added in F32
Obsoletes: %{name}-mylyn <= 5.6.0-2
Obsoletes: %{name}-github <= 5.6.0-2

%description
The eclipse-egit package contains Eclipse plugins for
interacting with Git repositories.

%prep
%setup -q -n egit-%{gittag}

# Disable unnecessary plugins for RPM builds
%pom_remove_plugin :maven-enforcer-plugin

%pom_xpath_remove "pom:repositories"
%pom_xpath_remove "pom:dependencies"
%pom_xpath_remove "pom:profiles"
%pom_xpath_remove "pom:build/pom:plugins/pom:plugin/pom:configuration/pom:target"
%pom_xpath_remove "*[local-name() ='plugin' and (child::*[text()='tycho-packaging-plugin'])]"
%pom_xpath_remove "pom:dependencies" org.eclipse.egit.doc/pom.xml
%pom_disable_module org.eclipse.egit.repository
%pom_disable_module org.eclipse.egit.source-feature
%pom_disable_module org.eclipse.egit.target

# Don't build mylyn feature
%pom_disable_module org.eclipse.egit.mylyn.ui
%pom_disable_module org.eclipse.egit.mylyn-feature

# Relax jsch dep
sed -i -e 's/0\.1\.55/0.1.54/' org.eclipse.egit-feature/feature.xml

# Ensure correct apache sshd bundle gets symlinked
sed -i -e '/jsch/a<import plugin="org.apache.sshd.osgi"/>' org.eclipse.egit-feature/feature.xml

# Relax junit restriction
sed -i -e '/org\.junit/s/4\.13/4.12/' $(grep -r -l --include MANIFEST.MF org.junit)

# Disable tests
%pom_disable_module org.eclipse.egit.core.test
%pom_disable_module org.eclipse.egit.ui.test
%pom_disable_module org.eclipse.egit.gitflow.test
%pom_disable_module org.eclipse.egit.mylyn.ui.test
%pom_disable_module org.eclipse.egit.core.junit

%mvn_package "::pom::" __noinstall
%mvn_package :* egit

%build
%mvn_build -j -f

%install
%mvn_install

%files -f .mfiles-egit
%license LICENSE
%doc README.md


