%global eclipse_base     %{_libdir}/eclipse
%global eclipse_dropin   %{_datadir}/eclipse/dropins

# Note: Use the tag in get-mdt-ocl.sh as the context qualifier because it's
#       later than the tags of the individual plugins.
%global contextQualifier v201006151000

Name:      eclipse-emf-query
Version:   1.4.0
Release:   %mkrel 2
Summary:   Specify and execute queries against EMF models
Group:     Development/Java 
License:   EPL
URL:       https://www.eclipse.org/modeling/emf/?project=query

# source tarball and the script used to generate it from upstream's source control
# script usage:
# $ sh get-emf-query.sh
Source0:   emf-query-%{version}.tar.gz
Source1:   get-emf-query.sh

BuildArch:        noarch

BuildRequires:    java-devel
BuildRequires:    jpackage-utils
BuildRequires:    eclipse-pde >= 1:3.6.0
BuildRequires:    eclipse-emf >= 2.6.0
BuildRequires:    eclipse-mdt-ocl >= 3.0.0
Requires:         java
Requires:         jpackage-utils
Requires:         eclipse-platform >= 1:3.6.0
Requires:         eclipse-emf >= 2.6.0
Requires:         eclipse-mdt-ocl >= 3.0.0

%description
The query component facilitates the process of search and retrieval of model
elements of interest in a flexible yet controlled and structured manner.
Provides API support for the basic EObject based Condition objects that are
used to formulate queries for EMF models.

#TODO - sdk/examples subpackages?

%prep
%setup -q -n emf-query-%{version}

# make sure upstream hasn't sneaked in any jars we don't know about
JARS=""
for j in `find -name "*.jar"`; do
  if [ ! -L $j ]; then
    JARS="$JARS $j"
  fi
done
if [ ! -z "$JARS" ]; then
   echo "These jars should be deleted and symlinked to system jars: $JARS"
   exit 1
fi

# remove spurious exec permissions from docs
find -wholename "*/rootfiles/*" | xargs chmod -x

%build
# build emf-query features
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.emf.query \
  -d "emf ocl" -a "-DforceContextQualifier=%{contextQualifier}"
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.emf.query.ocl \
  -d "emf ocl" -a "-DforceContextQualifier=%{contextQualifier}"

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{eclipse_dropin}
unzip -q -n -d %{buildroot}%{eclipse_dropin}/emf-query build/rpmBuild/org.eclipse.emf.query.zip
unzip -q -n -d %{buildroot}%{eclipse_dropin}/emf-query build/rpmBuild/org.eclipse.emf.query.ocl.zip

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{eclipse_dropin}/emf-query
%doc org.eclipse.emf.query-feature/rootfiles/*

