%global git_version R4_0_0

Name:      eclipse-gef
Version:   3.11.0

Release:   %mkrel 7
Group:     Development/Java
Summary:   Graphical Editing Framework (GEF) Eclipse plug-in
License:   EPL-1.0
URL:       https://www.eclipse.org/gef/

Source0:   https://git.eclipse.org/c/gef/org.eclipse.gef.git/snapshot/org.eclipse.gef-%{git_version}.tar.xz

BuildArch:        noarch

# Upstream Eclipse no longer supports non-64bit arches
ExcludeArch: s390 %{arm} %{ix86}

BuildRequires:    tycho
BuildRequires:    maven-antrun-plugin
BuildRequires:    maven-dependency-plugin
BuildRequires:    eclipse-pde >= 1:4.4.0
BuildRequires:    eclipse-license
BuildRequires:    ant-contrib
Requires:         eclipse-platform >= 1:4.4.0

# Obsoletes added in F30
Obsoletes:  %{name}-examples < %{version}-%{release}

%description
The Graphical Editing Framework (GEF) allows developers to create a rich
graphical editor from an existing application model. GEF is completely
application neutral and provides the groundwork to build almost any
application, including but not limited to: activity diagrams, GUI builders,
class diagram editors, state machines, and even WYSIWYG text editors.

%package   sdk
Summary:   Eclipse GEF SDK
Requires:  eclipse-pde >= 1:4.4.0
Requires:  %{name} = %{version}-%{release}
Obsoletes: %{name}-tests < %{version}-%{release}

%description sdk
Documentation and source for the Eclipse Graphical Editing Framework (GEF).

%prep
%setup -q -n org.eclipse.gef-%{git_version}

find -name *.jar -exec rm -rf {} \;
find -name *.class -exec rm -rf {} \;

%pom_remove_plugin org.eclipse.tycho:tycho-packaging-plugin org.eclipse.gef.releng/pom.xml

# Don't ship examples
for m in .flow .logic .shapes .text .ui.capabilities .source-feature -feature ; do
	%pom_disable_module "../org.eclipse.gef.examples$m" org.eclipse.gef.releng
done
# Don't ship tests
%pom_disable_module "../org.eclipse.draw2d.tests" org.eclipse.gef.releng
%pom_disable_module "../org.eclipse.gef.tests" org.eclipse.gef.releng
%pom_disable_module "../org.eclipse.zest.tests" org.eclipse.gef.releng

# Not needed for RPM builds
%pom_disable_module "../org.eclipse.gef.all-feature" org.eclipse.gef.releng
%pom_disable_module "../org.eclipse.gef.repository" org.eclipse.gef.releng

%mvn_package "org.eclipse.gef:" __noinstall
%mvn_package "::jar:sources:" sdk
%mvn_package ":*.{sdk,source,capabilities,doc.isv,examples.ui.pde}" sdk
%mvn_package ":" core

%build
%mvn_build -j -f -- -f org.eclipse.gef.releng/pom.xml -P !MARS.target

%install
%mvn_install

%files -f .mfiles-core

%files sdk -f .mfiles-sdk


