%global gittag 5.9.0.202009080501-r

Name:           eclipse-jgit
Version:        5.9.0
Release:        %mkrel 1
Group:          Development/Java
Summary:        Eclipse JGit

# The jgit Eclipse plug-ins are "EDL" licensed, which is equivilent to the new BSD license
License:        BSD
URL:            https://www.eclipse.org/jgit/
Source0:        https://git.eclipse.org/c/jgit/jgit.git/snapshot/jgit-%{gittag}.tar.xz

# Set the correct classpath for the command line tools
Patch0:         0001-Ensure-the-correct-classpath-is-set-for-the-jgit-com.patch
# Switch to feature requirements for third-party bundles, also makes the following changes:
#  javaewah -> com.googlecode.javaewah.JavaEWAH
#  org.slf4j.api -> slf4j.api
#  org.slf4j.impl.log4j12 -> slf4j.simple
Patch1:         0002-Don-t-embed-versions-of-third-party-libs-use-feature.patch

BuildArch: noarch

# Upstream Eclipse no longer supports non-64bit arches
ExcludeArch: s390 %{arm} %{ix86}

BuildRequires:  tycho
BuildRequires:  jgit = %{version}

Requires:       eclipse-platform
Requires:       jgit = %{version}

%description
A pure Java implementation of the Git version control system.

%prep
%setup -n jgit-%{gittag} -q
%patch -P 0 -p1
%patch -P 1 -p1

# Disable multithreaded build
rm .mvn/maven.config

# Don't try to get deps from local *maven* repo, use tycho resolved ones
for p in $(find org.eclipse.jgit.packaging -name pom.xml) ; do
  grep -q dependencies $p && %pom_xpath_remove "pom:dependencies" $p
done

# Don't need target platform or repository modules with xmvn
%pom_disable_module org.eclipse.jgit.target org.eclipse.jgit.packaging
%pom_disable_module org.eclipse.jgit.repository org.eclipse.jgit.packaging
%pom_xpath_remove "pom:build/pom:pluginManagement/pom:plugins/pom:plugin/pom:configuration/pom:target" org.eclipse.jgit.packaging/pom.xml

# Don't build source features
%pom_disable_module org.eclipse.jgit.source.feature org.eclipse.jgit.packaging

# Don't build junit testing features
%pom_disable_module org.eclipse.jgit.junit.feature org.eclipse.jgit.packaging

# Remove unnecessary plugins for RPM builds
%pom_remove_plugin :maven-enforcer-plugin org.eclipse.jgit.packaging

pushd org.eclipse.jgit.packaging
%mvn_package "::pom::" __noinstall
popd

%build
pushd org.eclipse.jgit.packaging
%mvn_build -j
popd

%install
pushd org.eclipse.jgit.packaging
%mvn_install
popd

%files -f org.eclipse.jgit.packaging/.mfiles
%license LICENSE
%doc README.md


