%global install_loc          %{_datadir}/eclipse/droplets/m2e-core
%global release_dir          releases/1.6/1.6.2.20150902-0002

Name:           eclipse-m2e-core
Version:        1.6.2
Release:        %mkrel 5
Summary:        Maven integration for Eclipse

Group:          Development/Java
# Most of components are under EPL, but some of them are licensed under
# ASL 2.0 license.
License:        EPL and ASL 2.0
URL:            https://eclipse.org/m2e/

Source0:        https://git.eclipse.org/c/m2e/m2e-core.git/snapshot/%{release_dir}.tar.xz
Source1:        https://www.eclipse.org/legal/epl-v10.html

# Add some necessary stuff (mainly requires & imports) to manifests
Patch0:         %{name}-fix-manifests.patch

# AbstractResourceFetcher is now ResourceFetcher (interface)
Patch1:         %{name}-m2e.core-resourcefetcher.patch

# Method returns collection of ArtifactInfo instances rather than just one
Patch2:         %{name}-artifactinfo-return-type.patch

# API change in maven-indexer 5.1.1
Patch4:        %{name}-indexer-5.1.1.patch
Patch6:        %{name}-NexusIndexManager.patch

# API change in aether (remove once implemented)
Patch5:        %{name}-LifecycleMappingFactory.patch

# Port tests to Jetty 8
Patch7:        %{name}-jetty-8.patch

# Remove "mandatory" attirbutes from OSGi manifests, which cause problems with P2.
# See https://dev.eclipse.org/mhonarc/lists/p2-dev/msg05465.html
Patch8:        %{name}-mandatory-OSGi-attributes.patch

# FSDirectory class has a different api than what m2e appears to expect
Patch9:        %{name}-lucene-fsdirectory.patch

BuildArch:      noarch

# Maven build-requires for the main build.  After successfull build
# they can be regenerated with the following command:
#   xmvn-builddep <path-to-build-log>
BuildRequires:  maven-local
BuildRequires:  eclipse-license
BuildRequires:  lucene3
BuildRequires:  lucene3-contrib
BuildRequires:  mvn(io.takari.m2e.workspace:org.eclipse.m2e.workspace.cli)
BuildRequires:  mvn(org.codehaus.modello:modello-maven-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:  mvn(org.eclipse.tycho:target-platform-configuration)
BuildRequires:  mvn(org.eclipse.tycho:tycho-maven-plugin)
BuildRequires:  mvn(org.eclipse.tycho:tycho-source-plugin)
BuildRequires:  mvn(org.sonatype.forge:forge-parent:pom:)

# Additional Maven build-requires for m2e-maven-runtime.  They cannot
# be regenerated using xmvn-builddep because m2e-maven-runtime is not
# built using %%mvn_build.
BuildRequires:  mvn(com.google.guava:guava)
BuildRequires:  mvn(io.takari.aether:aether-connector-okhttp)
BuildRequires:  mvn(io.takari.aether:takari-local-repository)
BuildRequires:  mvn(io.takari:takari:pom:)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.archetype:archetype-common)
BuildRequires:  mvn(org.apache.maven.indexer:indexer-core)
BuildRequires:  mvn(org.apache.maven:maven-compat)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-embedder)
BuildRequires:  mvn(org.apache.maven.wagon:wagon-file)
BuildRequires:  mvn(org.eclipse.aether:aether-impl)
BuildRequires:  mvn(org.eclipse.aether:aether-transport-wagon)
BuildRequires:  mvn(org.eclipse.sisu:org.eclipse.sisu.plexus)
BuildRequires:  mvn(org.eclipse.tycho:tycho-maven-plugin)
BuildRequires:  mvn(org.eclipse.tycho:tycho-p2-plugin)
BuildRequires:  mvn(org.slf4j:slf4j-simple)
BuildRequires:  mvn(org.sonatype.forge:forge-parent:pom:)
BuildRequires:  mvn(org.sonatype.plexus:plexus-build-api)
BuildRequires:  mvn(org.sonatype.sisu:sisu-guice::no_aop:)


# OSGi build-requires.  They can be regenerated with the following command:
#   sed -n 's/^Require-Bundle: //;T;:l;s/[;=,].*//;/^org.eclipse.m2e/bn;s/..*/BuildRequires:  osgi(&)/;T;p;:n;n;s/^ //;T;bl' `find -name *.MF` | sort -u
BuildRequires:  osgi(com.ibm.icu)
BuildRequires:  osgi(org.apache.lucene.queryparser)
BuildRequires:  osgi(org.apache.maven.archetype.catalog)
BuildRequires:  osgi(org.apache.maven.archetype.descriptor)
BuildRequires:  osgi(org.eclipse.compare)
BuildRequires:  osgi(org.eclipse.core.expressions)
BuildRequires:  osgi(org.eclipse.core.filebuffers)
BuildRequires:  osgi(org.eclipse.core.filesystem)
BuildRequires:  osgi(org.eclipse.core.jobs)
BuildRequires:  osgi(org.eclipse.core.resources)
BuildRequires:  osgi(org.eclipse.core.runtime)
BuildRequires:  osgi(org.eclipse.core.variables)
BuildRequires:  osgi(org.eclipse.debug.core)
BuildRequires:  osgi(org.eclipse.debug.ui)
BuildRequires:  osgi(org.eclipse.emf.common)
BuildRequires:  osgi(org.eclipse.emf.ecore)
BuildRequires:  osgi(org.eclipse.emf.ecore.edit)
BuildRequires:  osgi(org.eclipse.emf.ecore.xmi)
BuildRequires:  osgi(org.eclipse.emf.edit)
BuildRequires:  osgi(org.eclipse.equinox.common)
BuildRequires:  osgi(org.eclipse.equinox.p2.core)
BuildRequires:  osgi(org.eclipse.equinox.p2.discovery)
BuildRequires:  osgi(org.eclipse.equinox.p2.discovery.compatibility)
BuildRequires:  osgi(org.eclipse.equinox.p2.metadata)
BuildRequires:  osgi(org.eclipse.equinox.p2.operations)
BuildRequires:  osgi(org.eclipse.equinox.p2.repository)
BuildRequires:  osgi(org.eclipse.equinox.p2.ui)
BuildRequires:  osgi(org.eclipse.equinox.p2.ui.discovery)
BuildRequires:  osgi(org.eclipse.equinox.registry)
BuildRequires:  osgi(org.eclipse.jdt.core)
BuildRequires:  osgi(org.eclipse.jdt.debug)
BuildRequires:  osgi(org.eclipse.jdt.debug.ui)
BuildRequires:  osgi(org.eclipse.jdt.launching)
BuildRequires:  osgi(org.eclipse.jdt.ui)
BuildRequires:  osgi(org.eclipse.jem.util)
BuildRequires:  osgi(org.eclipse.jface)
BuildRequires:  osgi(org.eclipse.jface.text)
BuildRequires:  osgi(org.eclipse.ltk.core.refactoring)
BuildRequires:  osgi(org.eclipse.ltk.ui.refactoring)
BuildRequires:  osgi(org.eclipse.osgi)
BuildRequires:  osgi(org.eclipse.search)
BuildRequires:  osgi(org.eclipse.swt)
BuildRequires:  osgi(org.eclipse.ui)
BuildRequires:  osgi(org.eclipse.ui.console)
BuildRequires:  osgi(org.eclipse.ui.editors)
BuildRequires:  osgi(org.eclipse.ui.externaltools)
BuildRequires:  osgi(org.eclipse.ui.forms)
BuildRequires:  osgi(org.eclipse.ui.ide)
BuildRequires:  osgi(org.eclipse.ui.workbench)
BuildRequires:  osgi(org.eclipse.ui.workbench.texteditor)
BuildRequires:  osgi(org.eclipse.wst.common.emf)
BuildRequires:  osgi(org.eclipse.wst.common.uriresolver)
BuildRequires:  osgi(org.eclipse.wst.sse.core)
BuildRequires:  osgi(org.eclipse.wst.sse.ui)
BuildRequires:  osgi(org.eclipse.wst.xml.core)
BuildRequires:  osgi(org.eclipse.wst.xml.ui)
BuildRequires:  osgi(org.eclipse.wst.xsd.core)
BuildRequires:  osgi(slf4j.api)

# Build-requires for tests
BuildRequires:  jetty8

# Bundle requires are auto-generated, but explicit requires are needed
# for symlinks to JARs installed by other packages.  After installing
# m2e these requires can be regenerated with the following command:
#   rpm -qf --qf 'Requires:       %{name}\n' $(readlink $(find /usr/share/eclipse/dropins/m2e-core -type l)) | sort -u
Requires:       aether-api
Requires:       aether-connector-basic
Requires:       aether-connector-okhttp
Requires:       aether-impl
Requires:       aether-spi
Requires:       aether-transport-wagon
Requires:       aether-util
Requires:       aopalliance
Requires:       apache-commons-cli
Requires:       apache-commons-collections
Requires:       apache-commons-compress
Requires:       apache-commons-io
Requires:       apache-commons-lang
Requires:       apache-commons-logging
Requires:       atinject
Requires:       bouncycastle
Requires:       dom4j
Requires:       eclipse-m2e-workspace >= 0.4.0
Requires:       geronimo-jms
Requires:       google-guice
Requires:       guava
Requires:       jakarta-oro
Requires:       javamail
Requires:       jchardet
Requires:       jdom
Requires:       jetty8
Requires:       jetty-util
Requires:       jsr-305
Requires:       log4j12
Requires:       lucene3
Requires:       lucene3-contrib
Requires:       maven
Requires:       maven-archetype-catalog
Requires:       maven-archetype-common
Requires:       maven-archetype-descriptor
Requires:       maven-archetype-registry
Requires:       maven-artifact-manager
Requires:       maven-indexer >= 5.1.1-8
Requires:       maven-invoker
Requires:       maven-model
Requires:       maven-plugin-registry
Requires:       maven-profile
Requires:       maven-project
Requires:       maven-wagon-file
Requires:       maven-wagon-provider-api
Requires:       multithreadedtc
Requires:       objectweb-asm
Requires:       okhttp
Requires:       okio
Requires:       plexus-build-api
Requires:       plexus-cipher
Requires:       plexus-classworlds
Requires:       plexus-containers-component-annotations
Requires:       plexus-containers-container-default
Requires:       plexus-interpolation
Requires:       plexus-sec-dispatcher
Requires:       plexus-utils
Requires:       plexus-velocity
Requires:       sisu-inject
Requires:       sisu-plexus
Requires:       slf4j
Requires:       takari-filemanager
Requires:       takari-local-repository
Requires:       truezip-driver-file
Requires:       truezip-driver-zip
Requires:       truezip-file
Requires:       truezip-kernel
Requires:       velocity
Requires:       xbean
Requires:       xml-commons-apis


%description
The goal of the m2ec project is to provide a first-class Apache Maven support
in the Eclipse IDE, making it easier to edit Maven's pom.xml, run a build from
the IDE and much more. For Java developers, the very tight integration with JDT
greatly simplifies the consumption of Java artifacts either being hosted on open
source repositories such as Maven Central, or in your in-house Maven repository.

m2e is also a platform that let others provide better integration with
additional Maven plugins (e.g. Android, web development, etc.), and facilitates
the distribution of those extensions through the m2e marketplace.


%package tests
Summary:        Eclipse M2E testing helpers
Requires:       jetty8

%description tests
This package contains common code used by tests for Eclipse M2E.


%package javadoc
Group:          Documentation
Summary:        API documentation for %{name}

%description javadoc
This package contains %{summary}.


%prep
%setup -q -n %{release_dir}

find -name '*.class' -delete
find -name '*.jar' -delete

# Copy license files so they can be installed more easily.
cp -p %{SOURCE1} .
cp -p m2e-maven-runtime/org.eclipse.m2e.maven.indexer/src/main/resources/about_files/LICENSE-2.0.txt .

# These don't currently build, but don't seem to be absolutely necessary
for mod in org.eclipse.m2e.logback.appender \
           org.eclipse.m2e.logback.configuration \
           org.eclipse.m2e.logback.feature \
           org.eclipse.m2e.sdk.feature \
           org.eclipse.m2e.site
do
  %pom_disable_module $mod
  rm -rf $mod
done

# Test bundle goes to its own subpackage.
%mvn_package ":*.tests*::{}:" tests
%mvn_package ":::{}:"

# Embed all Maven dependencies.  They may be some superflous deps
# added this way, but in Fedora we don't have enough manpower to test
# dependency correctness.  And we don't even run m2e tests...
for d in `find m2e-maven-runtime/* -maxdepth 0 -type d`; do
    %pom_xpath_inject pom:instructions "<Embed-Directory>jars</Embed-Directory>" $d
    %pom_xpath_set pom:Embed-Dependency "*;scope=compile|runtime" $d
done

%autopatch -p0

# Fix incorrect bundle name and version for slf4j in manifests and POMs
sed -i 's|org.slf4j.api;bundle-version=\".*\"|slf4j.api|g' `find -name *.MF -o -name pom.xml`

sed -i -e "s/aether-connector-wagon/aether-transport-wagon/" m2e-maven-runtime/org.eclipse.m2e.maven.runtime/pom.xml

%build
# Building m2e is a two step process.  See upstream documentation:
# https://wiki.eclipse.org/M2E_Development_Environment#Building_m2e_on_command_line
repo=localrepo
xmvn -B -o install -f m2e-maven-runtime/pom.xml -Dmaven.repo.local=${repo}
%mvn_build -- -Dmaven.repo.local=${repo} -Dmaven.compiler.source=1.7 -Dmaven.compiler.target=1.7

%install

%mvn_artifact m2e-maven-runtime/$mod/pom.xml
for mod in org.eclipse.m2e.archetype.common \
           org.eclipse.m2e.maven.indexer \
           org.eclipse.m2e.maven.runtime \
           org.eclipse.m2e.maven.runtime.slf4j.simple
do
    %mvn_artifact -Dtype=eclipse-plugin m2e-maven-runtime/$mod/pom.xml m2e-maven-runtime/$mod/target/$mod-%{version}-SNAPSHOT.jar
done

%mvn_install

# Replace bundled JARs with symlinks to system JARs using XMvn Subst.  This way
# there is no need to manually synchronize JAR lists between Maven and M2E when
# some Maven dependency changes.  All that needs to be done is rebuilding M2E.
xmvn-subst -s `find %{buildroot}%{install_loc} -name jars` $extra


%files -f .mfiles
%doc org.eclipse.m2e.core/about.html
%doc epl-v10.html LICENSE-2.0.txt

%files tests -f .mfiles-tests

%files javadoc -f .mfiles-javadoc
%doc epl-v10.html LICENSE-2.0.txt

