%global eclipse_base        %{_libdir}/eclipse
%global install_loc         %{_datadir}/eclipse/dropins
# Taken from update site so we match upstream
#  https://download.eclipse.org/mylyn/archive/3.6.0/v20110608-1400/
%global qualifier           v20110608-1400

Name: eclipse-mylyn-builds
Summary: Eclipse Mylyn Builds
Version: 3.6.0
Release: %mkrel 1
License: EPL
Group: Development/Java
URL: https://www.eclipse.org/mylyn/builds/

Source0: https://git.eclipse.org/c/mylyn/org.eclipse.mylyn.builds.git/snapshot/R_3_6_0.tar.bz2

# This patches hudson.core so as to
# - remove ecf-based auto-discovery
Patch0: remove_hudson_discovery.patch
# This patches hudson.core so as to
# - use java 6 exec environment
# See Eclipse Bz: 325176.
Patch1: fix_hudson.core_plugin_java_6.patch
# Need to build google-gson feature so that we
# can symlink to system libraries
Patch2: fix_hudson_feature.patch

BuildArch: noarch

BuildRequires: java-devel >= 1.6.0
BuildRequires: eclipse-platform >= 1:3.5.0
BuildRequires: eclipse-pde >= 1:3.5.0
BuildRequires: eclipse-mylyn-commons >= 3.6.0
BuildRequires: eclipse-mylyn >= 3.6.0
BuildRequires: eclipse-mylyn-context-team >= 3.6.0
BuildRequires: eclipse-mylyn-versions >= 3.6.0
BuildRequires: eclipse-emf
# Required for RestfulHudsonClient.java. However, this will only
# work with java 1.6 and up, but that's better than not working at all.
BuildRequires: ws-jaxme
# The following is required for javax.xml.stream (apparently openjdk ships it too)
# not sure what's best here.
BuildRequires: xml-commons-apis
BuildRequires: google-gson >= 1.6.0
Requires: eclipse-mylyn >= 3.5.0
Requires: eclipse-mylyn-commons >= 3.6.0
Requires: eclipse-mylyn-context-team >= 3.6.0
Requires: eclipse-emf
Requires: eclipse-mylyn-versions >= 3.6.0
Requires: xml-commons-apis


%description
Provides a common framework to interact with continuous integration
build providers using Eclipse Mylyn.


# eclipse-mylyn-builds-hudson

%package hudson
Summary: Mylyn Builds Connector: Hudson/Jenkins
Requires: java >= 1:1.6.0
Requires: eclipse-platform >= 1:3.5.0
Requires: eclipse-mylyn-commons >= 3.6.0
Requires: ws-jaxme
Requires: google-gson >= 1.6.0
Requires: %{name} = %{version}-%{release}
Group: Development/Java

%description hudson
Support for the open source Hudson and Jenkins continuous integration servers.


%prep
%setup -q -n R_3_6_0
%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1
rm -rf orbitDeps
mkdir orbitDeps
pushd orbitDeps
ln -s %{_javadir}/google-gson.jar
popd


%build
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.mylyn.builds \
 -a "-DjavacSource=1.5 -DjavacTarget=1.5 -DforceContextQualifier=%{qualifier} -DmylynQualifier=%{qualifier}" \
 -j -DJ2SE-1.5=%{_jvmdir}/java/jre/lib/rt.jar \
 -d "mylyn mylyn-commons mylyn-context-team emf mylyn-versions"
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.mylyn.hudson \
 -a "-DjavacSource=1.6 -DjavacTarget=1.6 -DforceContextQualifier=%{qualifier} -DmylynQualifier=%{qualifier}" \
 -j -DJavaSE-1.6=%{_jvmdir}/java/jre/lib/rt.jar \
 -d "mylyn-commons" -o `pwd`/orbitDeps


%install
rm -fr %buildroot
install -d -m 755 %{buildroot}%{_datadir}/eclipse
install -d -m 755 %{buildroot}%{install_loc}/mylyn-builds
install -d -m 755 %{buildroot}%{install_loc}/mylyn-builds-hudson

unzip -q -o -d %{buildroot}%{install_loc}/mylyn-builds \
 build/rpmBuild/org.eclipse.mylyn.builds.zip
unzip -q -o -d %{buildroot}%{install_loc}/mylyn-builds-hudson \
 build/rpmBuild/org.eclipse.mylyn.hudson.zip

pushd %{buildroot}%{install_loc}/mylyn-builds-hudson/eclipse/plugins
rm com.google.gson*.jar
ln -s %{_javadir}/google-gson.jar
popd

# eclipse-mylyn-builds

%files
%{install_loc}/mylyn-builds
%doc org.eclipse.mylyn.builds-feature/epl-v10.html
%doc org.eclipse.mylyn.builds-feature/license.html


# eclipse-mylyn-builds-hudson

%files hudson
%{install_loc}/mylyn-builds-hudson
%doc org.eclipse.mylyn.hudson-feature/epl-v10.html
%doc org.eclipse.mylyn.hudson-feature/license.html


