%global git_tag b1bdab816fe2541091ed36931f933d03f02cf879

Name:           eclipse-remote
Version:        3.0.1
Release:        %mkrel 2
Group:          Development/Java
Summary:        Eclipse Remote Services plug-in
License:        EPL-1.0
URL:            https://www.eclipse.org/ptp/

Source0:        https://git.eclipse.org/c/ptp/org.eclipse.remote.git/snapshot/org.eclipse.remote-%{git_tag}.tar.xz

BuildArch:      noarch

# Upstream Eclipse no longer supports non-64bit arches
ExcludeArch: s390 %{arm} %{ix86}

BuildRequires:    tycho
BuildRequires:    tycho-extras
BuildRequires:    jsch
BuildRequires:    eclipse-pde
BuildRequires:    eclipse-license
BuildRequires:    eclipse-cdt
BuildRequires:    eclipse-tm-terminal

Requires:         jsch
Requires:         eclipse-platform

%description
Remote Services provides an extensible remote services framework.

%prep
%setup -q -n org.eclipse.remote-%{git_tag}

find -name *.jar -exec rm -rf {} \;
find -name *.class -exec rm -rf {} \;

# Remove use of tycho-sourceref-jgit (source is not a git repo)
%pom_remove_plugin org.eclipse.tycho:tycho-packaging-plugin releng/org.eclipse.remote.build/pom.xml

# Don't need to build repo or target platform for RPM builds
%pom_disable_module ../../releng/org.eclipse.remote.repo releng/org.eclipse.remote.build/pom.xml
%pom_disable_module ../../releng/org.eclipse.remote.target releng/org.eclipse.remote.build/pom.xml
%pom_xpath_remove "pom:target" releng/org.eclipse.remote.build/pom.xml

# Don't build the proxy product
%pom_disable_module ../../releng/org.eclipse.remote.proxy.server.product releng/org.eclipse.remote.build
%pom_disable_module ../../releng/org.eclipse.remote.proxy.server.linux.ppc64le releng/org.eclipse.remote.build
%pom_disable_module ../../releng/org.eclipse.remote.proxy.server.linux.x86_64 releng/org.eclipse.remote.build
%pom_disable_module ../../releng/org.eclipse.remote.proxy.server.macosx.x86_64 releng/org.eclipse.remote.build
%pom_xpath_remove "feature/plugin[@id='org.eclipse.remote.proxy.server.linux.ppc64le']" \
  features/org.eclipse.remote.proxy-feature/feature.xml
%pom_xpath_remove "feature/plugin[@id='org.eclipse.remote.proxy.server.linux.x86_64']" \
  features/org.eclipse.remote.proxy-feature/feature.xml
%pom_xpath_remove "feature/plugin[@id='org.eclipse.remote.proxy.server.macosx.x86_64']" \
  features/org.eclipse.remote.proxy-feature/feature.xml

%mvn_package "::pom::" __noinstall

%build
%mvn_build  -j -- -Dproject.build.sourceEncoding=UTF-8 \
  -DforceContextQualifier=%(date -u +%%Y%%m%%d1000) \
  -f releng/org.eclipse.remote.build/pom.xml

%install
%mvn_install

%files -f .mfiles
%license features/org.eclipse.remote-feature/epl-v10.html

