%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Enlightenment database access library
Name: 		edb
Version: 	1.0.5.050
Release: 	%mkrel 13
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		https://www.enlightenment.org/
Source: 	https://download.enlightenment.org/snapshots/LATEST/%{name}-%{version}.tar.bz2
Patch0:		0001-fix-literal.patch
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(zlib)

%description
Edb is a simple, clean high-level db access/storage library.

This package is part of the Enlightenment DR17 desktop shell.

%package -n %libname
Summary: Libraries for the %{name} package
Group: System/Libraries

%description -n %libname
Libraries for %{name}.

%package -n %libnamedev
Summary: Headers and development libraries from %{name}
Group: Development/Other
Requires: %libname = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{libname}-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description -n %libnamedev
%{name} development headers and libraries

%prep
%setup -q
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-test --disable-gtk --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc AUTHORS COPYING README src/LICENSE
%{_bindir}/edb_*

%files -n %libname
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %libnamedev
%{_libdir}/pkgconfig/*
%_libdir/libedb.so
%{_includedir}/Edb.h
