Name:		edgar
Version:	1.37
Release:	%mkrel 1
Summary:	The Legend of Edgar - 2D platform game
Group:		Games/Adventure
License:	GPLv2+
URL:		https://www.parallelrealities.co.uk/games/edgar/
Source0:	https://github.com/riksweeney/edgar/releases/download/%{version}/%{name}-%{version}-1.tar.gz

BuildRequires:	gettext
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	pkgconfig(zlib)
Requires:	%{name}-data >= %{version}

%description
The Legend of Edgar is a platform game, not unlike those found on the Amiga
and SNES. Edgar must battle his way across the world, solving puzzles and
defeating powerful enemies to achieve his quest.

Story: When his father fails to return home after venturing out one dark and
stormy night, Edgar fears the worst: he has been captured by the evil
sorcerer who lives in a fortress beyond the forbidden swamp.
Donning his armor, Edgar sets off to rescue him, but his quest will not be
easy...

%package data
Summary:	Data files for The Legend of Edgar
Group:		Games/Adventure
# License issues for the content were fixed in version 1.10
# All sounds and music are now respectively CC0 or CC-BY or CC-BY-SA
# (see $SOURCE0/doc/changes and $SOURCE0/doc/music_and_sound_licences)
License:	CC0 or CC-BY or CC-BY-SA
BuildArch:	noarch

%description data
This package contains games data files for The Legend of Edgar.

%prep
%autosetup -p1

sed -i 's/LDFLAGS += -s/:/' makefile

%build
%set_build_flags
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%{_gamesbindir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_docdir}/%{name}/
%{_mandir}/man6/%{name}.6*

%files data
%{_gamesdatadir}/%{name}/
