%define name    edje
%define version 1.7.10
%define option  0
%define svn     0
%if %option
%define rel 0.%option.3
%define namevers %name-%version-%option
%else
%define rel 1
%define namevers %name-%version
%endif
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Complex graphical design & layout library
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://trac.enlightenment.org/e/wiki/Edje
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/branches/%name-1.1 %name
# tar cJf %name-%svn.tar.xz %name
%if %svn
Source:         %name-%svn.tar.xz
%else
Source: 	https://download.enlightenment.org/releases/%namevers.tar.bz2
%endif
Patch0:     edje-add-missing-lib-lua.patch
BuildRequires:  pkgconfig
%if %svn
BuildRequires: 	pkgconfig(embryo) => %{version}-0.%svn
BuildRequires:	pkgconfig(ecore) => %{version}-0.%svn
BuildRequires:	pkgconfig(eet) => %{version}-0.%svn
BuildRequires:	pkgconfig(evas) => %{version}-0.%svn
%else
BuildRequires:  pkgconfig(embryo) => %{version}
BuildRequires:  pkgconfig(ecore) => %{version}
BuildRequires:  pkgconfig(eet) => %{version}
BuildRequires:  pkgconfig(evas) => %{version}
%endif
BuildRequires:	lua5.1-devel
BuildRequires:	doxygen
BuildRequires:	subversion
Requires:       lua5.1-devel
Requires:	eet embryo

%description
A graphical layout and animation library for animated resizable, compressed
and scalable themes.

This package is part of the Enlightenment DR17 desktop shell.

%package -n %libname
Summary: Libraries for the edje package
Group: System/Libraries

%description -n %libname
Libraries for edje.

%package -n %libnamedev
Summary: Enlightenment edje headers and development libraries
Group: Development/Other
Requires: %libname = %version
Requires: %name = %version
Provides: lib%{name}-devel = %version-%release
Provides: %{name}-devel = %version-%release

%description -n %libnamedev
Edje development headers and libraries.

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %namevers
%endif
#patch -P 0 -p1

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
%configure --disable-static
%make_build

%install
%make_install

rm -f %buildroot%{_libdir}/*.la

%files
%doc AUTHORS COPYING README 
%_bindir/%{name}_*
%_bindir/inkscape2edc
%_libdir/%name
%_datadir/%name
%_datadir/mime/packages/edje.xml

%files -n %libname
%_libdir/lib*.so.%{major}*

%files -n %libnamedev
%_libdir/lib*.so
%_libdir/pkgconfig/*.pc
%_includedir/*
