%define	name edje_viewer
%define	version 1.1.0
%define svn r81625
%define rel 5
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

Summary:	A simple viewer for edj files
Name:		%{name}
Version:	%{version}
Release:	%release
License:	BSD
Group:		Graphical desktop/Enlightenment
URL:		https://www.enlightenment.org/
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/branches/%name-1.1 %name
# tar cJf %name-%svn.tar.xz %name
%if %svn
Source:		%name-%svn.tar.xz
%else
Source: 	https://download.enlightenment.org/releases/%{name}-%{version}.tar.bz2
%endif
# commit r69192 (fix elm api)
# Patch0:		edje_viewer-fix-elm-api.patch
# Patch1:		edje_viewer-mga-fix-desktop-file.patch
Patch2: 	edje_viewer-fix-desktop.patch
Patch3:		edje_viewer-automake-1.13.patch
BuildRequires:	edje-devel >= 1.1.0-0.%svn, edje >= 1.1.0-0.%svn
BuildRequires:	ecore-devel >= 1.1.0-0.%svn
Buildrequires:	evas-devel >= 1.1.0-0.%svn
BuildRequires:	elementary-devel >= 0.8.0-0.%svn
BuildRequires:	eweather eweather-devel

%description
A simple viewer for edj files. Should provide more ease of use than the
edje viewer that comes with edje itself.

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %name-%version
%endif
%autopatch -p1

%build
NOCONFIGURE=yes ./autogen.sh
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS COPYING* README TODO
%{_bindir}/%{name}
%{_datadir}/%name
%{_datadir}/applications/%name.desktop
