%define pypi_name eduvpn_client

Name:           eduvpn-client
Version:        2.2.0
Release:        %mkrel 7
Summary:        eduVPN client
Group:          Networking/Other
License:        MIT
URL:            https://github.com/eduvpn/python-eduvpn-client
Source0:        https://files.pythonhosted.org/packages/source/e/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-dbus
BuildRequires:  python3-gobject
BuildRequires:  python3-pynacl
BuildRequires:  python3-repoze-lru
BuildRequires:  python3-requests-oauthlib
BuildRequires:  python3-future
BuildRequires:  python3-dateutil
BuildRequires:  python3-cryptography
BuildRequires:  python3-qrcode
BuildRequires:  python3-pillow
BuildRequires:  python3-mock
BuildRequires:  python3-test
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-runner
BuildRequires:  python3-pylama
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  typelib(Notify)
BuildRequires:  typelib(Gtk) < 4
Requires:       networkmanager
Provides:       letconnect-client = %{version}-%{release}
%{?python_provide:%python_provide python3-eduvpn-client}

%description
Linux eduVPN client and Python API.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files eduvpn

rm -rf %{buildroot}%{python3_sitelib}/tests

%find_lang eduVPN

%check
# tests require a notification daemon
rm -rf tests/actions
rm -f tests/test_actions.py
rm -f tests/test_manager.py
rm -f tests/test_notify.py
rm -f tests/test_nm.py
%pytest

%files -f eduVPN.lang -f %{pyproject_files}
%license LICENSE*
%doc README.md
%{_bindir}/eduvpn-*
%{_datadir}/applications/org.eduvpn.client.desktop
%{_datadir}/eduvpn/
%{_iconsdir}/hicolor/*/apps/org.eduvpn.client.png

%{_bindir}/letsconnect-*
%{_datadir}/applications/org.letsconnect-vpn.client.desktop
%{_datadir}/letsconnect/
%{_iconsdir}/hicolor/*/apps/org.letsconnect-vpn.client.png
