%define name    eet
%define version 1.7.10
%define option  0
%define svn     0
%if %option
%define rel 0.%option.4
%define namevers %name-%version-%option
%else
%define rel 2
%define namevers %name-%version
%endif
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Name:    %{name}
Version: %{version}
Release: %{release}
License: BSD
Summary: Eet library
Group: Graphical desktop/Enlightenment
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/branches/%name-1.5 %name
# tar cJf %name-%svn.tar.xz %name
%if %svn
Source:	%name-%svn.tar.xz
%else
Source:	https://download.enlightenment.org/releases/%namevers.tar.bz2
%endif
URL: http://trac.enlightenment.org/e/wiki/Eet
Patch0: eet-1.7.5-CVE-2014-4611.diff
BuildRequires: pkgconfig
BuildRequires: jpeg-devel 
BuildRequires: zlib-devel 
BuildRequires: pkgconfig(eina) >= %{version}
BuildRequires: gnutls-devel
BuildRequires: libgcrypt-devel
BuildRequires: openssl-devel
BuildRequires: doxygen

%description
Eet is a tiny library designed to write an arbitrary set of chunks of data
to a file and optionally compress each chunk (very much like a zip file)
and allow fast random-access reading of the file later on. It does not
do zip as a zip itself has more complexity than is needed, and it was much
simpler to implement this once here.

This package is part of the E17 desktop shell.

%package -n %libname
Summary: Eet library
Group: System/Libraries

%description -n %libname
This package contains the dynamic libraries from %name.

%package -n %libnamedev
Summary: Eet headers, static libraries, documentation and test programs
Group: Development/Other
Requires: %{libname} = %{version}
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release

%description -n %libnamedev
Headers and static libraries from eet

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %namevers
%endif
%patch -P 0 -p1

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
%configure --disable-static
%make_build

%install
rm -fr %buildroot
%make_install

find %buildroot -name *.la | xargs rm

%files
%doc AUTHORS COPYING README
%_bindir/%name

%files -n %libname
%_libdir/libeet.so.%{major}*

%files -n %libnamedev
%_libdir/*.so
%_libdir/pkgconfig/*.pc
%_includedir/*
%_datadir/%name


