%define Werror_cflags %nil

Name:           efax-gtk
Summary:        GTK2 front-end for efax
Version:        3.2.15
Release:        %mkrel 3
Group:          Communications/Fax
URL:            https://efax-gtk.sourceforge.net/
License:        GPLv2
Source0:        https://downloads.sourceforge.net/efax-gtk/%{name}-%{version}.src.tgz

BuildRequires:  pkgconfig
BuildRequires:  gtk2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(c++-gtk-utils-3-2.2)

Requires:       ghostscript
Requires:       cups
Requires:       gv

%description
A GUI front-end for the efax fax program. 
It interfaces with efax directly, replacing the scripts supplied
with efax. It can be used for receiving and sending faxes, and for
viewing, printing, and managing faxes which have been received and sent.

%prep
%setup -q
# since users can't write to /var/lock
perl -p -i -e 's|/var/lock|/tmp||g' efax-gtkrc
# /dev/modem is quite common
perl -p -i -e 's|ttyS1|modem||g' efax-gtkrc

%build
%configure
perl -p -i -e 's/install-data-hook//g' Makefile efax-gtk-faxfilter/Makefile
perl -p -i -e 's/usr\/local/usr/g' Makefile
perl -p -i -e 's/efax-gtk.png/efax-gtk/g' efax-gtk.desktop
%make_build

%install
%make_install

#menu
desktop-file-install --vendor="" \
  --remove-key="Encoding" \
  --remove-category="Application" \
  --remove-category="GTK" \
  --add-category="Telephony;" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%post
touch /tmp/faxfile.ps
chmod a+rw /tmp/faxfile.ps

%files -f %{name}.lang
%doc AUTHORS README BUGS COPYING
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/%{name}rc
%{_datadir}/applications/*
%{_mandir}/man1/*
%{_datadir}/pixmaps/%{name}.png
%{_localstatedir}/spool/fax/*
