Summary: Common RPM Macros for building EFI-related packages
Group:   System/Boot and Init
Name: efi-rpm-macros
Version: 5
Release: %mkrel 3
License: GPLv3+
URL: https://github.com/rhboot/%{name}/
BuildRequires: git sed
BuildArch: noarch

Source0: https://github.com/rhboot/%{name}/releases/download/%{version}/%{name}-5.tar.bz2

Patch0001: 0001-Don-t-have-arm-as-an-alt-arch-of-aarch64.patch

%global debug_package %{nil}
%global _efi_vendor_ %(eval echo $(sed -n -e 's/rhel/redhat/' -e 's/^ID=//p' /etc/os-release))

%description
%{name} provides a set of RPM macros for use in EFI-related packages.

%package -n efi-srpm-macros
Summary: Common SRPM Macros for building EFI-related packages
BuildArch: noarch
Requires: rpm

%description -n efi-srpm-macros
efi-srpm-macros provides a set of SRPM macros for use in EFI-related packages.

%package -n efi-filesystem
Summary: The basic directory layout for EFI machines
BuildArch: noarch
Requires: filesystem

%description -n efi-filesystem
The efi-filesystem package contains the basic directory layout for EFI
machine bootloaders and tools.

%prep
%autosetup -S git_am -n %{name}-5
git config --local --add efi.vendor "%{_efi_vendor_}"
git config --local --add efi.esp-root /boot/EFI
git config --local --add efi.arches "x86_64 aarch64 %{arm} %{ix86}"

%build
%make_build clean all

%install
%make_install

#%%files
#%%{!?_licensedir:%%global license %%%%doc}
#%%license LICENSE
#%%doc README
#%%{_rpmmacrodir}/macros.efi

%files -n efi-srpm-macros
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc README
%{_rpmmacrodir}/macros.efi-srpm
%{_rpmconfigdir}/brp-boot-efi-times

%files -n efi-filesystem
%defattr(0700,root,root,-)
%dir /boot/EFI
%dir /boot/EFI/EFI
%dir /boot/EFI/EFI/BOOT
%dir /boot/EFI/EFI/%{_efi_vendor_}

