Summary:	EFI Boot Manager
Name:		efibootmgr
Version:	18
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Boot and Init
URL:		https://github.com/rhboot/%{name}/
Source0:	https://github.com/rhboot/%{name}/archive/%{version}.tar.gz

BuildRequires:	efi-srpm-macros >= 3-2
BuildRequires:	efi-filesystem
BuildRequires:	git
BuildRequires:	pkgconfig(efivar) >= 35
BuildRequires:	pkgconfig(libpci)
BuildRequires:	pkgconfig(popt)
BuildRequires:	pkgconfig(zlib)
Requires:	efi-filesystem
ExclusiveArch: %{efi}

# Needed to be sure that efivar will be updated before grub2/kernel
Requires:	%{_lib}efivar0 >= 31

Source1: efibootmgr.patches

%include %{SOURCE1}

%description
%{name} displays and allows the user to edit the Intel Extensible
Firmware Interface (EFI) Boot Manager variables.  Additional
information about EFI can be found at
http://developer.intel.com/technology/efi/efi.htm and http://uefi.org/.

%prep
%autosetup -S git
git config --local --add efibootmgr.efidir %{efi_vendor}

%build
%make_build CFLAGS='%{optflags}' LDFLAGS='%{build_ldflags}'

%install
%make_install

%files
%doc AUTHORS README
%license COPYING
%{_sbindir}/*
%{_mandir}/man8/*.8*
