%global major 0
%define libname %mklibname efivar %major
%define devname %mklibname -d efivar

# "fix" underlinking:
%define _disable_ld_no_undefined 1

Name:           efivar
Version:        38
Release:        %mkrel 2
Group:          System/Boot and Init
Summary:        Tools to manage UEFI variables
License:        LGPLv2.1
URL:            https://github.com/rhboot/efivar
Requires:       %{libname} = %{version}-%{release}

BuildRequires:  pkgconfig(popt) 
BuildRequires:  popt-static 
BuildRequires:  git 
BuildRequires:  efi-srpm-macros
BuildRequires:  glibc-static-devel
# please don't fix this to reflect github's incomprehensible url that goes
# to a different tarball.
Source0:        https://github.com/rhboot/efivar/releases/download/%{version}/efivar-%{version}.tar.bz2
Source1:        efivar.patches

# include patches
%include %{SOURCE1}

# (tv) we don't have mandoc:
Patch1000:	0001-Mageia-does-not-have-mandoc.patch

%description
efivar provides a simple command line interface to the UEFI variable facility.


%package -n %libname
Summary: Library to manage UEFI variables
Group: System/Libraries

%description -n %libname
Library to allow for the simple manipulation of UEFI variables.

%package -n %devname
Group: Development/C
Summary: Development headers for libefivar
Provides: %{name}-devel = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}

%description -n %devname
development headers required to use libefivar.

%prep
%setup -q 
git init
git config user.email "%{name}-owner@fedoraproject.org"
git config user.name "Fedora Ninjas"
git add .
git commit -a -q -m "%{version} baseline."
git am %{patches} </dev/null
git config --unset user.email
git config --unset user.name

%build
make LIBDIR=%{_libdir} BINDIR=%{_bindir} CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_LD_FLAGS"

%install
%makeinstall
install -m 0644 src/abignore %{buildroot}%{_includedir}/efivar/.abignore

%files
%doc COPYING
%{_bindir}/efivar
%{_bindir}/efisecdb
%{_mandir}/man1/*

%files -n %devname
%{_mandir}/man3/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files -n %libname
%{_libdir}/*.so.*
