%define        major            1
%define        libname          %mklibname %name %major
%define        libnamedev       %mklibname %name -d

%define        themedir         %{_datadir}/elementary/themes
%define        mageiatheme      %{name}-theme-mageia
%define        extrathemes      %{name}-theme-extras

%bcond_without wayland

%bcond_with    exthemes

Summary:       Enlightenment Foundation Libraries
Name:          efl
Version:       1.28.1
Release:       %mkrel 1
License:       LGPLv2+
Group:         Graphical desktop/Enlightenment
Source:        https://download.enlightenment.org/rel/libs/efl/%{name}-%{version}.tar.xz

#contribution from Roy W. Reese (licensed to GPLv3)
#(eatdirt) reminder: check this is still working when enlightenment changes
Source1:       Eatdirt-Mageia9-GPLv3.edj.bz2
#(eatdirt) seems to be broken with efl-1.28.0
#Source2:       m_Dimensions.edj.bz2

# (from fedora) This is hacky, but it gets us building in rawhide again.
# Upstream efl probably needs to rework how they use check in their C tests
Patch4:        efl-1.25.0-check-fix.patch

# Fix module linking
Patch5:        efl-1.26.2-modulelinking.patch

# Build ecore_sdl versioned so. So efl no longer requires efl-devel
Patch6:        efl-1.27.0-sdl-version-build.patch

URL:           https://www.enlightenment.org/about-efl

BuildRequires: meson
BuildRequires: doxygen
BuildRequires: cmake
BuildRequires: gettext-devel
BuildRequires: pkgconfig(avahi-client)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(openssl)
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(fontconfig)
BuildRequires: pkgconfig(fribidi)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(xrender)
BuildRequires: mesaglesv2-devel
BuildRequires: giflib-devel
BuildRequires: pkgconfig(libtiff-4)
BuildRequires: pkgconfig(gstreamer-1.0)
BuildRequires: pkgconfig(libpulse)
BuildRequires: pkgconfig(sndfile)
BuildRequires: pkgconfig(xcursor)
BuildRequires: pkgconfig(xcomposite)
BuildRequires: pkgconfig(xinerama)
BuildRequires: pkgconfig(xdamage)
BuildRequires: pkgconfig(xrandr)
BuildRequires: pkgconfig(xtst)
BuildRequires: pkgconfig(xscrnsaver)
BuildRequires: pkgconfig(mount)
BuildRequires: pkgconfig(bullet)
# EFL require lua up to 5.2, so lets use older one.
BuildRequires: pkgconfig(lua-5.1)
BuildRequires: pkgconfig(luajit)
BuildRequires: pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires: pkgconfig(libvlc)
BuildRequires: pkgconfig(harfbuzz)
BuildRequires: pkgconfig(libsystemd)
BuildRequires: pkgconfig(udev)
BuildRequires: pkgconfig(libwebp)
BuildRequires: pkgconfig(poppler-cpp)
BuildRequires: pkgconfig(libspectre)
BuildRequires: pkgconfig(libraw)
BuildRequires: pkgconfig(librsvg-2.0)
BuildRequires: pkgconfig(ibus-1.0)
BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(libavif)
BuildRequires: pkgconfig(libheif)
BuildRequires: pkgconfig(libjxl)
BuildRequires: pkgconfig(libunibreak)
BuildRequires: pkgconfig(liblz4)
BuildRequires: pkgconfig(check)
BuildRequires: pkgconfig(gbm)
BuildRequires: pkgconfig(alsa)
BuildRequires: bzip2
BuildRequires: pkgconfig(rlottie)
BuildRequires: pkgconfig(libinput)
BuildRequires: pkgconfig(sdl2)
%if %{with wayland}
BuildRequires: pkgconfig(wayland-client)
BuildRequires: pkgconfig(wayland-server)
BuildRequires: pkgconfig(wayland-protocols)
BuildRequires: pkgconfig(libdrm)
BuildRequires: mesaegl-devel
%endif
BuildRequires: pkgconfig(xkbcommon)

Requires(post):      update-alternatives
Requires(postun):    update-alternatives
Requires(posttrans): update-alternatives


%description
The Enlightenment Foundation Libraries (EFL) are a set of graphics
libraries that grew out of the development of Enlightenment. The
libraries are meant to be portable and optimized to be functional even
on mobile devices such as smart phones and tablets. They provide both
a semi-traditional toolkit set in Elementary as well as the object
canvas (Evas) and powerful abstracted objects (Edje) that you can
combine, mix and match, even layer on top of each other with alpha
channels and events in-tact. The library supports 3D transformations
for all objects and more.


%package -n %libname
Summary:       Libraries for the %{name} package
Group:         System/Libraries

%description -n %libname
Libraries for %{name}.


%package -n %libnamedev
Summary:       Headers and development libraries from %{name}
Group:         Development/Other
Requires:      %libname = %{version}-%{release}
Provides:      lib%{name}-devel = %{version}-%{release}
Provides:      %{name}-devel = %{version}-%{release}

%description -n %libnamedev
%{name} development headers and libraries.


%package -n %{mageiatheme}
Summary:       Mageia Enlightenment theme
Group:         Graphical desktop/Enlightenment
Requires:      efl >= 1.26.0
Obsoletes:     e17-themes-mageia <= 0.4
BuildArch:     noarch

%description -n %{mageiatheme}
%{summary}.

%if %{with exthemes}
%package -n %{extrathemes}
Summary:       Some others Enlightenment themes
Group:         Graphical desktop/Enlightenment
Requires:      efl >= 1.26.0
BuildArch:     noarch

%description -n %{extrathemes}
%{summary}.
%endif

%prep
%autosetup -p1

%build

# If we want wayland support then OpenGL full need to be disabled, we need to use gles.
%meson -Decore-imf-loaders-disabler='ibus,scim' \
       -Devas-loaders-disabler='json' \
       %{!?with_wayland:-Dopengl=full} \
       %{?with_wayland:-Dwl=true -Dopengl=es-egl -Ddrm=true} \
%ifarch %arm aarch64
       -Dnative-arch-optimization=false \
       -Delua=false \
%else
       -Delua=true \
%endif
       -Dfb=true \
       -Dharfbuzz=true \
       -Dglib=true \
       -Dsdl=true \
       -Dbuffer=true \
       -Davahi=true \
       -Dphysics=true \
       -Dembedded-libunibreak=false \
       -Dembedded-lz4=false

%meson_build



%install
%meson_install

%find_lang %{name}


#supporting change of default theme
mv %{buildroot}%{themedir}/default.edj %{buildroot}%{themedir}/E-default.edj
%__install -D -m644 %{SOURCE1} %{buildroot}%{themedir}/E-mageia.edj.bz2
bunzip2 -fv %{buildroot}%{themedir}/E-mageia.edj.bz2

%if %{with exthemes}
#other theme from Roy
%__install -D -m644 %{SOURCE2} %{buildroot}%{themedir}/m_Dimensions.edj.bz2
bunzip2 -fv %{buildroot}%{themedir}/m_Dimensions.edj.bz2
%endif

%post
#if the file has been edited by hand before, it is a regular file
#and not a symlink. So we first rename it before calling
#update-alternatives to create the symlink.
if [ -f %{themedir}/default.edj -a ! -h %{themedir}/default.edj ]; then
    mv %{themedir}/default.edj %{themedir}/default.rpmold
fi
update-alternatives --install  %{themedir}/default.edj enlightenment-default-theme.edj \
                    %{themedir}/E-default.edj 10

%postun
#uninstall only
if [ $1 -eq 0 ]; then
   update-alternatives --remove enlightenment-default-theme.edj %{themedir}/E-default.edj
fi


%posttrans
#Releases before 1.18.4-3 had default.edj as a file packaged in, so our symlink
#will be removed if one upgrade from those.
if ! [ -h %{themedir}/default.edj ]; then
   update-alternatives --install %{themedir}/default.edj enlightenment-default-theme.edj \
                    %{themedir}/E-default.edj 10
fi


%post -n %{mageiatheme}
if [ -f %{themedir}/default.edj -a ! -h %{themedir}/default.edj ]; then
    mv %{themedir}/default.edj %{themedir}/default.rpmold
fi
update-alternatives --install  %{themedir}/default.edj enlightenment-default-theme.edj \
                    %{themedir}/E-mageia.edj 11


%postun -n %{mageiatheme}
if [ $1 -eq 0 ]; then
   update-alternatives --remove enlightenment-default-theme.edj %{themedir}/E-mageia.edj
fi



%files -f %{name}.lang
%{_bindir}/*
%{_datadir}/dbus-1/services/org.enlightenment.Ethumb.service
%{_datadir}/ecore/
%{_datadir}/ecore_con/
%{_datadir}/ecore_imf/
%{_datadir}/ecore_x/
%{_datadir}/edje/
%{_datadir}/eeze/
%{_datadir}/efreet/
%{_datadir}/elua/
%{_datadir}/embryo/
%{_datadir}/emotion/
%{_datadir}/eo/
%{_datadir}/ethumb/
%{_datadir}/ethumb_client/
%{_datadir}/evas/
%{_datadir}/gdb/auto-load/usr/lib/*
%{_datadir}/mime/packages/edje.xml
%{_datadir}/eolian/
%{_datadir}/exactness/
%dir %{_datadir}/elementary
%{_datadir}/elementary/colors
%{_datadir}/elementary/config
%{_datadir}/elementary/edje_externals
%{_datadir}/elementary/images
%{_datadir}/elementary/objects
%{_datadir}/elementary/test*
%{_datadir}/mime/packages/evas.xml
%dir %{_datadir}/elementary/themes
%{_datadir}/elementary/themes/E-default.edj
%{_datadir}/applications/*.desktop
%{_iconsdir}/Enlightenment-X/
%{_iconsdir}/hicolor/*/apps/elementary.png
%{_libdir}/ecore*/
%{_libdir}/edje/
%{_libdir}/eeze/
%{_libdir}/efreet/
%{_libdir}/emotion/
%{_libdir}/ethumb/
%{_libdir}/ethumb_client/
%{_libdir}/evas/
%{_libdir}/elementary/
%{_userunitdir}/*.service

%files -n %libname
%doc AUTHORS README.md
%license COPYING
%{_libdir}/*.so.%{major}{,.*}

%files -n %libnamedev
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/cmake/*

%files -n %{mageiatheme}
%{themedir}/E-mageia.edj

%if %{with exthemes}
%files -n %{extrathemes}
#{themedir}/m_Dimensions.edj
%endif
