%define	name    efreet
%define version 1.7.10
%define option  0
%define svn     0
%if %option
%define rel 0.%option.3
%define namevers %name-%version-%option
%else
%define rel 1
%define namevers %name-%version
%endif
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Enlightened efreet
Name: 		%{name}
Version: 	%{version}
Epoch:          2
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://trac.enlightenment.org/e/wiki/Efreet
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/branches/%name-1.1 %name
# tar cJf %name-%svn.tar.xz %name
%if %svn
Source:         %name-%svn.tar.xz
%else
Source: 	https://download.enlightenment.org/releases/%namevers.tar.bz2
%endif
BuildRequires:  pkgconfig
%if %svn
BuildRequires: 	pkgconfig(ecore) >= %{version}-0.%svn
%else
BuildRequires: 	pkgconfig(ecore) >= %{version}
%endif

%description
An implementation of several specifications from freedesktop.org intended
for use in Enlightenment DR17 (e17) and other applications using the
Enlightenment Foundation Libraries (EFL). Currently, the following 
specifications are included:
  o Base Directory
  o Desktop Entry
  o Icon Theme
  o Menu

%package -n %{libname}
Summary: Enlightened efreet Libraries
Group: System/Libraries

%description -n %{libname}
Efreet libraries

An implementation of several specifications from freedesktop.org intended
for use in Enlightenment DR17 (e17) and other applications using the
Enlightenment Foundation Libraries (EFL). Currently, the following 
specifications are included:
  o Base Directory
  o Desktop Entry
  o Icon Theme
  o Menu

%package -n %libnamedev
Summary: Enlightened efreet Library headers and development libraries
Group: System/Libraries
Requires: %{libname} = %{epoch}:%{version}
Provides: lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides: %{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes: %mklibname efreet 0 -d

%description -n %libnamedev
Efreet development headers and development libraries.

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %namevers
%endif

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
%configure --disable-static
%make_build

%install
rm -fr %buildroot
%make_install

%find_lang %{name}

find %{buildroot} -name '*.la' | xargs rm

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_bindir}/*
%{_libdir}/%{name}/efreet_icon_cache_create
%{_libdir}/%{name}/efreet_desktop_cache_create
%_datadir/%name/*

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %libnamedev
%{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
