%define option  0
%define option_subrel 3
%define date    20140509
%define rel 3

%if %option
%define subrel %option.%option_subrel
%define namevers %name-%version-%option
%else
%define namevers %name-%version
%endif
%if %date
%define release %mkrel -c %date %rel
%else
%define release %mkrel %rel
%endif

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: Graphics Library
Name:    efx
Version: 1.9.99
Release: %{release}
License: LGPLv2+
Group: Graphical desktop/Enlightenment
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/branches/%name-1.1 %name
# tar cJf %name-%svn.tar.xz %name
%if %date
Source: %name-%date.tar.bz2
%else
Source: https://download.enlightenment.org/releases/%namevers.tar.bz2
%endif
URL: http://trac.enlightenment.org/e/wiki/Efx
BuildRequires: pkgconfig
BuildRequires: doxygen
BuildRequires: pkgconfig(efl)


%description
%name is a graphics library.

%package -n %libname
Summary: Libraries for the %{name} package
Group: System/Libraries

%description -n %libname
Libraries for %{name}

%package -n %libnamedev
Summary: Headers and development libraries from %{name}
Group: Development/Other
Requires: %libname = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description -n %libnamedev
%{name} development headers and libraries.

%prep
%if %date
%setup -qn %name
%else
%setup -qn %namevers
%endif

%build
%if %date
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
%configure --disable-static
%make_build

%install
%make_install

find %buildroot -name *.la | xargs rm

%files
%doc AUTHORS
%{_bindir}/test_*

%files -n %libname
%{_libdir}/*.so.%{major}{,.*}
%{_datadir}/%name

%files -n %libnamedev
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_includedir}/*
