Name:		egd
Summary: 	Entropy Gathering Daemon
Version:	0.9
Release:	%mkrel 8
License:	GPL+ or MIT
Group:		System/Libraries
Source0:	https://download.sourceforge.net/egd/%{name}-%{version}.tar.gz
URL:		https://egd.sourceforge.net/
# https://bugzilla.redhat.com/show_bug.cgi?id=784384
# https://sourceforge.net/tracker/?func=detail&aid=3479661&group_id=13778&atid=113778
Patch0:         egd-0.9-ip-neigh.patch
BuildRequires:	perl(Digest::SHA1), perl(ExtUtils::MakeMaker), perl(FindBin), perl(IO::Socket)
BuildArch:	noarch
# These are necessary for egd to do anything useful for entropy.
Requires:	procps, util-linux, tcpdump

%description
EGD is an Entropy Gathering Daemon meant to be used on systems that can run GPG 
but which don't have a convenient (or reliable) source of random bits. It is a 
regular user-space program that sits around, running programs like 'w' and 
'last' and 'vmstat', collecting the randomness (or at least the 
unpredictability) inherent in the output of these system statistics programs 
when used on a reasonably busy system. It slowly stirs the output of these 
gathering programs into a pool of entropy, much like the linux kernel device, 
and allows other programs to read out random bits from this pool.

%prep
%setup -q
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%files
%doc COPYING COPYING.xfree86 README
%{_bindir}/egd.pl
