Name:		eggdrop
Version:	1.10.0
Release:	%mkrel 1
Summary:	IRC bot, written in C
Group:		Networking/IRC
License:	GPLv2+
URL:		https://www.eggheads.org/
Source0:	https://ftp.eggheads.org/pub/%{name}/source/1.10/%{name}-%{version}.tar.gz
BuildRequires:	tcl
BuildRequires:	pkgconfig(tcl)
BuildRequires:	perl
BuildRequires:	pkgconfig(openssl)

%description
Eggdrop is an IRC bot, written in C.  If you don't know what IRC is,
this is probably not whatever you're looking for!  Eggdrop, being a
bot, sits on a channel and takes protective measures: to keep the
channel from being taken over (in the few ways that anything CAN),
to recognize banished users or sites and reject them, to recognize
privileged users and let them gain ops, etc.

%prep
%setup -q

%build
export CPPFLAGS="%{optflags} -DHAVE_TCL_THREADS"
#any optimizations on PPC break bots
%ifnarch ppc
export CFLAGS="%optflags"
%endif
%configure

make config

%make_build LD="gcc %ldflags" \
	SHLIB_LD="gcc -shared -nostartfiles %ldflags" \
	MOD_LD="gcc %ldflags"

%install
mkdir -p %{buildroot}%{_libdir}/%{name}
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}
mkdir -p %{buildroot}%{_mandir}

make install prefix=%{buildroot}%{_libdir}/%{name}
mv %{buildroot}%{_libdir}/%{name}/doc/man1/ %{buildroot}%{_mandir}

#rpm installation complains otherwise due to rpm looking up the executables..
perl -pi -e s":/path/to/executable/%{name}:%{_libdir}/%{name}/%{name}:" %{_builddir}/%{name}-%{version}/%{name}.conf
cp -fR %{_builddir}/%{name}-%{version}/%{name}.conf %{buildroot}%{_docdir}/%{name}-%{version}/
cp -Rf %{_builddir}/%{name}-%{version}/scripts/botchk %{buildroot}%{_docdir}/%{name}-%{version}/

rm -rf %{buildroot}%{_libdir}/%{name}/filesys
cp -Rf %{buildroot}%{_libdir}/%{name}/doc/* %{buildroot}%{_docdir}/%{name}-%{version}/
rm -rf %{buildroot}%{_libdir}/%{name}/doc/
mv %{buildroot}%{_libdir}/%{name}/README %{buildroot}%{_libdir}/%{name}/FEATURES %{buildroot}%{_docdir}/%{name}-%{version}/

%files
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/language
%dir %{_libdir}/%{name}/modules-%{version}
%dir %{_libdir}/%{name}/help
%dir %{_libdir}/%{name}/help/msg
%dir %{_libdir}/%{name}/help/set
%dir %{_libdir}/%{name}/scripts
%dir %{_libdir}/%{name}/logs
%dir %{_libdir}/%{name}/text
%{_libdir}/%{name}/language/*.lang
%{_libdir}/%{name}/text/*
%{_libdir}/%{name}/logs/*
%{_libdir}/%{name}/modules-%{version}/*.so
%{_libdir}/%{name}/%{name}-%{version}
%{_libdir}/%{name}/%{name}
%{_libdir}/%{name}/help/*.help
%{_libdir}/%{name}/help/msg/*.help
%{_libdir}/%{name}/help/set/*.help
%{_libdir}/%{name}/scripts/CONTENTS
%{_libdir}/%{name}/scripts/*.tcl
%{_libdir}/%{name}/scripts/botchk
%{_libdir}/%{name}/scripts/autobotchk
%{_libdir}/%{name}/scripts/weed
%{_libdir}/%{name}/%{name}.conf
%{_libdir}/%{name}/%{name}-basic.conf
%{_mandir}/man1/%{name}.1*

%doc %{_docdir}/*
%doc %{_libdir}/%{name}/modules
%license COPYING
