%global major 1
%define libname %mklibname nvidia-egl-wayland %major
%define devname %mklibname nvidia-egl-wayland -d

%global commit0 0c6f823808fb03f92672d80b97e83819ba95c041
%global date 20241210
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global tag %{version}

Name:           egl-wayland
Version:        1.1.17
Release:        %mkrel 1
Group:          System/Libraries
Summary:        Wayland EGL External Platform library
License:        MIT
URL:            https://github.com/NVIDIA/%{name}

%if 0%{?tag:1}
Source0:        %url/archive/%{version}/%{name}-%{version}.tar.gz
%else
Source0:        %url/archive/%{commit0}/%{name}-%{shortcommit0}.tar.gz
%endif

BuildRequires:  cmake
BuildRequires:  meson
BuildRequires:  libtool
BuildRequires:  pkgconfig(egl) >= 1.5
BuildRequires:  pkgconfig(eglexternalplatform) >= 1.1
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-egl-backend) >= 3
# Explicit synchronization since 1.34:
BuildRequires:  pkgconfig(wayland-protocols) >= 1.34
BuildRequires:  pkgconfig(wayland-scanner)
BuildRequires:  pkgconfig(wayland-server)

# Required for directory ownership
Requires:       libglvnd-egl%{?_isa}

%description
EGL External Platform library to add client-side Wayland support to EGL on top
of EGLDevice and EGLStream families of extensions.

This library implements an EGL External Platform interface to work along with
EGL drivers that support the external platform mechanism.

%package json
Summary: JSON data files for Wayland EGL External Platform library
Group: System/Libraries
BuildArch: noarch
Conflicts: %{_lib}nvidia-egl-wayland1 < 1.0.3-2

%description json
JSON data files for Wayland EGL External Platform library.

%package -n %libname
Summary: Wayland EGL External Platform library
Group: System/Libraries
Requires: %{name}-json >= %{version}-%{release}
Conflicts: x11-driver-video-nvidia-current < 450.66-4

%description -n %libname
EGL External Platform library to add client-side Wayland support to EGL on top
of EGLDevice and EGLStream families of extensions.

This library implements an EGL External Platform interface to work along with
EGL drivers that support the external platform mechanism.

%package -n %devname
Group:          Development/C
Summary:        Wayland EGL External Platform library development package
Requires:       %{libname}%{?_isa} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %devname
Development files and headers for Wayland EGL External Platform library.

%prep
%if 0%{?tag:1}
%autosetup -p1
%else
%autosetup -p1 -n %{name}-%{commit0}
%endif

%build
%meson
%meson_build

%install
%meson_install

%files -n %libname
%doc README.md
%license COPYING
%{_libdir}/libnvidia-egl-wayland.so.%{major}{,.*}

%files json
%{_datadir}/egl/egl_external_platform.d/10_nvidia_wayland.json

%files -n %devname
%{_libdir}/libnvidia-egl-wayland.so
%{_libdir}/pkgconfig/wayland-eglstream.pc
%{_datadir}/pkgconfig/wayland-eglstream-protocols.pc
%{_datadir}/wayland-eglstream/
