%bcond_without qt4
%bcond_without doc

Name: eigen2
Summary: Lightweight C++ template library for vector and matrix math, a.k.a. linear algebra
Epoch: 2
Version: 2.0.17
Release: %mkrel 11
Group: System/Libraries
License: LGPLv3+ or GPLv2+
URL: https://eigen.tuxfamily.org/
Source: https://bitbucket.org/eigen/eigen/get/%{version}.tar.bz2
BuildRequires: cmake >= 2.6.1
%if %{with doc}
BuildRequires: doxygen
BuildRequires: ghostscript-common
BuildRequires: graphviz
BuildRequires: texlive
BuildRequires: texlive-texmf
%endif
BuildRequires: blas-devel
BuildRequires: lapack-devel
BuildRequires: pkgconfig(gsl)
%if %{with qt4}
BuildRequires: qt4-devel
%endif
BuildArch: noarch
Obsoletes: eigen < 2.0.0
Obsoletes: eigen-devel < 2.0.0

%description
Eigen is a lightweight C++ template library for vector and matrix
math, a.k.a. linear algebra.

%prep
%setup -q -n eigen-eigen-%{version}

%build
export CXXFLAGS="$CXXFLAGS -fpermissive"
export CFLAGS="$CFLAGS -fpermissive"
export CPPFLAGS="$CPPFLAGS -fpermissive"

%cmake
#-DEIGEN_BUILD_TESTS=ON
%cmake_build

%if %{with doc}
# this should be fixed later in cmake doc
 doxygen

#cd latex
# make refman.pdf
%endif

%install
%cmake_install

#%%check
#cd test
#%%cmake
#make test
#cd -

%files
%license COPYING COPYING.LESSER
%if %{with doc}
%doc html/
#latex/refman.pdf
%endif
%dir %{_includedir}/eigen2/
%{_includedir}/eigen2/*
%{_datadir}/pkgconfig/*.pc
