%define uname	Eigen3

Name:		eigen3
Summary:	Lightweight C++ template library for vector and matrix math
Version:	3.4.0
Release:	%mkrel 4
Group:		System/Libraries
License:	LGPLv3+ or GPLv2+
URL:		https://eigen.tuxfamily.org/
Source0:	https://gitlab.com/libeigen/eigen/-/archive/%{version}/eigen-%{version}.tar.bz2
Source1:	%{name}.png

BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	ghostscript-common
BuildRequires:	graphviz
BuildRequires:	tetex-dvips
BuildRequires:	tetex-latex
BuildRequires:	gmp-devel
BuildRequires:	qt4-devel
BuildRequires:	suitesparse-devel
BuildRequires:	pkgconfig(freeglut)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(libsparsehash)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(mpfr)
# (tmb) test youri
BuildArch:	noarch

%description
Eigen is a lightweight C++ template library for vector and matrix
math, a.k.a. linear algebra.

%package devel
Summary:	Header files for %{uname}
BuildArch:	noarch

%description devel
Eigen is a lightweight C++ template library for vector and matrix
math, a.k.a. linear algebra.

%package doc
Summary:	This is the API documentation for %{uname}
BuildArch:	noarch

%description  doc
This is the API documentation for %{uname}.

%prep
%autosetup -p1 -n eigen-%{version}

%build
export CXXFLAGS="%{optflags} -fpermissive -Wno-int-in-bool-context"
export CFLAGS="%{optflags} -fpermissive -Wno-int-in-bool-context"

%cmake

%cmake_build

%cmake_build --target doc

%install
%cmake_install

install -d %{buildroot}%{_docdir}/%{name}/html
cp -r %{_vpath_builddir}/doc/html/* %{buildroot}%{_docdir}/%{name}/html

# Desktop
install -d %{buildroot}%{_datadir}/applications
install -d %{buildroot}%{_iconsdir}
install -D %{SOURCE1} %{buildroot}%{_iconsdir}
cat > %{buildroot}%{_datadir}/applications/%{name}-doc.desktop << EOF
[Desktop Entry]
Name=%{uname} C++ API Documentation
GenericName=%{uname} C++ API Documentation
Exec=xdg-open %{_docdir}/%{name}/html/index.html
Icon=%{name}
Terminal=false
Type=Application
Categories=System;Documentation;X-Mageia-CrossDesktop;
X-Desktop-File-Install-Version=0.19
EOF

%pretrans devel -p <lua>
path = "%{_includedir}/eigen3/Eigen"
st = posix.stat(path)
if st and st.type == "directory" then
  os.execute("rm -rf " .. path)
end
path = "%{_includedir}/Eigen"
st = posix.stat(path)
if st and st.type == "link" then
  os.execute("rm -rf " .. path)
end

%files doc
%doc %{_docdir}/*
%{_datadir}/applications/%{name}-doc.desktop
%{_iconsdir}/*

%files devel
%{_includedir}/signature_of_%{name}_matrix_library
%dir %{_includedir}/unsupported
%{_includedir}/unsupported/Eigen/
%{_includedir}/Eigen/
%{_datadir}/pkgconfig/%{name}.pc
%{_datadir}/%{name}/
