%define name    eio
%define version 1.7.10
%define option  0
%define svn     0
%if %option
%define rel 0.%option.3
%define namevers %name-%version-%option
%else
%define rel 1
%define namevers %name-%version
%endif
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

%define major 1
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Summary: Enlightenment Input Output Library
Name:    %{name}
Version: %{version}
Release: %release
License: LGPLv2+
Group: Graphical desktop/Enlightenment
URL: https://www.enlightenment.org/
%if %svn
Source: %name-%svn.tar.xz
%else
Source: https://download.enlightenment.org/releases/%namevers.tar.bz2
%endif
BuildRequires:  pkgconfig
%if %svn
BuildRequires: pkgconfig(eina) >= %{version}-0.%svn
BuildRequires: pkgconfig(ecore) >= %{version}-0.%svn
%else
BuildRequires: pkgconfig(eina) >= %{version}
BuildRequires: pkgconfig(ecore) >= %{version}
%endif

%description
This library is intended to provide non blocking IO by using thread for all
operation that may block. It depends only on eina and ecore right now. It
should integrate all the features/functions of Ecore_File that could block.

This should become one day part of what we call the EFL and be a dependence
of E17. Feel free to contribute, help is always appreciated !

%package -n %libname
Summary: Enlightenment Input Output Library
Group: System/Libraries

%description -n %libname
Enlightenment Input Output Library.

%package -n %develname
Summary: Enlightenment Input Output Library - devel files
Group: System/Libraries
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release

%description -n %develname
eio development headers and development libraries.

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %namevers
%endif

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
%configure --disable-static
%make

%install
%make_install

find %buildroot -name *.la | xargs rm

%files -n %libname
%{_libdir}/*.so.%{major}*

%files -n %develname
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
