Name:		ekg2
Version:	0.3.1
Release:	%mkrel 32
Summary:	Multi-protocol instant messaging and chat client
License:	GPLv2
Group:		Networking/Instant messaging
URL:		https://www.ekg2.org/
Source0:	http://pl.ekg2.org/%{name}-%{version}.tar.gz
Patch1:		ekg2-0.3.1-giflib5.patch
Patch2:		ekg2-0.3.1-openssl11.patch
Patch3:		ekg2-fix-building-with-gcc14.patch
BuildRequires:	docbook-style-xsl
BuildRequires:	pkgconfig(expat)
BuildRequires:	gettext-devel
BuildRequires:	giflib-devel
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	gpgme-devel
BuildRequires:	gpm-devel
BuildRequires:	gtk2-devel
BuildRequires:	pkgconfig(libgadu)
BuildRequires:	gsm-devel
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	libtool
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	perl(ExtUtils::Embed)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:  perl-devel
BuildRequires:  xsltproc
BuildRequires:	cvs
BuildRequires:	pkgconfig(libbsd)
BuildConflicts:	readline-devel
Requires:	%{name}-core = %{version}-%{release}
Requires:	%{name}-gadu-gadu = %{version}-%{release}
Requires:	%{name}-gpg = %{version}-%{release}
Requires:	%{name}-jabber = %{version}-%{release}

%description
Multi-protocol instant messaging and chat client with many plugins.
This is a meta package that installs ekg2 with popular plugins.


%package core
Group:		Networking/Instant messaging
Summary:	Multi-protocol instant messaging and chat client

%description core
Multi-protocol instant messaging and chat client with many plugins.


%package devel
Summary:	Development headers for ekg2
Group:		Development/C
Requires:	%{name}-core = %{version}-%{release}

%description devel
Development headers for ekg2.


%package gadu-gadu
Summary:	Gadu-gadu protocol plugin for ekg2
Group:		Networking/Instant messaging
Requires:	%{name}-core = %{version}-%{release}

%description gadu-gadu
Gadu-gadu protocol plugin for ekg2.


%package gpg
Summary:	GPG plugin for ekg2
Group:		Networking/Instant messaging
Requires:	%{name}-core = %{version}-%{release}

%description gpg
GPG plugin for ekg2.


%package gtk2
Summary:	GTK2 UI plugin for ekg2
Group:		Networking/Instant messaging
Requires:	%{name}-core = %{version}-%{release}

%description gtk2
GTK2 UI plugin for ekg2.


%package ioctld
Summary:	Keyboard LED control plugin for ekg2
Group:		Networking/Instant messaging
Requires:	%{name}-core = %{version}-%{release}

%description ioctld
Keyboard LED control plugin for ekg2.


%package jabber
Summary:	Jabber protocol plugin for ekg2
Group:		Networking/Instant messaging
Requires:	%{name}-core = %{version}-%{release}

%description jabber
Jabber protocol plugin for ekg2.


%package logsqlite
Summary:	SQLite log plugin for ekg2
Group:		Networking/Instant messaging
Requires:	%{name}-core = %{version}-%{release}

%description logsqlite
SQLite log plugin for ekg2.


%package -n perl-%{name}
Summary:	Perl scripting plugin for ekg2
Group:		Networking/Instant messaging
Requires:	%{name}-core = %{version}-%{release}

%description -n perl-%{name}
Perl scripting plugin for ekg2.


%package voip
Summary:	GSM VoIP protocol plugin for ekg2
Group:		Networking/Instant messaging
Requires:	%{name}-core = %{version}-%{release}

%description voip
GSM VoIP protocol plugin for ekg2.


%prep
%autosetup -p1
# convert docs to UTF-8
for file in \
	AUTHORS COPYING NEWS*  \
	docs/README docs/TODO \
	docs/events.txt docs/mouse.txt docs/sim.txt docs/themes{,-en}.txt \
	docs/voip.txt \
; do
iconv -f iso8859-2 -t utf8 -o $file.utf $file && mv $file.utf $file
done

sed -i "s/);/,\n\t'INSTALLDIRS' => 'vendor');/" plugins/perl/common/Makefile.PL
sed -i "s/);/,\n\t'INSTALLDIRS' => 'vendor');/" plugins/perl/irc/Makefile.PL

%build
touch README
touch ChangeLog

autoreconf -fi
%configure \
	--disable-static \
	--enable-shared \
	--disable-rpath \
	--enable-unicode \
	--with-libgadu \
	--with-libgsm \
	--without-python \
	--with-ncurses=%{_prefix}

%make_build

%install
%make_install

# for strip to work
find %{buildroot} -name "*.so" -exec chmod 755 {} \;
find %{buildroot} -name "*.pl" -exec chmod 755 {} \;

mkdir -p %{buildroot}%{_libexecdir}/%{name}
mv %{buildroot}%{_libexecdir}/ioctld %{buildroot}%{_libexecdir}/%{name}/

find %{buildroot} -name ".packlist" -o -name "*.bs" -delete
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files

%files core -f %{name}.lang
%doc AUTHORS COPYING NEWS* docs/README
%doc docs/events.txt docs/mouse.txt docs/sim.txt docs/themes.txt
%{_bindir}/%{name}
%dir %{_libexecdir}/%{name}
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/autoresponder.so
%{_libdir}/%{name}/plugins/feed.so
%{_libdir}/%{name}/plugins/httprc_xajax.so
%{_libdir}/%{name}/plugins/icq.so
%{_libdir}/%{name}/plugins/irc.so
%{_libdir}/%{name}/plugins/jogger.so
%{_libdir}/%{name}/plugins/logs.so
%{_libdir}/%{name}/plugins/mail.so
%{_libdir}/%{name}/plugins/ncurses.so
%{_libdir}/%{name}/plugins/pcm.so
%{_libdir}/%{name}/plugins/polchat.so
%{_libdir}/%{name}/plugins/rc.so
%{_libdir}/%{name}/plugins/remote.so
%{_libdir}/%{name}/plugins/rivchat.so
%{_libdir}/%{name}/plugins/rot13.so
%{_libdir}/%{name}/plugins/sim.so
%{_libdir}/%{name}/plugins/sms.so
%{_libdir}/%{name}/plugins/xmsg.so
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%dir %{_datadir}/%{name}/scripts
%{_datadir}/%{name}/*.txt
%{_datadir}/%{name}/plugins/autoresponder
%{_datadir}/%{name}/plugins/httprc_xajax
%{_datadir}/%{name}/plugins/irc
%{_datadir}/%{name}/plugins/logs
%{_datadir}/%{name}/plugins/mail
%{_datadir}/%{name}/plugins/ncurses
%{_datadir}/%{name}/plugins/rc
%{_datadir}/%{name}/plugins/sim
%{_datadir}/%{name}/plugins/sms
%{_datadir}/%{name}/plugins/xmsg
%{_datadir}/%{name}/themes

%files devel
%doc docs/TODO

%files gadu-gadu
%{_libdir}/%{name}/plugins/gg.so
%{_datadir}/%{name}/plugins/gg

%files gtk2
%{_libdir}/%{name}/plugins/gtk.so

%files gpg
%{_libdir}/%{name}/plugins/gpg.so
%{_datadir}/%{name}/plugins/gpg

%files ioctld
%{_libexecdir}/%{name}/ioctld
%{_libdir}/%{name}/plugins/ioctld.so
%{_datadir}/%{name}/plugins/ioctld

%files jabber
%{_libdir}/%{name}/plugins/jabber.so
%{_datadir}/%{name}/plugins/jabber

%files logsqlite
%{_libdir}/%{name}/plugins/logsqlite.so
%{_datadir}/%{name}/plugins/logsqlite

%files -n perl-%{name}
%{_libdir}/%{name}/plugins/perl.so
%{_datadir}/%{name}/scripts/*.pl
%{perl_vendorarch}/Ekg2
%{perl_vendorarch}/Ekg2.pm
%{perl_vendorarch}/auto/Ekg2

%files voip
%{_libdir}/%{name}/plugins/gsm.so
