%define base_name	icon-theme
%define theme_name	elementary

Name:			%{theme_name}-%{base_name}
Version:		8.1.0
Release:		%mkrel 1
Summary:		Elementary icons for GNOME Desktop
License:		GPLv3+
Group:			Graphical desktop/GNOME
URL:			https://github.com/elementary/icons
Source0:		%{url}/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:		noarch
BuildRequires:		meson
BuildRequires:		icon-naming-utils
BuildRequires:		rsvg-convert
BuildRequires:		xcursorgen
Requires:		hicolor-icon-theme
Requires:		faenza-icon-theme

%description
elementary icons is an icon theme designed to be smooth,
sexy, clear, and efficient.

%package	gimp-palette
Summary:	Icons from the Elementary Project (GIMP palette)
Requires:	%{name} = %{version}-%{release}
Requires:	gimp

%description	gimp-palette
This is an icon theme designed to be smooth, sexy, clear, and efficient.

This package contains a palette file for the GIMP.


%package	inkscape-palette
Summary:	Icons from the Elementary Project (inkscape palette)
Requires:	%{name} = %{version}-%{release}
Requires:	inkscape

%description	inkscape-palette
This is an icon theme designed to be smooth, sexy, clear, and efficient.

This package contains a palette file for inkscape.<Paste>

%prep
%autosetup -n icons-%{version}

# Clean up executable permissions
for i in $(find -type f -executable); do
    chmod a-x $i;
done

%build
%meson -Dvolume_icons=false
%meson_build

%install
%meson_install -C build

# Create icon cache file
touch %{buildroot}%{_datadir}/icons/elementary/icon-theme.cache

%transfiletriggerin -- %{_datadir}/icons/elementary
gtk-update-icon-cache --force %{_datadir}/icons/elementary &>/dev/null || :

%transfiletriggerpostun -- %{_datadir}/icons/elementary
gtk-update-icon-cache --force %{_datadir}/icons/elementary &>/dev/null || :

%files
%doc CONTRIBUTING.md README.md
%license COPYING
%{_iconsdir}/%{theme_name}/
%{_metainfodir}/io.elementary.icons.metainfo.xml

%files gimp-palette
%{_datadir}/gimp/2.0/palettes/elementary.gpl

%files inkscape-palette
%{_datadir}/inkscape/palettes/elementary.gpl
