Name:		elementary-xfce
Summary:	Elementary icons forked from upstream, extended and maintained for Xfce
Version:	0.20
Release:	%mkrel 1
# svgtopng.c is LGPLv2+
License:	GPLv2 and LGPLv2+
Group:		Graphical desktop/Xfce
Url:		https://github.com/shimmerproject/elementary-xfce
Source0:	https://github.com/shimmerproject/elementary-xfce/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		0001-Build-svgtopng-using-system-compiler-flags.patch
BuildArch:	noarch
BuildRequires:	optipng
BuildRequires:	symlinks
BuildRequires:	librsvg2
BuildRequires:	pkgconfig(gtk+-3.0)

%description
An icon-theme maintained with Xfce in mind, but it should work on other
desktops like Gnome3 as well.

It is a fork of the upstream elementary project (http://elementary.io).
The reason for forking was that the project decided to focus on its own
desktop environment and dropped a ton of (ugly, but necessary) symlinks.
This icon-theme is supposed to keep everything working, but gets updates
from upstream occasionally.

%package icon-theme
Summary:	Elementary icons forked from upstream, extended and maintained for Xfce
Provides:	%{name} = %{version}-%{release}
# for gtk-update-icon-cache
Requires(post):	gtk-update-icon-cache

%description icon-theme
An icon-theme maintained with Xfce in mind, but it should work on other
desktops like Gnome3 as well.

It is a fork of the upstream elementary project (http://elementary.io).
The reason for forking was that the project decided to focus on its own
desktop environment and dropped a ton of (ugly, but necessary) symlinks.
This icon-theme is supposed to keep everything working, but gets updates
from upstream occasionally.

%prep
%autosetup -p1

# use drakconf icon inherited from hicolor theme (drakconf-icons pkg)
find elementary* -name "drakconf*" -delete

%build
%set_build_flags

# no traditional configure script
./configure --prefix=%{_prefix}

# no parallel build
%__make

%install
%make_install

# drop danling symlinks
symlinks -rd %{buildroot}

# fix docs
rm -rf %{buildroot}%{_iconsdir}/elementary-xfce*/AUTHORS
rm -rf %{buildroot}%{_iconsdir}/elementary-xfce*/CONTRIBUTORS
rm -rf %{buildroot}%{_iconsdir}/elementary-xfce*/LICENSE
rm -rf %{buildroot}%{_iconsdir}/elementary-xfce*/README*

%post icon-theme
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  for d in %{_iconsdir}/elementary-xfce*; do
    %{_bindir}/gtk-update-icon-cache --force --quiet $d
  done
fi

%files icon-theme
%doc AUTHORS CONTRIBUTORS README.md
%license LICENSE

%dir %{_iconsdir}/elementary-xfce/
%{_iconsdir}/elementary-xfce/*/
%{_iconsdir}/elementary-xfce/index.theme
%ghost %{_iconsdir}/elementary-xfce/icon-theme.cache

%dir %{_iconsdir}/elementary-xfce-dark/
%{_iconsdir}/elementary-xfce-dark/*/
%{_iconsdir}/elementary-xfce-dark/index.theme
%ghost %{_iconsdir}/elementary-xfce-dark/icon-theme.cache
