%define	name	elementary
%define version 1.17.0
%define rel	1

%define major	1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Basic widget set that is easy to use based on EFL for mobile touch-screen devices
Name: 		%name
Version: 	%version
Release: 	%mkrel %rel
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 	        http://trac.enlightenment.org/e/wiki/Elementary
Source: 	https://download.enlightenment.org/rel/libs/elementary/%name-%version.tar.xz
BuildRequires:  pkgconfig
BuildRequires:  doxygen
BuildRequires:  efl
BuildRequires: pkgconfig(edje) >= %{version}
BuildRequires: pkgconfig(eet) >= %{version}
BuildRequires: pkgconfig(efreet) >= %{version}
BuildRequires: pkgconfig(efreet-mime) >= %{version}
BuildRequires: pkgconfig(efreet-trash) >= %{version}
BuildRequires: pkgconfig(eina) >= %{version}
BuildRequires: pkgconfig(eio) >= %{version}
BuildRequires: pkgconfig(emotion) >= %{version}
BuildRequires: pkgconfig(ethumb_client)
BuildRequires: pkgconfig(evas) >= %{version}

%description
Elementary is a basic widget set library that is easy to use and is based on
EFL. It provides the basic building blocks for creating applications and user
interfaces.

For more details about elementary widgets and how to use them kindly refer to
the following link for the latest documentation:

https://www.enlightenment.org/p.php?p=docs

%package -n %libname
Summary: Libraries for the %{name} package
Group: System/Libraries

%description -n %libname
Libraries for %{name}

%package -n %libnamedev
Summary: Headers and development libraries from %{name}
Group: Development/Other
Requires: %libname = %{version}-%{release}
# Requires: pkgconfig(eweather)
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description -n %libnamedev
%{name} development headers and libraries.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

%find_lang %{name}

find %buildroot -name *.la | xargs rm

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_bindir}/*
%{_libdir}/elementary
%{_libdir}/edje/modules/elm
%{_datadir}/applications/*.desktop
%{_datadir}/%name
%{_iconsdir}/%name.png
%{_datadir}/eolian/include/%{name}-%{major}

%files -n %libname
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %libnamedev
%{_libdir}/pkgconfig/*
%{_libdir}/cmake/Elementary
%{_libdir}/*.so
%{_includedir}/*
