%define major              1

%define libasm             %mklibname asm %{major}
%define libdebuginfod      %mklibname debuginfod %{major}
%define libdw              %mklibname dw %{major}
%define libelf             %mklibname elf %{major}

%define devname            %mklibname %{name} -d
%define devdebuginfod      %mklibname debuginfod -d
%define staticname         %mklibname %{name} -d -s

%define _program_prefix eu-

%bcond_without check

Summary:	A collection of utilities and DSOs to handle ELF files and DWARF data
Name:		elfutils
Version:	0.192
Release:	%mkrel 5
License:	GPLv2+ or LGPLv3+
Group:		Development/Other
Url:		https://sourceware.org/elfutils/
Source0:	https://sourceware.org/elfutils/ftp/%{version}/%{name}-%{version}.tar.bz2
Source1:	https://sourceware.org/elfutils/ftp/%{version}/%{name}-%{version}.tar.bz2.sig
Source10:	elfutils-debuginfod.sysusers
# Upstream patches

# Security patches
Patch0:		CVE-2025-1365.patch
Patch1:		CVE-2025-1371.patch
Patch2:		CVE-2025-1372.patch
Patch3:		CVE-2025-1377.patch

# Mageia patches
Patch500:	0001-Disable-zip-test-failing-ATM.patch
Patch501:	0001-Skip-run-debuginfod-seekable.sh-test.patch

BuildRequires:	gcc
# For libstdc++ demangle support
BuildRequires:	gcc-c++
BuildRequires:	binutils
BuildRequires:	bison
BuildRequires:	bsdtar
BuildRequires:	bzip2
BuildRequires:	curl
BuildRequires:	flex
BuildRequires:	iproute2
BuildRequires:	socat
BuildRequires:	zstd
BuildRequires:	glibc-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(json-c)
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libmicrohttpd)
BuildRequires:	pkgconfig(libzstd)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	procps
BuildRequires:	lzma-devel
BuildRequires:	gettext-devel
Conflicts:	%{_lib}elfutils1 < 0.192

%description
elfutils is a collection of utilities and libraries to read, create and modify
ELF binary files, find and handle DWARF debug data, symbols, thread state and
stacktraces for processes and core files on GNU/Linux.

%package -n     %{libasm}
Summary:	elfutils library to assemble and disassamble instructions
Group:		System/Libraries
Provides:	libasm%{?_isa} = %{version}-%{release}
Provides:	libasm = %{version}-%{release}
Provides:	elfutils-libasm%{?_isa} = %{version}-%{release}
Provides:	elfutils-libasm = %{version}-%{release}
Conflicts:	%{_lib}elfutils1 < 0.192-4

%description -n %{libasm}
elfutils is a collection of utilities and libraries to read, create and modify
ELF binary files, find and handle DWARF debug data, symbols, thread state and
stacktraces for processes and core files on GNU/Linux.

%package -n     %{libdebuginfod}
Summary:	elfutils library to query debuginfo files from debuginfod servers
Group:		System/Libraries
Provides:	libdebuginfod%{?_isa} = %{version}-%{release}
Provides:	libdebuginfod = %{version}-%{release}
Provides:	elfutils-libdebuginfod%{?_isa} = %{version}-%{release}
Provides:	elfutils-libdebuginfod = %{version}-%{release}
Conflicts:	%{_lib}elfutils1 < 0.192-4

%description -n %{libdebuginfod}
elfutils is a collection of utilities and libraries to read, create and modify
ELF binary files, find and handle DWARF debug data, symbols, thread state and
stacktraces for processes and core files on GNU/Linux.

%package -n     %{libdw}
Summary:	elfutils library for DWARF data and ELF file or process inspection
Group:		System/Libraries
Provides:	libdw%{?_isa} = %{version}-%{release}
Provides:	libdw = %{version}-%{release}
Provides:	elfutils-libdw%{?_isa} = %{version}-%{release}
Provides:	elfutils-libdw = %{version}-%{release}
Conflicts:	%{_lib}elfutils1 < 0.192-4

%description -n %{libdw}
elfutils is a collection of utilities and libraries to read, create and modify
ELF binary files, find and handle DWARF debug data, symbols, thread state and
stacktraces for processes and core files on GNU/Linux.

%package -n     %{libelf}
Summary:	elfutils libelf library to read and write ELF files
Group:		System/Libraries
Provides:	libelf%{?_isa} = %{version}-%{release}
Provides:	libelf = %{version}-%{release}
Provides:	elfutils-libelf%{?_isa} = %{version}-%{release}
Provides:	elfutils-libelf = %{version}-%{release}
Obsoletes:	%{_lib}elfutils1 < 0.192-4

%description -n %{libelf}
elfutils is a collection of utilities and libraries to read, create and modify
ELF binary files, find and handle DWARF debug data, symbols, thread state and
stacktraces for processes and core files on GNU/Linux.

%package -n	%{devname}
Summary:	Development libraries to handle compiled objects
Group:		Development/Other
Requires:	%{libasm} = %{version}-%{release}
Requires:	%{libdw} = %{version}-%{release}
Requires:	%{libelf} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	libasm-devel%{?_isa} = %{version}-%{release}
Provides:	libasm-devel = %{version}-%{release}
Provides:	elfutils-libasm-devel%{?_isa} = %{version}-%{release}
Provides:	elfutils-libasm-devel = %{version}-%{release}
Provides:       libdw-devel%{?_isa} = %{version}-%{release}
Provides:       libdw-devel = %{version}-%{release}
Provides:	elfutils-libdw-devel%{?_isa} = %{version}-%{release}
Provides:       elfutils-libdw-devel = %{version}-%{release}
Provides:       libelf-devel%{?_isa} = %{version}-%{release}
Provides:       libelf-devel = %{version}-%{release}
Provides:	elfutils-libelf-devel%{?_isa} = %{version}-%{release}
Provides:       elfutils-libelf-devel = %{version}-%{release}

Conflicts:	%{_lib}elfutils1 < 0.192

%description -n	%{devname}
This package contains the development files and header for elfutils.

%package -n	%{staticname}
Summary:	Static libraries for development with libelfutils
Group:		Development/Other
Requires:	%{devname} = %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	libelf-static-devel = %{version}-%{release}

%description -n	%{staticname}
This package contains the static libraries to create applications for
handling compiled objects.

%package -n     %{devdebuginfod}
Summary:        Development libraries for debuginfod
Group:          Development/Other
Requires:	%{libdebuginfod} = %{version}-%{release}
Provides:	libdebuginfod-devel%{?_isa} = %{version}-%{release}
Provides:	libdebuginfod-devel = %{version}-%{release}
Provides:	elfutils-libdebuginfod-devel%{?_isa} = %{version}-%{release}
Provides:	elfutils-libdebuginfod-devel = %{version}-%{release}
Conflicts:	%{_lib}elfutils1 < 0.192
Conflicts:	%{_lib}elfutils-devel < 0.192-4

%description -n %{devdebuginfod}
This package contains the development files and header for debuginfod.

%package debuginfod
Summary:	Debuginfod serves debuginfo-related artifacts over HTTP
Group:		System/Base
Conflicts:	elfutils < 0.192-4

%description debuginfod
elfutils debuginfod is a client/server that automatically distributes
elf/dwarf/source-code from servers to clients such as debuggers across HTTP.

%package debuginfod-client
Summary:        Reques debuginfo-related data
Group:          System/Base
Provides:	debuginfod-find%{?_isa} = %{version}-%{release}
Provides:	debuginfod-find = %{version}-%{release}
Conflicts:	elfutils < 0.192-4

%description debuginfod-client
elfutils debuginfod-find queries one or more debuginfod servers for debuginfo-related
data.


%prep
%setup -q
%autopatch -p1

find . -name \*.sh ! -perm -0100 -print | xargs chmod +x

%build
autoreconf -fiv
%configure \
	%{?_program_prefix: --program-prefix=%{_program_prefix}} \
	--with-zlib \
	--with-bzlib \
	--with-lzma \
	--enable-debuginfod

%make_build

%install
%make_install

chmod +x %{buildroot}%{_libdir}/lib*.so*

install -Dpm0644 config/debuginfod.service %{buildroot}%{_unitdir}/debuginfod.service
install -Dpm0644 config/debuginfod.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/debuginfod
mkdir -p %{buildroot}%{_localstatedir}/cache/debuginfod
touch %{buildroot}%{_localstatedir}/cache/debuginfod/debuginfod.sqlite
install -Dpm0644 %{SOURCE10} %{buildroot}%{_sysusersdir}/elfutils-debuginfod.conf
mkdir -p %{buildroot}%{_sysconfdir}/debuginfod%

%find_lang %{name}

%if %{with check}
%check
%make_build check || (cat tests/test-suite.log; false)
%endif

%pre debuginfod
%sysusers_create_package elfutils-debuginfod %{SOURCE10}

%post debuginfod
%systemd_post debuginfod.service

%postun debuginfod
%systemd_postun_with_restart debuginfod.service

%files -f %{name}.lang
%doc NOTES README NEWS TODO
%{_bindir}/eu-*
%{_mandir}/man1/eu-*.1*

%files -n %{libasm}
%license COPYING-GPLV2 COPYING-LGPLV3
%{_libdir}/libasm-%{version}.so
%{_libdir}/libasm.so.*

%files -n %{libdebuginfod}
%license COPYING-GPLV2 COPYING-LGPLV3
%{_libdir}/libdebuginfod-%{version}.so
%{_libdir}/libdebuginfod*.so.%{major}{,.*}

%files -n %{libelf}
%license COPYING-GPLV2 COPYING-LGPLV3
%{_libdir}/libelf-%{version}.so
%{_libdir}/libelf*.so.%{major}{,.*}

%files -n %{libdw}
%license COPYING-GPLV2 COPYING-LGPLV3
%{_libdir}/libdw-%{version}.so
%{_libdir}/libdw.so.*

%files -n %{devname}
%{_includedir}/dwarf.h
%{_includedir}/libelf.h
%{_includedir}/gelf.h
%{_includedir}/nlist.h
%dir %{_includedir}/elfutils
%{_includedir}/elfutils/*.h
%{_libdir}/libelf.so
%{_libdir}/libdw.so
%{_libdir}/libasm.so
%{_libdir}/pkgconfig/libdw.pc
%{_libdir}/pkgconfig/libelf.pc
%{_mandir}/man3/{lib,}elf*.3*

%files -n %{staticname}
%{_libdir}/*.a

%files -n %{devdebuginfod}
%{_includedir}/elfutils/debuginfod.h
%{_libdir}/libdebuginfod.so
%{_libdir}/pkgconfig/libdebuginfod.pc
%{_mandir}/man3/debuginfod*.3*

%files debuginfod
%license COPYING-GPLV2 COPYING-LGPLV3
%{_bindir}/debuginfod
%{_mandir}/man?/debuginfod*.8*
%config(noreplace) %{_sysconfdir}/sysconfig/debuginfod
%{_unitdir}/debuginfod.service
%{_sysusersdir}/elfutils-debuginfod.conf
%dir %attr(0700,debuginfod,debuginfod) %{_localstatedir}/cache/debuginfod
%ghost %attr(0600,debuginfod,debuginfod) %{_localstatedir}/cache/debuginfod/debuginfod.sqlite

%files debuginfod-client
%license COPYING-GPLV2 COPYING-LGPLV3
%{_bindir}/debuginfod-find
%{_mandir}/man?/debuginfod-*.{1,7}*
%{_sysconfdir}/profile.d/debuginfod.{c,}sh
%{_datadir}/fish/vendor_conf.d/debuginfod.fish
%dir %{_sysconfdir}/debuginfod/
