%define oname     felinks

Summary:	Lynx-like text WWW browser
Name:		elinks
Version:	0.16.1.1
Release:        %mkrel 1
License:	GPLv2
Group:		Networking/WWW
URL:		https://github.com/rkd77/felinks
Source0:	https://github.com/rkd77/%{oname}/archive/v%{version}/%{oname}-%{version}.tar.gz
BuildRequires:	dblatex
BuildRequires:	doxygen
BuildRequires:	git-core
BuildRequires:	gpm-devel
BuildRequires:	meson
BuildRequires:	ncursesw-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(libevent)
BuildRequires:	pkgconfig(libidn2)
BuildRequires:	pkgconfig(libzstd)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(tre)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	xmlto
Provides:	webclient
Provides:	%{oname} = %{version}-%{release}

# Prevent crash when HOME is unset (bug #90663).
Patch0: 0000-elinks-0.15.0-ssl-noegd.patch

# UTF-8 by default
Patch1: 0001-elinks-0.15.1-utf_8_io-default.patch

# Make getaddrinfo call use AI_ADDRCONFIG.
Patch3: elinks-0.11.0-getaddrinfo.patch

# Don't put so much information in the user-agent header string (bug #97273).
Patch4: 0004-elinks-0.15.0-sysname.patch

# Fix xterm terminal: "Linux" driver seems better than "VT100" (#128105)
Patch5: 0005-elinks-0.15.0-xterm.patch

# add support for GNU Libidn2, patch by Robert Scheck (#1098789)
Patch6: 0006-elinks-0.16.0-libidn2.patch

# let list_is_singleton() return false for an empty list (#1075415)
Patch15: elinks-0.12pre6-list_is_singleton.patch

%description
ELinks is an advanced and well-established feature-rich text mode web
(HTTP/FTP/..) browser. ELinks can render both frames and tables, is highly
customizable and can be extended via scripts. Its features include:

- renders tables and frames
- displays colors as specified in current HTML page
- uses drop-down menu (like in Midnight Commander)
- can download files in background
- HTTP authentication

%prep
%autosetup -p1

# remove bogus serial numbers
sed -e 's/^# *serial [AM0-9]*$//' -i config/m4/*.m4

%build
%meson \
	-D256-colors=true \
	-Dtrue-color=true \
	-Dbittorrent=true \
	-Dterminfo=true \
	-Didn2=true \
	-Dfsp=false
%meson_build

%install
%meson_install

rm -f %{buildroot}%{_datadir}/locale/locale.alias
rm -f doc/html/*.gz

%find_lang %{name}

%post
update-alternatives --install %{_bindir}/links links %{_bindir}/elinks 50

%preun
if [ "$1" = "0" ]; then
  update-alternatives --remove links %{_bindir}/elinks
fi

%files -f %{name}.lang
%license COPYING
%doc AUTHORS BUGS ChangeLog README SITES THANKS TODO
%doc doc/*.txt
%doc %{_docdir}/%{name}/*
%{_bindir}/*
%{_mandir}/man?/*
