#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define _cmake_skip_rpath %nil

%define rel 1

Name:		elisa
Version: 25.04.0
Release:	%mkrel %{rel}
Summary:	A powerful Music Player for Plasma
Group:		Graphical desktop/KDE
License:	LGPLv3+
Url:		https://apps.kde.org/elisa/
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Multimedia)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Qml)
BuildRequires:	cmake(Qt6Quick)
BuildRequires:	cmake(Qt6QuickTest)
BuildRequires:	cmake(Qt6QuickWidgets)
BuildRequires:	cmake(Qt6QuickControls2)
BuildRequires:	cmake(Qt6Sql)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)

BuildRequires:	cmake(KF6Kirigami)
BuildRequires:	cmake(KF6KirigamiAddons)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6IconThemes)
BuildRequires:	cmake(KF6FileMetaData)
BuildRequires:	cmake(KF6DocTools)
BuildRequires:	cmake(KF6XmlGui)
BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6ColorScheme)
BuildRequires:	cmake(KF6ConfigWidgets)
BuildRequires:	cmake(KF6Crash)
BuildRequires:	cmake(KF6DBusAddons)
BuildRequires:	cmake(KF6KIO)
BuildRequires:	cmake(KF6QQC2DesktopStyle)

BuildRequires:	pkgconfig(libvlc)

Requires:	kirigami
Requires:	kirigami-addons
# mga#30983
Requires:	vlc-plugin-pulse
Recommends:	%{name}-handbook

Provides:	%{name}-player = %{version}-%{release}

%description
Elisa is a simple music player aiming to provide a nice experience
for its users. Elisa allows to browse music by album, artist or
all tracks. The music is indexed using either a private indexer or
an indexer using Baloo. The private one can be configured to scan
music on chosen paths. The Baloo one is much faster because Baloo
is providing all needed data from its own database. You can build
and play your own playlist.

%files -f %{name}.lang
%{_kf6_categoriesdir}/%{name}.categories
%{_kf6_bindir}/%{name}
%{_kf6_libdir}/%{name}/
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_iconsdir}/*/*/*/*
%_datadir/dbus-1/services/org.kde.elisa.service

#--------------------------------------------------------------------

%package	handbook
Summary:	Elisa Handbook
Group:		Documentation
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}

%description	handbook
This package provides Elisa handbook.

%files handbook
#{_kf6_docdir}/HTML/*/%%{name}/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name

# remove unneeded devel files
find %{buildroot} -name 'libelisaLib.so' -delete
