%global _legacy_common_support 1
%define build_dkms 0

Name:		em8300
Version:	0.18.0
Release:	%mkrel 17
URL:		https://dxr3.sourceforge.net/
Source0:	https://downloads.sourceforge.net/dxr3/%{name}-nofirmware-%{version}.tar.gz
Patch0:		em8300-2.6.36-1.patch
Patch1:		em8300-2.6.36-2.patch
Patch2:		em8300-2.6.36-3.patch
Patch3:		em8300-2.6.37-1.patch
Patch4:		em8300-link.patch
Group:		System/Kernel and hardware
License:	GPLv2+
BuildRequires:	gtk2-devel
# for /usr/share/alsa/alsa.conf
BuildRequires:	libalsa-data
Summary:	Utilities for Hollywood plus / DXR3 device driver for Linux
Provides:	perl(em8300)
Requires:	kmod(em8300.ko)

%description
This package contains utilities that can be used by packages
developed for use with the Hollywood plus or DXR3 MPEG
decoder cards.

You'll also need the non-free microcode for the em8300
device to work, you must download that from
https://dxr3.sourceforge.net/download/em8300.bin to
/lib/firmware/.

%package devel
Summary: Development headers for DXR3 device
Group: Development/Other
BuildArch: noarch
Provides: %{name}-devel = %{version}-%{release}
Provides: libdxr3-devel = %{version}-%{release}

%description devel
This contains the development headers used when building an
application that will make use of the em8300 driver.

%if %build_dkms
%package -n dkms-%{name}
Summary: Linux kernel module for Hollywood plus / DXR3 devices
Group: System/Kernel and hardware
BuildArch: noarch
Provides: kmod(em8300.ko) = %{version}
Requires(post): dkms
Requires(preun): dkms
Requires: em8300

%description -n dkms-%{name}
This package contains the kernel module for the Hollywood plus
or DXR3 MPEG decoder cards.

Install this package if you wish to use such a card and do not
have the driver in your kernel. You should also install
package em8300.
%endif


%prep
%setup -q
%autopatch -p1

echo > README.install.urpmi <<EOF
EM8300-devices require a non-free microcode to operate. If you
have not already done so, you have to download
https://dxr3.sourceforge.net/download/em8300.bin to /lib/firmware/.
EOF

if [ -x modules/update_em8300_version.sh ]; then # is snapshot
	# Run by make during module build if it exists, uses hg which users do not have.
	rm modules/update_em8300_version.sh
	echo "#define EM8300_VERSION \"hg-rev-%snapshot\"" > modules/em8300_version.h
fi

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_udevrulesdir}
install -m644 modules/em8300-udev.rules \
	%{buildroot}%{_udevrulesdir}/%{name}.rules


%if %build_dkms
install -d -m755 %{buildroot}/usr/src/%{name}-%{version}-%{release}
cp -a modules include %{buildroot}/usr/src/%{name}-%{version}-%{release}
rm -f %{buildroot}/usr/src/%{name}-%{version}-%{release}/modules/em8300-udev.rules
cat > %{buildroot}/usr/src/%{name}-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_NAME="%{name}"
PACKAGE_VERSION="%{version}-%{release}"
MAKE[0]="cd modules && make KERNEL_LOCATION=\$kernel_source_dir KERNVER=\$kernelver"
CLEAN="cd modules && make clean"
BUILT_MODULE_NAME[0]="adv717x"
BUILT_MODULE_NAME[1]="bt865"
BUILT_MODULE_NAME[2]="em8300"
BUILT_MODULE_LOCATION[0]="modules"
BUILT_MODULE_LOCATION[1]="modules"
BUILT_MODULE_LOCATION[2]="modules"
DEST_MODULE_LOCATION[0]="/kernel/drivers/video"
DEST_MODULE_LOCATION[1]="/kernel/drivers/video"
DEST_MODULE_LOCATION[2]="/kernel/drivers/video"
AUTOINSTALL=yes
EOF

%post -n dkms-%{name}
dkms add     -m %{name} -v %{version}-%{release} --rpm_safe_upgrade &&
dkms build   -m %{name} -v %{version}-%{release} --rpm_safe_upgrade &&
dkms install -m %{name} -v %{version}-%{release} --rpm_safe_upgrade --force
true

%preun -n dkms-%{name}
dkms remove  -m %{name} -v %{version}-%{release} --rpm_safe_upgrade --all
true
%endif

%files
%doc README AUTHORS ChangeLog.old modules/README-* modules/INSTALL README.install.urpmi
%{_udevrulesdir}/*
%{_bindir}/*
%{_datadir}/em8300
%{_datadir}/alsa/cards/EM8300.conf
%{_mandir}/man1/*

%files devel
%{_includedir}/linux/*

%if %build_dkms
%files -n dkms-%{name}
/usr/src/%{name}-%{version}-%{release}
%endif

