%define	rname	auctex

Name:		emacs-auctex
Version:	13.3
Release:	%mkrel 1
Summary:	Enhanced LaTeX mode for GNU Emacs
License:	GPLv3+
Group:		Editors
URL:		https://www.gnu.org/software/auctex/
Source:		https://ftp.gnu.org/pub/gnu/auctex/auctex-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	emacs-X11
BuildRequires:	texlive
BuildRequires:	texlive-texmf
Requires:	emacs
Requires:	tetex-latex

Provides:	%{rname} = %{version}-%{release}
Provides:	preview-latex-common
Provides:	preview-latex-emacs

%description
AUCTeX is a comprehensive customizable integrated environment for
writing input files for TeX, LaTeX, ConTeXt, Texinfo, and docTeX using
GNU Emacs.

%prep
%setup -q -n %{rname}-%{version}
%autopatch -p1

%build
%configure \
	--with-emacs \
	--with-texmf-dir=%{_datadir}/texmf-dist
%make_build

%install
%make_install autodir=/var/lib/auctex

# This is already in tetex-latex:
%__rm -rf %{buildroot}%{_datadir}/texmf-dist/tex/latex/preview
# What's this for?
%__rm -rf %{buildroot}/var/lib/auctex
# Don't install reference card:
%__rm -rf %{buildroot}%{_datadir}/doc/auctex

#perl -pi -e "s|%%{buildroot}||" %%{buildroot}/%%{_datadir}/emacs/site-lisp/tex-site.el
install -d %{buildroot}%{_sysconfdir}/emacs/site-start.d
echo "(if (string-match \"GNU Emacs\" (version)) (require 'tex-site))" >> %{buildroot}%{_sysconfdir}/emacs/site-start.d/%{rname}.el

%files
%doc RELEASE COPYING README TODO FAQ CHANGES
%{_infodir}/*
%{_datadir}/emacs/site-lisp/%{rname}
%{_datadir}/emacs/site-lisp/auctex.el
%{_datadir}/emacs/site-lisp/preview-latex.el
%{_datadir}/emacs/site-lisp/tex-site.el
%{_datadir}/texmf-dist/doc/latex/styles/preview.pdf
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/%{rname}*
