%global pkg slime
%define upstream_snapshot 2014-01-15
%define release_snapshot %(echo %{upstream_snapshot}|sed 's/-//g')

Name:            emacs-%{pkg}
Version:         3.0
Release:         %mkrel 1.%{release_snapshot}.6
Summary:         The superior lisp interaction mode for emacs        

Group:           Development/Tools 
#Public domain: Mentioned in README file
#LLGPL: Mentioned in swank-ccl.lisp
#GPLv2+: slime.el,slime-autoloads.el
#GPLv3+: Many files in contrib are GPLv3+
License:         Public Domain and GPLv3+ and GPLv2+ and LLGPL
URL:             https://common-lisp.net/project/slime/
Source0:         https://common-lisp.net/project/slime/snapshots/slime-current.tgz#/%{name}-%{upstream_snapshot}.tgz
Patch0:          slime-2013-04-05-fedora-mageia-fix-changelog-and-backend.patch
BuildRequires:   emacs-bin 
BuildRequires:   texinfo
Requires:        emacs-bin

BuildArch:      noarch

%description
SLIME is a Emacs mode for common Lisp development.

%package el
Summary:        Elisp source files for %{name}
Group:          Development/Tools 
Requires:       %{name} = %{version}-%{release}

%description el
This package contains the Elisp source files for %{name}. You do not need
to install this package to use %{name}.

%prep
%setup -q -n %{pkg}-%{upstream_snapshot}
%patch -P 0 -p0

iconv --from=ISO-8859-1 --to=UTF-8 ChangeLog > ChangeLog.conv && mv ChangeLog.conv ChangeLog

%build
# Gentoo fix for texinfo problem
sed -i "s/@itemx INIT-FUNCTION/@item INIT-FUNCTION/" doc/slime.texi \
              || die "sed doc/slime.texi failed" 
(cd doc && make slime.info)

%install
for file in *.el; do
    install -D -pm 644 $file %{buildroot}%{_datadir}/emacs/site-lisp/site-start.d/$file
done

install -D -pm 644 doc/%{pkg}.info %{buildroot}%{_infodir}/%{pkg}.info

for file in *.lisp *.asd contrib/*.lisp contrib/*.el contrib/README contrib/ChangeLog; do
    install -D -pm 644 $file %{buildroot}%{_datadir}/%{name}/$file
done

%files
%doc ChangeLog NEWS PROBLEMS README doc/slime-small.pdf doc/slime-refcard.pdf
%{_datadir}/%{name}/contrib/ChangeLog
%{_datadir}/%{name}/contrib/README
%{_datadir}/%{name}/contrib/bridge.el
%{_datadir}/%{name}/contrib/inferior-slime.el
%{_datadir}/%{name}/contrib/slime-asdf.el
%{_datadir}/%{name}/contrib/slime-autodoc.el
%{_datadir}/%{name}/contrib/slime-banner.el
%{_datadir}/%{name}/contrib/slime-c-p-c.el
%{_datadir}/%{name}/contrib/slime-cl-indent.el
%{_datadir}/%{name}/contrib/slime-clipboard.el
%{_datadir}/%{name}/contrib/slime-compiler-notes-tree.el
%{_datadir}/%{name}/contrib/slime-editing-commands.el
%{_datadir}/%{name}/contrib/slime-enclosing-context.el
%{_datadir}/%{name}/contrib/slime-fancy-inspector.el
%{_datadir}/%{name}/contrib/slime-fancy-trace.el
%{_datadir}/%{name}/contrib/slime-fancy.el
%{_datadir}/%{name}/contrib/slime-fontifying-fu.el
%{_datadir}/%{name}/contrib/slime-fuzzy.el
%{_datadir}/%{name}/contrib/slime-highlight-edits.el
%{_datadir}/%{name}/contrib/slime-hyperdoc.el
%{_datadir}/%{name}/contrib/slime-indentation.el
%{_datadir}/%{name}/contrib/slime-mdot-fu.el
%{_datadir}/%{name}/contrib/slime-media.el
%{_datadir}/%{name}/contrib/slime-motd.el
%{_datadir}/%{name}/contrib/slime-mrepl.el
%{_datadir}/%{name}/contrib/slime-package-fu.el
%{_datadir}/%{name}/contrib/slime-parse.el
%{_datadir}/%{name}/contrib/slime-presentation-streams.el
%{_datadir}/%{name}/contrib/slime-presentations.el
%{_datadir}/%{name}/contrib/slime-references.el
%{_datadir}/%{name}/contrib/slime-repl.el
%{_datadir}/%{name}/contrib/slime-sbcl-exts.el
%{_datadir}/%{name}/contrib/slime-scheme.el
%{_datadir}/%{name}/contrib/slime-scratch.el
%{_datadir}/%{name}/contrib/slime-snapshot.el
%{_datadir}/%{name}/contrib/slime-sprof.el
%{_datadir}/%{name}/contrib/slime-tramp.el
%{_datadir}/%{name}/contrib/slime-typeout-frame.el
%{_datadir}/%{name}/contrib/slime-xref-browser.el
%{_datadir}/%{name}/contrib/swank-arglists.lisp
%{_datadir}/%{name}/contrib/swank-asdf.lisp
%{_datadir}/%{name}/contrib/swank-c-p-c.lisp
%{_datadir}/%{name}/contrib/swank-clipboard.lisp
%{_datadir}/%{name}/contrib/swank-fancy-inspector.lisp
%{_datadir}/%{name}/contrib/swank-fuzzy.lisp
%{_datadir}/%{name}/contrib/swank-hyperdoc.lisp
%{_datadir}/%{name}/contrib/swank-indentation.lisp
%{_datadir}/%{name}/contrib/swank-listener-hooks.lisp
%{_datadir}/%{name}/contrib/swank-media.lisp
%{_datadir}/%{name}/contrib/swank-motd.lisp
%{_datadir}/%{name}/contrib/swank-mrepl.lisp
%{_datadir}/%{name}/contrib/swank-package-fu.lisp
%{_datadir}/%{name}/contrib/swank-presentation-streams.lisp
%{_datadir}/%{name}/contrib/swank-presentations.lisp
%{_datadir}/%{name}/contrib/swank-repl.lisp
%{_datadir}/%{name}/contrib/swank-sbcl-exts.lisp
%{_datadir}/%{name}/contrib/swank-snapshot.lisp
%{_datadir}/%{name}/contrib/swank-sprof.lisp
%{_datadir}/%{name}/contrib/swank-util.lisp
%{_datadir}/%{name}/metering.lisp
%{_datadir}/%{name}/nregex.lisp
%{_datadir}/%{name}/sbcl-pprint-patch.lisp
%{_datadir}/%{name}/start-swank.lisp
%{_datadir}/%{name}/swank-abcl.lisp
%{_datadir}/%{name}/swank-allegro.lisp
%{_datadir}/%{name}/swank-backend.lisp
%{_datadir}/%{name}/swank-ccl.lisp
%{_datadir}/%{name}/swank-clisp.lisp
%{_datadir}/%{name}/swank-cmucl.lisp
%{_datadir}/%{name}/swank-corman.lisp
%{_datadir}/%{name}/swank-ecl.lisp
%{_datadir}/%{name}/swank-gray.lisp
%{_datadir}/%{name}/swank-lispworks.lisp
%{_datadir}/%{name}/swank-loader.lisp
%{_datadir}/%{name}/swank-match.lisp
%{_datadir}/%{name}/swank-rpc.lisp
%{_datadir}/%{name}/swank-sbcl.lisp
%{_datadir}/%{name}/swank-scl.lisp
%{_datadir}/%{name}/swank-source-file-cache.lisp
%{_datadir}/%{name}/swank-source-path-parser.lisp
%{_datadir}/%{name}/swank.asd
%{_datadir}/%{name}/swank.lisp
%{_datadir}/%{name}/xref.lisp
%{_infodir}/slime.info.*

%files el
%{_datadir}/emacs/site-lisp/site-start.d/hyperspec.el
%{_datadir}/emacs/site-lisp/site-start.d/slime-autoloads.el
%{_datadir}/emacs/site-lisp/site-start.d/slime.el
