%define name    embryo
%define version 1.7.10
%define option  0
%define svn     0
%if %option
%define rel 0.%option.3
%define namevers %name-%version-%option
%else
%define rel 1
%define namevers %name-%version
%endif
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

%define major 	1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Enlightenment bytecode virtual machine
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://trac.enlightenment.org/e/wiki/Embryo
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/branches/%name-1.1 %name
# tar cJf %name-%svn.tar.xz %name
%if %svn
Source:         %name-%svn.tar.xz
%else
Source: 	https://download.enlightenment.org/releases/%namevers.tar.bz2
%endif

BuildRequires:  pkgconfig
%if %svn
BuildRequires:  pkgconfig(eina) >= %{version}-0.%svn
%else
BuildRequires:  pkgconfig(eina) >= %{version}
%endif
BuildRequires:  doxygen

%description
Embryo is primarily a shared library that gives you an API to load and control
interpreted programs compiled into an abstract machine bytecode that it
understands.  This abstract (or virtual) machine is similar to a real machine
with a CPU, but it is emulated in software.

This package is part of the Enlightenment DR17 desktop shell.

%package -n %libname
Summary: Libraries for the %{name} package
Group: System/Libraries

%description -n %libname
Libraries for %{name}

%package -n %libnamedev
Summary: Headers and development libraries from %{name}
Group: Development/Other
Requires: %libname = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description -n %libnamedev
%{name} development headers and libraries.

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %namevers
%endif

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
%configure --disable-static
%make_build

%install
rm -rf $RPM_BUILD_ROOT
%make_install

%files
%doc AUTHORS COPYING README
%{_bindir}/%{name}_cc
%{_datadir}/%name

%files -n %libname
%{_libdir}/*.so.%{major}*

%files -n %libnamedev
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*


