%define	name	emotion
%define version 1.7.10
%define option  0
%define svn     0
%if %option
%define rel 0.%option.3
%define namevers %name-%version-%option
%else
%define rel 1
%define namevers %name-%version
%endif
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

%define major 	1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Enlightenment video and media library
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		https://www.enlightenment.org/
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/trunk/%name %name
# tar cJf %name-%svn.tar.xz %name
%if %svn
Source: 	%name-%svn.tar.xz
%else
Source:		https://download.enlightenment.org/releases/%namevers.tar.bz2
%endif
BuildRequires:  pkgconfig
%if %svn
BuildRequires:	pkgconfig(evas) >= %{version}-0.%svn
BuildRequires:	pkgconfig(ecore) >= %{version}-0.%svn
BuildRequires:	pkgconfig(edje) >= %{version}-0.%svn
BuildRequires:	edje >= %{version}-0.%svn
BuildRequires:	pkgconfig(eio) >= %{version}-0.%svn
%else
BuildRequires:	pkgconfig(evas) >= %{version}
BuildRequires:	pkgconfig(ecore) >= %{version}
BuildRequires:	pkgconfig(edje) >= %{version}
BuildRequires:	edje >= %{version}
BuildRequires:	pkgconfig(eio) >= %{version}
%endif
BuildRequires:	libxine-devel
BuildRequires:	pkgconfig(gstreamer-interfaces-0.10) >= 0.10.34
BuildRequires:	pkgconfig(gstreamer-0.10) >= 0.10.2
BuildRequires:	pkgconfig(gstreamer-plugins-base-0.10) >= 0.10.1
BuildRequires:	pkgconfig(gstreamer-video-0.10) >= 0.10.1
BuildRequires:	pkgconfig(evas) >= 1.0.0
BuildRequires:	pkgconfig(eina) >= 1.1.99
BuildRequires:	pkgconfig(libvlc) >= 0.9

%description
Emotion is a video & media object library designed to interface with Evas and
Ecore to provide autonomous "video" and "audio" objects that can be moved,
resized and positioned like any normal object, but instead they can play video
and audio and can be controlled from a high-level control API allowing the
programmer to quickly piece together a multi-media system with minimal work.

This package is part of the Enlightenment DR17 desktop shell.

%package -n %libname
Summary: Libraries for the %{name} package
Group: System/Libraries
Requires: %{name} >= %{version}-%{release}

%description -n %libname
Libraries for %{name}

%package -n %libnamedev
Summary: Headers and development libraries from %{name}
Group: Development/Other
Requires: %libname = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description -n %libnamedev
%{name} development headers and libraries

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %namevers
%endif

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
%configure --enable-gstreamer --enable-xine --disable-vlc --disable-static
%make_build

%install
%make_install

find %buildroot -name *.la | xargs rm

%files
%doc AUTHORS COPYING README
%{_bindir}/%{name}_*
%{_datadir}/%name
%{_libdir}/%name
%{_libdir}/edje/*

%files -n %libname
%{_libdir}/*.so.*

%files -n %libnamedev
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_includedir}/emotion-%major


