Name:		enblend
Version:	4.2
Release:	%mkrel 11
Summary:	Tool for compositing images
License:	GPLv2+
Group:		Graphics/Photography
Url:		https://enblend.sourceforge.net
Source0:	https://downloads.sourceforge.net/enblend/enblend-enfuse-%{version}.tar.gz
Patch1:		enblend-enfuse-4.2-limits.patch
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(freeglut)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	plotutils-devel
BuildRequires:	boost-devel
BuildRequires:	vigra-devel
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	pkgconfig(gsl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	gnuplot
BuildRequires:	help2man
BuildRequires:	imagemagick
BuildRequires:	texinfo
BuildRequires:	ghostscript
BuildRequires:	tidy
BuildRequires:	transfig
BuildRequires:	libxml2-utils
BuildRequires:	libgomp-devel
BuildRequires:	perl(DateTime::TimeZone)
BuildRequires:	texlive
Provides:	enfuse = %{version}-%{release}

%description
Enblend is a tool for compositing images. Given a set of images that overlap
in some irregular way, Enblend overlays them in such a way that the seam
between the images is invisible, or at least very difficult to see.

%prep
%setup -q -n enblend-enfuse-%{version}
%autopatch -p1

%build
export CXXFLAGS="%{build_cxxflags} -std=gnu++14"
%configure --enable-openmp
%make_build

%install
%make_install

%files
%doc AUTHORS COPYING NEWS README
%{_mandir}/man1/enblend.1.*
%{_mandir}/man1/enfuse.1.*
%{_bindir}/enblend
%{_bindir}/enfuse
