%define major	1.9
%define libname %mklibname %{name} %{major}

Summary: 	Encrypted pass-through filesystem for Linux
Name:		encfs
Version:	1.9.5
Release:	%mkrel 8
License:	GPLv3+
Group:		File tools
URL: 		https://vgough.github.io/encfs/
Source0:	http://encfs.googlecode.com/files/%{name}-%{version}.tar.gz
Requires:	fuse >= 2.6
Requires:	kmod(fuse.ko)
Requires:	openssl >= 0.9.7
BuildRequires:	cmake
BuildRequires:	pkgconfig(librlog) >= 1.3
BuildRequires:	pkgconfig(fuse) >= 2.6
BuildRequires:	pkgconfig(openssl) >= 0.9.7
BuildRequires:	pkgconfig(tinyxml2)
BuildRequires:	boost-devel >= 1.34
# only needed for autoreconf usage
BuildRequires:	gettext-devel

%description
EncFS implements an encrypted pass-through filesystem in userspace using
FUSE. File names and contents are encrypted using OpenSSL.

%package -n 	%{libname}
Summary:	Libraries for encfs
Group:		System/Libraries

%description -n	%{libname}
Libraries for encfs.

%prep
%setup -q 

%build
%cmake \
    -DCMAKE_SKIP_RPATH=ON \
    -DBUILD_SHARED_LIBS=ON \
    -DINSTALL_LIBENCFS=ON \
    -DUSE_INTERNAL_TINYXML=OFF
%cmake_build

%install
%cmake_install
rm -f %{buildroot}/%{_libdir}/*.la
rm -f %{buildroot}/%{_libdir}/*.so

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog
%{_bindir}/*
%{_mandir}/man?/*

%files -n %{libname}
%{_libdir}/libencfs.so.%{major}{,.*}
