%define major		1
%define libname		%mklibname enchant %{major}
%define develname	%mklibname enchant -d

Summary:	An enchanting spell checking library
Name:		enchant
Version:	1.6.1
Release:	%mkrel 8
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.abisource.com/projects/enchant/
Source0:	https://github.com/AbiWord/enchant/releases/download/%{name}-%(echo %{version} | sed "s/\\./-/g")/%{name}-%{version}.tar.gz
Patch0:		enchant-1.6.0-add-more-myspell-dicts-dirs.patch
Patch1:		hunspell-1.4.0-has-no-limit.patch
Patch2:		enchant-1.6.0-mga-const-confusion.patch
BuildRequires:	pkgconfig(glib-2.0) >= 2.6
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(hunspell)
BuildRequires:	pkgconfig(libvoikko)
BuildRequires:	pkgconfig(dbus-glib-1)
# for tests
#BuildRequires:	pkgconfig(UnitTest++)

%description
A library that wraps other spell checking backends.

%package -n %{libname}
Summary:	Libraries for enchant
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n	%{libname}
This package provides the libraries for using enchant.

%package -n %{libname}-zemberek
Summary:	Zemberek library for enchant
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Recommends:	zemberek-server
Provides:	locale(%{name}:az)
Provides:	locale(%{name}:tk)
Provides:	locale(%{name}:tr)
Provides:	locale(%{name}:tt)

%description -n	%{libname}-zemberek
This package provides the zemberek libraries for using enchant.

%package -n %{develname}
Summary:	Libraries and include files for developing with enchant
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{mklibname enchant 1}-devel = %{version}-%{release}
Obsoletes:	%{mklibname enchant 1}-devel

%description -n	%{develname}
This package provides the necessary development libraries and include
files to allow you to develop with enchant.

%prep
%autosetup -p1

%build
%configure \
	--disable-static \
	--with-system-myspell=yes \
	--enable-zemberek="yes" \
	--disable-ispell --disable-aspell --disable-uspell --disable-hspell \
	--with-myspell-dir=%{_datadir}/hunspell

# Hack to add the tag to the armv7 build because libtool can't figure out what
# the compiler is otherwise
%make_build OBJCLD='--tag=CC $(OBJC)'

%install
%make_install

find %{buildroot} -name '*.la' -delete

# %check
# The tests seem to require an installed dictionary
# %make_build check

%files
%doc AUTHORS HACKING README TODO
%{_bindir}/*
%{_datadir}/enchant
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libenchant.so.%{major}{,.*}
%dir %{_libdir}/enchant
%{_libdir}/enchant/libenchant_myspell.so
%{_libdir}/enchant/libenchant_voikko.so

%files -n %{libname}-zemberek
%dir %{_libdir}/enchant
%{_libdir}/enchant/libenchant_zemberek.so

%files -n %{develname}
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/enchant.pc
%{_includedir}/enchant
