%global api     2
%global major   2
%define libname %mklibname enchant %{api} %{major}
%define devname %mklibname enchant %{api} -d

Name:          enchant2
Version:       2.8.2
Release:       %mkrel 2
Summary:       An Enchanting Spell Checking Library
Group:         System/Libraries

License:       LGPLv2+
URL:           https://github.com/AbiWord/enchant
Source0:       https://github.com/AbiWord/enchant/releases/download/v%{version}/enchant-%{version}.tar.gz

BuildRequires: groff
BuildRequires: vala
BuildRequires: aspell-devel
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(hunspell)
BuildRequires: pkgconfig(libvoikko)
BuildRequires: pkgconfig(nuspell)
Provides:      bundled(gnulib)

%description
A library that wraps other spell checking backends.

%package aspell
Summary:        Integration with aspell for libenchant
Group:          System/Libraries

%description aspell
Libraries necessary to integrate applications using libenchant with aspell.

%package nuspell
Summary:        Integration with nuspell for libenchant
Group:          System/Libraries

%description nuspell
Libraries necessary to integrate applications using libenchant with nuspell.

%package voikko
Summary:        Integration with voikko for libenchant
Group:          System/Libraries

%description voikko
Libraries necessary to integrate applications using libenchant with voikko.

%package -n %{libname}
Summary:        An Enchanting Spell Checking Library
Group:          System/Libraries
Obsoletes:      %{_lib}enchant2 < 2.2.3-2

%description -n %{libname}
A library that wraps other spell checking backends.

%package -n %{devname}
Group:          Development/C
Summary:        Development files for %{name}
Requires:       %{libname} = %{version}-%{release}
Provides:       enchant2-devel = %{version}-%{release}

%description -n %{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1 -n enchant-%{version}

%build
%configure \
    --with-aspell \
    --with-nuspell \
    --without-hspell \
    --with-hunspell-dir=%{_datadir}/myspell \
    --disable-static \
    --docdir=%{_defaultdocdir}/%{name}

%make_build pkgdatadir=%{_datadir}/enchant-%{api}

%install
%make_install pkgdatadir=%{_datadir}/enchant-%{api}

find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS NEWS README.md
%license COPYING.LIB
%{_bindir}/enchant-2
%{_bindir}/enchant-lsmod-2
%{_mandir}/man1/*
%{_datadir}/enchant-%{api}-2/

%files -n %{libname}
%license COPYING.LIB
%{_libdir}/libenchant-%{api}.so.%{major}{,.*}
%dir %{_libdir}/enchant-%{api}/
%{_libdir}/enchant-%{api}/enchant_hunspell.so

%files aspell
%{_libdir}/enchant-%{api}/enchant_aspell.so

%files nuspell
%{_libdir}/enchant-%{api}/enchant_nuspell.so

%files voikko
%{_libdir}/enchant-%{api}/enchant_voikko.so

%files -n %{devname}
%doc %{_defaultdocdir}/%{name}/*.html
%{_libdir}/libenchant-%{api}.so
%{_libdir}/pkgconfig/enchant-%{api}.pc
%{_includedir}/enchant-%{api}/
%{_mandir}/man5/enchant.5*
