%define         dlver %(echo %{version} | sed -e 's|\\.|_|g')

Name:           encryptpad
Version:        0.5.0.4
Release:        %mkrel 1
Summary:        Minimalist secure text editor and binary encryptor
Group:          Editors
License:        GPLv2
URL:            https://evpo.net/encryptpad
Source0:        https://github.com/evpo/EncryptPad/releases/download/v%{version}/%{name}%{dlver}_src.tar.gz

BuildRequires:  pkgconfig(botan-2)
BuildRequires:  pkgconfig(bzip2)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  discount
Requires:       discount

%description
EncryptPad is an application for viewing and editing symmetrically encrypted
text. Using a simple and convenient graphical and command line interface,
EncryptPad provides a tool for encrypting and decrypting binary files on disk
while offering effective measures for protecting information, and it uses the
most widely chosen quality file format OpenPGP.
RFC 4880 (https://tools.ietf.org/html/rfc4880).
Unlike other OpenPGP software which main purpose is asymmetric encryption, the
primary focus of EncryptPad is symmetric encryption.

%package -n %{name}-qt5
Summary:        Minimalist secure text editor and binary encryptor
Group:          Editors
Provides:       epad = %{version}-%{release}
Provides:       encpad = %{version}-%{release}

%description -n %{name}-qt5
This is the QT5 version of the %{name} text editor.

%package -n %{name}-cli
Summary:        Minimalist secure text editor and binary encryptor
Group:          Editors

%description -n %{name}-cli
This is the CLI version of the %{name} text editor.

%package -n %{name}-docs
Summary:        Minimalist secure text editor and binary encryptor
Group:          Editors
BuildArch:      noarch
Conflicts:      %{name} < 0.4.0.4-1

%description -n %{name}-docs
This is the documentation for the %{name} text editor.

%prep
%autosetup -p1 -n %{name}%{dlver}_src

%build
%set_build_flags

./configure.py \
	--prefix=%{buildroot}%{_prefix} \
	--includedir=%{_includedir} \
	--with-external-libdir=%{_libdir} \
	--with-external-includedir=%{_includedir} \
	--qmake-bin=%{_qt5_bindir}/qmake-qt5

%make_build

%install
mkdir -p %{buildroot}%{_bindir}
%make_install prefix=%{buildroot}

ln -s %{_bindir}/%{name} %{buildroot}%{_bindir}/epad
ln -s %{_bindir}/%{name} %{buildroot}%{_bindir}/encpad

%files -n %{name}-qt5
%doc README.md CHANGES.md
%license license*
%{_bindir}/encryptpad
%{_bindir}/epad
%{_bindir}/encpad
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/mime/*/*%{name}.xml
%{_datadir}/applications/mimeinfo.cache
%{_datadir}/mime/XMLnamespaces
%{_datadir}/mime/aliases
%{_datadir}/mime/generic-icons
%{_datadir}/mime/globs
%{_datadir}/mime/globs2
%{_datadir}/mime/icons
%{_datadir}/mime/magic
%{_datadir}/mime/mime.cache
%{_datadir}/mime/subclasses
%{_datadir}/mime/treemagic
%{_datadir}/mime/types
%{_datadir}/mime/version

%files -n %{name}-cli
%{_bindir}/encryptcli

%files -n %{name}-docs
%doc docs
