%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then ver = string.gsub(ver, "~.*", "");print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define major	0
%define libname	%mklibname gtd %{major}
%define devname	%mklibname gtd -d

%bcond_with test

Name:		endeavour
Version:	43.0
Release:	%mkrel 2
Summary:	A simple to-do app for GNOME
Group:		Graphical desktop/GNOME
License:	GPLv3+
URL:		https://gitlab.gnome.org/World/Endeavour
Source0:	https://gitlab.gnome.org/World/Endeavour/-/archive/%{version}/Endeavour-%{version}.tar.gz
Patch100:	endeavour-install-lib.patch
BuildRequires:	meson
BuildRequires:	appstream-util
BuildRequires:	itstool
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(goa-1.0)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(libadwaita-1)
BuildRequires:	pkgconfig(libecal-2.0)
BuildRequires:	pkgconfig(libedataserver-1.2)
BuildRequires:	pkgconfig(libedataserverui-1.2)
BuildRequires:	pkgconfig(libical)
BuildRequires:	pkgconfig(libpeas-1.0)
BuildRequires:	pkgconfig(libportal-gtk4)
BuildRequires:	pkgconfig(rest-1.0)
Obsoletes:	gnome-todo < 42.0
Provides:	gnome-todo = %{version}-%{release}

%description
Endeavour (old GNOME To Do) is an intuitive and powerful application to manage
your personal tasks. It uses GNOME technologies and has complete integration
with the GNOME desktop environment.

%package -n %{libname}
Summary:	Shared libraries for Endeavour
Group:		System/Libraries

%description -n %{libname}
Endeavour (old GNOME To Do) is an intuitive and powerful application to manage
your personal tasks. It uses GNOME technologies and has complete integration
with the GNOME desktop environment.

%package -n %{devname}
Summary:	Development files needed to write plugins for Endeavour
Group:		Graphical desktop/GNOME
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	gnome-todo-devel < 42.0

%description -n %{devname}
Development files needed to write plugins for Endeavour (old GNOME To Do).

%prep
%autosetup -p1 -n Endeavour-%{version}

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%if %{with test}
%check
%meson_test
%endif

%files -f %{name}.lang
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_libdir}/girepository-1.0/Gtd-1.0.typelib
%{_datadir}/applications/org.gnome.Todo.desktop
%{_datadir}/dbus-1/services/org.gnome.Todo.service
%{_datadir}/glib-2.0/schemas/org.gnome.todo.*.xml
%{_iconsdir}/hicolor/*/apps/org.gnome.Todo*.*
%{_iconsdir}/hicolor/symbolic/actions/*.svg
%{_metainfodir}/org.gnome.Todo.appdata.xml

%files -n %{libname}
%{_libdir}/libgtd.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/libgtd.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/Gtd-1.0.gir
