%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:       engrampa
Version:    1.28.2
Release:    %mkrel 1
Summary:    An archive manager for MATE Desktop
Group:      Archiving/Compression
License:    GPLv2+ and LGPLv2+
URL:        https://mate-desktop.org/
Source0:    https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: itstool
BuildRequires: chrpath
BuildRequires: mate-common >= %{url_ver}
BuildRequires: xsltproc
BuildRequires: magic-devel
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(gnome-doc-utils)
BuildRequires: pkgconfig(libcaja-extension) >= %{url_ver}
BuildRequires: pkgconfig(json-glib-1.0)
BuildRequires: yelp-tools
BuildRequires: autoconf-archive

Recommends:    cdrecord-isotools
# for the gsettings schema
Requires:      caja-schemas >= %{url_ver}

%description
Engrampa (Mate file archiver tool) is an archive manager
for the MATE environment.

This means that you can
    * create and modify archives
    * view the content of an archive
    * view a file contained in the archive
    * extract files from the archive.

Engrampa is only a front-end (a graphical interface)
to archiving programs like tar and zip.

The supported file types are :
    * Tar archives uncompressed (.tar) or compressed with
          * gzip (.tar.gz , .tgz)
          * bzip (.tar.bz , .tbz)
          * bzip2 (.tar.bz2 , .tbz2)
          * compress (.tar.Z , .taz)
          * lzop (.tar.lzo , .tzo)
          * lzma (.tar.lzma , .tlz)
    * Zip archives (.zip)
    * Jar archives (.jar , .ear , .war)
    * Lha archives (.lzh)
    * Rar archives (.rar)
    * Single files compressed with gzip, bzip, bzip2, compress,
    lzop, lzma
    * ISO images


%prep
%autosetup -p1

%build
autoreconf -vfi
%configure             \
   --disable-static        \
   --enable-magic          \
   --enable-packagekit     \
   --enable-caja-actions

%make_build

%install
%make_install

%find_lang %{oname} --with-gnome --all-name

#gw rpmlint errors
chrpath -d %{buildroot}%{_bindir}/%{name}
chrpath -d %{buildroot}%{_libdir}/caja/*/*.so

%files -f %{oname}.lang
%doc README NEWS AUTHORS
%license COPYING
%{_bindir}/%{name}
%{_libexecdir}/%{name}/
%{_libexecdir}/engrampa-server
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.mate.engrampa.gschema.xml
%{_datadir}/metainfo/engrampa.appdata.xml
%{_datadir}/caja/extensions/libcaja-engrampa.caja-extension
%{_datadir}/dbus-1/services/org.mate.Engrampa.service
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_datadir}/icons/hicolor/*/actions/*.png
%{_libdir}/caja/extensions-2.0/libcaja-%{name}.so
%{_mandir}/man1/%{name}.1.*
