Name:           enki
Version:        22.08.0
Release:        %mkrel 4
Summary:        Advanced text editor for programmers
Group:          Editors
License:        GPLv2
URL:            https://enki-editor.org/
Source0:        https://github.com/hlamer/enki/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  desktop-file-utils
BuildRequires:  python3-setuptools
BuildRequires:  python3-qutepart
BuildRequires:  python3-qt5-devel
Requires:       python3
Requires:       python3-markdown
Requires:       python3-qutepart
Requires:       python3-docutils
Requires:       python3-regex
Requires:       python3-qt5-core
Requires:       python3-qt5-gui
Requires:       python3-qt5-test
Requires:       python3-qt5-webchannel
Requires:       python3-qt5-webengine
Requires:       python3-qt5-webenginecore
Requires:       python3-qt5-webenginewidgets
Requires:       python3-qt5-widgets
Requires:       python3dist(sip)
Requires:       python-jupyter-qtconsole
Recommends:     python3-flake8
Recommends:     python3-sphinx
Recommends:     ctags
Recommends:     python3-codechat

%description
Enki is an advanced text editor for programmers. It is:
    - User friendly. Intuitive interface. Works out of the box.
      You don't have to read a lot of docs
    - Hacker friendly. Work as quickly as possible.
      You don't need your mouse for coding.
    - Lightweight. Some IDEs show splashscreen.
      Enki will never do it. It just starts quickly.
    - Advanced. You invent software. An editor helps you to do a routine job.
    - Extensible. Operating systems are designed for running applications.
      Enki is designed for running plugins.
    - Cross platform. Use your habitual editor on any OS.
      Currently has been tested on Linux, MacOS X, Windows.
    - High quality. No long list of fancy features.
      But, what is done, is done well.
    - Open source. In GitHub we trust.


%prep
%setup -q
%autopatch -p1
#
# https://github.com/andreikop/enki/commit/557ee6c3fbc681f03508451077f062195e4d812c
sed -i s:==2016.10.22:: setup.py

%build
%py3_build

%install
%py3_install

%files
%doc README.md ChangeLog
%{_bindir}/%{name}
%{python3_sitelib}/%{name}*
%{_iconsdir}/hicolor/*/*/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/enki.svg
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
