%define gmajor	0.1
%define girname	%mklibname %{name}-gir %{gmajor}

%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

%global build_cflags %{build_cflags} -Wno-deprecated-declarations

Name:		entangle
Summary:	Tethered Camera Control & Capture
Version:	3.0
Release:	%mkrel 3
License:	GPLv3+
Group:		Graphics/Photography
Url:		https://entangle-photo.org
Source0:	https://entangle-photo.org/download/sources/entangle-%{version}.tar.xz

# Upstream patches
Patch:		0001-meson-fix-build-for-meson-0.60.0.patch
Patch:		0001-meson-remove-obsolete-languages-option-to-gnome.yelp.patch
Patch:		0001-Bump-meson-dep-to-0.56.0-for-project_source_root-pro.patch
Patch:		0001-build-Add-missing-gio-unix-2.0-dependency.patch

# Mageia patches
Patch:		entangle-skip-gir-install.patch
Patch:		entangle-girepository-2.0.patch
Patch:		entangle-meson.patch

BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	yelp-tools
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libgphoto2)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(gexiv2)
BuildRequires:	pkgconfig(libraw_r)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libpeas-1.0)
BuildRequires:	pkgconfig(adwaita-icon-theme)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
Requires:	%{girname} = %{version}-%{release}
Requires:	adwaita-icon-theme

%description
Entangle provides a graphical interface for "tethered shooting", aka taking
photographs with a digital camera completely controlled from the computer.

It is built on top of libgphoto using GTK3 for its interface. It is fully
colour managed, auto-detecting system monitor profile and applying the
necessary transforms when displaying images.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the shared libraries for %{name}.

%if 0
%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other

%description -n %{devname}
This package contains the development files for %{name}.
%endif

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

#drop outdated api reference
rm -rf %{buildroot}%{_datadir}/gtk-doc/

#drop .gir and .so
rm -rf %{buildroot}%{_libdir}/*.so

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS NEWS README.rst
%{_bindir}/%{name}
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/plugins/
%{_libdir}/%{name}/plugins/photobox/
%{_libdir}/%{name}/plugins/shooter/
%{_libdir}/%{name}/plugins/eclipse/
%{_datadir}/%{name}/
%{_datadir}/glib-2.0/schemas/org.entangle-photo.manager.gschema.xml
%{_datadir}/applications/*%{name}*.desktop
%{_datadir}/metainfo/*%{name}*.xml
%{_iconsdir}/hicolor/*/apps/*%{name}*
%{_mandir}/man1/%{name}.1.*

%if 0
%files -n %{devname}
%{_datadir}/gir-1.0/Entangle-0.1.gir
%{_libdir}/lib%%{name}_*end.so
%endif

%files -n %{libname}
%{_libdir}/lib%{name}_*end.so.%{major}
%{_libdir}/lib%{name}_*end.so.%{major}.*

%files -n %{girname}
%{_libdir}/girepository-1.0/Entangle-%{gmajor}.typelib
