%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		enter-tex
Version:	3.47.0
Release:	%mkrel 2
Summary:	Integrated LaTeX Environment for the GNOME desktop
Group:		Publishing
License:	GPLv3+
URL:		https://gitlab.gnome.org/swilmet/enter-tex
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	meson
BuildRequires:	intltool
BuildRequires:	gtk-doc
BuildRequires:	itstool
BuildRequires:	yelp-tools
BuildRequires:	libxml2-utils
BuildRequires:	vala
BuildRequires:	pkgconfig(appstream-glib)
BuildRequires:	pkgconfig(dconf)
BuildRequires:	pkgconfig(gee-0.8) >= 0.10
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gspell-1)
BuildRequires:	pkgconfig(libgedit-amtk-5)
BuildRequires:	pkgconfig(libgedit-tepl-6) >= 6.10
BuildRequires:	pkgconfig(vapigen) >= 0.34
Requires:	hicolor-icon-theme
Requires:	gsettings-desktop-schemas
# Default compile document in Gnome Latex is latexmk (mga#27119)
Requires:	texlive-collection-basic
Requires:	texlive-dist

Provides:	latexila = %{version}-%{release}
Provides:	gnome-latex = %{version}-%{release}
Obsoletes:	gnome-latex < 3.46.0-4

%description
Enter-Tex is an Integrated LaTeX Environment for GNOME.
The main features are:
  * Configurable buttons to compile, convert and view a document in one click
  * LaTeX commands auto-completion
  * Symbol tables (Greek letters, arrows, ...)
  * File browser integrated
  * Template managing
  * Menus with the most commonly used LaTeX commands
  * Easy projects management

enter-tex is based on [Gedit Technology](https://gedit-technology.github.io/)

%prep
%autosetup -p1

%build
%meson
%meson_build src/gtex/Gtex-1.gir
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc CONTRIBUTING.md README.md NEWS
%license LICENSES/*
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/applications/org.gnome.enter_tex.desktop
%{_iconsdir}/*/*/*/*
%{_metainfodir}/org.gnome.enter_tex.metainfo.xml
%{_datadir}/glib-2.0/schemas/org.gnome.enter_tex.gschema.xml
%{_datadir}/dbus-1/services/org.gnome.enter_tex.service
%{_datadir}/gtk-doc/html/%{name}
%{_mandir}/man1/%{name}.1.*
