Name:           enzo
Version:        2.6.1
Release:        %mkrel 8
Summary:        An adaptive mesh refinement code for astrophysical calculations
License:        BSD
Group:          Sciences/Astronomy

URL:            https://enzo-project.org
Source0:        https://github.com/enzo-project/enzo-dev/archive/%{name}-%{version}.tar.gz
Patch0:         enzo-2.5-nosse.patch
Patch1:         enzo-2.6-mga-hdf5.patch
Patch2:         hdf5-1.12-compat.patch
Patch3:         enzo-fix-missing-headers.patch


BuildRequires:  hdf5-devel
BuildRequires:  tcsh

BuildRequires:  makedepend
BuildRequires:  python3
BuildRequires:  mercurial
BuildRequires:  openmpi-devel
Requires:       openmpi

#mpi is compulsory, say ciao to 32 bits
ExcludeArch: 	%{ix86}
ExcludeArch:    %{arm32}

%description
Enzo is a community-developed adaptive mesh refinement simulation
code, designed for rich, multi-physics hydrodynamic astrophysical
calculations. Enzo is freely available, developed in the open, with a
strong support structure for assistance. Simulations conducted with
Enzo have been featured in numerous refereed journal articles, and it
is capable of running on computers from laptop to Top500.

%prep
%autosetup -p1 -n enzo-dev-%{name}-%{version}

%build
%configure
pushd src/enzo
make dep
%make_build machine-linux-gnu
%ifarch %ix86 %{arm} aarch64
%make_build CFLAGS="%{optflags} -DNOSSE" \
            CXXFLAGS="%{optflags} -DNOSSE" \
            FFLAGS="%{optflags} -DNOSSE -fallow-argument-mismatch" \
            F90FLAGS="%{optflags} -DNOSSE -fallow-argument-mismatch" \
	    LDFLAGS="%{ldflags}"
%else
%make_build CFLAGS="%{optflags}" \
            CXXFLAGS="%{optflags}" \
            FFLAGS="%{optflags} -fallow-argument-mismatch" \
            F90FLAGS="%{optflags} -fallow-argument-mismatch" \
	    LDFLAGS="%{ldflags}"
%endif
popd
pushd src/inits
%make_build FFLAGS="%{optflags} -fallow-argument-mismatch"
popd
pushd src/ring
%make_build FFLAGS="%{optflags} -fallow-argument-mismatch"
popd

%install
%__mkdir_p %{buildroot}%{_bindir}
cp -p bin/*  %{buildroot}%{_bindir}

%files
%{_bindir}/enzo
%{_bindir}/np
%{_bindir}/find_conflicts
%{_bindir}/inits
%{_bindir}/pr_testing
%{_bindir}/update_path
