Summary:	Plugins for the Eye of GNOME image viewer
Name:		eog-plugins
Version:	44.1
Release:	%mkrel 3
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		https://www.gnome.org/projects/eog/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch1:		0001-Require-Gtk-3.0-typelib.patch
Patch2:		0001-Fix-Eog-typelib-loading-from-private-location.patch
Patch3:		0001-Require-PeasGtk-1.0-typelib.patch
BuildRequires:	gettext
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(eog)
BuildRequires:	pkgconfig(libpeas-gtk-1.0)
BuildRequires:	pkgconfig(champlain-0.12)
BuildRequires:	pkgconfig(champlain-gtk-0.12)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libgdata)
BuildRequires:	libxml2-utils
BuildRequires:	meson
BuildRequires:	pkgconfig(python3)
Requires:	eog
Requires:	python3dist(pygobject)

%description
It's a collection of plugins for use with the Eye of GNOME Image Viewer.
The included plugins provide a map view for where the picture was taken,
display of Exif information, Zoom to fit, etc.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_libdir}/eog/plugins/*
%{_datadir}/eog/plugins/*
%{_datadir}/glib-2.0/schemas/*.xml
%{_metainfodir}/eog-*.appdata.xml
