%define gi_major 1.0
%define girname %mklibname %{name}-gir %{gi_major}

%global __provides_exclude_from %{_libdir}/eom/plugins/.*\\.so

%global build_cflags %{build_cflags} -Wno-deprecated-declarations

Name:       eom
Version:    1.28.0
Release:    %mkrel 3
Summary:    Eye of MATE image viewer
Group:      Graphical desktop/MATE
License:    GPLv2+ and LGPLv2+
URL:        https://mate-desktop.org/
Source0:    https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Patch1:     eom-girepository-2.0.patch
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(gtk+-unix-print-3.0)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(libexif)
BuildRequires: pkgconfig(exempi-2.0)
BuildRequires: pkgconfig(libart-2.0)
BuildRequires: pkgconfig(xt)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(librsvg-2.0)
BuildRequires: pkgconfig(mate-desktop-2.0) >= %{url_ver}
BuildRequires: pkgconfig(lcms2)
BuildRequires: pkgconfig(gsettings-desktop-schemas)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(shared-mime-info)
BuildRequires: pkgconfig(girepository-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(libpeas-1.0)
BuildRequires: pkgconfig(libpeas-gtk-1.0)
BuildRequires: pkgconfig(libjpeg)
BuildRequires: itstool
BuildRequires: mate-common
BuildRequires: yelp-devel

Requires: librsvg
Requires: mate-icon-theme
Requires: gsettings-desktop-schemas
Requires: mate-desktop-schemas >= %{url_ver}

Requires: typelib(Peas) = 1.0
Requires: typelib(PeasGtk) = 1.0
Requires: typelib(Eom)

%description
This is the Eye of MATE, an image viewer program.
It is meant to be a fast and functional image viewer.

Eye of MATE is a fork of Eye of GNOME.

%package -n %{girname}
Summary: GObject Introspection interface description for %{name}
Group: System/Libraries
Requires: %{name} = %{version}

%description -n %{girname}
GObject Introspection interface description for %{name}

%package    devel
Summary:    C headers needed to build EOM plugins
Group:      Development/C
Requires:   %{name} = %{version}-%{release}
Requires:   %{girname} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description devel
The Eye of MATE image viewer (eom) is the official image viewer for the
MATE desktop. This package allows you to develop plugins that add new
functionality to eom.

%prep
%autosetup -p1

%build
autoconf -fi
%configure \
    --disable-static \
    --with-x \
    --enable-introspection \
    --with-cms \
    --disable-schemas-compile

%make_build

%install
%make_install

%find_lang %{name} --with-gnome

%files -f %name.lang
%doc AUTHORS COPYING NEWS README
%{_bindir}/eom
%{_mandir}/man1/eom.*
%dir %{_libdir}/eom/
%dir %{_libdir}/eom/plugins/
%{_libdir}/eom/plugins/fullscreen.plugin
%{_libdir}/eom/plugins/libfullscreen.so
%{_libdir}/eom/plugins/reload.plugin
%{_libdir}/eom/plugins/libreload.so
%{_libdir}/eom/plugins/statusbar-date.plugin
%{_libdir}/eom/plugins/libstatusbar-date.so
%{_datadir}/applications/eom.desktop
%{_datadir}/metainfo/eom.appdata.xml
%{_datadir}/eom/
%{_datadir}/icons/hicolor/*/apps/eom.*
%{_datadir}/glib-2.0/schemas/org.mate.eom.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.eom.enums.xml

%files -n %{girname}
%{_libdir}/girepository-1.0/Eom-%{gi_major}.typelib

%files devel
%doc %{_datadir}/gtk-doc/html/eom/
%{_libdir}/pkgconfig/eom.pc
%{_includedir}/eom-2.20/
%{_datadir}/gir-1.0/Eom-%{gi_major}.gir
