%define date    0
%define rel	1
%if %date
%define release %mkrel -c %{date} %{rel}
%define srcversion %{version}-%{date}
%else
%define release %mkrel %{rel}
%define srcversion %{version}
%endif

Summary: 	Enlightenment photo manager
Name: 		ephoto
Version: 	1.6.0
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		https://www.enlightenment.org/

Source:		https://download.enlightenment.org/rel/apps/ephoto/%name-%{srcversion}.tar.xz


BuildRequires:  meson
BuildRequires:  ninja
BuildRequires:  gettext-devel
BuildRequires:	pkgconfig(eina)
BuildRequires:  efl
BuildRequires:	gettext-devel
BuildRequires:	subversion

Requires: efl

%description
Ephoto is an image viewer and editor written using the Enlightenment
Foundation Libraries (EFL) which offer it speed and a small footprint.
This package is part of the Enlightenment desktop shell.


%prep

%setup -qn %{name}-%{srcversion}


%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README TODO
%license COPYING
%{_bindir}/*
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/%name.desktop
%{_iconsdir}/%name.png
