%define url_ver		%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then ver = string.gsub(ver, "~.*", "");print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global glib2_version 2.74.0
%global gtk4_version 4.10.0
%global libadwaita_version 1.4~beta
%global webkitgtk_version 2.41.1

%global tarball_version %%(echo %{version} | tr '~' '.')

Summary:		GNOME web browser based on the webkit rendering engine
Name:			epiphany
Version:		48.0
Release:		%mkrel 1
License:		GPLv2+ and GFDL
Group:			Networking/WWW
URL:			https://wiki.gnome.org/Apps/Web
Source0:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz
# (fc) default bookmarks
Patch2:			epiphany-3.26.0-default_bookmarks.patch
Patch5:			epiphany-47.2-use_mageia_for_duckduckgo.patch
BuildRequires:		meson
BuildRequires:		pkgconfig(avahi-client)
BuildRequires:		pkgconfig(avahi-gobject)
BuildRequires:		pkgconfig(gcr-4)
BuildRequires:		pkgconfig(gio-unix-2.0)
BuildRequires:		pkgconfig(glib-2.0)
BuildRequires:		pkgconfig(json-glib-1.0)
BuildRequires:		pkgconfig(gmodule-2.0)
BuildRequires:		pkgconfig(gnome-keyring-1)
BuildRequires:		pkgconfig(gsettings-desktop-schemas)
BuildRequires:		pkgconfig(gstreamer-1.0)
BuildRequires:		pkgconfig(gthread-2.0)
BuildRequires:		pkgconfig(gtk4) >= %{gtk4_version}
BuildRequires:		pkgconfig(gtk4-unix-print) >= %{gtk4_version}
BuildRequires:		pkgconfig(hogweed)
BuildRequires:		pkgconfig(iso-codes)
BuildRequires:		pkgconfig(libadwaita-1)	>=	%{libadwaita_version}
BuildRequires:		pkgconfig(libarchive)
BuildRequires:		pkgconfig(libportal-gtk4)
BuildRequires:		pkgconfig(libsecret-1)
BuildRequires:		pkgconfig(libsoup-3.0)
BuildRequires:		pkgconfig(libwnck-3.0)
BuildRequires:		pkgconfig(libxml-2.0)
BuildRequires:		pkgconfig(nss)
BuildRequires:		pkgconfig(sqlite3)
BuildRequires:		pkgconfig(webkitgtk-6.0) >= %{webkitgtk_version}
BuildRequires:		pkgconfig(webkitgtk-web-process-extension-6.0) >= %{webkitgtk_version}
BuildRequires:		pkgconfig(x11)
BuildRequires:		appstream-util
BuildRequires:		itstool
BuildRequires:		libxml2-utils
BuildRequires:		gettext
BuildRequires:		imagemagick
Provides:		webclient
#gw for the index themes
Requires:		gnome-themes
Requires:		gnome-doc-utils >= 0.3.2
Requires:		indexhtml
Requires:		iso-codes
Requires:		dbus-x11
# (cjw) for proxy support
Requires:		%mklibname glib-networking

%description
Epiphany is a GNOME web browser based on the webkit rendering engine.

The name means:
"An intuitive grasp of reality through something (as an event) usually
simple and striking".

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

#gw these are useless
rm -f %{buildroot}%{_datadir}/icons/LowContrastLargePrint/*/apps/*

%post
if [ "$1" = "2" ]; then
update-alternatives --remove webclient-gnome %{_bindir}/epiphany || :
update-alternatives --remove webclient-kde %{_bindir}/epiphany || :
fi

%files -f %{name}.lang
%license COPYING
%doc README.md NEWS
%{_bindir}/*
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/org.gnome.Epiphany.desktop
%{_datadir}/%{name}/
%{_datadir}/dbus-1/services/org.gnome.Epiphany.SearchProvider.service
%{_datadir}/dbus-1/services/org.gnome.Epiphany.WebAppProvider.service
%{_libdir}/%{name}/
%{_datadir}/glib-2.0/schemas/org.gnome.Epiphany.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%{_datadir}/gnome-shell/search-providers/org.gnome.Epiphany.SearchProvider.ini
%{_datadir}/metainfo/org.gnome.Epiphany.appdata.xml
%{_datadir}/icons/hicolor/*/apps/org.gnome.Epiphany*
%{_libexecdir}/epiphany-search-provider
%{_libexecdir}/epiphany-webapp-provider 
%{_libexecdir}/epiphany/ephy-profile-migrator
