Name:           erebus
Version:        0.15
Release:        %mkrel 10
Summary:        Open-source real-time RPG with multiple quests and random dungeons
Group:          Games/Adventure
License:        GPLv3+
URL:            https://erebusrpg.sourceforge.net/
Source0:        https://launchpad.net/erebus/trunk/%{version}/+download/%{name}src.zip
Patch1:         erebus-0.13-mga-installdir-desktop.patch

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(sfml-audio)
BuildRequires:  qtbase5-common-devel

%description
Erebus is a 2D real-time role-playing game, for Windows, Linux, Symbian
and Android. This is under development, though already playable with three
quests. Classic point-n-click style RPG, with dungeons to explore, enemies
to fight, NPCs to talk to, sub-quests to complete, scenery to interact with,
weapons, treasure and other items to find. Also supports Rogue-like keyboard
controls.

%prep
%autosetup -p1 -n %{name}src

%build
%qmake_qt5
%make_build

%install
%qmakeinstall_std

mkdir -p %{buildroot}%{_gamesbindir}
cat > %{buildroot}%{_gamesbindir}/%{name} << EOF
#!/bin/sh
cd %{_gamesdatadir}/%{name}
./%{name}
EOF
chmod +x %{buildroot}%{_gamesbindir}/%{name}

rm -rf %{buildroot}%{_gamesdatadir}/%{name}/docs

%files
%doc docs/erebus.html docs/erebus_logo1.png docs/index.html
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}64.png
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
