# Turn off the brp-python-bytecompile script
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
%ifarch x86_64 aarch64
%bcond_without webengine
%else
%bcond_with webengine
%endif

%define oversion 22.10

Name:		eric7
Version:	25.4
Release:	%mkrel 1
Summary:	A Python 3 IDE
Group:		Development/Python
License:	GPLv3+
URL:		https://eric-ide.python-projects.org/
Source0:	https://downloads.sourceforge.net/eric-ide/%{name}-%{version}.tar.gz
Source1:	https://downloads.sourceforge.net/eric-ide/%{name}-i18n-de-%{oversion}.tar.gz
Source2:	https://downloads.sourceforge.net/eric-ide/%{name}-i18n-ru-%{oversion}.tar.gz
Source3:	https://downloads.sourceforge.net/eric-ide/%{name}-i18n-es-%{oversion}.tar.gz
Source4:	https://downloads.sourceforge.net/eric-ide/%{name}-i18n-en-%{oversion}.tar.gz
Patch0:		eric7-fix-desktop-files.patch

BuildArch:	noarch

BuildRequires:	pkgconfig(python3)
BuildRequires:	qt6-rpm-macros
BuildRequires:	python3dist(pip)
BuildRequires:	python3dist(pyyaml)
BuildRequires:	python3dist(toml)
BuildRequires:	python3-qt6-devel
BuildRequires:	python3-qt6-qscintilla
BuildRequires:	python3-qt6-charts
BuildRequires:	qscintilla-qt6-devel
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
%if %{with webengine}
BuildRequires:	python3-qt6-webenginecore
BuildRequires:	python3-qt6-webenginewidgets
Requires:	python3-qt6-webenginecore
Requires:	python3-qt6-webenginewidgets
%endif
# pyqt6 Base Modules List
Requires:	python3-qt6-core
Requires:	python3-qt6-gui
Requires:	python3-qt6-qscintilla
Requires:	python3-qt6-charts
Requires:	python3-qt6-help
Requires:	python3-qt6-network
%if %{with webengine}
Requires:	python3-qt6-pdf
Requires:	python3-qt6-pdf-widgets
%endif
Requires:	python3-qt6-printsupport
Requires:	python3-qt6-sql
Requires:	python3-qt6-svg
Requires:	python3-qt6-svgwidgets
Requires:	python3-qt6-widgets
# required Modules List
Requires:	python3-pysvn
Requires:	python3dist(asttokens)
Requires:	python3dist(black)
Requires:	python3dist(coverage)
Requires:	python3dist(editorconfig)
Requires:	python3dist(isort)
Requires:	python3dist(jedi)
Requires:	python3dist(packaging)
Requires:	python3dist(parso)
Requires:	python3dist(pygments)
Requires:	python3dist(semver)
Requires:	python3dist(tomlkit)
Requires:	python3dist(trove-classifiers)
# optional Modules List
Recommends:	python3dist(chardet)
Recommends:	python3dist(docutils)
Recommends:	python3dist(markdown)
Recommends:	python3dist(pyyaml)
Recommends:	python3dist(pyenchant)
Recommends:	python3dist(wheel)

Obsoletes:	eric6 < 23.9-4
Provides:	eric6 = %{version}-%{release}

%description
Eric is a full featured Python and Ruby editor and IDE, written in python 3.
It is based on the cross platform Qt gui toolkit, integrating the highly
flexible Scintilla editor control.
It is designed to be usable as an everyday quick and dirty editor as well
as being usable as a professional project management tool integrating many
advanced features Python offers the professional coder.

%prep
%setup -q -n %{name}-%{oversion} -b 1
%setup -q -n %{name}-%{oversion} -D -T -b 2
%setup -q -n %{name}-%{oversion} -D -T -b 3
%setup -q -n %{name}-%{oversion} -D -T -b 4
%setup -q -n %{name}-%{version} -D -T -b 0
%autopatch -p1

%install
%{python3} install.py \
	--no-info \
	-i %{buildroot} \
	-b %{_bindir} \
	-d %{python3_sitelib} \
	-a %{_qt6_datadir}/qsci/api

mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps

install -m 0644 eric/src/eric7/pixmaps/eric.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/eric.svg

install -m 0644 eric/src/eric7/pixmaps/ericWeb48.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/ericWeb.svg

install -m 0644 eric/src/eric7/pixmaps/ericMPy48.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/ericMPy.svg

# deprecated icons
rm -rf %{buildroot}%{_datadir}/icons/*.png
# already a metainfo file
rm -rf %{buildroot}%{_datadir}/appdata/*.xml

%files
%doc eric/docs/{changelog.md,README.rst,THANKS,eric7-plugin.pdf}
%license eric/docs/LICENSE*
%{_bindir}/%{name}*
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_datadir}/applications/%{name}*.desktop
%{_metainfodir}/%{name}.appdata.xml
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}plugins/
%{python3_sitelib}/%{name}config.py*
%{_qt6_datadir}/qsci/api/*/*
