%global realname cuttlefish
%global upstream basho


Name:       erlang-%{realname}
Version:    2.1.0
Release:    %mkrel 3
BuildArch:  noarch
Group:      Development/Erlang
Summary:    A library for dealing with sysctl-like configuration syntax
License:    ASL 2.0
URL:        https://github.com/%{upstream}/%{realname}
VCS:        scm:git:https://github.com/%{upstream}/%{realname}.git
Source0:    https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
Source1:    %{realname}.escript
Patch1:     erlang-cuttlefish-0001-Disable-escript-generation.patch
Patch2:     erlang-cuttlefish-0002-No-rebar_mustache-available.patch
Patch3:     erlang-cuttlefish-0003-Add-recent-otp-versions-to-rebar.config.patch
Patch4:     erlang-cuttlefish-0004-erlang-get_stacktrace-0-deprecated.patch
Patch5:     erlang-cuttlefish-0005-Fix-for-rebar2.patch
BuildRequires:  erlang-bbmustache
BuildRequires:  erlang-getopt
BuildRequires:  erlang-lager
BuildRequires:  erlang-rebar


%description
Cuttlefish is a library for Erlang applications that wish to walk the fine line
between Erlang app.configs and a sysctl-like syntax. The name is a pun on the
pronunciation of 'sysctl' and jokes are better explained.


%prep
%autosetup -p1 -n %{realname}-%{version}
# Temporarily remove rebar plugin until we start packaging rebar plugins
rm -f src/cuttlefish_rebar_plugin.erl


%build
%{erlang_compile}


%install
%{erlang_install}
# Install cuttlefish script itself
install -D -p -m 0755 %{SOURCE1} %{buildroot}%{_bindir}/%{realname}



%check
%{erlang_test}


%files
%doc README.md
%{_bindir}/%{realname}
%{erlang_appdir}/
