%global srcname epam


Name:       erlang-%{srcname}
Version:    1.0.12
Release:    %mkrel 2

Group:      Development/Erlang
Summary:    Library for ejabberd for PAM authentication support
License:    ASL 2.0
URL:        https://github.com/processone/epam/
Source0:    %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gcc
BuildRequires: erlang-rebar
BuildRequires: pam-devel

Provides: erlang-p1_pam = %{version}-%{release}
Obsoletes: erlang-p1_pam < 1.0.3-4%{?dist}


%description
An Erlang library for ejabberd that helps with PAM authentication.


%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1

rm configure
touch config.{guess,sub}
ln -s %{_datadir}/automake-*/install-sh .

%build
autoreconf -ivf
%configure

%{erlang_compile}


%install
%{erlang_install}

install -d $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/bin
install -pm755 priv/bin/%{srcname} $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/bin/


%files
%license LICENSE.txt
%doc CHANGELOG.md
%doc README.md
%{erlang_appdir}/


