%global realname erlware_commons

Name:     erlang-%{realname}
Version:  1.6.0
Release:  %mkrel 1
BuildArch: noarch
Summary:  Extension to Erlang's standard library
Group:    Development/Other
License:  MIT
URL:      https://github.com/erlware/erlware_commons
Source0:  %{url}/archive/v%{version}/%{realname}-%{version}.tar.gz
# The "color" test does not play well with Fedora's build system
Patch0:   erlang-erlware_commons-disable-color_test.patch
BuildRequires:  erlang-rebar3
BuildRequires:  erlang-cf

%description
%{summary}.

%prep
%setup -q -n %{realname}-%{version}
%autopatch -p0

# drop bundled rebar3
rm -rf rebar3

%build
#%%{erlang_compile}
%{_bindir}/rebar3 bare compile --paths ""

%install
%{erlang_install}

cp -arv priv/ %{buildroot}%{erlang_appdir}/

%if 0
%check
%{erlang_test}
%endif

%files
%license COPYING
%doc doc/ README.md
%{erlang_appdir}/
