%global _disable_ld_no_undefined 1
%define realname	esdl

Name:		erlang-%{realname}
Version:	1.3.1
Release:	%mkrel 4
Summary:	Erlang OpenGL/SDL api and utilities
Group:		Development/Other
License:	MIT
URL:		https://github.com/dgud/esdl
Source:		https://github.com/dgud/esdl/archive/esdl-%{version}/%{realname}-%{version}.tar.gz
Patch0:		esdl-1.3.1-rebar.patch
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_ttf)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	erlang-rebar
BuildRequires:	dos2unix
BuildRequires:	gcc
# Dynamically loads erl_gl.so from erlang-wx package in sdl_video:setVideoMode/4
Requires:	erlang-wx%{?_isa}
Provides:	esdl = %{version}-%{release}
Obsoletes:	%{name}-devel < 1.3.1-2

%description
A library that gives you access to SDL and OpenGL functionality in
your Erlang program.

%prep
%setup -qn %{realname}-esdl-%{version}
%autopatch -p1

chmod 0644 Readme
find -type f -name '*.hrl' | xargs dos2unix
find -type f -name '*.[ch]' | xargs chmod 0644
sed -i -e "s,git,\"%{version}\",g" src/sdl.app.src


%build
%{rebar_compile}


%install
%{erlang_install}
mkdir -p %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/src
install -p -m 0644 src/*.hrl %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/src


%check
%{erlang_test}


%files
%license license.terms
%doc Readme
%{erlang_appdir}/
