%global realname hamcrest
%global upstream hyperthunk
%global git_tag 908a24fda4a46776a5135db60ca071e3d783f9f6


Name:		erlang-%{realname}
Version:	0.1.0
Release:	%mkrel 7
BuildArch:	noarch
Summary:	A framework for writing matcher objects using declarative rules
Group:		Development/Erlang
License:	MIT and BSD
URL:		https://github.com/%{upstream}/%{realname}-erlang
VCS:		scm:git:https://github.com/%{upstream}/%{realname}-erlang.git
#Source0:	https://github.com/%{upstream}/%{realname}-erlang/archive/%{version}/%{realname}-%{version}.tar.gz
Source0:	https://github.com/%{upstream}/%{realname}-erlang/archive/%{git_tag}/%{realname}-%{version}.tar.gz
Patch1:		erlang-hamcrest-0001-Remove-the-warnings-cause-by-type-declarations.patch
# Import upstream patch to support OTP 19
# https://github.com/hyperthunk/hamcrest-erlang/issues/20
Patch2:		erlang-hamcrest-0002-Fix-for-typespec-in-OTP-19.patch
Patch3:		erlang-hamcrest-0003-OTP-19-support-via-compilation-of-CT-suite.-This-def.patch
BuildRequires:	erlang-proper >= 1.3
BuildRequires:	erlang-rebar


%description
Hamcrest is a framework for writing matcher objects allowing 'match' rules to
be defined declaratively. There are a number of situations where matchers are
invaluable, such as UI validation, or data filtering, but it is in the area of
writing flexible tests that matchers are most commonly used.


%prep
#%setup -q -n %{realname}-erlang-%{version}
%setup -q -n %{realname}-erlang-%{git_tag}
%autopatch -p1


%build
%{erlang_compile}


%install
%{erlang_install}


%check
%{rebar_eunit}


%files
%license LICENCE
%doc NOTES README.markdown
%{erlang_appdir}/
