%global realname lager
%global upstream erlang-lager


Name:       erlang-%{realname}
Version:    3.9.2
Release:    %mkrel 1
BuildArch:  noarch
Summary:    A logging framework for Erlang/OTP
Group:      Development/Erlang
License:    ASL 2.0
URL:        https://github.com/%{upstream}/%{realname}
VCS:        scm:git:https://github.com/%{upstream}/%{realname}.git
Source0:    https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
Patch1:		erlang-lager-0001-Disable-failing-test.patch
Patch2:		erlang-lager-0002-Disable-async-test-fails-in-our-buildsystem.patch
Patch3:		erlang-lager-0003-Allow-trace-filter-to-silence-log-output.patch
Patch4:		erlang-lager-0004-Add-test-and-some-documentation.patch
Patch5:		erlang-lager-0005-Separate-line-and-col-metadata-on-OTP-24.patch
Patch6:		erlang-lager-0006-Since-Erlang-24-stacktraces-include-BIF-and-NIF-func.patch
BuildRequires:  erlang-goldrush >= 0.1.9
BuildRequires:  erlang-rebar


%description
Lager (as in the beer) is a logging framework for Erlang. Its purpose is to
provide a more traditional way to perform logging in an erlang application that
plays nicely with traditional UNIX logging tools like logrotate and syslog.


%prep
%autosetup -p1 -n %{realname}-%{version}


%build
%{erlang_compile}


%install
%{erlang_install}


%check
# Sometimes the tests fail on Rawhide:
# https://github.com/erlang-lager/lager/issues/463
%{erlang_test}


%files
%license LICENSE
%doc README.md
%{erlang_appdir}/

