%global realname meck
%global upstream eproxus


Name:		erlang-%{realname}
Version:        0.9.2
Release:        %mkrel 1
BuildArch:	noarch
Summary:        A mocking library for Erlang
Group:          Development/Erlang
License:        ASL 2.0
URL:		https://github.com/%{upstream}/%{realname}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
Patch1:		erlang-meck-0001-Workaround-for-Rebar-2.x.patch
BuildRequires:	erlang-hamcrest
BuildRequires:  erlang-rebar
# FIXME - calls to unexported cover:compile_beam/2, cover:get_term/1,
# cover:write/2


%description
With meck you can easily mock modules in Erlang. Since meck is intended to be
used in testing, you can also perform some basic validations on the mocked
modules, such as making sure no function is called in a way it should not.


%prep
%autosetup -p1 -n %{realname}-%{version}


%build
%{erlang_compile}


%install
%{erlang_install}


%check
%{erlang_test -C test.config}


%files
%license LICENSE
%doc README.md NOTICE
%{erlang_appdir}/
