%global srcname mqtree

%global p1_utils_ver 1.0.25

%define _disable_ld_no_undefined 1

Name:       erlang-%{srcname}
Version:    1.0.15
Release:    %mkrel 2
Group:      Development/Erlang 
# c_src/uthash.h is unspecified BSD
License:    ASL 2.0 and BSD
Summary:    Index tree for MQTT topic filters
URL:        https://github.com/processone/mqtree/
Source0:    %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires: erlang-p1_utils >= %{p1_utils_ver}
BuildRequires: erlang-rebar
BuildRequires: gcc
BuildRequires: openssl-devel

Requires: erlang-p1_utils >= %{p1_utils_ver}


%description
mqtree is an Erlang NIF implementation of N-ary tree
to keep MQTT topic filters for efficient matching.


%prep
%setup -q -n %{srcname}-%{version}


%build
%{rebar_compile}


%install
install -d %{buildroot}%{_erllibdir}/%{srcname}-%{version}/priv/lib

install -pm755 priv/lib/* %{buildroot}%{_erllibdir}/%{srcname}-%{version}/priv/lib/
%{erlang_install}


%check
%{rebar_eunit}


%files
%license LICENSE
%doc README.md
%{erlang_appdir}


