%global realname mustache
%global upstream mojombo

Name:		erlang-%{realname}
Version:	0.1.1
Release:	%mkrel 8
BuildArch:	noarch
Summary:	Mustache template engine for Erlang
Group:		Development/Erlang
License:	MIT
URL:		https://github.com/%{upstream}/%{realname}.erl
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.erl.git
Source0:	https://github.com/%{upstream}/%{realname}.erl/archive/v%{version}/%{realname}-%{version}.tar.gz
Patch1:		erlang-mustache-0001-Migrate-to-a-new-Meck.patch
BuildRequires:	erlang-meck
BuildRequires:	erlang-rebar

%description
An Erlang port of Mustache for Ruby. Mustache is a framework-agnostic template
system that enforces separation of view logic from the template file. Indeed, it
is not even possible to embed logic in the template. This allows templates to be
reused across language boundaries and for other language independent uses.


%prep
%setup -qn %{realname}.erl-%{version}
%autopatch -p1


%build
%{erlang_compile}


%install
%{erlang_install}


%check
%{erlang_test}


%files
%doc examples/ README.md
%license LICENSE
%{erlang_appdir}/

