%global srcname p1_acme

%global idna_ver 6.0.0
%global jiffy_ver 1.0.6
%global jose_ver 1.9.0
%global yconf_ver 1.0.9

Name:       erlang-%{srcname}
Version:    1.0.19
Release:    %mkrel 1
BuildArch:  noarch
Group:      Development/Erlang
License:    ASL 2.0
Summary:    ACME client library for Erlang
URL:        https://github.com/processone/p1_acme/
Source0:    %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires: erlang-idna >= %{idna_ver}
BuildRequires: erlang-jiffy >= %{jiffy_ver}
BuildRequires: erlang-jose >= %{jose_ver}
BuildRequires: erlang-rebar
BuildRequires: erlang-yconf >= %{yconf_ver}

Requires: erlang-idna >= %{idna_ver}
Requires: erlang-jiffy >= %{jiffy_ver}
Requires: erlang-jose >= %{jose_ver}
Requires: erlang-yconf >= %{yconf_ver}


%description
ACME client library for Erlang.


%prep
%autosetup -p1 -n %{srcname}-%{version}


%build
%{rebar_compile}


%check
%{rebar_eunit}


%install
%{erlang_install}


%files
%license LICENSE.txt
%doc CHANGELOG.md
%doc README.md
%{erlang_appdir}


