%global srcname p1_xml
# Erlang packages don't seem to ship debug files, as the build process does not generate them
%global debug_package %{nil}


Name: erlang-%{srcname}
Version: 1.1.1
Release: %mkrel 1
Group:   Development/Erlang
Summary: Fast Expat based Erlang XML parsing and manipulation library

License: ASL 2.0
URL: https://github.com/processone/xml/
Source0: https://github.com/processone/xml/archive/%{version}.tar.gz

Requires: erlang-erts
Requires: erlang-p1_utils
BuildRequires: erlang-rebar
BuildRequires: erlang-rpm-macros
BuildRequires: erlang-p1_utils
BuildRequires: expat-devel


%description
Fast Expat based Erlang XML parsing and manipulation library, with a strong
focus on XML stream parsing from network. It supports full XML structure
parsing, suitable for small but complete XML chunks, and XML stream parsing
suitable for large XML document, or infinite network XML stream like XMPP.
This module can parse files much faster than built-in module xmerl. Depending
on file complexity and size xml_stream:parse_element/1 can be 8-18 times faster
than calling xmerl_scan:string/2.


%prep
%autosetup -n xml-%{version}


%build
%rebar_compile


%install
install -p -D -m 644 ebin/* --target-directory=$RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/ebin/
install -p -D -m 755 priv/lib/* --target-directory=$RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib/
install -p -D -m 644 include/* --target-directory=$RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/include/

%files
%license LICENSE.txt
%doc README.md CHANGELOG.md
%{_erllibdir}/%{srcname}-%{version}

