%global srcname pkix

Name:       erlang-%{srcname}
Version:    1.0.9
Release:    %mkrel 1
BuildArch:  noarch
Group:      Development/Erlang
License:    ASL 2.0
Summary:    PKIX certificates management for Erlang
URL:        https://github.com/processone/pkix/
Source0:    %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires: erlang-rebar

Requires: ca-certificates


%description
A library for managing TLS certificates in Erlang.


%prep
%setup -q -n %{srcname}-%{version}


%build
%{rebar_compile}


%install
%{erlang_install}

# pkix includes a CA bundle in priv/cacert.pem. Let's use a symlink to Fedora's CA bundle instead.
install -d -m 0755 %{buildroot}/%{erlang_appdir}/priv
ln -s /etc/pki/tls/certs/ca-bundle.trust.crt %{buildroot}/%{erlang_appdir}/priv/cacert.pem


%check
%{rebar_eunit}


%files
%license LICENSE
%doc README.md
%{erlang_appdir}


