%global realname proper
%global upstream manopapad
%define oversion 1.4

Name:       erlang-%{realname}
Version:    %{oversion}.0
Release:    %mkrel 1
BuildArch:  noarch
Group:      Development/Erlang
Summary:    A QuickCheck-inspired property-based testing tool for Erlang
License:    GPLv3+
URL:        https://github.com/%{upstream}/%{realname}
VCS:        scm:git:https://github.com/%{upstream}/%{realname}.git
#ource0:    https://github.com/%{upstream}/%{realname}/archive/v%{version}/%{realname}-%{version}.tar.gz
Source0:    https://github.com/%{upstream}/%{realname}/archive/v%{version}/master.zip
Patch1:     erlang-proper-0001-Disable-one-test-case.patch
BuildRequires: erlang-rebar


%description
PropEr (PROPerty-based testing tool for ERlang) is a QuickCheck-inspired
open-source property-based testing tool for Erlang.


%prep
#autosetup -p1 -n %{realname}-%{oversion}
%autosetup -p1 -n %{realname}-master

%build
pushd scripts/
# The docs need to be built first: https://github.com/proper-testing/proper/issues/179
./make_doc
popd
%{erlang_compile}


%install
%{erlang_install}


%if 0
%check
%{erlang_test}
%endif


%files
%license COPYING
%doc doc
%doc examples
%doc README.md
%{erlang_appdir}/
