%global realname relx

Name:     erlang-%{realname}
Version:  4.7.0
Release:  %mkrel 1
BuildArch: noarch
Summary:  Release assembler for Erlang/OTP Releases
Group:    Development/Other
License:  ASL 2.0
URL:      https://github.com/erlware/relx
Source0:  https://github.com/erlware/relx/archive/v%{version}/%{realname}-v%{version}.tar.gz
BuildRequires:  erlang-rebar3
BuildRequires:  erlang-providers
BuildRequires:  erlang-erlware_commons
BuildRequires:  erlang-cf
BuildRequires:  erlang-bbmustache
BuildRequires:  erlang-getopt

%description
Relx assembles releases for an Erlang/OTP release. Given a release
specification and a list of directories in which to search for OTP applications
it will generate a release output.

%prep
%autosetup -p1 -n %{realname}-%{version}

# drop bundled rebar3
rm -rf rebar3

%build
#%%{erlang_compile}
%{_bindir}/rebar3 bare compile --paths ""

%install
%{erlang_install}

%if 0
%check
%{erlang_test}
%endif

%files
%license LICENSE.md
%doc README.md
%{erlang_appdir}/
