%global realname snappy
%global upstream fdmanana
%define _disable_ld_no_undefined 1

%define rel 2

Name:		erlang-%{realname}
Version:	1.1.1
Release:	%mkrel 0.19.git348da43.%{rel}
Summary:	An Erlang NIF wrapper for Google's snappy library
License:	ASL 2.0
Group:          Development/Tools
URL:		https://github.com/%{upstream}/%{realname}-erlang-nif
VCS:		scm:git:https://github.com/%{upstream}/%{realname}-erlang-nif.git
#Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
Source0:	https://github.com/%{upstream}/%{realname}/archive/348da43/%{realname}-%{version}.tar.gz
Patch1:		erlang-snappy-0001-No-bundled-snappy.patch
Patch2:		erlang-snappy-0002-Remove-artificial-dependency-on-the-Erlang-s-version.patch
# Backported from upstream's master branch
Patch3:		erlang-snappy-0003-Added-a-check-for-empty-IOLists-during-decompression.patch
# Backported from upstream's master branch
Patch4:		erlang-snappy-0004-Returns-empty-binary-and-bypasses-the-compression-li.patch
# Backported from upstream's master branch
Patch5:		erlang-snappy-0005-Quick-refactor-only-init-the-structs-when-necessary.patch
BuildRequires:	erlang-rebar
BuildRequires:	gcc-c++
BuildRequires:	snappy-devel

%description
An Erlang NIF wrapper for Google's snappy compressor/decompressor.


%prep
%autosetup -p1 -n %{realname}-erlang-nif-348da43a27a8dd3c6973b8fe9156ef93906b4c7c
rm -rf c_src/snappy


%build
%{erlang_compile}


%install
%{erlang_install}


%check
#%%{erlang_test}


%files
%doc README.md
%{erlang_appdir}/
