%define _disable_ld_no_undefined 1

%global srcname stringprep

%global p1_utils_ver 1.0.21


Name: erlang-%{srcname}
Version: 1.0.28
Release: %mkrel 3
Group:   Development/Erlang
License: ASL 2.0 and TCL
Summary: A framework for preparing Unicode strings to help input and comparison
URL: https://github.com/processone/stringprep/
Source0: https://github.com/processone/stringprep/archive/%{version}/%{srcname}-%{version}.tar.gz
Patch1:  0001-Make-start-test-more-robust.patch

Provides:  erlang-p1_stringprep = %{version}-%{release}
Obsoletes: erlang-p1_stringprep < 1.0.3

BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: erlang-rebar
BuildRequires: erlang-p1_utils >= %{p1_utils_ver}

Requires: erlang-p1_utils >= %{p1_utils_ver}


%description
Stringprep is a framework for preparing Unicode test strings in order to
increase the likelihood that string input and string comparison work. The
principle are defined in RFC-3454: Preparation of Internationalized Strings.
This library is leverage Erlang native NIF mechanism to provide extremely fast
and efficient processing.


%prep
%autosetup -p1 -n stringprep-%{version}


%build
%{rebar_compile}


%install
install -d $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib

install -pm755 priv/lib/* $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib/
%{erlang_install}


%check
%{rebar_eunit}


%files
%license LICENSE.txt LICENSE.TCL LICENSE.ALL
%doc CHANGELOG.md
%doc README.md
%{erlang_appdir}

