%global srcname stun

%global fast_tls_ver 1.1.10
%global p1_utils_ver 1.0.21


Name: erlang-%{srcname}
Version: 1.2.4
Release: %mkrel 1
BuildArch: noarch
Group:   Development/Erlang
License: ASL 2.0
Summary: STUN and TURN library for Erlang / Elixir
URL:     https://github.com/processone/stun/
Source0: https://github.com/processone/stun/archive/%{version}/%{srcname}-%{version}.tar.gz

Provides:  erlang-p1_stun = %{version}-%{release}
Obsoletes: erlang-p1_stun < 1.0.7-3

BuildRequires: erlang-edoc
BuildRequires: erlang-rebar
BuildRequires: erlang-fast_tls >= %{fast_tls_ver}
BuildRequires: erlang-p1_utils >= %{p1_utils_ver}

Requires: erlang-fast_tls >= %{fast_tls_ver}
Requires: erlang-p1_utils >= %{p1_utils_ver}


%description
STUN and TURN library for Erlang / Elixir. Both STUN (Session Traversal
Utilities for NAT) and TURN standards are used as techniques to establish media
connection between peers for VoIP (for example using SIP or Jingle) and WebRTC.


%prep
%autosetup -p1 -n stun-%{version}


%build
%{rebar_compile}


%install
%{erlang_install}


##check
#{rebar_eunit}


%files
%license LICENSE.txt
%doc README.md
%{erlang_appdir}

