%define _disable_ld_no_undefined 1

%global srcname xmpp

%global ezlib_ver 1.0.9
%global fast_tls_ver 1.1.8
%global fast_xml_ver 1.1.45
%global idna_ver 6.0.0
%global p1_utils_ver 1.0.21
%global stringprep_ver 1.0.24

Name:       erlang-%{srcname}
Version:    1.8.1
Release:    %mkrel 1
Summary:    Erlang/Elixir XMPP parsing and serialization library
Group:      Development/Erlang
License:    ASL 2.0
URL:        https://github.com/processone/xmpp/
Source0:    https://github.com/processone/xmpp/archive/%{version}/xmpp-%{version}.tar.gz

BuildRequires: gcc
BuildRequires: erlang-ezlib >= %{ezlib_ver}
BuildRequires: erlang-fast_tls >= %{fast_tls_ver}
BuildRequires: erlang-fast_xml >= %{fast_xml_ver}
BuildRequires: erlang-idna >= %{idna_ver}
BuildRequires: erlang-p1_utils >= %{p1_utils_ver}
BuildRequires: erlang-rebar
BuildRequires: erlang-stringprep >= %{stringprep_ver}

Requires: erlang-ezlib >= %{ezlib_ver}
Requires: erlang-fast_tls >= %{fast_tls_ver}
Requires: erlang-fast_xml >= %{fast_xml_ver}
Requires: erlang-idna >= %{idna_ver}
Requires: erlang-p1_utils >= %{p1_utils_ver}
Requires: erlang-stringprep >= %{stringprep_ver}


%description
XMPP is an Erlang XMPP parsing and serialization library, built on top of Fast
XML.


%prep
%setup -q -n %{srcname}-%{version}

%build
%{rebar_compile}


%install
%{erlang_install}

install -p -D -m 755 priv/lib/* --target-directory=%{buildroot}%{erlang_appdir}/priv/lib/


%check
%{rebar_eunit}


%files
%license LICENSE.txt
%doc CHANGELOG.md
%doc doc
%doc README.md
%{erlang_appdir}


