%define major      1
%define libname    %mklibname %name %major
%define libnamedev %mklibname %name -d

Summary:        Text to speech synthesis engine
Name:           espeak
Version:        1.48.04
Release:        %mkrel 6
License:        GPLv3+
Group:          Sound/Utilities
Url:            https://espeak.sourceforge.net/
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}-source.zip
Source1:        espeak.1
Patch0:         espeak-1.48.04-fix.patch
BuildRequires:  portaudio-devel
Requires:       sox

%description
eSpeak is a compact open source software speech synthesizer for
English and other languages.

eSpeak produces good quality English speech. It uses a different
synthesis method from other open source TTS engines, and sounds quite
different. It's perhaps not as natural or "smooth", but I find the
articulation clearer and easier to listen to for long periods.


%package -n     %libname
Group:          System/Libraries
Summary:        Text to speech library
Requires:       %name >= %version

%description -n %libname
eSpeak is a compact open source software speech synthesizer for
English and other languages.

eSpeak produces good quality English speech. It uses a different
synthesis method from other open source TTS engines, and sounds quite
different. It's perhaps not as natural or "smooth", but I find the
articulation clearer and easier to listen to for long periods.


%package -n     %libnamedev
Group:          Development/C++
Summary:        Text to speech library
Requires:       %libname = %version
Provides:       libespeak-devel = %version-%release

%description -n %libnamedev
eSpeak is a compact open source software speech synthesizer for
English and other languages.

eSpeak produces good quality English speech. It uses a different
synthesis method from other open source TTS engines, and sounds quite
different. It's perhaps not as natural or "smooth", but I find the
articulation clearer and easier to listen to for long periods.


%prep
%setup -q -n %name-%version-source
%patch -P 0 -p0

chmod 644 ReadMe *.txt
rm -f src/portaudio.h
rm -f src/portaudio18.h
rm -f src/portaudio19.h

# (Fedora) Don't use the included binary voice dictionaries; we compile these from source
rm -f espeak-data/*_dict

%build
cd src
%__make CXXFLAGS="%{optflags}" LDFLAGS="%{?ldflags}"

# (Fedora) Compile the TTS voice dictionaries
export ESPEAK_DATA_PATH=%{_builddir}/espeak-%{version}-source
cd ../dictsource
for voice in $(../src/speak --voices | awk '{print $2}{print $5}' | egrep -v Language\|File\|/ | uniq);
do ../src/speak --compile=$voice;
done

%install
cd src
%make_install BINDIR=%_bindir INCDIR=%_includedir/%name LIBDIR=%_libdir DATADIR=%_datadir/%name-data

install -m 644 -D %SOURCE1 %buildroot%_mandir/man1/%name.1

# don't ship .a
rm -f %buildroot%_libdir/libespeak.a

%pretrans -p <lua>
-- # (cg) espeak 1.47.11 changed a previous versions folder to a file causing cpio
-- # errors on upgrade - this will still cause problems
-- # (ngompa) Converted to Lua
-- # See: https://fedoraproject.org/wiki/User:Patches/PackagingDrafts/Symlink_Workarounds
path = "/usr/share/espeak-data/voices/en"
st = posix.stat(path)
if st and st.type == "directory" then
  os.execute("rm -rf " .. path)
end

%files
%doc ReadMe *.txt docs
%_bindir/%name
%_datadir/%name-data
%_mandir/man1/%name.1*

%files -n %libname
%_libdir/libespeak.so.%{major}{,.*}

%files -n %libnamedev
%_includedir/%name
%_libdir/libespeak.so
