# Generated by go2rpm
%bcond_without check
%bcond_without bootstrap

%if %{with bootstrap}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(.*\\)$
%endif

# https://github.com/etcd-io/etcd
%global goipath         go.etcd.io/etcd
%global forgeurl        https://github.com/etcd-io/etcd
Version:                3.5.15

%gometa

%global common_description %{expand:
Distributed reliable key-value store for the most critical data of a distributed
system.}

%global golicenses      LICENSE NOTICE
%global godocs          CONTRIBUTING.md README.md Documentation\\\
                        README-*.md READMEv2-etcdctl.md

%global gosupfiles      client/v2/example_keys_test.go\\\
                        client/v3/clientv3util/example_key_test.go\\\
                        client/v3/concurrency/example_election_test.go\\\
                        client/v3/concurrency/example_mutex_test.go\\\
                        client/v3/concurrency/example_stm_test.go\\\
                        client/v3/example_auth_test.go\\\
                        client/v3/example_cluster_test.go\\\
                        client/v3/example_kv_test.go\\\
                        client/v3/example_lease_test.go\\\
                        client/v3/example_maintenance_test.go\\\
                        client/v3/example_metrics_test.go\\\
                        client/v3/example_test.go\\\
                        client/v3/example_watch_test.go

Name:           etcd
Release:        %mkrel 1
Summary:        Distributed reliable key-value store for the most critical data of a distributed system
Group:          Development/Other
%if %{with bootstrap}
BuildArch:      noarch
%endif

License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
Source1:        %{name}.service
Source2:        %{name}.conf

%if %{without bootstrap}
BuildRequires:  golang(github.com/bgentry/speakeasy)
BuildRequires:  golang(github.com/coreos/go-semver/semver)
BuildRequires:  golang(github.com/coreos/go-systemd/v22/daemon)
BuildRequires:  golang(github.com/coreos/go-systemd/v22/journal)
BuildRequires:  golang(github.com/creack/pty)
BuildRequires:  golang(github.com/dustin/go-humanize)
BuildRequires:  golang(github.com/etcd-io/gofail/runtime)
BuildRequires:  golang(github.com/gogo/protobuf/gogoproto)
BuildRequires:  golang(github.com/gogo/protobuf/proto)
BuildRequires:  golang(github.com/golang-jwt/jwt/v4)
BuildRequires:  golang(github.com/golang/groupcache/lru)
BuildRequires:  golang(github.com/golang/protobuf/descriptor)
BuildRequires:  golang(github.com/golang/protobuf/proto)
BuildRequires:  golang(github.com/google/btree)
BuildRequires:  golang(github.com/grpc-ecosystem/go-grpc-middleware)
BuildRequires:  golang(github.com/grpc-ecosystem/go-grpc-middleware/logging/settable)
BuildRequires:  golang(github.com/grpc-ecosystem/go-grpc-prometheus)
BuildRequires:  golang(github.com/grpc-ecosystem/grpc-gateway/runtime)
BuildRequires:  golang(github.com/grpc-ecosystem/grpc-gateway/utilities)
BuildRequires:  golang(github.com/jonboulle/clockwork)
BuildRequires:  golang(github.com/json-iterator/go)
BuildRequires:  golang(github.com/modern-go/reflect2)
BuildRequires:  golang(github.com/olekukonko/tablewriter)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus/promhttp)
BuildRequires:  golang(github.com/soheilhy/cmux)
BuildRequires:  golang(github.com/spf13/cobra)
BuildRequires:  golang(github.com/spf13/pflag)
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/tmc/grpc-websocket-proxy/wsproxy)
BuildRequires:  golang(github.com/urfave/cli)
BuildRequires:  golang(github.com/xiang90/probing)
BuildRequires:  golang(go.etcd.io/bbolt)
BuildRequires:  golang(go.opentelemetry.io/contrib/instrumentation/google.golang.org/grpc/otelgrpc)
BuildRequires:  golang(go.opentelemetry.io/otel/exporters/otlp/otlptrace/otlptracegrpc)
BuildRequires:  golang(go.opentelemetry.io/otel/propagation)
BuildRequires:  golang(go.opentelemetry.io/otel/sdk/resource)
BuildRequires:  golang(go.opentelemetry.io/otel/sdk/trace)
BuildRequires:  golang(go.opentelemetry.io/otel/semconv/v1.4.0)
BuildRequires:  golang(go.uber.org/multierr)
BuildRequires:  golang(go.uber.org/zap)
BuildRequires:  golang(go.uber.org/zap/zapcore)
BuildRequires:  golang(go.uber.org/zap/zapgrpc)
BuildRequires:  golang(go.uber.org/zap/zaptest)
BuildRequires:  golang(golang.org/x/crypto/bcrypt)
BuildRequires:  golang(golang.org/x/net/http2)
BuildRequires:  golang(golang.org/x/net/trace)
BuildRequires:  golang(golang.org/x/sys/unix)
BuildRequires:  golang(golang.org/x/time/rate)
BuildRequires:  golang(google.golang.org/genproto/googleapis/api/annotations)
BuildRequires:  golang(google.golang.org/grpc)
BuildRequires:  golang(google.golang.org/grpc/codes)
BuildRequires:  golang(google.golang.org/grpc/credentials)
BuildRequires:  golang(google.golang.org/grpc/grpclog)
BuildRequires:  golang(google.golang.org/grpc/health)
BuildRequires:  golang(google.golang.org/grpc/health/grpc_health_v1)
BuildRequires:  golang(google.golang.org/grpc/keepalive)
BuildRequires:  golang(google.golang.org/grpc/metadata)
BuildRequires:  golang(google.golang.org/grpc/peer)
BuildRequires:  golang(google.golang.org/grpc/resolver)
BuildRequires:  golang(google.golang.org/grpc/resolver/manual)
BuildRequires:  golang(google.golang.org/grpc/serviceconfig)
BuildRequires:  golang(google.golang.org/grpc/status)
BuildRequires:  golang(google.golang.org/grpc/test/grpc_testing)
BuildRequires:  golang(gopkg.in/cheggaaa/pb.v1)
BuildRequires:  golang(gopkg.in/natefinch/lumberjack.v2)
BuildRequires:  golang(gopkg.in/yaml.v2)
BuildRequires:  golang(sigs.k8s.io/yaml)
%if %with_check
BuildRequires:  golang(github.com/cockroachdb/datadriven)
BuildRequires:  golang(github.com/coreos/go-semver/semver)
BuildRequires:  golang(github.com/golang/protobuf/descriptor)
BuildRequires:  golang(github.com/google/btree)
BuildRequires:  golang(github.com/grpc-ecosystem/go-grpc-prometheus)
BuildRequires:  golang(github.com/grpc-ecosystem/grpc-gateway/runtime)
BuildRequires:  golang(github.com/jonboulle/clockwork)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus/promhttp)
BuildRequires:  golang(github.com/prometheus/client_model/go)
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/require)
BuildRequires:  golang(github.com/xiang90/probing)
BuildRequires:  golang(go.etcd.io/bbolt)
BuildRequires:  golang(go.uber.org/zap)
BuildRequires:  golang(go.uber.org/zap/zapcore)
BuildRequires:  golang(go.uber.org/zap/zaptest)
BuildRequires:  golang(golang.org/x/crypto/bcrypt)
BuildRequires:  golang(golang.org/x/sync/errgroup)
BuildRequires:  golang(golang.org/x/time/rate)
BuildRequires:  golang(google.golang.org/grpc)
BuildRequires:  golang(google.golang.org/grpc/codes)
BuildRequires:  golang(google.golang.org/grpc/credentials)
BuildRequires:  golang(google.golang.org/grpc/health/grpc_health_v1)
BuildRequires:  golang(google.golang.org/grpc/metadata)
BuildRequires:  golang(google.golang.org/grpc/status)
BuildRequires:  golang(sigs.k8s.io/yaml)
%endif
%endif

BuildRequires:  python3-devel
%{?systemd_requires}
BuildRequires:  systemd
Requires(pre):  shadow-utils

%description %{common_description}
%if %{with check}
# Tests
BuildRequires:  golang(github.com/prometheus/client_model/go)
%endif

%gopkg

%prep
%goprep -k
rm -rf vendor/
rm -rf cmd/vendor
rm -rf raft/rafttest

for d in contrib etcdctl etcdutl pkg raft hack security; do
mv $d/README.md README-$d.md
done
mv etcdctl/READMEv2.md READMEv2-etcdctl.md
mv client/v2/README.md README-clientv2.md
mv client/v3/README.md README-clientv3.md

mkdir -p api/v3/ client/pkg/v3 etcdctl/v3 etcdutl/v3 pkg/v3 raft/v3 server/v3 tools/v3
shopt -s extglob
mv api/!(v3) api/v3/.
mv client/pkg/!(v3) client/pkg/v3/.
mv etcdctl/!(v3) etcdctl/v3/.
mv etcdutl/!(v3) etcdutl/v3/.
mv pkg/!(v3) pkg/v3/.
mv raft/!(v3) raft/v3/.
mv server/!(v3) server/v3/.
mv tools/!(v3) tools/v3/.
shopt -u extglob


%if %{without bootstrap}
%generate_buildrequires
%go_generate_buildrequires

%build
%gobuild -o %{gobuilddir}/bin/etcd %{goipath}/server/v3
%gobuild -o %{gobuilddir}/bin/etcdctl %{goipath}/etcdctl/v3
%gobuild -o %{gobuilddir}/bin/etcdutl %{goipath}/etcdutl/v3
%endif

%install
%gopkginstall

%if %{without bootstrap}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

install -Dpm 0644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service
install -dm 0755 %{buildroot}%{_sysconfdir}/%{name}
install -pm 644 -t %{buildroot}%{_sysconfdir}/%{name} %{SOURCE2}

# And create /var/lib/etcd
install -dm 0755 %{buildroot}%{_sharedstatedir}/%{name}

%if %{with check}
%check
%gocheck -d client/v2 \
         -d client/v3 \
         -d raft/v3 \
         -d server/v3/auth \
         -d server/v3/wal/walpb \
         -d tests/e2ev \
         -d tests/integration \
         -d tests/e2e \
         -d tests/integration/client \
         -t tests/integration/clientv3 \
         -d server/v3/etcdserver/api/membership \
         -d server/v3/mvcc/backend \
         -d pkg/v3/proxy
%endif

%pre
getent group %{name} >/dev/null || groupadd -r %{name}
getent passwd %{name} >/dev/null || useradd -r -g %{name} -d %{_sharedstatedir}/%{name} \
    -s /sbin/nologin -c "etcd user" %{name}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%postun_service %{name}

%files
%license LICENSE NOTICE
%doc CONTRIBUTING.md README.md
%doc Documentation README-*.md READMEv2-etcdctl.md
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/%{name}
%dir %attr(-,%{name},%{name}) %{_sharedstatedir}/%{name}
%{_unitdir}/%{name}.service
%endif

%gopkgfiles

