Name:		ethtool
Epoch:		1
Version:	6.10
Release:	%mkrel 1
Summary:	Utility for controlling network drivers and hardware
License:        GPL-2.0-only AND GPL-2.0-or-later
Group:		System/Networking
URL:		https://www.kernel.org/pub/software/network/ethtool/
Source:		https://www.kernel.org/pub/software/network/%{name}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(bash-completion)
BuildRequires:	pkgconfig(libmnl)

%description
Standard Linux utility for controlling network drivers and hardware,
particularly for wired Ethernet devices. It can be used to:
* Get identification and diagnostic information
* Get extended device statistics
* Control speed, duplex, autonegotiation and flow control for Ethernet devices
* Control checksum offload and other hardware offload features
* Control DMA ring sizes and interrupt moderation
* Control receive queue selection for multiqueue devices
* Upgrade firmware in flash memory

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS NEWS
%{_mandir}/*/*
%{_sbindir}/%{name}
%{_datadir}/bash-completion/completions/%{name}
