%define name    ethumb
%define version 1.7.10
%define option  0
%define svn     0
%if %option
%define rel 0.%option.3
%define namevers %name-%version-%option
%else
%define rel 1
%define namevers %name-%version
%endif
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

%define major 1
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Summary: Enlightenment thumbnailing library
Name:    %{name}
Version: %{version}
Release: %{release}
License: LGPLv3+
Group: Graphical desktop/Enlightenment
URL: https://www.enlightenment.org/
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/trunk/%name %name
# tar cJf %name-%svn.tar.xz %name
%if %svn
Source: %name-%svn.tar.xz
%else
Source: https://download.enlightenment.org/releases/%namevers.tar.bz2
%endif
BuildRequires:  pkgconfig
%if %svn
BuildRequires: pkgconfig(evas) >= %{version}-0.%svn
BuildRequires: pkgconfig(ecore) >= %{version}-0.%svn
BuildRequires: pkgconfig(edje) >= %{version}-0.%svn
BuildRequires: edje >= %{version}-0.%svn
BuildRequires: pkgconfig(edbus) >= %{version}-0.%svn
BuildRequires: pkgconfig(emotion) >= %{version}-0.%svn
%else
BuildRequires: pkgconfig(evas) >= %{version}
BuildRequires: pkgconfig(ecore) >= %{version}
BuildRequires: pkgconfig(edje) >= %{version}
BuildRequires: edje >= %{version}
BuildRequires: pkgconfig(edbus) >= %{version}
BuildRequires: pkgconfig(emotion) >= %{version}
%endif
BuildRequires: libexif-devel

%description
New library to generate thumbnails.
There are still some important features to be implemented, like
client-server framework, edje thumbnails and a plugin API to integrate
it with emotion and like.

%package -n %libname
Summary: Enlightenment thumbnailing library
Group: System/Libraries

%description -n %libname
New library to generate thumbnails.

%package -n %develname
Summary: Enlightenment thumbnailing library - devel files
Group: System/Libraries
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release

%description -n %develname
ethumb development headers and development libraries.

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %namevers
%endif

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
autoreconf -fi
%configure --disable-static
%make_build

%install
rm -rf $RPM_BUILD_ROOT
%make_install

find %buildroot -name *.la | xargs rm

%files
%doc AUTHORS README
%{_bindir}/ethumb
%{_bindir}/ethumbd
%{_bindir}/ethumbd_client
%{_datadir}/dbus-1/services/org.enlightenment.Ethumb.service
%{_datadir}/ethumb
%{_libdir}/ethumb
%{_libexecdir}/ethumbd_slave

%files -n %libname
%{_libdir}/*.so.%{major}*

%files -n %develname
%{_includedir}/ethumb-%{major}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


