%define omnibot			%{name}-omnibot
%define etname			et-linux-2.60.x86.run
%define et_dl			https://ftp.gwdg.de/pub/misc/ftp.idsoftware.com/idstuff/et/linux/%{etname}
%define tmp_download_dir	%{_localstatedir}/tmp/
%define omnibotdir		%{_datadir}/%{name}/legacy/omni-bot/
%define gamedir			%{_prefix}/games/

Name:		etlegacy
Version:	2.74
Release:	%mkrel 2
Summary:	ET: Legacy is based on the on the source code of Wolfenstein:Enemy Territory
License:	GPLv3
Group:		Games/Shooter
Source0:	https://github.com/%{name}/%{name}/etlegacy/archive/%{name}-%{version}.zip
Patch0:		etlegacy-2.74-version.patch
Patch1:		etlegacy_omnibot_scripts.patch
URL:		https://www.etlegacy.com/
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	liblua5.3-devel
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	cmake
BuildRequires:	libjpeg-devel
Suggests:	etlegacy-omnibot
Suggests:	etlegacy-get-etpak

%description
ET: Legacy is based on the GPL'd source code of Wolfenstein:Enemy Territory.
The main goals of the project are fixing bugs, cleaning up the code base and 
adding useful features while remaining compatible with the ET 2.60b version.
The Legacy mod is the default mod shipped with ET: Legacy. It aims to add many
useful features and improvements, while staying close to the original gameplay,
as well as being lightweight and fully extensible through Lua scripts.
ET: Legacy development is a collaborative effort done in an open, transparent
and friendly manner.
Anyone is welcome to join our efforts!

%package -n %{name}-server
Summary:	This package is the server components of Enemy Territory Legacy
Group:		Games/Shooter
Suggests:	%{name}-get-etpack
Suggests:	%{omnibot}

%description -n %{name}-server
Dedicated Server components of Enemy Territory Legacy.
ET: Legacy is based on the GPL'd source code of Wolfenstein:Enemy Territory.
The main goals of the project are fixing bugs, cleaning up the code base and 
adding useful features while remaining compatible with the ET 2.60b version.
The Legacy mod is the default mod shipped with ET: Legacy. It aims to add many
useful features and improvements, while staying close to the original gameplay,
as well as being lightweight and fully extensible through Lua scripts.
ET: Legacy development is a collaborative effort done in an open, transparent
and friendly manner.
Anyone is welcome to join our efforts!

%package -n %{omnibot}
Summary:	Omni-bot is an artificial intelligence(AI) controlled opponent for Enemy Territory Legacy
Group:		Games/Shooter
Requires:	%{name}-server

%description -n %{omnibot}
Omni-bot is an artificial intelligence(AI) controlled opponent for first person
shooter games.
Unlike many bots that are written for specific games, Omni-bot was designed
from the beginning to exist mostly as a generic framework with which support for
many different games can be made, and most of the functionality can be shared
among them.

%prep
%setup -q
%patch -P 0 -p 0
%patch -P 1 -p 1


%build
mkdir build
cd build
cmake -DCROSS_COMPILE32=off -DCMAKE_INSTALL_PREFIX=%{_prefix} -DINSTALL_DEFAULT_MODDIR=%{_datadir}/etlegacy -DINSTALL_DEFAULT_BINDIR=%{gamedir} -DINSTALL_DEFAULT_BASEDIR=%{_datadir}/%{name} ..
%make

%install
cd build
%make_install
mv %{buildroot}%{_datadir}/%{name}/etl_bot.sh %{buildroot}%{gamedir}/
mv %{buildroot}%{_datadir}/%{name}/etlded_bot.sh %{buildroot}%{gamedir}/
rm %{buildroot}%{_datadir}/%{name}/legacy/omni-bot/omnibot_et.dll

%files
%doc %{_datadir}/%{name}/COPYING.txt 
%doc %{_datadir}/%{name}/INSTALL.txt
%{gamedir}/etl
%{_datadir}/applications/etlegacy.desktop
%{_datadir}/icons/hicolor/scalable/apps/etl.svg
%{_datadir}/man/man6/etl.6.xz
%{_datadir}/mime/packages/etlegacy.xml
%{_datadir}/%{name}/etmain/campaigncycle.cfg
%{_datadir}/%{name}/etmain/legacy.cfg
%{_datadir}/%{name}/etmain/lmscycle.cfg
%{_datadir}/%{name}/etmain/mapvotecycle.cfg
%{_datadir}/%{name}/etmain/objectivecycle.cfg
%{_datadir}/%{name}/legacy/etl_bin_2.74.pk3
%{_datadir}/%{name}/legacy/pak3_2.74.pk3
%{_datadir}/%{name}/legacy/qagame.mp.%{_arch}.so
%{_datadir}/%{name}/librenderer_opengl1_%{_arch}.so
%{_datadir}/%{name}/librenderer_opengl2_%{_arch}.so


%files -n %{omnibot}
%{omnibotdir}/*
%{gamedir}/etl_bot.sh
%{gamedir}/etlded_bot.sh

%files -n %{name}-server
%doc %{_datadir}/%{name}/COPYING.txt 
%doc %{_datadir}/%{name}/INSTALL.txt
%{gamedir}/etlded
%{_datadir}/man/man6/etlded.6.xz
%{_datadir}/mime/packages/etlegacy.xml
%{_datadir}/%{name}/etmain/campaigncycle.cfg
%{_datadir}/%{name}/etmain/etl_server.cfg
%{_datadir}/%{name}/etmain/legacy.cfg
%{_datadir}/%{name}/etmain/lmscycle.cfg
%{_datadir}/%{name}/etmain/mapvotecycle.cfg
%{_datadir}/%{name}/etmain/objectivecycle.cfg
%{_datadir}/%{name}/legacy/etl_bin_2.74.pk3
%{_datadir}/%{name}/legacy/pak3_2.74.pk3
