%define major	0
%define libname	%mklibname ettercap %{major}
%define devname	%mklibname ettercap -d

Name:		ettercap
Version:	0.8.3.1
Release:	%mkrel 6
License:	GPLv2+
Group:		Networking/Other
Summary:	Ncurses/Gtk3 based sniffer/interceptor utility
URL:		https://ettercap.github.io/ettercap/
Source:		https://github.com/Ettercap/ettercap/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		ettercap-0.8.2-fix-desktop-file.patch
Patch1:		ettercap-0.8.3-ncurses-tinfo.patch
Patch2:		ettercap-0.8.3-harfbuzz-header-path.patch
Patch3:		ettercap-0.8.1-radius-stack-overflow.patch
Patch4:		2168090f5b023573ebea0f83574950401ed5d67b.patch
Patch5:		ettercap-linking.patch
Patch6:		ettercap-str-fmt.patch
Patch7:		1170.patch
Patch8:		40534662043b7d831d1f6c70448afa9d374a9b63.patch
BuildRequires:	appstream-util
BuildRequires:	libpcap-devel >= 0.8.1
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	net-devel >= 1.1.2.1
BuildRequires:	pkgconfig(zlib)
BuildRequires:	libtool-devel
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig >= 0.15.0
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	cmake
BuildRequires:	groff
BuildRequires:	ghostscript

%description
Ettercap is a suite for man in the middle attacks on LAN.

It features sniffing of live connections, content filtering
on the fly and many other interesting tricks.

It supports active and passive dissection of many protocols
(even ciphered ones) and includes many feature for network
and host analysis.

%package -n	%{libname}
Group:	 	System/Libraries
Summary:	Ettercap library

%description -n	%{libname}
Ettercap library.

%package -n	%{devname}
Group:	 	System/Libraries
Summary:	Ettercap development library

%description -n	%{devname}
Ettercap development library.

%prep
%autosetup -p1

%build
%cmake \
	-DDISABLE_RPATH=yes \
	-DBUNDLED_LIBS=no \
	-DENABLE_IPV6=yes \
	-DENABLE_GEOIP=no \
	-DCURSES_NCURSES_EXTRA_LIBRARY:FILEPATH=%{_libdir}/libtinfo.so
%cmake_build

%install
%cmake_install

install -c -m 644 desktop/ettercap.appdata.xml %{buildroot}%{_metainfodir}/ettercap.appdata.xml
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.appdata.xml

%files
%doc AUTHORS CHANGELOG INSTALL LICENSE README* THANKS TODO TODO.TESTING doc/*
%{_mandir}/man?/*
%{_bindir}/*
%{_datadir}/ettercap
%{_metainfodir}/ettercap.appdata.xml
%{_metainfodir}/ettercap.metainfo.xml
%{_datadir}/applications/ettercap.desktop
%{_datadir}/pixmaps/ettercap.svg
%{_datadir}/polkit-1/actions/org.pkexec.ettercap.policy
%{_libdir}/ettercap
%dir %{_sysconfdir}/ettercap
%config(noreplace) %{_sysconfdir}/ettercap/*

%files -n %{libname}
%{_libdir}/libettercap.so.%{major}{,.*}
%{_libdir}/libettercap-ui.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/libettercap.so
%{_libdir}/libettercap-ui.so
