Summary: A dynamic geometry application
Name: euclide
Version: 0.6.6
Release: %mkrel 10
License: LGPLv2
Group: Sciences/Mathematics
URL: https://sourceforge.net/projects/jeuclide/
BuildArchitectures: noarch
Requires: jre >= 1.6.0
Source0: https://sourceforge.net/projects/jeuclide/files/Euclide/Euclide-%{version}/Euclide-%{version}.zip
Source1: %{name}
Source2: %{name}.png
Source3: %{name}.desktop
BuildRequires: javapackages-filesystem
AutoReqProv: no

%description
Euclide is a dynamic geometry application written in Java.
It allows creation of geometric shapes (lines, points, circles, conics...)
and transforms (rotation, symmetry...), which depend each other.
Moving a shape will also move shapes dependent on it.

%prep
%setup -q -n Euclide-%{version}
rm -rf ./log

%build
#nothing
 
%install
mkdir -p %{buildroot}/%{_javadir}/%{name}
cp -af lib %{buildroot}/%{_javadir}/%{name}
cp -af *.jar %{buildroot}/%{_javadir}/%{name}
mkdir -p %{buildroot}%{_bindir}
install -m 755 %{SOURCE1} %{buildroot}%{_bindir}
mkdir -p %{buildroot}/%{_datadir}/pixmaps
cp -f %{SOURCE2} %{buildroot}/%{_datadir}/pixmaps
mkdir -p %{buildroot}/%{_datadir}/applications
cp -f %{SOURCE3} %{buildroot}/%{_datadir}/applications
##Seems works without logs now
#ln -s /var/log/%{name} %{buildroot}%{_javadir}/%{name}/logs

#%post
#if [ ! -d "/var/log/%{name}" ]
#then
#  mkdir -p /var/log/%{name}
#  chmod 777 /var/log/%{name}
#fi

%files
%doc changeslog.txt readme.txt
%{_javadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
