Name:		eureka
Version:	2.0.2
Release:	%mkrel 1
Summary:	A cross-platform map editor for the classic DOOM games
Group:		Editors
License:	GPLv2
URL:		https://eureka-editor.sourceforge.net/
Source0:	https://github.com/ioan-chera/eureka-editor/archive/%{name}-%{version}.tar.gz
Patch0:		eureka-cmake_install.patch
Patch1:		eureka-cmake_cxx_flags.patch
BuildRequires:	cmake
BuildRequires:	fltk-devel
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)

%description
Eureka is a cross-platform map editor for the classic DOOM games.

It started when the ported the Yadex editor to a proper GUI toolkit, namely
FLTK, and implemented a system for multi-level Undo / Redo. These and other
features have required rewriting large potions of the existing code, and adding
lots of new code too. Eureka is now an independent program with its own
work-flow and its own quirks.

%prep
%autosetup -p1 -n eureka-editor-%{name}-%{version}

%build
%cmake -DBIN_DIR:PATH=games \
       -DENABLE_UNIT_TESTS:BOOL=OFF
%cmake_build

%install
%cmake_install

%files
%doc AUTHORS.md README.txt TODO.txt changelogs/ docs/*
%license GPL.txt
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/vim/syntax/ugh.vim
%{_mandir}/man6/%{name}.6.*
