%define name    evas
%define version 1.7.10
%define option  0
%define svn     0
%if %option
%define rel 0.%option.3
%define namevers %name-%version-%option
%else
%define rel 1
%define namevers %name-%version
%endif
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Enlightened canvas library
Name: 		%{name}
Version: 	%{version}
Epoch:		2
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://trac.enlightenment.org/e/wiki/Evas
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/branches/%name-1.1 %name
# tar cJf %name-%svn.tar.xz %name
%if %svn
Source:         %name-%svn.tar.xz
%else
Source: 	https://download.enlightenment.org/releases/%namevers.tar.bz2
%endif
Patch0:         evas-update-for-new-automake.patch
Conflicts:	%{mklibname evas1}-devel

BuildRequires:  pkgconfig
BuildRequires: 	freetype-devel
BuildRequires: 	libx11-devel
BuildRequires:	libxext-devel
BuildRequires:	libxrender-devel
BuildRequires:	SDL-devel
BuildRequires:	cairo-devel
BuildRequires:	fribidi-devel
%if %svn
BuildRequires:	pkgconfig(eina) >= %{version}-0.%svn
BuildRequires: 	pkgconfig(eet) >= %{version}-0.%svn
%else
BuildRequires:  pkgconfig(eina) >= %{version}
BuildRequires:  pkgconfig(eet) >= %{version}
%endif
BuildRequires:	edb-devel >= 1.0.5.042
BuildRequires:	cairo-devel 
BuildRequires:	png-devel, jpeg-devel 
Buildrequires:	tiff-devel
BuildRequires:	librsvg-devel
Buildrequires:  mesagl-devel
BuildRequires:	ungif-devel, xpm-devel
Buildrequires:	xcb-devel pixman-devel libxcb-util-devel

%description
Evas is a clean display canvas API for several target display systems
that can draw anti-aliased text, smooth super and sub-sampled scaled
images, alpha-blend objects much and more.

This package is part of the Enlightenment DR17 desktop shell.

%package -n %{libname}
Summary: Enlightened Canvas Libraries
Group: System/Libraries

%description -n %{libname}
Evas canvas libraries.

Evas is a clean display canvas API for several target display systems
that can draw anti-aliased text, smooth super and sub-sampled scaled
images, alpha-blend objects much and more.

This package is part of the Enlightenment DR17 desktop shell.

%package -n %libnamedev
Summary: Enlightened Canvas Library headers and development libraries
Group: System/Libraries
Requires: %{libname} = 2:%{version}
Requires: %{name} = 2:%{version}-%{release}
Provides: %{name}-devel = 2:%{version}-%{release}
Conflicts:	%{mklibname evas1}-devel
Obsoletes: %mklibname -d evas 0

%description -n %libnamedev
Evas development headers and development libraries.

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %namevers
%endif

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
%configure --disable-static --disable-build-examples --disable-install-examples

%make_build

%install
%make_install

find %buildroot -name *.la | xargs rm

%files
%{_datadir}/evas
%{_bindir}/%{name}_cserve2_client
%{_bindir}/%{name}_cserve2_debug
%{_bindir}/%{name}_cserve2_usage
%{_libdir}/%{name}
%{_libexecdir}/%{name}_cserve2
%{_libexecdir}/%{name}_cserve2_slave
%{_libexecdir}/dummy_slave

%files -n %{libname}
%doc AUTHORS COPYING README
%{_libdir}/*.so.%{major}*

%files -n %libnamedev
%{_libdir}/libevas.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
