#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Lib for creating events
Name:           eventviews
Epoch:          2
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
## Upstream patches
#

# FIXME missing 32bit support for akonadi-calendar
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6UiTools)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Codecs)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6ItemModels)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6Holidays)
BuildRequires:  cmake(KF6Contacts)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KGantt6)

BuildRequires:  cmake(KPim6Akonadi)
BuildRequires:  cmake(KPim6Libkdepim) >= 5.240
BuildRequires:  cmake(KPim6CalendarUtils)
BuildRequires:  cmake(KF6CalendarCore)
BuildRequires:  cmake(KPim6CalendarSupport)
BuildRequires:  cmake(KPim6AkonadiCalendar)
BuildRequires:  cmake(KPim6Mime)


%description
Lib for creating events.

%files -f %name.lang
%_kf6_categoriesdir/eventviews.categories
%_kf6_categoriesdir/eventviews.renamecategories

#--------------------------------------------------------------------

%define kpimeventviews_major 6
%define libkpimeventviews %mklibname kpim6eventviews %{kpimeventviews_major}

%package -n %libkpimeventviews
Summary:        Lib for creating events
Group:          System/Libraries

Requires:       %name >= %epoch:%version

%description -n %libkpimeventviews
Lib for creating events.

%files -n %libkpimeventviews
%_kf6_libdir/libKPim6EventViews.so.%{kpimeventviews_major}{,.*}

#--------------------------------------------------------------------

%define keventviews_devel %mklibname kpim6eventviews -d

%package -n %keventviews_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkpimeventviews = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %keventviews_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %keventviews_devel
%_includedir/KPim6/EventViews/
%_kf6_libdir/libKPim6EventViews.so
%_kf6_libdir/cmake/KPim6EventViews/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name
