# (daviddavid) to fix (mga#25061):
#module_load: libcamelews-priv.so: cannot open shared object file: No such file or directory
#Failed to load module: /usr/lib64/evolution/modules/module-ews-configuration.so
%define _cmake_skip_rpath %nil

%define	evolution_base_version	%(echo %{version} | awk -F. '{print $1"."$2 + $2 % 2}')
%define	api	1.2
%define	major	0

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Exchange Connector for Evolution, compatible with Exchange 2007 and later
Name:		evolution-ews
Version:	3.56.0
Release:	%mkrel 1
License:	LGPLv2+
Group:		Networking/Mail
Url:		https://wiki.gnome.org/Apps/Evolution/EWS
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	cmake
BuildRequires:	intltool
BuildRequires:	pkgconfig(camel-1.2) >= %{version}
BuildRequires:	pkgconfig(evolution-data-server-1.2) >= %{version}
BuildRequires:	pkgconfig(evolution-shell-3.0) >= %{version}
BuildRequires:	pkgconfig(glib-2.0) >= 2.32
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:	pkgconfig(libebackend-1.2) >= %{version}
BuildRequires:	pkgconfig(libecal-2.0)
BuildRequires:	pkgconfig(libedata-book-1.2) >= %{version}
BuildRequires:	pkgconfig(libedata-cal-2.0)
BuildRequires:	pkgconfig(libedataserver-1.2) >= %{version}
BuildRequires:	pkgconfig(libemail-engine) >= %{version}
BuildRequires:	pkgconfig(libsoup-3.0) >= 3.1.1
BuildRequires:	pkgconfig(webkit2gtk-4.1)
BuildRequires:	pkgconfig(libmspack)
BuildRequires:	gnome-common
Requires:	evolution >= %{version}

%description
The EWS Exchange Connector for Evolution provides a Exchange backend
from evolution-data-server as well as plugins for Evolution to access
Exchange features.

The EWS Exchange Connector is using the Exchange Web Services interface
and is therefore compatible with Exchange 2007 and later.

Provides exchange connectivity for exchange server 2007 and later using
exchange web services protocol.

%prep
%autosetup -p1 -S gendiff

%build
%cmake
%cmake_build

%install
%cmake_install

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc NEWS README
%{_libdir}/evolution-data-server/addressbook-backends/libebookbackendews.so
%{_libdir}/evolution-data-server/calendar-backends/libecalbackendews.so
%{_libdir}/evolution-data-server/camel-providers/libcamelews.so
%{_libdir}/evolution-data-server/camel-providers/libcamelews.urls
%{_libdir}/evolution-data-server/registry-modules/module-ews-backend.so
%{_libdir}/evolution/modules/module-ews-configuration.so
%{_libdir}/evolution-ews/libevolution-ews.so
%{_libdir}/evolution-ews/libevolution-ews-common.so
%{_libdir}/evolution-data-server/addressbook-backends/libebookbackendmicrosoft365.so
%{_libdir}/evolution-data-server/calendar-backends/libecalbackendmicrosoft365.so
%{_libdir}/evolution-data-server/camel-providers/libcamelmicrosoft365.so
%{_libdir}/evolution-data-server/camel-providers/libcamelmicrosoft365.urls
%{_libdir}/evolution-data-server/registry-modules/module-microsoft365-backend.so
%{_libdir}/evolution/modules/module-microsoft365-configuration.so
%{_libdir}/evolution-ews/libevolution-microsoft365.so
%{_libdir}/evolution-ews/libcamelews-priv.so
%{_datadir}/evolution/errors/module-ews-configuration.error
%{_datadir}/evolution-data-server/ews/windowsZones.xml
%{_metainfodir}/org.gnome.Evolution-ews.metainfo.xml
