%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define eds_ver	%(echo %{version}|cut -d. -f1-3)

Name:		evolution
Summary:	Integrated GNOME mail client, calendar and address book
Version:	3.56.0
Release:	%mkrel 1
License:	GPLv2+ and GFDL
Group:		Networking/Mail
URL: 		https://wiki.gnome.org/Apps/Evolution
Source0: 	https://download.gnome.org//sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	pkgconfig(geoclue-2.0)
BuildRequires:	pkgconfig(atk)
BuildRequires:	pkgconfig(cairo-gobject)
BuildRequires:	pkgconfig(camel-1.2) >= %{eds_ver}
BuildRequires:	pkgconfig(enchant-2)
BuildRequires:	pkgconfig(gail-3.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gnome-desktop-3.0)
BuildRequires:	pkgconfig(goa-1.0)
BuildRequires:	pkgconfig(gnome-autoar-0)
BuildRequires:	pkgconfig(gnome-autoar-gtk-0)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gspell-1)
BuildRequires:	pkgconfig(gweather4)
BuildRequires:	pkgconfig(geocode-glib-2.0)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(libcanberra-gtk3)
BuildRequires:	pkgconfig(libcmark)
BuildRequires:	pkgconfig(libebackend-1.2) >= %{eds_ver}
BuildRequires:	pkgconfig(libebook-1.2) >= %{eds_ver}
BuildRequires:	pkgconfig(libecal-2.0) >= %{eds_ver}
BuildRequires:	pkgconfig(libedataserver-1.2) >= %{eds_ver}
BuildRequires:	pkgconfig(libgdata)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libpst)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(nspr)
BuildRequires:	pkgconfig(nss)
BuildRequires:	pkgconfig(shared-mime-info)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(webkit2gtk-4.1)
BuildRequires:	pkgconfig(libytnef)
BuildRequires:	openldap-devel
BuildRequires:	bogofilter
BuildRequires:	spamassassin
BuildRequires:	highlight
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	desktop-file-utils
BuildRequires:	gettext-devel
BuildRequires:	yelp-tools
BuildRequires:	gtk-doc

# (fc) 0.8-5mdk implicit dependency is not enough
Requires:       evolution-data-server >= %{eds_ver}
# (ovitters) ensure glib has TLS support (mga#15971)
Requires:	%{_lib}glib-networking
Recommends:	gstreamer1.0-plugins-good
Recommends:	bogofilter

%description
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The components which make up Evolution
are tightly integrated with one another and act as a seamless
personal information-management tool.

%package -n %{name}-devel
Summary:	Development files for building against %{name}
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig(gnome-desktop-3.0)

%description -n %{name}-devel
Development files needed for building things which link against %{name}.

%prep
%autosetup -p1

# Remove the welcome email from Novell
for inbox in src/mail/default/*/Inbox; do
	echo -n "" > $inbox
done

%build
%cmake -GNinja \
	-DENABLE_MAINTAINER_MODE=OFF \
	-DVERSION_SUBSTRING=" (%{version}-%{release})" \
	-DENABLE_PLUGINS=all \
	-DENABLE_YTNEF=ON \
	-DENABLE_INSTALLED_TESTS=OFF \
        -DWITH_OPENLDAP=ON \
        -DENABLE_SMIME=ON \
        -DENABLE_GTK_DOC=ON \
        -DWITH_HELP=ON \
        -DWITH_ENCHANT_VERSION=2
%cmake_build

%install
%cmake_install

desktop-file-install --vendor="" \
	--remove-category="Office" \
	--remove-category="Calendar" \
	--remove-category="ContactManagement" \
	--add-category="Network" \
	--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/org.gnome.Evolution.desktop

rm -fr %{buildroot}/var/lib/

%find_lang evolution --all-name --with-gnome

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README.md
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/GConf/gsettings/%{name}.convert
%{_bindir}/*
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/*.so
%dir %{_libdir}/%{name}/modules/
%{_libdir}/%{name}/modules/module-accounts-window.*
%{_libdir}/%{name}/modules/module-addressbook.*
%{_libdir}/%{name}/modules/module-appearance-settings.*
%{_libdir}/%{name}/modules/module-backup-restore.*
%{_libdir}/%{name}/modules/module-bogofilter.*
%{_libdir}/%{name}/modules/module-book-config-google.*
%{_libdir}/%{name}/modules/module-book-config-ldap.*
%{_libdir}/%{name}/modules/module-book-config-local.*
%{_libdir}/%{name}/modules/module-book-config-carddav.*
%{_libdir}/%{name}/modules/module-cal-config-caldav.*
%{_libdir}/%{name}/modules/module-cal-config-contacts.*
%{_libdir}/%{name}/modules/module-cal-config-google.*
%{_libdir}/%{name}/modules/module-cal-config-local.*
%{_libdir}/%{name}/modules/module-cal-config-weather.so
%{_libdir}/%{name}/modules/module-cal-config-webcal.*
%{_libdir}/%{name}/modules/module-cal-config-webdav-notes.*
%{_libdir}/%{name}/modules/module-calendar.*
%{_libdir}/%{name}/modules/module-composer-autosave.*
%{_libdir}/%{name}/modules/module-composer-to-meeting.so
%{_libdir}/%{name}/modules/module-config-lookup.*
%{_libdir}/%{name}/modules/module-itip-formatter.*
%{_libdir}/%{name}/modules/module-mail.*
%{_libdir}/%{name}/modules/module-mail-config.*
%{_libdir}/%{name}/modules/module-mailto-handler.*
%{_libdir}/%{name}/modules/module-mdn.*
%{_libdir}/%{name}/modules/module-offline-alert.*
%{_libdir}/%{name}/modules/module-plugin-lib.*
%{_libdir}/%{name}/modules/module-plugin-manager.*
%{_libdir}/%{name}/modules/module-prefer-plain.*
%{_libdir}/%{name}/modules/module-rss.so
%{_libdir}/%{name}/modules/module-settings.*
%{_libdir}/%{name}/modules/module-spamassassin.*
%{_libdir}/%{name}/modules/module-startup-wizard.*
%{_libdir}/%{name}/modules/module-text-highlight.*
%{_libdir}/%{name}/modules/module-vcard-inline.*
%{_libdir}/%{name}/modules/module-contact-photos.*
%{_libdir}/%{name}/modules/module-gravatar.*
%{_libdir}/%{name}/modules/module-webkit-editor.*
%{_libdir}/%{name}/modules/module-webkit-inspector.*
%{_libdir}/%{name}/modules/module-tnef-attachment.so
%dir %{_libdir}/%{name}/plugins/
%{_libdir}/%{name}/plugins/liborg-gnome-d*
%{_libdir}/%{name}/plugins/liborg-gnome-email-custom-header.so
%{_libdir}/%{name}/plugins/liborg-gnome-evolution-attachment-reminder.so
%{_libdir}/%{name}/plugins/liborg-gnome-evolution-sender-validation.so
%{_libdir}/%{name}/plugins/liborg-gnome-evolution-bbdb.*
%{_libdir}/%{name}/plugins/liborg-gnome-external-editor.so
%{_libdir}/%{name}/plugins/liborg-gnome-face*
%{_libdir}/%{name}/plugins/liborg-gnome-m*
%{_libdir}/%{name}/plugins/liborg-gnome-p*
%{_libdir}/%{name}/plugins/liborg-gnome-s*
%{_libdir}/%{name}/plugins/liborg-gnome-t*
%{_libdir}/%{name}/plugins/org-gnome-d*
%{_libdir}/%{name}/plugins/org-gnome-email-custom-header.eplug
%{_libdir}/%{name}/plugins/org-gnome-evolution-attachment-reminder.eplug
%{_libdir}/%{name}/plugins/org-gnome-evolution-bbdb.eplug
%{_libdir}/%{name}/plugins/org-gnome-external-editor.*
%{_libdir}/%{name}/plugins/org-gnome-face*
%{_libdir}/%{name}/plugins/org-gnome-mail-notification*
%{_libdir}/%{name}/plugins/org-gnome-mail-to-task.eplug
%{_libdir}/%{name}/plugins/org-gnome-mailing-list-actions.eplug
%{_libdir}/%{name}/plugins/org-gnome-publish-calendar.eplug
%{_libdir}/%{name}/plugins/org-gnome-prefer-plain.eplug
%{_libdir}/%{name}/plugins/org-gnome-pst-import.eplug
%{_libdir}/%{name}/plugins/org-gnome-save-calendar.eplug
%{_libdir}/%{name}/plugins/org-gnome-templates.eplug
%{_libdir}/%{name}/plugins/org-gnome-evolution-sender-validation.eplug
%{_libdir}/%{name}/web-extensions/libewebextension.so
#%%{_libdir}/%%{name}/web-extensions/module-itip-formatter-webextension.so
%{_libdir}/%{name}/web-extensions/webkit-editor/module-webkit-editor-webextension.so
%{_libdir}/evolution-data-server/ui-modules/module-evolution-alarm-notify.so
%{_libdir}/evolution-data-server/camel-providers/libcamelrss.*
%dir %{_libexecdir}/%{name}/
%{_libexecdir}/%{name}/evolution-backup
%{_libexecdir}/%{name}/killev
%{_datadir}/applications/*
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/metainfo/org.gnome.Evolution.appdata.xml
%{_datadir}/metainfo/org.gnome.Evolution-*.metainfo.xml
%{_mandir}/man1/evolution.1*

%files -n %{name}-devel
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/pkgconfig/*
