Name:		evolvotron
Version:	0.8.2
Release:	%mkrel 3
Summary:	Evolvotron Interactive Art Generator
Group:		Graphics/Utilities
License:	GPL-2.0-or-later
URL:		https://timday.com/share/evolvotron/index.htm
Source:		https://github.com/WickedSmoke/evolvotron/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		evolvotron-add-unix-install-function.patch
BuildRequires:	gcc-c++
BuildRequires:	boost-devel
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Widgets)

%description
Evolvotron is interactive "generative art" software to evolve
images/textures/patterns through an iterative process of
random mutation and user-selection driven evolution.

%prep
%autosetup -p1

cp dist/icon-128.png dist/evolvotron.png
cp dist/icon-48.png evolvotron.png

%build
%qmake_qt6 VERSION_NUMBER=%{version} main.pro
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc BUGS NEWS README.md TODO USAGE
%license LICENSE
%{_bindir}/evolvotron
%{_bindir}/evolvotron_mutate
%{_bindir}/evolvotron_render
%{_iconsdir}/hicolor/*/apps/evolvotron.png
%{_datadir}/applications/evolvotron.desktop
%{_mandir}/man1/evolvotron.1*
%{_mandir}/man1/evolvotron_mutate.1*
%{_mandir}/man1/evolvotron_render.1*
