%define url_ver %(echo %version | cut -d. -f1,2,3)

# filter out bogus requires
%global __requires_exclude	%{?__requires_exclude:%__requires_exclude|}typelib\\(GtkosxApplication

# comment out if not prerel
#define preVers	beta1

%define rel	2

Summary:	A powerful GTK music player
Name:		exaile
Epoch:		1
Version:	4.1.3
Release:	%mkrel %{?preVers:0.%preVers.}%{rel}
Group:		Sound/Players
License:	GPLv2+
URL:		https://exaile.org/
Source0:	https://github.com/exaile/exaile/releases/download/%{version}%{?preVers:-%preVers}/%{name}-%{version}%{?preVers:-%preVers}.tar.gz
Patch0:		exaile-webkit2-4.1-api.patch
BuildArch:	noarch
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	intltool
BuildRequires:	gettext-devel
BuildRequires:	help2man
Requires:	gstreamer1.0-python
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-plugins-base
Requires:	gstreamer1.0-plugins-ugly
Requires:	gstreamer1.0-cdio
Requires:	gstreamer1.0-moodbar
Requires:	python3dist(bsddb3)
Requires:	python3dist(mutagen)
Requires:	python3dist(pygobject)
Recommends:	python3dist(feedparser)
Recommends:	python3dist(musicbrainzngs)
Recommends:	python3dist(beautifulsoup4)
Recommends:	python3dist(lxml)

%description
Exaile is a music player inspired by KDE's Amarok, but for GTK and written in
Python. It incorporates many of the cool things from Amarok and other, like:
* automatic fetching of album art
* handling of large libraries
* lyrics fetching
* artist/album information via the wikipedia
* Last.fm support
* optional iPod support
* an advanced tag editor
* a SHOUTcast directory browser

In addition, Exaile also includes:
* a SHOUTcast directory browser
* tabbed playlists (so you can have more than one playlist open at a time)
* blacklisting of tracks (so they don't get scanned into your library)
* downloading of guitar tablature from fretplay.com
* submitting played tracks on your iPod to Last.fm

%prep
%autosetup -p1 -n %{name}-%{version}%{?preVers:-%preVers}

%build
%make_build

%install
# Exaile launcher works with LIBINSTALLDIR which is a relative path from %%{_prefix}.
%make_install PREFIX=%{_prefix} LIBINSTALLDIR=%{_datadir}

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_metainfodir}/%{name}.appdata.xml
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/exaile.*
%{_datadir}/dbus-1/services/org.exaile.Exaile.service
%{_datadir}/bash-completion/completions/exaile
%{_datadir}/fish/vendor_completions.d/exaile.fish
%dir %{_sysconfdir}/xdg/exaile/
%config(noreplace) %{_sysconfdir}/xdg/exaile/settings.ini
%{_mandir}/man1/%{name}.*
