%define major		8
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		exempi
Summary:	Library for easy parsing of XMP metadata
Version:	2.6.4
Release:	%mkrel 1
Group:		System/Libraries
License:	BSD-like
URL:		https://libopenraw.freedesktop.org/wiki/Exempi
Source0:	https://libopenraw.freedesktop.org/download/%{name}-%{version}.tar.bz2
Source1:	https://libopenraw.freedesktop.org/download/%{name}-%{version}.tar.bz2.asc
BuildRequires:	pkgconfig(expat)
BuildRequires:	boost-devel

%description
Exempi provides a library for easy parsing of XMP metadata. It is a port of 
Adobe XMP SDK to work on UNIX and to be build with GNU automake.
It includes XMPCore and XMPFiles.

%package -n %{libname}
Summary:	XMP implementation
Group:		System/Libraries

%description -n %{libname}
Exempi provides a library for easy parsing of XMP metadata. It is a port of 
Adobe XMP SDK to work on UNIX and to be build with GNU automake.
It includes XMPCore and XMPFiles.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Exempi provides a library for easy parsing of XMP metadata. It is a port of 
Adobe XMP SDK to work on UNIX and to be build with GNU automake.
It includes XMPCore and XMPFiles.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure CPPFLAGS="-fno-strict-aliasing -DBanAllEntityUsage=1"

%make_build

%check
%__make check

%install
%make_install

# we don't want these
find %{buildroot} -name '*.*a' -delete

%files
%doc AUTHORS ChangeLog COPYING README.md
%{_bindir}/%{name}
%{_mandir}/man?/%{name}.?.*

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING README.md
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}-2.0/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
