%define url_ver %(echo %{version} | tr . _)

Summary:	Command line tools to access EXIF extensions in JPEG files
Name:		exif
Version:	0.6.22
Release:	%mkrel 3
License:	GPLv2+ and LGPLv2+
Group:		Graphics/Photography
URL:		https://libexif.github.io/
Source:		https://github.com/libexif/exif/releases/download/exif-%{url_ver}-release/exif-%{version}.tar.xz
Patch:		f6334d9d32437ef13dc902f0a88a2be0063d9d1c.patch
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(popt)
BuildRequires:	gettext-devel

%description
Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

This package contains a command line frontend for the EXIF library.

%prep
%autosetup -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%check
make check

%install
%make_install
%find_lang %{name}

%files -f %{name}.lang
%doc ABOUT-NLS AUTHORS ChangeLog README
%{_bindir}/*
%{_mandir}/man*/*
