%define url_ver %(echo %{version} | cut -d. -f1,2)

%define api		2
%define major		0
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname %{name} -d

Summary:	An extension library for Xfce desktop environment
Name:		exo
Version:	4.21.0
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Libraries
URL:		https://www.xfce.org
Source:		https://archive.xfce.org/src/xfce/exo/%{url_ver}/%{name}-%{version}.tar.bz2
# Upstream patches
#
# Mageia patches:
#
BuildRequires:	xfce4-dev-tools
BuildRequires:	git-core
BuildRequires:	perl(URI)
BuildRequires:  pkgconfig(libxfce4util-1.0) >= 4.18.0
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4ui-2) >= 4.21.0

%description
This is libexo, an extension library to Xfce, developed by os-cillation. While
Xfce comes with quite a few libraries that are targeted at desktop development,
libexo is targeted at application development.

%package -n %{libname}
Summary:	An extension library for Xfce
Group:		System/Libraries
License:	LGPLv2+
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
Exo is an Xfce library targeted at application development. It contains various
custom widgets and APIs extending the functionality of GLib and GTK+. It also
ships utilities for defining preferred applications, mounting storage devices
and more.

%package -n %{develname}
Summary:	Development files, headers and documentation for libexo
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files, headers and documentation for libexo.

%prep
%autosetup -p1 -Sgit_am

%build
%xdt_autogen
%configure \
	--disable-static
%make_build

%install
%make_install

# (tpg) already in %{_real_vendor}-xfce-config package
rm -rf %{buildroot}%{_sysconfdir}/xdg/xfce4/helpers.rc

# don't ship .la
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS README* ChangeLog NEWS
%{_bindir}/exo*
%{_mandir}/man1/exo*
%dir %{_datadir}/pixmaps/exo/
%{_datadir}/pixmaps/exo/exo-thumbnail-frame.png

%files -n %{libname}
%license COPYING.LIB
%{_libdir}/libexo-%{api}.so.%{major}{,.*}

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/exo-%{api}/
%{_libdir}/libexo-%{api}.so
%{_libdir}/pkgconfig/exo-%{api}.pc
%{_includedir}/exo-%{api}/
