%define major		12
%define libname		%mklibname exosip2_ %major
%define libname_devel	%mklibname exosip2 -d

Summary: 	Extended osip library
Name: 	 	exosip
Version:	5.1.0
Release: 	%mkrel 1
License:	GPLv2+
Group:		System/Libraries
URL:		https://savannah.nongnu.org/projects/exosip/
Source0:	https://download.savannah.gnu.org/releases/exosip/libexosip2-%{version}.tar.gz
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libosip2) >= 3.5

%description
Exosip is a library that hides the complexity of using the SIP protocol for
multimedia session establishment. This protocol is mainly to be used by VoIP
telephony applications (endpoints or conference server) but might be also
useful for any application that wish to establish sessions like multiplayer
games.

%package -n 	%{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries

%description -n %{libname}
Dynamic libraries from %name.

%package -n 	%{libname_devel}
Summary: 	Header files and static libraries from %name
Group: 		Development/C
Requires: 	%{libname} = %{version}-%{release}
Provides:	libexosip2-devel = %{version}-%{release}
Provides: 	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libname_devel}
Libraries and includes files for developing programs based on %name.

%prep
%setup -q -n libexosip2-%{version}
%autopatch -p1

%build
%configure --disable-static
%make_build

%install
%make_install

# don't ship .a, .la
find %{buildroot} -name '*.la' -delete

%files
%doc README
%{_bindir}/*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{libname_devel}
%doc AUTHORS ChangeLog NEWS
%{_includedir}/*
%{_libdir}/*.so
