%define major	1
%define libname	%mklibname expat %{major}
%define devname	%mklibname expat -d

Summary:	XML parser written in C
Name:		expat
Version:	2.7.1
Release:	%mkrel 1
License:	MIT
Group:		Text tools
URL:		https://libexpat.github.io/
Source0:	https://prdownloads.sourceforge.net/expat/expat-%{version}.tar.xz
BuildRequires:	docbook2x

%description
Expat is an XML 1.0 parser written in C by James Clark.  It aims to be
fully conforming. It is currently not a validating XML parser.

%package -n %{libname}
Summary:	Main library for expat
Group:		Development/C

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with expat.

%package -n %{devname}
Summary:	Development environment for the expat XML parser
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Development environment for the expat XML parser.

%prep
%autosetup -p1

%build
#export CFLAGS="%%{optflags} -fPIC"

%configure \
	--disable-static \
	--with-docbook
%make_build

%check
make check

%install
%make_install

%files
%{_bindir}/xmlwf
%{_mandir}/man*/*

%files -n %{libname}
%{_libdir}/libexpat.so.%{major}{,.*}

%files -n %{devname}
%doc doc/reference.html
%{_libdir}/libexpat.so
%{_includedir}/expat.h
%{_includedir}/expat_config.h
%{_includedir}/expat_external.h
%{_libdir}/pkgconfig/expat.pc
%{_libdir}/cmake/expat-%{version}/
%{_docdir}/expat/AUTHORS
%{_docdir}/expat/changelog
