%define major           5.45.4
%define libname         %mklibname %{name} %{major}
%define develname       %mklibname %{name} -d

%global __provides_exclude_from %{_docdir}
%global __requires_exclude_from %{_docdir}

Summary:        A tcl extension for simplifying program-script interaction
Name:           expect
Epoch:          1
Version:        5.45.4
Release:        %mkrel 8
Group:          System/Libraries
License:        BSD
URL:            https://expect.sourceforge.net/
Source:         https://downloads.sourceforge.net/%{name}/%{name}%{version}.tar.gz
# Patch1: fixes install loation, change pkgIndex
# From Fedora
Patch1:         expect-5.43.0-pkgpath.patch
Patch10:        expect-fedora-5.32.2-random.patch
# fix log file perms (Fedora)
Patch25:        expect-fedora-5.43.0-log_file.patch
# (fc) 5.43.0-16mdv fix format security
Patch27:        expect-5.43.0-fixformatsecurity.patch
Patch28:        expect-use-grep-E-instead-of-deprecated-egrep.patch
Patch98:        0001-expect-Fix-format.patch
# From Archlinux
Patch99:        expect-5.45.4-covscan-fixes.patch
Patch100:       expect-configure-c99.patch
Patch101:       expect-c99.patch
Patch102:       0001-expect-Fix-implicit-declaration.patch

BuildRequires:  tcl
BuildRequires:  pkgconfig(tcl)
BuildRequires:  tk
BuildRequires:  pkgconfig(tk)
BuildRequires:  pkgconfig(xscrnsaver)
BuildRequires:  autoconf
BuildRequires:  automake
Requires:       tcl
Requires:       %{libname} = %{epoch}:%{version}
# for multixterm
Requires:       xterm
Provides:       %{_bindir}/expect
Provides:       %{_bindir}/expectk

%description
Expect is a tcl extension for automating interactive applications such
as telnet, ftp, passwd, fsck, rlogin, tip, etc.  Expect is also useful
for testing the named applications.  Expect makes it easy for a script
to control another program and interact with it.

Install the expect package if you'd like to develop scripts which interact
with interactive applications.  You'll also need to install the tcl
package.

%package -n     %{libname}
Summary:        Shared libraries for %{name}
Group:          System/Libraries

%description -n %{libname}
Expect is a tcl extension for automating interactive applications such
as telnet, ftp, passwd, fsck, rlogin, tip, etc.  Expect is also useful
for testing the named applications.  Expect makes it easy for a script
to control another program and interact with it.

Install the expect package if you'd like to develop scripts which interact
with interactive applications.  You'll also need to install the tcl
package.

%package -n     %{develname}
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{libname} = %{epoch}:%{version}
Provides:       %{name}-devel = %{epoch}:%{version}-%{release}
Provides:       lib%{name}-devel = %{epoch}:%{version}-%{release}

%description -n %{develname}
This package contains development files for %{name}.

%package        examples
Summary:        Example scripts for %{name}
Group:          System/Libraries

%description    examples
This package contains example scripts for Expect.

Expect is a tcl extension for automating interactive applications such
as telnet, ftp, passwd, fsck, rlogin, tip, etc.  Expect is also useful
for testing the named applications.  Expect makes it easy for a script
to control another program and interact with it.

Install the expect package if you'd like to develop scripts which interact
with interactive applications.  You'll also need to install the tcl
package.

%prep

%setup -q -n %{name}%{version}
%autopatch -p1

%build
autoreconf -vfi
%configure \
    --enable-gcc \
    --enable-shared \
    --with-tcl=%{_libdir} \
    --with-tk=%{_libdir} \
    --disable-rpath \
    --with-tclinclude=%{_includedir}/tcl-private/generic

%make_build

%check
make test

%install
%make_install INSTALL_ROOT=%{buildroot}

# move
mv %{buildroot}%{tcl_sitearch}/expect%{version}/libexpect%{version}.so %{buildroot}%{_libdir}

# for linking with -lexpect
ln -s libexpect%{major}.so %{buildroot}%{_libdir}/libexpect.so

# remove cryptdir/decryptdir, as Linux has no crypt command (bug 6668).
rm -f %{buildroot}%{_bindir}/{cryptdir,decryptdir}
rm -f %{buildroot}%{_mandir}/man1/{cryptdir,decryptdir}.1*
rm -f %{buildroot}%{_bindir}/autopasswd

%files
%doc ChangeLog FAQ HISTORY NEWS README
%{_bindir}/*
%{tcl_sitearch}/%{name}%{major}
%{_mandir}/man1/*
%{_mandir}/man3/*

%files -n %{libname}
%{_libdir}/lib%{name}%{version}.so

%files -n %{develname}
%{_includedir}/*
%{_libdir}/lib%{name}.so

%files examples
%doc example/*
