%define name expedite
%define version 1.7.10
%define option  0
%define svn     0
%if %option
%define rel 0.%option.3
%define namevers %name-%version-%option
%else
%define rel 1
%define namevers %name-%version
%endif
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

Summary:	Evas benchmark/test suite
Name:		%{name}
Version:	%{version}
Release:	%release
License: 	BSD
Group: 		Graphical desktop/Enlightenment
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/branches/%name-1.1 %name
# tar cJf %name-%svn.tar.xz %name
%if %svn
Source: %name-%svn.tar.xz
%else
Source: https://download.enlightenment.org/releases/%namevers.tar.bz2
%endif
Source1:	%name.desktop
URL:		http://trac.enlightenment.org/e/wiki/Expedite
BuildRequires:  pkgconfig
%if %svn
BuildRequires: 	pkgconfig(evas) >= %{version}-0.%svn
%else
BuildRequires: 	pkgconfig(evas) >= %{version}
%endif
BuildRequires:	xcb-util-devel
BuildRequires:	SDL-devel
BuildRequires:	libx11-devel
BuildRequires:	libxext-devel
BuildRequires:	libxrender-devel
BuildRequires:  imagemagick
BuildRequires:  desktop-file-utils

%description
Expedite Evas benchmark/test suite

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %namevers
%endif

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
%configure --disable-static
%make_build

%install
%make_install

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cp -vf %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/applications/

mkdir -p %buildroot{%_liconsdir,%_iconsdir,%_miconsdir}
install -m 644 data/e.png %buildroot%_liconsdir/%name.png
convert -resize 32x32 data/e.png %buildroot%_iconsdir/%name.png
convert -resize 16x16 data/e.png %buildroot%_miconsdir/%name.png

mkdir -p %buildroot%{_datadir}/pixmaps
cp data/e.png %buildroot%{_datadir}/pixmaps/%name.png

# find %buildroot -name *.la | xargs rm

%files
%doc  AUTHORS COPYING* README
%{_bindir}/%name
%{_bindir}/expedite-cmp
%{_datadir}/%name
%_liconsdir/*.png
%_iconsdir/*.png
%_miconsdir/*.png
%_datadir/pixmaps/*.png
%{_datadir}/applications/*



