Name:           eyesight
Summary:        Hawaii desktop image viewer
Version:        0.1.4
Release:        %mkrel 7
Group:          Graphical desktop/Other
# Bundles webp, which is BSD
License:        GPLv2+ and BSD
URL:            http://hawaiios.org/projects/eyesight
# git clone --no-checkout https://github.com/hawaii-desktop/eyesight.git
# cd eyesight/
# git archive v0.1.1 --prefix=eyesight-0.1.1/ |gzip >eyesight-0.1.1.tar.gz
Source0:        https://github.com/hawaii-desktop/eyesight%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz
Patch0:         eyesight-0.1.4-fix-build-against-qt-5.11.0.patch
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  qttools5
BuildRequires:  cmake
BuildRequires:  bzip2-devel
BuildRequires:  desktop-file-utils

%description
Provides image viewer for Hawaii desktop.

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt5

%cmake_build

%install
%cmake_install

desktop-file-install --delete-original                          \
        --dir %{buildroot}%{_datadir}/applications           \
        %{buildroot}%{_datadir}/applications/*.desktop


%files
%license COPYING
%doc README.md
%{_bindir}/eyesight
%{_datadir}/applications/eyesight.desktop
%{_datadir}/eyesight
%{_datadir}/appdata/eyesight.appdata.xml
