%define  upstream_name AuthenticationDatabaseTiein
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.1
Release:	%mkrel 3
Summary:	The purpose of the Authentication component is to provide support for different
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	https://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires: 	ezcomponents-Base >= 1.5.2
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch

%description
The purpose of the Authentication component is to provide support for
different
means of identification and authentication of users using different
providers and
protocols.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/AuthenticationDatabaseTiein.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/AuthenticationDatabaseTiein.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/AuthenticationDatabaseTiein
fi

%files
%doc docs/AuthenticationDatabaseTiein/*
%{peardir}/data/AuthenticationDatabaseTiein/design/class_diagram.png
%{peardir}/data/AuthenticationDatabaseTiein/design/design.txt
%{peardir}/data/AuthenticationDatabaseTiein/design/requirements.txt
%{peardir}/ezc/AuthenticationDatabaseTiein/authentication_database_autoload.php
%{peardir}/ezc/AuthenticationDatabaseTiein/authentication_openid_autoload.php
%{peardir}/ezc/AuthenticationDatabaseTiein/filters/database/database_filter.php
%{peardir}/ezc/AuthenticationDatabaseTiein/filters/database/database_info.php
%{peardir}/ezc/AuthenticationDatabaseTiein/filters/openid/openid_db_store.php
%{peardir}/ezc/AuthenticationDatabaseTiein/options/database_options.php
%{peardir}/ezc/AuthenticationDatabaseTiein/options/openid_db_store_options.php
%{peardir}/ezc/autoload/authentication_database_autoload.php
%{peardir}/ezc/autoload/authentication_openid_autoload.php
%{xmldir}/AuthenticationDatabaseTiein.xml
