%define  upstream_name Cache
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.5
Release:	%mkrel 3
Summary:	The purpose of the Authentication component is to provide support for different
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	https://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires: 	ezcomponents-Base >= 1.8
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch

%description
A solution for caching, supporting multiple backends allowing you to
specify
the best performing solution for your caching-problem.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Cache.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Cache.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/Cache
fi

%files
%doc docs/Cache/*
%{peardir}/data/Cache/design/cache.png
%{peardir}/data/Cache/design/cache.xml
%{peardir}/data/Cache/design/class_diagram.png
%{peardir}/data/Cache/design/design-1.3.txt
%{peardir}/data/Cache/design/design-1.4.txt
%{peardir}/data/Cache/design/design.txt
%{peardir}/data/Cache/design/requirements-1.4.txt
%{peardir}/ezc/Cache/backends/apc/apc_backend.php
%{peardir}/ezc/Cache/backends/memcache/memcache_backend.php
%{peardir}/ezc/Cache/backends/memory_backend.php
%{peardir}/ezc/Cache/cache_autoload.php
%{peardir}/ezc/Cache/exceptions/apc_exception.php
%{peardir}/ezc/Cache/exceptions/exception.php
%{peardir}/ezc/Cache/exceptions/invalid_data.php
%{peardir}/ezc/Cache/exceptions/invalid_id.php
%{peardir}/ezc/Cache/exceptions/invalid_key.php
%{peardir}/ezc/Cache/exceptions/invalid_meta_data.php
%{peardir}/ezc/Cache/exceptions/invalid_storage_class.php
%{peardir}/ezc/Cache/exceptions/memcache_exception.php
%{peardir}/ezc/Cache/exceptions/stack_id_already_used.php
%{peardir}/ezc/Cache/exceptions/stack_storage_used_twice.php
%{peardir}/ezc/Cache/exceptions/stack_underflow.php
%{peardir}/ezc/Cache/exceptions/used_location.php
%{peardir}/ezc/Cache/interfaces/base_meta_data.php
%{peardir}/ezc/Cache/interfaces/base_replacement_strategy.php
%{peardir}/ezc/Cache/interfaces/meta_data.php
%{peardir}/ezc/Cache/interfaces/meta_data_storage.php
%{peardir}/ezc/Cache/interfaces/replacement_strategy.php
%{peardir}/ezc/Cache/interfaces/stack_configurator.php
%{peardir}/ezc/Cache/interfaces/stackable_storage.php
%{peardir}/ezc/Cache/manager.php
%{peardir}/ezc/Cache/options/stack.php
%{peardir}/ezc/Cache/options/storage.php
%{peardir}/ezc/Cache/options/storage_apc.php
%{peardir}/ezc/Cache/options/storage_apc_array.php
%{peardir}/ezc/Cache/options/storage_file.php
%{peardir}/ezc/Cache/options/storage_memcache.php
%{peardir}/ezc/Cache/replacement_strategies/lfu.php
%{peardir}/ezc/Cache/replacement_strategies/lru.php
%{peardir}/ezc/Cache/stack.php
%{peardir}/ezc/Cache/stack/lfu_meta_data.php
%{peardir}/ezc/Cache/stack/lru_meta_data.php
%{peardir}/ezc/Cache/stack/storage_configuration.php
%{peardir}/ezc/Cache/storage.php
%{peardir}/ezc/Cache/storage/apc.php
%{peardir}/ezc/Cache/storage/apc/apc_array.php
%{peardir}/ezc/Cache/storage/apc/plain.php
%{peardir}/ezc/Cache/storage/file.php
%{peardir}/ezc/Cache/storage/file/array.php
%{peardir}/ezc/Cache/storage/file/eval_array.php
%{peardir}/ezc/Cache/storage/file/object.php
%{peardir}/ezc/Cache/storage/file/plain.php
%{peardir}/ezc/Cache/storage/memcache.php
%{peardir}/ezc/Cache/storage/memcache/plain.php
%{peardir}/ezc/Cache/storage/memory.php
%{peardir}/ezc/Cache/structs/file_apc_array_data.php
%{peardir}/ezc/Cache/structs/memory_data.php
%{peardir}/ezc/Cache/structs/memory_register.php
%{peardir}/ezc/Cache/structs/memory_var.php
%{peardir}/ezc/autoload/cache_autoload.php

%{xmldir}/Cache.xml
