%define  upstream_name ConsoleTools
%global __requires_exclude pear\\(TestConfiguration.php\\)
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.6.1
Release:	%mkrel 3
Summary:	The component allows you to create, modify, and extract archive files
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	https://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires: 	ezcomponents-Base >= 1.8
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch

%description
A set of classes to do different actions with the console (also called
shell).
It can render a progress bar, tables and a status bar and contains a class
for
parsing command line options.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/ConsoleTools.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/ConsoleTools.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/ConsoleTools
fi

%files
%doc docs/ConsoleTools/*
%{peardir}/data/ConsoleTools/design/class_diagram.png
%{peardir}/data/ConsoleTools/design/console.png
%{peardir}/data/ConsoleTools/design/console.xml
%{peardir}/data/ConsoleTools/design/console_parameters.png
%{peardir}/data/ConsoleTools/design/design-1.3.txt
%{peardir}/data/ConsoleTools/design/design.txt
%{peardir}/ezc/ConsoleTools/console_autoload.php
%{peardir}/ezc/ConsoleTools/dialog/menu_dialog.php
%{peardir}/ezc/ConsoleTools/dialog/question_dialog.php
%{peardir}/ezc/ConsoleTools/dialog/validators/menu_dialog_default.php
%{peardir}/ezc/ConsoleTools/dialog/validators/question_dialog_collection.php
%{peardir}/ezc/ConsoleTools/dialog/validators/question_dialog_mapping.php
%{peardir}/ezc/ConsoleTools/dialog/validators/question_dialog_regex.php
%{peardir}/ezc/ConsoleTools/dialog/validators/question_dialog_type.php
%{peardir}/ezc/ConsoleTools/dialog_viewer.php
%{peardir}/ezc/ConsoleTools/exceptions/argument.php
%{peardir}/ezc/ConsoleTools/exceptions/argument_already_registered.php
%{peardir}/ezc/ConsoleTools/exceptions/argument_mandatory_violation.php
%{peardir}/ezc/ConsoleTools/exceptions/argument_too_many.php
%{peardir}/ezc/ConsoleTools/exceptions/argument_type_violation.php
%{peardir}/ezc/ConsoleTools/exceptions/dialog_abort.php
%{peardir}/ezc/ConsoleTools/exceptions/exception.php
%{peardir}/ezc/ConsoleTools/exceptions/invalid_option_name.php
%{peardir}/ezc/ConsoleTools/exceptions/invalid_output_target.php
%{peardir}/ezc/ConsoleTools/exceptions/no_position_stored.php
%{peardir}/ezc/ConsoleTools/exceptions/no_valid_dialog_result.php
%{peardir}/ezc/ConsoleTools/exceptions/option.php
%{peardir}/ezc/ConsoleTools/exceptions/option_already_registered.php
%{peardir}/ezc/ConsoleTools/exceptions/option_arguments_violation.php
%{peardir}/ezc/ConsoleTools/exceptions/option_dependency_violation.php
%{peardir}/ezc/ConsoleTools/exceptions/option_exclusion_violation.php
%{peardir}/ezc/ConsoleTools/exceptions/option_mandatory_violation.php
%{peardir}/ezc/ConsoleTools/exceptions/option_missing_value.php
%{peardir}/ezc/ConsoleTools/exceptions/option_no_alias.php
%{peardir}/ezc/ConsoleTools/exceptions/option_not_exists.php
%{peardir}/ezc/ConsoleTools/exceptions/option_string_not_wellformed.php
%{peardir}/ezc/ConsoleTools/exceptions/option_too_many_values.php
%{peardir}/ezc/ConsoleTools/exceptions/option_type_violation.php
%{peardir}/ezc/ConsoleTools/input.php
%{peardir}/ezc/ConsoleTools/input/argument.php
%{peardir}/ezc/ConsoleTools/input/arguments.php
%{peardir}/ezc/ConsoleTools/input/help_generators/standard.php
%{peardir}/ezc/ConsoleTools/input/option.php
%{peardir}/ezc/ConsoleTools/input/validators/standard.php
%{peardir}/ezc/ConsoleTools/interfaces/dialog.php
%{peardir}/ezc/ConsoleTools/interfaces/dialog_validator.php
%{peardir}/ezc/ConsoleTools/interfaces/input_help_generator.php
%{peardir}/ezc/ConsoleTools/interfaces/input_validator.php
%{peardir}/ezc/ConsoleTools/interfaces/menu_dialog_validator.php
%{peardir}/ezc/ConsoleTools/interfaces/question_dialog_validator.php
%{peardir}/ezc/ConsoleTools/options/dialog.php
%{peardir}/ezc/ConsoleTools/options/menu_dialog.php
%{peardir}/ezc/ConsoleTools/options/output.php
%{peardir}/ezc/ConsoleTools/options/progressbar.php
%{peardir}/ezc/ConsoleTools/options/progressmonitor.php
%{peardir}/ezc/ConsoleTools/options/question_dialog.php
%{peardir}/ezc/ConsoleTools/options/statusbar.php
%{peardir}/ezc/ConsoleTools/options/table.php
%{peardir}/ezc/ConsoleTools/output.php
%{peardir}/ezc/ConsoleTools/progressbar.php
%{peardir}/ezc/ConsoleTools/progressmonitor.php
%{peardir}/ezc/ConsoleTools/statusbar.php
%{peardir}/ezc/ConsoleTools/structs/option_rule.php
%{peardir}/ezc/ConsoleTools/structs/output_format.php
%{peardir}/ezc/ConsoleTools/structs/output_formats.php
%{peardir}/ezc/ConsoleTools/table.php
%{peardir}/ezc/ConsoleTools/table/cell.php
%{peardir}/ezc/ConsoleTools/table/row.php
%{peardir}/ezc/ConsoleTools/tools/string.php
%{peardir}/ezc/autoload/console_autoload.php
%{xmldir}/ConsoleTools.xml
