%define  upstream_name Database
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.4.7
Release:	%mkrel 3
Summary:	A lightweight database layer on top of PHP's PDO that allows you to utilize a
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	https://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires: 	ezcomponents-Base >= 1.8
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch


%description
A lightweight database layer on top of PHP's PDO that allows you to utilize
a
database without having to take care of differences in SQL dialects.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Database.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Database.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/Database
fi

%files
%doc docs/Database/*
%{peardir}/data/Database/design/class_diagram.png
%{peardir}/data/Database/design/design.txt
%{peardir}/ezc/Database/db_autoload.php
%{peardir}/ezc/Database/exceptions/exception.php
%{peardir}/ezc/Database/exceptions/handler_not_found.php
%{peardir}/ezc/Database/exceptions/missing_parameter.php
%{peardir}/ezc/Database/exceptions/query/invalid.php
%{peardir}/ezc/Database/exceptions/query/invalid_parameter.php
%{peardir}/ezc/Database/exceptions/query/variable_parameter.php
%{peardir}/ezc/Database/exceptions/query_exception.php
%{peardir}/ezc/Database/exceptions/transaction.php
%{peardir}/ezc/Database/factory.php
%{peardir}/ezc/Database/handler.php
%{peardir}/ezc/Database/handlers/mssql.php
%{peardir}/ezc/Database/handlers/mysql.php
%{peardir}/ezc/Database/handlers/oracle.php
%{peardir}/ezc/Database/handlers/pgsql.php
%{peardir}/ezc/Database/handlers/sqlite.php
%{peardir}/ezc/Database/instance.php
%{peardir}/ezc/Database/options/identifiers.php
%{peardir}/ezc/Database/query_autoload.php
%{peardir}/ezc/Database/sqlabstraction/expression.php
%{peardir}/ezc/Database/sqlabstraction/implementations/expression_mssql.php
%{peardir}/ezc/Database/sqlabstraction/implementations/expression_oracle.php
%{peardir}/ezc/Database/sqlabstraction/implementations/expression_pgsql.php
%{peardir}/ezc/Database/sqlabstraction/implementations/expression_sqlite.php
%{peardir}/ezc/Database/sqlabstraction/implementations/query_select_mssql.php
%{peardir}/ezc/Database/sqlabstraction/implementations/query_select_oracle.php
%{peardir}/ezc/Database/sqlabstraction/implementations/query_select_sqlite.php
%{peardir}/ezc/Database/sqlabstraction/implementations/query_sqlite_function_implementations.php
%{peardir}/ezc/Database/sqlabstraction/implementations/utilities_mysql.php
%{peardir}/ezc/Database/sqlabstraction/implementations/utilities_oracle.php
%{peardir}/ezc/Database/sqlabstraction/implementations/utilities_pgsql.php
%{peardir}/ezc/Database/sqlabstraction/implementations/utilities_sqlite.php
%{peardir}/ezc/Database/sqlabstraction/query.php
%{peardir}/ezc/Database/sqlabstraction/query_delete.php
%{peardir}/ezc/Database/sqlabstraction/query_insert.php
%{peardir}/ezc/Database/sqlabstraction/query_select.php
%{peardir}/ezc/Database/sqlabstraction/query_subselect.php
%{peardir}/ezc/Database/sqlabstraction/query_update.php
%{peardir}/ezc/Database/sqlabstraction/utilities.php
%{peardir}/ezc/autoload/db_autoload.php
%{peardir}/ezc/autoload/query_autoload.php
%{xmldir}/Database.xml
