%define  upstream_name DatabaseSchema
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.4.4
Release:	%mkrel 3
Summary:	A set of classes that allow you to extract information from a database schema,
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	https://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires: 	ezcomponents-Base >= 1.8
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch


%description
A set of classes that allow you to extract information from a database
schema,
compare database schemas and apply a set of changes to a database schema.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/DatabaseSchema.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/DatabaseSchema.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/DatabaseSchema
fi

%files
%doc docs/DatabaseSchema/*
%{peardir}/data/DatabaseSchema/design/class_diagram.png
%{peardir}/data/DatabaseSchema/design/design-1.3.txt
%{peardir}/data/DatabaseSchema/design/design.txt
%{peardir}/ezc/DatabaseSchema/comparator.php
%{peardir}/ezc/DatabaseSchema/db_schema_autoload.php
%{peardir}/ezc/DatabaseSchema/exceptions/drop_all_columns_exception.php
%{peardir}/ezc/DatabaseSchema/exceptions/exception.php
%{peardir}/ezc/DatabaseSchema/exceptions/invalid_diff_reader_class.php
%{peardir}/ezc/DatabaseSchema/exceptions/invalid_diff_writer_class.php
%{peardir}/ezc/DatabaseSchema/exceptions/invalid_reader_class.php
%{peardir}/ezc/DatabaseSchema/exceptions/invalid_schema.php
%{peardir}/ezc/DatabaseSchema/exceptions/invalid_writer_class.php
%{peardir}/ezc/DatabaseSchema/exceptions/sqlite_drop_field_exception.php
%{peardir}/ezc/DatabaseSchema/exceptions/unknown_format.php
%{peardir}/ezc/DatabaseSchema/exceptions/unsupported_type.php
%{peardir}/ezc/DatabaseSchema/handler_manager.php
%{peardir}/ezc/DatabaseSchema/handlers/common_sql_reader.php
%{peardir}/ezc/DatabaseSchema/handlers/common_sql_writer.php
%{peardir}/ezc/DatabaseSchema/handlers/data_transfer.php
%{peardir}/ezc/DatabaseSchema/handlers/mysql/reader.php
%{peardir}/ezc/DatabaseSchema/handlers/mysql/writer.php
%{peardir}/ezc/DatabaseSchema/handlers/oracle/helper.php
%{peardir}/ezc/DatabaseSchema/handlers/oracle/reader.php
%{peardir}/ezc/DatabaseSchema/handlers/oracle/writer.php
%{peardir}/ezc/DatabaseSchema/handlers/persistent/class_writer.php
%{peardir}/ezc/DatabaseSchema/handlers/persistent/writer.php
%{peardir}/ezc/DatabaseSchema/handlers/pgsql/reader.php
%{peardir}/ezc/DatabaseSchema/handlers/pgsql/writer.php
%{peardir}/ezc/DatabaseSchema/handlers/php_array/reader.php
%{peardir}/ezc/DatabaseSchema/handlers/php_array/writer.php
%{peardir}/ezc/DatabaseSchema/handlers/sqlite/reader.php
%{peardir}/ezc/DatabaseSchema/handlers/sqlite/writer.php
%{peardir}/ezc/DatabaseSchema/handlers/xml/reader.php
%{peardir}/ezc/DatabaseSchema/handlers/xml/writer.php
%{peardir}/ezc/DatabaseSchema/handlers/xml/xmlwritersubstitute.php
%{peardir}/ezc/DatabaseSchema/interfaces/db_diff_writer.php
%{peardir}/ezc/DatabaseSchema/interfaces/db_reader.php
%{peardir}/ezc/DatabaseSchema/interfaces/db_writer.php
%{peardir}/ezc/DatabaseSchema/interfaces/file_diff_reader.php
%{peardir}/ezc/DatabaseSchema/interfaces/file_diff_writer.php
%{peardir}/ezc/DatabaseSchema/interfaces/file_reader.php
%{peardir}/ezc/DatabaseSchema/interfaces/file_writer.php
%{peardir}/ezc/DatabaseSchema/interfaces/schema_diff_reader.php
%{peardir}/ezc/DatabaseSchema/interfaces/schema_diff_writer.php
%{peardir}/ezc/DatabaseSchema/interfaces/schema_reader.php
%{peardir}/ezc/DatabaseSchema/interfaces/schema_writer.php
%{peardir}/ezc/DatabaseSchema/options/schema.php
%{peardir}/ezc/DatabaseSchema/schema.php
%{peardir}/ezc/DatabaseSchema/schema_diff.php
%{peardir}/ezc/DatabaseSchema/structs/field.php
%{peardir}/ezc/DatabaseSchema/structs/index.php
%{peardir}/ezc/DatabaseSchema/structs/index_field.php
%{peardir}/ezc/DatabaseSchema/structs/table.php
%{peardir}/ezc/DatabaseSchema/structs/table_diff.php
%{peardir}/ezc/DatabaseSchema/validator.php
%{peardir}/ezc/DatabaseSchema/validators/auto_increment_index.php
%{peardir}/ezc/DatabaseSchema/validators/index_fields.php
%{peardir}/ezc/DatabaseSchema/validators/types.php
%{peardir}/ezc/DatabaseSchema/validators/unique_index_name.php
%{peardir}/ezc/autoload/db_schema_autoload.php
%{xmldir}/DatabaseSchema.xml
