%define  upstream_name Debug
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.2.1
Release:	%mkrel 3
Summary:	This component provides a set of classes that help you to debug an application
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	https://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires: 	ezcomponents-Base >= 1.8
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch


%description
This component provides a set of classes that help you to debug an
application. It provides timers and report generators for different formats
that give a summary of warnings and errors that occurred within your
application.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Debug.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Debug.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/Debug
fi

%files
%doc docs/Debug/*
%{peardir}/data/Debug/design/class_diagram.png
%{peardir}/data/Debug/design/debug.png
%{peardir}/data/Debug/design/debug.xml
%{peardir}/data/Debug/design/debug_writer.png
%{peardir}/ezc/Debug/debug.php
%{peardir}/ezc/Debug/debug_autoload.php
%{peardir}/ezc/Debug/debug_timer.php
%{peardir}/ezc/Debug/exceptions/exception.php
%{peardir}/ezc/Debug/exceptions/operation_not_permitted.php
%{peardir}/ezc/Debug/formatters/html_formatter.php
%{peardir}/ezc/Debug/interfaces/formatter.php
%{peardir}/ezc/Debug/interfaces/stacktrace_iterator.php
%{peardir}/ezc/Debug/options.php
%{peardir}/ezc/Debug/stacktrace/php_iterator.php
%{peardir}/ezc/Debug/stacktrace/xdebug_iterator.php
%{peardir}/ezc/Debug/structs/debug_structure.php
%{peardir}/ezc/Debug/structs/switch_timer.php
%{peardir}/ezc/Debug/structs/timer.php
%{peardir}/ezc/Debug/tools/dump.php
%{peardir}/ezc/Debug/writers/memory_writer.php
%{peardir}/ezc/autoload/debug_autoload.php

%{xmldir}/Debug.xml
