%define  upstream_name Feed
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.3
Release:	%mkrel 3
Summary:	This component handles parsing and creating RSS1, RSS2 and ATOM feeds
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	https://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires: 	ezcomponents-Base >= 1.8
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch

%description
This component handles parsing and creating RSS1, RSS2 and ATOM feeds, with
support for different feed modules (dc, content, creativeCommons, geo,
iTunes).

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Feed.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Feed.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/Feed
fi

%files
%doc docs/Feed/*
%{peardir}/data/Feed/design/class_diagram.png
%{peardir}/data/Feed/design/design.txt
%{peardir}/data/Feed/design/requirements.txt
%{peardir}/ezc/Feed/exceptions/exception.php
%{peardir}/ezc/Feed/exceptions/meta_data_missing.php
%{peardir}/ezc/Feed/exceptions/one_item_data_required.php
%{peardir}/ezc/Feed/exceptions/only_one_value_allowed.php
%{peardir}/ezc/Feed/exceptions/parse_error.php
%{peardir}/ezc/Feed/exceptions/undefined_module.php
%{peardir}/ezc/Feed/exceptions/unsupported_element.php
%{peardir}/ezc/Feed/exceptions/unsupported_module.php
%{peardir}/ezc/Feed/exceptions/unsupported_type.php
%{peardir}/ezc/Feed/feed.php
%{peardir}/ezc/Feed/feed_autoload.php
%{peardir}/ezc/Feed/interfaces/element.php
%{peardir}/ezc/Feed/interfaces/module.php
%{peardir}/ezc/Feed/interfaces/parser.php
%{peardir}/ezc/Feed/interfaces/processor.php
%{peardir}/ezc/Feed/modules/content_module.php
%{peardir}/ezc/Feed/modules/creativecommons_module.php
%{peardir}/ezc/Feed/modules/dublincore_module.php
%{peardir}/ezc/Feed/modules/geo_module.php
%{peardir}/ezc/Feed/modules/itunes_module.php
%{peardir}/ezc/Feed/processors/atom.php
%{peardir}/ezc/Feed/processors/rss1.php
%{peardir}/ezc/Feed/processors/rss2.php
%{peardir}/ezc/Feed/structs/category.php
%{peardir}/ezc/Feed/structs/cloud.php
%{peardir}/ezc/Feed/structs/content.php
%{peardir}/ezc/Feed/structs/date.php
%{peardir}/ezc/Feed/structs/enclosure.php
%{peardir}/ezc/Feed/structs/entry.php
%{peardir}/ezc/Feed/structs/generator.php
%{peardir}/ezc/Feed/structs/id.php
%{peardir}/ezc/Feed/structs/image.php
%{peardir}/ezc/Feed/structs/link.php
%{peardir}/ezc/Feed/structs/person.php
%{peardir}/ezc/Feed/structs/skip_days.php
%{peardir}/ezc/Feed/structs/skip_hours.php
%{peardir}/ezc/Feed/structs/source.php
%{peardir}/ezc/Feed/structs/text.php
%{peardir}/ezc/Feed/structs/text_input.php
%{peardir}/ezc/autoload/feed_autoload.php
%{xmldir}/Feed.xml
