%define  upstream_name GraphDatabaseTiein
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.0.1
Release:	%mkrel 3
Summary:	The GraphDatabaseTiein provides functionality to directly use PDO statements
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	https://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires: 	ezcomponents-Base >= 1.8
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch

%description
The GraphDatabaseTiein provides functionality to directly use PDO
statements
as basis for ezcGraph Datasets.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/GraphDatabaseTiein.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/GraphDatabaseTiein.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/GraphDatabaseTiein
fi

%files
%doc docs/GraphDatabaseTiein/*
%{peardir}/data/GraphDatabaseTiein/design/class_diagram.png
%{peardir}/data/GraphDatabaseTiein/design/design.txt
%{peardir}/ezc/GraphDatabaseTiein/dataset.php
%{peardir}/ezc/GraphDatabaseTiein/exceptions/exception.php
%{peardir}/ezc/GraphDatabaseTiein/exceptions/missing_column.php
%{peardir}/ezc/GraphDatabaseTiein/exceptions/statement_not_executed.php
%{peardir}/ezc/GraphDatabaseTiein/exceptions/too_many_columns.php
%{peardir}/ezc/GraphDatabaseTiein/graph_database_autoload.php
%{peardir}/ezc/autoload/graph_database_autoload.php
%{xmldir}/GraphDatabaseTiein.xml
