%define  upstream_name ImageConversion
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.3.8
Release:	%mkrel 3
Summary:	A set of classes to apply different filters on images, such as colour changes
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	https://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires: 	ezcomponents-Base >= 1.8
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch

%description
A set of classes to apply different filters on images, such as colour
changes,
resizing and special effects.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/ImageConversion.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/ImageConversion.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/ImageConversion
fi

%files
%doc docs/ImageConversion/*
%{peardir}/data/ImageConversion/design/class_diagram.png
%{peardir}/data/ImageConversion/design/design.htm
%{peardir}/data/ImageConversion/design/design.txt
%{peardir}/data/ImageConversion/design/image.png
%{peardir}/data/ImageConversion/design/image.xml
%{peardir}/data/ImageConversion/design/image_exceptions.png
%{peardir}/data/ImageConversion/design/image_filters.png
%{peardir}/ezc/ImageConversion/converter.php
%{peardir}/ezc/ImageConversion/exceptions/exception.php
%{peardir}/ezc/ImageConversion/exceptions/file_name_invalid.php
%{peardir}/ezc/ImageConversion/exceptions/file_not_processable.php
%{peardir}/ezc/ImageConversion/exceptions/filter_failed.php
%{peardir}/ezc/ImageConversion/exceptions/filter_not_available.php
%{peardir}/ezc/ImageConversion/exceptions/handler_not_available.php
%{peardir}/ezc/ImageConversion/exceptions/handler_settings_invalid.php
%{peardir}/ezc/ImageConversion/exceptions/invalid_filter_parameter.php
%{peardir}/ezc/ImageConversion/exceptions/invalid_reference.php
%{peardir}/ezc/ImageConversion/exceptions/mime_type_unsupported.php
%{peardir}/ezc/ImageConversion/exceptions/missing_filter_parameter.php
%{peardir}/ezc/ImageConversion/exceptions/transformation.php
%{peardir}/ezc/ImageConversion/exceptions/transformation_already_exists.php
%{peardir}/ezc/ImageConversion/exceptions/transformation_not_available.php
%{peardir}/ezc/ImageConversion/handlers/gd.php
%{peardir}/ezc/ImageConversion/handlers/gd_base.php
%{peardir}/ezc/ImageConversion/handlers/imagemagick.php
%{peardir}/ezc/ImageConversion/handlers/imagemagick_base.php
%{peardir}/ezc/ImageConversion/image_autoload.php
%{peardir}/ezc/ImageConversion/interfaces/colorspace.php
%{peardir}/ezc/ImageConversion/interfaces/effect.php
%{peardir}/ezc/ImageConversion/interfaces/geometry.php
%{peardir}/ezc/ImageConversion/interfaces/handler.php
%{peardir}/ezc/ImageConversion/interfaces/methodcall_handler.php
%{peardir}/ezc/ImageConversion/interfaces/thumbnail.php
%{peardir}/ezc/ImageConversion/interfaces/watermark.php
%{peardir}/ezc/ImageConversion/options/save_options.php
%{peardir}/ezc/ImageConversion/structs/converter_settings.php
%{peardir}/ezc/ImageConversion/structs/filter.php
%{peardir}/ezc/ImageConversion/structs/handler_settings.php
%{peardir}/ezc/ImageConversion/transformation.php
%{peardir}/ezc/autoload/image_autoload.php
%{xmldir}/ImageConversion.xml
