%define  upstream_name PersistentObjectDatabaseSchemaTiein
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.3
Release:	%mkrel 4
Summary:	This component allows the automatic generation of PersistentObject definition
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	https://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires: 	ezcomponents-Base >= 1.8
Requires:	ezcomponents-PersistentObject >= 1.3
Requires:	ezcomponents-DatabaseSchema >= 1.2
Requires:	ezcomponents-ConsoleTools >= 1.3
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch

%description
This component allows the automatic generation of PersistentObject
definition
files from DatabaseSchema definitions.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/PersistentObjectDatabaseSchemaTiein.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/PersistentObjectDatabaseSchemaTiein.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/PersistentObjectDatabaseSchemaTiein
fi

%files
%doc docs/PersistentObjectDatabaseSchemaTiein/*
%{peardir}/data/PersistentObjectDatabaseSchemaTiein/design/class_diagram.png
%{peardir}/data/PersistentObjectDatabaseSchemaTiein/ezc/PersistentObjectDatabaseSchemaTiein/template_writer/templates/class_doc_block.ezt
%{peardir}/data/PersistentObjectDatabaseSchemaTiein/ezc/PersistentObjectDatabaseSchemaTiein/template_writer/templates/class_template.ezt
%{peardir}/data/PersistentObjectDatabaseSchemaTiein/ezc/PersistentObjectDatabaseSchemaTiein/template_writer/templates/definition_id_property.ezt
%{peardir}/data/PersistentObjectDatabaseSchemaTiein/ezc/PersistentObjectDatabaseSchemaTiein/template_writer/templates/definition_template.ezt
%{peardir}/data/PersistentObjectDatabaseSchemaTiein/ezc/PersistentObjectDatabaseSchemaTiein/template_writer/templates/file_doc_block.ezt
%{peardir}/data/PersistentObjectDatabaseSchemaTiein/ezc/PersistentObjectDatabaseSchemaTiein/template_writer/templates/generate_constant_property_types.ezt
%{peardir}/data/PersistentObjectDatabaseSchemaTiein/ezc/PersistentObjectDatabaseSchemaTiein/template_writer/templates/generate_php_property_types.ezt
%{peardir}/data/PersistentObjectDatabaseSchemaTiein/ezc/PersistentObjectDatabaseSchemaTiein/template_writer/templates/generate_property_names.ezt
%{peardir}/data/PersistentObjectDatabaseSchemaTiein/ezc/PersistentObjectDatabaseSchemaTiein/template_writer/templates/set_property.ezt
%{peardir}/ezc/PersistentObjectDatabaseSchemaTiein/exceptions/file_overwrite.php
%{peardir}/ezc/PersistentObjectDatabaseSchemaTiein/generator.php
%{peardir}/ezc/PersistentObjectDatabaseSchemaTiein/options/template_writer_options.php
%{peardir}/ezc/PersistentObjectDatabaseSchemaTiein/persistent_object_autoload.php
%{peardir}/ezc/PersistentObjectDatabaseSchemaTiein/rungenerator.php
%{peardir}/ezc/PersistentObjectDatabaseSchemaTiein/template_writer.php
%{peardir}/ezc/PersistentObjectDatabaseSchemaTiein/template_writer/template_functions.php
%{peardir}/ezc/autoload/persistent_object_autoload.php

%{xmldir}/PersistentObjectDatabaseSchemaTiein.xml
