%define  upstream_name Search
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.0.9
Release:	%mkrel 3
Summary:	The Search component provides an interface to index and query documents
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	https://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch

%description
The Search component provides an interface to index and query documents
with different search engine backends.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Search.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Search.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/Search
fi

%files
%doc docs/Search/*
%{peardir}/data/Search/design/class_diagram.png
%{peardir}/data/Search/design/design.txt
%{peardir}/data/Search/design/requirements.txt
%{peardir}/ezc/Search/abstraction/implementations/solr.php
%{peardir}/ezc/Search/abstraction/implementations/solr_delete.php
%{peardir}/ezc/Search/abstraction/implementations/zend_lucene.php
%{peardir}/ezc/Search/abstraction/implementations/zend_lucene_delete.php
%{peardir}/ezc/Search/abstraction/query_tools.php
%{peardir}/ezc/Search/document_definition.php
%{peardir}/ezc/Search/exceptions/build_query.php
%{peardir}/ezc/Search/exceptions/can_not_connect.php
%{peardir}/ezc/Search/exceptions/definition_invalid.php
%{peardir}/ezc/Search/exceptions/definition_not_found.php
%{peardir}/ezc/Search/exceptions/does_not_provide_definition.php
%{peardir}/ezc/Search/exceptions/exception.php
%{peardir}/ezc/Search/exceptions/field_not_defined.php
%{peardir}/ezc/Search/exceptions/id_not_found.php
%{peardir}/ezc/Search/exceptions/incomplete_state.php
%{peardir}/ezc/Search/exceptions/network.php
%{peardir}/ezc/Search/exceptions/query_variable_parameter.php
%{peardir}/ezc/Search/exceptions/transaction.php
%{peardir}/ezc/Search/extractors/helpers/image.php
%{peardir}/ezc/Search/extractors/helpers/simple.php
%{peardir}/ezc/Search/extractors/rstxml.php
%{peardir}/ezc/Search/handlers/solr.php
%{peardir}/ezc/Search/handlers/zend_lucene.php
%{peardir}/ezc/Search/interfaces/definition_manager.php
%{peardir}/ezc/Search/interfaces/definition_provider.php
%{peardir}/ezc/Search/interfaces/handler.php
%{peardir}/ezc/Search/interfaces/index_handler.php
%{peardir}/ezc/Search/interfaces/query.php
%{peardir}/ezc/Search/interfaces/query_delete.php
%{peardir}/ezc/Search/interfaces/query_find.php
%{peardir}/ezc/Search/managers/embedded_manager.php
%{peardir}/ezc/Search/managers/xml_manager.php
%{peardir}/ezc/Search/query_builder.php
%{peardir}/ezc/Search/search_autoload.php
%{peardir}/ezc/Search/search_session.php
%{peardir}/ezc/Search/structs/document_field_definition.php
%{peardir}/ezc/Search/structs/query_token.php
%{peardir}/ezc/Search/structs/search_result.php
%{peardir}/ezc/Search/structs/search_result_document.php
%{peardir}/ezc/autoload/search_autoload.php
%{xmldir}/Search.xml
