%define  upstream_name SignalSlot
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.1.1
Release:	%mkrel 4
Summary:	The Search component provides an interface to index and query documents
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	https://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires: 	ezcomponents-Base >= 1.4.
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch

%description
The SignalSlot component implements a mechanism for inter and intra object
communication through the use of signals and slots.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/SignalSlot.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/SignalSlot.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/SignalSlot
fi

%files
%doc docs/SignalSlot/*
%{peardir}/data/SignalSlot/design/class_diagram.png
%{peardir}/ezc/SignalSlot/exceptions/signalslot_exception.php
%{peardir}/ezc/SignalSlot/interfaces/static_connections_base.php
%{peardir}/ezc/SignalSlot/internal/callback_comparer.php
%{peardir}/ezc/SignalSlot/options/options.php
%{peardir}/ezc/SignalSlot/signal_autoload.php
%{peardir}/ezc/SignalSlot/signal_collection.php
%{peardir}/ezc/SignalSlot/static_connections.php
%{peardir}/ezc/autoload/signal_autoload.php
%{xmldir}/SignalSlot.xml
