%define  upstream_name TemplateTranslationTiein
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.1.1
Release:	%mkrel 3
Summary:	Provides functionality to use translations inside templates
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	http://components.ez.no/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires: 	ezcomponents-Base >= 1.8
Requires:	ezcomponents-Template >= 1.4
Requires:	ezcomponents-Translation >= 1.3 
Requires:	ezcomponents-ConsoleTools >= 1.5
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch

%description
A fully functional Templating system, supporting template compilation in
different levels, user defined functions and operators, an optimizer,
output escaping for different output handlers to prevent XSS and other security
problems and a plug in system for extra functionality (such as a
Translation system).

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Template.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Template.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/Template
fi

%files
%doc
%{peardir}/data/TemplateTranslationTiein/design/class_diagram.png
%{peardir}/ezc/TemplateTranslationTiein/configuration.php
%{peardir}/ezc/TemplateTranslationTiein/exceptions/exception.php
%{peardir}/ezc/TemplateTranslationTiein/exceptions/manager_not_configured.php
%{peardir}/ezc/TemplateTranslationTiein/extractor.php
%{peardir}/ezc/TemplateTranslationTiein/provider.php
%{peardir}/ezc/TemplateTranslationTiein/runextractor.php
%{peardir}/ezc/TemplateTranslationTiein/template_translation_autoload.php
%{peardir}/ezc/TemplateTranslationTiein/visitors/string_extracter.php
%{peardir}/ezc/autoload/template_translation_autoload.php
%{xmldir}/Template.xml
