%define  upstream_name Translation
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.3.2
Release:	%mkrel 4
Summary:	A component that reads XML translation definitions (the Qt Linguist format)
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	https://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires: 	ezcomponents-Base >= 1.7
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch

%description
A component that reads XML translation definitions (the Qt Linguist
format),
supports caching of translation contexts and presents you with a class to
apply
translations to strings. A filter system allows you to transform
translation
definitions for special use.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Translation.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Translation.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/
Translation
fi

%files
%doc docs/Translation/*
%{peardir}/data/Translation/design/class_diagram.png
%{peardir}/data/Translation/design/design.txt
%{peardir}/data/Translation/design/requirements.txt
%{peardir}/data/Translation/design/translation.png
%{peardir}/data/Translation/design/translation.xml
%{peardir}/ezc/Translation/backends/ts_backend.php
%{peardir}/ezc/Translation/exceptions/context_not_available.php
%{peardir}/ezc/Translation/exceptions/exception.php
%{peardir}/ezc/Translation/exceptions/key_not_available.php
%{peardir}/ezc/Translation/exceptions/missing_translation_file.php
%{peardir}/ezc/Translation/exceptions/not_configured.php
%{peardir}/ezc/Translation/exceptions/parameter_missing.php
%{peardir}/ezc/Translation/exceptions/reader_not_initialized.php
%{peardir}/ezc/Translation/exceptions/writer_not_initialized.php
%{peardir}/ezc/Translation/filters/bork_filter.php
%{peardir}/ezc/Translation/filters/complement_filter.php
%{peardir}/ezc/Translation/filters/leet_filter.php
%{peardir}/ezc/Translation/interfaces/backend_interface.php
%{peardir}/ezc/Translation/interfaces/context_read_interface.php
%{peardir}/ezc/Translation/interfaces/context_write_interface.php
%{peardir}/ezc/Translation/interfaces/filter_interface.php
%{peardir}/ezc/Translation/options/ts_backend.php
%{peardir}/ezc/Translation/structs/translation_data.php
%{peardir}/ezc/Translation/translation.php
%{peardir}/ezc/Translation/translation_autoload.php
%{peardir}/ezc/Translation/translation_manager.php
%{peardir}/ezc/autoload/translation_autoload.php
%{xmldir}/Translation.xml