%define  upstream_name TranslationCacheTiein
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.1.2
Release:	%mkrel 4
Summary:	This component adds the TranslationCache backend to the Translation component)
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	https://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires: 	ezcomponents-Base >= 1.7
Requires: 	ezcomponents-Translation >= 1.1.2
Requires: 	ezcomponents-Cache >= 1.2.4
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch

%description
This component adds the TranslationCache backend to the Translation
component
and allows cached translations.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/TranslationCacheTiein.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/TranslationCacheTiein.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/TranslationCacheTiein
fi

%files
%doc docs/TranslationCacheTiein/*
%{peardir}/data/TranslationCacheTiein/design/class_diagram.png
%{peardir}/ezc/TranslationCacheTiein/backends/cache_backend.php
%{peardir}/ezc/TranslationCacheTiein/translation_cache_autoload.php
%{peardir}/ezc/autoload/translation_cache_autoload.php
%{xmldir}/TranslationCacheTiein.xml
