%define  upstream_name TreeDatabaseTiein
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.1.1
Release:	%mkrel 4
Summary:	The Tree component handles the creating, manipulating and querying of tree
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	https://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires: 	ezcomponents-Base >= 1.7
Requires: 	ezcomponents-Tree >= 1.1
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch

%description
The Tree component handles the creating, manipulating and querying of tree
structures.  This component implements the database related backends and
data stores.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/TreeDatabaseTiein.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/TreeDatabaseTiein.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/TreeDatabaseTiein
fi

%files
%doc docs/TreeDatabaseTiein/*
%{peardir}/data/TreeDatabaseTiein/design/class_diagram.png
%{peardir}/ezc/TreeDatabaseTiein/backends/db.php
%{peardir}/ezc/TreeDatabaseTiein/backends/db_materialized_path.php
%{peardir}/ezc/TreeDatabaseTiein/backends/db_nested_set.php
%{peardir}/ezc/TreeDatabaseTiein/backends/db_parent_child.php
%{peardir}/ezc/TreeDatabaseTiein/exceptions/invalid_schema.php
%{peardir}/ezc/TreeDatabaseTiein/stores/db.php
%{peardir}/ezc/TreeDatabaseTiein/stores/db_external.php
%{peardir}/ezc/TreeDatabaseTiein/tree_db_autoload.php
%{peardir}/ezc/autoload/tree_db_autoload.php
%{xmldir}/TreeDatabaseTiein.xml
