%define  upstream_name TreePersistentObjectTiein
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.0
Release:	%mkrel 4
Summary:	The Tree component handles the creating, manipulating and querying of tree
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	https://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires: 	ezcomponents-Base >= 1.7
Requires: 	ezcomponents-Tree >= 1.1
Requires: 	ezcomponents-PersistentObject > 1.3
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch


%description
The Tree component handles the creating, manipulating and querying of tree
structures.  This component uses persistent objects as data storage for the
data elements of the tree nodes.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/TreePersistentObjectTiein.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/TreePersistentObjectTiein.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/TreePersistentObjectTiein
fi

%files
%doc docs/TreePersistentObjectTiein/*
%{peardir}/data/TreePersistentObjectTiein/design/class_diagram.png
%{peardir}/ezc/TreePersistentObjectTiein/stores/persistent_object.php
%{peardir}/ezc/TreePersistentObjectTiein/tree_persistent_autoload.php
%{peardir}/ezc/autoload/tree_persistent_autoload.php
%{xmldir}/TreePersistentObjectTiein.xml