%define  upstream_name WorkflowDatabaseTiein
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.4
Release:	%mkrel 5
Summary:	Contains the database backend for the Workflow component
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	https://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires: 	ezcomponents-Base >= 1.8
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch



%description
Contains the database backend for the Workflow component.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/WorkflowDatabaseTiein.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/WorkflowDatabaseTiein.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/WorkflowDatabaseTiein
fi

%files
%doc docs/WorkflowDatabaseTiein/*
%{peardir}/data/WorkflowDatabaseTiein/design/class_diagram.png
%{peardir}/data/WorkflowDatabaseTiein/design/create_schema.sh
%{peardir}/data/WorkflowDatabaseTiein/design/design.txt
%{peardir}/data/WorkflowDatabaseTiein/design/schema_mysql.sql
%{peardir}/design/create_schema.php
%{peardir}/ezc/WorkflowDatabaseTiein/definition_storage.php
%{peardir}/ezc/WorkflowDatabaseTiein/execution.php
%{peardir}/ezc/WorkflowDatabaseTiein/options/database.php
%{peardir}/ezc/WorkflowDatabaseTiein/util.php
%{peardir}/ezc/WorkflowDatabaseTiein/workflow_database_autoload.php
%{peardir}/ezc/autoload/workflow_database_autoload.php
%{xmldir}/WorkflowDatabaseTiein.xml
