%define major      0
%define sover      %{major}.22
%define libf2cname %mklibname %{name} %{major}

Name:           f2c
Summary:        A Fortran 77 to C/C++ conversion program
Version:        20240312
Release:        %mkrel 2
License:        MIT
Group:          Development/C
URL:            https://www.netlib.org/f2c/
Source0:        https://www.netlib.org/f2c/src.tgz
Source1:        https://www.netlib.org/f2c/libf2c.zip
Source2:        https://www.netlib.org/f2c/f2c.pdf
Source3:        https://www.netlib.org/f2c/f2c.ps
Source4:        https://www.netlib.org/f2c/fc
Source5:        https://www.netlib.org/f2c/changes
# Patch makefile to build a shared library
Patch0:		f2c-20240130.patch
Patch2:		f2c-parallel-make.patch
BuildRequires:  unzip
Requires:       %{libf2cname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description
F2c converts Fortran 77 source code to C or C++ source files. If no
Fortran files are named on the command line, f2c can read Fortran from
standard input and write C to standard output.

%package -n %{libf2cname}
Summary:    Dynamic libraries from %{name}
Group:      System/Libraries

%description -n %{libf2cname}
Dynamic libraries from %{name}.

%prep
%setup -q -c %{name}-%{version}
mkdir lib%{name}
unzip -qq %{SOURCE1} -d lib%{name}
%patch -P 0 -p0
%patch -P 2 -p1 -b .parallel-make

# Set library soversion
sed -i "s/@SOVER@/%{sover}/" lib%{name}/makefile.u

# Copy in other source files
cp %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} .

%build
%make_build -C src -f makefile.u CFLAGS="%{optflags}" f2c
%make_build -C libf2c -f makefile.u CFLAGS="%{optflags} -fPIC"

%install
install -D -p -m 644 src/%{name}.h %{buildroot}%{_includedir}/%{name}.h
install -D -p -m 755 src/%{name} %{buildroot}%{_bindir}/%{name}
install -D -p -m 644 src/%{name}.1t %{buildroot}%{_mandir}/man1/%{name}.1
install -D -p -m 755 lib%{name}/lib%{name}.so.%{sover} %{buildroot}%{_libdir}/lib%{name}.so.%{sover}
ln -s lib%{name}.so.%{sover} %{buildroot}%{_libdir}/lib%{name}.so.0
ln -s lib%{name}.so.%{sover} %{buildroot}%{_libdir}/lib%{name}.so

# Setup f77 script
sed -i "s/@lib@/%{_lib}/" fc
install -Dpm 0755 fc %{buildroot}%{_bindir}/f77

%files
%doc %{name}.ps %{name}.pdf changes src/README
%license libf2c/Notice
%{_bindir}/%{name}
%{_bindir}/f77
%{_mandir}/man1/*
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so

%files -n %{libf2cname}
%doc libf2c/README
%license libf2c/Notice
%{_libdir}/lib%{name}.so.%{major}{,.*}
