%define major        10
%define libname      %mklibname f2fs %{major}

%define format_major 9
%define libformat    %mklibname f2fs_format %{format_major}

%define devname      %mklibname f2fs -d

Name:           f2fs-tools
Version:        1.16.0
Release:        %mkrel 1
Summary:        Utilities for the Flash-friendly Filesystem (F2FS)
License:        GPLv2+ and LGPLv2+
Group:          System/Kernel and hardware
Url:            https://sourceforge.net/projects/f2fs-tools/
Source:         https://git.kernel.org/cgit/linux/kernel/git/jaegeuk/f2fs-tools.git/snapshot/%{name}-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  xz
BuildRequires:  pkgconfig(blkid)
BuildRequires:  pkgconfig(uuid)
BuildRequires:  pkgconfig(libselinux)
BuildRequires:  acl-devel

Requires:       %{libformat} = %{version}-%{release}

%description
Utilities needed to create and maintain F2 filesystems.

%package -n     %{libname}
Summary:        Libraries for the Flash-friendly Filesystem (F2FS)
Group:          System/Libraries

%description -n %{libname}
Libraries for utils to maintain F2 filesystems.

%package -n %{libformat}
Summary:        Format library for the Flash-Friendly Filesystem (F2FS)
Group:          System/Libraries

%description -n %{libformat}
Format library for utils to maintain F2 filesystems.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libformat} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       f2fs-devel = %{version}-%{release}

%description -n %{devname}
This package contains the libraries needed to develop applications
that use %{name}.

%prep
%setup -q
%autopatch -p1

%build
if [ ! -e configure ]; then
	autoreconf -fi
fi
%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

install -m 644 mkfs/f2fs_format_utils.h %{buildroot}%{_includedir}

%files
%doc AUTHORS
%license COPYING
%{_sbindir}/f2fs_io
%{_sbindir}/f2fslabel
%{_sbindir}/f2fscrypt
%{_sbindir}/defrag.f2fs
%{_sbindir}/dump.f2fs
%{_sbindir}/f2fslabel
%{_sbindir}/fibmap.f2fs
%{_sbindir}/fsck.f2fs
%{_sbindir}/mkfs.f2fs
%{_sbindir}/parse.f2fs
%{_sbindir}/resize.f2fs
%{_sbindir}/sload.f2fs
%{_mandir}/man8/*.8.*

%files -n %libname
%{_libdir}/libf2fs.so.%{major}{,.*}

%files -n %{libformat}
%{_libdir}/libf2fs_format.so.%{format_major}{,.*}

%files -n %{devname}
%{_includedir}/*.h
%{_libdir}/*.so
