Name:		f3
Version:	9.0
Release:	%mkrel 1
Summary:	Utility to test for fake flash drives and cards
License:	GPLv3
Group:		System/Kernel and hardware
URL:		https://fight-flash-fraud.readthedocs.io/en/latest/
Source0:	https://github.com/AltraMayor/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(libparted)
BuildRequires:	python3-sphinx


%description
F3 is a utility to test for fake flash drives and cards. It is a Free
Software alternative to h2testw.  f3write will fill the unused part of
a filesystem with files NNNN.fff with known content, and f3read will
analyze the files to determine whether the contents are corrupted, as
happens with fake flash.

%prep
%autosetup -p1

%build
%set_build_flags
%make_build all extra
%make_build -C doc html SPHINXBUILD=sphinx-build-3

%install
install -d -m0755 %{buildroot}%{_bindir}
install -p -m0755 f3read f3write f3probe f3brew f3fix %{buildroot}%{_bindir}
install -d -m0755 %{buildroot}%{_mandir}/man1
install -p -m0644 f3read.1 %{buildroot}%{_mandir}/man1
rm -f doc/_build/html/.buildinfo

%files
%license LICENSE
%doc README.rst
%doc doc/_build/html
%{_bindir}/f3read
%{_bindir}/f3write
%{_bindir}/f3brew
%{_bindir}/f3fix
%{_bindir}/f3probe
%{_mandir}/man1/f3read.1*
