%define name faac
%define version 1.28
%define release %mkrel 4

%define major 0

%define libname %mklibname %name %major
%define develname %mklibname -d %name

Name:       %{name}
Version:    %{version}
Release:    %{release}
Epoch:      1
Summary:    Freeware Advanced Audio Encoder
URL:        https://www.audiocoding.com/
License:    LGPLv2+
Group:      Sound
Source0:    https://prdownloads.sourceforge.net/faac/%{name}-%{version}.tar.bz2
Patch1:     faac-1.26-format.string.patch
Patch2:     faac-1.28-fix-build.patch
BuildRequires: libsndfile-devel
#gw else the detection for libmp4v2 kicks in
BuildConflicts: %libname-devel < %epoch:%version-%release
BuildConflicts: %develname < %epoch:%version-%release

%description
FAAC is an AAC encoder based on the ISO MPEG-4 reference code.

This package is in tainted repository, as the MPEG-4 format is covered by
software patents.

%package -n %libname
Summary: Free Advanced Audio Encoder shared library
Group: System/Libraries

%description -n %libname
FAAC is an AAC encoder based on the ISO MPEG-4 reference code.

This package contains the shared library needed by programs based on
libfaac.

This package is in tainted repository, as the MPEG-4 format is covered by
software patents.

%package -n %develname
Summary: Free Advanced Audio Encoder development files
Group: Development/C++
Requires: %libname = %epoch:%version
Provides: lib%name-devel = %epoch:%version-%release 

%description -n %develname
FAAC is an AAC encoder based on the ISO MPEG-4 reference code.

This package contains the needed files for compiling programs with
libfaac.

This package is in tainted repository, as the MPEG-4 format is covered by
software patents.

%prep
%setup -q
%patch -P 1 -p1
%patch -P 2 -p1
autoreconf -fi

%build
%configure --with-mp4v2
%make

%install
rm -rf %{buildroot}
%make_install
# manual header installation
mkdir -p %buildroot/%_includedir
cp include/*h %buildroot/%_includedir

%files
%doc README TODO ChangeLog
%_bindir/faac
%_mandir/man1/faac.1*

%files -n %libname
%_libdir/libfaac*so.%{major}*

%files -n %develname
%_libdir/*.so
%_libdir/*a
%_includedir/*

