%define major       2
%define libname     %mklibname faad %{major}
%define libname_drm %mklibname faad_drm %{major}
%define develname   %mklibname %{name} -d

%define up_ver 2_10_0

Name:           faad2
Epoch:          1
Version:        2.11.2
Release:        %mkrel 1
Summary:        Freeware Advanced Audio Decoder version 2
License:        GPLv2
Group:          Sound/Utilities
URL:            https://github.com/knik0/faad2
Source0:        https://github.com/knik0/faad2/archive/%{up_ver}/%{name}-%{version}.tar.gz
Patch1:         faad2-2.9.0-fix_undefined_version.patch
BuildRequires:  automake

%description
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder,
completely written from scratch. FAAD 2 is licensed under the GPL.

%package -n %{libname}
Summary:        Freeware Advanced Audio Decoder shared library
Group:          System/Libraries

%description -n %{libname}
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder,
completely written from scratch. FAAD 2 is licensed under the GPL.

This package contains the shared library needed by programs linked to
libfaad.

%package -n %{libname_drm}
Summary:        Freeware Advanced Audio Decoder shared library
Group:          System/Libraries

%description -n %{libname_drm}
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder,
completely written from scratch. FAAD 2 is licensed under the GPL.

This package contains the shared library needed by programs linked to
libfaad.

%package -n %{develname}
Summary:        Freeware Advanced Audio Decoder development files
Group:          Development/C++
Requires:       %{libname} = %{epoch}:%{version}
Requires:       %{libname_drm} = %{epoch}:%{version}
Provides:       %{name}-devel  = %{epoch}:%{version}-%{release}
Provides:       lib%{name}-devel  = %{epoch}:%{version}-%{release}

%description -n %{develname}
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder,
completely written from scratch. FAAD 2 is licensed under the GPL.

This package contains the C++ headers needed to build programs with
libfaad.

%prep
%autosetup -p1 -n %{name}-%{up_ver}

%build
autoreconf -vfi
%configure --disable-static
%make_build

%install
%make_install

%files
%doc README NEWS TODO AUTHORS ChangeLog
%{_bindir}/faad
%{_mandir}/man1/faad.1*

%files -n %{libname}
%{_libdir}/libfaad.so.%{major}{,.*}

%files -n %{libname_drm}
%{_libdir}/libfaad_drm.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libfaad.so
%{_libdir}/libfaad_drm.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
