Name:           faenza-icon-theme
Version:        1.3.1
Release:        %mkrel 13
Summary:        Faenza icon theme
Group:          Graphical desktop/Other
License:        GPLv3+
URL:            https://tiheum.deviantart.com/art/Faenza-Icons-173323228
#Source0:	https://faenza-icon-theme.googlecode.com/files/%{name}_%{version}.zip
Source0:	http://ppa.launchpad.net/tiheum/equinox/ubuntu/pool/main/f/%{name}/%{name}_%{version}.tar.gz
BuildArch:      noarch
Requires(post): gtk-update-icon-cache
# Fallback themes
Requires:       adwaita-icon-theme
Requires:       hicolor-icon-theme

%description
This icon theme for Gnome provides monochromatic icons for panels, toolbars and
buttons and colourful squared icons for devices, applications, folder, files and
Gnome menu items.

Four themes are included to fit with light or dark themes/panels.

%prep
%setup -q -n %{name}-1.3

#fix rights
find Faenza* -type d -exec chmod 755 {} \;
find Faenza* -type f -exec chmod 644 {} \;

#gnome-icon-theme was renamed to Adwaita
sed -i -e 's,\(Inherits=\).*,\1Adwaita,' Faenza/index.theme

# use drakconf icon inherited from hicolor theme (drakconf-icons pkg)
find Faenza* -name "drakconf*" -delete

%build
echo "Nothing to build"

%install
install -d -m 755 %{buildroot}%{_iconsdir}
cp -a Faenza* %{buildroot}%{_iconsdir}

# originally from Fedora .spec
# link the distributor-logo and start-here icons to the gnome icon
# as currently we don't have our own icon
for icon in %{buildroot}%{_iconsdir}/*/places/*/distributor-logo.* \
	%{buildroot}%{_iconsdir}/*/places/*/start-here.*
do
    pushd ${icon%/*}
        ln -sf ./start-here-gnome.${icon##*.} ${icon##*/}
    popd
done

# link the start-here-symbolic icon to the gnome icon
for icon in %{buildroot}%{_iconsdir}/*/places/*/start-here-symbolic.*
do
    pushd ${icon%/*}
        ln -sf ./start-here-gnome-symbolic.${icon##*.} ${icon##*/}
    popd
done

# ghost files
touch %{buildroot}%{_iconsdir}/Faenza/icon-theme.cache
touch %{buildroot}%{_iconsdir}/Faenza-Ambiance/icon-theme.cache
touch %{buildroot}%{_iconsdir}/Faenza-Dark/icon-theme.cache
touch %{buildroot}%{_iconsdir}/Faenza-Darker/icon-theme.cache
touch %{buildroot}%{_iconsdir}/Faenza-Darkest/icon-theme.cache
touch %{buildroot}%{_iconsdir}/Faenza-Radiance/icon-theme.cache

%post
%update_icon_cache Faenza
%update_icon_cache Faenza-Ambiance
%update_icon_cache Faenza-Dark
%update_icon_cache Faenza-Darker
%update_icon_cache Faenza-Darkest
%update_icon_cache Faenza-Radiance

%postun
%clean_icon_cache Faenza
%clean_icon_cache Faenza-Ambiance
%clean_icon_cache Faenza-Dark
%clean_icon_cache Faenza-Darker
%clean_icon_cache Faenza-Darkest
%clean_icon_cache Faenza_Radiance

%files
%dir %{_datadir}/icons/Faenza
%dir %{_datadir}/icons/Faenza-Ambiance
%dir %{_datadir}/icons/Faenza-Dark
%dir %{_datadir}/icons/Faenza-Darker
%dir %{_datadir}/icons/Faenza-Darkest
%dir %{_datadir}/icons/Faenza-Radiance
%{_iconsdir}/Faenza*/*/
%{_iconsdir}/Faenza*/index.theme
%ghost %{_iconsdir}/Faenza/icon-theme.cache
%ghost %{_iconsdir}/Faenza-Ambiance/icon-theme.cache
%ghost %{_iconsdir}/Faenza-Dark/icon-theme.cache
%ghost %{_iconsdir}/Faenza-Darker/icon-theme.cache
%ghost %{_iconsdir}/Faenza-Darkest/icon-theme.cache
%ghost %{_iconsdir}/Faenza-Radiance/icon-theme.cache
