Name:           fairymax
Version:        5.0b
Release:        %mkrel 2
Summary:        A XBoard compatible chess and chess-variant engine
License:        BSD
Group:          Games/Boards
URL:            https://home.hccnet.nl/h.g.muller/CVfairy.html
Source0:        https://home.hccnet.nl/h.g.muller/%{name}-5.0b.tar.gz
# From debian
Patch1:         https://salsa.debian.org/games-team/fairymax/-/raw/master/debian/patches/gcc14.patch


%description
Fairy-Max is a program that plays chess and chess variants. It uses the
xboard/winboard chess-engine protocol to communicate.  Apart from 'regular'
chess (also known as the Mad-Queen variant), it can play Capablanca chess,
gothic chess, knightmate, cylinder chess, berolina chess, superchess,
makruk (Thai chess) and courier chess. Fairy-Max can be easily configured by
the user to play other variants as well, by modifying the ini file. This ini
file describes the rules of movement of the participating pieces and the
initial board setup.

ShaMax is a version of Fairy-Max adopted to play shatranj. It implements the
baring rule.

Fairy-Max can also play shatranj, but in this case is not aware of the shatranj
rule that a bare king loses. So it might play sub-optimally in the late
end-game.

ShaMax is a version of Fairy-Max adopted to play XianQi (Chinese Chess).


%prep
%autosetup -p1

# Fix return:
sed -e 's/return;/return 0;/g' -i fairymax.c maxqi.c
# Set $prefix=/usr and $bindir=/usr/games
sed -e "s|\(prefix = \).*|\1%{_prefix}|" -e "s|\(bindir = \).*|\1%{_gamesbindir}|" \
    -i Makefile

%build
%set_build_flags
%make_build

%install
%make_install

%files
%license copyright
%doc changelog README CVfairy.html
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}/
%{_gamesdatadir}/plugins/
%{_mandir}/man?/*
