Name:		fakechroot
Version:	2.20.1
Release:	%mkrel 8
Summary:	Gives a fake chroot environment
License:	LGPLv2+
Group:		Development/C
URL:            https://github.com/dex4er/fakechroot
Source0:	https://github.com/dex4er/fakechroot/releases/download/2.20.1/%{name}-%{version}.tar.gz
Patch1:         https://github.com/dex4er/fakechroot/commit/b42d1fb9538f680af2f31e864c555414ccba842a.patch
Patch2:         https://github.com/dex4er/fakechroot/pull/80.patch
Patch3:         https://github.com/dex4er/fakechroot/pull/100.patch
Patch4:         https://github.com/dex4er/fakechroot/pull/104.patch
Patch5:         https://github.com/dex4er/fakechroot/pull/93.diff
BuildRequires:  git-core
BuildRequires:  gdbm

%description
fakechroot runs a command in an environment were is additionally
possible to use the chroot(8) call without root privileges. This is
useful for allowing users to create their own chrooted environment
with possibility to install another packages without need for root
privileges.

%prep
%autosetup -S git

%build
autoreconf -vfi

%if 0%{?__isa_bits} == 64
%configure --disable-static --disable-silent-rules --with-libpath="%{_libdir}/fakechroot:/usr/lib/fakechroot"
%else
%configure --disable-static --disable-silent-rules --with-libpath="%{_libdir}/fakechroot:/usr/lib64/fakechroot"
%endif
%make_build

%install
%make_install
# Drop libtool files
find %{buildroot}%{_libdir} -name '*.la' -delete -print

%check
make test || :

%files
%doc scripts/restoremode.sh scripts/savemode.sh
%license COPYING LICENSE
%{_bindir}/*fakechroot
%{_sbindir}/chroot.fakechroot
/etc/fakechroot
%{_mandir}/man1/fakechroot.1.*
# No library package, there's no major:
%{_libdir}/fakechroot/libfakechroot.so
