Summary:	Gives a fake root environment
Name:		fakeroot
Version:	1.37
Release:	%mkrel 1
License:	GPLv2
Group:		Development/Other
# Source code: https://salsa.debian.org/clint/fakeroot/-/tree/upstream
URL:		https://tracker.debian.org/pkg/fakeroot
Source0:	https://ftp.debian.org/debian/pool/main/f/fakeroot/fakeroot_%{version}.orig.tar.gz
# Debian package patches, from debian.tar.xz
Patch2: debian_fix-shell-in-fakeroot.patch
# Address some POSIX-types related problems.
Patch4: fakeroot-inttypes.patch
# Fix LD_LIBRARY_PATH for multilib: https://bugzilla.redhat.com/show_bug.cgi?id=1241527
Patch5: fakeroot-multilib.patch
Patch7: relax_tartest.patch

BuildRequires:	make
BuildRequires:	libstdc++-devel
BuildRequires:	libacl-devel
BuildRequires:	sharutils
BuildRequires:	util-linux-ng
BuildRequires:	pkgconfig(libcap)

%description
This package is intended to enable something like: fakeroot rpm
--rebuild i.e. to remove the need to become root for a package
build. This is done by setting LD_PRELOAD to a "libfakeroot.so.0.0",
that provides wrappers around chown, chmod, mknod, stat, etc.

If you don't understand any of this, you do not need this!

%prep
%autosetup -p1

for file in ./doc/*/*.1.*; do
  %{_bindir}/iconv -f latin1 -t utf8 < $file > $file.new
  %{__mv} -f $file.new $file
done
# Fix man page location
perl -pi -e 's|faked.1|../faked.1|; s|fakeroot.1|../fakeroot.1|' doc/*/Makefile.am

# the french man page is in man-pages-fr-1.58.0-18mdk, nuke this one to prevent file clash
perl -pi -e 's| fr | |' doc/Makefile.am

# anti version hack
%{__perl} -pi -e "s|-release 0|-avoid-version|g" Makefile*

%build

./bootstrap
autoscan
libtoolize -f -c --automake
aclocal
autoheader
rm -f missing
automake --add-missing --copy
autoconf -W all
rm -rf autom4te.cache
%configure \
    --disable-dependency-tracking \
    --disable-static \
    --with-ipc=tcp \
    --libdir=%{_libdir}/libfakeroot
%make_build

%install
%make_install libdir=%{_libdir}/libfakeroot


%check
# (tv) fix testsuite:
ln -s libfakeroot.so .libs/libfakeroot-0.so
make check VERBOSE=1

%files
%doc AUTHORS BUGS COPYING ChangeLog DEBUG NEWS README 
%{_bindir}/*
%{_libdir}/libfakeroot
%{_mandir}/man*/*
%lang(de) %{_mandir}/de/man*/*
%lang(es) %{_mandir}/es/man*/*
%lang(nl) %{_mandir}/nl/man*/*
%lang(pt) %{_mandir}/pt/man*/*
%lang(ro) %{_mandir}/ro/man*/*
%lang(sv) %{_mandir}/sv/man*/*
