%define api		0.2
%define major		5
%define girmajor	0.2
%define libname		%mklibname %{name} %{api} %{major}
%define plugname	%mklibname %{name}-plugins %{api}
%define develname	%mklibname %{name} -d
%define girname		%mklibname %{name}-gir %{girmajor}

Summary:	An audio/video communications framework
Name:		farstream
Version:	0.2.9
Release:	%mkrel 6
License:	LGPLv2+
URL:		https://www.freedesktop.org/wiki/Software/Farstream
Group:		Networking/Instant messaging
Source0:	https://freedesktop.org/software/farstream/releases/%{name}/%{name}-%{version}.tar.gz
Patch1:		farstream-0.2.9-build-Adapt-to-backwards-incompatible-change-in-GNU-.patch
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.32
BuildRequires:	pkgconfig(gstreamer-1.0) >= 1.0
BuildRequires:	pkgconfig(gstreamer-base-1.0) >= 1.0
BuildRequires:	pkgconfig(gstreamer-check-1.0) >= 1.0
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0) >= 1.0
BuildRequires:	pkgconfig(nice) >= 0.1.3
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gupnp-igd-1.6)
BuildRequires:	gtk-doc

# Obsolete old src pkg
Obsoletes:	farstream0.2 < 0.2.3-2
Obsoletes:	farstream0.1 < 0.2.0

%description
The Farstream (formerly Farsight) project is an effort to create a framework to
deal with all known audio/video conferencing protocols. On one side it offers a
generic API that makes it possible to write plugins for different streaming
protocols, on the other side it offers an API for clients to use those plugins.

The main target clients for Farstream are Instant Messaging applications. These
applications should be able to use Farstream for all their Audio/Video
conferencing needs without having to worry about any of the lower level
streaming and NAT traversal issues.

%package -n %{plugname}
Summary:	Farstream plugins
Group:		System/Libraries
Conflicts:	%_lib%{name}0.2_2 < 0.2.7
Conflicts:	%_lib%{name}0.2_5 < 0.2.7-2

%description -n %{plugname}
Shared libraries for %{name}.

%package -n %{libname}
Summary:	Farstream library
Group:		System/Libraries
Requires:	%{plugname}
Obsoletes:	%_lib%{name}0.2_2 < 0.2.7

%description -n %{libname}
Shared libraries for %{name}.

%package -n	gstreamer1.0-%{name}
Summary:	Set of plugins for GStreamer used Audio/Video conferencing
Group:		Sound/Utilities
Requires:	%{libname} = %{version}-%{release}

%description -n gstreamer1.0-%{name}
This is a set of plugins for GStreamer that will be used by Farstream
for Audio/Video conferencing.

%package -n %{develname}
Summary:	Headers of %{name} for development
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}%{api}-devel = %{version}-%{release}
Provides:	%{_lib}farstream%{api}-devel = %{version}-%{release}
Obsoletes:	%{_lib}farstream0.2-devel < 0.2.3-2
Obsoletes:	%{_lib}farstream0.1-devel < 0.2.0

%description -n %{develname}
Headers of %{name} for development.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%autosetup -p1

# port to gupnp-igd-1.6 api
sed -i 's|gupnp-igd-1.0|gupnp-igd-1.6|g' configure*

%build
autoreconf -vif
%configure \
	--disable-static \
	--enable-gupnp \
	--with-package-name="%{_vendor} %{name}" \
	--with-package-origin="https://www.%{_real_vendor}.org"
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}{,.*}

%files -n %{plugname}
%{_libdir}/%{name}-%{api}/*.so

%files -n gstreamer1.0-%{name}
%{_libdir}/gstreamer-1.0/*.so
%dir %{_datadir}/%{name}/%{api}/
%{_datadir}/%{name}/%{api}/*

%files -n %{develname}
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/%{name}-libs-%{api}/
%doc %{_datadir}/gtk-doc/html/%{name}-plugins-%{api}/
%{_includedir}/%{name}-%{api}/
%{_datadir}/gir-1.0/Farstream-%{girmajor}.gir
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/lib%{name}-%{api}.so

%files -n %{girname}
%{_libdir}/girepository-1.0/Farstream-%{girmajor}.typelib
