Name:		fast_float
Summary:	fast_float number parsing library: 4x faster than strtod
Version:	8.0.1
Release:	%mkrel 1
Group:		Development/C++
# README.md:
#   Licensed under either of Apache License, Version 2.0 or MIT license or
#   BOOST license.
License:        Apache-2.0 OR MIT OR BSL-1.0
Url:		https://github.com/fastfloat/fast_float
Source0:	https://github.com/fastfloat/fast_float/archive/v%{version}/fast_float-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	cmake

%description
The fast_float library provides fast header-only implementations for the C++
from_chars functions for float and double types as well as integer types. These
functions convert ASCII strings representing decimal values (e.g., 1.3e10) into
binary types. We provide exact rounding (including round to even). In our
experience, these fast_float functions many times faster than comparable
number-parsing functions from existing C++ standard libraries.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%license LICENSE-*
%doc AUTHORS CONTRIBUTORS README* SECURITY*
%{_includedir}/fast_float/
%{_datadir}/cmake/FastFloat/
