Name:           fastfetch
Version:        2.39.1
Release:        %mkrel 1
Summary:        Like neofetch, CLI system information tool written in c
Group:          System/Configuration
License:        MIT
URL:            https://github.com/fastfetch-cli/fastfetch
Source0:        https://github.com/fastfetch-cli/fastfetch/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  opencl-headers
BuildRequires:  vulkan-headers
BuildRequires:  pkgconfig(libpci)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(dconf)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(ImageMagick)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(libglvnd)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libnm)
BuildRequires:  pkgconfig(osmesa)
BuildRequires:  pkgconfig(libxfconf-0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(ocl-icd)
BuildRequires:  pkgconfig(rpm)
BuildRequires:  pkgconfig(ddcutil)
BuildRequires:  pkgconfig(vulkan)
BuildRequires:  pkgconfig(chafa)
BuildRequires:  pkgconfig(yyjson)

Requires:       bash-completion
Requires:       fish

Recommends:     elfutils
Recommends:     pciutils
Recommends:     dconf
Recommends:     sqlite3-tools
Recommends:     imagemagick
Recommends:     glib2
Recommends:     chafa
Recommends:     ddcutil
Recommends:     hwdata
Recommends:     vulkan-tools
# Neofetch is not in development anymore, no new commit from years and now archived repo.
# So lets replace it by fastfetch.
Obsoletes:      neofetch < 7.1.0-3
Provides:       neofetch

%description
fastfetch is a neofetch-like tool for fetching system information and
displaying them in a pretty way. It is written in c to achieve much better
performance, in return only Linux and Android are supported. It also uses
mechanisms like multithreading and caching to finish as fast as possible.

%prep
%autosetup -p1

%build
%cmake -DENABLE_IMAGEMAGICK6:BOOL=OFF \
       -DENABLE_SYSTEM_YYJSON:BOOL=ON
%cmake_build

%install
%cmake_install

ln -s %{_bindir}/%{name} %{buildroot}%{_bindir}/neofetch

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_bindir}/flashfetch
%{_bindir}/neofetch
%{_datadir}/%{name}/
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/fish/vendor_completions.d/fastfetch.fish
%{_datadir}/zsh/site-functions/_fastfetch
%{_mandir}/man1/fastfetch.1.*
