%define major   0
%define libname %mklibname fastlz %{major}
%define devname %mklibname fastlz -d

Summary:        Lightning-fast lossless compression library
Name:           fastlz
Version:        0.5.0
Release:        %mkrel 1
License:        MIT
Group:          System/Libraries
# https://github.com/ariya/FastLZ
# svn checkout http://fastlz.googlecode.com/svn/trunk/ fastlz
URL:            https://ariya.github.io/FastLZ/
Source0:        https://github.com/ariya/FastLZ/archive/%{version}/FastLZ-%{version}.tar.gz
# autopoo by oden (configure.ac, Makefile.am)
Source1:        configure.ac
Source2:        Makefile.am
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  m4
BuildRequires:  libtool

%description
This package contains utilities that uses the shared fastlz library.

%package -n %{libname}
Summary:        Lightning-fast lossless compression library
Group:          System/Libraries

%description -n %{libname}
This package contains the shared fastlz library.

%package -n %{devname}
Summary:        Development library and header files for the fastlz library
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development library and header files for the fastlz
library.


%prep
%setup -q -n FastLZ-%{version}
cp %{SOURCE1} .
cp %{SOURCE2} .

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.*a' -delete

%files
%doc ChangeLog README.md
%{_bindir}/*

%files -n %{libname}
%doc ChangeLog README.md
%license LICENSE*
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/lib*.so
%{_includedir}/*.h
