%undefine _hardened_build

Name:           fatback
Version:        1.3
Release:        %mkrel 15
Summary:        A forensic tool for recovering files from FAT file systems
License:        GPLv2 and Public Domain
Group:          Security
URL:            https://sourceforge.net/projects/fatback
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		fatback-1.3-texinfo.patch
Patch1:		fatback-fix-building-with-gcc14.patch
Source1:	README.Mageia
BuildRequires:  flex
BuildRequires:  texinfo

%description
Fatback is a forensic tool for undeleting files from Microsoft FAT file 
systems. Fatback is different from other undelete tools in that
it does the following:
   * Runs under UNIX environments
   * Can undelete files automatically
   * Supports Long File Names
   * Supports FAT12, FAT16, and FAT32
   * Powerful interactive mode
   * Recursively undeletes deleted directories
   * Recovers lost cluster chains
   * Works with single partitions or whole disks

%prep
%setup -q
cp %{SOURCE1} .
%patch -P 0 -p1
%patch -P 1 -p1

%build
%configure
%make_build
makeinfo --html --verbose fatback-manual.texi

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/fatback
cp -r fatback-manual_html %{buildroot}%{_datadir}/fatback
# Change .info filename to match instructions in man page
%{__mv} %{buildroot}%{_infodir}/%{name}-manual.info %{buildroot}%{_infodir}/%{name}.info

%files
%doc README.Mageia
%{_bindir}/%{name}
%{_mandir}/man?/%{name}.?.*
%{_infodir}/%{name}.info.*
%{_datadir}/fatback/fatback-manual_html

