%define uname   FAudio

%define major   0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           faudio
Version:        25.02
Release:        %mkrel 1
Summary:        FAudio, accuracy-focused XAudio reimplementation for open platforms
Group:          System/Libraries
License:        zlib
URL:            https://fna-xna.github.io
Source0:        https://github.com/FNA-XNA/FAudio/archive/%{version}/%{uname}-%{version}.tar.gz
Patch0:         faudio-system-stb.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(stb)

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-SDL2 >= 2.24

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-SDL2 >= 2.24


%description
FAudio is an XAudio reimplementation that focuses solely on developing
fully accurate DirectX Audio runtime libraries for the FNA project,
including XAudio2, X3DAudio, XAPO, and XACT3.

%package -n %{libname}
Summary:        FAudio, accuracy-focused XAudio reimplementation for open platforms
Group:          System/Libraries

%description -n %{libname}
FAudio is an XAudio reimplementation that focuses solely on developing
fully accurate DirectX Audio runtime libraries for the FNA project,
including XAudio2, X3DAudio, XAPO, and XACT3.

%package -n %{devname}
Summary:        Development files for the FAudio library
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Headers and shared library for FAudio.

%package -n mingw32-%{name}
Summary:        FAudio, accuracy-focused XAudio reimplementation for open platforms
Group:          Development/Other
BuildArch:      noarch
Provides:       mingw32-%{uname}


%description -n mingw32-%{name}
FAudio is an XAudio reimplementation that focuses solely on developing
fully accurate DirectX Audio runtime libraries for the FNA project,
including XAudio2, X3DAudio, XAPO, and XACT3.


%package -n mingw64-%{name}
Summary:        FAudio, accuracy-focused XAudio reimplementation for open platforms
Group:          Development/Other
BuildArch:      noarch
Provides:       mingw64-%{uname}


%description -n mingw64-%{name}
FAudio is an XAudio reimplementation that focuses solely on developing
fully accurate DirectX Audio runtime libraries for the FNA project,
including XAudio2, X3DAudio, XAPO, and XACT3.


%{?mingw_debug_package}


%prep
%setup -q -n %{uname}-%{version}
mkdir ../mingw-build
cp -rp . ../mingw-build

%autopatch -p1

%build
%cmake
%cmake_build

pushd ../mingw-build
%mingw_cmake
%mingw_make_build
popd


%install
%cmake_install

pushd ../mingw-build
%mingw_make_install
%mingw_debug_install_post
popd

# Fix package config file for MinGW.
sed -i 's|libdir=.*|libdir=${prefix}/lib|' %{buildroot}%{mingw32_libdir}/pkgconfig/FAudio.pc
sed -i 's|includedir=.*|includedir=${prefix}/include|' %{buildroot}%{mingw32_libdir}/pkgconfig/FAudio.pc
sed -i 's|libdir=.*|libdir=${prefix}/lib|' %{buildroot}%{mingw64_libdir}/pkgconfig/FAudio.pc
sed -i 's|includedir=.*|includedir=${prefix}/include|' %{buildroot}%{mingw64_libdir}/pkgconfig/FAudio.pc

%files -n %{libname}
%doc README
%license LICENSE
%{_libdir}/lib%{uname}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/F*.h
%{_libdir}/cmake/%{uname}/
%{_libdir}/lib%{uname}.so
%{_libdir}/pkgconfig/%{uname}.pc

%files -n mingw32-%{name}
%license LICENSE
%{mingw32_bindir}/FAudio.dll
%{mingw32_includedir}/F3DAudio.h
%{mingw32_includedir}/FACT.h
%{mingw32_includedir}/FACT3D.h
%{mingw32_includedir}/FAPO.h
%{mingw32_includedir}/FAPOBase.h
%{mingw32_includedir}/FAPOFX.h
%{mingw32_includedir}/FAudio.h
%{mingw32_includedir}/FAudioFX.h
%{mingw32_libdir}/cmake/%{uname}/
%{mingw32_libdir}/libFAudio.dll.a
%{mingw32_libdir}/pkgconfig/%{uname}.pc


%files -n mingw64-%{name}
%license LICENSE
%{mingw64_bindir}/FAudio.dll
%{mingw64_includedir}/F3DAudio.h
%{mingw64_includedir}/FACT.h
%{mingw64_includedir}/FACT3D.h
%{mingw64_includedir}/FAPO.h
%{mingw64_includedir}/FAPOBase.h
%{mingw64_includedir}/FAPOFX.h
%{mingw64_includedir}/FAudio.h
%{mingw64_includedir}/FAudioFX.h
%{mingw64_libdir}/cmake/%{uname}/
%{mingw64_libdir}/libFAudio.dll.a
%{mingw64_libdir}/pkgconfig/%{uname}.pc

