Name:           fbida
Summary:        Frame-buffer image viewers and editors
Group:          Graphics/Viewers
Version:        2.14
Release:        %mkrel 7
License:        GPLv2+
URL:            https://linux.bytesex.org/fbida/
Source:         http://dl.bytesex.org/releases/fbida/%{name}-%{version}.tar.gz
Patch0:         fbida-2.10-giflib.patch
Patch1:         fbida.gcc10.patch

BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  giflib-devel
BuildRequires:  libmotif-devel
BuildRequires:  libpcd-devel
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(sane-backends)
BuildRequires:  pkgconfig(liblircclient0)
BuildRequires:  pkgconfig(libwebp)
BuildRequires:  pkgconfig(pkg-config)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(poppler-glib)
BuildRequires:  pkgconfig(gbm)

Requires:       fonts-ttf-dejavu

%description
The fbida project contains a few small and efficient applications for
viewing and editing images, with the main focus being photos.


%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"
%make_build \
        prefix="%{_prefix}" \
        verbose=yes \
        exiftran thumbnail.cgi fbi

%install
%make_install prefix="%{_prefix}" RESDIR=%{_sysconfdir}/X11 STRIP=


%files
%doc COPYING README TODO
%config(noreplace) %{_sysconfdir}/X11/app-defaults/Ida
%{_bindir}/ida
%{_bindir}/fbi
%{_bindir}/fbgs
%{_bindir}/fbpdf
%{_bindir}/exiftran
%{_mandir}/man1/ida*
%{_mandir}/man1/fbi*
%{_mandir}/man1/exiftran*
%{_mandir}/man1/fbgs*
