# Doesn't require any BIOS/copyrighted material, so it can go in core.

Name:           fceux
Version:        2.6.6
Release:        %mkrel 3
Summary:        A cross platform, NTSC and PAL Famicom/NES emulator
Group:          Emulators
License:        GPLv2+
URL:            https://fceux.com/
Source:         https://github.com/TASEmulators/fceux/archive/v%{version}/%{name}-%{version}.tar.gz
# From upstream:
Patch1:         0001-fix-build-errors-from-rdtsc-fixes-663.patch
Patch2:         0002-Added-feature-macro-__FCEU_X86_TSC_ENABLE-to-enable-.patch
# Mageia patches:
Patch10:        fceux-2.6.4-mga-desktop.patch
BuildRequires:  ffmpeg-devel
BuildRequires:  lua5.1-devel
BuildRequires:  pkgconfig(gdlib)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(minizip)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  cmake
BuildRequires:  cmake(Qt6)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6OpenGL)
BuildRequires:  cmake(Qt6OpenGLWidgets)

%description
FCEUX is a Nintendo Entertainment System (NES), Famicom, and Famicom
Disk System (FDS) emulator. It supports both PAL (European) and NTSC
(USA/JPN) modes.

The FCEUX concept is that of an "all in one" emulator that offers accurate
emulation and the best options for both casual play and a variety of more
advanced emulator functions. For pro users, FCEUX offers tools for debugging,
rom-hacking, map making, Tool-assisted movies, and Lua scripting

%files
%doc changelog.txt COPYING NewPPUtests.txt *-SDL
%doc documentation/{cheat.html,faq,todo,TODO-PROJECT,Videolog.txt}
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}.6*

#----------------------------------------------------------------------------

%package        net-server
Summary:        Server for the FCEUX emulator

%description    net-server
FCEUX clients can connect to this server and play multiplayer NES games over
the network.

%files          net-server
%doc fceux-server/{AUTHORS,ChangeLog,COPYING,README}
%{_bindir}/%{name}-net-server
%config(noreplace) %{_sysconfdir}/%{name}-server.conf
%{_mandir}/man6/%{name}-net-server.6*

#----------------------------------------------------------------------------

%prep
%autosetup -p1

# Remove bundled LUA and minizip libraries
rm -rf src/lua
rm -rf src/utils/unzip.*

# Remove Windows files
find . -name "*.dll" -delete
find . -name "*.exe" -delete

# Fix end-of-line-encoding
sed -i 's/\r//' changelog.txt NewPPUtests.txt \
  documentation/Videolog.txt \
  fceux-server/{AUTHORS,ChangeLog,README}

%build
%set_build_flags
%make_build -C fceux-server

%cmake -DQT6=ON
%cmake_build

%install
%cmake_install

# Install icon
install -D -p -m 644 %{name}1.png \
  %{buildroot}%{_iconsdir}/hicolor/512x512/apps/%{name}.png
rm -rf %{buildroot}%{_datadir}/pixmaps/

# Install server binary
install -D -p -m 755 fceux-server/fceux-net-server \
  %{buildroot}%{_bindir}/fceux-net-server

# Install server config file
install -D -p -m 644 fceux-server/fceux-server.conf \
  %{buildroot}%{_sysconfdir}/%{name}-server.conf
