Name:           fcitx-qt5
Summary:        Fcitx IM module for Qt5
Version:        1.2.7
Release:        %mkrel 1
Group:          System/Internationalization
# The entire source code is GPLv2+ except
# platforminputcontext/keyserver_x11.h which is LGPLv2+
License:        GPLv2+ and LGPLv2+
URL:            https://github.com/fcitx/fcitx-qt5
Source0:        https://download.fcitx-im.org/%{name}/%{name}-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  pkgconfig(fcitx)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  extra-cmake-modules
Requires:       fcitx

%description
This package provides Fcitx Qt5 input context.

%package devel
Summary:        Development files for fcitx-qt5
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files necessary for
developing programs using fcitx-qt5 libraries.

%prep
%setup -q

%build
%cmake_qt5
%cmake_build

%install
%cmake_install

%find_lang %{name}

%files -f %{name}.lang
%doc README COPYING
%{_libdir}/libFcitxQt5DBusAddons.so.*
%{_libdir}/libFcitxQt5WidgetsAddons.so.*
%{_libdir}/fcitx/libexec/fcitx-qt5-gui-wrapper
%dir %{_libdir}/fcitx/qt
%{_libdir}/fcitx/qt/libfcitx-quickphrase-editor5.so
%{_qt5_plugindir}/platforminputcontexts/libfcitxplatforminputcontextplugin.so

%files devel
%{_includedir}/*
%{_libdir}/cmake/*
%{_libdir}/libFcitxQt5DBusAddons.so
%{_libdir}/libFcitxQt5WidgetsAddons.so
