Summary:	Fcitx - Free Chinese Input Toys for X
Name:		fcitx
Version:	4.2.9.9
Release:	%mkrel 3
License:	GPLv2+
Group:		System/Internationalization
URL:		https://fcitx-im.org
Source0:	https://download.fcitx-im.org/fcitx/%{name}-%{version}_dict.tar.xz
BuildRequires:	cmake
BuildRequires:	extra-cmake-modules
BuildRequires:	doxygen
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(xkbfile)
BuildRequires:	pkgconfig(enchant-2)
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(json-c)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(xkeyboard-config)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(opencc)
BuildRequires:	wget
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(pango)
BuildRequires:	intltool
BuildRequires:	icu-devel
BuildRequires:	chrpath
BuildRequires:	desktop-file-utils
Requires:	locales-zh
Recommends:	%{name}-gtk = %{version}
Recommends:	%{name}-gtk3 = %{version}
Recommends:	%{name}-configtool

Obsoletes:	fcitx-qt4 < 4.2.9.9-2

%description
%{name} is an X input method allowing people to enter simplified Chinese
characters in X environment following XIM standard.

%package devel
Summary: fcitx development library
Group: Development/C
Requires: %{name} = %{version}
Requires: %{name}-gir = %{version}

%description devel
fcitx development files.

%package gtk
Summary: fcitx gtk module
Group: System/Internationalization
Requires: %{name} = %{version}

%description gtk
fcitx gtk module.

%package gtk3
Summary: fcitx gtk3 module
Group: System/Internationalization
Requires: %{name} = %{version}

%description gtk3
fcitx gtk module.

%package gir
Summary: GObject Introspection interface description for fcitx
Group: System/Libraries
Requires: %{name} = %{version}

%description gir
GObject Introspection interface description for fcitx.

%prep
%autosetup -p1

%build
%cmake \
	-DENABLE_QT=OFF \
	-DENABLE_QT_IM_MODULE=OFF \
	-DENABLE_QT_GUI=OFF \
	-DENABLE_GTK3_IM_MODULE=ON \
	-DCMAKE_SKIP_RPATH=OFF \
	-DENABLE_XDGAUTOSTART=OFF
%cmake_build

%install
%cmake_install

chrpath -d %{buildroot}%{_libdir}/*.so
desktop-file-install --dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*.desktop

rm -f %{buildroot}%{_sysconfdir}/xdg/autostart/fcitx-autostart.desktop

%find_lang %name

%files -f %name.lang
%doc doc/*.txt doc/*.htm
%exclude /usr/share/doc/fcitx/Develop_Readme
%{_bindir}/*
%{_libdir}/*.so.*
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/dbus-1/services/org.fcitx.Fcitx.service
%{_datadir}/mime/packages/*.xml
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/*/*/*/*

%files gtk
%{_libdir}/gtk-2.0/*/immodules/im-fcitx.so

%files gtk3
%{_libdir}/gtk-3.0/*/immodules/im-fcitx.so

%files gir
%{_libdir}/girepository-1.0/Fcitx-1.0.typelib

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/Fcitx-1.0.gir
%{_datadir}/cmake/%{name}
%{_includedir}/*
