Name:		fcode-utils
Version:	1.0.3
Release:	%mkrel 2
Summary:	Utilities for dealing with FCode
Group:		Development/Other
# The entire source code is GPLv2 except localvalues/ and documentation/ which are CPL-licensed
License:	GPLv2 and CPL
URL:		https://www.openfirmware.info/FCODE_suite
## svn co http://code.coreboot.org/svn/openbios/trunk/fcode-utils-devel@1354 fcode-utils-1.0.2
## tar --exclude-vcs -cvJf fcode-utils-1.0.2.tar.xz fcode-utils-1.0.2/
Source0:	%{name}-%{version}.tar.gz
# Fedora-specific patch
Patch1:		fcode-utils-0001-Allow-overriding-some-more-Makefile-variables.patch
# For tests only
BuildRequires:	tcsh


%description
Utilities for dealing with FCode, a Forth programming language dialect
compliant with ANS Forth.


%prep
%setup -q
%patch -P 1 -p1 -b .more_overrides
install -p -m 0644 detok/README README.detok
install -p -m 0644 toke/README README.toke


%build
export CFLAGS="%{optflags}" STRIP="/bin/true"

%make_build


%install
%make_install DESTDIR="%{buildroot}%{_prefix}"

# Install data-files
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -a localvalues %{buildroot}%{_datadir}/%{name}


%check
make tests


%files
%license COPYING
%doc README README.detok README.toke documentation
%{_bindir}/detok
%{_bindir}/romheaders
%{_bindir}/toke
%{_datadir}/%{name}


