#global checkout 91c0c8c
%define rel 2

Name:               fcoe-utils
Version:            1.0.34
Release:            %mkrel %{rel}%{?checkout:.git%{checkout}}
Summary:            Fibre Channel over Ethernet utilities
Group:              System/Networking
License:            GPLv2
URL:                https://www.open-fcoe.org/
Source0:            https://github.com/openSUSE/fcoe-utils/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:            quickstart.txt
Source2:            fcoe.service
Source3:            fcoe.config
# Fix GCC 12 warning
Patch0:             https://github.com/openSUSE/fcoe-utils/pull/22.patch
Patch1:             0001-fcoemon-add-snprintf-string-precision-modifiers-in-f.patch
Patch2:             0002-Don-t-attempt-to-memcpy-zero-bytes.patch
Patch3:             06-build-with-gcc-13.patch
ExcludeArch:        ppc s390
BuildRequires:      autoconf
BuildRequires:      automake
BuildRequires:      libtool
BuildRequires:      systemd
BuildRequires:      pkgconfig(HBAAPI) >= 2.2.9-6
BuildRequires:      pkgconfig(libbsd-overlay)
BuildRequires:      pkgconfig(libhbalinux) >= 1.0.17-1
BuildRequires:      pkgconfig(lldpad) >= 0.9.43
# for macro definition:
BuildRequires:      pkgconfig(libsystemd)

Requires:           lldpad >= 0.9.43
Requires:           %{_lib}hbalinux2 >= 1.0.17
Requires:           iproute2
Requires:           multipath-tools
Requires(post):     systemd
Requires(preun):    systemd
Requires(postun):   systemd

%description
Fibre Channel over Ethernet utilities
fcoeadm - command line tool for configuring FCoE interfaces
fcoemon - service to configure DCB Ethernet QOS filters, works with lldpad

%prep
%autosetup -p1
cp -v %{SOURCE1} quickstart.txt

%build
./bootstrap.sh
%configure
%make_build

%install
%make_install
rm -rf %{buildroot}/etc/init.d
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig %{buildroot}%{_unitdir}
rm -f %{buildroot}%{_unitdir}/*
install -m 644 %{SOURCE2} %{buildroot}%{_unitdir}
install -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/fcoe
mkdir -p %{buildroot}%{_libexecdir}/fcoe
for file in \
    contrib/*.sh \
    debug/*sh
    do install -m 755 ${file} %{buildroot}%{_libexecdir}/fcoe/
done
# We supply our own config for fcoe.service
rm -f %{buildroot}/%{_sysconfdir}/fcoe/config

%post
%systemd_post fcoe.service

%preun
%systemd_preun fcoe.service

%postun
%systemd_postun_with_restart fcoe.service

%files
%license COPYING
%doc README QUICKSTART quickstart.txt
%{_sbindir}/*
%{_mandir}/man8/*
%{_unitdir}/fcoe.service
%{_sysconfdir}/fcoe/
%config(noreplace) %{_sysconfdir}/fcoe/cfg-ethx
%config(noreplace) %{_sysconfdir}/sysconfig/fcoe
%{_datadir}/bash-completion/*/fcoe*
%{_libexecdir}/fcoe/

