%global major   2
%define libname %mklibname fdk-aac %major
%define devname %mklibname fdk-aac -d

Name:           fdk-aac-free
Version:        2.0.0
Release:        %mkrel 1
Summary:        Third-Party Modified Version of the Fraunhofer FDK AAC Codec Library for Android
Group:          System/Servers

License:        FDK-AAC
URL:            https://cgit.freedesktop.org/~wtay/fdk-aac/log/?h=fedora
Source0:        https://people.freedesktop.org/~wtay/fdk-aac-free-%{version}.tar.gz

BuildRequires:  gcc gcc-c++
BuildRequires:  automake libtool
BuildRequires:  make

%description
The Third-Party Modified Version of the Fraunhofer FDK AAC Codec Library
for Android is software that implements part of the MPEG Advanced Audio Coding
("AAC") encoding and decoding scheme for digital audio.


%package        -n %libname
Summary:        Library for %{name}
Group:          System/Libraries

%description    -n %libname
The Third-Party Modified Version of the Fraunhofer FDK AAC Codec Library
for Android is software that implements part of the MPEG Advanced Audio Coding
("AAC") encoding and decoding scheme for digital audio.

%package        -n %devname
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description    -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup

%build
autoreconf -fi
%configure \
  --disable-static
%make_build

%install
%make_install

%files -n %libname
%doc ChangeLog README.fedora
%license NOTICE
%{_libdir}/libfdk-aac.so.%{major}{,.*}

%files -n %devname
%doc documentation/*.pdf
%dir %{_includedir}/fdk-aac
%{_includedir}/fdk-aac/*.h
%{_libdir}/libfdk-aac.so
%{_libdir}/pkgconfig/fdk-aac.pc
