Name:		fdns
Summary:	Firejail DNS-over-HTTPS Proxy Server
Version:	0.9.68
Release:	%mkrel 1
License:	GPLv3
Group:		System/Networking
Url:		https://firejaildns.wordpress.com/
Source0:	https://github.com/netblue30/fdns/releases/download/v%{version}/fdns-%{version}.tar.xz
BuildRequires:	pkgconfig(libseccomp)
BuildRequires:	pkgconfig(openssl)

%description
DNS over HTTPS (DoH) is a next-generation communication protocol on track on becoming a
major Internet standard (RFC 8484). By adding strong encryption and authentication to the
good old DNS protocol, DoH tries to eliminate some of the biggest problems DNS had from the
beginning: censorship, surveillance, and man-in-the-middle attacks.

FDNS was designed to run as a local DoH proxy on a Linux desktop, or as a server for a small
network. Lean and mean, it protects the computers against some of the most common cyber
threats, all while improving the privacy and the system performance.

%prep
%autosetup -p1

%build
%configure --with-systemd=%{_unitdir}
%make_build

%install
%make_install

# handle docs in files section
rm -rf %{buildroot}%{_docdir}

%post
%systemd_post %{name}

%preun
%systemd_preun %{name}

%files
%license COPYING
%doc README RELNOTES
%dir %{_sysconfdir}/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}/*blocker
%config(noreplace) %{_sysconfdir}/%{name}/*trackers
%config %{_sysconfdir}/%{name}/resolver.seccomp
%config %{_sysconfdir}/%{name}/servers
%config(noreplace) %{_sysconfdir}/%{name}/servers.local
%ghost %config(noreplace) %{_sysconfdir}/%{name}/hosts
%{_bindir}/fdns
%{_bindir}/nxdomain
%{_unitdir}/fdns.service
%{_datadir}/bash-completion/completions/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/nxdomain.1*
