# Place rpm-macros into proper location.
%global macrosdir %(d=%{_rpmconfigdir}/macros.d; [ -d $d ] || d=%{_sysconfdir}/rpm; /bin/echo $d)

Name:		fdupes
Version:	2.4.0
Release:	%mkrel 1
Epoch:		1
Summary:	Identify or delete duplicate files
License:	BSD like
Group:		File tools
Url:		https://github.com/adrianlopezroche/fdupes
Source0:	https://github.com/adrianlopezroche/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:	fdupes.macros
BuildRequires:  pkgconfig(libpcre2-32)
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  pkgconfig(sqlite3) 

%description
FDUPES is a program for identifying or deleting duplicate files residing within
specified directories.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install PREFIX=/usr

# rpm macros
%{__install} -Dpm 0644 %{SOURCE1}		\
	%{buildroot}%{macrosdir}/macros.%{name}

%check
# Just run these options to make sure they don't end in an error code
./%{name} -q testdir
./%{name} -q --omitfirst testdir
./%{name} -q --size testdir
test "$(./%{name} -q --quicksummary testdir)" = "approximately 3 duplicate files (in 3 sets), occupying 16 bytes."
# Sort the output so file order makes no difference. There is a miniscule
# chance that this results in a false negative.
./%{name} -q --recurse --size testdir | sort >testlog
cmp testlog - <<EOF





0 bytes each:
12 bytes each:
4 bytes each:
4 bytes each:
6 bytes each:
testdir/recursed_a/one
testdir/recursed_a/two
testdir/recursed_b/one
testdir/recursed_b/three
testdir/recursed_b/two_plus_one
testdir/twice_one
testdir/two
testdir/with spaces a
testdir/with spaces b
testdir/zero_a
testdir/zero_b
EOF

%files
%doc CHANGES CONTRIBUTORS README
%{_bindir}/%{name}
%{_mandir}/man1/fdupes.1*
%{_mandir}/man7/fdupes-help.7*
%{macrosdir}/macros.fdupes
