Name:        febootstrap
Version:     3.20
Release:     %mkrel 2
Summary:     Bootstrapping tool for creating supermin appliances
License:     GPLv2+
Group:       Development/Tools
URL:         https://people.redhat.com/~rjones/febootstrap/
Source0:     https://libguestfs.org/download/febootstrap/%{name}-%{version}.tar.gz
BuildRequires: ocaml
BuildRequires: ocaml-findlib-devel
BuildRequires: glibc-static-devel
BuildRequires: e2fsprogs-devel
BuildRequires: prelink

Requires:    febootstrap-supermin-helper = %{version}-%{release}
# https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries#Packages_granted_exceptions
Provides:      bundled(gnulib)

%description
febootstrap is a tool for building supermin appliances.  These are
tiny appliances (similar to virtual machines), usually around 100KB in
size, which get fully instantiated on-the-fly in a fraction of a
second when you need to boot one of them.

%package supermin-helper
Summary:     Runtime support for febootstrap
Group:       Development/Tools
Requires:    util-linux-ng
Requires:    cpio
Requires:    e2fsprogs >= 1.42

%description supermin-helper
%{name}-supermin-helper contains the runtime support for %{name}.

%prep
%setup -q

%build
%configure
make

%install
%make_install

# febootstrap-supermin-helper is marked as requiring an executable
# stack.  This happens because we use objcopy to create one of the
# component object files from a data file.  The program does not in
# fact require an executable stack.  The easiest way to fix this is to
# clear the flag here.
execstack -c $RPM_BUILD_ROOT%{_bindir}/febootstrap-supermin-helper

%files
%doc COPYING README
%{_bindir}/febootstrap
%{_mandir}/man8/febootstrap.8*

%files supermin-helper
%doc COPYING
%{_bindir}/febootstrap-supermin-helper
%{_mandir}/man8/febootstrap-supermin-helper.8*
