%define enable_tests	1

%bcond_without magic

Name:		feh
Version:	3.10.3
Release:	%mkrel 1
Summary:	Image viewer at heart, though it does other cool stuff
License:	MIT
Group:		Graphics/Viewers
URL:		https://feh.finalrewind.org/
Source0:	https://feh.finalrewind.org/%{name}-%{version}.tar.bz2
Source2:	https://feh.finalrewind.org/%{name}-%{version}.tar.bz2.asc
BuildRequires:	pkgconfig(imlib2)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(giblib)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	giflib-devel
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libexif)
%if %{with magic}
BuildRequires:	pkgconfig(libmagic)
%endif

%if %{enable_tests}
BuildRequires:	perl-devel
BuildRequires:	perl(Test::Command)
%endif

Recommends:     jpeg-progs
Recommends:     imagemagick

%description
Feh is an image viewer, but it does a whole lot of other cool stuff as
well. There are simply too many to mention them here so please check the
docs/homepage.

%prep
%autosetup -p1

sed -i -e 's/fgrep/grep -F/g' Makefile

%build
%set_build_flags
%make_build PREFIX=%{_prefix} exif=1 %{?with_magic:magic=1}

%install
%make_install PREFIX=%{_prefix}

# let files section handle docs
%__rm -rf %{buildroot}%{_docdir}/%{name}

%if %{enable_tests}
%check
make test
%endif

%files
%doc AUTHORS ChangeLog README.md TODO examples
%{_bindir}/*
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/feh.{png,svg}
%{_mandir}/man1/*
%{_datadir}/applications/%{name}.desktop
