%global bundle  org.apache.felix.gogo.runtime

%bcond_with tests

Name:           felix-gogo-runtime
Version:        1.1.4
Release:        %mkrel 3
Group:          Development/Java
Summary:        Apache Felix Gogo command line shell for OSGi
# One file is also MIT licensed:
#  src/main/java/org/apache/felix/gogo/runtime/Expression.java
License:        ASL 2.0 and MIT
URL:            https://felix.apache.org/documentation/subprojects/apache-felix-gogo.html

Source0:        https://archive.apache.org/dist/felix/%{bundle}-%{version}-source-release.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:gogo-parent:pom:) >= 5
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.osgi:osgi.annotation)
BuildRequires:  mvn(org.osgi:osgi.cmpn)
BuildRequires:  mvn(org.osgi:osgi.core)
%if %{with tests}
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.mockito:mockito-core)
%endif

%description
Apache Felix Gogo is a subproject of Apache Felix implementing a command
line shell for OSGi. It is used in many OSGi runtimes and servers.

%package javadoc
Summary: Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{bundle}-%{version}

# Use compendium dep
%pom_remove_dep :org.osgi.namespace.service
%pom_remove_dep :org.osgi.service.component.annotations
%pom_remove_dep :org.osgi.service.event
%pom_xpath_inject "pom:dependencies" "
<dependency>
<groupId>org.osgi</groupId>
<artifactId>osgi.cmpn</artifactId>
</dependency>"

# Remove 2 failing assertions on Java 11 in TestParser.testPipe()
sed -i '/(echoout/ d' src/test/java/org/apache/felix/gogo/runtime/TestParser.java

%mvn_file : felix/%{bundle}

%build
%if %{with tests}
%mvn_build -- -Dsource=1.8 -DdetectJavaApiLink=false
%else
%mvn_build -f -- -Dsource=1.8 -DdetectJavaApiLink=false
%endif

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

