Name:		fence-agents
Version:	4.16.0
Release:	%mkrel 2
Summary:	Fencing agents for cluster suite
Group:		System/Kernel and hardware
URL:		https://fedorahosted.org/cluster/wiki/HomePage
Source:		https://github.com/ClusterLabs/fence-agents/archive/v%{version}/%{name}-%{version}.tar.gz
License:	GPLv2

BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pkgconfig(nss)
BuildRequires:	pkgconfig(libvirt)
BuildRequires:	pkgconfig(corosync)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-pexpect
BuildRequires:	python3-boto3
BuildRequires:	python3-curl
BuildRequires:	python3-google-api-python-client
BuildRequires:	python3-keystoneauth1
BuildRequires:	python3-requests
BuildRequires:	python3-suds
BuildRequires:	libxml2-utils
BuildRequires:	xsltproc
BuildRequires:	perl(Net::Telnet)

Requires:	sg3_utils
Requires:	netkit-telnet
Requires:	openssh-clients
Requires:	python3-pexpect
Requires:	python3-boto3
Requires:	python3-curl
Requires:	python3-google-api-python-client
Requires:	python3-keystoneauth1
Requires:	python3-suds
Requires:	net-snmp-utils
Requires:	perl-Net-Telnet

Conflicts:	cman < 3.0.0

%description
Fence Agents is a collection of scripts to handle remote
power management for several devices.

%prep
%setup -q

%build
test -e .tarball-version || echo "%{version}" > .tarball-version
./autogen.sh
%configure PYTHON="%{__python3}" --disable-static
%make_build

%install
%make_install
rm -f "%{buildroot}/%{_datadir}/pkgconfig/fence-agents.pc"

%files
%doc doc/COPYING.* doc/COPYRIGHT doc/README.licence
%{_sysconfdir}/fence_virt.conf
%{_sbindir}/fence_*
%{_datadir}/fence
%{_datadir}/cluster/*
%{_mandir}/man5/fence_*.5.*
%{_mandir}/man8/fence_*.8.*
%{_libexecdir}/fence_kdump_send
%{_libdir}/fence-virt/
%{_prefix}/lib/tmpfiles.d/fence-agents.conf
