Name:		festlex
Summary:	Voices for Festival - a free speech synthesizer 
Version:	1.4.3
Release:	%mkrel 19
License:	BSD
Group:		Sound/Utilities
URL:		https://www.cstr.ed.ac.uk/projects/festival/
BuildArch:	noarch

### DICTIONARIES
# Generic English dictionary
Source100: ftp://ftp.cstr.ed.ac.uk/pub/festival/%{version}/festlex_POSLEX.tar.bz2
# American English dictionary
Source101: ftp://ftp.cstr.ed.ac.uk/pub/festival/%{version}/festlex_CMU.tar.bz2

%description
Festival is a general multi-lingual speech synthesis system developed
at CSTR. It offers a full text to speech system with various APIs, as
well as an environment for development and research of speech synthesis
techniques. It is written in C++ with a Scheme-based command interpreter
for general control.

This package contains dictionaries for use with Festival.


%package POSLEX
Group:		Sound/Utilities
Summary:	Festival Speech Lexicons for English
Provides:	festival-lexicons = %{version}-%{release}

%description POSLEX
Part of speech lexicons and ngram from English.  Required by all
British and American English voices.

%package CMU
Group:		Sound/Utilities
Summary:	CMU dictionary in Festival form
Provides:	festival-dictionary = %{version}-%{release}
Provides:	festival-dictionary-en_US = %{version}-%{release}
Requires:	festlex-POSLEX

%description CMU
CMU dictionary in Festival form, required for American English voices.

%prep
%setup -T -c -q -a 100 -a 101

%build

#cd festival/lib/dicts/cmu
#make
#cd ../../..

%install
mkdir -p %{buildroot}%_datadir/festival
cp -a festival/lib/dicts %{buildroot}%_datadir/festival

rm -f %{buildroot}/%{_datadir}/festival/dicts/COPYING.poslex

%files POSLEX
%_datadir/festival/dicts/wsj*
%doc festival/lib/dicts/COPYING.poslex

%files CMU
%_datadir/festival/dicts/cmu
%doc festival/lib/dicts/cmu/COPYING
