Name:		fet
Summary:	Free Timetabling Software
Version:	6.26.0
Release:	%mkrel 1
Group:		Education
License:	GPLv2+
URL:		https://lalescu.ro/liviu/fet
Source0:	https://lalescu.ro/liviu/fet/download/%{name}-%{version}.tar.bz2
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	qttools6

%description
FET is free timetabling software. This program aims to automatically
generate the timetable of a school, high-school or university.
It may be used for other timetabling purposes.

FET can mean "Free Educational Timetabling" (the "E" in the middle may
also stand for other words, based on your personal preference).

%prep
%autosetup -p1

rm -rf translations/*.qm

%build
# build translation files
%{_qt6_bindir}/lupdate %{name}.pro
pushd translations
%{_qt6_bindir}/lrelease *.ts
popd

%qmake_qt6 DEFINES+=USE_SYSTEM_LOCALE
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%{_docdir}/%{name}/
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/examples
%dir %{_datadir}/%{name}/translations
%{_datadir}/%{name}/translations/*.qm
%{_mandir}/man1/%{name}*.1*
