Summary: 	Full-featured POP/IMAP mail retrieval daemon
Name:		fetchmail
Version:	6.4.39
Release:	%mkrel 2
License: 	GPLv2
Group:		Networking/Mail
URL: 		https://www.fetchmail.info
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Source2:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz.asc
Source4:	fetchmail.sysconfig
Source5:	fetchmail.service
Source6:	fetchmail.gif
Source7:	fetchmail.png
Patch0:		fetchmail-5.7.0-nlsfix.patch
# Backported support for OAUTH2 authentication from Fetchmail 7.0
Patch1:         fetchmail-add-imap-oauthbearer-support.patch
Patch2:         fetchmail-support-oauthbearer-xoauth2-with-pop3.patch
Patch3:         fetchmail-add-passwordfile-and-passwordfd-options.patch
Patch4:         fetchmail-add-contrib-fetchnmail-oauth2.py-token-acquisition-u.patch
Patch5:         fetchmail-FAQ-list-gmail-options-including-oauthbearer-and-app.patch
Patch6:         fetchmail-give-each-ctl-it-s-own-copy-of-password.patch
Patch7:         fetchmail-re-read-passwordfile-on-every-poll.patch
Patch8:         fetchmail-add-query_to64_outsize-utility-function.patch
Patch9:         fetchmail-chase-and-integrate-interface-change.patch
Patch10:        fetchmail-oauth2-c-calculate-and-pass-in-correct-buffer-size-to-to64frombits.patch
Patch11:        fetchmail-increase-max-password-length-to-handle-oauth-tokens.patch
Patch12:        fetchmail-bump-max-passwordlen-to-1bytes.patch
Patch13:        fetchmail-add-readme-oauth2-issue-27.patch

BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext
BuildRequires:	gettext-devel
BuildRequires:	krb5-devel
BuildRequires:	pkgconfig(openssl)
BuildRequires:	python3
Requires: 	MailTransportAgent
Obsoletes:	fetchyahoo < 2.14.9-2

%description
Fetchmail is a free, full-featured, robust, and well-documented remote mail
retrieval and forwarding utility intended to be used over on-demand TCP/IP
links (such as SLIP or PPP connections).

It retrieves mail from remote mail servers and forwards it to your local
(client) machine's delivery system, so it can then be read by normal
mail user agents such as Mutt, Elm, Pine, (X)Emacs/Gnus or Mailx.

It comes with an interactive GUI configurator suitable for end-users.

Fetchmail supports every remote-mail protocol currently in use on the
Internet (POP2, POP3, RPOP, APOP, KPOP, all IMAPs, ESMTP ETRN) for
retrieval.  Then Fetchmail forwards the mail through SMTP, so you can
read it through your normal mail client.

%package -n fetchmailconf
Summary: 	A utility for graphically configuring your fetchmail preferences
Group: 		System/Networking
Requires: 	tkinter3
Requires: 	python3dist(future)
Requires: 	%{name} = %{version}


%description -n fetchmailconf
Fetchmailconf is a TCL/TK application for graphically configuring
your ~/.fetchmailrc preferences file.

Fetchmail has many options which can be daunting to the new user.

This utility takes some of the guesswork and hassle out of setting up
fetchmail.

%package daemon
Summary:	SySV init script for demonize fetchmail for retrieving emails
Group:		System/Base
Requires:	%{name} = %{version}
Requires(preun): rpm-helper
Requires(post): rpm-helper

%description daemon
Systemd service for fetchmail for sucking emails.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%serverbuild
%configure  \
	--with-ssl=%_prefix	\
	--enable-RPA		\
	--enable-NTLM		\
	--enable-SDPS		\
	--with-gssapi		\
	--with-kerberos5

# (tv) do not use %%make in order to workaround buggy parallel build:
%__make all

%install
mkdir -p %{buildroot}{%_libdir/rhs/control-panel,%_datadir/applets/Administration} \
	%{buildroot}{%_sysconfdir/{X11/wmconfig,sysconfig},%_mandir/man1,%_unitdir}
%make_install

install rh-config/*.{xpm,init} %{buildroot}%{_libdir}/rhs/control-panel

install -m0644 %SOURCE4 %{buildroot}%{_sysconfdir}/sysconfig/fetchmail
install -m0755 %SOURCE5 %{buildroot}%{_unitdir}/fetchmail.service

echo -e "# Put here each user config\n" > %{buildroot}/etc/fetchmailrc

# Menu entry
mkdir -p %{buildroot}%{_iconsdir}/hicolor/64x64/apps
install -m 0644 %{SOURCE7} %{buildroot}%{_iconsdir}/hicolor/64x64/apps/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Fetchmailconf
Comment=Full-featured POP/IMAP mail retrieval daemon
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Settings;
EOF

%find_lang %name

cat > README.fetchmail-conf <<EOF
Fetchmailconf is a TCL/TK application for graphically configuring your
~/.fetchmailrc preferences file.

Fetchmail has many options which can be daunting to the new user.


This utility takes some of the guesswork and hassle out of setting up
fetchmail.
EOF

%post -n fetchmail-daemon
%_post_service fetchmail

%preun -n fetchmail-daemon
%_preun_service fetchmail

%files -f %name.lang
%doc FAQ FEATURES INSTALL NEWS NOTES README
%doc contrib fetchmail-features.html fetchmail-FAQ.html design-notes.html
%license COPYING
%attr(2755, root, mail) %{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%files -n fetchmailconf
%doc README.%{name}-conf
%{_libdir}/rhs/control-panel/*
%{_bindir}/%{name}conf
%{_mandir}/man1/%{name}conf.1*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/64x64/apps/%{name}.png
%{python3_sitelib}/*

%files daemon
%attr(600,mail,mail) %config(noreplace,missingok) %{_sysconfdir}/%{name}rc
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_unitdir}/%{name}.service
