%define libname_orig	lib%{name}

%define major		0
%define libname		%mklibname %{name} %{major}
%define libnamedev	%mklibname %{name} -d

%define major_1		1
%define libavcall	%mklibname avcall %{major_1}
%define libcallback	%mklibname callback %{major_1}
%define libtrampoline	%mklibname trampoline %{major_1}

Summary:	Libraries that can be used to build foreign function call interfaces
Name:		ffcall
Version:	2.5
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Libraries
URL:		https://www.gnu.org/software/libffcall
Source:		https://ftp.gnu.org/gnu/libffcall/%{libname_orig}-%{version}.tar.gz

%description
This is a collection of four libraries which can be used to build
foreign function call interfaces in embedded interpreters.

The four packages are:

    avcall - calling C functions with variable arguments

    vacall - C functions accepting variable argument prototypes

    trampoline - closures as first-class C functions

    callback - closures with variable arguments as first-class C functions
    (a reentrant combination of vacall and trampoline)

This version B includes some minor configuration changes so that files
are installed in the proper place. Also it compiles on cygwin and mingw32.

%package        -n %{libname}
Summary:        Libraries that can be used to build foreign function call interfaces
Group:          System/Libraries
Provides:       %{libname_orig} = %{version}-%{release}
Conflicts:      %{_lib}%{name}-devel < 2.5-1

%description -n %{libname}
This is a collection of four libraries which can be used to build
foreign function call interfaces in embedded interpreters.

The four packages are:

    avcall - calling C functions with variable arguments

    vacall - C functions accepting variable argument prototypes

    trampoline - closures as first-class C functions

    callback - closures with variable arguments as first-class C functions
    (a reentrant combination of vacall and trampoline)

This version B includes some minor configuration changes so that files
are installed in the proper place. Also it compiles on cygwin and mingw32.

%package        -n %{libavcall}
Summary:        FFI library for variadic argument functions
Group:          System/Libraries

%description -n %{libavcall}
A library for building foreign function call interfaces in embedded
interpreters.
This library allows calling C functions with variable argument
prototypes.

%package        -n %{libcallback}
Summary:        FFI library for closures with variable arguments
Group:          System/Libraries

%description -n %{libcallback}
A library for building foreign function call interfaces in embedded
interpreters.
This library allows for closures with variable arguments as
first-class C functions (a reentrant combination of vacall and
trampoline).

%package        -n %{libtrampoline}
Summary:        FFI library for closures as first-class C functions
Group:          System/Libraries

%description -n %{libtrampoline}
A library for building foreign function call interfaces in embedded
interpreters.
This library allows using closures (lambdas) as first-class C
functions.

%package -n %{libnamedev}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libavcall} = %{version}-%{release}
Requires:	%{libcallback} = %{version}-%{release}
Requires:	%{libtrampoline} = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
Header files for development with %{name}.

%prep
%autosetup -p1 -n %{libname_orig}-%{version}

%build
%configure
# parallel make still fails as of 1.13
make

%install
%make_install

# ensure .so modules are executable for proper -debuginfo extraction
chmod a+x %{buildroot}%{_libdir}/lib*.so.*

mkdir -p %{buildroot}%{_defaultdocdir}/%{libnamedev}
mv %{buildroot}/usr/share/html %{buildroot}%{_defaultdocdir}/%{libnamedev}/html

%files -n %{libname}
%{_libdir}/libffcall.so.%{major}{,.*}

%files -n %{libavcall}
%{_libdir}/libavcall.so.%{major_1}{,.*}

%files -n %{libcallback}
%{_libdir}/libcallback.so.%{major_1}{,.*}

%files -n %{libtrampoline}
%{_libdir}/libtrampoline.so.%{major_1}{,.*}

%files -n %{libnamedev}
%doc NEWS README PLATFORMS
%{_defaultdocdir}/%{libnamedev}/html/
%{_includedir}/*.h
%{_libdir}/*.a
%{_libdir}/libavcall.so
%{_libdir}/libcallback.so
%{_libdir}/libffcall.so
%{_libdir}/libtrampoline.so
%{_mandir}/man3/*.3*
