# (tv) ffmpeg-devel doesn't really requires devel(jack)
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}devel\\\(libjack

%define avcmajor		61
%define avclibname		%mklibname avcodec %{avcmajor}
%define develname		%mklibname %{name} -d
%define staticname		%mklibname %{name} -s -d

%define avdmajor		61
%define avdlibname		%mklibname avdevice %{avdmajor}

%define avfmajor		61
%define avflibname		%mklibname avformat %{avfmajor}

%define postprocmajor		58
%define postproclibname		%mklibname postproc %{postprocmajor}

%define avumajor		59
%define avulibname		%mklibname avutil %{avumajor}

%define swsmajor		8
%define swslibname		%mklibname swscaler %{swsmajor}

%define filtermajor		10
%define filterlibname		%mklibname avfilter %{filtermajor}

%define swresamplemajor		5
%define swresamplelibname	%mklibname swresample %{swresamplemajor}

%define build_plf	0
%{?_with_plf: %{expand: %%global build_plf 1}}
%if %{build_plf}
%define distsuffix	plf
%endif
%if "%distro_section" == "tainted"
%global build_plf	1
%endif

# The license of libfdk_aac is not compatible with GPL, so the GPL does not
# permit distribution of binaries containing incompatible code when GPL-licensed
# code is also included.
# Therefore let's this option available for user's who want to build ffmpeg for
# their own use with the "nonfree" components.
%define build_fdkaac	0
%{?_with_fdkaac: %{expand: %%global build_fdkaac 1}}
%{?_without_fdkaac: %{expand: %%global build_fdkaac 0}}

%bcond_with	bootstrap

%if %{with bootstrap}
%bcond_with	chromaprint
%bcond_with	libplacebo
%bcond_with	openal
%else
%bcond_without	chromaprint
%bcond_without	libplacebo
%bcond_without	openal
%endif

Name:		ffmpeg
Version:	7.1.1
Release:	%mkrel 2
Summary:	Hyper fast audio and video encoder
Group:		Video/Utilities
%if %{build_plf}
License:	GPLv3+
%else
License:	GPLv2+
%endif
URL:		https://ffmpeg.org/
Source0:	https://ffmpeg.org/releases/%{name}-%{version}.tar.xz

# Fixes for reduced codec selection on free build
Patch1:		ffmpeg-codec-choice.patch

#squidf: temporary: to use ffmpeg system lib with Chromium
#https://bugs.chromium.org/p/chromium/issues/detail?id=1251779
#https://github.com/archlinux/svntogit-packages/blob/packages/ffmpeg/trunk/add-av_stream_get_first_dts-for-chromium.patch
Patch10:	ffmpeg-7.1-add-av_stream_get_first_dts-for-chromium.patch

# Upstream patches
#

# Security patches
#

BuildRequires:	texi2html
BuildRequires:	yasm
BuildRequires:	gsm-devel
BuildRequires:	lame-devel
BuildRequires:	libnut-devel
BuildRequires:	rtmp-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(aom)
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(caca)
BuildRequires:	pkgconfig(celt)
BuildRequires:	pkgconfig(codec2)
BuildRequires:	pkgconfig(dav1d) >= 0.4.0
BuildRequires:	pkgconfig(dirac)
BuildRequires:	pkgconfig(dvdnav)
BuildRequires:	pkgconfig(dvdread)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(frei0r)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(flite)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(harfbuzz)
BuildRequires:	pkgconfig(lcms2) >= 2.13
BuildRequires:	pkgconfig(libass)
BuildRequires:	pkgconfig(libbluray)
BuildRequires:	pkgconfig(libbs2b)
BuildRequires:	pkgconfig(libdc1394-2)
BuildRequires:	pkgconfig(libcdio_paranoia)
%if %{with chromaprint}
BuildRequires:	pkgconfig(libchromaprint)
%endif
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(libgme)
BuildRequires:  pkgconfig(libilbc)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libjxl)
BuildRequires:	pkgconfig(libmodplug)
BuildRequires:	pkgconfig(libmysofa)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libopenjp2)
BuildRequires:	pkgconfig(libopenmpt)
%if %{with libplacebo}
BuildRequires:	pkgconfig(libplacebo)
%endif
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libqrencode)
BuildRequires:	pkgconfig(librtmp)
BuildRequires:	pkgconfig(libv4l1)
BuildRequires:	pkgconfig(libva)
BuildRequires:	pkgconfig(vpx)
BuildRequires:	pkgconfig(lilv-0)
BuildRequires:	pkgconfig(librabbitmq)
BuildRequires:	pkgconfig(librist)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libssh)
BuildRequires:	pkgconfig(libvmaf)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libzmq)
%if %{with openal}
BuildRequires:	pkgconfig(openal)
%endif
BuildRequires:	pkgconfig(OpenCL)
BuildRequires:	pkgconfig(opencore-amrnb)
BuildRequires:	pkgconfig(opencore-amrwb)
BuildRequires:	pkgconfig(opus)
BuildRequires:	pkgconfig(schroedinger-1.0)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(snappy)
BuildRequires:	pkgconfig(sndio)
BuildRequires:	pkgconfig(smbclient)
BuildRequires:	pkgconfig(soxr)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(srt)
BuildRequires:	pkgconfig(SvtAv1Enc) >= 0.9.0
BuildRequires:	pkgconfig(tesseract)
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(rav1e)
BuildRequires:	pkgconfig(rubberband)
BuildRequires:	pkgconfig(twolame)
BuildRequires:	pkgconfig(vapoursynth)
BuildRequires:	pkgconfig(vdpau)
BuildRequires:	pkgconfig(vidstab)
%ifarch aarch64 x86_64
BuildRequires:	pkgconfig(vpl)
%endif
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(wavpack)
BuildRequires:	pkgconfig(xavs)
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xcb-render)
BuildRequires:	pkgconfig(xcb-shape)
BuildRequires:	pkgconfig(xcb-shm)
BuildRequires:	pkgconfig(xcb-xfixes)
BuildRequires:	pkgconfig(zimg)
BuildRequires:	pkgconfig(zvbi-0.2)
%if %{build_plf}
BuildRequires:	pkgconfig(x264) >= 0.118
BuildRequires:	pkgconfig(x265)
BuildRequires:	pkgconfig(vo-amrwbenc)
BuildRequires:	xvid-devel
%if %{build_fdkaac}
BuildRequires:	pkgconfig(fdk-aac)
%endif
%endif
BuildRequires:	qoi-devel
Requires:	%{postproclibname} = %{version}-%{release}
Requires:	%{avclibname} = %{version}-%{release}
Requires:	%{avdlibname} = %{version}-%{release}
Requires:	%{avflibname} = %{version}-%{release}
Requires:	%{avulibname} = %{version}-%{release}
Requires:	%{filterlibname} = %{version}-%{release}
Requires:	%{swslibname} = %{version}-%{release}
Requires:	%{swresamplelibname} = %{version}-%{release}

%description
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

%if %{build_plf}
This package is in the "tainted" section as it violates several patents.
%endif

%package -n	%{avclibname}
Group:		System/Libraries
Summary:	Shared library part of ffmpeg
Provides:	libffmpeg = %{version}-%{release}

%description -n	%{avclibname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg if you want to encode multimedia streams.

%package -n	%{postproclibname}
Group:		System/Libraries
Summary:	Shared library part of ffmpeg
Conflicts:	%mklibname ffmpeg 51

%description -n	%{postproclibname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg if you want to encode multimedia streams.


%package -n	%{avdlibname}
Group:		System/Libraries
Summary:	Shared library part of ffmpeg

%description -n	%{avdlibname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg if you want to encode multimedia streams.


%package -n	%{avflibname}
Group:		System/Libraries
Summary:	Shared library part of ffmpeg

%description -n	%{avflibname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg if you want to encode multimedia streams.

%package -n	%{avulibname}
Group:		System/Libraries
Summary:	Shared library part of ffmpeg

%description -n	%{avulibname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg if you want to encode multimedia streams.

%package -n	%{swslibname}
Group:		System/Libraries
Summary:	Shared library part of ffmpeg

%description -n	%{swslibname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg if you want to encode multimedia streams.

%package -n	%{filterlibname}
Group:		System/Libraries
Summary:	Shared library part of ffmpeg

%description -n	%{filterlibname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg if you want to encode multimedia streams.

%package -n	%{swresamplelibname}
Group:		System/Libraries
Summary:	Shared library part of ffmpeg

%description -n	%{swresamplelibname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg if you want to encode multimedia streams.

%package -n	%{develname}
Group:		Development/C
Summary:	Header files for the ffmpeg codec library
Requires:	%{avclibname} = %{version}-%{release}
Requires:	%{avdlibname} = %{version}-%{release}
Requires:	%{avflibname} = %{version}-%{release}
Requires:	%{avulibname} = %{version}-%{release}
Requires:	%{postproclibname} = %{version}-%{release}
Requires:	%{swslibname} = %{version}-%{release}
Requires:	%{filterlibname} = %{version}-%{release}
Requires:	%{swresamplelibname} = %{version}-%{release}
Provides:	libffmpeg-devel = %{version}-%{release}
Provides:	ffmpeg-devel = %{version}-%{release}

%description -n	%{develname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg-devel if you want to compile apps with ffmpeg support.

%package -n	%{staticname}
Group:		Development/C
Summary:	Static library for the ffmpeg codec library
Requires:	%{develname} = %{version}-%{release}
Provides:	libffmpeg-static-devel = %{version}-%{release}

%description -n	%{staticname}
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg-devel if you want to compile apps with ffmpeg support.

%prep
%autosetup -p1

%build
export CFLAGS="%{optflags}"
export LDFLAGS="%{ldflags}"

./configure --prefix=%{_prefix} \
	--enable-shared \
	--enable-pic \
	--libdir=%{_libdir} \
	--shlibdir=%{_libdir} \
	--incdir=%{_includedir} \
	--disable-stripping \
	--enable-gpl \
	--enable-pthreads \
	--enable-libtheora \
	--enable-libvorbis --disable-encoder=vorbis \
	--enable-libvpx \
	--enable-runtime-cpudetect \
	--enable-libaom \
	--enable-libdc1394 \
	--enable-librtmp \
	--enable-libspeex \
	--enable-libfreetype \
	--enable-libgsm \
	--enable-libcelt \
	--enable-libopenmpt \
	--enable-libopus \
	--disable-libopencv \
	--enable-libopenjpeg \
	--enable-libvidstab \
	--enable-libtwolame \
	--enable-libxavs \
	--enable-frei0r \
	--enable-libmodplug \
	--enable-libass \
	--enable-gnutls \
	--enable-libcdio \
%ifarch aarch64 x86_64
	--enable-libvpl \
%endif
	--enable-libpulse \
	--enable-libv4l2 \
	--enable-opencl \
	--enable-libopencore-amrnb \
	--enable-libopencore-amrwb \
	--enable-version3 \
	--enable-libmp3lame \
	--enable-sndio \
	--enable-libdav1d \
	--enable-libjxl \
%if %{with libplacebo}
	--enable-libplacebo \
%endif
	--enable-librubberband \
	--enable-libsnappy \
	--enable-libvmaf \
	--enable-vapoursynth \
	--enable-libsmbclient \
	--enable-bzlib \
%if %{with chromaprint}
	--enable-chromaprint \
%endif
	--enable-gcrypt \
	--enable-lcms2 \
	--enable-libbluray \
	--enable-libbs2b \
	--enable-libcaca \
	--enable-libcodec2 \
	--enable-libdvdnav \
	--enable-libdvdread \
	--enable-libflite \
	--enable-libfontconfig \
	--enable-libfribidi \
	--enable-libharfbuzz \
	--enable-libgme \
	--enable-libjack \
	--enable-libmysofa \
	--enable-libqrencode \
	--enable-librabbitmq \
	--enable-librist \
	--enable-librsvg \
	--enable-libsvtav1 \
	--enable-libsoxr \
	--enable-libssh \
	--enable-libsrt \
	--enable-libtesseract \
	--enable-libwebp \
	--enable-libxml2 \
	--enable-libzimg \
	--enable-libzmq \
	--enable-libzvbi \
	--enable-lv2 \
	--enable-vaapi \
	--enable-vdpau \
%if %{with openal}
	--enable-openal \
%endif
	--enable-opengl \
	--enable-librav1e \
%if %{build_plf}
	--enable-libx264 \
	--enable-libx265 \
	--enable-libvo-amrwbenc \
	--enable-libxvid \
%if %{build_fdkaac}
	--enable-nonfree --enable-libfdk-aac \
%endif
%endif
	--disable-cuda-sdk \
	--disable-openssl

%make_build

%install
%make_install SRC_PATH=`pwd`

%files
%doc doc/*.html doc/*.txt doc/*css
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/ffmpeg

%files -n %{avclibname}
%{_libdir}/libavcodec.so.%{avcmajor}{,.*}

%files -n %{postproclibname}
%{_libdir}/libpostproc.so.%{postprocmajor}{,.*}

%files -n %{avdlibname}
%{_libdir}/libavdevice.so.%{avdmajor}{,.*}

%files -n %{avflibname}
%{_libdir}/libavformat.so.%{avfmajor}{,.*}

%files -n %{avulibname}
%{_libdir}/libavutil.so.%{avumajor}{,.*}

%files -n %{swslibname}
%{_libdir}/libswscale.so.%{swsmajor}{,.*}

%files -n %{filterlibname}
%{_libdir}/libavfilter.so.%{filtermajor}{,.*}

%files -n %{swresamplelibname}
%{_libdir}/libswresample.so.%{swresamplemajor}{,.*}

%files -n %{develname}
%doc doc/APIchanges
%{_includedir}/libavcodec
%{_includedir}/libavdevice
%{_includedir}/libavfilter
%{_includedir}/libavformat
%{_includedir}/libavutil
%{_includedir}/libpostproc
%{_includedir}/libswscale
%{_includedir}/libswresample
%{_libdir}/libavcodec.so
%{_libdir}/libavdevice.so
%{_libdir}/libavformat.so
%{_libdir}/libavfilter.so
%{_libdir}/libavutil.so
%{_libdir}/libpostproc.so
%{_libdir}/libswscale.so
%{_libdir}/libswresample.so
%{_libdir}/pkgconfig/libswscale.pc
%{_libdir}/pkgconfig/libavcodec.pc
%{_libdir}/pkgconfig/libavdevice.pc
%{_libdir}/pkgconfig/libavfilter.pc
%{_libdir}/pkgconfig/libavformat.pc
%{_libdir}/pkgconfig/libavutil.pc
%{_libdir}/pkgconfig/libpostproc.pc
%{_libdir}/pkgconfig/libswresample.pc
%{_mandir}/man3/lib*.3*

%files -n %{staticname}
%{_libdir}/*.a
