#
# git clone https://github.com/dirkvdb/ffmpegthumbnailer.git
# cd ffmpegthumbnailer
# DATE=$(git log -1 --format="%%cd" --date=short | sed "s|-||g")
# git config tar.tar.xz.command "xz -c"
# git archive --format=tar.xz -o ffmpegthumbnailer-${DATE}.tar.xz --prefix=ffmpegthumbnailer-${DATE}/ master
#

#global gitdate		20220218

%define major		4
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		ffmpegthumbnailer
Version:	2.2.3
Release:	%mkrel 2
Summary:	Lightweight video thumbnailer
License:	GPLv2+
Group:		Video/Utilities
URL:		https://github.com/dirkvdb/ffmpegthumbnailer
%if 0%{?gitdate}
Source0:	%{name}-%{gitdate}.tar.xz
%else
Source0:	https://github.com/dirkvdb/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
%endif
BuildRequires:	cmake
BuildRequires:	ffmpeg-devel
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libjpeg)

%description
This video thumbnailer can be used by file managers to
create thumbnails for your video files. The thumbnailer
uses ffmpeg to decode frames from the video files, so
supported video formats depend on the configuration
flags of ffmpeg.

This thumbnailer was designed to be as fast and
lightweight as possible.

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		Video/Utilities

%description -n	%{libname}
Main library for %{name}.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Development files for %{name}.

%prep
%autosetup -n %{name}-%{?gitdate}%{!?gitdate:%version} -p1

%build
%cmake \
	-DENABLE_STATIC=OFF \
	-DENABLE_GIO=ON \
	-DENABLE_THUMBNAILER=ON
%cmake_build

%install
%cmake_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS ChangeLog README TODO
%{_bindir}/%{name}
%{_datadir}/thumbnailers/%{name}.thumbnailer
%{_mandir}/man1/%{name}.1*

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/libffmpegthumbnailer/
%{_libdir}/pkgconfig/*.pc
