#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:          ffmpegthumbs
Epoch:         3
Version: 25.04.0
Release:       %mkrel %{rel}
Summary:       Video thumbnail generator for KDE file managers
Group:         Video/Utilities
License:       GPLv2
Url:           https://apps.kde.org/ffmpegthumbs/
Source0:       https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: kf6-rpm-macros

BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Gui)

BuildRequires: cmake(KF6KIO)
BuildRequires: cmake(KF6Config)

BuildRequires: pkgconfig(libavcodec)
BuildRequires: pkgconfig(libavformat)
BuildRequires: pkgconfig(libswscale)
BuildRequires: pkgconfig(taglib)

%description
FFmpegThumbs is a video thumbnails implementation for KDE based on
FFmpegThumbnailer.

This thumbnailer uses FFmpeg to decode frames from the video files,
so supported video formats depend on the configuration flags of ffmpeg.

This thumbnailer was designed to be as fast and lightweight as possible.

%files
%_kf6_categoriesdir/ffmpegthumbs.*categories
%_kf6_plugindir/thumbcreator/ffmpegthumbs.so
%_kf6_datadir/config.kcfg/ffmpegthumbnailersettings5.kcfg
%_kf6_metainfodir/org.kde.ffmpegthumbs.metainfo.xml

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%cmake_install

