%define name     ffms
%define version  2.16
%define major    2
%define rel      2

%define release %mkrel %rel

%define libname %mklibname %name %major
%define develname %mklibname %name -d
%define staticname %mklibname %name -s -d

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        A libav/ffmpeg based source library and Avisynth plugin for easy frame accurate access

Source0:	http://ffmpegsource.googlecode.com/files/%{name}-%{version}-src.tar.bz2

License:        MIT
URL:            http://ffmpegsource.googlecode.com/

Group:          Video

BuildRequires: pkgconfig(zlib)
BuildRequires: ffmpeg-devel

%description
FFmpegSource2 (FFMS2) is a wrapper library around Libav/FFmpeg, plus
some additional components to deal with file formats libavformat has
(or used to have) problems with. It gives you a convenient way to say
"open and decompress this media file for me, I don't care how you do
it", without having to bother with the sometimes less than
straightforward and less than perfectly documented Libav/FFmpeg
internals. May be frame and/or sample accurate on good days. The library
is written in C++, but the public API is C-friendly and it is possible
to simply include and link directly with a pure C application.

%package -n %{libname}
Group:          System/Libraries
Summary:        Shared library part of ffmpegsource
Provides:       libffms = %{version}-%{release}

%description -n %{libname}
FFmpegSource2 (FFMS2) is a wrapper library around Libav/FFmpeg, plus
some additional components to deal with file formats libavformat has
(or used to have) problems with. It gives you a convenient way to say
"open and decompress this media file for me, I don't care how you do
it", without having to bother with the sometimes less than
straightforward and less than perfectly documented Libav/FFmpeg
internals. May be frame and/or sample accurate on good days. The library
is written in C++, but the public API is C-friendly and it is possible
to simply include and link directly with a pure C application.


%package -n %develname
Group:          Development/C
Summary:        Header files for the ffmpegsource library
Requires:       %{libname} = %{version}-%release
Provides:       libffms-devel = %{version}-%{release}
Provides:       ffms-devel = %{version}-%{release}

%description -n %develname
FFmpegSource2 (FFMS2) is a wrapper library around Libav/FFmpeg, plus
some additional components to deal with file formats libavformat has
(or used to have) problems with. It gives you a convenient way to say
"open and decompress this media file for me, I don't care how you do
it", without having to bother with the sometimes less than
straightforward and less than perfectly documented Libav/FFmpeg
internals. May be frame and/or sample accurate on good days. The library
is written in C++, but the public API is C-friendly and it is possible
to simply include and link directly with a pure C application.

Install libffms-devel if you want to compile apps with ffms support.

%package -n %staticname
Group:          Development/C
Summary:        Static library for the ffmpeg codec library
Requires:       %develname = %{version}-%release
Provides:       libffms-static-devel = %{version}-%{release}

%description -n %staticname
FFmpegSource2 (FFMS2) is a wrapper library around Libav/FFmpeg, plus
some additional components to deal with file formats libavformat has
(or used to have) problems with. It gives you a convenient way to say
"open and decompress this media file for me, I don't care how you do
it", without having to bother with the sometimes less than
straightforward and less than perfectly documented Libav/FFmpeg
internals. May be frame and/or sample accurate on good days. The library
is written in C++, but the public API is C-friendly and it is possible
to simply include and link directly with a pure C application.

Install libffms-devel if you want to compile apps with ffms support.

%prep

%setup -q -n %{name}-%version-src

%build
export CFLAGS="%optflags -FPIC"
export LDFLAGS="%{ldflags}"

%configure \
	--enable-shared

%make

%install
rm -rf %{buildroot}

%make_install SRC_PATH=`pwd`

rm -r %{buildroot}/usr/share/doc/ffms2
rm %{buildroot}%{_libdir}/libffms2.la

%files
%doc doc/*.html doc/*.css
%{_bindir}/*

%files -n %{libname}
%{_libdir}/libffms2.so.%{major}*

%files -n %develname
%{_includedir}/ffmscompat.h
%{_includedir}/ffms.h
%{_libdir}/libffms2.so
%_libdir/pkgconfig/ffms2.pc


%files -n %staticname
%{_libdir}/*.a


