#
# git clone https://github.com/FFMS/ffms2.git
# cd ffms2
# DATE=$(git log -1 --format="%cd" --date=short | sed "s|-||g")
# git config tar.tar.xz.command "xz -c"
# git archive --format=tar.xz -o ffms2-${DATE}.tar.xz --prefix=ffms2-${DATE}/ master
#
#define gitdate		20211209
%define rel		1

%define major		5
%define libname		%mklibname %{name}_ %{major}
%define develname	%mklibname %{name} -d

Name:		ffms2
Version:	5.0
Release:	%mkrel %{?gitdate:0.0.git%{gitdate}.}%{rel}
Summary:	Wrapper library around libffmpeg
License:	MIT
Group:		System/Libraries
URL:		https://github.com/FFMS/ffms2/
Source0:	https://github.com/FFMS/%{name}/archive/%{version}/%{name}-%{?gitdate}%{!?gitdate:%version}.tar.%{?gitdate:gz}%{!?gitdate:gz}

BuildRequires:	libtool
BuildRequires:	ffmpeg-devel
BuildRequires:	pkgconfig(zlib)

%description
FFmpegSource (usually known as FFMS or FFMS2) is a cross-platform wrapper
library around libffmpeg, plus some additional components to deal with file
formats libavformat has (or used to have) problems with.

#---------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n %{libname}
FFmpegSource (usually known as FFMS or FFMS2) is a cross-platform wrapper
library around libffmpeg, plus some additional components to deal with file
formats libavformat has (or used to have) problems with.

#---------------------------------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Header files for development with %{name}.

#---------------------------------------------------------------------------
%prep
%autosetup -n %{name}-%{?gitdate}%{!?gitdate:%version}

sed -i 's/\r$//' COPYING

# make autoreconf happy
mkdir -p src/config

%build
autoreconf -fi
%configure \
	--docdir=%{_docdir}/lib%{name}-devel \
	--enable-shared \
	--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc README.md
%{_bindir}/ffmsindex

%files -n %{libname}
%license COPYING
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/ffms*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_docdir}/lib%{name}-devel
