Name:           ffmulticonverter
Version:        1.8.0
Release:        %mkrel 13
Summary:        GUI File Format Converter
Group:          Video/Editors and Converters
License:        GPLv3
URL:            https://sites.google.com/site/%{name}/home
Source0:        https://sourceforge.net/projects/ffmulticonv/files/%{name}-%{version}.tar.gz
Patch0:         ffmulticonverter-1.6.0-mga-icon-path.patch
Patch1:         0001-confront-with-version-1.1-of-the-desktop-entry-specification.patch
Patch2:         0001-QProgressBar.setValue-expects-an-int-not-a-float.patch
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
# The imagemagick in br is needed only for the 'convert' commande in the section 'install'
BuildRequires:  imagemagick
Requires:       python3-qt5-core
Requires:       python3-qt5-gui
Requires:       python3-qt5-network
Requires:       python3-qt5-widgets
Requires:       ffmpeg
Requires:       imagemagick
Recommends:     unoconv

%description
Graphical application which enables you to convert audio, video, image
and document files between all popular formats using ffmpeg, unoconv,
and PythonMagick.

Features:
 - Conversions for several file formats.
 - Very easy to use interface.
 - Access to common conversion options.
 - Audio/video ffmpeg-presets management.
 - Options for saving and naming files.
 - Recursive conversions


%prep
%autosetup -p1

%build
%py3_build

%install
%py3_install

%__mkdir -p %{buildroot}%{_miconsdir}
%__mkdir -p %{buildroot}%{_liconsdir}
convert -scale 16x16 %{buildroot}%{_iconsdir}/%{name}.png %{buildroot}%{_miconsdir}/%{name}.png
convert -scale 48x48 %{buildroot}%{_iconsdir}/%{name}.png %{buildroot}%{_liconsdir}/%{name}.png
convert -scale 32x32 %{buildroot}%{_iconsdir}/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png

%files
%doc ChangeLog README.txt AUTHORS TRANSLATORS
%{_bindir}/%{name}
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_mandir}/man1/ffmulticonverter.1*
