%define major     %{version}
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           fifechan
Version:        0.1.5
Release:        %mkrel 4
Summary:        Portable C++ GUI library for games using Allegro, SDL and OpenGL
Group:          System/Libraries
License:        LGPLv2+
URL:            https://fifengine.github.io/fifechan/
Source0:        https://github.com/fifengine/fifechan/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  allegro4-devel
BuildRequires:  cmake
BuildRequires:  irrlicht-devel
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)

%description
Fifechan is a lightweight cross platform GUI library written in C++
specifically designed for games. It has a small yet powerful built in set
of extendable GUI Widgets allowing users to create virtually unlimited
types of widgets. Fifechan supports rendering in SDL, OpenGL, or Allegro
out of the box or it can be adapted to use any rendering engine the user
requires. Events are pushed to Fifechan which allows users to use any input
library they wish or they could use the built in input handling through
either SDL input or Allegro input.

%package -n %{libname}
Summary:        Shared library for %{name}
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:        Headers for developing programs that will use %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%autosetup -p1

iconv -f ISO-8859-1 -t UTF-8 AUTHORS > AUTHORS.new
touch -r AUTHORS AUTHORS.new
mv AUTHORS.new AUTHORS

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc AUTHORS CHANGELOG.md README.md
%{_libdir}/lib%{name}*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}*
%{_libdir}/lib%{name}*.so
