%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	An archive manager for GNOME
Name:		file-roller
Version:	44.5
Release:	%mkrel 1
License:	GPLv2+
URL:		https://download.gnome.org/sources/file-roller/
Group:		Archiving/Compression
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(glib-2.0) >= 2.38
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk4) >= 4.8.1
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(libadwaita-1)
BuildRequires:	pkgconfig(libportal)
BuildRequires:	pkgconfig(libportal-gtk4) >= 0.5
BuildRequires:	pkgconfig(libnautilus-extension-4)
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	gi-docgen
BuildRequires:	libxml2-utils

Requires:	packagekit-gui
Recommends:	p7zip

%description
File Roller is an archive manager for the GNOME environment. This means
you can create and modify archives, view the content of an archive, view a
file contained in the archive and extract files from the archive.

File Roller is only a front-end (a graphical interface) to archiving
programs.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome --all-name

%check
%meson_test

%files -f %{name}.lang
%doc AUTHORS NEWS README.md
%{_bindir}/file-roller
%{_datadir}/file-roller
%{_datadir}/applications/org.gnome.FileRoller.desktop
%{_libexecdir}/file-roller
%{_datadir}/dbus-1/services/org.gnome.FileRoller.service
%{_datadir}/dbus-1/services/org.gnome.ArchiveManager1.service
%{_datadir}/icons/hicolor/*/apps/org.gnome.FileRoller*.*
%{_datadir}/glib-2.0/schemas/org.gnome.FileRoller.gschema.xml
%{_metainfodir}/org.gnome.FileRoller.appdata.xml
%{_libdir}/nautilus/extensions-4/libnautilus-fileroller.so
