%define major 1
%define libname %mklibname magic %{major}
%define develname %mklibname -d magic
%define staticname %mklibname -d -s magic


Summary:	A utility for determining file types
Name:		file
Version:	5.45
Release:	%mkrel 2
License:	BSD
Group:		File tools
URL:		https://www.darwinsys.com/file/
Source0:	ftp://ftp.astron.com/pub/file/%{name}-%{version}.tar.gz
# From Upstream:

# From Fedora:

# not yet upstream
Patch101:	file-4.17-rpm-name.patch

BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
# Need a version dependency since the magic data file provided in the main
# package will only work with a specific version of the library
Requires:	%{libname} = %{version}

%description
The file command is used to identify a particular file according to the
type of data contained by the file.  File can identify many different
file types, including ELF binaries, system libraries, RPM packages, and
different graphics formats.

You should install the file package, since the file command is such a
useful utility.

%package -n	%{libname}
Group:		System/Libraries
Summary:	Shared library for handling magic files

%description -n	%{libname}
The file command is used to identify a particular file according to the
type of data contained by the file.  File can identify many different
file types, including ELF binaries, system libraries, RPM packages, and
different graphics formats.

Libmagic is a library for handling the so called magic files the 'file'
command is based on.

%package -n	%{develname}
Summary:	Development files to build applications that handle magic files
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	%{name} >= %{version}-%{release}
Provides:	libmagic-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	magic-devel = %{version}-%{release}

%description -n	%{develname}
The file command is used to identify a particular file according to the
type of data contained by the file.  File can identify many different
file types, including ELF binaries, system libraries, RPM packages, and
different graphics formats.

Libmagic is a library for handling the so called magic files the 'file'
command is based on.

%package -n	%{staticname}
Summary:	Static library to build applications that handle magic files
Group:		Development/C
Requires:	%{develname} = %{version}
Provides:	libmagic-static-devel = %{version}-%{release}
Provides:	magic-static-devel = %{version}-%{release}

%description -n	%{staticname}
The file command is used to identify a particular file according to the
type of data contained by the file.  File can identify many different
file types, including ELF binaries, system libraries, RPM packages, and
different graphics formats.

Libmagic is a library for handling the so called magic files the 'file'
command is based on.

%package -n	python3-file-magic
Summary:	Python 3 module to use libmagic
Group:		Development/Python
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}

# Renamed in Mageia 8 to accommodate for conflicting `python-magic` implementation.
Obsoletes:	python3-magic < 5.39-3
Provides:	python3-magic = %{version}-%{release}

%description -n	python3-file-magic
Libmagic is a library for handling the so called magic files the 'file'
command is based on.

%prep
# Don't use -b -- it will lead to poblems when compiling magic file!
%autosetup -p1

%build
autoreconf -vfi

CFLAGS="%{optflags} -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE" \
%configure --enable-static
%make_build

pushd python
%py3_build
popd

%install
%make_install

# install one missing header file
install -m644 src/file.h %{buildroot}%{_includedir}/file.h

cat magic/Magdir/* > ${RPM_BUILD_ROOT}%{_datadir}/misc/magic

pushd python
%py3_install
popd

%files
%doc README* MAINT ChangeLog
%{_bindir}/*
%{_datadir}/misc/*
%{_mandir}/man1/*
%{_mandir}/man4/*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*
%{_mandir}/man3/*
%{_libdir}/pkgconfig/libmagic.pc

%files -n %{staticname}
%{_libdir}/*.a

%files -n python3-file-magic
%doc python/README.md python/example.py
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/file_magic-*-py%{python3_version}.egg-info
%{python3_sitelib}/magic.py*
