#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           filelight
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Graphical disk usage statistics
Group:          File tools
License:        GPLv2 and LGPLv2 and GPLD
URL:            https://apps.kde.org/filelight/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6QQC2DesktopStyle)
BuildRequires:  cmake(KF6KirigamiAddons)

# runtime dependencies
Requires:       kirigami
Requires:       kirigami-addons
BuildRequires:  kquickcharts
Requires:       kquickcharts
Requires:       qqc2-desktop-style
Requires:       kdeclarative

Recommends:     filelight-handbook


%description
Filelight allows you to quickly understand exactly where your
diskspace is being used by graphically representing your file
system as a set of concentric segmented-rings. You can use it
to locate hotspots of disk usage and then manipulate those
areas using a file manager.

%files -f %name.lang
%_kf6_categoriesdir/filelight.categories
%_kf6_bindir/filelight
%_kf6_sysconfdir/xdg/filelightrc
%_kf6_applicationsdir/org.kde.filelight.desktop
%_kf6_iconsdir/*/*/*/*.png
%_kf6_metainfodir/org.kde.filelight.appdata.xml

#------------------------------------------------------------------------------

%package -n filelight-handbook
Summary:        Filelight handbook
Group:          Documentation
BuildArch:      noarch

%description -n filelight-handbook
This package provides filelight handbook.

%files -n filelight-handbook
%_kf6_docdir/HTML/*/filelight/

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
