%define oname	FileRunner

Summary:	A simple file manager with built-in FTP support
Name:		filerunner
Version:	14.06.18.10
Release:	%mkrel 5
License:	GPLv3+
Group:		File tools
URL:		https://sourceforge.net/projects/filerunner/
Source0:	https://sourceforge.net/projects/%{name}/files/release-%{version}/fr-%{version}.tar.gz
Patch1:		fr-disable-inotify.patch
BuildArch:	noarch

BuildRequires:	imagemagick
BuildRequires:	pkgconfig(tcl)

Requires:	tcl
Requires:	tk

# For sftp
Recommends:	expect
Recommends:	openssh-clients

Provides:	%{oname} = %{version}-%{release}
Obsoletes:	%{oname} <= 2.5.1

%description
FileRunner is a file manager for Unix. It is simple and efficient and has
a built-in FTP client. New and improved from a FileRunner of long ago.

%prep
%setup -q -c %{name}-%{version}
%patch -P 1 -p1 -b .orig

# https://qa.mandriva.com/show_bug.cgi?id=22193
find -type f | xargs perl -pi -e "s|\\\$glob\(doclib_fr\)|%{_docdir}/%{name}|g"

%build
#nothing

%install
cd %{name}
mkdir -p %{buildroot}%{tcl_sitelib}/%{oname}/bitmaps
mkdir -p %{buildroot}%{_bindir}

cp -a bitmaps/* %{buildroot}%{tcl_sitelib}/%{oname}/bitmaps
cp -a *.tcl %{buildroot}%{tcl_sitelib}/%{oname}
cp -a tclIndex %{buildroot}%{tcl_sitelib}/%{oname}
cp -a packages %{buildroot}%{tcl_sitelib}/%{oname}

install -m755 fr %{buildroot}%{tcl_sitelib}/%{oname}/fr
install -m755 frftp %{buildroot}%{tcl_sitelib}/%{oname}/frftp

ln -s %{tcl_sitelib}/%{oname}/fr %{buildroot}%{_bindir}/fr
ln -s %{_docdir}/%{name}/HISTORY %{buildroot}%{tcl_sitelib}/%{oname}/HISTORY

# Icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps

cp icons/filerunner-16x16.png  %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
cp icons/filerunner-32x32.png  %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
cp icons/filerunner-48x48.png  %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{summary}
Exec=fr
Icon=%{name}
Terminal=false
Type=Application
Categories=Network;FileTransfer;
EOF

# doc
mv doc/COPYING doc/FAQ doc/HISTORY doc/README doc/*.txt ../

# delete inotify binaries.
rm -fr %{buildroot}/%{tcl_sitelib}/FileRunner/packages/inotify

%files
%doc COPYING FAQ HISTORY README *.txt
%{tcl_sitelib}/%{oname}
%{_bindir}/fr
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
