Name:		filesystem
Version:	2.1.9
Release:	%mkrel 37
Summary:	The basic directory layout for a Linux system
License:	Public Domain
Group:		System/Base
URL:		https://www.mageia.org/

# Some files are owned by group daemon, mail (mga#9326). Do not remove before asking on dev ml:
Requires: setup

%description
The filesystem package is one of the basic packages that is installed on
a Mageia Linux system. Filesystem  contains the basic directory layout
for a Linux operating system, including the correct permissions for the
directories.

%install
cd %{buildroot}

mkdir -p mnt media boot
mkdir -p opt proc root sys tmp
mkdir -p home initrd srv

mkdir -p %{buildroot}%{_sysconfdir}/{profile.d,security,ssl,sysconfig,default,opt,xinetd.d,rwtab.d,statetab.d}

mkdir -p %{buildroot}%{_prefix}/{etc,src,lib}
mkdir -p %{buildroot}{%{_bindir},%{_libdir},%{_includedir},%{_sbindir},%{_datadir}}
mkdir -p %{buildroot}%{_datadir}/{misc,pixmaps,applications,desktop-directories,dict,doc,empty,fonts,appdata,licenses,metainfo,xsessions,thumbnailers}
mkdir -p %{buildroot}%{_datadir}/color/{icc,cmms,settings}
mkdir -p %{buildroot}%{_datadir}/mimelnk/application

ln -snf usr/bin
ln -snf usr/sbin
ln -snf usr/lib
ln -snf usr/%{_lib}

mkdir -p lib/modules

# man
mkdir -p %{buildroot}/%{_mandir}/man{1,2,3,4,5,6,7,8,9,n}
mkdir -p %{buildroot}/%{_infodir}
# games
mkdir -p %{buildroot}/{%{_gamesbindir},%{_gamesdatadir}}
mkdir -p %{buildroot}/{%{_libdir},%{_prefix}/lib}/games

mkdir -p %{buildroot}/%{_libdir}/gcc-lib
mkdir -p %{buildroot}/%{_prefix}/lib/gcc-lib

mkdir -p usr/local/{bin,doc,etc,games,lib,%{_lib},sbin,src,libexec,include}
mkdir -p usr/local/share/{applications,desktop-directories}
mkdir -p usr/local/share/{man/man{1,2,3,4,5,6,7,8,9,n},info}
mkdir -p usr/share/ppd

mkdir -p run
mkdir -p var/{local,log,nis,preserve,lib,empty}
mkdir -p var/spool/{mail,lpd}
mkdir -p var/lib/{games,misc,rpm-state}
mkdir -p var/{tmp,db,cache/man,opt,games,yp}

ln -snf ../run var/run
ln -snf ../run/lock var/lock

ln -snf ../var/tmp usr/tmp
ln -snf spool/mail var/mail

%pretrans -p <lua>
--# If we are running in pretrans in a fresh root, there is no /usr and
--# symlinks. We cannot be sure, to be the very first rpm in the
--# transaction list. Let's create the needed base directories and symlinks
--# here, to place the files from other packages in the right locations.
--# When our rpm is unpacked by cpio, it will set all permissions and modes
--# later.
posix.mkdir("/usr")
posix.mkdir("/usr/bin")
posix.mkdir("/usr/sbin")
posix.mkdir("/usr/lib")
posix.mkdir("/usr/lib/debug")
posix.mkdir("/usr/%{_lib}")
posix.symlink("usr/bin", "/bin")
posix.symlink("usr/sbin", "/sbin")
posix.symlink("usr/lib", "/lib")
posix.symlink("usr/bin", "/usr/lib/debug/bin")
posix.symlink("usr/lib", "/usr/lib/debug/lib")
posix.symlink("usr/%{_lib}", "/usr/lib/debug/%{_lib}")
posix.symlink("usr/sbin", "/usr/lib/debug/sbin")
posix.symlink("usr/%{_lib}", "/%{_lib}")
posix.mkdir("/run")
posix.symlink("../run", "/var/run")
posix.symlink("../run/lock", "/var/lock")
return 0


%files
%defattr(0755,root,root)
/bin
/boot
/etc
/home
/initrd
/lib
/srv
%if "%{_lib}" != "lib"
/%{_lib}
%endif
%_sysconfdir/xinetd.d
%dir %_sysconfdir/rwtab.d
%dir %_sysconfdir/statetab.d
%dir /media
%dir /mnt
%dir /opt
/proc
/sys
%attr(750,root,root) /root
/run
/sbin
%attr(1777,root,root) /tmp
%{_prefix}
%dir /var
/var/db
/var/lib
/var/local
/var/empty
/var/lock
/var/cache
/var/log
/var/mail
/var/nis
/var/opt
/var/preserve
/var/run
%dir /var/spool
%attr(0755,root,daemon) %dir /var/spool/lpd
%attr(775,root,mail) /var/spool/mail
%attr(1777,root,root) /var/tmp
/var/yp
