# comment out if not pre rel
#define prel	rc1

# rel for bumping
%define rel	1

Name:		filezilla
Version:	3.69.0
Release:	%mkrel %{?prel:0.%prel.}%{rel}
Summary:	Fast and reliable FTP client
Group:		Networking/File transfer
License:	GPLv2+
URL:		https://filezilla-project.org/
Source0:	https://download.filezilla-project.org/FileZilla_%{version}%{?prel:-%prel}_src.tar.xz
Patch0:		filezilla-3.51.0-mga-system-pugixml.patch
BuildRequires:	pkgconfig(cppunit)
BuildRequires:	pkgconfig(libidn)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(libfilezilla) >= 0.48.0
BuildRequires:	pkgconfig(nettle)
BuildRequires:	pkgconfig(pugixml)
BuildRequires:	boost-devel
BuildRequires:	wxgtk3.2-devel
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	xdg-utils

Requires:	xdg-utils

%description
FileZilla is a fast and reliable FTP, FTPS and SFTP client with lots
of useful features and an intuitive graphical user interface.

#--------------------------------------------------------------------
%prep
%setup -qn %{name}-%{version}%{?prel:-%prel}
%autopatch -p2

%build
autoreconf -vfi
%ifarch %ix86
export CPPFLAGS="-D_FORCE_SOFTWARE_SHA"
%endif
%configure \
		--disable-storj \
		--disable-autoupdatecheck \
		--disable-manualupdatecheck \
		--enable-locales \
		--with-dbus \
		--with-pugixml=system \
		--enable-gnutlssystemciphers \
		--with-wx-config=%{_bindir}/wx-config-3.2
%make_build

%install
%make_install

desktop-file-install --vendor='' \
	--dir=%{buildroot}%{_datadir}/applications \
	--add-category='GTK' \
	--add-category='X-Mageia-CrossDesktop'\
	%{buildroot}%{_datadir}/applications/*.desktop

find %{buildroot} -name '*.la' -delete
rm -r %{buildroot}%{_libdir}/libfzclient-private.so
rm -r %{buildroot}%{_libdir}/libfzclient-commonui-private.so

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_bindir}/%{name}
%{_bindir}/fzsftp
%{_bindir}/fzputtygen
%{_libdir}/libfzclient-private-%{version}.so
%{_libdir}/libfzclient-commonui-private-%{version}.so
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man*/*
