Summary:        Fish Fillets NG, a puzzle game with 70 levels
Name:           fillets-ng
Version:        1.0.1
Release:        %mkrel 17
License:        GPLv2+
Group:          Games/Puzzles
URL:            https://fillets.sourceforge.net/
Source0:        https://downloads.sourceforge.net/fillets/%{name}-%{version}.tar.gz
Source1:        %{name}-32.png
# https://sourceforge.net/p/fillets/bugs/7/
# Patch0:         fillets-ng-1.0.1-upstream-lua-5.2.patch
Patch0:		fillets-ng-lua-5.1.patch
Patch1:         fillets-ng-1.0.1-mga-system-sdl_gfx.patch

BuildRequires:  lua5.1-devel
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_gfx)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(SDL_ttf)
BuildRequires:  smpeg-devel
Requires:       %{name}-data >= %{version}

%description
Fish Fillets NG is strictly a puzzle game. The goal in every of the seventy
levels is always the same: find a safe way out. The fish utter witty remarks
about their surroundings, the various inhabitants of their underwater realm
quarrel among themselves or comment on the efforts of your fish. The whole
game is accompanied by quiet, comforting music.

%prep
%setup -q
%autopatch -p1
rm -rf src/SDL_gfx

%build
autoreconf -vfi
%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}/%{name}
%make_build

%install
%make_install

# Menu entry
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Fish Fillets NG
GenericName=Puzzle game
Comment=Puzzle game with 70 levels
Comment[fr]=Jeu de réflexion avec 70 niveaux
Comment[es]=Juego de mente con 70 niveles
Exec=fillets
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;LogicGame;
EOF

install -D -m644 %{_sourcedir}/%{name}-32.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png

%files
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_gamesbindir}/fillets
%{_mandir}/man6/fillets.6*
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
