Summary:	The GNU versions of find utilities (find and xargs)
Name:		findutils
Version:	4.10.0
Release:	%mkrel 1
License:	GPLv3
Group:		File tools
URL:		https://www.gnu.org/software/findutils/findutils.html
Source0:	https://ftp.gnu.org/gnu/findutils/%{name}-%{version}.tar.xz
Source1:	https://ftp.gnu.org/gnu/findutils/%{name}-%{version}.tar.xz.sig
# do not build locate
Patch1:		findutils-4.5.15-no-locate.patch
# add a new option -xautofs to find to not descend into directories on autofs
# file systems
Patch2:		findutils-4.4.2-xautofs.patch
# eliminate compile-time warnings
Patch3:		findutils-4.5.13-warnings.patch
# test-lock: disable the rwlock test
Patch4:		findutils-4.6.0-test-lock.patch
# implement the -noleaf option of find (#1252549)
Patch5:		findutils-4.6.0-leaf-opt.patch
# fix find not obeying -ignore_readdir_race in symlink_loop (#2232278)
Patch6:		findutils-4.9.0-ignore_readdir_race-symlink_loop.patch
Requires(pre):	filesystem >= 2.1.9-18
BuildRequires:	gettext-devel
BuildRequires:	texinfo

%description
The findutils package contains programs which will help you locate
files on your system.  The find utility searches through a hierarchy
of directories looking for files which match a certain set of criteria
(such as a filename pattern). The xargs utility builds and executes
command lines from standard input arguments (usually lists of file
names generated by the find command).

You should install findutils because it includes tools that are very
useful for finding things on your system.

%prep
%setup -q
rm -rf locate
%autopatch -p1

%build
# needed because of findutils-4.5.15-no-locate.patch
autoreconf -vfi
%configure \
	--disable-rpath \
	--enable-leaf-optimisation \
	--enable-d_type-optimization

%make_build

%check
%make_build check

%install
%make_install

%{find_lang} %{name}

%files -f %{name}.lang
%doc NEWS README
%{_bindir}/find
%{_bindir}/xargs
%{_mandir}/man1/find.1*
%{_mandir}/man1/xargs.1*
%{_infodir}/find*
