Summary:	The finger client
Name:		finger
Version:	0.17
Release:	%mkrel 24
License:	BSD
Group:		Networking/Other
URL:		https://ibiblio.org/pub/Linux/system/network/finger/
Source0:	https://ibiblio.org/pub/Linux/system/network/finger/bsd-finger-%{version}.tar.bz2
Source1:	finger.xinetd
# FC patches:
Patch1:		bsd-finger-0.16-pts.patch
Patch2:		bsd-finger-0.17-exact.patch
Patch3:		bsd-finger-0.16-allocbroken.patch
Patch4:		bsd-finger-0.17-rfc742.patch
Patch5:		bsd-finger-0.17-time.patch
Patch6:		bsd-finger-0.17-usagi-ipv6.patch
Patch7:		bsd-finger-0.17-typo.patch
Patch8:		bsd-finger-0.17-strip.patch
Patch9:		bsd-finger-0.17-utmp.patch
Patch10:	bsd-finger-wide-char-support5.patch
Patch11:	bsd-finger-0.17-init-realname.patch
Patch12:	bsd-finger-0.17-host-info.patch
Patch13:	bsd-finger-0.17-match_sigsegv.patch
Patch14:	bsd-finger-0.17-man_page_systemd.patch
Patch15:	bsd-finger-0.17-coverity-bugs.patch
Patch50:	bsd-finger-0.17-glibc-2.2.2.patch

%description
Finger is a utility which allows users to see information about system users
(login name, home directory, name, how long they've been logged in to the
system, etc.). The finger package includes a standard finger client.

You should install finger if you'd like to retrieve finger information from
other systems.

%package	server
Summary:	The finger daemon
Group:		System/Servers
Requires(post): xinetd
Requires(postun): xinetd

%description	server
Finger is a utility which allows users to see information about system users
(login name, home directory, name, how long they've been logged in to the
system, etc.). The finger-server package includes a standard finger server. The
server daemon (fingerd) runs from /etc/inetd.conf, which must be modified to
disable finger requests.

You should install finger-server if your system is used by multiple users and
you'd like finger information to be available.

%prep

%setup -q -n bsd-finger-%{version}
%patch -P 1 -p1 -b .pts
%patch -P 2 -p1 -b .exact
%patch -P 3 -p1
%patch -P 4 -p1 -b .rfc742
%patch -P 5 -p1 -b .time
%patch -P 6 -p1 -b .ipv6
%patch -P 7 -p1 -b .typo
%patch -P 8 -p1 -b .strip
%patch -P 9 -p1 -b .utmp
%patch -P 10 -p1 -b .widechar
%patch -P 11 -p1 
%patch -P 12 -p1 -b .host
%patch -P 13 -p1 -b .match_sigsegv
%patch -P 14 -p1 -b .systemd
%patch -P 15 -p1 -b .coverity

%build
sh configure
perl -pi -e '
    s,^CC=.*$,CC=cc,;
    s,-O2,\$(RPM_OPT_FLAGS),;
    s,^BINDIR=.*$,BINDIR=%{_bindir},;
    s,^MANDIR=.*$,MANDIR=%{_mandir},;
    s,^SBINDIR=.*$,SBINDIR=%{_sbindir},;
    ' MCONFIG
%make_build

%install
mkdir -p %{buildroot}/{%{_bindir},%{_sbindir},%{_mandir}/man{1,8}}

install -D -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/xinetd.d/finger

make INSTALLROOT=%{buildroot} install

%post server
/sbin/service xinetd reload > /dev/null 2>&1 || :

%postun server
/sbin/service xinetd reload > /dev/null 2>&1 || :

%files
%{_bindir}/finger
%{_mandir}/man1/finger.1*

%files server
%config(noreplace) %{_sysconfdir}/xinetd.d/finger
%{_sbindir}/in.fingerd
%{_mandir}/man8/in.fingerd.8*
%{_mandir}/man8/fingerd.8*




