# Bitbucket hardcodes commit hash even in tag tarballs...
%define tarname JohnGabrielUK-fire-and-fondness
%define commit  b11242481aa0

Name:           fire-and-fondness
Version:        1.0.0
Release:        %mkrel 4
Summary:        Short game about finding love in burning buildings
Group:          Games/Puzzles
License:        MIT
URL:            https://johngabrieluk.itch.io/fire-and-fondness-enhanced-edition
Source0:        https://bitbucket.org/JohnGabrielUK/fire-and-fondness/get/%{version}.tar.bz2#/%{tarname}-%{commit}.tar.bz2

BuildArch:      noarch
BuildRequires:  godot3-headless
Requires:       godot3-runner

%description
The world's number one fire-based relationship-testing simulator
returns, better than ever.

As is well-documented, 21st century couples would prove their devotion
to each other by locking themselves in burning buildings. The Fire and
Fondness Corporation is pleased to offer an authentic enactment of this
ages-old ritual.

%prep
%autosetup -p1 -n %{tarname}-%{commit}

%build
godot3-headless --export-pack "Linux/X11" %{name}.pck

%install
install -D -m644 %{name}.pck %{buildroot}%{_gamesdatadir}/%{name}/%{name}.pck

cat << EOF > %{name}.sh
#!/bin/sh
GAMENAME=%{name}
GAMEDIR=%{_gamesdatadir}/\${GAMENAME}
exec godot3-runner --path \${GAMEDIR} --main-pack \${GAMEDIR}/\${GAMENAME}.pck "$@"
EOF
install -D -m755 %{name}.sh %{buildroot}%{_gamesbindir}/%{name}

install -D -m644 icon.png %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Fire and Fondness
GenericName=Turn-based puzzle game
Comment=Short game about finding love in burning buildings
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;LogicGame;
EOF

%files
%doc README.md
%license LICENSE
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/64x64/apps/%{name}.png
