%define         oversion 4.0.5

%define         pkgversion Firebird-%{version}-0

%define         somajor           2
%define         libfbclient       %mklibname fbclient %{somajor}
%define         libfbclient_devel %mklibname fbclient -d

Summary:        Firebird SQL database management system
Name:           firebird
Version:        %{oversion}.3140
Release:        %mkrel 1
Group:          Databases
License:        MPLv1.1-like
URL:            https://www.firebirdsql.org/
Source0:        https://github.com/FirebirdSQL/firebird/releases/download/v%{oversion}/%{pkgversion}.tar.xz
Source1:        firebird-logrotate
Source2:        README.Mageia
Source3:        firebird.service
Source4:        fb_config

# from OpenSuse
Patch101:       add-pkgconfig-files.patch

# from Debian to be sent upstream
Patch203:       no-copy-from-icu.patch
Patch205:       cloop-honour-build-flags.patch

# from upstream
Patch301:       c++17.patch
Patch302:       noexcept.patch

BuildRequires:  pkgconfig(libtommath)
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  libtermcap-devel
BuildRequires:  icu-devel
BuildRequires:  pkgconfig(libedit)
BuildRequires:  libstdc++-static-devel
BuildRequires:  pkgconfig(atomic_ops)
BuildRequires:  chrpath
BuildRequires:  pkgconfig(zlib)
BuildRequires:  procmail
BuildRequires:  pkgconfig(libtomcrypt)
BuildRequires:  unzip
BuildRequires:  sed

Requires(post):   systemd >= %{systemd_required_version}
Requires(pre):    rpm-helper
Requires(postun): rpm-helper

Requires:       %{libfbclient} = %{version}-%{release}
Requires:       libib-util = %{version}-%{release}
Requires:       %{name}-utils = %{version}-%{release}

%description
Firebird is a relational database offering many ANSI SQL standard
features that runs on Linux, Windows, and a variety of Unix platforms.
Firebird offers excellent concurrency, high performance, and powerful
language support for stored procedures and triggers. It has been used
in production systems, under a variety of names, since 1981.


%package devel
Group:          Development/Databases
Requires:       %{name} = %{version}-%{release}
Summary:        UDF support library for Firebird SQL server

%description devel
This package is needed for development of client applications and user
defined functions (UDF) for Firebird SQL server.

Firebird is a relational database offering many ANSI SQL standard
features that runs on Linux, Windows, and a variety of Unix platforms.
Firebird offers excellent concurrency, high performance, and powerful
language support for stored procedures and triggers. It has been used
in production systems, under a variety of names, since 1981.


%package -n libib-util
Group:          System/Libraries
Summary:        Firebird SQL UDF support library

%description -n libib-util
libib_util contains utility functions used by
User-Defined Functions (UDF) for memory management etc.

Firebird is a relational database offering many ANSI SQL standard
features that runs on Linux, Windows, and a variety of Unix platforms.
Firebird offers excellent concurrency, high performance, and powerful
language support for stored procedures and triggers. It has been used
in production systems, under a variety of names, since 1981.


%package -n %{libfbclient}
Group:          System/Libraries
Summary:        Firebird SQL server client library

%description -n %{libfbclient}
Shared client library for Firebird SQL server.

Firebird is a relational database offering many ANSI SQL standard
features that runs on Linux, Windows, and a variety of Unix platforms.
Firebird offers excellent concurrency, high performance, and powerful
language support for stored procedures and triggers. It has been used
in production systems, under a variety of names, since 1981.


%package -n %{libfbclient_devel}
Group:          System/Libraries
Summary:        Development libraries and headers for Firebird SQL server
Requires:       %{name}-devel = %{version}-%{release}
Requires:       %{libfbclient} = %{version}-%{release}

%description -n %{libfbclient_devel}
Development files for Firebird SQL server client library.

Firebird is a relational database offering many ANSI SQL standard
features that runs on Linux, Windows, and a variety of Unix platforms.
Firebird offers excellent concurrency, high performance, and powerful
language support for stored procedures and triggers. It has been used
in production systems, under a variety of names, since 1981.


%package doc
Group:          Databases
Requires:       %{name} = %{version}-%{release}
Summary:        Documentation for Firebird SQL server
BuildArch:      noarch

%description doc
Documentation for Firebird SQL server.

Firebird is a relational database offering many ANSI SQL standard
features that runs on Linux, Windows, and a variety of Unix platforms.
Firebird offers excellent concurrency, high performance, and powerful
language support for stored procedures and triggers. It has been used
in production systems, under a variety of names, since 1981.


%package utils
Group:          Databases
Requires:       %{libfbclient} = %{version}-%{release}
Summary:        Firebird SQL user utilities

%description utils
Firebird SQL user utilities.

Firebird is a relational database offering many ANSI SQL standard
features that runs on Linux, Windows, and a variety of Unix platforms.
Firebird offers excellent concurrency, high performance, and powerful
language support for stored procedures and triggers. It has been used
in production systems, under a variety of names, since 1981.


%package examples
Group:          Databases
Requires:       %{name}-doc = %{version}-%{release}
Summary:        Examples for Firebird SQL server
BuildArch:      noarch

%description examples
Examples for Firebird SQL server.

Firebird is a relational database offering many ANSI SQL standard
features that runs on Linux, Windows, and a variety of Unix platforms.
Firebird offers excellent concurrency, high performance, and powerful
language support for stored procedures and triggers. It has been used
in production systems, under a variety of names, since 1981.


%prep
%autosetup -p1 -n %{pkgversion}

%build
export CXXFLAGS="%{optflags} -fno-delete-null-pointer-checks"
NOCONFIGURE=1 ./autogen.sh
%configure --disable-rpath --prefix=%{_prefix} \
  --with-system-editline \
  --with-fbbin=%{_bindir} --with-fbsbin=%{_sbindir} \
  --with-fbconf=%{_sysconfdir}/%{name} \
  --with-fblib=%{_libdir} --with-fbinclude=%{_includedir} \
  --with-fbdoc=%{_defaultdocdir}/%{name} \
  --with-fbsample=%{_defaultdocdir}/%{name}/sample \
  --with-fbsample-db=%{_sharedstatedir}/%{name}/data \
  --with-fbhelp=%{_sharedstatedir}/%{name}/system \
  --with-fbintl=%{_libdir}/%{name}/intl \
  --with-fbmisc=%{_datadir}/%{name}/misc \
  --with-fbsecure-db=%{_sharedstatedir}/%{name}/secdb \
  --with-fbmsg=%{_sharedstatedir}/%{name}/system \
  --with-fblog=%{_logdir}/%{name} \
  --with-fbglock=%{_rundir}/%{name} \
  --with-fbplugins=%{_libdir}/%{name}/plugins \
  --with-fbtzdata=%{_sharedstatedir}/%{name}/tzdata

%make_build
cd gen
sed -i '/linkFiles "/d' ./install/makeInstallImage.sh
./install/makeInstallImage.sh
chmod -R u+w buildroot%{_docdir}/%{name}

%install
chmod u+rw,a+rx gen/buildroot/%{_includedir}/firebird/impl
cp -r gen/buildroot/* ${RPM_BUILD_ROOT}/
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/pkgconfig
cp -v gen/install/misc/*.pc ${RPM_BUILD_ROOT}%{_libdir}/pkgconfig/

cd ${RPM_BUILD_ROOT}
rm -vf .%{_sbindir}/*.sh
mv -v .%{_sbindir}/fb_config .%{_libdir}/
install -p -m 0755 %{SOURCE4} %{buildroot}%{_sbindir}/fb_config
rm -vf .%{_includedir}/perf.h
rm -vf .%{_libdir}/libicu*.so
chmod -R u+w .%{_docdir}/%{name}
mv -v .%{_datadir}/%{name}/misc/upgrade/udf/* .%{_docdir}/%{name}/
rm -rvf .%{_datadir}/%{name}/misc
mv -v .%{_sysconfdir}/%{name}/README.md .%{_sysconfdir}/%{name}/CHANGELOG.md \
  .%{_docdir}/%{name}/
mv -v .%{_sysconfdir}/%{name}/IDPLicense.txt .%{_docdir}/%{name}/
mv -v .%{_sysconfdir}/%{name}/IPLicense.txt .%{_docdir}/%{name}/
install -p -m 0644 -D %{SOURCE2} .%{_docdir}/%{name}/README.Mageia
mv -v .%{_bindir}/gstat .%{_bindir}/gstat-fb
mv -v .%{_bindir}/isql .%{_bindir}/isql-fb
rm -rvf .%{_defaultdocdir}/%{name}/sample/prebuilt

mkdir -p .%{_logdir}/%{name}
mkdir -p .%{_sysconfdir}/logrotate.d
echo 1 > .%{_logdir}/%{name}/%{name}.log
sed "s@%{name}.log@%{_logdir}/%{name}/%{name}.log@g" %{SOURCE1} > .%{_sysconfdir}/logrotate.d/%{name}

mkdir -p .%{_unitdir}
cp -f %{SOURCE3} .%{_unitdir}/%{name}.service


%pre
# Create the firebird user and group if it doesn't exist
%_pre_useradd %{name} %{_sharedstatedir}/%{name}/data /sbin/nologin

# Add gds_db to /etc/services if needed
FileName=/etc/services
newLine="gds_db 3050/tcp  # Firebird SQL Database Remote Protocol"
oldLine=`grep "^gds_db" $FileName`
if [ -z "$oldLine" ]; then
 echo $newLine >> $FileName
fi


%post
%_post_service %{name}


%preun
%_preun_service %{name}


%files
%{_docdir}/%{name}/IDPLicense.txt
%{_docdir}/%{name}/IPLicense.txt
%{_docdir}/%{name}/README.Mageia
%{_bindir}/fbtracemgr
%{_sbindir}/firebird
%{_sbindir}/fbguard
%{_sbindir}/fb_lock_print
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/databases.conf
%config(noreplace) %{_sysconfdir}/%{name}/fbtrace.conf
%config(noreplace) %{_sysconfdir}/%{name}/firebird.conf
%config(noreplace) %{_sysconfdir}/%{name}/plugins.conf
%config(noreplace) %{_sysconfdir}/%{name}/replication.conf
%dir %{_libdir}/%{name}
%dir %{_datadir}/%{name}
%{_libdir}/%{name}/intl
%{_libdir}/%{name}/plugins

%dir %{_sharedstatedir}/%{name}
%dir %attr(0700,%{name},%{name}) %{_sharedstatedir}/%{name}/secdb
%dir %attr(0700,%{name},%{name}) %{_sharedstatedir}/%{name}/data
%dir %attr(0755,%{name},%{name}) %{_sharedstatedir}/%{name}/system
%dir %attr(0755,%{name},%{name}) %{_sharedstatedir}/%{name}/tzdata
%attr(0600,firebird,firebird) %config(noreplace) %{_sharedstatedir}/%{name}/secdb/security4.fdb
%attr(0644,firebird,firebird) %{_sharedstatedir}/%{name}/system/help.fdb
%attr(0644,firebird,firebird) %{_sharedstatedir}/%{name}/system/firebird.msg
%attr(0644,firebird,firebird) %{_sharedstatedir}/%{name}/tzdata/*.res
%ghost %dir %attr(0775,%{name},%{name}) %{_rundir}/%{name}
%ghost %attr(0644,%{name},%{name}) %{_rundir}/%{name}/fb_guard
%dir %{_logdir}/%{name}
%config(noreplace) %attr(0664,%{name},%{name})  %{_logdir}/%{name}/%{name}.log
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/logrotate.d/%{name}

%attr(0644,root,root) %{_unitdir}/%{name}.service


%files devel
%{_includedir}/*.h
%{_includedir}/%{name}
%{_libdir}/fb_config
%{_sbindir}/fb_config


%files -n %{libfbclient}
%{_libdir}/libfbclient.so.%{somajor}
%{_libdir}/libfbclient.so.%{oversion}

%files -n %{libfbclient_devel}
%{_libdir}/libfbclient.so
%{_libdir}/pkgconfig/fbclient.pc


%files -n libib-util
%{_libdir}/libib_util.so


%files doc
%{_docdir}/%{name}
%exclude %{_docdir}/%{name}/sample
%exclude %{_docdir}/%{name}/IDPLicense.txt
%exclude %{_docdir}/%{name}/IPLicense.txt


%files utils
%{_bindir}/gstat-fb
%{_bindir}/fbsvcmgr
%{_bindir}/gbak
%{_bindir}/gfix
%{_bindir}/gpre
%{_bindir}/gsec
%{_bindir}/isql-fb
%{_bindir}/nbackup
%{_bindir}/qli
%{_bindir}/gsplit


%files examples
%{_docdir}/%{name}/sample
%attr(0660,%{name},%{name}) %{_sharedstatedir}/%{name}/data/employee.fdb

