# Lookout for change the version number and the channel
%define minor	a2
%define hgrev	hg20130310r128546
%define realver %{version}~%{minor}~%{hgrev}
# (tpg) MOZILLA_FIVE_HOME
%define mozillalibdir %{_libdir}/%{name}-%{version}~%{minor}
%define firefox_channel aurora

# Disable debug rpms (breaks build):
%define _enable_debug_packages  %{nil}
%define debug_package           %{nil}


Summary:    Mozilla Firefox web browser
Name:       firefox-%{firefox_channel}
Version:    21.0
Release:    %mkrel 0.a2.%{hgrev}.2
License:    MPLv1+
Group:      Networking/WWW
Url:        https://www.firefox.com/
Source0:    http://ppa.launchpad.net/ubuntu-mozilla-daily/firefox-aurora/ubuntu/pool/main/f/firefox/firefox_%{realver}.orig.tar.bz2
# Aurora releases has no signature
Source4:    %{name}.desktop
Source8:    firefox-searchengines-duckduckgo.xml
Source9:    kde.js
Patch1:     firefox-lang.patch
Patch2:     firefox-vendor.patch
Patch3:     firefox-aurora-disable-check-default-browser.patch
# Removed for now
Patch4:     firefox-kde.patch
Patch41:    mozilla-kde.patch
# (OpenSuse) add patch to make firefox always use /usr/bin/firefox when "make firefox
# the default web browser" is used fix mdv bug#58784
Patch5:     firefox-3.6.3-appname.patch
# (cjw) use system virtualenv
Patch7:		iceape-2.12-system-virtualenv.patch
# (tv) fix build with system cairo (https://bugzilla.mozilla.org/show_bug.cgi?id=722975)
Patch10:	722975.patch


BuildRequires:	gtk+2-devel
BuildRequires:	unzip
BuildRequires:	zip
BuildRequires:	libxinerama-devel
BuildRequires:	libjpeg-devel
BuildRequires:	zlib-devel
BuildRequires:	glib2-devel
BuildRequires:	libIDL2-devel
BuildRequires:	makedepend
BuildRequires:	nss-devel >= 2:3.14
BuildRequires:	nss-static-devel
BuildRequires:	nspr-devel >= 2:4.9.3
BuildRequires:	startup-notification-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	python
BuildRequires:	libsqlite3-devel >= 3.7.0.1-2
%ifnarch %arm %mips
BuildRequires:	valgrind
BuildRequires:	java-rpmbuild
BuildRequires: yasm >= 1.0.1
%endif
%ifarch %arm
BuildRequires:	libffi-devel
%endif
BuildRequires:	rootcerts
BuildRequires:	libxt-devel
BuildRequires:	hunspell-devel
BuildRequires:	doxygen
BuildRequires:	pkgconfig(libproxy-1.0)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	wget
BuildRequires:	libnotify-devel
BuildRequires:	libpng-devel
BuildRequires:	cairo-devel >= 1.10
BuildRequires:	mesagl-devel
BuildRequires:	libvpx-devel
BuildRequires:	autoconf2.1
BuildRequires:	libiw-devel
BuildRequires:  python-setuptools
BuildRequires:	python-virtualenv
BuildRequires:	gstreamer0.10-devel
BuildRequires:	libgstreamer0.10-plugins-base-devel
BuildRequires:  pkgconfig(opus)
Provides:   webclient
#Requires:  indexhtml
Requires:       xdg-utils
%define ff_deps myspell-en_US nspluginwrapper
Recommends:   %{ff_deps}

%description
Mozilla Firefox is a web browser

%package    devel
Summary:    Development files for %{name}
Group:      Development/Other

%description    devel
Files and macros mainly for building Firefox extensions.

%prep
%setup -qn firefox-%{realver}

# disabled for tests
#%patch -P 1 -p1 -b .lang rediff
%patch -P 2 -p1 -b .vendor
%patch -P 3 -p1 -b .defaultbrowser

#patch -P 7 -p2 -b .system-virtualenv
%patch -P 10 -p1 -b .cairo

# (tpg) remove ff bookmarks, use mdv ones
rm -rf browser/locales/en-US/profile/bookmarks.html
touch browser/locales/en-US/profile/bookmarks.html

# needed to regenerate certdata.c
pushd security/nss/lib/ckfw/builtins
perl ./certdata.perl < /etc/pki/tls/mozilla/certdata.txt
popd

# try to fix build:
rm -f python/virtualenv/virtualenv.pyc


%build

# (gmoro) please dont enable all options by hand
# we need to trust firefox defaults
export MOZCONFIG=$PWD/mozconfig
cat << EOF > $MOZCONFIG
mk_add_options MOZILLA_OFFICIAL=1
mk_add_options BUILD_OFFICIAL=1
mk_add_options MOZ_MAKE_FLAGS="%{_smp_mflags}"
mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/../obj
ac_add_options --host=%{_host}
ac_add_options --target=%{_target_platform}
ac_add_options --enable-optimize="%{optflags}"
ac_add_options --prefix="%{_prefix}"
ac_add_options --libdir="%{_libdir}"
ac_add_options --sysconfdir="%{_sysconfdir}"
ac_add_options --mandir="%{_mandir}"
ac_add_options --includedir="%{_includedir}"
ac_add_options --datadir="%{_datadir}"
ac_add_options --with-system-nspr
#ac_add_options --with-system-nss
ac_add_options --with-system-zlib
ac_add_options --with-system-libvpx
ac_add_options --enable-webm
ac_add_options --enable-gstreamer
ac_add_options --enable-gio
ac_add_options --disable-gnomevfs
ac_add_options --disable-installer
ac_add_options --disable-updater
ac_add_options --disable-tests
ac_add_options --disable-debug
ac_add_options --with-branding=browser/branding/aurora/
ac_add_options --enable-libproxy
ac_add_options --with-system-png
ac_add_options --with-system-jpeg

ac_add_options --enable-system-cairo
ac_add_options --enable-system-sqlite
ac_add_options --enable-startup-notification
ac_add_options --enable-xinerama
ac_add_options --with-distribution-id=org.mageia
ac_add_options --disable-crashreporter
ac_add_options --with-valgrind 
ac_add_options --with-java-include-path=%{java_home}/include 
ac_add_options --with-java-bin-path=%{java_home}/bin 
ac_add_options --enable-opus
EOF

make -f client.mk build

%install

make -C %{_builddir}/obj/browser/installer STRIP=/bin/true

# Copy files to buildroot
%{__mkdir_p} %{buildroot}%{mozillalibdir}
cp -rf %{_builddir}/obj/dist/firefox/* %{buildroot}%{mozillalibdir}

%{__mkdir_p}  %{buildroot}%{_bindir}
ln -sf %{mozillalibdir}/firefox %{buildroot}%{_bindir}/firefox-%{firefox_channel}

# (tpg) desktop entry
%{__mkdir_p} %{buildroot}%{_datadir}/applications
install -m 644 %{SOURCE4} %{buildroot}%{_datadir}/applications/firefox-%{firefox_channel}.desktop

# (gmoro) icons
%{__cp} %{buildroot}%{mozillalibdir}/chrome/icons/default/default16.png %{buildroot}/%{mozillalibdir}/icons/
for i in 16 32 48 ; do
%{__mkdir_p} %{buildroot}%{_iconsdir}/hicolor/"$i"x"$i"/apps
cp browser/branding/%{firefox_channel}/default$i.png %{buildroot}%{_iconsdir}/hicolor/"$i"x"$i"/apps/firefox-%{firefox_channel}.png ;
done

# exclusions
rm -f %{buildroot}%{mozillalibdir}/README.txt
rm -f %{buildroot}%{mozillalibdir}/removed-files
rm -f %{buildroot}%{mozillalibdir}/precomplete

install -D -m644 browser/app/profile/prefs.js %{buildroot}%{mozillalibdir}/defaults/profile/prefs.js
cat << EOF >> %{buildroot}%{mozillalibdir}/defaults/profile/prefs.js
user_pref("browser.EULA.override", true);
user_pref("browser.shell.checkDefaultBrowser", false);
user_pref("browser.startup.homepage", "file:///usr/share/indexhtml/index.html");
user_pref("app.update.auto", false);
user_pref("app.update.enabled", false);
user_pref("app.update.autoInstallEnabled", false);
user_pref("browser.showQuitWarning", true);
EOF

# (lm) touch and %ghost bookmarks.html to a proper uninstall
touch %{buildroot}%{mozillalibdir}/defaults/profile/bookmarks.html

%find_lang %{name}

mkdir -p %{buildroot}%{rpmmacrodir}
cat <<FIN >%{buildroot}%{rpmmacrodir}/macros.%{name}

# Macros from %{name} package
%%firefox_major              %{version}
%%firefox_version            %{version}
%%firefox_appid              \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
%%firefox_extdir             %%(if [ "%%_target_cpu" = "noarch" ]; then echo %%{_datadir}/mozilla/extensions/%%{firefox_appid}; else echo %%{_libdir}/mozilla/extensions/%%{firefox_appid}; fi)
FIN

cp -f %{SOURCE8} %{buildroot}%{mozillalibdir}/searchplugins/duckduckgo.xml

%post
if [ ! -r /etc/sysconfig/oem ]; then
  case `grep META_CLASS /etc/sysconfig/system` in
    *powerpack) bookmark="mozilla-powerpack.html" ;;
    *desktop) bookmark="mozilla-one.html";;
    *) bookmark="mozilla-download.html";;
  esac
  ln -s -f ../../../../share/mga/bookmarks/mozilla/$bookmark  %{mozillalibdir}/defaults/profile/bookmarks.html
fi

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/firefox-%{firefox_channel}
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/applications/*.desktop
%{mozillalibdir}*
%ghost %{mozillalibdir}/defaults/profile/bookmarks.html

%files devel
%{rpmmacrodir}/macros.%{name}


