Summary: Advanced proxy management tool for firefox
Name: firefox-ext-foxyproxy
Version: 4.2.1
Release: %mkrel 3
License: BSD
Group:	Networking/WWW
URL:	https://addons.mozilla.org/en-US/firefox/addon/foxyproxy-standard/
Source: https://addons.mozilla.org/firefox/downloads/file/214524/foxyproxy_standard-%{version}-tb+fx+sm.xpi
Requires:	mozilla-firefox => %{firefox_epoch}:%{firefox_version}
BuildRequires:	firefox-devel 
BuildRequires:	zip
Buildarch: noarch

%description
FoxyProxy is an advanced proxy management tool that completely replaces
Firefox's limited proxying capabilities.

FoxyProxy is a Firefox extension which automatically switches an internet
connection across one or more proxy servers based on URL patterns. Put simply,
FoxyProxy automates the manual process of editing Firefox's Connection Settings
dialog. Proxy server switching occurs based on the loading URL and the
switching rules you define.

Animated icons show you when a proxy is in use. Advanced logging shows you
which proxies were used and when. QuickAdd makes it a snap to create new URL
patterns on-the-fly. FoxyProxy is fully compatible with Portable Firefox, has
better support for PAC files than Firefox itself, and is translated into more
than 25 languages.

%prep
%setup -q -c -n %{name}-%{version}

%build

%install
mkdir -p %{buildroot}%{firefox_extdir}

hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{firefox_extdir}/"
mkdir -p "%{buildroot}$extdir"
cp -af %SOURCE0 .
zip -9 *xpi install.rdf
install -m 644 *xpi "%{buildroot}$extdir/$hash.xpi"


%files
%defattr(0644,root,root,0755)
%{firefox_extdir}/*
