# don't provide private .so
%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}%{_libdir}/%{name}/.*\\.so

Name:		firejail
Summary:	SUID sandbox program
Version:	0.9.74
Release:	%mkrel 1
License:	GPLv2
Group:		System/Base
Url:		https://firejail.wordpress.com/
Source0:	https://download.sourceforge.net/firejail/firejail-%{version}.tar.xz
BuildRequires:	dos2unix
Requires:	python3

%description
Firejail is a SUID program that reduces the risk of security breaches by
restricting the running environment of untrusted applications using Linux
namespaces and seccomp-bpf. It allows a process and all its descendants to
have their own private view of the globally shared kernel resources, such
as the network stack, process table, mount table.

%prep
%autosetup -p1

# fix shebang
dos2unix contrib/*.py
%py_shebang_fix contrib

%build
%configure
%make_build

%install
%make_install

# handle docs in files section
rm -rf %{buildroot}%{_docdir}

%files
%license COPYING
%doc README RELNOTES
%dir %{_sysconfdir}/firejail/
%config %{_sysconfdir}/firejail/*
%{_datadir}/bash-completion/completions/fire*
%{_datadir}/zsh/site-functions/_firejail
%{_datadir}/vim/vimfiles/*/firejail.vim
%{_datadir}/gtksourceview-5/language-specs/firejail-profile.lang
%{_mandir}/man?/{fire,jail}*.?*
%{_bindir}/{fire,jail}*
%{_libdir}/firejail/
