Name:		firetools
Summary:	Graphical user interface for Firajail
Version:	0.9.72
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Base
Url:		https://firejail.wordpress.com/
Source0:	https://download.sourceforge.net/firejail/firetools-%{version}.tar.xz
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
Requires:	firejail
Requires:	%{_lib}qt5svg5

%description
Firetools is a GUI application for Firejail. It offers a system tray launcher
for sandboxed apps, sandbox editing, management, and statistics. The software
package also includes a sandbox configuration wizard, firejail-ui.

%prep
%autosetup -p1

# fix libdir
sed -i -e 's#/$(PREFIX)/lib#%{_libdir}#g' Makefile.in

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

# handle docs in files section
rm -rf %{buildroot}%{_docdir}

%files
%license COPYING
%doc README RELNOTES
%{_bindir}/fire*
%{_libdir}/firetools/
%{_datadir}/applications/fire*.desktop
%{_mandir}/man?/fire*.?*
%{_datadir}/pixmaps/fire*.png
