Name:       fish
Version:    3.7.1
Release:    %mkrel 1
Summary:    Smart and user-friendly command line shell
Group:      Shells
License:    GPLv2
Url:        https://fishshell.com/
Source:     https://github.com/fish-shell/fish-shell/releases/download/%{version}/fish-%{version}.tar.xz
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pcre2-devel
BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  doxygen
BuildRequires:  intltool
BuildRequires:  gettext-devel
# fish's 'math' command requires bc
Requires:   bc
# for fish_update_completions script
Recommends:   man-db
Recommends:   python-backports-lzma

%description
fish is a fully-equipped command line shell (like bash or zsh) that is smart
and user-friendly. fish supports powerful features like syntax highlighting,
autosuggestions, and tab completions that just work, with nothing to learn
or configure.

%prep
%autosetup

#build against system pcre2
rm -rf pcre2*

%build
%cmake -GNinja
%cmake_build

%install
%cmake_install

#create conf.d
mkdir -p %{buildroot}%{_sysconfdir}/fish/conf.d

# remove unneeded pkgconfig .pc file
rm -rf %{buildroot}%{_datadir}/pkgconfig/fish.pc

rm -rf %{buildroot}%{_docdir}/%{name}/.buildinfo

%find_lang %{name}

%post
%{_rpm_helper_dir}/add-shell %{name} $1 %{_bindir}/fish

%postun
%{_rpm_helper_dir}/del-shell %{name} $1 %{_bindir}/fish

%files -f %{name}.lang
%doc CONTRIBUTING.rst README.rst CHANGELOG.rst
%doc user_doc/html/*
%dir %{_sysconfdir}/fish/
%dir %{_sysconfdir}/fish/conf.d/
%config(noreplace) %{_sysconfdir}/fish/config.fish
%{_bindir}/fish
%{_bindir}/fish_indent
%{_bindir}/fish_key_reader
%{_datadir}/%{name}/
%{_datadir}/applications/fish.desktop
%{_datadir}/pixmaps/fish.png
%{_mandir}/man1/fish.1*
%{_mandir}/man1/fish_indent.1*
%{_mandir}/man1/fish_key_reader.1*
