Name:		flacon
Version:	12.0.0
Release:	%mkrel 1
Summary:	Audio file splitter and converter
License:	LGPLv2+
Group:		Sound/Editors and Converters
URL:		https://flacon.github.io/
Source0:	https://github.com/flacon/flacon/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	qttools6
BuildRequires:	pkgconfig(uchardet)
BuildRequires:	pkgconfig(taglib)
BuildRequires:	pkgconfig(yaml-cpp)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)

Recommends:	alacenc
Recommends:	flac
Recommends:	lame
Recommends:	mac
Recommends:	mp3gain
Recommends:	opus-tools
Recommends:	ttaenc
Recommends:	vorbis-tools
Recommends:	vorbisgain
Recommends:	wavpack
#the following are optional de-/encoders, kept only as reminder, DO NOT REMOVE!
#ttaenc		TrueAudio
#mac		MonkeyAudio / APE


%description
Flacon extracts individual tracks from one big audio file containing the entire
album of music and saves them as separate audio files. To do this, it uses
information from the appropriate CUE file. Besides, Flacon makes it possible to
conveniently revise or specify tags both for all tracks at once or for each tag
separately.

Features:

    *Supported input formats: WAV, FLAC, APE, WavPack, True Audio (TTA).
    *Supported out formats: FLAC, WAV, WavPack, AAC, OGG or MP3.
    *Replay Gain analysis (album-gain and track-gain modes).
    *Multi-threaded conversion process.
    *Automatic character set detection for CUE files.
    *Generation of the per-track CUE file in the output dir.

%prep
%setup -q

%build
%cmake_qt6 \
	-DUSE_QT6=ON \
	-DBUILD_TESTS=Yes
%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.svg
%{_metainfodir}/com.github.Flacon.metainfo.xml
%{_mandir}/man1/%{name}.1.*
