Name:           flam3
Version:        3.1.1
Release:        %mkrel 7
Summary:        Programs to generate and render cosmic recursive fractal flames

Group:          Graphics/Editors and Converters
License:        GPLv2+
URL:            https://www.flam3.com/
Source0:        https://github.com/scottdraves/flam3/archive/%{name}-%{version}.tar.gz
Patch0:		flam3-3.1.1-linking.patch
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  chrpath

%description
Flam3, or Fractal Flames, are algorithmically generated images and animations.
This is free software to render fractal flames as described on
https://flam3.com/. Flam3-animate makes animations, and flam3-render makes still
images. Flam3-genome creates and manipulates genomes (parameter sets).

%package devel
Summary:        C headers to generate and render cosmic recursive fractal flames
Group:          Graphics/Editors and Converters
Requires:       pkgconfig(libxml-2.0)
Requires:       pkgconfig(libpng)
Requires:       jpeg-devel
Requires:       flam3 = %{version}

%description devel
Flam3, or Fractal Flames, are algorithmically generated images and animations.
This is free software to render fractal flames as described on
https://flam3.com/. Flam3-animate makes animations, and flam3-render makes still
images. Flam3-genome creates and manipulates genomes (parameter sets). This
package contains a header file for C, a library, and a pkgconfig file.

%prep
%setup -q
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure \
	--includedir=%{_includedir}/%{name} \
	--enable-shared \
	--disable-static
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -delete

chrpath --delete %{buildroot}%{_bindir}/%{name}-*

%files
%doc README.txt
%{_bindir}/%{name}-animate
%{_bindir}/%{name}-convert
%{_bindir}/%{name}-genome
%{_bindir}/%{name}-render
%{_datadir}/%{name}
%{_libdir}/lib%{name}.so.*
%{_mandir}/man1/%{name}*

%files devel
%doc README.txt
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
