
Summary:	Graphical client for Firebird
Name:		flamerobin
Version:	0.9.11
Release:	%mkrel 1
License:	BSD-like
Group:		Databases
URL:		http://www.flamerobin.org/
Source0:	https://github.com/mariuz/flamerobin/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	firebird-devel >= 2.0.0.12748
BuildRequires:  pkgconfig(fbclient)
BuildRequires:	wxgtk-devel
BuildRequires:	imagemagick
BuildRequires:	sed
BuildRequires:	boost-devel
BuildRequires:  cmake
%description
FlameRobin is a database administration tool for Firebird DBMS based on wxgtk
toolkit.

%prep
%setup -q
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

sed "s@Categories=Development;Database;GTK@Categories=Development;Database;Application;@" \
	-i %{buildroot}/%{_datadir}/applications/%{name}.desktop
echo Encoding=UTF-8 >> %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -d %{buildroot}{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
convert -size 16x16 ./res/fricon128.png %{buildroot}%{_miconsdir}/%{name}.png
convert -size 32x32 ./res/fricon128.png %{buildroot}%{_iconsdir}/%{name}.png
convert -size 48x48 ./res/fricon128.png %{buildroot}%{_liconsdir}/%{name}.png

%files
%doc docs/*
%{_mandir}/man1/flamerobin.1*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
