Name:           flameshot
Version:        12.1.0
Release:        %mkrel 1
Summary:        Powerful and simple to use screenshot software
# Main code: GPLv3
# Logo: Free Art License v1.3
# Button icons: Apache License 2.0
# capture/capturewidget.cpp and capture/capturewidget.h: GPLv2
# regiongrabber.cpp: LGPL
# Qt-Color-Widgets: LGPL/GPL
# More information: https://github.com/flameshot-org/flameshot#license
License:        GPLv3+ and ASL 2.0 and GPLv2 and LGPLv3 and Free Art
Group:          Graphics/Utilities
URL:            https://github.com/flameshot-org/flameshot
Source0:        https://github.com/flameshot-org/flameshot/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  qtsingleapplication-qt5-devel

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  gcc

%description
Powerful and simple to use screenshot software with built-in
editor with advanced features.

%prep
%autosetup -p1

# unbundle qtsingleapplication
rm -r external/singleapplication

%build
%cmake_qt5 -DUSE_EXTERNAL_SINGLEAPPLICATION:BOOL=ON

%cmake_build

%install
%cmake_install

%find_lang Internationalization --with-qt

%files -f Internationalization.lang
%doc README.md
%{_mandir}/man1/%{name}.1*
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_metainfodir}/org.%{name}.Flameshot.metainfo.xml
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/fish/vendor_completions.d/flameshot.fish
%{_datadir}/zsh/site-functions/_%{name}
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/dbus-1/services/*.service
%{_iconsdir}/hicolor/*/apps/*%{name}.*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/translations
