%define oname   flare

Name:           flare-engine
Version:        1.14
Release:        %mkrel 1
Summary:        Free/Libre Action Roleplaying Engine
License:        GPLv3+ and CC-BY-SA
Group:          Games/Adventure
URL:            https://flarerpg.org/
Source0:        https://github.com/flareteam/flare-engine/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_ttf)

Recommends:     %{oname}-game = %{version}

%description
FLARE (Free Libre Action Roleplaying Engine) is a simple game engine built to
handle a very specific kind of game: single-player 2D action RPGs. Flare is not
a reimplementation of an existing game or engine. It is a tribute to and
exploration of the action RPG genre.

Games using Flare can be found in the following packages:
 * flare-game: The Empyrean Campaign

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc CREDITS.engine.txt README.engine.md RELEASE_NOTES.txt
%license COPYING
%{_datadir}/applications/%{oname}.desktop
%{_gamesbindir}/%{oname}
%{_gamesdatadir}/%{oname}/
%{_iconsdir}/hicolor/scalable/apps/%{oname}.svg
%{_mandir}/man6/%{oname}.6*
