%define base_application rosa-imagewriter-version

Name:           flash-imagewriter
Summary:        Tool for writing distros and distro installers to USB drive
Version:        2.6.2.0
Release:        %mkrel 5
URL:            https://abf.rosalinux.ru/captainflint/rosa-imagewriter-src
License:        GPLv3
Group:          File tools
Source0:        %{base_application}-%{version}.tar.gz
Source1:        icon-flash.icns
Source2:        icon-flash.svg
Source3:        logo-flash.png
Source4:        icon-flash.ico
Source5:        %{name}.policy
BuildRequires:  qttools5
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(libudev)
Requires:       polkit

%description
Flash Image Writer is a tool for creating bootable distro installation
USB flash drives.

%prep
%setup -q -n %{name}-%{version} -c
mv ./%{base_application}-%{version}/* ./
rm -rf ./%{base_application}-%{version}
mv RosaImageWriter.pro FlashImageWriter.pro
mv RosaImageWriter.qrc FlashImageWriter.qrc
mv RosaImageWriter.rc FlashImageWriter.rc
mv ./res/RosaImageWriter.manifest ./res/FlashImageWriter.manifest
rm -rf ./doc
rm -rf ./res/src
rm -f ./res/icon-rosa.icns
rm -f ./res/icon-rosa.svg
rm -f ./res/logo-rosa.png
rm -f ./res/icon-rosa.ico
for a in ./lang/* ./res/* `ls|grep -v lang|grep -v res` ;do
   sed -i s=rosa=flash=g $a
   sed -i s=Rosa=Flash=g $a
   sed -i s=ROSA=FLASH=g $a
done
cp -f %{SOURCE1} ./res/
cp -f %{SOURCE2} ./res/
cp -f %{SOURCE3} ./res/
cp -f %{SOURCE4} ./res/

%build
%qmake_qt5
%make_build
%{_qt5_bindir}/lrelease FlashImageWriter.pro

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}/lang
mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps
mkdir -p %{buildroot}%{_datadir}/applications
install -m 0755 FlashImageWriter %{buildroot}%{_datadir}/%{name}/%{name}
install -m 0644 lang/*.qm %{buildroot}%{_datadir}/%{name}/lang/
install -m 0644 res/icon-flash.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Flash Image Writer
GenericName=Write ISO images on a USB stick
GenericName[ru]=Запись дистрибутивов на USB диск
Comment=A tool for writing ISO images on a USB stick
Comment[ru]=Утилита для записи дистрибутивов на USB диск
Comment[fr]=Un outil pour écrire des images ISO sur une clé USB
Comment[ast]=Una ferramienta pa escribir imáxenes ISO nun llápiz USB
Comment[cs]=Nástroj pro zápis ISO obrazů na USB flash disk
Comment[da]=Et værktøj til at skrive ISO billeder på USB nøgler
Comment[de]=Ein Werkzeug, das ein ISO-Abbild auf einen USB-Stick schreibt
Comment[el]=Ένα εργαλείο εγγραφής εικόνων ISO σε ένα USB stick
Comment[es]=Una herramienta para grabar imágenes ISO en unidades USB extraíbles
Comment[et]=Tööriist ISO-tõmmiste kirjutamiseks USB-pulgale
Comment[id]=Alat untuk menulis image ISO ke USB
Comment[it]=Uno strumento per scrivere immagini ISO in una chiavetta USB
Comment[nl]=Een tool om ISO-images naar een USB-stick te schrijven
Comment[pl]=Narzędzie do zapisu obrazów ISO na pamięć USB
Comment[pt]=Uma ferramenta para a gravação de imagens ISO numa pen USB
Comment[pt_BR]=Ferramenta para transferir imagens ISO para pendrive
Comment[ro]=O unealtă pentru scrierea imaginilor ISO pe o cheie USB
Comment[sl]=Orodje za zapis odtisov diska na ključ USB
Comment[sv]=Ett verktyg för att skriva ISO-avbildningar till ett USB-minne
Comment[tr]=ISO imajlarını bir USB belleğe yazmak için geliştirilmiş bir araçtır
Comment[uk]=Програма для запису образів ISO на картку пам’яті USB
Comment[zh_TW]=一個將 ISO 映像檔寫到 USB 隨身碟上的工具。
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=System;
EOF

cat >%{buildroot}%{_bindir}/%{name} <<EOF
#!/bin/bash
if [[ "\$EUID" != "0" ]] ; then
 %{_bindir}/pkexec %{_datadir}/%{name}/%{name} "\$@"
  exit \$?
fi
exec %{_datadir}/%{name}/%{name} "\$@"
EOF
chmod a+x %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}%{_datadir}/polkit-1/actions
install -m 0644 %{SOURCE5} %{buildroot}%{_datadir}/polkit-1/actions/

%files
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_datadir}/polkit-1/actions/*
