%global major   1
%define libname %mklibname flashrom %major
%define devname %mklibname flashrom -d

Name:		flashrom
Version:	1.4.0
Release:	%mkrel 1
Summary:	Simple program for reading/writing flash chips content
Group:		System/Libraries
License:	GPLv2
URL:		https://flashrom.org

Source0:	https://download.flashrom.org/releases/%{name}-%{version}.tar.xz
Source1:	https://download.flashrom.org/releases/%{name}-%{version}.tar.xz.asc

BuildRequires:	gnupg2
BuildRequires:	gcc
BuildRequires:	meson
BuildRequires:	pciutils-devel
BuildRequires:	python3-sphinx
BuildRequires:	libftdi-devel
#BuildRequires:	libjaylink-devel
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	systemd
BuildRequires:	zlib-devel
%ifarch %{ix86} x86_64 aarch64
BuildRequires:	dmidecode
Requires:	dmidecode
%endif
Requires:	udev
# see rhbz #495226
ExcludeArch:	s390 s390x


%description
flashrom is a utility for identifying, reading, writing, verifying and erasing
flash chips. It is designed to flash BIOS/EFI/coreboot/firmware/optionROM
images on mainboards, network/graphics/storage controller cards, and various
other programmer devices.

%package -n %libname
Summary:	Simple program for reading/writing flash chips content
Group:		System/Libraries

%description -n %libname
Library for flashrom.

%package -n %devname
Summary:	Development package for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %devname
Files for development with %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}
# Replace GROUP="plugdev" specifiers with TAG+="uaccess"
sed -e 's/MODE="[0-9]*", GROUP="plugdev"/TAG+="uaccess"/g' util/flashrom_udev.rules -i

%build
%meson -Dtests=disabled -Ddocumentation=disabled
%meson_build

%install
%meson_install

install -D -p -m 0644 util/flashrom_udev.rules %{buildroot}%{_udevrulesdir}/60_flashrom.rules

rm %{buildroot}%{_libdir}/libflashrom.a

%files
%license COPYING
%doc README.rst doc/
%{_sbindir}/%{name}
%{_datadir}/bash-completion/completions/%{name}.bash
%{_mandir}/man8/%{name}.*
%{_udevrulesdir}/60_flashrom.rules

%files -n %libname
%{_libdir}/libflashrom.so.%{major}{,.*}

%files -n %devname
%{_includedir}/libflashrom.h
%{_libdir}/libflashrom.so
%{_libdir}/pkgconfig/flashrom.pc

