%global glib2_version 2.66
%global ostree_version 2017.14
%global flatpak_version 1.10.7

%{?!_pkgdocdir:%global _pkgdocdir %{_docdir}/%{name}}

Name:           flatpak-builder
Version:        1.4.4
Release:        %mkrel 2
Summary:        Tool to build flatpaks from source
Group:          System/Packaging
# src/builder-utils.c has portions derived from GPLv2+ code,
# the rest is LGPLv2+
License:        LGPLv2+ and GPLv2+
URL:            https://flatpak.org/
Source0:        https://github.com/flatpak/flatpak-builder/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  meson
BuildRequires:  gettext
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl
BuildRequires:  flatpak >= %{flatpak_version}
BuildRequires:  libcap-devel
BuildRequires:  pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libelf)
BuildRequires:  pkgconfig(libdwarf)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(ostree-1) >= %{ostree_version}
BuildRequires:  pkgconfig(yaml-0.1)
BuildRequires:  xmlto
BuildRequires:  xsltproc
BuildRequires:  appstream
BuildRequires:  appstream-compose

Requires:       appstream-compose
Requires:       flatpak%{?_isa} >= %{flatpak_version}
Requires:       glib2.0-common%{?_isa} >= %{glib2_version}
Requires:       ostree%{?_isa} >= %{ostree_version}
Requires:       binutils
Requires:       bzip2
Requires:       elfutils
Requires:       git-core
Requires:       lzip
Requires:       patch
Requires:       tar
Requires:       unzip
Recommends:     bzr
Recommends:     subversion

%description
Flatpak-builder is a tool for building flatpaks from sources.

See https://flatpak.org/ for more information.


%prep
%autosetup -p1


%build
%meson -D docs=enabled \
       -D fuse=3 \
       -D installed_tests=false \
       -D yaml=enabled
%meson_build


%install
%meson_install

%check
%meson_test

%files
%license COPYING
%doc %{_pkgdocdir}
%{_bindir}/flatpak-builder
%{_mandir}/man1/flatpak-builder.1*
%{_mandir}/man5/flatpak-manifest.5*
