#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           flatpak-kcm
Version: 6.3.4
Release:        %mkrel %rel
Summary:        Flatpak Permissions Management KCM
License:        GPLv2+ and BSD and CCO
Group:          Graphical desktop/KDE
URL:            https://kde.org/plasma-desktop
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz
# Upstream patch

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Svg)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6ItemModels)

BuildRequires:  pkgconfig(flatpak)


%description
The KCM allows changing what permissions have been granted to
installed Flatpak applications.

%files -f %{name}.lang
%doc README.md
%license LICENSES/*
%{_qt6_plugindir}/plasma/kcms/systemsettings/kcm_flatpak.so
%{_kf6_datadir}/applications/kcm_flatpak.desktop

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install

%find_lang flatpak-kcm --all-name
