%define oname	FlightCrew

%define api	0.7.2
%define libname	%mklibname %{name} %{api}
%define devname	%mklibname %{name} -d

Name:		flightcrew
Version:	0.9.0
Release:	%mkrel 27
Summary:	A C++, cross-platform, native code epub validator
License:	GPLv3 and LGPLv3
Group:		Office/Utilities
Url:		https://github.com/Sigil-Ebook/flightcrew
Source0:	https://github.com/Sigil-Ebook/flightcrew/archive/%{version}/%{oname}-%{version}.tar.gz
Patch0:		flightcrew-0.9.0-CMakeLists.patch
Patch1:		flightcrew-0.9.0-fix-build-against-qt-5.11.0.patch
Patch2:		flightcrew-0.9.0-CVE-2019-13241-part1.patch
Patch3:		flightcrew-0.9.0-CVE-2019-13241-part2.patch
Patch4:		flightcrew-0.9.0-CVE-2019-13241-part3.patch
Patch5:		flightcrew-0.9.0-CVE-2019-13032-part1.patch
Patch6:		flightcrew-0.9.0-CVE-2019-13032-part2.patch
Patch7:		flightcrew-0.9.0-boost-scoped_ptr.patch
Patch8:		flightcrew-boost-1.85.patch
BuildRequires:	cmake
BuildRequires:	qttools5
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(xerces-c)

%description
FlightCrew is a C++, cross-platform, native code epub validator.
It is composed of three parts:

  * FlightCrew, the validation library
  * FlightCrew-cli, the command-line front-end to the FlightCrew library
  * FlightCrew-gui, the GUI front-end to the FlightCrew library
  * FlightCrew-plugin, the plugin to the FlightCrew library

It was initially created for Sigil, the epub editor.

%package	common
Summary:	A C++, cross-platform, native code epub validator
Group:		Office/Utilities

%description	common
FlightCrew is a C++, cross-platform, native code epub validator.
It is composed of three parts:

  * FlightCrew, the validation library
  * FlightCrew-cli, the command-line front-end to the FlightCrew library
  * FlightCrew-gui, the GUI front-end to the FlightCrew library
  * FlightCrew-plugin, the plugin to the FlightCrew library

It was initially created for Sigil, the epub editor.

%package	cli
Summary:	command line tool for FlightCrew
Group:		Office/Utilities
Requires:	%{name}-common = %{version}-%{release}

%description	cli
FlightCrew is a C++, cross-platform, native code epub validator.
This package contains the command line tool for FlightCrew.

%package	gui
Summary:	Qt5 graphical front-end for FlightCrew
Group:		Office/Utilities
Requires:	%{name}-cli = %{version}-%{release}
Provides:	flightcrew

%description	gui
FlightCrew is a C++, cross-platform, native code epub validator.
This package contains the Qt5 graphical front-end for FlightCrew.

%package	plugin
Summary:	Plugin for FlightCrew
Group:		Office/Utilities
Requires:	%{name}-common = %{version}-%{release}

%description	plugin
FlightCrew is a C++, cross-platform, native code epub validator.
This package contains the plugin for FlightCrew.

%package -n	%{libname}
Summary:	Shared libs for %{name}
Group:		System/Libraries

%description -n	%{libname}
Shared libs for %{name}.

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

Obsoletes:	flightcrew-devel < 0.7.2-18

%description -n	%{devname}
Development files for %{name}.

%prep
%setup -q
%autopatch -p1

%build
%cmake \
	-DBUILD_SHARED_FC=ON \
	-DBUILD_SHARED_XE=ON \
	-DNO_TEST_EXE=ON \
	-DBUILD_SHARED_ZI=ON
%cmake_build

%install
%cmake_install

%files common
%doc ChangeLog.txt COPYING*.txt README.txt

%files cli
%{_bindir}/%{name}-cli

%files gui
%{_bindir}/%{name}-gui

%files plugin
%{_bindir}/%{name}-plugin

%files -n %{libname}
%{_libdir}/lib*.so.%{api}

%files -n %{devname}
%{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/cmake/*
%exclude %{_includedir}/zipios/
%exclude %{_libdir}/libzipios.so
