%define major   20
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

%bcond_without tests

Name:           flint
Version:        3.2.1
Release:        %mkrel 1
Summary:        Fast Library for Number Theory
Group:          System/Libraries
# LGPL-3.0-or-later: the project as a whole
# LGPL-2.1-or-later: src/longlong.h, src/fmpz/is_perfect_power.c,
#   src/generic_files/clz_tab.c, src/mpn_extras/get_d.c
# GPL-2.0-or-later: src/dirichlet/char_index.c, src/dirichlet/index_char.c
# LGPL-3.0-or-later OR GPL-2.0-or-later: src/mpn_extras/asm-defs.m4,
#   src/mpn_extras/broadwell/x86_64-defs.m4
# BSD-2-Clause: src/bernoulli/mod_p_harvey.c
License:        LGPL-3.0-or-later AND LGPL-2.1-or-later AND GPL-2.0-or-later AND (LGPL-3.0-or-later OR GPL-2.0-or-later) AND BSD-2-Clause
URL:            https://www.flintlib.org/
Source0:        https://github.com/flintlib/flint/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(gmp)
BuildRequires:  pkgconfig(mpfr)
BuildRequires:  ntl-devel
BuildRequires:  openblas-devel
BuildRequires:  python3dist(sphinx)
BuildRequires:  texlive
BuildRequires:  texlive-texmf

%description
FLINT is a C library for doing number theory, written by William Hart
and David Harvey.

#----------------------------------------------------------------------

%package -n %{libname}
Summary:        FLINT library for doing number theory
Group:          System/Libraries

%description -n %{libname}
FLINT is a C library for doing number theory, written by William Hart
and David Harvey.

#----------------------------------------------------------------------

%package -n %{devname}
Summary:        Development files for FLINT
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------------------------

%prep
%autosetup -p1

# Use the classic sphinx theme
sed -i "s/'default'/'classic'/" doc/source/conf.py

%build
%configure \
    --disable-arch \
    --disable-static \
    --with-blas-include=%{_includedir}/openblas \
    --with-ntl-include=%{_includedir}/NTL
%make_build

# Build the documentation
%make_build -C doc html

%install
%make_install

%check
%{?with_tests:%make_build check}

%files -n %{libname}
%doc AUTHORS README.md
%license COPYING COPYING.LESSER
%{_libdir}/libflint.so.%{major}{,.*}

%files -n %{devname}
%doc doc/build/html
%{_includedir}/flint/
%{_libdir}/libflint.so
%{_libdir}/pkgconfig/flint.pc
