%define major      1
%define libname    %mklibname %{name} %{major}
%define libnamedev %mklibname %{name} -d

Name:           flite
Version:        2.2
Release:        %mkrel 4
Summary:        Small, fast speech synthesis engine (text-to-speech)

Group:          Sound/Utilities
License:        MIT
URL:            http://festvox.org/flite/
Source0:        https://github.com/festvox/flite/archive/%{name}-%{version}.tar.gz
Source1:        flite.pc.in
Patch0:         flite-2.2-readd-pkgconfig.patch

BuildRequires:  texinfo
BuildRequires:  texi2html
BuildRequires:  ed
BuildRequires:  pkgconfig(alsa)
BuildRequires:  autoconf


%description
Flite (festival-lite) is a small, fast run-time speech synthesis engine
developed at CMU and primarily designed for small embedded machines and/or
large servers. Flite is designed as an alternative synthesis engine to
Festival for voices built using the FestVox suite of voice building tools.

%package -n %{libname}
Summary:	Shared libraries for flite
Group:		System/Libraries

%description -n %{libname}
Shared libraries for Flite, a small, fast speech synthesis engine.

%package -n %{libnamedev}
Summary:        Development files for flite
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
Development files for Flite, a small, fast speech synthesis engine.

%prep
%setup -q
cp %{SOURCE1} .
%autopatch -p1

%build
export LDFLAGS="-lm"
autoreconf -vfi
%configure \
	--enable-shared \
	--with-audio=alsa

%make_build -j1

# Build documentation
# fails with "sed: can't read html/*.html: No such file or directory"
# make -C doc %{name}.html

%install
%make_install \
	INSTALLBINDIR=%{_bindir} \
	INSTALLLIBDIR=%{_libdir} \
	INSTALLINCDIR=%{_includedir}/%{name}

find %{buildroot} -name "*.a" -delete

%files
%doc ACKNOWLEDGEMENTS README.md
%{_bindir}/*

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{version}

%files -n %{libnamedev}
%{_libdir}/lib%{name}*.so
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/flite.pc
