Name:           florence
Version:        0.6.3
Release:        %mkrel 10
Summary:        Extensible scalable on-screen virtual keyboard
Group:          System/X11
License:        GPLv2+ and GFDL
URL:            https://florence.sourceforge.net/
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
# build fixes for both static and dynamic linking
Patch0:         florence-0.6.3-ld-no-undefined.patch
Patch1:         florence-c99.patch
# Set correct svg icon directory to not breake the application
Patch2:         florence-icondir.patch
# Fix build without scrollkeeper
Patch3:         florence-build-without-scrollkeeper.patch
BuildRequires:  gettext-devel
BuildRequires:  gnome-doc-utils
BuildRequires:  intltool
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xtst)

%description
Florence is an extensible scalable virtual keyboard.

It's designed for GNOME but can be used in any DE (without some features).

You need it if you can't use a real hardware keyboard, for
example because you are disabled, your keyboard is broken or
because you use a tablet PC, but you must be able to use a pointing
device (as a mouse, a trackball or a touchscreen).

In GNOME Florence stays out of your way when you don't need it:
it appears on the screen only when you need it.

A Timer-based auto-click functionality is available
to help disabled people having difficulties to click.

If you have problems switching keyboard layout (language) in KDE4,
reconfigure layouts in KDE4 settings once and it should work.

%prep
%autosetup -p1

rm -f gconf-refresh
ln -sf /bin/true gconf-refresh

sed -i 's|Icon=%{name}.svg|Icon=%{name}|g' data/%{name}.desktop.in.in


%build
export CFLAGS="%{optflags} -fpermissive"
autoreconf -fi
%configure \
      --without-panelapplet \
      --without-xrecord \
      --without-notification \
      --disable-shared
%make_build


%install
%make_install

desktop-file-install \
        --delete-original \
        --remove-category="Application" \
        --add-category="Utility" \
        --dir=%{buildroot}%{_datadir}/applications \
        %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README
%license COPYING COPYING-DOCS
%{_datadir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.*
%{_datadir}/gnome/help/%{name}/
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_datadir}/glib-2.0/schemas/org.florence.gschema.xml
%{_mandir}/man1/florence.1.*
%{_mandir}/man1/florence_applet.1.*
%exclude %{_includedir}/florence-1.0
%exclude %{_libdir}/libflorence-1.0.a
%exclude %{_libdir}/libflorence-1.0.la
%exclude %{_libdir}/pkgconfig
