Name:           flowcanvas
Summary:        Interactive widget for "boxes and lines" environments
Version:        0.7.1
Release:        %mkrel 1
Group:          System/Libraries
License:        GPLv2+
URL:            https://drobilla.net/software/flowcanvas/
Source0:        https://download.drobilla.net/%{name}-%{version}.tar.bz2
Patch0:         flowcanvas-0.7.1-graphviz23.patch
BuildRequires:  boost-devel
BuildRequires:  doxygen
BuildRequires:  graphviz-devel >= 2.3
BuildRequires:  pkgconfig(libgnomecanvas-2.0)


%description
FlowCanvas is an interactive Gtkmm/Gnomecanvasmm widget for graph-based
interfaces (patchers, modular synthesizers, finite state automata,
interactive graphs, etc).

#---------------------------------------------------------------------------
%define lib_major 5
%define libname %mklibname %{name} %lib_major

%package -n %{libname}
Summary: Non Tool Kit (NTK) - main library
Group: System/Libraries
Provides: %{name} = %{version}-%{release}

%description -n %{libname}
FlowCanvas is an interactive Gtkmm/Gnomecanvasmm widget for graph-based
interfaces (patchers, modular synthesizers, finite state automata,
interactive graphs, etc).

%files -n %{libname}
%doc AUTHORS ChangeLog README
%{_libdir}/lib%{name}.so.%{lib_major}{,.*}

#---------------------------------------------------------------------------
%define develname %mklibname %name -d

%package -n %{develname}
Summary:        Development libraries and headers for %{name}
Group:          Development/C++
Requires:       boost-devel
Requires:       pkgconfig(libgnomecanvas-2.0)
Requires:       pkgconfig
Requires:       %{name} = %{version}-%{release}

%description -n %{develname}
FlowCanvas is an interactive Gtkmm/Gnomecanvasmm widget for graph-based
interfaces (patchers, modular synthesizers, finite state automata,
interactive graphs, etc).

This package contains the headers and development libraries for FlowCanvas.

%files -n %{develname}
%{_docdir}/%{name}-devel
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#---------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export CXXFLAGS="%{optflags} -std=c++0x"
export LIB_AGRAPH="cgraph"
./waf configure \
        --prefix=%{_prefix} \
        --libdir=%{_libdir} \
        --docs \
        --htmldir=%{_docdir}/%{name}-devel

./waf build -v %{?_smp_mflags}


%install
DESTDIR=$RPM_BUILD_ROOT ./waf install

# Correct permission
chmod +x $RPM_BUILD_ROOT%{_libdir}/lib%{name}.so.*



