%define major                   3
%define libname                 %mklibname %{name} %{major}
%define libnamedev              %mklibname %{name} -d

Name:           fluidsynth
Version:        2.4.4
Release:        %mkrel 1
Summary:        Realtime, SoundFont-based synthesizer
License:        LGPL-2.1-or-later
Group:          Sound/Midi
URL:            https://www.fluidsynth.org/
Source0:        https://github.com/FluidSynth/fluidsynth/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  ladspa-devel
BuildRequires:  pkgconfig(alsa) >= 0.9.1
BuildRequires:  pkgconfig(dbus-1) >= 1.0.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.6.5
BuildRequires:  pkgconfig(gthread-2.0) >= 2.6.5
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(libpulse-simple) >= 0.9.8
BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(libinstpatch-1.0)
BuildRequires:  pkgconfig(portaudio-2.0) >= 19
BuildRequires:  pkgconfig(readline)
BuildRequires:  pkgconfig(sndfile) >= 1.0.0

%description
FluidSynth is a real-time software synthesizer based on the SoundFont 2
specifications. It is a "software synthesizer". FluidSynth can read MIDI
events from the MIDI input device and render them to the audio device. It
can also play MIDI files.

%package -n	%{libname}
Summary:        Dynamic libraries from %{name}
Group:          System/Libraries

%description -n	%{libname}
Dynamic libraries from %{name}.

%package -n	%{libnamedev}
Summary:         Header files and libraries from %{name}
Group:           Development/C
Requires:        %{libname} = %{version}-%{release}
Provides:        lib%{name}-devel = %{version}-%{release}
Provides:        %{name}-devel = %{version}-%{release}

%description -n	 %{libnamedev}
Libraries and includes files for developing programs based on %{name}.

%prep
%autosetup -p1

%build
%cmake \
       -DLIB_SUFFIX='' \
       -Denable-lash=0 \
       -Denable-portaudio=1
%cmake_build

%install
%cmake_install

%files
%doc AUTHORS README.md THANKS TODO
%license LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{libnamedev}
%{_includedir}/*.h
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/fluidsynth/
