%define beta 20220418
%define rel 1
%define tag e2cbd179ecb2ef2d76e0ad1fde84b44325305799

%global __provides_exclude font\\\(.*\\\)|font\\\(:lang=.*\\\)

%if %{beta}
%define sversion %{version}%{beta}
%define release %mkrel 9.%{beta}.%{rel}
%else
%define sversion %{version}
%define release %mkrel %{rel}
%endif

%define title     Fluxbox
%define style     Met-Anti-Flux-blue

# This is for the debug-flavor.
%define debug 0
%{?fluxbox_debug: %{expand: %%define debug 1}}
%if %debug
%define __os_install_post   %nil
%{expand: %%define optflags %optflags -g3}
%endif

Name:             fluxbox
Version:          1.3.7
Release:          %{release}
Summary:          Windowmanager based on the original blackbox-code
License:          MIT
Group:            Graphical desktop/Other
URL:              http://fluxbox.org
#Source:           https://sourceforge.net/projects/fluxbox/files/fluxbox/%{version}/%{name}-%{version}.tar.gz
Source:           https://github.com/fluxbox/fluxbox/archive/%{tag}.tar.gz
Source1:          %{name}.desktop
Source3:          %{name}-icons.tar.bz2
Source4:          %{name}-%{style}.tar.bz2
Source6:          %{name}-artwiz-fonts.tar.bz2
Source10:         %{name}-splash.jpg
Source11:         %{name}-menu-xdg
Patch0:           %{name}-startfluxbox-pulseaudio.patch

BuildRequires:    pkgconfig(fribidi)
BuildRequires:    pkgconfig(imlib2)
BuildRequires:    pkgconfig(zlib)
BuildRequires:    pkgconfig(ice)
BuildRequires:    pkgconfig(sm)
BuildRequires:    pkgconfig(x11)
BuildRequires:    pkgconfig(xext)
BuildRequires:    pkgconfig(xft)
BuildRequires:    pkgconfig(xinerama)
BuildRequires:    pkgconfig(xpm)
BuildRequires:    pkgconfig(xrandr)
BuildRequires:    pkgconfig(xrender)
BuildRequires:    pkgconfig(fontconfig)
BuildRequires:    gettext-devel
BuildRequires:    mkfontdir

Requires:         xmessage

%description
Fluxbox is yet another windowmanager for X. It's a fork from the origi-
nal blackbox-0.61.1 code. Fluxbox looks like blackbox and handles
styles, colors, window placement and similar thing exactly like black-
box. So what's the difference between fluxbox and blackbox then? The
answer is: LOTS!

Have a look at the homepage for more info ;)


%package pulseaudio
Group:          Graphical desktop/Other
Summary:        Enable pulseaudio support
Requires:       %{name} = %{version}-%{release}
Requires:       alsa-plugins-pulseaudio
Requires:       pulseaudio pulseaudio-module-x11 pulseaudio-utils

%description pulseaudio
Enable pulseaudio support.


%prep

%setup -q -a3 -n %{name}-%{tag}
%autopatch -p0

%build
./autogen.sh
%configure \
    --enable-xft \
    --enable-xinerama \
    --enable-imlib2 \
    --enable-nls \
    --with-menu=%{_sysconfdir}/X11/fluxbox/menu \
    --with-style=%{_datadir}/%{name}/styles/%{style} \
    --with-keys=%{_datadir}/%{name}/keys \
    --with-init=%{_datadir}/%{name}/init

%make_build

%install
%make_install

# icon
install -D -m 644 %{name}48.png %{buildroot}%{_liconsdir}/%{name}.png
install -D -m 644 %{name}32.png %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 644 %{name}16.png %{buildroot}%{_miconsdir}/%{name}.png

%__install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/xsessions/%{name}.desktop

# menu
install -d %{buildroot}%{_sysconfdir}/menu.d
install -m 0755 %{SOURCE11} %{buildroot}%{_sysconfdir}/menu.d/%{name}

# Artwiz fonts
install -d %{buildroot}%{_datadir}/fonts
tar xjf %{SOURCE6} -C %{buildroot}%{_datadir}/fonts/
pushd %{buildroot}%{_datadir}/fonts/fluxbox-artwiz-fonts
mkfontdir
popd

# distro-specific style and background.
install -d %{buildroot}%{_datadir}/%{name}/{styles,backgrounds}
tar xjf %{SOURCE4} -C %{buildroot}%{_datadir}/%{name}
# update background command for fluxbox >= 0.9.15
sed -i "s/^rootCommand:.*@WALLPAPER@/background: aspect\nbackground.pixmap: @WALLPAPER@/" %{buildroot}%{_datadir}/%{name}/styles/%style
sed -i "s,\@WALLPAPER@,%{_datadir}/%{name}/backgrounds/default.jpg," \
                                           %{buildroot}%{_datadir}/%{name}/styles/%{style}
sed -i "s,\@DATADIR\@,%{_datadir}/%{name}," %{buildroot}%{_datadir}/%{name}/styles/%{style}

# (blino) FIXME: update with real theme path when Mageia theme is available
ln -s %{_datadir}/mga/backgrounds/default.jpg %{buildroot}%{_datadir}/%{name}/backgrounds/default.jpg
install %{SOURCE10} %{buildroot}%{_datadir}/%{name}/splash.jpg

# bzip2 manpages (should be automatic, dirty); lenny
bzip2 %{buildroot}%{_mandir}/man1/*.1

mkdir -p %{buildroot}%{_sysconfdir}/X11/fontpath.d/
ln -s ../../..%{_datadir}/fonts/fluxbox-artwiz-fonts \
    %{buildroot}%{_sysconfdir}/X11/fontpath.d/fluxbox-artwiz-fonts:unscaled:pri=50

mkdir -p %{buildroot}%{_sysconfdir}
touch -r ChangeLog %{buildroot}%{_sysconfdir}/fluxbox-pulseaudio

%post
#blackbox-alternatives
update-alternatives --install %{_bindir}/bsetroot bsetroot %{_bindir}/bsetroot-%{name} 20

%postun
# Remove bsetroot-alternatives
if [ "$1" = 0 ]; then
    update-alternatives --remove bsetroot %{_bindir}/bsetroot-%{name}
fi

%posttrans
# (ovitters) In posttrans, $1 is always equal to 1, even in the upgrade case.
# So just run this always:
if [ -e %{_datadir}/xsessions/16Fluxbox.desktop ]; then
	rm -rf %{_datadir}/xsessions/16Fluxbox.desktop
fi
if [ -e %{_sysconfdir}/X11/dm/Sessions/16Fluxbox.desktop ]; then
	rm -rf %{_sysconfdir}/X11/dm/Sessions/16Fluxbox.desktop
fi

%files
%doc AUTHORS ChangeLog NEWS README TODO
%license COPYING
%{_bindir}/fbsetbg
%{_bindir}/fbrun
%{_bindir}/fbsetroot
%{_bindir}/fluxbox
%{_bindir}/fluxbox-generate_menu
%{_bindir}/fluxbox-update_configs
%{_bindir}/startfluxbox
%{_bindir}/fluxbox-remote
%config(noreplace) %{_sysconfdir}/X11/%{name}/menu
%{_datadir}/xsessions/%{name}.desktop
%{_sysconfdir}/menu.d/%{name}
%{_mandir}/man1/*
%dir %{_datadir}/fonts/fluxbox-artwiz-fonts
%{_datadir}/fonts/fluxbox-artwiz-fonts/*.gz
%{_datadir}/fonts/fluxbox-artwiz-fonts/fonts.dir
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/%{name}
%{_sysconfdir}/X11/fontpath.d/fluxbox-artwiz-fonts:unscaled:pri=50
%{_mandir}/man5/%{name}-*.5.*

%files pulseaudio
%{_sysconfdir}/fluxbox-pulseaudio
