%define		major   11
%define		libname %mklibname %{name} %{major}
%define		devname %mklibname %{name} %{major} -d

#define         git 20200503
%define		rel 1

Name:		fmt
Version:	11.1.4
Release:	%mkrel %{?git:-c git%{git}} %{rel}
Summary:	Small, safe and fast formatting library
Group:		System/Libraries
License:	MIT
URL:		https://fmt.dev
Source0:	https://github.com/fmtlib/fmt/archive/%{?git:master/}%{?!git:%{version}/}%{name}-%{version}%{?git:-git%{git}}.tar.gz
BuildRequires:	cmake
BuildRequires:	ninja

%description
fmt is an open-source formatting library for C++. It can be used as a safe
alternative to printf or as a fast alternative to IOStreams.

%package -n	%{devname}
Summary:	Development files for libfmt
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel%{?_isa} = %{version}-%{release}
Provides:	%{name}%{major}-devel = %{version}-%{release}
Provides:	%{name}%{major}-devel%{?_isa} = %{version}-%{release}
Obsoletes:	%{_lib}fmt-devel < 11.0.2-2
Conflicts:	pkgconfig(fmt) < %{version}

%description -n	%{devname}
This package contains the development header files, libraries
and cmake files for libfmt

%package -n	%{libname}
Summary:	Small, safe and fast formatting library
Group:		System/Libraries

%description -n	%{libname}
fmt is an open-source formatting library for C++. It can be used as a safe
alternative to printf or as a fast alternative to IOStreams.

This package contains the library for libfmt.

%prep
%autosetup -n %{name}-%{?git:master}%{?!git:%{version}} -p1

%build
%cmake -G Ninja \
       -DCMAKE_POSITION_INDEPENDENT_CODE:BOOL=ON
%cmake_build

%install
%cmake_install

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/cmake/%{name}/
%{_libdir}/libfmt.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n %{libname}
%license LICENSE
%doc ChangeLog.md README.md
%{_libdir}/libfmt.so.%{major}{,.*}
