%global		oname fmt

%define		major 9
%define		libname %mklibname %{oname} %{major}
%define		devname %mklibname %{oname} %{major} -d

#define         git 20200503
%define         rel 3

Name:		fmt%{major}
Version:	9.1.0
Release:	%mkrel %{?git:-c git%{git}} %{rel}
Summary:	Small, safe and fast formatting library
Group:		Development/C++
License:	BSD
URL:		https://fmt.dev
Source0:	https://github.com/fmtlib/fmt/archive/%{?git:master/}%{?!git:%{version}/}%{oname}-%{version}%{?git:-git%{git}}.tar.gz
BuildRequires:	cmake

%description
fmt is an open-source formatting library for C++. It can be used as a safe
alternative to printf or as a fast alternative to IOStreams.

%package -n	%{devname}
Summary:	Development files for libfmt
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel%{?_isa} = %{version}-%{release}
Conflicts:	pkgconfig(fmt) < %{version}
Conflicts:	pkgconfig(fmt) > %{version}

%description -n	%{devname}
This package contains the development header files, libraries
and cmake files for libfmt

%package -n	%{libname}
Summary:	The libfmt libraries
Group:		Development/C++

%description -n	%{libname}
This package contains the library for libfmt

%prep
%autosetup -n %{oname}-%{?git:master}%{?!git:%{version}} -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n %{devname}
%{_includedir}/%{oname}/
%{_libdir}/cmake/%{oname}/
%{_libdir}/libfmt.so
%{_libdir}/pkgconfig/%{oname}.pc

%files -n %{libname}
%{_libdir}/libfmt.so.%{major}{,.*}
