Name:		focuswriter
Version:	1.8.11
Release:	%mkrel 1

Summary:	A full-screen, distraction-free writing program
Group:		Office/Word processor
License:	GPLv3+
URL:		https://gottcode.org/focuswriter
Source0:	https://gottcode.org/focuswriter/%{name}-%{version}.tar.bz2

BuildRequires:	cmake
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Multimedia)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(hunspell)
BuildRequires:	pkgconfig(zlib)

%description
A full-screen, distraction-free writing program.
You can customize your environment by changing the font, colors, and
background image to add ambiance as you type. FocusWriter features
an on-the-fly updating word count, optional auto-save, optional daily
goals, and an interface that hides away to allow you to focus more
clearly; additionally, when you open the program your current
work-in-progress will automatically load and position you at the end
of your document, so that you can immediately jump back in.

%prep
%setup -q

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

%files
%doc COPYING ChangeLog README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}.1*
