Name:           folder-color
Version:        0.3.2
Release:        %mkrel 2
Summary:        A file browser extension for choosing the color of a folder
Group:          Development/Python
License:        MIT
URL:            https://github.com/costales/folder-color
Source0:        %name-master.zip
Patch1:         0001-Strict-nautilus-gi-requires.patch
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-distutils-extra
BuildRequires:  intltool

%description
A file browser extension for choosing the color of a folder.

%package        extensions-nautilus
Summary:        folder-color extension for Nautilus

Requires:	nautilus
Requires:	nautilus-python

%description extensions-nautilus
folder-color extension for Nautilus.

%prep
%autosetup -n %{name}-master -p1

# drop bundled egg-info
rm -rf *.egg-info

# po
sed -i 's/folder_i18n/folder-color/' po/POTFILES.in
sed -i 's/folder_path/nautilus-extension/' po/POTFILES.in
sed -i 's/folder_i18n/folder-color/' */folder-color.py

# icons
sed -i \
  -e 's!%{_iconsdir}/Yaru!%{_iconsdir}/hicolor!g' \
  -e 's!\*\.svg!\*\.png!g' \
  -e 's!@2x/!@2/!g' \
  setup.py
for d in ./icons/Yaru/*@2x; do
  mv ${d} ${d%%x}
done

%build
%py3_build

%install
%py3_install

# translations
mkdir -p %{buildroot}%{_datadir}/locale/
cp -a build/mo/* %{buildroot}%{_datadir}/locale/

%find_lang %{name}

%files -f %{name}.lang
%doc README.md
%license LICENSE.txt
%python3_sitelib/folder_color-%version-py?.??*/
%_iconsdir/hicolor/*/*/*.png

%files extensions-nautilus
%_datadir/nautilus-python/extensions/folder-color.py
