%define major		26
%define gi_major	0.7
%define libname		%mklibname %{name} %{major}
%define libeds		%mklibname %{name}-eds %{major}
%define libtelepathy	%mklibname %{name}-telepathy %{major}
%define girname		%mklibname %{name}-gir %{gi_major}
%define develname	%mklibname %{name} -d

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%bcond_with zeitgeist

Name:		folks
Version:	0.15.9
Release:	%mkrel 2
Summary:	Aggregates people from multiple sources to create metacontacts
Group:		Networking/Instant messaging
License:	LGPLv2+
URL:		https://wiki.gnome.org/Projects/Folks
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch1:         0001-Fix-.typelib-lib-requires.patch
# Bump EDS test timeout to 60 secs so add-contacts-stress-test
# doesn't time out on some arches
Patch100:       folks-eds-test-timeout.patch

BuildRequires:	pkgconfig(telepathy-glib)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(libebook-1.2)
BuildRequires:	pkgconfig(libedataserver-1.2) >= 3.33.2
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(sysprof-capture-4)
BuildRequires:	pkgconfig(telepathy-glib)
%if %{with zeitgeist}
BuildRequires:	pkgconfig(zeitgeist-2.0)
%endif
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(readline)
BuildRequires:	gettext
BuildRequires:	meson
BuildRequires:	vala
BuildRequires:	python3-dbusmock

%description
libfolks is a library that aggregates people from multiple sources (eg,
Telepathy connection managers and eventually evolution data server, Facebook,
etc.) to create metacontacts. It's written in Vala (in part to evaluate Vala).
The initial goal is for GObject/C support, though the Vala bindings should
basically automatic.

%package common
Group:		Networking/Instant messaging
Summary:	Common files for %{name}
Obsoletes:	%{name}-i18n < 0.7.2.1

%description common
This package contains common files for %{name}.

%package bluez-backend
Group:          Networking/Instant messaging
Summary:        Bluetooth Phonebook Access Profile backend for folks
Conflicts:      %{_lib}folks25 < 0.12.1-3

%description bluez-backend
libfolks backend which loads Personas from paired Bluetooth
devices using the Phonebook Access Protocol (PBAP) and presents them
using one PersonaStore per device.

%package eds-backend
Group:		Networking/Instant messaging
Summary:	EDS backend for folks
Conflicts:	%{_lib}folks25 < 0.12.1-3

%description eds-backend
libfolks backend which connects to EDS and creates a PersonaStore for each
service.

%package ofono-backend
Group:          Networking/Instant messaging
Summary:        Ofono backend for folks
Conflicts:      %{_lib}folks25 < 0.12.1-3

%description ofono-backend
libfolks backend which loads Personas from Modem devices using the Ofono
Phonebook D-Bus API and presents them using one PersonaStore per device.

%package telepathy-backend
Group:          Networking/Instant messaging
Summary:        Telepathy backend for folks
Conflicts:	%{_lib}folks25 < 0.12.1-3

%description telepathy-backend
libfolks backend which connects to the Telepathy accounts service and creates
a PersonaStore for each valid account known to Telepathy.

%package -n %{libname}
Group:		System/Libraries
Summary:	Aggregates people from multiple sources to create metacontacts
Requires:	%{name}-common >= %{version}-%{release}

%description -n %{libname}
libfolks is a library that aggregates people from multiple sources (eg,
Telepathy connection managers and eventually evolution data server, Facebook,
etc.) to create metacontacts.

%package -n %{libeds}
Group:          System/Libraries
Summary:        Aggregates people from multiple sources to create metacontacts
Conflicts:	%{_lib}folks25 < 0.12.1-3
Requires:	%{name}-eds-backend >= %{version}-%{release}

%description -n %{libeds}
libfolks is a library that aggregates people from multiple sources (eg,
Telepathy connection managers and eventually evolution data server, Facebook,
etc.) to create metacontacts.

%package -n %{libtelepathy}
Group:		System/Libraries
Summary:	Aggregates people from multiple sources to create metacontacts
Conflicts:	%{_lib}folks25 < 0.12.1-3
Requires:	%{name}-telepathy-backend >= %{version}-%{release}

%description -n %{libtelepathy}
libfolks is a library that aggregates people from multiple sources (eg,
Telepathy connection managers and eventually evolution data server, Facebook,
etc.) to create metacontacts.

%package -n %{develname}
Group:		Development/C
Summary:	Aggregates people from multiple sources to create metacontacts
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libeds} = %{version}-%{release}
Requires:	%{libtelepathy} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
libfolks is a library that aggregates people from multiple sources (eg,
Telepathy connection managers and eventually evolution data server, Facebook,
etc.) to create metacontacts. It's written in Vala (in part to evaluate Vala).
The initial goal is for GObject/C support, though the Vala bindings should
basically automatic.

%package -n %{girname}
Group:		System/Libraries
Summary:	Aggregates people from multiple sources to create metacontacts
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
libfolks is a library that aggregates people from multiple sources (eg,
Telepathy connection managers and eventually evolution data server, Facebook,
etc.) to create metacontacts.

This package contains the Gir-repository typelib for %{name}.

%files common -f %{name}.lang
%{_datadir}/glib-2.0/schemas/org.freedesktop.folks.gschema.xml
%{_datadir}/GConf/gsettings/folks.convert

%files
%doc AUTHORS README.md
%{_bindir}/folks-*

%files bluez-backend
%{_libdir}/folks/*/backends/bluez/

%files eds-backend
%{_libdir}/folks/*/backends/eds/

%files ofono-backend
%{_libdir}/folks/*/backends/ofono/

%files telepathy-backend
%{_libdir}/folks/*/backends/telepathy/

%files -n %{libname}
%{_libdir}/libfolks.so.%{major}{,.*}
%dir %{_libdir}/folks
%dir %{_libdir}/folks/*/
%dir %{_libdir}/folks/*/backends/
%{_libdir}/folks/*/backends/key-file/
# dummy
%{_libdir}/libfolks-dummy.so.%{major}{,.*}
%{_libdir}/folks/*/backends/dummy/

%files -n %{libeds}
%{_libdir}/libfolks-eds.so.%{major}{,.*}

%files -n %{libtelepathy}
%{_libdir}/libfolks-telepathy.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/folks/
%{_datadir}/vala/vapi/folks*
%{_datadir}/gir-1.0/Folks*%{gi_major}.gir

%files -n %{girname}
%{_libdir}/girepository-1.0/Folks*%{gi_major}.typelib

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%meson \
	-Deds_backend=true \
	-Dinspect_tool=true \
	-Dimport_tool=true \
	-Dprofiling=true \
	-Dzeitgeist=%{?with_zeitgeist:true}%{?!with_zeitgeist:false} \
%meson_build

%install
%meson_install

%find_lang %{name}
