%global major           4
%define libname         %mklibname %{name} %{major}
%define devname         %mklibname %{name} -d

%global gettext_package FontForge

Name:           fontforge
Version:        20230101
Release:        %mkrel 5
Summary:        Font Editor for PostScript, TrueType, OpenType and various fonts
License:        GPLv3+
Group:          Publishing
URL:            https://fontforge.github.io
Source0:        https://github.com/fontforge/fontforge/archive/%{version}/%{name}-%{version}.tar.gz
# Remove tests that requires Internet access
Patch0:         fontforge-20201107-remove-internet-tests.patch
Patch1:         5367.patch
Patch2:         642d8a3db6d4bc0e70b429622fdf01ecb09c4c10.patch

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  giflib-devel
BuildRequires:  git
BuildRequires:  libltdl-devel
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gdk-3.0)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libspiro)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libuninameslist)
BuildRequires:  pkgconfig(libwoff2enc)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(readline)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xproto)
BuildRequires:  pkgconfig(xt)
BuildRequires:  python3-sphinx
BuildRequires:  shared-mime-info
BuildRequires:  uthash-devel

Provides:       bundled(gnulib)

%description
FontForge is a font editor for outline and bitmap fonts. Use it to create, edit
and convert fonts in OpenType, TrueType, UFO, CID-keyed, Multiple Master, and
many other formats.

%package -n     %{libname}
Summary:        Development tools for fontforge
Group:          System/Libraries
Conflicts:      %{name} < 20201107-3
Obsoletes:      %{_lib}fontforge-devel < 20201107-3

%description -n %{libname}
This package includes the shared libraries for fontforge.

%package -n     %{devname}
Summary:        Development tools for fontforge
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package includes the libraries and header files you will need
to compile applications against fontforge.

%package doc
Summary: Documentation files for %{name}
Group: Documentation
BuildArch: noarch

%description doc
This package contains documentation files for %{name}

%prep
%autosetup -p1

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
%cmake
%cmake_build

%install
%cmake_install

# drop presumably unneeded devel pkg
rm -rf %{buildroot}%{_libdir}/libfontforge.so

# Find translations
%find_lang %{gettext_package}

%files -f %{gettext_package}.lang
%license LICENSE
%{_bindir}/font*
%{_bindir}/sfddiff
%{_datadir}/%{name}/
%{_datadir}/applications/org.%{name}.FontForge.desktop
%{_datadir}/metainfo/org.%{name}.FontForge.appdata.xml
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/hicolor/*/apps/org.%{name}.FontForge.*
%{_mandir}/man1/*.1*
%{python3_sitearch}/%{name}.so
%{python3_sitearch}/psMat.so

%files -n %{libname}
%{_libdir}/libfontforge.so.%{major}{,.*}

%if 0
%files -n %{devname}
%{_libdir}/libfontforge.so
%endif

%files doc
%doc %{_pkgdocdir}
