%bcond_without	qt6

Name:           fontobene-qt
Version:        1.0.0
Release:        %mkrel 2
Summary:        C++/Qt FontoBene Parser (header-only)
Group:          Development/KDE and Qt
License:        Apache-2.0 OR MIT
URL:            https://github.com/fontobene/fontobene-qt
Source0:        https://github.com/fontobene/fontobene-qt/archive/%{version}/%{name}-%{version}.tar.gz
# Header-only pkgs
BuildArch:      noarch

BuildRequires:  cmake
%if %{with qt6}
BuildRequires:  cmake(Qt6Core)
%else
BuildRequires:  cmake(Qt5Core)
%endif

%description
A header-only library to parse FontoBene stroke fonts with C++/Qt.

#---------------------------------------

%package devel
Summary:        C++/Qt FontoBene Parser (header-only)
Group:          Development/KDE and Qt

%description devel
A header-only library to parse FontoBene stroke fonts with C++/Qt.

#---------------------------------------

%prep
%autosetup -p1

%build
%if %{with qt6}
%cmake -DFONTOBENE_QT_MAJOR_VERSION=6
%cmake_build
%else
%cmake -DFONTOBENE_QT_MAJOR_VERSION=5
%cmake_build
%endif

%install
%cmake_install

%if %{with qt6}
install -Dm0644 fontobene-qt-6.pc.example %{buildroot}%{_datadir}/pkgconfig/%{name}6.pc
%else
install -Dm0644 fontobene-qt-5.pc.example %{buildroot}%{_datadir}/pkgconfig/%{name}5.pc
%endif

%files devel
%license LICENSE-APACHE LICENSE-MIT
%doc CHANGELOG.md README.md
%{_includedir}/%{name}/
%if %{with qt6}
%{_datadir}/pkgconfig/%{name}6.pc
%else
%{_datadir}/pkgconfig/%{name}5.pc
%endif
