%define pkgname   Hack
%define fontname  hack
%define fontconf  45-%{fontname}.conf
%define catalogue %{_sysconfdir}/X11/fontpath.d
%define _fontdir  %{_datadir}/fonts/TTF/%{fontname}

Name:           fonts-ttf-%{fontname}
Version:        3.003
Release:        %mkrel 3
Summary:        Typeface designed for source code
Group:          System/Fonts/True type
License:        MIT and Bitstream Vera License
URL:            https://sourcefoundry.org/hack/
Source0:        https://github.com/source-foundry/Hack/archive/v%{version}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  fontconfig
BuildRequires:  mkfontscale
BuildRequires:  fontpackages-devel

Provides:       %{fontname} = %{version}-%{release}
Provides:       %{fontname}-fonts = %{version}-%{release}

%description
Hack includes monospaced regular, bold, oblique, and bold oblique sets to cover
all of your syntax highlighting needs.

Over 1500 glyphs that include lovingly tuned expanded Latin, modern Greek, and
Cyrillic character sets.

Powerline glyphs are included in the regular set. Patching is not necessary.
Install and go.

%prep
%setup -q -n %{pkgname}-%{version}

%build

%install
# fonts .ttf
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p build/ttf/*.ttf %{buildroot}%{_fontdir}

# catalogue
install -m 0755 -d %{buildroot}%{catalogue}
ln -s %{_fontdir} %{buildroot}%{catalogue}/ttf-%{fontname}:pri=50

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p config/fontconfig/45-Hack.conf \
                   %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

# fonts.{dir,scale}
mkfontscale %{buildroot}%{_fontdir}
mkfontdir %{buildroot}%{_fontdir}

%files
%doc CHANGELOG.md CONTRIBUTING.md README.md
%license LICENSE.md
%{_fontconfig_templatedir}/%{fontconf}
%config(noreplace) %{_fontconfig_confdir}/%{fontconf}
%{_sysconfdir}/X11/fontpath.d/ttf-%{fontname}:pri=50
%dir %{_datadir}/fonts/TTF/%{fontname}
%{_datadir}/fonts/TTF/%{fontname}/*.ttf
%verify(not mtime) %{_datadir}/fonts/TTF/%{fontname}/fonts.dir
%{_datadir}/fonts/TTF/%{fontname}/fonts.scale
