%global pkgname liberation-fonts-ttf
%global oname liberation-fonts
%global priority  59
%global fontname liberation
%global fontconf %{priority}-%{fontname}
%global archivename %{oname}-%{version}
%global catalogue %{_sysconfdir}/X11/fontpath.d
%global _fontconfig_templatedir %{_datadir}/fontconfig/conf.avail
%global _fontconfig_confdir /etc/fonts/conf.d
%global _fontdir %{_datadir}/fonts/TTF/%{fontname}

Summary: Fonts to replace commonly used Microsoft Windows Fonts
Name: fonts-ttf-liberation
Version: 2.1.5
Release: %mkrel 2
License: OFL
Group: System/Fonts/True type
URL:	https://pagure.io/liberation-fonts/
Source0:          https://github.com/liberationfonts/liberation-fonts/files/7261483/%{archivename}.tar.gz
Source2:	liberation-fonts-mono.conf
Source3:	liberation-fonts-sans.conf
Source4:	liberation-fonts-serif.conf
Source6:          %{fontname}.metainfo.xml
Source7:          %{fontname}-mono.metainfo.xml
Source8:          %{fontname}-sans.metainfo.xml
Source9:          %{fontname}-serif.metainfo.xml
BuildArch: noarch
# chrome wants this (mga#23573)
Provides:      liberation-fonts
BuildRequires: mkfontdir
BuildRequires: mkfontscale
BuildRequires: ttmkfdir
# (lm) fontconfig.prov requires fc-query to provide font(:lang=ll) & font(name)
BuildRequires: fontconfig
BuildRequires: fontpackages-devel >= 1.13
BuildRequires: fontforge
BuildRequires: appstream-util
BuildRequires: python3
BuildRequires: python3-fonttools

%description
The Liberation Fonts are intended to be replacements for the three
most commonly used fonts on Microsoft systems: Times New Roman,
Arial, and Courier New.

%prep
%autosetup -n %{archivename}

%build
%make_build
mv liberation-fonts-ttf-%{version}/* .

%install
# fonts .ttf
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}
# catalogue
install -m 0755 -d %{buildroot}%{catalogue}
ln -s %{_fontdir} %{buildroot}%{catalogue}/%{name}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

# Repeat for every font family
install -m 0644 -p %{SOURCE2} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-mono.conf
install -m 0644 -p %{SOURCE3} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-sans.conf
install -m 0644 -p %{SOURCE4} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-serif.conf

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE6} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml
install -Dm 0644 -p %{SOURCE7} \
        %{buildroot}%{_datadir}/appdata/%{fontname}-mono.metainfo.xml
install -Dm 0644 -p %{SOURCE8} \
        %{buildroot}%{_datadir}/appdata/%{fontname}-sans.metainfo.xml
install -Dm 0644 -p %{SOURCE9} \
        %{buildroot}%{_datadir}/appdata/%{fontname}-serif.metainfo.xml

for fconf in %{fontconf}-mono.conf \
             %{fontconf}-sans.conf \
             %{fontconf}-serif.conf; do
  ln -s %{_fontconfig_templatedir}/$fconf \
        %{buildroot}%{_fontconfig_confdir}/$fconf
done

# fonts.{dir,scale}
mkfontscale %{buildroot}%{_fontdir}
mkfontdir %{buildroot}%{_fontdir}

%check
appstream-util validate-relax --nonet \
        %{buildroot}%{_datadir}/appdata/%{fontname}*.metainfo.xml
%files
%doc ChangeLog
%license  LICENSE
%dir %{_datadir}/fonts/TTF/liberation
%{_datadir}/fonts/TTF/liberation/*.ttf
%verify(not mtime) %{_datadir}/fonts/TTF/liberation/fonts.dir
%{_datadir}/fonts/TTF/liberation/fonts.scale
%{_sysconfdir}/X11/fontpath.d/fonts-ttf-liberation 
%{_fontconfig_confdir}/*
%{_fontconfig_templatedir}/*
%{_datadir}/appdata/liberation*.metainfo.xml
