%define fontconf	57-paratype

%define _fontdir	%{_datadir}/fonts/TTF

%global __provides_exclude font

Name:		fonts-ttf-paratype
Version:	0
Release:	%mkrel 8
Summary:	A pan-Cyrillic public font family
Group:		System/Fonts/True type
License:	OFL
Url:		https://www.paratype.com/public/
Source0:	http://www.fontstock.com/public/PTSans.zip
Source1:	http://www.fontstock.com/public/PTSerif.zip
Source2:	http://www.fontstock.com/public/PTMono.zip
Source10:       paratype-fontconfig.conf
Source11:       paratype-caption-fontconfig.conf
BuildArch:	noarch
BuildRequires:	fontpackages-devel
BuildRequires:	dos2unix

%description
PT Sans family was developed as a part of the project “Public Types of Russian
Federation”. The fonts of this project have open user license and can be
freely distributed. The main aim of the project is to give possibility to the
peoples of Russia to read and write on their native languages. The project is
dedicated to 300-year anniversary of the civil type invented by Peter the
Great in 1708–1710 years and was realized with financial support from Federal
Agency for Press and Mass Communications.

The fonts beside standard Western, Central European and Cyrillic code pages
contain characters of all title languages of Russian Federation that make
them unique and very important tool of the modern digital communications.

PT Sans is based on Russian sans serif types of the second part of the XX
century, but at the same time has a very distinctive features of modern
humanistic design. The family consists of 8 styles: 4 basic styles; 2 captions
styles for small sizes and 2 narrows styles for economic setting.

%prep
%setup -q -cn %{name}

#other fonts
unzip -o %{SOURCE1}
unzip -o %{SOURCE2}

for txt in PT*.txt ; do
   if $(echo "$txt" | grep -q "rus") ; then
     iconv --from-code=UTF-16 --to-code=UTF-8 "$txt" -o "$txt.1"
   else
     iconv --from-code=ISO-8859-1 --to-code=UTF-8 "$txt" -o "$txt.1"
   fi
   dos2unix "$txt.1"
   mv "$txt.1" "$txt"
done

%build
#nothing

%install
mkdir -p %{buildroot}%{_fontdir}/paratype
install -pm644 *.ttf %{buildroot}%{_fontdir}/paratype/

mkdir -p %{buildroot}%{_fontconfig_templatedir}
mkdir -p %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE10} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}.conf
install -m 0644 -p %{SOURCE11} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-caption.conf

for fconf in %{fontconf}.conf \
             %{fontconf}-caption.conf ; do
  ln -s %{_fontconfig_templatedir}/$fconf \
        %{buildroot}%{_fontconfig_confdir}/$fconf
done

%files
%doc PT*.txt
%{_fontdir}/paratype/*.ttf
%{_fontconfig_templatedir}/*.conf
%config(noreplace) %{_fontconfig_confdir}/*.conf
