Summary:    Hebrew Type1 fonts
Name:       fonts-type1-hebrew
Version:    0.130
Release:    %mkrel 8
License:    GPL
Group:      System/Fonts/Type1
URL:        https://culmus.sourceforge.net/
Source:     https://downloads.sourceforge.net/culmus/culmus-%{version}.tar.gz
BuildArch:  noarch
BuildRequires:  freetype-tools
BuildRequires:  t1utils
# Added to avoid conflicts with the official RPM released by Culmus project
Conflicts:  culmus-fonts
Patch1:     culmus-fontconfig-fix-warnings.patch

%description
This Package provides free Hebrew Type1 fonts, courtesy of the Culmus project.

Since version 0.100, all default sizes have been reduced and names have been
changed. Once you install this version or a later one, all letters in your
documents will shrink; manual tuning may therefore be necessary.

%prep

%setup -q -n culmus-%{version}
%autopatch -p0

%build
for i in *.pfa ; do
  t1binary $i `basename $i .pfa`.pfb
done
sed -i -e '1,$s/\.pfa/.pfb/' fonts.scale-type1

%install
mkdir -p %buildroot/%_datadir/fonts/Type1/hebrew/
mkdir -p %buildroot/%_datadir/fonts/TTF/hebrew/
%__install -m 0644 *.pfb %buildroot/%_datadir/fonts/Type1/hebrew
%__install -m 0644 *.afm %buildroot/%_datadir/fonts/Type1/hebrew
%__install -m 0644 *.ttf %buildroot/%_datadir/fonts/TTF/hebrew
%__install -m 0644 fonts.scale-type1 %buildroot/%_datadir/fonts/Type1/hebrew/fonts.scale
%__install -m 0644 fonts.scale-ttf %buildroot/%_datadir/fonts/TTF/hebrew/fonts.scale
# Added for version 0.100
mkdir -p %buildroot/%_sysconfdir/fonts/conf.d
%__install -D -m 0644 culmus.conf %buildroot/%_datadir/fontconfig/conf.avail/01-culmus.conf
ln -s %_datadir/fontconfig/conf.avail/01-culmus.conf %buildroot/%_sysconfdir/fonts/conf.d/01-culmus.conf

(
cd %buildroot/%_datadir/fonts/Type1/hebrew/
cp fonts.scale fonts.dir
)
(
cd %buildroot/%_datadir/fonts/TTF/hebrew/
cp fonts.scale fonts.dir
)

mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
ln -s ../../..%_datadir/fonts/Type1/hebrew \
    %{buildroot}%_sysconfdir/X11/fontpath.d/Type1-hebrew:pri=50
ln -s ../../..%_datadir/fonts/TTF/hebrew \
    %{buildroot}%_sysconfdir/X11/fontpath.d/TTF-hebrew:pri=50

%files
%defattr(0644,root,root,0755)
%doc CHANGES LICENSE LICENSE-BITSTREAM GNU-GPL
%_datadir/fonts/Type1/hebrew
%_datadir/fonts/TTF/hebrew
# Added for version 0.100
%_sysconfdir/fonts/conf.d/01-culmus.conf
%_datadir/fontconfig/conf.avail/01-culmus.conf
%_sysconfdir/X11/fontpath.d/Type1-hebrew:pri=50
%_sysconfdir/X11/fontpath.d/TTF-hebrew:pri=50
