Name:          fonttools
Version:       4.55.6
Release:       %mkrel 3
Summary:       A tool to convert True/OpenType fonts to XML and back
Group:         Development/Other
License:       BSD
Url:           https://github.com/fonttools/fonttools
Source0:       https://github.com/fonttools/fonttools/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: glibc-devel
Requires:      python3-fonttools

%description
TTX/FontTools is a tool to convert OpenType and TrueType fonts to and
from XML. FontTools is a library for manipulating fonts, written in Python.
It supports TrueType, OpenType, AFM and to an extent Type 1 and some
Mac-specific formats.

%package -n python3-fonttools
Summary:       Python 3 fonttools library
%{?python_provide:%python_provide python3-%{name}}
BuildRequires: pkgconfig(python3)
BuildRequires: pyproject-rpm-macros
# Extra requires
Requires:      python3dist(fs)
Requires:      python3dist(lxml)
Requires:      python3dist(brotli)
Requires:      python3dist(zopfli)
Requires:      python3dist(lz4)
Requires:      python3dist(scipy)
# Obsoletes:
Obsoletes:     python3-ufolib < 4

%description -n python3-fonttools
TTX/FontTools is a tool for manipulating TrueType and OpenType fonts. It is
written in Python and has a BSD-style, open-source license. TTX can dump
TrueType and OpenType fonts to an XML-based text format and vice versa.

%pyproject_extras_subpkg -n python3-fonttools graphite interpolatable lxml plot symfont type1 ufo unicode woff

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files fontTools

%files
%{_bindir}/%{name}
%{_bindir}/pyft*
%{_bindir}/ttx
%{_mandir}/man1/ttx.1*

%files -n python3-fonttools -f %{pyproject_files}
%doc NEWS.rst
%license LICENSE
