%define Werror_cflags %nil

Summary:        Recover files based on their headers and footers
Name:           foremost
Version:        1.5.7
Release:        %mkrel 13
Group:          File tools
License:        Public Domain
URL:            https://foremost.sourceforge.net/
Source0:        https://foremost.sourceforge.net/pkg/foremost-%{version}.tar.gz
Patch0:         foremost-broken-jpeg.patch
Patch1:         foremost-fix-permission-timestamp.patch
Patch2:         foremost-1.5.7-format-security.patch
Patch3:         foremost-1.5.7-gcc10.patch

%description
Foremost is a Linux program to recover files based on their headers and
footers. Foremost can work on image files, such as those generated by
dd, Safeback, Encase, etc, or directly on a drive. The headers and
footers are specified by a configuration file, so you can pick and
choose which headers you want to look for.

%prep
%setup -q
%patch -P 0 -p0
%patch -P 1 -p2
%patch -P 2 -p1
%patch -P 3 -p1

sed -i 's|/usr/local/etc/foremost.conf|%{_sysconfdir}/foremost.conf|' config.c
sed -i 's|^RAW_FLAGS =.*|RAW_FLAGS = %{optflags}|' Makefile

%build
%make_build

%install
chmod 0644 *
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_mandir}/man8

%make_install BIN=%{buildroot}%{_bindir} MAN=%{buildroot}%{_mandir}/man8 CONF=%{buildroot}%{_sysconfdir}

%files
%doc CHANGES README
%{_bindir}/foremost
%{_mandir}/man8/*
%config(noreplace) %{_sysconfdir}/%{name}.conf
