# Base Macros which need to be set
%define packageprefix fortune
%define packagebase joelkirchartz
%define archivebase fortune-jkirchartz
%define version 0.0.1.20200409
%define fortunefilesprefix %{packagebase}-
%define rel 3
%global tarball_ext xz

# Derived Macros
%define archivewithver %{archivebase}-%{version}
%define archivefull %{archivewithver}.tar.%{tarball_ext}

%define fortunedatadir %{_datadir}/games/fortunes

Name: %{packageprefix}-%{packagebase}
Version: %{version}
Release: %mkrel %{rel}
License: Unlicense
Group: Toys

Source: %{archivefull}
BuildArch: noarch
URL: https://github.com/JKirchartz/fortunes
BuildRequires: fortune-mod
BuildRequires: perl
Requires: fortune-mod
Summary: Fortune Cookies Collection by Joel Kirchartz

%description
This package contains several collections of fortune cookies by Joel
Kirchartz.


%prep
%setup -q -n %{archivewithver}

%build

myprefix="%{fortunefilesprefix}"
rm -f *.dat
rm -f *.py
# For strfile
PATH="$PATH:/usr/sbin:/sbin"
for fn in $(perl -E 'print join" ",grep {(not /\A(?:Makefile|LICENSE|(?:README.*)|(?:.*\.dat))\z/)}glob("*")') ; do \
    mv "$fn" "$myprefix$fn" ; \
    strfile "${myprefix}$fn" "${myprefix}$fn.dat" ; \
done

%install

mkdir -p "%{buildroot}"/%{fortunedatadir}
for dat in *.dat ; do \
    cp "${dat}" "`echo "$dat" | sed 's/\.dat$//'`" \
        "%{buildroot}"/%{fortunedatadir}/ ; \
done

%files
%{fortunedatadir}/%{fortunefilesprefix}*
%doc README.md
%license LICENSE

