# Base Macros which need to be set
%define packageprefix fortune
%define packagebase pep-talk
%define archivebase %{packagebase}
%define fortunefilesprefix pep-talk
%define rel 5

# Derived Macros
%define archivewithver %{archivebase}-%{version}
%define archivefull %{archivewithver}.tar.gz

%define fortunedatadir %{_datadir}/games/fortunes

Name: %{packageprefix}-%{packagebase}
Version: 0.1.0
Release: %mkrel %{rel}
Summary: Pep talk quotes from Halls cough drops wrappers
License: CC-BY-SA
Group: Toys
URL: https://github.com/garysweaver/pep-talk
Source: https://github.com/garysweaver/%{packagebase}/archive/v%{version}/%{archivefull}
BuildArch: noarch
BuildRequires: fortune-mod
Requires: fortune-mod

%description
pep-talk is a quote-file with pep talk quotes from Halls cough drops
wrappers. It can be used with the Unix Fortune program.

%prep
%setup -n %{archivewithver} -q

%build

myprefix="%{fortunefilesprefix}"
rm -f *.dat
ls | grep -v "\\." | grep -v "[[:upper:]]" | \
    ( while read T ; do \
        mv "$T" "${myprefix}$T" ; \
        /usr/bin/strfile "${myprefix}$T" "${myprefix}$T.dat" ; \
        done \
    )

%install

mkdir -p %{buildroot}%{fortunedatadir}
for I in *.dat ; do \
    cp $I "`echo "$I" | sed 's/\.dat$//'`" \
        %{buildroot}%{fortunedatadir} ; \
done

%files
%{fortunedatadir}/*
%doc README LICENSE
