Name:           fossil
Version:        2.25
Release:        %mkrel 1
Summary:        Simple, high-reliability, distributed, software configuration management
License:        BSD 2-clause
Group:          Development/Tools
URL:            https://www.fossil-scm.org/
Source:         https://www.fossil-scm.org/home/tarball/version-%{version}/fossil-src-%{version}.tar.gz
BuildRequires:  pkgconfig(fuse)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(sqlite3) >= 3.25.2
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(readline)
BuildRequires:  tcl

%description
Fossil is a simple, high-reliability, and distributed, software configuration
management system, with distributed bug tracking, a distributed wiki
capability, and a built-in web interface.

%prep
%autosetup -n %{name}-src-%version

%build
CFLAGS="%{optflags}" ./configure --prefix=%{_prefix} --with-openssl=auto --disable-internal-sqlite
%make_build

%install
%make_install

install -D -m 0644 -t %{buildroot}%{_mandir}/man1 fossil.1

%files
%doc README.md
%license COPYRIGHT-BSD2.txt
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
