Name:		fotocx
Version:	25.0
Release:	%mkrel 1
Summary:	Editor of image files from digital cameras
License:	GPLv3
Group:		Graphics/Editors and Converters
URL:		https://www.kornelix.net/fotocx/fotocx.html
Source0:	https://www.kornelix.net/downloads/downloads/fotocx-%{version}-source.tar.gz
Patch0:		fotocx-24.21-mga-desktop_file.patch

BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libraw)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(champlain-0.12)
BuildRequires:	pkgconfig(champlain-gtk-0.12)
BuildRequires:	ufraw
BuildRequires:	perl(Image::ExifTool)
BuildRequires:	xdg-utils

Requires:	exiv2
Requires:	ufraw
Requires:	perl-Image-ExifTool
Requires:	dcraw
Requires:	xmessage
Recommends:	brasero
Recommends:	rawtherapee

# Drop after Mageia 10
Provides:	fotoxx = %{version}-%{release}
Obsoletes:	fotoxx < 23.60-2

%description
Edit image files from a digital camera. Includes color and contrast
enhancement, red-eye removal, sharpen, crop, rotate, noise removal,
HDR (high dynamic range) and panorama image compositing, thumbnail
image browser, tag editing and search.

%prep
%autosetup -p1 -n %{name}

sed -i 's|/usr/local|%{_prefix}|' Makefile

%build
%set_build_flags
%make_build

%install
%make_install ICONDIR=%{_iconsdir}/hicolor/128x128/apps

%files
%{_docdir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_metainfodir}/kornelix.%{name}.metainfo.xml
%{_mandir}/man1/%{name}.1*
