%define api		1.7
%define major		0

%define libname		%mklibname %{name} %{api} %{major}
%define libnamedev	%mklibname %{name} -d

%define name_ex_apps	%{name}-example-apps

%define icon_name_calc	%{name}-calculator.png
%define icon_name_adie	%{name}-adie.png

Summary:	The FOX C++ GUI Toolkit
Name:		fox
Version:	1.7.85
Release:	%mkrel 1
License:	LGPLv2+
Group:		Development/C++
URL:		http://www.fox-toolkit.org
Source0:	http://fox-toolkit.org/ftp/%{name}-%{version}.tar.gz
Source1:	fox-shutterbug-16.png
Source2:	fox-shutterbug-32.png
Source3:	fox-shutterbug-48.png
Source10:	%{name}_adie_16.png
Source11:	%{name}_adie_32.png
Source12:	%{name}_adie_48.png
Source20:	%{name}_calc_16.png
Source21:	%{name}_calc_32.png
Source22:	%{name}_calc_48.png
Patch0:		fox-1.7.52-cxxflags.patch
BuildRequires:	pkgconfig(glu)
BuildRequires:	cups-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	doxygen

%description
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

%package -n %{name_ex_apps}
Summary:	FOX example applications
Group:		Office/Utilities
Requires:	%{libname} >= %{version}

%description -n %{name_ex_apps}
Editor, file browser and calculator, written with FOX

%package -n %{libname}
Summary:	The FOX C++ GUI Toolkit - Libraries
Group:		System/Libraries
Obsoletes:	%{_lib}fox1.7 < 1.7.67-3

%description -n %{libname}
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

%package -n %{libnamedev}
Summary:	FOX header files
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	libfox-devel = %version-%release
Provides:	fox%{api}-devel = %version-%release
Provides:	libfox%{api}-devel = %version-%release

%description -n %{libnamedev}
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

This package contains the necessary files to develop applications
with FOX.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --with-opengl=mesa \
           --disable-static \
           --enable-cups

%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

mv %{buildroot}%{_datadir}/doc/fox-%{api}/* installed-docs
cp -p pathfinder/PathFinder %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/foxcalculator.desktop << EOF
[Desktop Entry]
Name=FOX Calculator
Comment=Calculator using the FOX toolkit
Exec=%{_bindir}/calculator %U
Icon=%{icon_name_calc}
Terminal=false
Type=Application
StartupNotify=true
Categories=Science;Math;
EOF
cat > %{buildroot}%{_datadir}/applications/foxadie.desktop << EOF
[Desktop Entry]
Name=FOX Adie
Comment=A.D.I.E. - Advanced Interactive Editor using the FOX toolkit
Exec=%{_bindir}/adie %U
Icon=%{icon_name_adie}
Terminal=false
Type=Application
StartupNotify=true
Categories=TextEditor;Utility;
EOF
cat > %{buildroot}%{_datadir}/applications/shutterbug.desktop << EOF
[Desktop Entry]
Name=FOX Shutterbug
Comment=Takes a screenshot and saves it to a file
Exec=%{_bindir}/shutterbug %U
Icon=shutterbug
Terminal=false
Type=Application
StartupNotify=true
Categories=Graphics;
EOF

install -D -m 644 %{SOURCE10} %{buildroot}%{_miconsdir}/%{icon_name_adie}
install -D -m 644 %{SOURCE11} %{buildroot}%{_iconsdir}/%{icon_name_adie}
install -D -m 644 %{SOURCE12} %{buildroot}%{_liconsdir}/%{icon_name_adie}

install -m 644 %{SOURCE20} %{buildroot}%{_miconsdir}/%{icon_name_calc}
install -m 644 %{SOURCE21} %{buildroot}%{_iconsdir}/%{icon_name_calc}
install -m 644 %{SOURCE22} %{buildroot}%{_liconsdir}/%{icon_name_calc}

install -m 644 %{SOURCE1} %{buildroot}%{_miconsdir}/shutterbug.png
install -m 644 %{SOURCE2} %{buildroot}%{_iconsdir}/shutterbug.png
install -m 644 %{SOURCE3} %{buildroot}%{_liconsdir}/shutterbug.png

rm -rf %{buildroot}%{_prefix}/fox

%files -n %{name_ex_apps}
%doc AUTHORS README
%license LICENSE
%{_bindir}/calculator
%{_bindir}/ControlPanel
%{_bindir}/PathFinder
%{_bindir}/adie
%{_bindir}/Adie.stx
%{_bindir}/shutterbug
%{_datadir}/applications/*
%{_miconsdir}/%{icon_name_adie}
%{_iconsdir}/%{icon_name_adie}
%{_liconsdir}/%{icon_name_adie}
%{_miconsdir}/%{icon_name_calc}
%{_iconsdir}/%{icon_name_calc}
%{_liconsdir}/%{icon_name_calc}
%{_miconsdir}/shutterbug.png
%{_iconsdir}/shutterbug.png
%{_liconsdir}/shutterbug.png
%{_mandir}/man1/ControlPanel*
%{_mandir}/man1/PathFinder*
%{_mandir}/man1/adie*
%{_mandir}/man1/calculator*
%{_mandir}/man1/shutterbug.1*

%files -n %{libname}
%doc AUTHORS README
%license LICENSE
%{_libdir}/lib*-%{api}.so.%{major}{,.*}

%files -n %{libnamedev}
%doc doc ADDITIONS TRACING
%doc installed-docs
%doc %{_mandir}/man1/reswrap*
%{_bindir}/reswrap
%{_bindir}/fox-config
%dir %{_includedir}/fox-%{api}
%{_includedir}/fox-%{api}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
