%define oname     fox

%define api       1.6
%define major     0
%define libname   %mklibname %{oname} %{api} %{major}
%define develname %mklibname %{name} -d

Summary:        The FOX C++ GUI Toolkit
Name:           fox1.6
Version:        1.6.57
Release:        %mkrel 4
License:        LGPLv2+
Group:          Development/C++
URL:            http://www.fox-toolkit.org
Source:         http://fox-toolkit.org/ftp/%{oname}-%{version}.tar.gz
Patch0:         fox-1.6.36-fix-str-fmt.patch
#Patch1:        fox-1.6.43-fix-linkage.patch
Patch2:         fox-1.7.52-cxxflags.patch
BuildRequires:  cups-devel
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(bzip2)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libtiff-4)

%description
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

%package -n     %{libname}
Summary:        The FOX C++ GUI Toolkit - Libraries
Group:          System/Libraries

%description -n %{libname}
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

%package -n     %{develname}
Summary:        FOX header files
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       fox1.6-devel = %{version}-%{release}
Provides:       libfox1.6-devel = %{version}-%{release}
Conflicts:      fox1.4-devel
Conflicts:      fox1.7-devel

%description -n %{develname}
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

This package contains the necessary files to develop applications
with FOX.

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

%build
autoreconf -vfi
LDFLAGS="-lfontconfig" %configure \
    --with-opengl=yes \
    --with-xft \
    --with-xcursor \
    --with-xrandr \
    --with-shape \
    --with-xshm \
    --disable-static \
    --enable-release

%make_build

%install
rm -rf installed-docs
%make_install

mv %{buildroot}%{_datadir}/doc/fox-1.6/* installed-docs
%multiarch_binaries %{buildroot}%{_bindir}/fox-config

rm -rf %buildroot%_prefix/fox %buildroot%_bindir/Adie.stx \
       %buildroot%_bindir/PathFinder %buildroot%_bindir/adie \
       %buildroot%_bindir/calculator %buildroot%_bindir/shutterbug \
       %buildroot%_mandir/man1/PathFinder* %buildroot%_mandir/man1/adie* \
       %buildroot%_mandir/man1/calculator* %buildroot%_mandir/man1/shutterbug*

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc AUTHORS LICENSE README
%{_libdir}/lib*-%{api}.so.%{major}{,.*}

%files -n %{develname}
%doc doc ADDITIONS TRACING
%doc installed-docs
%{_bindir}/reswrap
%{_bindir}/fox-config
%multiarch_bindir/fox-config
%dir %{_includedir}/fox-%{api}
%{_includedir}/fox-%{api}/*
%{_libdir}/pkgconfig/fox.pc
%{_libdir}/*.so
%{_mandir}/man1/reswrap*
