Name:		foxtrotgps
Summary:	Easy-to-use graphical GPS tool
Version:	1.2.2
Release:	%mkrel 11
Group:		Sciences/Geosciences
License:	GPLv2
Url:		https://www.foxtrotgps.org/
Source0:	https://www.foxtrotgps.org/releases/%{name}-%{version}.tar.xz
Patch0:		foxtrotgps-1.2.2-gpsd-api9.patch
Patch1:		foxtrotgps-1.2.2-dialog10-fix.patch
Patch2:		foxtrotgps-1.2.2-fix-some-receivers.patch
Patch3:		foxtrotgps-1.2.2-fix-bilding-with-gcc14.patch
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libglade-2.0)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libgps) >= 3.23-1
Requires:	jhead
#Requires:	gpscorrelate

%description
FoxtrotGPS is an easy-to-use graphical tool that can be used to track the
position of a GPS receiver on a map in relation to user-defined points of
interest (POIs), a destination and waypoints, and tracks loaded from files
or internet routing-services.

FoxtrotGPS also allows internet-connected users to share their position
with other users and send messages.

FoxtrotGPS is an offshoot of Marcus Bauer's excellent Free & Open Source
tangoGPS application, with a focus on cooperation and fostering community
innovation.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

#fix .desktop
desktop-file-edit %{buildroot}%{_datadir}/applications/%{name}.desktop

#let files section handle docs
rm -rf %{buildroot}%{_defaultdocdir}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog HACKING NEWS README
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/GConf/gsettings/org.%{name}.convert
%{_datadir}/glib-2.0/schemas/org.%{name}.gschema.xml
%{_datadir}/pixmaps/%{name}*.png
%{_infodir}/%{name}.info.*
%{_mandir}/man1/*
