%define debug_package %{nil}
%define gdb_ver 7.5.1

Summary: Text Mode Free Pascal IDE with CP866 adaptation (Russian)
Name: fp-ide-ru
Version: 3.2.0
Release: %mkrel 1
License: GPLv2+ and LGPLv2+ with exceptions
Group: Development/Tools
#Url: https://sourceforge.net/projects/fp-ide-ru
Url: https://sourceforge.net/projects/freepascal

#Main source
Source0: fpcbuild-%{version}.tar.gz
#Icon
Source1: %{name}.png
#Script for running IDE
Source2: %{name}
#Add IDE in Desktop Menu
Source3: %{name}.desktop
#Only for CP866
Source4: video.pp
#Only for CP866
Source5: local_ru.sh
#From ftp://ftp.freepascal.org/pub/fpc/dist/%%{version}/docs
Source6: doc-html.tar.gz
#Unused source, but for future changes
Source7: %{name}.xcf
#Unused source, for finding new strings for translation in new version of IDE
Source8: check_translations.sh
#Configuration for sakura
Source9: sakura_%{name}.conf
#For printing
Source10: fp-prn-ru
#It's shows when IDE runs the first time and from Menu
Source11: readme_ru.ide
#Russian version help for Turbo Pascal 7.0
Source12: turbo.tph

#From upstream
Patch1: snapshot_fixes_3_2_svn20181220.patch
#From upstream with modifications for fpc-3.0.4
Patch2: make_fixes_3_2_svn20181220.patch
#For printing
Patch3: fpide_prn_support_0.patch
#For printing
Patch4: fpmfile_prn_ru_support_1.patch
#https://bugs.freepascal.org/view.php?id=34533
Patch5: save_as_ok_button_v2.patch
#Fix http://bugs.freepascal.org/view.php?id=23682
Patch6: fpkeys.patch
#Don't show message on mouse click
Patch7: mouse_click.patch
#Fix http://bugs.freepascal.org/view.php?id=25280
Patch8: fix_min_size.patch
#Fix https://bugs.freepascal.org/view.php?id=34725
Patch9: do_not_use_messages_pos.patch
#Fix https://bugs.freepascal.org/view.php?id=23581
Patch10: gdbint_pp.patch
#From Debian, modified for our needs
Patch11: fix_FTBFS_on_linux_not_amd64.patch
#From Debian
Patch12: add-arm64-support.patch
#From Debian
Patch13: after_patch_arm64_systems.pas.patch
#From Debian
Patch14: further-arm64-fixes.patch

#Compiler fpc (which have Requires: gpm, ncurses, binutils)
Requires: fpc = %{version}
#Any terminals, which works with CP866 in all DE (see script fp-ide-ru)
#Notice: you need sakura >= 3.1.2 with --fullscreen support,
#but there is bug https://bugs.launchpad.net/sakura/+bug/1246333
#Requires: sakura >= 3.1.2
Requires: xfce4-terminal
#For CP866 support
Requires: glibc-i18ndata
#For localedef
Requires: glibc
#For detecting UTF-8 in script fp-ide-ru
Requires: enca
#For notify-send
Requires: libnotify
#For work of IDE
Requires: coreutils
#For compiling in IDE, for ptcgraph
Requires: glibc-devel
Requires: gcc
Requires: pkgconfig(x11)
Requires: pkgconfig(xrandr)
Requires: pkgconfig(xxf86vm)
Requires: pkgconfig(xext)
Requires: pkgconfig(xxf86dga)

#For svn tools in IDE
Recommends: subversion
#For grep in IDE
Recommends: grep
#gdb in not in fp binary
Recommends: gdb

#Fundamental for building
BuildRequires: fpc
BuildRequires: gcc
#For iconv in spec
BuildRequires: glibc
#For libexpat.so when build is linking
BuildRequires: pkgconfig(expat)
#For libncurses.so when build is linking
BuildRequires: pkgconfig(ncurses)
#For libz.a (for gdb >= 7.5.1)
BuildRequires: pkgconfig(zlib)
#For gdb building
BuildRequires: termcap-devel

%description
Text Mode Free Pascal IDE with CP866 adaptation (Russian)

%post
#Adding CP866 in distro
localedef -i ru_RU -f IBM866 ru_RU.CP866

%prep
%setup -q -n fpcbuild-%{version}
sed -i 's|(error No libgdb.a found, supply NOGDB=1 to disable debugger support)|(warning _OK_)|g' Makefile
sed -i 's|(error No libgdb.a found, supply NOGDB=1 to disable debugger support)|(warning _OK_)|g' Makefile.fpc
ln -s fpcsrc/ide fpcsrc/packages/ide
%patch -P 3 -p1
%patch -P 4 -p1
%patch -P 6 -p1
%patch -P 7 -p1
%patch -P 8 -p1
%patch -P 9 -p1
%patch -P 10 -p1
pushd fpcsrc
cp -f %{SOURCE4} ./packages/rtl-console/src/unix/
cp -f %{SOURCE5} ./
tar -xf %{SOURCE6}

#Convert to CP866
iconv -c -s -f UTF-8 -t CP866 ./compiler/msg/errorru.msg > ./compiler/msg/errorru_cp866.msg

#Fix for better result
sed -i -e "s|Write(' Press any key to return to IDE');|Writeln(' Press any key to return to IDE');|g" packages/ide/fpide.pas

#Fix for Russian "ё" in CP866
sed -i -e "s|'_', #241|'_'|g" packages/ide/fpcalc.pas
sed -i -e "s|#241|'_'|g" packages/ide/fpcalc.pas

#Fix for Russian "п, о" in CP866
sed -i -e "s|#175, #174|#62, #60|g" ./packages/fv/src/views.pas

#Fix symbols for CP866
iconv -c -s -f CP850 -t UTF-8 packages/ide/fpviews.pas > packages/ide/fpviews.pas.tmp
sed -i -e "s|'Bérczi Gábor'|'Berczi Gabor'|g" packages/ide/fpviews.pas.tmp
sed -i -e "s|'Florian Klämpfl'|'Florian Klampfl'|g" packages/ide/fpviews.pas.tmp
sed -i -e "s|'Michäel Van Canneyt'|'Michael Van Canneyt'|g" packages/ide/fpviews.pas.tmp
iconv -c -s -f UTF-8 -t CP850 packages/ide/fpviews.pas.tmp > packages/ide/fpviews.pas
rm -f packages/ide/fpviews.pas.tmp

#Fix symbols in html
iconv -c -s -f ISO-8859-15 -t UTF-8 ./doc/user/user.html > ./doc/user/user.html.tmp
sed -i -e "s|>ël Van Canneyt<|>el Van Canneyt<|g" ./doc/user/user.html.tmp
sed -i -e "s|>ämpfl<|>ampfl<|g" ./doc/user/user.html.tmp
iconv -c -s -f UTF-8 -t ISO-8859-15 ./doc/user/user.html.tmp > ./doc/user/user.html
rm -f ./doc/user/user.html.tmp
iconv -c -s -f ISO-8859-15 -t UTF-8 ./doc/prog/prog.html > ./doc/prog/prog.html.tmp
sed -i -e "s|>ël Van Canneyt<|>el Van Canneyt<|g" ./doc/prog/prog.html.tmp
iconv -c -s -f UTF-8 -t ISO-8859-15 ./doc/prog/prog.html.tmp > ./doc/prog/prog.html
rm -f ./doc/prog/prog.html.tmp
iconv -c -s -f ISO-8859-15 -t UTF-8 ./doc/ref/ref.html > ./doc/ref/ref.html.tmp
sed -i -e "s|>ël Van Canneyt<|>el Van Canneyt<|g" ./doc/ref/ref.html.tmp
iconv -c -s -f UTF-8 -t ISO-8859-15 ./doc/ref/ref.html.tmp > ./doc/ref/ref.html
rm -f ./doc/ref/ref.html.tmp
iconv -c -s -f ISO-8859-15 -t UTF-8 ./doc/fpdoc/fpdoc.html > ./doc/fpdoc/fpdoc.html.tmp
sed -i -e "s|>ël Van Canneyt<|>el Van Canneyt<|g" ./doc/fpdoc/fpdoc.html.tmp
iconv -c -s -f UTF-8 -t ISO-8859-15 ./doc/fpdoc/fpdoc.html.tmp > ./doc/fpdoc/fpdoc.html
rm -f ./doc/fpdoc/fpdoc.html.tmp

#Add IDE's path
sed -i -e "s|SystemIDEDir:=FExpand(DirOf(system.paramstr(0))+'../lib/fpc/'+version_string+'/ide/text');|SystemIDEDir:='%{_datadir}/%{name}';|g" packages/ide/fpini.pas
sed -i -e "s|SystemIDEDir:=FExpand(DirOf(system.paramstr(0))+'../lib64/fpc/'+version_string+'/ide/text');|SystemIDEDir:='%{_datadir}/%{name}';|g" packages/ide/fpini.pas
sed -i -e "s|SystemIDEDir:='/usr/lib/fpc/'+version_string+'/ide/text';|SystemIDEDir:='%{_datadir}/%{name}';|g" packages/ide/fpini.pas

#Add path for readme.ide and adding readme.ide into Help menu instead of "Using help"
sed -i -e "s|'readme.ide'|'%{_datadir}/%{name}/readme.ide'|g" ./packages/ide/fpconst.pas
sed -i -e "s|Help(0,hcUsingHelp,false);|ShowReadme;|g" ./packages/ide/fpmhelp.inc
sed -i -e "s|'~U~sing help'|'~W~elcome'|g" ./packages/ide/fpide.pas
sed -i -e "s|'~U~sing help'|'~W~elcome'|g" ./packages/fv/src/strtxt.inc
sed -i -e "s|'How to use Online Help'|'Show file readme.ide'|g" ./packages/ide/fphelp.pas

#Don't use background, correcting interface of IDE
sed -i -e "s|'fp.ans'|'fpans'|g" ./packages/ide/fpconst.pas

#Configuring configs
sed -i -e "s|#ENDIF|\n -Fr%{_datadir}/%{name}/errorru_cp866.msg\n#ENDIF|g" ./utils/fpcmkcfg/fpinc.cfg
echo '' >> ./utils/fpcmkcfg/fpinc.ini
echo '[Help]' >> ./utils/fpcmkcfg/fpinc.ini
echo 'Files="%{_docdir}/%{name}/fpctoc.html|Free Pascal IDE"' >> ./utils/fpcmkcfg/fpinc.ini
sed -i -e "s|%fpctargetos%|Linux|g" ./utils/fpcmkcfg/fpinc.cfg
sed -i -e 's|%basepath%|%{_libdir}/fpc/$fpcversion|g' ./utils/fpcmkcfg/fpinc.cfg
sed -i -e 's|\\|/|g' ./utils/fpcmkcfg/fpinc.cfg
GCC_LIB=`gcc -print-libgcc-file-name`
GCC_LIB_PATH=`dirname $GCC_LIB`
sed -i -e "s|%GCCLIBPATH%| -Fl$GCC_LIB_PATH|g" ./utils/fpcmkcfg/fpinc.cfg

#Fix http://bugs.freepascal.org/view.php?id=25279
sed -i -e "/NewItem(menu_debug_output,'', kbNoKey, cmUserScreenWindow, hcUserScreenWindow,/d" ./packages/ide/fpide.pas
sed -i -e "s|))))))))))))))))),|)))))))))))))))),|g" ./packages/ide/fpide.pas
pushd packages/
#Russian localization
bash ../local_ru.sh
popd
%build
%ifarch aarch64
# update Makefiles to support aarch64
fpcmake $(find . -name "Makefile.fpc")
%endif
%make_build all GDBMI=1 %{?_smp_mflags}

%install
cd fpcsrc
install -dm 755 %{buildroot}%{_datadir}/applications
install -m 0644 %{SOURCE3} %{buildroot}%{_datadir}/applications/
install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/
install -dm 755 %{buildroot}%{_bindir}
install -m 755 %{SOURCE2} %{buildroot}%{_bindir}/
install -m 755 %{SOURCE10} %{buildroot}%{_bindir}/
install -dm 755 %{buildroot}%{_datadir}/%{name}
cp -f packages/ide/bin/*/fp %{buildroot}%{_datadir}/%{name}/%{name}
install -dm 755 %{buildroot}%{_docdir}/%{name}
cp -pfR ./doc/* %{buildroot}%{_docdir}/%{name}/
install -m 0644 %{SOURCE11} %{buildroot}%{_datadir}/%{name}/readme.ide
install -m 0644 %{SOURCE12} %{buildroot}%{_docdir}/%{name}/
cp -pfR packages/ide/*.pt %{buildroot}%{_datadir}/%{name}/
cp -pfR packages/ide/*.tdf %{buildroot}%{_datadir}/%{name}/
cp -f ./compiler/msg/errorru_cp866.msg %{buildroot}%{_datadir}/%{name}/
install -m 0644 ./utils/fpcmkcfg/fpinc.cfg %{buildroot}%{_datadir}/%{name}/fp.cfg
install -m 0644 ./utils/fpcmkcfg/fpinc.ini %{buildroot}%{_datadir}/%{name}/fp.ini
install -m 0644 %{SOURCE9} %{buildroot}%{_datadir}/%{name}/

%files
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_bindir}/%{name}
%{_bindir}/fp-prn-ru
%{_docdir}/%{name}
%{_datadir}/%{name}/%{name}
%{_datadir}/%{name}/*.pt
%{_datadir}/%{name}/*.tdf
%{_datadir}/%{name}/*.msg
%{_datadir}/%{name}/fp.cfg
%{_datadir}/%{name}/fp.ini
%{_datadir}/%{name}/sakura_%{name}.conf
%{_datadir}/%{name}/readme.ide
