%define with_doc 1
%{?_with_doc: %{expand: %%global with_doc 1}}

Name:           fprintd
Version:        1.94.4
Release:        %mkrel 1
Summary:        D-Bus service for Fingerprint reader access
Group:          System/Kernel and hardware
License:        GPLv2+
Url:            https://www.freedesktop.org/wiki/Software/fprint/fprintd
Source0:        https://gitlab.freedesktop.org/libfprint/fprintd/-/archive/v%{version}/%{name}-v%{version}.tar.gz

BuildRequires:  meson
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gio-2.0) >= 2.26
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(libfprint-2) >= 1.94.0
BuildRequires:  pkgconfig(polkit-gobject-1) >= 0.91
BuildRequires:  pam-devel
BuildRequires:  gettext-devel
BuildRequires:  pam_wrapper 
%if %{with_doc}
BuildRequires:  gtk-doc
%endif
BuildRequires:  intltool
BuildRequires:  python3-dbusmock
BuildRequires:  python3-cairo
BuildRequires:  python3-libpamtest

%description
D-Bus service to access fingerprint readers.

%files -f %{name}.lang
%license COPYING
%doc README AUTHORS TODO
%{_bindir}/fprintd-*
%{_libexecdir}/fprintd
# FIXME This file should be marked as config when it does something useful
%{_sysconfdir}/fprintd.conf
%{_datadir}/dbus-1/system-services/net.reactivated.Fprint.service
%{_datadir}/dbus-1/system.d/net.reactivated.Fprint.conf
%{_unitdir}/fprintd.service
%{_datadir}/polkit-1/actions/net.reactivated.fprint.device.policy
%{_localstatedir}/lib/fprint
%{_mandir}/man1/fprintd.*
%{_mandir}/man8/pam_fprintd.*

#--------------------------------------------------------------------

%package        pam
Summary:        PAM module for fingerprint authentication
Group:          System/Kernel and hardware
License:        GPLv2+
Requires:       %{name} = %{version}-%{release}
# Note that we obsolete pam_fprint, but as the configuration
# is different, it will be mentioned in the release notes
Provides:       pam_fprint = %{version}-%{release}
Obsoletes:      pam_fprint < 0.2-5

%description    pam
PAM module that uses the fprintd D-Bus service for fingerprint
authentication.

%files pam
%doc pam/README
%{_libdir}/security/pam_fprintd.so

#--------------------------------------------------------------------

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
License:        GFDLv1.1+
Requires:       %{name} = %{version}-%{release}
Requires:       gtk-doc

%description    devel
Development documentation for fprintd, the D-Bus service for
fingerprint readers access.

%files devel
%if %{with_doc}
%{_datadir}/gtk-doc/html/fprintd
%endif
%{_datadir}/dbus-1/interfaces/net.reactivated.Fprint.Device.xml
%{_datadir}/dbus-1/interfaces/net.reactivated.Fprint.Manager.xml

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-v%{version}

%build
%meson -Dgtk_doc=true -Dpam=true
%meson_build

%install
%meson_install -C build

mkdir -p %{buildroot}%{_localstatedir}/lib/fprint

%find_lang %{name}
