#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 4 addon with framework integration
Name:           frameworkintegration
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ColorScheme)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6NewStuffCore)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6Package)
BuildRequires:  cmake(KF6I18n)

BuildRequires:  cmake(AppStreamQt) >= 1.0
BuildRequires:  pkgconfig(packagekitqt6)

BuildRequires:  pkgconfig(xcursor)


%description
Framework Integration is a set of plugins responsible for better integration of
Qt applications when running on a KDE Plasma workspace.

%files
%_kf6_plugindir/FrameworkIntegrationPlugin.so
%_kf6_knotificationsdir/plasma_workspace.notifyrc
%_kf6_libexecdir/kpackagehandlers/knshandler
%_kf6_libexecdir/kpackagehandlers/appstreamhandler

#--------------------------------------------------------------------

%define kf6style_major 6
%define libkf6style %mklibname kf6style %{kf6style_major}

%package -n %libkf6style
Summary:        KDE Frameworks 6 Tier 4 addon with framework integration
Group:          System/Libraries
Recommends:     %name = %version-%release

%description -n %libkf6style
Framework Integration is a set of plugins responsible for better integration of
Qt applications when running on a KDE Plasma workspace.

%files -n %libkf6style
%_kf6_libdir/libKF6Style.so.%{kf6style_major}
%_kf6_libdir/libKF6Style.so.%{version}

#--------------------------------------------------------------------

%define kf6style_devel %mklibname kf6frameworkintegration -d

%package -n %kf6style_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6style = %version-%release
Requires:       %name = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6style_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6style_devel
%_kf6_includedir/KStyle/
%_kf6_includedir/FrameworkIntegration/
%_kf6_libdir/*.so
%_kf6_libdir/cmake/KF6FrameworkIntegration/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
