%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:		freealut
Summary:	OpenAL Utility Toolkit (ALUT)
Version:	1.1.0
Release:	%mkrel 17
License:	LGPLv2
Group:		System/Libraries
URL:		https://www.openal.org/
Source:		https://www.openal.org/openal_webstf/downloads/%{name}-%{version}.tar.bz2
Patch0:		%{name}-openal.patch
BuildRequires:	pkgconfig(openal)

%description
ALUT is the OpenAL Utility Toolkit.

%package -n %{libname}
Summary:	Main library for ALUT
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with ALUT.

%package -n %{develname}
Summary:	Headers for developing programs that will use ALUT
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name} 0 -d
Provides:	%mklibname %{name} 0 -d
Conflicts:	openal-devel < 0.0.8-2

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use ALUT.

%prep
%setup -q
%autopatch -p1

%build
./autogen.sh
%configure
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/AL
%{_libdir}/*.a
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/*.so
%{_bindir}/%{name}-config


