%define debug_package %{nil}

%bcond_with bootstrap

Name:		freebasic
Summary:	Free BASIC language compiler
Version:	1.07.0
Release:	%mkrel 2
License:	GPLv2
Group:		Development/Other
URL:		https://freebasic.net/
Source0:	https://download.sourceforge.net/fbc/FreeBASIC-%{version}-source.tar.xz
# Bootstrap sources can't be inside conditional
# Comment out if not bootstrap build
Source10:	https://github.com/freebasic/fbc/releases/download/%{version}/FreeBASIC-%{version}-source-bootstrap.tar.xz
Patch0:		freebasic-bootstrap.patch
Patch1:		freebasic-aarch64.patch
BuildRequires:	dos2unix
BuildRequires:	libgpm-devel
BuildRequires:	libtermcap-devel
%if %{without bootstrap}
BuildRequires:	freebasic
%else
BuildRequires:	dos2unix
%endif
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(libffi)
BuildRequires:	gcc
BuildRequires:	pkgconfig(zlib)
Provides:	FreeBASIC = %{version}
Provides:	fbc = %{version}

%description
Open-source, free, multi-platform BASIC compiler, with syntax similar
MS-QuickBASIC (including the GFX statements), that adds new features
such as pointers, unsigned data types, inline assembly, a pre-processor
and many others.

%prep
%setup -q %{?with_bootstrap:-T -b10} -n FreeBASIC-%{version}-source%{?with_bootstrap:-bootstrap}
%autopatch -p1

%build
%set_build_flags

%if %{with bootstrap}
# create missing bootstrap source dir
%ifnarch %{ix86} x86_64
cp -a bootstrap/linux-x86_64 bootstrap/linux-%{_arch}
%endif

# we need to bootstrap fbc twice to get updated and working bootstrap sources
# modified bootstrap-dist target creates updated bootstrap sources
%make_build bootstrap V=1
%make_build bootstrap-dist

# remove binary used for bootstrapping sources update
make clean
%endif

%make_build \
  %{?with_bootstrap:bootstrap} \
  V=1

%install
mkdir -p %{buildroot}%{_prefix}

#Minimal installation
make install prefix=%{buildroot}%{_prefix}

#Man
mkdir -p %{buildroot}%{_mandir}/man1
cp -f ./doc/fbc.1 %{buildroot}%{_mandir}/man1/

#Examples
mkdir -p %{buildroot}%{_datadir}/freebasic
cp -rf ./examples %{buildroot}%{_datadir}/freebasic/

%files
%doc doc/GoRC.txt readme.txt
%{_prefix}/lib/freebasic
%{_includedir}/freebasic
%{_mandir}/man1/fbc.1.*
%{_bindir}/fbc
%{_datadir}/freebasic
