%global __brp_check_rpaths %{nil}

%define major     0
%define libname   %mklibname freecell-solver %{major}
%define develname %mklibname freecell-solver -d

Name:           freecell-solver
Version:        6.12.0
Release:        %mkrel 1
Summary:        The Freecell Solver Executable
License:        MIT
Group:          Games/Cards
URL:            https://fc-solve.shlomifish.org/
Source0:        https://fc-solve.shlomifish.org/downloads/fc-solve/%{name}-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  gmp-devel
BuildRequires:  gperf
BuildRequires:  perl(CHI)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(Env::Path)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Which)
BuildRequires:  perl(Games::Solitaire::Verify)
BuildRequires:  perl(Games::Solitaire::Verify::Solution)
BuildRequires:  perl(Inline)
BuildRequires:  perl(Inline::C)
BuildRequires:  perl(IPC::Open2)
BuildRequires:  perl(lib)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Moo)
BuildRequires:  perl(MooX)
BuildRequires:  perl(MooX::late)
BuildRequires:  perl(parent)
BuildRequires:  perl(Path::Tiny)
BuildRequires:  perl(Storable)
BuildRequires:  perl(strict)
BuildRequires:  perl(String::ShellQuote)
BuildRequires:  perl(Task::FreecellSolver::Testing)
BuildRequires:  perl(Template)
BuildRequires:  perl(Test::Data::Split)
BuildRequires:  perl(Test::Data::Split::Backend::Hash)
BuildRequires:  perl(Test::Data::Split::Backend::ValidateHash)
BuildRequires:  perl(Test::Differences)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::RunValgrind)
BuildRequires:  perl(Test::TrailingSpace)
BuildRequires:  perl(Test::Trap)
BuildRequires:  perl(warnings)
BuildRequires:  perl(YAML::XS)
BuildRequires:  perl-devel
BuildRequires:  pkgconfig(cmocka)
BuildRequires:  pkgconfig(librinutils)
BuildRequires:  python3-cffi
BuildRequires:  python3-freecell-solver
BuildRequires:  python3-random2
BuildRequires:  python3-pysol-cards
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(pycotap)
BuildRequires:  valgrind

%description
The Freecell Solver package contains the fc-solve executable which is
a command-line program that can be used to solve games of Freecell and
similar card solitaire variants.

This package also contains command line executables to generate the initial
boards of several popular Freecell implementations.

%files
%{_bindir}/dbm-fc-solver
%{_bindir}/depth-dbm-fc-solver
%{_bindir}/fc-solve
%{_bindir}/fc_solve_find_index_s2ints.py
%{_bindir}/find-freecell-deal-index.py
%{_bindir}/freecell-solver-fc-pro-range-solve
%{_bindir}/freecell-solver-multi-thread-solve
%{_bindir}/freecell-solver-range-parallel-solve
%{_bindir}/gen-multiple-pysol-layouts
%{_bindir}/make_pysol_freecell_board.py
%{_bindir}/pi-make-microsoft-freecell-board
%{_bindir}/transpose-freecell-board.py
%{_mandir}/*/*
%{_docdir}/*

#--------------------------------------------------------------------

%package -n %{libname}
Summary:        The Freecell Solver dynamic libraries for solving Freecell games
Group:          Games/Cards
Requires:       %{name}-data >= %{version}-%{release}

%description -n %{libname}
Contains the Freecell Solver libraries that are used by some programs to solve
games of Freecell and similar variants of card solitaire.

This package is mandatory for the Freecell Solver executable too.

%files -n %{libname}
%{_libdir}/libfreecell-solver.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{name}-data
Summary:        The Freecell Solver data files
Group:          Games/Cards
BuildArch:      noarch

%description -n %{name}-data
These are the presets for Freecell Solver

%files -n %{name}-data
%{_datadir}/freecell-solver/

#--------------------------------------------------------------------

%package -n %{develname}
Summary:        The Freecell Solver development tools for solving Freecell games
Group:          Games/Cards
Requires:       %{libname} = %version-%release
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Freecell Solver is a library for automatically solving boards of Freecell and
similar variants of card Solitaire. This package contains the header files and
static libraries necessary for developing programs using Freecell Solver.

You should install it if you are a game developer who would like to use
Freecell Solver from within your programs.

%files -n %{develname}
%{_includedir}/freecell-solver/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libfreecell-solver.so

#--------------------------------------------------------------------

%prep
%setup -q

%build
# The game limit flags are recommended by the PySolFC README.
%cmake -DLOCALE_INSTALL_DIR=%{_datadir}/locale \
       -DLIB_INSTALL_DIR=%{_libdir} \
       -DMAX_NUM_FREECELLS=8 \
       -DMAX_NUM_STACKS=20 \
       -DMAX_NUM_INITIAL_CARDS_IN_A_STACK=60 \
       -DFCS_ENABLE_DBM_SOLVER=1
%cmake_build

%check
# no more 'the_silver_searcher' (ag) pkg
rm -f  t/t/spelling.t
%ifnarch %{arm}
rm -f t/t/tidyall.t
cd %{_vpath_builddir}
perl ../run-tests.pl --rebuild
%endif

%install
%cmake_install

# Delete static libraries
find %{buildroot} -name *.a -delete
