%bcond_without syslua

Name:		freeciv
Version:	3.1.4
Release:	%mkrel 2
Summary:	CIVilization clone
License:	GPLv2+
Group:		Games/Strategy
URL:		https://www.freeciv.org/
Source0:	https://files.freeciv.org/stable/%{name}-%{version}.tar.xz
Source1:	freeciv.server.wrapper

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libpq) >= 15
BuildRequires:	pkgconfig(libzstd)
BuildRequires:	pkgconfig(mariadb)
BuildRequires:	pkgconfig(MagickWand)
BuildRequires:	pkgconfig(SDL2_gfx)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(odbc)
%if %{with syslua}
BuildRequires:	pkgconfig(lua) >= 5.4
%endif
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(readline)
%if ! %{with syslua}
Provides:	bundled(lua) = 5.4.6
%endif

%description
Freeciv is a multiplayer strategy game, released under the GNU General
Public License. It is generally comparable with Civilization II(r),
published by Microprose(r).

Default configuration uses the Civilization II(r) style Isometric view. If
you prefer classic Civilization(r) 2-d view, invoke the client with
"civclient --tiles trident".

%package	data
Group:		Games/Strategy
Summary:	FREE CIVilization clone - data files
Requires:	%{name}-server >= %{version}
BuildArch:	noarch

%description	data
Freeciv is a multiplayer strategy game, released under the GNU General
Public License. It is generally comparable with Civilization II(r),
published by Microprose(r).

Default configuration uses the Civilization II(r) style Isometric view. If
you prefer classic Civilization(r) 2-d view, invoke the client with
"civclient --tiles trident".

%package        client
Group:          Games/Strategy
Summary:        FREE CIVilization clone - client
Provides:	%{name} = %{version}-%{release}
Requires:	%{name}-data >= %{version}
Requires:	%{name}-server = %{version}

%description    client
This is the graphical client for freeciv.

%package        server
Group:          Games/Strategy
Summary:        FREE CIVilization clone - server
Provides:	%{name} = %{version}-%{release}
Requires:	%{name}-data >= %{version}

%description    server
This is the server for freeciv.

%prep
%autosetup -p1

%build
export MOCCMD="%{_qt6_libexecdir}/moc"
%configure \
    --bindir=%{_gamesbindir} \
    --datadir=%{_gamesdatadir} \
    --localedir=%{_datadir}/locale \
    --enable-client=gtk3.22,gtk4,qt,sdl2 \
    --with-qtver=qt6 \
    --with-qt6-includes=%{_qt6_includedir} \
    --enable-ipv6=yes \
    --enable-sys-lua=%{?with_syslua:yes}%{!?with_syslua:no} \
    --with-libbz2 \
    --with-liblzma \
    --with-libzstd \
    --enable-fcdb=all \
    --disable-static
%make_build

%install
%make_install

# wrapper
mv %{buildroot}%{_gamesbindir}/freeciv-server %{buildroot}%{_gamesbindir}/civserver.real
install -m 755 %{SOURCE1} %{buildroot}%{_gamesbindir}/freeciv-server

# fix icons locations
mv %{buildroot}%{_gamesdatadir}/icons %{buildroot}%{_datadir}/icons

%find_lang %{name}-core
%find_lang %{name}-nations
%find_lang %{name}-ruledit


#remove unneeded
rm -f %{buildroot}%{_libdir}/{*.la,*.a}
# we don't provide those clients
rm -rf %{buildroot}%{_mandir}/man6/%{name}-{gtk2,gtk3,xaw}.6*
rm -rf %{buildroot}%{_mandir}/man6/%{name}-mp-{gtk2}.6*


%files -f %{name}-core.lang data -f %{name}-nations.lang -f %{name}-ruledit.lang
%doc AUTHORS doc/BUGS doc/HOWTOPLAY NEWS doc/README doc/README.AI doc/README.graphics doc/README.rulesets doc/README.sound doc/HACKING
%{_gamesdatadir}/%{name}

%files client
%{_gamesbindir}/%{name}-gtk3.22
%{_gamesbindir}/%{name}-gtk4
%{_gamesbindir}/%{name}-qt
%{_gamesbindir}/%{name}-ruledit
%{_gamesbindir}/%{name}-sdl2
%{_gamesbindir}/%{name}-manual
%{_gamesbindir}/%{name}-mp-gtk3
%{_gamesbindir}/%{name}-ruleup
%doc %{_docdir}/%{name}
%{_mandir}/man6/%{name}*.6*
%{_datadir}/applications/org.%{name}.gtk322.desktop
%{_datadir}/applications/org.%{name}.qt.desktop
%{_datadir}/applications/org.%{name}.ruledit.desktop
%{_datadir}/applications/org.%{name}.sdl2.desktop
%{_datadir}/applications/org.%{name}.gtk3.mp.desktop
%{_datadir}/applications/org.%{name}.gtk4.desktop
%{_datadir}/pixmaps/%{name}-client.png
%{_iconsdir}/hicolor/*/apps/%{name}-client.png
%{_iconsdir}/hicolor/*/apps/%{name}-modpack.png
%{_iconsdir}/hicolor/*/apps/%{name}-ruledit.png
%{_datadir}/pixmaps/%{name}-modpack.png
%{_datadir}/pixmaps/%{name}-ruledit.png
%{_metainfodir}/org.%{name}.gtk322.metainfo.xml
%{_metainfodir}/org.%{name}.gtk3.mp.metainfo.xml
%{_metainfodir}/org.%{name}.gtk4.metainfo.xml
%{_metainfodir}/org.%{name}.qt.metainfo.xml
%{_metainfodir}/org.%{name}.ruledit.metainfo.xml
%{_metainfodir}/org.%{name}.sdl2.metainfo.xml
%{_sysconfdir}/%{name}/database.lua

%files server
%{_gamesbindir}/civserver.real
%{_gamesbindir}/%{name}-server
%{_mandir}/man6/%{name}-server.6*
%{_datadir}/applications/org.%{name}.server.desktop
%{_iconsdir}/hicolor/*/apps/%{name}-server.png
%{_metainfodir}/org.%{name}.server.metainfo.xml
