Name:		freecol
Version:	1.2.0
Release:	%mkrel 1
Summary:	Turn-based strategy game based on Colonization
License:	GPLv2+
Group:		Games/Strategy
URL:		https://www.freecol.org/
Source0:	https://downloads.sourceforge.net/freecol/%{name}-%{version}-src.zip
# manpage courtesy of Debian
Source6:	%{name}.6

BuildRequires:	ant
BuildRequires:	unzip
BuildRequires:	java-devel >= 1.7
BuildRequires:	texlive-dist
Requires:	java >= 1.7
BuildArch:	noarch

%description
FreeCol is a turn-based strategy game based on the old game Colonization,
and similar to Civilization. The objective of the game is to create
an independent nation.

You start with only a few colonists defying the stormy seas in their search
for new land. Will you guide them on the Colonization of a New World?

%prep
%autosetup -p1 -n %{name}

%build
export JAVA_HOME=%{_jvmdir}/java-openjdk
export ANT_OPTS=-Dfile.encoding=UTF8

ant clean package manual

%install
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}
cp FreeCol.jar %{buildroot}%{_gamesdatadir}/%{name}
cp -a {data,jars} %{buildroot}%{_gamesdatadir}/%{name}

cat > %{name}.sh << EOF
#!/bin/sh
java -Xmx2G -jar %{_gamesdatadir}/%{name}/FreeCol.jar \\
	--freecol-data %{_gamesdatadir}/%{name}/data
EOF
install -D -m755 %{name}.sh %{buildroot}%{_gamesbindir}/%{name}

install -D -m644 packaging/common/%{name}.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

install -D -m644 packaging/common/%{name}.appdata.xml %{buildroot}%{_metainfodir}/%{name}.appdata.xml

install -D -m644 %{SOURCE6} %{buildroot}%{_mandir}/man6/%{name}.6

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=FreeCol
GenericName=Colonize the New World
Comment=A free Colonization clone
Comment[fr]=Nouvelle version libre de l'ancien Colonization
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;StrategyGame;
EOF

%files
%doc CHANGELOG.md
%doc packaging/common/{COPYING,README}
%license COPYING
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_metainfodir}/%{name}.appdata.xml
%{_mandir}/man6/%{name}.6*
# manual
%doc doc/FreeCol.pdf doc/FreeCol.html doc/FreeCol.css doc/images
