%define uname   dfarc

Name:           freedink-dfarc
Version:        3.14
Release:        %mkrel 14
Summary:        Frontend and .dmod installer for GNU FreeDink
Group:          Games/Adventure
License:        GPLv3+
URL:            https://www.gnu.org/software/freedink/
Source0:        https://ftp.gnu.org/gnu/freedink/%{uname}-%{version}.tar.gz

BuildRequires:  bzip2-devel
BuildRequires:  intltool
BuildRequires:  wxgtk-devel

Requires:       freedink
Requires:       xdg-utils

%description
DFArc makes it easy to play and manage the Dink Smallwood game and
it's numerous Dink Modules (or D-Mods).

%prep
%autosetup -p1 -n %{uname}-%{version}

%build
# It seems "--disable-desktopfiles" is needed to _get_ the desktop and mime files installed
%configure --bindir=%{_gamesbindir} \
               --datadir=%{_gamesdatadir} \
               --disable-desktopfiles
%make_build

%install
%make_install

%find_lang %{uname}

%files -f %{uname}.lang
%doc AUTHORS NEWS README THANKS TODO TRANSLATIONS.txt ChangeLog
%{_gamesbindir}/*%{uname}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/freedink-mime.xml
%{_datadir}/pixmaps/%{uname}.png
%{_iconsdir}/hicolor/32x32/mimetypes/application-x-dmod.png
%{_mandir}/man1/*%{uname}*
