Name:		freedroid
Version:	1.2.3
Release:	%mkrel 1
Summary:	Clone of the C64 Game Paradroid
License:	GPL-2.0-or-later
Group:		Games/Arcade
URL:		https://github.com/ReinhardPrix/FreedroidClassic/

Source0:	%{URL}archive/%{name}-%{version}.apk/%{name}-%{version}.apk.tar.gz
Source1:	https://freedroid.sourceforge.net/Freedroid_Manual.ps.bz2

Patch0:		0000-vorbisfile.patch

BuildRequires:	pkgconfig(SDL_gfx)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(vorbis)

%description
This is a clone of the classic game "Paradroid" on Commodore 64
with some improvements and extensions to the classic version.

In this game, you control a robot, depicted by a small white ball with
a few numbers within an interstellar spaceship consisting of several
decks connected by elevators.

The aim of the game is to destroy all enemy robots, depicted by small
black balls with a few numbers, by either shooting them or seizing
control over them by creating connections in a short subgame of
electric circuits.

%prep
%autosetup -p1 -n FreedroidClassic-%{name}-%{version}.apk

cp %SOURCE1 .

%build
./autogen.sh

%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Freedroid
Comment=Clone of the C64 Game Paradroid
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

install -Dpm 644 graphics/paraicon_48x48.png \
  %{buildroot}%{_iconsdir}/hicolor/48x48/apps/freedroid.png


%files
%license COPYING
%doc README AUTHORS ChangeLog NEWS Freedroid_Manual.ps.bz2
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_mandir}/man6/%{name}.6*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/freedroid.png
