%define oname   freedroidRPG
%define mainver %(echo %{version} | cut -d. -f1,2)

# Lua 5.4 isn't supported yet
%bcond_with syslua

# comment out if not pre rel
#global prel	rc2

# rel for bumping
%define rel     4

Name:           freedroidrpg
Version:        1.0
Release:        %mkrel %{?prel:0.%prel.}%{rel}
Summary:        A futuristic and immersive action RPG about fighting bots
Group:          Games/Adventure
License:        GPLv2+
URL:            https://www.freedroid.org/
Source0:        https://ftp.osuosl.org/pub/freedroid/%{oname}-%{mainver}/%{oname}-%{version}%{?prel}.tar.gz
Patch0:         freedroidrpg-0.16.1-mga-gamesdatadir.patch

BuildRequires:  gettext-devel
%if %{with syslua}
BuildRequires:  lua-devel
%endif
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_net)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(SDL_gfx)
%if ! %{with syslua}
Provides:	bundled(lua) = 5.3.1
%endif
Provides:       %{oname} = %{version}-%{release}
Requires:       %{name}-data >= %{version}

%description
FreedroidRPG is an open source isometric role-playing game. This game tells
the story of a world destroyed by a conflict between the bots and their human
masters. Play as Tux in a quest to save the world from the murderous rebel
bots who know no mercy. You get to choose which path you wish to follow, and
freedom of choice is everywhere in the game.

FreedroidRPG features a complete real time combat system with melee and
ranged weapons, fairly similar to the proprietary game Diablo. There also is
an innovative system of magic, with features such as forced casting and over
20 spells. You can use over 50 different kinds of items and fight countless
enemies on your way to your destiny.

%package data
Summary:        Games data for the FreedroidRPG game
Group:          Games/Adventure
BuildArch:      noarch

%description data
This package contains arch-independent data files for the FreedroidRPG game.

%prep
%autosetup -p1 -n %{name}-%{version}%{?prel:%(tr a-z A-Z <<< %{prel})}

%build
export CPPFLAGS="$CPPFLAGS -fPIE"
%configure \
  --bindir=%{_gamesbindir} \
  --with-embedded-lua=%{?with_syslua:no}%{!?with_syslua:yes}
%make_build

%install
%make_install

%find_lang %{name} --all-name

%files -f %{name}.lang
%doc COPYING
%doc NEWS README* CONTRIBUTING.md
%{_metainfodir}/org.freedroid.freedroidRPG.appdata.xml
%{_datadir}/applications/org.freedroid.freedroidRPG.desktop
%{_gamesbindir}/%{oname}
%{_iconsdir}/HighContrast/*/apps/%{name}.*
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man6/%{oname}.6*

%files data
%{_gamesdatadir}/%{name}/
