Name:           freedv
Version:        1.9.9.2
Release:        %mkrel 1
Summary:        Digital Voice for Amateur Radio
Group:          Communications/Radio
License:        GPLv2+
URL:            https://freedv.org/
# http://files.freedv.org/freedv
# https://groups.google.com/forum/#!forum/digitalvoice
Source0:        https://github.com/drowe67/%{name}-gui/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}48x48.png
Source2:        %{name}64x64.png
Source3:        %{name}128x128.png
Source4:        %{name}256x256.png

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  git-core
BuildRequires:  libsioclient-devel >= 3.1.0.1
BuildRequires:  lpcnetfreedv-devel >= 0.5
BuildRequires:  pkgconfig(codec2) >= 1.2
BuildRequires:  pkgconfig(hamlib) >= 4.6
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(sox)
BuildRequires:  pkgconfig(speex)
BuildRequires:  pkgconfig(speexdsp)
BuildRequires:  wxgtku3.2-devel >= 3.2

Recommends:     hamlib-utils >= 4.6

%description
FreeDV is a GUI application that allows any SSB radio to
be used for low bit rate digital voice.

Speech is compressed down to 1400 bit/s then modulated onto a 1100 Hz wide QPSK
signal which is sent to the Mic input of a SSB radio. On receive, the signal is
received by the SSB radio, then demodulated and decoded by FreeDV.

FreeDV was built by an international team of Radio Amateurs working together on
coding, design, user interface and testing. FreeDV is open source software,
released under the GNU Public License version 2.1. The FDMDV modem and Codec 2
Speech codec used in FreeDV are also open source.

%prep
%autosetup -p1 -n %{name}-gui-%{version}

%build
%cmake \
  -DUSE_PULSEAUDIO=1 \
  -DUSE_STATIC_CODEC2=FALSE \
  -DUSE_STATIC_SPEEXDSP=FALSE
%cmake_build

%install
%cmake_install

# Tweak upstream desktop file
desktop-file-install \
    --dir=%{buildroot}%{_datadir}/applications \
    --remove-category='GTK' \
    --remove-category='GNOME' \
    --add-category='X-Mageia-CrossDesktop' \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%post
# Don't allow gpsd to grab /dev/ttyUSB0 for generic uarts used by hamlib.
if [ -f /etc/sysconfig/gpsd ]; then
    sed -i 's:USBAUTO="true":USBAUTO="false":' /etc/sysconfig/gpsd
fi

%files
%doc README.md USER_MANUAL.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}-gui/
%{_iconsdir}/hicolor/*/apps/%{name}.png
