%define	oname	FreeFileSync

%define __unzip	%{_bindir}/unzip -o

Name:		freefilesync
Version:	13.7
Release:	%mkrel 2
Summary:	A free file sync tool
Group:		File tools
License:	GPLv3
Url:		https://freefilesync.org/
Source0:	https://freefilesync.org/download/FreeFileSync_%{version}_Source.zip
Source2:	FreeFileSync.desktop
Source3:	RealTimeSync.desktop
Source4:	FreeFileSync.png
Source5:	RealTimeSync.png
Patch1:		ffs_devuan_gtk3.patch
Patch3:		ffs_icon_loader.patch
#Patch4:		ffs_no_check_updates.patch
Patch5:		ffs_sftp.patch
Patch6:		libssh2_relax_dep.patch
Patch10:	FreeFileSync-compiler-flags.patch
Patch11:	FreeFileSync-ffsVersionIcon.patch
Patch21:	FreeFileSync-remove_ifdef_exceptions.patch
Patch22:	FreeFileSync-fix-building-with-gcc14.patch
BuildRequires:	imagemagick
BuildRequires:	gtkmm3.0-devel
BuildRequires:	wxgtk-devel
BuildRequires:	boost-devel
BuildRequires:	curl-devel
BuildRequires:	ssh2-devel >= 1.11.0
BuildRequires:	unzip
BuildRequires:	gtk+3.0-devel
BuildRequires:	openssl-devel

%description
FreeFileSync is a folder comparison and synchronization tool.

%prep
%setup -q -c %{name}-%{version}
%autopatch -p1

%build
# FFS
%make_build -C \
	FreeFileSync/Source \
	EXENAME=FreeFileSync

# RTS
%make_build -C \
	FreeFileSync/Source/RealTimeSync \
	EXENAME=RealTimeSync

%install
for i in FreeFileSync RealTimeSync; do
  install -Dpm755 FreeFileSync/Build/Bin/$i* %{buildroot}%{_bindir}/$i
done

mkdir -p %{buildroot}%{_datadir}/%{name}/
cp -aT FreeFileSync/Build/Resources %{buildroot}%{_datadir}/%{name}

install -Dm644 %{_sourcedir}/%{oname}.desktop \
        %{buildroot}%{_datadir}/applications/%{oname}.desktop

install -Dm644 %{_sourcedir}/RealTimeSync.desktop \
        %{buildroot}%{_datadir}/applications/RealTimeSync.desktop

install -Dm644 %{_sourcedir}/FreeFileSync.png \
        %{buildroot}%{_iconsdir}/hicolor/256x256/apps/FreeFileSync.png

install -Dm644 %{_sourcedir}/RealTimeSync.png \
        %{buildroot}%{_iconsdir}/hicolor/128x128/apps/RealTimeSync.png

rm -rf %{buildroot}%{_docdir}/%{oname}

%files
%{_bindir}/FreeFileSync
%{_bindir}/RealTimeSync
%{_datadir}/%{name}/
%{_datadir}/applications/FreeFileSync.desktop
%{_datadir}/applications/RealTimeSync.desktop
%{_iconsdir}/hicolor/*/apps/FreeFileSync.png
%{_iconsdir}/hicolor/*/apps/RealTimeSync.png
