%define _disable_ld_no_undefined 1

%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Summary: 	Free HDL simulator
Name: 		freehdl
Version: 	0.0.8
Release: 	%mkrel 12
License: 	GPLv2
Group: 		Sciences/Other
URL: 		http://freehdl.seul.org/
Source0: 	https://seul.org/~enaroska/%{name}-%{version}.tar.gz
# fix freehdl-config after .la removal
Patch0:		freehdl-0.0.8-freehdl-config.patch
# From Gentoo
Patch11:	freehdl-0.0.8-qa.patch
# From Debian
Patch21:	cpp-modern.patch
Patch22:	acl-NULL-check.patch
Patch23:	declerative_region.patch
Patch24:	gvhdl_tag_command.patch
Patch25:	freehdl-0.0.8-fix-building-with-gcc14.patch
BuildRequires:	flex
BuildRequires:	libtool

%description
A project to develop a free, open source, GPL'ed VHDL simulator for Linux.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries
Conflicts:	%{name} < 0.0.8

%description -n %{libname}
This package contains the shared libraries for %{name}

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{name} < 0.0.8

%description -n %{devname}
This package contains the development files and headers for %{name}.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure \
	--with-gnu-ld \
	--with-pic \
	--disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

# Create config for ldconfig
mkdir -p %{buildroot}/etc/ld.so.conf.d
echo "%{_libdir}/%{name}" > %{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf

%files
%doc AUTHORS HACKING NEWS README*
%{_bindir}/*
%{_datadir}/%{name}/
%{_infodir}/fire.info.*
%{_mandir}/man?/*

%files -n %{libname}
%config %{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf
%{_libdir}/lib%{name}-*.so.%{major}{,.*}
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/libieee.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}-*.so
%{_libdir}/%{name}/libieee.so
%{_libdir}/pkgconfig/freehdl.pc
