Name:          freehep-chartableconverter-plugin
Version:       2.0
Release:       %mkrel 3
Summary:       FreeHEP Character Table Converter Plugin 
Group:         Development/Java
License:       LGPL
Url:           https://java.freehep.org/freehep-chartableconverter-plugin/
Source0:       freehep-chartableconverter-plugin-%{version}-src-svn.tar.gz
Patch0:        freehep-chartableconverter-plugin-2.0-plexus-utils.patch
Patch1:        freehep-chartableconverter-plugin-2.0-noparent.patch
Patch2:        freehep-chartableconverter-plugin-2.0-maven3-apis.patch
BuildRequires: maven
BuildRequires: maven-project
BuildRequires: maven-plugin-plugin
BuildRequires: plexus-compiler
BuildRequires: plexus-utils
BuildRequires: maven-dependency-plugin
Requires:      maven
Requires:      maven-project
Requires:      jpackage-utils
BuildArch:     noarch

%description
Converts 16 bit Unicode text files into lookup tables.
These tables are used by the VectorGraphics package to
include and embed fonts in the output formats.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
FreeHEP Character Table Converter Plugin.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}
%patch -P 0 -p0
%patch -P 1 -p0
%patch -P 2 -p0

%build

mvn-rpmbuild install javadoc:javadoc

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%pre javadoc
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :

%files javadoc
%{_javadocdir}/%{name}

