%define _disable_ld_as_needed %nil
%define _disable_ld_no_undefined %nil

# As of version 0.4.10.1, freeorion still may fail with parallel build,
# as it runs out of memory, so limit concurent jobs to 4
%define _smp_ncpus_max 4

Name:           freeorion
Version:        0.5.1
Release:        %mkrel 2
Summary:        Turn-based space empire and galactic conquest game
License:        GPLv2
Group:          Games/Strategy
URL:            https://www.freeorion.org/
Source0:        https://github.com/freeorion/freeorion/releases/download/v%{version}/FreeOrion_v%{version}_Source.tar.gz
# Wrapper script and man page from the Debian package
Source1:        freeorion.sh
Source2:        freeorion.6

ExcludeArch:    %{ix86}

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  devil-devel
BuildRequires:  pkgconfig(bullet)
BuildRequires:  pkgconfig(freealut)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(python)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  cppcheck
Requires:       %{name}-data = %{version}-%{release}
Requires:       openal

%description
FreeOrion is a free, open source, turn-based space empire and galactic conquest
(4X) computer game being designed and built by the FreeOrion project. FreeOrion
is inspired by the tradition of the Master of Orion games, but is not a clone
or remake of that series or any other game.

%package        data
Summary:        FreeOrion game data files
Group:          Games/Strategy
License:        CC-BY-SA
BuildArch:      noarch

%description    data
Data files for FreeOrion game.

%prep
%autosetup -p1 -n src-tarball

%build
export CXXFLAGS="%{build_cxxflags} -DBOOST_SYSTEM_ENABLE_DEPRECATED"
# -DBOOST_PHOENIX_STL_TUPLE_H_"
%ifarch armv7hl
# Try to avoid running our of memory
export CXXFLAGS="$CXXFLAGS -g1"
%endif

%cmake -GNinja \
  -DCMAKE_BUILD_TYPE=Release \
  -DCMAKE_INSTALL_LIBDIR:PATH=%{_lib} \
  -DCMAKE_INSTALL_BINDIR:PATH=%{_gamesbindir} \
  -DCMAKE_INSTALL_DATADIR:PATH=%{_gamesdatadir}
%cmake_build

%install
%cmake_install

install -D -m755 %{SOURCE1} %{buildroot}%{_bindir}/%{name}
install -D -m644 %{SOURCE2} %{buildroot}%{_mandir}/man6/%{name}.6

%files
%{_datadir}/applications/org.freeorion.FreeOrion.desktop
%{_metainfodir}/org.freeorion.FreeOrion.metainfo.xml
%{_bindir}/%{name}
%{_gamesbindir}/%{name}*
%{_iconsdir}/hicolor/*/apps/org.freeorion.FreeOrion.png
%{_libdir}/%{name}/
%{_mandir}/man6/%{name}.6*

%files         data
%{_gamesdatadir}/%{name}/
