%define _disable_ld_no_undefined 1

%define major		1
%define libname		%mklibname freeradius %{major}
%define develname	%mklibname freeradius -d

%global __requires_exclude perl\\(DBI\\)

Summary:	High-performance and highly configurable RADIUS server
Name:		freeradius
Version:	3.2.7
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Servers
URL:		https://www.freeradius.org/
Source0:	ftp://ftp.freeradius.org/pub/radius/%{name}-server-%{version}.tar.gz
Source1:	ftp://ftp.freeradius.org/pub/radius/%{name}-server-%{version}.tar.gz.sig
Source3:	freeradius.pam
Source5:	freeradius.logrotate
Source6:	freeradius.sysconfig
Source7:	freeradius.service
Source8:	freeradius.tmpfiles

# Fix certificate location
Patch0:		freeradius-3.2.4-ssl-config.patch

BuildRequires:	gdbm-devel
BuildRequires:	pkgconfig(krb5)
BuildRequires:	pkgconfig(hiredis)
BuildRequires:	pkgconfig(libidn)
BuildRequires:	pkgconfig(libiodbc)
BuildRequires:	pkgconfig(json-c)
BuildRequires:	pkgconfig(libmemcached)
BuildRequires:	pkgconfig(libsasl2)
BuildRequires:	pkgconfig(talloc)
BuildRequires:	libtool-devel
BuildRequires:	ykclient-devel
BuildRequires:	yubikey-devel
BuildRequires:	mysql-devel
BuildRequires:	openldap-devel
BuildRequires:	pkgconfig(openssl) >= 1.1
BuildRequires:	openssl
BuildRequires:	pam-devel
BuildRequires:	pcap-devel
BuildRequires:	perl-devel
BuildRequires:	postgresql-devel
BuildRequires:	pkgconfig(python3)
BuildRequires:	rpm-helper >= 0.21
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(odbc)
# Samba must be version 4.2.1 or higher to use this feature
BuildRequires:	pkgconfig(wbclient)
# and somehow ntstatus.h ended up in samba-devel
BuildRequires:	pkgconfig(samba-util)

BuildRequires:	pkgconfig(zlib)
BuildRequires:	chrpath

# minimal version for ssl cert generation
Requires(post):	openssl
Requires(post):	rpm-helper >= 0.24.8-1
Requires(preun):rpm-helper >= 0.24.8-1
Conflicts:	radiusd-cistron
# ease upgrade mga9 -> mga10
Conflicts:	%{_lib}freeradius1 < 3.0.26-5

%description
The FreeRADIUS Server Project is a high-performance and highly configurable
GPL'd RADIUS server. It is somewhat similar to the Livingston 2.0 RADIUS
server, but has many more features, and is much more configurable.

%package -n	%{name}-krb5
Summary:	The Kerberos module for %{name}
Group:		System/Servers
Requires:	krb5-libs
Requires:	%{name} = %{version}-%{release}

%description -n	%{name}-krb5
The FreeRADIUS server can use Kerberos to authenticate users, and this module
is necessary for that.

%package -n	%{name}-ldap
Summary:	The LDAP module for %{name}
Group:		System/Servers
Requires:	%{name} = %{version}-%{release}

# ease upgrade mga9 -> mga10
Conflicts:	%{_lib}freeradius1 < 3.0.26-5

%description -n	%{name}-ldap
The FreeRADIUS server can use LDAP to authenticate users, and this module is
necessary for that.

%package -n	%{name}-postgresql
Summary:	The PostgreSQL module for %{name}
Group:		System/Servers
Requires:	%{name} = %{version}-%{release}

%description -n	%{name}-postgresql
The FreeRADIUS server can use PostgreSQL to authenticate users and do
accounting, and this module is necessary for that.

%package -n	%{name}-mysql
Summary:	The MySQL module for %{name}
Group:		System/Servers
Requires:	%{name} = %{version}-%{release}

%description -n	%{name}-mysql
The FreeRADIUS server can use MySQL to authenticate users and do accounting,
and this module is necessary for that.

%package -n	%{name}-unixODBC
Summary:	The unixODBC module for %{name}
Group:		System/Servers
Requires:	%{name} = %{version}-%{release}

%description -n	%{name}-unixODBC
The FreeRADIUS server can use unixODBC to authenticate users and do accounting,
and this module is necessary for that.

%package -n	%{name}-sqlite
Summary:	The sqlite module for %{name}
Group:		System/Servers
Requires:	%{name} = %{version}-%{release}

%description -n	%{name}-sqlite
The FreeRADIUS server can use sqlite to authenticate users and do accounting,
and this module is necessary for that.

%package -n	%{name}-yubikey
Summary:	The yubikey module for %{name}
Group:		System/Servers
Requires:	%{name} = %{version}-%{release}

%description -n	%{name}-yubikey
The FreeRADIUS server can use yubikey to authenticate users and do accounting,
and this module is necessary for that.

%package -n	%{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries

%description -n	%{libname}
Libraries for %{name}.

%package -n	%{develname}
Summary:	Development headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	freeradius-devel = %{version}-%{release}

%description -n	%{develname}
Development headers and libraries for %{name}.

%prep
%setup -q -n %{name}-server-%{version}
%patch -P0 -p1 -b .config

# fix strange perms
find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

%build
%serverbuild

export CFLAGS="$CFLAGS -fPIC -DLDAP_DEPRECATED"
export CXXFLAGS="$CXXFLAGS -fPIC -DLDAP_DEPRECATED"

%configure \
    --with-gnu-ld \
    --with-threads \
    --with-thread-pool \
    --with-system-libtool \
    --with-system-libltdl \
    --disable-static \
    --disable-openssl-version-check \
    --libdir=%{_libdir}/%{name} \
    --libexecdir=%{_libdir}/%{name} \
    --localstatedir=%{_var} \
    --with-logdir=%{_var}/log/radius \
    --disable-ltdl-install \
    --with-ltdl-lib=%{_libdir} \
    --with-ltdl-include=%{_includedir} \
    --with-radacctdir=%{_var}/log/radius/radacct \
    --with-raddbdir=%{_sysconfdir}/raddb \
    --with-static-modules="" \
    --with-experimental-modules \
    --with-large-files \
    --with-rlm-dbm-lib-dir=%{_libdir} \
    --with-rlm-eap-peap-lib-dir=%{_libdir} \
    --with-openssl-libraries=%{_libdir} \
    --with-rlm-ruby-include-dir=%{_includedir}/ruby \
    --with-rlm-krb5-lib-dir=%{_libdir} \
    --with-rlm-ldap-lib-dir=%{_libdir} \
    --with-rlm-ldap-include-dir=%{_includedir}/ldap \
    --with-mysql-include-dir=%{_includedir}/mysql \
    --with-mysql-lib-dir=%{_libdir}/mysql \
    --with-mysql-dir=%{_prefix} \
    --with-rlm-sql-postgresql-lib-dir=%{_libdir}/mysql \
    --with-rlm-sql-postgresql-include-dir=%{_includedir}/pgsql \
    --with-unixodbc-lib-dir=%{_libdir} \
    --with-unixodbc-dir=%{_prefix} \
    --with-rlm_python3 \
    --without-rlm_python \
    --without-rlm_eap_ikev2 \
    --without-rlm_eap_tnc \
    --without-rlm_sql_db2 \
    --without-rlm_sql_firebird \
    --without-rlm_sql_freetds \
    --without-rlm_sql_iodbc \
    --without-rlm_sql_oracle \
    --without-rlm_sql_sybase

# enable this one with a hack...
perl -pi \
    -e "s|^TARGET.*|TARGET=rlm_dbm|g;" \
    -e "s|^SRCS.*|SRCS=rlm_dbm.c|g;" \
    -e "s|^RLM_UTILS.*|RLM_UTILS=rlm_dbm_parser rlm_dbm_cat|g;" \
    -e "s|^RLM_CFLAGS.*|RLM_CFLAGS=-I%{_includedir}/gdbm -DHAVE_GDBM_NDBM_H|g;" \
    -e "s|^RLM_LIBS.*|RLM_LIBS=-L%{_libdir} -lgdbm -lgdbm_compat|g;" \
    -e "s|^RLM_INSTALL.*|RLM_INSTALL=rlm_dbm_install|g;" \
    src/modules/rlm_dbm/Makefile

%if "%{_lib}" == "lib64"
    perl -pi -e 's:sys_lib_search_path_spec=.*:sys_lib_search_path_spec="/lib64 /usr/lib64 /usr/local/lib64":' libtool
%endif

make

%install
make install R=%{buildroot}

# fix default configuration file permissions
find %{buildroot}%{_sysconfdir}/raddb -type d | xargs chmod 755
find %{buildroot}%{_sysconfdir}/raddb -type f | xargs chmod 644
chmod 640 %{buildroot}%{_sysconfdir}/raddb/clients.conf

# install headers
%__install -d -m 755 %{buildroot}%{_includedir}/%{name}
%__install -m 644 src/include/* %{buildroot}%{_includedir}/%{name}/

# install distribution scripts and stuff...
%__install -D -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/pam.d/radiusd
%__install -D -m 644 %{SOURCE5} %{buildroot}%{_sysconfdir}/logrotate.d/radiusd
%__install -D -m 644 %{SOURCE6} %{buildroot}%{_sysconfdir}/sysconfig/radiusd
%__install -D -m 644 %{SOURCE7} %{buildroot}%{_unitdir}/radiusd.service
%__install -D -m 644 %{SOURCE8} %{buildroot}%{_tmpfilesdir}/radiusd.conf

# put the mibs in place
%__install -d -m 755 %{buildroot}%{_datadir}/snmp/mibs
%__install -m 644 mibs/RADIUS* %{buildroot}%{_datadir}/snmp/mibs/

# remove rpath where needed
chrpath --delete %{buildroot}%{_libdir}/freeradius/*.so
for f in %{buildroot}/usr/sbin/*; do chrpath --delete $f || true; done
for f in %{buildroot}/usr/bin/*; do chrpath --delete $f || true; done

# update ld with freeradius libs
mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d
echo "%{_libdir}/freeradius" > %{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf

# fix ghostfiles
touch %{buildroot}%{_localstatedir}/log/radius/radutmp
touch %{buildroot}%{_localstatedir}/log/radius/radwtmp
touch %{buildroot}%{_localstatedir}/log/radius/radius.log

# remove unneeded stuff
%__rm -f %{buildroot}%{_sbindir}/rc.radiusd
%__rm -f %{buildroot}%{_includedir}/%{name}/Makefile
%__rm -f %{buildroot}%{_sysconfdir}/raddb/certs/*.crt
%__rm -f %{buildroot}%{_sysconfdir}/raddb/certs/*.crl
%__rm -f %{buildroot}%{_sysconfdir}/raddb/certs/*.csr
%__rm -f %{buildroot}%{_sysconfdir}/raddb/certs/*.der
%__rm -f %{buildroot}%{_sysconfdir}/raddb/certs/*.key
%__rm -f %{buildroot}%{_sysconfdir}/raddb/certs/*.pem
%__rm -f %{buildroot}%{_sysconfdir}/raddb/certs/*.p12
%__rm -f %{buildroot}%{_sysconfdir}/raddb/certs/index.*
%__rm -f %{buildroot}%{_sysconfdir}/raddb/certs/serial*
%__rm -f %{buildroot}%{_sysconfdir}/raddb/certs/passwords.mk
%__rm -rf %{buildroot}%{_sysconfdir}/raddb/mods-config/sql/dhcp/oracle
%__rm -rf %{buildroot}%{_sysconfdir}/raddb/mods-config/sql/ippool/oracle
%__rm -rf %{buildroot}%{_sysconfdir}/raddb/mods-config/sql/ippool/mssql
%__rm -rf %{buildroot}%{_sysconfdir}/raddb/mods-config/sql/ippool-dhcp/oracle
%__rm -rf %{buildroot}%{_sysconfdir}/raddb/mods-config/sql/main/oracle
%__rm -rf %{buildroot}%{_sysconfdir}/raddb/mods-config/sql/ippool/mongo
%__rm -rf %{buildroot}%{_sysconfdir}/raddb/mods-config/sql/main/mongo

# do not use "find %%{buildroot} -name '*.*a' -delete" as
# it remove some dictionary files (mga#25649)
find %{buildroot}%{_libdir}/freeradius -name '*.la' -delete
find %{buildroot}%{_libdir}/freeradius -name '*.a' -delete

# include more docs
cp src/LICENSE.openssl .
cp src/lib/LICENSE LICENSE.lgpl

%multiarch_includes %{buildroot}%{_includedir}/freeradius/build-radpaths-h

%multiarch_includes %{buildroot}%{_includedir}/freeradius/radpaths.h

# cleanup
rm -rf %{buildroot}%{_docdir}/%{name}
# we do not have perl(Convert::Base32)
rm -rf %{buildroot}%{_bindir}/radsecret

%pre
%_pre_useradd radius %{_localstatedir}/log/radius/radacct /bin/false

%post
%_tmpfilescreate radiusd
%_post_service radiusd
%create_ghostfile %{_localstatedir}/log/radius/radutmp radius radius 0644
%create_ghostfile %{_localstatedir}/log/radius/radwtmp radius radius 0644
%create_ghostfile %{_localstatedir}/log/radius/radius.log radius radius 0644
%_create_ssl_certificate radiusd -g radius
%_create_ssl_certificate inner-radiusd -g radius
%_create_ssl_certificate client -g radius
if [ $1 = 1 ]; then
    openssl dhparam -out  %{_sysconfdir}/raddb/certs/dh 2048 2>&1 >/dev/null
fi

%preun
%_preun_service radiusd

%postun
%_postun_userdel radius

%files
%doc doc COPYRIGHT CREDITS README.rst
%license LICENSE LICENSE.openssl LICENSE.lgpl
%{_unitdir}/radiusd.service
%{_tmpfilesdir}/radiusd.conf
%dir %ghost %attr(0755, radius, radius) %{_rundir}/radiusd
%ghost %attr(0660, -, -) %{_rundir}/radiusd/radiusd.pid
%config(noreplace) %{_sysconfdir}/pam.d/radiusd
%config(noreplace) %{_sysconfdir}/logrotate.d/radiusd
%config(noreplace) %{_sysconfdir}/sysconfig/radiusd
%config(noreplace) %{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf
%dir %{_sysconfdir}/raddb
%{_sysconfdir}/raddb/README.rst
%config(noreplace) %{_sysconfdir}/raddb/dictionary*
%config(noreplace) %{_sysconfdir}/raddb/experimental.conf

# symlink: /etc/raddb/hints -> ./mods-config/preprocess/hints
%config(noreplace) %{_sysconfdir}/raddb/hints

# symlink: /etc/raddb/huntgroups -> ./mods-config/preprocess/huntgroups
%config(noreplace) %{_sysconfdir}/raddb/huntgroups
%config(noreplace) %{_sysconfdir}/raddb/panic.gdb
%config(noreplace) %{_sysconfdir}/raddb/proxy.conf
%config(noreplace) %{_sysconfdir}/raddb/radiusd.conf
%config(noreplace) %{_sysconfdir}/raddb/templates.conf
%config(noreplace) %{_sysconfdir}/raddb/trigger.conf
# those contains passwords
%config(noreplace) %attr(0640,root,radius) %{_sysconfdir}/raddb/clients.conf

# symlink: /etc/raddb/users -> ./mods-config/files/authorize
%config(noreplace) %{_sysconfdir}/raddb/users

#certs
%dir %{_sysconfdir}/raddb/certs
%config(noreplace) %{_sysconfdir}/raddb/certs/*

#sites
%dir %{_sysconfdir}/raddb/sites-available
%config(noreplace) %{_sysconfdir}/raddb/sites-available/*
%dir %{_sysconfdir}/raddb/sites-enabled
%config(noreplace) %{_sysconfdir}/raddb/sites-enabled/*

#mods
%dir %{_sysconfdir}/raddb/mods-available
%config(noreplace) %{_sysconfdir}/raddb/mods-available/*
%dir %{_sysconfdir}/raddb/mods-enabled
%config(noreplace) %{_sysconfdir}/raddb/mods-enabled/*

%dir %{_sysconfdir}/raddb/mods-config
%{_sysconfdir}/raddb/mods-config/README.rst

%dir %{_sysconfdir}/raddb/mods-config/attr_filter
%config(noreplace) %{_sysconfdir}/raddb/mods-config/attr_filter/*
%dir %{_sysconfdir}/raddb/mods-config/files
%config(noreplace) %{_sysconfdir}/raddb/mods-config/files/*
%dir %{_sysconfdir}/raddb/mods-config/perl
%config(noreplace) %{_sysconfdir}/raddb/mods-config/perl/*
%dir %{_sysconfdir}/raddb/mods-config/preprocess
%config(noreplace) %{_sysconfdir}/raddb/mods-config/preprocess/*
%dir %{_sysconfdir}/raddb/mods-config/realm
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/realm/freeradius-naptr-to-home-server.sh

%dir %{_sysconfdir}/raddb/mods-config/python3
%config(noreplace) %{_sysconfdir}/raddb/mods-config/python3/*

%dir %{_sysconfdir}/raddb/mods-config/sql

%dir %{_sysconfdir}/raddb/mods-config/sql/counter
%dir %{_sysconfdir}/raddb/mods-config/sql/counter/mysql
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/counter/mysql/*
%dir %{_sysconfdir}/raddb/mods-config/sql/counter/postgresql
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/counter/postgresql/*
%dir %{_sysconfdir}/raddb/mods-config/sql/counter/sqlite
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/counter/sqlite/*

%dir %{_sysconfdir}/raddb/mods-config/sql/cui
%dir %{_sysconfdir}/raddb/mods-config/sql/cui/mysql
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/cui/mysql/*
%dir %{_sysconfdir}/raddb/mods-config/sql/cui/postgresql
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/cui/postgresql/*
%dir %{_sysconfdir}/raddb/mods-config/sql/cui/sqlite
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/cui/sqlite/*

%dir %{_sysconfdir}/raddb/mods-config/sql/dhcp
%dir %{_sysconfdir}/raddb/mods-config/sql/dhcp/mssql
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/dhcp/mssql/*
%dir %{_sysconfdir}/raddb/mods-config/sql/dhcp/mysql
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/dhcp/mysql/*
%dir %{_sysconfdir}/raddb/mods-config/sql/dhcp/postgresql
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/dhcp/postgresql/*
%dir %{_sysconfdir}/raddb/mods-config/sql/dhcp/sqlite
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/dhcp/sqlite/*

%dir %{_sysconfdir}/raddb/mods-config/sql/ippool
%dir %{_sysconfdir}/raddb/mods-config/sql/ippool/mysql
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/ippool/mysql/*
%dir %{_sysconfdir}/raddb/mods-config/sql/ippool/postgresql
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/ippool/postgresql/*
%dir %{_sysconfdir}/raddb/mods-config/sql/ippool/sqlite
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/ippool/sqlite/*

%dir %{_sysconfdir}/raddb/mods-config/sql/ippool-dhcp
%dir %{_sysconfdir}/raddb/mods-config/sql/ippool-dhcp/mssql
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/ippool-dhcp/mssql/*
%dir %{_sysconfdir}/raddb/mods-config/sql/ippool-dhcp/mysql
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/ippool-dhcp/mysql/*
%dir %{_sysconfdir}/raddb/mods-config/sql/ippool-dhcp/postgresql
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/ippool-dhcp/postgresql/*
%dir %{_sysconfdir}/raddb/mods-config/sql/ippool-dhcp/sqlite
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/ippool-dhcp/sqlite/*

%dir %{_sysconfdir}/raddb/mods-config/sql/main
%dir %{_sysconfdir}/raddb/mods-config/sql/main/mssql
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/main/mssql/*
%dir %{_sysconfdir}/raddb/mods-config/sql/main/mysql
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/main/mysql/*
%dir %{_sysconfdir}/raddb/mods-config/sql/main/ndb
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/main/ndb/*
%dir %{_sysconfdir}/raddb/mods-config/sql/main/postgresql
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/main/postgresql/*
%dir %{_sysconfdir}/raddb/mods-config/sql/main/sqlite
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/main/sqlite/*

%dir %{_sysconfdir}/raddb/mods-config/sql/moonshot-targeted-ids
%dir %{_sysconfdir}/raddb/mods-config/sql/moonshot-targeted-ids/mysql
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/moonshot-targeted-ids/mysql/*
%dir %{_sysconfdir}/raddb/mods-config/sql/moonshot-targeted-ids/postgresql
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/moonshot-targeted-ids/postgresql/*
%dir %{_sysconfdir}/raddb/mods-config/sql/moonshot-targeted-ids/sqlite
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/moonshot-targeted-ids/sqlite/*

%dir %{_sysconfdir}/raddb/mods-config/unbound
%config(noreplace) %{_sysconfdir}/raddb/mods-config/unbound/*

%dir %{_sysconfdir}/raddb/policy.d
%config(noreplace) %{_sysconfdir}/raddb/policy.d/*

%{_bindir}/dhcpclient
%{_bindir}/map_unit
%{_bindir}/radclient
%{_bindir}/radattr
%{_bindir}/rad_counter
%{_bindir}/radcrypt
%{_bindir}/radeapclient
%{_bindir}/radlast
%{_bindir}/radsniff
%{_bindir}/radsqlrelay
%{_bindir}/radtest
%{_bindir}/radwho
%{_bindir}/radzap
%{_bindir}/rlm_ippool_tool
%{_bindir}/rlm_sqlippool_tool
%{_bindir}/smbencrypt
%{_sbindir}/checkrad
%{_sbindir}/raddebug
%{_sbindir}/radiusd
%{_sbindir}/radmin
%attr(0755,radius,radius) %dir %{_localstatedir}/log/radius
%attr(0755,radius,radius) %dir %{_localstatedir}/log/radius/radacct
%attr(0644,radius,radius) %ghost %{_localstatedir}/log/radius/radutmp
%attr(0644,radius,radius) %ghost %{_localstatedir}/log/radius/radwtmp
%attr(0644,radius,radius) %ghost %{_localstatedir}/log/radius/radius.log
%{_datadir}/snmp/mibs/*
%{_datadir}/freeradius/
%{_mandir}/man*/*

# loadable modules
%dir %attr(755,root,root) %{_libdir}/%{name}
%{_libdir}/%{name}/proto_dhcp.so
%{_libdir}/%{name}/proto_vmps.so
%{_libdir}/%{name}/rlm_always.so
%{_libdir}/%{name}/rlm_attr_filter.so
%{_libdir}/%{name}/rlm_cache_memcached.so
%{_libdir}/%{name}/rlm_cache_rbtree.so
%{_libdir}/%{name}/rlm_cache_redis.so
%{_libdir}/%{name}/rlm_cache.so
%{_libdir}/%{name}/rlm_chap.so
%{_libdir}/%{name}/rlm_counter.so
%{_libdir}/%{name}/rlm_date.so
%{_libdir}/%{name}/rlm_detail.so
%{_libdir}/%{name}/rlm_dhcp.so
%{_libdir}/%{name}/rlm_digest.so
%{_libdir}/%{name}/rlm_dpsk.so
%{_libdir}/%{name}/rlm_dynamic_clients.so
%{_libdir}/%{name}/rlm_eap_fast.so
%{_libdir}/%{name}/rlm_eap_gtc.so
%{_libdir}/%{name}/rlm_eap_md5.so
%{_libdir}/%{name}/rlm_eap_mschapv2.so
%{_libdir}/%{name}/rlm_eap_peap.so
%{_libdir}/%{name}/rlm_eap_pwd.so
%{_libdir}/%{name}/rlm_eap_sim.so
%{_libdir}/%{name}/rlm_eap_teap.so
%{_libdir}/%{name}/rlm_eap.so
%{_libdir}/%{name}/rlm_eap_tls.so
%{_libdir}/%{name}/rlm_eap_ttls.so
%{_libdir}/%{name}/rlm_example.so
%{_libdir}/%{name}/rlm_exec.so
%{_libdir}/%{name}/rlm_expiration.so
%{_libdir}/%{name}/rlm_expr.so
%{_libdir}/%{name}/rlm_files.so
%{_libdir}/%{name}/rlm_idn.so
%{_libdir}/%{name}/rlm_ippool.so
%{_libdir}/%{name}/rlm_json.so
%{_libdir}/%{name}/rlm_linelog.so
%{_libdir}/%{name}/rlm_logintime.so
%{_libdir}/%{name}/rlm_mschap.so
%{_libdir}/%{name}/rlm_pam.so
%{_libdir}/%{name}/rlm_pap.so
%{_libdir}/%{name}/rlm_passwd.so
%{_libdir}/%{name}/rlm_perl.so
%{_libdir}/%{name}/rlm_preprocess.so
%{_libdir}/%{name}/rlm_proxy_rate_limit.so
%{_libdir}/%{name}/rlm_python3.so
%{_libdir}/%{name}/rlm_radutmp.so
%{_libdir}/%{name}/rlm_realm.so
%{_libdir}/%{name}/rlm_redis.so
%{_libdir}/%{name}/rlm_rediswho.so
%{_libdir}/%{name}/rlm_replicate.so
%{_libdir}/%{name}/rlm_rest.so
%{_libdir}/%{name}/rlm_smsotp.so
%{_libdir}/%{name}/rlm_soh.so
%{_libdir}/%{name}/rlm_sometimes.so
%{_libdir}/%{name}/rlm_sqlcounter.so
%{_libdir}/%{name}/rlm_sqlippool.so
%{_libdir}/%{name}/rlm_sql_map.so
%{_libdir}/%{name}/rlm_sql_null.so
%{_libdir}/%{name}/rlm_sql.so
%{_libdir}/%{name}/rlm_test.so
%{_libdir}/%{name}/rlm_totp.so
%{_libdir}/%{name}/rlm_unbound.so
%{_libdir}/%{name}/rlm_unix.so
%{_libdir}/%{name}/rlm_unpack.so
%{_libdir}/%{name}/rlm_utf8.so
%{_libdir}/%{name}/rlm_wimax.so

%files -n %{name}-krb5
%{_libdir}/%{name}/rlm_krb5.so

%files -n %{name}-ldap
%{_libdir}/%{name}/rlm_ldap.so

%files -n %{name}-postgresql
%{_libdir}/%{name}/rlm_sql_postgresql.so

%files -n %{name}-mysql
%{_libdir}/%{name}/rlm_sql_mysql.so

%files -n %{name}-unixODBC
%{_libdir}/%{name}/rlm_sql_unixodbc.so

%files -n %{name}-sqlite
%{_libdir}/%{name}/rlm_sql_sqlite.so

%files -n %{name}-yubikey
%{_libdir}/%{name}/rlm_yubikey.so

%files -n %{libname}
%dir %attr(755,root,root) %{_libdir}/%{name}
%{_libdir}/%{name}/libfreeradius-dhcp.so
%{_libdir}/%{name}/libfreeradius-eap.so
%{_libdir}/%{name}/libfreeradius-radius.so
%{_libdir}/%{name}/libfreeradius-server.so

%files -n %{develname}
%{multiarch_includedir}/freeradius/build-radpaths-h
%{multiarch_includedir}/freeradius/radpaths.h
%{_includedir}/%{name}/
