Name:		freeswitch-commercial-codecs
Version:	201410271622
Release:	%mkrel 2
Summary:    	Freeswitch commercial codecs
License:    	Shareware
Group:      	System/Libraries
URL:        	https://files.freeswitch.org/g729/
Requires:	freeswitch > 1.4.10
Buildrequires:	wget
Provides:	freeswitch-codec-g729
Provides:	freeswitch-codec-commercial-g729
Provides:	freeswitch-codec-commercial-g728
Provides:	freeswitch-codec-commercial-g719
Provides:	freeswitch-codec-commercial-amd
%description
Coder/decoder for g729,g728,g719 and amd Codec support for FreeSWITCH open source telephony platform

%package -n freeswitch-codec-commercial-g729
Summary:	Freeswitch g729 commercial module
Group:		System/Libraries
Requires:	freeswitch-commercial-codecs
Obsoletes:	freeswitch-codec-commercial-g729 < 194-8

%description -n freeswitch-codec-commercial-g729
Coder/decoder for g729 Codec support for FreeSWITCH open source telephony platform

%package -n freeswitch-codec-commercial-g728
Summary:	Freeswitch g728 commercial module
Group:		System/Libraries
Requires:	freeswitch-commercial-codecs

%description -n freeswitch-codec-commercial-g728
Coder/decoder for g728 Codec support for FreeSWITCH open source telephony platform

%package -n freeswitch-codec-commercial-g719
Summary:	Freeswitch g719 commercial module
Group:		System/Libraries
Requires:	freeswitch-commercial-codecs

%description -n freeswitch-codec-commercial-g719
Coder/decoder for g719 Codec support for FreeSWITCH open source telephony platform

%package -n freeswitch-codec-commercial-amd
Summary:	Freeswitch AMD commercial module
Group:		System/Libraries
Requires:	freeswitch-commercial-codecs

%description -n freeswitch-codec-commercial-amd
Coder/decoder for AMD Codec support for FreeSWITCH open source telephony platform

%prep
wget https://files.freeswitch.org/g729/fs-201410271622-installer
ARCHIVE=`awk '/^__ARCHIVE_BELOW__/ {print NR + 1; exit 0; }' fs-201410271622-installer`
tail -n+$ARCHIVE fs-201410271622-installer | tar xz 

%ifarch %ix86
tar -zxf fspayload_i386.tar.gz
%endif
%ifarch x86_64 amd64 ia32e
tar -zxf fspayload_x86_64.tar.gz
%endif

%install
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_libdir}/freeswitch/mod
install -d %{buildroot}%{_bindir}
install -d %{buildroot}/%{_sysconfdir}/freeswitch/autoload_configs
install -d %{buildroot}%{_docdir}/%{name}
install -d %{buildroot}%{_docdir}/%{name}/EULA.txt

%ifarch %ix86
tar -zxf fspayload_i386.tar.gz
install fspayload_i386/freeswitch_licence_server %{buildroot}%{_sbindir}/freeswitch_licence_server
install fspayload_i386/mod_com_g729.so %{buildroot}%{_libdir}/freeswitch/mod
install fspayload_i386/mod_com_g728.so %{buildroot}%{_libdir}/freeswitch/mod
install fspayload_i386/mod_com_g719.so %{buildroot}%{_libdir}/freeswitch/mod
install fspayload_i386/mod_com_amd.so %{buildroot}%{_libdir}/freeswitch/mod
install fspayload_i386/validator %{buildroot}%{_bindir}
install fspayload_i386/amd.conf.xml %{buildroot}/%{_sysconfdir}/freeswitch/autoload_configs

%endif
%ifarch x86_64 amd64 ia32e
tar -zxf fspayload_x86_64.tar.gz
install fspayload_x86_64/freeswitch_licence_server %{buildroot}%{_sbindir}/freeswitch_licence_server
install fspayload_x86_64/mod_com_g729.so %{buildroot}%{_libdir}/freeswitch/mod
install fspayload_x86_64/mod_com_g728.so %{buildroot}%{_libdir}/freeswitch/mod
install fspayload_x86_64/mod_com_g719.so %{buildroot}%{_libdir}/freeswitch/mod
install fspayload_x86_64/mod_com_amd.so %{buildroot}%{_libdir}/freeswitch/mod
install fspayload_x86_64/validator %{buildroot}%{_bindir}
install fspayload_x86_64/amd.conf.xml %{buildroot}/%{_sysconfdir}/freeswitch/autoload_configs
%endif


%pre
PID=$(pidof freeswitch_licence_server)
if [ $PID ]
then
	kill -9 $PID
fi

%post
echo "Now you can activate your license by running %{_bindir}/validator" 

%files
%defattr(-,root,root)
%{_sbindir}/*
%{_bindir}/*
%{_docdir}/%{name}/EULA.txt

%files -n freeswitch-codec-commercial-g729
%{_libdir}/freeswitch/mod/mod_com_g729.so

%files -n freeswitch-codec-commercial-g728
%{_libdir}/freeswitch/mod/mod_com_g728.so

%files -n freeswitch-codec-commercial-g719
%{_libdir}/freeswitch/mod/mod_com_g719.so

%files -n freeswitch-codec-commercial-amd
%config(noreplace) %{_sysconfdir}/freeswitch/autoload_configs/amd.conf.xml
%{_libdir}/freeswitch/mod/mod_com_amd.so
