%define build_subpixel 0
%define build_plf 0
%{?_with_plf: %global build_plf 1}
%{?_with_subpixel: %global build_subpixel 1}

%if "%distro_section" == "tainted"
%global build_plf	1
%endif

%if %build_plf
%define build_subpixel	1
%endif

%define major		6
%define libname		%mklibname freetype %{major}
%define develname	%mklibname freetype2 -d

Name:		freetype2
Summary:	A free and portable TrueType font rendering engine
Version:	2.13.3
Release:	%mkrel 1
License:	FreeType License/GPL
Group:		System/Libraries
URL:		https://www.freetype.org/
Source0:	https://downloads.sourceforge.net/freetype/freetype-%{version}.tar.xz
Source1:	https://downloads.sourceforge.net/freetype/freetype-doc-%{version}.tar.xz
Source2:	https://downloads.sourceforge.net/freetype/ft2demos-%{version}.tar.xz
# Enable subpixel rendering (ClearType)
Patch0:		freetype-2.10.1-enable-spr.patch

BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(harfbuzz)
BuildRequires:	pkgconfig(libbrotlidec)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(zlib)

%description
The FreeType2 engine is a free and portable TrueType font rendering engine.
It has been developed to provide TT support to a great variety of
platforms and environments. Note that FreeType2 is a library, not a
stand-alone application, though some utility applications are included.
%if %{build_plf}

This package is in the "tainted" section because it has subpixel hinting
enabled which is covered by software patents.
%endif

%package -n %{libname}
Summary:	Shared libraries for a free and portable TrueType font rendering engine
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
#include provides to allow for zoom rpm installation
Provides:	freetype = %{version}-%{release}

%description -n %{libname}
The FreeType2 engine is a free and portable TrueType font rendering
engine.  It has been developed to provide TT support to a great
variety of platforms and environments. Note that FreeType2 is a
library, not a stand-alone application, though some utility
applications are included.
%if %{build_plf}

This package is in the "tainted" section because it has subpixel hinting
enabled which is covered by software patents.
%endif

%package -n %{develname}
Summary:	Header files and static library for development with FreeType2
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	pkgconfig(zlib)
Provides:	freetype-devel = %{version}-%{release}
Provides:	freetype2-devel = %{version}-%{release}
Obsoletes:	%{_lib}freetype6-static-devel < 2.9.1-4
Obsoletes:	%{_lib}freetype6-devel < 2.9.1-4
Obsoletes:	%{_lib}freetype2-devel < 2.9.1

%description -n %{develname}
This package is only needed if you intend to develop or compile applications
which rely on the FreeType2 library. If you simply want to run existing
applications, you won't need this package.

%package demos
Summary:	A collection of FreeType demos
Group:		File tools

%description demos
The FreeType engine is a free and portable font rendering engine, developed to
provide advanced font support for a variety of platforms and environments. The
demos package includes a set of useful small utilities showing various
capabilities of the FreeType library.

%prep
%autosetup -p1 -n freetype-%version -b 1 -a2

%if %{build_subpixel}
perl -pi -e 's|^/\* #define FT_CONFIG_OPTION_SUBPIXEL_RENDERING \*/| #define FT_CONFIG_OPTION_SUBPIXEL_RENDERING|' include/freetype/config/ftoption.h
%endif

%build
%configure \
  --enable-freetype-config \
  --with-zlib=yes \
  --with-bzip2=yes \
  --with-png=yes \
  --with-harfbuzz=yes \
  --with-brotli=yes \
  --with-librsvg=yes \
  --disable-static
%make_build

pushd ft2demos-%{version}
%make_build X11_PATH=%{_prefix} TOP_DIR=".."
popd

%install
%make_install

for ftdemo in ftbench ftdiff ftdump ftgamma ftgrid ftlint ftmulti ftstring ftvalid ftview; do
    builds/unix/libtool --mode=install install -m 755 ft2demos-%{version}/bin/$ftdemo %{buildroot}%{_bindir}
done

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%doc ../freetype-%{version}/docs/*
%{_bindir}/freetype-config
%{_libdir}/*.so
%dir %{_includedir}/freetype2
%{_includedir}/freetype2/*
%{_datadir}/aclocal/*
%{_mandir}/man1/freetype-config.1*
%{_libdir}/pkgconfig/*

%files demos
%{_bindir}/ftbench
%{_bindir}/ftdiff
%{_bindir}/ftdump
%{_bindir}/ftgamma
%{_bindir}/ftgrid
%{_bindir}/ftlint
%{_bindir}/ftmulti
%{_bindir}/ftstring
%{_bindir}/ftvalid
%{_bindir}/ftview
