Name:           frescobaldi
Version:        4.0.1
Release:        %mkrel 1
Summary:        A LilyPond sheet music editor
Group:          Graphical desktop/KDE
License:        GPLv2+
Url:            https://www.frescobaldi.org
Source0:        https://github.com/frescobaldi/frescobaldi/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3-qpageview
BuildRequires:  python3-ly

Requires:       qpageview
Requires:       python3-qt6-core
Requires:       python3-qt6-gui
Requires:       python3-qt6-network
Requires:       python3-qt6-printsupport
Requires:       python3-qt6-svg
Requires:       python3-qt6-webchannel
Requires:       python3-qt6-webengine
Requires:       python3-qt6-webenginewidgets
Requires:       python3-qt6-widgets
Requires:       python3-qt6-xml
Recommends:     lilypond
Recommends:     python3-pygame
Recommends:     python3-pyportmidi
Recommends:     portmidi

%description
Frescobaldi is a LilyPond sheet music editor. It aims to be powerful, yet
lightweight and easy to use.

%files -f %{pyproject_files}
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/org.%{name}.Frescobaldi.desktop
%{_metainfodir}/org.%{name}.Frescobaldi.metainfo.xml
%{_iconsdir}/hicolor/scalable/apps/org.%{name}.Frescobaldi.svg
%{_mandir}/man1/%{name}.1.*

#--------------------------------------------------------------------

%prep
%autosetup

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

cp linux/org.frescobaldi.Frescobaldi.desktop.in linux/org.frescobaldi.Frescobaldi.desktop
cp linux/org.frescobaldi.Frescobaldi.metainfo.xml.in linux/org.frescobaldi.Frescobaldi.metainfo.xml

%install
%pyproject_install
%pyproject_save_files %{name}

mkdir -p %{buildroot}%{_metainfodir}
install -m 0644 linux/org.frescobaldi.Frescobaldi.metainfo.xml \
   %{buildroot}%{_metainfodir}/org.frescobaldi.Frescobaldi.metainfo.xml

mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps/
install -m 0644 frescobaldi/icons/org.frescobaldi.Frescobaldi.svg \
   %{buildroot}%{_iconsdir}/hicolor/scalable/apps/

mkdir -p %{buildroot}%{_mandir}/man1
install -m 0644 frescobaldi.1 %{buildroot}%{_mandir}/man1/

# desktop file
desktop-file-install                                         \
   --dir=%{buildroot}%{_datadir}/applications                \
   --add-category=X-Notation                                 \
   --delete-original                                         \
   linux/org.frescobaldi.Frescobaldi.desktop
