%define basen frobby
%define major 0
%define libname %mklibname %{basen} %{major}
%define develname %mklibname %{basen} -d
%define debug_package %{nil}

# workaround FTBFS related to new -Wl,--as-needed linker flag
# introduced in f30
%undefine _ld_as_needed

Name: frobby
Summary: Computations With Monomial Ideals
Group: Development/C
Version: 0.9.5
Release: %mkrel 2

License: GPLv2+
URL: https://www.broune.com/frobby/
Source0: https://github.com/Macaulay2/%{name}/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

# make makefile a wee bit more sane
Patch1: frobby-0.9.0-makefile.patch

BuildRequires: gcc-c++
BuildRequires: gmp-devel
BuildRequires: gmpxx-devel
# docs
BuildRequires: doxygen
BuildRequires: texlive-texmf

Requires: %{libname} = %{version}-%{release}

%description
Frobby is a software system and project for computations with monomial
ideals. Frobby is free software and it is intended as a vehicle for
research on monomial ideals, as well as a useful practical tool for
investigating monomial ideals.

The current functionality includes Hilbert series, maximal standard
monomials, combinatorial optimization on monomial ideals, primary
decomposition, irreducible decomposition, Alexander dual, associated
primes, minimization and intersection of monomial ideals as well as
the computation of Frobenius problems (using 4ti2) with very large
numbers. Frobby is also able to translate between formats that can be used
with several different computer systems, such as Macaulay 2, Monos, 4ti2,
CoCoA4 and Singular. Thus Frobby can be used with any of those systems.


%package -n %{libname}
Summary:        Frobby internals as a library

%description -n %{libname}
This package contains the frobby internals as a library, often called
libfrobby.


%package -n %{develname}
Summary:        Developer files for libfrobby
Requires:       %{libname} = %{version}-%{release}
Requires:       gmp-devel
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Header files and library links to develop applications that use the
Frobby internals as a library (libfrobby).


%prep
%setup -q
%autopatch -p1

# Remove all file executable bits and restore the few appropriate cases
find . -type f -perm /0111 -exec chmod a-x {} +
chmod a+x frobgrob test/run* test/*/make* test/*/run* test/bench/benchHelper \
  test/testScripts/testhelper


%build
%make_build \
  BIN_INSTALL_DIR=%{_bindir} \
  CFLAGS="${CFLAGS:-%optflags}" \
  GMP_INC_DIR=%{_includedir} \
  LDFLAGS="${LDFLAGS}" \
  MODE=shared \
  library all

# Relink the binary against the library
rm bin/frobby
mv bin/libfrobby.so bin/libfrobby.so.0.0.0
ln -s libfrobby.so.0.0.0 bin/libfrobby.so.0
ln -s libfrobby.so.0 bin/libfrobby.so
g++ bin/shared/main.o ${CFLAGS:-%optflags} ${LDFLAGS} \
  -L$PWD/bin -lfrobby -o bin/frobby

# generate docs
make docPdf


%install
# Install the binary
mkdir -p %{buildroot}/%{_bindir}
cp -p bin/frobby %{buildroot}%{_bindir}

# Install the library
mkdir -p %{buildroot}%{_libdir}
cp -p bin/libfrobby.so.0.0.0 %{buildroot}%{_libdir}
ln -s libfrobby.so.0.0.0 %{buildroot}%{_libdir}/libfrobby.so.0
ln -s libfrobby.so.0 %{buildroot}%{_libdir}/libfrobby.so

# Install the header files
mkdir -p %{buildroot}%{_includedir}/frobby
cp -p src/{frobby,stdinc}.h %{buildroot}%{_includedir}/frobby


%check
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}
test/runTests


%files
%doc bin/manual.pdf
%{_bindir}/frobby

%files -n %{libname}
%doc COPYING
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/frobby/
%{_libdir}/*.so
