Name:           frotz
Version:        2.55
Release:        %mkrel 1
Summary:        Interactive fiction interpreter for Z-Machine (Infocom) games
Group:          Games/Adventure
License:        GPLv2+
URL:            https://gitlab.com/DavidGriffith/frotz/
Source0:        https://gitlab.com/DavidGriffith/frotz/-/archive/%{version}/%{name}-%{version}.tar.bz2

# Installing the X11 font would seem to be prohibited by the Fonts Policy
Patch0:         frotz-2.54-no_font_install.patch

BuildRequires:  pkgconfig(ao)
BuildRequires:  pkgconfig(libmodplug)
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(vorbisfile)

# For sfrotz
BuildRequires:  pkgconfig(bzip2)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(zlib)

# For xfrotz
BuildRequires:  pkgconfig(xt)
BuildRequires:  pkgconfig(fontutil)
BuildRequires:  bdftopcf

%global _description \
Frotz is an interpreter for Infocom games and other Z-machine games.\
It complies with standard 1.0 of Graham Nelson's specification.\
\
Free Z-machine game file downloads, as well as more information about\
Infocom, Z-machine games, and interactive fiction can be found at the\
Interactive Fiction Archive, https://mirror.ifarchive.org/.

%description %_description


%package gui
Summary:        SDL GUI for frotz interactive fiction interpreter
Group:          Games/Adventure
Requires:       %{name} = %{version}-%{release}

%description gui
%_description

This package contains the sfrotz GUI.


%prep
%autosetup -p1


%build
%make_build all


%install
%make_install PREFIX=%{_prefix} install_all

# Make a version of the config file with all settings commented out,
# to install in /etc
sed -Ee '/(^#|^$)/! s/^/#/' < doc/%{name}.conf-big > %{name}.conf
install -m0644 -D %{name}.conf -t %{buildroot}%{_sysconfdir}


%files
%doc AUTHORS ChangeLog DUMB HOW_TO_PLAY README
%license COPYING
%doc doc/%{name}.conf*
%{_bindir}/%{name}
%{_bindir}/d%{name}
%{_mandir}/man6/%{name}.6*
%{_mandir}/man6/d%{name}.6*
%config(noreplace) %{_sysconfdir}/%{name}.conf

%files gui
%{_bindir}/s%{name}
%{_bindir}/x%{name}
%{_mandir}/man6/s%{name}.6*
%{_mandir}/man6/x%{name}.6*
