%define upstream_name    Games-FrozenBubble
%define upstream_version 2.212

Name:		frozen-bubble
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 40

Summary:	Frozen Bubble arcade game
License:	GPLv2+
Group:		Games/Arcade
Url:		http://www.frozen-bubble.org/
Source0:	http://www.frozen-bubble.org/data/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		frozen-bubble-2.2.1-setuid.patch
Patch1:		0001-Fix-buffer-size-when-formatting-current-date.patch
Patch2:		frozen-bubble-2.2.1-Use-true-number-instead-of-quoted-version-number.patch

BuildRequires:	glib2-devel
BuildRequires:	perl(Alien::SDL)
BuildRequires:	perl(Archive::Extract)
BuildRequires:	perl(autodie)
BuildRequires:	perl(Compress::Bzip2)
BuildRequires:	perl(IPC::System::Simple)
BuildRequires:	perl(Locale::Maketext::Extract)
BuildRequires:	perl(parent)
BuildRequires:	perl(SDL) >= 2.400.0
BuildRequires:	perl-devel
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_mixer) >= 1.2.2
BuildRequires:	pkgconfig(SDL_Pango)
BuildRequires:	smpeg-devel

Requires:	perl-SDL >= 2.400.0
Obsoletes:	frozen-bubble-server-common < 2.212

%description
A Puzzle Bobble / Bust-a-Move like game featuring colorful 3D rendered
penguin animations, 100 levels, local and Internet-based multiplayer,
a level editor, 3 professional quality digital soundtracks, 15 stereo
sound effects, 8 unique graphical transition effects, 8 unique logo
eye-candies.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
export CFLAGS="%{optflags} -Wno-error=unused-result"
%{__perl} Build.PL installdirs=vendor
# Remove invalid rpaths
sed -i "/-Wl,-rpath/d" _build/build_params
./Build --perl=%{__perl}

%install
./Build install --perl=%{__perl} destdir=%{buildroot}
rm -f %{buildroot}%{_gamesdatadir}/frozen-bubble/gfx/shoot/create.pl

install -d -m 755 %{buildroot}%{_datadir}/applications
cat >  %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Frozen Bubble
Comment=Frozen Bubble arcade game
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ArcadeGame;
EOF

for size in 16x16 32x32 48x48; do
  install -D -m 644 share/icons/frozen-bubble-icon-${size}.png \
      %{buildroot}%{_iconsdir}/hicolor/${size}/apps/%{name}.png
done

%check
./Build  --perl=%{__perl} test

%files
%doc README AUTHORS META.yml HISTORY
%license COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}-editor
%{_bindir}/fb-server
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-editor.1*
%{_mandir}/man3/Games::FrozenBubble*.3pm*
%{perl_vendorarch}/auto/Games/FrozenBubble/
%{perl_vendorarch}/auto/share/dist/%{upstream_name}/
%{perl_vendorarch}/Games/FrozenBubble*
