# comment out if not pre-rel
#define prel	rc5

# rel to bump
%define rel	2

%define major		2
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Font rendering library for OpenGL applications
Name:		ftgl
Version:	2.4.0
Release:	%mkrel %{?prel:0.%prel.}%{rel}
License:	MIT
Group:		System/Libraries
# was http://ftgl.wiki.sourceforge.net
URL:		https://github.com/frankheckenbach/ftgl
Source0:	https://github.com/frankheckenbach/ftgl/archive/v%{version}%{?prel:-%prel}/%{name}-%{version}%{?prel:-%prel}.tar.gz
Patch1:		0001-fix-type-error.patch
Patch2:		0001-add-layout-height-width-and-depth-functions.patch
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(glu)
BuildRequires:	doxygen

%description
FTGL is a free, open source library to enable developers to use arbitrary
fonts in their OpenGL (www.opengl.org) applications.  Unlike other OpenGL
font libraries FTGL uses standard font file formats so doesn't need a
preprocessing step to convert the high quality font data into a lesser
quality, proprietary format.  FTGL uses the Freetype (www.freetype.org)
font library to open and 'decode' the fonts. It then takes that output
and stores it in a format most efficient for OpenGL rendering.

Rendering modes supported are:
     * Bit maps
     * Anti aliased pix maps
     * Texture maps
     * Outlines
     * Polygon meshes
     * Extruded polygon meshes

%package -n	%{libname}
Summary:	OpenGL Interface of Freetype2
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	%{libname} = %{version}-%{release}

%description -n	%{libname}
FTGL is a free, open source library to enable developers to use arbitrary
fonts in their OpenGL (www.opengl.org) applications.  Unlike other OpenGL
font libraries FTGL uses standard font file formats so doesn't need a
preprocessing step to convert the high quality font data into a lesser
quality, proprietary format.  FTGL uses the Freetype (www.freetype.org)
font library to open and 'decode' the fonts. It then takes that output
and stores it in a format most efficient for OpenGL rendering.

Rendering modes supported are:
     * Bit maps
     * Anti aliased pix maps
     * Texture maps
     * Outlines
     * Polygon meshes
     * Extruded polygon meshes

%package -n	%{develname}
Summary:	Development related files of FTGL
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{develname}
This package contains headers and static libraries of FTGL.
You need to install it if you want to develop or compile
any programs that make use of OpenGL interface of freetype
library.

%prep
%autosetup -p1 -n %{name}-%{version}%{?prel:~%prel}

%build
./autogen.sh
%configure --enable-shared \
           --disable-static
%make_build

%install
%make_install

# include doc ourselves, don't let software do it
rm -rf %{buildroot}%{_docdir}

# remove files not bundled
rm -f %{buildroot}%{_bindir}/FTGLDemo
rmdir %{buildroot}%{_bindir} || true

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc AUTHORS NEWS README
%license COPYING
%{_libdir}/libftgl.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS BUGS NEWS README TODO
%license COPYING
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
