%define rel	4

%define major	4
%define libname	%mklibname ftp %{major}
%define develname %mklibname ftp -d

Summary:	FTP Library Routines
Name:		ftplib
Version:	4.0
Release:	%mkrel %rel
License:	LGPLv2+
Group:		System/Libraries
URL:		https://nbpfaus.net/~pfau/ftplib/
Source:		https://www.nbpfaus.net/~pfau/ftplib/%name-%version.tar.gz

%description
This package implements a callable interface to FTP.  The FTP
protocol is specified in RFC 959.

%package -n qftp
Summary:	Command line driven ftp file transfer program
Group:		Networking/File transfer

%description -n qftp
qftp performs directories or file transfers using the ftp protocol
based on the command it was invoked with and command line arguments.

%package -n %libname
Summary:	Shared library of ftplib
Group:		System/Libraries
Provides:	%name = %version-%release

%description -n %libname
This package implements a callable interface to FTP.  The FTP
protocol is specified in RFC 959.

This package contains the library needed to run programs dynamically
linked with ftplib.

%package -n %develname
Summary:	Headers and static library for ftplib development
Group:		Development/C
Requires:	%libname = %version
Provides:	libftp-devel = %version-%release
Provides:	ftp-devel = %version-%release

%description -n %develname
This package implements a callable interface to FTP.  The FTP
protocol is specified in RFC 959.

This package contains the headers and static library that
programmers will need to develop applications which will use
ftplib.

%prep
%setup -q
sed -i 's,/usr/local/bin,$(DESTDIR)%{_bindir},' src/Makefile
sed -i 's,/usr/local/lib,$(DESTDIR)%{_libdir},' src/Makefile
sed -i 's,/usr/local/include,$(DESTDIR)%{_includedir},' src/Makefile

%build
cd src
# LDFLAGS is not used for the library build
%make_build DEBUG="%optflags" CC="gcc %ldflags"

%install
install -d -m755 %{buildroot}%{_bindir}
install -d -m755 %{buildroot}%{_libdir}
install -d -m755 %{buildroot}%{_includedir}
%make_install -C src

%files -n %libname
%doc CHANGES README.ftplib-4.0
%{_libdir}/*.so.%{major}{,.*}

%files -n %develname
%doc CHANGES README.ftplib-4.0
%{_libdir}/*.so
%{_includedir}/%{name}.h

%files -n qftp
%doc README.qftp
%{_bindir}/ftp*
%{_bindir}/qftp
