%define _enable_debug_packages %{nil}
%define debug_package %{nil}
# disable binaries in noarch package
%define _binaries_in_noarch_packages_terminate_build 0

Name:           fullrecall
Version:        1.5.3
Release:        %mkrel 8
Summary:        A software that can help to memorize with the minimum time investment
License:        Demo
Group:          Education
URL:            https://fullrecall.com/
# wget https://fullrecall.com/d/fullrecall-linux.bin.bz2
Source0:        https://fullrecall.com/d/%{name}-linux.bin.bz2
#manual
Source1:        https://fullrecall.com/%{name}_manual.pdf
# icon extracted from Windows .exe file of delivered by the software author
Source10:       scalable.svg
#copied from the website (2011-10-25)
#about license and purchase
Source20:       license
Source21:       readme
Source22:       buy
#docs
Source23:       asking-good-questions
Source24:       faq
Source25:       manual
Source26:       tips
Requires:       hicolor-icon-theme
# 32bit software, nonfree is landing into noarch (like Skype)..
BuildArch:      noarch

%description
FullRecall is a software that can help you memorize the knowledge for lifelong
periods with the minimum time investment. Underlying artificial neural network
gradually grasps your forgetting curve to schedule optimal days for the
reviews–i.e., days when you will be close to forgetting an information.

The author permits to distribute FullRecall with Mageia.

%prep

%build

%install
mkdir -p %{buildroot}%{_bindir}
bzcat %{_sourcedir}/%{name}-linux.bin.bz2 > %{buildroot}%{_bindir}/%{name}
chmod 0755 %{buildroot}%{_bindir}/%{name}

cp %{_sourcedir}/%{name}_manual.pdf .

#pages from the project website
cp %{_sourcedir}/license .
cp %{_sourcedir}/readme .
cp %{_sourcedir}/buy .
cp %{_sourcedir}/asking-good-questions .
cp %{_sourcedir}/faq .
cp %{_sourcedir}/manual .
cp %{_sourcedir}/tips .

mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps
install -m 0644 %{SOURCE10} %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=FullRecall
Comment=Flashcard program for using space repetition learning
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Education;Languages;
EOF

cat > README.urpmi <<EOF
This is a free demo version of FullRecall with some less features
There is a commercial full version of FullRecall available.

Please read the author's notes about the full version above:


If you use FullRecall — I ask you to buy license for the full version.
By doing so you will:

- unlock the full PC version of FullRecall:
- no 500 elements limit per learning database
- access to network import/export (i.e., you can keep your database on
  FullRecall server)
- possibility to merge learning databases
- possibility to add images
- "fuzzy search" functionality
- access to the online version
- support further FullRecall development

Cost
Registration fee is US$35 and gives you (the single person) the right to use
FullRecall on as many computers as you wish.

For registered users:
Update to the next minor number version (e.g. 1.2 -> 1.3) is, and always will
be, free.

For more information, please read https://fullrecall.com/buy

EOF

%files
%doc license readme buy asking-good-questions faq manual tips
%doc %{name}_manual.pdf
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/*/%{name}.svg
