Name:          fuse-emulator-utils
Version:       1.4.3
Release:       %mkrel 4
Summary:       The additional utilities for Fuse ZX Spectrum emulator
Group:         Emulators
License:       GPLv2
URL:           https://fuse-emulator.sourceforge.net/
Source0:       https://sourceforge.net/projects/fuse-emulator/files/fuse-utils/%{version}/fuse-utils-%{version}.tar.gz

BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(libspectrum)
BuildRequires: pkgconfig(libgcrypt)
BuildRequires: pkgconfig(audiofile)

%description
The Fuse utilities are a few tools which may be of occasional use when
dealing with ZX Spectrum emulator files.

The available utilities are:
* audio2tape: convert an audio file to tape format.
* createhdf: create an empty .hdf IDE hard disk image.
* fmfconv: converter tool for FMF movie files.
* listbasic: list the BASIC in a snapshot or tape file.
* profile2map: convert Fuse profiler output to Z80-style map format.
* raw2hdf: create a .hdf IDE hard disk image from another file.
* rzxcheck: verify the digital signature in an RZX file.
* rzxdump: list the contents of an RZX input recording file.
* rzxtool: add, extract or remove the embedded snapshot from an RZX file,
           or compress or uncompress the file.
* scl2trd: convert .scl disk images to .trd disk images.
* snap2tzx: convert snapshots to TZX tape images.
* snapconv: convert between snapshot formats.
* tape2pulses: dumps the pulse information from tape images to text files.
* tape2wav: convert a tape file to .wav audio format.
* tapeconv: convert between .tzx and .tap files.
* tzxlist: list the contents of a TZX, TAP, PZX or Warajevo TAP file.


%prep
%setup -q -n fuse-utils-%{version}

%build
%configure
%make_build

%install
%make_install

%files
%{_bindir}/audio2tape
%{_bindir}/createhdf
%{_bindir}/fmfconv
%{_bindir}/listbasic
%{_bindir}/profile2map
%{_bindir}/raw2hdf
%{_bindir}/rzxcheck
%{_bindir}/rzxdump
%{_bindir}/rzxtool
%{_bindir}/scl2trd
%{_bindir}/snap2tzx
%{_bindir}/snapconv
%{_bindir}/snapdump
%{_bindir}/tape2pulses
%{_bindir}/tape2wav
%{_bindir}/tapeconv
%{_bindir}/tzxlist

%{_mandir}/man1/audio2tape.1.*
%{_mandir}/man1/createhdf.1.*
%{_mandir}/man1/fmfconv.1.*
%{_mandir}/man1/fuse-utils.1.*
%{_mandir}/man1/listbasic.1.*
%{_mandir}/man1/profile2map.1.*
%{_mandir}/man1/raw2hdf.1.*
%{_mandir}/man1/rzxcheck.1.*
%{_mandir}/man1/rzxdump.1.*
%{_mandir}/man1/rzxtool.1.*
%{_mandir}/man1/scl2trd.1.*
%{_mandir}/man1/snap2tzx.1.*
%{_mandir}/man1/snapconv.1.*
%{_mandir}/man1/snapdump.1.*
%{_mandir}/man1/tape2pulses.1.*
%{_mandir}/man1/tape2wav.1.*
%{_mandir}/man1/tapeconv.1.*
%{_mandir}/man1/tzxlist.1.*
