%define major			2
%define libname			%mklibname %{name} %{major}
%define libnamedev		%mklibname %{name} -d
%define ulock_major		1

Summary:	Interface for userspace programs to export a virtual filesystem to the kernel
Name:		fuse
Version:	2.9.9
Release:	%mkrel 6
License:	GPLv2+
Group:		System/Libraries
URL:		https://github.com/libfuse/libfuse/
Source0:	https://github.com/libfuse/libfuse/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz
# Upstream patches
Patch1:		0001-Whitelist-UFSD-backport-to-2.9-branch-452.patch
Patch2:		0002-Correct-errno-comparison-571.patch
Patch3:		0003-util-ulockmgr_server.c-conditionally-define-closefro.patch
# Backported from fuse3
# https://github.com/libfuse/libfuse/pull/392/commits/39b94ba3c5638f2ec76d392acf8aad32719d64c0
Patch51:	0001-Whitelist-SMB2-found-on-some-NAS-devices.patch
# Mageia patches
Patch101:	mount-readlink-hang-workaround.patch
Patch102:	fuse-2.9.2-namespace-conflict-fix.patch
BuildRequires:  libtool
BuildRequires:  gettext-devel
Requires:	%{name}-common
Obsoletes:	fuse2 < 2.9.7-2

%description
FUSE (Filesystem in USErspace) is a simple interface for userspace
programs to export a virtual filesystem to the linux kernel.  FUSE
also aims to provide a secure method for non privileged users to
create and mount their own filesystem implementations.

%package -n	%{libnamedev}
Summary:	Header files and development libraries for libfuse2
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires(pre):	filesystem >= 2.1.9-18
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}fuse-static-devel < 2.9.7-2
Obsoletes:	%{_lib}fuse2-devel < 2.9.7-2
Obsoletes:	%{_lib}fuse2-static-devel < 2.9.7-2

%description -n	%{libnamedev}
Header files and development libraries for fuse.

%package -n	%{libname}
Summary:	Libraries for fuse
Group:		System/Libraries
Requires(pre):	filesystem >= 2.1.9-18

%description -n	%{libname}
Libraries for fuse.

%prep
%autosetup -p1

sed -i 's|mknod|/bin/echo Disabled: mknod |g' util/Makefile.in

%build
autoreconf -fi
export MOUNT_FUSE_PATH=%{_sbindir}
export INIT_D_PATH=%{_initrddir}
%configure \
	--disable-static
%make_build

%install
%make_install

rm -rf %{buildroot}%{_sysconfdir}/rc.d/init.d %{buildroot}%{_sysconfdir}/udev/rules.d
rm -rf %{buildroot}%{_libdir}/*.la

%files
%doc AUTHORS ChangeLog NEWS README.md README.NFS
%license COPYING
%attr(0755,root,root) %{_sbindir}/mount.fuse
%attr(4755,root,root) %{_bindir}/fusermount
%attr(0755,root,root) %{_bindir}/ulockmgr_server
%{_mandir}/man1/fusermount.1*
%{_mandir}/man1/ulockmgr_server.1*
%{_mandir}/man8/mount.fuse.8*

%files -n %{libname}
%license COPYING.LIB
%{_libdir}/libfuse.so.%{major}{,.*}
%{_libdir}/libulockmgr.so.%{ulock_major}{,.*}

%files -n %{libnamedev}
%{_includedir}/fuse/
%{_includedir}/*.h
%{_libdir}/libfuse.so
%{_libdir}/libulockmgr.so
%{_libdir}/pkgconfig/fuse.pc
