%define major			3
%define libname			%mklibname %{name}_ %{major}
%define libnamedev		%mklibname %{name} -d

Summary:	Interface for userspace programs to export a virtual filesystem to the kernel
Name:		fuse3
Version:	3.17.1
Release:	%mkrel 1
License:	GPLv2+ and LGPLv2+
Group:		System/Libraries
URL:		https://github.com/libfuse/libfuse/
Source0:	https://github.com/libfuse/libfuse/releases/download/fuse-%{version}/fuse-%{version}.tar.gz
Source2:	fuse-makedev.d-fuse
Patch1:		mount-readlink-hang-workaround.patch
Patch2:		fuse-skip-install_helper-script.patch
BuildRequires:	meson
BuildRequires:	ninja
BuildRequires:	pkgconfig(udev)
Requires:	fuse-common

%description
FUSE (Filesystem in USErspace) is a simple interface for userspace
programs to export a virtual filesystem to the linux kernel. FUSE
also aims to provide a secure method for non privileged users to
create and mount their own filesystem implementations.

This package provides FUSE v3 which can be installed alongside
FUSE v2.

%package -n	%{libname}
Summary:	Libraries for fuse
Group:		System/Libraries
Requires(pre):	filesystem >= 2.1.9-18

%description -n	%{libname}
Libraries for fuse.

%package -n	%{libnamedev}
Summary:	Header files and development libraries for libfuse2
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires(pre):	filesystem >= 2.1.9-18
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libnamedev}
Header files and development libraries for fuse.

%package -n fuse-common
Summary:	Common files for File System in Userspace (FUSE) v2 and v3
Group:		System/Libraries
BuildArch:	noarch
Conflicts:	fuse < 2.9.7-2

%description -n fuse-common
Common files for FUSE v2 and FUSE v3.

%prep
%autosetup -p1 -n fuse-%{version}

%build
%meson
%meson_build

%install
%meson_install

install -Dpm644 util/fuse.conf %{buildroot}%{_sysconfdir}/fuse.conf
install -Dpm644 %{SOURCE2} %{buildroot}%{_sysconfdir}/makedev.d/z-fuse

%files
%doc AUTHORS ChangeLog.rst README.md doc/README.NFS
%license GPL*
%attr(0755,root,root) %{_sbindir}/mount.fuse3
%attr(4755,root,root) %{_bindir}/fusermount3
%{_mandir}/man1/fusermount3.1*
%{_mandir}/man8/mount.fuse3.8*

%files -n %{libname}
%license LGPL*
%{_libdir}/libfuse3.so.%{major}{,.*}

%files -n %{libnamedev}
%{_includedir}/%{name}/
%{_libdir}/libfuse3.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n fuse-common
%config(noreplace) %{_sysconfdir}/makedev.d/z-fuse
%config(noreplace) %{_sysconfdir}/fuse.conf
