Name:			fusiondirectory
Version:		1.3.1
Release:		%mkrel 3
Summary:		Web Based LDAP Administration Program 
License:		GPLv2
Source0:		https://github.com/%{name}/%{name}/archive/refs/tags/%{name}-%{version}.tar.gz
Patch0:			%{name}-fix_pear-location.patch
###Patch2:			%{name}-fix_openldap-schema-location.patch
Patch3:			%{name}-fix_install_location.patch
Patch4:                 %{name}-fix_smarty3_location.patch
Patch5:                 %{name}-fix_install-location-apache.patch
#Patch6:                 %{name}-fix_libs-location.patch
Patch7:                 %{name}-fix_apache-configuration.patch
Source1:		https://github.com/%{name}/%{name}-plugins/archive/refs/tags/%{name}-%{version}.zip
URL:			https://www.%{name}.org/
Group:			System/Configuration
Requires:		php,php-ldap,php-imap,php-snmp,php-mysql,php-mbstring,php-fpdf,php-iconv,php-imagick, php-curl
Requires:		php-webinterface,ImageMagick,gettext,php-smarty,php-smarty-gettext,openldap-clients, prototype-httpd, scriptaculous-httpd

Obsoletes:              fusiondirectory-plugin-dashboard < 1.0.10-1

BuildArch:		noarch

Obsoletes:              fusiondirectory-plugin-addressbook < 1.0.16
Conflicts:              fusiondirectory-plugin-alias < 1.3.1
Obsoletes:              fusiondirectory-plugin-apache2 < 1.0.16
Conflicts:              fusiondirectory-plugin-applications < 1.3.1
Conflicts:              fusiondirectory-plugin-argonaut < 1.3.1
Conflicts:              fusiondirectory-plugin-audit < 1.3.1
Conflicts:              fusiondirectory-plugin-autofs < 1.3.1
Conflicts:              fusiondirectory-plugin-certificates < 1.3.1
Conflicts:              fusiondirectory-plugin-community < 1.3.1
Conflicts:              fusiondirectory-plugin-cyrus < 1.3.1
Conflicts:              fusiondirectory-plugin-debconf < 1.3.1
Conflicts:              fusiondirectory-plugin-dhcp < 1.3.1
Conflicts:              fusiondirectory-plugin-developers < 1.3.1
Conflicts:              fusiondirectory-plugin-dns < 1.3.1
Conflicts:              fusiondirectory-plugin-dovecot < 1.3.1
Conflicts:              fusiondirectory-plugin-dsa < 1.3.1
Conflicts:              fusiondirectory-plugin-ejbca < 1.3.1
Conflicts:              fusiondirectory-plugin-fai < 1.3.1
Conflicts:              fusiondirectory-plugin-freeradius < 1.3.1
Conflicts:              fusiondirectory-plugin-fusioninventory < 1.3.1
Obsoletes:              fusiondirectory-plugin-game < 1.0.16
Conflicts:              fusiondirectory-plugin-gpg < 1.3.1
Conflicts:              fusiondirectory-plugin-ipmi < 1.3.1
Conflicts:              fusiondirectory-plugin-kolab2 < 1.3.1
Conflicts:              fusiondirectory-plugin-ldapdump < 1.3.1
Conflicts:              fusiondirectory-plugin-ldapmanager < 1.3.1
Conflicts:              fusiondirectory-plugin-mail < 1.3.1
Conflicts:              fusiondirectory-plugin-mixedgroups < 1.3.1
Conflicts:              fusiondirectory-plugin-nagios < 1.3.1
Conflicts:              fusiondirectory-plugin-netgroups < 1.3.1
Conflicts:              fusiondirectory-plugin-newsletter < 1.3.1
Conflicts:              fusiondirectory-plugin-opsi < 1.3.1
Conflicts:              fusiondirectory-plugin-openstack-compute < 1.3.1
Conflicts:              fusiondirectory-plugin-personal < 1.3.1
Conflicts:              fusiondirectory-plugin-ppolicy < 1.3.1
Conflicts:              fusiondirectory-plugin-puppet < 1.3.1
Conflicts:              fusiondirectory-plugin-pureftpd < 1.3.1
Conflicts:              fusiondirectory-plugin-quota < 1.3.1
Conflicts:              fusiondirectory-plugin-renater-partage < 1.3.1
Conflicts:              fusiondirectory-plugin-repository < 1.3.1
Conflicts:              fusiondirectory-plugin-samba < 1.3.1
Conflicts:              fusiondirectory-plugin-sogo < 1.3.1
Conflicts:              fusiondirectory-plugin-spamassassin < 1.3.1
Conflicts:              fusiondirectory-plugin-squid < 1.3.1
Conflicts:              fusiondirectory-plugin-ssh < 1.3.1
Conflicts:              fusiondirectory-plugin-sudo < 1.3.1
Conflicts:              fusiondirectory-plugin-supann < 1.3.1
Conflicts:              fusiondirectory-plugin-subcontracting < 1.3.1
Conflicts:              fusiondirectory-plugin-sympa < 1.3.1
Conflicts:              fusiondirectory-plugin-systems < 1.3.1
Conflicts:              fusiondirectory-plugin-user-reminder < 1.3.1
Conflicts:              fusiondirectory-plugin-weblink < 1.3.1
Conflicts:              fusiondirectory-plugin-webservice < 1.3.1

%define confdir		%{_sysconfdir}/%{name}

%description
FusionDirectory is a combination of system-administrator and end-user web
interface, designed to handle LDAP based setups.
Provided is access to posix, shadow, samba, proxy, fax, and Kerberos
accounts. It is able to manage the Postfix/Cyrus server combination
and can write user adapted sieve scripts.

%package schema
Group:			System/Configuration
Summary:		Schema Definitions for the %{name} package
Requires:		openldap-servers

%description schema
Contains the Schema definition files for the %{name} admin package.

%package database
Group:			System/Configuration
Summary:		Fusiondirectory database management framework for %{name}
Requires:		%{name}

%description database
This package contains a database framework which allows connecting
Fusiondirectory to a database for storing specific datas. (Used only by specific
plugins).

%package plugin-alias
Group:	System/Configuration
Summary:	Alias mail addresses management for Postfix MTA
Requires:	%{name} >= %{version}, %{name}-plugin-mail >= %{version}

%description plugin-alias
This plugin is designed to configure mail aliases for Postfix.
It provides description and expiration date

%package plugin-applications
Group:  System/Configuration
Summary:        Management plugin for applications
Requires:       %{name} >= %{version},%{name}-plugin-systems >= %{version}

%description plugin-applications
Management plugin for applications

%package plugin-argonaut
Group:	System/Configuration
Summary:	Management plugin for the Argonaut deployment service
Requires:	%{name} >= %{version},%{name}-plugin-systems >= %{version}

%description plugin-argonaut
This plugin allows managing and storing configuration for the Argonaut
deployment service.

%package plugin-audit
Group:          System/Configuration
Summary:        Management plugin for audit
Requires:       %{name} >= %{version},%{name}-plugin-systems >= %{version}

%description plugin-audit
Management plugin for audit

%package plugin-autofs
Group:	System/Configuration
Summary:	AutoFS-NFS management plugin
Requires:	%{name} >= %{version},%{name}-plugin-systems >= %{version}

%description plugin-autofs
AutoFS-NFS management plugin

%package plugin-certificates
Group:  System/Configuration
Summary:        Management plugin for certificates
Requires:       %{name} >= %{version},%{name}-plugin-systems >= %{version}

%description plugin-certificates
Management plugin for certificates

%package plugin-community
Group:          System/Configuration
Summary:        Management plugin for community
Requires:       fusiondirectory >= %{version}

%description plugin-community
Management plugin for community

%package plugin-cyrus
Group:	System/Configuration
Summary:	Cyrus accounts management	
Requires:	%{name} >= %{version}, %{name}-plugin-mail >= %{version}

%description plugin-cyrus
Cyrus accounts management plugin

%package plugin-debconf
Group:	System/Configuration
Summary:	Debconf management plugin
Requires:	%{name} >= %{version},%{name}-plugin-systems >= %{version}

%description plugin-debconf
Debconf management plugin

%package plugin-dhcp
Group:	System/Configuration
Summary:	DHCP service management plugin
Requires:	%{name} >= %{version},%{name}-plugin-systems >= %{version}

%package plugin-developers
Group:		System/Configuration
Summary:	Management plugin for developers
Requires:	fusiondirectory >= %{version}

%description plugin-developers
Management plugin for developers

%description plugin-dhcp
DHCP service management plugin

%package plugin-dns
Group:	System/Configuration
Summary:	DNS service management plugin
Requires:	%{name} >= %{version}

%description plugin-dns
DNS service management plugin

%package plugin-dovecot
Group:  System/Configuration
Summary:        dovecot plugin
Requires:       %{name} >= %{version},%{name}-plugin-systems >= %{version}

%description plugin-dovecot
dovecot plugin

%package plugin-dsa
Group:	System/Configuration
Summary:	DSA accounts branch management
Requires:	%{name} >= %{version},%{name}-plugin-systems >= %{version}

%description plugin-dsa
This plugin is designed to maintain the DSA branch of your LDAP directory
The DSA branch is the one that contains the security accounts for LDAP clients

%package plugin-ejbca
Group:  System/Configuration
Summary:        Management plugin for ejbca
Requires:       %{name} >= %{version},%{name}-plugin-systems >= %{version}

%description plugin-ejbca
Management plugin for ejbca

%package plugin-fai
Group:	System/Configuration
Summary:	FAI plugin for managing system deployment
Requires:	%{name} >= %{version},%{name}-plugin-systems >= %{version}

%description plugin-fai
FAI plugin for managing system deployment

%package plugin-freeradius
Group:	System/Configuration
Summary:	Freeradius management plugin
Requires:	%{name} >= %{version}

%description plugin-freeradius
Freeradius management plugin

%package plugin-fusioninventory
Group:  System/Configuration
Summary:        fusioninventory management plugin
Requires:       %{name} >= %{version}

%description plugin-fusioninventory
fusioninventory management plugin

%package plugin-gpg
Group:  System/Configuration
Summary:        gpg management plugin
Requires:       %{name} >= %{version},%{name}-database = %{version},%{name}-plugin-mail >= %{version}

%description plugin-gpg
gpg management plugin

%package plugin-ipmi
Group:  System/Configuration
Summary:        ipmi management plugin
Requires:       %{name} >= %{version},%{name}-database = %{version},%{name}-plugin-mail >= %{version}

%description plugin-ipmi
ipmi management plugin

%package plugin-kolab2
Group:	System/Configuration
Summary:	Kolab2 management plugin
Requires:	%{name} >= %{version},%{name}-plugin-mail >= %{version}

%description plugin-kolab2
Kolab2 management plugin

%package plugin-ldapdump
Group:  System/Configuration
Summary:        ldapdump plugin
Requires:       %{name} >= %{version},%{name}-plugin-mail >= %{version}

%description plugin-ldapdump
ldapdump plugin

%package plugin-ldapmanager
Group:	System/Configuration
Summary:	Simple LDAP backup and insertion tasks
Requires:	%{name} >= %{version}

%description plugin-ldapmanager
Simple LDAP backup and insertion tasks

%package plugin-mail
Group:	System/Configuration
Summary:	Mail management base plugin
Requires:	%{name} >= %{version},%{name}-plugin-systems >= %{version}

%description plugin-mail
Mail management base plugin

%package plugin-mixedgroups
Group:  System/Configuration
Summary:        Management plugin for mixedgroups
Requires:       %{name} >= %{version},%{name}-plugin-systems >= %{version}

%description plugin-mixedgroups
Management plugin for mixedgroups

%package plugin-nagios
Group:	System/Configuration
Summary:	Nagios account settings management
Requires:	%{name} >= %{version}

%description plugin-nagios
Nagios account settings management

%package plugin-netgroups
Group:	System/Configuration
Summary:	NIS Netgroups account management plugin
Requires:	%{name} >= %{version}

%description plugin-netgroups
NIS Netgroups account management plugin

%package plugin-newsletter
Group:          System/Configuration
Summary:        Management plugin for newsletter
Requires:       fusiondirectory >= %{version}

%description plugin-newsletter
Management plugin for newsletter

%package plugin-opsi
Group:	System/Configuration
Summary:	OPSI configuration management plugin
Requires:	%{name} >= %{version}, %{name}-plugin-dns >= %{version}, %{name}-plugin-systems >= %{version}, %{name}-plugin-samba >= %{version} 

%description plugin-opsi
OPSI configuration management plugin

%package plugin-openstack-compute
Group:	System/Configuration
Summary:	Openstack Compute users management interface
Requires:	%{name} >= %{version}

%description plugin-openstack-compute
This plugin allow to manage users for the Openstack compute software.

%package plugin-personal
Group:  System/Configuration
Summary:        Personal configuration management
Requires:       %{name} >= %{version}

%description plugin-personal
Personal configuration management

%package plugin-posix
Group:          System/Configuration
Summary:        Management plugin for posix
Requires:       %name >= %{version}

%description plugin-posix
Management plugin for posix

%package plugin-ppolicy
Group:  System/Configuration
Summary:        Ppolicy configuration management
Requires:       %{name} >= %{version}

%description plugin-ppolicy
Ppolicy configuration management

%package plugin-puppet
Group:	System/Configuration
Summary:	Puppet configuration management
Requires:	%{name} >= %{version}

%description plugin-puppet
Puppet configuration management

%package plugin-pureftpd
Group:	System/Configuration
Summary:	PureFTPD connectivity plugin
Requires:	%{name} >= %{version}

%description plugin-pureftpd
PureFTPD connectivity plugin

%package plugin-quota
Group:	System/Configuration
Summary:	File system user quota management plugin	
Requires:	%{name} >= %{version},%{name}-plugin-systems >= %{version}

%description plugin-quota
This plugin allows to manage user quota stored into the LDAP tree

%package plugin-renater-partage
Group:          System/Configuration
Summary:        Management plugin for renater-partage
Requires:       %{name} >= %{version}

%description plugin-renater-partage
Management plugin for renater-partage

%package plugin-repository
Group:  System/Configuration
Summary:        Repository management plugin
Requires:       %{name} >= %{version},%{name}-plugin-systems >= %{version}

%description plugin-repository
Repository management plugin

%package plugin-samba
Group:	System/Configuration
Summary:	Plugin for Samba 2/3 integration
Requires:	%{name} >= %{version},%{name}-plugin-systems >= %{version}

%description plugin-samba
Plugin for Samba 2/3 integration

%package plugin-sinaps
Group:  System/Configuration
Summary:        Plugin for Sinaps integration
Requires:       %{name} >= %{version},%{name}-plugin-systems >= %{version}

%description plugin-sinaps
Plugin for Sinaps integration

%package plugin-sogo
Group:  System/Configuration
Summary:        SOGo plugin 
Requires:       %{name} >= %{version},%{name}-plugin-systems >= %{version}

%description plugin-sogo
SOGo plugin

%package plugin-spamassassin
Group:  System/Configuration
Summary:        Spamassassin plugin
Requires:       %{name} >= %{version}

%description plugin-spamassassin
Management plugin for spamassassin

%package plugin-squid
Group:	System/Configuration
Summary:	Squid connectivity plugin
Requires:	%{name} >= %{version}

%description plugin-squid
Squid connectivity plugin

%package plugin-ssh
Group:	System/Configuration
Summary:	Management plugin for ssh
Requires:	%{name} >= %{version}
Requires:   %{name}-plugin-posix >= %{version}

%description plugin-ssh
Management plugin for ssh

%package plugin-sudo
Group:	System/Configuration
Summary:	Sudo manager
Requires:	%{name} >= %{version}

%description plugin-sudo
Sudo manager

%package plugin-supann
Group:	System/Configuration
Summary:	Fusiondirectory plugin for SUPANN directory management
Requires:	%{name} >= %{version}

%description plugin-supann
This Fusiondirectory plugin allow to manage directories following French SUPANN
standard

%package plugin-subcontracting
Group:          System/Configuration
Summary:        Management plugin for subcontracting
Requires:       fusiondirectory >= %{version}

%description plugin-subcontracting
Management plugin for subcontracting

%package plugin-sympa
Group:	System/Configuration
Summary:	SYMPA mailing lists management plugin
Requires:	%{name} >= %{version}

%description plugin-sympa
SYMPA mailing lists management plugin

%package plugin-systems
Group:	System/Configuration
Summary:	System management base plugin
Requires:	%{name} >= %{version}
Obsoletes:	%{name}-plugin-goto <= 1.0.2

%description plugin-systems
System management base plugin

%package plugin-user-reminder
Group:          System/Configuration 
Summary:        Management plugin for user-reminder
Requires:       %{name} >= %{version},%{name}-plugin-systems >= %{version}

%description plugin-user-reminder
Management plugin for user-reminder

%package plugin-weblink
Group:  System/Configuration
Summary:        weblink plugin
Requires:       %{name} >= %{version},%{name}-plugin-mail >= %{version}

%description plugin-weblink
weblink plugin

%package plugin-webservice
Group:  System/Configuration
Summary:        webservice plugin 
Requires:       %{name} >= %{version},%{name}-plugin-mail >= %{version}

%description plugin-webservice
webservice plugin 

%prep

%setup -qn %{name}-%{name}-%{version}
# Extract plugin sources (Source1) into core directory
%setup -qn %{name}-%{name}-%{version} -T -D -a 1

%autopatch -p1

%build

%install
mkdir -p %{buildroot}%{_datadir}/%{name}

# Create spool and cache directories 
install -d -m 0770 %{buildroot}%{_localstatedir}/spool/%{name}/
install -d -m 0770 %{buildroot}%{_localstatedir}/cache/%{name}/{tmp,fai,mail,systems}
install -d -m 0770 %{buildroot}%{_localstatedir}/cache/%{name}/{template,locale,class.cache}

DIRS="ihtml plugins html include locale setup"
echo `pwd`
for i in $DIRS; do \
  cp -ua $i %{buildroot}%{_datadir}/%{name} ; \
done

mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}-%{version}
mkdir -p %{buildroot}%{_webconfdir}/sites.d
mkdir -p %{buildroot}%{confdir}

install -m 755 contrib/bin/* %{buildroot}%{_sbindir}

install -m 0644 contrib/%{name}.conf %{buildroot}%{_localstatedir}/cache/%{name}/template/
install -m 0644  contrib/apache/fusiondirectory-apache.conf %{buildroot}%{_webconfdir}/sites.d/%{name}.conf
 
touch %{buildroot}%{_sysconfdir}/%{name}/%{name}.secrets

mkdir -p %{buildroot}%{_sysconfdir}/openldap/schema/%{name}
mv contrib/openldap/*.schema %{buildroot}%{_sysconfdir}/openldap/schema/%{name}

# install manpages
mkdir -p %{buildroot}%{_mandir}/man1/
mkdir -p %{buildroot}%{_mandir}/man5/
install -m 0644 contrib/man/*.1 %{buildroot}%{_mandir}/man1/
install -m 0644 contrib/man/*.5 %{buildroot}%{_mandir}/man5/

# Move Smarty plugins
install -d %{buildroot}%{_datadir}/php/Smarty/plugins/
mv contrib/smarty/plugins/function.msgPool.php %{buildroot}%{_datadir}/php/Smarty/plugins/
mv contrib/smarty/plugins/function.filePath.php %{buildroot}%{_datadir}/php/Smarty/plugins/
mv contrib/smarty/plugins/function.iconPath.php %{buildroot}%{_datadir}/php/Smarty/plugins/
mv contrib/smarty/plugins/block.render.php %{buildroot}%{_datadir}/php/Smarty/plugins/
rm -Rf include/smarty/

# Move executables
cp contrib/bin/* %{buildroot}%{_sbindir}

#Installation of FD-plugins
# Core plugins installation
PLUGINS_LIST=`find %{name}-plugins-%{name}-%{version}/ -mindepth 1 -maxdepth 1 -type d ! -name heimdal -a ! -name mit-krb5 -a ! -name log -a ! -name .tx`

# Entering plugins topdir
cd %{name}-plugins-%{name}-%{version}/

for cur_plugin_line in ${PLUGINS_LIST} ; do
	# Entering Plugins Directory
	cur_plugin=$(basename ${cur_plugin_line})
  cd ${cur_plugin}


  # Plugin developers
  if [ "${cur_plugin}" = "developers" ] ; then
    mkdir -p %{buildroot}%{_datadir}/doc/fusiondirectory-developers/
    mkdir -p %{buildroot}%{_datadir}/fusiondirectory/plugins/
##    mkdir -p %{buildroot}%{_datadir}/fusiondirectory/html/plugins/debug-help
##    cp -a ./debug-help %{buildroot}%{_datadir}/fusiondirectory/plugins/
   
  else
    # Addons section
    if [ -d ./addons ] ; then
      mkdir -p %{buildroot}%{_datadir}/fusiondirectory/plugins/addons/
      
      # Directories
      for cur_addons in $(find ./addons -mindepth 1 -maxdepth 1 -type d) ; do
        addons_line="$(echo ${cur_addons} | sed "s#./addons/##")" 
        cp -a ./addons/${addons_line} %{buildroot}%{_datadir}/fusiondirectory/plugins/addons/
      done
    
      # Files
      for cur_addons in $(find ./addons -mindepth 1 -maxdepth 1 -type f) ; do
        addons_line="$(echo ${cur_addons} | sed "s#./addons/##")" 
        cp -a ./addons/${addons_line} %{buildroot}%{_datadir}/fusiondirectory/plugins/addons/
      done
    fi
    
    
    # Admin section
    if [ -d ./admin ] ; then
      mkdir -p %{buildroot}%{_datadir}/fusiondirectory/plugins/admin/
    
      # Directories
      for cur_admin in $(find ./admin -mindepth 1 -maxdepth 1 -type d) ; do
        admin_line="$(echo ${cur_admin} | sed "s#./admin/##")" 
        cp -a ./admin/${admin_line} %{buildroot}%{_datadir}/fusiondirectory/plugins/admin/
      done
    
      # Files
      for cur_admin in $(find ./admin -mindepth 1 -maxdepth 1 -type f) ; do
        admin_line="$(echo ${cur_admin} | sed "s#./admin/##")" 
        cp -a ./admin/${admin_line} %{buildroot}%{_datadir}/fusiondirectory/plugins/admin/${admin_line}
      done
    fi
    
    
    # Config section
    if [ -d ./config ] ; then
      mkdir -p %{buildroot}%{_datadir}/fusiondirectory/plugins/config/
    
      # Directories
      for cur_config in $(find ./config -mindepth 1 -maxdepth 1 -type d) ; do
        config_line="$(echo ${cur_config} | sed "s#./config/##")" 
        cp -a ./config/${config_line} %{buildroot}%{_datadir}/fusiondirectory/plugins/config/
      done

      # Files
      for cur_config in $(find ./config -mindepth 1 -maxdepth 1 -type f) ; do
        config_line="$(echo ${cur_config} | sed "s#./config/##")" 
        cp -a ./config/${config_line} %{buildroot}%{_datadir}/fusiondirectory/plugins/config/
      done
    fi
    
    
    # HTML section
    if [ -d ./html ] ; then
      if [ "${cur_plugin}" = "addressbook" ] ; then
        mkdir -p %{buildroot}%{_datadir}/fusiondirectory/html/plugins/${cur_plugin}/
        cp -a ./html/images/ %{buildroot}%{_datadir}/fusiondirectory/html/plugins/${cur_plugin}/
        #cp -a ./html/getvcard.php %{buildroot}%{_datadir}/fusiondirectory/html/plugins/${cur_plugin}/

      elif [ "${cur_plugin}" = "argonaut" ] ; then
        mkdir -p %{buildroot}%{_datadir}/fusiondirectory/html/plugins/${cur_plugin}/
        cp -a ./html/themes/ %{buildroot}%{_datadir}/fusiondirectory/html/
        cp -a ./html/getFAIstatus.php %{buildroot}%{_datadir}/fusiondirectory/html/plugins/${cur_plugin}/

      elif [ "${cur_plugin}" = "fusioninventory" ] ; then
        mkdir -p %{buildroot}%{_datadir}/fusiondirectory/html/
        mkdir -p %{buildroot}%{_datadir}/fusiondirectory/html/plugins/${cur_plugin}/
        cp -a ./html/collect.php %{buildroot}%{_datadir}/fusiondirectory/html/
        cp -a ./html/themes/ %{buildroot}%{_datadir}/fusiondirectory/html/

      elif [ "${cur_plugin}" = "webservice" ] ; then
        mkdir -p %{buildroot}%{_datadir}/fusiondirectory/html/
        cp -a ./html/jsonrpc.php %{buildroot}%{_datadir}/fusiondirectory/html/

      else
        # Images directory
        if [[ -d ./html/images ]] ; then
          mkdir -p %{buildroot}%{_datadir}/fusiondirectory/html/plugins/${cur_plugin}/
          cp -a ./html/images/ %{buildroot}%{_datadir}/fusiondirectory/html/plugins/${cur_plugin}/
        fi

        # Themes directory
        if [[ -d ./html/themes ]] ; then
          mkdir -p %{buildroot}%{_datadir}/fusiondirectory/html/
          cp -a ./html/themes/ %{buildroot}%{_datadir}/fusiondirectory/html/
        fi
      fi
    fi
    
    
    # Include section
    if [ -d ./include ] ; then
      mkdir -p %{buildroot}%{_datadir}/fusiondirectory/include/    
      # Directories
      for cur_include in $(find ./include -mindepth 1 -maxdepth 1 -type d) ; do
        include_line="$(echo ${cur_include} | sed "s#./include/##")" 
        cp -a ./include/${include_line}/ %{buildroot}%{_datadir}/fusiondirectory/include/
      done
      
      # Files
      for cur_include in $(find ./include -mindepth 1 -maxdepth 1 -type f) ; do
        include_line="$(echo ${cur_include} | sed "s#./include/##")" 
        cp -a ./include/${include_line} %{buildroot}%{_datadir}/fusiondirectory/include/
      done
    fi
    
    
    # Locale section
    if [ -d ./locale ] ; then
      mkdir -p %{buildroot}%{_datadir}/fusiondirectory/locale/plugins/${cur_plugin}/locale/
      
      # Directories
      for cur_locale in $(find ./locale -mindepth 1 -maxdepth 1 -type d) ; do
        locale_line="$(echo ${cur_locale} | sed "s#./locale/##")" 
        cp -a ./locale/${locale_line} %{buildroot}%{_datadir}/fusiondirectory/locale/plugins/${cur_plugin}/locale/
      done
      
      # Files
      for cur_locale in $(find ./locale -mindepth 1 -maxdepth 1 -type f) ; do
        locale_line="$(echo ${cur_locale} | sed "s#./locale/##")" 
        cp -a ./locale/${locale_line} %{buildroot}%{_datadir}/fusiondirectory/locale/plugins/${cur_plugin}/locale/
      done
    fi

    
    # Personal section
    if [ -d ./personal ] ; then
      mkdir -p %{buildroot}%{_datadir}/fusiondirectory/plugins/personal/
    
      # Directories
      for cur_personal in $(find ./personal -mindepth 1 -maxdepth 1 -type d) ; do
        personal_line="$(echo ${cur_personal} | sed "s#./personal/##")" 
        cp -a ./personal/${personal_line} %{buildroot}%{_datadir}/fusiondirectory/plugins/personal/
      done
    
      # Files
      for cur_personal in $(find ./personal -mindepth 1 -maxdepth 1 -type f) ; do
        personal_line="$(echo ${cur_personal} | sed "s#./personal/##")" 
        cp -a ./personal/${personal_line} %{buildroot}%{_datadir}/fusiondirectory/plugins/personal/
      done
    fi
    
    # Openldap section
    if [ -d ./contrib/openldap ] ; then
      if [ "${cur_plugin}" = "ppolicy" ] ; then
        mkdir -p %{buildroot}%{_sysconfdir}/openldap/schema/fusiondirectory/
        mkdir -p %{buildroot}%{_datadir}/doc/fusiondirectory-plugin-${cur_plugin}-schema/
        mkdir -p %{buildroot}%{_datadir}/doc/fusiondirectory-plugin-${cur_plugin}/
#        cp ../../fusiondirectory-%{version}/{AUTHORS,Changelog,COPYING} %{buildroot}%{_datadir}/doc/fusiondirectory-plugin-${cur_plugin}-schema/

        cp -a ./contrib/openldap/*.schema %{buildroot}%{_sysconfdir}/openldap/schema/fusiondirectory/
      else
        mkdir -p %{buildroot}%{_sysconfdir}/openldap/schema/fusiondirectory/
        mkdir -p %{buildroot}%{_datadir}/doc/fusiondirectory-plugin-${cur_plugin}-schema/
 #       cp ../../fusiondirectory-%{version}/{AUTHORS,Changelog,COPYING} %{buildroot}%{_datadir}/doc/fusiondirectory-plugin-${cur_plugin}-schema/   
 
        # Directories
        for cur_openldap in $(find ./contrib/openldap -mindepth 1 -maxdepth 1 -type d) ; do
          openldap_line="$(echo ${cur_openldap} | sed "s#./contrib/openldap/##")" 
          cp -a ./contrib/openldap/${openldap_line} %{buildroot}%{_sysconfdir}/openldap/schema/fusiondirectory/
        done
    
        # Files
        for cur_openldap in $(find ./contrib/openldap -mindepth 1 -maxdepth 1 -type f ! -name 'example.ldif' ) ; do
          openldap_line="$(echo ${cur_openldap} | sed "s#./contrib/openldap/##")" 
          cp -a ./contrib/openldap/${openldap_line} %{buildroot}%{_sysconfdir}/openldap/schema/fusiondirectory/
        done
      fi
    fi  
    
    # SQL section
    if [ -d ./contrib/sql ] ; then
      mkdir -p %{buildroot}%{_datadir}/doc/fusiondirectory-plugin-${cur_plugin}-schema/
#      cp ../../fusiondirectory-%{version}/{AUTHORS,Changelog,COPYING} %{buildroot}%{_datadir}/doc/fusiondirectory-plugin-${cur_plugin}-schema/   
 
      # Directories
      for cur_sql in $(find ./contrib/sql -mindepth 1 -maxdepth 1 -type d) ; do
        sql_line="$(echo ${cur_sql} | sed "s#./contrib/sql/##")" 
        cp -a ./contrib/sql/${sql_line} %{buildroot}%{_datadir}/doc/fusiondirectory-plugin-${cur_plugin}-schema/
      done
    
      # Files
      for cur_sql in $(find ./contrib/sql -mindepth 1 -maxdepth 1 -type f ! -name 'example.ldif' ) ; do
        sql_line="$(echo ${cur_sql} | sed "s#./contrib/sql/##")" 
        cp -a ./contrib/sql/${sql_line} %{buildroot}%{_datadir}/doc/fusiondirectory-plugin-${cur_plugin}-schema/
      done   
    fi
  fi
  

	# Docs
	mkdir -p %{buildroot}%{_datadir}/doc/fusiondirectory-plugin-${cur_plugin}/
#	cp ../../fusiondirectory-%{version}/{AUTHORS,Changelog,COPYING} %{buildroot}%{_datadir}/doc/fusiondirectory-plugin-${cur_plugin}/ 
 
	# Exiting plugin directory
	cd ..
done

# clean temporary files
rm -f %{buildroot}/%{_sbindir}/*000*
rm -f %{buildroot}/%{_datadir}/%{name}/include/variables_common.inc.0000

%post
%{_sbindir}/%{name}-setup --update-cache --update-locales

# Plugins post directives for refresh the cache
%post plugin-alias
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-applications
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-argonaut
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-audit
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-autofs
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-certificates
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-community
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-cyrus
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-debconf
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-developers
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-dhcp
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-dns
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-dovecot
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-dsa
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-ejbca
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-fai
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-freeradius
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-fusioninventory
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-gpg
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-ipmi
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-kolab2
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-ldapdump
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-ldapmanager
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-mail
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-mixedgroups
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-nagios
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-netgroups
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-newsletter
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-opsi
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-openstack-compute
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-personal
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-posix
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-ppolicy
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-puppet
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-pureftpd
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-quota
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-renater-partage
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-repository
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-sogo
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-samba
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-squid
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-ssh
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-subcontracting
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-sudo
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-supann
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-sympa
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-systems
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-user-reminder
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-weblink
%{_sbindir}/%{name}-setup --update-cache --update-locales

%post plugin-webservice
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-alias
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-applications
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-argonaut
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-audit
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-autofs
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-certificates
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-community
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-cyrus
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-debconf
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-developers
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-dhcp
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-dns
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-dovecot
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-dsa
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-fai
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-freeradius
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-fusioninventory
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-gpg
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-ipmi
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-kolab2
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-ldapdump
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-ldapmanager
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-mail
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-mixedgroups
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-nagios
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-netgroups
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-newsletter
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-opsi
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-openstack-compute
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-personal
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-posix
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-ppolicy
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-puppet
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-pureftpd
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-quota
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-renater-partage
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-repository
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-samba
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-sinaps
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-sogo
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-squid
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-subcontracting
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-ssh
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-sudo
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-supann
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-sympa
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-systems
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-user-reminder
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-weblink
%{_sbindir}/%{name}-setup --update-cache --update-locales

%postun plugin-webservice
%{_sbindir}/%{name}-setup --update-cache --update-locales

%files
%attr(755,root,root) %{_sbindir}/%{name}-setup
%attr(755,root,root) %{_sbindir}/%{name}-insert-schema
%attr(0644,root,root) %{_mandir}/man1/*.1*
%attr(0644,root,root) %{_mandir}/man5/*.5*
%config(noreplace) %attr(0644,root,root) %{_webconfdir}/sites.d/%{name}.conf
%attr(0770, root, apache) %{_localstatedir}/spool/%{name}
%dir %attr(0770, root, apache) %{_localstatedir}/cache/%{name}
%attr(0770, root, apache) %{_localstatedir}/cache/%{name}/tmp
%attr(- root, apache) %{_localstatedir}/cache/%{name}/template/
%attr(0770, root, apache) %{_localstatedir}/cache/%{name}/locale
%attr(-,root,root) %{_datadir}/%{name}/locale
%exclude %{_datadir}/%{name}/locale/plugin

# Core files
%attr(-,root,root)%{_datadir}/%{name}/html/autocomplete.php
%attr(-,root,root)%{_datadir}/%{name}/html/favicon.ico
%attr(-,root,root)%{_datadir}/%{name}/html/getbin.php
%attr(-,root,root)%{_datadir}/%{name}/html/geticon.php
%attr(-,root,root)%{_datadir}/%{name}/html/index.php
%attr(-,root,root)%{_datadir}/%{name}/html/main.php
%attr(-,root,root)%{_datadir}/%{name}/html/progress.php
%attr(-,root,root)%{_datadir}/%{name}/html/robots.txt
%attr(-,root,root)%{_datadir}/%{name}/html/setup.php
%attr(-,root,root)%{_datadir}/%{name}/html/images
%attr(-,root,root)%{_datadir}/%{name}/html/include
%attr(-,root,root)%{_datadir}/%{name}/html/themes
%attr(-,root,root)%{_datadir}/%{name}/html/class_passwordRecovery.inc
%attr(-,root,root)%{_datadir}/%{name}/html/recovery.php
%attr(-, root,root) %{_datadir}/%{name}/ihtml
%attr(-, root,root) %{_datadir}/%{name}/setup
%config(noreplace) %attr(0600, root,root) %{_sysconfdir}/%{name}/%{name}.secrets

# Include Files
%attr(-,root,root)%{_datadir}/%{name}/include/accept-to-gettext.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_CopyPasteHandler.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_SnapshotHandler.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_acl.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_baseSelector.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_config.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_departmentSortIterator.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_divSelectBox.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_filter.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_filterLDAP.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_ldap.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_ldapMultiplexer.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_listing.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_listingSortIterator.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_ldapGeneralizedTime.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_logging.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_msgPool.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_msg_dialog.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_pluglist.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_session.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_smbHash.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_tests.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_timezone.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_userinfo.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_xml.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_SnapshotDialogs.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_template.inc
%attr(-,root,root)%{_datadir}/%{name}/include/exporter/class_PDF.php
%attr(-,root,root)%{_datadir}/%{name}/include/exporter/class_cvsExporter.inc
%attr(-,root,root)%{_datadir}/%{name}/include/exporter/class_pdfExporter.inc
%attr(-,root,root)%{_datadir}/%{name}/include/functions.inc
%attr(-,root,root)%{_datadir}/%{name}/include/functions_debug.inc
%attr(-,root,root)%{_datadir}/%{name}/include/jsonrpcphp/jsonRPCServer.php
%attr(-,root,root)%{_datadir}/%{name}/include/class_IconTheme.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_ldapFilter.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_objects.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_CSRFProtection.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_Combinations.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_exceptions.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_templateHandling.inc
%attr(-,root,root)%{_datadir}/%{name}/include/password-methods/class_password-methods-clear.inc
%attr(-,root,root)%{_datadir}/%{name}/include/password-methods/class_password-methods-crypt.inc
%attr(-,root,root)%{_datadir}/%{name}/include/password-methods/class_password-methods-md5.inc
%attr(-,root,root)%{_datadir}/%{name}/include/password-methods/class_password-methods-sasl.inc
%attr(-,root,root)%{_datadir}/%{name}/include/password-methods/class_password-methods-sha.inc
%attr(-,root,root)%{_datadir}/%{name}/include/password-methods/class_password-methods-smd5.inc
%attr(-,root,root)%{_datadir}/%{name}/include/password-methods/class_password-methods-ssha.inc
%attr(-,root,root)%{_datadir}/%{name}/include/password-methods/class_password-methods.inc
%attr(-,root,root)%{_datadir}/%{name}/include/simpleplugin
%attr(-,root,root)%{_datadir}/%{name}/include/php_setup.inc
%attr(-,root,root)%{_datadir}/%{name}/include/select/class_filterLDAPBlacklist.inc
%attr(-,root,root)%{_datadir}/%{name}/include/select/groupSelect/class_groupSelect.inc
%attr(-,root,root)%{_datadir}/%{name}/include/select/groupSelect/group-filter.tpl
%attr(-,root,root)%{_datadir}/%{name}/include/select/groupSelect/group-filter.xml
%attr(-,root,root)%{_datadir}/%{name}/include/select/objectSelect/class_objectSelect.inc
%attr(-,root,root)%{_datadir}/%{name}/include/select/systemSelect/class_systemSelect.inc
%attr(-,root,root)%{_datadir}/%{name}/include/select/userGroupSelect/class_userGroupSelect.inc
%attr(-,root,root)%{_datadir}/%{name}/include/select/userSelect/class_userSelect.inc
%attr(-,root,root)%{_datadir}/%{name}/include/variables.inc
%attr(-,root,root)%{_datadir}/%{name}/include/variables_common.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_Language.inc
%attr(-,root,root)%{_datadir}/%{name}/include/class_ldapSizeLimit.inc

# Smarty Files
%attr(-, root,root) %{_datadir}/php/Smarty/plugins/function.msgPool.php
%attr(-, root,root) %{_datadir}/php/Smarty/plugins/function.filePath.php 
%attr(-, root,root) %{_datadir}/php/Smarty/plugins/function.iconPath.php
%attr(-, root,root) %{_datadir}/php/Smarty/plugins/block.render.php

# Base plugins files
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/acl/class_aclAssignment.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/acl/class_aclManagement.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/acl/main.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/acl/remove.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/aclrole/acleditiondialog.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/aclrole/class_aclEditionDialog.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/departments/class_country.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/departments/class_dcObject.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/departments/class_department.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/departments/class_departmentManagement.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/departments/class_domain.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/departments/class_locality.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/departments/class_organization.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/departments/dep-list.xml
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/departments/main.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/departments/tabs_department.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/class_groupManagement.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/class_ogroup.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/group-filter.xml
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/group-list.xml
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/main.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/class_roleGeneric.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/groups/tabs_ogroups.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/users/class_userManagement.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/users/main.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/users/user-filter.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/users/user-filter.xml
%attr(-,root,root)%{_datadir}/%{name}/plugins/admin/users/user-list.xml
%attr(-,root,root)%{_datadir}/%{name}/plugins/generic/references/class_reference.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/generic/references/contents.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/generic/welcome/main.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/generic/welcome/welcome.tpl

# Core plugins html directory
%attr(-,root,root)%{_datadir}/%{name}/html/plugins/users

# Core plugins config section
%attr(-,root,root)%{_datadir}/%{name}/plugins/config/class_configInLdap.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/config/class_mainPluginsConfig.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/config/class_pluginsConfigInLdap.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/config/class_dashBoardConfig.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/config/class_recoveryConfig.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/config/main.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/config/tabs_configInLdap.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/config/class_webserviceConfig.inc

# Dashboard Addon
%attr(-,root,root)%{_datadir}/%{name}/plugins/addons/dashboard/class_dashBoard.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/addons/dashboard/class_dashBoardUsers.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/addons/dashboard/groups_stats.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/addons/dashboard/main.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/addons/dashboard/main_stats.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/addons/dashboard/tabs_dashBoard.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/addons/dashboard/users_accounts.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/addons/dashboard/users_stats.tpl
%attr(-,root,root)%{_datadir}/%{name}/plugins/addons/dashboard/class_dashBoardPasswords.inc
%attr(-,root,root)%{_datadir}/%{name}/plugins/addons/dashboard/pwd_stats.tpl


# Personal files
%attr (-,root,root)     %{_datadir}/%{name}/plugins/personal/generic/class_user.inc
%attr (-,root,root)     %{_datadir}/%{name}/plugins/personal/generic/main.inc
%attr (-,root,root)     %{_datadir}/%{name}/plugins/personal/roles/class_userRoles.inc
%attr (-,root,root)     %{_datadir}/%{name}/plugins/personal/roles/main.inc

# acl role
%attr (-,root,root)     %{_datadir}/%{name}/plugins/admin/aclrole/class_aclRole.inc
%attr (-,root,root)     %{_datadir}/%{name}/plugins/admin/aclrole/class_aclRoleManagement.inc
%attr (-,root,root)     %{_datadir}/%{name}/plugins/admin/aclrole/main.inc

%files schema
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/openldap/schema/%{name}/*.schema

%files database

%files plugin-alias
# Admin section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/alias/class_aliasManagement.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/alias/main.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/alias/class_mailAliasDistribution.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/alias/class_mailAliasRedirection.inc
# Config section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/config/alias/class_aliasConfig.inc
# HTML section
# Directories
# Files in the directory
# Files
# Locale section
%attr (-,root,root)	%{_datadir}/fusiondirectory/locale/plugins/alias

%doc %_docdir/fusiondirectory-plugin-alias

%files plugin-applications
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/admin/applications/class_applicationGeneric.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/admin/applications/class_applicationManagement.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/admin/applications/class_webApplication.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/admin/applications/main.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/admin/roles/class_applicationRights.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/config/applications/class_applicationsPluginConfig.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/locale/plugins/applications/locale/

%files plugin-audit
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/admin/audit/class_auditEvent.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/admin/audit/audit-filter.tpl
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/config/audit/class_auditConfig.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/locale/plugins/audit/locale/
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/admin/audit/class_auditManagement.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/admin/audit/main.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/html/themes/breezy/icons/16/apps/audit.png
%attr (-,root,root)	%{_datadir}/fusiondirectory/html/themes/breezy/svg/16/apps/audit.svg
%attr (-,root,root)	%{_datadir}/fusiondirectory/html/themes/breezy/svg/48/apps/audit.svg
%attr (-,root,root)	%{_datadir}/fusiondirectory/html/themes/breezy/icons/48/apps/audit.png

%files plugin-argonaut
# Addons section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/addons/argonaut/main.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/addons/argonaut/deploy-list.tpl
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/addons/argonaut/class_argonautQueue.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/addons/argonaut/class_filterArgonautEvents.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/addons/argonaut/class_argonautImportFile.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/addons/argonaut/class_argonautEventTypes.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/addons/argonaut/class_argonautAction.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/addons/argonaut/import_events.tpl
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/addons/argonaut/deploy-list.xml
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/addons/argonaut/deploy-filter.xml
# Admin section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/services/argonaut/class_argonautDNSConfig.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/services/argonaut/class_argonautFuseConfig.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/services/argonaut/class_argonautMirrorConfig.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/services/argonaut/class_argonautFuseOPSIConfig.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/services/argonaut/class_argonautServer.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/services/argonaut/class_argonautFuseLTSPConfig.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/services/argonaut/class_argonautFuseFAIConfig.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/argonaut/class_argonautClient.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/admin/systems/argonaut/class_deploymentTimeframe.inc
# HTML section
%attr (-,root,root)	%{_datadir}/fusiondirectory/html/plugins/argonaut/getFAIstatus.php
# Include section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/include/jsonRPCClient.php
%attr (-,root,root)	%{_datadir}/fusiondirectory/include/class_supportDaemon.inc
# Locale section
%attr (-,root,root)	%{_datadir}/fusiondirectory/locale/plugins/argonaut

%files plugin-autofs
# Admin section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/autofs/main.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/autofs/class_nisMap.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/autofs/class_nisObject.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/autofs/class_autofsManagement.inc
# Config section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/config/autofs/class_autofsConfig.inc
# HTML section
# Directories
# Files in the directory
# Files
# Locale section
%attr (-,root,root)	%{_datadir}/fusiondirectory/locale/plugins/autofs

%files plugin-certificates
%attr (-,root,root)     %{_datadir}/fusiondirectory/locale/plugins/certificates/locale/
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/personal/certificates/class_userCertificates.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/personal/certificates/main.inc

%files plugin-community
%attr (-,root,root)    %{_datadir}/fusiondirectory/plugins/admin/departments/community/class_communityOrganization.inc
%attr (-,root,root)    %{_datadir}/fusiondirectory/plugins/admin/departments/community/class_communityProject.inc
%attr (-,root,root)    %{_datadir}/fusiondirectory/plugins/config/community/class_communityConfig.inc
%attr (-,root,root)    %{_datadir}/fusiondirectory/locale/plugins/community/locale/

%files plugin-cyrus
# Admin section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/services/cyrus/class_serviceCyrus.inc
# HTML section
# Directories
# Files in the directory
# Files
# Locale section
%attr (-,root,root)	%{_datadir}/fusiondirectory/locale/plugins/cyrus
# Files
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/personal/mail/mail-methods/sieve_script.tpl
# Personal section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/personal/mail/mail-methods/class_mail-methods-cyrus.inc

%files plugin-debconf
# Admin section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/debconf/class_debconfStartup.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/debconfProfile/debconfProfile-filter.tpl
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/debconfProfile/main.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/debconfProfile/class_debconfProfileManagement.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/debconfProfile/debconfProfile-filter.xml
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/debconfProfile/class_debconfProfileGeneric.inc
# HTML section
# Directories
# Files in the directory
# Files
# Locale section
%attr (-,root,root)	%{_datadir}/fusiondirectory/locale/plugins/debconf

%files plugin-developers
#%attr (-,root,root)     %{_datadir}/fusiondirectory/html/plugins/debug-help
#%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/debug-help/addons

%files plugin-dhcp
# Admin section
# Files
%attr (-,root,root)    %{_datadir}/fusiondirectory/plugins/admin/dhcp/class_dhcpConfiguration.inc
%attr (-,root,root)    %{_datadir}/fusiondirectory/plugins/admin/dhcp/class_dhcpManagement.inc
%attr (-,root,root)    %{_datadir}/fusiondirectory/plugins/admin/dhcp/class_dhcpPlugin.inc
%attr (-,root,root)    %{_datadir}/fusiondirectory/plugins/admin/dhcp/class_dhcpSectionCreationDialog.inc
%attr (-,root,root)    %{_datadir}/fusiondirectory/plugins/admin/dhcp/main.inc
%attr (-,root,root)    %{_datadir}/fusiondirectory/plugins/admin/dhcp/sections/class_dhcpClass.inc
%attr (-,root,root)    %{_datadir}/fusiondirectory/plugins/admin/dhcp/sections/class_dhcpDnsZone.inc
%attr (-,root,root)    %{_datadir}/fusiondirectory/plugins/admin/dhcp/sections/class_dhcpGroup.inc
%attr (-,root,root)    %{_datadir}/fusiondirectory/plugins/admin/dhcp/sections/class_dhcpHost.inc
%attr (-,root,root)    %{_datadir}/fusiondirectory/plugins/admin/dhcp/sections/class_dhcpPool.inc
%attr (-,root,root)    %{_datadir}/fusiondirectory/plugins/admin/dhcp/sections/class_dhcpService.inc
%attr (-,root,root)    %{_datadir}/fusiondirectory/plugins/admin/dhcp/sections/class_dhcpSharedNetwork.inc
%attr (-,root,root)    %{_datadir}/fusiondirectory/plugins/admin/dhcp/sections/class_dhcpSubClass.inc
%attr (-,root,root)    %{_datadir}/fusiondirectory/plugins/admin/dhcp/sections/class_dhcpSubnet.inc
%attr (-,root,root)    %{_datadir}/fusiondirectory/plugins/admin/dhcp/sections/class_dhcpTSigKey.inc
%attr (-,root,root)    %{_datadir}/fusiondirectory/plugins/admin/systems/class_dhcpSystem.inc
%attr (-,root,root)    %{_datadir}/fusiondirectory/plugins/admin/systems/services/dhcp/class_serviceDHCP.inc
%attr (-,root,root)    %{_datadir}/fusiondirectory/plugins/config/dhcp/class_dhcpConfig.inc
%attr (-,root,root)    %{_datadir}/fusiondirectory/plugins/admin/dhcp/sections/class_dhcpFailOverPeer.inc
# HTML section
# Locale section
%attr (-,root,root)	%{_datadir}/fusiondirectory/locale/plugins/dhcp

%files plugin-dns
# Admin section
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/dns/class_DnsRecordAttribute.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/dns/class_dnsManagement.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/dns/class_dnsView.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/dns/class_dnsZone.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/dns/main.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/class_dnsHost.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/dnsrecords.tpl
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/dns/class_dnsAcl.inc
# Config section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/config/dns/class_dnsConfig.inc
# HTML section
# Files
# Locale section
%attr (-,root,root)	%{_datadir}/fusiondirectory/locale/plugins/dns


%files plugin-dovecot
%defattr(0644,root,root,755)
# Admin section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/services/dovecot/class_serviceDovecot.inc
# HTML section
# Directories
# Files in the directory
# Files
# Locale section
%attr (-,root,root)	%{_datadir}/fusiondirectory/locale/plugins/dovecot
# Personal section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/personal/mail/mail-methods/class_mail-methods-dovecot.inc

%files plugin-dsa
# Admin section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/dsa/main.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/dsa/class_dsaManagement.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/dsa/class_simpleSecurityObject.inc
# Config section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/config/dsa/class_dsaConfig.inc
# HTML section
# Directories
# Files in the directory
# Files
# Locale section
%attr (-,root,root)	%{_datadir}/fusiondirectory/locale/plugins/dsa


%files plugin-ejbca
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/admin/ejbca/class_ejbcaCertificate.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/admin/ejbca/class_ejbcaManagement.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/admin/ejbca/main.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/admin/ejbca/class_ejbcaCertSelect.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/admin/ejbca/certificates/class_ejbcaCertificates.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/admin/ejbca/certificates/main.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/config/ejbca/class_ejbcaConfig.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/locale/plugins/ejbca/locale/

%files plugin-fai
# Admin section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/services/repository/fai_repository.tpl
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/services/repository/class_serviceRepository.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/class_faiLogView.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/class_faiStartup.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/fai/class_faiProfile.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/fai/class_faiTemplateEntry.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/fai/main.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/fai/class_faiPartitionTable.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/fai/class_faiManagement.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/fai/class_faiPackageConfiguration.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/fai/class_faiTemplate.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/fai/class_faiPartition.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/fai/class_faiPackage.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/fai/class_faiHook.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/fai/class_faiVariable.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/admin/fai/class_faiDiskEntry.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/fai/packageSelect/class_filterFAIPackages.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/fai/packageSelect/selectPackage-filter.xml
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/fai/packageSelect/class_filterFAIcustoms.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/fai/packageSelect/class_packageSelect.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/fai/packageSelect/selectPackage-filter.tpl
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/fai/class_faiScript.inc
%attr (-,root,root) %{_datadir}/fusiondirectory/plugins/admin/fai/class_faiSimplePluginClass.inc
%attr (-,root,root) %{_datadir}/fusiondirectory/plugins/admin/systems/services/monitor/class_argonautFAIMonitor.inc
%attr (-,root,root) %{_datadir}/fusiondirectory/plugins/admin/fai/packageSelect/selectPackage-list.xml

# Config section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/config/fai/class_faiConfig.inc
# HTML section
# Directories
# Files in the directory
# Files
# Locale section
%attr (-,root,root)	%{_datadir}/fusiondirectory/locale/plugins/fai
%attr(0770, root, apache) %{_localstatedir}/cache/%{name}/fai


%files plugin-freeradius
# Admin section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/freeradius/class_freeradiusGroup.inc
# HTML section
# Directories
# Files in the directory
# Files
# Locale section
%attr (-,root,root)	%{_datadir}/fusiondirectory/locale/plugins/freeradius
# Personal section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/personal/freeradius/main.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/personal/freeradius/class_freeradiusAccount.inc


%files plugin-fusioninventory
# Admin section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/fusioninventory/class_fiInventory.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/fusioninventory/class_fiInventoryAgent.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/fusioninventory/inventory.tpl
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/inventory/main.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/inventory/class_inventoryManagement.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/inventory/inventory-list.xml
# Config section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/config/fusioninventory/class_fiConfig.inc
# HTML section
%attr (-,root,root)	%{_datadir}/fusiondirectory/html/collect.php
# Locale section
%attr (-,root,root)	%{_datadir}/fusiondirectory/locale/plugins/fusioninventory


%files plugin-gpg
# Addons section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/addons/gpg/main.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/addons/gpg/class_pgpServerInfo.inc
# HTML section
# Directories
# Files in the directory
# Files
# Locale section
%attr (-,root,root)	%{_datadir}/fusiondirectory/locale/plugins/gpg
# Personal section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/personal/gpg/main.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/personal/gpg/class_gpgAccount.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/personal/gpg/pgpKeySelect/class_pgpKeySelect.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/personal/gpg/pgpKeySelect/pgpKeySelect-list.xml


%files plugin-ipmi
# Admin section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/ipmi/class_ipmiClient.inc
# Locale section
%attr (-,root,root)	%{_datadir}/fusiondirectory/locale/plugins/ipmi

%files plugin-kolab2

%files plugin-ldapdump
# Addons section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/addons/ldapdump/class_ldapDump.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/addons/ldapdump/ldapdump.tpl
# Locale section
%attr (-,root,root)	%{_datadir}/fusiondirectory/locale/plugins/ldapdump

%files plugin-ldapmanager
# Addons section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/addons/ldapmanager/main.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/addons/ldapmanager/class_csvimport.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/addons/ldapmanager/tabs_ldif.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/addons/ldapmanager/class_ldapmanager.inc
# HTML section
# Directories
# Files in the directory
# Files
# Locale section
%attr (-,root,root)	%{_datadir}/fusiondirectory/locale/plugins/ldapmanager

%files plugin-mail
# Admin section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/services/spam/class_serviceSpamAssassin.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/services/postfix/class_servicePostfix.inc
%attr (-,root,root) %{_datadir}/fusiondirectory/plugins/admin/groups/mail/class_mailGroup.inc
%attr (-,root,root) %{_datadir}/fusiondirectory/plugins/admin/systems/services/imap/class_serviceIMAP.inc
# Config section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/config/mail/class_mailPluginConfig.inc
# Locale section
%attr (-,root,root)	%{_datadir}/fusiondirectory/locale/plugins/mail
%attr (-,root,root) %{_datadir}/fusiondirectory/plugins/personal/mail/class_sieve.inc
# Personal section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/personal/mail/main.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/personal/mail/mailAddressSelect/class_mailAddressSelect.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/personal/mail/class_mail-methods.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/personal/mail/class_mailAccount.inc

%attr(0770, root, apache) %{_localstatedir}/cache/%{name}/mail


%files plugin-mixedgroups
%attr (-,root,root)      %{_datadir}/fusiondirectory/locale/plugins/mixedgroups/locale/
%attr (-,root,root)      %{_datadir}/fusiondirectory/plugins/admin/ogroups/mixedgroups/class_mixedGroup.inc

%files plugin-nagios
# Config section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/config/nagios/class_nagiosConfig.inc
# HTML section
# Directories
# Files in the directory
# Files
# Locale section
%attr (-,root,root)	%{_datadir}/fusiondirectory/locale/plugins/nagios
# Personal section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/personal/nagios/main.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/personal/nagios/class_nagiosAccount.inc

%files plugin-netgroups
# Admin section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/netgroups/class_netgroupSystem.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/netgroups/main.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/netgroups/class_netgroupManagement.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/netgroups/memberNisnetgroupSelect/class_memberNisnetgroupSelect.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/netgroups/class_netgroup.inc
# Config section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/config/netgroups/class_netgroupConfig.inc
# HTML section
# Directories
# Files in the directory
# Files
# Locale section
%attr (-,root,root)	%{_datadir}/fusiondirectory/locale/plugins/netgroups
# Personal section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/personal/netgroups/main.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/personal/netgroups/class_netgroupMembership.inc

%files plugin-newsletter
%attr (-,root,root)    %{_datadir}/fusiondirectory/locale/plugins/newsletter/locale/
%attr (-,root,root)    %{_datadir}/fusiondirectory/plugins/config/newsletter/class_newsletterConfig.inc
%attr (-,root,root)    %{_datadir}/fusiondirectory/plugins/personal/newsletter/class_newsletterSubscriptions.inc
%attr (-,root,root)    %{_datadir}/fusiondirectory/plugins/personal/newsletter/main.inc

%files plugin-opsi
# Addons section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/addons/opsi/main.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/addons/opsi/opsiimport.tpl
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/addons/opsi/class_opsiImport.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/addons/dashboard/class_dashBoardOpsi.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/addons/dashboard/opsi_profiles.tpl
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/addons/dashboard/opsi_stats.tpl

# Admin section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/services/opsi/class_serviceOPSI.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/opsi/class_opsiClient.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/admin/systems/opsi/class_opsiLogView.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/opsi/class_opsiProfileManagement.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/opsi/main.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/opsi/class_opsiProfile.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/opsi/class_opsiProductProperties.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/opsi/class_opsiSoftwareList.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/opsi/class_opsiOnDemandList.inc
# Config section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/config/opsi/class_opsiConfig.inc
# HTML section
# Directories
# Files in the directory
# Files
# Locale section
%attr (-,root,root)	%{_datadir}/fusiondirectory/locale/plugins/opsi

%files plugin-personal
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/personal/personal/class_personalInfo.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/personal/personal/class_socialHandlers.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/personal/personal/main.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/locale/plugins/personal/locale/
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/config/personal/class_personalConfig.inc

%files plugin-posix
%defattr(0644,root,root,755)
%attr (-,root,root)     %{_datadir}/fusiondirectory/locale/plugins/posix/locale/
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/admin/groups/posix/
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/config/posix/
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/personal/posix/


%files plugin-ppolicy
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/admin/ppolicy/class_ppolicy.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/admin/ppolicy/class_ppolicyManagement.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/admin/ppolicy/main.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/config/ppolicy/class_ppolicyConfig.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/personal/ppolicy/class_ppolicyAccount.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/personal/ppolicy/main.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/addons/dashboard/class_dashBoardPPolicy.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/addons/dashboard/ppolicy_locked_accounts.tpl
%attr (-,root,root)     %{_datadir}/fusiondirectory/locale/plugins/ppolicy/locale/


%files plugin-puppet
# Admin section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/services/puppet/class_servicePuppet.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/puppet/class_puppetNode.inc
# HTML section
# Directories
# Files in the directory
# Files
# Locale section
%attr (-,root,root)	%{_datadir}/fusiondirectory/locale/plugins/puppet

%files plugin-pureftpd
# HTML section
# Directories
# Files in the directory
# Files
# Locale section
%attr (-,root,root)	%{_datadir}/fusiondirectory/locale/plugins/pureftpd
# Personal section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/personal/pureftpd/main.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/personal/pureftpd/class_pureftpdAccount.inc

%files plugin-quota
# Admin section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/services/quota/service_quota_parameters.tpl
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/services/quota/class_serviceQuota.inc
# HTML section
# Directories
# Files in the directory
# Files
# Locale section
%attr (-,root,root)	%{_datadir}/fusiondirectory/locale/plugins/quota
# Personal section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/personal/quota/main.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/personal/quota/quota_section.tpl
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/personal/quota/class_quotaAccount.inc

%files plugin-renater-partage
%defattr(0644,root,root,755)
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/admin/systems/services/renater-partage/
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/admin/groups/renater-partage/
%attr (-,root,root)     %{_datadir}/fusiondirectory/locale/plugins/renater-partage/locale/
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/personal/mail/mail-methods/class_mail-methods-renater-partage.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/html/themes/breezy/icons/16/apps/renater-partage.png
%attr (-,root,root)     %{_datadir}/fusiondirectory/html/themes/breezy/svg/16/apps/renater-partage.svg

%files plugin-repository
# Admin section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/repository/main.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/repository/class_repositoryDistribution.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/repository/class_repositoryManagement.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/repository/class_repositorySection.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/repository/class_buildRepository.inc
# Config section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/config/repository/class_repositoryConfig.inc
# HTML section
# Directories
# Files in the directory
# Files
# Locale section
%attr (-,root,root)	%{_datadir}/fusiondirectory/locale/plugins/repository

%files plugin-samba
# Admin section
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/admin/groups/samba/
# Files
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/admin/systems/samba/
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/samba/
# Config section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/config/samba/
# Locale section
%attr (-,root,root)	%{_datadir}/fusiondirectory/locale/plugins/samba/locale/
# Personal section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/personal/samba/
%attr (-,root,root)	%{_datadir}/fusiondirectory/include/class_smbHash.inc

%files plugin-sinaps
%defattr(0644,root,root,755)
%attr (-,root,root)    %{_datadir}/fusiondirectory/include/class_sinapsDiffusionHandlerJob.inc
%attr (-,root,root)    %{_datadir}/fusiondirectory/include/class_sinapsRequest.inc
%attr (-,root,root)    %{_datadir}/fusiondirectory/include/class_sinapsRequestAcquisition.inc
%attr (-,root,root)    %{_datadir}/fusiondirectory/plugins/config/sinaps/class_sinapsConfig.inc
%attr (-,root,root)    %{_datadir}/fusiondirectory/plugins/personal/sinaps/class_sinapsUser.inc

%files plugin-sogo
# Admin section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/sogo/main.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/sogo/class_sogoManagement.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/sogo/class_sogoResource.inc
# Config section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/config/sogo/class_sogoConfig.inc
# HTML section
# Directories
# Files in the directory
# Files
# Locale section
%attr (-,root,root)	%{_datadir}/fusiondirectory/locale/plugins/sogo


%files plugin-squid
# HTML section
# Directories
# Files in the directory
# Files
# Locale section
%attr (-,root,root)	%{_datadir}/fusiondirectory/locale/plugins/squid
# Personal section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/personal/squid/main.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/personal/squid/proxyAccount.tpl
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/personal/squid/class_proxyAccount.inc

%files plugin-ssh
# HTML section
# Directories
# Files in the directory
# Files
# Locale section
%attr (-,root,root)	%{_datadir}/fusiondirectory/locale/plugins/ssh
# Personal section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/personal/ssh/main.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/personal/ssh/class_sshAccount.inc

%files plugin-subcontracting
%defattr(0644,root,root,755)
%attr (-,root,root)    %{_datadir}/fusiondirectory/locale/plugins/subcontracting/locale/
%attr (-,root,root)    %{_datadir}/fusiondirectory/plugins/personal/subcontracting/class_subContracting.inc
%attr (-,root,root)    %{_datadir}/fusiondirectory/plugins/personal/subcontracting/main.inc

%files plugin-sudo
# Admin section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/sudo/usedoptions_section.tpl
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/sudo/main.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/sudo/class_sudoGeneric.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/sudo/class_sudoOption.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/sudo/tabs_sudo.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/sudo/class_sudoManagement.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/admin/sudo/class_sudoOptions.inc
# Config section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/config/sudo/class_sudoConfig.inc
# HTML section
# Directories
# Files in the directory
# Files
# Locale section
%attr (-,root,root)	%{_datadir}/fusiondirectory/locale/plugins/sudo

%files plugin-supann
%defattr(0644,root,root,755)
# Admin section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/supannStructures/class_supannStructuresManagement.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/supannStructures/class_entite.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/supannStructures/main.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/supannStructures/class_etablissement.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/admin/supannStructures/class_supannStructureExt.inc
# Config section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/config/supann/class_supannConfig.inc
# HTML section
# Directories
# Files in the directory
# Files
# Locale section
%attr (-,root,root)	%{_datadir}/fusiondirectory/locale/plugins/supann
# Personal section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/personal/supann/main.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/personal/supann/student_subscription.tpl
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/personal/supann/class_supannAccount.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/admin/supannStructures/class_supann.inc

%files plugin-sympa
# Admin section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/services/sympa/class_serviceSympa.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/sympa/
%attr (-,root,root) %{_datadir}/fusiondirectory/plugins/config/sympa/
# HTML section
# Directories
# Files in the directory
# Files
# Locale section
%attr (-,root,root)	%{_datadir}/fusiondirectory/locale/plugins/sympa

%files plugin-systems
%defattr(0644,root,root,755)
# Admin section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/serverService-filter.xml
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/class_componentGeneric.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/main.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/class_systemManagement.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/class_systemImport.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/class_terminalStartup.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/class_serverGeneric.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/serverService-list.tpl
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/class_serverService.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/services/terminal/class_serviceTerminal.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/services/shares/service_share.tpl
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/services/shares/class_serviceShare.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/services/ldap/class_serviceLDAP.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/server_import.tpl
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/serverService-filter.tpl
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/class_mobilePhoneGeneric.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/class_terminalGeneric.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/system-list.xml
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/class_printGeneric.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/class_filterServerService.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/serverService-list.xml
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/class_workstationGeneric.inc
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/tabs_server.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/admin/systems/class_ipHostPlugin.inc
%attr (-,root,root) %{_datadir}/fusiondirectory/plugins/admin/systems/class_phoneGeneric.inc

# Config section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/config/systems/class_systemsPluginConfig.inc
# HTML section
# Directories
# Files in the directory
# Files
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/addons/dashboard/class_dashBoardNetwork.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/addons/dashboard/class_dashBoardSystems.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/addons/dashboard/network_dhcp.tpl
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/addons/dashboard/systems_pcids.tpl
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/addons/dashboard/systems_stats.tpl
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/addons/subscription/class_subscriptionInfo.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/addons/subscription/main.inc
# Locale section
%attr (-,root,root)	%{_datadir}/fusiondirectory/locale/plugins/systems/locale/
%attr(0770, root, apache) %{_localstatedir}/cache/%{name}/systems

%files plugin-user-reminder
%attr (-,root,root)     %{_datadir}/fusiondirectory/locale/plugins/user-reminder/locale/
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/config/user-reminder/class_userReminderConfig.inc

%files plugin-weblink
# Admin section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/admin/systems/weblink/class_webLink.inc
# Locale section
%attr (-,root,root)	%{_datadir}/fusiondirectory/locale/plugins/weblink

%files plugin-webservice
# Config section
# Files
%attr (-,root,root)	%{_datadir}/fusiondirectory/plugins/config/class_webserviceConfig.inc
# Locales
%attr (-,root,root)     %{_datadir}/fusiondirectory/locale/plugins/webservice/locale/
# Files
%attr (-,root,root)     %{_datadir}/fusiondirectory/include/jsonrpcphp/jsonRPCServer.php
%attr (-,root,root)	%{_datadir}/fusiondirectory/html/jsonrpc.php

%files plugin-spamassassin
%attr (-,root,root)     %{_datadir}/fusiondirectory/locale/plugins/spamassassin/locale/
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/admin/systems/services/spam/class_serviceSpamAssassin.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/personal/spamassassin/class_spamAssassinAccount.inc
%attr (-,root,root)     %{_datadir}/fusiondirectory/plugins/personal/spamassassin/main.inc
