%global __requires_exclude perl\\((FusionInventory::.*|setup)\\)
%global __provides_exclude perl\\((FusionInventory::.*|setup)\\)

%{?perl_default_filter:%perl_default_filter}

Name:       fusioninventory-agent
Version:    2.6
Release:    %mkrel 2
Summary:    FusionInventory agent
License:    GPL
Group:      System/Servers
URL:        https://fusioninventory.org/
Source0:    https://github.com/fusioninventory/fusioninventory-agent/releases/download/%{version}/FusionInventory-Agent-%{version}.tar.gz
Requires:   perl(Proc::Daemon)
BuildRequires: perl(Module::Install)
Recommends: fusioninventory-task-inventory
BuildArch:  noarch

%description
The fusioninventory agent is a generic agent, running on each managed node. It
can perform a certain number of tasks, either according to its own execution
plan, or as requested from a central control server, such as GLPI server with
fusioninventory plugin.

This package contains only the agent itself. Additional task packages are
needed for effective usage.

%package task-inventory
Summary:    Local inventory support for FusionInventory agent
License:    GPL
Group:      System/Servers
Requires:   %{name} = %{version}-%{release}
Recommends:   dmidecode

%description task-inventory
This package provides local inventory support for FusionInventory agent:
- the inventory task allows the agent to extract various hardware and software
  information on its host

%package task-wakeonlan
Summary:    Wake-on-lan support for FusionInventory agent
License:    GPL
Group:      System/Servers
Requires:   %{name} = %{version}-%{release}
suggests:   perl(Net::Write::Layer2)

%description task-wakeonlan
This package provides wake-on-lan support for FusionInventory agent:
- the wakeonlan task allows the agent to send wake-on-lan packet to another
  host on the same network

%package task-network
Summary:    Network discovery and inventory support for FusionInventory agent
License:    GPL
Group:      System/Servers
Requires:   %{name} = %{version}-%{release}

%description task-network
This package provides network support for FusionInventory agent:
- the NetDiscovery task allows the agent to scan the network to find remote
  devices, through nmap, NetBios or SNMP, and to identify them
- the NetInventory task allows the agent to extract various information from
  a remote device through SNMP protocol

%package task-esx
Summary:    ESX inventory support for FusionInventory agent
License:    GPL
Group:      System/Servers
Requires:   %{name} = %{version}-%{release}

%description task-esx
This package provides ESX support for FusionInventory agent:
- the ESX task allows the agent to perform remote inventory of ESX, ESXi,
  vCenter server using the SOAP interface

%package task-deploy
Summary:    Software deployment support for FusionInventory agent
License:    GPL
Group:      System/Servers
Requires:   %{name} = %{version}-%{release}
Requires:   perl(Archive::Extract)

%description task-deploy
This package provides software deployement support for FusionInventory agent:
- the deploy task allows the agent to perform software installation on its host

%package task-collect
Summary:    Custom information retrieval support for FusionInventory agent
License:    GPL
Group:      System/Servers
Requires:   %{name} = %{version}-%{release}

%description task-collect
This package provides custom information retrieval support for FusionInventory agent:
- the collect task allows the agent to retrieve custom information on its host

%prep
%setup -q -n FusionInventory-Agent-%{version}

%build
%__perl Makefile.PL \
    PREFIX=%{_prefix} \
    SYSCONFDIR=%{_sysconfdir}/fusioninventory \
    LOCALSTATEDIR=%{_localstatedir}/lib/fusioninventory
%make_build

%install
%make_install

install -d -m 755 %{buildroot}%{_sysconfdir}/sysconfig
cat > %{buildroot}%{_sysconfdir}/sysconfig/fusioninventory-agent <<EOF
# fusioninventory agent options
OPTIONS=""
EOF

install -d -m 755 %{buildroot}%{_sysconfdir}/cron.daily
cat > %{buildroot}%{_sysconfdir}/cron.daily/fusioninventory-agent <<EOF
#!/bin/sh
. /etc/sysconfig/fusioninventory-agent
%{_bindir}/fusioninventory-agent $OPTIONS > /dev/null 2>&1
EOF
chmod 755 %{buildroot}%{_sysconfdir}/cron.daily/fusioninventory-agent

install -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
cat > %{buildroot}%{_sysconfdir}/logrotate.d/fusioninventory-agent <<EOF
%{_localstatedir}/log/%{name}/*.log {
    compress
    notifempty
    missingok
}
EOF

install -d -m 755 %{buildroot}%{_unitdir}
install -m 644 contrib/unix/fusioninventory-agent.service \
    %{buildroot}%{_unitdir}/fusioninventory-agent.service

install -d -m 755 %{buildroot}%{_localstatedir}/log/%{name}
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}

%files
%doc Changes THANKS LICENSE README.md
%{_bindir}/fusioninventory-agent
%{_bindir}/fusioninventory-injector
%{_bindir}/fusioninventory-remoteinventory
%{_mandir}/man1/fusioninventory-agent.1*
%{_mandir}/man1/fusioninventory-injector.1*
%{_mandir}/man1/fusioninventory-remoteinventory.1*
%{_localstatedir}/log/fusioninventory-agent
%{_localstatedir}/lib/fusioninventory-agent
%{_datadir}/fusioninventory
%dir %{_sysconfdir}/fusioninventory
%config(noreplace) %{_sysconfdir}/fusioninventory/agent.cfg
%config(noreplace) %{_sysconfdir}/fusioninventory/inventory-server-plugin.cfg
%config(noreplace) %{_sysconfdir}/fusioninventory/server-test-plugin.cfg
%config(noreplace) %{_sysconfdir}/fusioninventory/ssl-server-plugin.cfg
%config(noreplace) %{_sysconfdir}/fusioninventory/proxy-server-plugin.cfg
%config(noreplace) %{_sysconfdir}/fusioninventory/proxy2-server-plugin.cfg
%config(noreplace) %{_sysconfdir}/logrotate.d/fusioninventory-agent
%config(noreplace) %{_sysconfdir}/cron.daily/fusioninventory-agent
%config(noreplace) %{_sysconfdir}/sysconfig/fusioninventory-agent
%{_unitdir}/fusioninventory-agent.service
%exclude %{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task
%exclude %{_datadir}/fusioninventory/lib/FusionInventory/Agent/SNMP.pm
%exclude %{_datadir}/fusioninventory/lib/FusionInventory/Agent/SNMP
%exclude %{_datadir}/fusioninventory/lib/FusionInventory/Agent/SOAP

%files task-inventory
%{_bindir}/fusioninventory-inventory
%{_mandir}/man1/fusioninventory-inventory.1*
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/Inventory.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/Inventory

%files task-wakeonlan
%{_bindir}/fusioninventory-wakeonlan
%{_mandir}/man1/fusioninventory-wakeonlan.1*
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/WakeOnLan.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/WakeOnLan

%files task-network
%{_bindir}/fusioninventory-netdiscovery
%{_bindir}/fusioninventory-netinventory
%{_mandir}/man1/fusioninventory-netdiscovery.1*
%{_mandir}/man1/fusioninventory-netinventory.1*
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/NetInventory.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/NetInventory
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/NetDiscovery.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/NetDiscovery
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/SNMP.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/SNMP

%files task-esx
%{_bindir}/fusioninventory-esx
%{_mandir}/man1/fusioninventory-esx.1*
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/ESX.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/ESX
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/SOAP

%files task-deploy
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/Deploy.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/Deploy

%files task-collect
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/Collect.pm
%{_datadir}/fusioninventory/lib/FusionInventory/Agent/Task/Collect
