%define         srcname        fvwm
%define         cfgname        %{name}-config-mageia
%define         docname        %{name}-doc
%define         fvwmconfdir    %{_sysconfdir}/X11/fvwm2

Name:           fvwm2
Version:        2.7.0
Release:        %mkrel 2
Summary:        The F virtual window manager for the X Window system
License:        GPLv2+
Group:          Graphical desktop/Other

URL:            https://www.fvwm.org/
Source0:        https://github.com/fvwmorg/fvwm/releases/download/%{version}/%{srcname}-%{version}.tar.gz

#vintage logo
Source1:        fvwm2.png
#minimal system-wide config to be installed as system.fvwm2rc
Source2:        system-minimal.fvwm2rc
#minimal configuration file, called from the system-minimal.fvwm2rc
Source3:        fvwm2rc-minimal.mga
# an example file to tune user side configuration
Source5:        user.fvwm2rc

# to get an icon on the xterm button
Source6:        fvwm2_terminal.png
#enhanced config files for mageia default settings
Source7:        system-mageia.fvwm2rc
Source8:        fvwm2rc-extra.mga
Source9:        fvwm2.desktop

Patch0:         fvwm-2.5.26-translucent-menus.diff
# Backported from https://github.com/fvwmorg/fvwm3/pull/683
Patch5:		fvwm-0005-Fix-for-lock-recusion-in-handle_all_expose.patch
# Submitted upstream as https://github.com/fvwmorg/fvwm/pull/100
Patch6:		fvwm-0006-Fixes-for-C99-compatibility.patch
# Submitted upstream as https://github.com/fvwmorg/fvwm/pull/100
Patch7:		fvwm-0007-Fixes-for-C99-compatibility.patch
# Submitted upstream as https://github.com/fvwmorg/fvwm/pull/103
Patch8:		fvwm-0008-Update-FvwmAuto.c.patch

BuildRequires:  flex
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xt)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(readline)
BuildRequires:  pkgconfig(tinfo)
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  libstroke-devel
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  xsltproc

# for fvwm-menu-headlines
Requires:       desktop-common-data
# for fvwm-menu-xlock
Requires:       xlockmore
# for doing something
Requires:       xterm
# for iconification and wallpaper
Requires:       xwd
Requires:       imagemagick
Requires:       feh
# for mimeinfo
Requires:       perl-File-MimeInfo
# for compositing (enhancement only)
Recommends:       xcompmgr
Recommends:       transset-df
Recommends:       %{name}-doc

Conflicts:        fvwm3

Requires(post):      update-alternatives
Requires(postun):    update-alternatives
Requires(posttrans): update-alternatives

%description
FVWM2 is an extremely powerful ICCCM-compliant multiple virtual
desktop window manager for the X Window system. The F stands for
whatever you want (Feeble, Fabulous, Famous, Fast, Foobar, Fantastic,
Flexible, F......), but the VWM stands for Virtual Window Manager). It
is designed to minimize memory consumption while being highly
customizable. Development is active and support is excellent. Check it
out!




%package -n %{cfgname}
Summary:        Mageia system-wide configuration for Fvwm2
Group:          Graphical desktop/Other
Requires:       fvwm2
#for button bar
Requires:       wmcalclock
Requires:       wmtop
%ifarch %{ix86} x86_64
Requires:       wmcpufreq
%endif
Requires:       wmforkplop
Requires:       wmhdplop
Requires:       wmbutton
Requires:       wmmoonclock
Requires:       wmsystemtray
# for the menu
Requires:       rxvt-unicode
Recommends:     terminology
# for fvwm-bug
Recommends:     sendmail-command

Requires(post):      update-alternatives
Requires(postun):    update-alternatives

%description -n %{cfgname}
%{summary}.



%package -n %{docname}
Summary:        Documentation files for Fvwm2
Group:          Graphical desktop/Other
Conflicts:      fvwm3-doc

%description -n %{docname}
%{summary}.


%prep
%autosetup -p1 -n %{srcname}-%{version}


%build
autoreconf -vfi
%configure \
    --disable-gtk \
    --libexecdir=%{_libdir}/X11/fvwm2 \
    --sysconfdir=%{fvwmconfdir} \
    --with-imagepath=%{_datadir}/icons

%make_build LOCALEDIR=%{_datadir}/locale localedir=%{_datadir}/locale



%install
%{make_install} LOCALEDIR=%{_datadir}/locale localedir=%{_datadir}/locale

install -D -m644 %{SOURCE1} %{buildroot}%{_iconsdir}/fvwm2.png
install -D -m644 %{SOURCE2} %{buildroot}%{fvwmconfdir}/system-minimal.fvwm2rc
install -D -m644 %{SOURCE3} %{buildroot}%{fvwmconfdir}/fvwm2rc-minimal.mga
install -D -m644 %{SOURCE5} %{buildroot}%{_datadir}/fvwm/user.fvwm2rc

install -D -m644 %{SOURCE6} %{buildroot}%{_iconsdir}/fvwm2_terminal.png
install -D -m644 %{SOURCE7} %{buildroot}%{fvwmconfdir}/system-mageia.fvwm2rc
install -D -m644 %{SOURCE8} %{buildroot}%{fvwmconfdir}/fvwm2rc-extra.mga

install -D -m644 %{SOURCE9} %{buildroot}%{_datadir}/xsessions/fvwm2.desktop

%__rm -f %{buildroot}%{_bindir}/fvwm2
%__mv %{buildroot}%{_bindir}/fvwm %{buildroot}%{_bindir}/fvwm2
%__mv %{buildroot}%{_bindir}/fvwm-config %{buildroot}%{_bindir}/fvwm2-config
%__mv %{buildroot}%{_bindir}/fvwm-convert-2.6 %{buildroot}%{_bindir}/fvwm2-convert-2.6
%__mv %{buildroot}%{_bindir}/fvwm-menu-desktop %{buildroot}%{_bindir}/fvwm2-menu-desktop
%__mv %{buildroot}%{_bindir}/fvwm-menu-directory %{buildroot}%{_bindir}/fvwm2-menu-directory
%__mv %{buildroot}%{_bindir}/fvwm-menu-xlock %{buildroot}%{_bindir}/fvwm2-menu-xlock
%__mv %{buildroot}%{_bindir}/fvwm-perllib %{buildroot}%{_bindir}/fvwm2-perllib
%__mv %{buildroot}%{_bindir}/fvwm-root %{buildroot}%{_bindir}/fvwm2-root
%__mv %{buildroot}%{_bindir}/xpmroot %{buildroot}%{_bindir}/fvwm2-xpmroot


#for fvwm-crystal
pushd %{buildroot}%{_bindir}
ln -s fvwm2 fvwm
popd

%find_lang %{name} --all-name


%files -f %{name}.lang
%doc NEWS COPYING
%config(noreplace) %{fvwmconfdir}/fvwm2rc-minimal.mga
%config(noreplace) %{fvwmconfdir}/system-minimal.fvwm2rc
%{_datadir}/xsessions/fvwm2.desktop
%{_bindir}/*
%{_datadir}/fvwm
%{_libdir}/X11/fvwm2
%{_iconsdir}/fvwm2.png



%post
#if the file has been edited, or so, it is a regular file
#and not a symlink. So we first rename it before calling
#update-alternatives to create the symlink.
if [ -f %{fvwmconfdir}/system.fvwm2rc -a ! -h %{fvwmconfdir}/system.fvwm2rc ]; then
    mv %{fvwmconfdir}/system.fvwm2rc %{fvwmconfdir}/system.fvwm2rc.rpmold
fi
update-alternatives --install %{fvwmconfdir}/system.fvwm2rc fvwm2-config \
                    %{fvwmconfdir}/system-minimal.fvwm2rc 10

%postun
#uninstall only
if [ $1 -eq 0 ]; then
   update-alternatives --remove fvwm2-config %{fvwmconfdir}/system-minimal.fvwm2rc
fi

%posttrans
#old releases had system.fvwm2rc as file packaged in, so our symlink
#will be removed if one upgrade from those.
if ! [ -h %{fvwmconfdir}/system.fvwm2rc ]; then
   update-alternatives --install %{fvwmconfdir}/system.fvwm2rc fvwm2-config \
                    %{fvwmconfdir}/system-minimal.fvwm2rc 10
fi

# (ovitters) In posttrans, $1 is always equal to 1, even in the upgrade case.
# So just run this always:
if [ -e %{_datadir}/xsessions/09Fvwm2.desktop ]; then
	rm -rf %{_datadir}/xsessions/09Fvwm2.desktop
fi
if [ -e %{_sysconfdir}/X11/dm/Sessions/09Fvwm2.desktop ]; then
	rm -rf %{_sysconfdir}/X11/dm/Sessions/09Fvwm2.desktop
fi



%files -n %{cfgname}
%config(noreplace) %{fvwmconfdir}/fvwm2rc-extra.mga
%config(noreplace) %{fvwmconfdir}/system-mageia.fvwm2rc
%{_iconsdir}/fvwm2_terminal.png


%post -n %{cfgname}
if [ -f %{fvwmconfdir}/system.fvwm2rc -a ! -h %{fvwmconfdir}/system.fvwm2rc ]; then
    mv %{fvwmconfdir}/system.fvwm2rc %{fvwmconfdir}/system.fvwm2rc.rpmold
fi
update-alternatives --install %{fvwmconfdir}/system.fvwm2rc fvwm2-config \
                    %{fvwmconfdir}/system-mageia.fvwm2rc 11

%postun -n %{cfgname}
if [ $1 -eq 0 ]; then
   update-alternatives --remove fvwm2-config %{fvwmconfdir}/system-mageia.fvwm2rc
fi


%files -n %{docname}
%{_mandir}/man1/*
