%define major		1
%define libname		%mklibname %{name} %{major}
%define dlibname	%mklibname %{name} -d
%define libacpicaname	%mklibname %{name}acpica %{major}
%define dlibacpicaname	%mklibname %{name}acpica -d
%define libsiaslname	%mklibname %{name}iasl %{major}
%define dlibsiaslname	%mklibname %{name}iasl -d

Name:		fwts
Version:	24.03.00
Release:	%mkrel 1
Summary:	Firmware Test Suite
License:	GPLv2+
Group:		System/Base
URL:		https://wiki.ubuntu.com/FirmwareTestSuite
Source:		https://fwts.ubuntu.com/release/%{name}-V%{version}.tar.gz
Patch0:		compile.mga.patch
Patch1:		fwts-autoconf.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	mt-st
BuildRequires:	pkgconfig(json-c)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libbsd)

#Requires:	pciutils,dmidecode

%description
The tool fwts comprises of over fifty tests that are designed to exercise
and test different aspects of a machine's firmware.
(The fwts-efi-runtime-dkms package is dkms managed)
#--------------------------------------------------------------------

%package -n	%{libsiaslname}
Group:		System/Libraries
Summary:	FirmWare Test Suite ACPICA core built for iasl functionality

%description -n	%{libsiaslname}
The firmware test suite requires the ACPICA core engine to be built in compiler
mode (with ACPI_ASL_COMPILER enabled) to support assembly and disassembly of
ACPI Machine Language (AML) in the ACPI DSDT and SSDTs.
This library contains this code with a thin fwts specific API to interface with fwts.

%package -n	%{dlibsiaslname}
Group:		Development/C
Summary:	Devel libraries and headers for FirmWare Test Suite ACPICA core built for iasl functionality
Requires:	%{libsiaslname} = %{version}-%{release}
Requires:	%{dlibname} = %{version}-%{release}
Provides:	%{name}iasl-devel = %{version}-%{release}
Provides:	lib%{name}iasl-devel = %{version}-%{release}

%description -n	%{dlibsiaslname}
The firmware test suite requires the ACPICA core engine to be built in compiler
mode (with ACPI_ASL_COMPILER enabled) to support assembly and disassembly of
ACPI Machine Language (AML) in the ACPI DSDT and SSDTs.
This library contains this code with a thin fwts specific API to interface with
fwts and provides Devel libraries and headers.

%package -n	%{libacpicaname}
Group:		System/Libraries
Summary:	FirmWare Test Suite ACPICA core built for acpiexec functionality

%description -n	%{libacpicaname}
The firmware test suite requires the ACPICA core engine to be built in execution
mode (with ACPI_EXEC_APP enabled) to support run time execution of ACPI Machine
Language (AML) in the ACPI DSDT and SSDTs. This library contains this code with
a thin fwts specific API to interface with fwts.

%package -n	%{dlibacpicaname}
Group:		Development/C
Summary:	Devel libraries and headers for FirmWare Test Suite ACPICA core built for acpiexec functionality
Requires:	%{libacpicaname} = %{version}-%{release}
Requires:	%{dlibname} = %{version}-%{release}
Provides:	%{name}acpica-devel = %{version}-%{release}
Provides:	lib%{name}acpica-devel = %{version}-%{release}

%description -n	%{dlibacpicaname}
The firmware test suite requires the ACPICA core engine to be built in execution
mode (with ACPI_EXEC_APP enabled) to support run time execution of ACPI Machine
Language (AML) in the ACPI DSDT and SSDTs. This library contains this code with
a thin fwts specific API to interface with fwts and provides Devel libraries
and headers.

%package -n	%{libname}
Group:		System/Libraries
Summary:	FirmWare Test Suite core support library

%description -n	%{libname}
This is the fwts core library. It contains a top level test framework and a rich
range of firmware specific testing support code for the various fwts tests.

%package -n	%{dlibname}
Group:		Development/C
Summary:	Devel libraries and headers for FirmWare Test Suite core support library
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

Obsoletes:	%{_lib}fwts1-devel < 15.01.00-2

%description -n	%{dlibname}
This is the fwts core library. It contains a top level test framework and a rich
range of firmware specific testing support code for the various fwts tests and
provides Devel libraries and headers.

#package -n	%%{name}-frontend
#Requires:	fwts,dialog
#Group:		Development/C
#Summary:	Firmware Test Suite frontend interface

#description -n	%%{name}-frontend
#This is a dialog based interface designed to provide an easy to use method to
#execute tests via Firmware Test Suite and is also used as the primary interface
#within Firmware Test Suite live images.

%package -n	%{name}-efi-runtime-dkms
Requires:	dkms
Group:		Development/C
Summary:	Firmware Test Suite frontend interface

%description -n	%{name}-efi-runtime-dkms
This is a dialog based interface designed to provide an easy to use method to
execute tests via Firmware Test Suite and is also used as the primary interface
within Firmware Test Suite live images.

%prep
%setup -q -c -n %{name}-%{version}
#autopatch -p1

# Mageia json includes are in another subdir
# Not done as a patch to allow for changes upstream
find . -name '*.c' -o -name '*.h' | xargs perl -pi -e 's|#include <json/json.h>|#include <json-c/json.h>|'
perl -pi -e 's|json/json.h|json-c/json.h|' configure.ac
perl -pi -e 's|<json.h>|<json-c/json.h>|' src/lib/include/fwts_json.h src/utilities/kernelscan.c

%build
%define _disable_ld_no_undefined 1
export DESTDIR=%{_prefix}

autoreconf -ivf
# Do not use %%configure macros here it breaks the build
#./configure
./configure --prefix=%{_prefix} --libdir=%{_libdir} --disable-static
%__make

%install
%make_install

find %{buildroot} -type f -name "*.la" -print -delete
#install -D -m 0644 data/klog.json %%{buildroot}%%{_datadir}/%%{name}/klog.json
#install -D -m 0644 data/syntaxcheck.json %%{buildroot}%%{_datadir}/%%{name}/syntaxcheck.json
mkdir -p %{buildroot}%{_usrsrc}/%{name}-efi-runtime-dkms-%{version}
cp -a efi_runtime/* %{buildroot}%{_usrsrc}/%{name}-efi-runtime-dkms-%{version}
cp debian/fwts-efi-runtime-dkms.dkms %{buildroot}%{_usrsrc}/%{name}-efi-runtime-dkms-%{version}/dkms.conf
# lib are delivered in a subdir by default
mv %{buildroot}%{_libdir}/%{name}/* %{buildroot}/%{_libdir}
rmdir %{buildroot}%{_libdir}/%{name}
# we don't deliver frontend for now
rm -f %{buildroot}%{_mandir}/man1/%{name}-frontend-text.*
mkdir -p %{buildroot}%{_includedir}
mv src/lib/include/*.h %{buildroot}%{_includedir}

%post -n %{name}-efi-runtime-dkms
dkms add -m %{name}-efi-runtime-dkms -v %{version} --rpm_safe_upgrade
dkms build -m %{name}-efi-runtime-dkms -v %{version} --rpm_safe_upgrade &&
dkms install -m %{name}-efi-runtime-dkms -v %{version} --rpm_safe_upgrade --force
true

%preun -n %{name}-efi-runtime-dkms
dkms remove -m %{name}-efi-runtime-dkms -v %{version} --all --rpm_safe_upgrade
true

%files
%doc README*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.json
%{_bindir}/%{name}
%{_bindir}/kernelscan
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/%{name}-collect.1.*
%{_datadir}/bash-completion/completions/%{name}

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{dlibname}
%{_includedir}/fwts*.h
%{_libdir}/lib%{name}.so

%files -n %{libsiaslname}
%{_libdir}/lib%{name}iasl.so.%{major}
%{_libdir}/lib%{name}iasl.so.%{major}.*

%files -n %{dlibsiaslname}
%{_libdir}/lib%{name}iasl.so

%files -n %{libacpicaname}
%{_libdir}/lib%{name}acpica.so.%{major}
%{_libdir}/lib%{name}acpica.so.%{major}.*

%files -n %{dlibacpicaname}
%{_libdir}/lib%{name}acpica.so

#files -n %%{name}-frontend
#{_bindir}/%%{name}-frontend-text
#{_datadir}/%%{name}/fwts-live-dialogrc
#{_mandir}/man1/%%{name}-frontend-text.1.*

%files -n %{name}-efi-runtime-dkms
%{_usrsrc}/%{name}-efi-runtime-dkms-%{version}
