Name:		fxload
Version:	2008_10_13
Release:	%mkrel 8
Summary:	EZ-USB utility program
Group:		System/Kernel and hardware
License:	GPLv2
URL:		https://linux-hotplug.sourceforge.net/
Source:		https://sourceforge.net/projects/linux-hotplug/files/%{name}/%{version}/%{name}-%{version}.tar.gz
Patch0:		fxload-2008_10_13-types.patch
Patch1:		fxload-2008_10_13-mga-fix_Makefile_path.patch
Patch2:		fxload-cflags-ldflags.patch

%description
This package contains utilities for downloading firmware to EZ-USB devices.
EZ-USB devices use 8051-based microcontrollers that have been enhanced with
registers, buffers, and other device-side support for USB transactions.

It currently supports devices based on the Anchorchips EZ-USB, as well as the
Cypress EZ-USB FX (which is almost completely source compatible) and EZ-USB FX2
(which is not).  All of these support full speed (12 Mbit/sec) transfers.  The
FX2 also supports high speed (480 Mbit/s) transfers, introduced in USB 2.0.

This version of FXLOAD supports optional use of two-stage loading, where
special device firmware is used to support writing into off-chip memory such
as RAM (when firmware neeeds more than about 8 KBytes of code and data) or,
for firmware development, I2C serial EEPROM.

%prep
%autosetup -p1

%build
%make_build LDFLAGS="%{ldflags}"

%install
%make_install INSTALL="%{_bindir}/install -D" sbindir=/sbin

%files
%doc README.txt
%license COPYING
/sbin/fxload
%{_datadir}/usb/
%{_mandir}/man8/%{name}.8.*
