%define major         3
%define libname       %mklibname g15daemon_client %major
%define libname_devel %mklibname g15daemon_client -d

Name:                   g15daemon
Version:                3.0.4
Release:                %mkrel 2
Summary:                Daemon to control logitech G15 keyboards
License:                GPLv2+
Group:                  System/Servers
URL:                    https://gitlab.com/menelkir/g15daemon
Source0:                https://gitlab.com/menelkir/g15daemon/-/archive/%{version}/g15daemon-%{version}.tar.bz2
BuildRequires:          systemd
BuildRequires:          g15-devel
BuildRequires:          g15render-devel

Requires(post):         systemd
Requires(preun):        systemd

%description
G15daemon controls the G15 keyboard, allowing the use of
all keys through the linux kernel uinput device driver.
It also controls the use of the keyboard's LCD display,
allows multiple, simultaneous client applications to connect,
and gives the user the ability to switch between client
apps at the press of a button.

%package -n %{libname}
Summary:        Daemon to control logitech G15 keyboards
Group:          System/Libraries
Provides:       g15daemon_client = %{version}-%{release}
Requires:       %name >= %version-%release

%description -n %{libname}
G15daemon controls the G15 keyboard, allowing the use of
all keys through the linux kernel uinput device driver.
It also controls the use of the keyboard's LCD display,
allows multiple, simultaneous client applications to connect,
and gives the user the ability to switch between client
apps at the press of a button.

%package -n %{libname_devel}
Summary:        Daemon to control logitech G15 keyboards
Group:          Development/C
Provides:       g15daemon_client-devel = %{version}-%{release}
Requires:       g15daemon_client = %{version}-%{release}

%description -n %{libname_devel}
G15daemon controls the G15 keyboard, allowing the use of
all keys through the linux kernel uinput device driver.
It also controls the use of the keyboard's LCD display,
allows multiple, simultaneous client applications to connect,
and gives the user the ability to switch between client
apps at the press of a button.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install

rm -r %{buildroot}%{_docdir}

find %{buildroot} -name '*.la' -delete

install -D -m 644 contrib/init/g15daemon.service %{buildroot}%{_unitdir}/g15daemon.service
install -D -m 644 contrib/udev/99-g15daemon.rules %{buildroot}%{_udevrulesdir}/99-g15daemon.rules

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc AUTHORS ChangeLog Documentation/README*
%doc FAQ README* TODO contrib/lang-bindings/
%license COPYING LICENSE
%{_datadir}/g15daemon/
%{_unitdir}/g15daemon.service
%{_udevrulesdir}/99-g15daemon.rules
%{_libdir}/g15daemon/
%{_mandir}/man1/*
%{_sbindir}/g15daemon

%files -n %{libname}
%license COPYING LICENSE
%{_libdir}/*.so.%{major}{,.*}

%files -n %{libname_devel}
%{_includedir}/*
%{_libdir}/*.so
%{_mandir}/man3/*
