%define major     0
%define libname   %mklibname g2c %{major}
%define develname %mklibname g2c -d

%bcond_with docs

Name:           g2clib
Version:        1.6.4
Release:        %mkrel 5
Summary:        GRIB2 encoder/decoder and search/indexing routines in C
Group:          Sciences/Mathematics
License:        Public Domain
URL:            https://github.com/NOAA-EMC/NCEPLIBS-g2c
Source0:        https://github.com/NOAA-EMC/NCEPLIBS-g2c/archive/v%{version}/NCEPLIBS-g2c-%{version}.tar.gz
Patch1:         g2clib-shared-lib.patch
# jasper3 now hides internal encoder / decoder. Use wrapper entry point
# c.f. https://github.com/jasper-software/jasper/commit/5fe57ac5829ec31396e7eaab59a688da014660af
Patch2:         g2clib-1.6.4-jasper3-use-wrapper-entry-point.patch
BuildRequires:  cmake
%if %{with docs}
BuildRequires:  doxygen
%endif
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(jasper)
BuildRequires:  pkgconfig(libopenjp2)

%description
This library contains "C" decoder/encoder routines for GRIB edition 2.

%package -n     %libname
Summary:        Shared libraries for %{name}
Group:          System/Libraries

%description -n %libname
This library contains "C" decoder/encoder routines for GRIB edition 2.

%package -n     %develname
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %libname = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       g2c-devel = %{version}-%{release}

%description -n %develname
This library contains "C" decoder/encoder routines for GRIB edition 2.

This package contains libraries and header files for developing
applications that use %{name}.

%prep
%autosetup -n NCEPLIBS-g2c-%{version} -p1

%if %{with docs}
perl -pi -e 's/sp_user_guide/user_guide/g' $(find . -name "Doxyfile*")
doxygen -u $(find . -name "Doxyfile*")
%endif

%build
%cmake \
  -DUSE_OpenJPEG:BOOL=ON \
  -DENABLE_DOCS:BOOL=%{?with_docs:ON}%{!?with_docs:OFF}
%cmake_build

%install
%cmake_install

%files -n %libname
%license LICENSE*
%{_libdir}/libg2c.so.%{major}
%{_libdir}/libg2c.so.%{version}

%files -n %develname
%doc README*
%if %{with docs}
%doc %{_vpath_builddir}/docs/html/
%endif
%{_libdir}/libg2c.so
%{_includedir}/grib2.h
%{_libdir}/cmake/g2c/
