%global url_ver	%(echo %{version} | cut -d. -f-2)

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}typelib\\(AppIndicator3

Name:		gajim
Version:	1.9.3
Release:	%mkrel 2
Summary:	Jabber Client written in PyGTK
Group:		Networking/Instant messaging
License:	GPLv3
URL:		https://www.gajim.org
Source0:	https://gajim.org/downloads/%{url_ver}/gajim-%{version}.tar.gz
Patch1:		gajim-require-GtkSource-4-gir.patch

BuildArch:	noarch
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	pkgconfig(python3)

Requires:	glib-networking
Requires:	python3-curl
Requires:	python3-dbus
Requires:	python3-gobject3
Requires:	python3-OpenSSL
Requires:	python3-nbxmpp
Requires:	python3-pkg-resources
Requires:	python3-pyasn1

Recommends:	python3-gnupg
Recommends:	python3-pillow

# 2024-08-16T21:49:29 (E) gajim.c.dbus.system_style Couldn’t read the
# color-scheme setting: GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner:
# Name "org.freedesktop.portal.Desktop" does not exist
Requires:	xdg-desktop-portal

%description
Gajim is a jabber client written in PyGTK. The goal of Gajim's developers
is to provide a full featured and easy to use xmpp client for the GTK+
users. Gajim does not require GNOME to run, even though it coexists
nicely. Gajim is released under the GNU General Public License.

Features:
- Tabbed chat windows
- Groupchat support (with MUC protocol)
- Emoticons, URL grabber
- Systray icon
- TLS & GPG support
- Transport Registration support
- Service Discovery including Nodes
- Multiple accounts support


%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
pep517build/build_metadata.py -o dist/metadata
%pyproject_wheel

%install
pep517build/install_metadata.py dist/metadata --prefix=%{buildroot}%{_prefix}
%pyproject_install
%pyproject_save_files gajim

desktop-file-install --vendor="" \
	--remove-category="Application" \
	--add-category="GNOME" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%files -f %{pyproject_files}
%license COPYING
%doc README.md
%{_bindir}/gajim
%{_bindir}/gajim-remote
%{_datadir}/applications/org.gajim.Gajim.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gajim.Gajim.svg
%{_iconsdir}/hicolor/scalable/apps/org.gajim.Gajim-symbolic.svg
%{_metainfodir}/org.gajim.Gajim.metainfo.xml
%{_mandir}/man1/gajim.1*
%{_mandir}/man1/gajim-remote.1*
