Name:		galculator
Summary:	GTK based calculator
Version:	2.1.4
Release:	%mkrel 9
URL:		http://galculator.mnim.org/
Group:		Sciences/Mathematics
License:	GPLv2+
Source0:	http://galculator.mnim.org/downloads/%{name}-%{version}.tar.bz2
Patch0:		galculator-gcc-10-no-common.patch
BuildRequires:	intltool
%ifnarch %arm aarch64
BuildRequires:	quadmath-devel
%endif
BuildRequires:	pkgconfig(gtk+-3.0)

%description
Galculator is a calculator that features two user modes: basic and
scientific mode. Basic mode is intended for simple computations.
Only the most important operations and functions are available in
algebraic mode as well as in Reverse Polish Mode.

%files -f %{name}.lang
%doc AUTHORS NEWS README THANKS ChangeLog doc/shortcuts
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_mandir}/man1/%{name}.1.*
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/appdata/%{name}.appdata.xml

%prep
%setup -q
%autopatch -p1

%build
#update 'missing' script
autoreconf -vfi

%configure \
	--disable-static \
	--enable-gtk3
%make_build

%install
%make_install

desktop-file-install --vendor='' \
	--dir=%{buildroot}%{_datadir}/applications \
	--add-category='Calculator;GTK;GNOME' \
		%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name}
