%bcond_with qt5webkit
%bcond_with sqlite2
%ifarch %{ix86} %{arm32}
%bcond_with qt6webview
%else
%bcond_without qt6webview
%endif

Name:		gambas3
Summary:	Complete IDE based on a BASIC interpreter with object extensions
Version:	3.20.2
Release:	%mkrel 3
License:	GPLv2+
Group:		Development/Basic
URL:		https://gambas.sourceforge.net/
Source0:        https://gitlab.com/gambas/gambas/-/archive/%{version}/gambas-%{version}.tar.bz2
ExcludeArch:	%{arm32}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	desktop-file-utils
BuildRequires:	imagemagick
BuildRequires:	xdg-utils
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	gettext-devel
BuildRequires:	gmp-devel
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	mysql-devel
BuildRequires:	pkgconfig(odbc)
#BuildRequires:	pkgconfig(alure)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(gmime-3.0)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gsl)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-video-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(imlib2)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libffi)
BuildRequires:	pkgconfig(libmongoc-1.0)
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libpq)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libv4l1)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(poppler)
BuildRequires:	pkgconfig(poppler-cpp)
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_ttf)
BuildRequires:	SDL_sound-devel
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(SDL2_ttf)
%if %{with sqlite2}
BuildRequires:	pkgconfig(sqlite)
%endif
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(webkit2gtk-4.1)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libzstd)
BuildRequires:	pkgconfig(xtst)
### Qt5 ###
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5WebEngineWidgets)
%if %{with qt5webkit}
BuildRequires:	pkgconfig(Qt5WebKit)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
%endif
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5X11Extras)
### Qt6 ###
BuildRequires:	qttools6
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6OpenGL)
BuildRequires:	cmake(Qt6OpenGLWidgets)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6WaylandClient)
%if %{with qt6webview}
BuildRequires:	cmake(Qt6WebEngineCore)
BuildRequires:	cmake(Qt6WebEngineWidgets)
%endif

%description
Gambas is a free development environment based on a Basic interpreter
with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
With Gambas, you can quickly design your program GUI, access MySQL or
PostgreSQL databases, translate your program into many languages,
create network applications easily, build RPMs of your apps
automatically, and so on...

#-----------------------------------------------------------------------------

%package runtime
Summary: The Gambas runtime
Group: Development/Basic
Requires: %{name}-gb-pcre = %{version}

%if %{without qt5webkit}
Obsoletes: gambas3-gb-qt5-webkit < %{version}-%{release}
%endif

%description runtime
This package includes the Gambas interpreter needed to run Gambas applications.

%files runtime
%doc README AUTHORS ChangeLog
%{_bindir}/gbx3
%{_bindir}/gbr3
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/gb.component
%{_libdir}/%{name}/gb.debug.*
%{_libdir}/%{name}/gb.eval.*
%{_libdir}/%{name}/gb.geom.*
%{_libdir}/%{name}/gb.draw.*
%{_libdir}/%{name}/gb.gui.*
%{_libdir}/%{name}/gb.test.*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/info
%{_datadir}/%{name}/info/gb.info
%{_datadir}/%{name}/info/gb.list
%{_datadir}/%{name}/info/gb.debug.*
%{_datadir}/%{name}/info/gb.eval.*
%{_datadir}/%{name}/info/gb.geom.*
%{_datadir}/%{name}/info/gb.gui.*
%{_datadir}/%{name}/info/gb.test.*
%{_datadir}/%{name}/template/
%dir %{_datadir}/%{name}/control
%{_mandir}/man1/gbx3.1*
%{_mandir}/man1/gbr3.1*
# mime
%{_datadir}/mime/packages/gambas3.xml
%{_iconsdir}/hicolor/*/mimetypes/application-x-gambas3.png

#-----------------------------------------------------------------------------

%package devel
Summary: The Gambas development package
Group: Development/Basic

%description devel
This package includes all tools needed to compile Gambas projects
without having to install the complete development environment.

%files devel
%{_bindir}/gbc3
%{_bindir}/gba3
%{_bindir}/gbi3
%{_bindir}/gbh3
%{_bindir}/gbh3.gambas
%{_mandir}/man1/gbc3.1*
%{_mandir}/man1/gba3.1*
%{_mandir}/man1/gbi3.1*
%{_mandir}/man1/gbh3.1*

#-----------------------------------------------------------------------------

%package script
Summary: The Gambas scripter package
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-devel = %{version}
Requires: %{name}-gb-pcre = %{version}

%description script
This package includes the scripter program that allows to write script files
in Gambas.

%files script
%{_bindir}/gbs3
%ifnarch %{arm32}
%{_bindir}/gbs3.gambas
%endif
%{_bindir}/gbw3
%{_mandir}/man1/gbs3.1*
%{_mandir}/man1/gbw3.1*
# mime
%{_datadir}/mime/packages/gambasscript.xml
%{_iconsdir}/hicolor/*/mimetypes/application-x-gambasscript.png

#-----------------------------------------------------------------------------

%package ide
Summary: The Gambas IDE
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-devel = %{version}
Requires: %{name}-webview = %{version}

Requires: %{name}-gb-clipper = %{version}
Requires: %{name}-gb-clipper2 = %{version}
Requires: %{name}-gb-db = %{version}
Requires: %{name}-gb-db-form = %{version}
Requires: %{name}-gb-db2 = %{version}
Requires: %{name}-gb-db2-form = %{version}
Requires: %{name}-gb-desktop = %{version}
%ifnarch %arm
Requires: %{name}-gb-eval-highlight = %{version}
%endif
Requires: %{name}-gb-form = %{version}
Requires: %{name}-gb-form-dialog = %{version}
Requires: %{name}-gb-form-editor = %{version}
Requires: %{name}-gb-form-htmlview = %{version}
Requires: %{name}-gb-form-mdi = %{version}
Requires: %{name}-gb-form-print = %{version}
Requires: %{name}-gb-form-stock = %{version}
Requires: %{name}-gb-form-terminal = %{version}
Requires: %{name}-gb-hash = %{version}
Requires: %{name}-gb-highlight = %{version}
Requires: %{name}-gb-image = %{version}
Requires: %{name}-gb-jit = %{version}
Requires: %{name}-gb-markdown = %{version}
Requires: %{name}-gb-net = %{version}
Requires: %{name}-gb-net-curl = %{version}
Requires: %{name}-gb-settings = %{version}
Requires: %{name}-gb-signal = %{version}
Requires: %{name}-gb-term = %{version}
Requires: %{name}-gb-util = %{version}
Requires: %{name}-gb-util-web = %{version}
Requires: gettext
Requires: rpm-build
Requires: wget
Requires: pngquant
Requires: git-core
Requires: translate-shell

Recommends: %{name}-examples = %{version}

%description ide
This package together with dependencies form the complete Gambas Development
Environment. Other gambas3-* packages may be needed to run programs
(including the examples), in which case there will be messages about that.

%files ide
%{_bindir}/%{name}
%{_bindir}/%{name}.gambas
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.{png,svg}
%{_datadir}/metainfo/%{name}.appdata.xml
%{_mandir}/man1/%{name}.1*

#-----------------------------------------------------------------------------

%package examples
Summary: The Gambas examples
Group: Development/Basic
BuildArch: noarch
Recommends: %{name}-ide >= %{version}

%description examples
This package includes all the example projects provided with Gambas.

%files examples
%{_datadir}/%{name}/examples/

#-----------------------------------------------------------------------------

%package gb-cairo
Summary: The Gambas Cairo component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-image = %{version}

%description gb-cairo
This package contains the Gambas Cairo components.

%files gb-cairo
%{_libdir}/%{name}/gb.cairo.*
%{_datadir}/%{name}/info/gb.cairo.*

#-----------------------------------------------------------------------------

%package gb-chart
Summary: The Gambas chart component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-form = %{version}

%description gb-chart
This package contains the Gambas Chart components.

%files gb-chart
%{_libdir}/%{name}/gb.chart.*
%{_datadir}/%{name}/info/gb.chart.*

#-----------------------------------------------------------------------------

%package gb-clipper
Summary: The Gambas clipper component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-clipper
This package contains the Gambas Clipper components.
It wraps the Clipper library that performs polygon clipping:
 - intersection
 - union
 - difference & exclusive-or
 - polygon and polyline offsetting.
The library is based on Vatti's clipping algorithm.

%files gb-clipper
%{_libdir}/%{name}/gb.clipper.*
%{_datadir}/%{name}/info/gb.clipper.*

#-----------------------------------------------------------------------------

%package gb-clipper2
Summary: The Gambas clipper2 polygon component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-clipper2
This package contains the Gambas Clipper2 polygon components.
It wraps the Clipper library that performs polygon clipping:
 - intersection
 - union
 - difference & exclusive-or
 - polygon and polyline offsetting.
The library is based on Vatti's clipping algorithm.

%files gb-clipper2
%{_libdir}/%{name}/gb.clipper2.*
%{_datadir}/%{name}/info/gb.clipper2.*

#-----------------------------------------------------------------------------

%package gb-compress
Summary: The Gambas compression component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-compress
This component allows you to compress/uncompress data or files with
the bzip2 and zip algorithms.

%files gb-compress
%{_libdir}/%{name}/gb.compress.*
%{_datadir}/%{name}/info/gb.compress.*

#-----------------------------------------------------------------------------

%package gb-crypt
Summary: The Gambas cryptography component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-crypt
This component allows you to use cryptography in your projects.

%files gb-crypt
%{_libdir}/%{name}/gb.crypt.*
%{_datadir}/%{name}/info/gb.crypt.*

#-----------------------------------------------------------------------------

%package gb-db
Summary: The Gambas database component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-db
This component allows you to access many databases management systems,
provided that you install the needed driver packages.

%files gb-db
%{_libdir}/%{name}/gb.db.so
%{_libdir}/%{name}/gb.db.component
%{_libdir}/%{name}/gb.db.gambas
%{_datadir}/%{name}/info/gb.db.info
%{_datadir}/%{name}/info/gb.db.list

#-----------------------------------------------------------------------------

%package gb-db-form
Summary: The Gambas database-form component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-db = %{version}
Requires: %{name}-gb-form = %{version}

%description gb-db-form
This package contains the Gambas Database form components.

%files gb-db-form
%{_libdir}/%{name}/gb.db.form.*
%{_datadir}/%{name}/info/gb.db.form.*
%{_datadir}/%{name}/control/gb.db.form

#-----------------------------------------------------------------------------

%package gb-db-mysql
Summary: The MySQL driver for the Gambas database component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-db = %{version}

%description gb-db-mysql
This component allows you to access MySQL databases.

%files gb-db-mysql
%{_libdir}/%{name}/gb.db.mysql.*
%{_datadir}/%{name}/info/gb.db.mysql.*

#-----------------------------------------------------------------------------

%package gb-db-odbc
Summary: The ODBC driver for the Gambas database component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-db = %{version}

%description gb-db-odbc
This component allows you to access ODBC databases.

%files gb-db-odbc
%{_libdir}/%{name}/gb.db.odbc.*
%{_datadir}/%{name}/info/gb.db.odbc.*

#-----------------------------------------------------------------------------

%package gb-db-postgresql
Summary: The PostgreSQL driver for the Gambas database component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-db = %{version}

%description gb-db-postgresql
This component allows you to access PostgreSQL databases.

%files gb-db-postgresql
%{_libdir}/%{name}/gb.db.postgresql.*
%{_datadir}/%{name}/info/gb.db.postgresql.*

#-----------------------------------------------------------------------------

%if %{with sqlite2}
%package gb-db-sqlite2
Summary: The SQLite 2 driver for the Gambas database component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-db = %{version}

%description gb-db-sqlite2
This component allows you to access SQLite 2 databases.

%files gb-db-sqlite2

%{_libdir}/%{name}/gb.db.sqlite2.*
%{_datadir}/%{name}/info/gb.db.sqlite2.*
%endif

#-----------------------------------------------------------------------------

%package gb-db-sqlite3
Summary: The SQLite 3 driver for the Gambas database component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-db = %{version}

%description gb-db-sqlite3
This component allows you to access SQLite 3 databases.

%files gb-db-sqlite3

%{_libdir}/%{name}/gb.db.sqlite3.*
%{_datadir}/%{name}/info/gb.db.sqlite3.*

#-----------------------------------------------------------------------------

%package gb-db2
Summary: The Gambas database2 component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-db2
This component allows you to access many databases management systems,
provided that you install the needed driver packages.

%files gb-db2
#{_libdir}/%%{name}/gb.db2.so
%{_libdir}/%{name}/gb.db2.component
%{_libdir}/%{name}/gb.db2.gambas
%{_datadir}/%{name}/info/gb.db2.info
%{_datadir}/%{name}/info/gb.db2.list

#-----------------------------------------------------------------------------

%package gb-db2-form
Summary: The Gambas database2-form component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-db2 = %{version}
Requires: %{name}-gb-form = %{version}

%description gb-db2-form
This package contains the Gambas Database2 form components.

%files gb-db2-form
%{_libdir}/%{name}/gb.db2.form.*
%{_datadir}/%{name}/info/gb.db2.form.*
%{_datadir}/%{name}/control/gb.db2.form/

#-----------------------------------------------------------------------------

%package gb-db2-mysql
Summary: The MySQL driver for the Gambas database2 component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-db2 = %{version}

%description gb-db2-mysql
This component allows you to access MySQL databases.

%files gb-db2-mysql
%{_libdir}/%{name}/gb.db2.mysql.*
%{_datadir}/%{name}/info/gb.db2.mysql.*

#-----------------------------------------------------------------------------

%package gb-db2-odbc
Summary: The ODBC driver for the Gambas database2 component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-db2 = %{version}

%description gb-db2-odbc
This component allows you to access ODBC databases.

%files gb-db2-odbc
%{_libdir}/%{name}/gb.db2.odbc.*
%{_datadir}/%{name}/info/gb.db2.odbc.*

#-----------------------------------------------------------------------------

%package gb-db2-postgresql
Summary: The PostgreSQL driver for the Gambas database2 component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-db2 = %{version}

%description gb-db2-postgresql
This component allows you to access PostgreSQL databases.

%files gb-db2-postgresql
%{_libdir}/%{name}/gb.db2.postgresql.*
%{_datadir}/%{name}/info/gb.db2.postgresql.*

#-----------------------------------------------------------------------------

%package gb-db2-sqlite3
Summary: The SQLite 3 driver for the Gambas database2 component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-db2 = %{version}

%description gb-db2-sqlite3
This component allows you to access SQLite 3 databases.

%files gb-db2-sqlite3
%{_libdir}/%{name}/gb.db2.sqlite3.*
%{_datadir}/%{name}/info/gb.db2.sqlite3.*

#-----------------------------------------------------------------------------

%package gb-dbus
Summary: The Gambas dbus component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-image = %{version}

%description gb-dbus
This package contains the Gambas D-bus components.

%files gb-dbus

%{_libdir}/%{name}/gb.dbus.*
%{_datadir}/%{name}/info/gb.dbus.*

#-----------------------------------------------------------------------------

%package gb-desktop
Summary: The Gambas XDG component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-image = %{version}

%description gb-desktop
This component allows you to use desktop-agnostic routines based on
the xdg-utils scripts of the Portland project.

%files gb-desktop

%{_libdir}/%{name}/gb.desktop.*
%{_datadir}/%{name}/info/gb.desktop.*
%{_datadir}/%{name}/control/gb.desktop

#-----------------------------------------------------------------------------

%ifnarch %arm
%package gb-eval-highlight
Summary: The Gambas eval-highlight component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-eval-highlight
This component implements the eval-highlight control.

%files gb-eval-highlight

%{_libdir}/%{name}/gb.eval.highlight.*
%{_datadir}/%{name}/info/gb.eval.highlight.*
%endif

#-----------------------------------------------------------------------------

%package gb-form
Summary: The Gambas dialog form component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gui = %{version}

%description gb-form
This component implements the form control.

%files gb-form
%{_libdir}/%{name}/gb.form.component
%{_libdir}/%{name}/gb.form.gambas
%{_datadir}/%{name}/control/gb.form
%{_datadir}/%{name}/info/gb.form.info
%{_datadir}/%{name}/info/gb.form.list

#-----------------------------------------------------------------------------

%package gb-form-editor
Summary: The Gambas dialog form editor component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
%ifnarch %arm
Requires: %{name}-gb-eval-highlight = %{version}
%endif
Requires: %{name}-gb-util = %{version}
Requires: %{name}-gb-form = %{version}

%description gb-form-editor
This component implements the form-editor control.

%files gb-form-editor
%{_libdir}/%{name}/gb.form.editor.component
%{_libdir}/%{name}/gb.form.editor.gambas
%dir %{_datadir}/%{name}/control/gb.form.editor
%{_datadir}/%{name}/control/gb.form.editor/*
%{_datadir}/%{name}/info/gb.form.editor.info
%{_datadir}/%{name}/info/gb.form.editor.list

#-----------------------------------------------------------------------------

%package gb-form-dialog
Summary: The Gambas dialog form component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-form = %{version}

%description gb-form-dialog
This component implements the form-dialog control.

%files gb-form-dialog

%{_libdir}/%{name}/gb.form.dialog.component
%{_libdir}/%{name}/gb.form.dialog.gambas
%{_datadir}/%{name}/info/gb.form.dialog.info
%{_datadir}/%{name}/info/gb.form.dialog.list

#-----------------------------------------------------------------------------

%package gb-form-htmlview
Summary: The Gambas htmlview form component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-form-htmlview
This component implements the form-htmlview control.

%files gb-form-htmlview

%{_libdir}/%{name}/gb.form.htmlview.*
%dir %{_datadir}/%{name}/control/gb.form.htmlview/
%{_datadir}/%{name}/control/gb.form.htmlview/htmlview.png
%{_datadir}/%{name}/info/gb.form.htmlview.*

#-----------------------------------------------------------------------------

%package gb-form-mdi
Summary: The Gambas mdi form component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-form = %{version}
Requires: %{name}-gb-settings = %{version}

%description gb-form-mdi
This component implements the form-mdi control.

%files gb-form-mdi

%{_libdir}/%{name}/gb.form.mdi.component
%{_libdir}/%{name}/gb.form.mdi.gambas
%{_datadir}/%{name}/control/gb.form.mdi
%{_datadir}/%{name}/info/gb.form.mdi.info
%{_datadir}/%{name}/info/gb.form.mdi.list

#-----------------------------------------------------------------------------

%package gb-form-print
Summary: The Gambas print form component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-form = %{version}

%description gb-form-print
This component implements the form-print control.

%files gb-form-print

%{_libdir}/%{name}/gb.form.print.component
%{_libdir}/%{name}/gb.form.print.gambas
%{_datadir}/%{name}/info/gb.form.print.info
%{_datadir}/%{name}/info/gb.form.print.list

#-----------------------------------------------------------------------------

%package gb-form-stock
Summary: The Gambas stock form component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-form = %{version}

%description gb-form-stock
This component implements the form-stock control.

%files gb-form-stock

%{_libdir}/%{name}/gb.form.stock.component
%{_libdir}/%{name}/gb.form.stock.gambas
%{_datadir}/%{name}/info/gb.form.stock.info
%{_datadir}/%{name}/info/gb.form.stock.list

#-----------------------------------------------------------------------------

%package gb-form-terminal
Summary: The Gambas terminal form component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gui = %{version}

%description gb-form-terminal
This component implements the form-terminal control.

%files gb-form-terminal

%{_libdir}/%{name}/gb.form.terminal.component
%{_libdir}/%{name}/gb.form.terminal.gambas
%{_datadir}/%{name}/info/gb.form.terminal.info
%{_datadir}/%{name}/info/gb.form.terminal.list
%dir %{_datadir}/%{name}/control/gb.form.terminal
%{_datadir}/%{name}/control/gb.form.terminal/terminalview.png

#-----------------------------------------------------------------------------

%package gb-gtk3
Summary: The Gambas GTK+ 3 GUI component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-image = %{version}
Requires: %{name}-gb-gtk3-wayland = %{version}
Requires: %{name}-gb-gtk3-x11 = %{version}
Provides: %{name}-gui-package = %{version}-%{release}

%description gb-gtk3
This package contains the Gambas GTK+ 3 GUI components.

%files gb-gtk3

%{_libdir}/%{name}/gb.gtk3.component
%{_libdir}/%{name}/gb.gtk3.so
%{_datadir}/%{name}/info/gb.gtk3.info
%{_datadir}/%{name}/info/gb.gtk3.list

#-----------------------------------------------------------------------------

%package gb-gtk3-opengl
Summary: The Gambas gtk3-opengl component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-gtk3 = %{version}

%description gb-gtk3-opengl
This package contains the Gambas gtk3-opengl components.

%files gb-gtk3-opengl
%{_libdir}/%{name}/gb.gtk3.opengl.*
%{_datadir}/%{name}/info/gb.gtk3.opengl.*

#-----------------------------------------------------------------------------

%package gb-gtk3-wayland
Summary: The Gambas gtk3-wayland component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-gtk3 = %{version}

%description gb-gtk3-wayland
This package contains the Gambas gtk3-wayland components.

%files gb-gtk3-wayland
%{_libdir}/%{name}/gb.gtk3.wayland.*
%{_datadir}/%{name}/info/gb.gtk3.wayland.*

#-----------------------------------------------------------------------------

%package gb-gtk3-webview
Summary: The Gambas gtk3-webview component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-gtk3 = %{version}
Provides: %{name}-webview = %{version}

%description gb-gtk3-webview
This package contains the Gambas gtk3-webview components.

%files gb-gtk3-webview
%{_libdir}/%{name}/gb.gtk3.webview.*
%{_datadir}/%{name}/info/gb.gtk3.webview.*

#-----------------------------------------------------------------------------

%package gb-gtk3-x11
Summary: The Gambas gtk3-x11 component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-gtk3 = %{version}

%description gb-gtk3-x11
This package contains the Gambas gtk3-x11 components.

%files gb-gtk3-x11
%{_libdir}/%{name}/gb.gtk3.x11.*
%{_datadir}/%{name}/info/gb.gtk3.x11.*

#-----------------------------------------------------------------------------

%package gb-gmp
Summary: The Gambas gmp component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-gmp
This component implements an interface to the Gnu Multiple Precision
Arithmetic Library.

%files gb-gmp

%{_libdir}/%{name}/gb.gmp.*
%{_datadir}/%{name}/info/gb.gmp.*

#-----------------------------------------------------------------------------

%package gb-gsl
Summary: The Gambas interface to the GNU Scientific Library
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-gsl
This component provides an interface to the GNU Scientific Library.

%files gb-gsl
%{_libdir}/%{name}/gb.gsl.*
%{_datadir}/%{name}/info/gb.gsl.*

#-----------------------------------------------------------------------------

%package gui
Summary: The Gambas GUI package
Group: Development/Basic
Requires: %{name}-gui-package = %{version}

%description gui
This is a virtual package requiring one of the GUI packages.

%files gui
# virtual package

#-----------------------------------------------------------------------------

%package gb-hash
Summary: The Gambas hash component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-hash
This package contains the Gambas Hash components.
Hash is a new static class with methods that implement The Md5,
Sha1, Sha256 and Sha512 hash functions.

%files gb-hash
%{_libdir}/%{name}/gb.hash.component
%{_libdir}/%{name}/gb.hash.so
%{_datadir}/%{name}/info/gb.hash.info
%{_datadir}/%{name}/info/gb.hash.list

#-----------------------------------------------------------------------------

%package gb-highlight
Summary: The Gambas highlight component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-highlight
This package contains the Gambas ighlight components.

%files gb-highlight
%{_libdir}/%{name}/gb.highlight.component
%{_libdir}/%{name}/gb.highlight.gambas
%{_datadir}/%{name}/info/gb.highlight.info
%{_datadir}/%{name}/info/gb.highlight.list

#-----------------------------------------------------------------------------

%package gb-jit
Summary: The Gambas JIT component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-jit
This component provides the jit compiler for gambas.

%files gb-jit

%{_libdir}/%{name}/gb.jit.so
%{_libdir}/%{name}/gb.jit.component
%{_libdir}/%{name}/gb.jit.gambas
%{_datadir}/%{name}/info/gb.jit.info
%{_datadir}/%{name}/info/gb.jit.list

#-----------------------------------------------------------------------------

%package gb-image
Summary: The Gambas image manipulation component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-image
This component allows you to manipulates various effects to images.

%files gb-image
%{_libdir}/%{name}/gb.image.component
%{_libdir}/%{name}/gb.image.so
%{_datadir}/%{name}/info/gb.image.info
%{_datadir}/%{name}/info/gb.image.list

#-----------------------------------------------------------------------------

%package gb-image-effect
Summary: The Gambas image effect component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-image = %{version}

%description gb-image-effect
This component allows you to apply various effects to images.

%files gb-image-effect

%{_libdir}/%{name}/gb.image.effect.*
%{_datadir}/%{name}/info/gb.image.effect.*

#-----------------------------------------------------------------------------

%package gb-image-imlib
Summary: The Gambas image imlib component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-image = %{version}

%description gb-image-imlib
This component allows you to manipulate images with imlibs.

%files gb-image-imlib

%{_libdir}/%{name}/gb.image.imlib.*
%{_datadir}/%{name}/info/gb.image.imlib.*

#-----------------------------------------------------------------------------

%package gb-image-io
Summary: The Gambas image io component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-image = %{version}

%description gb-image-io
This component allows you to perform images input output operations.

%files gb-image-io

%{_libdir}/%{name}/gb.image.io.*
%{_datadir}/%{name}/info/gb.image.io.*

#-----------------------------------------------------------------------------

%package gb-inotify
Summary: The Gambas inotify component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-inotify
This component enables you to catch filesystem events using Linux' inotify API.

%files gb-inotify

%{_libdir}/%{name}/gb.inotify.*
%{_datadir}/%{name}/info/gb.inotify.*

#-----------------------------------------------------------------------------

%package gb-map
Summary: The Gambas map component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-net = %{version}
Requires: %{name}-gb-net-curl = %{version}

%description gb-map
This component implements an online map viewer
based on Google Maps, OpenStreetMap, etc.

%files gb-map
%{_libdir}/%{name}/gb.map*
%{_datadir}/%{name}/info/gb.map*
%dir %{_datadir}/%{name}/control/gb.map
%{_datadir}/%{name}/control/gb.map/mapview.png

#-----------------------------------------------------------------------------

%package gb-markdown
Summary: The Gambas markdown component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-markdown
This component allows to convert the Gambas Markdown Syntax to HTML.

%files gb-markdown

%{_libdir}/%{name}/gb.markdown*
%{_datadir}/%{name}/info/gb.markdown*

#-----------------------------------------------------------------------------

%package gb-media
Summary: The Gambas media component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-image = %{version}

%description gb-media
This package contains the Gambas media component.

%files gb-media

%{_libdir}/%{name}/gb.media.so
%{_libdir}/%{name}/gb.media.component
%{_datadir}/%{name}/info/gb.media.info
%{_datadir}/%{name}/info/gb.media.list

#-----------------------------------------------------------------------------

%package gb-media-form
Summary: The Gambas media form component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-media = %{version}
Requires: %{name}-gui = %{version}

%description gb-media-form
This package contains the Gambas media form component.

%files gb-media-form

%{_libdir}/%{name}/gb.media.form.*
%{_datadir}/%{name}/info/gb.media.form.*
%dir %{_datadir}/%{name}/control/gb.media.form
%{_datadir}/%{name}/control/gb.media.form/mediaview.png

#-----------------------------------------------------------------------------

%package gb-mime
Summary: The Gambas mime component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-mime
This component allows to parse a string and convert it to a MIME message and
the contrary.

It is based on the gmime library.

%files gb-mime
%{_libdir}/%{name}/gb.mime.*
%{_datadir}/%{name}/info/gb.mime.*

#-----------------------------------------------------------------------------

%package gb-memcached
Summary: The Gambas memcached component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-net = %{version}

%description gb-memcached
This components aims at providing a fully usable interface to memcached,
a free and open source, high-performance, distributed memory object
caching system.

%files gb-memcached
%{_libdir}/%{name}/gb.memcached*
%{_datadir}/%{name}/info/gb.memcached*

#-----------------------------------------------------------------------------

%package gb-mongodb
Summary: The Gambas MongoDB database access component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-mongodb
This component allows you to access MongoDB databases.

%files gb-mongodb
%{_libdir}/%{name}/gb.mongodb*
%{_datadir}/%{name}/info/gb.mongodb*

#-----------------------------------------------------------------------------

%package gb-mysql
Summary: The Gambas mysql component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-db = %{version}

%description gb-mysql
This package contains the Gambas MySQL components.

%files gb-mysql
%{_libdir}/%{name}/gb.mysql.*
%{_datadir}/%{name}/info/gb.mysql.*

#-----------------------------------------------------------------------------

%package gb-ncurses
Summary: The Gambas ncurses component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-ncurses
This component allows you to use ncurses with gambas.

%files gb-ncurses
%{_libdir}/%{name}/gb.ncurses.so
%{_libdir}/%{name}/gb.ncurses.component
%{_datadir}/%{name}/info/gb.ncurses.info
%{_datadir}/%{name}/info/gb.ncurses.list

#-----------------------------------------------------------------------------

%package gb-net
Summary: The Gambas networking component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-net
This component allows you to use TCP/IP and UDP sockets, and to access
any serial ports.

%files gb-net
%{_libdir}/%{name}/gb.net.so
%{_libdir}/%{name}/gb.net.component
%{_datadir}/%{name}/info/gb.net.info
%{_datadir}/%{name}/info/gb.net.list
%dir %{_datadir}/%{name}/control/gb.net/
%{_datadir}/%{name}/control/gb.net/*.png

#-----------------------------------------------------------------------------

%package gb-net-curl
Summary: The Gambas advanced networking component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-net = %{version}

%description gb-net-curl
This component allows your programs to easily become FTP or HTTP clients.

%files gb-net-curl
%{_libdir}/%{name}/gb.net.curl.so
%{_libdir}/%{name}/gb.net.curl.gambas
%{_libdir}/%{name}/gb.net.curl.component
%{_datadir}/%{name}/info/gb.net.curl.info
%{_datadir}/%{name}/info/gb.net.curl.list
%dir %{_datadir}/%{name}/control/gb.net.curl
%{_datadir}/%{name}/control/gb.net.curl/*.png

#-----------------------------------------------------------------------------

%package gb-net-smtp
Summary: The Gambas SMTP component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-net = %{version}

%description gb-net-smtp
This component allows you to send emails using the SMTP protocol.

%files gb-net-smtp
%{_libdir}/%{name}/gb.net.smtp.*
%{_datadir}/%{name}/info/gb.net.smtp.*
%dir %{_datadir}/%{name}/control/gb.net.smtp
%{_datadir}/%{name}/control/gb.net.smtp/smtpclient.png

#-----------------------------------------------------------------------------

%package gb-net-pop3
Summary: The Gambas POP3 component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-net = %{version}
Requires: %{name}-gb-mime = %{version}

%description gb-net-pop3
This component allows you to send emails using the POP3 protocol.

%files gb-net-pop3

%{_libdir}/%{name}/gb.net.pop3.*
%{_datadir}/%{name}/info/gb.net.pop3.*
%dir %{_datadir}/%{name}/control/gb.net.pop3
%{_datadir}/%{name}/control/gb.net.pop3/pop3client.png

#-----------------------------------------------------------------------------

%package gb-opengl
Summary: The Gambas OpenGL component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-image = %{version}

%description gb-opengl
This component allows you to use the Mesa libraries to do 3D operations.

%files gb-opengl
%{_libdir}/%{name}/gb.opengl.component
%{_libdir}/%{name}/gb.opengl.so
%{_datadir}/%{name}/info/gb.opengl.info
%{_datadir}/%{name}/info/gb.opengl.list

#-----------------------------------------------------------------------------

%package gb-opengl-glsl
Summary: The Gambas opengl-glsl component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-opengl = %{version}

%description gb-opengl-glsl
This component allows you to use the Mesa libraries to do 3D operations.

%files gb-opengl-glsl

%{_libdir}/%{name}/gb.opengl.glsl.*
%{_datadir}/%{name}/info/gb.opengl.glsl.*

#-----------------------------------------------------------------------------

%package gb-opengl-glu
Summary: The Gambas opengl-glu component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-opengl = %{version}

%description gb-opengl-glu
This component allows you to use the Mesa libraries to do 3D operations.

%files gb-opengl-glu
%{_libdir}/%{name}/gb.opengl.glu.*
%{_datadir}/%{name}/info/gb.opengl.glu.*

#-----------------------------------------------------------------------------

%package gb-opengl-sge
Summary: The Gambas opengl-sge component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-opengl = %{version}

%description gb-opengl-sge
This component is a simple OpenGL game engine based on the MD2 model format.

%files gb-opengl-sge
%{_libdir}/%{name}/gb.opengl.sge.*
%{_datadir}/%{name}/info/gb.opengl.sge.*

#-----------------------------------------------------------------------------

%package gb-openssl
Summary: The Gambas openssl component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-openssl
This component allows you to use cryptographic functions wrapping libcrypto
from the OpenSSL project.

%files gb-openssl
%{_libdir}/%{name}/gb.openssl.*
%{_datadir}/%{name}/info/gb.openssl.*

#-----------------------------------------------------------------------------

%package gb-option
Summary: The Gambas command-line option component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-option
This component allows you to interpret command-line options.

%files gb-option
%{_libdir}/%{name}/gb.option.*
%{_datadir}/%{name}/info/gb.option.*

#-----------------------------------------------------------------------------

%package gb-pcre
Summary: The Gambas PCRE component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-pcre
This component allows you to use Perl compatible regular expressions
within Gambas code.

%files gb-pcre
%{_libdir}/%{name}/gb.pcre.*
%{_datadir}/%{name}/info/gb.pcre.*

#-----------------------------------------------------------------------------

%package gb-pdf
Summary: The Gambas PDF component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-image = %{version}

%description gb-pdf
This component allows you to manipulate pdf files with Gambas code.

%files gb-pdf
%{_libdir}/%{name}/gb.pdf.*
%{_datadir}/%{name}/info/gb.pdf.*

#-----------------------------------------------------------------------------

%package gb-poppler
Summary: The Gambas Poppler component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-image = %{version}

%description gb-poppler
This component allows you to manipulate pdf files with Gambas code.

%files gb-poppler
%{_libdir}/%{name}/gb.poppler.*
%{_datadir}/%{name}/info/gb.poppler.*

#-----------------------------------------------------------------------------
### Qt5 ###

%package gb-qt5
Summary: The Gambas Qt5 GUI component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-image = %{version}
Requires: %{name}-gb-qt5-wayland = %{version}
Requires: %{name}-gb-qt5-x11 = %{version}
Provides: %{name}-gui-package = %{version}-%{release}

Recommends:	qttranslations5

%description gb-qt5
This package includes the Gambas QT5 GUI component.

%files gb-qt5
%{_libdir}/%{name}/gb.qt5.component
%{_libdir}/%{name}/gb.qt5.so
%{_datadir}/%{name}/info/gb.qt5.info
%{_datadir}/%{name}/info/gb.qt5.list

#-----------------------------------------------------------------------------

%package gb-qt5-ext
Summary: The Gambas qt5-ext component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-qt5 = %{version}

%description gb-qt5-ext
This package contains the Gambas qt5-ext components.

%files gb-qt5-ext
%{_libdir}/%{name}/gb.qt5.ext.*
%{_datadir}/%{name}/info/gb.qt5.ext.*

#-----------------------------------------------------------------------------

%package gb-qt5-opengl
Summary: The Gambas qt5-opengl component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-qt5 = %{version}
Requires: %{name}-gb-opengl = %{version}

%description gb-qt5-opengl
This package contains the Gambas qt5-opengl components.

%files gb-qt5-opengl
%{_libdir}/%{name}/gb.qt5.opengl.*
%{_datadir}/%{name}/info/gb.qt5.opengl.*

#-----------------------------------------------------------------------------

%package gb-qt5-wayland
Summary: The Gambas qt5-wayland component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-qt5 = %{version}

%description gb-qt5-wayland
This package contains the Gambas qt5-wayland components.

%files gb-qt5-wayland
%{_libdir}/%{name}/gb.qt5.wayland.*
%{_datadir}/%{name}/info/gb.qt5.wayland.*

#-----------------------------------------------------------------------------
%if %{with qt5webkit}

%package gb-qt5-webkit
Summary: The Gambas qt5-webkit component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-qt5 = %{version}

%description gb-qt5-webkit
This package contains the Gambas qt5-webkit components.

%files gb-qt5-webkit
%{_libdir}/%{name}/gb.qt5.webkit.*
%{_datadir}/%{name}/info/gb.qt5.webkit.*
%{_datadir}/%{name}/control/gb.qt5.webkit/

%endif
#-----------------------------------------------------------------------------

%package gb-qt5-webview
Summary: The Gambas qt5-webview component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-qt5 = %{version}
Provides: %{name}-webview = %{version}

%description gb-qt5-webview
This package contains the Gambas qt5-webview components.

%files gb-qt5-webview
%{_libdir}/%{name}/gb.qt5.webview.*
%{_datadir}/%{name}/info/gb.qt5.webview.*

#-----------------------------------------------------------------------------

%package gb-qt5-x11
Summary: The Gambas qt5-x11 component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-qt5 = %{version}

%description gb-qt5-x11
This package contains the Gambas qt5-x11 components.

%files gb-qt5-x11
%{_libdir}/%{name}/gb.qt5.x11.*
%{_datadir}/%{name}/info/gb.qt5.x11.*

#-----------------------------------------------------------------------------
### Qt6 ###

%package gb-qt6
Summary: The Gambas Qt6 GUI component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-image = %{version}
Requires: %{name}-gb-qt6-wayland = %{version}
Requires: %{name}-gb-qt6-x11 = %{version}
Provides: %{name}-gui-package = %{version}-%{release}

Recommends:	qt6-qttranslations

%description gb-qt6
This package includes the Gambas Qt6 GUI component.

%files gb-qt6
%{_libdir}/%{name}/gb.qt6.component
%{_libdir}/%{name}/gb.qt6.so
%{_datadir}/%{name}/info/gb.qt6.info
%{_datadir}/%{name}/info/gb.qt6.list

#-----------------------------------------------------------------------------

%package gb-qt6-ext
Summary: The Gambas qt6-ext component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-qt6 = %{version}

%description gb-qt6-ext
This package contains the Gambas qt6-ext components.

%files gb-qt6-ext
%{_libdir}/%{name}/gb.qt6.ext.*
%{_datadir}/%{name}/info/gb.qt6.ext.*

#-----------------------------------------------------------------------------

%package gb-qt6-opengl
Summary: The Gambas qt6-opengl component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-qt6 = %{version}
Requires: %{name}-gb-opengl = %{version}

%description gb-qt6-opengl
This package contains the Gambas qt6-opengl components.

%files gb-qt6-opengl
%{_libdir}/%{name}/gb.qt6.opengl.*
%{_datadir}/%{name}/info/gb.qt6.opengl.*

#-----------------------------------------------------------------------------

%package gb-qt6-wayland
Summary: The Gambas qt6-wayland component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-qt6 = %{version}

%description gb-qt6-wayland
This package contains the Gambas qt6-wayland components.

%files gb-qt6-wayland
%{_libdir}/%{name}/gb.qt6.wayland.*
%{_datadir}/%{name}/info/gb.qt6.wayland.*

#-----------------------------------------------------------------------------
%if %{with qt6webview}

%package gb-qt6-webview
Summary: The Gambas qt6-webview component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-qt6 = %{version}
Provides: %{name}-webview = %{version}

%description gb-qt6-webview
This package contains the Gambas qt6-webview components.

%files gb-qt6-webview
%{_libdir}/%{name}/gb.qt6.webview.*
%{_datadir}/%{name}/info/gb.qt6.webview.*

%endif
#-----------------------------------------------------------------------------

%package gb-qt6-x11
Summary: The Gambas qt6-x11 component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-qt6 = %{version}

%description gb-qt6-x11
This package contains the Gambas qt6-x11 components.

%files gb-qt6-x11
%{_libdir}/%{name}/gb.qt6.x11.*
%{_datadir}/%{name}/info/gb.qt6.x11.*

#-----------------------------------------------------------------------------

%package gb-report
Summary: The Gambas report component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-form = %{version}

%description gb-report
This package contains the Gambas Report components.

%files gb-report
%{_libdir}/%{name}/gb.report.*
%{_datadir}/%{name}/info/gb.report.*
%{_datadir}/%{name}/control/gb.report

#-----------------------------------------------------------------------------

%package gb-report2
Summary: The Gambas report component (version 2)
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-form = %{version}

%description gb-report2
This package contains the Gambas Report (version 2) components.

%files gb-report2
%{_libdir}/%{name}/gb.report2.*
%{_datadir}/%{name}/info/gb.report2.*
%dir %{_datadir}/%{name}/control/gb.report2
%{_datadir}/%{name}/control/gb.report2/*

#-----------------------------------------------------------------------------

%package gb-scanner
Summary: The Gambas Scanner component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-scanner
The Gambas scanner management library is a frontend of the ScanImage program
provided by the sane toolkit.
It allows to easily manage scanner devices in Gambas code.

%files gb-scanner
%{_libdir}/%{name}/gb.scanner.gambas
%{_libdir}/%{name}/gb.scanner.component
%{_datadir}/%{name}/info/gb.scanner.info
%{_datadir}/%{name}/info/gb.scanner.list

#-----------------------------------------------------------------------------

%package gb-sdl
Summary: The Gambas SDL component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-image = %{version}
Requires: %{name}-gb-image-io = %{version}
Requires: fonts-ttf-dejavu

%description gb-sdl
This component use the sound, image and TTF fonts parts of the SDL
library. It allows you to simultaneously play many sounds and music
stored in a file. If OpenGL drivers are installed it uses them to
accelerate 2D and 3D drawing.

%files gb-sdl
%{_libdir}/%{name}/gb.sdl.so
%{_libdir}/%{name}/gb.sdl.component
%{_datadir}/%{name}/info/gb.sdl.info
%{_datadir}/%{name}/info/gb.sdl.list

#-----------------------------------------------------------------------------

%package gb-sdl-sound
Summary: The Gambas SDL sound component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-sdl-sound
This component allows you to play sounds in Gambas. This component
manages up to 32 sound tracks that can play sounds from memory, and
one music track that can play music from a file. Everything is mixed
in real time.

%files gb-sdl-sound

%{_libdir}/%{name}/gb.sdl.sound.*
%{_datadir}/%{name}/info/gb.sdl.sound.*

#-----------------------------------------------------------------------------

%package gb-sdl2
Summary: The Gambas SDL2 component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-image = %{version}
Requires: fonts-ttf-dejavu

%description gb-sdl2
This component use the sound, image and TTF fonts parts of the SDL2
library. It allows you to simultaneously play many sounds and music
stored in a file. If OpenGL drivers are installed it uses them to
accelerate 2D and 3D drawing.

%files gb-sdl2
%{_libdir}/%{name}/gb.sdl2.so
%{_libdir}/%{name}/gb.sdl2.component
%{_datadir}/%{name}/info/gb.sdl2.info
%{_datadir}/%{name}/info/gb.sdl2.list

#-----------------------------------------------------------------------------

%package gb-sdl2-audio
Summary: The Gambas SDL2 audio component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-sdl2-audio
This component allows you to play sounds in Gambas. This component
manages up to 32 sound tracks that can play sounds from memory, and
one music track that can play music from a file. Everything is mixed
in real timeu sing SDL2.

%files gb-sdl2-audio

%{_libdir}/%{name}/gb.sdl2.audio.so
%{_libdir}/%{name}/gb.sdl2.audio.component
%{_datadir}/%{name}/info/gb.sdl2.audio.info
%{_datadir}/%{name}/info/gb.sdl2.audio.list

#-----------------------------------------------------------------------------

%package gb-settings
Summary: The Gambas settings component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-settings
This components allows you to deal with configuration files.

%files gb-settings
%{_libdir}/%{name}/gb.settings.*
%{_datadir}/%{name}/info/gb.settings.*

#-----------------------------------------------------------------------------

%package gb-signal
Summary: The Gambas signal component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-signal
This package contains the Gambas Signal components.

%files gb-signal

%{_libdir}/%{name}/gb.signal.*
%{_datadir}/%{name}/info/gb.signal.*

#-----------------------------------------------------------------------------

%package gb-term
Summary: The Gambas Term component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-term
This package contains the Gambas Term components.

%files gb-term

%{_libdir}/%{name}/gb.term.*
%{_datadir}/%{name}/info/gb.term.*
%{_datadir}/%{name}/control/gb.term.*

#-----------------------------------------------------------------------------

%package gb-util
Summary: The Gambas Util component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-util
This component provides many useful utility methods or classes.

%files gb-util
%{_libdir}/%{name}/gb.util.gambas
%{_libdir}/%{name}/gb.util.component
%{_datadir}/%{name}/info/gb.util.info
%{_datadir}/%{name}/info/gb.util.list

#-----------------------------------------------------------------------------

%package gb-util-web
Summary: The Gambas Util Web component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-util-web
This component provides many utilities useful for web applications.

%files gb-util-web
%{_libdir}/%{name}/gb.util.web.gambas
%{_libdir}/%{name}/gb.util.web.component
%{_datadir}/%{name}/info/gb.util.web.info
%{_datadir}/%{name}/info/gb.util.web.list
%dir %{_datadir}/%{name}/control/gb.util.web
%{_datadir}/%{name}/control/gb.util.web/*

#-----------------------------------------------------------------------------

%package gb-v4l
Summary: The Gambas Video4Linux component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-image = %{version}

%description gb-v4l
This components allows you to use the Video4Linux interface with
Gambas.

%files gb-v4l

%{_libdir}/%{name}/gb.v4l.*
%{_datadir}/%{name}/info/gb.v4l.*

#-----------------------------------------------------------------------------

%package gb-vb
Summary: The Gambas Visual Basic(tm) compatibility component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-vb
This component aims at including some functions that imitate the
behaviour of Visual Basic(TM) functions. Use it only if you want to
port some VB projects.

%files gb-vb

%{_libdir}/%{name}/gb.vb.*
%{_datadir}/%{name}/info/gb.vb.*

#-----------------------------------------------------------------------------

%package gb-web
Summary: The Gambas CGI web component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-web
This components allows you to make CGI web applications using Gambas,
with an ASP-like interface.

%files gb-web
%{_libdir}/%{name}/gb.web.component
%{_libdir}/%{name}/gb.web.gambas
%{_datadir}/%{name}/info/gb.web.info
%{_datadir}/%{name}/info/gb.web.list

#-----------------------------------------------------------------------------

%package gb-web-feed
Summary: The Gambas CGI web-feed component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-xml = %{version}
Requires: %{name}-gb-util = %{version}

%description gb-web-feed
This components allows you to make CGI web-feed applications using Gambas,
with an ASP-like interface.

%files gb-web-feed

%{_libdir}/%{name}/gb.web.feed.component
%{_libdir}/%{name}/gb.web.feed.gambas
%{_datadir}/%{name}/info/gb.web.feed.info
%{_datadir}/%{name}/info/gb.web.feed.list

#-----------------------------------------------------------------------------

%package gb-web-form
Summary: The Gambas CGI web-form component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-web = %{version}
Requires: %{name}-gb-util-web = %{version}
Requires: %{name}-gb-util = %{version}

%description gb-web-form
This components allows you to make CGI web-form applications using Gambas,
with an ASP-like interface.

%files gb-web-form
%{_libdir}/%{name}/gb.web.form.component
%{_libdir}/%{name}/gb.web.form.gambas
%{_datadir}/%{name}/info/gb.web.form.info
%{_datadir}/%{name}/info/gb.web.form.list
%{_datadir}/%{name}/control/gb.web.form/

#-----------------------------------------------------------------------------

%package gb-web-gui
Summary: The Gambas CGI web-gui component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-util = %{version}
Requires: %{name}-gb-web = %{version}
Requires: %{name}-gb-util-web = %{version}
Requires: %{name}-gb-signal = %{version}

%description gb-web-gui
This components allows you to make CGI web-gui applications using Gambas,
with an ASP-like interface.

%files gb-web-gui
%{_libdir}/%{name}/gb.web.gui.component
%{_libdir}/%{name}/gb.web.gui.gambas
%{_datadir}/%{name}/info/gb.web.gui.info
%{_datadir}/%{name}/info/gb.web.gui.list
%{_datadir}/%{name}/control/gb.web.gui/

#-----------------------------------------------------------------------------

%package gb-libxml
Summary: The Gambas libxml component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-libxml
This component allows you to use libxml.

%files gb-libxml
%{_libdir}/%{name}/gb.libxml.so
%{_libdir}/%{name}/gb.libxml.component
%{_datadir}/%{name}/info/gb.libxml.info
%{_datadir}/%{name}/info/gb.libxml.list

#-----------------------------------------------------------------------------

%package gb-logging
Summary: The Gambas logging component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-logging
This component implements a flexible logging system for Gambas applications.
The formatting of messages is based on the RFC5454 document
which describes the standard "syslog" format.

%files gb-logging

%{_libdir}/%{name}/gb.logging.*
%{_datadir}/%{name}/info/gb.logging.info
%{_datadir}/%{name}/info/gb.logging.list

#-----------------------------------------------------------------------------

%package gb-xml
Summary: The Gambas xml component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-xml
This component allows you to use xml.

%files gb-xml
%{_libdir}/%{name}/gb.xml.so
%{_libdir}/%{name}/gb.xml.component
%{_libdir}/%{name}/gb.xml.gambas
%{_datadir}/%{name}/info/gb.xml.info
%{_datadir}/%{name}/info/gb.xml.list

#-----------------------------------------------------------------------------

%package gb-xml-html
Summary: The Gambas xml html component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-xml

%description gb-xml-html
This component allows you to use xml html.

%files gb-xml-html

%{_libdir}/%{name}/gb.xml.html.so
%{_libdir}/%{name}/gb.xml.html.component
%{_datadir}/%{name}/info/gb.xml.html.info
%{_datadir}/%{name}/info/gb.xml.html.list

#-----------------------------------------------------------------------------

%package gb-xml-rpc
Summary: The Gambas xml-rpc component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-xml

%description gb-xml-rpc
This component allows you to use xml-rpc.

%files gb-xml-rpc

%{_libdir}/%{name}/gb.xml.rpc.gambas
%{_libdir}/%{name}/gb.xml.rpc.component
%{_datadir}/%{name}/info/gb.xml.rpc.info
%{_datadir}/%{name}/info/gb.xml.rpc.list

#-----------------------------------------------------------------------------

%package gb-xml-xslt
Summary: The Gambas xml-xslt component
Group: Development/Basic
Requires: %{name}-runtime = %{version}
Requires: %{name}-gb-xml = %{version}

%description gb-xml-xslt
This component allows you to use xml-xslt.

%files gb-xml-xslt

%{_libdir}/%{name}/gb.xml.xslt*
%{_datadir}/%{name}/info/gb.xml.xslt*

#-----------------------------------------------------------------------------

%package gb-data
Summary: The Gambas data component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-data
The Gambas data component.

%files gb-data

%{_libdir}/%{name}/gb.data*
%{_datadir}/%{name}/info/gb.data*

#-----------------------------------------------------------------------------

%package gb-complex
Summary: The Gambas complex component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-complex
This component allows you to work with complex numbers.

%files gb-complex

%{_libdir}/%{name}/gb.complex*
%{_datadir}/%{name}/info/gb.complex*

#-----------------------------------------------------------------------------

%package gb-args
Summary: The Gambas args component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-args
This component allows you to analyze command line arguments.
It should replace the unmaintained gb.option component.

%files gb-args

%{_libdir}/%{name}/gb.args*
%{_datadir}/%{name}/info/gb.args*

#-----------------------------------------------------------------------------

%package gb-httpd
Summary: The Gambas httpd component
Group: Development/Basic
Requires: %{name}-runtime = %{version}

%description gb-httpd
The Gambas httpd component.

%files gb-httpd

%{_libdir}/%{name}/gb.httpd*
%{_datadir}/%{name}/info/gb.httpd*

#-----------------------------------------------------------------------------

%package -n task-gambas3
Summary: Metapackage for Gambas3
Group: Development/Basic
Recommends: gambas3-examples
Requires: gambas3-devel
Requires: gambas3-gb-args
Requires: gambas3-gb-cairo
Requires: gambas3-gb-chart
Requires: gambas3-gb-clipper
Requires: gambas3-gb-clipper2
Requires: gambas3-gb-complex
Requires: gambas3-gb-compress
Requires: gambas3-gb-crypt
Requires: gambas3-gb-data
Requires: gambas3-gb-db
Requires: gambas3-gb-db-form
Requires: gambas3-gb-db2
Requires: gambas3-gb-db2-form
Requires: gambas3-gb-db-mysql
Requires: gambas3-gb-db-odbc
Requires: gambas3-gb-db-postgresql
%if %{with sqlite2}
Requires: gambas3-gb-db-sqlite2
%else
Obsoletes: gambas3-gb-db-sqlite2 < %{version}-%{release}
%endif
Requires: gambas3-gb-db-sqlite3
Requires: gambas3-gb-dbus
Requires: gambas3-gb-desktop
%ifnarch %arm
Requires: gambas3-gb-eval-highlight
%endif
Requires: gambas3-gb-form
Requires: gambas3-gb-form-dialog
Requires: gambas3-gb-form-editor
Requires: gambas3-gb-form-htmlview
Requires: gambas3-gb-form-mdi
Requires: gambas3-gb-form-print
Requires: gambas3-gb-form-stock
Requires: gambas3-gb-form-terminal
Requires: gambas3-gb-gmp
Requires: gambas3-gb-gsl
Requires: gambas3-gb-gtk3
Requires: gambas3-gb-gtk3-opengl
Requires: gambas3-gb-gtk3-webview
Requires: gambas3-gb-gtk3-x11
Requires: gambas3-gb-hash
Requires: gambas3-gb-highlight
Requires: gambas3-gb-httpd
Requires: gambas3-gb-image
Requires: gambas3-gb-image-effect
Requires: gambas3-gb-image-imlib
Requires: gambas3-gb-image-io
Requires: gambas3-gb-inotify
Requires: gambas3-gb-jit
Requires: gambas3-gb-libxml
Requires: gambas3-gb-logging
Requires: gambas3-gb-map
Requires: gambas3-gb-markdown
Requires: gambas3-gb-media
Requires: gambas3-gb-media-form
Requires: gambas3-gb-memcached
Requires: gambas3-gb-mongodb
Requires: gambas3-gb-mime
Requires: gambas3-gb-mysql
Requires: gambas3-gb-ncurses
Requires: gambas3-gb-net
Requires: gambas3-gb-net-curl
Requires: gambas3-gb-net-pop3
Requires: gambas3-gb-net-smtp
Requires: gambas3-gb-opengl
Requires: gambas3-gb-opengl-glsl
Requires: gambas3-gb-opengl-glu
Requires: gambas3-gb-opengl-sge
Requires: gambas3-gb-openssl
Requires: gambas3-gb-option
Requires: gambas3-gb-pcre
Requires: gambas3-gb-pdf
Requires: gambas3-gb-poppler
Requires: gambas3-gb-qt6
Requires: gambas3-gb-qt6-ext
Requires: gambas3-gb-qt6-opengl
Requires: gambas3-gb-qt6-wayland
%if %{with qt6webview}
Requires: gambas3-gb-qt6-webview
%endif
Requires: gambas3-gb-qt6-x11
Requires: gambas3-gb-report
Requires: gambas3-gb-report2
Requires: gambas3-gb-scanner
Requires: gambas3-gb-sdl
Requires: gambas3-gb-sdl2
Requires: gambas3-gb-sdl2-audio
Requires: gambas3-gb-sdl-sound
Requires: gambas3-gb-settings
Requires: gambas3-gb-signal
Requires: gambas3-gb-term
Requires: gambas3-gb-util
Requires: gambas3-gb-util-web
Requires: gambas3-gb-v4l
Requires: gambas3-gb-vb
Requires: gambas3-gb-web-feed
Requires: gambas3-gb-web
Requires: gambas3-gb-web-form
Requires: gambas3-gb-web-gui
Requires: gambas3-gb-xml
Requires: gambas3-gb-xml-html
Requires: gambas3-gb-xml-rpc
Requires: gambas3-gb-xml-xslt
Requires: gambas3-ide
Requires: gambas3-runtime
Requires: gambas3-script

%description -n task-gambas3
This package is a meta-package, meaning that its purpose is to contain
full list of dependencies for Gambas3.

%files -n task-gambas3

#-----------------------------------------------------------------------------

%prep
%autosetup -p1 -n gambas-%{version}

# remove not-workable examples
rm -rf app/examples/Games/Invaders
rm -rf app/examples/Multimedia/MediaPlayer

for i in $(find . -name "acinclude.m4");
do
  sed -i \
    -e 's|$AM_CFLAGS -O.|$AM_CFLAGS|g' \
    -e 's|$AM_CXXFLAGS -O.|$AM_CXXFLAGS|g' ${i}
done

# build plugin modules without version info
for i in $(find . -name "Makefile.am");
do
  sed -i -e '/LDFLAGS/s/-module/-module -avoid-version/g' $i
done

%build
%ifarch %{ix86} %{arm32}
export AM_CFLAGS="%{build_cflags} -Wno-incompatible-pointer-types"
export CFLAGS="$AM_CFLAGS"
%else
export AM_CFLAGS="%{build_cflags}"
export CFLAGS="$AM_CFLAGS"
%endif
export AM_CXXFLAGS="%{build_cxxflags}"
export CXXFLAGS="$AM_CXXFLAGS"

%set_build_flags
autoreconf -fi
for i in $(find -name configure)
do
  pushd $(dirname $i)
    %before_configure
  popd
done

%configure --disable-qt4 \
%if %{without qt5webkit}
           --disable-qt5webkit \
%endif
%if %{without qt6webview}
           --disable-qt6webview \
%endif
           --disable-gtk
%make_build

%install
%make_install

# According to upstream:
# Note that gb.la, gb.so, gb.so.0 and gb.so.0.0.0 do not need to be
# distributed. They are temporary files used for generating gb.info and gb.list
# only.
rm -f %{buildroot}%{_libdir}/%{name}/gb.so*

# No need for file in appdata and metainfo
rm -rf %{buildroot}%{_datadir}/appdata/gambas3.appdata.xml

# Resize icons
for png in 128x128 64x64 32x32 22x22 16x16; do
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/${png}/apps/
  convert -geometry $png app/desktop/%{name}.png %{buildroot}%{_iconsdir}/hicolor/${png}/apps/%{name}.png
done

# Install svg icon
install -D -m 644 app/desktop/%{name}.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

# Install .desktop file
install -D -m 644 app/desktop/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

# Install mime type
install -D -p -m 644 main/mime/application-x-gambas3.xml %{buildroot}%{_datadir}/mime/packages/gambas3.xml
install -D -p -m 644 main/mime/application-x-gambas3.png %{buildroot}%{_iconsdir}/hicolor/256x256/mimetypes/application-x-gambas3.png
install -D -p -m 644 app/mime/application-x-gambasscript.xml %{buildroot}%{_datadir}/mime/packages/gambasscript.xml
install -D -p -m 644 app/mime/application-x-gambasscript.png %{buildroot}%{_iconsdir}/hicolor/256x256/mimetypes/application-x-gambasscript.png

# Install examples
mkdir -p %{buildroot}%{_datadir}/%{name}/examples
cp -a app/examples/ %{buildroot}%{_datadir}/%{name}/
