%define api		1
%define	major		0
%define	libname		%mklibname %{name} %api %{major}
%define fammajor	0
%define	libfam		%mklibname fam %{fammajor}
%define develname	%mklibname gamin -d

%define	url_ver		%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:		Library providing the FAM File Alteration Monitor API
Name:			gamin
Version:		0.1.10
Release:		%mkrel 22
License:		LGPLv2+
Group:			Monitoring
URL:			https://www.gnome.org/~veillard/gamin/
Source0:		https://download.gnome.org/sources/%{name}/%{url_ver}/gamin-%{version}.tar.bz2
Patch0:			gamin-0.1.10-automak-1.13.patch
Patch1:			gamin-manape.patch
# (Anssi 01/2012) fix intermittent gam_server deadlock, submitted upstream at
# https://bugzilla.gnome.org/show_bug.cgi?id=667230
Patch2:			gamin-fix-deadlock.patch
Patch3:			gamin-return.patch
Patch4:			gamin-fam_abi_compatibility_FamErrlist.patch
Patch5:			gamin-missing-includes.patch
BuildRequires:		pkgconfig(glib-2.0)

%description
This C library provides an API and ABI compatible file alteration
monitor mechanism compatible with FAM but not dependent on a system wide
daemon.

%package -n %{libname}
Summary:		Dynamic library for Gamin
Group:			System/Libraries
Requires:		%{name} >= %{version}
Obsoletes:		%{_lib}gamin-1_0 < 0.1.10-9

%description -n %{libname}
This C library provides an API and ABI compatible file alteration
monitor mechanism compatible with FAM but not dependent on a system wide
daemon.

%package -n %{libfam}
Summary:                Dynamic library for Gamin
Group:                  System/Libraries
Requires:		%{name} >= %{version}
Conflicts:		%{_lib}gamin-1_0 < 0.1.10-9

%description -n %{libfam}
This C library provides an API and ABI compatible file alteration
monitor mechanism compatible with FAM but not dependent on a system wide
daemon.

%package -n %{develname}
Summary:		Libraries, includes, etc. to embed the Gamin library
Group:			Development/C
Requires:		%{name} = %{version}
Requires:		%{libname} = %{version}
Requires:		%{libfam} = %{version}
Provides:		%{name}-devel = %{version}-%{release}
Provides:		fam-devel = %{version}-%{release}

%description -n %{develname}
This C library provides an API and ABI compatible file alteration
monitor mechanism compatible with FAM but not dependent on a system wide
daemon.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure \
	--disable-static \
	--enable-inotify
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS ChangeLog README Copyright TODO
%{_libexecdir}/gam_server

%files -n %{libname}
%{_libdir}/libgamin-%{api}.so.%{major}{,.*}

%files -n %{libfam}
%{_libdir}/libfam.so.%{fammajor}{,.*}

%files -n %{develname}
%doc AUTHORS ChangeLog README Copyright TODO
%{_libdir}/lib*.so
%{_libdir}/libgamin_shared.a
%{_includedir}/fam.h
%{_libdir}/pkgconfig/gamin.pc
