%global __requires_exclude_from %{_docdir}/

%define major      8
%define libname    %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Name:			gammu
Version:		1.42.0
Release:		%mkrel 1
Summary:		Mobile phones tools for Unix (Linux) and Win32
License:		GPLv2+
Group:			Communications/Mobile
URL:			https://www.gammu.org/
Source0:		https://dl.cihar.com/gammu/releases/%{name}-%{version}.tar.xz
Source1:		69-gammu-acl.rules
BuildRequires:		cmake
BuildRequires:		doxygen
BuildRequires:		gettext-devel
BuildRequires:		mysql-devel
BuildRequires:		pkgconfig(bash-completion)
BuildRequires:		pkgconfig(bluez)
BuildRequires:		pkgconfig(dbi)
BuildRequires:		pkgconfig(gudev-1.0)
BuildRequires:		pkgconfig(libcurl)
BuildRequires:		pkgconfig(libpq)
BuildRequires:		pkgconfig(libusb-1.0)

%description
Gammu can do such things with cellular phones as making data calls,
updating the address book, changing calendar and ToDo entries, sending and
receiving SMS messages, loading and getting ring tones and pictures (different
types of logos), synchronizing time, enabling NetMonitor, managing WAP
settings and bookmarks and much more. Functions depend on the phone model.


%package -n %libname
Summary: Mobile phones tools for Unix (Linux) and Win32 (libraries)
Group: System/Libraries
Requires: %name >= %version-%release

%description -n %libname
Gammu can do such things with cellular phones as making data calls,
updating the address book, changing calendar and ToDo entries, sending and
receiving SMS messages, loading and getting ring tones and pictures (different
types of logos), synchronizing time, enabling NetMonitor, managing WAP
settings and bookmarks and much more. Functions depend on the phone model.


%package -n %libnamedev
Summary:		Headers and pkgconfig file for Gammu development
Group:			Development/Other
Requires:		%libname = %version-%release
Provides:		libgammu-devel = %version-%release
Provides:		%name-devel = %version-%release

%description -n %libnamedev
This package contains the headers and pkgconfig file that programmers
will need to develop applications which will use libGammu.

%prep
%setup -q

%build
%cmake -DINSTALL_LIB_DIR=%{_lib}
%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_sysconfdir}
sed -e 's|^port =.*$|port = /dev/ttyS0|' \
    -e 's|^connection =.*$|connection = dlr3|' \
    -e 's/$//' \
    < docs/config/gammurc > %{buildroot}%{_sysconfdir}/gammurc

mkdir -p %{buildroot}%{_udevrulesdir}
install -m644 %{SOURCE1} %{buildroot}%{_udevrulesdir}/69-gammu-acl.rules

%find_lang %{name} --all-name

%files -f %name.lang
%doc ChangeLog COPYING INSTALL.* README.*
%exclude /usr/share/doc/gammu/manual
%exclude /usr/share/doc/gammu/examples/
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/gammurc
%{_udevrulesdir}/*.rules
%{_datadir}/bash-completion/completions/gammu
%{_bindir}/gammu
%{_bindir}/gammu-smsd
%{_bindir}/gammu-smsd-inject
%{_bindir}/gammu-smsd-monitor
%{_bindir}/gammu-detect
%{_bindir}/jadmaker
%{_datadir}/gammu
%{_unitdir}/gammu-smsd.service
%{_mandir}/man1/gammu-detect.*
%{_mandir}/man1/gammu-smsd-inject.*
%{_mandir}/man1/gammu-smsd-monitor.1.*
%{_mandir}/man1/gammu-smsd.*
%{_mandir}/man1/gammu.*
%{_mandir}/man1/jadmaker.*
%{_mandir}/man[57]/*

%files -n %libname
%{_libdir}/*.so.%{major}{,.*}

%files -n %libnamedev
%{_bindir}/gammu-config
%{_libdir}/*.so
%{_includedir}/gammu/
%{_mandir}/man1/gammu-config.*
%{_libdir}/pkgconfig/*.pc
