Name:           gapi-ocaml
Version:        0.4.3
Release:        %mkrel 1
Summary:        A simple OCaml client for Google Services
License:        MIT
Group:          Development/OCaml

Url:            https://github.com/astrada/gapi-ocaml
Source0:        https://github.com/astrada/gapi-ocaml/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ocaml >= 3.12
BuildRequires:  ocaml-biniou
BuildRequires:  ocaml-ocamlbuild-devel
BuildRequires:  ocaml-findlib-devel >= 1.2.7
BuildRequires:  ocaml-ocamlnet-nethttpd-devel >= 3.3.5
BuildRequires:  ocaml-cryptokit-devel >= 1.3.14
BuildRequires:  ocaml-extlib-devel >= 1.5.1
BuildRequires:  ocaml-yojson-devel >= 1.0.2
BuildRequires:  ocaml-xmlm-devel >= 1.0.2
BuildRequires:  ocaml-ounit-devel >= 1.1.0
BuildRequires:  ocaml-curl-devel
BuildRequires:  ocaml-ocamlnet-devel
BuildRequires:  pkgconfig(zlib)
BuildRequires:  ocaml-dune
BuildRequires:  opam

%description
gapi-ocaml is a simple, unofficial, OCaml client for Google Services. The
library supports ClientLogin, OAuth 1.0a, and OAuth 2.0 authentication.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q

# require debug info
echo $'\ntrue: debug' >> _tags

%build
%dune_build

%install
%dune_install

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%check
%dune_check

%files -f .ofiles
%license LICENSE
%doc README.md

%files devel -f .ofiles-devel
%license LICENSE
