%define uname   garglk
%define rdns    io.github.garglk

Name:           gargoyle
Version:        2023.1
Release:        %mkrel 3
Summary:        Graphical player for Interactive Fiction games
Group:          Games/Adventure
# For the reference, Gargoyle used to include nonfree content,
# hence its previous packaged name gargoyle-free in sync with Debian.
# Now upstream has done great work on this and licenses are all free,
# check License.txt for details.
License:        GPLv3+ and BSD and MIT and Artistic 2.0 and OFL
URL:            https://ccxvii.net/gargoyle/
Source0:        https://github.com/garglk/garglk/archive/%{version}/%{uname}-%{version}.tar.gz
Patch0:         ftbfs_gcc14.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(speech-dispatcher)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(Qt6Core)
BuildRequires:  pkgconfig(Qt6Gui)
BuildRequires:  pkgconfig(Qt6Widgets)

Obsoletes:      gargoyle-free < 1:2019.1.1
Provides:       gargoyle-free = 1:%{version}-%{release}

%description
Gargoyle is an Interactive Fiction (text adventure) player that supports all
the major interactive fiction formats.

Most interactive fiction is distributed as portable game files. These portable
game files come in many formats. In the past, you used to have to download a
separate player (interpreter) for each format of IF you wanted to play.
Instead, Gargoyle provides an unified player.

Gargoyle is based on the standard interpreters for the formats it supports:
Adrift, AdvSys, AGiliTy, Alan2, Alan3, Quest, JACL, Level 9, Magnetic, SAGA,
TADS2, TADS3, Z-code and Glulxe.

Gargoyle also features graphics, sounds and Unicode support.

You can find hundreds of games at :
- the IF database : http://ifdb.tads.org
- the IF archive : http://ifarchive.org

Limitations:
* While Gargoyle can display in-game pictures, it does not provide a way to
display the cover art present in some Blorb archives.

* The TADS interpreter doesn't support HTML TADS; you can play the games, but
will miss the hyperlinks.

%prep
%autosetup -p1 -n %{uname}-%{version}

%build
%cmake \
  -DWITH_QT6=ON \
  -DBUILD_SHARED_LIBS=OFF \
  -DCMAKE_INSTALL_BINDIR=%{_gamesbindir} \
  -DINSTALL_GARGLKINI=ON
%cmake_build

%install
%cmake_install

# Not packaging shared library for now.
rm -rf %{buildroot}%{_libdir}
rm -rf %{buildroot}%{_includedir}

%files
%license License.txt licenses/*
%doc README.md
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{rdns}.Gargoyle.desktop
%{_datadir}/applications/%{rdns}.GargoyleEditConfig.desktop
%{_datadir}/fonts/%{name}/
%{_metainfodir}/%{rdns}.Gargoyle.appdata.xml
%{_datadir}/mime/packages/interactive-fiction.xml
%{_datadir}/%{rdns}/
%{_iconsdir}/%{rdns}.Gargoyle.png
%{_iconsdir}/hicolor/32x32/mimetypes/*.png
%{_libexecdir}/%{name}/
%{_mandir}/man6/%{name}.6*
%config %{_sysconfdir}/garglk.ini
