%define major 4
%define libname %mklibname garmintools %{major}
%define develname %mklibname garmintools -d

%if %{mgaversion} < 3
%define _udevrulesdir %{_sysconfdir}/udev/rules.d
%endif

Summary:	Communication tools for Garmin devices
Name:		garmintools
Version:	0.10
Release:	%mkrel 12
License:        GPLv2+
Group:		File tools
URL:		https://code.google.com/p/garmintools/
Source0:	http://garmintools.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:	51-garmin.rules
Source2:	garmintools.conf
Patch0:		garmintools-0.10-linkage_fix.diff
Patch1:		garmintools-0.10-mgabug14297.diff
BuildRequires:	pkgconfig(libusb)
BuildRequires:	pkgconfig(libgarmin)
Requires:	udev

%description
This software provides Linux users with the ability to communicate with the
Garmin Forerunner 305 via the USB interface. All of the documented Garmin
protocols as of Rev C (May 19, 2006) for the USB physical link implemented.
This means that if you have a Garmin with a USB connection to a PC, you ought
to be able to use this software to communicate with it.

%package -n	%{libname}
Summary:	Shared library for garmintools
Group:		System/Libraries

%description -n	%{libname}
This software provides Linux users with the ability to communicate with the
Garmin Forerunner 305 via the USB interface. All of the documented Garmin
protocols as of Rev C (May 19, 2006) for the USB physical link implemented.
This means that if you have a Garmin with a USB connection to a PC, you ought
to be able to use this software to communicate with it.

%package -n	%{develname}
Summary:	Development and documentation files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Development libraries, header files and documentation for %{name}.

%prep
%setup -q
%patch -P 0 -p0
%patch -P 1 -p1

%build
mkdir -p python
touch python/Makefile.in
autoreconf -fi

%configure \
    --enable-static=no

%make_build

%install
%make_install

install -d %{buildroot}%{_udevrulesdir}
install -d %{buildroot}%{_sysconfdir}/modprobe.d
install -m0644 %{SOURCE1} %{buildroot}%{_udevrulesdir}/51-garmin.rules
install -m0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/modprobe.d/garmintools.conf

find %{buildroot} -name '*.la' -delete

%post -n %{libname}
# remove garmin_gps module if loaded, see README
rmmod garmin_gps &>/dev/null || true

%files
%{_bindir}/*
%{_mandir}/man*/*.1*

%files -n %{libname}
%doc AUTHORS ChangeLog README
%{_libdir}/lib%{name}.so.%{major}{,.*}
%config(noreplace) %{_udevrulesdir}*
%config(noreplace) %{_sysconfdir}/modprobe.d/*

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/lib%{name}.so
