%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:           gaupol
Summary:        Subtitle editor
Version:        1.15
Release:        %mkrel 2
License:        GPLv3+
Group:          Video/Editors and Converters
URL:            https://otsaloma.io/gaupol/
Source0:        https://github.com/otsaloma/gaupol/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:	desktop-file-utils
BuildRequires:	python3-devel
Requires:	%{name}-i18n = %{version}-%{release}
Requires:	python3-gobject3 >= 3.6.0
Requires:	python3-aeidon
# integrated video player
Recommends:	gstreamer1.0-plugins-base
Recommends:	gstreamer1.0-plugins-good
# spell-check
Recommends:	python3-enchant
# character encoding auto-detection
Recommends:	python3-chardet
# translations
Recommends:	iso-codes
# external preview
Recommends:	mplayer

%description
Editor for text-based subtitle files. It supports multiple subtitle file
formats and provides means of correcting texts and timing subtitles to match
video. The user interface is designed with attention to batch processing of
multiple documents and convenience of translating.

%package i18n
Summary:	Internationalization and locale data for gaupol and python-aeidon
Group:		System/Internationalization

%description i18n
Internationalization and locale data for %{name} and python-aeidon.

%package -n python3-aeidon
Summary:	Python package for reading, writing and manipulating text-based subtitle files
Group:		Development/Python
Url:		http://download.gna.org/gaupol/doc/api/aeidon.html
Provides:	aeidon = %{version}-%{release}
Requires:	%{name}-i18n = %{version}-%{release}
Requires:	iso-codes
Recommends:	python3-chardet
Recommends:	python3-enchant

%description -n python3-aeidon
aeidon is a Python package that provides classes and functions for dealing
with text-based subtitle files of many different formats. Functions exist
for reading and writing subtitle files as well as manipulating subtitle data,
i.e. positions (times or frames) and texts.

%prep
%autosetup -p1

%build
%py3_build

%install
%{python3} setup.py \
	--without-iso-codes \
	clean install \
	--root=%{buildroot} \
	--prefix=%{_prefix} \
	--no-compile

%find_lang %{name}

%files i18n -f %{name}.lang

%files
%license COPYING
%doc AUTHORS.md NEWS.md README.md
%{_bindir}/gaupol
%{python3_sitelib}/gaupol*
%{_datadir}/applications/io.otsaloma.gaupol.desktop
%{_mandir}/man1/gaupol.1*
%dir %{_datadir}/gaupol/
%{_datadir}/gaupol/ui/
%{_datadir}/gaupol/extensions/
%{_datadir}/icons/hicolor/*/apps/io.otsaloma.gaupol{,-symbolic}.*
%{_metainfodir}/io.otsaloma.gaupol.appdata.xml

%files -n python3-aeidon
%license COPYING
%doc README.aeidon.md
%{python3_sitelib}/aeidon/
# aeidon shares data file location with gaupol
%dir %{_datadir}/gaupol/
%{_datadir}/gaupol/headers/
%{_datadir}/gaupol/patterns/
