%define major     1
%define libname   %mklibname gavl %major
%define develname %mklibname gavl -d

Name:           gavl
Version:        1.4.0
Release:        %mkrel 13
Summary:        A library for handling uncompressed audio and video data
Group:          System/Libraries
License:        GPLv2+
URL:            https://gmerlin.sourceforge.net/
Source0:        https://downloads.sourceforge.net/gmerlin/gavl-%{version}.tar.gz
Patch1:         gavl-1.1.1-system_libgdither.patch
Patch2:         gavl-autoconf.patch
Patch3:         gavl-configure-c99.patch
Patch4:         gavl-c99.patch
BuildRequires:  libtool
BuildRequires:  doxygen
BuildRequires:  pkgconfig(libpng) >= 1.0.8
BuildRequires:  pkgconfig(libgdither)

%description
Gavl is a library for handling and converting uncompressed audio and
video data. It provides datatypes for audio/video formats and standardized
structures to store the data. It supports converting between all formats.
Some conversion functions are available in multiple versions (MMX...),
which are selected by compile time configuration, CPU autodetection and
user options.

%package -n     %libname
Summary:        A library for handling uncompressed audio and video data
Group:          System/Libraries

%description -n %libname
Gavl is a library for handling and converting uncompressed audio and
video data. It provides datatypes for audio/video formats and standardized
structures to store the data. It supports converting between all formats.
Some conversion functions are available in multiple versions (MMX...),
which are selected by compile time configuration, CPU autodetection and
user options.

%package -n     %develname
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %develname
This package contains libraries and header files for developing applications
that use %{name}.

%prep
%autosetup -p1

# (Fedora) Disable buildtime cpu detection
sed -i -i 's/LQT_TRY_CFLAGS/dnl LQT_TRY_CFLAGS/g' configure.ac
sed -i -i 's/LQT_OPT_CFLAGS/dnl LQT_OPT_CFLAGS/g' configure.ac

%build
autoreconf -vfi
%configure \
  --disable-static \
  --disable-cpu-clip \
  --enable-libgdither

%make_build

%install
%make_install mkdir_p="mkdir -p"

# don't ship .la
find %{buildroot} -name '*.la' -delete

# (Fedora) Prevent timestamps build difference
touch -r include/gavl/gavl.h %{buildroot}%{_includedir}/gavl/gavl_version.h

%files -n %libname
%doc AUTHORS README TODO
%{_libdir}/*.so.%{major}{,.*}

%files -n %develname
%doc %{_docdir}/gavl/apiref/
%{_includedir}/gavl/
%{_libdir}/*.so
%{_libdir}/pkgconfig/gavl.pc
