# The hardening flags cause gawk to core dump on the pma test
%undefine _hardened_build

Summary:	The GNU version of the awk text processing utility
Name:		gawk
Version:	5.3.2
Release:	%mkrel 1
License:	GPLv3+
Group:		Text tools
URL:		https://www.gnu.org/software/gawk/gawk.html
Source0:	https://ftp.gnu.org/gnu/gawk/%{name}-%{version}.tar.xz
Source1:	https://ftp.gnu.org/gnu/gawk/%{name}-3.1.6-ps.tar.gz

# Upstream stable branch fixes
# https://git.savannah.gnu.org/cgit/gawk.git/log/?h=gawk-5.2-stable

Provides:	awk
BuildRequires:	byacc
BuildRequires:	gettext-devel
BuildRequires:	libsigsegv-devel >= 2.8
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	texinfo
# Extending GAWK possibilities:
BuildRequires:	libsigsegv-devel
BuildRequires:	mpfr-devel
BuildRequires:	pkgconfig(readline)
# This allows some locale specific tests to pass
BuildRequires:	locales-en
Requires(pre):	filesystem >= 2.1.9-18
Conflicts:      mkbootdisk < 1.5.4

%description
The gawk packages contains the GNU version of awk, a text processing
utility.  Awk interprets a special-purpose programming language to do
quick and easy text pattern matching and reformatting jobs. Gawk should
be upwardly compatible with the Bell Labs research version of awk and
is almost completely compliant with the 1993 POSIX 1003.2 standard for
awk.

Install the gawk package if you need a text processing utility. Gawk is
considered to be a standard Linux tool for processing text.

%package	doc
Summary:	Documentation about the GNU version of the awk text processing utility
Group:		Documentation

%description	doc
The gawk packages contains the GNU version of awk, a text processing
utility.  Awk interprets a special-purpose programming language to do
quick and easy text pattern matching and reformatting jobs. Gawk should
be upwardly compatible with the Bell Labs research version of awk and
is almost completely compliant with the 1993 POSIX 1003.2 standard for
awk.

%prep
%autosetup -p1 -b 1

# This disables a test ("time.awk" / "time.ok" ) that sometimes fails on the
# build system
echo 'BEGIN { printf "%%d\n", 1; }' > test/time.awk
echo '1' > test/time.ok

mv ../%{name}-3.1.6/doc/*.ps doc
rm -rf ../%{name}-3.1.6

%build
%configure
%make_build

%check
make check

%install
%make_install

%find_lang %{name}

ln -s gawk.1 %{buildroot}%{_mandir}/man1/awk.1
rm %{buildroot}%{_bindir}/gawk-%{version}

%files -f %{name}.lang
%{_bindir}/*
%{_mandir}/*/*
%{_infodir}/*
%{_libexecdir}/awk
%{_datadir}/awk
%{_libdir}/gawk
%{_includedir}/gawkapi.h
%{_sysconfdir}/profile.d/*

%files doc
%doc README INSTALL NEWS
%doc README_d POSIX.STD doc/*.ps
