# https://fedoraproject.org/wiki/Packaging/Debuginfo#Useless_or_incomplete_debuginfo_packages_due_to_other_reasons
%global debug_package %{nil}

Summary:	A brain teaser game and trainer to have fun and to keep your brain trained
Name:		gbrainy
Version:	2.4.6
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		https://wiki.gnome.org/Apps/gbrainy
Source0:	https://gent.softcatala.org/jmas/%{name}/%{name}-%{version}.tar.gz
ExclusiveArch:	x86_64 %{ix86}
BuildRequires:	gnome-common
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	mono-devel
BuildRequires:	yelp-devel
BuildRequires:	pkgconfig(gtk-sharp-3.0)
BuildRequires:	pkgconfig(libcanberra-gtk3)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(adwaita-icon-theme)

%description
gbrainy is a brain teaser game and trainer to have fun and to keep your brain
trained.

It provides the following types of games:
 * Logic puzzles. Games designed to challenge your reasoning and thinking
   skills.
 * Mental calculation. Games based on arithmetical operations designed to
   prove your mental calculation skills.
 * Memory trainers. Games designed to challenge your short term memory.
 * Verbal analogies. Games that challenge your verbal aptitude.

%prep
%setup -q
%autopatch -p1

#fix requires
sed -i \
  -e 's#libcanberra-gtk-3-0#libcanberra-gtk3#g' \
  configure.ac

%build
autoreconf -vfi
%configure \
	--disable-static \
	--bindir=%{_gamesbindir}
make

%install
%make_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README
%{_gamesbindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man6/*
%{_datadir}/pixmaps/*
%{_datadir}/metainfo/%{name}.appdata.xml
%{_gamesdatadir}/%{name}/
