%define	major		1
%define libname		%mklibname %{name} %{major}
%define libcord		%mklibname cord %{major}
%define libgccpp	%mklibname gccpp %{major}
%define libgctba	%mklibname gctba %{major}
%define develname	%mklibname %{name} -d

Name:		gc
Version:	8.2.4
Release:	%mkrel 2
Summary:	Conservative garbage collector for C
License:	BSD
Group:		System/Libraries
URL:		https://www.hboehm.info/gc/
Source0:	https://github.com/ivmai/bdwgc/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
## https://www.hboehm.info/gc/ says: "Starting with 8.0, libatomic_ops is only
#  required if the compiler does not understand C atomics."
#BuildRequires: pkgconfig(atomic_ops) >= 7.4

%description
Boehm's GC is a garbage collecting storage allocator that is intended to be
used as a plug-in replacement for C's malloc.


%package -n	%{libname}
Summary:	Conservative garbage collector for C
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
Boehm's GC is a garbage collecting storage allocator that is intended to be
used as a plug-in replacement for C's malloc.

%package -n	%{libcord}
Summary:	Conservative garbage collector for C
Group:		System/Libraries
Conflicts:	%{_lib}gc1 < 8.0.4-4

%description -n	%{libcord}
This package contains a shared library for %{name}.

%package -n	%{libgccpp}
Summary:	Conservative garbage collector for C
Group:		System/Libraries
Conflicts:	%{_lib}gc1 < 8.0.4-4

%description -n	%{libgccpp}
This package contains a shared library for %{name}.

%package -n	%{libgctba}
Summary:	Conservative garbage collector for C
Group:		System/Libraries
Conflicts:	%{_lib}gc1 < 8.0.4-4

%description -n	%{libgctba}
This package contains a shared library for %{name}.

%package -n	%{develname}
Summary:	Development files and documentation for Bohem's GC
Group:		Development/C
License:	BSD
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libcord} = %{version}-%{release}
Requires:	%{libgccpp} = %{version}-%{release}
Requires:	%{libgctba} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Header files and documentation needed to develop programs that use Bohem's GC.

%prep
%autosetup -p1

%build
# Use -Dwith_libatomic_ops=ON in case the C compiler does not
# understand GCC atomic intrinsics
%cmake \
    -Denable_cplusplus=ON      \
    -Denable_large_config=ON   \
    %nil
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_docdir}/gc/

%check
make test -C build

%files -n %{libname}
%doc README.md README.QUICK
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{libcord}
%{_libdir}/libcord.so.%{major}{,.*}

%files -n %{libgccpp}
%{_libdir}/libgccpp.so.%{major}{,.*}

%files -n %{libgctba}
%{_libdir}/libgctba.so.%{major}{,.*}

%files -n %{develname}
%doc doc/README.environment doc/README.linux
%doc doc/*.md
%{_libdir}/lib*.so
%{_includedir}/%{name}/
%{_includedir}/%{name}*.h
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/bdwgc/
%{_mandir}/man?/%{name}.3.*
