%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define api 1.0
%define major 0
%define libname	%mklibname %{name} %{api} %{major}
%define girname	%mklibname %{name}-gir %{api}
%define devname	%mklibname -d %{name}

Summary:	Tool and library mainly made to create Cabinet files
Name:		gcab
Version:	1.6
Release:	%mkrel 1
Group:		Development/Databases
License:	GPLv2+
Url:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/gcab/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	git-core
BuildRequires:	meson
BuildRequires:	vala-tools
BuildRequires:	pkgconfig(gobject-introspection-1.0)

%description
Tool and library mainly made to create Cabinet files.
 - creation supports plain and basic MSZIP compression
 - can open and list files from cabinet, no extraction

%package -n	%{libname}
Summary:	A support library for %{name}
Group:		System/Libraries

%description -n	%{libname}
A support library for %{name}.

%package -n	%{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}
Requires:	%{girname} = %{version}

%description -n	%{devname}
Development files for %{name}.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/gcab
%{_mandir}/man1/gcab.1*

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GCab-%{api}.typelib

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/gcab
%{_includedir}/lib%{name}-%{api}/*
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/GCab-%{api}.gir
%{_datadir}/vala/vapi/libgcab-%{api}.*
