%global __requires_exclude typelib\\\(AppIndicator\\\)

Name:		gcdemu
Version:	3.2.6
Summary:	GTK+ based GUI for controlling CDEmu daemon
Release:	%mkrel 2
Group:		Emulators
License:	GPLv2+
URL:		https://cdemu.sourceforge.io/
Source:		https://downloads.sourceforge.net/cdemu/%{name}-%{version}.tar.xz
Patch0:		gcdemu-3.2.5-fix-install.patch
Patch1:		0001-Port-to-Ayatana-AppIndicator.patch
BuildArch:	noarch
BuildRequires:	python3
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	intltool
BuildRequires:	cmake
# for cdemu daemon interface v3
Requires:	cdemu-daemon >= %{version}
Requires:	python3dist(pygobject)

%description
This is gCDEmu, a Gtk+ based GUI for controlling CDEmu daemon. It is part of the
userspace-cdemu suite, a free, GPL CD/DVD-ROM device emulator for linux.

It provides a graphic interface that allows performing the key tasks related to
controlling the CDEmu daemon, such as loading and unloading devices, displaying
devices' status and retrieving/setting devices' debug masks.

In addition, it listens to signals emitted by CDEmu daemon and provides
notifications via libnotify.

%prep
%setup -q
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%find_lang %{name}

%pre
# drop previously used schema file, from %%preun_uninstall_gconf_schemas:
if [ -e %{_sysconfdir}/gconf/schemas/gcdemu.schemas -a -x %{_gconftool_bin} ]; then
	GCONF_CONFIG_SOURCE=`%{_gconftool_bin} --get-default-source` %{_gconftool_bin} --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gcdemu.schemas > /dev/null || true
fi

%files -f %{name}.lang
%doc README AUTHORS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}*.svg
%{_datadir}/glib-2.0/schemas/net.sf.cdemu.gcdemu.gschema.xml
