# comment out if not beta
#define betaver 0

# release for bumping
%define rel 5

%define libname %mklibname %{name} 1

Summary:	An input method server for traditional Chinese
Name:		gcin
Version:	2.9.0
Release:	%mkrel %{?betaver:0.%betaver.}%{rel}
License:	LGPLv2+
Group:		System/Internationalization
URL: 		https://hyperrate.com/dir.php?eid=67
Source0:	https://hyperrate.com/gcin-source/%{name}-%{version}%{?betaver:.%betaver}.tar.xz
Patch0:		0002-Fix-FTBFS-on-big-endian.patch
# Paches from debian
Patch12:	0013-Use-ayatana-indicator.patch
Patch13:	0013-Fix-implicit-function-declaration.patch
Patch14:	0014-Fix-build-with-GCC-14.patch
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(ayatana-appindicator3-0.1)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(anthy)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	qt5platformsupport-devel
BuildRequires:	pkgconfig(libcurl)
#Upstream disabled chewing support
#BuildRequires:	libchewing-devel
Recommends:	%{name}-gtk2 = %{version}-%{release}
Recommends:	%{name}-gtk3 = %{version}-%{release}
Requires:	locales-zh

Obsoletes:	gcin-qt4 < 2.9.0-4

%description
gcin is a Chinese input method server for traditional Chinese.
It features a better GTK user interface.

%package	gtk2
Summary:	gtk2 immodule for gcin
Group:		System/Internationalization
Requires:	%name = %{version}-%{release}

%description	gtk2
This is the gtk2 immodule support for gcin.

%package	gtk3
Summary:	gtk3 immodule for gcin
Group:		System/Internationalization
Requires:	%name = %{version}-%{release}

%description	gtk3
This is the gtk3 immodule support for gcin.

%package	qt5
Summary:	Qt5 immodule for gcin
Group:		System/Internationalization
Requires:	%name = %{version}-%{release}

%description	qt5
This is the qt5 immodule support for gcin.

%package	anthy
Summary:	Anthy module for gcin
Group:		System/Internationalization
Requires:	%name = %{version}-%{release}

%description	anthy
This is the anthy input method support for gcin.

%prep
%autosetup -p1 -n %{name}-%{version}%{?betaver:.%betaver}

%build
%define _disable_ld_no_undefined 1
%configure
# (tv) disable parallel build (broken):
make OPTFLAGS="%{optflags} -fPIC" \
     EXTRA_LDFLAGS="%{?ldflags}" \
     CC="gcc %{?ldflags}" CCLD="gcc %{?ldflags}"

%install
# fix installing in proper path on x86_64:
%make_install libdir=%buildroot%_libdir
rm -fr %buildroot%_docdir/
rm -fr %buildroot%_libdir/menu/

# remove unneeded files
rm -rf %{buildroot}%{_includedir}

%files anthy
%{_libdir}/gcin/anthy-module.so

%files
%doc AUTHORS Changelog.html README*
%license COPYING
%{_bindir}/*
%{_datadir}/applications/gcin-tools.desktop
%{_datadir}/gcin/
%{_iconsdir}/gcin/
%{_iconsdir}/hicolor/*/apps/gcin.png
%dir %{_libdir}/gcin/
%{_libdir}/gcin/*
%exclude %{_libdir}/gcin/anthy-module.so

%files gtk2
%{_libdir}/gtk-2.0/immodules/*.so

%files gtk3
%{_libdir}/gtk-3.0/immodules/*.so

%files qt5
%{_qt5_plugindir}/platforminputcontexts/*.so
