Name:           gcompris-qt
Version:        25.0.12
Release:        %mkrel 1
Summary:        "J'ai compris" / I Have Understood, the new QT based version
License:        AGPLv3
Group:          Education
Url:            https://gcompris.net/
Source0:        https://gcompris.net/download/qt/src/%{name}-%{version}.tar.xz
# from https://cdn.kde.org/gcompris/data2
Source1:        gcompris-qt-voices-2023-11-21.tar.xz
Source10:       fetch_data2.sh
Patch0:         0001-Update-to-latest-qml-box2d-git-snapshot-2022-08-25.patch
Patch1:         gcompris-qt-set-qt_helper-for-qt6.patch

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Sensors)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6QuickControls2Basic)
BuildRequires:  cmake(Qt6QuickControls2BasicStyleImpl)
BuildRequires:  cmake(Qt6QuickTemplates2)
BuildRequires:  cmake(Qt6Charts)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6QmlWorkerScript)
BuildRequires:  cmake(Qt6WaylandClient)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6DocTools)

BuildRequires:  pkgconfig(box2d)
BuildRequires:  qml-box2d
BuildRequires:  xmllint
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

Requires:       %{name}-activities = %{version}
Requires:       %{name}-translations = %{version}
Requires:       %{name}-voices = %{version}

Requires:       qml-box2d
# needs libqwebp.so to load webp images (thanks to Timothée)
Requires:       qt6-qtimageformats
Requires:       qt6-qtmultimedia
Requires:       qt6-qtdeclarative
Requires:       qt6-qtsvg

Provides:       gcompris
Obsoletes:      gcompris < 15.10-6
Obsoletes:      gcompris-boards < 15.10-6

%description
GCompris-Qt is a high quality educational software suite comprising
of numerous activities for children aged 2 to 10. Some of the
activities are game orientated, but nonetheless still educational.

Currently GCompris offers in excess of 190 activities and more
are being developed. GCompris is free software, that means that
you can use it as you wish, adapt it to your own needs, improve
 it, and, most importantly, share it with everyone.

This version is a full rewrite of GCompris using the QtQuick
technology. It is developed within the KDE community and is
part of the GNU Project.
For such reason, it will only available for recent platforms.

Goal:
There are many simple activities dedicated to children on any
platforms, desktops, web and tablets. When they exist, they are
hard to find and request the teacher or parent to manage a lot
of independent small tools.

GCompris is an educational suite of activities all accessible
from a single unified user interface.

How:
GCompris is designed in a way that it is easy to add new activities
to it. The activity is free to implement the game scheme it wants.
The status bar is a common facility provided to the activities.

GCompris provides some tools to let teacher/educator to easily
add activities to GCompris.

This package contains the main binary. We recommend you to install
%{name}-activities and %{name}-translations.

A %{name}-voices is also proposed for a full offline experience.

%package activities
Group:          Education
Summary:        Activities files
Requires:       %{name} = %{version}

%description activities
This package contains the bundle of %{name} activities.
More than 100 activities are available.
You can add the translations and voices packages to your system,
to benefit a full offline experience.


%package translations
Group:          Education
Summary:        Translations files
Requires:       %{name} = %{version}

%description translations
This package contains the bundle of %{name} translations.
More than 30 languages are available, and allow you to run
%{name} in different languages, and play activities.


#The voices packages
%package voices
Summary:        Voices pack for %{name}
Group:          Education
Requires:       %{name} = %{version}
Provides:       gcompris-voices = %{version}
Obsoletes:      gcompris-music < 15.10-6
Obsoletes:      gcompris-sounds-af < 15.10-6
Obsoletes:      gcompris-sounds-ar < 15.10-6
Obsoletes:      gcompris-sounds-ast < 15.10-6
Obsoletes:      gcompris-sounds-bg < 15.10-6
Obsoletes:      gcompris-sounds-br < 15.10-6
Obsoletes:      gcompris-sounds-cs < 15.10-6
Obsoletes:      gcompris-sounds-da < 15.10-6
Obsoletes:      gcompris-sounds-de < 15.10-6
Obsoletes:      gcompris-sounds-el < 15.10-6
Obsoletes:      gcompris-sounds-en < 15.10-6
Obsoletes:      gcompris-sounds-eo < 15.10-6
Obsoletes:      gcompris-sounds-es < 15.10-6
Obsoletes:      gcompris-sounds-eu < 15.10-6
Obsoletes:      gcompris-sounds-fi < 15.10-6
Obsoletes:      gcompris-sounds-fr < 15.10-6
Obsoletes:      gcompris-sounds-he < 15.10-6
Obsoletes:      gcompris-sounds-hi < 15.10-6
Obsoletes:      gcompris-sounds-hu < 15.10-6
Obsoletes:      gcompris-sounds-id < 15.10-6
Obsoletes:      gcompris-sounds-it < 15.10-6
Obsoletes:      gcompris-sounds-mr < 15.10-6
Obsoletes:      gcompris-sounds-nb < 15.10-6
Obsoletes:      gcompris-sounds-nl < 15.10-6
Obsoletes:      gcompris-sounds-nn < 15.10-6
Obsoletes:      gcompris-sounds-pa < 15.10-6
Obsoletes:      gcompris-sounds-pt < 15.10-6
Obsoletes:      gcompris-sounds-pt_BR < 15.10-6
Obsoletes:      gcompris-sounds-ru < 15.10-6
Obsoletes:      gcompris-sounds-sl < 15.10-6
Obsoletes:      gcompris-sounds-so < 15.10-6
Obsoletes:      gcompris-sounds-sr < 15.10-6
Obsoletes:      gcompris-sounds-sv < 15.10-6
Obsoletes:      gcompris-sounds-th < 15.10-6
Obsoletes:      gcompris-sounds-tr < 15.10-6
Obsoletes:      gcompris-sounds-ur < 15.10-6
Obsoletes:      gcompris-sounds-zh_CN < 15.10-6

%description voices
This is voices packages for %{name}. This a full bundle useful if
you don't want to use the automatic online feature.

This allow you to play %{name} activities in different languages.


%prep
%autosetup -p1

%build
%cmake_qt6 \
      -DCMAKE_SKIP_RPAH=ON \
      -DBUILD_TESTING=ON \
      -DQML_BOX2D_MODULE=system

%cmake_build
# Build translations too.
%cmake_build -t BuildTranslations

%install
%cmake_install

mkdir -p %{buildroot}%{_kf6_datadir}/KDE/%{name}
cd %{buildroot}%{_kf6_datadir}/KDE/%{name}
tar -xJf %{S:1}

%files
%doc README.md
%license LICENSES/*
%{_kf6_bindir}/%{name}
%{_kf6_applicationsdir}/org.kde.gcompris.desktop
%{_kf6_datadir}/metainfo/org.kde.gcompris.appdata.xml
%{_kf6_iconsdir}/hicolor/256x256/apps/gcompris-qt.png
%{_kf6_iconsdir}/hicolor/scalable/apps/gcompris-qt.svg
%{_kf6_datadir}/KDE/%{name}/data2/words/

%files activities
%doc README.md
%license LICENSES/*
#Activities
%dir %{_kf6_datadir}/%{name}
%dir %{_kf6_datadir}/%{name}/rcc
%{_kf6_datadir}/%{name}/rcc/*.rcc

%files translations
%doc README.md
%license LICENSES/*
%dir %{_kf6_datadir}/%{name}
%dir %{_kf6_datadir}/%{name}/translations
%{_kf6_datadir}/%{name}/translations/*.qm

%files voices
%doc README.md
%license LICENSES/*
%dir %{_kf6_datadir}/KDE/
%dir %{_kf6_datadir}/KDE/%{name}/
%dir %{_kf6_datadir}/KDE/%{name}/data2
%{_kf6_datadir}/KDE/%{name}/data2/voices-ogg/
%{_kf6_datadir}/KDE/%{name}/data2/backgroundMusic/
