%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	An editor for the GConf configuration system
Name:		gconf-editor
Version:	3.0.1
Release:	%mkrel 13
URL:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
#gw the COPYING is v3 but all comments say v2+
#
# See https://bugzilla.gnome.org/show_bug.cgi?id=670586
Patch0:		gconf-editor-3.0.1-fix-assertion-failed-crash.patch
# See https://bugzilla.gnome.org/show_bug.cgi?id=675392
Patch1:		gconf-editor-3.0.1-drop-use-gtk-accel-maps.patch
License:	GPLv2+
Group:		Graphical desktop/GNOME
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	gnome-doc-utils
BuildRequires:	libxslt-proc
BuildRequires:	gnome-common
BuildRequires:	scrollkeeper
Requires(post):		scrollkeeper
Requires(postun):	scrollkeeper

%description
gconf-edit is an editor for the GConf configuration system.

%prep
%setup -q
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

rm -rf %{buildroot}/var/lib/scrollkeeper

desktop-file-install --vendor="" \
  --remove-category="System" \
  --add-category="Settings" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name} --with-gnome
for omf in %buildroot%_datadir/omf/%name/%name-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/%name-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done

%preun
%preun_uninstall_gconf_schemas %{name}

%files -f %{name}.lang
%doc README AUTHORS NEWS
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/%{name}
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%dir %{_datadir}/omf/%{name}
%{_datadir}/omf/%{name}/*-C.omf
