# TODO:
# - better descriptions
# - more ?

%define major_gck	0
%define api_gck         1

%define major_gcr	1
%define api_gcr		3

%define girmajor_gcr	3
%define girmajor_gck	1

%define libnamebase	%mklibname gcr-base %{api_gcr} %{major_gcr}
%define libnameui	%mklibname gcr-ui %{api_gcr} %{major_gcr}
%define libnamegck	%mklibname gck %{api_gck} %{major_gck}

%define girname		%mklibname gcr-gir %{girmajor_gcr}
%define girnamegck	%mklibname gck-gir %{girmajor_gck}
%define girnameui	%mklibname gcr-ui-gir %{girmajor_gcr}

%define libnamedev	%mklibname -d gcr

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	A library for bits of crypto UI and parsing
Name:		gcr
Version:	3.41.2
Release:	%mkrel 1
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
URL:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	gi-docgen
BuildRequires:	gnupg2
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	libtasn1-tools
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:	pkgconfig(p11-kit-1)
BuildRequires:	pkgconfig(libtasn1)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	gnome-common
BuildRequires:	meson
BuildRequires:  openssh-clients
BuildRequires:  systemd-devel
Recommends:	gnupg2

%description
A library for bits of crypto UI and parsing etc.

This package also contains the gcr-viewer binary.

%package -n %{libnamegck}
Group:		System/Libraries
Summary:	Library for integration with the gnome keyring system

%description -n %{libnamegck}
This package contains shared libraries for Gnome keyring.

%package -n %{libnamebase}
Group:          System/Libraries
Summary:        Library for integration with the gnome keyring system
Obsoletes:      %{_lib}gcr3_1 < 3.41.2

%description -n %{libnamebase}
This package contains shared libraries for Gnome keyring.

%package -n %{libnameui}
Group:          System/Libraries
Summary:        Library for integration with the gnome keyring system

%description -n %{libnameui}
This package contains shared libraries for Gnome keyring.

%package -n %{libnamedev}
Group:		Development/C
Summary:	Development files and headers for %{name}
Requires:	%{libnamegck} = %{version}-%{release}
Requires:	%{libnamebase} = %{version}-%{release}
Requires:	%{libnameui} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Requires:	%{girnamegck} = %{version}-%{release}
Requires:	%{girnameui} = %{version}-%{release}
Provides:	libgcr-devel = %{version}-%{release}

%description -n %{libnamedev}
This package contains the development files and headers for %{name}.

%package -n %{girname}
Summary:        GObject Introspection interface description for Gcr
Group:          System/Libraries
Requires:       %{libnamebase} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for Gcr.

%package -n %{girnameui}
Summary:        GObject Introspection interface description for Gcr
Group:          System/Libraries
Requires:       %{libnameui} = %{version}-%{release}

%description -n %{girnameui}
GObject Introspection interface description for Gcr.

%package -n %{girnamegck}
Summary:        GObject Introspection interface description for Gck
Group:          System/Libraries
Requires:       %{libnamegck} = %{version}-%{release}

%description -n %{girnamegck}
GObject Introspection interface description for Gck.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%doc README.md NEWS
%{_bindir}/gcr-viewer
%{_libexecdir}/gcr-prompter
%{_libexecdir}/gcr-ssh-agent
%{_libexecdir}/gcr-ssh-askpass
%{_datadir}/dbus-1/services/org.gnome.keyring.PrivatePrompter.service
%{_datadir}/dbus-1/services/org.gnome.keyring.SystemPrompter.service
%{_datadir}/GConf/gsettings/org.gnome.crypto.pgp*.convert
%{_datadir}/glib-2.0/schemas/org.gnome.crypto.pgp*.xml
%{_datadir}/applications/gcr-viewer.desktop
%{_datadir}/applications/gcr-prompter.desktop
%{_userunitdir}/gcr-ssh-agent.service
%{_userunitdir}/gcr-ssh-agent.socket
%{_datadir}/mime/packages/gcr-crypto-types.xml
%{_datadir}/icons/hicolor/*/apps/gcr*.png

%files -n %{libnamegck}
%{_libdir}/libgck-%{api_gck}.so.%{major_gck}{,.*}

%files -n %{girnamegck}
%{_libdir}/girepository-1.0/Gck-%{girmajor_gck}.typelib

%files -n %{libnamebase}
%{_libdir}/libgcr-base-%{api_gcr}.so.%{major_gcr}{,.*}

%files -n %{libnameui}
%{_libdir}/libgcr-ui-%{api_gcr}.so.%{major_gcr}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Gcr-%{girmajor_gcr}.typelib

%files -n %{girnameui}
%{_libdir}/girepository-1.0/GcrUi-%{girmajor_gcr}.typelib

%files -n %{libnamedev}
%doc %{_defaultdocdir}/gck-1/*
%doc %{_defaultdocdir}/gcr-3/*
%doc %{_defaultdocdir}/gcr-ui-3/*
%{_libdir}/libgck-%{api_gck}.so
%{_libdir}/libgcr-ui-%{api_gcr}.so
%{_libdir}/libgcr-base-%{api_gcr}.so
%{_includedir}/gck-%{api_gck}
%{_includedir}/gcr-%{api_gcr}
%{_libdir}/pkgconfig/gck-%{api_gck}.pc
%{_libdir}/pkgconfig/gcr-%{api_gcr}.pc
%{_libdir}/pkgconfig/gcr-base-%{api_gcr}.pc
%{_libdir}/pkgconfig/gcr-ui-%{api_gcr}.pc
%{_datadir}/gir-1.0/Gck-%{girmajor_gck}.gir
%{_datadir}/gir-1.0/Gcr-%{girmajor_gcr}.gir
%{_datadir}/gir-1.0/GcrUi-%{girmajor_gcr}.gir
%{_datadir}/vala/vapi/gck-%{api_gck}.*
%{_datadir}/vala/vapi/gcr-%{api_gcr}.*
%{_datadir}/vala/vapi/gcr-ui-%{api_gcr}.*
%{_datadir}/vala/vapi/pkcs11.vapi
