# TODO:
# - better descriptions
# - more ?
# - fix SONAME libfoo.so.0.0.0

%define api_gck		2
%define major_gck	2

%define api_gcr		4
%define major_gcr	4

%define girmajor_gck		2
%define girmajor_gcr		4

%define libnamegck	%mklibname gck %{api_gck} %{major_gck}
%define libnamegcr	%mklibname gcr %{api_gcr} %{major_gcr}

%define girnamegck	%mklibname gck-gir %{girmajor_gck}
%define girnamegcr	%mklibname gcr-gir %{girmajor_gcr}

%define libnamedev	%mklibname gcr4 -d

Summary:	A library for bits of crypto UI and parsing
Name:		gcr4
Version:	4.4.0.1
Release:	%mkrel 1
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
URL:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/gcr/%{url_ver}/gcr-%{version}.tar.xz
Patch1:		0001-Make-gcr4-parellel-installable-with-gcr-3.41.x.patch
BuildRequires:	meson
BuildRequires:	intltool
BuildRequires:	gi-docgen
BuildRequires:	gnupg2
BuildRequires:	libtasn1-tools
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(p11-kit-1)
BuildRequires:	pkgconfig(libtasn1)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	gnome-common
BuildRequires:	openssh-clients
BuildRequires:	systemd-devel
Recommends:	gnupg2

%description
A library for bits of crypto UI and parsing etc.

%package -n gcr-viewer-gtk4
Group:		Graphical desktop/GNOME
Summary:	GCR Certificate Viewer - GTK4 version
License:	LGPLv2+
Provides:	gcr-viewer = %{version}-%{release}

%description -n gcr-viewer-gtk4
GTK4 version of the viewer for crypto files on the GNOME
desktop.

%package -n %{libnamegcr}
Group:		System/Libraries
Summary:	Library for integration with the gnome keyring system
Requires:	%{name} >= %{version}-%{release}

%description -n %{libnamegcr}
This package contains shared libraries for Gnome keyring.

%package -n %{libnamegck}
Group:		System/Libraries
Summary:	Library for integration with the gnome keyring system

%description -n %{libnamegck}
This package contains shared libraries for Gnome keyring.

%package -n %{libnamedev}
Group:		Development/C
Summary:	Development files and headers for %{name}
Requires:	%{libnamegcr} = %{version}-%{release}
Requires:	%{libnamegck} = %{version}-%{release}
Requires:	%{girnamegcr} = %{version}-%{release}
Requires:	%{girnamegck} = %{version}-%{release}
Provides:	libgcr%{api_gcr}-devel = %{version}-%{release}

%description -n %{libnamedev}
This package contains the development files and headers for %{name}.

%package -n %{girnamegcr}
Summary:	GObject Introspection interface description for Gcr
Group:		System/Libraries
Requires:	%{libnamegcr} = %{version}-%{release}

%description -n %{girnamegcr}
GObject Introspection interface description for Gcr.

%package -n %{girnamegck}
Summary:	GObject Introspection interface description for Gck
Group:		System/Libraries
Requires:	%{libnamegck} = %{version}-%{release}

%description -n %{girnamegck}
GObject Introspection interface description for Gck.

%prep
%autosetup -n gcr-%{version} -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang gcr-%{api_gcr}

%post
%systemd_user_post gcr4-ssh-agent.service

%preun
%systemd_user_preun gcr4-ssh-agent.service

%postun
%systemd_user_postun_with_restart gcr4-ssh-agent.service

%files -f gcr-%{api_gcr}.lang
%doc README.md NEWS
%{_libexecdir}/gcr4-ssh-agent
%{_libexecdir}/gcr4-ssh-askpass
%{_userunitdir}/gcr4-ssh-agent.service
%{_userunitdir}/gcr4-ssh-agent.socket

%files -n gcr-viewer-gtk4
%{_bindir}/gcr-viewer-gtk4

%files -n %{libnamegck}
%{_libdir}/libgck-%{api_gck}.so.%{major_gck}{,.*}

%files -n %{girnamegck}
%{_libdir}/girepository-1.0/Gck-%{girmajor_gck}.typelib

%files -n %{libnamegcr}
%{_libdir}/libgcr-%{api_gcr}.so.%{major_gcr}{,.*}

%files -n %{girnamegcr}
%{_libdir}/girepository-1.0/Gcr-%{girmajor_gcr}.typelib

%files -n %{libnamedev}
%doc %{_datadir}/doc/gck-%{api_gck}/
%doc %{_datadir}/doc/gcr-%{api_gcr}/
%{_libdir}/libgck-%{api_gck}.so
%{_libdir}/libgcr-%{api_gcr}.so
%{_includedir}/gck-%{api_gck}/
%{_includedir}/gcr-%{api_gcr}/
%{_libdir}/pkgconfig/gck-%{api_gck}.pc
%{_libdir}/pkgconfig/gcr-%{api_gcr}.pc
%{_datadir}/gir-1.0/Gck-%{girmajor_gck}.gir
%{_datadir}/gir-1.0/Gcr-%{girmajor_gcr}.gir
%{_datadir}/vala/vapi/gck-%{api_gck}.{deps,vapi}
%{_datadir}/vala/vapi/gcr-%{api_gcr}.{deps,vapi}
