%define iconname gcstar.png
%global __provides_exclude perl\\(.*\\)
%global __requires_exclude perl\\(GC.*\\)

Summary:    A collection manager 
Name:       gcstar
Version:    1.7.1
Release:    %mkrel 5
License:    GPLv2+
Group:      Databases
URL:        https://gna.org/projects/gcstar/
Source:     http://download.gna.org/gcstar/%{name}-%{version}.tar.gz
Patch0:     gcstar-1.6.2-fhs.patch
Requires:   perl-Archive-Zip
Requires:   perl-Date-Calc
Requires:   perl-GD
BuildRequires: desktop-file-utils
BuildArch:  noarch 

%description
Gcstar is an application that can manage multiple collections.
Movies, Books, Video games, Games, Music, Stamps, Vine, etc.
It builds upon gcfilm's legacy.
You can update your data directly from the Internet.

%prep
%setup -q -n %{name}
%patch -P 0 -p 1
 
%install
install -D -m 755 bin/gcstar %{buildroot}%{_bindir}/gcstar

install -d %{buildroot}%{_datadir}
cp -a share/* %{buildroot}%{_datadir}
cp -a lib/gcstar %{buildroot}%{_datadir}/%{name}/lib

install -D -m 644 man/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

desktop-file-install --vendor='' \
        --dir %{buildroot}%{_datadir}/applications \
        --add-category='Office;AudioVideo;GTK' \
        %{buildroot}%{_datadir}/applications/*.desktop

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
cp share/gcstar/icons/%{name}_48x48.png %{buildroot}%{_liconsdir}/%{iconname}
cp share/gcstar/icons/%{name}_32x32.png %{buildroot}%{_iconsdir}/%{iconname}
cp share/gcstar/icons/%{name}_16x16.png %{buildroot}%{_miconsdir}/%{iconname}

%files
%doc README CHANGELOG
%{_bindir}/%{name}
%{_datadir}/applications/%{name}*
%{_datadir}/%{name}
%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname} 
%{_mandir}/man1/%{name}*

