%define major         6
%define compatmajor   4
%define libname       %mklibname gdbm %{major}
%define libcompatname %mklibname gdbm_compat %{compatmajor}
%define develname     %mklibname gdbm -d

Summary:	A GNU set of database routines which use extensible hashing
Name:		gdbm
Version:	1.24
Release:	%mkrel 1
License:	GPLv3
Group:		System/Libraries
URL:		https://www.gnu.org/software/gdbm/
Source0:	https://ftp.gnu.org/gnu/gdbm/%{name}-%{version}.tar.gz
BuildRequires:	texinfo
BuildRequires:	autoconf
BuildRequires:	automake

%description
Gdbm is a GNU database indexing library, including routines
which use extensible hashing.  Gdbm works in a similar way to standard UNIX
dbm routines.  Gdbm is useful for developers who write C applications and
need access to a simple and efficient database or who are building C
applications which will use such a database.

If you're a C developer and your programs need access to simple database
routines, you should install gdbm.  You'll also need to install gdbm-devel.

%package -n	%{libname}
Summary:	Main library for gdbm
Group:		System/Libraries
Requires:	setup

%description -n	%{libname}
This package provides library needed to run programs dynamically linked
with gdbm.

%package -n	%{libcompatname}
Summary:	Main library for gdbm_compat
Group:		System/Libraries
Requires:	setup
Provides:	%{_lib}gdbm4 = %{version}-%{release}

%description -n	%{libcompatname}
This package provides library needed to run programs dynamically linked
with gdbm_compat.

%package -n	%{develname}
Summary:	Development libraries and header files for the gdbm library
Group:		Development/Databases
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
# (anssi) biarch compat conflict (FIXME: this should be fixed more generally,
# maybe by adding a hack in perl-URPM):
Conflicts:	%{name}-devel < %{version}-%{release}

%description -n	%{develname}
Gdbm-devel contains the development libraries and header files
for gdbm, the GNU database system.  These libraries and header files are
necessary if you plan to do development using the gdbm database.

Install gdbm-devel if you are developing C programs which will use the
gdbm database library.  You'll also need to install the gdbm package.

#------------------------------------------------------------

%prep
%autosetup -p1

%build
%configure --disable-static \
           --disable-rpath \
           --enable-libgdbm-compat \
           --enable-largefile
%make_build

%install
%make_install

%find_lang %{name}

# create symlinks for compatibility
mkdir -p %{buildroot}%{_includedir}/gdbm
pwd
ln -sf ../gdbm.h %{buildroot}%{_includedir}/gdbm/gdbm.h
ln -sf ../ndbm.h %{buildroot}%{_includedir}/gdbm/ndbm.h
ln -sf ../dbm.h %{buildroot}%{_includedir}/gdbm/dbm.h

#------------------------------------------------------------

%files -f %{name}.lang
%doc NEWS README
%license COPYING
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%license COPYING
%{_libdir}/libgdbm.so.%{major}{,.*}

%files -n %{libcompatname}
%license COPYING
%{_libdir}/libgdbm_compat.so.%{compatmajor}{,.*}

%files -n %{develname}
%{_includedir}/gdbm/
%{_includedir}/*.h
%{_libdir}/libgdbm.so
%{_libdir}/libgdbm_compat.so
%{_infodir}/gdbm*
%{_mandir}/man3/*

#------------------------------------------------------------
