Name:		gdisk
Version:	1.0.10
Release:	%mkrel 1
Summary:	An fdisk-like partitioning tool for GPT disks
License:	GPLv2
Group:		System/Kernel and hardware
URL:		https://www.rodsbooks.com/gdisk
Source0:	https://downloads.sourceforge.net/gptfdisk/gptfdisk-%{version}.tar.gz
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(popt)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(ncursesw)
Provides:	gptfdisk = %{version}

%description
An fdisk-like partitioning tool for GPT disks. GPT
fdisk features a command-line interface, fairly direct
manipulation of partition table structures, recovery
tools to help you deal with corrupt partition tables,
and the ability to convert MBR disks to GPT format.


%prep
%autosetup -p1 -n gptfdisk-%{version}

%build
%set_build_flags
%make_build

%install
mkdir -p %{buildroot}%{_sbindir}
install -Dp -m0755 gdisk %{buildroot}%{_sbindir}
install -Dp -m0755 sgdisk %{buildroot}%{_sbindir}
install -Dp -m0644 gdisk.8 %{buildroot}%{_mandir}/man8/gdisk.8
install -Dp -m0644 sgdisk.8 %{buildroot}%{_mandir}/man8/sgdisk.8

%files
%license COPYING
%doc NEWS README
%{_sbindir}/gdisk
%{_sbindir}/sgdisk
%{_mandir}/man8/*
