# enable_gtkdoc: Toggle if gtk-doc files should be rebuilt.
#      0 = no
#      1 = yes
%define enable_gtkdoc 1

# enable_tests: Run test suite in build
#      0 = no
#      1 = yes
%define enable_tests 0

%{?_without_gtkdoc: %{expand: %%define enable_gtkdoc 0}}
%{?_without_tests: %{expand: %%define enable_tests 0}}

%{?_with_gtkdoc: %{expand: %%define enable_gtkdoc 1}}
%{?_with_tests: %{expand: %%define enable_tests 1}}


%define pkgname		gdk-pixbuf
%define api		2.0
%define binary_version	2.10.0
%define lib_major	0
%define gir_major	2.0

%define libname		%mklibname gdk_pixbuf %{api} %{lib_major}
%define develname	%mklibname -d gdk_pixbuf %{api}
%define girname		%mklibname gdk_pixbuf-gir %{gir_major}

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Image loading and manipulation library for GTK+
Name:		%{pkgname}%{api}
Version:	2.42.12
Release:        %mkrel 2
License:	LGPLv2+
Group:		System/Libraries
# https://gitlab.gnome.org/GNOME/gdk-pixbuf/merge_requests/49
URL:		https://www.gtk.org/
Source0:	https://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-no-export-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(jasper)
%if %enable_tests
BuildRequires:	x11-server-xvfb
%endif
%if %enable_gtkdoc
BuildRequires:	gi-docgen
BuildRequires:	python3-docutils
BuildRequires:	sgml-tools
BuildRequires:	texinfo
%endif
# gw tests will fail without this
BuildRequires:	fonts-ttf-dejavu
BuildRequires:	pkgconfig(shared-mime-info)

Requires:	common-licenses

%description
This package contains libraries used by GTK+ to load and handle
various image formats.

%package -n %{libname}
Summary:	Image loading and manipulation library for GTK+
Group:		System/Libraries
Provides:	libgdk_pixbuf%{api} = %{version}-%{release}
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
This package contains libraries used by GTK+ to load and handle
various image formats.

%package -n %{develname}
Summary:	Development files for image handling library for GTK+
Group:		Development/GNOME and GTK+
Provides:	libgdk_pixbuf%{api}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Requires:	pkgconfig(libpng16)
Conflicts:	%{_lib}gdk_pixbuf-gir2.0 < 2.38.1-2
Conflicts:	%pkgname < 2.42.9-3

%description -n %{develname}
This package contains the development files needed to compile programs
that uses GTK+ image loading/manipulation library.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%autosetup -p1 -n %{pkgname}-%{version}

%build
%meson -D others=enabled \
       -D installed_tests=false
%meson_build

%check
%if %enable_tests
xvfb-run %meson_test
%endif

%install
%meson_install

touch %{buildroot}%{_libdir}/%{pkgname}-%{api}/%{binary_version}/loaders.cache

# handle biarch packages
progs="gdk-pixbuf-query-loaders"
mkdir -p %{buildroot}%{_libdir}/%{pkgname}-%{api}/bin
for f in $progs; do
  mv -f %{buildroot}%{_bindir}/$f %{buildroot}%{_libdir}/%{pkgname}-%{api}/bin/
  cat > %{buildroot}%{_bindir}/$f << EOF
#!/bin/sh
lib=%{_lib}
case ":\$1:" in
:lib*:) lib="\$1"; shift 1;;
esac
exec %{_prefix}/\$lib/%{pkgname}-%{api}/bin/$f \${1+"\$@"}
EOF
  chmod +x %{buildroot}%{_bindir}/$f
done

#remove not packaged files
find %buildroot -name '*.la' -delete

%find_lang %{pkgname}

%transfiletriggerin -- %{_libdir}/gdk-pixbuf-%{api}/%{binary_version}/loaders
if [ -x %{_bindir}/gdk-pixbuf-query-loaders ]; then
  %{_bindir}/gdk-pixbuf-query-loaders --update-cache
fi

%transfiletriggerpostun -- %{_libdir}/gdk-pixbuf-%{api}/%{binary_version}/loaders
if [ -x %{_bindir}/gdk-pixbuf-query-loaders ]; then
  %{_bindir}/gdk-pixbuf-query-loaders --update-cache
fi

%files -f %{pkgname}.lang
%license COPYING
%doc NEWS
%{_bindir}/gdk-pixbuf-query-loaders
%{_bindir}/gdk-pixbuf-thumbnailer
%{_mandir}/man1/gdk-pixbuf-query-loaders.1*
%{_datadir}/thumbnailers/

%files -n %{libname}
%{_libdir}/libgdk_pixbuf-%{api}.so.%{lib_major}{,.*}
%dir %{_libdir}/%{pkgname}-%{api}/
%dir %{_libdir}/%{pkgname}-%{api}/bin/
%dir %{_libdir}/%{pkgname}-%{api}/%{binary_version}/
%dir %{_libdir}/%{pkgname}-%{api}/%{binary_version}/loaders/
%{_libdir}/%{pkgname}-%{api}/%{binary_version}/loaders/*.so
%{_libdir}/%{pkgname}-%{api}/bin/gdk-pixbuf-query-loaders
%ghost %verify (not md5 mtime size) %{_libdir}/%pkgname-%{api}/%{binary_version}/loaders.cache

%files -n %{girname}
%{_libdir}/girepository-1.0/GdkPixbuf-%{gir_major}.typelib
%{_libdir}/girepository-1.0/GdkPixdata-%{gir_major}.typelib

%files -n %{develname}
#doc %%{_datadir}/gtk-doc/html/gdk-pixbuf
%{_bindir}/gdk-pixbuf-csource
%{_bindir}/gdk-pixbuf-pixdata
%{_includedir}/%{pkgname}-%{api}/
%{_libdir}/libgdk_pixbuf*.so
%{_libdir}/pkgconfig/gdk-pixbuf*.pc
%{_datadir}/gir-1.0/GdkPixbuf-%{gir_major}.gir
%{_datadir}/gir-1.0/GdkPixdata-%{gir_major}.gir
%{_mandir}/man1/gdk-pixbuf-csource.1*
