%define _disable_ld_no_undefined 1

%define major		1
%define	gmajor		1.0
%define libname		%mklibname gdm %{major}
%define develname	%mklibname %{name} -d
%define girname		%mklibname gdm-gir %{gmajor}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	The GNOME Display Manager
Name:		gdm
Version:	48.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		https://wiki.gnome.org/Projects/GDM
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

# gdm upstream
# (cg) Managing patches via git
# git format-patch --start-number 100 3.1.2..mga-3.1.2-cherry-picks

# git format-patch --start-number 200 mga-3.1.2-cherry-picks..mga-3.1.2-plymouth
#Patch0200:	0200-Save-root-window-to-pixmap-at-_XROOTPMAP_ID.patch
#Patch0201:	0201-Enable-smooth-transition-between-plymouth-and-X.patch
#Patch0202:	0202-Fedora-force-active-vt-patch-separated-from-plymouth.patch
#Patch0203:	0203-Mageia-force-active-vt-patch-fix.patch

# git format-patch --start-number 300 mga-3.1.2-plymouth..mga-3.1.2-patches
#Patch0301:	0301-Novell-Look-at-the-current-runlevel-before-managing-.patch
Patch0302:	0302-Fix-gdm-pam.d-configs.patch
# also run xinintc shell scripts from /etc/X11/xinit.d (mga#28010)
Patch0303:	gdm-41.0-Xsession-mageia-bits.patch

Provides:	dm

Requires(pre):		rpm-helper
Requires(postun):	rpm-helper
Requires(post):		dconf
Requires:	pam
Requires:	sessreg
Requires:	cdialog
Requires:	zenity
Requires:	gnome-session-bin
Requires:	gnome-settings-daemon
Recommends:	gnome-power-manager
Requires:	xinitrc >= 2.4.14
Requires:	dbus-x11
Requires:	accountsservice
Requires:	adwaita-icon-theme
# to get greeter window (mga#11164)
Requires:	gnome-shell
# (tv) to get working gdm in minimal install:
Requires:	x11-server-xwayland
Provides:	gdm-Xnest
Conflicts:	gdm-220

BuildRequires:	meson
BuildRequires:	pkgconfig(accountsservice) >= 0.6.12
BuildRequires:	pkgconfig(audit)
BuildRequires:	pkgconfig(check) >= 0.9.4
BuildRequires:	pkgconfig(dconf)
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.74
BuildRequires:	pkgconfig(fontconfig) >= 2.5.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.29.3
BuildRequires:	pkgconfig(gobject-2.0) >= 2.29.3
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.91.1
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.4
BuildRequires:  pkgconfig(libkeyutils)
BuildRequires:	pkgconfig(libxklavier) >= 4.0
BuildRequires:	pkgconfig(nss) >= 3.11.1
BuildRequires:	pkgconfig(ply-boot-client)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(upower-glib) >= 0.9.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xau)
BuildRequires:	pkgconfig(xdmcp)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pam-devel
BuildRequires:	libwrap-devel
BuildRequires:	gettext-devel
BuildRequires:	yelp-tools
BuildRequires:	itstool
BuildRequires:	dconf
BuildRequires:	gnome-common
# ovitters: mga#19298 -- needs this pkgconfig to determine how to create command line to enable/disable tcp connection
BuildRequires:	pkgconfig(xorg-server)

# For systemd preset action
BuildRequires:	pkgconfig(libsystemd)
%{?systemd_requires}

Requires:	polkit

Obsoletes:	gdm-user-switch-applet < 3.0.0

%description
Gdm (the GNOME Display Manager) is a highly configurable
reimplementation of xdm, the X Display Manager. Gdm allows you to log
into your system with the X Window System running and supports running
several different X sessions on your local machine at the same time.

%pre
%_pre_useradd gdm %{_var}/lib/gdm /bin/false
%_pre_groupadd xgrp gdm

%preun
%_preun_service gdm

%post
# (cg) Setup dconf settings for gdm
# https://git.gnome.org/browse/gdm/commit/?id=eebeb62e2daccc932f3033fbd857b619ba9936d0
dconf update

%{_sbindir}/gdm-safe-restart >/dev/null 2>&1 || :

%_post_service gdm

%postun
%_postun_userdel gdm
%_postun_groupdel xgrp gdm

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README.md
%_sysconfdir/dbus-1/system.d/gdm.conf
%{_bindir}/gdm-config
%{_bindir}/gdmflexiserver
%{_sbindir}/gdm
%dir %{_sysconfdir}/X11/gdm
%config(noreplace) %{_sysconfdir}/pam.d/gdm-autologin
%config(noreplace) %{_sysconfdir}/pam.d/gdm-fingerprint
%config(noreplace) %{_sysconfdir}/pam.d/gdm-password
%config(noreplace) %{_sysconfdir}/pam.d/gdm-smartcard
%config(noreplace) %{_sysconfdir}/pam.d/gdm-launch-environment
%config(noreplace) %{_sysconfdir}/X11/gdm/custom.conf
%config(noreplace) %{_sysconfdir}/X11/gdm/Xsession
%dir %{_sysconfdir}/X11/dm
%dir %{_sysconfdir}/X11/dm/Sessions
%config(noreplace) %{_sysconfdir}/X11/gdm/PreSession
%config(noreplace) %{_sysconfdir}/X11/gdm/PostSession
%config(noreplace) %{_sysconfdir}/X11/gdm/PostLogin
%config(noreplace) %{_sysconfdir}/X11/gdm/Init
%{_libexecdir}/gdm-*
%{_libdir}/security/pam_gdm.so
%{_udevrulesdir}/61-gdm.rules
%{_datadir}/dconf/profile/gdm
%{_datadir}/gdm
%{_datadir}/glib-2.0/schemas/org.gnome.login-screen.gschema.xml
%{_datadir}/polkit-1/rules.d/20-gdm.rules
%{_userunitdir}/gnome-session@gnome-login.target.d/session.conf
%dir %{_datadir}/hosts
%attr(1770, gdm, gdm) %dir %{_localstatedir}/lib/gdm
%attr(740,gdm,gdm) %dir %{_localstatedir}/lib/gdm/.local
%attr(1750, gdm, gdm) %dir %{_localstatedir}/lib/gdm/.local/share
%attr(1750, gdm, gdm) %dir %{_localstatedir}/lib/gdm/.local/share/xorg
%{_datadir}/gnome-session/sessions/gnome-login.session
%attr(0711, root, gdm) %dir %{_localstatedir}/log/gdm
%{_unitdir}/gdm.service

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	Library for the %name greeter
Group:		System/Libraries
Obsoletes:	%{_lib}gdmreeter1 < 3.2.1-3

%description -n %{libname}
Gdm (the GNOME Display Manager) is a highly configurable
reimplementation of xdm, the X Display Manager. Gdm allows you to log
into your system with the X Window System running and supports running
several different X sessions on your local machine at the same time.

%files -n %{libname}
%{_libdir}/libgdm.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/Gdm-%{gmajor}.typelib

#--------------------------------------------------------------------

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%files -n %{develname}
%{_includedir}/gdm/
%{_libdir}/libgdm.so
%{_libdir}/pkgconfig/gdm.pc
%{_libdir}/pkgconfig/gdm-pam-extensions.pc
%{_datadir}/gir-1.0/Gdm-%{gmajor}.gir

#--------------------------------------------------------------------

%prep
%setup -q
cp data/Init.in data/Default.in
%autopatch -p1

%build
%meson -Dpam-prefix=%{_sysconfdir} \
       --sysconfdir=%{_sysconfdir}/X11 \
       -Ddbus-sys=%{_sysconfdir}/dbus-1/system.d \
       -Drun-dir=/run/gdm \
       -Dudev-dir=%{_udevrulesdir} \
       -Ddefault-path=/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin \
       -Dprofiling=true \
       -Dgdm-xsession=true \
       -Dplymouth=enabled \
       -Dselinux=disabled
%meson_build

%install
%meson_install

# don't provide PreSession/PostSession, pam handle this
rm -f %{buildroot}%{_sysconfdir}/X11/PreSession/Default
rm -f %{buildroot}%{_sysconfdir}/X11/PostSession/Default

mkdir -p %{buildroot}%{_datadir}/hosts

%find_lang gdm --with-gnome

mkdir -p %{buildroot}%{_var}/log/gdm %{buildroot}%{_sysconfdir}/X11/dm/Sessions

#remove unpackaged files
rm -rf %{buildroot}%{_sysconfdir}/X11/gdm/PostLogin/Default.sample \
  %{buildroot}%{_datadir}/xsessions/gnome.desktop

# (tmb) dont ship duplicates already provided by caribou and orca
rm -f %{buildroot}%{_datadir}/gdm/greeter/autostart/caribou-autostart.desktop
rm -f %{buildroot}%{_datadir}/gdm/greeter/autostart/orca-autostart.desktop

# (tmb) must exist for gdm to start xorg when WaylandEnable=false
mkdir -p %{buildroot}%{_localstatedir}/lib/gdm/.local/share/xorg
