#don't provide plugin .so
%define _exclude_files_from_autoprov %{_libdir}/geany/.*\\.so

%define major   0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           geany
Version:        2.0
Release:        %mkrel 1
Summary:        Small C editor using GTK+
Group:          Development/C
License:        GPLv2+
URL:            https://www.geany.org
Source0:        https://download.geany.org/%{name}-%{version}.tar.bz2

# The following tags file archive retrieved on 2022-09-11
# from geany wiki: https://wiki.geany.org/tags/start
%global tag_date 2023-06-19
Source10:       https://wiki.geany.org/get_tags#/geany-tags-%{tag_date}.tar.bz2

BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  desktop-file-utils
BuildRequires:  doxygen
BuildRequires:  intltool

Requires:       xterm

Provides:       bundled(scintilla) = 5.3.7
Provides:       bundled(lexilla) = 5.2.7

%description
Geany is a small C editor using GTK+ with basic features of an integrated
development environment. It features syntax highlighting, code completion, call
tips, many supported filetypes (including C, Java, PHP, HTML, DocBook, Perl,
LateX, and Bash), and symbol lists.

%package -n %{libname}
Summary:        Geany's shared library
Group:          Development/C

%description -n %{libname}
This package contains Geany's shared library.

%package -n %{devname}
Summary:        Development files for Geany's library
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the header files and pkg-config file needed for
building Geany plug-ins. You do not need to install this package
to use Geany.

%prep
%autosetup -p1 -a 10

%build
%configure \
    --enable-gtk3
%make_build

%install
%make_install

# research locale file
%find_lang %{name}

# prepare menu
# we remove the key "Version" and "Encoding" because it's invalid
desktop-file-install --vendor="" \
    --remove-category="Application" \
    --add-category="GNOME" \
    --remove-key="Version" \
    --remove-key="Encoding" \
    --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# Install tags files
mkdir -p %{buildroot}%{_datadir}/%{name}/tags/
install -Dpm644 tags/* %{buildroot}%{_datadir}/%{name}/tags/

#we don't want these
find %{buildroot} -name "*.la" -delete

#Empty .bas file needed for geany to give FreeBASIC support (mga#8856)
touch %{buildroot}%{_datadir}/%{name}/templates/files/program.bas

%files -f %{name}.lang
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/classviewer*.png
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_iconsdir}/hicolor/*/actions/%{name}-*
%{_iconsdir}/Tango/*/actions/geany-save-all.*
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.*

#plugins
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/classbuilder.so
%{_libdir}/%{name}/export.so
%{_libdir}/%{name}/filebrowser.so
%{_libdir}/%{name}/htmlchars.so
%{_libdir}/%{name}/saveactions.so
%{_libdir}/%{name}/splitwindow.so

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%doc HACKING TODO
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
