%define enable_tests	0

%define major		8
%define libname		%mklibname gearman %{major}
%define develname	%mklibname gearman -d

Name:		gearmand
Version:	1.1.21
Release:	%mkrel 6
Summary:	Gearman Server and C Library
License:	BSD
Group:		System/Servers
URL:		https://gearman.org/
Source0:	https://github.com/gearman/gearmand/releases/download/%{version}/%{name}-%{version}.tar.gz
Source1:	gearmand.service
Source2:	gearmand.sysconfig
Source3:	gearmand.logrotate
BuildRequires:	doxygen
BuildRequires:	gperf
BuildRequires:	memcached
BuildRequires:	valgrind
BuildRequires:	boost-devel
BuildRequires:	libdrizzle-devel >= 5.1
BuildRequires:	lzmalib-devel
BuildRequires:	mysql-devel
BuildRequires:	pkgconfig(hiredis)
BuildRequires:	pkgconfig(libpq) >= 9.3
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	pkgconfig(libevent)
BuildRequires:	pkgconfig(libmemcached) >= 1.0
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(tokyocabinet)
BuildRequires:	pkgconfig(valgrind)

Requires(post):	systemd >= %{systemd_required_version}
Requires(post):	rpm-helper
Requires(preun):rpm-helper
Requires(pre):	rpm-helper
Requires(postun):rpm-helper

%description
Gearman provides a generic framework to farm out work to other machines,
dispatching function calls to machines that are better suited to do work, to do
work in parallel, to load balance processing, or to call functions between
languages.

%package -n	%{libname}
Summary:	Shared Gearman Client Library
Group:		System/Libraries

%description -n	%{libname}
Gearman provides a generic framework to farm out work to other machines,
dispatching function calls to machines that are better suited to do work, to do
work in parallel, to load balance processing, or to call functions between
languages.

This package contains the Client Library.


%package -n	%{develname}
Summary:	Development files for the Gearman Server and C Library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	gearman-devel = %{version}-%{release}

%description -n	%{develname}
Development files for the Gearman Server and C Library.


%prep
%setup -q

# fix version
sed -i -e 's/VERSION_NUMBER/[%{version}]/g' configure.ac

%build
autoreconf -fi
%configure \
	--disable-static
%make_build

%install
%make_install

# don't fiddle with the initscript!
export DONT_GPRINTIFY=1

install -d %{buildroot}%{_unitdir}
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}/var/log/%{name}

install -m0755 %{SOURCE1} %{buildroot}%{_unitdir}
install -m0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -m0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

touch %{buildroot}/var/log/%{name}/gearmand.log

mkdir -p %{buildroot}%{_tmpfilesdir}
cat <<EOF > %{buildroot}%{_tmpfilesdir}/%{name}.conf
d /run/gearmand 0711 gearmand gearmand
EOF

%if %{enable_tests}
%check
make check
%endif

%pre
%_pre_useradd %{name} /dev/null /bin/false

%postun
%_postun_userdel %{name}

%post
%_tmpfilescreate %{name}
%create_ghostfile /var/log/%{name}/gearmand.log %{name} %{name} 0640
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc AUTHORS ChangeLog CONTRIBUTING.md README.md THANKS
%license COPYING
%{_unitdir}/%{name}.service
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_tmpfilesdir}/%{name}.conf
%{_bindir}/gearadmin
%{_bindir}/gearman
%{_sbindir}/%{name}
%{_mandir}/man1/gear*.1.*
%{_mandir}/man8/gear*.8.*
%attr(0711,%{name},%{name}) %dir /var/log/%{name}
%ghost %attr(0640,%{name},%{name}) /var/log/%{name}/gearmand.log

%files -n %{libname}
%doc AUTHORS ChangeLog CONTRIBUTING.md README.md THANKS
%license COPYING
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/libgearman/
%{_includedir}/libgearman-1.0/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/gear*.3.*
%{_mandir}/man3/libgearman.3.*
