%global build_with_python	1

%global __requires_exclude	python-gi

%global busname			org.gnome.gedit

Summary:	Small but powerful text editor for GNOME
Name:		gedit
Version:	48.1
Release:	%mkrel 5
License:	GPLv2+
Group:		Editors
URL:		https://wiki.gnome.org/Apps/Gedit
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz
Patch:		gedit-girepository-2.0.patch
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(girepository-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.13.3
BuildRequires:	pkgconfig(gtk-doc) >= 1.0
BuildRequires:	pkgconfig(libgedit-amtk-5)
BuildRequires:	pkgconfig(libgedit-gfls-1)
BuildRequires:	pkgconfig(libgedit-gtksourceview-300)
BuildRequires:	pkgconfig(libgedit-tepl-6)
BuildRequires:	pkgconfig(libpeas-1.0)
BuildRequires:	pkgconfig(libpeas-gtk-1.0)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(gspell-1)
BuildRequires:	gettext-devel
BuildRequires:	appstream
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	yelp-tools
%if %{build_with_python}
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	python3
BuildRequires:	python3-gobject3
Requires:	python3-gobject3
%endif

BuildRequires:	desktop-file-utils

Requires:	typelib(Peas) = 1.0
Requires:	typelib(PeasGtk) = 1.0

%description
gEdit is a small but powerful text editor designed expressly
for GNOME.

It includes such features as split-screen mode, a plugin
API, which allows gEdit to be extended to support many
features while remaining small at its core, multiple
document editing through the use of a 'tabbed' notebook and
many more functions.

%package devel
Group:		Development/C
Summary:	Headers for writing gEdit plugins
Requires:	%{name} = %{version}-%{release}

%description devel
gEdit is a small but powerful text editor designed expressly
for GNOME.

It includes such features as split-screen mode, a plugin
API, which allows gEdit to be extended to support many
features while remaining small at its core, multiple
document editing through the use of a 'tabbed' notebook and
many more functions.

Install this if you want to build plugins that use gEdit's API.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson -D gtk_doc=true \
       -D user_documentation=true
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc README.md NEWS
%{_bindir}/*
%{_datadir}/gedit/
%{_datadir}/applications/%{busname}.desktop
%{_libdir}/gedit/
%{python3_sitelib}/gi/overrides/*
%{_datadir}/glib-2.0/schemas/%{busname}.*
%{_datadir}/dbus-1/services/%{busname}.service
%{_metainfodir}/%{busname}.metainfo.xml
%{_iconsdir}/hicolor/*/*/%{busname}.png
%{_iconsdir}/hicolor/symbolic/apps/%{busname}-symbolic.svg
%{_mandir}/man1/gedit.1*

%files devel
%doc %{_datadir}/gtk-doc/html/gedit/
%{_includedir}/*
%{_libdir}/pkgconfig/*
