%define docname %{name}

Name:		geeqie
Version:	2.5
Release:	%mkrel 2
Summary:	Graphics file browser utility
License:	GPLv2+
Group:		Graphics/Viewers
URL:		https://www.geeqie.org/
Source0:	https://github.com/BestImageViewer/geeqie/releases/download/v%{version}/geeqie-%{version}.tar.xz


BuildRequires:	meson
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	intltool
BuildRequires:	vim-common

# Documentation
BuildRequires:	doxygen
BuildRequires:	yelp-tools >= 42.1-2

#Optional plugins
#Djvu files
BuildRequires:	pkgconfig(ddjvuapi)
#Archives files
BuildRequires:	pkgconfig(libarchive)
#Jpeg files
BuildRequires:	pkgconfig(libjpeg)
#Jpegxl files
BuildRequires:	pkgconfig(libjxl)
#Jpeg2000 files
BuildRequires:	pkgconfig(libopenjp2)
#Heif files
BuildRequires:	pkgconfig(libheif)
#Tiff files
BuildRequires:	pkgconfig(libtiff-4)
#Webp files
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	webp-pixbuf-loader
#RAW files
BuildRequires:	pkgconfig(libraw)
#Color correction
BuildRequires:	pkgconfig(lcms2)
#Image metadata
BuildRequires:	pkgconfig(exiv2)
#GPS map display
BuildRequires:	pkgconfig(champlain-gtk-0.12)
#Thumbnails of video files
BuildRequires:	pkgconfig(libffmpegthumbnailer)
#Print preview
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	evince
#Spellcheck
BuildRequires:	pkgconfig(gspell-1)
#lua
BuildRequires:	lua-devel

#mga5655 for the rotation scripts to work
Requires:	fbida
Requires:	ImageMagick
Requires:	exiv2

#Print preview
Requires:	evince

%description
Geeqie is a browser for graphics files.
Offering single click viewing of your graphics files.
Includes thumbnail view, zoom and filtering features.
And external editor support.
Geeqie is a fork of gqview.

%prep
%autosetup -p1

%build
#Disabling dependencies not found in mga9
#modified bindir as rotation scripts should be in the path
%meson	-Dgq_bindir=%{_bindir} -Dpandoc=disabled

%meson_build

%install
%meson_install

%find_lang %{name}

# hack around until an upstream fix
# https://github.com/BestImageViewer/geeqie/issues/1523
mkdir -p %{buildroot}%{_docdir}/%{name}/html/
cp -r build/doc/html/* %{buildroot}%{_docdir}/%{name}/html/

# guard against missing HTML tree
[ ! -f %{buildroot}%{_docdir}/%{name}/html/index.html ] && exit 1

%files -f %{name}.lang
%license COPYING
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}
%{_bindir}/%{name}-*
%{_bindir}/lensID
%{_bindir}/geocode-parameters.awk
%{_bindir}/downsize
%{_bindir}/resize-help.sh
%{_datadir}/applications/org.%{name}.Geeqie.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/bash-completion/completions/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/org.%{name}.template.desktop
%dir %{_datadir}/%{name}/applications
%{_datadir}/%{name}/applications/*
%{_metainfodir}/org.%{name}.Geeqie.appdata.xml
%{_mandir}/man1/%{name}*
