%define url_ver		%(echo %{version} | cut -d. -f1,2)

%define major		0
%global apiver		0.4
%define pluginname	%mklibname %{name}%{apiver}-plugins
%define libname		%mklibname %{name} %{apiver} %{major}
%define libnamenpd	%mklibname %{name}-npd %{apiver} %{major}
%define libnamesc	%mklibname %{name}-sc %{apiver} %{major}
%define girname		%mklibname %{name}-gir %{apiver}
%define develname	%mklibname %{name} -d

Name:		gegl
Version:	0.4.58
Release:	%mkrel 1
Summary:	GEGL (Generic Graphics Library) - graph based image processing framework
Group:		System/Libraries
# The binary is under the GPL, while the libs are under LGPL.
License:	GPLv3+
URL:		https://www.gegl.org/
Source0:	https://download.gimp.org/pub/gegl/%{apiver}/%{name}-%{version}.tar.xz
Patch0:		gegl04-openexr.patch
Patch1:		gegl04-gtk.patch
Patch2:		gegl-npd-sc-soname.patch
BuildRequires:	pkgconfig(babl-0.1) >= 0.1.108
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gexiv2)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(jasper)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(lensfun)
BuildRequires:	pkgconfig(libavcodec)
BuildRequires:	pkgconfig(libavformat)
BuildRequires:	pkgconfig(libgvc)
BuildRequires:	pkgconfig(libraw)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libspiro) >= 20190731
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(luajit)
BuildRequires:	pkgconfig(maxflow)
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(pangocairo)
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	pkgconfig(pygobject-3.0)
# to pull libumfpack5 in (which is the only thing we need):
BuildRequires:	suitesparse-devel
BuildRequires:	asciidoc
BuildRequires:	enscript
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	graphviz
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	ruby
BuildRequires:	locales
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	vala-tools
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	meson

%description
GEGL (Generic Graphics Library) is a graph based image processing
framework.

GEGLs original design was made to scratch GIMPs itches for a new
compositing and processing core. This core is being designed to
have minimal dependencies. and a simple well defined API.


%package -n     %{libname}
Summary:	A library for %{name}
Group:		System/Libraries
License:	LGPLv3+
Requires:	%{pluginname} >= %{version}-%{release}

%description -n %{libname}
GEGL (Generic Graphics Library) is a graph based image processing
framework.

GEGLs original design was made to scratch GIMPs itches for a new
compositing and processing core. This core is being designed to
have minimal dependencies. and a simple well defined API.

%package -n	%{pluginname}
Summary:	GEGL plugins
Group:		System/Libraries
License:	LGPLv3+
Conflicts:	%{_lib}gegl0.4_0 < 0.4.38-2

%description -n	%{pluginname}
GEGL (Generic Graphics Library) is a graph based image processing
framework.

This package provides plugins for GEGL.

%package -n	%{libnamenpd}
Summary:	N-point image deformation library
Group:		System/Libraries
License:	LGPLv3+
Conflicts:	%{_lib}gegl0.4_0 < 0.4.38

%description -n	%{libnamenpd}
N-point image deformation library.

%package -n     %{libnamesc}
Summary:	GEGL Seamless Cloning
Group:		System/Libraries
License:	GPLv3+
Conflicts:	%{_lib}gegl0.4_0 < 0.4.38

%description -n	%{libnamesc}
Seamless Cloning Library Based on GEGL.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n     %{develname}
Summary:	Header files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libnamenpd} = %{version}-%{release}
Requires:	%{libnamesc} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{_lib}gegl0.4_0 < 0.4.36-6

%description -n %{develname}
GEGL (Generic Graphics Library) is a graph based image processing
framework.

GEGLs original design was made to scratch GIMP's itches for a new
compositing and processing core. This core is being designed to
have minimal dependencies and a simple, well-defined API.

%prep
%autosetup -p1

%build
export LC_ALL=UTF-8
%meson \
  -Dmrg=disabled \
  --auto-features=auto \
  -Ddocs=false \
  -Dgtk-doc=false \
  -Dgi-docgen=disabled

%meson_build

%install
%meson_install

%find_lang gegl-%{apiver}

%check
#ninja -C build test || :

%files -f gegl-%{apiver}.lang
%{_bindir}/gegl
#{_bindir}/gcut
%{_bindir}/gegl-imgcmp
%dir %{_datadir}/gegl-%{apiver}/
%{_datadir}/gegl-%{apiver}/lua/

%files -n %{libname}
%doc AUTHORS
%license COPYING.LESSER
%{_libdir}/libgegl-%{apiver}.so.%{major}{,.*}

%files -n %{pluginname}
%{_libdir}/gegl-%{apiver}/

%files -n %{libnamenpd}
%license COPYING.LESSER
%{_libdir}/libgegl-npd-%{apiver}.so.%{major}{,.*}

%files -n %{libnamesc}
%license COPYING
%{_libdir}/libgegl-sc-%{apiver}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Gegl-%{apiver}.typelib

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/gegl-%{apiver}/
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/Gegl-%{apiver}.gir
%{_datadir}/vala/vapi/gegl-%{apiver}.*
