%define	major		0
%define	majorpp		2
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

%define majorver	1
%define minorver	29
%define patchver	1

%define gendersplusplus_libname	%mklibname gendersplusplus %{majorpp}

%bcond_with python

Summary:	Static cluster configuration database
Name:		genders
Version:	%{majorver}.%{minorver}.%{patchver}
Release:	%mkrel 2
Group:		System/Libraries
License:	GPLv2
URL:		https://github.com/chaos/genders
Source0:	https://github.com/chaos/genders/archive/genders-%{majorver}-%{minorver}-%{patchver}.tar.gz
Patch0:		genders-1.18-shebang.patch
BuildRequires:	byacc
BuildRequires:	flex
BuildRequires:	libtool

%description
Genders is a static cluster configuration database used for cluster
configuration management.  It is used by a variety of tools and scripts for
management of large clusters.  The genders database is typically replicated
on every node of the cluster. It describes the layout and configuration of
the cluster so that tools and scripts can sense the variations of cluster
nodes. By abstracting this information into a plain text file, it becomes
possible to change the configuration of a cluster by modifying only one file.

%package -n	%{libname}
Summary:	Static cluster configuration database library
Group:          System/Libraries

%description -n	%{libname}
Genders is a static cluster configuration database used for cluster
configuration management.  It is used by a variety of tools and scripts for
management of large clusters.  The genders database is typically replicated
on every node of the cluster. It describes the layout and configuration of
the cluster so that tools and scripts can sense the variations of cluster
nodes. By abstracting this information into a plain text file, it becomes
possible to change the configuration of a cluster by modifying only one file.

%package -n	%{gendersplusplus_libname}
Summary:	Static cluster configuration database C++ library
Group:          System/Libraries

%description -n	%{gendersplusplus_libname}
Genders is a static cluster configuration database used for cluster
configuration management.  It is used by a variety of tools and scripts for
management of large clusters.  The genders database is typically replicated
on every node of the cluster. It describes the layout and configuration of
the cluster so that tools and scripts can sense the variations of cluster
nodes. By abstracting this information into a plain text file, it becomes
possible to change the configuration of a cluster by modifying only one file.

This package contains the C++ bindings for genders.


%package -n	%{develname}
Summary:	Static library and header files for the genders library
Group:		Development/C
Provides:	%{name}-devel = %{version}
Provides:	lib%{name}-devel = %{version}
Requires:	%{libname} = %{version}
Requires:	%{gendersplusplus_libname} = %{version}

%description -n	%{develname}
Genders is a static cluster configuration database used for cluster
configuration management.  It is used by a variety of tools and scripts for
management of large clusters.  The genders database is typically replicated
on every node of the cluster. It describes the layout and configuration of
the cluster so that tools and scripts can sense the variations of cluster
nodes. By abstracting this information into a plain text file, it becomes
possible to change the configuration of a cluster by modifying only one file.

This package contains the static genders library and its header files.

%package	compat
Summary:	Compatibility library
Group:		System/Libraries

%description	compat
genders API that is compatible with earlier releases of genders.

%package -n	perl-Libgenders
Summary:	Genders interface
Group:		Development/Perl
BuildRequires:	perl-devel
Provides:	perl-Genders = %{version}

%description -n	perl-Libgenders
This package provides a perl interface for querying a genders file.

%if %{with python}
%package -n	python3-libgenders
Summary:	Genders interface
Group:		Development/Python
BuildRequires:	pkgconfig(python3)

Provides:	python-libgenders = %{version}-%{release}

%description -n	python3-libgenders
This package provides a python3 interface for querying a genders file.
%endif

%package	java
Summary:	Java libraries
Group:		Development/Java
BuildRequires:	java-devel

%description	java
Genders API bindings for java.

%package	java-devel
Summary:	Java Development libraries
Group:		Development/Java
Requires:	%{name}-java = %{version}-%{release}

%description	java-devel
Genders API bindings for java.

%package	javadoc
Summary:	Java Documentation
Group:		Documentation
BuildRequires:	java-devel

%description	javadoc
Genders API Documentation for java.

%prep
%setup -q -n %{name}-%{name}-%{majorver}-%{minorver}-%{patchver}
%autopatch -p1

%build
export CPPFLAGS='-I/usr/lib/jvm/java/include -I/usr/lib/jvm/java/include/linux -I../../../src/libgenders'
%if %{with python}
export PYTHON=%{__python3}
%endif
%configure \
	--disable-static \
	--with-genders-file=%{_sysconfdir}/%{name} \
	--with-perl-extensions \
	--with-perl-vendor-arch \
%if %{with python}
	--with-python-extensions \
%else
	--without-python-extensions \
%endif
	--with-java-extensions \
	--with-cplusplus-extensions \
	--with-extension-destdir=%{buildroot}
%make_build

%install
install -d %{buildroot}%{_sysconfdir}

%make_install

install -m0644 genders.sample %{buildroot}%{_sysconfdir}/%{name}

mkdir -p %{buildroot}%{_jnidir}
mv %{buildroot}%{_datadir}/java/Genders.jar %{buildroot}/%{_jnidir}/

# fix debug info extraction
chmod u+w %{buildroot}%{perl_vendorarch}/auto/Libgenders/Libgenders.so

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc README NEWS ChangeLog DISCLAIMER DISCLAIMER.UC COPYING TUTORIAL
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/genders.3*

%files -n %{libname}
%doc DISCLAIMER DISCLAIMER.UC COPYING
%{_libdir}/libgenders.so.%{major}{,.*}
%{_mandir}/man3/libgenders.3*

%files -n %{gendersplusplus_libname}
%doc DISCLAIMER DISCLAIMER.UC COPYING
%{_libdir}/libgendersplusplus.so.%{majorpp}{,.*}

%files -n %{develname}
%doc DISCLAIMER DISCLAIMER.UC COPYING
%{_includedir}/*
%{_libdir}/libgenders*.so
%{_mandir}/man3/genders_*

%files compat
%doc DISCLAIMER DISCLAIMER.UC COPYING
%{_mandir}/man3/gendlib*
%dir %{_prefix}/lib/genders
%{_prefix}/lib/genders/*

%files -n perl-Libgenders
%doc DISCLAIMER DISCLAIMER.UC COPYING
%{perl_vendorarch}/Genders.pm
%{perl_vendorarch}/Libgenders.pm
%dir %{perl_vendorarch}/auto/Libgenders
%{perl_vendorarch}/auto/Libgenders/Libgenders.so
%{_mandir}/man3/Genders.3pm*
%{_mandir}/man3/Libgenders.3pm*

%if %{with python}
%files -n python3-libgenders
%doc DISCLAIMER DISCLAIMER.UC COPYING
%{python3_sitearch}/genders.py*
%{python3_sitearch}/libgenders-*-py*.egg-info
%{python3_sitearch}/libgenders*.so
%{python3_sitearch}/__pycache__/*
%endif

%files java
%doc DISCLAIMER DISCLAIMER.UC COPYING
%{_libdir}/libGendersjni.so.*
%{_jnidir}/Genders.jar

%files java-devel
%doc DISCLAIMER DISCLAIMER.UC COPYING
%{_libdir}/libGendersjni.so

%files javadoc
%doc DISCLAIMER DISCLAIMER.UC COPYING
%{_docdir}/%{name}-%{version}-javadoc/
