# The build system uses the given host triplet which doesn't match the
# one used by gcc in mga9, so fix it here by dropping the -gnu.
%define _gnu ""

%define sname		gens
Name:			%{sname}-gs
Version:		2.16.7
%define gitdate		20090911
Release:		%mkrel 5

Summary:	A Sega Genesis, Sega CD and Sega 32X emulator
License:	GPLv2+
Group:		Emulators
URL:		https://segaretro.org/Gens/GS
Source0:	https://retrocdn.net/images/6/6d/Gens-gs-r7.tar.gz
Source1:	gens-gs.png
Patch0:		gens-gs-r7-gtk-deprecated.patch
Patch1:		gens-gs-2.16.7-mga-realtime.patch
Patch2:		gens-gs-2.16.7-mga-no-gtk-c.patch

BuildRequires:	gtk2-devel
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	gtkglextmm-devel
BuildRequires:	nasm
BuildRequires:	desktop-file-utils

Conflicts:	gens

ExclusiveArch:	%ix86

%description
Gens is an emulator for the Sega Genesis, Sega CD and Sega 32X.

Gens/GS is a version of Gens maintained by GerbilSoft.

The main goal of Gens/GS is to clean up the source code and combine features 
from various forks of Gens.

%prep
%autosetup -p1 -n %{name}-r7

%build
autoreconf -vfi
%configure CFLAGS='-ldl -lX11'
%make_build

%install
%makeinstall

desktop-file-install --vendor="" \
 --remove-category="Application" \
 --dir %{buildroot}%{_datadir}/applications/ \
 %{buildroot}%{_datadir}/applications/*

rm -f %{buildroot}%{_libdir}/mdp/*.{a,la}


%files
%doc AUTHORS.txt ChangeLog.txt NEWS.txt README.txt doc/*
%{_bindir}/gens
%{_bindir}/mdp_test
%dir %{_datadir}/gens/
%{_datadir}/gens/*
%{_datadir}/applications/gens.desktop
%{_libdir}/mdp/*.so
%{_docdir}/*
