%define api 	2
%define major	0
%define gmajor	2.0
%define libname	%mklibname %{name} %{api} %{major}
%define girname	%mklibname %{name}-gir %{gmajor}
%define devname	%mklibname %{name} %{api} -d

%global apikey	geoclue

Name:		geoclue
Version:	2.7.2
Release:	%mkrel 1
Summary:	A modular geoinformation service
Group:		Geography
License:	GPLv2+
URL:		https://gitlab.freedesktop.org/geoclue/geoclue/wikis/home
Source0:	https://gitlab.freedesktop.org/geoclue/geoclue/-/archive/%{version}/geoclue-%{version}.tar.bz2
Patch0:		0001-Allow-redshift-to-use-agent.patch
Patch1:		0001-Set-StateDirectory-in-systemd-service-file.patch
# Backport from upstream
## Generated with: git format-patch -N --stdout 2.7.2...master > geoclue-2.7.2-git41-backports.patch
Patch10:	geoclue-2.7.2-git41-backports.patch
BuildRequires:	meson
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	vala-devel
BuildRequires:	pkgconfig(avahi-client)
BuildRequires:	pkgconfig(avahi-glib)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libnm)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(mm-glib)

# for demo agent
BuildRequires:	pkgconfig(libnotify)

Requires(pre):		rpm-helper
Requires(post):		rpm-helper
Requires(postun):	rpm-helper
Requires(preun):	rpm-helper

# for TLS/SSL support
Requires:	glib-networking

Provides:	geoclue2 = %{version}-%{release}

%description
Geoclue is a D-Bus service that provides location information. The
primary goal of the Geoclue project is to make creating location-aware
applications as simple as possible, while the secondary goal is to
ensure that no application can access location information without
explicit permission from user.

Geoclue used to also do (reverse-)geocoding but that functionality has
been dropped in favor of geocode-glib library.

However project is in the early stages of development and hence
lacking essential features. Currently it can only determine your
location based on your IP (i-e city-level accuracy) and does not have
any permission control.

%files
%doc NEWS README.md
%dir %{_sysconfdir}/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%{_sysconfdir}/xdg/autostart/geoclue-demo-agent.desktop
%attr(755,geoclue,geoclue) %dir %{_sharedstatedir}/geoclue
%{_datadir}/polkit-1/rules.d/org.freedesktop.GeoClue2.rules
%{_datadir}/dbus-1/system.d/org.freedesktop.GeoClue2.conf
%{_datadir}/dbus-1/system.d/org.freedesktop.GeoClue2.Agent.conf
%{_datadir}/dbus-1/system-services/org.freedesktop.GeoClue2.service
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2.Agent.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2.Client.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2.Location.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2.Manager.xml
%{_datadir}/applications/geoclue-demo-agent.desktop
%{_datadir}/applications/geoclue-where-am-i.desktop
%{_libexecdir}/geoclue-2.0/
%{_libexecdir}/geoclue
%{_unitdir}/geoclue.service
%{_mandir}/man5/geoclue.5.*

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	Geoclue Client Library
Group:		System/Libraries

%description -n %{libname}
A convenience library to interact with Geoclue service.

%files -n %{libname}
%{_libdir}/libgeoclue-%{api}.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for geoclue2
Group:		System/Libraries

%description -n %{girname}
GObject Introspection interface description for geoclue2.

%files -n %{girname}
%{_libdir}/girepository-1.0/Geoclue-%{gmajor}.typelib

#--------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for geoclue2
Group:		Development/Other
Obsoletes:	libgeoclue1.0-devel < 1.99.2
Obsoletes:	lib64geoclue1.0-devel < 1.99.2
Obsoletes:	%{name}-devel < 2.4.0
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}2-devel = %{version}-%{release}
# (tv) fix "No rule to make target '/usr/share/dbus-1/interfaces/org.freedesktop.GeoClue2.xml', needed by 'geoclue.h'":
Requires:	geoclue
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}

%description -n %{devname}
This package contains the development files for geoclue2.

%files -n %{devname}
%{_includedir}/libgeoclue-%{gmajor}/
%{_libdir}/pkgconfig/geoclue-%{gmajor}.pc
%{_libdir}/pkgconfig/libgeoclue-%{gmajor}.pc
%{_libdir}/libgeoclue-%{api}.so
%{_datadir}/gir-1.0/Geoclue-%{gmajor}.gir
%{_datadir}/vala/vapi/libgeoclue-%{api}.*

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%meson -Dgtk-doc=false \
       -Ddbus-srv-user=%{name} \
       -Ddefault-wifi-url="https://api.beacondb.net/v1/geolocate"
%meson_build

%install
%meson_install

# home dir for geoclue
mkdir -p %{buildroot}%{_sharedstatedir}/geoclue

%pre
%_pre_useradd %{name} %{_sharedstatedir}/geoclue /sbin/nologin

%preun
%_preun_service %{name}

%post
%_post_service %{name}

%postun
%_postun_userdel %{name}
