%bcond_with installed_tests

%define major 0
%define api   2
%define api_  2.0

%define girname   %mklibname geocodeglib-gir %{api_}
%define libname   %mklibname %{name} %{api} %{major}
%define develname %mklibname %{name} %{api} -d

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		geocode-glib
Version:	3.26.4
Release:	%mkrel 2
Summary:	A convenience library for the Yahoo! Place Finder APIs
Group:		Networking/Other
License:	LGPLv2
URL:		https://geoclue.freedesktop.org/
Source0:	https://download.gnome.org/sources/geocode-glib/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gio-2.0) >= 2.34
BuildRequires:	pkgconfig(json-glib-1.0) >= 0.99.2
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.6.3
BuildRequires:	gnome-doc-utils
BuildRequires:	intltool
BuildRequires:	meson
BuildRequires:	gtk-doc
# for tests
BuildRequires:	locales-sv
BuildRequires:	locales-en
BuildRequires:	locales-cs

%description
geocode-glib is a convenience library for the Yahoo! Place Finder
APIs, as described at:
https://developer.yahoo.com/geo/placefinder/

The Place Finder web service allows to do geocoding (finding longitude
and latitude from an address), and reverse geocoding (finding an address
from coordinates).

%package -n %libname
Group:		Networking/Other
Summary:	A convenience library for the Yahoo! Place Finder APIs
Requires:	%{name}-data >= %{version}-%{release}

Obsoletes:	%{_lib}geocode-glib0 < 3.26.4-2

%description -n %libname
Geocode-glib allows you to do geocoding (going from a place name,
to a longitude/latitude pair) and reverse geocoding (finding a place
name from coordinates) using Yahoo! Place Finder API.

This library should be used in place of Geoclue's D-Bus API for
geocoding and reverse geocoding.

This package contains version 2 of the API, which uses libsoup3 internally.

%package -n %girname
Group:		Networking/Other
Summary:	GObject Introspection interface description for GeocodeGlib v2
Requires:	%{libname} = %{version}

Obsoletes:	%{_lib}geocode-glib-gir1.0 < 3.26.4-2

%description -n %girname
GObject Introspection interface description for GeocodeGlib v2.

%package	data
Summary:	Icon files for %{name}

%description data
This package contains icon files for applications that use %{name}.

%package -n %develname
Group:		Networking/Other
Summary:	A convenience library for the Yahoo! Place Finder APIs
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}%{api}-devel = %{version}-%{release}

Obsoletes:	%{_lib}geocode-glib-devel < 3.26.4-2

%description -n %develname
Geocode-glib allows you to do geocoding (going from a place name,
to a longitude/latitude pair) and reverse geocoding (finding a place
name from coordinates) using Yahoo! Place Finder API.

This library should be used in place of Geoclue's D-Bus API for
geocoding and reverse geocoding.

This package contains the development files for geocode-glib v2.

%prep
%autosetup -p1

%build
%meson \
  -Denable-installed-tests=false \
  -Dsoup2=false
%meson_build

%install
%meson_install

%check
%meson_test

%files -n %{libname}
%license COPYING.LIB
%doc AUTHORS NEWS README
%{_libdir}/libgeocode-glib-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GeocodeGlib-%{api_}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/%{name}-%{api}/
%{_includedir}/geocode-glib-%{api_}/
%{_libdir}/libgeocode-glib-%{api}.so
%{_libdir}/pkgconfig/geocode-glib-%{api_}.pc
%{_datadir}/gir-1.0/GeocodeGlib-%{api_}.gir

%files data
%{_iconsdir}/hicolor/scalable/places/*.svg
