Summary:	GeoIP update client code
Name:		geoipupdate
Version:	3.1.1
Release:	%mkrel 3
License:	GPLv2+
Group:		System/Libraries
URL:		https://github.com/maxmind/geoipupdate
Source0:	https://github.com/maxmind/geoipupdate/releases/download/v%{version}/geoipupdate-%{version}.tar.gz
Source1:	geoipupdate.cron
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libcurl)
Requires:	geolite2-city
Requires:	geolite2-country

%description
The GeoIP Update program performs automatic updates of GeoIP2 and GeoIP Legacy
binary databases. CSV databases are not supported.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install

# Weekly crontab
mkdir -p %{buildroot}%{_sysconfdir}/cron.weekly
install -m755  %{SOURCE1} %{buildroot}%{_sysconfdir}/cron.weekly/%{name}

# We'll package the documentation ourselves
rm -rf %{buildroot}%{_datadir}/doc/geoipupdate

%files
%license LICENSE
%doc *.md
%{_bindir}/geoipupdate
%{_mandir}/man1/geoipupdate.1*
%{_mandir}/man5/GeoIP.conf.5*
%config(noreplace) %{_sysconfdir}/GeoIP.conf
%{_sysconfdir}/cron.weekly/%{name}
