%global _description \
GeoLite2 databases are free IP geolocation databases comparable to, but less\
accurate than, MaxMind's GeoIP2 databases.\
\
This product includes GeoLite2 data created by MaxMind,\
available from http://www.maxmind.com.

Name:           geolite2
Version:        20191217
Release:        %mkrel 2
Summary:        Free IP geolocation databases
License:        CC-BY-SA
Group:          Sciences/Geosciences
URL:            https://dev.maxmind.com/geoip/geoip2/geolite2/
Source0:        https://geolite.maxmind.com/download/geoip/database/GeoLite2-City_%{version}.tar.gz
Source1:        https://geolite.maxmind.com/download/geoip/database/GeoLite2-Country_%{version}.tar.gz
Source2:	https://geolite.maxmind.com/download/geoip/database/GeoLite2-ASN_%{version}.tar.gz
BuildArch:      noarch


%description %{_description}


%package city
Summary:        Free IP geolocation city database
Group:          Sciences/Geosciences
Recommends:     geoipupdate

%description city %{_description}


%package country
Summary:        Free IP geolocation country database
Group:          Sciences/Geosciences
Recommends:     geoipupdate

%description country %{_description}


%package asn
Summary:	Free IP autonomous system number database
Group:          Sciences/Geosciences
Recommends:     geoipupdate

%description asn %{_description}


%prep
%setup -q -T -c -a 0 -a 1 -a 2


%install
for db in GeoLite2-City GeoLite2-Country GeoLite2-ASN; do
    install -D -p -m 0644 ${db}_%{version}/$db.mmdb %{buildroot}%{_datadir}/GeoIP/$db.mmdb
done


%files city
%license GeoLite2-City_%{version}/COPYRIGHT.txt GeoLite2-City_%{version}/LICENSE.txt
%dir %{_datadir}/GeoIP
%verify(not md5 size mtime) %{_datadir}/GeoIP/GeoLite2-City.mmdb


%files country
%license GeoLite2-Country_%{version}/COPYRIGHT.txt GeoLite2-Country_%{version}/LICENSE.txt
%dir %{_datadir}/GeoIP
%verify(not md5 size mtime) %{_datadir}/GeoIP/GeoLite2-Country.mmdb


%files asn
%license GeoLite2-ASN_%{version}/COPYRIGHT.txt GeoLite2-ASN_%{version}/LICENSE.txt
%dir %{_datadir}/GeoIP
%verify(not md5 size mtime) %{_datadir}/GeoIP/GeoLite2-ASN.mmdb

