Name:		geos
Version:	3.13.1
Release:	%mkrel 1
Summary:	GEOS (Geometry Engine, Open Source) topology library
License:	LGPLv2+
Group:		Sciences/Geosciences
Url:		https://trac.osgeo.org/geos
Source0:	https://download.osgeo.org/geos/%{name}-%{version}.tar.bz2
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	multiarch-utils

%description
The GEOS library provides topological operators and simple spatial constructs:
points, lines, polygons, and collections.

%files
%doc AUTHORS NEWS.md README.md
%license COPYING
%{_bindir}/geosop

#-----------------------------------------------------------------------------

%define major	%{version}
%define libname	%mklibname geos %{major}

%package -n %{libname}
Summary:	Libraries for GEOS
Group:		Sciences/Geosciences
Provides:	%{name} lib%{name}

Obsoletes:	%{_lib}geos3 < 3.12.2-2

%description -n %{libname}
The GEOS library provides topological operators and simple spatial constructs:
points, lines, polygons, and collections.

%files -n %{libname}
%doc AUTHORS NEWS.md README.md
%license COPYING
%{_libdir}/libgeos.so.%{version}

#-----------------------------------------------------------------------------

%define major_c		1
%define libname_c	%mklibname geos_c %{major_c}

%package -n %{libname_c}
Summary:	Libraries for GEOS
Group:		Sciences/Geosciences

%description -n %{libname_c}
The GEOS library provides topological operators and simple spatial constructs:
points, lines, polygons, and collections.

%files -n %{libname_c}
%doc AUTHORS NEWS.md README.md
%license COPYING
%{_libdir}/libgeos_c.so.%{major_c}{,.*}

#-----------------------------------------------------------------------------

%define devel_name	%mklibname %{name} -d

%package -n %{devel_name}
Summary:	Development Libraries for the GEOS topology library
Group:		Sciences/Geosciences
Requires:	%{libname} = %{version}
Requires:	%{libname_c} = %{version}
Provides:	%{name}-devel = %{version}
Provides:	libgeos-devel = %{version}

%description -n %{devel_name}
The GEOS library provides topological operators and simple spatial constructs:
points, lines, polygons, and collections.

%files -n %{devel_name}
%{_bindir}/geos-config
%{_includedir}/*
%{_libdir}/libgeos.so
%{_libdir}/libgeos_c.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/GEOS/

#-----------------------------------------------------------------------------

%prep
%setup -q

%build
# Native build
%cmake -DDISABLE_GEOS_INLINE=ON \
       -DBUILD_DOCUMENTATION=ON

%cmake_build

%install
%cmake_install
