%define _legacy_common_support 1

%define major	1
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Summary:	Gerber file viewer
Name: 		gerbv
Version:	2.10.0
Release: 	%mkrel 1
License:	GPLv2+
Group:		Sciences/Other
URL:		http://gerbv.geda-project.org/
Source:		https://github.com/%{name}/%{name}/archive/refs/tags/v%{version}.tar.gz
BuildRequires:	bison
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(atk)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	gettext-devel
Recommends:	%{name}-examples >= %{version}

%description
Gerbv is a viewer for Gerber files. Gerber files are generated from PCB CAD
system and sent to PCB manufacturers as basis for the manufacturing process.

%package examples
Summary:	Gerber file examples for gerbv
Group: 		Sciences/Other
Requires:	gerbv

%description examples
Example files for gerbv.

%package -n %{libname}
Summary:	Libraries for gerbv
Group:		Sciences/Other

%description -n %{libname}
Libraries for gerbv.

%package -n %{devname}
Summary:	Development files for gerbv
Group:		Sciences/Other
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}

%description -n %{devname}
Development files for gerbv.

%prep
%setup -q
%autopatch -p1

%build
NOCONFIGURE=1 ./autogen.sh
%configure \
	--disable-update-desktop-database \
	--disable-static
%make_build

%install
%make_install

%find_lang %{name}

#we don't want these
find %{buildroot} -name "*.la" -delete

#handle docs in files section
rm -rf %{buildroot}%{_docdir}

cp -fr doc example %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor ""               \
    --remove-key=Version                       \
    --remove-key=Encoding                      \
    --add-category=Science                     \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/gerbv
%{_mandir}/man1/gerbv.*
%dir %{_datadir}/gerbv
%{_datadir}/gerbv/gerbv_icon.ico
%{_datadir}/gerbv/doc/
%{_datadir}/gerbv/scheme/
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/org.geda-user.gerbv.gschema.xml

%files examples
%{_datadir}/gerbv/example/

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
