%define api_version 2.1
%define pkg_name geronimo-ejb_%{api_version}_spec

Name:          geronimo-ejb-2.1-api
Version:       1.1
Release:       %mkrel 6
Summary:       Geronimo EJB Spec 2.1
Summary:       Geronimo CORBA 3.0 Spec
Group:         Development/Java
License:       ASL
URL:           https://geronimo.apache.org/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-ejb_2.1_spec-1.1
Source0:       geronimo-ejb_2.1_spec-1.1-src-svn.tar.gz
Patch0:        geronimo-ejb-2.1-api-pom_xml.patch
BuildRequires: geronimo-jta
BuildRequires: geronimo-parent-poms
BuildRequires: geronimo-jta-1.0.1B-api
BuildRequires: java-devel
BuildRequires: junit
BuildRequires: jpackage-utils
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-local
BuildRequires: plexus-resources
Requires:      jpackage-utils
BuildArch:     noarch

%description
Geronimo EJB 2.1 Spec.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
Geronimo EJB 2.1 Spec.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{pkg_name}-%{version}
%patch -P 0 -p0

%build
mvn-rpmbuild install javadoc:aggregate
 
%install
mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}

install -m 644 target/%{pkg_name}-%{version}.jar \
  %{buildroot}%{_javadir}/geronimo-ejb-%{api_version}-api.jar

install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-geronimo-ejb-%{api_version}-api.pom
%add_maven_depmap JPP-geronimo-ejb-%{api_version}-api.pom geronimo-ejb-%{api_version}-api.jar

mkdir -p %{buildroot}%{_javadocdir}/geronimo-ejb-%{api_version}-api
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/geronimo-ejb-%{api_version}-api

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/geronimo-ejb-2.1-api.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt NOTICE.txt

%files javadoc
%{_javadocdir}/geronimo-ejb-2.1-api

