%define api_version 1.0.1B
%define pkg_name geronimo-jta_%{api_version}_spec

Name:          geronimo-jta-1.0.1B-api
Version:       1.1.1
Release:       %mkrel 6
Summary:       JTA %{api_version}
License:       Apache Software License 2.0
Group:         Development/Java
URL:           https://geronimo.apache.org/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-jta_1.0.1B_spec-1.1.1
# tar czf geronimo-jta_1.0.1B_spec-1.1.1-src-svn.tar.gz  geronimo-jta_1.0.1B_spec-1.1.1
Source0:       %{pkg_name}-%{version}-src-svn.tar.gz
BuildRequires: geronimo-parent-poms
BuildRequires: jpackage-utils
BuildRequires: java-devel
BuildRequires: junit
BuildRequires: maven-local
Requires:      jpackage-utils
BuildArch:     noarch

%description
Geronimo JTA %{api_version} API.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Geronimo JTA %{api_version} API.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{pkg_name}-%{version}

iconv -f iso8859-1 -t utf-8 LICENSE.txt > LICENSE.txt.conv && mv -f LICENSE.txt.conv LICENSE.txt
sed -i 's/\r//' LICENSE.txt

sed -i 's/1.3/1.5/' pom.xml
sed -i 's|<version>1.2</version>|<version>1.4</version>|' pom.xml

%build
mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate

%install
mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{pkg_name}-%{version}.jar %{buildroot}%{_javadir}/geronimo-jta-%{api_version}-api.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-geronimo-jta-%{api_version}-api.pom
%add_maven_depmap JPP-geronimo-jta-%{api_version}-api.pom geronimo-jta-%{api_version}-api.jar

mkdir -p %{buildroot}%{_javadocdir}/geronimo-jta-%{api_version}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/geronimo-jta-%{api_version}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/geronimo-jta-1.0.1B-api.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt NOTICE.txt

%files javadoc
%{_javadocdir}/geronimo-jta-%{api_version}

