Name:           geronimo-parent-poms
Version:        1.6
Release:        %mkrel 28
Group:          Development/Java
Summary:        Parent POM files for geronimo-specs
License:        ASL 2.0
URL:            https://geronimo.apache.org/
BuildArch:      noarch

# Following the parent chain all the way up ...
Source0:        https://svn.apache.org/repos/asf/geronimo/specs/tags/specs-parent-%{version}/pom.xml
Source1:        https://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)

# Dependencies and plugins from the POM files
Provides:       geronimo-specs = %{version}-%{release}

%description
The Project Object Model files for the geronimo-specs modules.

%prep
%setup -c -T
cp -p %{SOURCE0} .
cp -p %{SOURCE1} LICENSE
%pom_remove_parent
# IDEA plugin is not really useful in Fedora
%pom_remove_plugin :maven-idea-plugin
%mvn_alias : org.apache.geronimo.specs:specs

# source/target of 1.5 is not supported in fedora
sed -i -e 's/>1\.5</>1.8</' pom.xml
%pom_xpath_inject pom:build "
<pluginManagement><plugins><plugin>
<artifactId>maven-javadoc-plugin</artifactId>
<configuration>
<source>1.8</source>
<detectJavaApiLink>false</detectJavaApiLink>
</configuration>
</plugin></plugins></pluginManagement>"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE


