%define api_version 2.4
%define pkg_name geronimo-servlet_%{api_version}_spec

Name:          geronimo-servlet-2.4-api
Version:       1.1.1
Release:       %mkrel 6
Summary:       Servlet 2.4
License:       ASL 2.0
Group:         Development/Java
URL:           https://geronimo.apache.org/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-servlet_2.4_spec-1.1.1
# tar czf geronimo-servlet_2.4_spec-1.1.1-src-svn.tar.gz geronimo-servlet_2.4_spec-1.1.1
Source0:       geronimo-servlet_2.4_spec-1.1.1-src-svn.tar.gz
Patch0:        geronimo-servlet-2.4-api-pom_xml.patch
BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: geronimo-parent-poms
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-local

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Geronimo Servlet 2.4 API.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Geronimo Servlet 2.4 API.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{pkg_name}-%{version}

for d in LICENSE NOTICE ; do
  iconv -f iso8859-1 -t utf-8 $d.txt > $d.txt.conv && mv -f $d.txt.conv $d.txt
  sed -i 's/\r//' $d.txt
done
%patch -P 0 -p0
%build

mvn-rpmbuild install javadoc:aggregate

%install
mkdir -p %{buildroot}%{_javadir}
install -m 644 target/%{pkg_name}-%{version}.jar \
  %{buildroot}%{_javadir}/geronimo-servlet-%{api_version}-api-%{version}.jar

(
  cd %{buildroot}%{_javadir}/
  ln -sf geronimo-servlet-%{api_version}-api-%{version}.jar geronimo-servlet-%{api_version}-api.jar
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-geronimo-servlet-%{api_version}-api.pom
%add_maven_depmap JPP-geronimo-servlet-%{api_version}-api.pom geronimo-servlet-%{api_version}-api.jar

mkdir -p %{buildroot}%{_javadocdir}/geronimo-servlet-%{api_version}-api
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/geronimo-servlet-%{api_version}-api

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/geronimo-servlet-%{api_version}-api-%{version}.jar
%{_javadir}/geronimo-servlet-2.4-api.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt NOTICE.txt

%files javadoc
%{_javadocdir}/geronimo-servlet-%{api_version}-api
