%define api_version 2.0
%define pkg_name geronimo-ws-metadata_%{api_version}_spec
Name:          geronimo-ws-metadata-2.0-api
Version:       1.1.3
Release:       %mkrel 5
Summary:       Web Services Metadata 2.0
Group:         Development/Java
License:       ASL 2.0
URL:           https://geronimo.apache.org/
Source0:       https://repo1.maven.org/maven2/org/apache/geronimo/specs/%{pkg_name}/%{version}/%{pkg_name}-%{version}-source-release.tar.gz
Patch0:        geronimo-ws-metadata-2.0-api-1.1.3-use_parent_pom.patch
BuildRequires: geronimo-parent-poms
BuildRequires: jpackage-utils
BuildRequires: java-devel
BuildRequires: junit
BuildRequires: maven-local
BuildRequires: maven-plugin-bundle
Requires:      jpackage-utils
BuildArch:     noarch

%description
Geronimo Web Services Metadata 2.0 API.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
Geronimo Web Services Metadata 2.0 API.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{pkg_name}-%{version}

for d in LICENSE NOTICE ; do
  iconv -f iso8859-1 -t utf-8 $d > $d.conv && mv -f $d.conv $d
  sed -i 's/\r//' $d
done

%patch -P 0 -p0

%build
mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate

%install
mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}

install -m 644 target/%{pkg_name}-%{version}.jar \
  %{buildroot}%{_javadir}/geronimo-ws-metadata-%{api_version}-api.jar

install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-geronimo-ws-metadata-%{api_version}-api.pom
%add_maven_depmap JPP-geronimo-ws-metadata-%{api_version}-api.pom geronimo-ws-metadata-%{api_version}-api.jar

mkdir -p %{buildroot}%{_javadocdir}/geronimo-ws-metadata-%{api_version}-api
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/geronimo-ws-metadata-%{api_version}-api

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/geronimo-ws-metadata-2.0-api.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE NOTICE

%files javadoc
%{_javadocdir}/geronimo-ws-metadata-%{api_version}-api

