%global __requires_exclude perl\\(Programme|Streamer

Name:           get_iplayer
Version:        3.35
Release:        %mkrel 1
Summary:        iPlayer TV, Radio, Podcase, Programmes stream tool
Group:          Networking/File transfer
License:        GPLv3+
Url:            https://www.infradead.org/get_iplayer/html/get_iplayer.html
Source:         https://github.com/get-iplayer/get_iplayer/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
Requires:	ffmpeg
Requires:	atomicparsley
Requires:	perl(Mojolicious)
Requires:	perl(XML::Simple)
Requires:	perl(XML::LibXML)
Recommends:     flvstreamer

%description
Lists, searches and records BBC iPlayer TV/Radio, BBC Podcast and ITVplayer TV programmes
Note: This is the version from:
  https://www.infradead.org/get_iplayer/html/get_iplayer.html
which is a fork/continuation of the original from:
  https://linuxcentre.net/getiplayer
which was discontinued as outlined here:
  https://linuxcentre.net/get_iplayer-dropped-in-response-to-bbcs-lack-of-support-for-open-source

%prep
%setup -q

%build
%make_build

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_datadir}/%{name}

install -m 755 get_iplayer %{buildroot}%{_bindir}

install -m 644 get_iplayer.1 %{buildroot}%{_mandir}/man1/

%files
%doc README.md
%{_bindir}/get_iplayer
%dir %{_datadir}/%{name}
%{_mandir}/man1/get_iplayer.1*
