%define		oname %{name}6

Name:		getmail
Summary:	IMAP and POP3 mail retriever with reliable Maildir delivery
Version:	6.19.07
Release:	%mkrel 1
License:	GPLv2
Group:		Networking/Mail
URL:		https://github.com/getmail6/getmail6
Source0:	https://github.com/%{oname}/%{oname}/archive/v%{version}/%{oname}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)

%description
getmail is intended as a simple replacement for fetchmail for those people who
do not need its various and sundry configuration options, complexities, and
bugs.  It retrieves mail from one or more IMAP or POP3 servers for one or more
email accounts, and reliably delivers into a mbox or Maildir specified on a
per-account basis.  Retrieval of mail using SSL is supported for both
protocols.

%prep
%setup -q -n %{oname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files getmailcore

#handle docs in files section
rm -rf %{buildroot}%{_docdir}

%files -f %{pyproject_files}
%doc docs/BUGS docs/CHANGELOG docs/THANKS
%doc docs/*.txt docs/*.html docs/*.css
%doc docs/getmailrc-examples
%{_bindir}/%{name}*
%{_mandir}/man1/%{name}*
%license docs/COPYING
