%define major	3
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		gf2x
Summary:	Library for multiplying polynomials over the binary field
Version:	1.3.0
Release:	%mkrel 3
Group:		Sciences/Mathematics
License:	GPLv3+
# https://gitlab.inria.fr/gf2x/gf2x
URL:		https://gforge.inria.fr/projects/gf2x/
Source0:	https://gforge.inria.fr/frs/download.php/file/38243/%{name}-%{version}.tar.gz
Patch1:		0001-fix-#include-in-configure-test.patch
BuildRequires:	pkgconfig(gmp)

%package -n %{libname}
Group:		System/Libraries
License:	LGPLv2+
Summary:	Library for multiplying polynomials over the binary field

%description	-n %{libname}
Library for multiplying polynomials over the binary field.
This package contains the gf2x runtime library.

%package	-n %{devname}
Group:		Development/C
License:	GOL
Summary:	Library for multiplying polynomials over the binary field
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description	-n %{devname}
Library for multiplying polynomials over the binary field.
This package contains the gf2x development files.

%description
gf2x is a library for multiplying polynomials over the binary field.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure \
	--disable-static \
	--disable-pclmul
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%check
%__make check

%files -n %{libname}
%license COPYING.LIB
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%doc NEWS README
%{_includedir}/*.h
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
