###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2012 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

Name:		gfs2-utils
Version:	3.5.1
Release:	%mkrel 2
License:	GPLv2+ and LGPLv2+
Group:		System/Kernel and hardware
Summary:	Utilities for managing the global file system (GFS2)
URL:		https://pagure.io/gfs2-utils
Source0:	https://releases.pagure.org/gfs2-utils/gfs2-utils-%{version}.tar.gz
BuildRequires:	automake
BuildRequires:	perl
BuildRequires:	libtool
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext-devel
BuildRequires:	kernel-userspace-headers
BuildRequires:	pkgconfig(blkid)
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(check)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(zlib)

Requires:	ncurses
Requires:	file

Requires(post):	chkconfig
Requires(preun): initscripts
Requires(preun): chkconfig
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description -n gfs2-utils
The gfs2-utils package contains a number of utilities for creating,
checking, modifying, and correcting any inconsistencies in GFS2
file systems.

%prep
%autosetup -p1

%build
NOCONFIGURE=1 ./autogen.sh
%configure
%make_build

%install
%make_install -C gfs2

# python shebangs
%py3_shebang_fix %{buildroot}%{_sbindir}/*

%check
make check || { cat tests/testsuite.log; exit 1; }

%files -n gfs2-utils
%license doc/COPYING.* doc/COPYRIGHT
%doc doc/README.contributing doc/README.licence doc/*.txt
%{_sbindir}/fsck.gfs2
%{_sbindir}/gfs2_*
%{_sbindir}/glocktop
%{_sbindir}/mkfs.gfs2
%{_sbindir}/tunegfs2
%{_mandir}/man8/*gfs2*
%{_mandir}/man8/glocktop*
%{_mandir}/man5/*
%{_libexecdir}/gfs2_withdraw_helper
%{_udevrulesdir}/82-gfs2-withdraw.rules
