Summary:	Multithreaded FTP client
Name:		gftp
Epoch:		1
Version:	2.9.1b
Release:	%mkrel 3
License:	GPLv2+
Group:		Networking/File transfer
URL:		https://www.gftp.org/
Source0:	https://github.com/masneyb/gftp/releases/download/%{version}/gftp-%{version}.tar.xz
Patch0:		gftp-datetime-fixedsort.patch
Patch1:		gftp-fix-desktop-file.patch
Patch3:		gftp-mageia-bookmarks.patch
Patch4:		gftp-2.9.1b-fix-building-with-gcc14.patch
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(openssl)

%description
gFTP is a multithreaded FTP client written using Gtk. It features
simultaneous downloads, resuming of interrupted file transfers, file transfer
queues, downloading of entire directories, ftp proxy support, remote directory
caching, passive and non-passive file transfers, drag-n-drop, bookmarks menu,
stop button, and many more features.


%prep
%autosetup -p1

#make autoreconf happy
mkdir -p autoconf-m4

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

# handled in files section
rm -rf %{buildroot}%{_docdir}/%{name}/LICENSE

# locale files
%find_lang %{name}

%files -f %{name}.lang
%license LICENSE
%doc AUTHORS ChangeLog README.md TODO docs/USERS-GUIDE
%{_bindir}/gftp*
%{_datadir}/gftp/
%{_datadir}/applications/gftp.desktop
%{_datadir}/icons/hicolor/*/apps/gftp.{png,svg}
%{_mandir}/man1/gftp.1*
