Summary:	Tools to create graphical boot logos
Name:		gfxboot
Version:	4.5.79
Release:	%mkrel 2
# Suse released SRPM can be found on eg:
# https://download.opensuse.org/source/distribution/leap/42.1/repo/oss/suse/src/
# Latest tumbleweed (~~cauldron) SRPM can be found on:
# https://download.opensuse.org/source/tumbleweed/repo/oss/src/
Source0:	%{name}-%{version}.tar.xz
Patch0:		gfxboot-3.3.18-mga.patch
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		https://en.opensuse.org/SDB:Gfxboot
BuildRequires:	nasm
BuildRequires:	xmlto
BuildRequires:  docbook-dtd412-xml
BuildRequires:	pkgconfig(x11)
BuildRequires:	freetype2-devel
ExclusiveArch:	%{ix86} x86_64

%description
gfxboot provides tools to create graphical boot logos, for grub, lilo
and syslinux. It supports arch-specific boot menus, advanced help
menus, multiple keymaps, animated images, and more graphical pretty
things.

%package        devel
License:        GPLv2+
Summary:        Tools for creating a graphical boot logo
Group:          System/Kernel and hardware
Requires:	gfxboot = %version-%release

%description devel
Here you find the necessary programs to create your own graphical boot
logo. The logo can be used with grub, lilo or syslinux.

%prep
%setup -q
%autopatch -p1

%build
%make_build
%make_build doc

%install
%make_install THEMES=""
install -d -m 755 %{buildroot}%{_mandir}/man8
install -m 644 doc/gfxboot.8 %{buildroot}%{_mandir}/man8

# gfxboot-compile is used to build as non-root, move it out of /usr/sbin
install -d %{buildroot}%{_bindir}
# add adddir and keymapchars since they are used in mandriva-gfxboot-theme
# build system
cp %{_builddir}/%{name}-%{version}/bin/adddir %{buildroot}%{_bindir}/gfxboot-adddir
cp %{_builddir}/%{name}-%{version}/bin/keymapchars %{buildroot}%{_bindir}/gfxboot-keymapchars
mv %{buildroot}%{_sbindir}/gfxboot-compile %{buildroot}%{_bindir}/gfxboot-compile
mv %{buildroot}%{_sbindir}/gfxboot-font %{buildroot}%{_bindir}/gfxboot-font

%files
%{_sbindir}/gfxboot
%{_sbindir}/gfxtest
%{_mandir}/man8/*

%files devel
%{_bindir}/gfxboot-compile
%{_bindir}/gfxboot-font
%{_bindir}/gfxboot-adddir
%{_bindir}/gfxboot-keymapchars
%doc doc/gfxboot.html
%doc doc/gfxboot.txt


