%define major 2
%define mod_major 4
%define core_major 9

%define libname %mklibname ggz %{major}
%define modlibname %mklibname ggzmod %{mod_major}
%define corelibname %mklibname ggzcore %{core_major}

%define lib_name        %mklibname %{name} %{core_major}
%define develname %mklibname -d %{name}

Name:		ggz-base-libs
Summary:	GGZ Client Libraries
Version:	0.99.5
Release:	%mkrel 9
License:	GPLv2+
Group:		Games/Other
URL:		http://ggzgamingzone.org/
Source0:	http://ftp.ggzgamingzone.org/pub/ggz/snapshots/%{name}-snapshot-%{version}.tar.gz
Patch99:	ggz-base-libs-0.99.5-fedora-c99.patch
BuildRequires:	pkgconfig(popt)
BuildRequires:	pkgconfig(expat)
Requires(pre):	%{libname} = %{version}
Requires(pre):	%{modlibname} = %{version}
Requires(pre):	%{corelibname} = %{version}

Obsoletes:	ggz-client-libs < 0.99.5

%description
The GGZ client libraries are necessary for running and/or developing
GGZ Gaming Zone clients and games.

%package        -n %{libname}
Summary:        Common library for running GGZ Gaming Zone applications
Group:          Games/Other
Provides:       %{name} = %{version}-%{release}

%description    -n %{libname}
The GGZ Gaming Zone server allows other computers to connect to yours
via the Internet and play network games.

This package contains the shared library that provides features
required for running both clients and the server.

%package -n	%{modlibname}
Summary:	GGZ Library containing functions interfacing game server and GGZ
Group:		System/Libraries
Requires:	%{name} = %{version}
Provides:	libggzmod = %{version}

%description -n	%{modlibname}
The GGZ client libraries are necessary for running and/or developing
GGZ Gaming Zone clients and games.

This package contains library that contains common functions for
interfacing a game server and GGZ.


%package -n	%{corelibname}
Summary:	GGZ Library needed by GGZ clients
Group:		System/Libraries
Requires:	%{name} = %{version}

%description -n	%{corelibname}
The GGZ client libraries are necessary for running and/or developing
GGZ Gaming Zone clients and games.

This package contains library that contains core functions needed
by all GGZ clients.


%package -n	%{develname}
Summary:	Development files for GGZ game clients library
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	%{modlibname} = %{version}
Requires:	%{corelibname} = %{version}
Provides:	%{name}-devel = %version-%release
Obsoletes:	%{_lib}ggz-devel < 0.99.5
Obsoletes:	%{_lib}ggz-client-libs-devel < 0.99.4-2

%description -n	%{develname}
The GGZ client libraries are necessary for running and/or developing
GGZ Gaming Zone clients and games.

This package contains headers and other development files used for
building GGZ Gaming Zone clients or game modules.


%prep
%autosetup -p1 -n %{name}-snapshot-%{version}

%build
autoreconf -fi
%configure --with-libggz-libraries=%{_libdir}
%make_build

%install
rm -rf %{buildroot} ggz*.lang
%make_install

%find_lang ggzcore --all-name

# owns various directories
mkdir -p %{buildroot}%{_libdir}/ggz \
	 %{buildroot}%{_datadir}/ggz/ggz-config \
	 %{buildroot}%{_datadir}/ggz/pixmaps

mkdir -p %{buildroot}%{_sysconfdir}
touch %{buildroot}%{_sysconfdir}/ggz.modules

# don't ship .a, .la
find %{buildroot} -name *.a | xargs rm -f
find %{buildroot} -name *.la | xargs rm -f

%post
touch %{_sysconfdir}/ggz.modules

%files -f ggzcore.lang
%doc AUTHORS COPYING NEWS README QuickStart.GGZ README.GGZ
%ghost %{_sysconfdir}/ggz.modules
%{_sysconfdir}/xdg/menus/ggz.menu
%{_sysconfdir}/xdg/menus/applications-merged/ggz.merge.menu
%{_bindir}/ggz-config
%dir %{_libdir}/ggz
%dir %{_datadir}/ggz
%dir %{_datadir}/ggz/ggz-config
%dir %{_datadir}/ggz/pixmaps
%{_datadir}/desktop-directories/ggz-games.directory
%{_datadir}/desktop-directories/ggz.directory
%{_mandir}/man5/*
%{_mandir}/man6/*
%{_mandir}/man7/*

%files -n %{libname}
%{_libdir}/libggz.so.%{major}{,.*}

%files -n %{modlibname}
%{_libdir}/libggzmod.so.%{mod_major}
%{_libdir}/libggzmod.so.%{mod_major}.*

%files -n %{corelibname}
%{_libdir}/libggzcore.so.%{core_major}
%{_libdir}/libggzcore.so.%{core_major}.*

%files -n %{develname}
%doc COPYING ChangeLog
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*
