%define _legacy_common_support 1

%define major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

%define ggz_base_libs_version %{version}

Name:		ggz-gtk-client
Summary:	GGZ Client with GTK+ user interface
Version:	0.99.5
Release:	%mkrel 7
License:	GPLv2+
Group:		Games/Other
URL:		http://ggzgamingzone.org/

# https://downloads.sf.net/ggz/
Source:		http://ftp.ggzgamingzone.org/pub/ggz/snapshots/%{name}-snapshot-%{version}.tar.gz
Patch0:		ggz-gtk-client-0.99.5-linkage_fix.diff
Patch1:		ggz-gtk-client-0.99.5-fedora-format-security.patch
BuildRequires:	ggz-base-libs-devel = %{ggz_base_libs_version}
BuildRequires:	gtk+2-devel
BuildRequires:	desktop-file-utils
Requires:	ggz-base-libs = %{ggz_base_libs_version}
Recommends:	ggz-game-modules = %{version}

%description
The official GGZ Gaming Zone client with GTK+ user interface.

%package -n	%{libname}
Summary:	GGZ Library client with GTK+ user interface
Group:		Games/Other
Obsoletes:	%{mklibname %name} < 0.0.14.1-2

%description -n	%{libname}
The official GGZ Gaming Zone client with GTK+ user interface.

%package -n	%{develname}
Summary:	Development files for GGZ Gaming Zone client with GTK+ user interface
Group:		Development/Other
Requires:	%{libname} = %{version}
Provides: 	%{name}-devel = %{version}

%description -n	%{develname}
The GGZ client libraries are necessary for running and/or developing
GGZ Gaming Zone clients and games.

This package contains headers and other development files used for
building GGZ Gaming Zone GTK2+ client.

%prep
%setup -q -n %{name}-snapshot-%{version}
%autopatch -p1

%build
autoreconf -fis

%configure \
	--bindir=%{_gamesbindir} \
	--datadir="\${prefix}/share" \
	--disable-static \
	--with-libggz-libraries=%{_libdir} \
	--with-ggzcore-libraries=%{_libdir} \
	--with-ggzmod-libraries=%{_libdir} \

%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-key="Encoding" \
  --add-category="GTK;Game" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang ggz-gtk --all-name

%files -f ggz-gtk.lang
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO README.GGZ QuickStart.GGZ
%{_gamesbindir}/ggz-gtk
%{_datadir}/applications/*
%{_datadir}/ggz/
%{_mandir}/man?/*
%{_datadir}/locale/de/LC_MESSAGES/*.mo
%{_libdir}/ggz

%files -n %{libname}
%{_libdir}/libggz-gtk.so.%{major}{,.*}

%files -n %{develname}
%doc COPYING ChangeLog
%{_includedir}/*
%{_libdir}/lib*.so
