%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define api	4
%define major	1
%define libname	%mklibname gtkhex %{api} %{major}
%define girname	%mklibname hex-gir %{api}
%define devname	%mklibname gtkhex -d

Name:		ghex
Summary:	GNOME Hexadecimal Editor
Version:	46.1
Release:	%mkrel 1
License:	GPLv2+ and GFDL
Group:		Editors
Url:		https://wiki.gnome.org/Apps/Ghex
Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
BuildRequires:	gnome-common
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	yelp-tools
BuildRequires:	libxml2-utils
BuildRequires:	pkgconfig(libadwaita-1)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gail-3.0)
BuildRequires:	pkgconfig(xml2po)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
Conflicts:	%{_lib}gtkhex4_1 < 45.1

%description
GHex allows the user to load data from any file, view and edit it in either
hex or ascii. A must for anyone playing games that use non-ascii format for
saving.

%package -n %{libname}
Summary:	Shared library of the GNOME Hexadecimal Editor
Group:		System/Libraries

%description -n %{libname}
GHex allows the user to load data from any file, view and edit it in either
hex or ascii. A must for anyone playing games that use non-ascii format for
saving.

This contains the shared library needed by ghex.

%package -n %{girname}
Summary:	GObject Introspection interface description for Hex
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for Hex.

%package -n %{devname}
Summary:	Development files for the GNOME Hexadecimal Editor library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	libgtkhex-devel = %{version}-%{release}

%description -n %{devname}
GHex allows the user to load data from any file, view and edit it in either
hex or ascii. A must for anyone playing games that use non-ascii format for
saving.

This contains the development files needed to compile applications with
libghex.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

desktop-file-edit \
	--remove-category="Application" \
	%{buildroot}%{_datadir}/applications/*

%find_lang %{name}-%{api} --with-gnome --all-name

%files -f %{name}-%{api}.lang
%license COPYING
%doc NEWS README*
%{_bindir}/*
%{_datadir}/applications/*
%{_iconsdir}/hicolor/*/apps/*GHex*
%{_datadir}/glib-2.0/schemas/org.gnome.GHex.gschema.xml
%{_metainfodir}/org.gnome.GHex.appdata.xml

%dir %{_libdir}/gtkhex-%{api}.0/
%{_libdir}/gtkhex-%{api}.0/libhex-buffer-mmap.so
%{_libdir}/gtkhex-%{api}.0/libhex-buffer-direct.so

%files -n %{libname}
%{_libdir}/libgtkhex-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Hex-%{api}.typelib

%files -n %{devname}
%{_libdir}/libgtkhex-%{api}.so
%{_libdir}/pkgconfig/gtkhex-%{api}.pc
%{_includedir}/gtkhex-%{api}/
%{_datadir}/gir-1.0/Hex-%{api}.gir
