%define _disable_ld_no_undefined 1

# We are not going to build the URW fonts because of license reasons
%define gsverdir %(echo %{version}|sed -e 's/\\.//g')

%define bootstrap 0

Summary:	PostScript, PDF and XPS interpreter and renderer
Name:		ghostpcl
Version:	10.05.0
Release:	%mkrel 1
License:	AGPLv3+
Group:		System/Printing
Source0:	https://github.com/ArtifexSoftware/ghostpdl-downloads/releases/download/gs%gsverdir/ghostpdl-%{version}.tar.gz
Source1:	gpcl6-wrapper

# Don't define static openjpeg2, breaks linking
Patch0: ghostscript-10.05-openjpeg2-non-static.patch
# Fix some shell scripts
Patch1: ghostscript-scripts.patch
# Build igcref.c with -O0 to work around bug #150771.
Patch2: ghostscript-noopt.patch
# Define .runlibfileifexists.
Patch3: ghostscript-runlibfileifexists.patch
# Restored Fontmap.local patch, incorrectly dropped after
# ghostscript-8.15.4-3 (bug #610301).
# Note: don't use -b here to avoid the backup file ending up in the
# package manifest.
Patch4: ghostscript-Fontmap.local.patch

%if !%{bootstrap}
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	cups-devel
BuildRequires:	pkgconfig(fontconfig)
%endif
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libtool
BuildRequires:	unzip
BuildRequires:	gettext-devel
BuildRequires:	glibc-devel
BuildRequires:	jbig2dec-devel
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	libpaper-devel
BuildRequires:	netpbm-devel
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(jasper)
BuildRequires:	pkgconfig(lcms2) >= 2.5
BuildRequires:	pkgconfig(libidn)
BuildRequires:	pkgconfig(libopenjp2)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(zlib)

Requires:	fonts-ttf-urw
Requires:	gv

%description
GhostPCL is Artifex Software's implementation of the PCL-5(TM) and
PCL-XL(TM) family of page description languages. For more information
please see the documentation included with the source package.

GhostPDL is PCL technology; it is not intended to be a finished software
application but a collection of software components that will ultimately be
included in a software application or a real time embedded system. Generally
the GhostPDL languages are compliant with the Genoa (now QualityLogic)
Functional Test Suite and the Genoa Application Test suite. Also each
language should run the corresponding Genoa Comprehensive Evaluation Test
(CET) without egregious errors.



%prep
%setup -q -n ghostpdl-%{version}
rm -rf expat freetype icclib jasper lcms2 libpng openjpeg zlib cups/libs
%autopatch -p1

# Don't ship backup files
find . -name "*.*~" |xargs rm -f

# prevent building and using bundled libs
rm -rf jasper jbig2dec libpng expat zlib lcms* freetype jpeg tiff

%build
%global optflags %(echo "%{optflags} -Wno-incompatible-pointer-types -Wno-int-conversion")

autoreconf -vfi

%configure \
%if !%{bootstrap}
	--enable-fontconfig \
%endif
%ifarch %{ix86}
	--disable-sse2 \
%endif
%ifarch %{arm}
	--without-tesseract \
%endif
	--without-ijs \
	--with-x \
	--disable-compile-inits \
	--without-gs

%make_build XCFLAGS="%{optflags}"

%{__sed} -e "s#@GHOSTPCLDIR@#%{_libexecdir}/%{name}#" %{SOURCE1} > gpcl6

%install
install -d -m755 %{buildroot}%{_bindir}
install -m755 gpcl6 pcl/tools/pcl2pdfwr bin/gxps %{buildroot}%{_bindir}

install -d -m755 %{buildroot}%{_libexecdir}/%{name}
install -m755 bin/gpcl6 %{buildroot}%{_libexecdir}/%{name}
ln -s %{_datadir}/fonts/TTF/fonts-ttf-urw %{buildroot}%{_libexecdir}/%{name}/urwfonts

%files
%doc doc
%license LICENSE
%{_bindir}/*
%{_libexecdir}/%{name}/
