#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           ghostwriter
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        A distraction-free Markdown editor
Group:          Graphical desktop/KDE
License:        GPL-3.0-or-later
URL:            https://ghostwriter.kde.org
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6WebChannel)
BuildRequires:  cmake(Qt6WebEngineWidgets)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Sonnet)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  pkgconfig(hunspell)

#Recommends:     multimarkdown

%description
ghostwriter is a text editor for Markdown, which is a plain text
markup format. For more information about Markdown, please visit John
Gruber’s website at http://www.daringfireball.net. ghostwriter
provides a relaxing, distraction-free writing environment.

%files -f %{name}.lang
%license LICENSES/*
%doc README.md
%{_kf6_bindir}/ghostwriter
%{_kf6_applicationsdir}/org.kde.ghostwriter.desktop
%{_kf6_metainfodir}/org.kde.ghostwriter.metainfo.xml
%{_kf6_iconsdir}/hicolor/*/apps/ghostwriter.*
%{_kf6_mandir}/man1/ghostwriter.1*

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-qt --with-man
