# mypy too old?
%bcond_with check

Name:		gi-docgen
Version:	2025.3
Release:	%mkrel 1
Summary:	Documentation tool for GObject-based libraries
Group:		Development/Python
License:        (ASL 2.0 or GPLv3+) and MIT and CC0
Url:		https://gitlab.gnome.org/GNOME/gi-docgen
Source0:	https://gitlab.gnome.org/GNOME/gi-docgen/-/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	meson
BuildRequires:	pkgconfig(python3)
%if %{with check}
BuildRequires:	python3dist(pytest)
%endif

%description
GI-DocGen is a document generator for GObject-based libraries. GObject is
the base type system of the GNOME project. GI-Docgen reuses the
introspection data generated by GObject-based libraries to generate the API
reference of these libraries, as well as other ancillary documentation.

%prep
%autosetup

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files gidocgen

%if %{with check}
%check
#export PYTHONPATH=%%{buildroot}%%{python3_sitelib}
#%%meson_test
%pytest
%endif

%files -f %{pyproject_files}
%doc README.md
%license LICENSES/*.txt .reuse/dep5
%{_bindir}/%{name}
%{_datadir}/pkgconfig/gi-docgen.pc
%{_mandir}/man1/%{name}.1.*
