%define mcltag  d641e3e40219ea931e2a9945a1ef0aa2f54f4d2c
%define geotag  2b9edac100435d1ec1cf857f36605ca2f4f229ec
%define jucetag 69795dc8e589a9eb5df251b6dd994859bf7b3fab
%define atotag  459d45df051408c8533483cd2b15aa309cef0767
%define vsttag  ef0a70df2f82a3c218abaca0dbfbb66ae6c61025
%define audtag  8a362b1082ce17d3be1f47bd116839e40f189cf1
%define flttag  d9d474c59372a8b2b0829c400b5d0584129e3822
%define conctag bf1fe24c8eb413494884dc151712a3ed526fc5a3

Name:		giada
Version:	0.26.0
Release:	%mkrel 2
Summary:	Sampler Audio Tool
License:	GPLv3+
Group:		Sound/Utilities
URL:		https://giadamusic.com
Source0:	https://github.com/monocasual/giada/archive/%{version}/%{name}-%{version}.tar.gz
Source3:	giada.1
Source4:	giada.fr.1
Source5:	https://github.com/monocasual/mcl-audio-buffer/archive/%{mcltag}.tar.gz
Source6:	https://github.com/monocasual/geompp/archive/%{geotag}.tar.gz
Source7:	https://github.com/juce-framework/JUCE/archive/%{jucetag}.tar.gz
Source8:	https://github.com/monocasual/mcl-atomic-swapper/archive/%{atotag}.tar.gz
Source9:	https://github.com/steinbergmedia/vst3sdk/archive/%{vsttag}.tar.gz
Source10:	https://github.com/monocasual/rtaudio/archive/%{audtag}.tar.gz
Source11:	https://github.com/fltk/fltk/archive/%{flttag}.tar.gz
Source12:	https://github.com/cameron314/concurrentqueue/archive/%{conctag}.tar.gz
Patch1:		giada-fix-midi.patch
# from opensuse
Patch2:		003-cmake-exclude-juce-from-all.patch

BuildRequires:	cmake
# BuildRequires:	fltk-devel
BuildRequires:	libstdc++-static-devel
BuildRequires:	cmake(nlohmann_json)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(catch2)
BuildRequires:	pkgconfig(fmt)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(jansson) >= 2.7
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libpulse-simple)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(rtmidi)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xpm)

%description
Giada is an audio tool for DJs and live performers. Up to 32 samples
may be loaded or recorded, and may be played in single mode (drum
machine) or loop mode (sequencer). The keyboard can be used to
control this.

%prep
%autosetup -p1 -a 5
%setup -D -T -q -a 6
%setup -D -T -q -a 7
%setup -D -T -q -a 8
%setup -D -T -q -a 9
%setup -D -T -q -a 10
%setup -D -T -q -a 11
%setup -D -T -q -a 12
mv mcl-audio-buffer-%{mcltag}/* src/deps/mcl-audio-buffer
mv mcl-atomic-swapper-%{atotag}/* src/deps/mcl-atomic-swapper
mv geompp-%{geotag}/* src/deps/geompp
mv JUCE-%{jucetag}/* src/deps/juce
mv vst3sdk-%{vsttag}/* src/deps/vst3sdk
mv rtaudio-%{audtag}/* src/deps/rtaudio
mv fltk-%{flttag}/* src/deps/fltk
mv concurrentqueue-%{conctag}/* src/deps/concurrentqueue


%build
# FIXME re-enable tests when an upstream port to catch2 >= v3 available
%cmake  -DWITH_VST3=ON \
        -DWITH_TESTS=OFF
%cmake_build

%install
%cmake_install

install -Dm 0644 %{SOURCE3} %{buildroot}%{_mandir}/man1/%{name}.1
install -Dm 0644 %{SOURCE4} %{buildroot}%{_mandir}/fr/man1/%{name}.1

%files
%doc ChangeLog README.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/com.giadamusic.Giada.desktop
%{_iconsdir}/hicolor/scalable/apps/com.giadamusic.Giada.svg
%{_datadir}/metainfo/com.giadamusic.Giada.metainfo.xml
%{_mandir}/man1/%{name}.1*
%lang(fr) %{_mandir}/fr/man1/%{name}.1*
