%define major     1
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           giblib
Version:        1.2.4
Release:        %mkrel 20
Summary:        Simple library and a wrapper for imlib2
License:        MIT
Group:          System/Libraries
URL:            http://linuxbrit.co.uk/giblib
Source:         http://linuxbrit.co.uk/downloads/%{name}-%{version}.tar.bz2
Patch0:         giblib-configure-use_pkgconfig-for-imlib2.patch
BuildRequires:  pkgconfig(imlib2)
BuildRequires:  pkgconfig(freetype2)

%description
giblib is a utility library used by many of the applications from
linuxbrit.co.uk. It incorporates doubly linked lists, some string
functions, and a wrapper for imlib2. The wrapper does two things.
It gives you access to fontstyles, which can be loaded from files,
saved to files or defined dynamically through the API. It also,
and more importantly, wraps imlib2's context API.

%package -n %{libname}
Summary:        Main library for %{name}
Group:          System/Libraries
Provides:       lib%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run %{name}.

%package -n %{develname}
Summary:        Development header files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Libraries, include files and other resources you can use to develop
%{name} applications.

%prep
%autosetup -p2

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

rm -rf %{buildroot}%{_prefix}/doc

find %{buildroot}%{_libdir} -name '.la' -delete

%files -n %libname
%doc README ChangeLog AUTHORS
%license COPYING
%{_libdir}/*.so.%{major}{,.*}

%files -n %develname
%{_bindir}/%{name}-config
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/%{name}/
