%define major     7
%define libname   %mklibname gif %{major}
%define develname %mklibname gif -d

%global __requires_exclude ^perl\\(getopts.pl\\)

Name:		giflib
Version:	5.2.2
Release:	%mkrel 2
Summary:	Library for reading and writing gif images
License:	BSD like
Group:		System/Libraries
URL:		https://giflib.sourceforge.net/
Source0:	https://downloads.sourceforge.net/giflib/%{name}-%{version}.tar.gz
Patch0:		giflib-Makefile.patch
Patch1:		giflib-manpages.patch
Patch10:	giflib_quantize.patch
Patch11:	giflib-5.0.5_CVE-2015-7555.patch
Patch12:	giflib-bsc1240416.patch
BuildRequires:	pkgconfig(x11)
BuildRequires:	xmlto
BuildRequires:	imagemagick

%description
giflib is a library for reading and writing gif images. It is API and
ABI compatible with libungif which was in wide use while the LZW
compression algorithm was patented.

%package	progs
Summary:	Gif tools based on giflib
Group:		Graphics/Editors and Converters
# allows the kdesrc-build setup to work through dnf
Provides:	%{name} = %{version}-%{release}

%description	progs
giflib is a library for reading and writing gif images. It is API and
ABI compatible with libungif which was in wide use while the LZW
compression algorithm was patented.

This package provides some gif tools based on giflib.

%package -n	%{libname}
Group:		System/Libraries
Summary:	Library for reading and writing gif images

%description -n	%{libname}
giflib is a library for reading and writing gif images. It is API and
ABI compatible with libungif which was in wide use while the LZW
compression algorithm was patented.

%package -n	%{develname}
Group:		Development/C
Summary:	Development files for giflib
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libungif-devel = %{version}-%{release}
Provides:	ungif-devel = %{version}-%{release}

%description -n	%{develname}
giflib is a library for reading and writing gif images. It is API and
ABI compatible with libungif which was in wide use while the LZW
compression algorithm was patented.

This package provides the development files for giflib.

%prep
%autosetup -p1

%build
%make_build \
CFLAGS="%{optflags} -std=gnu99 -fPIC -Wno-format-truncation" \
LDFLAGS="%{ldflags}"

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir}

find %{buildroot} -name '*.la' -delete

# Let's try to keep -lungif working for really old code
ln -s libgif.so %{buildroot}%{_libdir}/libungif.so

%files progs
%doc NEWS README TODO
%license COPYING
%{_bindir}/gif2rgb
%{_bindir}/gifbuild
%{_bindir}/gifclrmp
%{_bindir}/giffix
%{_bindir}/giftext
%{_bindir}/giftool
%{_mandir}/man1/*.1.*
%{_mandir}/man7/%{name}.7.*

%files -n %{libname}
%doc NEWS README TODO
%license COPYING
%{_libdir}/libgif.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/gif_lib.h
%{_libdir}/libgif.so
%{_libdir}/libungif.so
