%define major		6
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		gigedit
Summary:	Instrument editor for gig files
Version:	1.2.1
Release:	%mkrel 3
License:	GPLv2+
Group:		Sound/Utilities
URL:		https://www.linuxsampler.org/
Source0:	https://download.linuxsampler.org/packages/%{name}-%{version}.tar.bz2

BuildRequires:	perl(XML::Parser)
BuildRequires:	pkgconfig(gdkmm-3.0)
BuildRequires:	pkgconfig(gig) >= 4.4.1
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(linuxsampler) >= 2.3.1
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	xsltproc
BuildRequires:	intltool
BuildRequires:	docbook-style-xsl

%description
An instrument editor for the GigaStudio/Gigasampler format gig files.

%files -f %{name}.lang
%{_bindir}/gigedit
%dir %{_datadir}/gigedit
%{_datadir}/gigedit/status_attached.xpm
%{_datadir}/gigedit/status_detached.xpm
%{_datadir}/applications/%{name}.desktop
%dir %{_docdir}/gigedit
%doc %{_docdir}/gigedit/*.png
%doc %{_docdir}/gigedit/*.css
%doc %{_docdir}/gigedit/*.html

#--------------------------------------------------------------------

%package -n %{libname}
Group:		System/Libraries
Summary:	Libraries for %{name}
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
Libraries from %{name}.

%files -n %{libname}
%dir %_libdir/gigedit
%_libdir/gigedit/libgigedit.so.%{major}{,.*}
# Required at runtime so moved here from devel package:-
%_libdir/linuxsampler/plugins/libgigeditlinuxsamplerplugin.so

#--------------------------------------------------------------------

%package -n %{develname}
Group:		Development/Other
Summary:	Libraries for %{name}
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development libraries from %{name}.

%files -n %{develname}
%_libdir/gigedit/*.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%ifarch %{arm32}
CC=%{_target_platform}-gcc
CXX=%{_target_platform}-g++
%endif
CXXFLAGS="%{optflags} -pthread"
%configure --disable-static
%make_build

%install
%make_install

%find_lang %{name}

find %{buildroot} -name "*.la" -delete

# Desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOL
[Desktop Entry]
Name=Gigedit
Name[en_GB]=Gigedit
Name[fr]=Gigedit
Comment=An instrument editor for gig files
Comment[en_GB]=An instrument editor for gig files
Comment[fr]=Un éditeur d'instruments pour les fichiers gig
GenericName=Gigedit
GenericName[en_GB]=Gigedit
GenericName[fr]=Gigedit
Exec=gigedit
Icon=audio-midi
MimeType=audio/midi;
StartupNotify=true
Terminal=false
Type=Application
Categories=Audio;AudioVideo;Midi;X-Mageia-CrossDesktop;
X-KDE-SubstituteUID=false
EOL
