%define url_ver	%(echo %{version} | cut -d. -f1,2)

Summary:	Frontend for GIO/GVFS
Name:		gigolo
Version:	0.5.4
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		https://www.uvena.de/gigolo/
Source0:	https://archive.xfce.org/src/apps/gigolo/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
Recommends:	gvfs-obexftp
Recommends:	gvfs-smb

%description
Gigolo is a frontend to easily manage connections to remote filesystems
using GIO/GVFS. It allows you to quickly connect/mount a remote filesystem
and manage bookmarks of such.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

#fix menu icon
desktop-file-edit \
	--set-icon="network-workgroup" \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

#handle docs in files section
rm -rf %{buildroot}%{_docdir}/%{name}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog TODO NEWS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/*
%{_iconsdir}/hicolor/*/apps/org.xfce.gigolo.{png,svg}
