%define gimp_help_dir %{_datadir}/gimp/3.0/help

Summary:        Help files for Gimp
Name:           gimp-help
Version:        3.0.0
Release:        %mkrel 1
License:        GFDL
Group:          Documentation
Url:            https://docs.gimp.org/
Source0:        https://download.gimp.org/pub/gimp/help/%{name}-%{version}.tar.bz2
BuildArch:      noarch
BuildRequires:  dblatex
BuildRequires:  xsltproc
BuildRequires:  docbook-style-xsl
BuildRequires:  gettext
BuildRequires:  graphviz
BuildRequires:  intltool
BuildRequires:  pngnq
BuildRequires:  pngcrush
BuildRequires:  libxml2-python3
BuildRequires:  python3

%description
This is the HTML help for Gimp.

# -----------------------------------------------------
%package ca
Summary:        Catalan translation of Gimp help
Group:          Documentation
Requires:       locales-ca
Provides:       %{name} = %{version}-%{release}

%description ca
This package contains the Catalan translation of Gimp help.

%files ca
%{gimp_help_dir}/ca/
%dir %{gimp_help_dir}/pdf
%{gimp_help_dir}/pdf/gimp-keys-ca.pdf

# -----------------------------------------------------
%package cs
Summary:        Czech translation of Gimp help
Group:          Documentation
Requires:       locales-cs
Provides:       %{name} = %{version}-%{release}

%description cs
This package contains the Czech translation of Gimp help.

%files cs
%{gimp_help_dir}/cs/
%dir %{gimp_help_dir}/pdf
%{gimp_help_dir}/pdf/gimp-keys-cs.pdf

# -----------------------------------------------------
%package da
Summary:        Danish translation of Gimp help
Group:          Documentation
Requires:       locales-da
Provides:       %{name} = %{version}-%{release}

%description da
This package contains the Danish translation of Gimp help.

%files da
%{gimp_help_dir}/da/
%dir %{gimp_help_dir}/pdf
%{gimp_help_dir}/pdf/gimp-keys-da.pdf

# -----------------------------------------------------
%if 0
%package pl
Summary:        Polish translation of Gimp help
Group:          Documentation
Requires:       locales-pl
Provides:       %{name} = %{version}-%{release}

%description pl
This package contains the Polish translation of Gimp help.

%files pl
%{gimp_help_dir}/pl/
%dir %{gimp_help_dir}/pdf
%{gimp_help_dir}/pdf/gimp-keys-pl.pdf
%endif

# -----------------------------------------------------
%package de
Summary:        German translation of Gimp help
Group:          Documentation
Requires:       locales-de
Provides:       %{name} = %{version}-%{release}

%description de
This package contains the German translation of Gimp help.

%files de
%{gimp_help_dir}/de/
%dir %{gimp_help_dir}/pdf
%{gimp_help_dir}/pdf/gimp-keys-de.pdf

# -----------------------------------------------------
%package el
Summary:        Greek translation of Gimp help
Group:          Documentation
Requires:       locales-el
Provides:       %{name} = %{version}-%{release}

%description el
This package contains the Greek translation of Gimp help.

%files el
%{gimp_help_dir}/el/
%dir %{gimp_help_dir}/pdf
%{gimp_help_dir}/pdf/gimp-keys-el.pdf

# -----------------------------------------------------
%package en
Summary:        English translation of Gimp help
Group:          Documentation
Requires:       locales-en
Provides:       %{name} = %{version}-%{release}

%description en
This package contains the English translation of Gimp help.

%files en
%{gimp_help_dir}/en/
%dir %{gimp_help_dir}/pdf
%{gimp_help_dir}/pdf/gimp-keys-en.pdf

# -----------------------------------------------------
%package en_GB
Summary:        British English translation of Gimp help
Group:          Documentation
Requires:       locales-en
Provides:       %{name} = %{version}-%{release}

%description en_GB
This package contains the British English translation of Gimp help.

%files en_GB
%{gimp_help_dir}/en_GB/
%dir %{gimp_help_dir}/pdf
%{gimp_help_dir}/pdf/gimp-keys-en_GB.pdf

# -----------------------------------------------------
%package es
Summary:        Spanish translation of Gimp help
Group:          Documentation
Requires:       locales-es
Provides:       %{name} = %{version}-%{release}

%description es
This package contains the Spanish translation of Gimp help.

%files es
%{gimp_help_dir}/es/
%dir %{gimp_help_dir}/pdf
%{gimp_help_dir}/pdf/gimp-keys-es.pdf

# -----------------------------------------------------
%package fa
Summary:        Persian translation of Gimp help
Group:          Documentation
Requires:       locales-fa
Provides:       %{name} = %{version}-%{release}

%description fa
This package contains the Persian translation of Gimp help.

%files fa
%{gimp_help_dir}/fa/
%dir %{gimp_help_dir}/pdf
%{gimp_help_dir}/pdf/gimp-keys-fa.pdf

# -----------------------------------------------------
%package fi
Summary:        Finnish translation of Gimp help
Group:          Documentation
Requires:       locales-fi
Provides:       %{name} = %{version}-%{release}

%description fi
This package contains the Finnish translation of Gimp help.

%files fi
%{gimp_help_dir}/fi/
%dir %{gimp_help_dir}/pdf
%{gimp_help_dir}/pdf/gimp-keys-fi.pdf

# -----------------------------------------------------
%package fr
Summary:        French translation of Gimp help
Group:          Documentation
Requires:       locales-fr
Provides:       %{name} = %{version}-%{release}

%description fr
This package contains the French translation of Gimp help.

%files fr
%{gimp_help_dir}/fr/
%dir %{gimp_help_dir}/pdf
%{gimp_help_dir}/pdf/gimp-keys-fr.pdf

# -----------------------------------------------------
%package hr
Summary:        Croatian translation of Gimp help
Group:          Documentation
Requires:       locales-hr
Provides:       %{name} = %{version}-%{release}

%description hr
This package contains the Croatian translation of Gimp help.

%files hr
%{gimp_help_dir}/hr/
%dir %{gimp_help_dir}/pdf
%{gimp_help_dir}/pdf/gimp-keys-hr.pdf

# -----------------------------------------------------
%package hu
Summary:        Hungarian translation of Gimp help
Group:          Documentation
Requires:       locales-hu
Provides:       %{name} = %{version}-%{release}

%description hu
This package contains the Hungarian translation of Gimp help.

%files hu
%{gimp_help_dir}/hu/
%dir %{gimp_help_dir}/pdf
%{gimp_help_dir}/pdf/gimp-keys-hu.pdf

# -----------------------------------------------------
%package it
Summary:        Italian translation of Gimp help
Group:          Documentation
Requires:       locales-it
Provides:       %{name} = %{version}-%{release}

%description it
This package contains the Italian translation of Gimp help.

%files it
%{gimp_help_dir}/it/
%dir %{gimp_help_dir}/pdf
%{gimp_help_dir}/pdf/gimp-keys-it.pdf

# -----------------------------------------------------
%package ja
Summary:        Japanese translation of Gimp help
Group:          Documentation
Requires:       locales-ja
Provides:       %{name} = %{version}-%{release}

%description ja
This package contains the Japanese translation of Gimp help.

%files ja
%{gimp_help_dir}/ja/
%dir %{gimp_help_dir}/pdf
%{gimp_help_dir}/pdf/gimp-keys-ja.pdf

# -----------------------------------------------------
%package ko
Summary:        Korean translation of Gimp help
Group:          Documentation
Requires:       locales-ko
Provides:       %{name} = %{version}-%{release}

%description ko
This package contains the Korean translation of Gimp help.

%files ko
%{gimp_help_dir}/ko/
%dir %{gimp_help_dir}/pdf
%{gimp_help_dir}/pdf/gimp-keys-ko.pdf

# -----------------------------------------------------
%package lt
Summary:        Lithuanian translation of Gimp help
Group:          Documentation
Requires:       locales-lt
Provides:       %{name} = %{version}-%{release}

%description lt
This package contains the Lithuanian translation of Gimp help.

%files lt
%{gimp_help_dir}/lt/
%dir %{gimp_help_dir}/pdf
%{gimp_help_dir}/pdf/gimp-keys-lt.pdf

# -----------------------------------------------------
%package nl
Summary:        Dutch translation of Gimp help
Group:          Documentation
Requires:       locales-nl
Provides:       %{name} = %{version}-%{release}

%description nl
This package contains the Dutch translation of Gimp help.

%files nl
%{gimp_help_dir}/nl/
%dir %{gimp_help_dir}/pdf
%{gimp_help_dir}/pdf/gimp-keys-nl.pdf

# -----------------------------------------------------
%package nn
Summary:        Nynorsk Norwegian translation of Gimp help
Group:          Documentation
Requires:       locales-no
Provides:       %{name} = %{version}-%{release}
Provides:       %{name}-no = %{version}-%{release}

%description nn
This package contains the Nynorsk Norwegian translation of Gimp help.

%files nn
%{gimp_help_dir}/nn/
%dir %{gimp_help_dir}/pdf
%{gimp_help_dir}/pdf/gimp-keys-nn.pdf

# -----------------------------------------------------
%package pt
Summary:        Portuguese translation of Gimp help
Group:          Documentation
Requires:       locales-pt
Provides:       %{name} = %{version}-%{release}

%description pt
This package contains the Portuguese translation of Gimp help.

%files pt
%{gimp_help_dir}/pt/
%dir %{gimp_help_dir}/pdf
%{gimp_help_dir}/pdf/gimp-keys-pt.pdf

# -----------------------------------------------------
%package pt_BR
Summary:        Brazilian Portuguese translation of Gimp help
Group:          Documentation
Requires:       locales-pt_BR
Provides:       %{name} = %{version}-%{release}

%description pt_BR
This package contains the Brazilian Portuguese translation of Gimp help.

%files pt_BR
%{gimp_help_dir}/pt_BR/
%dir %{gimp_help_dir}/pdf
%{gimp_help_dir}/pdf/gimp-keys-pt_BR.pdf

# -----------------------------------------------------
%package ro
Summary:        Romanian translation of Gimp help
Group:          Documentation
Requires:       locales-ro
Provides:       %{name} = %{version}-%{release}

%description ro
This package contains the Romanian translation of Gimp help.

%files ro
%{gimp_help_dir}/ro/
%dir %{gimp_help_dir}/pdf
%{gimp_help_dir}/pdf/gimp-keys-ro.pdf

# -----------------------------------------------------
%package ru
Summary:        Russian translation of Gimp help
Group:          Documentation
Requires:       locales-ru
Provides:       %{name} = %{version}-%{release}

%description ru
This package contains the Russian translation of Gimp help.

%files ru
%{gimp_help_dir}/ru/
%dir %{gimp_help_dir}/pdf
%{gimp_help_dir}/pdf/gimp-keys-ru.pdf

# -----------------------------------------------------
%package sl
Summary:        Slovenian translation of Gimp help
Group:          Documentation
Requires:       locales-sl
Provides:       %{name} = %{version}-%{release}

%description sl
This package contains the Slovenian translation of Gimp help.

%files sl
%{gimp_help_dir}/sl/
%dir %{gimp_help_dir}/pdf
%{gimp_help_dir}/pdf/gimp-keys-sl.pdf

# -----------------------------------------------------
%package sv
Summary:        Swedish translation of Gimp help
Group:          Documentation
Requires:       locales-sv
Provides:       %{name} = %{version}-%{release}

%description sv
This package contains the Swedish translation of Gimp help.

%files sv
%{gimp_help_dir}/sv/
%dir %{gimp_help_dir}/pdf
%{gimp_help_dir}/pdf/gimp-keys-sv.pdf

# -----------------------------------------------------
%package uk
Summary:        Ukrainian translation of Gimp help
Group:          Documentation
Requires:       locales-uk
Provides:       %{name} = %{version}-%{release}

%description uk
This package contains the Ukrainian translation of Gimp help.

%files uk
%{gimp_help_dir}/uk/
%dir %{gimp_help_dir}/pdf
%{gimp_help_dir}/pdf/gimp-keys-uk.pdf

# -----------------------------------------------------
%package zh_CN
Summary:        Simplified Chinese translation of Gimp help
Group:          Documentation
Requires:       locales-zh
Provides:       %{name} = %{version}-%{release}

%description zh_CN
This package contains the Simplified Chinese translation of Gimp help.

%files zh_CN
%{gimp_help_dir}/zh_CN/
%dir %{gimp_help_dir}/pdf
%{gimp_help_dir}/pdf/gimp-keys-zh_CN.pdf

# -----------------------------------------------------

%prep
%autosetup -p1

%build
export ALL_LINGUAS="ca cs da de el en en_GB es fa fi fr hr hu it ja ko lt nl nn pt pt_BR ro ru sl sv uk zh_CN"
NOCONFIGURE=1 ./autogen.sh
%configure --build=%{_host} --without-gimp

# don't attempt parallel builds, they tend to produce bad output without failing
%__make

%install
%make_install

rm -rf %{buildroot}%{gimp_help_dir}/pdf/gimp-keys-pl.pdf
