%define debug_package %{nil}
%define         srcname       separate+
%define         moname        gimp20-separate
%define         plugindir     %{_libdir}/gimp/2.0/plug-ins
%define __python %{__python3}


Name:           gimp-plugin-separate
Version:        0.5.8
Release:        %mkrel 13
Summary:        CYMK plugins for the GIMP graphic editor
License:        GPLv2+
Group:          Graphics/Editors and Converters

# This URL is defunct
URL:            https://cue.yellowmagic.info/softwares/separate-plus/index.html
Source0:        https://sourceforge.jp/projects/separate-plus/downloads/47873/%{srcname}-%{version}.zip
Patch0:         lcms2.patch

BuildRequires:  pkgconfig(gimp-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libtiff-4)
Requires:       gimp >= 2.8.0

Provides:       %{srcname} = %{version}

%description
Separate+ is a project and plug-ins package aimed mainly for
complementing color management functionality of GIMP and for assisting
publication (Web, printing etc.) activities by utilizing open source
software. This package includes three plug-ins: a plug-in for RGB to
CMYK conversion, saving and soft-proofing; a plug-in for RGB to RGB
conversion and profile management, and finally a plug-in for importing
CMYK TIFF files.


%prep
%setup -q  -n %{srcname}-%{version}
%autopatch -p1

%build
%make_build CM="-DENABLE_COLOR_MANAGEMENT %{optflags}" \
            LDFLAGS="%ldflags" TIFF_LIB="-ltiff" JPEG_LIB="-ljpeg -lm"

%install
%make_install INSTALLDIR="%{buildroot}%{plugindir}" \
              LOCALEDIR="%{buildroot}%{_datadir}/locale"

%find_lang %{moname}

%files -f %{moname}.lang
%doc README README_ICC_COLORSPACE
%{plugindir}/separate
%{plugindir}/separate_import
%{plugindir}/icc_colorspace
