%define lib_major 0

# comment out when not a pre-release
#define prerel		RC3

%define api_version	3.0
%define abi_version	3.0
%define libname		%mklibname gimp %{api_version}_%{lib_major}
%define devlibname	%mklibname gimp%{api_version} -d

%define babl_ver 0.1.108
%define gegl_ver 0.4.58

Summary:	The GNU Image Manipulation Program
Name:		gimp
Epoch:		2
Version:	3.0.2
Release:	%mkrel %{?prerel:0.%prerel.}1
License:	GPLv2+
Group:		Graphics/Editors and Converters
URL:		https://www.gimp.org/

Source0:	https://download.gimp.org/pub/gimp/v%{abi_version}/gimp-%{version}%{?prerel:-%prerel}.tar.xz
#Source1:	https://download.gimp.org/pub/gimp/v%%{abi_version}/gimp-%%{version}.tar.bz2.md5
Source13:	gimp-scripting-sample.pl
#gw fix name in desktop file and disable startup notification
Patch2:		gimp-2.10.0-desktopentry.patch

# Submitted upstream:

BuildRequires:	meson
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	pkgconfig(appstream-glib) > 0.7.16
BuildRequires:	pkgconfig(atk) >= 2.34.1
BuildRequires:	pkgconfig(babl-0.1) >= %{babl_ver}
BuildRequires:	pkgconfig(cairo) >= 1.16.0
BuildRequires:	pkgconfig(cairo-pdf) >= 1.10.2
BuildRequires:	pkgconfig(cfitsio)
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.70
BuildRequires:	pkgconfig(fontconfig) >= 2.12.6
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.40.0
BuildRequires:	pkgconfig(gegl-0.4) >= %{gegl_ver}
BuildRequires:	pkgconfig(gexiv2) >= 0.10.10
BuildRequires:	pkgconfig(gio-2.0) >= 2.30.2
BuildRequires:	pkgconfig(glib-2.0) >= 2.62.6
BuildRequires:	pkgconfig(gmodule-no-export-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.24.16
BuildRequires:	pkgconfig(gudev-1.0) >= 167
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(lcms2) >= 2.9
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(libcurl) >= 7.15.1
BuildRequires:	pkgconfig(libexif) >= 0.6.15
BuildRequires:	pkgconfig(libjxl)
BuildRequires:	pkgconfig(libpng) >= 1.6.37
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.40.21
BuildRequires:	pkgconfig(libunwind) >= 1.1.0
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(pangocairo) >= 1.44.7
BuildRequires:	pkgconfig(pangoft2)
BuildRequires:	pkgconfig(poppler-glib) >= 0.90.1
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(xfixes)

BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	aalib-devel
BuildRequires:	gegl
BuildRequires:	gjs-devel
BuildRequires:	glib-networking
BuildRequires:	libgomp-devel
BuildRequires:	qoi-devel
BuildRequires:	pkgconfig(mypaint-brushes-2.0)
BuildRequires:	pkgconfig(poppler-data) >= 0.4.9
BuildRequires:	pkgconfig(libmypaint) >= 1.6.1
BuildRequires:	gi-docgen >= 1.32
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(libbacktrace)
BuildRequires:	pkgconfig(libmng)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libopenjp2)
BuildRequires:	perl
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	libgs-devel
BuildRequires:	intltool
# (tv) for /bin/appstreamcli:
BuildRequires:	appstream
# (tv) for xvfb-run:
BuildRequires:	x11-server-xvfb
# mail plugin
BuildRequires:	sendmail-command
# python plugin
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	automake
BuildRequires:	pkgconfig(libwmf) >= 0.2.8
BuildRequires:	pkgconfig(xext)
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(libheif)
BuildRequires:	luajit

# workaround libgimp not bumping its major on API/ABI changes:
Requires:	%{libname} = %{epoch}:%{version}
Requires:	mypaint-brushes
# fix "ImportError: No module named gimpfu":
Recommends:	gimp-python = %{epoch}:%{version}
Recommends:	gimp-help

Provides:	gimp3 = %{epoch}:%{version}-%{release}
Obsoletes:	gimp3 < 3.0.0-2

%description
The GIMP is an image manipulation program suitable for photo retouching,
image composition and image authoring.  Many people find it extremely useful
in creating logos and other graphics for web pages.  The GIMP has many of the
tools and filters you would expect to find in similar commercial offerings,
and some interesting extras as well.

The GIMP provides a large image manipulation toolbox, including channel
operations and layers, effects, sub-pixel imaging and anti-aliasing,
and conversions, all with multi-level undo.

This version of The GIMP includes a scripting facility, but many of the
included scripts rely on fonts that we cannot distribute.  The GIMP ftp
site has a package of fonts that you can install by yourself, which
includes all the fonts needed to run the included scripts.  Some of the
fonts have unusual licensing requirements; all the licenses are documented
in the package.  Get them in https://download.gimp.org/pub/gimp/fonts/ if
you are so inclined.  Alternatively, choose fonts which exist on your
system before running the scripts.

%package -n %{devlibname}
Summary:	GIMP plugin and extension development kit
Group:		Development/GNOME and GTK+
License:	LGPLv2+
Requires:	%{libname} = %{epoch}:%{version}
Provides:	gimp-devel = %{epoch}:%{version}-%{release}
Provides:	libgimp-devel = %{epoch}:%{version}-%{release}
Provides:	gimp3-devel = %{epoch}:%{version}-%{release}
Provides:	libgimp3-devel = %{epoch}:%{version}-%{release}

%description -n %{devlibname}
Static libraries and header files for writing GIMP plugins and extensions.

%package -n %{libname}
Summary:	GIMP libraries
Group:		System/Libraries
License:	LGPLv2+
Provides:	libgimp%{api_version} = %{version}-%{release}

%description -n %{libname}
This is the library that provides core GIMP functionality.
It enable other programs to use GIMP's features but is mainly intended
to be used by the GIMP and its "external" plugins.

%package python
Summary:	GIMP python extension
Group:		Development/Python
Requires:	python3dist(pygobject)
Provides:	gimp3-python = %{epoch}:%{version}-%{release}
Obsoletes:	gimp3-python < 3.0.0-2

%description python
This package contains the python modules for GIMP, which act as a
wrapper to libgimp allowing the writing of plug-ins for Gimp.
This is similar to script-fu, except that you can use the full set
of Python extension modules from the plug-in, and you write plug-in
in python instead of in scheme.

%prep
%autosetup -p1 -n gimp-%{version}%{?prerel:-%prerel}

%build
export LD_PRELOAD=libgomp.so.1
sed -i 's!mypaint-brushes-1.0!mypaint-brushes-2.0!' meson.build
%meson \
	-Dcheck-update=no	\
	-Djpeg-xl=enabled	\
	-Dilbm=disabled		\
	-Dappdata-test=disabled \
	-Dbug-report-url="https://bugs.mageia.org/"

%meson_build

%install
%meson_install

%find_lang gimp20 --all-name

chmod 755 %{buildroot}%{_libdir}/gimp/%{abi_version}/plug-ins/*/*.py
mkdir -p %{buildroot}%{_libdir}/python%{python3_version}/site-packages
echo %{_libdir}/gimp/%{abi_version}/extensions > %{buildroot}%{_libdir}/python%{python3_version}/site-packages/gimp.pth
echo %{_libdir}/gimp/%{abi_version}/plug-ins >> %{buildroot}%{_libdir}/python%{python3_version}/site-packages/gimp.pth

desktop-file-install --vendor="" \
  --add-category="X-Mageia-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%files -f gimp20.lang
%doc AUTHORS NEWS README README.i18n docs/Wilber*
%{_bindir}/gimp
%{_bindir}/gimp-3
%{_bindir}/gimp-%{abi_version}
%{_bindir}/gimp-console
%{_bindir}/gimp-console-3
%{_bindir}/gimp-console-%{abi_version}
%{_bindir}/gimp-script-fu-interpreter-%{api_version}
%{_bindir}/gimp-test-clipboard
%{_bindir}/gimp-test-clipboard-3
%{_bindir}/gimp-test-clipboard-%{abi_version}
%{_libexecdir}/gimp-debug-tool
%{_libexecdir}/gimp-debug-tool-3
%{_libexecdir}/gimp-debug-tool-%{abi_version}
%{_datadir}/applications/*
%{_datadir}/gimp/%{abi_version}/
%{_metainfodir}/*.xml
%dir %{_libdir}/gimp/%{abi_version}
%dir %{_libdir}/gimp/%{abi_version}/environ
%{_libdir}/gimp/%{abi_version}/environ/default.env
%{_libdir}/gimp/%{abi_version}/extensions/
%exclude %{_libdir}/gimp/%{abi_version}/extensions/*/*.py
%dir %{_libdir}/gimp/%{abi_version}/interpreters
%{_libdir}/gimp/%{abi_version}/interpreters/*.interp
%dir %{_libdir}/gimp/%{abi_version}/modules
%{_libdir}/gimp/%{abi_version}/modules/*.so
%dir %{_libdir}/gimp/%{abi_version}/plug-ins
%dir %{_libdir}/gimp/%{abi_version}/plug-ins/*
%{_libdir}/gimp/%{abi_version}/plug-ins/*/*
%{_mandir}/man1/gimp.1.*
%{_mandir}/man1/gimp-3.1.*
%{_mandir}/man1/gimp-%{abi_version}.1.*
%{_mandir}/man1/gimp-console.1.*
%{_mandir}/man1/gimp-console-3.1.*
%{_mandir}/man1/gimp-console-%{abi_version}.1.*
%{_mandir}/man5/gimp*
%_iconsdir/hicolor/*/apps/gimp.*
%config(noreplace) %{_sysconfdir}/gimp/%{abi_version}

%files -n %{devlibname}
#doc %%{_datadir}/gtk-doc/html/*
%doc %{_datadir}/doc/gimp-*
%{_bindir}/gimptool
%{_bindir}/gimptool-3
%{_bindir}/gimptool-%{abi_version}
%{_includedir}/gimp-%{api_version}/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*-%{api_version}.pc
%{_mandir}/man1/gimptool*
%{_datadir}/gir-1.0/*-%{api_version}.gir
%{_datadir}/vala/vapi/gimp-*.deps
%{_datadir}/vala/vapi/gimp-*.vapi

%files -n %{libname}
# explicitly list all libs to avoid old libtool issue
%{_libdir}/girepository-1.0/*-%{api_version}.typelib
%{_libdir}/libgimp-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libgimpbase-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libgimpcolor-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libgimpconfig-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libgimpmath-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libgimpmodule-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libgimpthumb-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libgimpui-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libgimpwidgets-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libgimp-scriptfu-%{api_version}.so.%{lib_major}{,.*}

%files python
%{_libdir}/gimp/%{abi_version}/environ/python.env
%{_libdir}/gimp/%{abi_version}/extensions/*/*.py
%{_libdir}/gimp/%{abi_version}/plug-ins/*/*.py
%{_libdir}/python%{python3_version}/site-packages/gimp.pth
