# Based on the Fedora package - thanks!

# This package depends on automagic byte compilation
# https://fedoraproject.org/wiki/Changes/No_more_automagic_Python_bytecompilation_phase_2
%global _py_byte_compile 1
%global sphinxbuild sphinx-build-3
# Set the Python version for brp-python-bytecompile (see the Python guidelines).
# We also use this to set the PYTHON makefile variable.
%global __python %{python3}

Name:           git-cola
Version:        4.0.4
Release:        %mkrel 4
Summary:        A sleek and powerful git GUI
Group:          Development/Tools
License:        GPLv2+
# Main site at https://git-cola.github.io, pypi page at:
URL:            https://pypi.org/project/git-cola/
Source0:        %pypi_source
BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  git
BuildRequires:  xmlto-notex
BuildRequires:  pkgconfig(appstream-glib)
BuildRequires:  rsync

BuildRequires:  python3-qt5-devel
BuildRequires:  python3-devel
BuildRequires:  python3-sphinx
BuildRequires:  python3-qtpy
# BuildRequires:  pkgconfig(pyside2)
BuildRequires:  python3dist(importlib-metadata)
# For %pyproject
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools-scm) 
BuildRequires:  python3dist(setuptools-scm[toml]) >= 3.4.1
#
# From requirements/requirements-dev.txt (for install-doc)
BuildRequires:  python3dist(jaraco.packaging)
BuildRequires:  python3dist(rst.linker) > 1.9
BuildRequires:  python3dist(sphinx-rtd-theme)

Requires:       python3-qt5
Requires:       python3-qt5-webengine
Requires:       python3-qtpy
# Requires:       python3-pyside2
Requires:       python3-pyinotify

Requires:       git
Requires:       hicolor-icon-theme

%description
git-cola is a powerful git GUI with a slick and intuitive user interface.


%prep
%autosetup -p1

# fix #!/usr/bin/env/python to #!/usr/bin/env/python3 everywhere
find . -type f -exec sh -c "head {} -n 1 | grep ^#\!\ \*/usr/bin/env\ python >/dev/null && sed -i -e sX^#\!\ \*/usr/bin/env\ python\ \*"\\\$"X#\!/usr/bin/env\ python3Xg {}" \;

%build
%global makeopts PYTHON="%{__python3}" %{?sphinxbuild:SPHINXBUILD="%{sphinxbuild}"} V=1
%pyproject_wheel
%make_build %{makeopts} doc


%install
%pyproject_install
%__make %{makeopts} DESTDIR=%{?buildroot} INSTALL="%{__install} -p" prefix=%{_prefix} install-doc install-html


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/git-cola.appdata.xml


%files
%license COPYING COPYRIGHT README.md
%{_bindir}/cola
%{_bindir}/git-*
%{_datadir}/applications/git*.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/metainfo/git*.appdata.xml
%{_docdir}/%{name}/
%{_mandir}/man1/git*.1*
%{python3_sitelib}/*
