%define upstream_name    App-Git-Info
%define upstream_version 0.6.1

%{?perl_default_filter}

Name:       git-info
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Displays a summary of information about the git repository
License:    GPL+ or Artistic
Group:      Development/Perl
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz
Url:        https://metacpan.org/release/%{upstream_name}

BuildRequires: perl(App::Cmd::Setup)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
shlomif@telaviv1:~/conf/trunk$ git info info
⇒ On branch master
 M shlomif-settings/home-bin-executables/bin/git-i
⇒ Remotes:
origin  git@github.com:shlomif/shlomif-computer-settings.git (fetch)
origin  git@github.com:shlomif/shlomif-computer-settings.git (push)
shlomif@telaviv1:~/conf/trunk$

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%buildroot

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/git-info
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*