Name:		git-review
Version:	2.4.0
Release:	%mkrel 2
Summary:	A git helper for integration with Gerrit

Group:		Development/Tools
License:	ASL 2.0
URL:		https://opendev.org/opendev/git-review
Source0:	https://pypi.io/packages/source/g/%{name}/%{name}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
Requires:	git

%description
An extension for source control system git that creates and manages
review requests in the patch management system Gerrit. It replaces
the rfc.sh script.

%prep
%setup -q

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel
sed -i 's/\r//' LICENSE

%install
%pyproject_install
%pyproject_save_files git_review

install -d %{buildroot}%{_sysconfdir}/git-review/
install -d %{buildroot}%{_mandir}/man1
install -m 0644 %{name}.1 %{buildroot}%{_mandir}/man1/
xz -9 %{buildroot}%{_mandir}/man1/%{name}.1

%files -f %{pyproject_files}
%license LICENSE
%doc AUTHORS README.rst
%{_bindir}/git-review
%{_mandir}/man1/git-review.1*
%dir %{python3_sitelib}/git_review/
%dir %{_sysconfdir}/git-review/
