#debuginfo not supported with Go
%global debug_package %{nil}
%global gopath  %{_libdir}/golang

Name:           gitea
Version:        1.13.2
Release:        %mkrel 1
Summary:        Git with a cup of tea, painless self-hosted git service
License:        MIT
Group:			Development/Other

URL:            https://gitea.io
Source0:        https://github.com/go-gitea/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:		gitea.service
Source2:		app-gitea.ini
#Patch0:		Makefile.patch

# ensure build uses golang 1.8 or above
BuildRequires:  golang >= 1.8
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  nodejs
#BuildRequires:  golang-stringer
Requires:       git
Requires:       systemd-units
Recommends:     mariadb-server
Recommends:     openssh-server
Recommends:     pam
Recommends:     sqlite3

%description
The goal of this project is to make the easiest, fastest, and most 
painless way of setting up a self-hosted Git service.

%prep
%setup -q -n %{name}-%{version}
%autopatch -p1

%build
# build gitea itself
ln -sf . src
(cd vendor/ ; ln -sf . src)
export GOFLAGS="$GOFLAGS -buildmode=pie -mod=vendor"
export GOPATH=$(pwd)/vendor:$(pwd):%{gopath}
export DRONE_TAG=v%{version}
export TAGS="bindata sqlite sqlite_unlock_notify"
#go build -mod=vendor -v \
  #-ldflags '-s -w -X "main.Version=%{version}" -X "code.gitea.io/gitea/modules/setting.CustomPath=/etc/gitea" -X "code.gitea.io/gitea/modules/setting.AppWorkPath=/var/lib/gitea"'
make build

%install
# install binaries
install -d %{buildroot}%{_bindir} 
install -p -m 755 %{name} %{buildroot}%{_bindir}/%{name}

# install systemd/ini scripts
install -d %{buildroot}%{_unitdir}
install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}%{_sharedstatedir}/%{name}/repos
install -d %{buildroot}%{_logdir}/%{name}
install -p -m 644 %{SOURCE1} %{buildroot}%{_unitdir}
install -p -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/%{name}/app.ini

%pre
getent group %{name} > /dev/null || %{_sbindir}/groupadd -r %{name}
getent passwd %{name} > /dev/null || %{_sbindir}/useradd -g %{name} %{name} 
exit 0

%post
%systemd_post %{name}

%preun
%systemd_preun %{name}

%postun
%systemd_postun_with_restart %{name}

%files
%license LICENSE 
%doc {AUTHORS,CHANGELOG.md,CONTRIBUTING.md,MAINTAINERS,NOTICE,README.md}
%{_bindir}/%{name}
%{_unitdir}/*
%dir %attr(0750,%{name},%{name}) %{_sysconfdir}/%{name}
%config(noreplace) %attr(0750,%{name},%{name}) %{_sysconfdir}/%{name}/app.ini
%dir %attr(0750,%{name},%{name}) %{_sharedstatedir}/%{name}
%dir %attr(0750,%{name},%{name}) %{_logdir}/%{name}
