%global githash 53e9c76
%global gitdate 20120723
%global checkout %{gitdate}git%{githash}

Name:       gitflow
Version:    0.4.2.%{checkout}
Release:    %mkrel 8
Summary:    Extensions providing operations for V. Driessen's branching model

Group:      Development/Tools
License:    BSD
URL:        https://github.com/nvie/gitflow
# You can get this tarball by cloning the repository from github and checking
# out revision %%{githash}
Source0:    gitflow-0.4.2.%{checkout}.tar.gz
# There is no upstream ticket for this patch, but instead just hardcodes the
# directory we're installing to for Fedora.
Patch0:     gitflow-Appropriate-GITFLOW_DIR.patch

BuildArch:  noarch

Requires:       shflags
Requires:       git

%description
A collection of Git extensions to provide high-level repository operations
for Vincent Driessen's branching model ( http://nvie.com/git-model ).

For the best introduction to get started with `git flow`, please read Jeff
Kreeftmeijer's blog post:

  http://jeffkreeftmeijer.com/2010/why-arent-you-using-git-flow/

Or have a look at one of these screen casts:

* [A short introduction to git-flow]
  (http://vimeo.com/16018419) (by Mark Derricutt)
* [On the path with git-flow]
  (http://codesherpas.com/screencasts/on_the_path_gitflow.mov) (by Dave Bock)

%prep
%setup -q -n %{name}
%autopatch -p1

%build
# This section is empty because this package ccontains shell scripts
# to be sourced: there's nothing to build

%install
mkdir -p %{buildroot}/%{_bindir}
install -v -m 0755 git-flow %{buildroot}/%{_bindir}

target="%{buildroot}/%{_datadir}/%{name}"
mkdir -p "$target"
install -v -m 0644 git-flow-init "$target"
install -v -m 0644 git-flow-feature "$target"
install -v -m 0644 git-flow-hotfix "$target"
install -v -m 0644 git-flow-release "$target"
install -v -m 0644 git-flow-support "$target"
install -v -m 0644 git-flow-version "$target"
install -v -m 0644 gitflow-common "$target"

ln -s %{_datadir}/shflags/shflags "$target"/gitflow-shFlags

%files
%doc README.mdown LICENSE AUTHORS Changes.mdown
%{_bindir}/git-flow*
%{_datadir}/%{name}

