%define major	0
%define gmajor	1.0
%define api	1.0
%define libname	%mklibname %{name} %{api} %{major}
%define devname	%mklibname %{name} -d
%define girname	%mklibname %{name}-gir %{gmajor}

Name:           gitg
Version:        44
Release:        %mkrel 9
Summary:        GTK+ graphical interface for the git revision control system
Group:          Graphical desktop/GNOME
License:        GPLv2+
URL:            http://trac.novowork.com/gitg
Source0:        https://download.gnome.org/sources/gitg/%{url_ver}/%{name}-%{version}.tar.xz
Patch101:	gitg-3.30.1-typelib-req.patch
BuildRequires:	git-core
BuildRequires:	intltool
BuildRequires:	meson
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(gpgme)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtksourceview-4)
BuildRequires:	pkgconfig(gspell-1)
BuildRequires:	pkgconfig(libdazzle-1.0)
BuildRequires:	pkgconfig(libgit2-glib-1.0) >= 1.2.0
BuildRequires:	pkgconfig(libhandy-1)
BuildRequires:	pkgconfig(libpeas-1.0)
BuildRequires:	pkgconfig(libsecret-1)
Requires:	git-core
Requires:	gsettings-desktop-schemas
Requires:	python3-gobject3
Requires:	typelib(Gitg)
# gi-find-deps.sh doesn't handle vala
Requires:	typelib(Peas) = 1.0
Requires:	typelib(PeasGtk) = 1.0

# Replace giggle, dead upstream
Obsoletes:	giggle < 0.7-13
Obsoletes:	%{_lib}giggle-devel < 0.7-13
Obsoletes:	%{_lib}giggle0 < 0.7-13

%description
gitg is a GitX clone for GNOME/gtk+. It aims at being a small, fast and
convenient tool to visualize git history and actions that benefit from a
graphical presentation.

%package -n %{libname}
Summary:	Backend Library for gitg
Group:		System/Libraries

%description -n %{libname}
libgitg is a GObject based library that provides an easy access to git methods
through GObject based methods

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{name} < 0.3.2-2

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Conflicts:	%{name} < 0.3.2-2

%description -n %{devname}
This package contains development files for %{name}.

%prep
%autosetup -p1

# switch to gtksourceview 4
sed -i -e 's/gtksourceview-3.0/gtksourceview-4/g' meson.build

# drop RPATH
sed -i -e '/install_rpath/d' gitg/meson.build

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}*
%{_datadir}/icons/hicolor/*/apps/org.gnome.gitg*.*
%{_datadir}/glib-2.0/schemas/org.gnome.gitg.gschema.xml
%{_datadir}/applications/org.gnome.gitg.desktop
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/plugins/
%{_libdir}/gitg/plugins/diff.plugin
%{_libdir}/gitg/plugins/files.plugin
%{_libdir}/gitg/plugins/libdiff.so
%{_libdir}/gitg/plugins/libfiles.so
%{_datadir}/metainfo/org.gnome.gitg.appdata.xml
%{python3_sitelib}/gi/overrides/*

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}{,.*}
%{_libdir}/lib%{name}-ext-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Gitg-%{gmajor}.typelib
%{_libdir}/girepository-1.0/GitgExt-%{gmajor}.typelib

%files -n %{devname}
%{_includedir}/*
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/libgitg-ext-%{api}.so
%{_libdir}/pkgconfig/lib%{name}-%{api}.pc
%{_libdir}/pkgconfig/libgitg-ext-%{api}.pc
%{_datadir}/glade/catalogs/gitg-glade.xml
%{_datadir}/gir-1.0/Gitg{,Ext}-%{gmajor}.gir
%{_datadir}/vala/vapi/*.vapi
