%define api		1.0
%define major		0
%define girmajor	1.0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d
%define girname		%mklibname %{name}-gir %{girmajor}

%define mozjs_ver	128
%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global __requires_exclude	devel\\(libmozjs-*

Summary:	JavaScript bindings based on gobject-introspection
Name:		gjs
Version:	1.84.1
Release:	%mkrel 1
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	BSD
Group:		Development/Other
Url:		https://wiki.gnome.org/Gjs
BuildRequires:	cmake
BuildRequires:	meson => 0.60.3
BuildRequires:	pkgconfig(cairo-gobject)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 1.61.2
# For GTK+ 3 tests
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(mozjs-%{mozjs_ver})
BuildRequires:	pkgconfig(readline)
BuildRequires:	sysprof-devel
# For GTK+ 3 tests
BuildRequires:  gtk+3.0
# For dbus tests
BuildRequires:  dbus
#dbus-x11, xvfb, mesa-dri-drivers for test suite
BuildRequires:  dbus-x11
BuildRequires:  mesa-dri-drivers
BuildRequires:  x11-server-xvfb
# Filter requires for tests:
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}/usr/libexec/installed-tests|/usr/libexec/gjs/installed-tests|/usr/share/installed-tests/gjs

%description
This package contains JavaScript bindings based on gobject-introspection.

%package common
Group:		System/Libraries
Summary:	JavaScript bindings based on gobject-introspection
Requires:	%{name}-common = %{version}-%{release}

%description common
This package contains JavaScript bindings based on gobject-introspection.

%package -n %{libname}
Group:		System/Libraries
Summary:	JavaScript bindings based on gobject-introspection
Requires:	%{name}-common = %{version}-%{release}

%description -n %{libname}
This package contains JavaScript bindings based on gobject-introspection.

%package -n %{develname}
Group:		Development/C
Summary:	JavaScript bindings based on gobject-introspection
Requires:	%{libname} = %{version}-%{release}
Requires:	%{name}
Requires:	pkgconfig(mozjs-%{mozjs_ver})
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains JavaScript bindings based on gobject-introspection.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package tests
Summary:	Tests for the gjs package
Group:		Development/Tools
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description tests
The gjs-tests package contains tests that can be used to verify
the functionality of the installed gjs package.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test || :

%files
%license COPYING
%doc NEWS README.md
%{_bindir}/gjs
%{_bindir}/gjs-console

%files common
%{_datadir}/%{name}-%{api}

%files -n %{libname}
%{_libdir}/libgjs.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/gjs/girepository-1.0/GjsPrivate-%{girmajor}.typelib

%files -n %{develname}
%{_libdir}/libgjs.so
%{_libdir}/pkgconfig/gjs-%{api}.pc
%{_includedir}/gjs-%{api}

%files tests
%{_libexecdir}/installed-tests/gjs
%{_datadir}/glib-2.0/schemas/org.gnome.GjsTest.gschema.xml
%{_datadir}/installed-tests

