%define major        1
%define libname      %mklibname gl2ps %{major}
%define libname_virt gl2ps
%define develname    %mklibname gl2ps -d


Summary:        An OpenGL to PostScript printing library
Name:           gl2ps
Version:        1.4.2
Release:        %mkrel 4
License:        LGPLv2+ or GL2PS
Group:          System/Libraries
URL:            https://www.geuz.org/gl2ps/
Source0:        https://www.geuz.org/gl2ps/src/%{name}-%{version}.tgz
Patch0:         gl2ps-1.4.2-soversion.patch
Patch1:         gl2ps-1.4.2-so-link-fix.patch
BuildRequires:  cmake
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(zlib)

%description
GL2PS is a C library providing high quality vector output for any
OpenGL application. The main difference between GL2PS and other
similar libraries is the use of sorting algorithms capable of handling
intersecting and stretched polygons, as well as non manifold objects.
GL2PS provides advanced smooth shading and text rendering, culling of
invisible primitives, mixed vector/bitmap output, and much more...

GL2PS can currently create PostScript (PS), Encapsulated PostScript
(EPS) and Portable Document Format (PDF) files, as well as LaTeX files
for the text fragments. Adding new vector output formats should be
relatively easy (and amongst the formats we would be interested in
adding, SVG is first in line). Meanwhile, you can use the excellent
pstoedit program to transform the PostScript files generated by GL2PS
into many other vector formats such as xfig, cgm, wmf, etc.

%package -n %{libname}
Summary:        An OpenGL to PostScript printing library
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Provides:       %{libname_virt} = %{version}-%{release}

%description -n %libname
GL2PS is a C library providing high quality vector output for any
OpenGL application. The main difference between GL2PS and other
similar libraries is the use of sorting algorithms capable of handling
intersecting and stretched polygons, as well as non manifold objects.
GL2PS provides advanced smooth shading and text rendering, culling of
invisible primitives, mixed vector/bitmap output, and much more...

GL2PS can currently create PostScript (PS), Encapsulated PostScript
(EPS) and Portable Document Format (PDF) files, as well as LaTeX files
for the text fragments. Adding new vector output formats should be
relatively easy (and amongst the formats we would be interested in
adding, SVG is first in line). Meanwhile, you can use the excellent
pstoedit program to transform the PostScript files generated by GL2PS
into many other vector formats such as xfig, cgm, wmf, etc.

%package -n %develname
Summary:        Header files for GL2PS library
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       GL-devel
Provides:       gl2ps-devel = %{version}-%{release}


%description -n %develname
Header files for GL2PS library.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

find %{buildroot}%{_libdir} -name '*.a' -delete

%files -n %libname
%license COPYING.GL2PS COPYING.LGPL
%doc README.txt
%{_libdir}/libgl2ps.so.%{major}
%{_libdir}/libgl2ps.so.%{version}

%files -n %develname
%doc gl2ps.pdf gl2psTest*.c
%{_libdir}/libgl2ps.so
%{_includedir}/gl2ps.h
%{_docdir}/gl2ps/
