%define api		2
%define major		13
%define girmajor	2.0

%define libname 	%mklibname gladeui %{api} %{major}
%define libnamedev	%mklibname -d gladeui %{api}
%define girname		%mklibname gladeui-gir %{girmajor}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary: 	GTK+ / GNOME 3 widget builder
Name: 		glade
Epoch:		1
Version: 	3.40.0
Release:	%mkrel 5
License: 	GPLv2+
Group: 		Development/GNOME and GTK+
Url: 		https://glade.gnome.org/
Source0: 	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		fix-build-with-webkit2gtk-4.1.diff 

BuildRequires:	pkgconfig(gtk+-3.0) >= 3.22
BuildRequires:	pkgconfig(libxml-2.0) >= 2.4.0
BuildRequires:	pkgconfig(pygobject-3.0) >= 3.8.0
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(gjs-1.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(webkit2gtk-4.1) >= 2.12.0
BuildRequires:	desktop-file-utils
BuildRequires:	gtk-doc
BuildRequires:	itstool
BuildRequires:	gettext
BuildRequires:	meson

%description
Glade is a RAD tool to enable quick & easy development of user interfaces
for the Gtk+ toolkit and the GNOME desktop environment.

The user interfaces designed in Glade are stored in XML format,
enabling easy integration with external tools. In particular libglade can
load the XML files and create the interfaces at runtime.

Other tools are available which can turn the XML files into source code
in languages such as C++, Perl and Python.

%package -n %{libname}
Summary:	Libraries required for %{name}
Group:		System/Libraries
Provides:	libgladeui = %{epoch}:%{version}-%{release}

%description -n %{libname}
Libraries and file require to run program built with %{name}

%package -n %{libnamedev}
Summary:	Development libraries and include files for libgladeui (%{name})
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Requires:	%{girname} = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	libgladeui%{major}-devel = %{epoch}:%{version}-%{release}

%description -n %{libnamedev}
Development libraries, headers files and documentation needed in order
to develop applications using libgladeui (%{name}).

%package -n %{girname}
Summary:        GObject Introspection interface description for libgladeui (%{name})
Group:          System/Libraries
Requires:       %{libname} = %{epoch}:%{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for libgladeui (%{name}).

%prep
%autosetup -p1

%build
export PYTHON=python3

%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

# menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GUIDesigner" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%files -f %{name}.lang
%doc AUTHORS NEWS TODO README.md
%{_bindir}/%{name}*
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/modules/
%{_libdir}/%{name}/modules/libgladepython.so
%{_libdir}/%{name}/modules/libgladegjs.so
%{_libdir}/%{name}/modules/libgladegtk.so
%{_libdir}/%{name}/modules/libgladewebkit2gtk.so
%{_datadir}/%{name}/
%{_metainfodir}/org.gnome.Glade.appdata.xml
%{_mandir}/man1/*
%{_datadir}/applications/org.gnome.Glade.desktop
%{_datadir}/icons/hicolor/*/apps/glade*
%{_datadir}/icons/hicolor/*/apps/org.gnome.Glade*
%{_datadir}/gettext/its/glade-catalog.*

%files -n %{libname}
%{_libdir}/libgladeui-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Gladeui-%{girmajor}.typelib

%files -n %{libnamedev}
%doc README.md
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/libgladeui-2.0/
%{_libdir}/pkgconfig/gladeui-2.0.pc
%{_libdir}/libgladeui-%{api}.so
%{_datadir}/gir-1.0/Gladeui-%{girmajor}.gir
