%define major 0
%define libname %mklibname glamor %{major}
%define develname %mklibname -d glamor

# (tv) fix build (fdo#58910):
%define _disable_ld_no_undefined 1

Name:           glamor
Version:        0.6.0
Release:        %mkrel 3
Summary:        Open-source 2D graphics common driver for X.org
License:        MIT
Group:          System/X11
Url:            https://www.freedesktop.org/wiki/Software/Glamor
Source:         https://xorg.freedesktop.org/releases/individual/driver/%{name}-egl-%{version}.tar.bz2
BuildRequires:  pkgconfig(dri2proto) >= 2.6
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(gbm)
BuildRequires:  pkgconfig(gl) >= 7.1.0
BuildRequires:  pkgconfig(glesv2)
BuildRequires:  pkgconfig(libdrm) >= 2.4.23
BuildRequires:  pkgconfig(xorg-macros)
BuildRequires:  pkgconfig(xorg-server) >= 1.10

%description
The glamor module is an open-source 2D graphics common driver for the X Window
System as implemented by X.Org. It supports a variety of graphics chipsets
which have OpenGL/EGL/GBM supports. 

It’s a GL-based rendering acceleration library for X server:

  * It uses GL functions and shader to complete the 2D graphics operations.
  * It uses normal texture to represent a drawable pixmap if possible.
  * It calls GL functions to render to the texture directly.

It’s somehow hardware independently. And could be a building block of any
X server’s DDX driver:

  * Xorg’s DDX driver could leverage glamor-egl package to create an EGL
    context without any native X system. Now the xf86-intel-video driver uses
    glamor as one of its option. When you build it with --enable-glamor, then
    it will use glamor as its rendering engine.


%package -n %libname
Summary:        Library for %{name}
Group:          System/Libraries

%description -n %libname
Library for %{name}

%package -n %develname
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}

%description -n %develname
Development files for %{name}

%prep
%setup -q -n %{name}-egl-%{version}

%build
%configure \
 --disable-static \
 --with-xorg-conf-dir=%{_sysconfdir}/X11/xorg.conf.d
%make

%install
%make_install
mv %{buildroot}%{_sysconfdir}/X11/xorg.conf.d/{,05-}glamor.conf
mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d/
echo %{_libdir}/xorg/modules >%{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}.conf

%files
%doc COPYING README ChangeLog
%config(noreplace) %{_sysconfdir}/ld.so.conf.d/%{name}.conf
%{_libdir}/xorg/modules/libglamor*.so
%config(noreplace) %{_sysconfdir}/X11/xorg.conf.d/05-glamor.conf

%files -n %libname
%{_libdir}/libglamor.so.%{major}
%{_libdir}/libglamor.so.%{major}.*

%files -n %develname
%{_libdir}/libglamor.so
%exclude %{_libdir}/libglamor.la
%{_libdir}/pkgconfig/%{name}*.pc
%{_includedir}/xorg/glamor.h
%exclude %{_libdir}/xorg/modules/*.la

