%define pypi_name glances

Name:           glances
Version:        4.0.7
Release:        %mkrel 2
Group:          Monitoring
Summary:        A cross-platform curses-based monitoring tool

License:        LGPLv3
URL:            https://nicolargo.github.io/glances/
Source0:        https://pypi.io/packages/source/G/Glances/%{pypi_name}-%{version}.tar.gz
Source1:        %{name}.service
Patch0:         disable-update-check.patch
# https://github.com/nicolargo/glances/pull/2683/commits/0f40f9cc118fe4513bf8c22fae3b8bad56000c7e
Patch1:         CVE-2024-21501.patch
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

Requires:       python3-pkg-resources
Requires:       python3dist(ujson)
Recommends:     python3-bottle
Recommends:     python3-pysnmp
Recommends:     python3-sensors
Recommends:     python3-batinfo
Recommends:     hddtemp

%description
Glances is a CLI curses based monitoring tool for both GNU/Linux and BSD.
Glances uses the PsUtil library to get information from your system.
It is developed in Python.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files glances

install -D -p -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service
# default config file, disables the online update check by default
install -D -p -m 644 conf/glances.conf %{buildroot}%{_sysconfdir}/glances/glances.conf

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files -f %{pyproject_files}
%doc AUTHORS README.rst
%license COPYING
%exclude %{_datadir}/doc/glances
%dir %{_sysconfdir}/glances
%config(noreplace) %{_sysconfdir}/glances/glances.conf
%{_bindir}/glances
%{_mandir}/man1/glances.1.*
%{_unitdir}/%{name}.service
# Remove a lot of JS/node.js/npm junk that slows down the packaging.
%exclude %{python3_sitelib}/%{name}/outputs/static
