%define gcj_support 0
%define specversion 1.0b

Name:          glassfish-persistence
Version:       2.0.41
Release:       %mkrel 7
Summary:       Glassfish JPA (Toplink Essentials)
Group:         Development/Java
License:       CDDL
Url:           https://www.oracle.com/technology/products/ias/toplink/jpa/index.html
Source0:       https://download.java.net/javaee5/promoted/source/glassfish-persistence-v2-b41-src.zip
Source1:       glassfish-bootstrap.tar.gz
Patch0:        glassfish-entity-persistence-build.patch
Patch1:        glassfish-persistence-2.0.41-jdk7.patch
BuildRequires: jpackage-utils
BuildRequires: java-devel >= 0:1.6.0

BuildRequires: ant
BuildRequires: geronimo-jta

Requires:      geronimo-jta

Requires:      jpackage-utils
Requires:      java >= 0:1.6.0
BuildArch:     noarch

%description
Glassfish Persistence Implementation.

%package %{specversion}-api
Summary:       Persistence %{specversion} API from %{name}
Group:         Development/Java

%description %{specversion}-api
Glassfish JPA (Toplink Essentials).

%package impl
Summary:       JPA Implementation from %{name}
Group:         Development/Java
Requires:      %{name}-%{specversion}-api = %{version}-%{release}
Provides:      toplink-essentials = %{version}-%{release}

%description impl
%{summary}.

%package %{specversion}-api-javadoc
Summary:       Javadoc for %{name} %{specversion} API
Group:         Development/Java
Requires:      jpackage-utils

%description %{specversion}-api-javadoc
This package contains the API documentation for %{name}-%{specversion}-api

%package impl-javadoc
Summary:       Javadoc for %{name} Implementation
Group:         Development/Java
Requires:      jpackage-utils

%description impl-javadoc
This package contains the API documentation for %{name} Implementation

%prep
%setup -q -c -n %{name}
gzip -dc %{SOURCE1} | tar xf -
mv glassfish-bootstrap glassfish/bootstrap
for j in $(find . -name "*.jar"); do
    mv $j $j.no
done
sed -i -e 's/@VERSION@/%{specversion}/' glassfish/persistence-api/persistence-api.pom
sed -i -e 's/@VERSION@/%{version}/' glassfish/entity-persistence/toplink-essentials.pom
sed -i -e 's/@VERSION@/%{version}/' glassfish/entity-persistence/toplink-essentials-agent.pom

%patch -P 0 -b .sav0
%patch -P 1 -b .sav1

%build
pushd glassfish/persistence-api
  ant -Drelease.version=%{specversion} all javadoc
popd
export CLASSPATH=$(pwd)/publish/glassfish/lib/javaee.jar
pushd glassfish/entity-persistence
  ant -Djavaee.jar=$(build-classpath geronimo-jta) all docs
popd

%install

# jars
install -d -m 755 %{buildroot}%{_javadir}/glassfish
install -m 644 publish/glassfish/lib/javaee.jar %{buildroot}%{_javadir}/%{name}-%{specversion}-api.jar
install -m 644 publish/glassfish/lib/toplink-essentials.jar %{buildroot}%{_javadir}/glassfish/toplink-essentials.jar
install -m 644 publish/glassfish/lib/toplink-essentials-agent.jar %{buildroot}%{_javadir}/glassfish/toplink-essentials-agent.jar

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -m 644 glassfish/persistence-api/persistence-api.pom \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}-%{specversion}-api.pom
%add_maven_depmap JPP-%{name}-%{specversion}-api.pom %{name}-%{specversion}-api.jar

install -m 644 glassfish/entity-persistence/toplink-essentials.pom \
    %{buildroot}%{_mavenpomdir}/JPP.glassfish-toplink-essentials.pom
%add_maven_depmap -f toplink-essentials JPP.glassfish-toplink-essentials.pom glassfish/toplink-essentials.jar

install -m 644 glassfish/entity-persistence/toplink-essentials-agent.pom \
    %{buildroot}%{_mavenpomdir}/JPP.glassfish-toplink-essentials-agent.pom
%add_maven_depmap -f toplink-essentials JPP.glassfish-toplink-essentials-agent.pom glassfish/toplink-essentials-agent.jar

# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{specversion}-api
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-impl
cp -pr glassfish/persistence-api/build/classes/javadoc/* %{buildroot}%{_javadocdir}/%{name}-%{specversion}-api
cp -pr glassfish/entity-persistence/build/javadoc/* %{buildroot}%{_javadocdir}/%{name}-impl

%files %{specversion}-api
%{_javadir}/glassfish-persistence-%{specversion}-api.jar
%{_mavenpomdir}/JPP-%{name}-%{specversion}-api.pom
%{_mavendepmapfragdir}/%{name}

%files impl
%{_javadir}/glassfish/toplink-essentials.jar
%{_javadir}/glassfish/toplink-essentials-agent.jar
%{_mavenpomdir}/JPP.glassfish-toplink-essentials.pom
%{_mavenpomdir}/JPP.glassfish-toplink-essentials-agent.pom
%{_mavendepmapfragdir}/%{name}-toplink-essentials

%files %{specversion}-api-javadoc
%{_javadocdir}/%{name}-%{specversion}-api

%files impl-javadoc
%{_javadocdir}/%{name}-impl
