%define major 3
%define libname %mklibname gle %major
%define develname %mklibname -d gle

Summary:    GLE Tubing and Extrusion Library
Name:       gle
Version:    3.1.2
Release:    %mkrel 1
License:    GPLv2
Group:      System/Libraries
Source:     https://github.com/linas/glextrusion/archive/refs/tags/gle-%{version}.tar.gz
URL:        https://github.com/linas/glextrusion
BuildRequires: pkgconfig(glu) >= 4.0.1
BuildRequires: pkgconfig(freeglut)
BuildRequires: pkgconfig(xmu)
BuildRequires: pkgconfig(xi)

%description
GLE is a library package of C functions that draw extruded surfaces,
including surfaces of revolution, sweeps, tubes, polycones,
polycylinders and helicoids.  Generically, the extruded surface is
specified with a 2D polyline that is extruded along a 3D path.  A
local coordinate system allows for additional flexibility in the
primitives drawn.  Extrusions may be texture mapped in a variety of
ways.  The GLE library generates 3D triangle coordinates, lighting
normal vectors and texture coordinates as output. GLE uses the GL or
OpenGL API's to perform the actual rendering.

%package -n %libname
Summary: GLE shared library
Group: System/Libraries

%description -n %libname
GLE is a library package of C functions that draw extruded surfaces,
including surfaces of revolution, sweeps, tubes, polycones,
polycylinders and helicoids.  Generically, the extruded surface is
specified with a 2D polyline that is extruded along a 3D path.  A
local coordinate system allows for additional flexibility in the
primitives drawn.  Extrusions may be texture mapped in a variety of
ways.  The GLE library generates 3D triangle coordinates, lighting
normal vectors and texture coordinates as output. GLE uses the GL or
OpenGL API's to perform the actual rendering.

The shared library needed by GLE applications.

%package -n %develname
Summary: Devel files for GLE
Group: Development/C
Requires: %libname = %version
Provides: libgle-devel = %version
Provides: gle-devel = %version
Obsoletes: %{_lib}gle3-devel < 3.1.0-11

%description -n %develname
GLE is a library package of C functions that draw extruded surfaces,
including surfaces of revolution, sweeps, tubes, polycones,
polycylinders and helicoids.  Generically, the extruded surface is
specified with a 2D polyline that is extruded along a 3D path.  A
local coordinate system allows for additional flexibility in the
primitives drawn.  Extrusions may be texture mapped in a variety of
ways.  The GLE library generates 3D triangle coordinates, lighting
normal vectors and texture coordinates as output. GLE uses the GL or
OpenGL API's to perform the actual rendering.

The static library and headers needed for developing GLE applications.

%prep
%autosetup -p1 -n glextrusion-gle-%{version}
find examples -name .cvsignore -exec rm {} \;

%build
# link-with-gl+glu.patch
autoreconf --force --install
%configure
%make_build

%install
rm -rf %{buildroot} installed-docs
%make_install
mv %buildroot%_datadir/doc/gle installed-docs

cd examples
make clean

# don't ship .a, .la
rm -f %{buildroot}/%_libdir/libgle.{a,la}

%files -n %libname
%doc README.md NEWS COPYING AUTHORS
%_libdir/libgle.so.%{major}*

%files -n %develname
%doc ChangeLog src/COPYING.src src/README.gutil examples installed-docs
%_libdir/libgle.so
%_includedir/GL/*
%_mandir/man3/*
