%define	major 2.2
%define	libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

%bcond_with egl

Summary:        The OpenGL Extension Wrangler Library
Name:           glew
Version:        2.2.0
Release:        %mkrel 5
Group:          Development/C
License:        BSD and MIT
URL:            https://glew.sourceforge.net/
Source0:        https://downloads.sourceforge.net/glew/%{name}-%{version}.tgz
Patch0:         glew-2.0.0-pic.patch
Patch1:         glew-2.0.0-pkgconfig.patch
Patch2:         glew-2.1.0-install.patch
Patch10:         glew-2.2.0-gcc12-cplusplus.patch

BuildRequires:  file
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xmu)

%description
The OpenGL Extension Wrangler Library (GLEW) is a cross-platform
open-source C/C++ extension loading library. GLEW provides efficient
run-time mechanisms for determining which OpenGL extensions are
supported on the target platform. OpenGL core and extension
functionality is exposed in a single header file.

%package -n %{libname}
Summary:        GLEW library
Group:          System/Libraries

%description -n %{libname}
The OpenGL Extension Wrangler Library (GLEW) is a cross-platform
open-source C/C++ extension loading library. GLEW provides efficient
run-time mechanisms for determining which OpenGL extensions are
supported on the target platform. OpenGL core and extension
functionality is exposed in a single header file.

%package -n %{develname}
Summary:        Development files for using the %{name} library
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for using the %{name} library.

%prep
%autosetup -p1

%build
%make_build \
    POPT="%{optflags}" \
    LDFLAGS.EXTRA="%{ldflags}" \
    LIBDIR=%{_libdir} \
%if %{with egl}
    LDFLAGS.GL="-lEGL -lGL" \
    CFLAGS.EXTRA+="-DGLEW_EGL" \
%endif
    STRIP=""

%install
make install.all DESTDIR=%{buildroot} GLEW_DEST=%{_prefix} GLEW_PREFIX=%{_prefix} LIBDIR=%{_libdir}

rm -f %{buildroot}%{_libdir}/*.a
chmod 0755 %{buildroot}%{_libdir}/*.so*

%files
%license LICENSE.txt
%{_bindir}/glewinfo
%{_bindir}/visualinfo

%files -n %{libname}
%{_libdir}/libGLEW.so.%{major}
%{_libdir}/libGLEW.so.%{major}.*

%files -n %{develname}
%doc README.md doc/*
%license LICENSE.txt
%{_includedir}/GL/*.h
%{_libdir}/libGLEW.so
%{_libdir}/pkgconfig/%{name}.pc
