Summary:	Base Library for the Java-GNOME libraries 
Name:		glib-java
Version:	0.4.2
Release:	%mkrel 5
URL:		https://java-gnome.sourceforge.net/
Source0:	https://download.gnome.org/sources/%{name}/0.2/%{name}-%{version}.tar.bz2
Patch0:		%{name}-gjavah.patch
Patch1:		glib-java-0.4.2-import-fix.patch
License:	LGPLv2
Group:		Development/Java

Requires:	glib2 >= 2.12.0
BuildRequires:	java-devel >= 1.4.2 glib2-devel >= 2.12.0
BuildRequires:	gcc-java >= 4.1.1, docbook-utils
BuildRequires:	pkgconfig

%description 
Glib-java is a base framework for the Java-GNOME libraries.  Allowing the use
of GNOME through Java.

%package        devel
Summary:	Compressed Java source files for %{name}
Group:		Development/Java
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel
Requires:	pkgconfig

%description    devel
Glib-java is a base framework for the Java-GNOME libraries.  Allowing the use
of GNOME through Java.

Development part of %{name}.


%prep
%setup -q
%patch -P 0 -p1 -b .gjavah
%patch -P 1 -p1 -b .import
touch aclocal.m4
touch configure Makefile.in

%build
autoreconf -fi && libtoolize --copy --force
# Two workarounds:
# 1) libtool.m4 calls gcj with $CFLAGS and gcj seems to choke on -Wall.
# 2) libtool does not use pic_flag when compiling, so we have to force it.
RPM_OPT_FLAGS=${RPM_OPT_FLAGS/-Wall /}
%configure CFLAGS="$RPM_OPT_FLAGS" GCJFLAGS="-O2 -fPIC"

%make

# pack up the java source
find src/java -name \*.java -newer ChangeLog | xargs touch -r ChangeLog
(cd src/java && find . -name \*.java | sort | xargs zip -X -9 src.zip)
touch -r ChangeLog src/java/src.zip


%install
rm -fr %buildroot
%make_install

# Remove unpackaged files:
rm $RPM_BUILD_ROOT/%{_libdir}/*.la

# install the src zip and make a sym link
jarversion=$(expr '%{version}' : '\([^.]*\.[^.]*\)')
jarname=%{name}
jarname=${jarname%%-*}
zipname=${jarname#lib}-$jarversion-src
zipfile=$zipname-%{version}.zip
install -m 644 src/java/src.zip $RPM_BUILD_ROOT%{_datadir}/java/$zipfile
(cd $RPM_BUILD_ROOT%{_datadir}/java &&
  ln -sf $zipfile $zipname.zip)

%files
%doc AUTHORS ChangeLog COPYING README NEWS
%{_libdir}/libglibjava-*.so
%{_libdir}/libglibjni-*.so
%{_datadir}/java/*.jar
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%files devel
%doc doc/api
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/libglibjava.so
%{_libdir}/libglibjni.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/java/*.zip
%doc %_datadir/doc/%name-%version

