%define libname		%mklibname %{name}
%define libname_gnutls	%mklibname %{name}-gnutls

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define glib2_version 2.73.3

%global tarball_version %%(echo %{version} | tr '~' '.')

Summary:	Network-related GIO modules
Name:		glib-networking
Version:        2.80.1
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
Url:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz
BuildRequires:	gettext
BuildRequires:	meson
BuildRequires:  pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(libproxy-1.0) >= 0.3.1
BuildRequires:	pkgconfig(gnutls) >= 2.12.8
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(libsystemd)
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libname_gnutls} = %{version}-%{release}

%description
This package contains the network-related GIO modules for GLib.

%package -n %{libname}
Summary:	Network-related GIO modules
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
Requires:	%{libname_gnutls} >= %{version}-%{release}
Requires:	gsettings-desktop-schemas

%description -n %{libname}
This package contains the network-related GIO modules for GLib.

# ovitters: DO NOT ADD REQUIRES TO BLOW SUBPACKAGE
#           GIO/GLib recommends this specific package so that GLib
#           always has TLS support. glib-networking itself indirectly
#           has too many dependencies
%package -n %{libname_gnutls}
Summary:	GIO module enabling TLS support for GLib
Group:		System/Libraries
Conflicts:	%{libname} < 2.47.1-3

%description -n %{libname_gnutls}
This package contains the gnutls GIO module enabling TLS support to GLib.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%check
#meson_test

%files -f %{name}.lang
%doc README
%{_libexecdir}/glib-pacrunner
%{_datadir}/dbus-1/services/org.gtk.GLib.PACRunner.service
%{_userunitdir}/glib-pacrunner.service


%files -n %{libname}
%{_libdir}/gio/modules/libgiolibproxy.so
%{_libdir}/gio/modules/libgiognomeproxy.so

%files -n %{libname_gnutls}
%{_libdir}/gio/modules/libgiognutls.so
