# enable_gtkdoc: Toggle if gtkdoc stuff should be rebuilt
#	0 = no
#	1 = yes
%define enable_gtkdoc	1

# Note that this is NOT a relocatable package
%define api		2.0
%define lib_major	0
%define lib_name	%mklibname glib %{api}  %{lib_major}
%define libgio_name	%mklibname gio %{api} %{lib_major}
%define libgirepo_name	%mklibname girepository %{api} %{lib_major}

%define api3		3.0
%define girglibname	%mklibname glib-gir %{api}
%define girgioname	%mklibname gio-gir %{api}
%define girgireponame	%mklibname girepository-gir %{api3}

%define develname	%mklibname glib %{api} -d
%define staticname	%mklibname glib %{api} -d -s

Summary:	A library of handy utility functions
Name:		glib%{api}
Version:	2.84.1
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.gtk.org/
Source0:	https://download.gnome.org/sources/glib/%{url_ver}/glib-%{version}.tar.xz
Source1:	glib20.sh
Source2:	glib20.csh
Source3:	glib-2.57.2-guard-against-reading-past-the-end-of-a-timezone-file.patch

# upstream git

# (tmb) disable deprecated schema warnings on mga3 like we did for mga2
Patch101:	glib-silence-deprecated-paths.patch
# Disable statx as it makes Firefox and Chromium crash (mga#27234),
# and upstream doesn't care:
# https://gitlab.gnome.org/GNOME/glib/-/issues/2198
Patch102:	glib-2.65.2-disable-statx.patch

# recent close_range() changes break CircleCI and GitHub actions -- we can remove this when
# the baremetal Docker is updated there i.e. lets be a little bit pragmatic...
Patch:          gspawn-eperm.patch

Requires:	common-licenses
Requires:	shared-mime-info >= 0.70
BuildRequires:	systemtap
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	pkgconfig(mount)
BuildRequires:	pkgconfig(sysprof-capture-4)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(dbus-1) >= 1.2.14
BuildRequires:	gettext
BuildRequires:	libtool
BuildRequires:	locales-en
BuildRequires:	pkgconfig(libffi) >= 3.0.0
BuildRequires:	xsltproc
BuildRequires:	docbook-dtds
BuildRequires:	docbook-xsl
BuildRequires:	docbook-style-xsl
BuildRequires:	libxml2-utils
BuildRequires:	meson
BuildRequires:	pkgconfig(bash-completion)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
# for sys/sdt.h
BuildRequires:	systemtap-sdt-devel
# ovitters adds elf support to gresource binary, needed to determine
#          gnome-shell requires
BuildRequires:	elfutils-devel
%if %enable_gtkdoc
BuildRequires:	python3-docutils
BuildRequires:	pkgconfig(gi-docgen)
%endif
BuildRequires:	pkgconfig(python3)

%description
Glib is a handy library of utility functions. This C
library is designed to solve some portability problems
and provide other useful functionality which most
programs require.

Glib is used by GDK, GTK+ and many applications.

#---------------------------------------------------------------

%package common
Summary:	data files used by glib
Group:		System/Libraries

%description common
Glib is a handy library of utility functions. This C
library is designed to solve some portability problems
and provide other useful functionality which most
programs require.

This package contains data used by glib library.

#---------------------------------------------------------------

%package -n %{lib_name}
Summary:	A library of handy utility functions
Group:		System/Libraries
Provides:	glib2 = %{version}-%{release}
Provides:	libglib2 = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}

%description -n %{lib_name}
Glib is a handy library of utility functions. This C
library is designed to solve some portability problems
and provide other useful functionality which most
programs require.

Glib is used by GDK, GTK+ and many applications.
You should install Glib because many of your applications
will depend on this library.

This package contains the library needed to run programs dynamically
linked with the glib.

#---------------------------------------------------------------
%if "%{_lib}" == "lib64"
%define mark64 ()(64bit)
%else
%define mark64 %nil
%endif

#---------------------------------------------------------------

%package -n	%{girglibname}
Summary:	GObject Introspection interface description for Glib
Group:		System/Libraries
Requires:	libglib-2.0.so.0%{mark64}
Requires:	libgmodule-2.0.so.0%{mark64}
Requires:	libgobject-2.0.so.0%{mark64}

# glib typelib files moved from gobject-introspection to glib2 in mga10
Conflicts:	%{_lib}glib-gir2.0 < 1.80.0-1

%description -n	%{girglibname}
GObject Introspection interface description for Glib.

#---------------------------------------------------------------

%package -n %{libgio_name}
Summary:	GIO is the input, output and streaming API of glib
Group:		System/Libraries
Requires:	%{lib_name} = %{version}
Requires:	shared-mime-info
Recommends:	%{mklibname glib-networking-gnutls}

%description -n %{libgio_name}
GIO is the input, output and streaming API of glib. It on the one hand
provides a set of various streaming classes to access data from different
sources in a convenient way and on the other hand it provides a high level
file system abstraction to access file and directories not only local but also
on the network. For the latter you need to install gvfs.

#---------------------------------------------------------------

%package -n	%{girgioname}
Summary:	GObject Introspection interface description for Gio
Group:		System/Libraries
Requires:	libgio-2.0.so.0%{mark64}

# glib typelib files moved from gobject-introspection to glib2 in mga10
Conflicts:	%{_lib}glib-gir2.0 < 1.80.0-1

%description -n	%{girgioname}
GObject Introspection interface description for Gio.

#---------------------------------------------------------------

%package -n %{libgirepo_name}
Summary:	GObject Introspection shared library
Group:		System/Libraries

%description -n %{libgirepo_name}
Library for handling GObject introspection data (runtime library).

#---------------------------------------------------------------

%package -n	%{girgireponame}
Summary:	GObject Introspection interface description for GIRepository
Group:		System/Libraries
Requires:	%{libgirepo_name} = %{version}-%{release}

%description -n	%{girgireponame}
GObject Introspection interface description for GIRepository.

#---------------------------------------------------------------

%package -n %{develname}
Summary:	Static libraries and header files of %{name}
Group:		Development/C
Provides:	glib2-devel = %{version}-%{release}
Provides:	libglib2-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	%{libgio_name} = %{version}
Requires:	%{libgirepo_name} = %{version}
Requires:	%{girglibname} = %{version}
Requires:	%{girgioname} = %{version}
Requires:	%{girgireponame} = %{version}
Requires:	%{name}-common = %{version}
Requires:	glib-gettextize >= %{version}

# glib typelib files moved from gobject-introspection to glib2 in mga10
Conflicts:	%{_lib}girepository-devel < 1.80.0-1

%description -n %{develname}
Header files for the support library for the GIMP's X libraries, which are
available as public libraries. GLIB includes generally useful data structures.

#---------------------------------------------------------------

%package -n %{staticname}
Summary:	Static libraries and header files of %{name}
Group:		Development/C
Requires:	%{develname} = %{version}-%{release}
Provides:	glib2-static-devel = %{version}-%{release}
Provides:	libglib2-static-devel = %{version}-%{release}
Provides:	lib%{name}-static-devel = %{version}-%{release}

%description -n %{staticname}
Static libraries and files for the support library for the GIMP's X libraries,
which are available as public libraries. GLIB includes generally useful data
structures.

#---------------------------------------------------------------

%package -n glib-gettextize
Summary:	Gettextize replacement
Group:		Development/Other

%description -n glib-gettextize
%{name} package is designed to replace gettextize completely.
Various gettext related files are modified in glib and gtk+ to
allow better and more flexible i18n; however gettextize overwrites
them with its own copy of files, thus nullifying the changes.
If this replacement of gettextize is run instead, then all gnome
packages can potentially benefit from the changes.

#---------------------------------------------------------------

%package tests
Summary:	Tests for the glib2 package
Requires:	%{lib_name}%{?_isa} = %{version}-%{release}

%description tests
The glib2-tests package contains tests that can be used to verify
the functionality of the installed glib2 package.

#---------------------------------------------------------------

%prep
%autosetup -n glib-%{version} -p1

%build
%ifarch %{arm}
# workaround from https://bugzilla.redhat.com/show_bug.cgi?id=2026858
export CPPFLAGS="-DSTAP_SDT_ARG_CONSTRAINT=g"
%endif
%meson \
	-Dselinux=disabled \
	-Dsysprof=enabled \
	--default-library=both \
	-Dman=true \
	-Ddtrace=true \
	-Dsystemtap=true \
	-Dinstalled_tests=true \
%if !%enable_gtkdoc
	-Dgtk_doc=false
%else
	-Dgtk_doc=true
%endif
%meson_build

%install
%meson_install

mkdir -p %{buildroot}%{_sysconfdir}/profile.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/profile.d/50glib20.sh
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/profile.d/50glib20.csh

%find_lang glib20

mv %{buildroot}%{_bindir}/gio-querymodules %{buildroot}%{_bindir}/gio-querymodules-%{__isa_bits}
sed -i -e "/^gio_querymodules=/s/gio-querymodules/gio-querymodules-%{__isa_bits}/" %{buildroot}%{_libdir}/pkgconfig/gio-2.0.pc

#ghost files
mkdir -p %{buildroot}%{_libdir}/gio/modules
mkdir -p %{buildroot}%{_datadir}/glib-2.0/schemas
touch %{buildroot}%{_libdir}/gio/modules/giomodule.cache \
      %{buildroot}%{_datadir}/glib-2.0/schemas/gschemas.compiled

# don't ship .a files for gio modules
rm -f %{buildroot}%{_libdir}/gio/modules/lib*a

# we don't want these
rm -f %{buildroot}%{_datadir}/glib-2.0/gdb/*.{pyc,pyo}
rm -f %{buildroot}%{_datadir}/glib-2.0/codegen/*.{pyc,pyo}

%check
#gw https://bugzilla.gnome.org/show_bug.cgi?id=440544
#make check

# automatic gschema compilation on rpm installs/removals
%transfiletriggerpostun -n %{name}-common --  %{_datadir}/glib-2.0/schemas/
if [ -x /usr/bin/glib-compile-schemas ]; then
	/usr/bin/glib-compile-schemas --allow-any-name %{_datadir}/glib-2.0/schemas/
fi

%transfiletriggerin -n %{name}-common --  %{_datadir}/glib-2.0/schemas/
if [ -x /usr/bin/glib-compile-schemas ]; then
	/usr/bin/glib-compile-schemas --allow-any-name %{_datadir}/glib-2.0/schemas/
fi

# automatic update of gio module cache
%transfiletriggerpostun -n %{libgio_name} -- %{_libdir}/gio/modules/
if [ -x %{_bindir}/gio-querymodules-%{__isa_bits} ]; then
  %{_bindir}/gio-querymodules-%{__isa_bits} %{_libdir}/gio/modules
fi

%transfiletriggerin -n %{libgio_name} -- %{_libdir}/gio/modules/
if [ -x %{_bindir}/gio-querymodules-%{__isa_bits} ]; then
  %{_bindir}/gio-querymodules-%{__isa_bits} %{_libdir}/gio/modules
fi

%files common -f glib20.lang
%doc NEWS README.md
%config(noreplace) %{_sysconfdir}/profile.d/*
%{_datadir}/bash-completion/completions/gapplication
%{_datadir}/bash-completion/completions/gdbus
%{_datadir}/bash-completion/completions/gio
%{_datadir}/bash-completion/completions/gsettings
%{_datadir}/bash-completion/completions/gresource
%{_bindir}/gapplication
%{_bindir}/gdbus
%{_bindir}/gio
%{_bindir}/glib-compile-schemas
%{_bindir}/glib-compile-resources
%{_bindir}/gresource
%{_bindir}/gsettings
%{_bindir}/gi-compile-repository
%{_bindir}/gi-decompile-typelib
%{_bindir}/gi-inspect-typelib
%{_libexecdir}/gio-launch-desktop
%{_mandir}/man1/gio-querymodules.1*
%{_mandir}/man1/glib-compile-schemas.1*
%{_mandir}/man1/glib-compile-resources.1*
%{_mandir}/man1/gsettings.1*
%{_mandir}/man1/gapplication.1*
%{_mandir}/man1/gdbus.1*
%{_mandir}/man1/gio.1*
%{_mandir}/man1/gresource.1*
%{_mandir}/man1/gi-compile-repository.1*
%{_mandir}/man1/gi-decompile-typelib.1*
%{_mandir}/man1/gi-inspect-typelib.1*
%dir %{_datadir}/glib-2.0/
%dir %{_datadir}/glib-2.0/schemas/
%{_datadir}/glib-2.0/schemas/gschema.dtd
%ghost %{_datadir}/glib-2.0/schemas/gschemas.compiled
%{_datadir}/gettext/its/
%{_datadir}/glib-2.0/valgrind/*.*

%files -n %{lib_name}
%doc README.md
%{_libdir}/libglib-%{api}.so.%{lib_major}{,.*}
%{_libdir}/libgmodule-%{api}.so.%{lib_major}{,.*}
%{_libdir}/libgthread-%{api}.so.%{lib_major}{,.*}
%{_libdir}/libgobject-%{api}.so.%{lib_major}{,.*}

%files -n %{girglibname}
%{_libdir}/girepository-1.0/GLib-%{api}.typelib
%{_libdir}/girepository-1.0/GLibUnix-%{api}.typelib
%{_libdir}/girepository-1.0/GModule-%{api}.typelib
%{_libdir}/girepository-1.0/GObject-%{api}.typelib

%files -n %{libgio_name}
%{_libdir}/libgio-%{api}.so.%{lib_major}{,.*}
%{_bindir}/gio-querymodules-%{__isa_bits}
%dir %{_libdir}/gio/
%dir %{_libdir}/gio/modules/
%ghost %{_libdir}/gio/modules/giomodule.cache

%files -n %{girgioname}
%{_libdir}/girepository-1.0/Gio-%{api}.typelib
%{_libdir}/girepository-1.0/GioUnix-%{api}.typelib

%files -n %{libgirepo_name}
%{_libdir}/libgirepository-%{api}.so.%{lib_major}{,.*}

%files -n %{girgireponame}
%{_libdir}/girepository-1.0/GIRepository-%{api3}.typelib

%files -n %{develname}
%doc NEWS
%doc %{_docdir}/glib-2.0/
%doc %{_docdir}/gio-2.0/
%doc %{_docdir}/gio-unix-2.0/
%doc %{_docdir}/girepository-2.0/
%doc %{_docdir}/glib-unix-2.0/
%doc %{_docdir}/gmodule-2.0/
%doc %{_docdir}/gobject-2.0/
%{_libdir}/lib*.so
%{_libdir}/glib-%{api}
%{_datadir}/glib-%{api}/codegen
%{_datadir}/glib-%{api}/dtds
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_mandir}/man1/glib-genmarshal.1*
%{_mandir}/man1/glib-mkenums.1*
%{_mandir}/man1/gobject-query.1*
%{_mandir}/man1/gtester-report.1*
%{_mandir}/man1/gtester.1*
%{_mandir}/man1/gdbus-codegen.1*
%{_datadir}/aclocal/glib-%{api}.m4
%{_datadir}/aclocal/gsettings.m4
%{_bindir}/glib-genmarshal
%{_bindir}/glib-mkenums
%{_bindir}/gobject-query
%{_bindir}/gtester*
%{_bindir}/gdbus-codegen
%{_datadir}/gdb/auto-load%{_libdir}/lib*-gdb.py*
%{_datadir}/glib-%{api}/gdb
%{_datadir}/systemtap/
%{_datadir}/gir-1.0/GIRepository-3.0.gir
%{_datadir}/gir-1.0/GLib-%{api}.gir
%{_datadir}/gir-1.0/GLibUnix-%{api}.gir
%{_datadir}/gir-1.0/GModule-%{api}.gir
%{_datadir}/gir-1.0/GObject-%{api}.gir
%{_datadir}/gir-1.0/Gio-%{api}.gir
%{_datadir}/gir-1.0/GioUnix-%{api}.gir

%files -n glib-gettextize
%{_bindir}/glib-gettextize
%{_mandir}/man1/glib-gettextize.1*
%{_datadir}/aclocal/glib-gettext.m4
%{_datadir}/glib-%{api}/gettext

%files -n %staticname
%{_libdir}/lib*.a

%files tests
%{_libexecdir}/installed-tests
%{_datadir}/installed-tests
