%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%bcond_without doc

%define pkgname		glibmm
%define api		2.4
%define major		1
%define libglibmm	%mklibname glibmm %{api} %{major}
%define libgiomm	%mklibname giomm %{api} %{major}
%define devname		%mklibname -d glibmm %{api}

Name:		%{pkgname}%{api}
Summary:	C++ interface for glib
Version:	2.66.7
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		https://gtkmm.sourceforge.net/
Source:		https://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(sigc++-2.0)
BuildRequires:	mm-common
%if %{with doc}
BuildRequires:	doxygen
BuildRequires:	libxslt-proc
%endif

%description
Gtkmm provides a C++ interface to the GTK+ GUI library.
%{pkgname} originally belongs to gtkmm, but is now separated,
for use with non-GUI software written in C++.

%package -n	%{libglibmm}
Summary:	C++ interface for glib
Group:		System/Libraries
Provides:	%{pkgname}%{api} = %{version}-%{release}

%description -n	%{libglibmm}
Gtkmm provides a C++ interface to the GTK+ GUI library.
%{pkgname} originally belongs to gtkmm, but is now separated,
for use with non-GUI software written in C++.

This package contains the library needed to run programs dynamically
linked with %{pkgname}.

%package -n	%{libgiomm}
Summary:	C++ binding for gio
Group:		System/Libraries
Provides:	giomm%{api} = %{version}-%{release}
Conflicts:	%{_lib}glibmm2.4_1 < 2.64.4-2

%description -n %{libgiomm}
Giomm provides a C++ interface to the gio library. Giomm is a part of the
glibmm project.

This package contains the library needed to run programs dynamically linked
with giomm.

%package -n	%{devname}
Summary:	Headers and development files of %{pkgname}
Group:		Development/GNOME and GTK+
Requires:	%{libglibmm} = %{version}-%{release}
Requires:	%{libgiomm} = %{version}-%{release}
Requires:	mm-common >= 0.9.4
Provides:	%{pkgname}%{api}-devel = %{version}-%{release}
Obsoletes:	%{_lib}glibmm%{api}-static-devel < 2.56.0
Obsoletes:	glibmm2.4-doc < 2.66.0

%description -n	%{devname}
This package contains the headers and development files that are needed,
when trying to develop or compile applications which need %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%global _vpath_builddir build-%{_build_arch}
%meson \
  -Dbuild-documentation=%{?with_doc:true}%{!?with_doc:false} \
  -Dbuild-examples=false
%meson_build

%install
%meson_install

%files -n %{libglibmm}
%license COPYING
%doc NEWS README.md
%{_libdir}/libglibmm{,_generate_extra_defs}-%{api}.so.%{major}{,.*}

%files -n %{libgiomm}
%license COPYING
%doc NEWS README.md
%{_libdir}/libgiomm-%{api}.so.%{major}{,.*}

%files -n %{devname}
%doc ChangeLog
%if %{with doc}
%doc %{_datadir}/doc/glibmm-%{api}/
%doc %{_datadir}/devhelp/books/glibmm-%{api}
%endif
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/giomm-%{api}/
%{_libdir}/glibmm-%{api}/
%{_libdir}/pkgconfig/*.pc
