%bcond_without tests

Name:           glm
Version:        1.0.1
Release:        %mkrel 1
Summary:        C++ mathematics library for graphics programming
Group:          Development/C++
License:        MIT
URL:            https://glm.g-truc.net/
# https://github.com/g-truc/glm/releases/download/%%{version}/%%{name}-%%{version}.7z
Source0:        https://github.com/g-truc/glm/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         glm-1.0.1-noarch.patch
# Headers only pkg
BuildArch:      noarch

BuildRequires:  cmake

%description
GLM is a C++ library for doing mathematics operations
required in many OpenGL based applications. Its interface
has been designed to resemble the built-in matrix and vector
types of the OpenGL shading language.

%package        devel
Group:          Development/C++
Summary:        C++ mathematics library for graphics programming
Provides:       %{name}-static = %{version}-%{release}

%description    devel
GLM is a C++ library for doing mathematics operations
required in many OpenGL based applications. Its interface
has been designed to resemble the built-in matrix and vector
types of the OpenGL shading language.

%{name}-devel is only required for building software that uses
the GLM library. Because GLM currently is a header-only library,
there is no matching run time package.

%package        doc
Summary:        Documentation for %{name}-devel
Group:          Documentation

%description    doc
The %{name}-doc package contains reference documentation and
a programming manual for the %{name}-devel package.

%prep
%autosetup -p1

%build
export CXXFLAGS="%{build_cxxflags} -fno-strict-aliasing"
%cmake -DGLM_TEST_ENABLE=ON \
       -DGLM_BUILD_LIBRARY=OFF \
       -DCMAKE_INSTALL_DATAROOTDIR=%{_datadir}/cmake
%cmake_build

%install
%cmake_install

# Dirty hack to provide .pc file. Needed bc of upstream stupidity.
mkdir -p %{buildroot}%{_datadir}/pkgconfig/
cat << EOF > %{buildroot}%{_datadir}/pkgconfig/%{name}.pc
prefix=%{_prefix}
includedir=${prefix}/include

Name: GLM
Description: OpenGL Mathematics
Version: %{version}
Cflags: -I${includedir}
EOF

%check
%{?with_tests:%ctest}

%files devel
%doc readme.md
%license copying.txt
%{_includedir}/%{name}/
%{_datadir}/cmake/%{name}/
%{_datadir}/pkgconfig/%{name}.pc

%files doc
%doc doc/manual.pdf
%doc doc/api/
