Name:          global
Version:       6.6.13
Release:       %mkrel 1
Summary:       GNU GLOBAL (source code tagging system)
Group:         Development/Tools
License:       GPLv3
URL:           https://www.gnu.org/software/global/
Source0:       https://ftp.gnu.org/pub/gnu/global/global-%{version}.tar.gz

BuildRequires: perl
BuildRequires: texinfo
BuildRequires: pkgconfig(ncurses)

%description
GNU GLOBAL is a source code tagging system that works the
same way across diverse environments, such as Emacs editor,
Vi editor, Less viewer, Bash shell, various web browsers, etc.

%prep
%autosetup -n global-%{version} -p1

sed -i 's/\.la/.so/g' gtags.conf.in

%build
%configure --disable-static
%make_build

%install
%make_install

for f in AUTHORS COPYING COPYING.LIB ChangeLog FAQ INSTALL LICENSE NEWS README THANKS DONORS BUILD_TOOLS README.PATCHES; do
  rm -rf %{buildroot}%{_datadir}/%{name}/$f
done

# python shebang
%py3_shebang_fix %{buildroot}%{_datadir}/gtags/script/*.py

%files
%license COPYING COPYING.LIB LICENSE
%doc AUTHORS ChangeLog FAQ NEWS README THANKS
%doc DONORS BUILD_TOOLS README.PATCHES
%{_bindir}/global
%{_bindir}/gtags
%{_bindir}/globash
%{_bindir}/gozilla
%{_bindir}/gtags-cscope
%{_bindir}/htags
%{_bindir}/htags-server
%dir %{_libdir}/gtags/
%{_libdir}/gtags/exuberant-ctags.so
%{_libdir}/gtags/pygments-parser.so
%{_libdir}/gtags/universal-ctags.so
%{_libdir}/gtags/user-custom.so
%{_datadir}/gtags/
%{_infodir}/global.info*
%{_mandir}/man1/global.1*
%{_mandir}/man1/globash.1*
%{_mandir}/man1/gozilla.1*
%{_mandir}/man1/gtags-cscope.1*
%{_mandir}/man1/gtags.1*
%{_mandir}/man1/htags-server.1*
%{_mandir}/man1/htags.1*
%{_mandir}/man5/gtags.conf.5*

