%define	oname	glob2
%define url_ver	%(echo %{version}|cut -d. -f1,2,3)

Summary:	A state of the art Real Time Strategy (RTS) game
Name:		globulation2
Version:	0.9.4.4
Release:	%mkrel 46
License:	GPLv3
Group:		Games/Strategy
URL:		https://www.globulation2.org/
Source0:	https://download.savannah.nongnu.org/releases/%{oname}/%{url_ver}/%{oname}-%{version}.tar.gz
Source2:	http://goldeneye.sked.ch/~smagnena/sans.ttf
Patch0:		glob2-0.9.4.1-gcc44.patch
Patch1:		glob2-0.9.4.4-link.patch
Patch2:		glob2-0.9.4.4-games.h.patch
Patch3:		glob2-iostream.patch
Patch4:		glob2-0.9.4.4-gcc7.patch
Patch5:		glob2-0.9.4.4-scons-3.0.3.patch
Patch6:		glob2-py3-scons.patch
Patch7:		patch-boost-1.69.patch
BuildRequires:	scons
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_net)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(SDL_ttf)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(portaudio-2.0)

%description
Glob2 is a state of the art Real Time Strategy (RTS) game. It is free
software released under the terms of the GNU General Public License.

Globulation in a whole is an on-going project to create an innovative
high quality gameplay by minimizing micro-management and assigning
automatically the tasks to the units. The player just has to order
the number of units he wants for a selected task and the units will
do their best to satisfy your requirements.

Glob2 can be played by a single player, through your Local Area
Network (LAN), or through Internet thanks to Ysagoon Online Game (YOG),
a meta-server. It also features a scripting language for versatile
gameplay and an integrated map editor.

%prep
%setup -q -n %{oname}-%{version}
%patch -P0 -p0
%patch -P1 -p0
%patch -P2 -p0
%patch -P3 -p1
%patch -P4 -p1
%patch -P5 -p1
%patch -P6 -p1
%patch -P7 -p0

chmod -x {src/*.h,src/*.cpp,libgag/include/*.h,gnupg/*,libgag/src/*.cpp,scripts/*,data/*.txt,campaigns/*,COPYING,README}

%build
# data should be installed into datadir rather than gamesdatadir,
# otherwise it cannot find them :(
%scons \
  --portaudio=true \
  BINDIR="%{_gamesbindir}" \
  INSTALLDIR="%{_datadir}" \
  CXXFLAGS="%{optflags}" \
  LINKFLAGS="%{ldflags}"

%install
mkdir -p %{buildroot}%{_datadir}/%{oname}/{data/fonts,data/gfx/cursor,data/gui,data/icons,data/zik,maps,scripts,campaigns}
cp -r {data,campaigns,scripts,maps} %{buildroot}%{_datadir}/%{oname}/

mkdir -p %{buildroot}%{_gamesbindir}
install -m755 src/glob2 %{buildroot}%{_gamesbindir}/

find %{buildroot} -name SConscript -exec rm -f {} \;

#(tpg) not needed
rm -fr %{buildroot}%{_datadir}/%{oname}/data/%{oname}.desktop

for f in 128x128 16x16 24x24 32x32 48x48 64x64; do
mkdir -p %{buildroot}%{_iconsdir}/hicolor/$f/apps
mv %{buildroot}%{_datadir}/%{oname}/data/icons/glob2-icon-$f.png %{buildroot}%{_iconsdir}/hicolor/$f/apps/%{name}.png
done
rm -rf %{buildroot}%{_datadir}/%{oname}/data/icons

install %{SOURCE2} %{buildroot}%{_datadir}/%{oname}/data/fonts

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Globulation2
Comment=A state of the art Real Time Strategy (RTS) game
Exec=%{_gamesbindir}/%{oname}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF

%files
%doc README
%attr(755,root,root) %{_gamesbindir}/%{oname}
%{_datadir}/%{oname}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
