%define major 0
%define libname %mklibname globus-callout %{major}
%define develname %mklibname globus-callout -d

Name:		globus-callout
%global apache_license ASL 2.0
%global _name %(tr - _ <<< %{name})
Version:	4.3
Release:	%mkrel 2
Summary:	Globus Toolkit - Globus Callout Library

Group:		System/Libraries
License:	%{apache_license}
URL:           https://github.com/gridcf/gct
Source:        https://repo.gridcf.org/gct6/sources/%{_name}-%{version}.tar.gz
Requires:	globus-common >= 15

BuildRequires: libtool-ltdl-devel
BuildRequires:	pkgconfig(globus-common) >= 15
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	automake >= 1.11
BuildRequires:	autoconf >= 2.60
BuildRequires:	libtool >= 2.2
BuildRequires:  pkgconfig
BuildRequires:  perl-Test-Simple

%package -n %{develname}
Summary:	Globus Toolkit - Globus Callout Library Development Files
Group:		Development/Other
Provides: %{name}-devel = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig(globus-common) >= 15

%package doc
Summary:	Globus Toolkit - Globus Callout Library Documentation Files
Group:		Documentation
BuildArch:	noarch
Requires:	%{name} = %{version}-%{release}

%description
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
Globus Callout Library - provides a platform independent way of dealing with
runtime loadable functions.

%package -n %{libname}
Summary: Globus Toolkit - Globus Callout Library
Provides: %{name} = %{version}-%{release}

%description -n %{libname}
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
Globus Callout Library - provides a platform independent way of dealing with
runtime loadable functions.

%description -n %{develname}
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-devel package contains:
Globus Callout Library Development Files

%description doc
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-doc package contains:
Globus Callout Library Documentation Files

%prep
%setup -q -n %{_name}-%{version}

%build
%if %{?fedora}%{!?fedora:0} >= 19 || %{?rhel}%{!?rhel:0} >= 7 || %{?suse_version}%{!?suse_version:0} >= 1315
# Remove files that should be replaced during bootstrap
rm -rf autom4te.cache

autoreconf -if
%endif

%configure \
           --disable-static \
           --docdir=%{_docdir}/%{name}-%{version} \
           --includedir=%{_includedir}/globus \
           --libexecdir=%{_datadir}/globus
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

# Remove libtool archives (.la files)
find $RPM_BUILD_ROOT%{_libdir} -name 'lib*.la' -exec rm -v '{}' \;

%check
make ${_smp_mflags} check

%files -n %{libname}
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/GLOBUS_LICENSE
%{_libdir}/libglobus*.so.*

%files -n %{develname}
%{_includedir}/globus/*
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/libglobus*.so

%files doc
%dir %{_docdir}/%{name}-%{version}/html
%{_docdir}/%{name}-%{version}/html/*
%{_mandir}/man3/*


