%define major 2
%define libname %mklibname globus-ftp-client %{major}
%define develname %mklibname globus-ftp-client -d

Name:		globus-ftp-client
%global apache_license ASL 2.0
%global _name %(tr - _ <<< %{name})
Version:	9.8
Release:	%mkrel 1
Summary:	Globus Toolkit - GridFTP Client Library

Group:		System/Libraries
License:	%{apache_license}
URL:           https://github.com/gridcf/gct
Source:        https://repo.gridcf.org/gct6/sources//%{_name}-%{version}.tar.gz
Requires:	globus-xio-popen-driver >= 2

BuildRequires:	pkgconfig(globus-xio-popen-driver) >= 2
BuildRequires:	pkgconfig(globus-common) >= 15
BuildRequires:	pkgconfig(globus-ftp-control) >= 4
BuildRequires:	globus-ftp-control-doc >= 4
BuildRequires:	globus-gridftp-server-progs
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	pkgconfig(globus-gridftp-server) >= 0
BuildRequires:	pkgconfig(globus-xio-pipe-driver) >= 0
BuildRequires:  openssl
BuildRequires:  openssl-devel
BuildRequires:  automake >= 1.11
BuildRequires:  autoconf >= 2.60
BuildRequires:  libtool >= 2.2
BuildRequires:  pkgconfig
BuildRequires:  perl-Test-Simple
BuildRequires: libtool-ltdl-devel

%package -n %{develname}
Summary:	Globus Toolkit - GridFTP Client Library Development Files
Group:		Development/Other
Provides: %{name}-devel = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Requires:	globus-xio-popen-driver-devel
Requires:	pkgconfig(globus-common) >= 15
Requires:	pkgconfig(globus-ftp-control) >= 4

%package doc
Summary:	Globus Toolkit - GridFTP Client Library Documentation Files
Group:		Documentation
BuildArch:	noarch
Requires:	%{name} = %{version}-%{release}

%description
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
GridFTP Client Library

%package -n %{libname}
Summary: Globus Toolkit - GridFTP Client Library
Provides: %{name} = %{version}-%{release}
Group:System/Libraries

%description -n %{libname}
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
GridFTP Client Library

%description -n %{develname}
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-devel package contains:
GridFTP Client Library Development Files

%description doc
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-doc package contains:
GridFTP Client Library Documentation Files

%prep
%setup -q -n %{_name}-%{version}

%build
# Remove files that should be replaced during bootstrap
rm -rf autom4te.cache
autoreconf -if

%configure \
           --disable-static \
           --docdir=%{_docdir}/%{name}-%{version} \
           --includedir=%{_includedir}/globus \
           --libexecdir=%{_datadir}/globus

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

# Remove libtool archives (.la files)
find $RPM_BUILD_ROOT%{_libdir} -name 'lib*.la' -exec rm -v '{}' \;

%check
make %{_smp_mflags} check

%files -n %{libname}
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/GLOBUS_LICENSE
%{_libdir}/libglobus*.so.*
%{_datadir}/globus/gridftp-ssh

%files -n %{develname}
%{_includedir}/globus/*
%{_libdir}/libglobus*.so
%{_libdir}/pkgconfig/*.pc

%files doc
%dir %{_docdir}/%{name}-%{version}/html
%{_docdir}/%{name}-%{version}/html/*
%{_mandir}/man3/*

