%define major 1
%define libname %mklibname globus-ftp-control %{major}
%define develname %mklibname globus-ftp-control -d

Name:		globus-ftp-control
%global apache_license ASL 2.0
%global _name %(tr - _ <<< %{name})
Version:	9.10
Release:	%mkrel 1
Summary:	Globus Toolkit - GridFTP Control Library

Group:		System/Libraries
License:	%{apache_license}
URL:           https://github.com/gridcf/gct
Source:        https://repo.gridcf.org/gct6/sources/%{_name}-%{version}.tar.gz

BuildRequires:	pkgconfig(globus-common) >= 14
BuildRequires:	pkgconfig(globus-gss-assist) >= 11
BuildRequires:	pkgconfig(globus-io) >= 11
BuildRequires:	pkgconfig(globus-gssapi-gsi) >= 13
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:  pkgconfig(globus-xio) >= 3
BuildRequires:  pkgconfig(globus-gssapi-error) >= 4
BuildRequires:  automake >= 1.11
BuildRequires:  autoconf >= 2.60
BuildRequires:  libtool >= 2.2
BuildRequires:  pkgconfig
BuildRequires:  openssl

%package -n %{develname}
Summary:	Globus Toolkit - GridFTP Control Library Development Files
Group:		Development/Other
Provides: %{name}-devel = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig(globus-common) >= 14
Requires:	pkgconfig(globus-gss-assist) >= 11
Requires:	pkgconfig(globus-io) >= 11
Requires:	pkgconfig(globus-gssapi-gsi) >= 13
Requires:       pkgconfig(globus-xio) >= 3
Requires:       pkgconfig(globus-gssapi-error) >= 4

%package doc
Summary:	Globus Toolkit - GridFTP Control Library Documentation Files
Group:		Documentation
BuildArch:	noarch
Requires:	%{name} = %{version}-%{release}

%description
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

%package -n %{libname}
Summary: Globus Toolkit - GridFTP Control Library
Provides: %{name} = %{version}-%{release}
Group:System/Libraries

%description -n %{libname}
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
GridFTP Control Library

%description -n %{develname}
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-devel package contains:
GridFTP Control Library Development Files

%description doc
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-doc package contains:
GridFTP Control Library Documentation Files

%prep
%setup -q -n %{_name}-%{version}

%build
rm -rf autom4te.cache
autoreconf -if

%configure \
           --disable-static \
           --docdir=%{_docdir}/%{name}-%{version} \
           --includedir=%{_includedir}/globus \
           --libexecdir=%{_datadir}/globus


make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

# Remove libtool archives (.la files)
find $RPM_BUILD_ROOT%{_libdir} -name 'lib*.la' -exec rm -v '{}' \;

%check
GLOBUS_HOSTNAME=localhost make %{?_smp_mflags} check

%files -n %{libname}
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/GLOBUS_LICENSE
%{_libdir}/libglobus_*.so.*

%files -n %{develname}
%{_includedir}/globus/*
%{_libdir}/libglobus*.so
%{_libdir}/pkgconfig/%{name}.pc

%files doc
%dir %{_docdir}/%{name}-%{version}/html
%{_docdir}/%{name}-%{version}/html/*
%{_mandir}/man3/*


