%define major 2
%define libname %mklibname globus-gass-copy %{major}
%define develname %mklibname globus-gass-copy -d

Name:		globus-gass-copy
%global apache_license ASL 2.0
%global _name %(tr - _ <<< %{name})
Version:	10.12
Release:	%mkrel 1
Summary:	Globus Toolkit - Globus Gass Copy

Group:		System/Libraries
License:	%{apache_license}
URL:           https://github.com/gridcf/gct
Source:        https://repo.gridcf.org/gct6/sources/%{_name}-%{version}.tar.gz

BuildRequires:  openssl
BuildRequires:  openssl-devel
BuildRequires:	pkgconfig(globus-ftp-client) >= 7
BuildRequires:	pkgconfig(globus-common) >= 15
BuildRequires:	pkgconfig(globus-gssapi-gsi) >= 9
BuildRequires:	pkgconfig(globus-io) >= 8
BuildRequires:	pkgconfig(globus-gass-transfer) >= 7
BuildRequires:	pkgconfig(globus-ftp-control) >= 4
BuildRequires:	globus-gridftp-server-progs
BuildRequires:	globus-gridftp-server-devel
BuildRequires:	globus-xio-gsi-driver-devel
BuildRequires:	globus-xio-pipe-driver-devel
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:  automake >= 1.11
BuildRequires:  autoconf >= 2.60
BuildRequires:  libtool >= 2.2
BuildRequires:  pkgconfig
BuildRequires:  perl-Test-Simple
BuildRequires: perl(URI)
BuildRequires: libtool-ltdl-devel

%package progs
Summary:	Globus Toolkit - Globus Gass Copy Programs
Group:		Networking/Other
Requires:	%{name} = %{version}-%{release}

%package -n %{develname}
Summary:	Globus Toolkit - Globus Gass Copy Development Files
Group:		Development/Other
Provides: %{name}-devel = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig(globus-ftp-client) >= 7
Requires:	pkgconfig(globus-common) >= 15
Requires:	pkgconfig(globus-gssapi-gsi) >= 9
Requires:	pkgconfig(globus-io) >= 8
Requires:	pkgconfig(globus-gass-transfer) >= 7
Requires:	pkgconfig(globus-ftp-control) >= 4

%package doc
Summary:	Globus Toolkit - Globus Gass Copy Documentation Files
Group:		Documentation
BuildArch:	noarch
Requires:	%{name} = %{version}-%{release}

%description
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
Globus Gass Copy

%package -n %{libname}
Summary: Globus Toolkit - Globus Gass Copy
Provides: %{name} = %{version}-%{release}
Group:System/Libraries

%description -n %{libname}
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
Globus Gass Copy

%description progs
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-progs package contains:
Globus Gass Copy Programs

%description -n %{develname}
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-devel package contains:
Globus Gass Copy Development Files

%description doc
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-doc package contains:
Globus Gass Copy Documentation Files

%prep
%setup -q -n %{_name}-%{version}

%build
rm -rf autom4te.cache
autoreconf -if
%configure \
           --disable-static \
           --docdir=%{_docdir}/%{name}-%{version} \
           --includedir=%{_includedir}/globus \
           --libexecdir=%{_datadir}/globus

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

# Remove libtool archives (.la files)
find $RPM_BUILD_ROOT%{_libdir} -name 'lib*.la' -exec rm -v '{}' \;

#check
#make %{?_smp_mflags} check

%files -n %{libname}
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/GLOBUS_LICENSE
%{_libdir}/libglobus*.so.*

%files progs
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{develname}
%{_includedir}/globus/*
%{_libdir}/libglobus*.so
%{_libdir}/pkgconfig/*.pc

%files doc
%dir %{_docdir}/%{name}-%{version}/html
%{_docdir}/%{name}-%{version}/html/*
%{_mandir}/man3/*
