%define major 0
%define libname %mklibname globus-gridftp-server-control %{major}
%define develname %mklibname globus-gridftp-server-control -d

Name:		globus-gridftp-server-control
%global apache_license ASL 2.0
%global _name %(tr - _ <<< %{name})
Version:	9.3
Release:	%mkrel 1
Summary:	Globus Toolkit - Globus GridFTP Server Library

Group:		System/Libraries
License:	%{apache_license}
URL:           https://github.com/gridcf/gct
Source:        https://repo.gridcf.org/gct6/sources/%{_name}-%{version}.tar.gz
Requires:	globus-xio-pipe-driver >= 2
Requires:	globus-xio-gsi-driver >= 2

BuildRequires:	pkgconfig(globus-xio-pipe-driver) >= 2
BuildRequires:	pkgconfig(globus-common) >= 14
BuildRequires:	pkgconfig(globus-xio-gsi-driver) >= 2
BuildRequires:	pkgconfig(globus-xio) >= 6
BuildRequires:	pkgconfig(globus-gss-assist) >= 8
BuildRequires:  automake >= 1.11
BuildRequires:  autoconf >= 2.60
BuildRequires:  libtool >= 2.2
BuildRequires:  pkgconfig

%package -n %{develname}
Summary:	Globus Toolkit - Globus GridFTP Server Library Development Files
Group:		Development/Other
Provides: %{name}-devel = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig(globus-xio-pipe-driver) >= 2
Requires:	pkgconfig(globus-common) >= 14
Requires:	pkgconfig(globus-xio-gsi-driver) >= 2
Requires:	pkgconfig(globus-xio) >= 6
Requires:	pkgconfig(globus-gssapi-error) >= 4
Requires:	pkgconfig(globus-gss-assist) >= 8

%description
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

%package -n %{libname}
Summary: Globus Toolkit - Globus GridFTP Server Library
Provides: %{name} = %{version}-%{release}
Group:System/Libraries

%description -n %{libname}
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
Globus GridFTP Server Library

%description -n %{develname}
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-devel package contains:
Globus GridFTP Server Library Development Files

%prep
%setup -q -n %{_name}-%{version}

%build
rm -rf autom4te.cache
autoreconf -if

%configure \
           --disable-static \
           --docdir=%{_docdir}/%{name}-%{version} \
           --includedir=%{_includedir}/globus \
           --libexecdir=%{_datadir}/globus

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT%{_libdir} -name 'lib*.la' -exec rm -v '{}' \;

%files -n %{libname}
%dir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/GLOBUS_LICENSE
%{_libdir}/libglobus*so.*

%files -n %{develname}
%{_includedir}/globus/*
%{_libdir}/libglobus*.so
%{_libdir}/pkgconfig/%{name}.pc


