%define major 4
%define libname %mklibname globus-gssapi-gsi %{major}
%define develname %mklibname globus-gssapi-gsi -d

Name:		globus-gssapi-gsi
%global apache_license ASL 2.0
%global _name %(tr - _ <<< %{name})
Version:	14.20
Release:	%mkrel 1
Summary:	Globus Toolkit - GSSAPI library

Group:		System/Libraries
License:	%{apache_license}
URL:           https://github.com/gridcf/gct
Source:        https://repo.gridcf.org/gct6/sources/%{_name}-%{version}.tar.gz


BuildRequires:	pkgconfig(globus-gsi-credential) >= 5
BuildRequires:	pkgconfig(globus-gsi-callback) >= 4
BuildRequires:	pkgconfig(globus-openssl-module) >= 3
BuildRequires:	pkgconfig(globus-gsi-openssl-error) >= 2
BuildRequires:	pkgconfig(globus-gsi-proxy-core) >= 6
BuildRequires:	pkgconfig(globus-gsi-cert-utils) >= 8
BuildRequires:	pkgconfig(globus-common) >= 14
BuildRequires:	pkgconfig(globus-gsi-sysconfig) >= 8
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	automake >= 1.11
BuildRequires:	autoconf >= 2.60
BuildRequires:	libtool >= 2.2
BuildRequires:  pkgconfig
BuildRequires:  perl-Test-Simple
BuildRequires:  openssl
BuildRequires:  openssl-devel
BuildRequires: libtool-ltdl-devel

%package -n %{develname}
Summary:	Globus Toolkit - GSSAPI library Development Files
Group:		Development/Other
Provides: %{name}-devel = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig(globus-gsi-credential) >= 5
Requires:	pkgconfig(globus-gsi-callback) >= 4
Requires:	pkgconfig(globus-openssl-module) >= 3
Requires:	pkgconfig(globus-gsi-openssl-error) >= 2
Requires:	pkgconfig(globus-gsi-proxy-core) >= 6
Requires:	pkgconfig(globus-gsi-cert-utils) >= 8
Requires:	pkgconfig(globus-common) >= 14

%package doc
Summary:	Globus Toolkit - GSSAPI library Documentation Files
Group:		Documentation
%if %{?fedora}%{!?fedora:0} >= 10 || %{?rhel}%{!?rhel:0} >= 6
BuildArch:	noarch
%endif
Requires:	%{name} = %{version}-%{release}

%description
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
GSSAPI library

%package -n %{libname}
Summary: Globus Toolkit - GSSAPI library
Provides: %{name} = %{version}-%{release}

%description -n %{libname}
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
GSSAPI library

%description -n %{develname}
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-devel package contains:
GSSAPI library Development Files

%description doc
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-doc package contains:
GSSAPI library Documentation Files

%prep
%setup -q -n %{_name}-%{version}

%build
%configure \
           --disable-static \
           --docdir=%{_docdir}/%{name}-%{version} \
           --includedir=%{_includedir}/globus \
           --libexecdir=%{_datadir}/globus

%make_build

%install
%make_install

# Remove libtool archives (.la files)
find $RPM_BUILD_ROOT%{_libdir} -name 'lib*.la' -exec rm -v '{}' \;

%check
#%make_build check

%files -n %{libname}
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/GLOBUS_LICENSE
%config(noreplace) %{_sysconfdir}/grid-security/gsi.conf
%{_libdir}/libglobus_*.so.*

%files -n %{develname}
%{_includedir}/globus/*
%{_libdir}/libglobus_*.so
%{_libdir}/pkgconfig/*.pc

%files doc
%dir %{_docdir}/%{name}-%{version}/html
%{_docdir}/%{name}-%{version}/html/*
%{_mandir}/man3/*
