%define major 0
%define libname %mklibname globus-xio-popen-driver %{major}
%define develname %mklibname globus-xio-popen-driver -d

Name:		globus-xio-popen-driver
%global apache_license ASL 2.0
%global _name %(tr - _ <<< %{name})
Version:	4.1
Release:	%mkrel 2
Summary:	Globus Toolkit - Globus XIO Pipe Open Driver

Group:		System/Libraries
License:	%{apache_license}
URL:           https://github.com/gridcf/gct/
Source:        https://repo.gridcf.org/gct6/sources/%{_name}-%{version}.tar.gz

BuildRequires:	pkgconfig(globus-common) >= 14
BuildRequires:	pkgconfig(globus-xio) >= 3
BuildRequires:  automake >= 1.11
BuildRequires:  autoconf >= 2.60
BuildRequires:  libtool >= 2.2
BuildRequires:  pkgconfig

%package -n %{develname}
Summary:	Globus Toolkit - Globus XIO Pipe Open Driver Development Files
Group:		Development/Other
Provides: %{name}-devel = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig(globus-xio) >= 3

%description
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
Globus XIO Pipe Open Driver - allows a user to execute a program and treat it
as a transport driver by routing data through pipes

%package -n %{libname}
Summary: Globus Toolkit - Globus XIO Pipe Open Driver
Provides: %{name} = %{version}-%{release}
Group:System/Libraries

%description -n %{libname}
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
Globus XIO Pipe Open Driver - allows a user to execute a program and treat it
as a transport driver by routing data through pipes

%description -n %{develname}
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-devel package contains:
Globus XIO Pipe Open Driver Development Files

%prep
%setup -q -n %{_name}-%{version}

%build
rm -rf autom4te.cache
autoreconf -if


%configure \
           --disable-static \
           --docdir=%{_docdir}/%{name}-%{version} \
           --includedir=%{_includedir}/globus \
           --libexecdir=%{_datadir}/globus

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT%{_libdir} -name 'lib*.la' -exec rm -vf '{}' \;

%check
make %{?_smp_mflags} check

%files -n %{libname}
%dir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/GLOBUS_LICENSE
%{_libdir}/libglobus*.so*

%files -n %{develname}
%{_includedir}/globus/*
%{_libdir}/pkgconfig/*.pc
