%define lib_major	18
%define lib_name	%mklibname %{name} %{lib_major}
%define lib_name_d	%mklibname %{name} -d

Name:		gloox
Version:	1.0.28
Release:	%mkrel 1
Summary:	C++ full-featured Jabber/XMPP client library
License:	GPLv2+
Group:		Networking/Remote access
URL:		https://camaya.net/gloox/
Source0:	https://camaya.net/download/%{name}-%{version}.tar.bz2
# From deb
Patch1:		fix-pkg-config-bad-directive.patch
#
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(iksemel)
BuildRequires:	pkgconfig(libidn)
BuildRequires:	pkgconfig(zlib)

%description
gloox is a C++ Jabber/XMPP library which takes care of the
low-level protocol stuff. Additionally, it offers high-level
interfaces for interaction with an XMPP server. It is released
under the GNU GPL. Commercial licenses are available.

%package -n %{lib_name}
Summary:        Libraries for %{name}
Group:          Networking/Instant messaging
Provides:       %{name} = %{version}-%{release}

%description -n %{lib_name}
%{name} libraries.

%package -n %{lib_name_d}
Summary:        Headers for %{name}
Group:          Networking/Instant messaging
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{lib_name} = %{version}-%{release}

Obsoletes:      %{_lib}gloox-static-devel < 1.0.14-3

%description -n %{lib_name_d}
Headers for %{name} libraries.

%prep
%setup -q
%autopatch -p1

%build
%configure --disable-static --without-tests
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{lib_name}
%{_libdir}/lib*%{name}.so.%{lib_major}{,.*}

%files -n %{lib_name_d}
%doc AUTHORS ChangeLog TODO UPGRADING
%{_bindir}/%{name}-config
%{_includedir}/%{name}/
%{_libdir}/lib*%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
