Summary:	Gltron, a 3d lightcycle game using OpenGL
Name:		gltron
Version:	0.70
Release:	%mkrel 25
License:	GPLv2
Group:		Games/Arcade
Url:		https://gltron.sourceforge.net/
Source:		gltron-%{version}.tar.bz2
Source1:	gltron-xpm.tar.bz2
Patch0:		gltron-0.70-gcc4.patch
Patch1:		gltron-0.70-sys-cflags.patch
Patch2:		gltron-0.70-link.patch
Patch3:		gltron-0.70-link2.patch
Patch4:		gltron-0.70-link3.patch
Patch5:		gltron-0.70-fix-building-with-gcc14.patch
BuildRequires:	pkgconfig(sdl)
BuildRequires:	SDL_sound-devel
BuildRequires:	pkgconfig(libpng)
BuildRequires:	mesagl-devel
BuildRequires:	smpeg-devel

%description
A very nice Tron game using OpenGL.

%prep
%setup -q
%patch -P 0 -p1 -b .gcc4
%patch -P 1 -p0 -b .cflags
%patch -P 2 -p0 -b .link
%patch -P 3 -p0 -b .link2
# gcc 7 emits delete() calls...
%patch -P 4 -p1 -b .link3
%patch -P 5 -p1 -b .gcc14

%build
touch AUTHORS NEWS
autoreconf -fi
%configure --bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir} --disable-warn \
	--disable-sdltest
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_miconsdir}
mkdir -p %{buildroot}%{_iconsdir}
mkdir -p %{buildroot}%{_liconsdir}
tar xfj %{SOURCE1}
install -m0644 gltron-16.png %{buildroot}%{_miconsdir}/gltron.png
install -m0644 gltron-32.png %{buildroot}%{_iconsdir}/gltron.png
install -m0644 gltron-48.png %{buildroot}%{_liconsdir}/gltron.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=Gltron
Comment=3d lightcycle game
Exec=%{_gamesbindir}/gltron
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

%files
%doc ChangeLog README
%{_gamesbindir}/gltron
%dir %{_gamesdatadir}/gltron/
%{_gamesdatadir}/gltron/art
%{_gamesdatadir}/gltron/data
%{_gamesdatadir}/gltron/music
%{_gamesdatadir}/gltron/scripts
%{_miconsdir}/gltron.png
%{_iconsdir}/gltron.png
%{_liconsdir}/gltron.png
%{_datadir}/applications/mageia-%{name}.desktop
