%define gluname			mesaglu
%define glumajor		1
%define libgluname		%mklibname %{gluname} %{glumajor}
%define libgluname_virt		lib%{gluname}

%define git 0
%define rel 3

%if %{git}
%define release			%mkrel 1.git%{git}.%{rel}
%define distname		%{name}-%{version}-%{git}
%else
%define release			%mkrel %{rel}
%define distname		%{name}-%{version}
%endif

Summary:	OpenGL Utility Library from Mesa
Name:		glu
Version:	9.0.2
Release:	%{release}
Source0:	https://mesa.freedesktop.org/archive/glu/%{distname}.tar.xz
License:	MIT
Group:		System/Libraries
Url:		https://www.mesa3d.org/
BuildRequires:	mesagl-devel

%description
GLU is the OpenGL Utility Library.
It provides a number of functions upon the base OpenGL library to provide
higher-level drawing routines from the more primitive routines provided by
OpenGL.

%package -n	%{libgluname}
Summary:	Files for Mesa (GLU libs)
Group:		System/Libraries
Provides:	%{libgluname_virt} = %{version}-%{release}
Provides:	mesa-libGLU = %{version}-%{release}
Provides:	mesa-libglu = %{version}-%{release}

%package -n	%{libgluname}-devel
Summary:	Development files for GLU libs
Group:		Development/C
Requires:	%{libgluname} = %{version}-%{release}
Requires:	mesagl-devel
Provides:	lib%{gluname}-devel = %{version}-%{release}
Provides:	%{gluname}-devel = %{version}-%{release}
Provides:	libMesaGLU-devel = %{version}-%{release}
Provides:	MesaGLU-devel = %{version}-%{release}
Provides:	libglu-devel

%description -n	%{libgluname}
GLU is the OpenGL Utility Library.
It provides a number of functions upon the base OpenGL library to provide
higher-level drawing routines from the more primitive routines provided by
OpenGL.

%description -n	%{libgluname}-devel
This package contains the headers needed to compile programs with GLU.

%prep
%setup -q -n %{distname}
%autopatch -p1

%build
autoreconf -vfi
%configure --disable-static
%make_build

%install
%make_install
# .la files are not needed by mesa
find %{buildroot} -name '*.la' -exec rm {} \;

%files -n %{libgluname}
%{_libdir}/libGLU.so.%{glumajor}{,.*}

%files -n %{libgluname}-devel
%{_includedir}/GL/glu.h
%{_libdir}/libGLU.so
%{_libdir}/pkgconfig/glu.pc
