%define	major		0
%define apiver		3.0
%define libname		%mklibname %{name} %{apiver} %{major}
%define girname		%mklibname %{name}-gir %{apiver}
%define develname 	%mklibname %{name} %{apiver} -d

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:		The libGMIME library
Name:			gmime
Version:		3.2.15
Release:		%mkrel 1
License:		LGPLv2+
Group:			System/Libraries
URL:			https://github.com/jstedfast/gmime
Source0:		https://github.com/jstedfast/gmime/releases/download/%{version}/%{name}-%{version}.tar.xz
# https://download.gnome.org/sources/%%{name}/%%{url_ver}/%%{name}-%%{version}.tar.xz
BuildRequires:		pkgconfig(glib-2.0)
BuildRequires:		pkgconfig(libidn2)
BuildRequires:		pkgconfig(gobject-introspection-1.0)
BuildRequires:		pkgconfig(gpgme)
BuildRequires:		pkgconfig(vapigen)
# Some tests require /usr/bin/gpg
BuildRequires:		gnupg2

%description
This library allows you to manipulate MIME messages.

%package -n %{name}-utils
Summary:	Utilities using the libGMIME library
Group:		File tools

%description -n %{name}-utils
This package contains gmime-uudecode and gmime-uuencode and will
allow you to manipulate MIME messages. These utilities can also be
used instead of uudecode and uuencode from the sharutils package.

%package -n %{libname}
Summary:	The libGMIME library
Group:		System/Libraries

%description -n %{libname}
This library allows you to manipulate MIME messages.

%package -n %{girname}
Summary:	GObject Introspection interface description for GMime
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for GMime.

%package -n %{develname}
Summary:	Development library and header files for the lib%{name} library
Group:		Development/C
Provides:	lib%{name}%{apiver}-devel = %{version}-%{release}
Provides:	%{name}%{apiver}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}

%description -n %{develname}
This package contains the lib%{name} development library and its header files.

%prep
%autosetup -p1

%build
%configure \
	--disable-static
%make_build

%install
%make_install

# cleanup
rm -rf %{buildroot}%{_libdir}/gmimeConf.sh
find %{buildroot} -name '*.la' -delete

%check
#make check

%files -n %{libname}
%{_libdir}/lib%{name}-%{apiver}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GMime-%{apiver}.typelib

%files -n %{develname}
%doc AUTHORS ChangeLog PORTING README TODO
%doc %{_datadir}/gtk-doc/html/%{name}-3.2/
%{_libdir}/lib%{name}-%{apiver}.so
%{_libdir}/pkgconfig/gmime-%{apiver}.pc
%{_includedir}/%{name}-%{apiver}/
%{_datadir}/gir-1.0/GMime-%{apiver}.gir
%{_datadir}/vala/vapi/gmime-%{apiver}.*
