%define oname		gmime

%define	major		0
%define apiver		2.6
%define libname		%mklibname %{oname} %{apiver} %{major}
%define girname		%mklibname %{oname}-gir %{apiver}
%define develname 	%mklibname %{oname} %{apiver} -d

%define build_mono 1

%ifarch %mips
%define build_mono 0
%endif

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:		The libGMIME library
Name:			gmime%{apiver}
Version:		2.6.23
Release:		%mkrel 11
License:		LGPLv2+
Group:			System/Libraries
URL:			https://spruce.sourceforge.net/gmime
Source0:		https://download.gnome.org/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.xz
Patch0:			gmime-2.6.4-monoprefix.patch
Patch1:			gmime-2.6.17-temporarily-disable-failing-test.patch
# Apply until we drop gnupg and add gpg2 -> gpg symlinks
Patch2:			gmime-2.6.23-gnupg2-tests.patch
BuildRequires:		pkgconfig(glib-2.0) >= 2.18.0
BuildRequires:		pkgconfig(gobject-introspection-1.0)
BuildRequires:		pkgconfig(gpgme)
BuildRequires:		pkgconfig(vapigen)
# Some tests require /usr/bin/gpg2
BuildRequires:		gnupg2

%if %{build_mono}
BuildRequires:		pkgconfig(mono)
BuildRequires:		pkgconfig(glib-sharp-2.0) >= 2.4.0
BuildRequires:		pkgconfig(gapi-2.0)
%endif

%description
This library allows you to manipulate MIME messages.

%package -n %{oname}-utils
Summary:	Utilities using the libGMIME library
Group:		File tools
Obsoletes:	gmime-utils < 2.6.23-4

%description -n %{oname}-utils
This package contains gmime-uudecode and gmime-uuencode and will
allow you to manipulate MIME messages. These utilities can also be
used instead of uudecode and uuencode from the sharutils package.

%package -n %{libname}
Summary:	The libGMIME library
Group:		System/Libraries

%description -n %{libname}
This library allows you to manipulate MIME messages.

%package -n %{girname}
Summary:	GObject Introspection interface description for GMime
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for GMime.

%package -n %{develname}
Summary:	Development library and header files for the lib%{name} library
Group:		Development/C
Provides:	lib%{name}-devel
Provides:	%{name}-devel
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Obsoletes:	%{_lib}gmime-devel < 2.6.23-4

%description -n %{develname}
This package contains the lib%{name} development library and its header files.

%if %{build_mono}
%package sharp
Summary:	GMIME# bindings for mono
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	gmime-sharp < 2.6.23-4

%description sharp
This library allows you to manipulate MIME messages.
%endif

%prep
%setup -qn %{oname}-%{version}
%patch -P 1 -p1 -b .testfail
%patch -P 2 -p1 -b .gnupg2

%build
%configure --disable-static

#gw parallel build broken in 2.1.15
# (tpg) mono stuff doesn't like parallel build, this solves it
make

%check
make check

%install
%make_install

# cleanup
rm -rf %{buildroot}%{_libdir}/gmimeConf.sh
rm -rf %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/lib*%{apiver}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GMime-%{apiver}.typelib

%files -n %{develname}
%doc AUTHORS ChangeLog PORTING README TODO
%doc %{_datadir}/gtk-doc/html/%{oname}-%{apiver}
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/gmime-%{apiver}.pc
%{_includedir}/*
%{_datadir}/gir-1.0/GMime-%{apiver}.gir
%{_datadir}/vala/vapi/gmime-%{apiver}.*

%if %{build_mono}
%{_datadir}/gapi-2.0/gmime-api.xml

%files sharp
%{_prefix}/lib/mono/gac/%{oname}-sharp
%{_prefix}/lib/mono/%{oname}-sharp-%{apiver}
%{_libdir}/pkgconfig/%{oname}-sharp-%{apiver}.pc
%endif
