%define major 10
%define major_xx 4
%define major_mp 3

%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define libname_gmpxx %mklibname %{name}xx %{major_xx}
%define develname_gmpxx %mklibname %{name}xx -d
%define	libname_mp %mklibname %{name}mp %{major_mp}
%define	develname_mp %mklibname %{name}mp -d

Summary:	A GNU arbitrary precision library
Name:		gmp
Version:	6.3.0
Release:	%mkrel 2
License:	GPLv3
Group:		System/Libraries
URL:		https://gmplib.org/
Source0:	https://ftp.gnu.org/pub/gnu/gmp/%{name}-%{version}.tar.xz
Source1:	https://ftp.gnu.org/pub/gnu/gmp/%{name}-%{version}.tar.xz.sig

# 
# Security patches
# P100 -> ...
#

BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(ncurses)

%description
The gmp package contains GNU MP, a library for arbitrary precision
arithmetic, signed integers operations, rational numbers and floating
point numbers. GNU MP is designed for speed, for both small and very
large operands.

GNU MP is fast for several reasons:
   - it uses fullwords as the basic arithmetic type,
   - it uses fast algorithms,
   - it carefully optimizes assembly code for many CPUs' most common
     inner loops
   - it generally emphasizes speed over simplicity/elegance in its
     operations

%package -n	%{libname}
Summary:	A GNU arbitrary precision library
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n	%{libname}
The gmp package contains GNU MP, a library for arbitrary precision
arithmetic, signed integers operations, rational numbers and floating
point numbers. GNU MP is designed for speed, for both small and very
large operands.

GNU MP is fast for several reasons:
  - it uses fullwords as the basic arithmetic type,
  - it uses fast algorithms
  - it carefully optimizes assembly code for many CPUs' most common
    inner loops
  - it generally emphasizes speed over simplicity/elegance in its
    operations

%package -n	%{develname}
Summary:	Development tools for the GNU MP arbitrary precision library
Group:		Development/C
Requires(post):	rpm-helper
Requires(preun):	rpm-helper
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The static libraries, header files and documentation for using the GNU MP
arbitrary precision library in applications.

If you want to develop applications which will use the GNU MP library,
you'll need to install the gmp-devel package.  You'll also need to
install the gmp package.

%package -n	%{libname_gmpxx}
Summary:	C++ support for GMP
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	libgmpxx = %{version}-%{release}

%description -n	%{libname_gmpxx}
C++ support for GMP.

%package -n	%{develname_gmpxx}
Summary:	C++ Development tools for the GMP
Group:		Development/C++
Requires:	%{develname} = %{version}-%{release}
Requires:	%{libname_gmpxx} = %{version}-%{release}
Provides:	lib%{name}xx-devel = %{version}-%{release}
Provides:	gmpxx-devel = %{version}-%{release}

%description -n	%{develname_gmpxx}
C++ Development tools for the GMP.

%prep
%setup -q
%autopatch -p1

%build
%configure \
	--enable-cxx \
	--enable-mpbsd \
	--enable-fft \
	--disable-static
%make_build

%check
# All tests must pass
%__make check

%install
%make_install

#multiarch
%multiarch_includes %{buildroot}%{_includedir}/gmp.h

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc NEWS README
%{_libdir}/libgmp.so.%{major}{,.*}

%files -n %{develname}
%doc doc demos
%{_libdir}/libgmp.so
%{_libdir}/pkgconfig/gmp.pc
%{_includedir}/gmp.h
%multiarch %{multiarch_includedir}/gmp.h
%{_infodir}/gmp.info*

%files -n %{libname_gmpxx}
%{_libdir}/libgmpxx.so.%{major_xx}{,.*}

%files -n %{develname_gmpxx}
%{_libdir}/libgmpxx.so
%{_libdir}/pkgconfig/gmpxx.pc
%{_includedir}/gmpxx.h
