%define major	6
%define libname	%mklibname %name %{major}
%define devname	%mklibname %name -d

Name:		gmt
Summary:	The Generic Mapping Tools
Version:	6.5.0
Release:	%mkrel 2
License: 	GPLv3+, LGPLv3+ or Restrictive
Group:		Sciences/Geosciences
URL:		https://www.generic-mapping-tools.org/
Source0:	https://github.com/GenericMappingTools/gmt/releases/download/%{version}/gmt-%{version}-src.tar.xz

BuildRequires:	cmake
BuildRequires:	gcc
BuildRequires:	bash-completion
BuildRequires:	ffmpeg
BuildRequires:	graphicsmagick
BuildRequires:	python3-sphinx
BuildRequires:	gdal
BuildRequires:	gdal-devel
BuildRequires:	geos-devel
BuildRequires:	glib2-devel
BuildRequires:	gmt-dcw
BuildRequires:	gmt-gshhg
BuildRequires:	fftw3-devel
BuildRequires:	curl-devel
BuildRequires:	lapack-devel
BuildRequires:	netcdf-devel
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	ghostscript
BuildRequires:	svn
BuildRequires:	xdg-utils
Requires:	gdal
Requires:	graphicsmagick
Requires:	gmt-dcw
Requires:	gmt-gshhg
Requires:	gmt-data
Requires:	gmt-plugins
Requires:	ghostscript
Obsoletes:	gmt-coast < 1:2.3.2-6
Obsoletes:	gmt-fulldata < 1:2.3.2-6
Obsoletes:	gmt-highdata < 1:2.3.2-6

%package data
Summary:	Data files for GMT
Group:		Sciences/Geosciences
BuildArch:	noarch

%package plugins
Summary:	Plugins for GMT
Group:		Sciences/Geosciences

%package -n %libname
Summary:	Shared libraries for GMT
Group:		System/Libraries

%package -n %devname
Summary:	Development files for GMT
Group:		Development/Other
Provides:	lib%{name}-devel = %version-%release
Provides:	%name-devel = %version-%release
Requires:	%libname = %version-%release

%description
GMT is an open source collection of ~130 tools for manipulating geographic
and Cartesian data sets and producing PostScript illustrations ranging
from simple x-y plots via contour maps to artificially illuminated surfaces
and 3D perspective views.

%description data
GMT is an open source collection of ~130 tools for manipulating geographic
and Cartesian data sets and producing PostScript illustrations ranging
from simple x-y plots via contour maps to artificially illuminated surfaces
and 3D perspective views.

This package contains data files for gmt.

%description plugins
GMT is an open source collection of ~130 tools for manipulating geographic
and Cartesian data sets and producing PostScript illustrations ranging
from simple x-y plots via contour maps to artificially illuminated surfaces
and 3D perspective views.

This package contains plugins for gmt.

%description -n %libname
GMT is an open source collection of ~130 tools for manipulating geographic
and Cartesian data sets and producing PostScript illustrations ranging
from simple x-y plots via contour maps to artificially illuminated surfaces
and 3D perspective views.

This package contains libraries for gmt.

%description -n %devname
GMT is an open source collection of ~130 tools for manipulating geographic
and Cartesian data sets and producing PostScript illustrations ranging
from simple x-y plots via contour maps to artificially illuminated surfaces
and 3D perspective views.

This package contains development files for gmt.

%prep
%autosetup -p1

%build
export CFLAGS="%{optflags} -fstrict-aliasing"
%cmake \
	-DGMT_MANDIR=share/man \
	-DGMT_LIBDIR=%{_lib} \
	-DBASH_COMPLETION_DIR=%{_datadir}/bash-completion/completions \
	-DDCW_PATH=%{_datadir}/gmt/dcw \
	-DCOPY_DCW:BOOL=OFF \
	-DGSHHG_PATH=%{_datadir}/gmt/gshhg \
	-DCOPY_GSHHG:BOOL=OFF \
	-DPCRE2_ROOT=%{_prefix} \
	-DGMT_EXCLUDE_PCRE=ON \
	-DGMT_INSTALL_MODULE_LINKS=OFF \
	-DGMT_INSTALL_TRADITIONAL_FOLDERNAMES=OFF \
	-DGMT_ENABLE_OPENMP=BOOL:ON \
	-DGMT_USE_THREADS=BOOL:ON \
	-DLICENSE_RESTRICTED=LGPL
%cmake_build

%install
%cmake_install

%files
%license COPYING.LESSERv3 COPYINGv3 LICENSE.TXT
%doc CITATION.cff CONTRIBUTING.md README.md
%exclude %{_bindir}/gmt-config
%{_bindir}/*

%files data
%doc %{_docdir}/%{name}/
%{_datadir}/bash-completion/completions/*
%{_datadir}/gmt/
%{_mandir}/man?/*

%files plugins
%dir %{_libdir}/gmt/
%dir %{_libdir}/gmt/plugins/
%{_libdir}/gmt/plugins/supplements.so

%files -n %libname
%{_libdir}/*.so.%{major}{,.*}

%files -n %devname
%{_includedir}/gmt/
%{_libdir}/*.so
%{_bindir}/gmt-config
