%define major		1
%define libname		%mklibname gmtk %{major}
%define libnamedev	%mklibname -d gmtk

Name:		gmtk
Summary:	Library for gnome-mplayer and gecko-mediaplayer
Version:	1.0.9
Release:	%mkrel 7
License: 	GPLv2+
Group:		System/Libraries
Source0: 	https://gmtk.googlecode.com/svn/packages/%{name}-%{version}.tar.gz
Patch0:		gmtk-1.0.8-link-order.patch
URL: 		https://code.google.com/p/gmtk/
BuildRequires: pkgconfig(gconf-2.0)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(libpulse)
BuildRequires: pkgconfig(libpulse-mainloop-glib)
BuildRequires: intltool

%description
Library for gnome-mplayer and gecko-mediaplayer.

%package i18n
Summary:	Translation files for %name
Group:		System/Libraries
BuildArch:	noarch

%description i18n
This package contains translation files for %name.

%package -n	%{libname}
Summary:	Library for gnome-mplayer and gecko-mediaplayer
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}

%description -n	%{libname}
Library for gnome-mplayer and gecko-mediaplayer.

%package -n	%{libnamedev}
Summary:	Libraries and include files for developing with libgmtk
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libnamedev}
This package provides the necessary development libraries and include
files to allow you to develop with %{name}.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure --disable-static --enable-gsettings --disable-gconf
%make_build

%install
%make_install

%find_lang %name

rm -f %{buildroot}%{_libdir}/*.la %{buildroot}%{_datadir}/doc/%{name}/*

%files i18n -f %name.lang

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{libnamedev}
%{_libdir}/*.so
%{_includedir}/%{name}
%{_libdir}/pkgconfig/*.pc
