Name:           gnofract4d
Version:        4.3
Release:        %mkrel 9
Group:          Graphics/Utilities
License:        BSD
Summary:        A fractal generation program for linux
URL:            https://fract4d.github.io/gnofract4d/
Source0:        https://github.com/fract4d/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz
Patch0:         gnofract4d-4.3-fix_desktop_file.patch
Patch1:         gnofract4d-4.3-linking.patch
Patch2:         gnofract4d-c99.patch
Patch3:		gnofract4d-build-flags.patch
# Upstream patches:
Patch101:       0001-fract4dc-sanitize-#154.patch
Patch102:       0002-Hold-the-GIL-while-deleting-python-objects.patch
Patch103:       0003-fix-#177_avoid-GIL-deadlock.patch
# Avoid PyEval_InitThreads, which does nothing in python 3.9-3.12 and has been
# remove entirely in python 3.13
Patch104:       gnofract4d-pyeval-initthreads.patch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
#needed at runtime, see bug 9091
Requires:       gcc

%description
Gnofract 4D is a free, open source program which allows anyone to
create beautiful images called fractals. The images are automatically
created by the computer based on mathematical principles.
These include the Mandelbrot and Julia sets and many more.
You don't need to do any math: you can explore a universe of images
just using a mouse.

%prep
%autosetup -p1

%generate_buildrequires
export CFLAGS=""
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files fract4d fract4d_compiler fract4dgui

# duplicate docs
rm -rf %{buildroot}%{_docdir}/%{name}

# fix rights
chmod 644 %{buildroot}%{_datadir}/%{name}/maps/royal.map

# install manapage
mkdir -p %{buildroot}%{_mandir}/man1/
install -m 0644 doc/gnofract4d.1 %{buildroot}%{_mandir}/man1/

%files -f %{pyproject_files}
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}*
%{_datadir}/mime/packages/%{name}-mime.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1*
