%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gnome-2048
Version:	3.38.2
Release:	%mkrel 3
Summary:	A 2048 clone for GNOME
Group:		Graphical desktop/GNOME
License:	GPLv3+
URL:		https://wiki.gnome.org/Apps/2048
Source0:	https://download.gnome.org/sources/gnome-2048/%{url_ver}/%{name}-%{version}.tar.xz
# Upstream patch
Patch0:     2048-fix-build-with-meson.patch

BuildRequires:	gettext
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	libxml2-utils
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(clutter-1.0)
BuildRequires:	pkgconfig(clutter-gtk-1.0)
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(appstream-glib)
BuildRequires:	pkgconfig(libgnome-games-support-1)

%description
A GNOME clone of the popular game 2048.
https://en.wikipedia.org/wiki/2048_(video_game)


%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.TwentyFortyEight.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.TwentyFortyEight.gschema.xml
%{_datadir}/metainfo/org.gnome.TwentyFortyEight.appdata.xml
%{_iconsdir}/hicolor/*/apps/org.gnome.TwentyFortyEight*.*
%{_mandir}/man6/%{name}.6.*
