%define svn	205
%define rel	11

Name:		gnome-alsamixer
Summary:	ALSA mixer (volume control) for MATE
Version:	0.9.7
Release:	%mkrel 0.%svn.%{rel}
License:	GPLv2+
Group:		Sound/Utilities
URL:		https://www.mageia.org/
Source0:	%{name}-%{svn}.tar.bz2
Source11:	%{name}-16.png
Source12:	%{name}-32.png
Source13:	%{name}-48.png
# From ALT Linux: introduce the gconf schema, which is missing
# upstream, and correct the paths to it - AdamW 2007/06
Patch1:	change_gconf-keys_path.diff
Patch2:	gnome-alsamixer.schemas.diff
# add -lm
Patch3: gnome-alsamixer-fixlink.patch
# from debian
Patch4: gnome-alsa-mixer-config-delimiters.patch
# from Arch
Patch5: gnome-alsamixer-drop-libgnomeui.patch
BuildRequires:	pkgconfig(alsa) >= 0.9.0
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)

%description
A sound mixer (volume control) for ALSA, built for the MATE desktop
environment.

%prep
%setup -q -n %{name}
%autopatch -p1

%build
./autogen.sh
export CPPFLAGS=-I%{_includedir}/alsa
%configure --disable-schemas-install
%make_build

%install
%make_install

# Menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=gnome-alsamixer
Comment=ALSA volume control for MATE
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Audio;AudioVideo;Mixer;GTK;
EOF

# icon
install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING ChangeLog AUTHORS
%{_bindir}/%{name}
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_datadir}/applications/mageia-%{name}.desktop
%{_datadir}/pixmaps/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png


