%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global tarball_version %%(echo %{version} | tr '~' '.')

Summary:	Desktop backgrounds packaged with the GNOME desktop
Name:		gnome-backgrounds
Version:	48.0
Release:	%mkrel 1
License:	CC-BY-SA
URL:		https://gitlab.gnome.org/GNOME/gnome-backgrounds
Group:		Graphical desktop/GNOME
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz
BuildArch:	noarch
BuildRequires:	gettext
BuildRequires:	meson

# svg pixbuf loader
Requires:	rsvg-pixbuf-loader

%description
The gnome-backgrounds package contains images and tiles
to use for your desktop background which are packaged
with the GNOME desktop.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson
%meson_build

%install
export LANG=UTF-8
%meson_install

mkdir -p %{buildroot}%{_datadir}/backgrounds/images

# all translations are merged back into xml by intltool
rm -rf %{buildroot}%{_datadir}/locale

%check
%meson_test

%files
%doc AUTHORS NEWS README.md
%{_datadir}/gnome-background-properties/
%{_datadir}/backgrounds/*
