%define major		13
%define gi_major	1.0

# We keep the same old .so in the same libname (42 will have its api added to pkg name)
# But we let devel pkg automatically upgrade to latest 42
%define api 3.34
%define libname		%mklibname gnome-bluetooth %{major}
%define develname	%mklibname -d gnome-bluetooth %api
%define girname		%mklibname gnome-bluetooth-gir %{gi_major}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gnome-bluetooth3.34
Summary: 	GNOME Bluetooth Subsystem
Epoch:		1
Version: 	3.34.5
Release: 	%mkrel 2
#gw lib is LGPL, main app is GPL
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
URL:		https://wiki.gnome.org/Projects/GnomeBluetooth
Source0:	https://download.gnome.org/sources/gnome-bluetooth/%{url_ver}/gnome-bluetooth-%{version}.tar.xz
Patch0:		fix-build-with-meson.patch

BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.29.90
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gmodule-export-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.91.3
BuildRequires:	pkgconfig(libcanberra-gtk3)
BuildRequires:	pkgconfig(libnotify) >= 0.7.0
BuildRequires:	pkgconfig(udev)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.5
BuildRequires:	gettext
BuildRequires:	gtk-doc
BuildRequires:	libxml2-utils
BuildRequires:	meson
BuildRequires:	python3-dbusmock >= 0.22.0-3
Requires:	bluez
Requires:	obexd
Requires:	pulseaudio-module-bluetooth

%description
The gnome-bluetooth3.34 package contains graphical utilities to setup,
monitor and use Bluetooth devices using the old 3.34 gnome-bluetooth API.

%package -n %{libname}
Group:		System/Libraries
Summary: 	GNOME bluetooth library
Conflicts:	%{_lib}gnome-bluetooth7 < 1:2.31

%description -n %{libname}
This package contains libraries needed for applications that
want to display a Bluetooth device selection widget using the old 3.34
gnome-bluetooth API.

%package -n %{girname}
Group:		System/Libraries
Summary:	GObject Introspection interface for %{name}
Requires:	%{libname} = %{epoch}:%{version}-%{release}

%description -n %{girname}
GObject Introspection interface for %{name}.

%package -n %{develname}
Group:		Development/C
Summary:	Development files and header files from %{name}
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	libgnomebt-devel = %{epoch}:%{version}-%{release}
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Requires:	%{girname} = %{epoch}:%{version}-%{release}

%description -n %{develname}
Development files and header files from %{name}.

%prep
%autosetup -p1 -n gnome-bluetooth-%{version}

%build
# ovitters workaround stupid gdbus-codegen bug, see https://bugzilla.gnome.org/show_bug.cgi?id=787032
export PATH=/usr/bin:$PATH
%meson \
	-Dgtk_doc=true
%meson_build

%install
%meson_install

# These are in the gnome-bluetooth package.
rm $RPM_BUILD_ROOT/%{_bindir}/bluetooth-sendto \
  $RPM_BUILD_ROOT/%{_datadir}/applications/bluetooth-sendto.desktop \
  $RPM_BUILD_ROOT/%{_mandir}/man1/bluetooth-sendto.1*
%find_lang %{name} --with-gnome --all-name

%check
#%%meson_test

%files -f %{name}.lang
%doc README.md AUTHORS
%{_datadir}/gnome-bluetooth/
%{_datadir}/icons/hicolor/*/*/*.*

%files -n %{libname}
%{_libdir}/libgnome-bluetooth.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GnomeBluetooth-%{gi_major}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/gnome-bluetooth
%{_includedir}/gnome-bluetooth
%{_libdir}/libgnome-bluetooth.so
%{_datadir}/gir-1.0/GnomeBluetooth-%{gi_major}.gir
%{_libdir}/pkgconfig/*.pc

