%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global distributor_name mageia
%global distributor_version %{mageia}

# Exclude private libraries from autogenerated provides and requires
%global __provides_exclude_from ^%{_libdir}/gnome-boxes/
%global __requires_exclude ^(%%(find %{buildroot}%{_libdir}/gnome-boxes/ -name '*.so' | xargs -n1 basename | sort -u | paste -s -d '|' -))

%global tarball_version %%(echo %{version} | tr '~' '.')
%global major_version %%(echo %%{tarball_version} | cut -d. -f1)

Name:		gnome-boxes
Version:	48.0
Release:	%mkrel 1
Summary:	A simple GNOME 3 application to access remote or virtual systems
Group:		Graphical desktop/GNOME
License:	LGPLv2+
URL:		https://wiki.gnome.org/Apps/Boxes
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz

BuildRequires:	meson
BuildRequires:	appstream
BuildRequires:	gettext >= 0.19.8
BuildRequires:	vala >= 0.36.0
BuildRequires:	vala-tools
BuildRequires:	yelp-tools
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(clutter-1.0) >= 1.11.5
BuildRequires:	pkgconfig(glib-2.0) >= 2.52
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.22.20
BuildRequires:	pkgconfig(gtksourceview-4)
BuildRequires:	pkgconfig(libportal)
BuildRequires:	pkgconfig(libportal-gtk3)
BuildRequires:	pkgconfig(gtk-vnc-2.0)
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libhandy-1)
BuildRequires:	pkgconfig(libvirt-gobject-1.0)
BuildRequires:	pkgconfig(libvirt-gconfig-1.0)
BuildRequires:	pkgconfig(spice-client-gtk-3.0) >= 0.12.101
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libosinfo-1.0) >= 1.1.0
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(webkit2gtk-4.1)
BuildRequires:	itstool
BuildRequires:	libosinfo-vala
BuildRequires:	libxml2-utils
# b/c of: "Package `tracker-sparql-2.0' not found in specified Vala API directories or GObject-Introspection GIR directories"
BuildRequires:	tracker-vala
# Pulls in libvirtd + KVM, but no NAT / firewall configs
Requires:	libvirt-utils
Requires:	qemu-img
Requires:	qemu
# Needed for unattended installations
Requires:	mtools
Requires:	genisoimage
Requires:	adwaita-icon-theme
Provides:	bundled(libovf-glib)

# mga#33445
Requires: 	spice-gtk

%description
gnome-boxes lets you easily create, setup, access, and use:
* remote machines
* remote virtual machines
* local virtual machines
* When technology permits, set up access for applications on
  local virtual machines

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson \
%if %{?distributor_name:1}%{!?distributor_name:0}
    -D distributor_name=%{distributor_name} \
%endif
%if 0%{?distributor_version}
    -D distributor_version=%{distributor_version} \
%endif
%meson_build

%install
%meson_install
%find_lang %{name} --with-gnome

# Remove unneeded development files
rm -rf %{buildroot}%{_includedir}/gnome-boxes/
rm -rf %{buildroot}%{_libdir}/gnome-boxes/girepository-1.0/
rm -rf %{buildroot}%{_libdir}/gnome-boxes/pkgconfig/
rm -rf %{buildroot}%{_datadir}/gnome-boxes/gir-1.0/
rm -rf %{buildroot}%{_datadir}/gnome-boxes/vapi/

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Boxes.desktop

%files -f %{name}.lang
%license COPYING copyright
%doc README.md NEWS
%{_bindir}/gnome-boxes
%{_libdir}/gnome-boxes
%{_libexecdir}/gnome-boxes-search-provider
%{_datadir}/applications/org.gnome.Boxes.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.boxes.gschema.xml
%{_datadir}/gnome-boxes/
%{_datadir}/gnome-shell/search-providers/org.gnome.Boxes.SearchProvider.ini
%{_iconsdir}/hicolor/*/apps/org.gnome.Boxes.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Boxes-symbolic.svg
%{_datadir}/dbus-1/services/org.gnome.Boxes.SearchProvider.service
%{_datadir}/dbus-1/services/org.gnome.Boxes.service
%{_metainfodir}/org.gnome.Boxes.metainfo.xml
