%global debug_package %{nil}

Name:		gnome-browser-connector
Version:	42.1
Release:	%mkrel 3
Summary:	Native browser connector for integration with extensions.gnome.org
Group:		Graphical desktop/GNOME
License:	GPLv3+
URL:		https://wiki.gnome.org/Projects/GnomeShellIntegration
Source0:	https://gitlab.gnome.org/nE0sIghT/gnome-browser-connector/-/archive/v%{version}/gnome-browser-connector-v%{version}.tar.gz
BuildRequires:	meson
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-gobject

Requires:	dbus
Requires:	gnome-icon-theme
Requires:	hicolor-icon-theme
Requires:	mozilla-filesystem
Requires:	python3-gobject
Requires:	python3-requests

Obsoletes:	chrome-gnome-shell < 10.1-12
Provides:	chrome-gnome-shell

%description
Browser extension for Google Chrome/Chromium, Firefox, Vivaldi, Opera (and
other Browser Extension, Chrome Extension or WebExtensions capable browsers)
and native host messaging connector that provides integration with GNOME Shell
and the corresponding extensions repository https://extensions.gnome.org.

%prep
%autosetup -n %{name}-v%{version}

%build
%meson
%meson_build

%install
export SETUPTOOLS_USE_DISTUTILS=stdlib
%meson_install
%py3_shebang_fix %{buildroot}%{_bindir}/gnome-browser-connector{,-host}

%files
%license LICENSE
%{_sysconfdir}/chromium/
%{_sysconfdir}/opt/chrome/
%{_bindir}/gnome-browser-connector{,-host}
%{_libdir}/mozilla/native-messaging-hosts/
%{python3_sitelib}/gnome_browser_connector/
%{_datadir}/applications/org.gnome.BrowserConnector.desktop
%{_datadir}/dbus-1/services/org.gnome.BrowserConnector.service
%{_iconsdir}/hicolor/*/apps/org.gnome.BrowserConnector.png

