# limit parallel builds
%define _smp_build_ncpus 4

# "fix" lua underlinking:
%define _disable_ld_no_undefined 1

# python are templates which cannot be byte compiled
%define _python_bytecompile_build 0

# filter out plugin .so from provides
# Exclude privlibs
%global __provides_exclude_from ^%{_libdir}/gnome-builder

%global privlibs .*-private|libide|libgnome-builder-plugins
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^(%{privlibs}).*\\.so.*

# filter out private typelib(Ide) require
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^typelib\\(Ide\\)

%global tarball_version %%(echo %{version} | tr '~' '.')

%define peas_api	2

Name:		gnome-builder
Version:	48.0
Release:	%mkrel 2
Summary:	IDE for writing GNOME-based software
# Note: Checked as of 3.20.2
#
# Most of GNOME Builder is licensed under the GPLv3+.
#
# Others are easy to identify
#
# The following files are MIT licensed:
#     - src/resources/css/markdown.css
#     - src/resources/js/marked.js
#
# The following files are licensed under the CC-BY-SA license:
#     - data/icons/
#
# The following files are licensed under the CC0 license:
#     - data/org.gnome.Builder.appdata.xml
#     - data/html-preview.png
License:        GPLv3+ and GPLv2+ and LGPLv3+ and LGPLv2+ and MIT and CC-BY-SA and CC0
Group:		Graphical desktop/GNOME
URL:		https://wiki.gnome.org/Apps/Builder
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz
BuildRequires:	bison
BuildRequires:	gettext
BuildRequires:	appstream
BuildRequires:	appdata-tools
BuildRequires:	clang-devel
BuildRequires:	docbook-style-xsl
BuildRequires:	flex
BuildRequires:	gsettings-desktop-schemas
BuildRequires:	gtk-doc
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	llvm-devel
BuildRequires:	locales-en
BuildRequires:	meson
BuildRequires:	pkgconfig(editorconfig)
BuildRequires:	pkgconfig(enchant-2)
BuildRequires:	pkgconfig(flatpak)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gladeui-2.0)
BuildRequires:	pkgconfig(gom-1.0)
BuildRequires:	pkgconfig(gspell-1)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(gtksourceview-5)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(jsonrpc-glib-1.0)
BuildRequires:	pkgconfig(libadwaita-1)
BuildRequires:	pkgconfig(libcmark)
BuildRequires:	pkgconfig(libdazzle-1.0)
BuildRequires:	pkgconfig(libdevhelp-3.0)
BuildRequires:	pkgconfig(libdex-1)
BuildRequires:	pkgconfig(libgit2-glib-1.0)
BuildRequires:	pkgconfig(libpanel-1)
BuildRequires:	pkgconfig(libpeas-%{peas_api})
BuildRequires:	pkgconfig(libportal-gtk4)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(libspelling-1)
BuildRequires:	pkgconfig(mm-common-util)
BuildRequires:	pkgconfig(pangoft2)
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(sysprof-6)
BuildRequires:	pkgconfig(sysprof-capture-4)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(template-glib-1.0)
BuildRequires:	pkgconfig(vte-2.91-gtk4)
BuildRequires:	pkgconfig(webkitgtk-6.0)
BuildRequires:	python3-gobject3
BuildRequires:	python3-sphinx
BuildRequires:	xsltproc

Requires:	gtksourceview5
Requires:	gsettings-desktop-schemas
Requires:	libpeas%{peas_api}-loader-python3
Requires:	python3-jedi
Recommends:     sysprof-agent
# (mga#27464)
Requires:	typelib(Jsonrpc)

Recommends:	flatpak-builder
Recommends:	clang
Recommends:	gnome-code-assistance
Recommends:	meson
Recommends:	sysprof

# Replace anjuta
# https://discourse.gnome.org/t/anjuta-is-archived/10375
# "Anjuta has been archived. The recommended replacement is GNOME Builder."
Obsoletes:	anjuta < 3.34.0-10
Obsoletes:	anjuta-extras < 3.26.0-4

%description
Builder attempts to be an IDE for writing software for GNOME. It does not try
to be a generic IDE, but one specialized for writing GNOME software.


%package	devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson -Dhelp=true
%meson_build

%install
%meson_install

%py_byte_compile %{python3} %{buildroot}%{_libdir}/gnome-builder/plugins/

%find_lang %{name}

%files -f gnome-builder.lang
%doc NEWS README.md
%license COPYING
%{_bindir}/gnome-builder
%{_libdir}/gnome-builder/
%{_libexecdir}/gnome-builder-clang
%{_libexecdir}/gnome-builder-flatpak
%{_libexecdir}/gnome-builder-git
%{_datadir}/applications/org.gnome.Builder.desktop
%{_datadir}/dbus-1/services/org.gnome.Builder.service
%{_datadir}/glib-2.0/schemas/org.gnome.builder*.gschema.xml
%exclude %{_datadir}/gnome-builder/gir-1.0/
%{_datadir}/gnome-builder/
%{_datadir}/icons/hicolor/*/apps/org.gnome.Builder*.svg
%{_datadir}/metainfo/org.gnome.Builder.appdata.xml
%lang(en) %{_datadir}/doc/gnome-builder/en/

%files devel
%{_includedir}/gnome-builder*/
%{_libdir}/pkgconfig/gnome-builder-*.pc
%{_datadir}/gnome-builder/gir-1.0/
