%global appname org.gnome.Characters
%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global gjs_version 1.50
%global gtk4_version 4.6
%global libadwaita_version 1.4

Name:		gnome-characters
Version:	48.0
Release:	%mkrel 1
Summary:	Character map application for GNOME
# Files from gtk-js-app are licensed under 3-clause BSD.
# Other files are GPL 2.0 or later.
License:	BSD and GPLv2+
URL:		https://wiki.gnome.org/Design/Apps/CharacterMap
Group:		Graphical desktop/GNOME
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

# This package uses GtkWidget template, which was added in Gjs 1.43.3.
BuildRequires:	pkgconfig(gjs-1.0) >= %{gjs_version}
BuildRequires:	pkgconfig(gtk4) >= %{gtk4_version}
BuildRequires:	pkgconfig(libadwaita-1) >= %{libadwaita_version}
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(appstream-glib)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	meson
Requires:	gjs >= %{gjs_version}

%description
Characters is a simple utility application to find and insert unusual
characters.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

desktop-file-install --dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{appname}

%files -f %{appname}.lang
%doc NEWS README.md
%license COPYING COPYINGv2
%{_bindir}/%{name}
%{_datadir}/applications/%{appname}.desktop
%{_datadir}/dbus-1/services/%{appname}.service
%{_datadir}/glib-2.0/schemas/%{appname}.gschema.xml
%{_iconsdir}/hicolor/scalable/apps/%{appname}.svg
%{_iconsdir}/hicolor/symbolic/apps/%{appname}-symbolic.svg
%{_datadir}/%{appname}
%{_datadir}/gnome-shell/search-providers/%{appname}.search-provider.ini
%{_metainfodir}/%{appname}.appdata.xml
%{_libdir}/%{appname}
