%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define busname	org.gnome.clocks

%global geoclue2_version 2.6.0
%global gtk4_version 4.5
%global libadwaita_version 1.4~alpha

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:		gnome-clocks
Version:	48.0
Release:	%mkrel 1
Summary:	Clocks applications for GNOME
License:	GPLv2+
Group:		Development/Other
URL:		https://wiki.gnome.org/Clocks
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz
BuildRequires:	gettext
BuildRequires:	pkgconfig(gio-2.0) >= 2.30.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.36
BuildRequires:	pkgconfig(gtk4) >= %{gtk4_version}
BuildRequires:	pkgconfig(gweather4)
BuildRequires:	pkgconfig(libgeoclue-2.0) >= %{geoclue2_version}
BuildRequires:	pkgconfig(libadwaita-1) >= %{libadwaita_version}
BuildRequires:	pkgconfig(libcanberra) >= 0.30
BuildRequires:	pkgconfig(gnome-desktop-4)
BuildRequires:	pkgconfig(libnotify) >= -.7.0
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(geocode-glib-2.0)
BuildRequires:	pkgconfig(gsound)
BuildRequires:	vala-tools
BuildRequires:	libxml2-utils
BuildRequires:	itstool
BuildRequires:	meson
Conflicts:	gir-repository

%description
Clock application designed for GNOME 3.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%check
%meson_test

%files -f %{name}.lang
%doc AUTHORS.md NEWS README.md
%license LICENSE.md
%{_bindir}/%{name}
%{_metainfodir}/%{busname}.metainfo.xml
%{_iconsdir}/*/*/apps/*.*
%{_datadir}/applications/%{busname}.desktop
%{_datadir}/glib-2.0/schemas/%{busname}.gschema.xml
%{_datadir}/dbus-1/services/%{busname}.service
%{_datadir}/gnome-shell/search-providers/org.gnome.clocks.search-provider.ini
