%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define _disable_ld_no_undefined 1

Summary:	A GNOME file manager similar to the Norton Commander(TM)
Name:		gnome-commander
Version:	1.18.2
Release:	%mkrel 1
License:	GPLv2+
Group:		File tools
URL:		https://gcmd.github.io/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gnome-vfs-2.0)
BuildRequires:	pkgconfig(gtest)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libgsf-1)
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	pkgconfig(taglib)
BuildRequires:	x11-server-xvfb
BuildRequires:	appstream
BuildRequires:	appstream-util
BuildRequires:	itstool
BuildRequires:	gettext-devel
BuildRequires:	yelp-tools
BuildRequires:	libxslt-proc
BuildRequires:	flex
BuildRequires:	meson

%description
Gnome Commander is a file manager that just like the classical Norton
commander (TM) lets you do everything with the keyboard. It can
perform all standard file operations and some extra features like ftp
support.

%prep
%autosetup -p1

%build
%meson \
	-Dsamba=disabled
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%check
export ASAN_OPTIONS=detect_leaks=0
xvfb-run sh -c "%meson_test -v"

%files -f %{name}.lang
%doc README.md NEWS
%license COPYING
%{_bindir}/%{name}
%{_bindir}/gcmd-block
%{_datadir}/%{name}/
%{_libdir}/%{name}/
%{_datadir}/pixmaps/*
%{_metainfodir}/org.gnome.%{name}.appdata.xml
%{_datadir}/applications/org.gnome.%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}*.svg
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-commander.*.xml
%{_mandir}/man1/%{name}.1.*
