# Exclude private libraries from autogenerated provides and requires
%global __provides_exclude_from ^%{_libdir}/gnome-connections/
%global __requires_exclude ^(%%(find %{buildroot}%{_libdir}/gnome-connections/ -name '*.so' | xargs -n1 basename | sort -u | paste -s -d '|' -))

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gnome-connections
Version:	48.0
Release:	%mkrel 1
Summary:	A remote desktop client for the GNOME desktop environment
Group:		Graphical desktop/GNOME
License:	GPLv3+
URL:		https://gitlab.gnome.org/gnome/connections/-/wikis/home
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	appstream-util
BuildRequires:	gettext >= 0.19.8
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	vala >= 0.36.0
BuildRequires:	vala-tools
BuildRequires:	yelp-tools
BuildRequires:	pkgconfig(appstream-glib)
BuildRequires:	pkgconfig(freerdp2)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtk-vnc-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libhandy-1)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(fuse3)

Provides:	connections = %{version}-%{release}
Obsoletes:	connections < 3.38.1-3

%description
GNOME Connections is a new app that aims to be a modern remote desktop client
for the GNOME desktop environment. Th app takes advantage of the VNC (Virtual
Network Client) and RDP (Remote Desktop Protocol) standards and lets users
connect to remote machines.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

# Remove unneeded development files
rm -rf %{buildroot}%{_includedir}/gnome-connections/
rm -rf %{buildroot}%{_libdir}/gnome-connections/girepository-1.0/
rm -rf %{buildroot}%{_libdir}/gnome-connections/pkgconfig/
rm -rf %{buildroot}%{_datadir}/gnome-connections/gir-1.0/
rm -rf %{buildroot}%{_datadir}/gnome-connections/vapi/

%files -f %{name}.lang
%license COPYING
%doc README.md NEWS
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/applications/org.gnome.Connections.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Connections.gschema.xml
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Connections.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Connections-symbolic.svg
%{_metainfodir}/org.gnome.Connections.metainfo.xml
%{_datadir}/dbus-1/services/org.gnome.Connections.service
%{_datadir}/mime/packages/org.gnome.Connections.xml
