%define pkgname		control-center

# "fix" underlinking:
%define _disable_ld_no_undefined 1

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define gnome_online_accounts_version 3.25.3
%define glib2_version 2.75.0
%define gnome_desktop_version 44.0-7
%define gsd_version 41.0
%define gsettings_desktop_schemas_version 42~alpha
%define upower_version 0.99.8
%define gtk4_version 4.11.2
%define gnome_bluetooth_version 42~alpha
%define libadwaita_version 1.4~alpha
%define nm_version 1.24.0

%global tarball_version %%(echo %{version} | tr '~' '.')

Summary:	GNOME control center
Name:		gnome-%{pkgname}
Version:        48.0
Release:	%mkrel 1
License:        GPLv2+ and CC-BY-SA
Group:		Graphical desktop/GNOME
URL:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz

Source1:          0001-keyboard-Use-new-gnome-desktop-api-for-getting-defau.patch

BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	meson
BuildRequires:	setxkbmap
BuildRequires:	gnome-doc-utils
BuildRequires:	docbook-style-xsl
BuildRequires:	pkgconfig(accountsservice) >= 0.6.30
BuildRequires:	pkgconfig(clutter-gtk-1.0)
BuildRequires:	pkgconfig(clutter-1.0) >= 1.11.3
BuildRequires:	pkgconfig(colord) >= 0.1.34
BuildRequires:	pkgconfig(colord-gtk4)
BuildRequires:	pkgconfig(cups)
BuildRequires:	pkgconfig(gcr-base-3)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.23.0
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.68.0
BuildRequires:	pkgconfig(gnome-bluetooth-3.0) >= %{gnome_bluetooth_version}
BuildRequires:	pkgconfig(gnome-desktop-4)
BuildRequires:	pkgconfig(gnome-settings-daemon) >= 3.7.3
BuildRequires:	pkgconfig(goa-1.0)
BuildRequires:	pkgconfig(goa-backend-1.0) >= 3.9.90
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 3.13.91
BuildRequires:	pkgconfig(gsound)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk4) >= %{gtk4_version}
BuildRequires:	pkgconfig(ibus-1.0) >= 1.5.2
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(libadwaita-1) >= %{libadwaita_version}
BuildRequires:	pkgconfig(libgtop-2.0)
BuildRequires:	pkgconfig(libpulse) >= 2.0
BuildRequires:	pkgconfig(libpulse-mainloop-glib) >= 2.0
BuildRequires:	pkgconfig(libwacom) >= 0.7
BuildRequires:	pkgconfig(libxklavier) >= 5.1
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(malcontent-0)
BuildRequires:	pkgconfig(polkit-gobject-1) >= 0.103
BuildRequires:	pkgconfig(pwquality) >= 1.2.2
BuildRequires:	pkgconfig(upower-glib) >= 0.9.1
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xi) >= 1.2
BuildRequires:	pkgconfig(upower-glib) >= 0.9.1
BuildRequires:	pkgconfig(libnm) >= 1.2.0
BuildRequires:	pkgconfig(libnma-gtk4)
BuildRequires:	pkgconfig(mm-glib) >= 0.7
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(smbclient)
BuildRequires:	pkgconfig(tecla)
BuildRequires:	pkgconfig(udisks2)
BuildRequires:	python3-dbusmock
BuildRequires:	x11-server-xvfb
Requires:	gnome-settings-daemon >= 2.21.5
Requires:	adwaita-icon-theme
Requires:	gnome-color-manager
Requires:	glib-networking
Requires:	apg
Requires:	cups-pk-helper
Requires:	gsettings-desktop-schemas
# For parental controls support
Requires:	malcontent
# (ovitters) panels/network/wireless-security/eap-method.c still wants nm-applet
Requires:	networkmanager-applet
# (ovitters) if networkmanager causes any issues, please file bug + cc ovitters+wally
# change recommends into requires (mga#20123) && lack of better suggestion on gnome@ml.mageia.org
Requires:	networkmanager
# (ovitters) bluetooth panel can call program from gnome-bluetooth + requires icon from gnome-bluetooth
Recommends:	gnome-bluetooth >= 1:3.17.1
# (ovitters) Enterprise login support (optional)
Recommends:	realmd
# (dams) For sharing part
Recommends:	rygel
# syncing time
Recommends:	ntp
# (daviddavid) For the thunderbolt panel (mga#23917)
Recommends:	bolt
# For the keyboard panel
Recommends:	tecla
# (daviddavid) For the power panel
Recommends:	power-profiles-daemon

%description
GNOME Control-center is a configuration tool for easily
setting up your GNOME environment.

%package -n gnome-keybindings-devel
Summary:	Development files for GNOME control center
Group:		Development/GNOME and GTK+
BuildArch:	noarch

%description -n gnome-keybindings-devel
This package contains the development files and headers for GNOME
control center.

%prep
%autosetup -p1 -n gnome-control-center-%{tarball_version}

%build
%meson -Ddocumentation=true -Dmalcontent=true
%meson_build

# no support for Unity in desktop files yet, so remove references to it
find . -name '*.desktop' -exec sed -ie 's/;Unity//' {} ';'

%install
%meson_install

#ugly fix for desktop files
find %{buildroot} -name *.desktop -exec sed -i -e '/Keywords.*;$/!s/\(Keywords.*\)/\1;/g' {} \;

%{find_lang} %{pkgname}-2.0 --with-gnome --all-name

mkdir -p %{buildroot}%{_datadir}/gnome-background-properties

# we do want this
mkdir -p %{buildroot}%{_datadir}/gnome/wm-properties

# we don't want these
rm -rf %{buildroot}%{_datadir}/gnome/autostart
rm -rf %{buildroot}%{_datadir}/gnome/cursor-fonts

%check
#meson_test

%files -f %{pkgname}-2.0.lang
%doc NEWS README.md
%dir %{_datadir}/gnome/wm-properties
%dir %{_datadir}/gnome-control-center
%dir %{_datadir}/gnome-control-center/keybindings
%{_datadir}/gnome-control-center/keybindings/*.xml
%{_datadir}/gnome-control-center/pixmaps
%{_datadir}/applications/*.desktop
%{_datadir}/icons/gnome-logo-text*.svg
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/sounds/gnome/default/*/*.ogg
# list all binaries explicitly, so we notice if one goes missing
%{_bindir}/gnome-control-center
%{_datadir}/pixmaps/faces
%{_datadir}/polkit-1/actions/org.gnome.controlcenter.remote-session-helper.policy
%{_datadir}/polkit-1/actions/org.gnome.controlcenter.system.policy
%{_datadir}/polkit-1/actions/org.gnome.controlcenter.user-accounts.policy
%{_datadir}/polkit-1/rules.d/gnome-control-center.rules
%{_mandir}/man1/%{name}.1*
%{_libexecdir}/gnome-control-center-global-shortcuts-provider
%{_libexecdir}/gnome-control-center-search-provider
%{_libexecdir}/gnome-control-center-print-renderer
%{_datadir}/bash-completion/completions/gnome-control-center
%{_datadir}/dbus-1/interfaces/org.gnome.GlobalShortcutsRebind.xml
%{_datadir}/dbus-1/services/org.gnome.Settings.GlobalShortcutsProvider.service
%{_datadir}/dbus-1/services/org.gnome.Settings.SearchProvider.service
%{_datadir}/dbus-1/services/org.gnome.Settings.service
%{_datadir}/glib-2.0/schemas/org.gnome.Settings.gschema.xml
%{_datadir}/gnome-shell/search-providers/org.gnome.Settings.search-provider.ini
%{_datadir}/polkit-1/actions/org.gnome.controlcenter.remote-login-helper.policy
%{_metainfodir}/org.gnome.Settings.appdata.xml
# should be found by find_lang macro
%{_datadir}/gettext/its/*gnome*.its
%{_datadir}/gettext/its/*gnome*.loc
%{_datadir}/gettext/its/*sounds*.its
%{_datadir}/gettext/its/*sounds*.loc

%files -n gnome-keybindings-devel
%{_datadir}/pkgconfig/gnome-keybindings.pc
