%define	api_version	3
%define api		3.0
%define lib_major	20

%define libname		%mklibname %{name} %{api_version} %{lib_major}
%define libnamedev	%mklibname -d %{name} %{api_version}
%define gi_libname	%mklibname %{name}-gir %{api}

%define libname4		%mklibname %{name} 4 %{lib_major}
%define libname4dev	%mklibname -d %{name} 4
%define gi_libname4	%mklibname %{name}-gir 4.0

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global tarball_version %%(echo %{version} | tr '~' '.')

Summary:	Package containing code shared among gnome-session, gnome-control-center, nautilus, etc
Name:		gnome-desktop
Version:	44.1
Release:	%mkrel 1
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
URL:		https://gitlab.gnome.org/GNOME/gnome-desktop
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz
BuildRequires:	gcc
BuildRequires:	gettext
BuildRequires:	gtk-doc
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.21.3
BuildRequires:	pkgconfig(gio-2.0) >= 2.19.1
BuildRequires:	pkgconfig(glib-2.0) >= 2.53.1
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 0.1.4
BuildRequires:	pkgconfig(gtk4) >= 4.4.0
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(libseccomp)
BuildRequires:	pkgconfig(libudev)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext) >= 1.2
BuildRequires:	pkgconfig(xrandr) >= 1.2
BuildRequires:	pkgconfig(xkeyboard-config)
BuildRequires:	pkgconfig(xkbfile)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	yelp-tools
BuildRequires:	ldetect-lst
BuildRequires:	iso-codes
Requires:	bubblewrap
Requires:	ldetect-lst >= 0.1.282
Provides:	gnome-desktop3 = %{version}-%{release}
Obsoletes:	gnome-desktop3 < 3.30.2-2
Obsoletes:	gnome-desktop-common < 2.32.1-11

%description
gnome-desktop3 contains the libgnome-desktop library as well as a data
file that exports the "GNOME" version to the Settings Details panel.

The libgnome-desktop library provides API shared by several applications
on the desktop, but that cannot live in the platform for various
reasons. There is no API or ABI guarantee, although we are doing our
best to provide stability. Documentation for the API is available with
gtk-doc.

%package -n %{libname}
Summary:	%{summary}
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
gnome-desktop3 contains the libgnome-desktop library as well as a data
file that exports the "GNOME" version to the Settings Details panel.

The libgnome-desktop library provides API shared by several applications
on the desktop, but that cannot live in the platform for various
reasons. There is no API or ABI guarantee, although we are doing our
best to provide stability. Documentation for the API is available with
gtk-doc.

%package -n %{gi_libname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{_lib}gnome-desktop-3_0 < 3.1.2-2

%description -n %{gi_libname}
GObject Introspection interface description for %{name}.

%package -n %{libnamedev}
Summary:	Static libraries, include files for %{name}
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	%{gi_libname} = %{version}

%description -n %{libnamedev}
The %{libnamedev} package contains libraries and header files for
developing applications that use %{name}.

%package -n %{libname4}
Summary:	%{summary}
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname4}
gnome-desktop4 contains the libgnome-desktop library as well as a data
file that exports the "GNOME" version to the Settings Details panel.

The libgnome-desktop library provides API shared by several applications
on the desktop, but that cannot live in the platform for various
reasons. There is no API or ABI guarantee, although we are doing our
best to provide stability. Documentation for the API is available with
gtk-doc.

%package -n %{gi_libname4}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname4} = %{version}-%{release}
Conflicts:	%{_lib}gnome-desktop-3_0 < 3.1.2-2

%description -n %{gi_libname4}
GObject Introspection interface description for %{name}.

%package -n %{libname4dev}
Summary:	Static libraries, include files for %{name}
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname4} = %{version}
Requires:	%{gi_libname4} = %{version}

%description -n %{libname4dev}
The %{libname4dev} package contains libraries and header files for
developing applications that use %{name}.

%package  tests
Summary:	Tests for the %{name} package
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}-%{release}

%description tests
The %{name}-tests package contains tests that can be used to verify
the functionality of the installed %{name} package.

%prep
%autosetup -p1 -n gnome-desktop-%{tarball_version}

%build
%meson -Dgtk_doc=true -Dinstalled_tests=true
%meson_build

%install
%meson_install

%find_lang %{name}-%{api} --all-name --with-gnome

%files -f %{name}-%{api}.lang
%doc AUTHORS COPYING NEWS README.md
%{_libexecdir}/gnome-desktop-debug

%files -n %{libname}
%{_libdir}/libgnome-desktop-%{api_version}.so.%{lib_major}{,.*}

%files -n %{gi_libname}
%{_libdir}/girepository-1.0/GnomeDesktop-%{api}.typelib

%files -n %{libnamedev}
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/libgnome-desktop-3.so
%{_libdir}/pkgconfig/gnome-desktop-3.0.pc
%{_includedir}/gnome-desktop-3.0
%{_datadir}/gir-1.0/GnomeDesktop-%{api}.gir

%files -n %{libname4}
%{_libdir}/libgnome-bg-4.so.2{,.*}
%{_libdir}/libgnome-desktop-4.so.2{,.*}
%{_libdir}/libgnome-rr-4.so.2{,.*}

%files -n %{gi_libname4}
%{_libdir}/girepository-1.0/Gnome*-4.0.typelib

%files -n %{libname4dev}
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/libgnome-*-4.so
%{_libdir}/pkgconfig/gnome-*-4.pc
%{_includedir}/gnome-desktop-4.0
%{_datadir}/gir-1.0/Gnome*-4.0.gir

%files tests
%{_libexecdir}/installed-tests/%{name}/
%{_datadir}/installed-tests/%{name}
