%define Werror_cflags %nil

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global tarball_version %%(echo %{version} | tr '~' '.')

%global libhandy_version 1.5.0

Summary:	Disk management daemon
Name:		gnome-disk-utility
Version:	46.1
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Configuration
URL:		https://git.gnome.org/cgit/gnome-disk-utility
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz
BuildRequires:	pkgconfig(dvdread) >= 4.2.0
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.31.0
BuildRequires:	pkgconfig(gnome-settings-daemon) >= 3.6
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.5.8
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.1
BuildRequires:	pkgconfig(liblzma) >= 5.1.0
BuildRequires:	pkgconfig(libnotify) >= 0.7
BuildRequires:	pkgconfig(libsecret-1) >= 0.7
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(pwquality) >= 1.0.0
BuildRequires:	pkgconfig(udisks2) >= 2.1.1
BuildRequires:	pkgconfig(libhandy-1) >= %{libhandy_version}
BuildRequires:	gnome-doc-utils
BuildRequires:	gettext
BuildRequires:	gtk-doc
BuildRequires:	desktop-file-utils
BuildRequires:	gettext-devel
BuildRequires:	gnome-common
BuildRequires:	meson
BuildRequires:	locales
Requires:	polkit-agent
Requires:	udisks2 >= 2.1.0
Obsoletes:	palimpsest < 3.0.0

%description
This package contains the Palimpsest disk management application.
Palimpsest supports partitioning, file system creation, encryption,
RAID, SMART monitoring, etc.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson
%meson_build

%install
export LANG=UTF-8
%meson_install

#fix desktop files
desktop-file-install \
	--dir=%{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name}

%check
%meson_test

%files -f %{name}.lang
%doc AUTHORS NEWS README.md
%{_bindir}/gnome-disk-image-mounter
%{_bindir}/gnome-disks
%{_datadir}/dbus-1/services/org.gnome.DiskUtility.service
%{_datadir}/glib-2.0/schemas/org.gnome.Disks.gschema.xml
%{_datadir}/applications/gnome-disk-image-mounter.desktop
%{_datadir}/applications/org.gnome.DiskUtility.desktop
%{_datadir}/applications/gnome-disk-image-writer.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man1/gnome-disk-image-mounter.1.*
%{_mandir}/man1/gnome-disks.1.*
%{_datadir}/metainfo/org.gnome.DiskUtility.appdata.xml
%{_libexecdir}/gsd-disk-utility-notify
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.DiskUtilityNotify.desktop
