%global __requires_exclude pkgconfig.libxml-2.0

Summary:		GNOME XML documentation utilities
Name:			gnome-doc-utils
Version:		0.20.10
Release:		%mkrel 22
License:		GPLv2+ and LGPLv2+ and GFDL
Group:			Publishing
Url:			https://www.gnome.org/
Source0:		https://download.gnome.org/sources/%name/%{url_ver}/%{name}-%{version}.tar.xz
# RH bug #438638 / GNOME bug #524207
Patch1:			gnome-doc-utils-0.14.0-package.patch
Patch2:			gnome-doc-utils-0.20.10-python3.patch
# (fc) use catalog for dtd validation (GNOME bug #497055)
Patch10:		gnome-doc-utils-0.12.1-catalog.patch
Patch11:		0001-Makefile.am-Fix-gnome-doc-utils.m4-inclusion.patch
Patch13:		gnome-doc-utils-0.20.10-configure-py312.patch
BuildArch:		noarch
BuildRequires:		gettext-devel
BuildRequires:		intltool
BuildRequires:		xsltproc
BuildRequires:		pkgconfig(libxslt)
BuildRequires:		python3-libxml2
BuildRequires:		pkgconfig(python3)
Requires:		docbook-dtds
Requires:		python3-libxml2
Requires:		xsltproc
Provides:		xml2po = %{version}-%{release}

%description
gnome-doc-utils is a collection of documentation utilities for the Gnome
project. Notably, it contains utilities for building documentation and
all auxiliary files in your source tree, and it contains the DocBook
XSLT stylesheets that were once distributed with Yelp.

%prep
%autosetup -p1

rm -f m4/glib-gettext.m4
touch compile

%build
autoreconf -vfi
%configure \
	--build=%{_build} \
	--disable-scrollkeeper \
	--enable-documentation

%make_build

sed -i s/python$/python3/g xml2po/xml2po/xml2po

%check
%make_build check

%install
%make_install pkgconfigdir=%{_datadir}/pkgconfig/

%find_lang %{name} --all-name --with-gnome

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_bindir}/gnome-doc-prepare
%{_bindir}/gnome-doc-tool
%{_bindir}/xml2po
%{_datadir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4
%{_datadir}/%{name}/
%{_mandir}/man1/xml2po.1*
%{python3_sitelib}/xml2po/

%{_datadir}/xml/gnome
%{_datadir}/xml/mallard

