%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gnome-font-viewer
Version:	48.0
Release:	%mkrel 1
Summary:	GNOME Font Viewer
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# Backported from upstream/fedora

BuildRequires:	gettext
BuildRequires:	meson
BuildRequires:	pkgconfig(glib-2.0) >= 2.35.1
BuildRequires:	pkgconfig(gio-2.0) >= 2.35.1
BuildRequires:	pkgconfig(gnome-desktop-4)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(harfbuzz)
BuildRequires:	pkgconfig(libadwaita-1)
Conflicts:	gnome-utils < 1:3.3.1
Conflicts:	gnome-control-center < 3.0.2

%description
Font viewer for Gnome desktop.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

#fix .desktop file
desktop-file-edit %{buildroot}%{_datadir}/applications/org.gnome.font-viewer.desktop

%find_lang %{name} --with-gnome

%check
%meson_test

%files -f %{name}.lang
%doc NEWS
%{_bindir}/%{name}
%{_bindir}/gnome-thumbnail-font
%{_datadir}/thumbnailers/%{name}.thumbnailer
%{_datadir}/applications/org.gnome.font-viewer.desktop
%{_datadir}/metainfo/org.gnome.font-viewer.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.font-viewer.service
%{_iconsdir}/hicolor/scalable/apps/org.gnome.font-viewer.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.font-viewer-symbolic.svg
