%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gnome-getting-started-docs
Version:	3.38.1
Release:	%mkrel 2
Summary:	Help a new user get started in GNOME

License:	CC-BY-SA
Group:		Documentation
URL:		https://help.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# We need to patch gs-browse-web-firefox.page and gs-browse-web.page since
# upstream doesn't ship Firefox

BuildArch:	noarch

BuildRequires:	pkgconfig
BuildRequires:	gettext
BuildRequires:	itstool
BuildRequires:	yelp-tools
Requires:	gnome-user-docs

%description
This package contains a 'Getting Started' guide that can be viewed
with yelp. It is normally used together with gnome-initial-setup.


%package cs
Summary:	Czech translations for gnome-getting-started-docs videos
Group:		Documentation
Requires:	gnome-getting-started-docs >= %{version}-%{release}

%description cs
Czech (cs) translations for the Getting Started guide videos.


%package de
Summary:	German translations for gnome-getting-started-docs videos
Group:		Documentation
Requires:	gnome-getting-started-docs >= %{version}-%{release}

%description de
German (de) translations for the Getting Started guide videos.


%package es
Summary:	Spanish translations for gnome-getting-started-docs videos
Group:		Documentation
Requires:	gnome-getting-started-docs >= %{version}-%{release}

%description es
Spanish (es) translations for the Getting Started guide videos.


%package gl
Summary:	Galician translations for gnome-getting-started-docs videos
Group:		Documentation
Requires:	gnome-getting-started-docs >= %{version}-%{release}

%description gl
Galician (gl) translations for the Getting Started guide videos.


%package hu
Summary:	Hungarian translations for gnome-getting-started-docs videos
Group:		Documentation
Requires:	gnome-getting-started-docs >= %{version}-%{release}

%description hu
Hungarian (hu) translations for the Getting Started guide videos.


%package it
Summary:	Italian translations for gnome-getting-started-docs videos
Group:		Documentation
Requires:	gnome-getting-started-docs >= %{version}-%{release}

%description it
Italian (it) translations for the Getting Started guide videos.


%package pl
Summary:	Polish translations for gnome-getting-started-docs videos
Group:		Documentation
Requires:	gnome-getting-started-docs >= %{version}-%{release}

%description pl
Polish (pl) translations for the Getting Started guide videos.


%package pt_BR
Summary:	Brazilian Portuguese translations for gnome-getting-started-docs videos
Group:		Documentation
Requires:	gnome-getting-started-docs >= %{version}-%{release}

%description pt_BR
Brazilian Portuguese (pt_BR) translations for the Getting Started guide videos.


%prep
%setup -q
%autopatch -p1


%build
%configure
%make_build


%install
%make_install

%find_lang %{name} --all-name --with-gnome


%files -f %{name}.lang
%doc COPYING NEWS AUTHORS
%exclude %{_datadir}/help/cs/gnome-help/figures/
%exclude %{_datadir}/help/de/gnome-help/figures/
%exclude %{_datadir}/help/es/gnome-help/figures/
%exclude %{_datadir}/help/gl/gnome-help/figures/
%exclude %{_datadir}/help/hu/gnome-help/figures/
%exclude %{_datadir}/help/it/gnome-help/figures/
%exclude %{_datadir}/help/pl/gnome-help/figures/
%exclude %{_datadir}/help/pt_BR/gnome-help/figures/

%files cs
%{_datadir}/help/cs/gnome-help/figures/

%files de
%{_datadir}/help/de/gnome-help/figures/

%files es
%{_datadir}/help/es/gnome-help/figures/

%files gl
%{_datadir}/help/gl/gnome-help/figures/

%files hu
%{_datadir}/help/hu/gnome-help/figures/

%files it
%{_datadir}/help/it/gnome-help/figures/

%files pl
%{_datadir}/help/pl/gnome-help/figures/

%files pt_BR
%{_datadir}/help/pt_BR/gnome-help/figures/
