%define api	3

%define name gnome-keyring
%define major %{nil}
%define libname %mklibname %{name} %{major}

%bcond_with ssh_agent

Summary:	Keyring and password manager for the GNOME desktop
Name:		gnome-keyring
Version:	48.0
Release:	%mkrel 1
License:	GPLv2+ and LGPLv2+
Group:		Security
URL:		https://wiki.gnome.org/Projects/GnomeKeyring
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gck-1)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(libtasn1)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(p11-kit-1)
BuildRequires:	pkgconfig(gcr-3)
BuildRequires:	intltool
BuildRequires:	pam-devel
BuildRequires:	libtasn1-tools
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl
BuildRequires:	openssh-clients
BuildRequires:	meson
Requires:	%{libname} = %{version}

#gw for keyring management GUI
Requires:	gcr
Recommends:	seahorse
Recommends:	pinentry-gnome3

#Virtual provide for applications that require this type of managers
Provides:	secret-manager

%description
gnome-keyring is a program that keep password and other secrets for users. It
is run as a daemon in the session, similar to ssh-agent, and other applications
locate it via an environment variable or a D-Bus.

The program can manage several keyrings, each with its own master password, and
there is also a session keyring which is never stored to disk, but forgotten
when the session ends.

The library libsecret is used by applications to integrate with the GNOME
keyring system.

%package -n %{libname}
Summary:	Library files for mate-keyring
License:	LGPLv2+
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description -n %{libname}
This package contain the library files for %{name}

%prep
%autosetup -p1

%build
%meson \
  -Dssh-agent=%{?with_ssh_agent:true}%{!?with_ssh_agent:false} \
  -Dselinux=disabled \
%meson_build

%install
%meson_install

%find_lang %{name}

%post
%systemd_user_post gnome-keyring-daemon.service

%preun
%systemd_user_preun gnome-keyring-daemon.service

%files -f %{name}.lang
%doc README NEWS
%{_bindir}/%{name}
%{_bindir}/%{name}-%{api}
%attr(755,root,root) %caps(cap_ipc_lock=ep) %{_bindir}/%{name}-daemon
%{_datadir}/dbus-1/services/org.freedesktop.impl.portal.Secret.service
%{_datadir}/dbus-1/services/org.freedesktop.secrets.service
%{_datadir}/dbus-1/services/org.gnome.keyring.service
%{_sysconfdir}/xdg/autostart/gnome-keyring-pkcs11.desktop
%{_sysconfdir}/xdg/autostart/gnome-keyring-secrets.desktop
%if %{with ssh_agent}
%{_sysconfdir}/xdg/autostart/gnome-keyring-ssh.desktop
%endif
%{_datadir}/GConf/gsettings/*.convert
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/p11-kit/modules/gnome-keyring.module
%{_datadir}/xdg-desktop-portal/portals/gnome-keyring.portal
%{_mandir}/man1/%{name}*.1*
%{_userunitdir}/gnome-keyring-daemon.service
%{_userunitdir}/gnome-keyring-daemon.socket

%files -n %{libname}
%{_libdir}/%{name}/
%{_libdir}/pkcs11/gnome-keyring-pkcs11.so
%{_libdir}/security/pam_gnome_keyring.so
