%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gnome-mahjongg
Version:	48.0
Release:	%mkrel 1
Summary:	GNOME Mahjongg game
License:	GPLv2+ and CC-BY-SA
Group:		Games/Puzzles
URL:		https://wiki.gnome.org/Apps/Mahjongg
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# From debian et al.
#
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(libadwaita-1)
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.32.0
BuildRequires:	gettext
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	meson
BuildRequires:	vala
BuildRequires:	appstream
# For help
Requires:	yelp

%description
Mahjongg is a simple pattern recognition game. You score points by
matching identical tiles.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%license COPYING
%doc README.md NEWS
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Mahjongg.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Mahjongg.gschema.xml
%{_datadir}/dbus-1/services/org.gnome.Mahjongg.service
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/org.gnome.Mahjongg.*
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Mahjongg-symbolic.svg
%{_metainfodir}/org.gnome.Mahjongg.metainfo.xml
%{_mandir}/man6/%{name}.6*
