%global gjs_version 1.69.2
%global libadwaita_version 1.4~alpha
%global libshumate_version 1.1~beta

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global libhandy_version 1.5.0

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:		gnome-maps
Version:	48.1
Release:	%mkrel 1
Summary:	A map application for GNOME
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz
# please do not remove this patch, rediff it if necessary (see mga#31747)
Patch0:		0001-Include-GeocodeGlib-and-GWeather-gir.patch
# please do not remove this patch, rediff it if necessary (see mga#31946)
Patch1:		0001-Include-Rest-gir.patch

BuildRequires:	gettext
BuildRequires:	gsettings-desktop-schemas
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gio-2.0) >= 2.39.3
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gjs-1.0) >= 1.39.0
BuildRequires:	pkgconfig(gweather4)
BuildRequires:	pkgconfig(geoclue-2.0)
BuildRequires:	pkgconfig(geocode-glib-2.0)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(libadwaita-1) >= %{libadwaita_version}
BuildRequires:	pkgconfig(libportal)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(rest-1.0)
BuildRequires:	pkgconfig(shumate-1.0) >= %{libshumate_version}
BuildRequires:	gjs
BuildRequires:	meson
BuildRequires:	appstream-util
# Required for tests.
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	libsecret-tools

Requires:	gjs
Requires:	geoclue >= 1.99.3

%description
%{name} is a map application for GNOME.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson
%meson_build

%install
%meson_install

# fix .desktop file
desktop-file-edit %{buildroot}%{_datadir}/applications/org.gnome.Maps.desktop

# There is no devel package, so at this moment also no need to keep gir and so files
rm %{buildroot}%{_datadir}/gnome-maps/gir-1.0/GnomeMaps-1.0.gir
rm %{buildroot}%{_libdir}/%{name}/libgnome-maps.so

%find_lang %{name} --with-gnome

%check
# Yuck.
find %{buildroot} -name test.src.gresource -print -delete
%meson_test

%files -f %{name}.lang
%doc NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/applications/*
%{_metainfodir}/org.gnome.Maps.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Maps.service
%{_iconsdir}/*/*/apps/org.gnome.Maps*.*
# ovitters: in own directory, so no need to split into subpackages
%{_libdir}/%{name}/
