%define major		0
%define api		3
%define libname		%mklibname gnome-menu %{api} %{major}
%define gi_name		%mklibname gmenu-gir %{api}.0
%define libnamedev	%mklibname -d gnome-menu

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	GNOME menu library
Name:		gnome-menus
Version:	3.36.0
Release:	%mkrel 3
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# (fc) 2.16.0-2mdv unclutter preferences/settings menu
#Patch1:		gnome-menus-3.0.0-uncluttermenu.patch
License:	LGPLv2+
Group:		System/Libraries
Url:		https://www.gnome.org/
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.29.15
BuildRequires:	intltool >= 0.40.0
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
Obsoletes:	python-%{name}

%description
The package contains an implementation of the draft "Desktop Menu
Specification" from freedesktop.org:
https://www.freedesktop.org/Standards/menu-spec

Also contained here are the GNOME menu layout configuration files,
.directory files and assorted menu related utility programs.

%package -n %{libname}
Group:		System/Libraries
Summary:	GNOME menu library
Conflicts:	gir-repository < 0.6.5-8

%description -n %{libname}
The package contains an implementation of the draft "Desktop Menu
Specification" from freedesktop.org:
https://www.freedesktop.org/Standards/menu-spec

%package -n %{gi_name}
Group:		System/Libraries
Summary:	GObject Introspection interface library for %{name}
Requires:	%{libname} = %{version}-%{release}

%description -n %{gi_name}
GObject Introspection interface library for %{name}.

%package -n %{libnamedev}
Group:		Development/C
Summary:	GNOME menu library development files
Requires:	%{libname} = %{version}
Requires:	%{gi_name} = %{version}
Provides:	libgnome-menu-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d gnome-menu 2
Conflicts:	gir-repository < 0.6.5-8

%description -n %{libnamedev}
The package contains an implementation of the draft "Desktop Menu
Specification" from freedesktop.org:
https://www.freedesktop.org/Standards/menu-spec

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
rm -rf %{buildroot} %name.lang
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang %{name}

mkdir -p %{buildroot}%{_sysconfdir}/xdg/gnome
mv %{buildroot}%{_sysconfdir}/xdg/menus %{buildroot}%{_sysconfdir}/xdg/gnome

#chmod 755 %{buildroot}%{_libdir}/python*/site-packages/GMenuSimpleEditor/*.py

%files -f %{name}.lang
%doc README NEWS HACKING AUTHORS ChangeLog
%{_datadir}/desktop-directories/*
%dir %{_sysconfdir}/xdg/gnome
%dir %{_sysconfdir}/xdg/gnome/menus
%config(noreplace) %{_sysconfdir}/xdg/gnome/menus/*

%files -n %{libname}
%{_libdir}/libgnome-menu-%{api}.so.%{major}{,.*}

%files -n %{gi_name}
%{_libdir}/girepository-1.0/GMenu-%{api}.0.typelib

%files -n %{libnamedev}
%{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/GMenu-%{api}.0.gir
