%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}
%define busname org.gnome.MultiWriter

Name:		gnome-multi-writer
Version:	3.35.90
Release:	%mkrel 2
Summary:	Write and verify an ISO file to up to 20 USB devices at once
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		https://wiki.gnome.org/Apps/MultiWriter
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	gettext
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 1.35.9
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.11.2
BuildRequires:	pkgconfig(udisks2)
BuildRequires:	pkgconfig(libcanberra-gtk3)
BuildRequires:	pkgconfig(gusb) >= 0.2.2
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	appdata-tools
BuildRequires:	gsettings-desktop-schemas
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl
BuildRequires:	docbook-utils
BuildRequires:	meson
Requires:	gsettings-desktop-schemas

%description
GNOME MultiWriter allows to write and verify an ISO file to up to 20 USB
devices at once.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%check
%meson_test

%files -f %{name}.lang
%doc README.md
%{_bindir}/%{name}
%{_libexecdir}/gnome-multi-writer-probe
%{_datadir}/applications/%{busname}.desktop
%{_datadir}/glib-2.0/schemas/*.xml
%{_metainfodir}/%{busname}.appdata.xml
%{_datadir}/polkit-1/actions/%{busname}.policy
%{_mandir}//man1/%{name}.1*
%{_iconsdir}/*/*/*/*.*
