# comment out when not a pre-release
#define prel	rc2

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gnome-nibbles
Version:	4.2.0
Release:	%mkrel %{?prel:0.%prel.}1
Summary:	GNOME Nibbles game
License:	GPLv2+ and GFDL
Group:		Games/Arcade
URL:		https://wiki.gnome.org/Nibbles
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}%{?prel:.%prel}.tar.xz
#
BuildRequires:	meson
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	vala
BuildRequires:	pkgconfig(gio-2.0) >= 2.78.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.78.0
BuildRequires:	pkgconfig(gsound) >= 1.0.2
BuildRequires:	pkgconfig(gtk4) >= 4.6
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(libgnome-games-support-2) >= 2.0.0
# For help
Requires:	yelp

%description
Pilot a worm around a maze trying to collect diamonds and at the same time
avoiding the walls and yourself. With each diamond your worm grows longer and
navigation becomes more and more difficult. Playable by up to four people.

%prep
%autosetup -p1 -n %{name}-%{version}%{?prel:.%prel}

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Nibbles.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Nibbles.gschema.xml
%{_datadir}/dbus-1/services/org.gnome.Nibbles.service
%{_datadir}/%{name}
%{_iconsdir}/*/*/apps/*.*
%{_mandir}/man6/%{name}.6*
%{_datadir}/metainfo/org.gnome.Nibbles.appdata.xml

