%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	A PackageKit client for the GNOME desktop
Name:	  	gnome-packagekit
Version:	43.0
Release:	%mkrel 3
License:	GPLv2+
Group:		System/Packaging
URL:		https://www.packagekit.org/
Source0: 	https://download.gnome.org/sources/%{name}/%{url_ver}/%name-%version.tar.xz
BuildRequires:	pkgconfig(packagekit-glib2) >= 0.7.0
BuildRequires:	pkgconfig(libnotify) >= 0.4.3
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	gnome-doc-utils
BuildRequires:	docbook-utils
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	libxslt-proc
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(libcanberra) >= 0.10
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.10
BuildRequires:	pkgconfig(upower-glib)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	appstream-util
BuildRequires:	x11-server-xvfb
Requires:	%{name}-common = %{version}-%{release}

%description
gnome-packagekit are PackageKit client programs designed for the GNOME desktop.

%package common
Summary:	Common files and services for GNOME PackageKit
Group:		System/Packaging
Requires:	packagekit >= 0.4.8
Provides:	packagekit-gui
Conflicts:	kpackagekit
Conflicts:	%{name} < 3.0.3-2

%description common
Common files and services used by GNOME PackageKit. This packages provides
D-Bus service for packages installation.

%package extra
Summary:	Session applications to manage packages with GNOME PackageKit (extra bits)
Group:		System/Packaging
Requires:	%{name} = %{version}-%{release}

%description extra
Extra GNOME applications for using PackageKit that are not normally needed.

%prep
%setup -q
%autopatch -p1

%build
%meson
%meson_build

%install
%meson_install

for file in %{buildroot}%{_datadir}/applications/*.desktop; do
	desktop-file-edit "$file"
done

%find_lang %name --with-gnome

%check
exit 0
XDISPLAY=$(i=1; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
%{_bindir}/Xvfb :$XDISPLAY &
export DISPLAY=:$XDISPLAY
%meson_test
kill $(cat /tmp/.X$XDISPLAY-lock) ||:

%files common -f %name.lang
%dir %{_datadir}/gnome-packagekit
%{_datadir}/gnome-packagekit/icons
%{_datadir}/GConf/gsettings/org.gnome.packagekit.gschema.migrate
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/glib-2.0/schemas/org.gnome.packagekit.gschema.xml
%exclude %{_datadir}/applications/gpk-install-local-file.desktop

%files
%{_bindir}/gpk-application
%{_bindir}/gpk-log
%{_bindir}/gpk-prefs
%{_bindir}/gpk-update-*
%{_datadir}/applications/org.gnome.Packages.desktop
%{_datadir}/applications/gpk-prefs.desktop
%{_datadir}/applications/org.gnome.PackageUpdater.desktop
%{_mandir}/man1/gpk-application*
%{_mandir}/man1/gpk-prefs*
%{_mandir}/man1/gpk-log*
%{_mandir}/man1/gpk-update*
%{_datadir}/metainfo/*gnome*.metainfo.xml

%files extra
%{_datadir}/applications/gpk-log.desktop
