%global major   3
%define libname %mklibname gnome-panel %major
%define devname %mklibname gnome-panel -d
%global po_package %{name}-3.0

%global use_evolution_data_server 1

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:           gnome-panel
Version:        3.54.0
Release:        %mkrel 1
Summary:        GNOME Flashback panel
Group:          Graphical desktop/GNOME

License:        GPLv2+ and LGPLv2+
URL:            https://wiki.gnome.org/Projects/GnomePanel
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  gettext-devel
BuildRequires:  gnome-common
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  libxslt
BuildRequires:  make
BuildRequires:  yelp-tools

BuildRequires:  pkgconfig(cairo-gobject)
BuildRequires:  pkgconfig(cairo-xlib)
BuildRequires:  pkgconfig(dconf) >= 0.13.4
BuildRequires:  pkgconfig(gdk-pixbuf-2.0) >= 2.26.0
BuildRequires:  pkgconfig(gdm)
BuildRequires:  pkgconfig(geocode-glib-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.67.1
BuildRequires:  pkgconfig(gnome-desktop-3.0) >= 2.91.6
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.22.0
BuildRequires:  pkgconfig(gweather4) >= 3.91
BuildRequires:  pkgconfig(libgnome-menu-3.0) >= 3.7.90
BuildRequires:  pkgconfig(libsystemd) >= 230
BuildRequires:  pkgconfig(libwnck-3.0) >= 40.0
BuildRequires:  pkgconfig(pango) >= 1.15.4
BuildRequires:  pkgconfig(polkit-gobject-1)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xrandr) >= 1.3.0
%if %{use_evolution_data_server}
BuildRequires:  pkgconfig(libecal-2.0) >= 3.33.2
BuildRequires:  pkgconfig(libedataserver-1.2) >= 3.33.2
%endif

Requires:       gnome-desktop3
Requires:       gnome-menus >= 3.7.90
%if %{use_evolution_data_server}
Requires:       evolution-data-server >= 3.33.2
%endif

Recommends:     %{name}-doc

%description
Gnome Panel is a component that is part of GnomeFlashback and provides panels
and default applets for the desktop. A panel is a horizontal or vertical bar
that can be added to each side of the screen. By default there is one panel on
the top of the screen and one on the bottom, but this is configurable. The
panels are used to add applets such as a menu bar to open applications, a clock
and indicator applets which provide access to configure features of the system
such as the network, sound or the current keyboard layout. On the bottom panel
there is usually a list of open applications.


# libs package
%package        -n %libname
Summary:        Libraries for %{name}
Group:          System/Libraries
License:        LGPLv2+

Obsoletes:      %{_lib}gnome-panel0 < 3.50.0-2

%description    -n %libname
Libraries for %{name}.


# devel package
%package        -n %devname
Summary:        Devel files for %{name}
Group:          Development/C++
Requires:       %{libname}%{?_isa} = %{version}-%{release}

%description    -n %devname
Devel files for %{name}.


# doc package
%package        doc
Summary:        Docs for %{name}
BuildArch:      noarch

%description    doc
Docs for %{name}.


%prep
%autosetup -p1


%build
rm -f libtool
autoreconf -fiv
%configure              \
    --enable-gtk-doc    \
%if %{use_evolution_data_server}
    --enable-eds=yes
%else
    --enable-eds=no
%endif
%make_build


%install
%make_install

rm -rf %{buildroot}/var/scrollkeeper

find %{buildroot} -name '*.la' -delete

%find_lang %{po_package} --all-name


%files -f %{po_package}.lang
%license COPYING COPYING.LESSER
%doc AUTHORS NEWS README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.*.xml
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/man/man*/*
%{_libdir}/%{name}/

%files -n %libname
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %devname
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc

%files doc
%{_datadir}/help/

