%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gnome-power-manager
Version:	43.0
Release:	%mkrel 1
Summary:	GNOME Power Manager
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		https://www.gnome.org/projects/gnome-power-manager/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	gettext
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.91.0
BuildRequires:	pkgconfig(gnome-keyring-1) >= 0.6.0
BuildRequires:	pkgconfig(cairo) >= 1.0.0
BuildRequires:	pkgconfig(upower-glib) >= 0.9.1
BuildRequires:	pkgconfig(libnotify) >= 0.7.0
BuildRequires:	xmlto
BuildRequires:	meson
BuildRequires:	docbook-utils
Requires:	adwaita-icon-theme
Requires:	upower

%description
GNOME Power Manager uses the information and facilities provided by Upower
displaying icons and handling user callbacks in an interactive GNOME session. 
GNOME Power Preferences allows authorised users to set policy and 
change preferences.

%prep
%autosetup -p1

#fix OnlyShowIn in .desktop file
sed -i -e 's|Unity;||g' data/*.desktop.in

%build
%meson
%meson_build

%install
%meson_install

#fix desktop file (missing ; as trailing char)
desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name}

%check
%meson_test

%files -f %{name}.lang
%doc AUTHORS
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_mandir}/man1/*
%{_datadir}/icons/hicolor/*/apps/*.*
%{_datadir}/glib-2.0/schemas/org.gnome.power-manager.gschema.xml
%{_datadir}/metainfo/*.appdata.xml
