%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gnome-recipes
Summary:	Recipe application for GNOME
Version:	2.0.4
Release:	%mkrel 4
License:	GPLv3+
Group:		Graphical desktop/GNOME
URL:		https://wiki.gnome.org/Apps/Recipes
Source0:	https://download.gnome.org/sources/gnome-recipes/%{url_ver}/gnome-recipes-%{version}.tar.xz
Patch1:		0001-Fix-a-few-more-compiler-warnings.patch
Patch2:		0002-build_Use-i18n.merge_file-for.patch
Patch3:		0003-meson_drop-unused-argument-for-i18n.merge_file.patch
# Cherry-picked from
# https://gitlab.gnome.org/GNOME/recipes/-/merge_requests/47
Patch101:	0001-Port-to-libsoup-3.0-and-librest-1.0.patch
BuildRequires:	xmllint
BuildRequires:	itstool
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	meson
BuildRequires:	locales
BuildRequires:	pkgconfig(gio-2.0) >= 2.42
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.22
BuildRequires:	pkgconfig(gnome-autoar-0)
BuildRequires:	pkgconfig(goa-1.0)
BuildRequires:	pkgconfig(gspell-1)
BuildRequires:	pkgconfig(libcanberra)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(rest-1.0)
Requires:	%{name}-data = %{version}-%{release}

%description
GNOME Recipes is an easy-to-use application that will help you to discover
what to cook for today, tomorrow, the rest of the week, and your special
occasions.

GNOME Recipes comes with a collection of recipes that have been collected
by GNOME contributors from all over the world. It also lets you store your
own recipes, and share them with your friends.

%package data
Summary:	Recipe application for GNOME (data files)
BuildArch:	noarch

%description data
GNOME Recipes is an easy-to-use application that will help you to discover
what to cook for today, tomorrow, the rest of the week, and your special
occasions.

GNOME Recipes comes with a collection of recipes that have been collected
by GNOME contributors from all over the world. It also lets you store your
own recipes, and share them with your friends.

This package contains architecture-independent data files.

%prep
%autosetup -p1

%build
export LC_ALL=UTF-8
%meson
%meson_build

%install
export LC_ALL=UTF-8
%meson_install

%find_lang %{name} --all-name --with-gnome

%files
%doc README.md
%{_bindir}/gnome-recipes
%{_datadir}/applications/org.gnome.Recipes.desktop
%{_datadir}/dbus-1/services/org.gnome.Recipes.service
%{_datadir}/glib-2.0/schemas/org.gnome.Recipes.gschema.xml
%{_datadir}/gnome-shell/search-providers/org.gnome.Recipes-search-provider.ini
%{_datadir}/metainfo/org.gnome.Recipes.appdata.xml 
%{_datadir}/mime/packages/org.gnome.Recipes-mime.xml
%dir %{_datadir}/gnome-recipes/
%{_datadir}/gnome-recipes/*.db
%{_iconsdir}/hicolor/*/apps/org.gnome.Recipes*

%files data -f %{name}.lang
%{_datadir}/gnome-recipes/images/
%{_datadir}/gnome-recipes/sounds/
