# Use bundled deps as we don't ship the exact right versions for all the
# required rust libraries
%global bundled_rust_deps 0

Name:		gnome-robots
Version:	41.2
Release:	%mkrel 1
Summary:	GNOME Robots game
License:	GPLv2+ and GFDL
Group:		Games/Arcade
URL:		https://wiki.gnome.org/Robots
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# generate with "cargo vendor" command directly in source tarball
#Source1:	vendor.tar.xz
Patch1:		gnome-robots-rust-rand.patch
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(libadwaita-1)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	appstream
BuildRequires:	gettext
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	meson
BuildRequires:	vala-tools
BuildRequires:	cargo-rpm-macros
# For help
Requires:	yelp

%description
The classic game where you have to avoid a hoard of robots who are trying to
kill you. Each step you take brings them closer toward you. Fortunately they
aren't very smart and you also have a helpful teleportation gadget.

%prep
%if 0%{?bundled_rust_deps}
%autosetup -p1 -a1
%cargo_prep -v vendor
%else
%autosetup -p1
%cargo_prep
%endif

%if ! 0%{?bundled_rust_deps}
%generate_buildrequires
# cargo-c requires all optional dependencies to be available
%cargo_generate_buildrequires -a
%endif

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Robots.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Robots.gschema.xml
%{_datadir}/dbus-1/services/org.gnome.Robots.service
%{_metainfodir}/org.gnome.Robots.metainfo.xml
%{_datadir}/%{name}/
%{_iconsdir}/*/*/*/*
%{_mandir}/man6/%{name}.6*
