%define po_package gnome-session-%{url_ver}

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	The gnome desktop programs for the GNOME GUI desktop environment
Name:		gnome-session
Version:	47.0.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		https://www.gnome.org/softwaremap/projects/gnome-session/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source1:	gnome-session-startgnome
Source2:	gnome-session-gnomerc
Source4:	gnome-wm.desktop
# https://bugzilla.gnome.org/show_bug.cgi?id=772421
Patch4:		0001-check-accelerated-gles-Use-eglGetPlatformDisplay-EXT.patch
BuildRequires:	meson
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.76
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glesv2)
BuildRequires:	pkgconfig(gnome-desktop-3.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.90.7
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(json-glib-1.0) >= 0.10
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(upower-glib) >= 0.9.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xau)
BuildRequires:	pkgconfig(xcomposite)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(xtrans)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	gettext
BuildRequires:	tcp_wrappers-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gtk-doc
BuildRequires:	xmlto

Requires:	desktop-common-data >= 3.9-3
Requires:	gnome-settings-daemon
Requires:	%{name}-bin >= %{version}-%{release}
Requires:	gsettings-desktop-schemas
Requires:	dconf
# (ovitters) Wayland session works way better with xwayland
Recommends:	x11-server-xwayland
# (ovitters) Used to be a requirement, but it's 45MB or so
Recommends:	gnome-user-docs
Conflicts:	desktop-common-data < 1:3.10-2


%description
GNOME (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.

The GNOME Session Manager restores a set session (group of applications)
when you log into GNOME.

%package bin
Group:		%{group}
Summary:	%{summary}
Conflicts:	gnome-session < 2.31.2
Conflicts:	GConf-sanity-check

%description bin
This package contains the binaries for the GNOME Session Manager, but
no startup scripts. It is meant for applications such as GDM that use
gnome-session internally.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

install -m 0755 %{SOURCE1} %{buildroot}%{_bindir}/startgnome

mkdir -p %{buildroot}%{_sysconfdir}/gnome
install -m 0755 %{SOURCE2} %{buildroot}%{_sysconfdir}/gnome/gnomerc
# gw these produce rpmlint errors:
rm -rf %buildroot%_datadir/locale/{be@latin}

%find_lang %{po_package}


%post
if [ "$1" = "2" -a -r /etc/sysconfig/desktop ]; then
  sed -i -e "s|^DESKTOP=Gnome$|DESKTOP=GNOME|g" /etc/sysconfig/desktop
fi

%posttrans
# (ovitters) In posttrans, $1 is always equal to 1, even in the upgrade case.
# So just run this always:
if [ -e %{_datadir}/xsessions/02GNOME.desktop ]; then
        rm -rf %{_datadir}/xsessions/02GNOME.desktop
fi
if [ -e %{_sysconfdir}/X11/dm/Sessions/02GNOME.desktop ]; then
        rm -rf  %{_sysconfdir}/X11/dm/Sessions/02GNOME.desktop
fi

%files bin
%{_datadir}/glib-2.0/schemas/org.gnome.SessionManager.gschema.xml
%{_bindir}/%{name}
%{_mandir}/*/%{name}.*
%{_datadir}/%{name}

%files -f %{po_package}.lang
%{_datadir}/xsessions/*
%{_sysconfdir}/gnome/gnomerc
%{_bindir}/%{name}-*
%{_bindir}/startgnome
%{_libexecdir}/%{name}-*
%dir %{_datadir}/xdg-desktop-portal
%{_datadir}/xdg-desktop-portal/gnome-portals.conf
%{_datadir}/doc/gnome-session/
%{_datadir}/wayland-sessions
%{_mandir}/*/%{name}-*
%doc %{_docdir}/%{name}
%{_userunitdir}/gnome-session*
%{_userunitdir}/gnome-launched-.scope.d/override.conf
