%global glib2_version 2.58
%global colord_version 1.4.5
%global geocode_glib_version 3.26.3
%global gnome_desktop_version 3.37.1
%global gsettings_desktop_schemas_version 43
%global gtk3_version 3.15.3
%global geoclue_version 2.3.1

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

# (ovitters) would not surprise me if api changes back to "3.0"
%define api	48

# _with = default off, _without = default on
%bcond_with build_packagekit

%global tarball_version %%(echo %{version} | tr '~' '.')

Summary:	GNOME Settings Daemon
Name:		gnome-settings-daemon
Version:        48.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:            https://gitlab.gnome.org/GNOME/gnome-settings-daemon
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz
# Backported from upstream

# Mageia patches
Patch10:		revert-broken-auto-suspend.patch

BuildRequires:	pkgconfig(colord) >= 0.3.5
BuildRequires:	pkgconfig(dbus-1) >= 1.1.2
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.74
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(gck-2)
BuildRequires:	pkgconfig(gcr-4)
BuildRequires:	pkgconfig(gio-2.0) >= 2.26.0
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.53.04
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gnome-desktop-3.0) >= 3.34.2
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 3.35.91
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.15.3
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(ibus-1.0) >= 1.4.99.2012100
BuildRequires:	pkgconfig(kbproto)
BuildRequires:	pkgconfig(lcms2) >= 2.2
BuildRequires:	pkgconfig(libcanberra-gtk3)
BuildRequires:	pkgconfig(libnotify) >= 0.7.3
BuildRequires:	pkgconfig(libpulse) >= 0.9.16
BuildRequires:	pkgconfig(libpulse-mainloop-glib) >= 0.9.16
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libxklavier) >= 5.0
BuildRequires:	pkgconfig(nss) >= 3.11.2
%if %with build_packagekit
BuildRequires:	pkgconfig(packagekit-glib2) >= 0.6.12
%endif
BuildRequires:	pkgconfig(polkit-gobject-1) >= 0.97
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(upower-glib) >= 0.9.1
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(libwacom) >= 0.7
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(gweather4)
BuildRequires:	pkgconfig(geocode-glib-2.0) >= %{geocode_glib_version}
BuildRequires:	pkgconfig(geoclue-2.0) >= 2.1.0
BuildRequires:	pkgconfig(xkeyboard-config)
BuildRequires:	pkgconfig(libnm)
BuildRequires:	pkgconfig(mm-glib)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	cups-devel
BuildRequires:	intltool
BuildRequires:	meson
BuildRequires:	ldetect-lst
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl
# (cg) only needed when rebootstrapping
BuildRequires:	gettext-devel

Requires:	system-config-printer-udev

Conflicts:	gnome-control-center < 2.21.90
Conflicts:	gnome-color-manager < 3.1.2-1
Conflicts:	gnome-power-manager < 3.1.90
# ovitters: GNOME 3.8+ does not support fallback mode (gnome-panel, etc)
Conflicts:	gnome-panel <= 3.7.0-0.20130524.1
# ovitters: cursor plugin was moved to gnome-shell as of 3.16.0
Conflicts:	gnome-shell < 3.16.0

# For the media-keys 'plugin'.
# It handles extra keyboard buttons (Calculator, screenshot, shutdown, etc) as
# well as some keyboard bindings. The plugin calls these following programs
# explicitly (see plugins/media-keys/gsd-media-keys-manager.c)
#
# The plugin can be disabled per user; so if user wants really minimal
# functionality, they can disable the plugin using gsettings. As such, putting
# these programs as Suggests instead of Requires
Recommends:	gcalctool
Recommends:	gnome-power-manager
Recommends:	gnome-screenshot
Recommends:	gnome-session
# XXX - also wants one of:
# 1. tracker-needle.desktop (preferred)
# 2. gnome-search-tool.desktop (fallback)

# ibus support
Recommends:	ibus-gtk3
Recommends:	ibus-gtk

%description
GNOME settings daemon manages the configuration of the desktop in the
background.

%package devel
Summary:	Include files for the GNOME settings daemon
Group:		Development/GNOME and GTK+
Conflicts:      libgnome-window-settings-devel < 2.21.5

%description devel
Include files for the GNOME settings daemon

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson
%meson_build

%install
%meson_install

# (cg) When building locally (with packagekit deps installed) this file was still
# produced... could be an upstream buildsystem bug?
%if %without build_packagekit
rm -f %{buildroot}%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.updates.gschema.xml
%endif

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%license COPYING COPYING.LIB
%doc AUTHORS NEWS
%dir %{_libdir}/gnome-settings-daemon-%{api}

%{_libexecdir}/gsd-a11y-settings
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.A11ySettings.desktop

%{_libexecdir}/gsd-color
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Color.desktop

%{_libexecdir}/gsd-datetime
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Datetime.desktop

%{_libexecdir}/gsd-housekeeping
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Housekeeping.desktop

%{_libexecdir}/gsd-keyboard
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Keyboard.desktop

%{_libexecdir}/gsd-media-keys
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.MediaKeys.desktop

%{_libexecdir}/gsd-power
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Power.desktop

%{_libexecdir}/gsd-print-notifications
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.PrintNotifications.desktop

%{_libexecdir}/gsd-rfkill
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Rfkill.desktop

%{_libexecdir}/gsd-screensaver-proxy
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.ScreensaverProxy.desktop

%{_libexecdir}/gsd-sharing
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Sharing.desktop

%{_libexecdir}/gsd-smartcard
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Smartcard.desktop

%{_libexecdir}/gsd-sound
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Sound.desktop

%{_libexecdir}/gsd-usb-protection
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.UsbProtection.desktop

%{_libexecdir}/gsd-wwan
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Wwan.desktop

%{_libexecdir}/gsd-wacom
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Wacom.desktop

%{_libexecdir}/gsd-xsettings
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.XSettings.desktop

%{_sysconfdir}/xdg/Xwayland-session.d/00-xrdb

# list plugins explicitly, so we notice if one goes missing
# some of these don't have a separate gschema
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.power.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.wwan.gschema.xml

%_userunitdir/*.service
%_userunitdir/*.target
%_userunitdir/gnome-session-x11-services.target.wants/
%_userunitdir/gnome-session-x11-services-ready.target.wants/org.gnome.SettingsDaemon.XSettings.service

%if %with build_packagekit
%{_libdir}/gnome-settings-daemon-%{api}/updates.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-%{api}/libupdates.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.updates.gschema.xml
%{_datadir}/dbus-1/interfaces/org.gnome.SettingsDaemonUpdates.xml
%endif

%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.global-shortcuts.gschema.xml

%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.housekeeping.gschema.xml

%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.media-keys.gschema.xml

%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.peripherals.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.peripherals.wacom.gschema.xml

%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.sharing.gschema.xml

%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.xsettings.gschema.xml

%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.color.gschema.xml

%{_libdir}/gnome-settings-daemon-%{api}/libgsd.so

%{_libexecdir}/gsd-printer
%{_libexecdir}/gsd-backlight-helper
%{_libexecdir}/gsd-wacom-oled-helper

%{_datadir}/gnome-settings-daemon/
%if %with build_packagekit
%{_datadir}/dbus-1/services/org.gnome.SettingsDaemon.service
%{_datadir}/dbus-1/interfaces/org.gnome.SettingsDaemonUpdates.xml
%endif

%{_datadir}/polkit-1/actions/org.gnome.settings-daemon.plugins.power.policy
%{_datadir}/polkit-1/actions/org.gnome.settings-daemon.plugins.wacom.policy

%{_datadir}/GConf/gsettings/gnome-settings-daemon.convert

%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.gschema.xml

%{_udevrulesdir}/61-gnome-settings-daemon-rfkill.rules

%files devel
%{_includedir}/gnome-settings-daemon-%{api}
%{_libdir}/pkgconfig/gnome-settings-daemon.pc
