# Minimum GNOME Shell version supported
%global min_gs_version %%(cut -d "." -f 1-3 <<<%{version})

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

# filter out private typelib req from mutter,
# mutter is already pulled with gnome-shell
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^typelib\\(Meta

Name:		gnome-shell-extensions
Version:	48.0
Release:	%mkrel 1
Summary:	Modify and extend GNOME Shell functionality and behavior
Group:		Graphical desktop/GNOME
License:        GPLv2+
URL:		https://wiki.gnome.org/GnomeShell/Extensions
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		gnome-shell-extensions-gnome-classic.patch
BuildRequires:	meson
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	pkgconfig(glib-2.0)
# ovitters: ensure gnome-shell is available and built before this package
BuildRequires:	gnome-shell >= %{min_gs_version}
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires:	pkgconfig(gobject-introspection-1.0)
Recommends:	%{name}-apps-menu
Recommends:	%{name}-auto-move-windows
Recommends:	%{name}-drive-menu
Recommends:	%{name}-gajim
Recommends:	%{name}-launch-new-instance
Recommends:	%{name}-native-window-placement
Recommends:	%{name}-places-menu
Recommends:	%{name}-systemMonitor
Recommends:	%{name}-user-theme
Recommends:	%{name}-windowsNavigator
Recommends:	%{name}-workspace-indicator
Requires:	gnome-shell >= %{min_gs_version}
Requires:	gnome-session
# ensure we use the upstream session file:
Conflicts:	desktop-common-data < 1:3.10-2
BuildArch:	noarch

# ovitters: removed as per 3.9.5
Conflicts:	%{name}-alternative-status-menu <= 3.9.4
# ovitters: removed as per 3.9.90
Conflicts:	%{name}-xrandr-indicator <= 3.9.5

%description
GNOME Shell Extensions is a collection of extensions providing additional
and optional functionality to GNOME Shell.

Enabled extensions:

  * apps-menu
  * auto-move-windows
  * drive-menu
  * launch-new-instance
  * light-style
  * native-window-placement
  * places-menu
  * screenshot-window-sizer
  * status-icons
  * system-monitor
  * user-theme
  * window-list
  * windowsNavigator
  * workspace-indicator

%package common
Summary:	Files common to GNOME Shell Extensions
Group:		Graphical desktop/GNOME
Requires:       gnome-shell >= %{min_gs_version}
# Dock extension no longer provides by GNOME Shell extensions >= 3.7.1
Obsoletes:      %{name}-dock < 3.7.1
# systemMonitor gone as of 3.15.91
Obsoletes:	%{name}-systemMonitor < 3.15.91
# classic overrides moved to gnome-classic-session as of 3.29.90
Obsoletes:	%{name}-overrides < 3.29.90
# gone in 3.32
Obsoletes:	gnome-shell-extensions-alternate-tab < 3.31.92
# gone in 40.0
Obsoletes:      gnome-shell-extensions-horizontal-workspaces < 40.0-1

%description common
GNOME Shell Extensions is a collection of extensions providing additional
and optional functionality to GNOME Shell. Common files and directories
needed by extensions are provided here.

%package -n gnome-classic-session
Summary:        GNOME "classic" mode session
Group:          Graphical desktop/GNOME
Requires:       %{name}-apps-menu = %{version}-%{release}
Requires:       %{name}-launch-new-instance = %{version}-%{release}
Requires:       %{name}-places-menu = %{version}-%{release}
Requires:       %{name}-window-list = %{version}-%{release}

%description -n gnome-classic-session
This package contains the required components for the GNOME Shell "classic"
mode, which aims to provide a GNOME 2-like user interface.

%package apps-menu
Summary:	Gnome 2.x style menu on the panel
Group:		Graphical desktop/GNOME
Requires:	%{name}-common = %{version}-%{release}

%description apps-menu
Lets you reach an application using gnome 2.x style menu on the panel.

%package auto-move-windows
Summary:	Assign specific workspaces to applications
Group:		Graphical desktop/GNOME
Requires:	%{name}-common = %{version}-%{release}

%description auto-move-windows
Lets you manage your workspaces more easily, assigning a specific workspace
to each application as soon as it creates a window, in a manner configurable
with a GSettings key.

%package drive-menu
Summary:	Disk device manager in the system status area
Group:		Graphical desktop/GNOME
Requires:	%{name}-common = %{version}-%{release}

%description drive-menu
Adds a menu in the system status area that tracks removable disk devices
attached and offers to browse them and eject/unmount them.

%package launch-new-instance
Summary:        Always launch a new application instance for GNOME Shell
Group:          Graphical desktop/GNOME
Requires:       %{name}-common = %{version}-%{release}

%description  launch-new-instance
This GNOME Shell extension modifies the behavior of clicking in the dash and app
launcher to always launch a new application instance.

%package light-style
Summary:        Use light style in GNOME Shell
License:        GPLv2+
Requires:       %{name}-common = %{version}-%{release}

%description light-style
This GNOME Shell extension changes the default style to light.


%package native-window-placement
Summary:	Arrange windows in overview in a more native way
Group:		Graphical desktop/GNOME
Requires:	%{name}-common = %{version}-%{release}

%description native-window-placement
This extension employs an algorithm (taken from KDE) for laying out the
thumbnails in the overview that more closely reflects the positions and
relative sizes of the actual windows, instead of using a fixed grid.

%package places-menu
Summary:	Places menu indicator in the system status area
Group:		Graphical desktop/GNOME
Requires:	%{name}-common = %{version}-%{release}

%description places-menu
Adds a menu in the system status area that resembles the Places menu from
GNOME 2.x

%package screenshot-window-sizer
Summary:	Screenshot window sizer for GNOME Shell
Group:		Graphical desktop/GNOME
License:	GPLv2+
Requires:	%{name}-common = %{version}-%{release}

%description screenshot-window-sizer
This GNOME Shell extension allows to easily resize windows for GNOME Software
screenshots.

%package status-icons
Summary:	Status icons support for GNOME Shell
Group:		Graphical desktop/GNOME
License:	GPL-2.0-or-later
Requires:	%{name}-common = %{version}-%{release}

%description status-icons
This GNOME Shell extension displays status icons in the top bar.

%package system-monitor
Summary:	System monitor for GNOME Shell
Group:		Graphical desktop/GNOME
License:	GPLv2+
Requires:	%{name}-common = %{version}-%{release}

%description system-monitor
This GNOME Shell extension displays system usage information in the top bar.

%package user-theme
Summary:	Lets the user select a custom theme for the shell
Group:		Graphical desktop/GNOME
Requires:	%{name}-common = %{version}-%{release}

%description user-theme
Lets the user select a custom theme for the Gnome shell. It will allow you to
apply a style from /.themes/[themeName]/gnome-shell/gnome-shell.css

%package window-list
Summary:        Display a window list at the bottom of the screen in GNOME Shell
Group:          Graphical desktop/GNOME
Requires:       %{name}-common = %{version}-%{release}

%description window-list
This GNOME Shell extension displays a window list at the bottom of the screen.

%package windowsNavigator
Summary:	Keyboard selection of windows and work-spaces in overlay mode
Group:		Graphical desktop/GNOME
Requires:	%{name}-common = %{version}-%{release}

%description windowsNavigator
Allow keyboard selection of windows and work-spaces in overlay mode in
GNOME Shell.

Switch to overview mode (press the windows or alt+f1 key) and
press the alt key to show numbers over windows.  Press any number to switch
to the corresponding window.

%package workspace-indicator
Summary:	A menu for changing workspace
Group:		Graphical desktop/GNOME
Requires:	%{name}-common = %{version}-%{release}

%description workspace-indicator
A menu for changing workspace.

%prep
%autosetup -p1

%build
%meson -Dextension_set="all" -Dclassic_mode=true
%meson_build

%install
%meson_install

# Drop useless example extension
#rm -r %%{buildroot}%%{_datadir}/gnome-shell/extensions/example*
#rm %%{buildroot}%%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.example.gschema.xml

# helper script
mkdir -p %buildroot%{_bindir}
cat << EOF >%{buildroot}%{_bindir}/startgnome_classic
#!/bin/sh
GNOME_SHELL_SESSION_MODE=classic
export GNOME_SHELL_SESSION_MODE
exec gnome-session
EOF
chmod 755 %{buildroot}%{_bindir}/startgnome_classic

%find_lang %{name}

# make sure to nuke pre-mga6 generated session:
%posttrans -n gnome-classic-session
# (ovitters) In posttrans, $1 is always equal to 1, even in the upgrade case.
# So just run this always:
if [ -e %{_datadir}/xsessions/03GNOMEClassic.desktop ]; then
        rm -rf %{_datadir}/xsessions/03GNOMEClassic.desktop
fi
if [ -e %{_sysconfdir}/X11/dm/Sessions/03GNOMEClassic.desktop ]; then
        rm -rf %{_sysconfdir}/X11/dm/Sessions/03GNOMEClassic.desktop
fi

%files common -f %{name}.lang
%doc README.md
%dir %{_datadir}/gnome-shell/extensions/

%files -n gnome-classic-session
%{_bindir}/startgnome_classic
%{_datadir}/gnome-shell/modes/classic.json
%{_datadir}/glib-2.0/schemas/00_org.gnome.shell.extensions.classic.gschema.override
%{_datadir}/xsessions/*
%{_datadir}/wayland-sessions/gnome-classic.desktop
%{_datadir}/wayland-sessions/gnome-classic-wayland.desktop

%files apps-menu
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.apps-menu.gschema.xml
%{_datadir}/gnome-shell/extensions/apps-menu*

%files auto-move-windows
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.auto-move-windows.gschema.xml
%{_datadir}/gnome-shell/extensions/auto-move-windows*

%files drive-menu
%{_datadir}/gnome-shell/extensions/drive-menu*

%files launch-new-instance
%{_datadir}/gnome-shell/extensions/launch-new-instance*

%files light-style
%{_datadir}/gnome-shell/extensions/light-style*/

%files native-window-placement
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.native-window-placement.gschema.xml
%{_datadir}/gnome-shell/extensions/native-window-placement*

%files places-menu
%{_datadir}/gnome-shell/extensions/places-menu*

%files screenshot-window-sizer
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.screenshot-window-sizer.gschema.xml
%{_datadir}/gnome-shell/extensions/screenshot-window-sizer*/

%files status-icons
%{_datadir}/gnome-shell/extensions/status-icons*/

%files system-monitor
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.system-monitor.gschema.xml
%{_datadir}/gnome-shell/extensions/system-monitor*/

%files user-theme
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.user-theme.gschema.xml
%{_datadir}/gnome-shell/extensions/user-theme*

%files window-list
%{_datadir}/gnome-shell/extensions/window-list*
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.window-list.gschema.xml

%files windowsNavigator
%{_datadir}/gnome-shell/extensions/windowsNavigator*

%files workspace-indicator
%{_datadir}/gnome-shell/extensions/workspace-indicator*
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.workspace-indicator.gschema.xml
