# (tv) gnome-shell-41 requires both 'typelib(Soup) = 2.4' & 'typelib(Soup) = 3.0'
# exclude the extra requires as we want to use libsoup3
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}typelib\\\(Soup\\\) = 2.4
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}typelib\\(Meta|MetaTest|St|TelepathyGlib\\)

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

#define mutter_ver	%%(echo %%{version}|cut -d. -f1,2,3)
%define mutter_ver	48.0
%define mutter_major    16

# To make GNOME Shell extensions load, we need to get rid of DT_RUNPATH on /usr/bin/gnome-shell
# (see glibc bug #13945, GNOME bug #670477, Mageia bug #4523)
%define _disable_ld_enable_new_dtags 1

%global systemd_units gnome-shell.service

Summary:	Core user interface for the GNOME 3 desktop
Name:		gnome-shell
Version:	48.0
Release:	%mkrel 1
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
Url:		https://wiki.gnome.org/GnomeShell
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

# Backported from upstream

%define pipewire_version 0.3.0

BuildRequires:	meson
BuildRequires:	asciidoc
BuildRequires:	appstream
BuildRequires:	appstream-util
BuildRequires:	sassc
BuildRequires:	python3-docutils
BuildRequires:	libegl-devel
BuildRequires:	pkgconfig(bash-completion)
BuildRequires:	pkgconfig(clutter-1.0)
BuildRequires:	pkgconfig(clutter-glx-1.0) >= 1.7.5
BuildRequires:	pkgconfig(clutter-x11-1.0) >= 1.7.5
BuildRequires:	pkgconfig(folks) >= 0.5.2
BuildRequires:	pkgconfig(gcr-4) >= 3.8.0
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gdk-x11-3.0)
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.31.6
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(gnome-autoar-0)
BuildRequires:	pkgconfig(gnome-bluetooth-3.0) >= 3.9.0
BuildRequires:	pkgconfig(gnome-desktop-4)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gnome-keybindings)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 1.45.3
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 41.0
BuildRequires:	pkgconfig(gstreamer-1.0) >= 0.11.92
BuildRequires:	pkgconfig(gstreamer-base-1.0)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(gtk-doc)
BuildRequires:	pkgconfig(ibus-1.0)
BuildRequires:	pkgconfig(libecal-2.0) >= 2.32.0
BuildRequires:	pkgconfig(libedataserver-1.2) >= 1.2.0
BuildRequires:	pkgconfig(libgnome-menu-3.0)
BuildRequires:	pkgconfig(libmutter-%{mutter_major}) >= %{mutter_ver}
BuildRequires:	pkgconfig(mutter-clutter-%{mutter_major})
BuildRequires:	pkgconfig(libnm)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libpulse-mainloop-glib)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(libstartup-notification-1.0) >= 0.11
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(polkit-agent-1) >= 0.100
BuildRequires:	pkgconfig(libpipewire-0.3) >= %{pipewire_version}
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(telepathy-glib) >= 0.17.5
BuildRequires:	pkgconfig(telepathy-logger-0.2) >= 0.2.4
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(caribou-1.0)
BuildRequires:	pkgconfig(gjs-1.0) >= 1.69.2
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(python3)

# gnome-shell handles notifications natively, no notification-daemon needed
Provides:	virtual-notification-daemon
# and ditto for polkit authorisation dialogs
Provides:	polkit-agent
# bundles its own copy of libcroco
# https://gitlab.gnome.org/GNOME/gnome-shell/-/merge_requests/861
Provides:	bundled(libcroco)

Obsoletes:	gnome-applet-netspeed < 3.0.2

# Obsolete and archived by upstream
Obsoletes:	gnome-screensaver < 3.6.1-20

Requires:	mutter >= %{mutter_ver}
Requires:	gjs
Requires:	glxinfo
Requires:	gnome-session
Requires:	adwaita-icon-theme
# For a GSettings schema
Requires:	gnome-settings-daemon
Requires:	gsettings-desktop-schemas >= 3.9.2
Requires:	packagekit-gtk3-module
Requires:	telepathy-mission-control
Requires:	gnome-control-center
Requires:	xdg-desktop-portal-gtk
# work around delay in  startup on multi-de installs
Recommends:	xdg-desktop-portal-gnome
# mga#11640 when there are multiple keyboard layouts, "Show Keyboard Layouts" option
# also needed in 3.17+
Requires:       tecla
# Ensures extensions.gnome.org works for Firefox 52+, Chrome, Chromiun
Requires:	gnome-browser-connector

# --- gir/typelibs not automatically required ---
# mga#14269  I don't think this is needed, but Mageia 5 should get out
Requires:	typelib(GcrUi)

# (cg) gnome-shell needs schemas defined/shipped with gdm and needs gdm for
# screen locking. Technically, this could be relaxed upstream and the schema
# moved to gsettings-desktop-schemas, so if that happens, the dep can be relaxed
# https://bugs.mageia.org/show_bug.cgi?id=14430
Requires:	gdm

# (ovitters) extensions depend on 'unzip' being available; mga#16005
Requires:	unzip

# (daviddavid) needed for thunderbolt support (mga#23917)
Recommends:	bolt

# (ovitters)  for automatic rotation support. Daemon only loads if hardware is
#             available (mga#24877)
Recommends:	iio-sensor-proxy

Recommends:	gnome-remote-desktop

%description
GNOME Shell provides core user interface functions for the GNOME 3
desktop, like switching to windows and launching applications. GNOME
Shell takes advantage of the capabilities of modern graphics hardware
and introduces innovative user interface concepts to provide a
visually attractive and easy to use experience.

%package api_doc
Summary:	API documentation for %{name}
Group:		Documentation

%description api_doc
API documentation for %{name}.

%prep
%autosetup -p1

%build
%meson \
  -Dgtk_doc=false
%meson_build

%install
%meson_install

%find_lang %name

%post
%systemd_user_post %{systemd_units}

%files -f %name.lang
%license COPYING
%doc README.md NEWS
%{_bindir}/gnome-shell
%{_bindir}/gnome-shell-*
%{_bindir}/gnome-extensions
%{_bindir}/gnome-extensions-app
%{_libdir}/%{name}/
%{_libexecdir}/gnome-shell-calendar-server
%{_libexecdir}/gnome-shell-perf-helper
%{_libexecdir}/gnome-shell-hotplug-sniffer
%{_libexecdir}/gnome-shell-portal-helper
%{_datadir}/dbus-1/services/org.gnome.Shell.CalendarServer.service
%{_datadir}/dbus-1/services/org.gnome.Extensions.service
%{_datadir}/dbus-1/services/org.gnome.Shell.Extensions.service
%{_datadir}/dbus-1/services/org.gnome.Shell.HotplugSniffer.service
%{_datadir}/dbus-1/services/org.gnome.Shell.Notifications.service
%{_datadir}/dbus-1/services/org.gnome.Shell.PortalHelper.service
%{_datadir}/dbus-1/services/org.gnome.Shell.Screencast.service
%{_datadir}/dbus-1/services/org.gnome.ScreenSaver.service
%{_datadir}/dbus-1/interfaces/org.gnome.Shell.Extensions.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Shell.Introspect.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Shell.PadOsd.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Shell.Screencast.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Shell.Screenshot.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Shell.ScreenTime.xml
%{_datadir}/desktop-directories/X-GNOME-Shell-System.directory
%{_datadir}/desktop-directories/X-GNOME-Shell-Utilities.directory
%{_datadir}/dbus-1/interfaces/org.gnome.ShellSearchProvider.xml
%{_datadir}/dbus-1/interfaces/org.gnome.ShellSearchProvider2.xml
%{_datadir}/glib-2.0/schemas/org.gnome.shell.gschema.xml
%{_datadir}/glib-2.0/schemas/00_org.gnome.shell.gschema.override
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Extensions*.svg
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Shell.CaptivePortal.svg
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Shell.Extensions*.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Extensions-symbolic.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Shell.Extensions*.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Shell.CaptivePortal-symbolic.svg
%{_datadir}/applications/org.gnome.Shell.desktop
%{_datadir}/applications/org.gnome.Extensions.desktop
%{_datadir}/applications/org.gnome.Shell.Extensions.desktop
%{_datadir}/applications/org.gnome.Shell.PortalHelper.desktop
%{_datadir}/gnome-control-center/keybindings/*%{name}*.xml
%{_datadir}/%{name}/
%{_datadir}/glib-2.0/schemas/org.gnome.Extensions.gschema.xml
%{_datadir}/bash-completion/completions/gnome-extensions
%{_userunitdir}/org.gnome.Shell-disable-extensions.service
%{_userunitdir}/org.gnome.Shell.target
%{_userunitdir}/org.gnome.Shell@wayland.service
%{_userunitdir}/org.gnome.Shell@x11.service
%{_metainfodir}/org.gnome.Extensions.metainfo.xml
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/gnome-extensions.1*

%files api_doc
#{_datadir}/gtk-doc/html/shell
#{_datadir}/gtk-doc/html/st
