%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global appstream_version 1.0.0
%global flatpak_version 1.5.1
%global fwupd_version 1.3.3
%global glib2_version 2.61.1
%global gtk4_version 4.4.0
%global libadwaita_version 1.0.1
%global libxmlb_version 0.1.7
%global packagekit_version 1.1.1

# this is not a library version
%global plugins_major 22

%global tarball_version %%(echo %{version} | tr '~' '.')

%global __provides_exclude_from ^%{_libdir}/%{name}/plugins-%{plugins_major}/.*\\.so.*$

Summary:	A software center for GNOME
Name:		gnome-software
Version:	48.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		https://wiki.gnome.org/Apps/Software
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz

BuildRequires:	docbook-style-xsl
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	gtk-doc
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	xsltproc
BuildRequires:	pkgconfig(appstream) >= %{appstream_version}
BuildRequires:	pkgconfig(flatpak) >= %{flatpak_version}
BuildRequires:	pkgconfig(fwupd) >= %{fwupd_version}
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0) >= %{glib2_version}
BuildRequires:	pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires:	pkgconfig(gmodule-2.0) >= %{glib2_version}
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gtk4) >= %{gtk4_version}
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libadwaita-1) >= %{libadwaita_version}
BuildRequires:	pkgconfig(libdnf)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(malcontent-0)
BuildRequires:	pkgconfig(packagekit-glib2) >= %{packagekit_version}
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	pkgconfig(rpm)
BuildRequires:	pkgconfig(sysprof-capture-4)
BuildRequires:	pkgconfig(xmlb) >= %{libxmlb_version}
BuildRequires:	gnome-common
Requires:	adwaita-icon-theme
Requires:	fwupd%{?_isa} >= %{fwupd_version}
Requires:	gnome-packagekit
Requires:	flatpak%{?_isa} >= %{flatpak_version}
# TODO not yet in mageia
#Requires:	gnome-app-list

Obsoletes:	gnome-software-editor < 3.35.1

%description
gnome-software is an application that makes it easy to add, remove
and update software in the GNOME desktop.

%package devel
Summary:	Headers for building external gnome-software plugins
Group:		Development/GNOME and GTK+
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
These development files are for building gnome-software plugins outside
the source tree. Most users do not need this subpackage installed.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson		\
	-Dmalcontent=true \
	-Dgudev=true \
	-Dpackagekit=true \
	-Dpackagekit_autoremove=true \
	-Drpm_ostree=false \
	-Dwebapps=true \
	-Dhardcoded_foss_webapps=true \
	-Dhardcoded_proprietary_webapps=false \
	-Dtests=false
%meson_build

%install
export LANG=UTF-8
%meson_install

desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

# make the software center load faster
desktop-file-edit %{buildroot}%{_datadir}/applications/org.gnome.Software.desktop \
    --set-key=X-AppInstall-Package --set-value=%{name}

# set up for Mageia
cat >> %{buildroot}%{_datadir}/glib-2.0/schemas/org.gnome.software-mageia.gschema.override << FOE
[org.gnome.software]
official-repos = [ 'mageia-*', 'cauldron-*', 'updates-*', 'updates_testing-*', 'backports-*', 'backports_testing-*' ]
FOE

%find_lang %name --with-gnome

%check
#meson_test

%files -f %{name}.lang
%license COPYING
%doc AUTHORS README.md
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_mandir}/man1/%{name}.1.*
%{_iconsdir}/*/*/apps/*
%{_iconsdir}/hicolor/scalable/categories/system-component*.svg
%{_sysconfdir}/xdg/autostart/org.gnome.Software.desktop
%dir %{_datadir}/swcatalog
%dir %{_datadir}/swcatalog/xml
%{_datadir}/swcatalog/xml/gnome-pwa-list-foss.xml
%{_datadir}/dbus-1/services/org.freedesktop.PackageKit.service
%{_datadir}/dbus-1/services/org.gnome.Software.service
%{_datadir}/glib-2.0/schemas/org.gnome.software.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.software-mageia.gschema.override
%{_datadir}/gnome-shell/search-providers/*-search-provider.ini
%{_libexecdir}/gnome-software-cmd
%{_libexecdir}/gnome-software-restarter
%{_metainfodir}/org.gnome.Software.metainfo.xml
%{_metainfodir}/org.gnome.Software.Plugin.Epiphany.metainfo.xml
%{_metainfodir}/org.gnome.Software.Plugin.Flatpak.metainfo.xml
%{_metainfodir}/org.gnome.Software.Plugin.Fwupd.metainfo.xml
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins-%{plugins_major}
%{_libdir}/%{name}/libgnomesoftware.so
%{_libdir}/gnome-software/libgnomesoftware.so.%{plugins_major}
%{_libdir}/%{name}/plugins-%{plugins_major}/libgs_plugin_*.so
%{_datadir}/bash-completion/completions/gnome-software

%files devel
%{_libdir}/pkgconfig/gnome-software.pc
%dir %{_includedir}/gnome-software
%{_includedir}/gnome-software/*.h
%{_datadir}/gtk-doc/html/gnome-software
