%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}
%global __provides_exclude_from %{_libdir}/%{name}
%global __requires_exclude_from %{_libdir}/%{name}

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:		gnome-sound-recorder
Version:        43~beta
Release:	%mkrel 1
Summary:	A simple, modern sound recorder
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
URL:		https://wiki.gnome.org/Apps/SoundRecorder
Source0:        https://download.gnome.org/sources/%{name}/%{url_ver}//%{name}-%{tarball_version}.tar.xz
BuildArch:	noarch

# Patch from upstream git to fix gnome-sound-recorder not starting
# Patch from upstream git to fix icon
BuildRequires:	gettext
BuildRequires:	meson
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gjs-1.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:	gsettings-desktop-schemas
BuildRequires:	desktop-file-utils
BuildRequires:	gstreamer1.0-tools
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	gstreamer1.0-plugins-base
BuildRequires:	gstreamer1.0-plugins-good
BuildRequires:	gstreamer1.0-flac
BuildRequires:	pkgconfig(gstreamer-player-1.0)
BuildRequires:	libtool
Requires:	gjs
Requires:	gsettings-desktop-schemas
Requires:	task-codec-audio
Requires:	gstreamer1.0-plugins-base
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-flac

%description
A simple, modern sound recorder for the GNOME desktop.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson
%meson_build


%install
%meson_install
%find_lang org.gnome.SoundRecorder

%files -f org.gnome.SoundRecorder.lang
%doc AUTHORS README.md NEWS
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.SoundRecorder.desktop
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/icons/hicolor/*/apps/org.gnome.SoundRecorder.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.SoundRecorder-symbolic.svg
%{_datadir}/metainfo/org.gnome.SoundRecorder.metainfo.xml
%{_datadir}/org.gnome.SoundRecorder/
