%global debug_package %{nil}

Summary:	Subtitle editor for the GNOME desktop
Name:		gnome-subtitles
Version:	1.8
Release:	%mkrel 3
License:	GPLv2+
Group:		Video/Editors and Converters
URL:		https://gnomesubtitles.org/
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Source1:	https://gstreamer.freedesktop.org/src/gstreamer-sharp/gstreamer-sharp-1.20.3.tar.xz
Source2:	https://github.com/GLibSharp/GtkSharp/archive/3.22.2/GtkSharp-3.22.2.tar.gz
Source3:	https://github.com/GLibSharp/bindinator/archive/13cdbcdb9bd9e05666e56e7e374027fa719acda4/bindinator-13cdbcd.tar.gz
Patch1:		0001-Side-bar-resizes-itself-during-video-playback.patch
BuildRequires:	meson
BuildRequires:	imagemagick
BuildRequires:	intltool >= 0.35.0
BuildRequires:	itstool
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:	pkgconfig(gstreamer-video-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
#https://gitlab.gnome.org/GNOME/gnome-subtitles/-/issues/199
#BuildRequires:	pkgconfig(gtk-sharp-3.0)
BuildRequires:	pkgconfig(mono) >= 1.1
#pulled in by bundled gstreamer-sharp
BuildRequires:	pkgconfig(gstreamer-webrtc-1.0)
BuildRequires:	pkgconfig(gst-editing-services-1.0)

Requires:	enchant2
Recommends:	gstreamer1.0-decoders

Provides:	bundled(gstreamer1-sharp) = 1.20.3
Provides:	bundled(gtk-sharp3) = 3.22.2

%global _privatelibs mono\\((atk|cairo|gdk|gio|glib|gstreamer|gtk|pango)-sharp\\).*
%global __provides_exclude ^(%{_privatelibs})$
%global __requires_exclude ^(%{_privatelibs})$

%description
Gnome Subtitles is a subtitle editor for the GNOME desktop. It
supports the most common text-based subtitle formats and allows for
subtitle editing, translation and synchronization.

%prep
%autosetup -p1
%setup -q -T -D -a 1
%setup -q -T -D -a 2
%setup -q -T -D -a 3
mv gstreamer-sharp-1.20.3 subprojects/gstreamer-sharp
mv GtkSharp-3.22.2 subprojects/gtk-sharp
mv bindinator-13cdbcdb9bd9e05666e56e7e374027fa719acda4 subprojects/bindinator

%build
%meson -Dinstall_gtk_sharp=true \
       -Dgstreamer-sharp:tests=disabled
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc AUTHORS NEWS README.md
%license COPYING
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/applications/org.gnome.GnomeSubtitles.desktop
%{_metainfodir}/org.gnome.GnomeSubtitles.appdata.xml
%{_datadir}/glib-2.0/schemas/org.gnome.GnomeSubtitles.gschema.xml
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1*
