%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Simple process monitor
Name:		gnome-system-monitor
Version:	48.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# Backported from upstream
BuildRequires:	pkgconfig(catch2-with-main)
BuildRequires:	pkgconfig(giomm-2.68) >= 2.68
BuildRequires:	pkgconfig(glib-2.0) >= 2.56.0
BuildRequires:	pkgconfig(glibmm-2.68) >= 2.68
BuildRequires:	pkgconfig(gtk4) >= 4.12.0
BuildRequires:	pkgconfig(gtkmm-4.0) >= 4.0.0
BuildRequires:	pkgconfig(libgtop-2.0) >= 2.41.2
BuildRequires:	pkgconfig(libadwaita-1) >= 1.4.0
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.46
BuildRequires:	pkgconfig(libxml-2.0) >= 2.0
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	gnome-doc-utils
BuildRequires:	itstool
BuildRequires:	gettext
BuildRequires:	meson
BuildRequires:	appstream
BuildRequires:	polkit-devel

Requires:	polkit-agent

%ifnarch %arm %mips
Requires:	lsb-release
%endif

%description
gnome-system-monitor allows to graphically view and manipulate the running
processes on your system. It also provides an overview of available resources
such as CPU and memory.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc README.md NEWS AUTHORS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/applications/org.gnome.SystemMonitor.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-system-monitor.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-system-monitor.gschema.xml
%{_datadir}/gnome-system-monitor/gsm.gresource
%dir %{_libexecdir}/%{name}/
%{_libexecdir}/%{name}/gsm-*
%{_datadir}/polkit-1/actions/org.gnome.%{name}.policy
%{_metainfodir}/org.gnome.SystemMonitor.metainfo.xml
%{_iconsdir}/*/*/apps/org.gnome.SystemMonitor*.svg
%{_iconsdir}/hicolor/symbolic/apps/*.svg
