%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gnome-taquin
Version:	3.38.1
Release:	%mkrel 3
Summary:	GNOME Taquin game
License:	GPLv2+ and CC-BY-SA
Group:		Games/Puzzles
URL:		https://wiki.gnome.org/Apps/Taquin
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# couple upstream post 3.38.1 commits to help it build
Patch1:         0001-Don-t-alter-or-try-to-write-GtkChild-fields.patch
Patch2:         0001-Reference-of-GtkChild-fields-is-handled-by-GtkBuilde.patch
BuildRequires:	pkgconfig(pygobject-3.0) >= 2.28.3
BuildRequires:	gettext
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	meson
BuildRequires:	python3
BuildRequires:	vala
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.40.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.40.0
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(gsound)
BuildRequires:	pkgconfig(libcanberra-gtk3)
# For help
Requires:	yelp

%description
Test your logic skills in this number grid puzzle.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Taquin.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Taquin.gschema.xml
%{_datadir}/%{name}/
%{_iconsdir}/*/*/apps/org.gnome.Taquin*
%{_metainfodir}/org.gnome.Taquin.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Taquin.service
%{_mandir}/man6/%{name}.6*
