%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	GNOME terminal
Name:		gnome-terminal
Version:	3.56.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		https://wiki.gnome.org/Apps/Terminal
Source0:	https://gitlab.gnome.org/GNOME/%{name}/-/archive/%{version}/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(dconf) >= 0.12.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.52.0
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.52.0
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 0.1.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.22.27
BuildRequires:	pkgconfig(libhandy-1)
BuildRequires:	pkgconfig(libnautilus-extension-4) >= 43.0
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(vte-2.91) >= 0.70.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	libxml2-utils
BuildRequires:	intltool >= 0.50.0
BuildRequires:	libxslt-proc
BuildRequires:	itstool
BuildRequires:	gnome-shell
BuildRequires:	appdata-tools
BuildRequires:	meson
BuildRequires:	pkgconfig(vapigen)
Recommends:	%{name}-nautilus

%description
This is the GNOME terminal emulator application.

%package nautilus
Summary:	Open a terminal in a specified folder
Group:		Graphical desktop/GNOME

Provides:	nautilus-open-terminal = %{version}-%{release}
Obsoletes:	nautilus-open-terminal < 0.20-6
Conflicts:	gnome-terminal < 3.42.2-1

%description nautilus
An extension for Nautilus which allows you to open a terminal in arbitrary
local folders.

%prep
%autosetup -p1

%build
%meson \
    -Ddebug=true \
    -Ddocs=true \
    -Dnautilus_extension=true \
    -Dsearch_provider=true

%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc README.md
%{_bindir}/%{name}
%{_datadir}/metainfo/org.gnome.Terminal.metainfo.xml
%{_datadir}/applications/org.gnome.Terminal.desktop
%{_datadir}/applications/org.gnome.Terminal.Preferences.desktop
%{_libexecdir}/%{name}-server
%{_libexecdir}/%{name}-preferences
%{_datadir}/dbus-1/services/org.gnome.Terminal.service
%{_datadir}/glib-2.0/schemas/org.gnome.Terminal.gschema.xml
%{_datadir}/gnome-shell/search-providers/gnome-terminal-search-provider.ini
%{_datadir}/xdg-terminals/org.gnome.Terminal.desktop
%{_iconsdir}/hicolor/*/apps/org.gnome.Terminal*.svg
%{_mandir}/man1/gnome*
%{_libdir}/gnome-terminal/gschemas.compiled
%{_userunitdir}/gnome-terminal-server.service

%files nautilus
%{_libdir}/nautilus/extensions-4/libterminal-nautilus.so
%{_metainfodir}/org.gnome.Terminal.Nautilus.metainfo.xml
