%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:			gnome-tweaks
Version:		46.1
Release:		%mkrel 2
Summary:		A tool to customize advanced GNOME 3 options
Group:			Graphical desktop/GNOME
License:		GPLv3
URL:			https://wiki.gnome.org/GnomeTweakTool
Source0:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildArch:		noarch
BuildRequires:		gettext
BuildRequires:		meson
BuildRequires:		pkgconfig(glib-2.0)
BuildRequires:		pkgconfig(gobject-introspection-1.0)
BuildRequires:		pkgconfig(gtk4)
BuildRequires:		pkgconfig(libadwaita-1)
BuildRequires:		pkgconfig(pygobject-3.0) >= 3.46.0
BuildRequires:		pkgconfig(gudev-1.0) >= 238
BuildRequires:		pkgconfig(gsettings-desktop-schemas) >= 3.3.2
BuildRequires:		pkgconfig(python3)
BuildRequires:		desktop-file-utils

Requires:		python3dist(pygobject)
Requires:		gnome-shell

%description
GNOME Tweak Tool is an application for changing the advanced settings
of GNOME 3.

Features:
* Install and switch gnome-shell themes
* Switch GTK+ themes
* Switch icon themes
* Change
  - The user-interface and title bar fonts
  - Icons in menus and buttons
  - Behavior on laptop lid close
  - Shell font size
  - File manager desktop icons
  - Title bar click action
  - Shell clock to show date
  - Font hinting
  - Font anti-aliasing


%files -f %{name}.lang
# License not included in source
%doc AUTHORS NEWS README.md
%license LICENSES/*
%{_bindir}/%{name}
%{python3_sitelib}/gtweak/
%{_datadir}/applications/org.gnome.tweaks.desktop
%{_datadir}/%{name}
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/icons/hicolor/*/apps/*tweak*.*
%{_datadir}/metainfo/org.gnome.tweaks.appdata.xml

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name}

desktop-file-install --dir=%{buildroot}%{_datadir}/applications \
	--remove-only-show-in=Pantheon \
	%{buildroot}%{_datadir}/applications/*.desktop
