%bcond_with selinux

%if %{with selinux}
%global toolchain clang
%endif

Summary:	GNOME user file sharing
Name:		gnome-user-share
Version:	48.0
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Servers
URL:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch1:		gnome-user-share-cargo-drop-optional-selinux.patch
BuildRequires:	apache
BuildRequires:	gettext
BuildRequires:	libxml2-utils
BuildRequires:	meson
BuildRequires:	cargo-rpm-macros
BuildRequires:	pkgconfig(glib-2.0) >= 2.28
BuildRequires:	pkgconfig(libsystemd)
%if %{with selinux}
BuildRequires:	pkgconfig(libselinux)
BuildRequires:	clang
%endif

Recommends:	apache
# no more available on mageia
#Recommends:	apache-mod_dnssd >= 0.6

%description
This program enables user to share directories through Webdav or Bluetooth
(over ObexFTP).

%prep
%autosetup -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%meson -Dhttpd=%{_sbindir}/httpd
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc README.md NEWS
%{_libexecdir}/gnome-user-share-*
%{_datadir}/gnome-user-share
%{_datadir}/GConf/gsettings/gnome-user-share.convert
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.file-sharing.gschema.xml
%{_datadir}/applications/%{name}-webdav.desktop
%{_userunitdir}/gnome-user-share-webdav.service
