%define major		6
%define api		1.0
%define libname		%mklibname gdict %{api} %{major}
%define libnamedev	%mklibname -d gdict %{api}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	GNOME utility programs such as file search and calculator
Name:		gnome-utils
Version:	3.2.1
Epoch:		1
Release:	%mkrel 1
License:	GPLv2+ and GFDL
Group:		Graphical desktop/GNOME
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
URL:		https://www.gnome.org/softwaremap/projects/gnome-utils/
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.29.14
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gthread-2.0) >= 2.29.14
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.3
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.26
BuildRequires:	pkgconfig(libgtop-2.0) >= 2.12.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	libsm-devel
BuildRequires:	libice-devel
BuildRequires:	scrollkeeper
BuildRequires:	gnome-doc-utils
BuildRequires:	gnome-common
BuildRequires:	gtk-doc
BuildRequires:	intltool
Conflicts:	gnome-control-center < 3.0.2

%description
GNOME is the GNU Network Object Model Environment. This powerful
environment is both easy to use and easy to configure.

GNOME Utilities is a collection of small applications all there to make
your day just that little bit brighter - System Log Viewer, 
Search Tool, Dictionary.

%package -n %{libname}
Group:		System/Libraries
Summary:	GNOME dictionary shared library

%description -n %{libname}
This is the shared library required by the GNOME Dictionary.

%package -n %{libnamedev}
Group:		Development/C
Summary:	GNOME dictionary library development files
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	libgdict1.0-devel = %{epoch}:%{version}-%{release}

%description -n %{libnamedev}
This is the shared library required by the GNOME Dictionary.

%prep
%setup -q

%build
%configure \
	--disable-schemas-compile \
	--disable-schemas-install \
	--disable-scrollkeeper \
	--disable-static

#needed to ensure generated stuff is removed
make clean

%make

%install
rm -rf %{buildroot}

%make_install

rm -rf %{buildroot}/var

# we don't want these
rm -rf %{buildroot}%{_libdir}/*.la

# make gnome-system-log use consolehelper until it starts using polkit
./mkinstalldirs %{buildroot}%{_sysconfdir}/pam.d
/bin/cat <<EOF > %{buildroot}%{_sysconfdir}/pam.d/gnome-system-log
#%%PAM-1.0
auth		include		system-auth
account		include		system-auth
session		include		system-auth
EOF

./mkinstalldirs %{buildroot}%{_sysconfdir}/security/console.apps
/bin/cat <<EOF > %{buildroot}%{_sysconfdir}/security/console.apps/gnome-system-log
USER=root
PROGRAM=/usr/sbin/gnome-system-log
SESSION=true
FALLBACK=true
EOF

./mkinstalldirs %{buildroot}%{_sbindir}
mv %{buildroot}%{_bindir}/gnome-system-log %{buildroot}%{_sbindir}
ln -s /usr/bin/consolehelper %{buildroot}%{_bindir}/gnome-system-log

%{find_lang} %{name}-2.0 --with-gnome --all-name
for omf in %{buildroot}%{_datadir}/omf/*/{*-??,*-??_??}.omf ;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%{buildroot}!!)" >> %{name}-2.0.lang
done

rm -fv %{buildroot}%{_bindir}/test-reader

%preun
%preun_uninstall_gconf_schemas gnome-search-tool

%clean
rm -rf %{buildroot}

%files -f %{name}-2.0.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/security/console.apps/gnome-system-log
%{_sysconfdir}/pam.d/gnome-system-log
%{_sysconfdir}/gconf/schemas/gnome-search-tool.schemas
%{_bindir}/baobab
%{_bindir}/gnome-dictionary
%{_bindir}/gnome-panel-screenshot
%{_bindir}/gnome-screenshot
%{_bindir}/gnome-search-tool
%{_bindir}/gnome-system-log
%{_bindir}/gnome-font-viewer
%{_bindir}/gnome-thumbnail-font
%{_sbindir}/gnome-system-log
%{_datadir}/applications/*
%{_datadir}/baobab/
%{_datadir}/gnome-screenshot
%{_datadir}/gnome-utils
%{_datadir}/gdict*
%{_datadir}/gnome-dictionary/
%dir %{_datadir}/omf/*
%{_datadir}/omf/*/*-C.omf
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/*/*
%{_datadir}/pixmaps/*
%{_datadir}/GConf/gsettings/gnome-screenshot.convert
%{_datadir}/GConf/gsettings/logview.convert
%{_datadir}/glib-2.0/schemas/org.gnome.baobab.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.dictionary.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-screenshot.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-system-log.gschema.xml
%{_datadir}/thumbnailers/gnome-font-viewer.thumbnailer

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/libgdict-%{api}.so.%{major}*

%files -n %{libnamedev}
%defattr(-, root, root)
%{_libdir}/libgdict-%{api}.so
%{_libdir}/pkgconfig/gdict-%{api}.pc
%{_datadir}/gtk-doc/html/gdict
%{_includedir}/gdict-%{api}
