%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global gtk4_version 4.5
%global gjs_version 1.71.0

Name:		gnome-weather
Version:	48.0
Release:	%mkrel 1
Summary:	A weather application for GNOME
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		https://wiki.gnome.org/Apps/Weather
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	appstream-util
BuildRequires:	gettext
BuildRequires:	gjs
BuildRequires:	meson
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gtk4) >= %{gtk4_version}
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gjs-1.0) >= %{gjs_version}
BuildRequires:	pkgconfig(gweather4)
BuildRequires:	pkgconfig(libadwaita-1)
BuildRequires:	pkgconfig(libgeoclue-2.0)
BuildRequires:	pkgconfig(python3)
BuildRequires:	desktop-file-utils

# mga#28663
Requires:	gjs

%description
%{name} is a weather application for GNOME.

%prep
%autosetup

# python shebang
%py3_shebang_fix .

%build
%meson
%meson_build

%install
%meson_install

for file in %{buildroot}%{_datadir}/applications/*.desktop; do
	desktop-file-edit "$file"
done

%find_lang %{name} --all-name

%files -f %{name}.lang
%doc NEWS data/CREDITS
%{_bindir}/%{name}
%{_datadir}/org.gnome.Weather/
%{_datadir}/gnome-shell/search-providers/org.gnome.Weather.search-provider.ini
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/applications/*
%{_iconsdir}/*/*/*/*
%{_datadir}/dbus-1/services/*.service
%{_metainfodir}/org.gnome.Weather.appdata.xml
