%define api	48
%define major	0
%define libname	%mklibname gnote %{api} %{major}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then ver = string.gsub(ver, "~.*", ""); print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global tarball_version %%(echo %{version} | tr '~' '.')

Summary:	Note-taking application
Name:		gnote
Version:	48.0
Release:	%mkrel 1
Group:		Graphical desktop/GNOME
License:	GPLv3
URL:		https://wiki.gnome.org/Gnote
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz
BuildRequires:	meson
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(giomm-2.68)
BuildRequires:	pkgconfig(glibmm-2.68)
BuildRequires:	pkgconfig(gtkmm-4.0) >= 4.10.0
BuildRequires:	pkgconfig(libadwaita-1)
BuildRequires:	pkgconfig(libsecret-1) >= 0.8
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(UnitTest++)
BuildRequires:	appstream-util
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	gettext-devel

%global __provides_exclude_from ^%{_libdir}/%{name}/plugins/*/.*\\.so$

%description
Gnote is a simple desktop note-taking application for GNOME.
Easy to use, but with potential to help you organize the ideas and
information you deal with every day. Using a
WikiWiki-like linking system, organizing ideas is as simple as typing
a name. Branching an idea off is easy as pressing the Link button. And
links between your ideas won't break, even when renaming and
reorganizing them.

This is a clone of Tomboy, in C++.

%package -n	%{libname}
Group:		System/Libraries
Summary:	Note-taking application library

%description -n	%{libname}
This is the note-taking application library.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson
%meson_build

%install
%meson_install

rm -f %{buildroot}%{_libdir}/*.so

%find_lang %{name} --with-gnome

desktop-file-install --vendor="" \
  --remove-only-show-in="GNOME" \
  --remove-only-show-in="XFCE" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%files -f %{name}.lang
%license COPYING COPYING-DOCS
%doc AUTHORS NEWS README.md
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/%{name}/
%{_metainfodir}/org.gnome.Gnote.appdata.xml
%{_datadir}/applications/*
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/gnome-shell/search-providers/org.gnome.Gnote.search-provider.ini
%{_mandir}/man1/%{name}.1*

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}{,.*}
