# bcond_with    = disable
# bcond_without = enable
%bcond_without gtkdoc

%define lib_major       0
%define lib_name        %mklibname %{name} %{lib_major}
%define libnamedev      %mklibname %{name} -d

Summary:        The GLib Ncurses Toolkit
Name:           gnt
Version:        2.14.4
Release:        %mkrel 2
License:        GPLv2+
Group:          System/Internationalization
URL:            https://keep.imfreedom.org/libgnt/libgnt
Source0:        https://downloads.sourceforge.net/pidgin/lib%{name}-%{version}-dev.tar.xz
BuildRequires:  meson
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmodule-no-export-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(ncursesw)
%if %{with gtkdoc}
BuildRequires:  gtk-doc
BuildRequires:  libxslt-proc
BuildRequires:  docbook-style-xsl
BuildRequires:  docbook-dtd412-xml
%endif

%description
GNT is an ncurses toolkit for creating text-mode graphical user interfaces
in a fast and easy way. It is based on GLib and ncurses.

%package -n %{lib_name}
Summary:    The GLib Ncurses Toolkit
Group:      %{group}
Provides:   lib%{name} = %{version}-%{release}
Provides:   %{name} = %{version}-%{release}
Obsoletes:  gnt < 2.14.3-4

%description -n %{lib_name}
Libraries for GNT (the GLib Ncurses Toolkit), a toolkit for creating
text-mode GUIs in a fast and easy way.

%package -n %{libnamedev}
Summary:    Development files for %{name}
Group:      Development/GNOME and GTK+
Provides:   %{name}-devel = %{version}-%{release}
Provides:   lib%{name}-devel = %{version}-%{release}
Requires:   %{lib_name} = %{version}
Recommends: %{name}-doc >= %{version}

%description -n %{libnamedev}
This package includes the static libraries and header files
for the gnt package.

%package doc
Summary:    Documentation for %{name}
Group:      Documentation
BuildArch:  noarch

%description doc
This package provides API documentation for Pango.

%prep
%setup -q -n lib%{name}-%{version}-dev

%build
%meson \
        -Ddoc=%{?with_gtkdoc:true}%{!?with_gtkdoc:false} \
        -Dpython2=false
%meson_build

%install
%meson_install

%check
#disabled for https://bugzilla.gnome.org/show_bug.cgi?id=672981
%meson_check || true

%files -n %{lib_name}
%{_libdir}/lib%{name}.so.%{lib_major}{,.*}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so

%files -n %{libnamedev}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/gnt/

%if %{with gtkdoc}
%files doc
%{_datadir}/gtk-doc/html/lib%{name}
%endif
