%define debug_package %{nil}

%define libname_devel %mklibname gnu-efi -d

Summary:        Development Libraries and headers for EFI
Name:           gnu-efi
Version:        3.0.18
Release:        %mkrel 1
Group:          Development/Other
License:        BSD
URL:            https://gnu-efi.sourceforge.net/
Source:         https://downloads.sourceforge.net/project/gnu-efi/gnu-efi-%{version}.tar.bz2
ExclusiveArch:  %{efi}
BuildRequires:  efi-srpm-macros >= 5-3

%description
This package contains development headers and libraries for developing
applications that run under EFI (Extensible Firmware Interface).

%package -n %{libname_devel}
Summary:        Development Libraries and headers for EFI
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < 3.0q-3

%description -n %{libname_devel}
This package contains development headers and libraries for developing
applications that run under EFI (Extensible Firmware Interface).

%prep
%setup -q -n gnu-efi-%{version}
%autopatch -p1

%build
export LDFLAGS="--no-warn-rwx-segments"
# Package cannot build with %%{?_smp_mflags}.
make
make apps

%install
mkdir -p %{buildroot}%{_libdir}

make PREFIX=%{_prefix} LIBDIR=%{_libdir} INSTALLROOT=%{buildroot} install

mkdir -p %{buildroot}%{_libdir}/gnuefi
mv %{buildroot}%{_libdir}/*.lds %{buildroot}%{_libdir}/*.o %{buildroot}%{_libdir}/gnuefi

# (cg) We differ from Fedora in that we only install to known locations and copy
# to the EFI partition when needed - packaging stays away from /boot/
mkdir -p %{buildroot}%{_libdir}/gnuefi/images
mv */apps/{route80h.efi,modelist.efi} %{buildroot}%{_libdir}/gnuefi/images

%files -n %{libname_devel}
%doc README.* ChangeLog
%{_includedir}/efi
%{_libdir}/*

