Name:          gnubg
License:       GPLv3+
Group:         Games/Boards
Summary:       A backgammon game and analyser
Version:       1.08.003
Release:       %mkrel 2
URL:           https://www.gnu.org/software/gnubg/
Source0:       https://ftp.gnu.org/gnu/gnubg/gnubg-release-%{version}-sources.tar.gz
Source1:       gnubg.desktop
BuildRequires: desktop-file-utils
BuildRequires: flex
BuildRequires: pkgconfig(atk)
BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(gmp)
BuildRequires: pkgconfig(gdkglext-1.0)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(libcanberra-gtk)
BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(pango)
BuildRequires: pkgconfig(python3)
BuildRequires: pkgconfig(readline)
BuildRequires: pkgconfig(sqlite3)

Requires:      fonts-ttf-dejavu
Requires:      python3-mysql

%description
GNU Backgammon is software for playing and analysing backgammon
positions, games and matches. It's based on a neural network. Although it
already plays at a very high level, it's still work in progress. You may
play GNU Backgammon using the command line or a graphical interface.

%prep
%autosetup -p1

%build
SIMD=no
%ifarch x86_64
  # SSE2 instructions should be safe to use on all x86_64 CPUs
  SIMD=sse2
%endif
%configure \
	PYTHON=/usr/bin/python3 \
	--with-python \
	--enable-simd=$SIMD \
	--enable-shared \
	--disable-static
%make_build

%install
%make_install

install -Dpm 644 gnubg.weights %{buildroot}%{_datadir}/gnubg/gnubg.weights
cp -rp textures* %{buildroot}%{_datadir}/gnubg/
rm -f %{buildroot}%{_datadir}/gnubg/textures/Makefile{,.in,.am}
install -Dpm 644 doc/gnubg.info %{buildroot}%{_infodir}/gnubg.info
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE1}

%find_lang %{name}

# don't use the bundled fonts
rm -f %{buildroot}%{_datadir}/gnubg/fonts/*.ttf
rm -f %{buildroot}%{_datadir}/gnubg/fonts/COPYRIGHT.TXT.gz
ln -s ../../fonts/TTF/dejavu/DejaVuSans.ttf %{buildroot}%{_datadir}/gnubg/fonts/Vera.ttf
ln -s ../../fonts/TTF/dejavu/DejaVuSans-Bold.ttf %{buildroot}%{_datadir}/gnubg/fonts/VeraBd.ttf
ln -s ../../fonts/TTF/dejavu/DejaVuSerif-Bold.ttf %{buildroot}%{_datadir}/gnubg/fonts/VeraSeBd.ttf

%files -f %{name}.lang
%doc AUTHORS README COPYING ChangeLog
%doc doc/images doc/gnubg/*.html doc/gnubg/*.pdf
%{_bindir}/bearoffdump
%{_bindir}/gnubg
%{_bindir}/makebearoff
%{_bindir}/makehyper
%{_bindir}/makeweights
%{_infodir}/gnubg.info*
%dir %{_datadir}/gnubg
%{_datadir}/gnubg/met
%{_datadir}/gnubg/boards.xml
%{_datadir}/gnubg/gnubg_os0.bd
%{_datadir}/gnubg/gnubg.weights
%{_datadir}/gnubg/pixmaps
%{_datadir}/gnubg/Shaders
%{_datadir}/gnubg/sounds
%{_datadir}/gnubg/textures.txt
%{_datadir}/gnubg/textures
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnubg/fonts/
%{_datadir}/gnubg/gnubg.gtkrc
%{_datadir}/gnubg/gnubg.wd
%{_datadir}/gnubg/scripts/
%{_datadir}/gnubg/flags/
%{_datadir}/gnubg/gnubg.sql
%{_datadir}/gnubg/gnubg_ts0.bd
%{_datadir}/gnubg/gnubg.css
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/*
