Name:           gnubik
Version:        2.4.3
Release:        %mkrel 5
Summary:        3D interactive graphics puzzle

Group:          Games/Puzzles
License:        GPLv3+
URL:            https://www.gnu.org/software/gnubik/
Source0:        https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop

BuildRequires:  x11-proto-devel
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(gtkglext-1.0)
BuildRequires:  pkgconfig(guile-2.0)
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  texinfo
Requires:       hicolor-icon-theme

%description
GNUbik is a GNU package.  It is a 3D interactive graphics puzzle. It renders
an image of a magic cube (similar to a Rubik's cube) and you attempt to solve
it.


%prep
%setup -q
chmod -x src/{quarternion,txfm}.{c,h}
# Remove pregenerated binaries and let them be gerenerated
rm po/*.pot
rm doc/%{name}.info


%build
%configure
%make_build


%install
%make_install

%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man6
install -p -m 644 doc/%{name}.6 $RPM_BUILD_ROOT%{_mandir}/man6

rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/22x22/apps
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
install -p -m 644 icons/logo16.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -p -m 644 icons/logo22.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
install -p -m 644 icons/logo32.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -p -m 644 icons/logo48.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}

rm -f $RPM_BUILD_ROOT%{_datadir}/applications/gen-dot-desktop.scm

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}
%{_infodir}/%{name}.info.*
%{_mandir}/man*/%{name}*
