%define filever 2009-12-07

Name:           gnucap
Version:        20210107
Release:        %mkrel 2
Summary:        A general purpose circuit simulator (GNU Circuit Analysis Package)
License:        GPLv2+
Group:          Development/Other
Url:            http://www.gnucap.org/dokuwiki/doku.php?id=gnucap:start
#http://www.gnucap.org/devel/archive/%%{name}-%%{filever}.tar.gz
Source0:        https://git.savannah.gnu.org/cgit/gnucap.git/snapshot/%{name}-%{version}.tar.gz
Source1:        gnucap.1
Source2:        gnucap-modelgen.1
Patch0:         gnucap-fix-install-dirs-mageia.patch
Patch1:         gnucap-20210107-fix-64bit-paths.patch

BuildRequires:  pkgconfig(readline)

%description
GNUCAP is a general purpose circuit simulator. It performs nonlinear dc and
transient analyses, Fourier analysis, and ac analysis linearized at an
operating point. It is fully interactive and command driven. It can also be
run in batch mode or as a server. The output is produced as it simulates.
Spice compatible models for the MOSFET (level 1,2,3) and diode are included
in this release.

%prep
%setup -q -n %{name}-%{version}
%patch -P 0 -p1
%ifarch x86_64 aarch64
%patch -P 1 -p1
%endif

%build
%configure
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_mandir}/man1/
install -m 0644 %{S:1} %{S:2} %{buildroot}%{_mandir}/man1/

%files
%doc README
%license COPYING
%{_sysconfdir}/gnucap.conf
%{_bindir}/gnucap*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/gnucap-default-plugins.so
%{_libdir}/libgnucap.so
%{_includedir}/%{name}/
%{_mandir}/man1/gnucap*.1*
