%define _disable_ld_no_undefined 1

# fwang: we need to push *.so into main package, because they will be dlopened at runtime, see mga#4882 & mga#14996
%global __requires_exclude devel\\(lib(gnc|cairo|gdk|glib|gmodule|gobject|gtk|guile|m|pango|xml2|z)(.*)\\)|libgncmod-
%global __provides_exclude devel\\(libgnc(.*)\\)

%define lib_major  0
%define libname    %mklibname %{name} %{lib_major}
%define libnamedev %mklibname %{name} -d

%global guileapi 3.0

Name:           gnucash
Version:        5.11
Release:        %mkrel 1
Summary:        Application to keep track of your finances
License:        GPLv2+
Group:          Office/Finance
URL:            https://www.gnucash.org/
Source0:        https://downloads.sourceforge.net/gnucash//%{name}-%{version}.tar.bz2
Source1:        https://downloads.sourceforge.net/gnucash/%{name}-docs-%{version}.tar.gz
Source5:        engine-common.i
Patch0:         gnucash-rpath.patch
Patch1:         gnucash-5.10-docs-dont-create-symlink.patch
Patch3:         sysconfig.patch
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  ninja
BuildRequires:  boost-devel
BuildRequires:  pkgconfig(aqbanking) >= 4.0.0
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gnome-keyring-1)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(guile-%{guileapi})
BuildRequires:  pkgconfig(gwengui-gtk3)
BuildRequires:  pkgconfig(gwenhywfar)
BuildRequires:  pkgconfig(libofx)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(webkit2gtk-4.1)
BuildRequires:  pkgconfig(gtest)
BuildRequires:  pkgconfig(gmock)
BuildRequires:  pkgconfig(dbi)
BuildRequires:  libdbi-drivers-dbd-sqlite3
BuildRequires:  pkgconfig(ktoblzcheck)
BuildRequires:  pkgconfig(python3)
BuildRequires:  intltool
BuildRequires:  xsltproc
BuildRequires:  slib
BuildRequires:  gettext-devel
BuildRequires:  swig
BuildRequires:  locales-en
BuildRequires:  locales-fr
BuildRequires:  fop
BuildRequires:  docbook-style-xsl
BuildRequires:  docbook-dtds

Requires:       %{libname} = %{version}-%{release}
Requires:       libdbi-drivers-dbd-sqlite3
Requires:       guile%{guileapi}
Requires:       slib
Requires:       yelp
Requires:       dconf
Recommends:     iso-codes
Recommends:     perl-Finance-Quote

%description
GnuCash is a personal finance manager. A check-book like
register GUI allows you to enter and track bank accounts,
stocks, income and even currency trades. The interface is
designed to be simple and easy to use, but is backed with
double-entry accounting principles to ensure balanced books.

%package        -n %{name}-ofx
Summary:        Enables OFX importing in GnuCash
Group:          Office/Finance
Requires:       gnucash = %{version}-%{release}
 
%description    -n %{name}-ofx
This package adds OFX file import support to the base
GnuCash package. Install this package if you want to
import OFX files.

%package        -n %{name}-hbci
Summary:        Enables HBCI importing in GnuCash
Group:          Office/Finance
Requires:       gnucash = %{version}-%{release}
Requires:       aqbanking

%description    -n %{name}-hbci
This package adds HBCI file import support to the base
GnuCash package. Install this package if you want to
import HBCI files.

%package -n     %{libnamedev}
Group:          Development/C
Summary:        Libraries needed to develop for gnucash
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < %{version}-%{release}

%description -n %{libnamedev}
Libraries needed to develop for gnucash.

%package -n     %{libname}
Summary:        Libraries for gnucash
Group:          System/Libraries

%description -n %{libname}
This package provides libraries to use gnucash.

%package -n     python3-%{name}
Summary:        Python 3 module for gnucash
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Requires:       python3dist(matplotlib)
%{?python_provide:%python_provide python3-%{name}}
Obsoletes:      python-gnucash < 3.0-1
Provides:       python-gnucash = %{version}-%{release}

%description -n python3-%{name}
This package provides python 3 bindings to interact with gnucash.

%prep
%autosetup -p1 -a1 -n %{name}-%{version}

%build
%cmake \
    -GNinja \
    -DWITH_PYTHON=ON \
    -DCOMPILE_GSCHEMAS=OFF \
    -DCPACK_SOURCE_RPM=OFF \
    -DCPACK_SOURCE_TBZ2=OFF \
    -DCPACK_SOURCE_TGZ=OFF \
    -DCPACK_SOURCE_TXZ=OFF \
    -DCPACK_SOURCE_TZ=OFF

%cmake_build

pushd gnucash-docs-%{version}
%cmake
%cmake_build
popd

%install
%cmake_install
pushd gnucash-docs-%{version}
%cmake_install
popd

%find_lang %{name} --all-name --with-gnome

rm -fr %{buildroot}%{_libexecdir}/gnucash/src/libqof/qof/test

%files -n %{libnamedev}
%{_bindir}/gnucash-valgrind
%{_includedir}/gnucash/

%files -n %{libname}
%{_libdir}/*.so

%files -f %{name}.lang
%doc %{_docdir}/gnucash/
%doc %{_datadir}/gnucash-docs/
%license LICENSE
%config(noreplace) %{_sysconfdir}/%{name}
%{_bindir}/gnucash
%{_bindir}/gnucash-cli
%{_bindir}/gnc-fq-update
%{_bindir}/finance-quote-wrapper
%{_datadir}/applications/%{name}.desktop
%{_datadir}/guile/site/%{guileapi}/%{name}/
%{_metainfodir}/gnucash.appdata.xml
%{_iconsdir}/hicolor/*/apps/*gnucash*
%dir %{_libdir}/gnucash
%{_libdir}/gnucash/libgnc-bi-import.so
%{_libdir}/gnucash/libgnc-csv-export.so
%{_libdir}/gnucash/libgnc-csv-import.so
%{_libdir}/gnucash/libgnc-customer-import.so
%{_libdir}/gnucash/libgnc-gnome-search.so
%{_libdir}/gnucash/libgnc-gnome-utils.so
%{_libdir}/gnucash/libgnc-html.so
%{_libdir}/gnucash/libgnc-ledger-core.so
%{_libdir}/gnucash/libgnc-log-replay.so
%{_libdir}/gnucash/libgnc-qif-import.so
%{_libdir}/gnucash/libgnc-register-core.so
%{_libdir}/gnucash/libgnc-register-gnome.so
%{_libdir}/gnucash/libgnc-report.so
%{_libdir}/gnucash/libgncmod-backend*.so{,.*}
%{_libdir}/gnucash/libgncmod-python.so{,.*}
%{_libdir}/guile/%{guileapi}/site-ccache/gnucash/
%{_datadir}/%{name}/
%{_mandir}/man1/gnucash.1.*
%{_mandir}/man1/gnucash-cli.1.*
%{_mandir}/man1/finance-quote-wrapper.1.*
%{_datadir}/glib-2.0/schemas/*.xml
%exclude %{_datadir}/glib-2.0/schemas/*.ofx.*
%exclude %{_datadir}/glib-2.0/schemas/*.hbci.*
%exclude %{_datadir}/%{name}/python

%files -n %{name}-ofx
%{_libdir}/gnucash/libgncmod-ofx*.so{,.*}
%{_datadir}/glib-2.0/schemas/*.ofx.*

%files -n %{name}-hbci
%{_libdir}/gnucash/libgncmod-aqbanking*.so{,.*}
%{_datadir}/glib-2.0/schemas/*.hbci.*

%files -n python3-%{name}
%{python3_sitearch}/%{name}/
%{_datadir}/%{name}/python/
