%define book_version 1.02

Name:           gnuchess
Version:        6.2.9
Release:        %mkrel 3
Summary:        The GNU chess program
License:        GPLv2+ and Public Domain
Group:          Games/Boards
URL:            https://www.gnu.org/software/chess/
Source0:        https://ftp.gnu.org/gnu/chess/%{name}-%{version}.tar.gz
Source1:        https://ftp.gnu.org/gnu/chess/%{name}-%{version}.tar.gz.sig
Source2:        https://ftp.gnu.org/gnu/chess/book_%{book_version}.pgn.gz
Source3:        https://ftp.gnu.org/gnu/chess/book_%{book_version}.pgn.gz.sig

BuildRequires:  pkgconfig(readline)
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  flex
BuildRequires:  help2man


%description
The gnuchess package contains the GNU chess program.  By default, GNUchess uses
a text-based interface.  Alternatively, GNUchess can be used in conjunction
with other GUI interface, thus serving as a chess engine.

You should install the gnuchess package if you would like to play chess on your
computer. If you'd like to use a graphical interface with GNUchess, you'll also
need to install other GUI interface, such as xboard or eboard.

This package also includes opening book for gnuchess, containing many historic
games played between masters and grandmasters.


%prep
%autosetup -p1

gzip -dc %{_sourcedir}/book_%{book_version}.pgn.gz > book.pgn

%build
%configure --bindir=%{_gamesbindir}
%make_build

# create book
./src/%{name} --addbook book.pgn

%install
%make_install pkgdatadir=%{_gamesdatadir}/%{name}

# install book
install -m0644 book.bin -D %{buildroot}%{_gamesdatadir}/%{name}/book.bin

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README
%license COPYING
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}/
%{_gamesdatadir}/plugins/
%{_infodir}/*
%{_mandir}/man1/%{name}.1.*
