#define         prel 20200412
%define         rel 3

%define         major 4
%define         libname %mklibname cob %{major}
%define         devel %mklibname cob -d

%define         newcobdate 20160501

Name:           gnucobol
Version:        3.2
Release:        %mkrel %{?prel:-c dev%{prel}} %{rel}
Summary:        GnuCOBOL is a free software COBOL compiler
Group:          Development/Other
License:        GPLv3+
URL:            https://www.gnu.org/software/gnucobol/
Source0:        https://ftp.gnu.org/gnu/gnucobol/gnucobol-%{version}.tar.xz
Source1:        https://ftp.gnu.org/gnu/gnucobol/gnucobol-%{version}.tar.xz.sig
Source2:        https://ftp.gnu.org/gnu/gnu-keyring.gpg
# for tests
Source3:        https://downloads.sourceforge.net/open-cobol/newcob.val.tar.gz#/newcob.val-%{newcobdate}.tar.gz
# https://sourceforge.net/p/gnucobol/bugs/941/
Patch1:         xml-parser.patch
BuildRequires:  pkgconfig(libcjson)
BuildRequires:  pkgconfig(json-c)
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(gmp)
BuildRequires:  pkgconfig(readline)
BuildRequires:  gettext-devel
BuildRequires:  libdb-devel
BuildRequires:  help2man
#BuildRequires:  texinfo
#BuildRequires:  texinfo-tex
#BuildRequires:  texlive
Conflicts:      %{_lib}%{name}-devel < 3.1-0.dev20200412.4

# (wally) 2020-04-13
#$ cobc -free -x helloworld.cob
#/tmp/cob858688_0.c:11:10: fatal error: libcob.h: No such file or directory
#   11 | #include <libcob.h>
#      |          ^~~~~~~~~~
#compilation terminated.
Requires:       %{devel} = %{version}-%{release}

%description
GnuCOBOL is a free, modern COBOL compiler. GnuCOBOL implements a substantial part of the COBOL 85,
COBOL 2002 and COBOL 2014 standards, as well as many extensions included in other COBOL compilers.

GnuCOBOL translates COBOL into C and compiles the translated code using a native C compiler.

%package -n %{libname}
Summary:      Libraries for GnuCOBOL
Group:        System/Libraries
License:      LGPLv3+
Obsoletes:    %{_lib}gnucobol4 < 3.1-0.dev20200412.4

%description -n %{libname}
Shared libraries for GnuCOBOL.

%package -n %{devel}
Summary:     Development headers and libraries for GnuCOBOL
Group:       Development/Other
Requires:    %{libname} = %{version}-%{release}
Provides:    %{name}-devel = %{version}-%{release}
Conflicts:   %{name} < 3.1-0.dev20200412.4
Obsoletes:   %{_lib}gnucobol-devel < 3.1-0.dev20200412.4

%description -n %{devel}
Development headers and libraries for GnuCOBOL.

%prep
%autosetup -p0 -n %{name}-%{version}%{?prel:-dev}

# for tests
install -Dpm644 %{S:3} tests/cobol85/newcob.val.tar.gz

%build
autoreconf -vfi -I m4
%configure \
	--disable-rpath \
	--disable-static \
	--enable-hardening \
	--with-db \
	--with-xml2 \
	--with-curses=ncursesw \
	--with-json=json-c
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%check
export TERM=linux
(make check CFLAGS="%optflags -O" || make check TESTSUITEFLAGS="--recheck --verbose" || echo "Warning, unexpected results")
make test CFLAGS="%optflags -O" || ( cat tests/testsuite.log; exit 1 )

%files -f %{name}.lang
%license COPYING COPYING.DOC
%doc README NEWS AUTHORS ChangeLog THANKS
%doc doc/gnucobol.pdf
%{_bindir}/cobc*
%{_mandir}/man1/cobc*.1*
%{_infodir}/gnucobol.info*
%{_libdir}/gnucobol/CBL_OC_DUMP.so
%{_datadir}/%{name}/

%files -n %{libname}
%license COPYING.LESSER
%{_libdir}/libcob.so.%{major}{,.*}

%files -n %{devel}
%license COPYING.LESSER
%{_includedir}/libcob.h
%{_includedir}/libcob/
%{_libdir}/libcob.so
%{_bindir}/cob-config
%{_mandir}/man1/cob-config.1*
