%define libname   %mklibname spreadsheet %version
%define develname %mklibname spreadsheet -d

%define goffice %(rpm -q --queryformat %%{VERSION} goffice)

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}
%define goffice_patch_ver %(echo %{version}|cut -d. -f3)

Name:		gnumeric
Summary:	A full-featured spreadsheet for GNOME
Version:	1.12.59
Release:	%mkrel 1
License:	GPLv2+
Group:		Office/Spreadsheet
URL:		https://www.gnome.org/projects/gnumeric/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.40.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.40.0
BuildRequires:	pkgconfig(gthread-2.0) >= 2.40.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.8.7
BuildRequires:	pkgconfig(libgoffice-0.10) >= 0.10.%{goffice_patch_ver}
BuildRequires:	pkgconfig(libgsf-1) >= 1.14.33
BuildRequires:	pkgconfig(libxml-2.0) >= 2.4.12
BuildRequires:	pkgconfig(pango) >= 1.24.0
BuildRequires:	pkgconfig(pangocairo) >= 1.24.0
BuildRequires:	pkgconfig(pxlib) >= 0.4.0
BuildRequires:	pkgconfig(pygobject-3.0) >= 3.0.0
BuildRequires:	perl-devel
BuildRequires:	scrollkeeper
BuildRequires:	itstool
BuildRequires:	intltool
BuildRequires:	gettext-devel
BuildRequires:	desktop-file-utils
BuildRequires:	bison
BuildRequires:	docbook-dtds
BuildRequires:  gtk-doc

%description
This is the Gnumeric, the GNOME spreadsheet program. If you are familiar with
Excel, you should be ready to use Gnumeric.  It tries to clone all of
the good features and stay as compatible as possible with Excel in terms of
usability. Hopefully the bugs have been left behind :).

%package -n %libname
Summary:	Spreadsheet library from Gnumeric
Group:		System/Libraries

%description -n %libname
This is the Gnumeric, the GNOME spreadsheet program. If you are familiar with
Excel, you should be ready to use Gnumeric.  It tries to clone all of
the good features and stay as compatible as possible with Excel in terms of
usability. Hopefully the bugs have been left behind :).

%package -n %develname
Summary:	Spreadsheet library from Gnumeric - development files
Group:		Development/C
Requires:	%libname = %{version}
Provides:	libspreadsheet-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %develname
This is the Gnumeric, the GNOME spreadsheet program. If you are familiar with
Excel, you should be ready to use Gnumeric.  It tries to clone all of
the good features and stay as compatible as possible with Excel in terms of
usability. Hopefully the bugs have been left behind :).

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

rm -vf %{buildroot}%{_datadir}/%{name}/%{version}/perl/*/auto/Gnumeric/.packlist
rm -rf %{buildroot}/var

find %{buildroot} -name '*.la' -delete

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Science" \
  --remove-category="Math" \
  --remove-category="Application" \
  --remove-mime-type="zz-application/zz-winassoc-xls" \
  --add-category="GTK" \
  --add-category="GNOME" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc AUTHORS NEWS BUGS README
%{_bindir}/*
%{_libdir}/goffice/*/plugins/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/*%{name}*
%{_mandir}/man1/*
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}*.xml
%{_metainfodir}/org.gnumeric.%{name}.appdata.xml

%files -n %libname
%{_libdir}/libspreadsheet-%{version}.so

%files -n %develname
%{_libdir}/libspreadsheet.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libspreadsheet-*
