%define	modeversion 0.7.0
%define	gnuplot_api %(cut -d. -f-2 <<<%version)

%define	_gnuplot_texdir %{_datadir}/texmf/tex/latex/gnuplot
%define	_gnuplot_gihdir %{_datadir}/gnuplot/%{gnuplot_api}/%{name}

Name:		gnuplot
Summary:	A program for plotting mathematical expressions and data
Version:	6.0.2
Release:	%mkrel 1
License:	Freeware-like
Group:		Sciences/Other
URL:		http://www.gnuplot.info/
Source0:	https://download.sourceforge.net/gnuplot/%{name}-%{version}.tar.gz
Source1:	https://github.com/bruceravel/gnuplot-mode/archive/%{modeversion}/%{name}-mode-%{modeversion}.tar.gz
Source2:	http://www.gnuplot.info/faq/faq.html
Source10:	%{name}.desktop
#
Patch0:		gnuplot-mode-0.7.0-disable-f9.patch
Patch1:		gnuplot-5.2.2-link-gobject.patch
#
# from gentoo: avoid usage of missed picins.sty
Patch2:		gnuplot-6.1-no-picins.patch
#
# from fedora
Patch21: gnuplot-4.2.0-fonts.patch
Patch24: gnuplot-4.6.4-singlethread.patch
Patch25: gnuplot-5.0.0-lua_checkint.patch
#
# from opensuse
Patch40: gnuplot-5.4.5-fonts.patch
Patch41: gnuplot-4.6.0-demo.patch
Patch42: gnuplot-4.4.0-x11ovf.patch
Patch43: gnuplot-wx3.patch
Patch44: gnuplot-QtCore-PIC.patch
#
# from arch
Patch60: lua53_compat.patch
#
# git upstream

# To produce gnuplot.info
BuildRequires:	emacs-bin
BuildRequires:	desktop-file-utils
BuildRequires:	imagemagick
BuildRequires:	openspecfun-devel
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(libcerf)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(readline)
BuildRequires:	texlive
BuildRequires:	texlive-texmf
BuildRequires:	texinfo
BuildRequires:	pkgconfig(gdlib)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(lua)
BuildRequires:	wxgtk-devel >= 3.1.2
BuildRequires:	qttools6
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6PrintSupport)

Requires:	%{name}-common = %{version}-%{release}
# ease upgrade mga9 -> mga10
Conflicts:	gnuplot-nox < 6.0.1-2

%description
Gnuplot is a command-line driven, interactive function plotting program
especially suited for scientific data representation. Gnuplot can be used to
plot functions and data points in both two and three dimensions and in many
different formats.

Install gnuplot if you need a graphics package for scientific data
representation.

%package qt
Summary:        A program for plotting mathematical expressions and data
Group:          Sciences/Other
Requires:       %{name}-common = %{version}-%{release}

# ease upgrade mga9 -> mga10
Conflicts:	gnuplot-nox < 6.0.1-2

%description qt
Gnuplot is a command-line driven, interactive function plotting program
especially suited for scientific data representation. Gnuplot can be used to
plot functions and data points in both two and three dimensions and in many
different formats.

Install gnuplot-qt if you need a graphics package for scientific data
representation.

This package provides GNUPlot with a Qt interface.

%package nox
Summary:	A program for plotting mathematical expressions and data
Group:		Sciences/Other
Requires:	%{name}-common = %{version}-%{release}

%description nox
Gnuplot is a command-line driven, interactive function plotting program
especially suited for scientific data representation. Gnuplot can be used to
plot functions and data points in both two and three dimensions and in many
different formats.

Install gnuplot if you need a graphics package for scientific data
representation.

This package provides GNUPlot without any X dependency.

%package common
Summary:	Data files for Gnuplot
Group:		Sciences/Other
BuildArch:	noarch
Provides:	%{name}-doc = %{version}-%{release}

# ease upgrade mga9 -> mga10
Conflicts:	gnuplot < 6.0.1-2
Conflicts:	gnuplot-nox < 6.0.1-2

%description common
This package provides common data files for GNUPlot.

%package mode
Summary:	Yet another Gnuplot mode for Emacs
Group:		Sciences/Other
BuildArch:	noarch

%description mode
Gnuplot is a major mode for Emacs flavours with the following features:

 - Functions for plotting lines, regions, entire scripts, or entire files
 - Graphical interface to setting command arguments
 - Syntax colorization
 - Completion of common words in Gnuplot
 - Code indentation
 - On-line help using Info for Gnuplot functions and features
 - Interaction with Gnuplot using comint
 - Pull-down menus plus a toolbar in XEmacs
 - Distributed with a quick reference sheet in postscript.

%prep
%setup -q -a 1
%autopatch -p1

perl -pi -e 's|(^\s*)mkinstalldirs\s|$1./mkinstalldirs |' gnuplot-mode-%{modeversion}/Makefile.in
# Non-free stuff. Ouch. -- Geoff
rm -f demo/prob.dem demo/prob2.dem

%build
autoreconf -vfi
export CFLAGS="%{optflags} -fno-fast-math -DDIST_CONTACT='https://bugs.mageia.org/'"
export CXXFLAGS="%{optflags} -std=gnu++17"
export CONFIGURE_TOP=..

mkdir build-nox
pushd build-nox
	%configure \
		--with-readline=gnu \
		--with-texdir=%{_gnuplot_texdir} \
		--with-gihdir=%{_gnuplot_gihdir}_nox \
		--without-x \
		--without-qt \
		--disable-wxwidgets
	%make_build -C src
	%make_build -C docs
	%make_build -C docs info html
	cp -r docs/{gnuplot.info,html} ../docs/
popd

# Some docs aren't properly generated if it is an out of tree build.
cp -p build-nox/src/gnuplot src/
export GNUPLOT_PS_DIR=../../term/PostScript
%make_build -C docs/psdoc all pdf

mkdir build-x11
pushd build-x11
	%configure \
		--with-readline=gnu \
		--with-texdir=%{_gnuplot_texdir} \
		--with-gihdir=%{_gnuplot_gihdir}_x11 \
		--without-qt
	%make_build
popd

mkdir build-qt
pushd build-qt
	%configure \
		--with-readline=gnu \
		--with-texdir=%{_gnuplot_texdir} \
		--with-gihdir=%{_gnuplot_gihdir}_qt \
		--with-qt
	%make_build
popd

unset CONFIGURE_TOP
pushd gnuplot-mode-%{modeversion}
	%configure
	%make_build
popd

cp -f %SOURCE2 .
chmod 644 faq.html

%install

pushd build-qt
	%make_install
	mv %{buildroot}%{_bindir}/gnuplot %{buildroot}%{_bindir}/gnuplot-qt
popd

pushd build-nox
	%make_install
	mv %{buildroot}%{_bindir}/gnuplot %{buildroot}%{_bindir}/gnuplot-nox
popd

pushd build-x11
	%make_install
	mkdir -p %{buildroot}%{_datadir}/X11/app-defaults
	mv -T %{buildroot}%{_datadir}/gnuplot/%{gnuplot_api}/app-defaults \
		  %{buildroot}%{_datadir}/X11/app-defaults
popd

pushd gnuplot-mode-%{modeversion}
	%make_install
	pdflatex gpelcard
	install -d %{buildroot}%{_sysconfdir}/emacs/site-start.d
	install -m 644 dotemacs.el %{buildroot}%{_sysconfdir}/emacs/site-start.d/%{name}.el
popd

# menu entry
install -D -m644 %{S:10} %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
install -D -m644 %{S:10} %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}-qt.desktop

desktop-file-edit \
  --set-name="Gnuplot Qt6" \
  --set-key=Exec \
  --set-value="%{name}-qt" \
  --add-category=Qt \
  %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}-qt.desktop


# icons
for size in 16x16 32x32 48x48 64x64; do
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/$size/apps
  magick demo/icon64x64.png -resize $size %{buildroot}%{_iconsdir}/hicolor/$size/apps/%{name}.png
done

# Install doc files in %%{_datadir}/doc/gnuplot
mkdir -p %{buildroot}%{_datadir}/doc/gnuplot
cp -rf demo faq.html README NEWS %{buildroot}%{_datadir}/doc/gnuplot
cp -rf docs/{gnuplot.pdf,gnuplot.info,html} docs/psdoc/ps_*.{doc,pdf,ps} \
    %{buildroot}%{_datadir}/doc/gnuplot

%files
%license Copyright
%{_bindir}/gnuplot
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_datadir}/X11/app-defaults/Gnuplot
%{_gnuplot_gihdir}_x11
%{_libexecdir}/gnuplot/%{gnuplot_api}/%{name}_x11

%files qt
%license Copyright
%{_bindir}/gnuplot-qt
%{_datadir}/applications/%{_real_vendor}-%{name}-qt.desktop
%{_datadir}/gnuplot/%{gnuplot_api}/qt
%{_gnuplot_gihdir}_qt
%{_libexecdir}/gnuplot/%{gnuplot_api}/%{name}_qt

%files nox
%license Copyright
%{_bindir}/gnuplot-nox
%{_gnuplot_gihdir}_nox

%files common
%license Copyright
# Gnuplot docs
%{_docdir}/gnuplot/
%{_mandir}/*/*
# Gnuplot common data
%{_datadir}/gnuplot/
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_gnuplot_texdir}
%dir %{_libexecdir}/gnuplot/%{gnuplot_api}
%exclude %{_datadir}/gnuplot/%{gnuplot_api}/qt
%exclude %{_gnuplot_gihdir}_{nox,qt,x11}

%files mode
%license gnuplot-mode-%{modeversion}/COPYING
%doc gnuplot-mode-%{modeversion}/gpelcard.pdf
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/*.el
%{_datadir}/emacs/site-lisp/*
