%define gnustepgui_major 0
%define libgnustepgui    %mklibname %{name} %gnustepgui_major
%define libgnustepgui_d  %mklibname %{name} -d

%ifarch armv7hl
%global __isa_name armv7hl
%endif

Name:           gnustep-gui
Version:        0.31.1
Release:        %mkrel 3

Summary:        The GNUstep GUI library
License:        GPLv2+ and GPLv3+
Group:          Development/Other

URL:            https://www.gnustep.org/
Source:         https://ftp.gnustep.org/pub/gnustep/core/%{name}-%{version}.tar.gz
BuildRequires:  gcc-objc
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  cups-devel
BuildRequires:  aspell-devel
BuildRequires:  giflib-devel
BuildRequires:  pkgconfig(audiofile)
BuildRequires:  portaudio-devel >= 19
BuildRequires:	texinfo
BuildRequires:	texi2html
BuildRequires:	texinfo-tex
BuildRequires:  gnustep-make%{?_isa} >= 2.9.2
BuildRequires:  gnustep-base-devel%{?_isa} >= 1.30.0-2
BuildRequires:  gnustep-base%{?_isa} >= 1.30.0-2
Requires:       gnustep-base%{?_isa} >= 1.30.0-2

%description
The GNUstep GUI library is a library of graphical user interface classes
written completely in the Objective-C language; the classes are based upon the
OpenStep specification as release by NeXT Software, Inc.  These classes include
graphical objects such as buttons, text fields, popup lists, browser lists, and
windows; there are also many associated classes for handling events, colors,
fonts, pasteboards and images.

%package -n %libgnustepgui
Summary:        Libraries for %{name}
Group:          Development/Other
License:        LGPLv2+ and LGPLv3+

%description -n %libgnustepgui
The GNUstep GUI library is a library of graphical user interface classes
written completely in the Objective-C language; the classes are based upon the
OpenStep specification as release by NeXT Software, Inc.  These classes include
graphical objects such as buttons, text fields, popup lists, browser lists, and
windows; there are also many associated classes for handling events, colors,
fonts, pasteboards and images.

This package contains the libraries for %{name}.

%package -n %libgnustepgui_d
Summary:        Header files for the gnustep-gui package
Group:          Development/Other
Requires:       gnustep-make%{?_isa} >= 2.9.2
Requires:       gnustep-base-devel%{?_isa} >= 1.30.0-2
Requires:       %{libgnustepgui} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel%{?_isa} = %{version}-%{release}

%description -n %libgnustepgui_d
The GNUstep GUI library is a library of graphical user interface classes
written completely in the Objective-C language; the classes are based upon the
OpenStep specification as release by NeXT Software, Inc.  These classes include
graphical objects such as buttons, text fields, popup lists, browser lists, and
windows; there are also many associated classes for handling events, colors,
fonts, pasteboards and images.

This package contains the header files for gnustep-gui.

%package doc
Summary:        Documentation for %{name}
Group:          Documentation
BuildArch:      noarch
License:        GFDL
Requires:       %{name} >= %{version}-%{release}

%description doc
The GNUstep GUI library is a library of graphical user interface classes
written completely in the Objective-C language; the classes are based upon the
OpenStep specification as release by NeXT Software, Inc.  These classes include
graphical objects such as buttons, text fields, popup lists, browser lists, and
windows; there are also many associated classes for handling events, colors,
fonts, pasteboards and images.

This package contains the documentation for %{name}.

%prep
%autosetup -p1

%build
%gnustep_configure
%gnustep_make -n
%gnustep_makedoc

%install
%gnustep_install -n
%gnustep_installdoc

%files
%doc ANNOUNCE BUGS NEWS README*
%license COPYING
%{_bindir}/gclose
%{_bindir}/gopen
%{_bindir}/gcloseall
%{_bindir}/make_services
%{_bindir}/set_show_service
%{gnustep_bundledir}/
%{gnustep_cpickdir}/
%{gnustep_imagedir}/
%{gnustep_kbdir}/
%{gnustep_psdir}/
%{gnustep_sounddir}/
%{gnustep_libraries}/gnustep-gui/
%{gnustep_srvdir}/
%{_mandir}/man1/*

%files -n %libgnustepgui_d
%{_includedir}/AppKit/
%{_includedir}/GNUstepGUI/
%{_includedir}/Cocoa/
%{_includedir}/gnustep/gui/
%{_libdir}/libgnustep-gui.so
%{_libdir}/pkgconfig/gnustep-gui.pc
%{gnustep_additional}/gui.make

%files -n %libgnustepgui
%license COPYING.LIB
%{_libdir}/libgnustep-gui.so.%{gnustepgui_major}{,.*}

%files doc
%{_infodir}/AppKit.info.*
%{_datadir}/GNUstep/Documentation/*
