%global debug_package %{nil}

Name:           gnustep-make
Version:        2.9.2
Release:        %mkrel 2
Summary:        GNUstep makefile package

Group:          Development/Other
License:        GPLv3+
URL:            https://www.gnustep.org/
Source0:        ftp://ftp.gnustep.org/pub/gnustep/core/%{name}-%{version}.tar.gz

# Taken from git://fedorahosted.org/git/gnustep-rpm-macros.git
Source1:        macros.gnustep

BuildConflicts: gnustep-make
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  gcc-objc
BuildRequires:  texinfo-tex
BuildRequires:  tetex-latex
BuildRequires:  tetex-dvips
BuildRequires:  latex2html
BuildRequires:  texi2html
Requires:       gnustep-filesystem = %{version}-%{release}


%description
The makefile package is a simple, powerful and extensible way to write
makefiles for a GNUstep-based project.  It allows the user to write a
project without having to deal with the complex issues associated with
configuration, building, installation, and packaging.  It also allows
the user to easily create cross-compiled binaries.


%package -n     gnustep-filesystem
Summary:        The basic directory layout for GNUstep packages
Group:          System/Base
License:        Public Domain

%description -n gnustep-filesystem
The gnustep-filesystem package contains the basic directory layout for
GNUstep packages.


%package        doc
Summary:        Documentation for %{name}
Group:          Documentation
License:        GPLv3+
BuildArch:      noarch
Requires:       %{name} >= %{version}-%{release}

%description    doc
The makefile package is a simple, powerful and extensible way to write
makefiles for a GNUstep-based project.  It allows the user to write a
project without having to deal with the complex issues associated with
configuration, building, installation, and packaging.  It also allows
the user to easily create cross-compiled binaries.

This package contains documentation for %{name}.

%prep
%autosetup

cp %{SOURCE1} macros.gnustep

sed -i "s|/@libdir@|/%{_lib}|g" FilesystemLayouts/fhs-system
sed -i "s|/@libdir@|/%{_lib}|g" FilesystemLayouts/fhs

# /usr/share/GNUstep/Makefiles/config-noarch.make and
# /usr/share/GNUstep/Makefiles/ix86/linux-gnu/gnu-gnu-gnu/config.make
# are spoiling a pure /usr/share install
sed -i "s|=/share/GNUstep/Makefiles|=/%{_lib}/GNUstep/Makefiles|" \
    FilesystemLayouts/fhs-system

%build
%configure --with-layout=fhs-system --enable-flattened
%make_build

%install
%make_install
#make -C Documentation GNUSTEP_MAKEFILES=%%{buildroot}%%{_libdir}/GNUstep/Makefiles
#make -C Documentation install GNUSTEP_MAKEFILES=%%{buildroot}%%{_libdir}/GNUstep/Makefiles DESTDIR=%{buildroot}

# create remaining GNUstep directories
for i in Applications WebApplications; do
    mkdir -p %{buildroot}%{_prefix}{,/local}/lib{,64}/GNUstep/$i
done
mkdir -p %{buildroot}%{_prefix}{,/local}/share/GNUstep/Documentation/Developer

# INstall rpm macros
install -d %{buildroot}%{_rpmmacrodir}
install -p %{SOURCE1} %{buildroot}%{_rpmmacrodir}

%files
%doc ANNOUNCE COPYING FAQ NEWS README
%config(noreplace) %{_sysconfdir}/GNUstep/GNUstep.conf
%{_bindir}/*
%{_libdir}/GNUstep/Makefiles
%{_mandir}/man*/*
%{_rpmmacrodir}/macros.gnustep

%files -n gnustep-filesystem
%dir %{_sysconfdir}/GNUstep
%dir %{_libdir}/GNUstep
%dir %{_libdir}/GNUstep/Applications
%dir %{_libdir}/GNUstep/WebApplications
%dir %{_datadir}/GNUstep
%dir %{_datadir}/GNUstep/Documentation
%dir %{_datadir}/GNUstep/Documentation/Developer

%files doc
%doc %{_datadir}/GNUstep/Documentation/*
