Name:           goaccess
Version:        1.9.3
Release:        %mkrel 1
Summary:        Real-time web log analyzer and interactive viewer
License:        GPLv2+
Group:          Monitoring
URL:            https://goaccess.io/
Source0:        http://tar.goaccess.io/goaccess-%{version}.tar.gz
BuildRequires:  pkgconfig(libmaxminddb)
BuildRequires:  glib2-devel
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(ncursesw)

%description
Open source real-time web log analyzer and interactive viewer that runs
in a terminal in *nix systems. It provides fast and valuable HTTP statistics
for system administrators that require a visual server report on the fly.

Features:
GoAccess parses the specified web log file and outputs the data to the X 
terminal.

* General Statistics, bandwidth, etc.
* Time taken to serve the request (useful to track pages that are 
slowing down your site)
* Top Visitors
* Requested files & static files
* 404 or Not Found
* Hosts, Reverse DNS, IP Location
* Operating Systems
* Browsers and Spiders
* Referring Sites & URLs
* Keyphrases
* Geo Location - Continent/Country/City New
* HTTP Status Codes
* Ability to output JSON and CSV
* Different Color Schemes
* Support for large datasets and data persistence New
* Support for IPv6
* Output statistics to HTML. See report.
* Nearly all web log formats...

GoAccess allows any custom log format string. Predefined options include, 
but not limited to:

* Common Log Format (CLF) Apache
* Combined Format (XLF/ELF) Apache|Nginx
* W3C format (IIS)
* Amazon CloudFront (Download Distribution).
* Apache virtual hosts

%prep
%setup -q

%build
%configure --enable-debug --enable-geoip=mmdb --enable-utf8
# --enable-tcb
# Note about Tokyo Cabinet hash table support. As you can see 0.8 onwards
# support hash table alternative from Tokyo Cabinet hash database, to replace
# GLib if needed. Basically, we can use GLib still as TC will introduce more
# dependencies.
# If upstream can prove that it's faster than GLib hash table on parsing, then
# we might switch to it.(From FAQ page I think glib is better)
%make_build

%install
%make_install
%find_lang %{name}

%files  -f %{name}.lang
%doc AUTHORS ChangeLog COPYING README.md TODO
%dir %{_sysconfdir}/goaccess
%config(noreplace) %{_sysconfdir}/goaccess/goaccess.conf
%config(noreplace) %{_sysconfdir}/goaccess/browsers.list
%config(noreplace) %{_sysconfdir}/goaccess/podcast.list
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

