Name:           gobby
Version:        0.6.0
Release:        %mkrel 2
Summary:        A free collaborative editor
Group:          Editors
License:        GPLv2+
URL:            https://gobby.github.io/
Source0:        https://github.com/gobby/gobby/releases/download/v%{version}/gobby-%{version}.tar.gz
BuildRequires:	pkgconfig(libxml++-2.6)
BuildRequires:  pkgconfig(glibmm-2.4)
BuildRequires:  pkgconfig(giomm-2.4)
BuildRequires:  pkgconfig(libgsasl)
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(gtkmm-3.0)
BuildRequires:  pkgconfig(gtksourceview-3.0)
BuildRequires:  pkgconfig(libinfinity-0.7)
BuildRequires:  pkgconfig(libinftext-0.7)
BuildRequires:  pkgconfig(libinfgtk-0.7)
BuildRequires:  pkgconfig(libinftextgtk-0.7)
BuildRequires:  yelp-tools
BuildRequires:  intltool
BuildRequires:  itstool

%description
Gobby is a free collaborative editor. This means that it provides you with the
possibility to edit files simultaneously with other users over a network.

%prep
%autosetup -p1

%build
export CXXFLAGS="%{build_cflags} -Wno-deprecated-declarations"
autoreconf -fi
%configure
%make_build

%install
%make_install

%find_lang %{name} --all-name --with-gnome

%files -f %{name}.lang
%doc ChangeLog* AUTHORS README.md NEWS
%{_bindir}/gobby-0.5
%{_datadir}/gobby-0.5/
%{_datadir}/glib-2.0/schemas/*.xml
%{_metainfodir}/gobby-0.5.metainfo.xml
%{_datadir}/applications/gobby-0.5.desktop
%{_iconsdir}/*/*/apps/gobby-0.5.{png,svg}
%{_mandir}/man1/gobby-0.5.1*
