%define api       0.10
%define major     10
%define libname   %mklibname %name %{api} %major
%define develname %mklibname %name %{api} -d

%global __provides_exclude_from %_datadir/gtk-doc
%global __requires_exclude_from %_datadir/gtk-doc

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Set of document-centric objects and utilities for glib/gtk
Name:		goffice
Version:	0.10.59
Release:	%mkrel 1
License:	GPLv2
Group:		System/Libraries
Url:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(cairo) >= 1.10.0
BuildRequires:	pkgconfig(cairo-pdf) >= 1.10.0
BuildRequires:	pkgconfig(cairo-ps) >= 1.10.0
BuildRequires:	pkgconfig(cairo-svg) >= 1.10.0
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.22.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.28.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 1.0.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.2.0
BuildRequires:	pkgconfig(libgsf-1) >= 1.14.9
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.22.0
BuildRequires:	pkgconfig(libspectre) >= 0.2.6
BuildRequires:	pkgconfig(libxml-2.0) >= 2.4.12
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(pango) >= 1.24.0
BuildRequires:	pkgconfig(pangocairo) >= 1.24.0
BuildRequires:	gtk-doc
BuildRequires:	intltool

%description
There are common operations for document-centric applications that are
conceptually simple, but complex to implement fully.
    - plugins
    - load/save documents
    - undo/redo

%package -n %libname
Summary:	library implementing document-centric objects and utilities for glib/gtk
Group:		System/Libraries
Requires:	%name >= %version

%description -n %libname
Shared library implementing document-centric objects and utilities for glib/gtk.

%package -n %develname
Summary:	Development files of the Goffice library
Group:		Development/C
Requires:	%libname = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %develname
Development files of the Goffice library.

%prep
%autosetup -p1

%build
export CXXFLAGS='%{optflags} -std=c++17'
%configure \
%ifarch %{ix86} %{arm}
           --without-long-double \
%endif
           --disable-static
%make_build

%install
%make_install

%find_lang %{name}-%{version}

%files -f %{name}-%{version}.lang
%doc README NEWS AUTHORS BUGS MAINTAINERS
%dir %{_libdir}/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/%{version}
%{_datadir}/%{name}/%{version}/mmlitex

%files -n %libname
%{_libdir}/libgoffice-%{api}.so.%{major}{,.*}
%{_libdir}/%{name}/%{version}/

%files -n %develname
%{_includedir}/libgoffice-%{api}/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/goffice-%{api}/
