# Generated by go2rpm
%bcond_without check

# https://github.com/census-ecosystem/opencensus-go-exporter-ocagent
%global goipath         contrib.go.opencensus.io/exporter/ocagent
%global forgeurl        https://github.com/census-ecosystem/opencensus-go-exporter-ocagent
Version:                0.7.1
%global tag             0.7.1

%gometa

%global common_description %{expand:
This repository contains the Go implementation of the OpenCensus Agent
(OC-Agent) Exporter. OC-Agent is a daemon process running in a VM that can
retrieve spans/stats/metrics from OpenCensus Library, export them to other
backends and possibly push configurations back to Library. See more details
on OC-Agent Readme.

Note: This is an experimental repository and is likely to get
backwards-incompatible changes. Ultimately we may want to move the OC-Agent Go
Exporter to OpenCensus Go core library.}

%global golicenses      LICENSE
%global godocs          example CONTRIBUTING.md README.md

Name:           %{goname}
Release:        %mkrel 4
Summary:        OpenCensus Go exporters for OpenCensus Agent
Group:          Development/Golang
# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

BuildRequires:  golang(github.com/census-instrumentation/opencensus-proto-0.2/gen-go/agent/common/v1)
BuildRequires:  golang(github.com/census-instrumentation/opencensus-proto-0.2/gen-go/agent/metrics/v1)
BuildRequires:  golang(github.com/census-instrumentation/opencensus-proto-0.2/gen-go/agent/trace/v1)
BuildRequires:  golang(github.com/census-instrumentation/opencensus-proto-0.2/gen-go/metrics/v1)
BuildRequires:  golang(github.com/census-instrumentation/opencensus-proto-0.2/gen-go/resource/v1)
BuildRequires:  golang(github.com/census-instrumentation/opencensus-proto-0.2/gen-go/trace/v1)
BuildRequires:  golang(github.com/golang/protobuf/ptypes/timestamp)
BuildRequires:  golang(go.opencensus.io)
BuildRequires:  golang(go.opencensus.io/plugin/ocgrpc)
BuildRequires:  golang(go.opencensus.io/resource)
BuildRequires:  golang(go.opencensus.io/stats)
BuildRequires:  golang(go.opencensus.io/stats/view)
BuildRequires:  golang(go.opencensus.io/tag)
BuildRequires:  golang(go.opencensus.io/trace)
BuildRequires:  golang(go.opencensus.io/trace/tracestate)
BuildRequires:  golang(go.opencensus.io/zpages)
BuildRequires:  golang(google.golang.org/api/support/bundler)
BuildRequires:  golang(google.golang.org/grpc)
BuildRequires:  golang(google.golang.org/grpc/credentials)
BuildRequires:  golang(google.golang.org/grpc/metadata)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/google/go-cmp/cmp)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
sed -i 's|github.com/census-instrumentation/opencensus-proto|github.com/census-instrumentation/opencensus-proto-0.2|' $(find . -iname "*.go" -type f)

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles
