%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         10gen
%global repo            openssl
# https://github.com/10gen/openssl
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          2862bcc79a773edf6d701e41fb4880badad12cca
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

%define rel		11

Name:           golang-%{provider}-%{project}-%{repo}
Version:        0
Release:        %mkrel 0.%{rel}.git%{shortcommit}
Summary:        OpenSSL bindings for Go (forked from github.com/spacemonkeygo/openssl)
License:        ASL 2.0
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
BuildArch:      noarch
Group:          Development/Golang

%description
%{summary}

%package devel
Summary:       %{summary}

BuildRequires: openssl-devel
BuildRequires: golang >= 1.2.1-3
BuildRequires: golang(github.com/spacemonkeygo/spacelog)

Requires:      golang(github.com/spacemonkeygo/spacelog)
Requires:      openssl-devel

Provides:      golang(%{import_path}) = %{version}-%{release}
Provides:      golang(%{import_path}/utils) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for
building other packages which use %{project}/%{repo}.

%prep
%setup -q -n %{repo}-%{commit}
%autopatch -p1

%build

%install
# as per commit 'removing code incompatible with openssl 0.9.8e',
# NewGCMDecryptionCipherCtx function no longer exists
rm -rf ciphers_test.go

install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
cp -pav *.c *.h *.go %{buildroot}/%{gopath}/src/%{import_path}/

# copy directories
for file in ./* ; do
    if [ -d $file ]; then
        cp -rpav $file %{buildroot}%{gopath}/src/%{import_path}/
    fi
done

%check
export GOPATH=%{buildroot}/%{gopath}:%{gopath}:/usr/include:/usr/lib64
#go test %{import_path}

%files devel
%license LICENSE
%doc README.md
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%{gopath}/src/%{import_path}
