# Run tests in check section
%bcond_with check

# https://github.com/aclements/go-gg
%global goipath         github.com/aclements/go-gg
%global commit          abd1f791f5ee99465ee7cffe771436379d6cee5a

%global common_description %{expand:
gg is a plotting package for Go inspired by the Grammar of Graphics.}

%gometa

Name:           %{goname}
Version:        0
Release:        0.3%{?dist}
Summary:        Plotting package for Go 
Group:          Development/Golang
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

Patch0:         0001-Fix-Sprintf-error-with-time-values.patch
Patch1:         0002-Add-missing-format-in-Fatalf.patch

BuildRequires: golang(github.com/aclements/go-moremath/fit)
BuildRequires: golang(github.com/aclements/go-moremath/scale)
BuildRequires: golang(github.com/aclements/go-moremath/stats)
BuildRequires: golang(github.com/aclements/go-moremath/vec)
BuildRequires: golang(github.com/ajstarks/svgo)

BuildArch:     noarch

%global golicenses      LICENSE
%global godocs          README.md

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall


%if %{with check}
%check
# new_test.go fails
# https://github.com/aclements/go-gg/issues/11
%gocheck
%endif

%gopkgfiles



