# Generated by go2rpm 1.14.0
%bcond_without check
%bcond_with bootstrap

%global debug_package %{nil}

# Avoid noarch package built differently on different architectures (see also
# .../sys/cpu elsewhere):
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(golang.org/x/sys/cpu\\)$
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(github.com/klauspost/cpuid/v2\\)$

%if %{with bootstrap}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(.*\\)$
%endif

# https://github.com/apache/arrow
%global goipath         github.com/apache/arrow/go/v15
Version:                15.0.2
%global tag             apache-arrow-15.0.2
%global distprefix      %{nil}

%gometa

%global common_description %{expand:
Apache Arrow is a multi-language toolbox for accelerated data interchange and
in-memory processing.}

%global golicenses      LICENSE.txt NOTICE.txt
%global godocs          docs CHANGELOG.md CODE_OF_CONDUCT.md CONTRIBUTING.md\\\
                        README.md doc example go/README.md _examples example\\\
                        go/arrow/flight/flightsql/driver/README.md\\\
                        go/arrow/util/messages/README.md\\\
                        go/parquet/cmd/parquet_reader/README.md\\\

Name:           golang-github-apache-arrow15
Release:        %mkrel 2
Summary:        Cross-language development platform for in-memory data
Group:          Development/Golang
License:        Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND BSD-3-Clause-Clear AND BSL-1.0
URL:            %{gourl}
Source:         %{gosource}

%if %{without bootstrap}
BuildRequires:  golang(golang.org/x/sys/cpu)
%endif

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

# Not needed for now and requires extra deps
rm -rf go/arrow/avro

# Remove files unrelated to the Go Library
find ./* -maxdepth 0 -type d -not -name "go" -and -not -name "_build" -exec rm -rf "{}" \;
mv go/* .

%if %{without bootstrap}
%generate_buildrequires
%go_generate_buildrequires
%endif

%install
%gopkginstall

%if %{without bootstrap}
%if %{with check}
%check
for test in "TestFileEncryptionDecryption" "TestRleBooleanEncodingFileReadqq" \
            "TestArrowReaderAdHocReadDecimals" "TestArrowReaderAdHocReadFloat16s" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%ifarch s390x
for test in "TestArraySpan_FillFromScalar" "TestClientStreamMiddleware" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%endif
%gocheck -t  github.com/apache/arrow/go/v15/arrow/flight/flightsql
%endif
%endif

%gopkgfiles

