# Generated by go2rpm
%bcond_without check
%global debug_package %{nil}

# https://github.com/coreos/go-systemd
%global goipath         github.com/coreos/go-systemd
Version:                22.5.0

%gometa

%global godevelheader %{expand:
Obsoletes:      golang-go-systemd < 22.3.2
}

%global goaltipaths     github.com/coreos/go-systemd/v22

%global common_description %{expand:
Go bindings to systemd. The project has several packages:

 - activation - for writing and using socket activation from Go
 - daemon - for notifying systemd of service status changes
 - dbus - for starting/stopping/inspecting running services and units
 - journal - for writing to systemd's logging service, journald
 - sdjournal - for reading from journald by wrapping its C API
 - login1 - for integration with the systemd logind API
 - machine1 - for registering machines/containers with systemd
 - unit - for (de)serialization and comparison of unit files
}

%global golicenses      LICENSE NOTICE
%global godocs          examples CONTRIBUTING.md README.md code-of-conduct.md

Name:           %{goname}
Release:        %mkrel 1
Summary:        Go bindings to systemd socket activation, journal, D-Bus, and unit files
Group:          Development/Golang

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/godbus/dbus/v5)

%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
# internal/dlopen: https://github.com/coreos/go-systemd/issues/339
%gocheck -d dbus \
    -d import1 \
    -d internal/dlopen \
    -d journal \
    -d login1 \
    -d machine1 \
    -d sdjournal \
    -d util
%endif

%gopkgfiles

