# Run tests in check section
%bcond_without check

# https://github.com/davecgh/go-spew
%global goipath         github.com/davecgh/go-spew
Version:                1.1.1

%gometa

%global godevelheader %{expand:
Obsoletes:      golang-github-davecgh-go-spew-devel < 1.1.1-3
}

%global common_description %{expand:
Go-spew implements a deep pretty printer for Go data structures to aid in 
debugging. A comprehensive suite of tests with 100% test coverage is 
provided to ensure proper functionality.}

%global golicenses      LICENSE
%global godocs          README.md test_coverage.txt
	
%global gosupfiles glide.lock glide.yaml

Name:           %{goname}
Release:        %mkrel 5
Summary:        Deep pretty printer for Go data structures to aid in debug
Group:          Development/Golang
License:        ISC
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.lock
Source2:        glide.yaml
BuildArch:      noarch

%description
%{common_description}

%gopkg

%prep
%goprep
cp %{SOURCE1} %{SOURCE2} .

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles
