# https://github.com/eapache/queue
%global goipath         github.com/eapache/queue
Version:                1.1.0

%gometa

%global common_description %{expand:
A fast Golang queue using a ring-buffer, based on the version suggested by 
Dariusz Górecki. Using this instead of other, simpler, queue implementations 
(slice+append or linked list) provides substantial memory and time benefits, 
and fewer GC pauses.

The queue implemented here is as fast as it is in part because it is not 
thread-safe.}

%global golicenses      LICENSE
%global godocs          README.md
%global gosupfiles glide.lock glide.yaml

Name:           %{goname}
Release:        %mkrel 4
Summary:        Fast golang queue using ring-buffer
Group:          Development/Golang
# Detected licences
# - MIT/X11 (BSD like) at 'LICENSE'
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.yaml
Source2:        glide.lock
BuildArch:      noarch

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall


%check
%gocheck

%gopkgfiles

