# Run tests in check section
%bcond_without check
%global debug_package %{nil}

# https://github.com/googleapis/gax-go
%global goipath         github.com/googleapis/gax-go
Version:                2.14.1

%gometa

%global common_description %{expand:
Google API Extensions for Go (gax-go) is a set of modules which aids the
development of APIs for clients and servers based on gRPC and Google API
conventions.

Application code will rarely need to use this library directly, but the
code generated automatically from API definition files can use it to simplify
code generation and to provide more convenient and idiomatic API surface.}

%global golicenses      LICENSE
%global godocs          CODE_OF_CONDUCT.md CONTRIBUTING.md README.md RELEASING.md

Name:           %{goname}
Release:        %mkrel 1
Summary:        Google API Extensions for Go

# Upstream license specification: BSD-3-Clause
License:        BSD
Group:          Development/Golang
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

