# Run tests in check section
%bcond_with check

# https://github.com/gopherjs/gopherjs
%global goipath         github.com/gopherjs/gopherjs
%global commit          1babbf986f6fcb1156d0646cdba5c4f81bc32849

%global common_description %{expand:
GopherJS compiles Go code (golang.org) to pure JavaScript code. Its main 
purpose is to give you the opportunity to write front-end code in Go 
which will still run in all browsers.}

%gometa

Name:           %{goname}
Version:        0
Release:        %mkrel 0.3
Summary:        Compiler from Go to JavaScript for running Go code in a browser 
Group:          Development/Golang
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

BuildRequires: golang(github.com/fsnotify/fsnotify)
BuildRequires: golang(github.com/neelance/astrewrite)
BuildRequires: golang(github.com/neelance/sourcemap)
BuildRequires: golang(github.com/shurcooL/httpfs/filter)
BuildRequires: golang(github.com/shurcooL/httpfs/vfsutil)
BuildRequires: golang(golang.org/x/sys/unix)
BuildRequires: golang(golang.org/x/tools/go/buildutil)
BuildRequires: golang(golang.org/x/tools/go/gcexportdata)
BuildRequires: golang(golang.org/x/tools/go/types/typeutil)

%if %{with check}
BuildRequires: golang(github.com/kisielk/gotool)
BuildRequires: golang(github.com/shurcooL/go/importgraphutil)
%endif

%description
%{common_description}

%gopkg
%prep
%goprep
# Remove extra dependencies
rm tests/misc_test.go build/build_test.go


%install
%gopkginstall


%if %{with check}
%check
%gocheck -d build -d tests
%endif

%global golicenses LICENSE
%global godocs README.md
%gopkgfiles

