# Generated by go2rpm
%bcond_without check

# https://github.com/hashicorp/go-immutable-radix
%global goipath         github.com/hashicorp/go-immutable-radix
Version:                1.3.1

%gometa

%global common_description %{expand:
Provides the iradix package that implements an immutable radix tree. The package
only provides a single Tree implementation, optimized for sparse nodes.

As a radix tree, it provides the following:

 - O(k) operations. In many cases, this can be faster than a hash table since
   the hash function is an O(k) operation, and hash tables have very poor cache
   locality.
 - Minimum / Maximum value lookups
 - Ordered iteration

A tree supports using a transaction to batch multiple updates (insert, delete)
in a more efficient manner than performing each operation one at a time.}

%global golicenses      LICENSE
%global godocs          CHANGELOG.md README.md

Name:           %{goname}
Release:        %mkrel 1
Summary:        An immutable radix tree implementation in golang
Group:          Development/Golang
BuildArch:      noarch
# Upstream license specification: MPL-2.0
License:        MPLv2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/hashicorp/golang-lru/simplelru)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/hashicorp/go-uuid)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

