# Generated by go2rpm
# https://github.com/hashicorp/memberlist/issues/195
%ifarch x86_64 aarch64
%bcond_without check
%endif

# https://github.com/hashicorp/memberlist
%global goipath         github.com/hashicorp/memberlist
Version:                0.4.0

%gometa

%global common_description %{expand:
Memberlist is a Go library that manages cluster membership and member failure
detection using a gossip based protocol.

The use cases for such a library are far-reaching: all distributed systems
require membership, and memberlist is a re-usable solution to managing cluster
membership and node failure detection.

memberlist is eventually consistent but converges quickly on average. The speed
at which it converges can be heavily tuned via various knobs on the protocol.
Node failures are detected and network partitions are partially tolerated by
attempting to communicate to potentially dead nodes through multiple routes.}

%global golicenses      LICENSE
%global godocs          README.md todo.md

%global gosupfiles glide.lock glide.yaml

Name:           %{goname}
Release:        %mkrel 1
Summary:        Go package for gossip based membership and failure detection
Group:          Development/Golang
BuildArch:      noarch

# Upstream license specification: MPL-2.0
License:        MPLv2.0
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.yaml
Source2:        glide.lock

BuildRequires:  golang(github.com/armon/go-metrics)
BuildRequires:  golang(github.com/google/btree)
BuildRequires:  golang(github.com/hashicorp/go-msgpack/codec)
BuildRequires:  golang(github.com/hashicorp/go-multierror)
BuildRequires:  golang(github.com/hashicorp/go-sockaddr)
BuildRequires:  golang(github.com/miekg/dns)
BuildRequires:  golang(github.com/sean-/seed)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/stretchr/testify/require)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
cp %{S:1} %{S:2} .

%install
%gopkginstall

%if %{with check}
%check
for test in "TestMemberList_ProbeNode_Awareness_MissedNack" \
            "TestMemberlist_JoinShutdown" \
            "TestMemberlist_PingDelegate" \
; do
awk -i inplace '/^func.*'"$test"'/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%gocheck
%endif

%gopkgfiles

