# Generated by go2rpm
# Needs network
%bcond_with check

# https://github.com/hashicorp/go-sockaddr
%global goipath         github.com/hashicorp/go-sockaddr
Version:                1.0.2

%gometa

%global common_description %{expand:
Socket address convenience functions for Go. go-sockaddr is a convenience
library that makes doing the right thing with IP addresses easy. go-sockaddr is
loosely modeled after the UNIX sockaddr_t and creates a union of the family of
sockaddr_t types (see below for an ascii diagram). Library documentation is
available at https://godoc.org/github.com/hashicorp/go-sockaddr. The primary
intent of the library was to make it possible to define heuristics for selecting
the correct IP addresses when a configuration is evaluated at runtime. See the
docs, template package, tests, and CLI utility for details and hints as to how
to use this library.}

%global golicenses      LICENSE
%global godocs          README.md README-sockaddr.md README-template.md

%global gosupfiles glide.lock glide.yaml

Name:           %{goname}
Release:        %mkrel 3
Summary:        Ip address/unix socket convenience functions for go
Group:          Development/Golang

# Upstream license specification: MPL-2.0
License:        MPLv2.0
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.yaml
Source2:        glide.lock

BuildRequires:  golang(github.com/hashicorp/errwrap)
BuildRequires:  golang(github.com/mitchellh/cli)
BuildRequires:  golang(github.com/mitchellh/go-wordwrap)
BuildRequires:  golang(github.com/ryanuber/columnize)

%description
%{common_description}

%gopkg

%prep
%goprep
rm -rf cmd/sockaddr/vendor
mv cmd/sockaddr/README.md README-sockaddr.md
mv template/README.md README-template.md
cp %{S:1} %{S:2} .

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license %{golicenses}
%doc %{godocs}
%{_bindir}/*

%gopkgfiles

