# Generated by go2rpm
%bcond_without check
%bcond_without bootstrap

# https://github.com/go-kit/kit
%global goipath         github.com/go-kit/kit
Version:                0.11.0

%gometa

%global goipaths0       github.com/go-kit/kit
%global goipathsex0     github.com/go-kit/kit/sd/etcd github.com/go-kit/kit/sd/etcdv3

%if %{without bootstrap}
%global goipaths1       github.com/go-kit/kit/sd/etcd github.com/go-kit/kit/sd/etcdv3
%endif

%global common_description %{expand:
Go kit is a programming toolkit for building microservices (or elegant
monoliths) in Go. We solve common problems in distributed systems and
application architecture so you can focus on delivering business value.}

%global golicenses      LICENSE log/term/LICENSE
%global godocs          examples CONTRIBUTING.md README.md

Name:           %{goname}
Release:        %mkrel 2
Summary:        Standard library for microservices
Group:          Development/Golang
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
%if %{with bootstrap}
BuildArch:      noarch
%endif

BuildRequires:  golang(github.com/afex/hystrix-go/hystrix)
BuildRequires:  golang(github.com/aws/aws-sdk-go-v2/aws)
BuildRequires:  golang(github.com/aws/aws-sdk-go-v2/service/cloudwatch)
BuildRequires:  golang(github.com/aws/aws-sdk-go-v2/service/cloudwatch/types)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/cloudwatch)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/cloudwatch/cloudwatchiface)
BuildRequires:  golang(github.com/casbin/casbin/v2)
BuildRequires:  golang(github.com/dgrijalva/jwt-go)
BuildRequires:  golang(github.com/go-logfmt/logfmt)
BuildRequires:  golang(github.com/go-zookeeper/zk)
BuildRequires:  golang(github.com/hashicorp/consul/api)
BuildRequires:  golang(github.com/hudl/fargo)
BuildRequires:  golang(github.com/influxdata/influxdb1-client/v2)
BuildRequires:  golang(github.com/nats-io/nats.go)
BuildRequires:  golang(github.com/opentracing/opentracing-go)
BuildRequires:  golang(github.com/opentracing/opentracing-go/ext)
BuildRequires:  golang(github.com/opentracing/opentracing-go/log)
BuildRequires:  golang(github.com/openzipkin/zipkin-go)
BuildRequires:  golang(github.com/openzipkin/zipkin-go/model)
BuildRequires:  golang(github.com/openzipkin/zipkin-go/propagation/b3)
BuildRequires:  golang(github.com/performancecopilot/speed)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus)
BuildRequires:  golang(github.com/sirupsen/logrus)
BuildRequires:  golang(github.com/sony/gobreaker)
BuildRequires:  golang(github.com/streadway/amqp)
BuildRequires:  golang(github.com/streadway/handy/breaker)
BuildRequires:  golang(github.com/VividCortex/gohistogram)
%if %{without bootstrap}
BuildRequires:  golang(go.etcd.io/etcd/client/pkg/v3/transport)
BuildRequires:  golang(go.etcd.io/etcd/client/v2)
BuildRequires:  golang(go.etcd.io/etcd/client/v3)
%endif
BuildRequires:  golang(go.opencensus.io/plugin/ochttp)
BuildRequires:  golang(go.opencensus.io/plugin/ochttp/propagation/b3)
BuildRequires:  golang(go.opencensus.io/trace)
BuildRequires:  golang(go.opencensus.io/trace/propagation)
BuildRequires:  golang(go.uber.org/zap)
BuildRequires:  golang(go.uber.org/zap/zapcore)
BuildRequires:  golang(golang.org/x/sync/errgroup)
BuildRequires:  golang(google.golang.org/grpc)
BuildRequires:  golang(google.golang.org/grpc/codes)
BuildRequires:  golang(google.golang.org/grpc/metadata)
BuildRequires:  golang(google.golang.org/grpc/status)
BuildRequires:  golang(google.golang.org/protobuf/proto)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/casbin/casbin/v2/model)
BuildRequires:  golang(github.com/casbin/casbin/v2/persist/file-adapter)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus/promhttp)
BuildRequires:  golang(google.golang.org/protobuf/reflect/protoreflect)
BuildRequires:  golang(google.golang.org/protobuf/runtime/protoimpl)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%if %{without bootstrap}
%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done
%endif

%install
%gopkginstall
%if %{without bootstrap}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
%endif

%if %{without bootstrap}
%if %{with check}
%check
%gocheck -t metrics
%endif
%endif

%if %{without bootstrap}
%files
%license %{golicenses}
%doc %{godocs}
%{_bindir}/*
%endif

%gopkgfiles

