# Run tests in check section
%bcond_without check

# https://github.com/peterbourgon/diskv
%global goipath         github.com/peterbourgon/diskv
Version:                3.0.0

%gometa

%global goaltipaths     github.com/peterbourgon/diskv/v3

%global common_description %{expand:
Diskv (disk-vee) is a simple, persistent key-value store written in the Go 
language. It starts with an incredibly simple API for storing arbitrary data 
on a filesystem by key, and builds several layers of performance-enhancing 
abstraction on top. The end result is a conceptually simple, but highly 
performant, disk-backed storage system.}

%global golicenses      LICENSE
%global godocs          examples README.md

Name:           %{goname}
Release:        %mkrel 3
Summary:        A disk-backed key-value store
Group:          Development/Golang
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildArch:      noarch
BuildRequires: golang(github.com/google/btree)

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall


%if %{with check}
%check
%gocheck
%endif

%gopkgfiles
