%bcond_without check
%global debug_package %{nil}

# https://github.com/pkg/sftp
%global goipath         github.com/pkg/sftp
Version:                1.13.5

%gometa

%global common_description %{expand:
The sftp package provides support for file system operations on remote ssh
servers using the SFTP subsystem. It also implements an SFTP server for serving
files from the filesystem.}

%global golicenses      LICENSE
%global godocs          examples CONTRIBUTORS README.md request-readme.md

Name:           %{goname}
Release:        %mkrel 2
Summary:        SFTP support for the go.crypto/ssh package
# Detected licences
# - BSD (2 clause) at 'LICENSE'
Group:          Development/Golang
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/kr/fs)
BuildRequires:  golang(golang.org/x/crypto/ssh)
BuildRequires:  golang(golang.org/x/crypto/ssh/agent)

%if %{with check}
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/require)
BuildRequires:  golang(golang.org/x/crypto/ssh)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles
