# Generated by go2rpm
%bcond_without check

# https://github.com/Shopify/sarama
%global goipath         github.com/Shopify/sarama
Version:                1.27.2

%gometa

%global common_description %{expand:
Sarama is an MIT-licensed Go client library for Apache Kafka version 0.8 (and later).}

%global golicenses      LICENSE
%global godocs          examples CHANGELOG.md README.md

Name:           %{goname}
Release:        %mkrel 3
Summary:        Go library for Apache Kafka 0.8, and up
Group:          Development/Golang

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/davecgh/go-spew/spew)
BuildRequires:  golang(github.com/eapache/go-resiliency/breaker)
BuildRequires:  golang(github.com/eapache/go-xerial-snappy)
BuildRequires:  golang(github.com/eapache/queue)
BuildRequires:  golang(github.com/jcmturner/gofork/encoding/asn1)
BuildRequires:  golang(github.com/klauspost/compress/zstd)
BuildRequires:  golang(github.com/pierrec/lz4)
BuildRequires:  golang(github.com/rcrowley/go-metrics)
BuildRequires:  golang(github.com/xdg/scram)
BuildRequires:  golang(golang.org/x/net/proxy)
BuildRequires:  golang(gopkg.in/jcmturner/gokrb5.v7/asn1tools)
BuildRequires:  golang(gopkg.in/jcmturner/gokrb5.v7/client)
BuildRequires:  golang(gopkg.in/jcmturner/gokrb5.v7/config)
BuildRequires:  golang(gopkg.in/jcmturner/gokrb5.v7/credentials)
BuildRequires:  golang(gopkg.in/jcmturner/gokrb5.v7/gssapi)
BuildRequires:  golang(gopkg.in/jcmturner/gokrb5.v7/iana/chksumtype)
BuildRequires:  golang(gopkg.in/jcmturner/gokrb5.v7/iana/keyusage)
BuildRequires:  golang(gopkg.in/jcmturner/gokrb5.v7/keytab)
BuildRequires:  golang(gopkg.in/jcmturner/gokrb5.v7/messages)
BuildRequires:  golang(gopkg.in/jcmturner/gokrb5.v7/types)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/fortytw2/leaktest)
BuildRequires:  golang(gopkg.in/jcmturner/gokrb5.v7/krberror)
# kerberos_client_test.go
# BuildRequires:  golang(gopkg.in/jcmturner/gokrb5.v7/test/testdata)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%build
for cmd in tools/kafka-console-consumer tools/kafka-console-partitionconsumer tools/kafka-console-producer tools/kafka-producer-performance; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
# fails because gopkg.in/jcmturner/gokrb5.v7/test/testdata is not packaged
rm -rf kerberos_client_test.go
%gocheck
%endif

%files
%license %{golicenses}
%doc %{godocs}
%{_bindir}/*

%gopkgfiles
