# Generated by go2rpm
%ifnarch s390x
%bcond_without check
%endif

# https://github.com/Shopify/toxiproxy
%global goipath         github.com/Shopify/toxiproxy
Version:                2.1.4

%gometa

# Remove in F33:
%global godevelheader %{expand:
Obsoletes:      golang-github-Shopify-toxiproxy-devel < 2.1.3-3
}

%global common_description %{expand:
Toxiproxy is a framework for simulating network conditions. It's made
specifically to work in testing, CI and development environments, supporting
deterministic tampering with connections, but with support for randomized
chaos and customization. Toxiproxy is the tool you need to prove with tests
that your application doesn't have single points of failure.

Toxiproxy usage consists of two parts. A TCP proxy written in Go (what this
repository contains) and a client communicating with the proxy over HTTP. You
configure your application to make all test connections go through Toxiproxy
and can then manipulate their health via HTTP. See Usage below on how to set
up your project.}

%global golicenses      LICENSE
%global godocs          CHANGELOG.md CREATING_TOXICS.md README.md README-client.md

Name:           %{goname}
Release:        %mkrel 2
Summary:        TCP proxy to simulate network and system conditions for resiliency testing
Group:          Development/Golang

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
# Stolen from Debian:
Source1:        toxiproxy-server.1
Source2:        toxiproxy-cli.1
Source3:        toxiproxy.default
Source4:        toxiproxy.service
Source5:        toxiproxy.logrotate

BuildRequires:  golang(github.com/gorilla/mux)
BuildRequires:  golang(github.com/sirupsen/logrus)
BuildRequires:  golang(github.com/urfave/cli)
BuildRequires:  golang(golang.org/x/crypto/ssh/terminal)
BuildRequires:  golang(gopkg.in/tomb.v1)
Requires(pre):  shadow-utils

%description
%{common_description}

%package -n toxiproxy
Summary:       %{summary}

%description -n toxiproxy
%{common_description}

%gopkg

%prep
%goprep
mv client/README.md README-client.md

%build
%gobuild -o %{gobuilddir}/bin/toxiproxy-cli     %{goipath}/cli
%gobuild -o %{gobuilddir}/bin/toxiproxy-server  %{goipath}/cmd

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

install -d -m 0755 %{buildroot}%{_mandir}/man1
install -p -m 0644 %{SOURCE1} %{buildroot}%{_mandir}/man1/toxiproxy-server.1
install -p -m 0644 %{SOURCE2} %{buildroot}%{_mandir}/man1/toxiproxy-cli.1

install -d -m 0755 %{buildroot}%{_sysconfdir}/default
install -p -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/default/toxiproxy

install -d -m 0755 %{buildroot}%{_unitdir}
install -p -m 0644 %{SOURCE4} %{buildroot}%{_unitdir}/toxiproxy.service

install -d -m 0755 %{buildroot}%{_sysconfdir}/logrotate.d
install -p -m 0644 %{SOURCE5} %{buildroot}%{_sysconfdir}/logrotate.d/toxiproxy

install -d -m 0755 %{buildroot}%{_sharedstatedir}/toxiproxy
install -d -m 0755 %{buildroot}%{_localstatedir}/log/toxiproxy

%if %{with check}
%check
%gocheck
%endif

%pre  -n toxiproxy
getent group toxiproxy >/dev/null || groupadd -r toxiproxy
getent passwd toxiproxy >/dev/null || \
    useradd -r -g toxiproxy -d %{_sharedstatedir}/toxiproxy -s /sbin/nologin \
    -c "Toxiproxy-server account" toxiproxy
exit 0

%post  -n toxiproxy
%systemd_post toxiproxy.service

%preun  -n toxiproxy
%systemd_preun toxiproxy.service

%postun  -n toxiproxy
%systemd_postun_with_restart toxiproxy.service

%files  -n toxiproxy
%license %{golicenses}
%doc %{godocs}
%{_bindir}/toxiproxy-cli
%{_bindir}/toxiproxy-server
%config(noreplace) %{_sysconfdir}/default/toxiproxy
%config(noreplace) %{_sysconfdir}/logrotate.d/toxiproxy
%{_unitdir}/toxiproxy.service
%{_mandir}/man1/toxiproxy-server.1.*
%{_mandir}/man1/toxiproxy-cli.1.*
%attr(0775,root,toxiproxy) %dir %{_localstatedir}/log/toxiproxy
%attr(0750,toxiproxy,toxiproxy) %dir %{_sharedstatedir}/toxiproxy

%gopkgfiles

