# Generated by go2rpm
%bcond_without check
%global debug_package %{nil}

# https://github.com/spf13/cobra
%global goipath         github.com/spf13/cobra
Version:                1.6.1

%gometa

%global common_description %{expand:
Cobra is a library providing a simple interface to create powerful modern CLI
interfaces similar to git & go tools.

Cobra is also an application that will generate your application scaffolding to
rapidly develop a Cobra-based application.

Cobra provides:

 - Easy subcommand-based CLIs: app server, app fetch, etc.
 - Fully POSIX-compliant flags (including short & long versions)
 - Nested subcommands
 - Global, local and cascading flags
 - Easy generation of applications & commands with cobra init appname & cobra
   add cmdname
 - Intelligent suggestions (app srver... did you mean app server?)
 - Automatic help generation for commands and flags
 - Automatic help flag recognition of -h, --help, etc.
 - Automatically generated bash autocomplete for your application
 - Automatically generated man pages for your application
 - Command aliases so you can change things without breaking them
 - The flexibility to define your own help, usage, etc.
 - Optional tight integration with viper for 12-factor apps
}

%global golicenses      LICENSE.txt
%global godocs          doc powershell_completions.md bash_completions.md\\\
                        CONTRIBUTING.md CHANGELOG.md shell_completions.md\\\
                        projects_using_cobra.md fish_completions.md\\\
                        user_guide.md CONDUCT.md README.md zsh_completions.md

Name:           %{goname}
Release:        %mkrel 1
Summary:        Commander for modern Go CLI interactions
Group:          Development/Golang
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/cpuguy83/go-md2man/v2/md2man)
BuildRequires:  golang(github.com/spf13/pflag)
BuildRequires:  golang(gopkg.in/yaml.v3)

%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires 

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles
