# Run tests in check section
%bcond_without check
%global debug_package %{nil}

# https://github.com/stretchr/testify
%global goipath         github.com/stretchr/testify
Version:                1.8.0

%gometa

%global goaltipaths     gopkg.in/stretchr/testify.v1

%global common_description %{expand:
Golang set of packages that provide many tools for testifying 
that your code will behave as you intend.

Features include:

 - Easy assertions
 - Mocking
 - Testing suite interfaces and functions}

%global golicenses      LICENSE
%global godocs          CONTRIBUTING.md MAINTAINERS.md README.md

Name:           %{goname}
Release:        %mkrel 1
Summary:        Toolkit with common assertions and mocks
Group:          Development/Golang
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
BuildRequires:  golang(github.com/davecgh/go-spew/spew)
BuildRequires:  golang(github.com/pmezard/go-difflib/difflib)
BuildRequires:  golang(github.com/stretchr/objx)
BuildRequires:  golang(gopkg.in/yaml.v3)

%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%ifarch %{ix86} %{arm}
# TestFailfastSuiteFailFastOn fails on i686 and s390x
for test in "TestFailfastSuiteFailFastOn" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%endif
%gocheck
%endif

%gopkgfiles
