# Generated by go2rpm
# https://github.com/jaegertracing/jaeger-client-go/issues/395
%ifnarch %{ix86} %{arm} s390x
%bcond_without check
%endif

# https://github.com/uber/jaeger-client-go
%global goipath         github.com/uber/jaeger-client-go
Version:                2.30.0

%gometa

%global goaltipaths     github.com/jaegertracing/jaeger-client-go

%global common_description %{expand:
Instrumentation library that implements an OpenTracing Tracer for Jaeger
(https://jaegertracing.io).}

%global golicenses      LICENSE
%global godocs          CONTRIBUTING.md README.md RELEASE.md CHANGELOG.md

Name:           %{goname}
Release:        %mkrel 2
Summary:        Jaeger Bindings for Go OpenTracing API
Group:          Development/Golang

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/crossdock/crossdock-go)
BuildRequires:  golang(github.com/golang/mock/gomock)
BuildRequires:  golang(github.com/opentracing/opentracing-go)
BuildRequires:  golang(github.com/opentracing/opentracing-go/ext)
BuildRequires:  golang(github.com/opentracing/opentracing-go/log)
BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  golang(github.com/uber/jaeger-lib/metrics)
BuildRequires:  golang(go.uber.org/atomic)
BuildRequires:  golang(go.uber.org/zap)
BuildRequires:  golang(go.uber.org/zap/zapcore)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/opentracing/opentracing-go/harness)
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/mock)
BuildRequires:  golang(github.com/stretchr/testify/require)
BuildRequires:  golang(github.com/stretchr/testify/suite)
BuildRequires:  golang(github.com/uber/jaeger-lib/metrics/metricstest)
BuildRequires:  golang(go.uber.org/zap/zaptest/observer)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
find . -name "*.go" -exec sed -i "s|github.com/uber-go/atomic|go.uber.org/atomic|" "{}" +;

%build
for cmd in crossdock; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
# .: https://github.com/jaegertracing/jaeger-client-go/issues/524
%gocheck -d .
%endif

%files
%license LICENSE
%doc CONTRIBUTING.md README.md RELEASE.md CHANGELOG.md
%{_bindir}/*

%gopkgfiles
