# Generated by go2rpm
%bcond_without check
%global debug_package %{nil}

# https://github.com/uber-go/tally
%global goipath         github.com/uber-go/tally
Version:                4.1.2

%gometa

%global common_description %{expand:
Tally provides a common interface for emitting metrics, while letting you not
worry about the velocity of metrics emission.

By default it buffers counters, gauges and histograms at a specified interval
but does not buffer timer values. This is primarily so timer values can have all
their values sampled if desired and if not they can be sampled as summaries or
histograms independently by a reporter.}

%global golicenses      LICENSE
%global godocs          example README.md example

Name:           %{goname}
Release:        %mkrel 1
Summary:        Go metrics interface with fast buffered metrics and third party reporters
Group:          Development/Golang

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

BuildRequires:  golang(github.com/cactus/go-statsd-client/statsd)
BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus/promhttp)
BuildRequires:  golang(github.com/twmb/murmur3)
BuildRequires:  golang(go.uber.org/atomic)
BuildRequires:  golang(gopkg.in/validator.v2)
BuildRequires:  golang(gopkg.in/yaml.v2)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/prometheus/client_model/go)
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/require)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
# m3 tests timeout after 10m0s for armv7hl and i686
%ifarch armv7hl i686
%gocheck -t m3
%else
# TestVerifyCachedTaggedScopesAlloc randomly fails on ppc64le and s390x
%ifarch ppc64le s390x
for test in "TestVerifyCachedTaggedScopesAlloc" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%endif
%gocheck
%endif
%endif

%gopkgfiles
