%define debug_package %{nil}

%define prerelease 9f61d4554f6af00705c15714f4711f3019da7760
%define import_path github.com/docker/libtrust
%define gopath %{_libdir}/golang
%define gosrc %{gopath}/src/pkg/%{import_path}
%define shortcommit %(c=%{prerelease}; echo ${c:0:7})

Summary:	Authentication and authorization library for Go
Name:		golang-libtrust
Version:	0.1.git%{shortcommit}
Release:	%mkrel 7
License:	Apache-2.0
Group:		Development/Golang
Url:		https://%{import_path}
Source0:        https://%{import_path}/archive/%{prerelease}.tar.gz
Provides:       golang(%{import_path}) = %{version}-%{release}
Provides:       golang(%{import_path}/testutil)
Provides:       golang(%{import_path}/tlsdemo)
Provides:       golang(%{import_path}/trustgraph)

%description
Libtrust is library for managing authentication and authorization using public key cryptography.

%prep
%setup -q -n libtrust-%{prerelease}

%build

%install
mkdir -p %{buildroot}%{gosrc}
for d in . testutil tlsdemo trustgraph; do
    install -d -p %{buildroot}/%{gosrc}/$d
    cp -av $d/*.go %{buildroot}/%{gosrc}/$d
done
rm -f %{buildroot}%{gosrc}/{LICENSE,README.md}

%files
%doc LICENSE README.md
%dir %attr(755,root,root) %{gosrc}
%dir %attr(755,root,root) %{gosrc}/testutil
%dir %attr(755,root,root) %{gosrc}/tlsdemo
%dir %attr(755,root,root) %{gosrc}/trustgraph
%{gosrc}/*.go
%{gosrc}/*/*.go
