# Generated by go2rpm 1.3
%bcond_without check

# https://github.com/kubernetes-sigs/aws-iam-authenticator
%global goipath         sigs.k8s.io/aws-iam-authenticator
%global forgeurl        https://github.com/kubernetes-sigs/aws-iam-authenticator
Version:                0.5.2

%gometa

%global common_description %{expand:
A tool to use AWS IAM credentials to authenticate to a Kubernetes cluster. The
initial work on this tool was driven by Heptio. The project receives
contributions from multiple community engineers and is currently maintained by
Heptio and Amazon EKS OSS Engineers.}

%global golicenses      LICENSE
%global godocs          CHANGELOG.md CONTRIBUTING.md code-of-conduct.md\\\
                        README.md

Name:           %{goname}
Release:        %mkrel 5
Summary:        Tool to use AWS IAM credentials to authenticate to a Kubernetes cluster
Group:          Development/Golang

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
# Add context.TODO() to use with newer k8s.io/client-go
Patch0:         0001-Compatibility-with-newer-k8s.patch

BuildRequires:  golang(github.com/aws/aws-sdk-go/aws)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/arn)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/credentials)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/credentials/stscreds)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/ec2metadata)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/endpoints)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/session)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/ec2)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/ec2/ec2iface)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/sts)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/sts/stsiface)
BuildRequires:  golang(github.com/gofrs/flock)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus/promhttp)
BuildRequires:  golang(github.com/sirupsen/logrus)
BuildRequires:  golang(github.com/spf13/cobra)
BuildRequires:  golang(github.com/spf13/viper)
BuildRequires:  golang(go.hein.dev/go-version)
BuildRequires:  golang(golang.org/x/time/rate)
BuildRequires:  golang(gopkg.in/yaml.v2)
BuildRequires:  golang(k8s.io/api/authentication/v1beta1)
BuildRequires:  golang(k8s.io/api/core/v1)
BuildRequires:  golang(k8s.io/apimachinery/pkg/api/errors)
BuildRequires:  golang(k8s.io/apimachinery/pkg/apis/meta/v1)
BuildRequires:  golang(k8s.io/apimachinery/pkg/fields)
BuildRequires:  golang(k8s.io/apimachinery/pkg/labels)
BuildRequires:  golang(k8s.io/apimachinery/pkg/runtime)
BuildRequires:  golang(k8s.io/apimachinery/pkg/runtime/schema)
BuildRequires:  golang(k8s.io/apimachinery/pkg/runtime/serializer)
BuildRequires:  golang(k8s.io/apimachinery/pkg/types)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/errors)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/runtime)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/sets)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/wait)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/yaml)
BuildRequires:  golang(k8s.io/apimachinery/pkg/watch)
BuildRequires:  golang(k8s.io/client-go/discovery)
BuildRequires:  golang(k8s.io/client-go/discovery/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes)
BuildRequires:  golang(k8s.io/client-go/kubernetes/scheme)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/core/v1)
BuildRequires:  golang(k8s.io/client-go/pkg/apis/clientauthentication/v1alpha1)
BuildRequires:  golang(k8s.io/client-go/rest)
BuildRequires:  golang(k8s.io/client-go/testing)
BuildRequires:  golang(k8s.io/client-go/tools/cache)
BuildRequires:  golang(k8s.io/client-go/tools/clientcmd)
BuildRequires:  golang(k8s.io/client-go/tools/record)
BuildRequires:  golang(k8s.io/client-go/util/flowcontrol)
BuildRequires:  golang(k8s.io/client-go/util/workqueue)
BuildRequires:  golang(k8s.io/component-base/featuregate)
BuildRequires:  golang(k8s.io/sample-controller/pkg/signals)

%if %{with check}
# Tests
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/diff)
BuildRequires:  golang(k8s.io/client-go/kubernetes/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/core/v1/fake)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
%patch -P 0 -p1

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
# To Fix!
%gocheck
%endif

%files
%license LICENSE
%doc CHANGELOG.md CONTRIBUTING.md code-of-conduct.md README.md
%doc hack/boilerplate.go.txt hack/changelog.py
%{_bindir}/*

%gopkgfiles
