# Generated by go2rpm
%bcond_without check

# https://github.com/golang/mobile
%global goipath         golang.org/x/mobile
%global forgeurl        https://github.com/golang/mobile
%global commit          8578da9835fd365e78a6e63048c103b27a53a82c

%gometa

%global common_description %{expand:
The Go mobile repository holds packages and build tools for using Go on mobile
platforms.}

%global golicenses      LICENSE PATENTS
%global godocs          doc example AUTHORS CONTRIBUTING.md CONTRIBUTORS README.md

Name:           %{goname}
Version:        0
Release:        %mkrel 3
Summary:        Go support for Mobile devices
Group:          Development/Golang

# Upstream license specification: BSD-3-Clause
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(golang.org/x/image/draw)
BuildRequires:  golang(golang.org/x/image/math/f64)
BuildRequires:  golang(golang.org/x/mod/modfile)
BuildRequires:  golang(golang.org/x/tools/go/packages)

%if %{with check}
# Tests
BuildRequires:  golang(golang.org/x/tools/go/packages/packagestest)
BuildRequires:  pkgconfig(glesv2)
BuildRequires:  pkgconfig(openal)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%ifarch aarch64 armv7hl ppc64le s390x
%gocheck -d cmd/gobind -d cmd/gomobile
%else
%gocheck -d cmd/gobind
%endif
%endif

%files
%license %{golicenses}
%doc %{godocs}
%{_bindir}/*

%gopkgfiles

