# comment out if not prerelease
#define prel	alpha.230316.3abdadb7

%define tag	Release.ca9dd133

%if 0%{?prel:1}
%define lpre 	%(echo %{prel} | tr A-Z a-z)
%endif

%define rel	1

Name:		goldendict-ng
Version:	24.09.1
Release:	%mkrel %{?prel:0.%prel.}%{rel}
Summary:	The Best Multi-format dictionary lookup program (Next Generation GoldenDict)
Group:		Office/Dictionary
License:	GPLv3+
URL:		https://xiaoyifang.github.io/goldendict-ng/
Source0:	https://github.com/xiaoyifang/goldendict-ng/archive/v%{version}%{?tag:-%tag}%{?prel:-%prel}/goldendict-ng-%{version}%{?tag:-%tag}%{?prel:-%prel}.tar.gz
Patch0:		0001-Disable-checkUpdate-by-default.patch

# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:	aarch64 x86_64

BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Multimedia)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Sql)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6WebEngineCore)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)
BuildRequires:	cmake(Qt6TextToSpeech)

BuildRequires:	pkgconfig(libzstd)
BuildRequires:	pkgconfig(opencc)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(hunspell)
BuildRequires:	pkgconfig(lzo2)
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(xkbcommon)
BuildRequires:	pkgconfig(xapian-core)
BuildRequires:	pkgconfig(libzim)
BuildRequires:	pkgconfig(fmt)
BuildRequires:	pkgconfig(tomlplusplus)
# ffmpeg
BuildRequires:	pkgconfig(libavcodec)
BuildRequires:	pkgconfig(libavformat)
BuildRequires:	pkgconfig(libavutil)
BuildRequires:	pkgconfig(libswresample)
# xz-devel
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	eb-devel

Obsoletes:	goldendict < 24.05.05
Provides:	goldendict = %{version}-%{release}

%description
The Next Generation GoldenDict. A feature-rich open-source dictionary lookup
program, supporting multiple dictionary formats and online dictionaries.

%prep
%autosetup -p1 -n %{name}-%{version}%{?tag:-%tag}%{?prel:-%prel}

# remove unneeded third-party libraries
rm -r thirdparty/{fmt,qwebengine_ts,tomlplusplus}

%build
%cmake \
    -GNinja \
    -DUSE_SYSTEM_FMT=ON \
    -DUSE_SYSTEM_TOML=ON \
    -DUSE_ALTERNATIVE_NAME=ON \
    -DWITH_TTS=ON \
    -DCMAKE_SKIP_RPATH=ON
%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSE.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/io.github.xiaoyifang.goldendict_ng.desktop
%{_datadir}/pixmaps/%{name}.png
%{_metainfodir}/io.github.xiaoyifang.goldendict_ng.metainfo.xml
