%define api	1.0
%define major	0
%define libname	%mklibname gom %{api} %{major}
%define devname	%mklibname gom %{api} -d
%define girname	%mklibname gom-gir %{api}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gom
Version:	0.5.3
Release:	%mkrel 3
Summary:	GObject to SQLite object mapper library
Group:		System/Libraries
License:	LGPLv2+
URL:		https://wiki.gnome.org/Projects/Gom
Source0:	https://download.gnome.org/sources/gom/%{url_ver}/gom-%{version}.tar.xz
Patch0:		gom-0.3.3-test-timeout.patch
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	intltool
BuildRequires:	gi-docgen
BuildRequires:	gtk-doc
BuildRequires:	meson
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	python3dist(pygobject)

%description
Gom provides an object mapper from GObjects to SQLite. It helps you write
applications that need to store structured data as well as make complex queries
upon that data.

%package -n %{libname}
Summary:	GObject to SQLite object mapper library
Group:		System/Libraries
# (ovitters) gom package is obsolete as it only contained translations.
#            Translations have been removed as of 0.3.3
Obsoletes:	%{name} < 0.3.3

%description -n %{libname}
Gom provides an object mapper from GObjects to SQLite. It helps you write
applications that need to store structured data as well as make complex queries
upon that data.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for developing applications
that use %{name}.

%prep
%autosetup -p1

%build
%meson		\
	-Denable-gtk-doc=true
%meson_build

%install
%meson_install

%check
%meson_test

%files -n %{libname}
%license COPYING
%{_libdir}/libgom-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Gom-%{api}.typelib
%{python3_sitearch}/gi/overrides/*

%files -n %{devname}
%doc %{_docdir}/gom-1.0/
%{_includedir}/gom-%{api}/
%{_libdir}/libgom-%{api}.so
%{_libdir}/pkgconfig/gom-%{api}.pc
%{_datadir}/gir-1.0/Gom-%{api}.gir
