%define api	3.0
%define major	9
%define libname	%mklibname goocanvas %{api} %{major}
%define girname	%mklibname goocanvas-gir %{api}
%define devname	%mklibname -d goocanvas %{api}

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		goocanvas
Version:	3.0.0
Release:	%mkrel 1
Summary:	New canvas widget for GTK+ that uses the cairo 2D library
Group:		Development/GNOME and GTK+
License:	LGPL+
URL:		https://sourceforge.net/projects/goocanvas
Source0:	https://download.gnome.org/sources/goocanvas/%{url_ver}/%{name}-%{version}.tar.xz
Patch1:		goocanvas-fix-building-with-gcc14.patch
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(cairo)

%description
GooCanvas is a new canvas widget for GTK+ that uses the cairo 2D library for
drawing. It has a model/view split, and uses interfaces for canvas items and
views, so you can easily turn any application object into canvas items.

%package -n %{libname}
Summary:	New canvas widget for GTK+ that uses the cairo 2D library
Group:		System/Libraries
Requires:	goocanvas3-i18n >= %{version}-%{release}

%description -n %{libname}
This package contains the shared library for goocanvas.

%package -n goocanvas3-i18n
Summary:	New canvas widget for GTK+ that uses the cairo 2D library
Group:		System/Internationalization
BuildArch:	noarch

%description -n goocanvas3-i18n
This package contains the translations for goocanvas3.

%package -n %{devname}
Summary:	New canvas widget for GTK+ that uses the cairo 2D library
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	goocanvas-devel = %{version}-%{release}
Provides:	goocanvas3-devel = %{version}-%{release}
Provides:	goocanvas%{api}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development libraries, include files and
documentation for goocanvas %{api}.

%package -n %{girname}
Summary:	GObject Introspection interface description for GooCanvas
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for GooCanvas.

%prep
%autosetup -p1

%build
%configure \
	--disable-static
%make_build LIBS=-lm

%install
%make_install

%find_lang goocanvas3

%files -n %{libname}
%doc README AUTHORS
%{_libdir}/lib%{name}-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GooCanvas-%{api}.typelib

%files -n goocanvas3-i18n -f goocanvas3.lang

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/goocanvas3/
%{_includedir}/%{name}-%{api}/
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_datadir}/gir-1.0/GooCanvas-%{api}.gir
