%define major	1
%define libname	%mklibname benchmark %{major}
%define devname	%mklibname benchmark -d

Name:		google-benchmark
Version:	1.9.2
Release:	%mkrel 1
Summary:	A microbenchmark support library
Group:          System/Libraries
License:	ASL 2.0
URL:		https://github.com/google/benchmark
Source0:	https://github.com/google/benchmark/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	gcc-c++
BuildRequires:	ninja
BuildRequires:	pkgconfig(gtest)
BuildRequires:	pkgconfig(gmock)

%description
A library to support the benchmarking of functions, similar to unit-tests.

#------------------------------------------------

%package -n	%{libname}
Summary:	A microbenchmark support library
Group:		System/Libraries

%description -n	%{libname}
A library to support the benchmarking of functions, similar to unit-tests.

#------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	benchmark-devel = %{version}-%{release}

%description -n	%{devname}
Development headers and files for %{name} libraries.

#------------------------------------------------

%prep
%autosetup -n benchmark-%{version}

sed -e '/get_git_version/d' -i CMakeLists.txt

%build
%cmake -G Ninja \
       -DGIT_VERSION=%{version} \
       -DBENCHMARK_ENABLE_DOXYGEN:BOOL=ON \
       -DBENCHMARK_USE_BUNDLED_GTEST:BOOL=OFF \
       -DBENCHMARK_ENABLE_TESTING:BOOL=OFF
%cmake_build

%install
%cmake_install

%check
%ctest

%files -n %{libname}
%doc AUTHORS CONTRIBUTORS CONTRIBUTING.md README.md
%license LICENSE
%{_libdir}/libbenchmark*.so.%{major}{,.*}

%files -n %{devname}
%docdir %{_datadir}/doc/benchmark/
%doc %{_datadir}/doc/benchmark/
%{_libdir}/libbenchmark*.so
%{_includedir}/benchmark/
%{_libdir}/cmake/benchmark/
%{_libdir}/pkgconfig/benchmark*.pc
