%define opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)
%define debug_package %{nil}

Name:       google-drive-ocamlfuse
Version:    0.7.30
Release:    %mkrel 1
License:    BSD-2-Clause
Summary:    FUSE filesystem for Google Drive
Group:      Networking/Remote access
Url:        https://forge.ocamlcore.org/projects/gdfuse/
Source0:    https://github.com/astrada/google-drive-ocamlfuse/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ocaml >= 4.04.0
BuildRequires:  ocaml-dune-devel
BuildRequires:  ocamlfuse-devel >= 2.7.1-14
BuildRequires:  gapi-ocaml-devel >= 0.4.2
BuildRequires:  ocaml-sqlite3-devel
BuildRequires:  ocaml-cryptokit-devel
BuildRequires:  ocaml-extlib-devel
BuildRequires:  ocaml-camlidl-devel
BuildRequires:  ocaml-ocamlnet-devel
BuildRequires:  ocaml-ounit-devel
BuildRequires:  ocaml-tiny_httpd-devel
BuildRequires:  ocaml-yojson-devel
BuildRequires:  ocaml-biniou-devel
BuildRequires:  ocaml-easy-format-devel
BuildRequires:  opam
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(fuse)

%description
google-drive-ocamlfuse is a FUSE-based file system backed by Google Drive,
written in OCaml. It lets you mount your Google Drive on Linux.

On the first time, just run google-drive-ocamlfuse, which will open a
browser for authentication. If that process succeeds, it will print
"Access token retrieved correctly.". Now run google-drive-ocamlfuse
with an empty directory supplied, which is the mount point for your Google
Drive. You can optionally unmount with fusermount -u mount-point.

Further documentation is available here:

  https://github.com/astrada/google-drive-ocamlfuse/wiki


%prep
%setup -q

%build
dune build -p %{name} @install

%install
mkdir -p %{buildroot}%{_libdir}/ocaml
dune install --destdir=%{buildroot} --libdir=%{_libdir}/ocaml

%files
%doc README.md doc/
%license LICENSE
%{_bindir}/%{name}
%{_libdir}/ocaml/%{name}/
%exclude %{_prefix}/doc/%{name}
