%define major   2
%define libname %mklibname glog %{major}
%define devname %mklibname glog -d

Name:           google-glog
Version:        0.7.1
Release:        %mkrel 1
Summary:        Logging library for C++
License:        BSD-3-Clause
Group:          System/Libraries
URL:            https://github.com/google/glog
Source:         https://github.com/google/glog/archive/v%{version}/glog-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  pkgconfig(gflags)
BuildRequires:  pkgconfig(gtest)

%description
The glog library implements application-level logging.
This library provides logging APIs based on C++-style
streams and various helper macros.

%package -n %{libname}
Summary:        Logging library for C++
Group:          System/Libraries
Provides:       glog = %{version}-%{release}

%description -n %{libname}
The glog library implements application-level logging.
This library provides logging APIs based on C++-style
streams and various helper macros.

%package -n %{devname}
Summary:        Header files for Glog
Group:          Development/C++
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       glog-devel = %{version}-%{release}

%description -n %{devname}
The glog library implements application-level logging.
This library provides logging APIs based on C++-style
streams and various helper macros.

This package provides development files for Glog.

%prep
%autosetup -p1 -n glog-%{version}

%build
%cmake \
	-DWITH_PKGCONFIG:BOOL=ON \
	-DWITH_GFLAGS:BOOL=ON \
	-DWITH_GTEST:BOOL=ON \
	%{nil}
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_datadir}/doc/glog-*

%files -n %{libname}
%license COPYING
%{_libdir}/libglog.so.%{major}
%{_libdir}/libglog.so.%{version}

%files -n %{devname}
%license COPYING
%doc AUTHORS ChangeLog README.rst
%{_includedir}/glog/
%{_libdir}/libglog.so
%{_libdir}/pkgconfig/libglog.pc
%{_libdir}/cmake/glog/
