# from tag v2.042
%global commit0 d79d23e6822e0f6e5731b114cbfb26b2a4e380da
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

%global fontname google-noto-emoji
%define _fontdir %{_fontbasedir}/TTF/%{fontname}

%global buildfont 1

Name:           %{fontname}-fonts
Version:        20231130
Release:        %mkrel 2
Summary:        Google "Noto Emoji" Black-and-White emoji font
Group:          System/Fonts/True type

# In noto-emoji-fonts source
## noto-emoji code is in ASL 2.0 license
## Emoji fonts are under OFL license
### third_party color-emoji code is in BSD license
### third_party region-flags code is in Public Domain license
# In nototools source
## nototools code is in ASL 2.0 license
### third_party ucd code is in Unicode license
License:        OFL and ASL 2.0
URL:            https://github.com/googlefonts/noto-emoji
Source0:        https://github.com/googlefonts/noto-emoji/archive/%{commit0}.tar.gz#/noto-emoji-%{shortcommit0}.tar.gz
Source2:        %{fontname}.metainfo.xml
Source3:        %{fontname}-color.metainfo.xml
Source4:        Noto_Emoji.zip

Patch0:         noto-emoji-build-all-flags.patch
Patch1:         noto-emoji-use-gm.patch
Patch2:         noto-emoji-use-system-pngquant.patch

BuildArch:      noarch
BuildRequires:  gcc
BuildRequires:  fontpackages-devel
%if %buildfont
BuildRequires:  fonttools
BuildRequires:  python3-fonttools
BuildRequires:  nototools
BuildRequires:  python3-nototools
BuildRequires:  python3-devel
BuildRequires:  graphicsmagick
BuildRequires:  pngquant
BuildRequires:  zopfli
BuildRequires:  cairo-devel
BuildRequires:  optipng
%endif
BuildRequires:  make

%description
This package provides the Google “Noto Emoji” Black-and-White emoji font.

%package -n     fonts-ttf-%{fontname}
Summary:        Google "Noto Emoji" Black-and-White emoji font
Requires:       fontpackages-filesystem

Obsoletes:      google-noto-emoji-fonts < 20220916-2
Provides:       google-noto-emoji-fonts = %{version}%{release}

%description -n fonts-ttf-%{fontname}
This package provides the Google “Noto Emoji” Black-and-White emoji font.

%package -n     fonts-ttf-%{fontname}-color
Summary:        Google “Noto Color Emoji” colored emoji font
Requires:       fontpackages-filesystem

Obsoletes:      google-noto-emoji-color-fonts < 20220916-2
Provides:       google-noto-emoji-color-fonts = %{version}%{release}

%description -n fonts-ttf-%{fontname}-color
This package provides the Google “Noto Color Emoji” colored emoji font.

%prep
%setup -a 4 -n noto-emoji-%{commit0}
%patch -P 0 -p1 -b .noto-emoji-build-all-flags
%patch -P 1 -p1 -b .noto-emoji-use-gm.patch
%patch -P 2 -p1 -b .noto-emoji-use-system-pngquant

rm -rf third_party/pngquant

%build
%if %buildfont
# Work around UTF-8
export LANG=C.UTF-8

%make_build OPT_CFLAGS="$RPM_OPT_FLAGS" BYPASS_SEQUENCE_CHECK='True'
%endif

%install
install -m 0755 -d %{buildroot}%{_fontdir}

%if %buildfont
# Built by us from the supplied pngs:
install -m 0644 -p NotoColorEmoji.ttf %{buildroot}%{_fontdir}
%else
# Pre-built, and included with the source:
install -m 0644 -p fonts/NotoColorEmoji.ttf %{buildroot}%{_fontdir}
%endif

# Pre-built, and included with the source:
install -m 0644 -p static/NotoEmoji-Regular.ttf %{buildroot}%{_fontdir}

mkdir -p %{buildroot}%{_metainfodir}
install -m 0644 -p %{SOURCE2} %{buildroot}%{_metainfodir}
install -m 0644 -p %{SOURCE3} %{buildroot}%{_metainfodir}

%files -n fonts-ttf-%{fontname}
%license LICENSE OFL.txt
%doc AUTHORS CONTRIBUTING.md CONTRIBUTORS README.md README.txt
%{_metainfodir}/google-noto-emoji.metainfo.xml
%dir %{_fontbasedir}/TTF/google-noto-emoji
%{_fontbasedir}/TTF/google-noto-emoji/NotoEmoji-Regular.ttf

%files -n fonts-ttf-%{fontname}-color
%license LICENSE OFL.txt
%doc AUTHORS CONTRIBUTING.md CONTRIBUTORS README.md README.txt
%{_metainfodir}/google-noto-emoji-color.metainfo.xml
%dir %{_fontbasedir}/TTF/google-noto-emoji
%{_fontbasedir}/TTF/google-noto-emoji/NotoColorEmoji.ttf
