%global srcname    roboto-unhinted
%global fontname   google-roboto
%global fontconf   64-%{fontname}
%global fontsrcdir Roboto_v%{version}
%define _fontdir   %{_fontbasedir}/TTF/%{fontname}

Name:       google-roboto-fonts
Version:    2.138
Release:    %mkrel 1
Summary:    Google Roboto fonts
Group:      System/Fonts/True type
# Only the metainfo.xml files are CC0
License:    Apache-2.0 AND CC0-1.0
URL:        https://github.com/googlefonts/roboto
Source0:    https://github.com/google/roboto/releases/download/v%{version}/%{srcname}.zip
Source1:    %{fontconf}-condensed-fontconfig.conf
Source2:    %{fontconf}-fontconfig.conf
Source3:    %{fontname}-condensed.metainfo.xml
Source4:    %{fontname}.metainfo.xml
BuildArch:  noarch

BuildRequires: dos2unix
BuildRequires: fontpackages-devel

%description
Roboto is a sans-serif typeface family introduced with Android Ice Cream
Sandwich operating system. Google describes the font as "modern, yet
approachable" and "emotional".

%package -n     fonts-ttf-%{fontname}
Summary:        Google Roboto fonts
Group:          System/Fonts/True type
Requires:       fontpackages-filesystem

Obsoletes:      google-roboto-fonts < 1.2-5
Provides:       google-roboto-fonts = %{version}%{release}

%description -n fonts-ttf-%{fontname}
Roboto is a sans-serif typeface family introduced with Android Ice Cream
Sandwich operating system. Google describes the font as "modern, yet
approachable" and "emotional".

%package -n fonts-ttf-%{fontname}-condensed
Summary:        Google Roboto condensed fonts
Group:          System/Fonts/True type
Requires:       fontpackages-filesystem

Obsoletes:      google-roboto-condensed-fonts < 1.2-5
Provides:       google-roboto-condensed-fonts = %{version}%{release}

%description -n fonts-ttf-%{fontname}-condensed
Google Roboto condensed fonts.

%prep
%autosetup -c -n %{srcname}

%build

%install
# install fonts
install -d %{buildroot}%{_fontdir}
install -m 0644 -p Roboto-*.ttf %{buildroot}%{_fontdir}
install -m 0644 -p RobotoCondensed-*.ttf %{buildroot}%{_fontdir}

# install fontconfig files
install -d %{buildroot}%{_fontconfig_templatedir} %{buildroot}%{_fontconfig_confdir}
for fconf in %{fontconf} %{fontconf}-condensed; do
  install -m 0644 %{_sourcedir}/$fconf-fontconfig.conf %{buildroot}%{_fontconfig_templatedir}/$fconf.conf
  ln -s %{_fontconfig_templatedir}/$fconf.conf %{buildroot}%{_fontconfig_confdir}/$fconf.conf
done

# install appdata
install -d %{buildroot}%{_metainfodir}
install -m 0644 %{_sourcedir}/%{fontname}{,-condensed}.metainfo.xml %{buildroot}%{_metainfodir}

%files -n fonts-ttf-%{fontname}
%license LICENSE
%{_fontconfig_confdir}/%{fontconf}.conf
%{_fontconfig_templatedir}/%{fontconf}.conf
%dir %{_fontdir}
%{_fontdir}/Roboto-*.ttf
%{_metainfodir}/%{fontname}.metainfo.xml

%files -n fonts-ttf-%{fontname}-condensed
%license LICENSE
%{_fontconfig_confdir}/%{fontconf}-condensed.conf
%{_fontconfig_templatedir}/%{fontconf}-condensed.conf
%dir %{_fontdir}
%{_fontdir}/RobotoCondensed-*.ttf
%{_metainfodir}/%{fontname}-condensed.metainfo.xml
