Summary:       Software version control visualization
Name:          gource
Version:       0.55
Release:       %mkrel 4
License:       GPLv3+
Group:         Video/Utilities
URL:           https://gource.io/
Source:        https://github.com/acaudwell/Gource/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz

BuildRequires: pkgconfig(sdl2)
BuildRequires: pkgconfig(SDL2_image)
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(glu)
BuildRequires: pkgconfig(glew)
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(tinyxml)
BuildRequires: pkgconfig(libpcre2-8)
BuildRequires: glm-devel
BuildRequires: boost-devel

Requires:      gnu-free-sans-fonts

%description
OpenGL-based 3D visualization tool for source control repositories.
The repository is displayed as a tree where the root of the repository is
the centre, directories are branches and files are leaves. Contributors
to the source code appear and disappear as they contribute to specific
files and directories.

%prep
%autosetup -p1

# Make sure to build against system tinyxml
rm -rf src/tinyxml

%build
%configure \
           --enable-ttf-font-dir=%{_datadir}/fonts/gnu-free/ \
           --with-tinyxml
%make_build

%install
%make_install

rm -rf %{buildroot}%{_datadir}/%{name}/fonts

%files
%doc THANKS ChangeLog
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1.*
