# https://github.com/mitchellh/gox
%global goipath         github.com/mitchellh/gox
Version:                0.4.0

%gometa

Summary:	Simple Go Cross Compilation
Name:		gox
Release:	%mkrel 6
License:	MPLv2.0
Group:		Development/Other
URL:            %{gourl}
Source0:        %{gosource}
Patch0:		d4965637282ce0b805b4b92c0673b0e65e88d094.patch
Patch1:		arm64.patch

BuildRequires:	golang >= 1.1
BuildRequires:	golang(github.com/mitchellh/iochan)

%description
Gox is a simple, no-frills tool for Go cross compilation that behaves a lot
like standard go build. Gox will parallelize builds for multiple platforms. Gox
will also build the cross-compilation toolchain for you.

%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.

%prep
%forgeautosetup

%build
%gobuildroot
%gobuild -o _bin/gox %{goipath}

%install
%goinstall
mkdir -p %{buildroot}%{_bindir}
%{__install} -m 0755 _bin/gox %{buildroot}%{_bindir}/gox

%check
%gochecks

%files
%{_bindir}/gox

%files devel -f devel.file-list
%license LICENSE
%doc README.md
