Name:           goxel
Version:        0.15.1
Release:        %mkrel 1
Summary:        3D voxel graphics editor
Group:          Graphics/Editors and Converters
License:        GPLv3+
URL:            https://github.com/guillaumechereau/goxel
Source0:        https://github.com/guillaumechereau/goxel/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  imagemagick
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(glfw3)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  scons

%description
Goxel is an open source voxel graphics editor. Voxels are 3D images formed
of cubic elements). Main features:
- 24 bits RGB colors.
- Unlimited scene size and undo buffer.
- Multiple layers.
- Marching cube and procedural rendering.
- Export to obj, pyl, png, magica voxel, qubicle.

%prep
%autosetup -p1

%build
%set_build_flags
%scons mode=release werror=0

%install
install -D -m755 %{name} %{buildroot}%{_bindir}/%{name}

install -d %{buildroot}%{_iconsdir}/hicolor/{48x48,256x256,1024x1024}/apps
install -m644 icon.png %{buildroot}%{_iconsdir}/hicolor/1024x1024/apps/%{name}.png
convert icon.png -resize 48x48 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert icon.png -resize 256x256 %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Goxel
GenericName=Voxel graphics editor
Comment=3D voxel graphics editor
Exec=%{name}
Icon=%{name}
Type=Application
Categories=Graphics;VectorGraphics;
EOF

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
