%define long_name gpaint-2

Name:		gpaint
Summary:	Small-scale painting program for GNOME, the GNU Desktop
Version:	0.3.4
Release:	%mkrel 1
License:	GPLv3+
Group:		Graphics/Editors and Converters
URL:		https://www.gnu.org/software/gpaint/
Source0:	https://alpha.gnu.org/gnu/gpaint/%{long_name}-%{version}.tar.gz
Source2:	%{name}.svg
Source3:	%{name}.1
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libglade-2.0) >= 2.6.4
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
Obsoletes:	gpaint-2 < 0.3.3-8

%description
GNU Paint (gpaint) is a simple, easy-to-use paint program for GNOME.

Current Features:

   o Drawing tools--ovals, freehand, polygon, text, with fill or shallow for polygons and closed freehand.
   o Cut and paste by selecting irregular regions or polygons
   o Print support using gnome-print (still flaky, will be improved upon next release)
   o Modern, ease-to-use user interface with tool and color palettes
   o Editing multiple image at the same time without running multiple instance of the image editor
   o All image processing features present in xpaint.

%prep
%autosetup -p1 -n %{long_name}-%{version}

%build
export CFLAGS="%{optflags} -fpermissive"
%configure
%make_build

%install
%make_install

%find_lang %{long_name}

install -D -m0644 %{SOURCE2} %{buildroot}%{_iconsdir}/hicolor/scalable/%{name}.svg
install -D -m0644 %{SOURCE3} %{buildroot}%{_mandir}/man1/%{name}.1

install -D -m0644 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-install \
	--set-icon="%{name}" \
	--dir %{buildroot}%{_datadir}/applications/ %{buildroot}%{_datadir}/applications/%{name}.desktop

%files -f %{long_name}.lang
%doc AUTHORS NEWS README THANKS
%license COPYING
%{_bindir}/%{long_name}
%dir %{_datadir}/gpaint
%dir %{_datadir}/gpaint/glade
%{_datadir}/gpaint/glade/gpaint.glade
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/%{name}.svg
%{_mandir}/man1/%{name}.1*
