Summary:	Graphical frontend to libparted
Name:		gparted
Version:	1.7.0
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		https://gparted.sourceforge.net/
Source0:	https://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(libparted)
BuildRequires:	pkgconfig(gtkmm-3.0)
BuildRequires:	pkgconfig(sigc++-2.0)
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	gnome-doc-utils
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	polkit
Requires:	polkit
Recommends:	dosfstools mtools

%description
GParted stands for Gnome Partition Editor and is a graphical frontend to
libparted. Among other features it supports creating, resizing, moving
and copying of partitions. Also several (optional) filesystem tools provide
support for filesystems not included in libparted. These optional packages
will be detected at runtime and don't require a rebuild of GParted.

%prep
%autosetup -p1

%build
%configure --enable-libparted-dmraid --enable-online-resize --enable-xhost-root
%make_build

%install
%make_install

%find_lang %{name} --with-gnome

desktop-file-install --vendor='' \
	--dir %{buildroot}%{_datadir}/applications/ \
	--add-category='GTK;HardwareSettings;Settings' \
	%{buildroot}%{_datadir}/applications/*.desktop

%preun
if [ $1 -ge 0 ]; then
    if [ -a %{_datadir}/hal/fdi/policy/gparted-disable-automount.fdi ]; then
       rm -rf %{_datadir}/hal/fdi/policy/gparted-disable-automount.fdi
    fi
fi

%files -f %{name}.lang
%doc AUTHORS README COPYING ChangeLog
%{_bindir}/%{name}
%{_libexecdir}/%{name}bin
%{_metainfodir}/gparted.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/polkit-1/actions/org.gnome.gparted.policy
%{_mandir}/man8/*
