# comment out when not a pre-release
#define prel    rc1

%define rel     1

Name:           gpick
Version:        0.3
Release:        %mkrel %{?prel:0.%prel.}%{rel}
Summary:        Advanced color picker written in C++ using GTK+ toolkit
License:        BSD
Group:          Graphics/Utilities
URL:            https://github.com/thezbyg/gpick/
Source0:        https://github.com/thezbyg/gpick/releases/download/v%{version}/%{name}-%{version}%{?prel:%prel}.tar.gz
Patch1:		revert-cpp-lua.patch
Patch11:	gpick-link-expat.patch
Patch12:	gpick-linking.patch
Patch13:	gpick-missing-include.patch
BuildRequires:  cmake
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(lua)
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  boost-devel
BuildRequires:  flex
BuildRequires:  ragel

%description
Gpick is an advanced color picker written in C++ using GTK+ toolkit.

%prep
%autosetup -n %{name}-%{version}%{?prel:%prel} -p1

# Delete external libraries and only use system dependencies to build GPick
rm -rf extern
echo "INTERNAL_EXPAT=False" >> user-config.py
echo "INTERNAL_LUA=False" >> user-config.py
echo "LOCALEDIR=\"%{_datadir}/locale\"" >> user-config.py

%build
export CXXFLAGS="%{build_cxxflags} -Wno-deprecated -Wno-deprecated-declarations"
%cmake -DCMAKE_SKIP_RPATH:BOOL=ON
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_docdir}/%{name}

%find_lang %{name}

%files -f %{name}.lang
%doc README.md
%license LICENSE.txt
%{_bindir}/gpick
%{_datadir}/applications/org.gpick.gpick.desktop
%{_datadir}/mime/packages/org.gpick.gpick.xml
%{_metainfodir}/org.gpick.gpick.metainfo.xml
%{_datadir}/gpick/
%{_iconsdir}/hicolor/*/apps/gpick.*
%{_mandir}/man1/gpick.1*
