Summary:	A Simple and Fast Image Viewer for X
Name:     	gpicview
Version:	0.3.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphics/Viewers
Source0: 	https://github.com/lxde/%{name}/archive/refs/heads/master.zip
Patch0: 	%name-0.2.4-fix-displaying-animated-gif.patch
URL:		https://www.lxde.org/
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	desktop-file-utils
BuildRequires:	intltool >= 0.40.0

%description
GPicView is a simple and fast image viewer for X.
It features:
. Extremely lightweight and fast with low memory usage
. Very suitable for default image viewer of desktop system
. Simple and intuitive interface
. Minimal lib dependency: Only pure GTK+ is used
. Desktop independent: Doesn't require any specific desktop environment

%prep
%setup -qn %{name}-master
%autopatch -p1

%build
./autogen.sh
%configure --enable-gtk3
%make_build

%install
%make_install

%{find_lang} %{name}

desktop-file-install --vendor='' \
	--dir=%buildroot%_datadir/applications \
	--remove-category='Application' \
	--remove-category='Core' \
	--remove-category='Utility' \
	--remove-category='Photography' \
	--remove-category='RasterGraphics' \
	%buildroot%_datadir/applications/*.desktop

%files -f %{name}.lang
%{_bindir}/%name
%{_datadir}/applications/*.desktop
%{_datadir}/%name
%{_iconsdir}/*/*/*/*
%{_mandir}/man1/%{name}.1*
