Name: 	 	gpodder
Summary: 	A graphical podcast catcher
Version: 	3.11.5
Release: 	%mkrel 2
#gw SimpleGladeApp is LGPL
License:	GPLv3+ and LGPLv2+
Group:		Networking/News
URL:		https://gpodder.org/
Source:		https://github.com/gpodder/gpodder/archive/%{version}/%{name}-%{version}.tar.gz
Patch1:		disable-auto-update-check.patch
Patch2:		gpodder-3.11.4-switch-to-WebKit2-4.1.patch
# Upstream patches
#
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(feedparser) >= 5.0.1
BuildRequires:	python3dist(mygpoclient)
BuildRequires:	python3dist(build)
BuildRequires:	python3dist(installer)
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	help2man
BuildRequires:	intltool
Requires:	python3dist(pygobject)
Requires:	python3dist(feedparser) >= 5.0.1
Requires:	python3dist(mygpoclient) >= 1.8
Requires:	python3dist(dbus-python)
Requires:	python3dist(podcastparser)
Requires:	python3dist(html5lib)
Requires:	yt-dlp
#re-enable once Python 3 support exists
#Recommends:	python3-gpod
Recommends:	python3dist(eyed3)
# gw required for HTML show notes
Requires:	typelib(WebKit2)
# gw for Bluetooth support
Recommends:	bluez-utils bluez-gnome
# for VLC media-player support
Recommends:	vlc-plugin-lua

%description
gPodder is a Podcast receiver/catcher written in Python3, using GTK+3.
It manages podcast feeds for you and automatically downloads all podcasts
from as many feeds as you like.

%prep
%autosetup -p1

#drop ubuntu specific extensions
rm -rf share/gpodder/extensions/ubuntu_*.py

#drop examples for now
rm -rf share/gpodder/examples

%generate_buildrequires
%pyproject_buildrequires

%build
%make_build

%install
%make_install

%find_lang %{name}

desktop-file-install --vendor="" \
  --add-category="GTK;Network;News" \
  --dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/*

%files -f %{name}.lang
%doc README.md
%{_bindir}/*
%{_datadir}/dbus-1/services/org.gpodder.service
%{_datadir}/%{name}/
%{python3_sitelib}/%{name}/
%{python3_sitelib}/*.dist-info
%{_mandir}/man1/*
%{_datadir}/applications/*
%{_metainfodir}/org.gpodder.gpodder.appdata.xml
%{_iconsdir}/hicolor/*/apps/gpodder.*
