Name:		gprolog
Summary:	GNU Prolog is a free implementation of Prolog
Version:	1.5.0
Release:	%mkrel 2
License:	GPLv2
Group:		Development/Other
URL:		http://www.gprolog.org/
Source0:	https://gprolog.univ-paris1.fr/gprolog-%{version}.tar.gz
Patch0:		gprolog-1.4.4-disable-silent-make-check.patch
ExclusiveArch:	%{ix86} x86_64 amd64 ppc

%description
GNU Prolog is a native Prolog compiler with constraint solving over finite
domains (FD) developed by Daniel Diaz. Latest information about GNU Prolog can
be found at https://www.gnu.org/software/prolog.
A lot of work has been devoted to the ISO compatibility. GNU Prolog is very
close to the ISO standard (http://www.logic-programming.org/prolog_std.html).


%prep
%setup -q
%autopatch -p1

%build
cd src
%define _legacy_common_support 1
CFLG="$(echo %{optflags} | sed -s "s/\-O2/-O1/g" \
		| sed -e "s/\-fomit-frame-pointer//")"

# Based on a gentoo ebuild (??)
CFLG="$CFLG -funsigned-char"
%configure	--with-c-flags="$CFLG -fno-unit-at-a-time" \
		--with-install-dir=%{_prefix} \
		--with-doc-dir=%{_datadir}/%{name}-%{version} \
		--with-html-dir=%{_datadir}/%{name}-%{version}/html \
		--with-examples-dir=%{_datadir}/%{name}-%{version}/examples

# parallel build is not safe
%__make

%check
cd src
#
export PATH=%{buildroot}%{_bindir}:$PATH
#
%__make check

%install
%make_install -C src install-system INSTALL_DIR=%{buildroot}%{_libdir}/%{name}-%{version}

(cd %{buildroot}%{_bindir} ; ln -sf ../%{_lib}/%{name}-%{version}/bin/* .)


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{distribution}-%{name}.desktop << EOF
[Desktop Entry]
Name=GNU Prolog
Comment=GNU Prolog is a free implementation of Prolog
Exec=%{name}
Icon=interpreters_section
Terminal=true
Type=Application
Categories=Development;Science;ComputerScience;
EOF


%files
%doc ChangeLog NEWS PROBLEMS README doc/html_node
%{_bindir}/*
%{_libdir}/%{name}-%{version}/
%{_datadir}/applications/*
%{_datadir}/%{name}-%{version}/
