%ifarch %{arm32} %{ix86}
%bcond_with mappreview
%else
%bcond_without mappreview
%endif

Summary:        GPSBabel converts GPS data from one format to another
Name:           gpsbabel
Version:        1.10.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Geography
URL:            https://www.gpsbabel.org
# Source:               https://prdownloads.sourceforge.net/%%{name}/%%{name}-%%{version}.tar.gz
# Needs to be downloaded from the https://www.gpsbabel.org/ URL.
Source0:        gpsbabel-%{version}.tar.gz
Source2:        %{name}.png
# Fedora patches:
# No automatic phone home by default (RHBZ 668865)
Patch2:         0002-No-solicitation.patch
BuildRequires:  cmake
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(libusb)
BuildRequires:  pkgconfig(minizip)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(shapelib)
BuildRequires:  desktop-file-utils
BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6SerialPort)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)
%if %{with mappreview}
BuildRequires:  cmake(Qt6WebEngineWidgets)
BuildRequires:  cmake(Qt6WebChannel)
%endif
BuildRequires:  qt6-qttools
BuildRequires:  qt6-qttranslations

# pull-in qt6 standard translations.
# Otherwise items such as "Close", "Open" won't be translated
Requires:       qt6-qttranslations

%description
GPSBabel converts waypoints, tracks, and routes from one format to another,
whether that format is a common mapping format like Delorme, Streets and
Trips, or even a serial upload or download to a GPS unit such as those from
Garmin and Magellan. By flatting the Tower of Babel that the authors of
various programs for manipulating GPS data have imposed upon us, it returns
to us the ability to freely move our own waypoint data between the programs
and hardware we choose to use.

%if %{with mappreview}
%package gui
Summary:        Qt GUI interface for GPSBabel
Group:          Geography
License:        GPLv2+
Requires:       %{name} = %{version}-%{release}

%description gui
Qt GUI interface for GPSBabel.
%endif

%prep
%autosetup -p1

%build
%cmake \
        -DGPSBABEL_WITH_LIBUSB=pkgconfig \
        -DGPSBABEL_WITH_ZLIB=pkgconfig \
        -DGPSBABEL_WITH_SHAPELIB=pkgconfig \
        %{!?with_mappreview:-DGPSBABEL_MAPPREVIEW:BOOL=OFF} \
        %nil

%cmake_build

%install
%cmake_install

install -m 0755 -d %{buildroot}%{_bindir}/
install -m 0755 -p %{_vpath_builddir}/gpsbabel %{buildroot}%{_bindir}/

%if %{with mappreview}
install -m 0755 -d %{buildroot}%{_bindir}/
install -m 0755 -p %{_vpath_builddir}/gui/GPSBabelFE/gpsbabelfe %{buildroot}%{_bindir}/

install -m 0755 -d %{buildroot}%{_datadir}/gpsbabel
install -m 0644 -p gui/gmapbase.html %{buildroot}%{_datadir}/gpsbabel

desktop-file-install \
        --dir %{buildroot}/%{_datadir}/applications \
        gui/gpsbabel.desktop

install -m 0755 -d            %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/
install -m 0644 -p %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/
%endif

%files
%doc README* AUTHORS
%license COPYING
%{_bindir}/%{name}

%if %{with mappreview}
%files gui
%doc gui/{AUTHORS,README*,TODO}
%license gui/COPYING*
%{_bindir}/gpsbabelfe
%{_datadir}/gpsbabel/
%{_datadir}/applications/*
%{_iconsdir}/hicolor/*/apps/*
%endif
