%define _hotplugdir	%{_prefix}/lib/hotplug

%define	major		30
%define	libname		%mklibname %{name} %{major}
%define libpacketname	%mklibname %{name}packet %{major}
%define libqtname	%mklibname Qgpsmm %{major}
%define develname	%mklibname %{name} -d
%define staticname	%mklibname %{name} -s -d

Name:		gpsd
Summary:	GPS data translator and GUI
Version:	3.25
Release:	%mkrel 3
License:	BSD
Group:		Sciences/Geosciences
URL:		https://savannah.nongnu.org/projects/gpsd
Source0:	https://download.savannah.gnu.org/releases/gpsd/%{name}-%{version}.tar.gz
Source11:	gpsd.sysconfig
Patch1:		gpsd-apistatus.patch
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	asciidoc
BuildRequires:	xmlto
BuildRequires:	python3
BuildRequires:	python3dist(pycairo)
BuildRequires:	python3dist(pygobject)
BuildRequires:	python3dist(pyserial)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(bluez)
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl
BuildRequires:	desktop-file-utils
BuildRequires:	scons
BuildRequires:	chrpath
BuildRequires:	pps-tools-devel
Requires:	python3-%{name} = %{version}-%{release}
Requires(post):	rpm-helper >= 0.24.8-1
Requires(preun):rpm-helper >= 0.24.8-1

Provides:	gps3d

%description
gpsd is a service daemon that mediates access to a GPS sensor
connected to the host computer by serial or USB interface, making its
data on the location/course/velocity of the sensor available to be
queried on TCP port 2947 of the host computer.  With gpsd, multiple
GPS client applications (such as navigational and wardriving software)
can share access to a GPS without contention or loss of data.  Also,
gpsd responds to queries with a format that is substantially easier to
parse than NMEA 0183.  A client library is provided for applications.

After installing this RPM, gpsd will automatically connect to USB
GPSes when they are plugged in and requires no configuration.  For
serial GPSes, you will need to start gpsd by hand.  Once connected,
the daemon automatically discovers the correct baudrate, stop bits,
and protocol. The daemon will be quiescent when there are no
clients asking for location information, and copes gracefully when the
GPS is unplugged and replugged.

%package -n	%{libname}
Summary:	Libraries for gpsd
Group:		System/Libraries

%description -n	%{libname}
gpsd is a service daemon that mediates access to a GPS sensor
connected to the host computer by serial or USB interface, making its
data on the location/course/velocity of the sensor available to be
queried on TCP port 2947 of the host computer.  With gpsd, multiple
GPS client applications (such as navigational and wardriving software)
can share access to a GPS without contention or loss of data.  Also,
gpsd responds to queries with a format that is substantially easier to
parse than NMEA 0183.  A client library is provided for applications.

After installing this RPM, gpsd will automatically connect to USB
GPSes when they are plugged in and requires no configuration.  For
serial GPSes, you will need to start gpsd by hand.  Once connected,
the daemon automatically discovers the correct baudrate, stop bits,
and protocol. The daemon will be quiescent when there are no
clients asking for location information, and copes gracefully when the
GPS is unplugged and replugged.

%package -n	%{libpacketname}
Summary:	Libraries for gpsd
Group:		System/Libraries

%description -n	%{libpacketname}
gpsd is a service daemon that mediates access to a GPS sensor
connected to the host computer by serial or USB interface, making its
data on the location/course/velocity of the sensor available to be
queried on TCP port 2947 of the host computer.  With gpsd, multiple
GPS client applications (such as navigational and wardriving software)
can share access to a GPS without contention or loss of data.  Also,
gpsd responds to queries with a format that is substantially easier to
parse than NMEA 0183.  A client library is provided for applications.

After installing this RPM, gpsd will automatically connect to USB
GPSes when they are plugged in and requires no configuration.  For
serial GPSes, you will need to start gpsd by hand.  Once connected,
the daemon automatically discovers the correct baudrate, stop bits,
and protocol. The daemon will be quiescent when there are no
clients asking for location information, and copes gracefully when the
GPS is unplugged and replugged.

%package -n     %{libqtname}
Summary:	Qt bindings for gpsd
Group:		System/Libraries

%description -n %{libqtname}
This package contains Qt bindings for gpsd.

%package -n	%{develname}
Summary:	Client libraries in C and Python for talking to a running gpsd or GPS
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	%{libpacketname} = %{version}
Requires:	%{libqtname} = %{version}

%description -n	%{develname}
This package provides C header files for the gpsd shared libraries
that manage access to a GPS for applications; also Python modules.
You will need to have gpsd installed for it to work.

%package	clients
Summary:	Clients for gpsd with an X interface
Group:		Sciences/Geosciences
Requires:	python3-%{name} >= %{version}-%{release}
Requires:	python3-cairo
Requires:	python3-gobject3

%description	clients
xgps is a simple test client for gpsd with an X interface. It displays
current GPS position/time/velocity information and (for GPSes that
support the feature) the locations of accessible satellites.

xgpsspeed is a speedometer that uses position information from the GPS.
It accepts an -h option and optional argument as for gps, or a -v option
to dump the package version and exit. Additionally, it accepts -rv
(reverse video) and -nc (needle color) options.

%package -n	python3-%{name}
Summary:	Python 3 bindings for gpsd
Group:		Development/Python
Requires:	%{libname} = %{version}
Requires:	python3
Provides:	%{name}-python = %{version}-%{release}
Obsoletes:	gpsd-python < 3.17-1
Provides:	python-gpsd = %{version}-%{release}
Obsoletes:	python-gpsd < 3.17-2

%description -n	python3-%{name}
This package contains the Python 3 bindings for gpsd. It will be needed
for any applications that interface with gpsd via python.

%prep
%autosetup -p1

# don't try reloading systemd when installing in the build root
sed -i 's|systemctl daemon-reload|true|' SConscript

%build
%set_build_flags
%scons \
      prefix=%{_prefix} \
      execprefix=%{_exec_prefix} \
      datadir=%{_datadir} \
      libdir=%{_libdir} \
      docdir=%{_docdir}/gpsd \
      icondir=%{_datadir}/gpsd \
      udevdir=$(dirname %{_udevrulesdir}) \
      unitdir=%{_unitdir} \
      target_python=python3 \
      python_shebang=%{python3} \
      python_libdir=%{python3_sitearch} \
      systemd=yes \
      qt_versioned=5 \
      dbus_export=yes

%install
%set_build_flags
DESTDIR=%{buildroot} STRIP=/bin/true %scons_install systemd_install udev-install

# use the old name for udev rules
mv %{buildroot}%{_udevrulesdir}/{25,99}-gpsd.rules

%{__install} -d -m 0755 %{buildroot}%{_sysconfdir}/sysconfig
%{__install} -p -m 0644 %{SOURCE11} \
	%{buildroot}%{_sysconfdir}/sysconfig/gpsd

# Install the .desktop files
desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	packaging/X11/xgps.desktop
desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	packaging/X11/xgpsspeed.desktop

# fix icons path
sed -i 's|/local||g' %{buildroot}%{_datadir}/applications/xgps*.desktop
sed -i 's|/icons||g' %{buildroot}%{_datadir}/applications/xgps*.desktop

# Missed in scons install
%{__install} -p -m 0755 gpsinit %{buildroot}%{_sbindir}

rm -rf %{buildroot}%{_docdir}/gpsd

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc README* NEWS
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_sbindir}/gpsd
%{_sbindir}/gpsdctl
%{_sbindir}/gpsinit
%{_bindir}/gps2udp
%{_bindir}/gpsctl
%{_bindir}/gpsdebuginfo
%{_bindir}/gpsmon
%{_bindir}/gpsprof
%{_bindir}/gpssnmp
%{_bindir}/ntpshmmon
%{_bindir}/ppscheck
%{_datadir}/gpsd/
%{_datadir}/snmp/mibs/gpsd/GPSD-MIB
%{_unitdir}/gpsd.service
%{_unitdir}/gpsd.socket
%{_unitdir}/gpsdctl@.service
%{_udevrulesdir}/*.rules
%{_mandir}/man1/gps2udp.1*
%{_mandir}/man1/gpsctl.1*
%{_mandir}/man1/gpsdebuginfo.1*
%{_mandir}/man1/gpsmon.1*
%{_mandir}/man1/gpsprof.1*
%{_mandir}/man1/gpssnmp.1*
%{_mandir}/man1/ntpshmmon.1*
%{_mandir}/man8/gpsd.8*
%{_mandir}/man8/gpsdctl.8*
%{_mandir}/man8/gpsinit.8*
%{_mandir}/man8/ppscheck.8*

%files -n %{libname}
%{_libdir}/libgps.so.%{major}{,.*}

%files -n %{libpacketname}
%{_libdir}/libgpsdpacket.so.%{major}{,.*}

%files -n %{libqtname}
%{_libdir}/libQgpsmm.so.%{major}{,.*}

%files -n %{develname}
%doc TODO
%{_includedir}/gps.h
%{_includedir}/libgpsmm.h
%{_libdir}/libgps.so
%{_libdir}/libgpsdpacket.so
%{_libdir}/libQgpsmm.so
%{_libdir}/libQgpsmm.prl
%{_libdir}/pkgconfig/*.pc
%{_bindir}/gpsfake
%{_mandir}/man1/gpsfake.1*
%{_mandir}/man3/libgps.3*
%{_mandir}/man3/libQgpsmm.3*
%{_mandir}/man3/libgpsmm.3*
%{_mandir}/man5/gpsd_json.5*

%files clients
%{_bindir}/cgps
%{_bindir}/gegps
%{_bindir}/gpscat
%{_bindir}/gpscsv
%{_bindir}/gpsdecode
%{_bindir}/gpspipe
%{_bindir}/gpsplot
%{_bindir}/gpsrinex
%{_bindir}/gpssubframe
%{_bindir}/gpxlogger
%{_bindir}/lcdgps
%{_bindir}/ubxtool
%{_bindir}/xgps
%{_bindir}/xgpsspeed
%{_bindir}/zerk
%{_mandir}/man1/gegps.1*
%{_mandir}/man1/gps.1*
%{_mandir}/man1/gpsdecode.1*
%{_mandir}/man1/gpspipe.1*
%{_mandir}/man1/gpsplot.1*
%{_mandir}/man1/gpsrinex.1*
%{_mandir}/man1/gpssubframe.1*
%{_mandir}/man1/gpxlogger.1*
%{_mandir}/man1/lcdgps.1*
%{_mandir}/man1/xgps.1*
%{_mandir}/man1/xgpsspeed.1*
%{_mandir}/man1/cgps.1*
%{_mandir}/man1/gpscat.1*
%{_mandir}/man1/gpscsv.1*
%{_mandir}/man1/ubxtool.1*
%{_mandir}/man1/zerk.1*
%{_datadir}/applications/*.desktop
%dir %{_datadir}/gpsd
%{_datadir}/gpsd/gpsd-logo.png

%files -n python3-%{name}
%{python3_sitearch}/*
