%define _disable_ld_no_undefined 1

%define major	0
%define libname %mklibname %{name} %{major}
%define devname %mklibname -d %{name}

%define rel	1
%define rev	0

%if %{rev}
%define release	%mkrel -c %{rev} %{rel}
%else
%define release	%mkrel %{rel}
%endif

Name:		gpsim
Version:	0.32.1
Release:	%{release}
Summary:	A software simulator for Microchip PIC micro-controllers

%if %{rev}
Source0:	%{name}-%{version}-%{rev}.tar.gz
%else
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
%endif
Source1:	mk_tar
Patch0:		gpsim-eXdbm-linking.patch

License:	GPLv2
Group:		Development/Other
Url:		https://gpsim.sourceforge.net/

BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	glibc-static-devel
BuildRequires:	gputils
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(popt)
BuildRequires:	readline-devel
BuildRequires:	termcap-devel

%description
%{name} is a full-featured software simulator for Microchip PIC micro-controllers
distributed under the GNU General Public License.

It has been designed to be as accurate as possible. Accuracy includes the
entire PIC - from the core to the I/O pins and including all of the internal
peripherals. Thus it's possible to create stimuli and tie them to the /usr/lib64/pkgconfig/gpsim.pc
I/O pins
and test the PIC the same way you would in the real world.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the %{name} dynamic library files.

%package -n %{devname}
Summary:	Headers for developing programs that will use libgpsim
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains %{name} development files.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --disable-static --enable-sockets
%make_build

%install
%make_install
find %{buildroot} -name "*.la" -delete

%files
%doc README
%{_bindir}/%{name}

%files -n %{libname}
%{_libdir}/lib%{name}*.so.%{major}
%{_libdir}/lib%{name}*.so.%{major}.*

%files -n %{devname}
%{_includedir}/*
%{_libdir}/lib%{name}*.so
%{_libdir}/pkgconfig/gpsim.pc
