Name:		gq
Version:	1.3.4
Release:	%mkrel 23
Summary:	GQ is a GTK-based LDAP client
License:	GPLv2+
Group:		Databases
URL:		https://biot.com/gq/
Source0:	https://prdownloads.sourceforge.net/gqclient/%{name}-%{version}.tar.gz
Source11:	gq16.png
Source12:	gq32.png
Source13:	gq48.png
Patch1:		gq-1.3.4-mdv-fix-str-fmt.patch
Patch2:		gq-1.3.4-kerberos.patch
Patch3:		gq-1.3.4-configure.patch
Patch4:		gq-1.3.4-glibc.patch
Patch5:		gq-1.3.4-gcc.patch
Patch6:		gq-1.3.4-error.patch
Patch7:		gq-1.3.4-openssl11.patch
Patch8:		gq-configure-c99.patch
BuildRequires:	gnome-common
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(krb5)
BuildRequires:	pkgconfig(libsasl2)
BuildRequires:	openldap-devel
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	intltool
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(libglade-2.0)

%description
GQ is GTK+ LDAP client and browser utility. It can be used
for searching LDAP directory as well as browsing it using a
tree view.

%prep
%setup -q
%patch -P 1 -p1 -b .strfmt
%patch -P 2 -p1 -b .kerberos
%patch -P 3 -p0 -b .configure
%patch -P 4 -p1 -b .glibc
%patch -P 5 -p1 -b .gcc
%patch -P 6 -p1 -b .error
%patch -P 7 -p1 -b .openssl11
%patch -P 8 -p1 -b .c99

%build
export CFLAGS="%{optflags} -fcommon -Wno-incompatible-pointer-types -Wno-return-mismatch"
# fix build on aarch64
autoreconf -vfi -Imacros
%define _legacy_common_support 1
export LIBS="-lcrypto -L%{_libdir}"
%configure \
    --with-default-codeset=UTF-8 \
    --enable-cache \
    --with-kerberos-prefix=%{_prefix} \
    --enable-browser-dnd \
    --disable-scrollkeeper \
    --disable-update-mimedb

%make_build libdir="%{_libdir}"

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=GQ
Comment=GQ is a GTK-based LDAP client
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;Network;System;
EOF

#(peroyvind): replace menu with our own as it's more complete and valid ;)
rm -f %{buildroot}%{_datadir}/applications/gq.desktop

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# Macro for locales
%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README* TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/gq
%{_iconsdir}/hicolor/16x16/apps/*
%{_datadir}/mime/packages/gq-ldif.xml
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_datadir}/omf/gq-manual/gq-manual-C.omf
%lang(de) %{_datadir}/omf/gq-manual/gq-manual-de.omf
