Name:           gqrx
Version:        2.17.6
Release:        %mkrel 3
Summary:        Software defined radio receiver powered by GNU Radio and Qt
Group:          Communications/Radio
License:        GPLv3+ and GPLv2+ and BSD
URL:            https://gqrx.dk/
Source0:        https://github.com/gqrx-sdr/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  cmake(funcube)
BuildRequires:  desktop-file-utils
BuildRequires:  git
BuildRequires:  gnuradio-pmt-devel
BuildRequires:  gnuradio-utils
BuildRequires:  mpir-devel
BuildRequires:  mpirxx-devel
BuildRequires:  pkgconfig(gmp)
BuildRequires:  pkgconfig(gmpxx)
BuildRequires:  pkgconfig(gnuradio-analog)
BuildRequires:  pkgconfig(gnuradio-audio)
BuildRequires:  pkgconfig(gnuradio-blocks)
BuildRequires:  pkgconfig(gnuradio-digital)
BuildRequires:  pkgconfig(gnuradio-fft)
BuildRequires:  pkgconfig(gnuradio-filter)
BuildRequires:  pkgconfig(gnuradio-iqbalance)
BuildRequires:  pkgconfig(gnuradio-network)
BuildRequires:  pkgconfig(gnuradio-osmosdr)
BuildRequires:  pkgconfig(gnuradio-runtime)
BuildRequires:  pkgconfig(libairspy)
BuildRequires:  pkgconfig(libbladeRF)
BuildRequires:  pkgconfig(libhackrf)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(librtlsdr)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(volk)
BuildRequires:  python-gnuradio-runtime
BuildRequires:  python3-numpy-devel

%description
Gqrx is a software defined radio receiver powered by the GNU Radio SDR
framework and the Qt graphical toolkit.

%prep
%autosetup -p1

%build
%cmake_qt5

%cmake_build

%install
%cmake_install

# desktop-file
desktop-file-install \
    --remove-category='Network' \
    --remove-category='Accessories' \
    --add-category='AudioVideo' \
    --add-category='Audio' \
    --add-category='X-Mageia-CrossDesktop' \
    --dir=%{buildroot}%{_datadir}/applications \
      dk.%{name}.%{name}.desktop

%files
%{_bindir}/*
%{_datadir}/applications/dk.%{name}.%{name}.desktop
%{_datadir}/metainfo/dk.gqrx.gqrx.appdata.xml
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

%doc README.md
