%define major   3
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

%define rcv    rc3
%define rel    16

Name:          gr-funcube
Summary:       GNURadio support for FUNcube Dongle Pro and FUNcube Dongle Pro+
URL:           https://github.com/dl1ksv/gr-funcube
Group:         Communications/Radio
Version:       3.10.0
Release:       %mkrel %{?rcv:-c %{rcv}} %{rel}
License:       GPLv3
Source0:       %{url}/archive/v%{version}%{?rcv:-%{rcv}}/%{name}-%{version}%{?rcv:.%{rcv}}.tar.gz
Source1:       10-funcube.rules

BuildRequires: alsa-lib-devel
BuildRequires: cmake
BuildRequires: doxygen
BuildRequires: gcc-c++
BuildRequires: pkgconfig(gmp)
# Needed for gnuradio .cmake files:
BuildRequires: gnuradio-utils
BuildRequires: graphviz
BuildRequires: hidapi-devel
BuildRequires: pkgconfig(sndfile)
BuildRequires: pkgconfig(libunwind)
BuildRequires: pkgconfig(libusb-1.0)
BuildRequires: pkgconfig(log4cpp)
BuildRequires: mpir-devel
BuildRequires: pkgconfig(orc-0.4)
BuildRequires: pkgconfig(gmpxx)
BuildRequires: pkgconfig(gnuradio-audio)
BuildRequires: pkgconfig(gnuradio-blocks)
BuildRequires: pkgconfig(gnuradio-runtime)
BuildRequires: pkgconfig(jack)
BuildRequires: portaudio-devel
BuildRequires: pybind11-devel
BuildRequires: python3-devel
BuildRequires: python3-numpy-devel

# For tests only
BuildRequires: python-gnuradio-pmt
BuildRequires: python-gnuradio-runtime

Requires:      %{libname} = %{version}-%{release}

Obsoletes:     gr-fcdproplus < 3.9
Obsoletes:     gr-fcdproplus-debuginfo < 3.9
Obsoletes:     gr-fcdproplus-debugsource < 3.9
Obsoletes:     gr-fcdproplus-doc < 3.9
Obsoletes:     %{_lib}gr-fcdproplus-devel < 3.9
Obsoletes:     %{_lib}gr-fcdproplus0 < 3.9
Obsoletes:     %{_lib}gr-fcdproplus0-debuginfo < 3.9

%description
GNURadio support for FUNcube Dongle Pro and FUNcube Dongle Pro+.

%package -n %{libname}
Summary:          Library files for gr-funcube
Group:            System/Libraries
Requires:         %{name} = %{version}-%{release}

%description -n %{libname}
Library files for gr-funcube.

%package -n %{devname}
Summary:       Development files for gr-funcube
Requires:      %{libname} = %{version}-%{release}
Provides:      %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for gr-funcube.

%package doc
Summary:       Documentation files for gr-funcube
BuildArch:    noarch

%description doc
Documentation files for gr-funcube.

%prep
%autosetup -p1 -n %{name}-%{version}%{?rcv:.%{rcv}}

%build
%cmake \
       -DENABLE_DOXYGEN=on \
       -DGR_PKG_DOC_DIR=%{_docdir}/%{name}

%cmake_build

%check
#cd %%{_vpath_builddir}
#ctest -V

%install
%cmake_install

# udev rule
install -Dpm 0644 %{S:1} %{buildroot}%{_udevrulesdir}/10-funcube.rules

%pre
##TODO maybe
# sharing group with the rtl-sdr package not to introduce new group
# todo: consolidate also with the uhd package (usrp group) to have one generic
# group e.g. 'sdr' for this class of devices
#getent group rtlsdr >/dev/null || \
#%%{_sbindir}/groupadd -r rtlsdr >/dev/null 2>&1
#exit 0

%files
%license COPYING
%doc README.md
%{python3_sitearch}/funcube
%{_datadir}/gnuradio/grc/blocks/*
%{_udevrulesdir}/10-funcube.rules

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/funcube/
%{_libdir}/*.so
%{_libdir}/cmake/funcube/

%files doc
%doc %{_docdir}/%{name}/html
%doc %{_docdir}/%{name}/xml
