%define major     3
%define libname   %mklibname %{name} %{major}
%define devname   %mklibname %{name} -d
%define gitdat       20210328
%define rel       15

Name:             gr-iqbal
Summary:          GNURadio block for suppressing IQ imbalance
Version:          0.39.0
Release:          %mkrel %{?gitdat:-c %{gitdat} }%{rel}
License:          GPLv3+
Group:            Communications/Radio
Url:              https://git.osmocom.org/gr-iqbal/
Source0:          https://github.com/osmocom/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:           gr-iqbal-0.38.1-mga-include_boost_bind_headers.patch

BuildRequires:    cmake
BuildRequires:    gmp-devel
BuildRequires:    gmpxx-devel
BuildRequires:    mpir-devel
BuildRequires:    mpirxx-devel
BuildRequires:    pkgconfig(gnuradio-runtime)
BuildRequires:    pkgconfig(libosmodsp)
BuildRequires:    pkgconfig(fftw3)
BuildRequires:    pkgconfig(volk)
BuildRequires:    pybind11-devel
BuildRequires:    python-gnuradio-runtime
BuildRequires:    python3-numpy-devel
BuildRequires:    gnuradio-utils
BuildRequires:    boost-devel
BuildRequires:    doxygen
BuildRequires:    graphviz

%description
This GNURadio block can suppress IQ imbalance in the RX path of
quadrature receivers.

%package -n %{libname}
Summary:          Library files for gr-iqbal
Group:            Communications/Radio

%description -n %{libname}
Library files for gr-iqbal.

%package -n %{devname}
Summary:          Development files for gr-iqbal
Group:            Communications/Radio
Requires:         %{name} = %{version}-%{release}
Provides:         %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for gr-iqbal.

%package doc
Summary:          Documentation files for gr-iqbal
Group:            Communications/Radio
BuildArch:        noarch

%description doc
Documentation files for gr-iqbalance.

%prep
%autosetup -p1 -n %{name}

%build
%cmake -DENABLE_DOXYGEN=on 

%cmake_build

%install
%cmake_install

# .desktop for Documentation package
cat > %{name}-doc.desktop << EOF
[Desktop Entry]
Version=1.0
Name=Gr-iqbalance Documentation
GenericName=Gr-iqbalance Documentation
Exec=xdg-open /usr/share/doc/%{name}/html/index.html
Icon=
Terminal=false
Type=Application
Categories=System;Documentation;X-Mageia-CrossDesktop;
EOF

desktop-file-install \
--dir=%{buildroot}%{_datadir}/applications %{name}-doc.desktop

# Create pkgconfig .pc file
mkdir -p %{buildroot}%{_libdir}/pkgconfig
cat <<EOF > %{buildroot}%{_libdir}/pkgconfig/gnuradio-iqbalance.pc
prefix=%{_usr}
exec_prefix=\${prefix}
libdir=\${exec_prefix}/%{_lib}
includedir=\${prefix}/include

Name: gnuradio-iqbalance
Description: gnuradio I/Q balancing
URL: https://git.osmocom.org/gr-iqbal/
Version: %{version}
Requires: gnuradio-runtime
Libs: -L\${libdir} -lgnuradio-iqbalance
Cflags: -I\${includedir}
EOF

%files
%doc AUTHORS
%{python_sitearch}/*
%{_datadir}/gnuradio/grc/blocks/*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/gnuradio/iqbalance/*.h
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libgnuradio-iqbalance.so
%{_libdir}/cmake/gnuradio/*

%files doc
%doc %{_docdir}/%{name}ance/html/*
%doc %{_docdir}/%{name}ance/xml/*
%{_datadir}/applications/%{name}-doc.desktop
