%define		_major		6
%define		_name		grail
%define		libname		%mklibname %{_name} %{_major}
%define		devname		%mklibname -d %{_name}

Name:		%_name
Version:	3.1.1
Release:	%mkrel 4
License:	GPLv3
Summary:	Gesture Recognition And Instantiation Library
Group:		Development/Other
Url:		https://launchpad.net/grail
Source:		https://launchpad.net/grail/trunk/%{version}/+download/%{name}-%{version}.tar.bz2
#Patch1:		grail-3.0.9-gcc7.patch

BuildRequires:	pkgconfig(mtdev)
BuildRequires:	pkgconfig(evemu)
BuildRequires:	pkgconfig(frame)

%description
Grail consists of an interface and tools for handling
gesture recognition and gesture instantiation.

When a multitouch gesture is performed on a device,
the recognizer emits one or several possible gestures.
Once the context of the gesture is known, i.e.,
in what window the touches land and what gestures
the clients of that window listen to, the instantiator
delivers the matching set of gestures.

The library handles tentative gestures, i.e.,
buffering of events for several alternative gestures
until a match is confirmed.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --disable-static
%make_build

%check
%make_build check

%install
%make_install

find %{buildroot} -name "*.la" -delete

%files
%doc README COPYING
%{_bindir}/grail*
%{_mandir}/man1/grail*

#---------------------------------------------

%package -n %libname
Summary:        GRAIL Library Package
Group:          System/Libraries

%description -n %libname
This package contains the library needed to run programs
dynamically linked with grail.

%files -n %libname
%{_libdir}/libgrail.so.*

#---------------------------------------------

%package -n %devname
Summary:        Gesture Recognition And Instantiation Library Development Package
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %devname
This package provides headers files for grail development.

%files -n %devname
%{_includedir}/oif/grail.h
%{_libdir}/pkgconfig/grail.pc
%{_libdir}/libgrail.so
