%define oname		granite

%define gmajor		7.0
%define api		7
%define libmajor	7
%define libname		%mklibname %{oname} %{api} %{libmajor}
%define girgranitename	%mklibname %{oname}-gir %{gmajor}
%define develname	%mklibname %{oname} %{api} -d

Name:		granite7
Summary:	elementary companion library for GTK+ and GLib
Version:	7.6.0
Release:	%mkrel 1
License:	LGPLv3+
Group:		System/Libraries
URL:		https://github.com/elementary/granite
Source0:	https://github.com/elementary/granite/archive/%{version}/granite-%{version}.tar.gz
Patch0:		granite-7.3.0-fix-icons-install.patch

BuildRequires:	meson
BuildRequires:	gettext
BuildRequires:	sassc
BuildRequires:	vala >= 0.40

BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(gio-2.0) >= 2.50
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.50
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0) >= 2.50
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(gobject-introspection-1.0)

# granite provides and needs some generic icons
Requires:	hicolor-icon-theme

%description
Granite is a companion library for GTK+ and GLib. Among other things, it
provides complex widgets and convenience functions designed for use in
apps built for elementary.

#------------------------------------------------

%package -n	%{libname}
Summary:	elementary companion library for GTK+ and GLib
Group:		System/Libraries
Obsoletes:	%{_lib}granite7 < 7.0.0-2

%description -n	%{libname}
Granite is a companion library for GTK+ and GLib. Among other things, it
provides complex widgets and convenience functions designed for use in
apps built for elementary.

#------------------------------------------------

%package -n	%{girgranitename}
Summary:	GObject Introspection interface description for Granite
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{girgranitename}
GObject Introspection interface description for Granite.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girgranitename} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -n granite-%{version} -p1

# fix gir library dependency
sed -i "s|@PLAINNAME@|lib%{oname}-%{api}.so.%{libmajor}|" lib/meson.build

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{oname}-%{api}

%files -f %{oname}-%{api}.lang
%doc README.md
%license COPYING
%{_bindir}/%{oname}-%{api}-demo
%{_datadir}/applications/io.elementary.%{oname}-%{api}.demo.desktop
%{_datadir}/themes/Granite/
%{_iconsdir}/hicolor/*/apps/io.elementary.%{oname}-%{api}.svg
%{_metainfodir}/%{oname}-%{api}.metainfo.xml

%files -n %{libname}
%doc README.md
%{_libdir}/lib%{oname}-%{api}.so.%{libmajor}{,.*}

%files -n %{girgranitename}
%doc README.md
%{_libdir}/girepository-1.0/Granite-%{gmajor}.typelib

%files -n %{develname}
%doc README.md
%{_includedir}/%{oname}-%{api}/
%{_libdir}/lib%{oname}-%{api}.so
%{_libdir}/pkgconfig/%{oname}-%{api}.pc
%{_datadir}/gir-1.0/Granite-%{gmajor}.gir
%{_datadir}/vala/vapi/granite-%{api}.{deps,vapi}
