#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           grantlee-editor
Epoch:          2
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Utilities and tools to manage themes in KDE PIM applications
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://kontact.kde.org
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%{version}.tar.xz
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

#QT6 package
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6WebEngineWidgets)

#KF6 package
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6SyntaxHighlighting)
BuildRequires:  cmake(KF6TextCustomEditor)

#KdepimLibs Package
BuildRequires:  cmake(KPim6PimCommon)
BuildRequires:  cmake(KPim6MessageViewer)
BuildRequires:  cmake(KPim6GrantleeTheme)
BuildRequires:  cmake(KPim6AkonadiContactWidgets)
BuildRequires:  cmake(KPim6IMAP)
BuildRequires:  cmake(KPim6Mime)


%description
Utilities and tools to manage themes in KDE PIM applications.

%files -f %name.lang
%_kf6_categoriesdir/grantleeditor.*categories
%_kf6_bindir/contactprintthemeeditor
%_kf6_bindir/contactthemeeditor
%_kf6_bindir/headerthemeeditor
%_kf6_applicationsdir/org.kde.contactprintthemeeditor.desktop
%_kf6_applicationsdir/org.kde.contactthemeeditor.desktop
%_kf6_applicationsdir/org.kde.headerthemeeditor.desktop
%_kf6_datadir/config.kcfg/grantleethemeeditor.kcfg

#------------------------------------------------------------------------------

%define grantleethemeeditor_major 6
%define libgrantleethemeeditor %mklibname grantleethemeeditor %grantleethemeeditor_major

%package -n %libgrantleethemeeditor
Summary:        KDEPIM library
Group:          System/Libraries

%description -n %libgrantleethemeeditor
KDEPIM library.

%files -n %libgrantleethemeeditor
%_kf6_libdir/libgrantleethemeeditor.so.%{grantleethemeeditor_major}{,.*}

#------------------------------------------------------------------------------

%package -n %name-handbook
Summary:        %name handbook
Group:          Documentation
BuildArch:      noarch

%description -n %name-handbook
This package provides %name handbook.

%files -n %name-handbook
%_kf6_docdir/HTML/*/contactthemeeditor
%_kf6_docdir/HTML/*/headerthemeeditor

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name
