#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        This lib provides grantlee theme support
Name:           grantleetheme
Epoch:          2
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Network)

BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6ColorScheme)
BuildRequires:  cmake(KF6TextTemplate)

Requires:       ktexttemplate

%description
This lib provides grantlee theme support.

%files -f %name.lang
%_kf6_categoriesdir/grantleetheme.categories
%_kf6_categoriesdir/grantleetheme.renamecategories
%_kf6_plugindir/ktexttemplate/kde_grantlee_plugin.so

#--------------------------------------------------------------------

%define kpimgrantleetheme_major 6
%define libkpimgrantleetheme %mklibname kpim6grantleetheme %{kpimgrantleetheme_major}

%package -n %libkpimgrantleetheme
Summary:      This lib provides grantlee theme support
Group:        System/Libraries

Requires:     %name >= %epoch:%version

%description -n %libkpimgrantleetheme
This lib provides grantlee theme support.

%files -n %libkpimgrantleetheme
%_kf6_libdir/libKPim6GrantleeTheme.so.%{kpimgrantleetheme_major}{,.*}

#--------------------------------------------------------------------

%define kgrantleetheme_devel %mklibname kpim6grantleetheme -d

%package -n %kgrantleetheme_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkpimgrantleetheme = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %kgrantleetheme_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kgrantleetheme_devel
%_includedir/KPim6/GrantleeTheme/
%_kf6_libdir/libKPim6GrantleeTheme.so
%_kf6_libdir/cmake/KPim6GrantleeTheme/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name

