%define lib_major  3
%define libname    %mklibname %{name}_ %{lib_major}
%define libnamedev %mklibname %{name} -d
%define with_doc   0

Name:           graphite2
Version:        1.3.14
Release:        %mkrel 2
Summary:        Font rendering capabilities for complex non-Roman writing systems
Group:          System/Libraries
License:        LGPLv2+
URL:            https://graphite.sil.org/
Source0:        https://github.com/silnrsi/graphite/archive/%{version}/graphite-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  libxml2-utils
BuildRequires:  pkgconfig(freetype2)
%if %{with_doc}
BuildRequires:  doxygen
BuildRequires:  texlive
BuildRequires:  asciidoc
%endif

Obsoletes:      silgraphite < 2.3.1-5

%description
Graphite2 is a project within SIL's Non-Roman Script Initiative and Language
Software Development groups to provide rendering capabilities for complex
non-Roman writing systems. Graphite can be used to create "smart fonts" capable
of displaying writing systems with various complex behaviors. With respect to
the Text Encoding Model, Graphite handles the "Rendering" aspect of writing
system implementation.

%files
%doc LICENSE COPYING ChangeLog
%{_bindir}/gr2fonttest

#--------------------------------------------------------------------

%package -n     %{libname}
Summary:        Font rendering capabilities for complex non-Roman writing systems
Group:          System/Libraries

%description -n %{libname}
Graphite2 is a project within SIL's Non-Roman Script Initiative and Language
Software Development groups to provide rendering capabilities for complex
non-Roman writing systems. Graphite can be used to create "smart fonts" capable
of displaying writing systems with various complex behaviors. With respect to
the Text Encoding Model, Graphite handles the "Rendering" aspect of writing
system implementation.

%files -n %{libname}
%{_libdir}/libgraphite2.so.%{lib_major}{,.*}

#--------------------------------------------------------------------

%package -n %{libnamedev}
Summary:        Files for developing with graphite2
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Obsoletes:      silgraphite-devel < 2.3.1-5

%description -n %{libnamedev}
Includes and definitions for developing with graphite2.

%files -n %{libnamedev}
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/*.cmake
%{_includedir}/%{name}
%{_libdir}/libgraphite2.so
%{_libdir}/pkgconfig/graphite2.pc

#--------------------------------------------------------------------

%prep
%setup -q -n graphite-%{version}
%autopatch -p1

%build
%cmake -DENABLE_COMPARE_RENDERER=OFF
%cmake_build

%if %{with_doc}
%cmake_build docs
%endif

%install
%cmake_install

# we don't want these
find %{buildroot} -name '*.la' -delete
