%define shortname graphlcd
%define rel	10

# When updating this package, make sure vdr-plugin-graphlcd still builds.
# - Anssi

%define drivers_major	1
%define graphics_major	2
%define skin_major	1
%define drivers_libname	%mklibname glcddrivers %drivers_major
%define graphics_libname	%mklibname glcdgraphics %graphics_major
%define skin_libname	%mklibname glcdskin %skin_major
%define devname	%mklibname -d %{shortname}

Summary:	GraphLCD drivers and tools
Name:		%shortname-base
Version:	0.1.9
Release:	%mkrel %{rel}
License:	GPL+ and GPLv2+
Group:		System/Kernel and hardware
URL:		http://projects.vdr-developer.org/projects/graphlcd
Source:		%name-%version.tgz
Patch0:		graphlcd-base-01_libserdisp.dpatch
Patch1:		graphlcd-base-02_utf8.dpatch
# fix underlinking, a bit hacky:
Patch2:		graphlcd-base-underlinking.patch
BuildRequires:	freetype2-devel
BuildRequires:	pkgconfig(zlib)
ExclusiveArch:	%{ix86} x86_64

%description
The GraphLCD base is a project to support graphical LC displays. It is
mainly used by the graphlcd plugin for the Video Disc Recorder to
display its information.

%package -n %drivers_libname
Summary:	GraphLCD shared driver library
Group:		System/Libraries
License:	GPL+
Provides:	libglcddrivers = %version-%release
Conflicts:	%{_lib}graphlcd1
# While the library doesn't use graphlcd-config directly, it is
# useless without the linked program using it.
# (Anssi) FIXME: What? If the above is true then this is bogus.
Requires:	%shortname-common >= %version

%description -n %drivers_libname
The GraphLCD base is a project to support graphical LC displays. It is
mainly used by the graphlcd plugin for the Video Disc Recorder to
display its information.

This package contains the driver library needed to run programs
dynamically linked with GraphLCD.

%package -n %devname
Summary:	Headers for graphlcd
Group:		Development/C++
License:	GPL+
Requires:	%drivers_libname = %version
Requires:	%graphics_libname = %version
Requires:	%skin_libname = %version
Provides:	libglcddrivers-devel = %version-%release
Provides:	glcddrivers-devel = %version-%release
Provides:       libglcdgraphics-devel = %version-%release
Provides:       glcdgraphics-devel = %version-%release
Provides:	graphlcd-devel = %{version}-%{release}
Obsoletes:	%{_lib}glcddrivers1-devel < %{version}-%{release}
Obsoletes:	%{_lib}graphlcd1-devel < %{version}-%{release}
Obsoletes:      %{_lib}glcdgraphics2-devel < %{version}-%{release}

%description -n %devname
The GraphLCD base is a project to support graphical LC displays. It is
mainly used by the graphlcd plugin for the Video Disc Recorder to
display its information.

This package contains the headers that programmers will need to
develop applications which will use graphlcd-base.

%package -n %graphics_libname
Summary:	GraphLCD shared graphics library
Group:		System/Libraries
License:	GPL+
Provides:	libglcdgraphics = %version-%release
Conflicts:	%{_lib}graphlcd1
# While the library doesn't use graphlcd-config directly, it is
# useless without the linked program using it.
# (Anssi) FIXME: See previous fixme.
Requires:	%shortname-common >= %version

%description -n %graphics_libname
The GraphLCD base is a project to support graphical LC displays. It is
mainly used by the graphlcd plugin for the Video Disc Recorder to
display its information.

This package contains the graphics library needed to run programs
dynamically linked with GraphLCD.

%package -n %skin_libname
Summary:	GraphLCD shared skin library
Group:		System/Libraries
License:	GPL+

%description -n %skin_libname
The GraphLCD base is a project to support graphical LC displays. It is
mainly used by the graphlcd plugin for the Video Disc Recorder to
display its information.

This package contains the skin library needed to run programs
dynamically linked with libglcdskin.

%package -n %shortname-common
Summary:	GraphLCD configuration file and documentation
Group:		System/Kernel and hardware
License:	GPL+

%description -n %shortname-common
The GraphLCD base is a project to support graphical LC displays. It is
mainly used by the graphlcd plugin for the Video Disc Recorder to
display its information.

This package contains the GraphLCD configuration file and GraphLCD
documentation.

%package -n %shortname-tools
Summary:	GraphLCD tools
Group:		System/Kernel and hardware
License:	GPLv2+

%description -n %shortname-tools
The GraphLCD base is a project to support graphical LC displays. It is
mainly used by the graphlcd plugin for the Video Disc Recorder to
display its information.

This package contains tools to use with GraphLCD.

%prep
%setup -q
%autopatch -p1
# don't strip nor chmod to root
perl -pi -e 's,-o root -g root -s,,' $(find -name Makefile)

%build
%make_build all CFLAGS="%optflags %ldflags -fPIC" CXXFLAGS="%optflags %ldflags -fPIC"

%install
%make_install BINDIR=%{buildroot}%{_bindir} LIBDIR=%{buildroot}%{_libdir} \
	INCDIR=%{buildroot}%{_includedir}

install -d -m755 %{buildroot}%{_sysconfdir}
install -m644 graphlcd.conf %{buildroot}%{_sysconfdir}

%files -n %drivers_libname
%doc README
%{_libdir}/libglcddrivers.so.%{drivers_major}{,.*}

%files -n %devname
%doc README
%{_includedir}/glcddrivers
%{_includedir}/glcdgraphics
%{_includedir}/glcdskin
%{_libdir}/libglcddrivers.so
%{_libdir}/libglcdgraphics.so
%{_libdir}/libglcdskin.so

%files -n %graphics_libname
%doc README
%{_libdir}/libglcdgraphics.so.%{graphics_major}{,.*}

%files -n %skin_libname
%{_libdir}/libglcdskin.so.%{skin_major}{,.*}

%files -n %shortname-common
%doc README HISTORY docs
%config(noreplace) %{_sysconfdir}/graphlcd.conf

%files -n %shortname-tools
%doc README docs/README.*
%{_bindir}/*




