%bcond_with libr
%bcond_with php

# Do not check any files in docdir for requires
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

%define arch_has_java	1
%ifarch %arm aarch64
%define arch_has_java	0
%endif

%define cdt_major	5
%define cgraph_major	6
%define graph_major	5
%define gvc_major	6
%define gvpr_major	2
%define pathplan_major	4
%define xdot_major	4

%define lib_cdt		%mklibname cdt %{cdt_major}
%define lib_cgraph	%mklibname cgraph %{cgraph_major}
%define lib_gvc		%mklibname gvc %{gvc_major}
%define lib_gvpr	%mklibname gvpr %{gvpr_major}
%define lib_pathplan	%mklibname pathplan %{pathplan_major}
%define lib_xdot	%mklibname xdot %{xdot_major}
%define develname	%mklibname graphviz -d
%define staticname	%mklibname graphviz -d -s

Summary:	Graph visualization tools
Name:		graphviz
Version:	12.2.1
Release:	%mkrel 3
Group:		Graphics/Utilities
License:	EPL
URL:		https://www.graphviz.org/
Source0:	https://gitlab.com/%{name}/%{name}/-/archive/%{version}/%{name}-%{version}.tar.bz2
BuildRequires:	byacc
BuildRequires:	bison >= 2.3
BuildRequires:	flex >= 2.5.4a
BuildRequires:	swig >= 1.3.29
BuildRequires:	pkgconfig(IL)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.7.0
BuildRequires:	pkgconfig(gtkgl-2.0)
BuildRequires:	pkgconfig(gtkglext-1.0)
BuildRequires:	pkgconfig(guile-2.0)
BuildRequires:	pkgconfig(libglade-2.0)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(pangocairo) >= 1.14.9
BuildRequires:	pkgconfig(pangoft2)
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(gdlib) >= 2.0.34
BuildRequires:	gettext-devel >= 0.14.5
BuildRequires:	pkgconfig(xaw7)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	libtool
BuildRequires:	libltdl-devel
BuildRequires:	pkgconfig(libpng) >= 1.2.10
BuildRequires:	pkgconfig(zlib) >= 1.2.3
BuildRequires:	pkgconfig(expat) >= 2.0.0
BuildRequires:	pkgconfig(freeglut)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(gts)
BuildRequires:	groff
BuildRequires:	groff-for-man
BuildRequires:	ghostscript
BuildRequires:	ghostscript-devel
BuildRequires:	qpdf

Provides:	dot = %{version}-%{release}
Obsoletes:	graphviz-gtk2 < 10.0.1-2
Provides:	graphviz-gtk2 = %{version}-%{release}

%description
A collection of tools for the manipulation and layout
of graphs (as in nodes and edges, not as in barcharts).


%files
%doc README.md
%license LICENSE
%{_bindir}/acyclic
%{_bindir}/bcomps
%{_bindir}/ccomps
%{_bindir}/circo
%{_bindir}/cluster
%{_bindir}/diffimg
%{_bindir}/dijkstra
%{_bindir}/dot
%{_bindir}/dot_sandbox
%{_bindir}/dot2gxl
%{_bindir}/edgepaint
%{_bindir}/fdp
%{_bindir}/gc
%{_bindir}/gml2gv
%{_bindir}/graphml2gv
%{_bindir}/gv2gml
%{_bindir}/gv2gxl
%{_bindir}/gvcolor
%{_bindir}/gvedit
%{_bindir}/gvgen
%{_bindir}/gvmap
%{_bindir}/gvmap.sh
%{_bindir}/gvpack
%{_bindir}/gvpr
%{_bindir}/gxl2dot
%{_bindir}/gxl2gv
%{_bindir}/mm2gv
%{_bindir}/neato
%{_bindir}/nop
%{_bindir}/osage
%{_bindir}/patchwork
%{_bindir}/prune
%{_bindir}/sccmap
%{_bindir}/sfdp
%{_bindir}/tred
%{_bindir}/twopi
%{_bindir}/unflatten
%{_bindir}/vimdot
%{_mandir}/man?/*
%exclude %{_mandir}/man1/smyrna.1*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/examples/
%{_datadir}/%{name}/graphs/
%{_datadir}/%{name}/gvedit/
%{_datadir}/%{name}/gvpr/
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libgvplugin_core.so.*
%{_libdir}/%{name}/libgvplugin_dot_layout.so.*
%{_libdir}/%{name}/libgvplugin_gdk.so.*
%{_libdir}/%{name}/libgvplugin_gs.so.*
%{_libdir}/%{name}/libgvplugin_kitty.so.*
%{_libdir}/%{name}/libgvplugin_neato_layout.so.*
%{_libdir}/%{name}/libgvplugin_pango.so.*
%{_libdir}/%{name}/libgvplugin_poppler.so.*
%{_libdir}/%{name}/libgvplugin_rsvg.so.*
%{_libdir}/%{name}/libgvplugin_webp.so.*
%{_libdir}/%{name}/libgvplugin_vt.so.*
%{_libdir}/%{name}/libgvplugin_xlib.so.*

#-------------------------------------------------------------------------

%package gd
Summary:		Graphviz plugin for renderers based on gd
Requires:		%{name} = %{version}-%{release}
Requires(post):		dot
Requires(postun):	dot

%description gd
Graphviz plugin for renderers based on gd.  (Unless you absolutely have to use
GIF, you are recommended to use the PNG format instead because of the better
quality anti-aliased lines provided by the cairo+pango based renderer.)

%files gd
%{_libdir}/%{name}/libgvplugin_gd.so.*

#-------------------------------------------------------------------------

%package	doc
Group:		Documentation
Summary:	%{name} documentation
BuildArch:	noarch

%description	doc
The %{name} documentation.

%files doc
%{_docdir}/%{name}/

#-------------------------------------------------------------------------

%package -n	%{lib_cdt}
Group:		System/Libraries
Summary:	Shared library for %{name}

%description -n	%{lib_cdt}
This package provides the cdt shared library for %{name}.

%files -n %{lib_cdt}
%{_libdir}/libcdt.so.%{cdt_major}{,.*}

#-------------------------------------------------------------------------

%package -n	%{lib_cgraph}
Group:		System/Libraries
Summary:	Shared library for %{name}

%description -n	%{lib_cgraph}
This package provides the cgraph shared library for %{name}.

%files -n %{lib_cgraph}
%{_libdir}/libcgraph.so.%{cgraph_major}{,.*}

#-------------------------------------------------------------------------

%package -n	%{lib_gvc}
Group:		System/Libraries
Summary:	Shared library for %{name}

%description -n	%{lib_gvc}
This package provides the gvc shared library for %{name}.

%files -n %{lib_gvc}
%{_libdir}/libgvc.so.%{gvc_major}{,.*}

#-------------------------------------------------------------------------

%package -n	%{lib_gvpr}
Group:		System/Libraries
Summary:	Shared library for %{name}

%description -n	%{lib_gvpr}
This package provides the gvpr shared library for %{name}.

%files -n %{lib_gvpr}
%{_libdir}/libgvpr.so.%{gvpr_major}{,.*}

#-------------------------------------------------------------------------

%package -n	%{lib_pathplan}
Group:		System/Libraries
Summary:	Shared library for %{name}

%description -n	%{lib_pathplan}
This package provides the pathplan shared library for %{name}.

%files -n %{lib_pathplan}
%{_libdir}/libpathplan.so.%{pathplan_major}{,.*}

#-------------------------------------------------------------------------

%package -n	%{lib_xdot}
Group:		System/Libraries
Summary:	Shared library for %{name}

%description -n	%{lib_xdot}
This package provides the xdot shared library for %{name}.

%files -n %{lib_xdot}
%{_libdir}/libxdot.so.%{xdot_major}{,.*}

#-------------------------------------------------------------------------

%package -n	lua-graphviz
Group:		System/Libraries
Summary:	Graphviz bindings for lua
BuildRequires:	pkgconfig(lua)

%description -n	lua-graphviz
This package provides the Lua extension for %{name}.

%files -n lua-graphviz
%dir %{_libdir}/graphviz
%{_libdir}/graphviz/lua/gv.so
%{_libdir}/graphviz/lua/libgv_lua.so
%{_libdir}/lua/gv.so

#-------------------------------------------------------------------------

%package devil
Summary:		Graphviz plugin for renderers based on DevIL
Requires:		%{name} = %{version}-%{release}
Requires(post):		dot
Requires(postun):	dot

%description devil
Graphviz plugin for renderers based on DevIL. (Unless you absolutely have
to use BMP, TIF, or TGA, you are recommended to use the PNG format instead
supported directly by the cairo+pango based renderer in the base graphviz rpm.)

%files devil
%{_libdir}/graphviz/libgvplugin_devil.so.*

#-------------------------------------------------------------------------

%if %with php
%package  -n	php-graphviz
Group:		System/Libraries
Summary:	Graphviz bindings for php
BuildRequires:	php-devel
BuildRequires:	php-cli

%description -n	php-graphviz
This package provides the PHP extension for %{name}.

%files -n php-graphviz
%dir %{_libdir}/graphviz
%{_libdir}/graphviz/php
%{_libdir}/php/extensions/gv.so
%{_datadir}/php/gv.php
%endif

#-------------------------------------------------------------------------

%package -n	python3-graphviz
Group:	 	System/Libraries
Summary:	Graphviz bindings for python 3
BuildRequires:	pkgconfig(python3)
Provides:	python-graphviz = %{version}-%{release}

# Manually add provides that would be generated automatically if .egg-info was present
Provides:	python3dist(gv) = %{version}
Provides:	python%{python3_version}dist(gv) = %{version}
# expected by catboost
Provides:	python%{python3_version}dist(grapĥviz) = %{version}

%description -n	python3-graphviz
This package provides the Python 3 extension for %{name}.

%files -n python3-graphviz
%dir %{_libdir}/graphviz
%{_libdir}/graphviz/python3
%{python3_sitearch}/*

#-------------------------------------------------------------------------

%package -n	ruby-graphviz
Group:	 	System/Libraries
Summary:	Graphviz bindings for ruby
BuildRequires:	pkgconfig(ruby)

%description -n	ruby-graphviz
This package provides the Ruby extension for %{name}.

%files -n ruby-graphviz
%dir %{_libdir}/graphviz
%{_libdir}/graphviz/ruby
%{ruby_vendorarchdir}/*

#-------------------------------------------------------------------------

%package -n	perl-graphviz
Group:		System/Libraries
Summary:	Graphviz bindings for perl
BuildRequires:	perl-devel

%description -n	perl-graphviz
This package provides the Perl extension for %{name}.

%files -n perl-graphviz
%dir %{_libdir}/graphviz
%{_libdir}/graphviz/perl
%{perl_vendorarch}/gv.*

#-------------------------------------------------------------------------

%package -n	tcl-graphviz
Group:	 	System/Libraries
Summary:	Graphviz bindings for tcl
BuildRequires:	pkgconfig(tcl) >= 8.3.0
BuildRequires:	pkgconfig(tk) >= 8.3.0
BuildRequires:	tk >= 8.3.0

%description -n tcl-graphviz
This package provides the Tcl extension for %{name}.

%files -n tcl-graphviz
%{_libdir}/tcl*
%dir %{_libdir}/graphviz
%{_libdir}/graphviz/tcl

#-------------------------------------------------------------------------
%if %arch_has_java
%define jdk_path %{_prefix}/lib/jvm/java
%define java_includes %{_includedir}/libgcj

%package -n	java-graphviz
Group:		System/Libraries
Summary:	Graphviz bindings for java
BuildRequires:	java-devel

%description -n	java-graphviz
This package provides the Java extension for %{name}.

%files -n java-graphviz
%dir %{_libdir}/graphviz
%{_libdir}/graphviz/java
%endif

#-------------------------------------------------------------------------
%if %with libr

%package -n	r-graphviz
Group:		System/Libraries
Summary:	Graphviz bindings for R
BuildRequires:	pkgconfig(libR)

%description -n r-graphviz
This package provides the R extension for %{name}.

%files -n r-graphviz
%dir %{_libdir}/graphviz
%{_libdir}/graphviz/R
%endif

#-------------------------------------------------------------------------

%package -n	golang-graphviz
Group:		System/Libraries
Summary:	Graphviz bindings for Go
BuildRequires:	golang

%description -n	golang-graphviz
This package provides the go extension for %{name}.

%files -n golang-graphviz
%dir %{_libdir}/graphviz
%{_libdir}/graphviz/go

#-------------------------------------------------------------------------

%package	smyrna
Summary:	Graphviz interactive graph viewer
Group:		Graphics/Utilities

%description	smyrna
Smyrna is a viewer for graphs in the DOT format.

%files smyrna
%{_bindir}/smyrna
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/smyrna/
%{_mandir}/man1/smyrna.1*

#-------------------------------------------------------------------------

%package -n	%{develname}
Group:		Development/Other
Summary:	Development package for %{name}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_cdt} = %{version}-%{release}
Requires:	%{lib_cgraph} = %{version}-%{release}
Requires:	%{lib_gvc} = %{version}-%{release}
Requires:	%{lib_gvpr} = %{version}-%{release}
Requires:	%{lib_pathplan} = %{version}-%{release}
Requires:	%{lib_xdot} = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description -n	%{develname}
Development package for %{name}.

%files -n %{develname}
%{_libdir}/pkgconfig/*.pc
%{_libdir}/graphviz/*.so
%{_libdir}/*.so
%{_includedir}/graphviz/

#-------------------------------------------------------------------------

%prep
%autosetup -p1

# Attempt to fix rpmlint warnings about executable sources
find -type f -regex '.*\.\(c\|h\)$' -exec chmod a-x {} ';'

# Fix ambiguous python shebang
%py3_shebang_fix .

%build
./autogen.sh
%configure \
	--without-included-ltdl \
	--with-x \
	--disable-static \
%if %with libr
	--enable-r \
%else
	--disable-r \
%endif
	--enable-perl \
%if %with php
	--enable-php \
%else
	--disable-php \
%endif
	--disable-python \
	--disable-python2 \
	--enable-python3 \
	--disable-guile \
	--disable-sharp \
	--with-pangocairo \
	--enable-tcl=yes --with-tclsh=%{_bindir}/tclsh --with-wish=%{_bindir}/wish \
	--with-libgd \
	--disable-io

%make_build TCL_LIBS=-ltcl \
            PYTHON_INCLUDES=`python3-config --includes` \
            PYTHON_LIBS=`python3-config --embed --libs` \
            PYTHON_INSTALL_DIR=%{python3_sitearch} \
            PYTHON=%{__python3}

%install
%make_install docdir=%{_docdir}/%{name} \
	pkgconfigdir=%{_libdir}/pkgconfig

find %{buildroot} -name '*.la' -delete

# Remove executable modes from demos
find %{buildroot}%{_datadir}/%{name}/demo -type f -exec chmod a-x {} ';'

# Move demos to doc
mv %{buildroot}%{_datadir}/%{name}/demo %{buildroot}%{_docdir}/%{name}/

# Rename python demos to prevent byte compilation
find %{buildroot}%{_docdir}/%{name}/demo -type f -name "*.py" -exec mv {} {}.demo ';'

# Remove dot_builtins, on demand loading should be sufficient
rm -f %{buildroot}%{_bindir}/dot_builtins

# Remove metadata from generated PDFs
pushd %{buildroot}%{_docdir}/%{name}
for f in prune gvgen.1 gc.1 dot.1 cluster.1
do
  if [ -f $f.pdf ]
  then
# ugly, but there is probably no better solution
    qpdf --empty --static-id --pages $f.pdf -- $f.pdf.$$
    mv -f $f.pdf.$$ $f.pdf
  fi
done
popd

# Install README
install -m0644 README %{buildroot}%{_docdir}/%{name}

# symlink identical libraries
ln -srf %{buildroot}%{_libdir}/graphviz/ruby/libgv_ruby.so %{buildroot}%{ruby_vendorarchdir}/gv.so
ln -srf %{buildroot}%{_libdir}/graphviz/tcl/* %{buildroot}%{tcl_sitearch}/graphviz/
ln -srf %{buildroot}%{_libdir}/graphviz/python3/libgv_python3.so %{buildroot}%{python3_sitearch}/_gv.so
ln -srf %{buildroot}%{_libdir}/graphviz/perl/libgv_perl.so %{buildroot}%{perl_vendorarch}/gv.so
# ln -srf %%{buildroot}%%{_libdir}/graphviz/lua/libgv_lua.so %%{buildroot}%%{lua_libdir}/gv.so
%if %with php
ln -srf %{buildroot}%{_libdir}/graphviz/php/libgv_php.so %{buildroot}%{_libdir}/php/extensions/gv.so
%endif

%post
%{_bindir}/dot -c

%postun
if ! test -x %{_bindir}/dot; then rm -f %{_libdir}/%{name}/config6; fi

%post devil
%{_bindir}/dot -c 2>/dev/null || :

%postun devil
%{_bindir}/dot -c 2>/dev/null || :

%post gd
%{_bindir}/dot -c 2>/dev/null || :

%postun gd
%{_bindir}/dot -c 2>/dev/null || :

