Summary: A gtk2 frontend for rdesktop
Name: grdesktop
Version: 0.23
Release: %mkrel 19
Group: Networking/Remote access
License: GPLv2+
URL: https://www.nongnu.org/grdesktop/
Source0: %{name}-%{version}.tar.bz2
Patch0: grdesktop-0.23-desktopentry.patch
Patch1: grdesktop-0.23-format-strings.patch
Patch2: grdesktop-0.23-fix-desktop.patch
Patch3: grdesktop-fix-building-with-gcc14.patch
# Debian patches
Patch101: 01_gettext.diff
Patch102: 02_iter.diff
Patch104: 04_typos.diff
Patch106: 06_no-libgnome.diff
Patch107: 07_avoid-scrollkeeper.diff
Patch108: 08_gsettings-port.diff
BuildRequires: gettext-devel
BuildRequires: imagemagick
BuildRequires: pkgconfig(gtk+-2.0)
Requires: rdesktop

%description
grdesktop is a frontend, written in C using the GTK+ 2 toolkit, for
the remote desktop client (rdesktop).
It can save several connections (including their options), and browse
the network for available terminal servers.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%define _legacy_common_support 1
%configure --with-keymap-path=%_datadir/rdesktop/keymaps
%make_build

%install
%make_install

%find_lang %name --with-gnome

mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
ln -s %_datadir/pixmaps/%name/icon.png %buildroot%_liconsdir/%name.png
convert -scale 32x32 pixmaps/icon.png %buildroot%_iconsdir/%name.png
convert -scale 16x16 pixmaps/icon.png %buildroot%_miconsdir/%name.png

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/grdesktop
%{_mandir}/man1/grdesktop.1*
%{_datadir}/application-registry/grdesktop.applications
%{_datadir}/applications/grdesktop.desktop
%{_datadir}/GConf/gsettings/grdesktop.convert
%{_datadir}/glib-2.0/schemas/org.nongnu.grdesktop.gschema.xml
%{_datadir}/mime-info/grdesktop.keys
%{_datadir}/mime-info/grdesktop.mime
%{_datadir}/pixmaps/grdesktop/
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

