%define _bindir /bin

Summary:	The GNU versions of the grep pattern matching utilities
Name:		grep
Version:	3.12
Release:	%mkrel 1
License:	GPLv3
Group:		Text tools
URL:		https://www.gnu.org/software/grep/grep.html
Source0:	https://ftp.gnu.org/pub/gnu/grep/%{name}-%{version}.tar.xz
Source1:	https://ftp.gnu.org/pub/gnu/grep/%{name}-%{version}.tar.xz.sig
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(libpcre2-posix)
BuildRequires:	texinfo
BuildRequires:	bison
# For tests
BuildRequires:	cvs
BuildRequires:	locales-en
BuildRequires:	locales-cs
BuildRequires:	locales-ja
BuildRequires:	locales-tr
BuildRequires:	locales-ru

%description
The GNU versions of the commonly used grep utilities.  Grep searches one or
more input files for lines which contain a match to a specified pattern
and then prints the matching lines.  GNU's grep utilities include grep,
egrep and fgrep.

You should install grep on your system, because it is a very useful utility
for searching through text files, for system administration tasks, etc.

%package doc
Summary:	Grep documentation in info format
Group:		Documentation

%description doc
The GNU versions of the commonly used grep utilities.  Grep searches one or
more input files for lines which contain a match to a specified pattern
and then prints the matching lines.  GNU's grep utilities include grep,
egrep and fgrep.

You should install grep on your system, because it is a very useful utility
for searching through text files, for system administration tasks, etc.

Install this package if you want info documentation on grep.

%prep
%autosetup -p1

%build
chmod +x tests/kwset-abuse
%configure \
    --without-included-regex \
    --enable-perl-regexp \
    --exec-prefix=/

%make_build

%install
%make_install

%find_lang %{name}

%check
make check

%files -f %{name}.lang
%{_bindir}/*
%{_mandir}/*/*

%files doc
%doc AUTHORS THANKS TODO NEWS README ChangeLog
%{_infodir}/*.info*
