%define upstream_name    grepmail
%define upstream_version 5.3111

Name:       grepmail
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Search mailboxes for mail matching a regular expression
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/pod/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/D/DC/DCOPPIT/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Date::Manip)
BuildRequires: perl(Date::Parse)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::HomeDir::Unix)
BuildRequires: perl(Mail::Mbox::MessageParser) >= 1.400.100
BuildRequires: perl(Module::AutoInstall)
BuildRequires: perl(Test::Compile)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(UNIVERSAL::require)

Recommends:    perl(Date::Manip)
Recommends:    perl(File::Slurper)

BuildArch:  noarch

%description
grepmail looks for mail messages containing a pattern, and prints the
resulting messages on standard out.

By default grepmail looks in both header and body for the specified
pattern.

When redirected to a file, the result is another mailbox, which can, in
turn, be handled by standard User Agents, such as elm, or even used as
input for another instance of grepmail.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES LICENSE META.yml README TODO
%{_bindir}/*
%{_mandir}/man1/*
