%define api	1.0
%define major	51
%define libname %mklibname %{name} %{api} %{major}
%define devname	%mklibname %{name} -d

# No openmpi on 32bits with openmpi 5 in Mageia 10+
%ifarch %{ix86} %{arm32}
%bcond_with openmpi
%else
%bcond_without openmpi
%endif

Name:		gretl
Version:	2025a
Release:	%mkrel 1
Summary:	A tool for econometric analysis
Group:		Sciences/Mathematics
License:	GPLv3+ and BSD and MIT
URL:		https://gretl.sourceforge.net/
Source0:	https://downloads.sourceforge.net/gretl/%{name}-%{version}.tar.xz
#Licensing of plugins used in gretl
Source1:	gretl_plugins.txt
Patch2:		gretl-2016b-fix-desktop-file.patch
BuildRequires:	fonts-ttf-bitstream-vera
BuildRequires:	fonts-ttf-freefont
BuildRequires:	gettext
BuildRequires:	gnuplot
BuildRequires:	R-base
BuildRequires:	texlive
BuildRequires:	texlive-dist
BuildRequires:	blas-devel
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmp)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(lapack)
BuildRequires:	pkgconfig(libgsf-1)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(mpfr)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(gtksourceview-4)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(odbc)
%if %{with openmpi}
BuildRequires:	pkgconfig(ompi)
BuildRequires:	openmpi
%endif
Requires:	gnuplot
Requires:	R-base
Requires:	fonts-ttf-bitstream-vera
Requires:	fonts-ttf-freefont

%description
A cross-platform software package for econometric analysis,
written in the C programming language.

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		Development/C

%description -n %{libname}
This package contains the shared library files for %{name}.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}

%description -n %{devname}
This package contains the development files for %{name}.

%prep
%autosetup -p1

# fix include path
sed -i -e 's:includedir=${prefix}/include:includedir=${prefix}/include/gretl:' gretl.pc.in

# plugins licensing notes
install -pm644 %{SOURCE1} .

%build
%configure \
	--disable-static \
	--disable-rpath \
	%if %{with openmpi}
	--with-mpi \
	%endif
	--with-libR \
	--with-odbc \
	--with-gsf \
	--enable-build-editor \
	--enable-build-addons \
	--disable-addons-doc
%make_build

%install
%make_install

%find_lang %{name}

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%doc ChangeLog CompatLog README gretl_plugins.txt
%{_bindir}/gretl*
%{_libdir}/gretl-gtk3/
%{_metainfodir}/%{name}.appdata.xml
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}_edit.desktop
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/mimetypes/*.png
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libgretl-%{api}.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/pkgconfig/gretl.pc
%{_libdir}/libgretl-%{api}.so
%{_includedir}/%{name}/
