Name:             grig
Version:          0.8.1
Release:          %mkrel 7
Summary:          A Ham Radio Control graphical user interface
Group:            Communications/Radio
License:          GPLv2+
URL:              https://groundstation.sourceforge.net/grig/
Source0:          https://prdownloads.sourceforge.net/groundstation/%{name}-%{version}.tar.gz
Patch0:           grig-0.8.1-automake-1.13.patch
Patch1:           grig-0.8.1-mga-hamlib.patch
Patch2:           grig-0.8.1-mga-RIG_LEVEL_VOX.patch
BuildRequires:    pkgconfig(gthread-2.0) >= 2.14.0
BuildRequires:    pkgconfig(gtk+-2.0) >= 2.12.0
BuildRequires:    pkgconfig(hamlib) >= 1.2.8
BuildRequires:    desktop-file-utils
BuildRequires:    gettext-devel
BuildRequires:    intltool
BuildRequires:    gnome-common
Requires:         hamlib
Recommends:       hamlib-utils

%description
Grig is a graphical user interface for the Ham Radio Control
Libraries. It is intended to be simple and generic, presenting the
user to the same interface regardless of which radio he or she uses.

%prep
%autosetup -p1

%build
%configure --disable-dependency-tracking
%make_build

%install
%make_install
rm -rf %{buildroot}%{_datadir}/%{name}
install -d %{buildroot}%{_iconsdir}
cp -T %{buildroot}%{_datadir}/pixmaps/grig/ic910.png %{buildroot}%{_iconsdir}/grig.png

# Desktop file
install -d %buildroot%_datadir/applications
cat > %buildroot%_datadir/applications/%name.desktop << EOF
[Desktop Entry]
Type=Application
Exec=%{name}
Icon=%{name}
Terminal=false
Name=Grig
Comment=Amateur Radio Rig Control
StartupNotify=true
Categories=AudioVideo;Audio;HamRadio;X-Mageia-CrossDesktop;

EOF

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README ChangeLog
%license COPYING
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}
%{_iconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}*
