%define api	0.3
%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		grilo-plugins
Version:	0.3.16
Release:	%mkrel 3
Summary:	Plugins for the Grilo framework
Group:		System/Libraries
License:	LGPLv2+
Url:		https://wiki.gnome.org/Grilo
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	gperf
BuildRequires:	gstreamer1.0-plugins-bad
BuildRequires:	gettext
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	libxml2-utils
BuildRequires:	pkgconfig(avahi-gobject)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmime-2.6)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gom-1.0)
BuildRequires:	pkgconfig(gom-1.0)
BuildRequires:	pkgconfig(grilo-%{api})
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gupnp-av-1.0)
BuildRequires:	pkgconfig(libdmapsharing-4.0)
BuildRequires:	pkgconfig(libgdata)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(lua)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(totem-plparser)
BuildRequires:	pkgconfig(tinysparql-3.0)
BuildRequires:	tracker-vala
Requires:	grilo >= 0.2.4
Requires:	dleyna-server

%description
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
This package contains plugins to get information from theses sources:
- Apple Trailers
- Bookmarks
- Euronews
- Filesystem
- Flickr
- Freebox (Internet Box from the French ISP Free)
- Gravatar
- Guardian Videos
- Jamendo
- Last.fm (for album arts)
- Local metadata (album arts and thumbnails)
- Metadata Store
- Metro lyrics
- Pocket
- Podcasts
- Radio France
- Shoutcast
- Tracker
- UPnP
- Vimeo
- Youtube

%prep
%autosetup -p1

%build
%meson \
	-Denable-freebox=yes \
	-Denable-tracker3=yes
%meson_build

%install
%meson_install

# Remove files that will not be packaged
rm %{buildroot}%{_datadir}/help/*/examples/example-tmdb.c

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS NEWS README.md
%{_libdir}/grilo-%{api}/libgrl*.so
%{_libdir}/pkgconfig/grilo-plugins-%{api}.pc
%{_datadir}/grilo-plugins/
