%define api	0.3
%define major	0
%define major_grlnet	0
%define major_grlpls	0
%define libname	%mklibname %{name} %{api} %{major}
%define libname_grlnet	%mklibname grlnet %{api} %{major_grlnet}
%define libname_grlpls %mklibname grlpls %{api} %{major_grlpls}
%define girname %mklibname %name-gir %{api}
%define devname	%mklibname -d %{name}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		grilo
Version:	0.3.16
Release:	%mkrel 1
Summary:	Content discovery framework
Group:		System/Libraries
License:	LGPLv2+
Url:		https://wiki.gnome.org/Grilo
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(oauth)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	vala-tools
BuildRequires:	gnome-common
BuildRequires:	gtk-doc
BuildRequires:	gettext
BuildRequires:	meson
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(totem-plparser)

%description
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
This package contains the core library and elements.

%package -n %{libname}
Summary:	Libraries files for Grilo framework
Group:		System/Libraries
Obsoletes:	%{_lib}grilo0.2_1 = 0.2.13-1.mga6

%description -n %{libname}
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
This package contains the core library and elements, as well as
general and API documentation.

%package -n %{libname_grlnet}
Summary:	Libraries files for Grilo framework
Group:		System/Libraries

%description -n %{libname_grlnet}
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
This package contains the core library and elements, as well as
general and API documentation.

%package -n %{libname_grlpls}
Summary:	Libraries files for Grilo framework
Group:		System/Libraries

%description -n %{libname_grlpls}
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
Grilo only deals with audio, video or image content, but not with
playlists. This library allow to identify playlists and browse
into them exposing playlist entries as GrlMedia objects.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libname_grlnet} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{devname}
Summary:	Libraries/include files for Grilo framework
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libname_grlnet} = %{version}-%{release}
Requires:	%{libname_grlpls} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.

This package contains the core library and elements, as well as
general and API documentation.

%prep
%autosetup -p1

%build
%meson \
    -Denable-gtk-doc=true \
    -Dsoup3=true
%meson_build

%install
%meson_install

mkdir -p %{buildroot}%{_libdir}/grilo-%{api} %{buildroot}%{_datadir}/grilo-%{api}/plugins

# Remove files that will not be packaged
rm -f %{buildroot}%{_bindir}/grilo-simple-playlist

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README.md TODO
%license COPYING
%{_bindir}/grl-inspect-%{api}
%{_bindir}/grl-launch-%{api}
%{_bindir}/grilo-test-ui-%{api}
%{_libdir}/grilo-%{api}
%{_datadir}/grilo-%{api}/plugins
%{_mandir}/man1/grl-inspect*.1.*
%{_mandir}/man1/grl-launch*.*
%{_mandir}/man1/grilo-test-ui*.*

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}
%{_libdir}/lib%{name}-%{api}.so.%{major}.*

%files -n %{libname_grlpls}
%{_libdir}/libgrlpls-%{api}.so.%{major_grlpls}
%{_libdir}/libgrlpls-%{api}.so.%{major_grlpls}.*

%files -n %{libname_grlnet}
%{_libdir}/libgrlnet-%{api}.so.%{major_grlnet}
%{_libdir}/libgrlnet-%{api}.so.%{major_grlnet}.*

%files -n %{girname}
%{_libdir}/girepository-1.0/*-%{api}.typelib

%files -n %{devname}
%doc AUTHORS NEWS README.md TODO
%license COPYING
%doc %{_datadir}/gtk-doc/html/%{name}
%{_includedir}/%{name}-%{api}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/vala*/vapi/*
