%define build_id3 1
%{?_with_id3: %{expand: %%global build_id3 1}}
%{?_without_id3: %{expand: %%global build_id3 0}}

Summary:	A CD player and ripper/MP3-encoder front-end
Name:		grip
Epoch:		1
Version:	4.2.4
Release:	%mkrel 1
License:	GPLv2+
Group:		Sound/Players
URL:		https://sourceforge.net/projects/grip/
Source0:	https://prdownloads.sourceforge.net/grip/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	imagemagick
BuildRequires:	gettext-devel
Requires:	vorbis-tools
BuildRequires:	libcdda-devel
%if %build_id3
BuildRequires:	libid3-devel
%endif

%description
A GTK+-based CD player and ripper. It has the ripping
capabilities of cdparanoia built in, but can also use external rippers
(such as cdda2wav). It also provides an automated frontend for various
encoders, letting you take a disc and transform it easily straight
into Vorbis, FLAC or MP3 format (MP3 only with a separate MP3 encoder).
The CDDB protocol is supported for retrieving track information from
disc database servers. Grip works with DigitalDJ to provide a unified
"computerized" version of your music collection.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure \
  --disable-werror \
%if %build_id3
  --enable-id3 \
%else
  --disable-id3 \
%endif
%ifarch alpha ppc
  --disable-cdpar
%endif

%make_build

%install
%makeinstall
#We don't need the file in both places
rm -rf %{buildroot}/%{_datadir}/apps/solid/actions

%find_lang %{name}

%files -f %{name}.lang
%doc ABOUT-NLS AUTHORS CREDITS README ChangeLog TODO  
%{_bindir}/*
%{_datadir}/gnome/help/%{name}/
%{_datadir}/pixmaps/grip.png
%{_datadir}/pixmaps/griptray.png
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/solid/actions/%{name}-audiocd.desktop
%license COPYING*
