%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\([^.]*\\.pl\\)

Name:       groff
Version:    1.23.0
Release:    %mkrel 1

License:    GPLv2+
URL:        https://www.gnu.org/software/groff/

Source0:    https://ftp.gnu.org/gnu/groff/%{name}-%{version}.tar.gz
Source1:    troff-to-ps.fpi
Patch1:     groff-1.20.1-nroff-convert-encoding.patch
# (ahmad) 1.20.1-4.mga add patch to indicate that the 'groff-x11' package might be missing
# when executing 'groff -X' and 'gxditview' is not found (Fedora)
# resolves: #530788
Patch11:    0001-missing-groff-x11-info-message-when-gxditview-not-fo.patch
Patch12:    0002-load-site-font-and-site-tmac-from-etc-groff.patch
# resolves: #709413, #720058, #720057
Patch13:    0003-various-security-fixes.patch
# resolves: #987069
Patch14:    0004-don-t-use-usr-bin-env-in-shebang.patch
# allow to specify custom docdir
Patch15:    0005-do-not-overwrite-docdir.patch
# Revert upstream change of mapping special characters for UTF-8 devices
# Debian commit: https://salsa.debian.org/debian/groff/-/commit/d5394c68d70e6c5199b01d2522e094c8fd52e64e
Patch16:    0006-Revert-upstream-change-of-mapping-special-characters.patch

BuildRequires: netpbm
BuildRequires: psutils
BuildRequires: ghostscript
BuildRequires: texinfo

#------------------------------------------------------------------------------#

# package groff

Summary:  Document formatting system
Group:    Text tools

Requires: groff-for-man

%description
Groff is a document formatting system. Groff takes standard text and
formatting commands as input and produces formatted output. The created
documents can be shown on a display or printed on a printer. Groff's
formatting commands allow you to specify font type and size, bold type,
italic type, the number and size of columns on a page, and more.

You should install groff if you want to use it as a document formatting
system. Groff can also be used to format man pages. If you are going to
use groff with the X Window System, you'll also need to install the
groff-gxditview package.

%files
%{_bindir}/addftinfo
%{_bindir}/gdiffmk
%{_bindir}/grn
%{_bindir}/grodvi
%{_bindir}/grolbp
%{_bindir}/grolj4
%{_bindir}/hpftodit
%{_bindir}/indxbib
%{_bindir}/lkbib
%{_bindir}/lookbib
%{_bindir}/neqn
%{_bindir}/pdfroff
%{_bindir}/pfbtops
%{_bindir}/pic
%{_bindir}/post-grohtml
%{_bindir}/pre-grohtml
%{_bindir}/refer
%{_bindir}/soelim
%{_bindir}/tfmtodit
%{_datadir}/groff/%{version}/eign
%{_datadir}/groff/%{version}/font/devX100
%{_datadir}/groff/%{version}/font/devX100-12
%{_datadir}/groff/%{version}/font/devX75
%{_datadir}/groff/%{version}/font/devX75-12
%{_datadir}/groff/%{version}/font/devcp1047
%{_datadir}/groff/%{version}/font/devdvi
%{_datadir}/groff/%{version}/font/devhtml
%{_datadir}/groff/%{version}/font/devlbp
%{_datadir}/groff/%{version}/font/devlj4
%{_datadir}/groff/%{version}/font/devpdf
%{_datadir}/groff/%{version}/font/devps
%dir %{_datadir}/groff/%{version}/oldfont
%{_datadir}/groff/%{version}/oldfont/devps
%dir %{_datadir}/groff/%{version}/pic
%{_datadir}/groff/%{version}/pic/chem.pic
%{_infodir}/groff*
%{_mandir}/man1/addftinfo.*
%{_mandir}/man1/gdiffmk.*
%{_mandir}/man1/grn.*
%{_mandir}/man1/grodvi.*
%{_mandir}/man1/grohtml.*
%{_mandir}/man1/grolbp.*
%{_mandir}/man1/grolj4.*
%{_mandir}/man1/hpftodit.*
%{_mandir}/man1/indxbib.*
%{_mandir}/man1/lkbib.*
%{_mandir}/man1/lookbib.*
%{_mandir}/man1/neqn.*
%{_mandir}/man1/pdfroff.*
%{_mandir}/man1/pfbtops.*
%{_mandir}/man1/pic.*
%{_mandir}/man1/refer.*
%{_mandir}/man1/soelim.*
%{_mandir}/man1/tfmtodit.*
%{_mandir}/man5/*
%{_mandir}/man7/*

#------------------------------------------------------------------------------#

%package for-man

Summary:   Groff components required for viewing manpages
Group:     Text tools

%description for-man
The groff-for-man package contains the parts of the groff text processor
package that are required for viewing manpages.
For a full groff package, install package groff.

%files for-man
# configuration
%dir %{_sysconfdir}/groff/
%config(noreplace) %{_sysconfdir}/groff/*
%{_bindir}/eqn
%{_bindir}/groff
%{_bindir}/grops
%{_bindir}/grotty
%{_bindir}/nroff
%{_bindir}/preconv
%{_bindir}/tbl
%{_bindir}/troff
%dir %{_datadir}/groff
%dir %{_datadir}/groff/%{version}
%{_datadir}/groff/current
%{_datadir}/groff/%{version}/tmac
%dir %{_datadir}/groff/%{version}/font
%{_datadir}/groff/%{version}/font/devascii
%{_datadir}/groff/%{version}/font/devlatin1
%{_datadir}/groff/%{version}/font/devutf8
%{_mandir}/man1/eqn.*
%{_mandir}/man1/groff.*
%{_mandir}/man1/grops.*
%{_mandir}/man1/grotty.*
%{_mandir}/man1/preconv.*
%{_mandir}/man1/nroff.*
%{_mandir}/man1/tbl.*
%{_mandir}/man1/troff.*

#------------------------------------------------------------------------------#

%package perl

Summary:   Parts of the groff formatting system that require Perl
Group:	   Text tools
Requires:  groff-for-man = %{version}-%{release}

%description perl
The groff-perl package contains the parts of the groff text processor
package that require Perl. These include the afmtodit font processor for
creating PostScript font files, the chem preprocessor for producing
chemical structure diagrams, the groffer utility which can be used to
display groff files, the grog utility which can be used to automatically
determine groff command-line options, utilities for converting roff files
to other formats, and the troff-to-ps print filter.

%files perl
%{_bindir}/afmtodit
%{_bindir}/chem
%{_bindir}/gperl
%{_bindir}/gpinyin
%{_bindir}/glilypond
%{_bindir}/grog
%{_bindir}/gropdf
%{_bindir}/mmroff
%{_bindir}/pdfmom
%{_libdir}/rhs/rhs-printfilters/troff-to-ps.fpi
%{_mandir}/man1/afmtodit.*
%{_mandir}/man1/chem.*
%{_mandir}/man1/gperl.*
%{_mandir}/man1/gpinyin.*
%{_mandir}/man1/glilypond.*
%{_mandir}/man1/grog.*
%{_mandir}/man1/gropdf.*
%{_mandir}/man1/mmroff.*
%{_mandir}/man1/pdfmom.*

#------------------------------------------------------------------------------#

%package x11

Summary:   Parts of the groff formatting system that require X Windows System
Group:     Text tools
BuildRequires: pkgconfig(xaw7)
BuildRequires: pkgconfig(xmu)
Requires:  groff-for-man = %{version}-%{release}
Requires:  imagemagick
Provides:  %{name}-gxditview = %{version}-%{release}

%description x11
The groff-x11 package contains the parts of the groff text processor package
that require X Windows System. These include:
  o Gxditview displays the groff text processor's output on an X Window System
    display. If you are going to use groff as a text processor, you should
    install gxditview so that you preview your processed text files in X.
  o xtotroff converts X font metrics into groff font metrics
  o eqn2graph converts EQN equation descriptions to bitmap images
  o grap2graph compiles graph description descriptions to bitmap images
  o pic2graph compiles PIC image descriptions to bitmap images

You'll need to install the groff package and the X Window System.

%files x11
%{_bindir}/eqn2graph
%{_bindir}/grap2graph
%{_bindir}/gxditview
%{_bindir}/pic2graph
%{_bindir}/xtotroff
%{_datadir}/groff/%{version}/font/FontMap-X11
%{_libdir}/X11/app-defaults/GXditview
%{_libdir}/X11/app-defaults/GXditview-color
%{_mandir}/man1/eqn2graph.*
%{_mandir}/man1/grap2graph.*
%{_mandir}/man1/gxditview.*
%{_mandir}/man1/pic2graph.*
%{_mandir}/man1/xtotroff.*

#------------------------------------------------------------------------------#

%package doc

Summary:   Parts of the groff formatting system that require X Windows System
Group:     Text tools

%description doc
The groff-doc package contains groff documentation.

%files doc
%{_docdir}/groff/

#------------------------------------------------------------------------------#

%prep
%autosetup -p1

%build
%configure --with-appdefdir=%{_libdir}/X11/app-defaults/
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_libdir}/rhs/rhs-printfilters
install -m755 %{SOURCE1} %{buildroot}%{_libdir}/rhs/rhs-printfilters
