%define upstream_name    grok
%define upstream_version 0.26

Name:       %{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    A Pod 6 backend for grok
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long) >= 2.330.0
BuildRequires: perl(IO::Interactive)
BuildRequires: perl(IO::Socket::SSL)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Perl6::Doc) >= 0.470.0
BuildRequires: perl(Perl6::Perldoc)
BuildRequires: perl(Perl6::Perldoc::To::Ansi) >= 0.70.0
BuildRequires: perl(Pod::Parser) >= 1.360.0
BuildRequires: perl(Pod::Text::Ansi) >= 0.40.0
BuildRequires: perl(Pod::Xhtml)
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Test::Script) >= 1.70.0
BuildArch:  noarch

%description
This class provides the main functionality needed by grok. It has some
methods you can use if you need to hook into grok.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# tests fail when home is readonly or when local directory doesn't exist
# https://rt.cpan.org/Ticket/Display.html?id=60631
#{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*
