Name:		gromacs
Summary:	Molecular dynamics package (non-mpi version)
Version:	2025.1
Release:	%mkrel 1
License:	LGPLv2+
Group:		Sciences/Chemistry
URL:		https://www.gromacs.org/
Source0:	https://ftp.gromacs.org/gromacs/%{name}-%{version}.tar.gz
# 32-bit archs officially unsupported
# https://gitlab.com/gromacs/gromacs/-/merge_requests/2453
ExcludeArch:	%{ix86} %{arm}
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	imagemagick
BuildRequires:	python3dist(sphinx)
BuildRequires:	openblas-devel
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(hwloc)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(lmfit)
BuildRequires:	pkgconfig(muparser) >= 2.3.4

Requires:	fftw >= 3.0.1

%description
GROMACS is a versatile and extremely well optimized package
to perform molecular dynamics computer simulations and
subsequent trajectory analysis. It is developed for
biomolecules like proteins, but the extremely high
performance means it is used also in several other field
like polymer chemistry and solid state physics.

%package	devel
Summary:	Header files and static libraries for GROMACS
Group:		Development/C++
Requires:	%{name} = %{version}

%description devel
This package contains header files, static libraries,
and a program example for the GROMACS molecular
dynamics software. You need it if you want to write your
own analysis programs.

%prep
%autosetup

%build
%cmake -DGMX_HWLOC=ON \
       -DGMX_USE_LMFIT=EXTERNAL \
       -DGMX_USE_MUPARSER=EXTERNAL \
       -DGMX_BLAS_USER=openblas \
       -DGMX_LAPACK_USER=openblas
%cmake_build

%install
%cmake_install

%files
%doc AUTHORS README
%license COPYING
%{_bindir}/*
%{_mandir}/man*/*
%{_datadir}/%{name}/
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/cmake/gromacs/
%{_datadir}/cmake/gmxapi/
