Name:           grooveoff
Version:        0.2.0
Release:        %mkrel 4
Summary:        Grooveshark Client
License:        GPLv3
Group:          Sound/Players
Url:            https://qt-apps.org/content/show.php/GrooveOff?content=158258
Source0:        https://qt-apps.org/CONTENT/content-files/158258-%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(QtCore)
BuildRequires:  pkgconfig(QJson)
BuildRequires:  pkgconfig(phonon)
BuildRequires:  cmake
BuildRequires:  automoc4
BuildRequires:  pkgconfig(taglib)
Requires:       qt4-common
Requires:       phonon-backend
Requires:       qt4-phonon-backend-plugin

%description
GrooveOff is an unofficial client for grooveshark.com.
Using it, it is possible to search grooveshark.com's huge database
(thanks to its public API) for artists, songs and albums and save them
on disk for offline playing.
GrooveOff provides some easy to use filters based on artists and albums.
Also included is a minimal player for previewing and listening to songs,
so one will be able to decide whether to keep or reject them.
The application is based on the Qt toolkit, but should feel native in
all desktop environments.

%prep
%setup -q

%build
%cmake_qt4
%cmake_build

%install
%cmake_install

# Add translation lang tags
(cd %{buildroot} && find . -name '*.qm') | sed -e 's|^.||' | sed -e \
    's:\(.*/translations/grooveoff_\)\([a-z_A-Z]\+\)\(.*qm$\):%lang(\2) \1\2\3:'\
        >> %{name}.lang

%files -f %{name}.lang
%doc README.md ChangeLog
%dir %{_datadir}/apps/%{name}/*
%dir %{_datadir}/apps/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/apps/grooveoff/resources/default-theme.svg
%{_iconsdir}/hicolor/scalable/apps/grooveoff.svgz
