Name:		grsync
Version:	1.3.1
Summary:	Synchronize files and folders (a GTK GUI for rsync)
Release:	%mkrel 2
License:	GPLv2
Group:		Networking/File transfer
URL:		https://www.opbyte.it/grsync/
Source0:	https://www.opbyte.it/release/%{name}-%{version}.tar.gz
BuildRequires:	dos2unix
BuildRequires:	gtk+3-devel
BuildRequires:	imagemagick
BuildRequires:	intltool
BuildRequires:	perl(XML::Parser)
Requires:	rsync
# For 'Run as superuser' option
Requires:	polkit-agent

%description
Grsync is a GUI for rsync, the command line directory
synchronization tool. While it can work with remote
hosts, its focus is to synchronize local directories.

%prep
%setup -q

# Fix EOLs
dos2unix NEWS AUTHORS README

# fix translations
sed -i -e '/ALL_LINGUAS/d' configure.ac
for i in po/*.po; do
 ii=$(basename $i)
 l=${ii:0:2}
 mv $i po/$l.po
 echo $l >> po/LINGUAS
done

%build
autoreconf -vfi
%configure \
	--disable-unity
%make_build LIBS="-lm"

%install
%make_install

# Generate and install icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{64x64,32x32,16x16,128x128}/apps
convert -scale 64 pixmaps/%{name}.png %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
convert -scale 32 pixmaps/%{name}.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 pixmaps/%{name}.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -D -m644 pixmaps/%{name}.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/

# Desktop file
perl -p -i -e 's/grsync.png/grsync/g' %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Filesystem" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/mime/packages/grsync.xml
%{_datadir}/icons/hicolor/48x48/mimetypes/application-x-grsync-session.png
%{_datadir}/pixmaps/grsync-busy.png
%{_datadir}/%{name}
%{_mandir}/man1/%{name}*
%{_iconsdir}/hicolor/*/apps/%{name}.png
