%define main_branch 5.2
%define subver	2

Name:		grub-customizer
Summary:	Graphical interface to configure the grub2/burg settings
Group:		System/Boot and Init
Version:	%{main_branch}.%{subver}
Release:	%mkrel 1
License:	GPLv3+
URL:		https://launchpad.net/grub-customizer
Source0:	https://launchpad.net/%{name}/%{main_branch}/%{version}/+download/%{name}_%{version}.tar.gz
Source1:	grub.cfg
Patch0:		grub-customizer-4.0.6-mge-use_default_env.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(gtkmm-3.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	desktop-file-utils
Requires:	grub2bootloader
Recommends:	hwinfo

%description
Grub Customizer is a graphical interface to configure the grub2/burg settings
with focus on the individual list order - without losing the dynamic behavior
of grub2.

%prep
%autosetup -p1

%build
export CXXFLAGS="%{optflags} -std=gnu++11"
%cmake
%cmake_build

%install
%cmake_install

install -d %{buildroot}%{_sysconfdir}/%{name}
install -D %{SOURCE1} %{buildroot}%{_sysconfdir}/%{name}/grub.cfg

desktop-file-install \
	--dir=%{buildroot}%{_datadir}/applications \
	--remove-category='Settings;' \
	--add-category='GTK;'\
	%{buildroot}%{_datadir}/applications/grub-customizer.desktop


%find_lang %{name}

%files -f %{name}.lang
%doc README changelog
%license COPYING
%{_bindir}/%{name}
%{_libdir}/grubcfg-proxy
%{_datadir}/applications/%{name}.desktop
%{_datadir}/polkit-1/actions/net.launchpad.danielrichter2007.pkexec.%{name}.policy
%{_iconsdir}/hicolor/*/*//%{name}.*
%{_mandir}/man1/%{name}.1*
%{_sysconfdir}/%{name}/grub.cfg
