Name:          gsbase
Version:       2.0.1
Release:       %mkrel 13
Group:         Development/Java
Summary:       A collection of java utility classes
# http://gsbase.sourceforge.net/license.html Apache style license
License:       ASL 2.0
Url:           https://sourceforge.net/projects/gsbase/
Source0:       https://downloads.sourceforge.net/gsbase/%{name}-%{version}.zip
Source1:       https://repo1.maven.org/maven2/%{name}/%{name}/%{version}/%{name}-%{version}.pom
# build fix for java7
Patch0:        %{name}-%{version}-jdk7.patch

BuildRequires: junit
BuildRequires: junitperf
BuildRequires: maven-local
BuildArch:     noarch

%description
A collection of classes that are helpful
when writing JUnit test cases. Classes
include things like a logging subsystem and
a complex layout manager.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -c
find . -name '*.jar' -delete
find . -name '*.class' -delete
rm -r docs/*
%patch -P 0 -p1

cp -pr %{SOURCE1} pom.xml

%pom_xpath_inject "pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-surefire-plugin']" "<version>2.14.2</version>"
# list.size expected:<2> but was:<0>
rm -r src/test/com/gargoylesoftware/base/resource/jdbc/WrapperTestCase.java \
 src/test/com/gargoylesoftware/base/resource/jdbc/CallableStatementWrapperTest.java \
 src/test/com/gargoylesoftware/base/resource/jdbc/ConnectionWrapperTest.java \
 src/test/com/gargoylesoftware/base/resource/jdbc/DatabaseMetaDataWrapperTest.java \
 src/test/com/gargoylesoftware/base/resource/jdbc/PreparedStatementWrapperTest.java \
 src/test/com/gargoylesoftware/base/resource/jdbc/ResultSetWrapperTest.java \
 src/test/com/gargoylesoftware/base/resource/jdbc/StatementWrapperTest.java
# Require Java awt subsystem
rm -r src/test/com/gargoylesoftware/base/gui/TableLayoutTest.java

%mvn_file :%{name} %{name}
 
%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt
