
Name:          gsc
Version:       20031120
Release:       %mkrel 0
Summary:       Generic Syntax Colorizer library
Group:         Development/Java
License:       MIT
Url:           https://www.kohsuke.org/gsc/
Source0:       https://www.kohsuke.org/gsc/gsc.20031120.zip
Source1:       gsc-20031120-MANIFEST.MF
BuildRequires: antlr
BuildRequires: java-devel
Requires:      antlr
Requires:      jpackage-utils
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This library is a framework that lets you build language-specific colorizer easily.
The distribution comes with two sample colorizers for Java and XML.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
GSC - Generic Syntax Colorizer library.

This package contains javadoc for %{name}.

%prep
%setup -q -n gsc.%{version}

for j in $(find . -name "*.jar"); do
     mv $j $j.no
done

for j in $(find . -name "*.class"); do
     rm -rf $j
done

cp %{SOURCE1} MANIFEST.MF

mkdir -p src
pushd src
	unzip -q ../gsc.src.zip
	rm -rf org/kohsuke/gsc/sample/xml/XmlLexer.java
	rm -rf org/kohsuke/gsc/sample/xml/XmlLexerTokenTypes.java
	rm -rf org/kohsuke/gsc/sample/xml/XmlLexerTokenTypes.txt
	rm -rf org/kohsuke/gsc/sample/java/JavaLexer.java
	rm -rf org/kohsuke/gsc/sample/java/JavaRecognizer.java
	rm -rf org/kohsuke/gsc/sample/java/JavaTokenTypes.java
popd

mkdir -p target/{classes,apidocs}

%build

export JAVA_HOME=%{java_home}

pushd src/org/kohsuke/gsc/sample/xml
	antlr xml.g
popd

pushd src/org/kohsuke/gsc/sample/java
	antlr java.g
popd

%{javac} -source 1.5 -target 1.5 \
	-classpath target/classes:$(build-classpath antlr) -g \
	-d target/classes \
	-encoding iso-8859-1 \
	$(find src -name "*.java")

mv src/org/kohsuke/gsc/sample/java/java.css target/classes/org/kohsuke/gsc/sample/java/

%{jar} cvfm target/gsc.jar MANIFEST.MF -C target/classes .

mkdir -p META-INF
cp -p *COPYING.txt META-INF/
touch META-INF/*.txt
zip -u target/gsc.jar META-INF/*.txt

%{javadoc} -d target/apidocs \
	-source 1.5 \
	-windowtitle "GSC library %{version} API" \
	-doctitle "Generic Syntax Colorizer library %{version} API" \
	-header "GSC library %{version}" \
	-classpath target/classes:$(build-classpath antlr) \
	-encoding iso-8859-1 \
	$(find src -name "*.java")

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/gsc.jar \
	%{buildroot}%{_javadir}/gsc-%{version}.jar

(	
	cd %{buildroot}%{_javadir}
	for jar in *-%{version}*; do
		ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
	done
)

mkdir -p %{buildroot}%{_javadocdir}/gsc-%{version}
cp -pr target/apidocs/* %{buildroot}%{_javadocdir}/gsc-%{version}
ln -s gsc-%{version} %{buildroot}%{_javadocdir}/gsc

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root) 
%{_javadir}/gsc-%{version}.jar
%{_javadir}/gsc.jar
%doc *COPYING.txt

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/gsc-%{version}
%{_javadocdir}/gsc

