Name:		gscan2pdf
Version:	2.13.4
Release:	%mkrel 1
Summary:	Produces multipage PDFs from a scan
License:	GPLv3
Group:		Publishing
URL:		https://gscan2pdf.sourceforge.net/
Source0:	https://sourceforge.net/projects/gscan2pdf/files/gscan2pdf/%{version}/%{name}-%{version}.tar.xz
# https://sourceforge.net/p/gscan2pdf/bugs/230/
Patch0:		gscan2pdf-2.1.6-fix-utf8-characters.patch
# Do not warn about missing pdftk, bug #1708054, not upstreamable
Patch1:		gscan2pdf-2.9.0-Do-not-warn-about-missing-pdftk.patch
BuildArch:	noarch
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils

Requires:	libtiff-progs
Requires:	imagemagick
Requires:	sane-frontends
Requires:	perl-Gtk2-Ex-PodViewer
Requires:	perl-reaper
Requires:	unpaper
Requires:	xdg-utils
Requires:	djvulibre
Requires:	gocr
Requires:	poppler
Requires:	typelib(GooCanvas)

%description
A GUI to ease the process of producing a multipage PDF from a scan.

Scanning is handled with SANE via scanimage. PDF conversion is done by
PDF::API2. TIFF export is handled by libtiff (faster and smaller memory
footprint for multipage files).

%prep
%autosetup -p1

# fix file that is not UTF-8
iconv --from=ISO-8859-1 --to=UTF-8 History > History.new
mv History.new History

%build
%__perl Makefile.PL INSTALLDIRS=vendor SHAREDIR=%{_datadir}

%make_build

%install
%make_install

desktop-file-install --vendor='' \
	--dir=%{buildroot}%{_datadir}/applications \
	--remove-key='X-SuSE-translate' \
	%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc History COPYING
%license LICENCE
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/applications/net.sourceforge.%{name}.desktop
%{perl_vendorlib}/Gscan2pdf/
%{_datadir}/pixmaps/*.svg
%{_metainfodir}/net.sourceforge.%{name}.appdata.xml
%{_mandir}/man1/*.1*
