%global debug_package %{nil}

%bcond_with bootstrap

%define api	3.0
%define girname	%mklibname %{name}-gir %{api}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global tarball_version %%(echo %{version} | tr '~' '.')

Summary:	Shared GSettings schemas for the desktop
Name:		gsettings-desktop-schemas
Version:        48.0
Release:	%mkrel 1
License:	LGPLv2+
Group:		Graphical desktop/GNOME
Url:		https://gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz
# Do NOT add any patches to override gschemas
#
# Do this in mageia-theme instead!
Patch0001:	0001-Add-new-org.gnome.desktop.background.login-schema.patch
Patch2:		revert-scroll-method-removal.patch
BuildRequires:	gettext
BuildRequires:	pkgconfig(glib-2.0) >= 2.31.0
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	meson
# ovitters - not strict requires, the schema settings suggest these themes
#            resulting in applications relying on this
%if %{without bootstrap}
Requires:	adwaita-icon-theme
Requires:	gnome-themes-standard
%endif

# Recommend the default fonts set in the schemas
Recommends:	font(cantarell)
Recommends:	font(sourcecodepro)

%description
This contains a collection of GSettings schemas for settings shared by
various components of a desktop.

%package devel
Group:		Development/C
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}

%description devel
This contains a collection of GSettings schemas for settings shared by
various components of a desktop.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}


%build
%meson
%meson_build


%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%doc README NEWS AUTHORS
%{_datadir}/GConf/gsettings/*.convert
%{_datadir}/glib-2.0/schemas/*.xml

%files -n %{girname}
%{_libdir}/girepository-1.0/GDesktopEnums-%{api}.typelib

%files devel
%doc ChangeLog HACKING MAINTAINERS
%{_includedir}/%{name}
%{_datadir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/GDesktopEnums-%{api}.gir
