Name:		gsmartcontrol
Version:	2.0.2
Release:	%mkrel 1
Summary:	Hard Disk Health Inspection Tool
License:	GPLv2, GPLv3
Group:		System/Kernel and hardware
Url:		https://gsmartcontrol.shaduri.dev/
Source:		https://github.com/ashaduri/gsmartcontrol/archive/v%{version}/%{name}-%{version}.tar.gz

Requires:	gtkmm3.0
Requires:	polkit
Requires:	smartmontools

BuildRequires:	cmake
BuildRequires:	pkgconfig(gtkmm-3.0)

%description
GSmartControl is a graphical user interface for smartctl, which is a tool for
querying and controlling SMART (Self-Monitoring, Analysis, and Reporting
Technology) data in hard disk drives. It allows you to inspect the drive's
SMART data to determine its health, as well as run various tests on it.

%prep
%autosetup

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc %{_datadir}/doc/%{name}
%license LICENSE.txt LICENSE.LGPL3.txt
%{_bindir}/*
%{_sbindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_metainfodir}/*.xml
%{_iconsdir}/hicolor/*/apps/gsmartcontrol.*
%{_datadir}/polkit-1/actions/*.policy
%{_mandir}/man1/%{name}-root.1*
%{_mandir}/man1/gsmartcontrol.1*
