%define lib_major	0
%define	lib_name	%mklibname %{name} %{lib_major}
%define develname	%mklibname %{name} -d

Summary:	An SNMP library implementation based on glib and gnet
Name:		gsnmp
Version:	0.3.0
Release:	%mkrel 15
License:	GPLv2
Group:		Networking/Other
URL:		https://www.ibr.cs.tu-bs.de/projects/scli/
Source0:	ftp://ftp.ibr.cs.tu-bs.de/local/gsnmp/%{name}-%{version}.tar.bz2
Patch0:		gsnmp-linkage_fix.diff
# (fc) 0.3.0-2mdv fix m4 warning
Patch1:		gsnmp-0.3.0-fix-underquoted-warning.patch
Patch2:		gsnmp-0.3.0-automake-1.13.patch
Patch3:		gsnmp-fix-building-with-gcc14.patch
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	libglib2-devel
BuildRequires:	pkgconfig(gnet-2.0)

%description
GNET-SNMP is an SNMP library implementation based on glib and gnet. This
library has been developed as part of the scli package (an SNMP command line
interface).  Some examples demonstrating the API can be found in the examples
directory.  Some examples use stub files generated by the smidump MIB compiler,
which is part of the libsmi package.

%package -n	%{lib_name}
Summary:	A library of functions for the snmp protocol
Group:		System/Libraries

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with libgsnmp.

%package -n 	%{develname}
Summary:	Development tools for the snmp protocol
Group:		Development/C
Requires:	%{lib_name} = %{version}-%{release} glib2-devel
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{lib_name}-devel

%description -n %{develname}
This package contains the header files and libraries
necessary for developing programs using libgsnmp.

%prep

%setup -q
%patch -P 0 -p0
%patch -P 1 -p1 -b .fix_underquoted
%patch -P 2 -p1 -b .automake-1_13
%patch -P 3 -p1 -b .gcc14

%build
autoreconf -fis

%configure
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog NEWS README 
%{_bindir}/gsnmp-get
%{_mandir}/man1/gsnmp-get.*

%files -n %{lib_name}
%{_libdir}/libgsnmp.so.%{lib_major}
%{_libdir}/libgsnmp.so.%{lib_major}.*

%files -n %{develname}
%{_includedir}/%{name}
%{_libdir}/libgsnmp.a
%{_libdir}/libgsnmp.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/aclocal/%{name}.m4
