%define major   0
%define gmajor	1.0
%define libname %mklibname %{name} %{major}
%define girname %mklibname %{name}-gir %{gmajor}
%define devname %mklibname -d %{name}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gsound
Version:	1.0.3
Release:	%mkrel 3
Summary:	Small gobject library for playing system sounds
Group:		System/Libraries
License:	LGPLv2
URL:		https://wiki.gnome.org/Projects/GSound
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libcanberra)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	vala-tools
BuildRequires:	meson
BuildRequires:	gtk-doc

%description
GSound is a small library for playing system sounds.
It's designed to be used via GObject Introspection,
and is a thin wrapper around the libcanberra C library.

%package -n %{libname}
Summary:	Dynamic libraries for %{name}
Group:		System/Libraries
Recommends:	%{name} = %{version}

%description -n %{libname}
this package contains dynamic libraries for gsound.

%package -n %{girname}
Summary:	GObject Introspection interface library for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface library for %{name}.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}

%description    -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

%files
%doc README.md
%license COPYING
%{_bindir}/gsound-play
%{_mandir}/man1/gsound-play.*

%files -n %{girname}
%{_libdir}/girepository-1.0/GSound-%{gmajor}.typelib

%files -n %{libname}
%doc README.md
%license COPYING
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/gsound.pc
%{_datadir}/gir-1.0/GSound-1.0.gir
%{_datadir}/gtk-doc/html/gsound-%{version}
%{_datadir}/vala/vapi/gsound.*
