%define major		0
%define api		1.6
%define gir_major	1.6
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname %{name} -d
%define girname		%mklibname %{name}-gir %{gir_major}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Implements resource discovery and announcement over SSDP
Name:		gssdp
Version:	1.6.3
Release:	%mkrel 1
License:	LGPLv2+
Group:		Development/Other
Url:		http://www.gupnp.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	vala-tools
BuildRequires:	meson
BuildRequires:	gi-docgen

%description
GSSDP implements resource discovery and announcement over SSDP.

%package -n %{libname}
Summary:	Main library for gssdp
Group:		System/Libraries
Provides:	%{name} >= %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with gssdp.

%package -n %{develname}
Summary:	Headers for developing programs that will use gssdp
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use gssdp.

%package -n %{girname}
Summary:	GObject Introspection interface description for GSSDP
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for GSSDP.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -fPIC"
%meson -Dintrospection=true \
       -Dgtk_doc=true \
       -Dmanpages=false
%meson_build

%install
%meson_install

%files
%license COPYING
%doc AUTHORS README* NEWS
%{_bindir}/%{name}-device-sniffer
#%%{_datadir}/%%{name}/*.ui

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GSSDP-%{gir_major}.typelib

%files -n %{develname}
%doc %{_docdir}/%{name}-%{api}/
%{_libdir}/pkgconfig/%{name}*.pc
%dir %{_includedir}/%{name}-%{gir_major}
%dir %{_includedir}/%{name}-%{gir_major}/lib%{name}
%{_includedir}/%{name}-%{gir_major}/lib%{name}/*.h
%{_libdir}/*.so
%{_datadir}/gir-1.0/GSSDP-%{gir_major}.gir
%{_datadir}/vala/vapi/*
