Name:       gssproxy
Version:    0.9.2
Release:    %mkrel 1
Summary:    GSSAPI Proxy

Group:      System/Servers
License:    MIT
URL:        https://github.com/gssapi/gssproxy
Source0:    https://github.com/gssapi/gssproxy/releases/download/v%{version}/%{name}-%{version}.tar.gz
Source1:    rwtab
Source2:    gssproxy.sock.compat.conf

%global servicename gssproxy
%global pubconfpath %{_sysconfdir}/gssproxy
%global gpstatedir %{_localstatedir}/lib/gssproxy
%global gpsockpath %{_rundir}/gssproxy.default.sock

### Dependencies ###
Requires: krb5-libs >= 1.12.0
Requires: libverto-module-base
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

### Build Dependencies ###
#BuildRequires: libxslt
#BuildRequires: libxml2
BuildRequires: docbook-style-xsl
BuildRequires: doxygen
BuildRequires: gettext-devel
BuildRequires: pkgconfig(krb5) >= 1.12.0
BuildRequires: pkgconfig(ini_config) >= 1.0.0.1
BuildRequires: pkgconfig(ref_array)
BuildRequires: pkgconfig(libverto)
BuildRequires: keyutils-devel
BuildRequires: pkgconfig(popt)
BuildRequires: findutils
BuildRequires: pkgconfig(libsystemd)
BuildRequires: xsltproc
BuildRequires: git-core

%description
A proxy for GSSAPI credential handling

%prep
%autosetup -p1

%build
%configure \
    --with-pubconf-path=%{pubconfpath} \
    --with-socket-name=%{gpsockpath} \
    --with-initscript=systemd \
    --disable-static \
    --disable-rpath \
    --with-gpp-default-behavior=REMOTE_FIRST \
    --without-selinux \
    --with-pid-file=%{_rundir}/%{name}.pid

%make_build
make test_proxymech

%install
%make_install

rm -f %{buildroot}%{_libdir}/gssproxy/proxymech.la
install -d -m755 %{buildroot}%{_sysconfdir}/gssproxy
install -m644 examples/gssproxy.conf %{buildroot}%{_sysconfdir}/gssproxy/gssproxy.conf
install -m644 examples/99-network-fs-clients.conf %{buildroot}%{_sysconfdir}/gssproxy/99-network-fs-clients.conf
install -d -m755 %{buildroot}%{_sysconfdir}/gss/mech.d
install -m644 examples/proxymech.conf %{buildroot}%{_sysconfdir}/gss/mech.d/proxymech.conf
install -d -m755 %{buildroot}%{gpstatedir}/rcache
install -d -m755 %{buildroot}%{_sysconfdir}/rwtab.d
install -d -m755 %{buildroot}%{_tmpfilesdir}
install -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/rwtab.d/gssproxy
install -m644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/%{name}.conf
ln -s %{gpsockpath} %{buildroot}%{gpstatedir}/default.sock

%files
%license COPYING
%{_unitdir}/gssproxy.service
%{_userunitdir}/gssuserproxy.service
%{_userunitdir}/gssuserproxy.socket
%{_sbindir}/gssproxy
%attr(755,root,root) %dir %{pubconfpath}
%attr(755,root,root) %dir %{gpstatedir}
%attr(700,root,root) %dir %{gpstatedir}/clients
%attr(700,root,root) %dir %{gpstatedir}/rcache
%attr(0600,root,root) %config(noreplace) /%{_sysconfdir}/gssproxy/gssproxy.conf
%attr(0600,root,root) %config(noreplace) /%{_sysconfdir}/gssproxy/99-network-fs-clients.conf
%attr(0644,root,root) %config(noreplace) /%{_sysconfdir}/gss/mech.d/proxymech.conf
%dir %{_libdir}/gssproxy
%{_libdir}/gssproxy/proxymech.so
%{_mandir}/man5/gssproxy.conf.5*
%{_mandir}/man8/gssproxy.8*
%{_mandir}/man8/gssproxy-mech.8*
%config(noreplace) %{_sysconfdir}/rwtab.d/gssproxy
%{gpstatedir}/default.sock
%{_tmpfilesdir}/%{name}.conf

%post
%systemd_post gssproxy.service

%preun
%systemd_preun gssproxy.service

%postun
%systemd_postun_with_restart gssproxy.service
