Summary:	Command line audio player based on GStreamer
Name:		gst123
Version:	0.4.1
Release:	%mkrel 1
License:	LGPLv2+
Group:		Sound/Players
Url:		https://space.twc.de/~stefan/gst123.php
Source0:	https://github.com/swesterfeld/gst123/releases/download/%{version}/%{name}-%{version}.tar.bz2
# Allow it to run in wayland... by forcing X11: https://github.com/swesterfeld/gst123/pull/30/commits
Patch0:		0001-Use-gtk_init_check.patch
Patch1:		0001-Force-use-of-gdk-X11-backend.patch
# Remove NET_ACTIVE_WINDOW hack: https://github.com/swesterfeld/gst123/pull/31
Patch2:		0001-Remove-NET_ACTIVE_WINDOW-hack.patch
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-base-1.0)
BuildRequires:	pkgconfig(gstreamer-video-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(ncurses)

%description
The program gst123 is designed to be a more flexible command line
player in the spirit of ogg123 and mpg123, based on gstreamer. It
plays all file formats gstreamer understands, so if you have a music
collection which contains different file formats, like flac, ogg and
mp3, you can use gst123 to play all your music files.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc AUTHORS NEWS TODO README.md
%_bindir/%name
%_mandir/man1/%name.1*
