Name:		gstm
Version:	1.3.7
Release:	%mkrel 3
Summary:	Gnome SSH Tunnel Manager - a front-end to ssh tunneling
Group:		Networking/Remote access
License:	GPLv2
URL:		https://github.com/dallenwilson/gstm
Source0:	https://github.com/dallenwilson/gstm/releases/download/%{version}/gstm-%{version}.tar.gz
Patch1:		0001-Correctly-handle-canceling-exit-when-closing-main-wi.patch
Patch2:		0002-Hide-main-window-on-close-when-systray-is-active.patch
Patch3:		0003-gstm.desktop-Removed-deprecated-category-updated-rem.patch
Patch4:		0004-Make-single-instance-behavior-work-correctly.patch
Patch5:		0005-Autoconf-Automake-cleanup-intltool-support-removed.patch
Patch6:		0006-Clean-up-of-missed-tasks-meant-for-previous-commit.patch
Patch7:		0007-gstm-Move-config-location.patch
Patch8:		0008-Fix-missing-stdbool.h-include.patch
Patch9:		0009-libappindicator-dependency-updates.patch
# Mga patches

BuildRequires:	git-core
BuildRequires:	pkgconfig(ayatana-appindicator3-0.1)
BuildRequires:	pkgconfig(libxml-2.0)
Requires:	openssh-clients

%description
gSTM, short for Gnome SSH Tunnel Manager, is a graphical front-end for
managing ssh tunneled port redirects.

This is a Gtk3 port of gstm, based on v1.2 available at:
https://sourceforge.net/projects/gstm/

%package -n gaskpass
Group:		Networking/Remote access
Summary:	A Gnome X11 passphrase dialog for OpenSSH

%description -n gaskpass
A Gnome X11 passphrase dialog for OpenSSH.

%prep
%autosetup -p1 -Sgit_am

# replace deprecated IS_APP_INDICATOR to APP_IS_INDICATOR
sed -i -e 's/IS_APP_INDICATOR/APP_IS_INDICATOR/g' src/systray.c

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

# handle docs in %%files section
rm -rf %{buildroot}%{_docdir}/gstm/

%files
%license COPYING
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/gstm
%{_datadir}/applications/gstm.desktop
%{_datadir}/pixmaps/gSTM.png
%{_datadir}/gstm/

%files -n gaskpass
%{_bindir}/gaskpass
