%define api	1.0
%define major	0
%define gmajor	1.0

%define libname	%mklibname gstvalidate %{api} %{major}
%define girname	%mklibname gstvalidate-gir %{gmajor}
%define devname	%mklibname gstvalidate %{api} -d

# needs hotdoc
%bcond_with docs

# need bundled rust crates
%bcond_with dots_viewer

Name:		gstreamer1.0-devtools
Summary:	Suite of tools to run GStreamer1.0 integration tests
Version:	1.26.0
Release:	%mkrel 1
License:	LGPLv2+
Group:		Video/Utilities
Url:		https://gstreamer.freedesktop.org/
Source0:	https://gstreamer.freedesktop.org/src/gst-devtools/gst-devtools-%{version}.tar.xz
Patch1:		gst-devtools-dot-viewer-rust.patch
BuildRequires:	gettext-devel
BuildRequires:	meson
BuildRequires:	python3
%if %{with dots_viewer}
BuildRequires:	cargo-rpm-macros
%endif
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gstreamer-1.0) >= %{version}
BuildRequires:	pkgconfig(gstreamer-plugins-bad-1.0) >= %{version}
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0) >= %{version}
BuildRequires:	pkgconfig(gstreamer-rtsp-server-1.0) >= %{version}
BuildRequires:	pkgconfig(gstreamer-transcoder-1.0) >= %{version}
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(json-glib-1.0)
#Optional BRs
%ifarch %{valgrind_arches} %{arm32}
BuildRequires:	pkgconfig(valgrind)
%endif
BuildRequires:	pkgconfig(libunwind)
BuildRequires:	pkgconfig(libdw)
Obsoletes:	gstreamer1.0-validate < 1.18.0
Provides:	gstreamer1.0-validate = %{version}-%{release}
Requires:	gstreamer1.0-validate-scenarios >= %{version}-%{release}

%description
The goal of GstValidate is to be able to detect when elements are not
behaving as expected and report it to the user so he knows how things
are supposed to work inside a GstPipeline. In the end, fixing issues
found by the tool will ensure that all elements behave all together in
the expected way.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the shared libraries for %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{_lib}%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}

%description -n %{devname}
This package contains the shared libraries and development files
for %{name}.

%package -n gstreamer1.0-validate-scenarios
Summary:	Validate scenarios for %{name}
Group:		Video/Utilities
BuildArch:	noarch

%description -n gstreamer1.0-validate-scenarios
This package contains the scenario files for gstreamer1.0-validate.

%prep
%autosetup -p1 -n gst-devtools-%{version}

%if %{with dots_viewer}
%generate_buildrequires
cd dots-viewer
%cargo_generate_buildrequires
%endif

%build
%meson \
%if 0
	-Dpackage-name='%{_vendor} %{name} package' \
	-Dpackage-origin='https://www.%{_real_vendor}.org' \
%endif
	-Ddoc=%{?with_docs:enabled}%{?!with_docs:disabled} \
	-Ddots_viewer=disabled
%meson_build

%install
%meson_install

%files
%{_bindir}/gst-validate-1.0
%{_bindir}/gst-validate-images-check-1.0
%{_bindir}/gst-validate-launcher
%{_bindir}/gst-validate-media-check-1.0
%{_bindir}/gst-validate-rtsp-server-1.0
%{_bindir}/gst-validate-transcoding-1.0
%{_libdir}/gst-validate-launcher/
# should plugins be here or somewhere else?
%{_libdir}/gstreamer-1.0/validate/libgstvalidatefaultinjection.so
%{_libdir}/gstreamer-1.0/validate/libgstvalidategapplication.so
%{_libdir}/gstreamer-1.0/validate/libgstvalidategtk.so
%{_libdir}/gstreamer-1.0/validate/libgstvalidatessim.so
%{_libdir}/gstreamer-1.0/libgstvalidatetracer.so

%files -n %{libname}
%{_libdir}/libgstvalidate-%{api}.so.%{major}{,.*}
%{_libdir}/libgstvalidate-default-overrides-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GstValidate-%{gmajor}.typelib

%files -n %{devname}
%{_includedir}/gstreamer-1.0/gst/validate/
%{_libdir}/pkgconfig/gstreamer-validate-%{api}.pc
%{_datadir}/gir-1.0/GstValidate-%{gmajor}.gir
%{_libdir}/libgstvalidate-%{api}.so
%{_libdir}/libgstvalidate-default-overrides-%{api}.so

%files -n gstreamer1.0-validate-scenarios
%{_datadir}/gstreamer-1.0/validate/
