#build with gstreamer1.0-validate
%bcond_without validate

%bcond_without python

%define api 1.0
%define major 0

%define libname   %mklibname ges %api %major
%define girname   %mklibname ges-gir %api
%define develname %mklibname ges %api -d

%define plugname gstreamer%{api}-nle

Summary:	GStreamer editing services
Name:		gstreamer1.0-editing-services
Version:	1.26.0
Release:	%mkrel 1
License:	LGPLv2+
Group:		Video/Utilities
URL:		https://gstreamer.freedesktop.org/modules/gst-editing-services.html
Source0:	https://gstreamer.freedesktop.org/src/gstreamer-editing-services/gst-editing-services-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	cargo-c
BuildRequires:	pkgconfig(bash-completion)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gstreamer-controller-1.0) >= %{version}
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0) >= %{version}
BuildRequires:	pkgconfig(gstreamer-video-1.0) >= %{version}
BuildRequires:	pkgconfig(gstreamer-plugins-bad-1.0) >= %{version}
#BuildRequires:	pkgconfig(gstreamer-plugins-good-1.0)
%if %{with validate}
BuildRequires:	pkgconfig(gstreamer-validate-1.0)
%endif
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	pkgconfig(python3-embed)
BuildRequires:	gobject-introspection-devel
BuildRequires:	gstreamer1.0-devtools
BuildRequires:	flex
%ifarch %{valgrind_arches} %{arm32}
BuildRequires:	pkgconfig(valgrind)
%endif

%description
GStreamer editing services.

%package python
Summary:	Python bindings for %{name}
Group:		Development/Python
Requires:	gstreamer1.0-python

%description python
Python bindings for %{name}.

%package -n %{libname}
Summary:	Libraries for GStreamer editing services
Group:		System/Libraries

%description -n %{libname}
Libraries for GStreamer editing services.

%package -n %{plugname}
Summary:	GStreamer Non Linear Engine plugin
Group:		Video/Utilities
Obsoletes:	gstreamer1.0-gnonlin < 1.6.0

%description -n %{plugname}
GStreamer Non Linear Engine plugin.

%package -n %{girname}
Summary:	GObject Introspection interface libraries for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}

%description -n %{girname}
GObject Introspection interface libraries for %{name}.

%package -n %{develname}
Summary:	Libraries and include files for GStreamer editing services
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	%{girname} = %{version}
Requires:	%{name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Libraries and include files for GStreamer editing services.

%prep
%autosetup -n gst-editing-services-%{version} -p3

%build
%meson \
	-Ddoc=%{?with_docs:enabled}%{?!with_docs:disabled} \
	-Dpython=%{?with_python:enabled}%{?!with_python:disabled} \
	-Dvalidate=%{?with_validate:enabled}%{?!with_validate:disabled} \
	-Dtests=disabled \
	-Dexamples=disabled
%meson_build

%install
%meson_install

%files
%doc README NEWS ChangeLog AUTHORS
%{_bindir}/ges-launch-%{api}
%{_mandir}/man1/ges-launch-%{api}.1*
%{_datadir}/bash-completion/completions/ges-launch-%{api}
%{_libdir}/gstreamer-1.0/libgstges.so

%if 0
%{_libdir}/gst-validate-launcher/python/launcher/apps/geslaunch.py
%{_datadir}/gstreamer-1.0/validate/scenarios/ges-edit-clip-while-paused.scenario
%endif

%files python
%{python3_sitearch}/gi/overrides/GES.py
%{python3_sitearch}/gi/overrides/__pycache__/GES*.py*

%files -n %{libname}
%{_libdir}/libges-%{api}.so.%{major}{,.*}

%files -n %{plugname}
%{_libdir}/gstreamer-%{api}/libgstnle.so

%files -n %{girname}
%{_libdir}/girepository-1.0/GES-%{api}.typelib

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/gstreamer-%{api}/ges/
%{_datadir}/gir-1.0/GES-%{api}.gir
