%bcond_with docs

Summary:	Gstreamer plugin for the FFmpeg codecs and formats
Name:		gstreamer1.0-libav
Version:	1.26.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Video/Utilities
URL:		https://gstreamer.freedesktop.org
Source0:	https://gstreamer.freedesktop.org/src/gst-libav/gst-libav-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0) >= %{version}
BuildRequires:	pkgconfig(gstreamer-1.0) >= %{version}
BuildRequires:	pkgconfig(gstreamer-base-1.0) >= %{version}
BuildRequires:	pkgconfig(gstreamer-check-1.0) >= %{version}
BuildRequires:	pkgconfig(orc-0.4) >= 0.4.16
BuildRequires:	pkgconfig(check)
BuildRequires:	yasm
%if %{with docs}
BuildRequires:	gtk-doc
%endif

%ifarch %{valgrind_arches} %{arm32}
BuildRequires:	valgrind
%endif

BuildRequires:	ffmpeg-devel
BuildRequires:	gettext-devel

Provides:	gstreamer1.0-ffmpeg = %{version}-%{release}

%description
Video codec plugin for GStreamer based on the FFmpeg libraries.

%prep
%autosetup -p1 -n gst-libav-%{version}

%build
%meson \
  -Dpackage-name='%{_vendor} %{name} package' \
  -Dpackage-origin='https://www.%{_real_vendor}.org/' \
  -Ddoc=%{?with_docs:enabled}%{?!with_docs:disabled}
%meson_build

%install
%meson_install

%files
%license COPYING
%doc README* NEWS ChangeLog AUTHORS
%{_libdir}/gstreamer-1.0/libgstlibav.so
