%define api		1.0
%define bname		gstreamer%{api}

%define build_vulkan    0
%define build_amrwb	0
%define build_faac	0
%define build_faad	0
%define build_fdkaac	0
%define build_dts	0
%define build_gme	1
%define build_libde265	0
%define build_x265	0
%define build_voamrwbenc 0
%define build_voaacenc	0
%define build_opencv	1
# https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/issues/1430
%define build_spandsp   0

%if "%{?distro_section}" == "tainted"
%define build_amrwb	0
%define build_faac	0
%define build_faad	1
%define build_fdkaac	1
%define build_dts	1
%define build_libde265	1
%define build_x265	1
%define build_voamrwbenc 1
# replaced for fdk-aac (mga#7951)
%define build_voaacenc	0
%endif

%define libmajor		0
%define libnamecodecs		%mklibname gstcodecs %{api} %{libmajor}
%define libnamephoto		%mklibname gstphotography %{api} %{libmajor}
%define libnamecodecparsers	%mklibname gstcodecparsers %{api} %{libmajor}
%define libnamebase		%mklibname gstbasecamerabinsrc %{api} %{libmajor}
%define libnameegl		%mklibname gstegl %{api} %{libmajor}
%define libnameinsertbin	%mklibname gstinsertbin %{api} %{libmajor}
%define libnamempegts		%mklibname gstmpegts %{api} %{libmajor}
%define libnameuridownloader	%mklibname gsturidownloader %{api} %{libmajor}
%define libnametranscoder	%mklibname gsttranscoder %{api} %{libmajor}
%define libnameva		%mklibname gstva %{api} %{libmajor}

%define girname			%mklibname gstbadaudio-gir %{api}
%define gircodecs		%mklibname gstcodecs-gir %{api}
%define girgstinsertbin		%mklibname gstinsertbin-gir %{api}
%define girgstanalytics		%mklibname gstanalytics-gir %{api}
%define girgstdxva		%mklibname gstdxva-gir %{api}
%define girgstmpegts		%mklibname gstmpegts-gir %{api}
%define girgstmse		%mklibname gstmse-gir %{api}
%define girplay			%mklibname gstplay-gir %{api}
%define girplayer		%mklibname gstplayer-gir %{api}
%define girwebrtc		%mklibname gstwebrtc-gir %{api}
%define girtranscoder		%mklibname gsttranscoder-gir %{api}
%define girvulkan		%mklibname gstvulkan-gir %{api}
%define girvulkanwayland	%mklibname gstvulkanwayland-gir %{api}
%define girvulkanxcb		%mklibname gstvulkanxcb-gir %{api}
%define girgstcuda		%mklibname gstcuda-gir %{api}
%define gircuda			%mklibname cudagst-gir %{api}
%define girgstva		%mklibname gstva-gir %{api}

%define libbadaudio		%mklibname gstbadaudio %{api} %{libmajor}
%define libgstanalytics		%mklibname gstanalytics %{api} %{libmajor}
%define libgstdxva		%mklibname gstdxva %{api} %{libmajor}
%define libgstmse		%mklibname gstmse %{api} %{libmajor}
%define libgstplay		%mklibname gstplay %{api} %{libmajor}
%define libgstplayer		%mklibname gstplayer %{api} %{libmajor}
%define libgstwayland		%mklibname gstwayland %{api} %{libmajor}
%define libgstopencv		%mklibname gstopencv %{api} %{libmajor}
%define libgstisoff		%mklibname gstisoff %{api} %{libmajor}
%define libgstwebrtc		%mklibname gstwebrtc %{api} %{libmajor}
%define libgstwebrtcnice	%mklibname gstwebrtcnice %{api} %{libmajor}
%define libgstsctp		%mklibname gstsctp %{api} %{libmajor}
%define libgstvulkan		%mklibname gstvulkan %{api} %{libmajor}
%define libgstcuda		%mklibname gstcuda %{api} %{libmajor}

%define develname		%mklibname -d gstreamer-plugins-bad %{api}

%define devnametranscoder 	%mklibname gsttranscoder -d

# disabled as we don't have hotdoc
%bcond_with docs

Summary: 	GStreamer Streaming-media framework plug-ins
Name: 		%{bname}-plugins-bad
Version: 	1.26.0
Release: 	%mkrel 1
License: 	LGPLv2+ and GPLv2+
Group: 		Sound/Utilities
URL:		https://gstreamer.freedesktop.org/
Source:		https://gstreamer.freedesktop.org/src/gst-plugins-bad/gst-plugins-bad-%{version}.tar.xz
Patch0:		gst-plugins-bad-1.14.0-wildmidi-timidity.cfg.patch

BuildRequires:	cmake
BuildRequires:	glslc

%ifarch %ix86
BuildRequires:	nasm >= 0.90
%endif

%ifarch %{valgrind_arches} %{arm32}
BuildRequires:	pkgconfig(valgrind)
%endif
BuildRequires:	pkgconfig(aom)
BuildRequires:	pkgconfig(bluez)
BuildRequires:	pkgconfig(libbs2b)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dvdnav)
BuildRequires:	pkgconfig(dvdread)
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(fluidsynth)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glesv2)
BuildRequires:	pkgconfig(gmodule-export-2.0)
BuildRequires:	pkgconfig(gmodule-no-export-2.0)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(gstreamer-video-1.0) >= %{version}
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(lc3)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libass)
BuildRequires:	pkgconfig(libcdaudio)
BuildRequires:	pkgconfig(libchromaprint)
BuildRequires:	pkgconfig(libcrypto)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libdc1394-2)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libmodplug)
BuildRequires:	pkgconfig(libopenjp2)
BuildRequires:	pkgconfig(libopenmpt)
BuildRequires:	pkgconfig(libqrencode)
BuildRequires:	pkgconfig(libssh2)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(librtmp)
BuildRequires:	pkgconfig(libsctp)
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(lilv-0)
BuildRequires:	pkgconfig(lrdf)
BuildRequires:	pkgconfig(ltc)
BuildRequires:	pkgconfig(microdns)
BuildRequires:	pkgconfig(mjpegtools)
BuildRequires:	pkgconfig(neon)
BuildRequires:	pkgconfig(nice)
BuildRequires:	pkgconfig(openal)
%if %{build_opencv}
BuildRequires:	pkgconfig(opencv)
%endif
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(opus)
BuildRequires:	pkgconfig(sbc)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(soundtouch)
%if %{build_spandsp}
BuildRequires:	pkgconfig(spandsp)
%endif
BuildRequires:	pkgconfig(vdpau)
BuildRequires:	pkgconfig(vpl)
%if %{build_vulkan}
BuildRequires:	pkgconfig(vulkan)
%endif
BuildRequires:	pkgconfig(wayland-client)
BuildRequires:	pkgconfig(wayland-protocols)
BuildRequires:	pkgconfig(webrtc-audio-processing-1)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(zbar)
BuildRequires:	pkgconfig(zvbi-0.2)
BuildRequires:	pkgconfig(zxing)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0) >= %{version}
BuildRequires:	pkgconfig(gstreamer-1.0) >= %{version}
%if %build_libde265
BuildRequires:	pkgconfig(libde265)
%endif
%if %build_voamrwbenc
BuildRequires:	pkgconfig(vo-amrwbenc)
%endif
%if %build_fdkaac
BuildRequires:	pkgconfig(fdk-aac)
%endif
%if %build_voaacenc
BuildRequires:	pkgconfig(vo-aacenc)
%endif
%if %build_x265
BuildRequires:	pkgconfig(x265)
%endif
%if %build_dts
BuildRequires:	pkgconfig(libdca)
%endif
BuildRequires:	pkgconfig(flite)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libgme)
BuildRequires:	ladspa-devel
BuildRequires:	pkgconfig(libpcap)
BuildRequires:	pkgconfig(libsrtp2)
BuildRequires:	pkgconfig(wildmidi)
BuildRequires:	pkgconfig(ldacBT-enc)
BuildRequires:	pkgconfig(SvtAv1Enc)
BuildRequires:	gettext-devel
BuildRequires:	libatomic-devel
BuildRequires:	musepack-devel
BuildRequires:	meson
%if ! %{build_opencv}
Obsoletes:	%{libgstopencv} < %{version}-%{release}
Obsoletes:	%{bname}-opencv < %{version}-%{release}
%endif
%if ! %{build_vulkan}
Obsoletes:	%{libgstvulkan} < %{version}-%{release}
Obsoletes:	%{girvulkan} < %{version}-%{release}
Obsoletes:	%{girvulkanwayland} < %{version}-%{release}
Obsoletes:	%{girvulkanxcb} < %{version}-%{release}
%endif

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of plug-ins that aren't up to par compared
to the rest. They might be close to being good quality, but they're
missing something - be it a good code review, some documentation, a
set of tests, a real live maintainer, or some actual wide use. If the
blanks are filled in they might be upgraded to become part of either
gstreamer-plugins-good or gstreamer-plugins-ugly, depending on the
other factors. If the plug-ins break, you can't complain - instead,
you can fix the problem and send us a patch, or bribe someone into
fixing them for you.  New contributors can start here for things to
work on.

%if "%{?distro_section}" == "tainted"
This package is in the 'tainted' section as it violates some patents.
%endif

%package -n %{libnamephoto}
Summary:	Libraries for GStreamer streaming-media framework
Group:		System/Libraries

%description -n %{libnamephoto}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libnamephoto}
%{_libdir}/libgstphotography-%{api}.so.%{libmajor}{,.*}

%package -n %{libnamecodecs}
Summary:        Libraries for GStreamer streaming-media framework
Group:          System/Libraries

%description -n %{libnamecodecs}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libnamecodecs}
%{_libdir}/libgstcodecs-%{api}.so.%{libmajor}{,.*}

%package -n %{libnamecodecparsers}
Summary:        Libraries for GStreamer streaming-media framework
Group:          System/Libraries

%description -n %{libnamecodecparsers}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libnamecodecparsers}
%{_libdir}/libgstcodecparsers-%{api}.so.%{libmajor}{,.*}

%package -n %{libnamebase}
Summary:	Libraries for GStreamer streaming-media framework
Group:		System/Libraries

%description -n %{libnamebase}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libnamebase}
%{_libdir}/libgstbasecamerabinsrc-%{api}.so.%{libmajor}{,.*}

%package -n %{libbadaudio}
Summary:        Libraries for GStreamer streaming-media framework
Group:          System/Libraries

%description -n %{libbadaudio}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libbadaudio}
%{_libdir}/libgstbadaudio-%{api}.so.%{libmajor}{,.*}

%package -n %{libgstanalytics}
Summary:        Libraries for GStreamer streaming-media framework
Group:          System/Libraries

%description -n %{libgstanalytics}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libgstanalytics}
%{_libdir}/libgstanalytics-%{api}.so.%{libmajor}{,.*}

%package -n %{libgstdxva}
Summary:        Libraries for GStreamer streaming-media framework
Group:          System/Libraries

%description -n %{libgstdxva}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libgstdxva}
%{_libdir}/libgstdxva-%{api}.so.%{libmajor}{,.*}

%package -n %{libgstmse}
Summary:        Libraries for GStreamer streaming-media framework
Group:          System/Libraries

%description -n %{libgstmse}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libgstmse}
%{_libdir}/libgstmse-%{api}.so.%{libmajor}{,.*}

%package -n %{libgstplay}
Summary:        Libraries for GStreamer streaming-media framework
Group:          System/Libraries

%description -n %{libgstplay}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libgstplay}
%{_libdir}/libgstplay-%{api}.so.%{libmajor}{,.*}

%package -n %{libgstplayer}
Summary:	Libraries for GStreamer streaming-media framework
Group:		System/Libraries

%description -n %{libgstplayer}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libgstplayer}
%{_libdir}/libgstplayer-%{api}.so.%{libmajor}{,.*}


%package -n %{libgstwayland}
Summary:        Libraries for GStreamer streaming-media framework
Group:          System/Libraries

%description -n %{libgstwayland}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libgstwayland}
%{_libdir}/libgstwayland-%{api}.so.%{libmajor}{,.*}

%if %{build_opencv}
%package -n %{libgstopencv}
Summary:	Libraries for GStreamer streaming-media framework
Group:		System/Libraries
Provides:	%{name}-opencv = %{version}-%{release}

%description -n %{libgstopencv}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libgstopencv}
%{_libdir}/libgstopencv-1.0.so.%{libmajor}{,.*}
%endif

%package -n %{libnameinsertbin}
Summary:        Libraries for GStreamer streaming-media framework
Group:          System/Libraries

%description -n %{libnameinsertbin}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libnameinsertbin}
%{_libdir}/libgstinsertbin-%{api}.so.%{libmajor}{,.*}

%package -n %{libnamempegts}
Summary:        Libraries for GStreamer streaming-media framework
Group:          System/Libraries

%description -n %{libnamempegts}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libnamempegts}
%{_libdir}/libgstmpegts-%{api}.so.%{libmajor}{,.*}

%package -n %{libnameuridownloader}
Summary:        Libraries for GStreamer streaming-media framework
Group:          System/Libraries

%description -n %{libnameuridownloader}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libnameuridownloader}
%{_libdir}/libgsturidownloader-%{api}.so.%{libmajor}{,.*}

%package -n %{libgstisoff}
Summary:        Libraries for GStreamer streaming-media framework
Group:          System/Libraries

%description -n %{libgstisoff}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libgstisoff}
%{_libdir}/libgstisoff-%{api}.so.%{libmajor}{,.*}

%package -n %{libgstwebrtc}
Summary:        Libraries for GStreamer streaming-media framework
Group:          System/Libraries

%description -n %{libgstwebrtc}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libgstwebrtc}
%{_libdir}/libgstwebrtc-%{api}.so.%{libmajor}{,.*}

%package -n %{libgstwebrtcnice}
Summary:	libnice based implementaion for GstWebRTCICE
Group:		System/Libraries

%description -n %{libgstwebrtcnice}
libnice based implementaion for GstWebRTCICE.

%files -n %{libgstwebrtcnice}
%{_libdir}/libgstwebrtcnice-%{api}.so.%{libmajor}{,.*}

%package -n %{libgstsctp}
Summary:        Libraries for GStreamer streaming-media framework
Group:          System/Libraries

%description -n %{libgstsctp}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libgstsctp}
%{_libdir}/libgstsctp-%{api}.so.%{libmajor}{,.*}

%if %{build_vulkan}
%package -n %{libgstvulkan}
Summary:        Libraries for GStreamer streaming-media framework
Group:          System/Libraries

%description -n %{libgstvulkan}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libgstvulkan}
%{_libdir}/libgstvulkan-%{api}.so.%{libmajor}{,.*}

%package -n %{girvulkan}
Summary:        GObject Introspection interface description for GstVulkan
Group:          System/Libraries
Requires:	%{libgstvulkan} = %{version}-%{release}

%description -n %{girvulkan}
GObject Introspection interface description for GstVulkan.

%files -n %{girvulkan}
%{_libdir}/girepository-1.0/GstVulkan-%{api}.typelib

%package -n %{girvulkanwayland}
Summary:        GObject Introspection interface description for GstVulkanWayland
Group:          System/Libraries
Requires:	%{libgstvulkan} = %{version}-%{release}

%description -n %{girvulkanwayland}
GObject Introspection interface description for GstVulkanWayland.

%files -n %{girvulkanwayland}
%{_libdir}/girepository-1.0/GstVulkanWayland-%{api}.typelib

%package -n %{girvulkanxcb}
Summary:        GObject Introspection interface description for GstVulkanXCB
Group:          System/Libraries
Requires:	%{libgstvulkan} = %{version}-%{release}

%description -n %{girvulkanxcb}
GObject Introspection interface description for GstVulkanXCB.

%files -n %{girvulkanxcb}
%{_libdir}/girepository-1.0/GstVulkanXCB-%{api}.typelib
%endif

%ifarch %{ix86} x86_64
%package -n %{girgstcuda}
Summary:        GObject Introspection interface description for GstCuda
Group:          System/Libraries
Requires:       %{libgstcuda} = %{version}-%{release}

%description -n %{girgstcuda}
GObject Introspection interface description for GstCuda.

%files -n %{girgstcuda}
%{_libdir}/girepository-1.0/GstCuda-%{api}.typelib

%package -n %{gircuda}
Summary:        GObject Introspection interface description for CudaGst
Group:          System/Libraries
Requires:       %{libgstcuda} = %{version}-%{release}

Obsoletes:      %{_lib}cudagst1.0 < 1.22.9-3

%description -n %{gircuda}
GObject Introspection interface description for CudaGst.

%files -n %{gircuda}
%{_libdir}/girepository-1.0/CudaGst-%{api}.typelib
%endif

%package -n %{girgstva}
Summary:        GObject Introspection interface description for GstVa
Group:          System/Libraries
Requires:	%{libnameva} = %{version}-%{release}

%description -n %{girgstva}
GObject Introspection interface description for GstVa.

%files -n %{girgstva}
%{_libdir}/girepository-1.0/GstVa-%{api}.typelib

%package -n %{develname}
Summary:	Libraries and include files for GStreamer streaming-media framework
Group:		Development/C
Requires:	%{libnamecodecs} = %{version}-%{release}
Requires:	%{libnamephoto} = %{version}-%{release}
Requires:	%{libnamecodecparsers} = %{version}-%{release}
Requires:	%{libnamebase} = %{version}-%{release}
Requires:	%{libnameinsertbin} = %{version}-%{release}
Requires:	%{libnamempegts} = %{version}-%{release}
Requires:	%{libnameuridownloader} = %{version}-%{release}
Requires:	%{libbadaudio} = %{version}-%{release}
Requires:	%{libgstanalytics} = %{version}-%{release}
Requires:	%{libgstdxva} = %{version}-%{release}
Requires:	%{libgstmse} = %{version}-%{release}
Requires:	%{libgstplay} = %{version}-%{release}
Requires:	%{libgstplayer} = %{version}-%{release}
Requires:	%{libgstwayland} = %{version}-%{release}
%if %{build_opencv}
Requires:	%{libgstopencv} = %{version}-%{release}
%endif
Requires:	%{libgstisoff} = %{version}-%{release}
Requires:	%{libgstwebrtc} = %{version}-%{release}
Requires:	%{libgstsctp} = %{version}-%{release}
%if %{build_vulkan}
Requires:	%{libgstvulkan} = %{version}-%{release}
Requires:	%{girvulkan} = %{version}-%{release}
Requires:	%{girvulkanwayland} = %{version}-%{release}
Requires:	%{girvulkanxcb} = %{version}-%{release}
%endif
Requires:	%{libnameva} = %{version}-%{release}
%ifarch %{ix86} x86_64
Requires:	%{libgstcuda} = %{version}-%{release}
%endif
Requires:	%{libgstwebrtcnice} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Requires:	%{gircodecs} = %{version}-%{release}
Requires:	%{girgstinsertbin} = %{version}-%{release}
Requires:	%{girgstanalytics} = %{version}-%{release}
Requires:	%{girgstdxva} = %{version}-%{release}
Requires:	%{girgstmse} = %{version}-%{release}
Requires:	%{girgstmpegts} = %{version}-%{release}
Requires:	%{girplay} = %{version}-%{release}
Requires:	%{girplayer} = %{version}-%{release}
Requires:	%{girwebrtc} = %{version}-%{release}
%ifarch %{ix86} x86_64
Requires:	%{gircuda} = %{version}-%{release}
Requires:	%{girgstcuda} = %{version}-%{release}
%endif
Requires:	%{girgstva} = %{version}-%{release}

Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.

%files -n %develname
%if %{with docs}
%{_datadir}/gtk-doc/html/
%endif
%{_libdir}/libgst*-%{api}.so
%exclude %{_libdir}/libgsttranscoder-%{api}.so
%{_libdir}/pkgconfig/*.pc
%exclude %{_libdir}/pkgconfig/gstreamer-transcoder-%{api}.pc
%{_includedir}/gstreamer-%{api}/gst/*
%exclude %{_includedir}/gstreamer-%{api}/gst/transcoder/
%{_datadir}/gir-1.0/GstBadAudio-%{api}.gir
%{_datadir}/gir-1.0/GstCodecs-%{api}.gir
%{_datadir}/gir-1.0/GstInsertBin-%{api}.gir
%{_datadir}/gir-1.0/GstAnalytics-%{api}.gir
%{_datadir}/gir-1.0/GstDxva-%{api}.gir
%{_datadir}/gir-1.0/GstMse-%{api}.gir
%{_datadir}/gir-1.0/GstMpegts-%{api}.gir
%{_datadir}/gir-1.0/GstPlay-%{api}.gir
%{_datadir}/gir-1.0/GstPlayer-%{api}.gir
%if %{build_vulkan}
%{_datadir}/gir-1.0/GstVulkan-%{api}.gir
%{_datadir}/gir-1.0/GstVulkanWayland-%{api}.gir
%{_datadir}/gir-1.0/GstVulkanXCB-%{api}.gir
%endif
%{_datadir}/gir-1.0/GstWebRTC-%{api}.gir
%ifarch %{ix86} x86_64
%{_datadir}/gir-1.0/CudaGst-%{api}.gir
%{_datadir}/gir-1.0/GstCuda-%{api}.gir
%endif
%{_datadir}/gir-1.0/GstVa-%{api}.gir

%package -n gstreamer%{api}-transcoder
Summary:	GStreamer Transcoding API
Group:		Video/Utilities

%description -n gstreamer%{api}-transcoder
GStreamer Transcoding API.

%files -n gstreamer%{api}-transcoder
%{_bindir}/gst-transcoder-%{api}
%{_datadir}/gstreamer-%{api}/encoding-profiles/
#plugin
%{_libdir}/gstreamer-%{api}/libgsttranscode.so

%package -n %{libnametranscoder}
Summary:	Shared libraries for gst-transcoder
Group:		System/Libraries

%description -n %{libnametranscoder}
This package contains the shared libraries for gst-transcoder.

%files -n %{libnametranscoder}
%{_libdir}/libgsttranscoder-%{api}.so.%{libmajor}

%package -n %{libnameva}
Summary:	Shared libraries for GstVA decoders
Group:		System/Libraries

%description -n %{libnameva}
This package contains the shared libraries for GstVA decoders.

%files -n %{libnameva}
%{_libdir}/libgstva-%{api}.so.%{libmajor}{,.*}

%ifarch %{ix86} x86_64
%package -n %{libgstcuda}
Summary:	Unstable library to work with CUDA inside GStreamer
Group:		System/Libraries

%description -n %{libgstcuda}
Unstable library to work with CUDA inside GStreamer.

%files -n %{libgstcuda}
%{_libdir}/libgstcuda-%{api}.so.%{libmajor}{,.*}
%endif

%package -n %{girtranscoder}
Summary:	GObject Introspection interface description for GstTranscoder
Group:		System/Libraries

%description -n %{girtranscoder}
GObject Introspection interface description for GstTranscoder.

%files -n %{girtranscoder}
%{_libdir}/girepository-1.0/GstTranscoder-%{api}.typelib

%package -n %{devnametranscoder}
Summary:	GStreamer Transcoding API development files
Group:		Development/Other
Requires:	%{libnametranscoder} = %{version}-%{release}
Requires:	%{girtranscoder} = %{version}-%{release}
Provides:	gst-transcoder-devel = %{version}-%{release}
Provides:	libgsttranscoder-devel = %{version}-%{release}

%description -n %{devnametranscoder}
This package contains the development files for gst-transcoder.

%files -n %{devnametranscoder}
%{_includedir}/gstreamer-%{api}/gst/transcoder/
%{_libdir}/libgsttranscoder-%{api}.so
%{_libdir}/pkgconfig/gstreamer-transcoder-%{api}.pc
%{_datadir}/gir-1.0/GstTranscoder-%{api}.gir

%package -n %{bname}-curl
Summary:	GStreamer Curl plugin
Group:		Networking/Other

%description -n %{bname}-curl
This is a HTTP plugin for GStreamer based on the curl library.

%files -n %{bname}-curl
%{_libdir}/gstreamer-%{api}/libgstcurl.so

%package -n %{bname}-mpeg2enc
Summary:	GStreamer mjpegtools plug-in
Group:		Video/Utilities

%description -n %{bname}-mpeg2enc
mjpegtools-based encoding and decoding plug-in.

%files -n %{bname}-mpeg2enc
%{_libdir}/gstreamer-%{api}/libgstmpeg2enc.so
%{_libdir}/gstreamer-%{api}/libgstmplex.so

%if %build_gme
%package -n %{bname}-gme
Summary:	GStreamer Game Music plug-in
Group:		Sound/Utilities

%description -n %{bname}-gme
Game Music decoding plug-in.

%files -n %{bname}-gme
%{_libdir}/gstreamer-%{api}/libgstgme.so
%endif

%package -n %{bname}-rtmp
Summary:	GStreamer plug-in for rtmp streams
Group:		System/Libraries
Requires:	%{bname}-plugins = %{version}

%description -n %{bname}-rtmp
Plug-in supporting the rtmp protocol based on the librtmp library.

%files -n %{bname}-rtmp
%{_libdir}/gstreamer-%{api}/libgstrtmp.so

%package -n %{bname}-soundtouch
Summary:	GStreamer plug-in for SoundTouch support
Group:		Sound/Utilities
Requires:	%{bname}-plugins = %{version}

%description -n %{bname}-soundtouch
Plug-in supporting the SoundTouch audio manipulation support.

%files -n %{bname}-soundtouch
%{_libdir}/gstreamer-%{api}/libgstsoundtouch.so

%package -n %{bname}-libass
Summary:	GStreamer subtitles plugin
Group:		Video/Utilities

%description -n %{bname}-libass
This is a subtitle plugin for GStreamer based on libass.

%files -n %{bname}-libass
%{_libdir}/gstreamer-%{api}/libgstassrender.so

%if %{build_opencv}
%package -n %{bname}-opencv
Summary:	GStreamer OpenCV Plugins
Group:		Video/Utilities

%description -n %{bname}-opencv
GStreamer OpenCV Plugins.

%files -n %{bname}-opencv
%{_libdir}/gstreamer-%{api}/libgstopencv.so
%endif

%package -n %{bname}-wildmidi
Summary:	GStreamer wildmidi Plugins
Group:		Sound/Midi
Requires:	timidity-instruments

%description -n %{bname}-wildmidi
GStreamer wildmidi Plugins.

%files -n %{bname}-wildmidi
%{_libdir}/gstreamer-%{api}/libgstwildmidi.so

%package -n %{girname}
Group:		System/Libraries
Summary:	Object Introspection interface description for GstBadAudio
Requires:	%{libbadaudio} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for GstBadAudio.

%files -n %{girname}
%{_libdir}/girepository-1.0/GstBadAudio-%{api}.typelib

%package -n %{gircodecs}
Group:          System/Libraries
Summary:        Object Introspection interface description for GstCodecs
Requires:	%{libnamecodecs} = %{version}-%{release}

%description -n %{gircodecs}
GObject Introspection interface description for GstCodecs.

%files -n %{gircodecs}
%{_libdir}/girepository-1.0/GstCodecs-%{api}.typelib

%package -n %{girgstinsertbin}
Group:          System/Libraries
Summary:        Object Introspection interface description for GstInsertBin
Requires:	%{libnameinsertbin} = %{version}-%{release}
Obsoletes:	%{_lib}gstreamer-plugins-bad-gir1.0 < 1.18.0

# wrong gir name pkg
Obsoletes:	%{_lib}girinsertbin-git1.0 < 1.22.9-3

%description -n %{girgstinsertbin}
GObject Introspection interface description for GstInsertBin.

%files -n %{girgstinsertbin}
%{_libdir}/girepository-1.0/GstInsertBin-%{api}.typelib

%package -n %{girgstanalytics}
Group:		System/Libraries
Summary:	Object Introspection interface description for GstAnalytics
Requires:	%{libbadaudio} = %{version}-%{release}

%description -n %{girgstanalytics}
GObject Introspection interface description for GstAnalytics.

%files -n %{girgstanalytics}
%{_libdir}/girepository-1.0/GstAnalytics-%{api}.typelib

%package -n %{girgstdxva}
Group:		System/Libraries
Summary:	Object Introspection interface description for GstDxva
Requires:	%{libbadaudio} = %{version}-%{release}

%description -n %{girgstdxva}
GObject Introspection interface description for GstDxva.

%files -n %{girgstdxva}
%{_libdir}/girepository-1.0/GstDxva-%{api}.typelib

%package -n %{girgstmse}
Group:		System/Libraries
Summary:	Object Introspection interface description for GstMse
Requires:	%{libbadaudio} = %{version}-%{release}

%description -n %{girgstmse}
GObject Introspection interface description for GstMse.

%files -n %{girgstmse}
%{_libdir}/girepository-1.0/GstMse-%{api}.typelib

%package -n %{girgstmpegts}
Group:          System/Libraries
Summary:        Object Introspection interface description for GstMpegts
Requires:	%{libnamempegts} = %{version}-%{release}
Conflicts:	%{_lib}gstreamer-plugins-bad-gir1.0 < 1.18.0

# wrong gir pkg name
Obsoletes:	%{_lib}girgstmpegts-gir1.0 < 1.22.9-3

%description -n %{girgstmpegts}
GObject Introspection interface description for GstMpegts.

%files -n %{girgstmpegts}
%{_libdir}/girepository-1.0/GstMpegts-%{api}.typelib

%package -n %{girplay}
Group:		System/Libraries
Summary:	Object Introspection interface description for GstPlay
Requires:	%{libgstplay} = %{version}-%{release}

%description -n %{girplay}
GObject Introspection interface description for GstPlay.

%files -n %{girplay}
%{_libdir}/girepository-1.0/GstPlay-%{api}.typelib

%package -n %{girplayer}
Group:		System/Libraries
Summary:	Object Introspection interface description for GstPlayer
Requires:	%{libgstplayer} = %{version}-%{release}

%description -n %{girplayer}
GObject Introspection interface description for GstPlayer.

%files -n %{girplayer}
%{_libdir}/girepository-1.0/GstPlayer-%{api}.typelib

%package -n %{girwebrtc}
Group:          System/Libraries
Summary:        Object Introspection interface description for GstWebRTC
Requires:	%{libgstwebrtc} = %{version}-%{release}

%description -n %{girwebrtc}
GObject Introspection interface description for GstWebRTC.

%files -n %{girwebrtc}
%{_libdir}/girepository-1.0/GstWebRTC-%{api}.typelib

%prep
%autosetup -p1 -n gst-plugins-bad-%{version}

%build
%meson \
%ifnarch x86_64
	-Dqsv=disabled \
%endif
%if ! %build_vulkan
	-Dvulkan=disabled \
%endif
%if ! %build_faac
	-Dfaac=disabled \
%endif
%if ! %build_faad
	-Dfaad=disabled \
%endif
%if ! %build_dts
	-Ddts=disabled \
%endif
%if ! %build_voamrwbenc
	-Dvoamrwbenc=disabled \
%endif
%if ! %build_fdkaac
	-Dfdkaac=disabled \
%endif
%if ! %build_libde265
	-Dlibde265=disabled \
%endif
%if ! %build_voaacenc
	-Dvoaacenc=disabled \
%endif
%if ! %build_x265
	-Dx265=disabled \
%endif
%if ! %build_opencv
	-Dopencv=disabled \
%endif
%if ! %build_spandsp
	-Dspandsp=disabled \
%endif
	-Davtp=disabled \
	-Dexamples=disabled \
	-Dtests=disabled \
	-Ddirectfb=disabled \
	-Dgs=disabled \
	-Diqa=disabled \
	-Disac=disabled \
	-Dldac=enabled \
	-Dsctp=enabled \
	-Dsrtp=enabled \
	-Dmagicleap=disabled \
	-Dmsdk=enabled \
	-Dmfx_api=oneVPL \
	-Dmusepack=enabled \
	-Donnx=disabled \
	-Dopenaptx=disabled \
	-Dopenh264=disabled \
	-Dopenni2=disabled \
	-Dopensles=disabled \
	-Dsrt=disabled \
	-Dsvtav1=enabled \
	-Dsvthevcenc=disabled \
	-Dtinyalsa=disabled \
	-Dwasapi=disabled \
	-Dwasapi2=disabled \
	-Dwinks=disabled \
	-Dwpe=disabled \
	-Dzxing=enabled \
%ifnarch x86_64
	-Dnvcodec=disabled \
%endif
	-Dcuda-nvmm=disabled \
	-Dandroidmedia=disabled \
	-Dlcevcdecoder=disabled \
	-Dlcevcencoder=disabled \
	-Dnvcomp=disabled \
	-Dnvdswrapper=disabled \
	-Dsvtjpegxs=disabled \
	-Dpackage-name='%{_vendor} %{name} package' \
	-Dpackage-origin='https://www.%{_real_vendor}.org/' \
	-Ddoc=%{?with_docs:enabled}%{?!with_docs:disabled} \
	-Dgpl=enabled \
	-Damfcodec=disabled \
	-Ddirectshow=disabled \
	-Daja=disabled \
	-Dqt6d3d11=disabled

%meson_build

%install
%meson_install

%find_lang gst-plugins-bad-%{api}

%files -f gst-plugins-bad-%{api}.lang
%license COPYING
%doc AUTHORS README.md NEWS
%{_datadir}/gstreamer-1.0/presets/GstFreeverb.prs
%{_libdir}/gstreamer-%{api}/libgstaccurip.so
%{_libdir}/gstreamer-%{api}/libgstadpcmdec.so
%{_libdir}/gstreamer-%{api}/libgstadpcmenc.so
%{_libdir}/gstreamer-%{api}/libgstaiff.so
%{_libdir}/gstreamer-%{api}/libgstaes.so
%{_libdir}/gstreamer-%{api}/libgstanalyticsoverlay.so
%{_libdir}/gstreamer-%{api}/libgstaom.so
%{_libdir}/gstreamer-%{api}/libgstasfmux.so
%{_libdir}/gstreamer-%{api}/libgstaudiofxbad.so
%{_libdir}/gstreamer-%{api}/libgstaudiolatency.so
%{_libdir}/gstreamer-%{api}/libgstaudiovisualizers.so
%{_libdir}/gstreamer-%{api}/libgstautoconvert.so
%{_libdir}/gstreamer-%{api}/libgstbayer.so
%{_libdir}/gstreamer-%{api}/libgstbluez.so
%{_libdir}/gstreamer-%{api}/libgstbs2b.so
%{_libdir}/gstreamer-%{api}/libgstbz2.so
%{_libdir}/gstreamer-%{api}/libgstcamerabin.so
%{_libdir}/gstreamer-%{api}/libgstchromaprint.so
%{_libdir}/gstreamer-%{api}/libgstclosedcaption.so
%{_libdir}/gstreamer-%{api}/libgstcodecalpha.so
%{_libdir}/gstreamer-%{api}/libgstcodectimestamper.so
%{_libdir}/gstreamer-%{api}/libgstcodec2json.so
%{_libdir}/gstreamer-%{api}/libgstcoloreffects.so
%{_libdir}/gstreamer-%{api}/libgstcolormanagement.so
%{_libdir}/gstreamer-%{api}/libgstdc1394.so
%{_libdir}/gstreamer-%{api}/libgstdebugutilsbad.so
%{_libdir}/gstreamer-%{api}/libgstdecklink.so
%{_libdir}/gstreamer-%{api}/libgstdtls.so
%{_libdir}/gstreamer-%{api}/libgstdvb.so
%{_libdir}/gstreamer-%{api}/libgstdvbsubenc.so
%{_libdir}/gstreamer-%{api}/libgstdvbsuboverlay.so
%{_libdir}/gstreamer-%{api}/libgstdvdspu.so
%{_libdir}/gstreamer-%{api}/libgstfbdevsink.so
%{_libdir}/gstreamer-%{api}/libgstfestival.so
%{_libdir}/gstreamer-%{api}/libgstfieldanalysis.so
%{_libdir}/gstreamer-%{api}/libgstflite.so
%{_libdir}/gstreamer-%{api}/libgstfreeverb.so
%{_libdir}/gstreamer-%{api}/libgstfrei0r.so
%{_libdir}/gstreamer-%{api}/libgstgaudieffects.so
%{_libdir}/gstreamer-%{api}/libgstgdp.so
%{_libdir}/gstreamer-%{api}/libgstgeometrictransform.so
%{_libdir}/gstreamer-%{api}/libgstgtkwayland.so
%{_libdir}/gstreamer-%{api}/libgsthls.so
%{_libdir}/gstreamer-%{api}/libgstid3tag.so
%{_libdir}/gstreamer-%{api}/libgstinsertbin.so
%{_libdir}/gstreamer-%{api}/libgstinterlace.so
%{_libdir}/gstreamer-%{api}/libgstinter.so
%{_libdir}/gstreamer-%{api}/libgstipcpipeline.so
%{_libdir}/gstreamer-%{api}/libgstivfparse.so
%{_libdir}/gstreamer-%{api}/libgstivtc.so
%{_libdir}/gstreamer-%{api}/libgstjp2kdecimator.so
%{_libdir}/gstreamer-%{api}/libgstjpegformat.so
%{_libdir}/gstreamer-%{api}/libgstkms.so
%{_libdir}/gstreamer-%{api}/libgstlc3.so
%{_libdir}/gstreamer-%{api}/libgstldac.so
%{_libdir}/gstreamer-%{api}/libgstlv2.so
%{_libdir}/gstreamer-%{api}/libgstmicrodns.so
%{_libdir}/gstreamer-%{api}/libgstmidi.so
%{_libdir}/gstreamer-%{api}/libgstmodplug.so
%{_libdir}/gstreamer-%{api}/libgstmpegpsdemux.so
%{_libdir}/gstreamer-%{api}/libgstmpegpsmux.so
%{_libdir}/gstreamer-%{api}/libgstmpegtsdemux.so
%{_libdir}/gstreamer-%{api}/libgstmpegtsmux.so
%{_libdir}/gstreamer-%{api}/libgstmsdk.so
%{_libdir}/gstreamer-%{api}/libgstmse.so
%{_libdir}/gstreamer-%{api}/libgstmusepack.so
%{_libdir}/gstreamer-%{api}/libgstmxf.so
%{_libdir}/gstreamer-%{api}/libgstnetsim.so
%ifarch x86_64
%{_libdir}/gstreamer-%{api}/libgstnvcodec.so
%endif
%{_libdir}/gstreamer-%{api}/libgstopenal.so
%{_libdir}/gstreamer-%{api}/libgstopenexr.so
%{_libdir}/gstreamer-%{api}/libgstopenjpeg.so
%{_libdir}/gstreamer-%{api}/libgstopenmpt.so
%{_libdir}/gstreamer-%{api}/libgstopusparse.so
%{_libdir}/gstreamer-%{api}/libgstpcapparse.so
%{_libdir}/gstreamer-%{api}/libgstpnm.so
%{_libdir}/gstreamer-%{api}/libgstproxy.so
%{_libdir}/gstreamer-%{api}/libgstqroverlay.so
%ifarch x86_64
%{_libdir}/gstreamer-%{api}/libgstqsv.so
%endif
%{_libdir}/gstreamer-%{api}/libgstremovesilence.so
%{_libdir}/gstreamer-%{api}/libgstresindvd.so
%{_libdir}/gstreamer-%{api}/libgstrfbsrc.so
%{_libdir}/gstreamer-%{api}/libgstrist.so
%{_libdir}/gstreamer-%{api}/libgstrtmp2.so
%{_libdir}/gstreamer-%{api}/libgstrtpmanagerbad.so
%{_libdir}/gstreamer-%{api}/libgstrsvg.so
%{_libdir}/gstreamer-%{api}/libgstrtponvif.so
%{_libdir}/gstreamer-%{api}/libgstsctp.so
%{_libdir}/gstreamer-%{api}/libgstsdpelem.so
%{_libdir}/gstreamer-%{api}/libgstsegmentclip.so
%{_libdir}/gstreamer-%{api}/libgstshm.so
%{_libdir}/gstreamer-%{api}/libgstsiren.so
%{_libdir}/gstreamer-%{api}/libgstsmooth.so
%{_libdir}/gstreamer-%{api}/libgstsndfile.so
%{_libdir}/gstreamer-%{api}/libgstspeed.so
%{_libdir}/gstreamer-%{api}/libgstsubenc.so
%{_libdir}/gstreamer-%{api}/libgstsvtav1.so
%{_libdir}/gstreamer-%{api}/libgstswitchbin.so
%{_libdir}/gstreamer-%{api}/libgstteletext.so
%{_libdir}/gstreamer-%{api}/libgsttensordecoders.so
%{_libdir}/gstreamer-%{api}/libgsttimecode.so
%{_libdir}/gstreamer-%{api}/libgstunixfd.so
%{_libdir}/gstreamer-%{api}/libgstuvch264.so
%{_libdir}/gstreamer-%{api}/libgstuvcgadget.so
%{_libdir}/gstreamer-%{api}/libgstv4l2codecs.so
%{_libdir}/gstreamer-%{api}/libgstva.so
%{_libdir}/gstreamer-%{api}/libgstvideofiltersbad.so
%{_libdir}/gstreamer-%{api}/libgstvideoframe_audiolevel.so
%{_libdir}/gstreamer-%{api}/libgstvideoparsersbad.so
%{_libdir}/gstreamer-%{api}/libgstvideosignal.so
%if %{build_vulkan}
%{_libdir}/gstreamer-%{api}/libgstvulkan.so
%endif
%{_libdir}/gstreamer-%{api}/libgstvmnc.so
%if %{build_voaacenc}
%{_libdir}/gstreamer-%{api}/libgstvoaacenc.so
%endif
%if %{build_voamrwbenc}
%{_libdir}/gstreamer-%{api}/libgstvoamrwbenc.so
%{_datadir}/gstreamer-%{api}/presets/GstVoAmrwbEnc.prs
%endif
%if %{build_dts}
%{_libdir}/gstreamer-%{api}/libgstdtsdec.so
%endif
%{_libdir}/gstreamer-%{api}/libgstwaylandsink.so
%{_libdir}/gstreamer-%{api}/libgstwebp.so
%{_libdir}/gstreamer-%{api}/libgstwebrtc.so
%{_libdir}/gstreamer-%{api}/libgstwebrtcdsp.so
%{_libdir}/gstreamer-%{api}/libgsty4mdec.so
%{_libdir}/gstreamer-%{api}/libgstzbar.so
%{_libdir}/gstreamer-%{api}/libgstzxing.so

%{_libdir}/gstreamer-%{api}/libgstaudiobuffersplit.so
%{_libdir}/gstreamer-%{api}/libgstaudiomixmatrix.so
%{_libdir}/gstreamer-%{api}/libgstfaceoverlay.so
%{_libdir}/gstreamer-%{api}/libgstlegacyrawparse.so
%{_libdir}/gstreamer-%{api}/libgstttmlsubs.so

%{_libdir}/libgstadaptivedemux-1.0.so.%libmajor{,.*}


%if %build_faad
%package -n %{bname}-faad
Summary:	GStreamer plug-in for AAC audio playback
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %version
BuildRequires:	libfaad2-devel >= 2.0

%description -n %{bname}-faad
Plug-ins for playing AAC audio

This package is in the 'tainted' section as it violates some patents.

%files -n %{bname}-faad
%{_libdir}/gstreamer-%{api}/libgstfaad.so
%endif

%if %build_faac
%package -n %{bname}-faac
Summary:	GStreamer plug-ins for AAC audio encoding
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %version
BuildRequires:	libfaac-devel

%description -n %{bname}-faac
Plug-ins for encoding AAC audio

This package is in the 'tainted' section as it violates some patents.

%files -n %{bname}-faac
%{_libdir}/gstreamer-%{api}/libgstfaac.so
%endif

%package -n %{bname}-gsm
Summary:	GStreamer plugin for GSM lossy audio format
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}
BuildRequires:	gsm-devel >= 1.0.10

%description -n %{bname}-gsm
Output plugin for GStreamer to convert to GSM lossy audio format.

%files -n %{bname}-gsm
%{_libdir}/gstreamer-%{api}/libgstgsm.so

%if %build_amrwb
%package -n %{bname}-amrwb
Summary:	GStreamer plug-in for AMR-WB support
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}
BuildRequires:	libamrwb-devel

%description -n %{bname}-amrwb
Plug-in for decoding AMR-WB under GStreamer.

This package is in the 'tainted' section as it violates some patents.

%files -n %{bname}-amrwb
%{_datadir}/gstreamer-%{api}/presets/GstAmrwbEnc.prs
%{_libdir}/gstreamer-%{api}/libgstamrwbenc.so
%endif

%package -n %{bname}-dash
Summary:	GStreamer plugin for Dynamic Adaptive Streaming over HTTP
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-dash
Dynamic Adaptive Streaming over HTTP demuxer.

%files -n %{bname}-dash
%{_libdir}/gstreamer-%{api}/libgstdash.so

%if 0
%package -n %{bname}-eglgles
Summary:	GStreamer plugin for EGL/GLES vout Sink
Group:		Video/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-eglgles
EGL/GLES vout Sink.

%files -n %{bname}-eglgles
%{_libdir}/gstreamer-%{api}/libgsteglglessink.so
%endif

%package -n %{bname}-fluidsynth
Summary:	GStreamer plugin for Midi Synthesizer Element
Group:		Sound/Midi
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-fluidsynth
Midi Synthesizer Element.

%files -n %{bname}-fluidsynth
%{_libdir}/gstreamer-%{api}/libgstfluidsynthmidi.so

%package -n %{bname}-ladspa
Summary:	GStreamer plugin for LADSPA plugin
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-ladspa
GStreamer LADSPA plugin.

%files -n %{bname}-ladspa
%{_libdir}/gstreamer-%{api}/libgstladspa.so

%package -n %{bname}-neon
Summary:	GStreamer plugin for NEON plugin
Group:		Networking/Other
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-neon
Receive data as a client over the network via HTTP using NEON.

%files -n %{bname}-neon
%{_libdir}/gstreamer-%{api}/libgstneonhttpsrc.so

%package -n %{bname}-sbc
Summary:	GStreamer plugin for Bluetooth SBC audio encoder/decoder
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-sbc
Encode/Decode an SBC audio stream.

%files -n %{bname}-sbc
%{_libdir}/gstreamer-%{api}/libgstsbc.so

%package -n %{bname}-smoothstreaming
Summary:	GStreamer plugin for Microsoft's Smooth Streaming format
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-smoothstreaming
Microsoft's Smooth Streaming format support.

%files -n %{bname}-smoothstreaming
%{_libdir}/gstreamer-%{api}/libgstsmoothstreaming.so

%if %{build_spandsp}
%package -n %{bname}-spandsp
Summary:	GStreamer plugin for libspandsp
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-spandsp
GStreamer libspandsp plugin.

%files -n %{bname}-spandsp
%{_libdir}/gstreamer-%{api}/libgstspandsp.so
%endif

%package -n %{bname}-srtp
Summary:	GStreamer plugin for srtp
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-srtp
GStreamer SRTP plugin.

%files -n %{bname}-srtp
%{_libdir}/gstreamer-%{api}/libgstsrtp.so

%if %build_libde265
%package -n %{bname}-de265
Summary:	GStreamer plugin for de265
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-de265
GStreamer de265 plugin.

%files -n %{bname}-de265
%{_libdir}/gstreamer-%{api}/libgstde265.so
%endif

%if %build_x265
%package -n %{bname}-x265
Summary:	GStreamer plugin for x265
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-x265
GStreamer x265 plugin.

%files -n %{bname}-x265
%{_libdir}/gstreamer-%{api}/libgstx265.so
%endif

%if %build_fdkaac
%package -n %{bname}-fdkaac
Summary:	GStreamer plugin for fdk-aac
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-fdkaac
GStreamer fdk-aac plugin.

%files -n %{bname}-fdkaac
%{_libdir}/gstreamer-%{api}/libgstfdkaac.so
%endif
