%define _disable_ld_no_undefined 1

%define api	1.0
%define oname	gst-python

#exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/gstreamer-%{api}/.*\\.so

Name:		gstreamer1.0-python
Version:	1.26.0
Release:	%mkrel 1
Summary:	Python bindings for GStreamer
Group:		Development/Python
License:	LGPLv2+
URL:            https://gstreamer.freedesktop.org/
Source0:	https://gstreamer.freedesktop.org/src/gst-python/%{oname}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	pkgconfig(gstreamer-1.0) >= %{version}
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0) >= %{version}
BuildRequires:	pkgconfig(gstreamer-analytics-1.0)
BuildRequires:	pkgconfig(gstreamer-rtsp-server-1.0)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	pkgconfig(python3)
%ifarch %{valgrind_arches} %{arm32}
BuildRequires:	pkgconfig(valgrind)
%endif
Requires:	python3-gobject3

%description
This module contains a binding that allows GStreamer applications
to be written in Python.

%prep
%autosetup -p1 -n %{oname}-%{version}

%build
%meson \
	-Dpygi-overrides-dir=%{python3_sitearch}/gi/overrides/
%meson_build

%install
%meson_install

%files
%doc NEWS README.md
%license COPYING
%{_libdir}/gstreamer-%{api}/libgstpython.so
%{python3_sitearch}/gi/overrides/*.py
%{python3_sitearch}/gi/overrides/__pycache__/*
%{python3_sitearch}/gi/overrides/*.so
