%define api	1.0
%define major	0
%define oname	gst-rtsp-server

%define libname   %mklibname gstrtspserver %{api} %{major}
%define girname   %mklibname gstrtspserver-gir %{api}
%define develname %mklibname gstrtspserver -d

%bcond_with docs

Summary:	RTSP server library for the GStreamer framework
Name:		gstreamer1.0-rtsp-server
Version:	1.26.0
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		https://gstreamer.freedesktop.org/
Source0:  	https://gstreamer.freedesktop.org/src/%{oname}/%{oname}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= %{version}
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0) >= %{version}

%ifarch %{valgrind_arches} %{arm32}
BuildRequires:	pkgconfig(valgrind)
%endif

%description
RTSP server based on GStreamer.

%package -n %{libname}
Summary:	RTSP server library for the GStreamer framework
Group:		System/Libraries

%description -n %{libname}
RTSP server based on GStreamer1.0.

%package -n %{develname}
Summary:	RTSP server library for the GStreamer framework
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}
Provides:	libgstrtspserver-devel = %{version}-%{release}

%description -n %{develname}
RTSP server based on GStreamer1.0.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n gstreamer%{api}-rtspclientsink
Summary:	rtspclientsink plugin for gstreamer%{api}
Group:		Networking/Other

%description -n gstreamer%{api}-rtspclientsink
rtspclientsink is an element that uses RECORD to send streams to an
RTSP server.

%prep
%setup -q -n %{oname}-%{version}

%build
%meson \
	-Dexamples=disabled \
	-Dtests=disabled \
	-Ddoc=%{?with_docs:enabled}%{?!with_docs:disabled} \
	-Dpackage-name='%{_vendor} %{name} package' \
	-Dpackage-origin='https://www.%{_real_vendor}.org/'

%meson_build

%install
%meson_install

%files -n gstreamer%{api}-rtspclientsink
%license COPYING
%{_libdir}/gstreamer-1.0/libgstrtspclientsink.so

%files -n %{libname}
%license COPYING.LIB
%doc README AUTHORS
%{_libdir}/libgstrtspserver-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GstRtspServer-%{api}.typelib

%files -n %{develname}
%{_libdir}/libgstrtspserver-%{api}.so
%{_libdir}/pkgconfig/gstreamer-rtsp-server-%{api}.pc
%{_includedir}/gstreamer-%{api}/gst/rtsp-server
%{_datadir}/gir-1.0/GstRtspServer-%{api}.gir
