%bcond_with docs

Name:           gstreamer1.0-vaapi
Version:        1.26.0
Release:        %mkrel 1
Summary:        A collection of VA-API based plugins for GStreamer and helper libraries
Group:          System/Libraries
License:        LGPLv2+ and GPLv2+
URL:            https://gstreamer.freedesktop.org/modules/gstreamer-vaapi.html
Source0:        https://gstreamer.freedesktop.org/src/gstreamer-vaapi/gstreamer-vaapi-%{version}.tar.xz
BuildRequires:  meson
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glesv2)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gstreamer-1.0) >= %{version}
BuildRequires:  pkgconfig(gstreamer-codecparsers-1.0) >= %{version}
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0) >= %{version}
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libva)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xrandr)
%ifarch %{valgrind_arches} %{arm32}
BuildRequires:	pkgconfig(valgrind)
%endif

%description
Gstreamer-vaapi is a collection of VA-API based plugins for GStreamer
and helper libraries. vaapidecode is used to decode MPEG-2, MPEG-4,
H.264, VC-1, WMV3 videos to video/x-vaapi-surface surfaces, depending
on the underlying HW capabilities. vaapiconvert is used to convert from
video/x-raw-yuv pixels to video/x-vaapi-surface surfaces. vaapisink is
used to display video/x-vaapi-surface surfaces to the screen.

%prep
%autosetup -p1 -n gstreamer-vaapi-%{version}

%build
%meson \
	-Dexamples=disabled \
	-Ddoc=%{?with_docs:enabled}%{?!with_docs:disabled}

%meson_build

%install
%meson_install

# no devel pkg
rm -rf %{buildroot}%{_libdir}/gstreamer-1.0/pkgconfig/

%files
%doc NEWS README
%{_libdir}/gstreamer-1.0/libgstvaapi.so
