%define oname		gstreamermm

%define api		1.0
%define major		1
%define libname		%mklibname %oname %api %major
%define develname	%mklibname %oname %api -d

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gstreamermm%{api}
Version:	1.10.0
Release:	%mkrel 4
Summary:	C++ wrapper for GStreamer library
Group:		System/Libraries
License:	LGPLv2+
URL:		https://gstreamer.freedesktop.org/bindings/cplusplus.html
Source0:	https://download.gnome.org/sources/gstreamermm/%{url_ver}/%{oname}-%{version}.tar.xz
Patch0:		gstreamermm-1.8.0-cast.patch
Patch1:		0001-Fix-build-against-glib-2.68.patch
BuildRequires:	pkgconfig(giomm-2.4) >= 2.36.0
BuildRequires:	pkgconfig(gstreamer-1.0) >= 1.4.3
BuildRequires:	pkgconfig(gstreamer-app-1.0) >= 1.4.3
BuildRequires:	pkgconfig(gstreamer-audio-1.0) >= 1.4.3
BuildRequires:	pkgconfig(gstreamer-base-1.0) >= 1.4.3
BuildRequires:	pkgconfig(gstreamer-check-1.0) >= 1.4.3
BuildRequires:	pkgconfig(gstreamer-controller-1.0) >= 1.4.3
BuildRequires:	pkgconfig(gstreamer-fft-1.0) >= 1.4.3
BuildRequires:	pkgconfig(gstreamer-net-1.0) >= 1.4.3
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0) >= 1.4.3
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0) >= 1.4.3
BuildRequires:	pkgconfig(gstreamer-riff-1.0) >= 1.4.3
BuildRequires:	pkgconfig(gstreamer-rtp-1.0) >= 1.4.3
BuildRequires:	pkgconfig(gstreamer-sdp-1.0) >= 1.4.3
BuildRequires:	pkgconfig(gstreamer-tag-1.0) >= 1.4.3
BuildRequires:	pkgconfig(gstreamer-video-1.0) >= 1.4.3
BuildRequires:	pkgconfig(gtkmm-3.0) >= 3.0
BuildRequires:	doxygen
BuildRequires:	m4

%description
GStreamermm is a C++ wrapper library for the multimedia library
GStreamer (https://gstreamer.freedesktop.org). It is designed to allow
C++ development of applications that work with multi-media.

%package -n %libname
Summary:	C++ wrapper for GStreamer library
Group:		System/Libraries

%description -n %libname
GStreamermm is a C++ wrapper library for the multimedia library
GStreamer (https://gstreamer.freedesktop.org). It is designed to allow
C++ development of applications that work with multi-media.

%package -n %develname
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}

%description -n %develname
This package contains the static libraries and header files needed for
developing gstreamermm applications.

%package doc
Summary:	Developer's documentation for the gstreamermm library
Group:		Documentation
BuildArch:	noarch

%description doc
This package contains developer's documentation for the GStreamermm
library. Gstreamermm is the C++ API for the GStreamer library.

The documentation can be viewed either through the devhelp
documentation browser or through a web browser.

%prep
%setup -qn %{oname}-%{version}
%autopatch -p1

%build
export CXXFLAGS="%{optflags} -std=c++11"
%configure \
	--enable-shared \
	--disable-dependency-tracking
%make_build

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/lib%{oname}-%{api}.so.%{major}
%{_libdir}/lib%{oname}-%{api}.so.%{major}.*

%files -n %{develname}
%{_includedir}/gstreamermm-%{api}
%{_libdir}/lib%{oname}-%{api}.so
%{_libdir}/pkgconfig/%{oname}-%{api}.pc
%{_libdir}/%{oname}-%{api}/

%files doc
%doc COPYING
%doc %{_datadir}/doc/%{oname}-%{api}/
%doc %{_datadir}/devhelp/books/%{oname}-%{api}/
