Name:           gsutil
Version:        4.15
Release:        %mkrel 4
Url:            https://developers.google.com/storage/docs/gsutil
Summary:        Access Google Cloud Storage from the command line
License:        ASL 2.0
Group:          Networking/Other
Source:         http://storage.googleapis.com/pub/%{name}_%{version}.tar.gz
Patch0:		gsutil_4.15-deps.patch
BuildArch:      noarch
BuildRequires:  python-setuptools

%description
gsutil is a Python application that lets you access Google Cloud Storage 
from the command line. You can use gsutil to do a wide range of bucket and
object management tasks, including:

- Creating and deleting buckets.
- Uploading, downloading, and deleting objects.
- Listing buckets and objects.
- Moving, copying, and renaming objects.
- Editing object and bucket ACLs.

%prep
%setup -q -n %{name}
%autopatch -p1

%build
%py2_build

%install
%py2_install

%files
%doc CHANGES.md README.md
%{_bindir}/%{name}
%{python_sitelib}/gslib
%{python_sitelib}/%{name}-%{version}*.egg-info
