Name:		gtg
Version:	0.6.0
Release:	%mkrel 3
Group:		Office/Organizer
License:	GPLv3
Summary:	Organizer for the GNOME desktop environment
URL:		https://wiki.gnome.org/Apps/GTG
Source0:	https://github.com/getting-things-gnome/gtg/releases/download/v0.6/%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	meson
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(python3)
BuildRequires:	itstool
#
Requires:	python3dist(liblarch)
Requires:	python3-cairo
Requires:	python3-cheetah
Requires:	python3-configobj
Requires:	python3-dbus
Requires:	python3-gi
Requires:	python3-pyxdg
Recommends:	pdftk-java

# For RTM backend
Recommends:	python3-dateutil
Recommends:	python3-simplejson
# For Mantis backend
Recommends:	python3-suds
# For Bugzilla plugin
Recommends:	python3-bugzilla

%description
Getting Things Gnome! is an organizer for the GNOME desktop environment.

GTG focuses on usability and ease of use. Its main objective is to
provide a simple, powerful and flexible organization tool to the
GNOME desktop environment.

GTG uses a very handy text edition system for task creation and edition.
The task editor can automatically recognize meta-data such as tags
and subtasks only by the use of a very simple syntax.
If you wanna know more about this, please read Getting Started With GTG.

%prep
%setup -q
%autopatch -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

rm -rf %{buildroot}%{_iconsdir}/ubuntu-mono*

%files -f %{name}.lang
%doc AUTHORS README.md NEWS
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{python3_sitelib}/GTG/
%{_datadir}/dbus-1/services/org.gnome.GTG.service
%{_datadir}/applications/org.gnome.GTG.desktop
%{_iconsdir}/hicolor/*/*/*
%{_metainfodir}/org.gnome.GTG.appdata.xml
