%global __provides_exclude_from ^%{_libdir}/%{name}/.*\\.so$

# disable undefined symbol with meson build system
%define _disable_ld_no_undefined 1

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

# exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/%{name}/extensions/.*\\.so

# exclude plugin .so from requires
%global extensions lib(catalogs|edit_metadata|exiv2_tools|flicker_utils|gstreamer_utils|image_rotation|image_viewer|importer|jpeg_utils|oauth)\\.so
%global __requires_exclude %{extensions}

# Disabled until gthumb gets ported to soup3 and webkit2gtk-4.1
# https://gitlab.gnome.org/GNOME/gthumb/-/issues/244
%bcond_with webkit

Summary:	An image viewer and browser for GNOME
Name:		gthumb
Version:	3.12.7
Release:	%mkrel 1
License:	GPLv2+
URL:		https://gthumb.sourceforge.net/
Group:		Graphics/Viewers
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(appstream)
BuildRequires:	pkgconfig(champlain-0.12)
BuildRequires:	pkgconfig(champlain-gtk-0.12)
BuildRequires:	pkgconfig(clutter-1.0)
BuildRequires:	pkgconfig(clutter-gtk-1.0)
BuildRequires:	pkgconfig(colord)
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:	pkgconfig(gstreamer-video-1.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libbrasero-burn3)
BuildRequires:	pkgconfig(libheif)
BuildRequires:	pkgconfig(libjxl)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libraw)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(sm)
%if %{with webkit}
BuildRequires:	pkgconfig(webkit2gtk-4.1)
BuildRequires:  pkgconfig(libsoup-3.0)
%endif
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	appstream
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	itstool
BuildRequires:	gettext
BuildRequires:	meson
BuildRequires:	yelp-tools
Requires:	gsettings-desktop-schemas

%description
gThumb lets you browse your hard disk, showing you thumbnails of image files.
It also lets you view single files (including GIF animations), add comments to
images, organize images in catalogs, print images, view slideshows, set your
desktop background, and more.

%package devel
Summary: Header files for building %name extensions
Group: Development/C
Requires: %{name} = %{version}-%{release}

%description devel
gThumb lets you browse your hard disk, showing you thumbnails of image files.
It also lets you view single files (including GIF animations), add comments to
images, organize images in catalogs, print images, view slideshows, set your
desktop background, and more.

%prep
%autosetup -p1

%build
%meson \
  -Dlibchamplain=true \
  -Dwebservices=%{?with_webkit:true}%{?!with_webkit:false}
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS NEWS README.md
%license COPYING
%{_bindir}/*
%{_datadir}/applications/*
%{_metainfodir}/org.gnome.gThumb.appdata.xml
%{_datadir}/%{name}/
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}*.xml
%{_datadir}/icons/hicolor/*/apps/*.*
%dir %{_libexecdir}/gthumb
%{_libexecdir}/gthumb/video-thumbnailer
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/extensions/
%{_libdir}/%{name}/extensions/*.extension
%{_libdir}/%{name}/extensions/*.so
%{_mandir}/man?/%{name}.*

%files devel
%doc NEWS
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/%{name}.m4
