# bcond_with    = disable
# bcond_without = enable
%bcond_with gtkdoc
%bcond_with bootstrap
%bcond_with tests

%define pkgname			gtk+
%define api_version		2.0
%define binary_version		2.10.0
%define lib_major		0
%define libname			%mklibname %{pkgname} %{api_version} %{lib_major}
%define libname_x11		%mklibname %{pkgname}-x11- %{api_version} %{lib_major}
%define develname		%mklibname -d %pkgname %api_version

%define gail_major		18
%define gail_libname		%mklibname gail %gail_major
%define gaildevelname		%mklibname -d gail

%define major_url	%(echo %{version}|cut -d. -f1,2)

%define gi_major	2.0
%define girname		%mklibname gtk-gir %gi_major

Summary:	The GIMP ToolKit (GTK+), a library for creating GUIs
Name:		%{pkgname}%{api_version}
Version:	2.24.33
Release:	%mkrel 6
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.gtk.org/
Source0:	https://download.gnome.org/sources/%{pkgname}/%{major_url}/%{pkgname}-%{version}.tar.xz
# extra IM modules (vietnamese and tamil) -- pablo
#gw TODO, needs to be fixed for 2.21.3
Patch4:		gtk+-2.13.1-extra_im.patch
# (fc) 2.0.6-8mdk fix infinite loop and crash in file selector when / and $HOME are not readable (bug #90)
Patch5:		gtk+-2.6.9-fileselectorfallback.patch
# (gb) 2.4.4-2mdk handle biarch
Patch13:	gtk+-2.2.4-lib64.patch
# (fc) 2.20.0-2mdv allow window dragging toolbars / menubar (GNOME bug #611313)
Patch20:	gtk+-2.24.7-window-dragging.patch
# (fc) 2.20.0-3mdv allow specifying icon padding for tray icon (GNOME bug #583273) (Fedora)
Patch21:	gtk+-2.20.0-icon-padding.patch
Patch22:	gtk+-2.24.9-link-gmodule.patch
# (wally) default theme and icon settings
Patch23:	0001-Use-Adwaita-as-a-default-theme.patch
# (cjw) fix some compiler warnings
Patch24:	gtk+-2.24.32-warnings.patch
# Use Python 3 in gtk-builder-convert
# (ovitters) silence failed to load module message
Patch50:	gtk+-2.24.32-silence-canberra-module.patch
Patch51:	CVE-2024-6655.patch
Patch52:	gtk+-implicit-int.patch

Requires:	common-licenses
BuildRequires:	gettext-devel
BuildRequires:	libglib2.0-devel
BuildRequires:	pkgconfig(atk)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xcomposite)
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	cups-devel
BuildRequires:	pkgconfig(gamin)
%if %{with tests}
BuildRequires:	x11-server-xvfb
# gw tests will fail without this
BuildRequires:  fonts-ttf-dejavu
%endif
# For setting shebang of gtk-builder-convert:
BuildRequires:	python3
BuildRequires:	gtk-doc
# so that the demos don't fail to build
BuildRequires:	shared-mime-info
%if ! %{with bootstrap}
Requires:	xdg-user-dirs-gtk
# (ovitters) align with default gtk+3.x theme
Requires:	adwaita-gtk2-theme
%endif
Recommends:	%mklibname gvfs 0
Requires(post):	coreutils
Requires:	%{libname} = %{version}
Provides:	%{pkgname}2 = %{version}-%{release}

%description
The gtk+ package contains the GIMP ToolKit (GTK+), a library for creating
graphical user interfaces for the X Window System.  GTK+ was originally
written for the GIMP (GNU Image Manipulation Program) image processing
program, but is now used by several other programs as well.

If you are planning on using the GIMP or another program that uses GTK+,
you'll need to have the gtk+ package installed.


%files -f gtk20.lang
%doc README
%{_bindir}/gtk-query-immodules-%{api_version}
%{_bindir}/gtk%{api_version}-update-icon-cache
%{_datadir}/themes
%dir %{_sysconfdir}/gtk-%{api_version}
%config(noreplace) %{_sysconfdir}/gtk-%{api_version}/im-multipress.conf

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	%{summary}
Group:	 	%{group}
Provides:	lib%{pkgname}2 = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}
Provides:	gtk2 = %{version}-%{release}
Requires:	glib2.0-common
# required for icon theme apis to work
Requires:	hicolor-icon-theme
Requires(posttrans):	%{libname_x11} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with gtk+.

%files -n %{libname}
%doc README
%ghost %verify (not md5 mtime size) %_libdir/gtk-%{api_version}/%{binary_version}/immodules.cache
%dir %{_libdir}/gtk-%{api_version}
%dir %{_libdir}/gtk-%{api_version}/bin
%{_libdir}/gtk-%{api_version}/bin/gtk-query-immodules-%{api_version}
%dir %{_libdir}/gtk-%{api_version}/modules
%dir %{_libdir}/gtk-%{api_version}/%{binary_version}
%dir %{_libdir}/gtk-%{api_version}/%{binary_version}/immodules
%{_libdir}/gtk-%{api_version}/%{binary_version}/immodules/im-am-et.so
%{_libdir}/gtk-%{api_version}/%{binary_version}/immodules/im-cedilla.so
%{_libdir}/gtk-%{api_version}/%{binary_version}/immodules/im-cyrillic-translit.so
%{_libdir}/gtk-%{api_version}/%{binary_version}/immodules/im-inuktitut.so
%{_libdir}/gtk-%{api_version}/%{binary_version}/immodules/im-ipa.so
%{_libdir}/gtk-%{api_version}/%{binary_version}/immodules/im-multipress.so
%{_libdir}/gtk-%{api_version}/%{binary_version}/immodules/im-thai.so
%{_libdir}/gtk-%{api_version}/%{binary_version}/immodules/im-ti-er.so
%{_libdir}/gtk-%{api_version}/%{binary_version}/immodules/im-ti-et.so
%{_libdir}/gtk-%{api_version}/%{binary_version}/immodules/im-viqr.so
%{_libdir}/gtk-%{api_version}/%{binary_version}/immodules/im-xim.so
%{_libdir}/gtk-%{api_version}/%{binary_version}/immodules/im-tamilvp-tsc.so
%{_libdir}/gtk-%{api_version}/%{binary_version}/immodules/im-tamilvp-uni.so
%{_libdir}/gtk-%{api_version}/%{binary_version}/immodules/im-telex.so
%{_libdir}/gtk-%{api_version}/%{binary_version}/immodules/im-vni.so
%dir %{_libdir}/gtk-%{api_version}/%{binary_version}/engines
%{_libdir}/gtk-%{api_version}/%{binary_version}/engines/*.so
%{_libdir}/gtk-%{api_version}/%{binary_version}/printbackends/*.so

#--------------------------------------------------------------------

%package -n %{develname}
Summary:	Development files for GTK+ (GIMP ToolKit) applications
Group:		Development/GNOME and GTK+
Provides:	gtk2-devel = %{version}-%{release}
Provides:	%{pkgname}2-devel = %{version}-%{release}
Provides:	lib%{pkgname}2-devel = %{version}-%{release}
Provides:	lib%{pkgname}%{api_version}-devel = %{version}-%{release}
Provides:	%{libname}-devel = %{version}-%{release}
Provides:	lib%{pkgname}-x11-%{api_version}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	%{libname_x11} = %{version}
Requires:	%{girname} = %{version}

%description -n %{develname}
The libgtk+-devel package contains the static libraries and header files
needed for developing GTK+ (GIMP ToolKit) applications. The libgtk+-devel
package contains GDK (the General Drawing Kit, which simplifies the interface
for writing GTK+ widgets and using GTK+ widgets in applications), and GTK+
(the widget set).

%files -n %develname
%doc docs/*.txt AUTHORS ChangeLog NEWS README*
%doc %{_datadir}/gtk-doc/html/gdk2
%doc %{_datadir}/gtk-doc/html/gtk2
%{_bindir}/gtk-demo
%{_bindir}/gtk-builder-convert
%{_datadir}/aclocal/*
%{_datadir}/gtk-%{api_version}
%{_includedir}/gtk-unix-print-%{api_version}/
%dir %{_includedir}/gtk-%{api_version}
%{_includedir}/gtk-%{api_version}/gdk
%{_includedir}/gtk-%{api_version}/gtk
%{_libdir}/gtk-%{api_version}/include
%{_libdir}/pkgconfig/gdk-%{api_version}.pc
%{_libdir}/pkgconfig/gtk+-%{api_version}.pc
%{_libdir}/pkgconfig/gtk+-unix-print-%{api_version}.pc
%{_libdir}/*x11*.so
%{_datadir}/gir-1.0/Gdk-2.0.gir
%{_datadir}/gir-1.0/GdkX11-2.0.gir
%{_datadir}/gir-1.0/Gtk-2.0.gir
%{_libdir}/pkgconfig/*x11*

#--------------------------------------------------------------------

%package -n %{libname_x11}
Summary:	X11 backend of The GIMP ToolKit (GTK+)
Group:		System/Libraries
Provides:	lib%{pkgname}-x11-%{api_version} = %{version}-%{release}
Provides:	%{name}-backend = %{version}-%{release}
Requires: 	%{libname} = %{version}
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname_x11}
This package contains the X11 version of library needed to run
programs dynamically linked with gtk+.

%files -n %{libname_x11}
%{_libdir}/libgdk-x11-%{api_version}.so.%{lib_major}
%{_libdir}/libgdk-x11-%{api_version}.so.%{lib_major}.*
%{_libdir}/libgtk-x11-%{api_version}.so.%{lib_major}
%{_libdir}/libgtk-x11-%{api_version}.so.%{lib_major}.*

#--------------------------------------------------------------------

%package -n %{gail_libname}
Summary:	GNOME Accessibility Implementation Library
Group:		System/Libraries
Provides:	libgail = %{version}-%{release}

%description -n %{gail_libname}
Gail is the GNOME Accessibility Implementation Library.

%files -n %gail_libname
%{_libdir}/libgailutil.so.%{gail_major}{,.*}
%{_libdir}/gtk-2.0/modules/libferret.so
%{_libdir}/gtk-2.0/modules/libgail.so

#--------------------------------------------------------------------

%package -n %gaildevelname
Summary:	Static libraries, include files for GAIL
Group:		Development/GNOME and GTK+
Provides:	gail-devel = %{version}-%{release}
Provides:	libgail-devel = %{version}-%{release}
Requires:	%{gail_libname} = %{version}

%description -n %gaildevelname
Gail is the GNOME Accessibility Implementation Library.

%files -n %gaildevelname
%{_datadir}/gtk-doc/html/gail-libgail-util
%{_libdir}/libgailutil.so
%{_includedir}/gail-1.0
%{_libdir}/pkgconfig/gail.pc

#--------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libname_x11} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%_libdir/girepository-1.0/Gdk-%{gi_major}.typelib
%_libdir/girepository-1.0/GdkX11-%{gi_major}.typelib
%_libdir/girepository-1.0/Gtk-%{gi_major}.typelib

#--------------------------------------------------------------------

%prep
%setup -n %{pkgname}-%{version} -q
%autopatch -p1

%if %{with bootstrap}
#gw disabled for bootstrapping
%patch -P 13 -p1 -R
%endif

%build
# generate build scripts with our autotools
mkdir -p m4
autoreconf -vfi

%global optflags %(echo "%{optflags} -Wno-incompatible-pointer-types")
export CPPFLAGS="-DGTK_COMPILATION"

%configure --enable-xinerama \
	--with-xinput=xfree \
%if ! %{with gtkdoc}
	--disable-gtk-doc
%endif

%make_build

%check
%if %{with tests}
#cd X11-build
XDISPLAY=$(i=1; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
%{_bindir}/Xvfb :$XDISPLAY &
export DISPLAY=:$XDISPLAY
make check
kill $(cat /tmp/.X$XDISPLAY-lock) ||:
#cd ..
%endif

%install
%make_install mandir=%{_mandir} RUN_QUERY_IMMODULES_TEST=false RUN_QUERY_LOADER_TEST=false

mkdir -p %{buildroot}%{_sysconfdir}/gtk-%{api_version}
mkdir -p %{buildroot}%{_libdir}/gtk-%{api_version}/modules

# Handle biarch packages
progs="gtk-query-immodules-%{api_version}"
mkdir -p %{buildroot}%{_libdir}/gtk-%{api_version}/bin
for prog in $progs; do
  mv -f %{buildroot}%{_bindir}/$prog %{buildroot}%{_libdir}/gtk-%{api_version}/bin/
  cat >%{buildroot}%{_bindir}/$prog <<EOF
#!/bin/sh
EC64=0
if [ -x %{_prefix}/lib64/gtk-%{api_version}/bin/$prog ]; then
  %{_prefix}/lib64/gtk-%{api_version}/bin/$prog "\$@"
  EC64=\$?
fi
EC32=0
if [ -x %{_prefix}/lib/gtk-%{api_version}/bin/$prog ]; then
  %{_prefix}/lib/gtk-%{api_version}/bin/$prog "\$@"
  EC32=\$?
fi
if [ "\$EC64" = "0" ]; then
  exit \$EC32
fi
exit \$EC64
EOF
  chmod 0755 %{buildroot}%{_bindir}/$prog
done

touch %{buildroot}%{_libdir}/gtk-%{api_version}/%{binary_version}/immodules.cache

%find_lang gtk20 --all-name

#remove not packaged files
find %{buildroot} -name '*.la' -delete
mv %{buildroot}%{_bindir}/gtk-update-icon-cache %{buildroot}%{_bindir}/gtk%{api_version}-update-icon-cache

# drop Raleigh theme
rm -rf %{buildroot}%{_datadir}/themes/Raleigh/

# Use python3 shebang instead of ambiguous python
%py3_shebang_fix %{buildroot}%{_bindir}/gtk-builder-convert

# Automatic immodule cache compilation on rpm installs/removals
%transfiletriggerin -n %{libname} -- %{_libdir}/gtk-%{api_version}/%binary_version/immodules/
if [ -x %{_libdir}/gtk-%{api_version}/bin/gtk-query-immodules-%{api_version} ]; then
  %{_libdir}/gtk-%{api_version}/bin/gtk-query-immodules-%{api_version} --update-cache
fi

%transfiletriggerpostun -n %{libname} -- %{_libdir}/gtk-%{api_version}/%binary_version/immodules/
if [ -x %{_libdir}/gtk-%{api_version}/bin/gtk-query-immodules-%{api_version} ]; then
  %{_libdir}/gtk-%{api_version}/bin/gtk-query-immodules-%{api_version} --update-cache
fi
