# bcond_with    = disable
# bcond_without = enable
%bcond_without	gtkdoc
%bcond_with	bootstrap
%bcond_with	tests
%bcond_without	sysprof
%bcond_without	tracker

%define pkgname			gtk+
%define api			3
%define api_version		3.0
%define binary_version		3.0.0
%define lib_major		0
%define libname			%mklibname %{pkgname} %{api} %{lib_major}
%define girname			%mklibname gtk-gir %{api_version}
%define develname		%mklibname -d %{pkgname} %{api_version}

%define gail_major	0
%define gail_libname	%mklibname gail %{api} %{gail_major}
%define gaildevelname	%mklibname -d gail %{api_version}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		%{pkgname}%{api_version}
Version:	3.24.49
Release:	%mkrel 1
Summary:	GTK+ graphical user interface library
License:	LGPLv2+
Group:		System/Libraries
# upstream galore:
URL:		https://www.gtk.org
Source0:	https://download.gnome.org/sources/gtk/%{url_ver}/gtk-%{version}.tar.xz
Source1:	im-cedilla.conf
# ovitters silence missing gtk module (canberra) mga#3536
Patch10:	gtk+-3.24.9-silence-canberra-module.patch
# ns80 fix position of child tooltips in GTK3 custom windows mga#30574
Patch11:	8216.patch
BuildRequires:	gettext-devel
BuildRequires:	git-core
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(atk)
BuildRequires:	pkgconfig(atk-bridge-2.0)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(cairo-gobject)
BuildRequires:	pkgconfig(cairo-xlib)
BuildRequires:	pkgconfig(cloudproviders)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xcomposite)
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(xkbcommon)
BuildRequires:	pkgconfig(wayland-client)
BuildRequires:	pkgconfig(wayland-cursor)
BuildRequires:	pkgconfig(wayland-egl)
BuildRequires:	pkgconfig(epoxy)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	cups-devel
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(wayland-protocols)
BuildRequires:	meson

%if %{with sysprof}
BuildRequires:	pkgconfig(sysprof-capture-4)
%endif

%if %{with tracker}
BuildRequires:	pkgconfig(tinysparql-3.0)
%endif

%if %{with tests}
BuildRequires:	x11-server-xvfb
# gw tests will fail without this
BuildRequires:  fonts-ttf-dejavu
%endif

%if %{with gtkdoc}
BuildRequires:	gtk-doc
%endif

%if ! %{with bootstrap}
BuildRequires:	pkgconfig(colord)
Recommends:	xdg-user-dirs-gtk
%endif

Requires:	common-licenses
Requires:	gtk-update-icon-cache

Recommends:	%mklibname gvfs 0

Provides:	%{pkgname}%{api} = %{version}-%{release}

%description
GTK+ is a multi-platform toolkit for creating graphical user
interfaces. Offering a complete set of widgets, GTK+ is suitable for
projects ranging from small one-off tools to complete application
suites.

This package contains version 3 of GTK+.

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	%{summary}
Group:		%{group}
Provides:	lib%{pkgname}%{api} = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}
Requires:	gtk+3.0 = %{version}-%{release}
Requires:	glib2.0-common

%if ! %{with bootstrap}
# standard icons
Requires:	adwaita-icon-theme
%endif

# required for icon theme apis to work
Requires:	hicolor-icon-theme

Requires(posttrans):	gtk+3.0
Requires(posttrans):	libmesagl >= 10.2.3-1

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with gtk+.


#--------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject introspection interface library for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject introspection interface library for %{name}.

#--------------------------------------------------------------------

%package -n %{develname}
Summary:	Development files for GTK+
Group:		Development/GNOME and GTK+
Provides:	%{pkgname}%{api}-devel = %{version}-%{release}
Provides:	lib%{pkgname}%{api}-devel = %{version}-%{release}
Provides:	lib%{pkgname}%{api_version}-devel = %{version}-%{release}
Provides:	lib%{pkgname}-x11-%{api_version}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	gtk3-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	%{girname} = %{version}

%description -n %{develname}
This package contains the libraries and header files that are needed
for writing applications with version 3 of the GTK+ widget toolkit. If
you plan to develop applications with GTK+, consider installing this
package.

#--------------------------------------------------------------------

%package -n %{gail_libname}
Summary:	GNOME Accessibility Implementation Library
Group:		System/Libraries
Provides:	libgail = %{version}-%{release}

%description -n %{gail_libname}
Gail is the GNOME Accessibility Implementation Library

#--------------------------------------------------------------------

%package -n %gaildevelname
Summary:	Static libraries, include files for GAIL
Group:		Development/GNOME and GTK+
Provides:	libgail-%{api_version}-devel = %{version}-%{release}
Requires:	%{gail_libname} = %{version}

%description -n %gaildevelname
Gail is the GNOME Accessibility Implementation Library

#--------------------------------------------------------------------

%package -n gtk-update-icon-cache
Summary:	Icon theme caching utility
Group:		System/Libraries
# Due to gtk-update-icon-cache move
Conflicts:	gtk+2.0 < 2.24.29-2
Conflicts:	gtk+3.0 < 3.24.5-5

%description -n gtk-update-icon-cache
GTK+ can use the cache files created by gtk-update-icon-cache to avoid a lot of
system call and disk seek overhead when the application starts. Since the
format of the cache files allows them to be mmap()ed shared between multiple
applications, the overall memory consumption is reduced as well.

#--------------------------------------------------------------------

%prep
%autosetup -n gtk-%{version} -p1


%build
%meson \
        -Dbroadway_backend=true \
        -Dbuiltin_immodules=wayland,waylandgtk \
        -Dcolord=yes \
        -Dcloudproviders=true \
%if %{with gtkdoc}
        -Dgtk_doc=true \
%endif
        -Dinstalled_tests=false \
        -Dman=true \
        %{?with_tracker:-Dtracker3=true} \
        -Dxinerama=yes \

%meson_build

%install
%meson_install

%find_lang gtk30
%find_lang gtk30-properties

mkdir -p $RPM_BUILD_ROOT%{_libdir}/gtk-%{api_version}/modules

# Adwaita is the default theme but it's not installed and neither was
# Raleigh before it as far as I can tell.
# Most of this is compiled into GTK binaries but it causes the theme not to be
# "seen" by theme choosers - e.g. gnome-tweak-tool, so you cannot switch from
# e.g. oxygen-gtk (the Mageia default) to Adwaita (the upstream default) without
# these files in place or a fix to gnome-tweak-tool and other theme choosers to
# hard-code Adwaita.
# See https://bugzilla.gnome.org/show_bug.cgi?id=733420
mkdir -p %{buildroot}%{_datadir}/themes/Adwaita{,-dark}/gtk-3.0/
cp -a gtk/theme/Adwaita/gtk.css %{buildroot}%{_datadir}/themes/Adwaita/gtk-3.0/gtk.css
cp -a gtk/theme/Adwaita/gtk-dark.css %{buildroot}%{_datadir}/themes/Adwaita-dark/gtk-3.0/gtk.css

# Handle biarch packages
progs="gtk-query-immodules-%{api_version}"
mkdir -p $RPM_BUILD_ROOT%{_libdir}/gtk-%{api_version}/bin
for prog in $progs; do
  mv -f $RPM_BUILD_ROOT%{_bindir}/$prog $RPM_BUILD_ROOT%{_libdir}/gtk-%{api_version}/bin/
  cat >$RPM_BUILD_ROOT%{_bindir}/$prog <<EOF
#!/bin/sh
EC64=0
if [ -x %{_prefix}/lib64/gtk-%{api_version}/bin/$prog ]; then
  %{_prefix}/lib64/gtk-%{api_version}/bin/$prog "\$@"
  EC64=\$?
fi
EC32=0
if [ -x %{_prefix}/lib/gtk-%{api_version}/bin/$prog ]; then
  %{_prefix}/lib/gtk-%{api_version}/bin/$prog "\$@"
  EC32=\$?
fi
if [ "\$EC64" = "0" ]; then
  exit \$EC32
fi
exit \$EC64
EOF
  chmod 0755 $RPM_BUILD_ROOT%{_bindir}/$prog
done

touch $RPM_BUILD_ROOT%_libdir/gtk-%{api_version}/%{binary_version}/immodules.cache

# Input method frameworks want this
install -D %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit/xinput.d/im-cedilla.conf


%check
%if %{with tests}
XDISPLAY=$(i=1; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
%{_bindir}/Xvfb :$XDISPLAY &
export DISPLAY=:$XDISPLAY
%meson_test
kill $(cat /tmp/.X$XDISPLAY-lock) ||:
%endif


# Automatic immodule cache compilation on rpm installs/removals
%transfiletriggerin -n %{libname} -- %{_libdir}/gtk-%{api_version}/%binary_version/immodules/
if [ -x %{_libdir}/gtk-%{api_version}/bin/gtk-query-immodules-%{api_version} ]; then
  %{_libdir}/gtk-%{api_version}/bin/gtk-query-immodules-%{api_version} --update-cache
fi

%transfiletriggerpostun -n %{libname} -- %{_libdir}/gtk-%{api_version}/%binary_version/immodules/
if [ -x %{_libdir}/gtk-%{api_version}/bin/gtk-query-immodules-%{api_version} ]; then
  %{_libdir}/gtk-%{api_version}/bin/gtk-query-immodules-%{api_version} --update-cache
fi

%files -f gtk30.lang -f gtk30-properties.lang
%doc README.md
%{_bindir}/broadwayd
%{_bindir}/gtk-query-immodules-%{api_version}
%{_bindir}/gtk-query-settings
%{_bindir}/gtk-launch
%{_mandir}/man1/gtk-query-immodules-%{api_version}.1*
%{_mandir}/man1/gtk-launch.1*
%{_mandir}/man1/broadwayd.1*
%{_mandir}/man1/gtk-query-settings.1*
%{_datadir}/themes/Adwaita{,-dark}/
%{_datadir}/themes/Default/
%{_datadir}/themes/Emacs/
%{_datadir}/glib-2.0/schemas/org.gtk.Settings.FileChooser.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gtk.Settings.ColorChooser.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gtk.Settings.Debug.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gtk.Settings.EmojiChooser.gschema.xml
%{_datadir}/gettext/its/gtkbuilder.*
%dir %{_sysconfdir}/gtk-%{api_version}
%config(noreplace) %{_sysconfdir}/gtk-%{api_version}/im-multipress.conf
%{_sysconfdir}/X11/xinit/xinput.d/im-cedilla.conf

%files -n %{libname}
%doc README.md
%ghost %verify (not md5 mtime size) %_libdir/gtk-%{api_version}/%{binary_version}/immodules.cache
%dir %{_libdir}/gtk-%{api_version}
%dir %{_libdir}/gtk-%{api_version}/bin
%{_libdir}/gtk-%{api_version}/bin/gtk-query-immodules-%{api_version}
%dir %{_libdir}/gtk-%{api_version}/modules
%dir %{_libdir}/gtk-%{api_version}/%{binary_version}
%dir %{_libdir}/gtk-%{api_version}/%{binary_version}/immodules
%{_libdir}/gtk-%{api_version}/%{binary_version}/immodules/*.so
%dir %{_libdir}/gtk-%{api_version}/%{binary_version}/printbackends
%{_libdir}/gtk-%{api_version}/%{binary_version}/printbackends/*.so
%{_libdir}/libgtk-3.so.%{lib_major}
%{_libdir}/libgtk-3.so.%{lib_major}.*
%{_libdir}/libgdk-3.so.%{lib_major}
%{_libdir}/libgdk-3.so.%{lib_major}.*

%files -n %{girname}
%{_libdir}/girepository-1.0/Gdk-%{api_version}.typelib
%{_libdir}/girepository-1.0/GdkX11-%{api_version}.typelib
%{_libdir}/girepository-1.0/Gtk-%{api_version}.typelib

%files -n %{develname}
%doc docs/*.txt NEWS README.md
%doc %{_datadir}/gtk-doc/html/gdk3
%doc %{_datadir}/gtk-doc/html/gtk3
%{_bindir}/gtk3-demo
%{_bindir}/gtk3-demo-application
%{_bindir}/gtk-builder-tool
%{_bindir}/gtk3-icon-browser
%{_bindir}/gtk3-widget-factory
%{_bindir}/gtk-encode-symbolic-svg
%{_datadir}/glib-2.0/schemas/org.gtk.Demo.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gtk.exampleapp.gschema.xml
%{_datadir}/aclocal/*
%{_datadir}/gtk-%{api_version}
%{_includedir}/gtk-%{api_version}
%{_libdir}/libgtk-%{api}.so
%{_libdir}/libgdk-%{api}.so
%{_libdir}/pkgconfig/gdk-*%{api_version}.pc
%{_libdir}/pkgconfig/gtk+-*%{api_version}.pc
%_datadir/gir-1.0/Gdk-%{api_version}.gir
%_datadir/gir-1.0/GdkX11-%{api_version}.gir
%_datadir/gir-1.0/Gtk-%{api_version}.gir
%{_datadir}/applications/gtk3-demo.desktop
%{_datadir}/applications/gtk3-icon-browser.desktop
%{_datadir}/applications/gtk3-widget-factory.desktop
%{_iconsdir}/*/*/*/gtk3-demo*.*
%{_iconsdir}/*/*/*/gtk3-widget-factory*.*
%{_mandir}/man1/gtk3-demo.1*
%{_mandir}/man1/gtk-builder-tool.1*
%{_mandir}/man1/gtk3-demo-application.1*
%{_mandir}/man1/gtk3-icon-browser.1*
%{_mandir}/man1/gtk3-widget-factory.1*
%{_mandir}/man1/gtk-encode-symbolic-svg.1*

%files -n %gail_libname
%{_libdir}/libgailutil-%{api}.so.%{gail_major}{,.*}

%files -n %gaildevelname
%{_datadir}/gtk-doc/html/gail-libgail-util3
%{_libdir}/libgailutil-%{api}.so
%{_includedir}/gail-%{api_version}
%{_libdir}/pkgconfig/gail-%{api_version}.pc

%files -n gtk-update-icon-cache
%{_bindir}/gtk-update-icon-cache
%{_mandir}/man1/gtk-update-icon-cache.1*

