Name:		gtk-chtheme
Version:	0.3.1
Release:	%mkrel 18
Summary:	Utility to preview and change GTK 2 themes
Group:		Graphical desktop/GNOME
License:	GPLv2
URL:		http://plasmasturm.org/programs/gtk-chtheme/
Source0:	http://plasmasturm.org/code/%{name}/%{name}-%{version}.tar.bz2
Source1:	gtk.png
Patch1:		gtk-chtheme-0.3.1-fix-build-with-gtk.patch
Patch2:		gtk-chtheme-0.3.1-dont-strip-binary-too-early.patch
Patch3:		gtk-chtheme-0.3.1-replace_deprecated_GtkFunction.patch
Patch4:		gtk-chtheme-0.3.1-fix_linking.patch
Patch5:		no-implicit-declarations.patch

BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	imagemagick

%description
Gtk-chtheme allows you to change the Gtk+ 2.0 theme when not using GNOME.

%prep
%setup -q
%patch -P 1 -p1 -b .gtk
%patch -P 2 -p1 -b .strip
%patch -P 3 -p0 -b .GtkFunction
%patch -P 4 -p0 -b .linking
%patch -P 5 -p1 -b .linking

%build
%set_build_flags
%make_build PREFIX=%{_prefix} LDFLAGS="%{ldflags}"

%install
%make_install

# menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=Change GTK-2.0 theme
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=GTK;Utility;DesktopSettings;
EOF

# icons
cp %{SOURCE1} %{name}.png
mkdir -p %{buildroot}/%{_liconsdir}
convert %{name}.png -resize 48x48 %{buildroot}/%_liconsdir/%{name}.png
mkdir -p %{buildroot}/%{_iconsdir}
convert %{name}.png -resize 32x32 %{buildroot}/%{_iconsdir}/%{name}.png
mkdir -p %{buildroot}/%{_miconsdir}
convert %{name}.png -resize 16x16 %{buildroot}/%{_miconsdir}/%{name}.png

# FDo icons
for size in 64x64 48x48 32x32 16x16; do
mkdir -p %{buildroot}/%{_iconsdir}/hicolor/$size/apps;
convert %{name}.png -resize $size %{buildroot}/%{_iconsdir}/hicolor/$size/apps/%{name}.png;
done

%files
%doc ChangeLog
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.*
