%bcond_with bootstrap

Name:		gtk-doc
Version:	1.34.0
Release:	%mkrel 3
Summary:	API documentation generation tool for GTK+ and GNOME
License:	GPLv2+ and GFDL
Group:		Development/GNOME and GTK+
URL:		https://gitlab.gnome.org/GNOME/gtk-doc
Source0:	https://download.gnome.org/sources/gtk-doc/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		gtk-doc-install-cmake-config-files-into-datadir.patch
# test-gobject-mkhtml: ../xml/object.xml:139: element include: XInclude error:
# could not load ../../examples/gobject.c, and no fallback was found
Patch2:		0002-Fix-tests.patch
BuildArch:	noarch
BuildRequires:	meson
BuildRequires:	xsltproc
BuildRequires:	source-highlight
BuildRequires:	yelp-tools
BuildRequires:	itstool
BuildRequires:  pkgconfig(glib-2.0)
%if ! %{with bootstrap}
# for the testsuite:
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	python3dist(anytree)
BuildRequires:	python3dist(pygments)
BuildRequires:	python3dist(parameterized)
BuildRequires:	python3dist(lxml)
BuildRequires:	bc
# for pdflatex:
BuildRequires:	dblatex >= 0.3.11-4
BuildRequires:	texlive-dist
%endif

# Following are not automatically installed
Requires:	xsltproc
Requires:	docbook-utils
Requires:	docbook-dtds
Requires:	docbook-style-xsl
%if ! %{with bootstrap}
Requires:	python3-pygments
Requires:	python3-six
%endif
Requires:	source-highlight

%description
gtk-doc is a tool for generating API reference documentation.
It is used for generating the documentation for GTK+, GLib
and GNOME.

%package	mkpdf
Summary:	API documentation PDF format generation tool for GTK+ and GNOME
Group:		Development/GNOME and GTK+
Requires:	%{name} = %version
%if ! %{with bootstrap}
Requires:	dblatex
%endif

%description	mkpdf
gtkdoc-mkpdf is a tool for generating API reference documentation in PDF format.
it is used for generating the documentation for GTK+, GLib and GNOME.

%prep
%autosetup -p1

# Move this doc file to avoid name collisions
mv doc/README doc/README.docs

%build
%meson
%meson_build

%install
%meson_install

# include shared directory
install -d -m 755 %{buildroot}%{_datadir}/gtk-doc/html

%find_lang %{name}-manual --with-gnome

%if ! %{with bootstrap}
%check
%meson_test
%endif

%files -f %{name}-manual.lang
%doc AUTHORS README doc/* examples
%{_bindir}/gtkdoc-check
%{_bindir}/gtkdoc-depscan
%{_bindir}/gtkdoc-fixxref
%{_bindir}/gtkdoc-mkdb
%{_bindir}/gtkdoc-mkhtml
%{_bindir}/gtkdoc-mkhtml2
%{_bindir}/gtkdoc-mkman
%{_bindir}/gtkdoc-rebase
%{_bindir}/gtkdoc-scan
%{_bindir}/gtkdoc-scangobj
%{_bindir}/gtkdocize
%{_datadir}/gtk-doc/
%{_datadir}/pkgconfig/*
%{_datadir}/aclocal/*
%{_datadir}/cmake/GtkDoc/

%files mkpdf
%{_bindir}/gtkdoc-mkpdf
