Name:           gtk-gnutella
Summary:        GUI based Gnutella Client
Version:        1.2.3
Release:        %mkrel 1
Group:          Networking/File transfer
License:        GPLv2+
URL:            https://gtk-gnutella.sourceforge.net/
Source0:        https://sourceforge.net/projects/gtk-gnutella/files/gtk-gnutella-%{version}.tar.xz

%if 0%{!?_with_gtk1:1}
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libglade-2.0)
%else
BuildRequires:  gtk+-devel
BuildRequires:  libglade-devel
%endif
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  byacc
BuildRequires:  groff
BuildRequires:  gettext

BuildRequires:  pkgconfig(gnutls) >= 1.0.16
BuildRequires:  pkgconfig(dbus-1) >= 0.35.2

BuildRequires:  desktop-file-utils >= 0.2.90


%description
Gtk-Gnutella is a GUI based Gnutella p2p servent. It's a fully featured
servent designed to share any type of file.  Gtk-gnutella implements
compressed gnutella net connections, ultrapeer and leaf nodes and uses
Passive/Active Remote Queueing (PARQ), and other modern gnutella network
features.


%prep
%autosetup -p1

%build
# This package uses a custom configure script which can't be fixed by
# redhat-rpm-config and has tests which are compromised by LTO.
# Disable LTO
%define _lto_cflags %{nil}

./Configure -O -Dprefix=%{_prefix} -Dbindir=%{_bindir} \
        -Dglibpth="/%{_lib} %{_libdir}" \
        -Dprivlib=%{_datadir}/%{name} -Dsysman=%{_mandir}/man1 \
        -Dccflags="%{optflags}" -Dcc="%{__cc}" -Dyacc="byacc" \
        -Dgtkversion=%{?_with_gtk1:1}%{!?_with_gtk1:2} \
        -Dofficial=true -ders
make


%install
make install INSTALL_PREFIX=%{buildroot}
make install.man INSTALL_PREFIX=%{buildroot}

rm -f %{buildroot}%{_datadir}/pixmaps/*.svg
install -D -m 644 extra_files/gtk-gnutella.16.png \
        %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/gtk-gnutella.png
install -D -m 644 extra_files/gtk-gnutella.32.png \
        %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/gtk-gnutella.png
install -D -m 644 extra_files/gtk-gnutella.png \
        %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/gtk-gnutella.png
install -D -m 644 extra_files/gtk-gnutella.svg \
        %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/gtk-gnutella.svg

desktop-file-install --delete-original  \
        --dir %{buildroot}%{_datadir}/applications   \
        %{buildroot}%{_datadir}/applications/*

chmod 0755 %{buildroot}%{_bindir}/*

%find_lang %name

%files  -f %{name}.lang
%{_bindir}/*
%{_mandir}/*/*
%{_datadir}/gtk-gnutella/
%{_datadir}/applications/*
%{_datadir}/appdata/*
%{_datadir}/pixmaps/*
%{_datadir}/icons/hicolor/*/apps/*

%doc README TODO AUTHORS LICENSE GEO_LICENSE doc/other/shell.txt
