%define oname gtk-sharp
%define monodir %_prefix/lib/mono

Summary:	C# language binding for the gtk+ toolkit
Name:		gtk-sharp2
Version:	2.12.45
Release:	%mkrel 10
License:	LGPLv2
Group:		Development/C#
URL:		https://gtk-sharp.sourceforge.net/
Source0:	https://download.mono-project.com/sources/gtk-sharp212/%oname-%version.tar.gz
Patch0:		gtk-sharp2-2.12.12-glib-include.patch
Patch1:         gtk-range-vs-mono-range-ambiguous.patch
Patch2:         gtk-sharp2-c99.patch
Requires:	glib-sharp2 = %version
BuildRequires:	pkgconfig(atk)
BuildRequires:	pkgconfig(gobject-2.0) >= 2.12.0
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.12.0
BuildRequires:	pkgconfig(libglade-2.0) >= 2.3.6
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(mono)
BuildRequires:	pkgconfig(monodoc)

%description
Gtk-sharp is a C# language binding for the  gtk+ toolkit.

%package devel
Summary:	C# code generation tools for %name
Requires:	%{name} = %{version}-%{release}
Group:		Development/C#

%description devel
This contains the code generation tools of gtk-sharp. It is needed for building
C# wrappers for GObject APIs.

%package -n glib-sharp2
Summary:	C# binding for glib
Group:		Development/C#

%description -n glib-sharp2
Glib-sharp is a C# language binding for glib.

%package -n glade-sharp2
Summary:	C# binding for glade
Group:		Development/C#
Requires:	%{name} = %{version}-%{release}

%description -n glade-sharp2
Glade-sharp is a C# language binding for glade.

%package doc
Summary:	Documentation for gtk-sharp
Group:		Development/C#
BuildArch:	noarch
Requires(post):		monodoc
Requires(postun):	monodoc

%description doc
Gtk-sharp is a C# language binding for the  gtk+ toolkit.
This package provides documentation for gtk-sharp.

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

%build
autoreconf -vfi
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%configure
make

%install
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%make_install

rm -rf %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_libdir}/*.a
rm -fr sample/valtest/{.deps, .libs}

%post doc
%_bindir/monodoc --make-index > /dev/null

%postun doc
if [ "$1" = "0" -a -x %_bindir/monodoc ]; then %_bindir/monodoc --make-index > /dev/null
fi

%files
%monodir/gac/*atk-sharp
%monodir/gac/*gdk-sharp
%monodir/gac/*gtk-dotnet
%monodir/gac/*gtk-sharp
%monodir/gac/*pango-sharp
%monodir/%oname-2.0/*atk-sharp.dll*
%monodir/%oname-2.0/*gdk-sharp.dll*
%monodir/%oname-2.0/*gtk-sharp.dll*
%monodir/%oname-2.0/*gtk-dotnet.dll*
%monodir/%oname-2.0/*pango-sharp.dll*
%_libdir/libatksharpglue-2.so
%_libdir/libgdksharpglue-2.so
%_libdir/libgtksharpglue-2.so
%_libdir/libpangosharpglue-2.so
%_libdir/pkgconfig/gtk-sharp-2.0.pc
%_libdir/pkgconfig/gtk-dotnet-2.0.pc

%files -n glib-sharp2
%monodir/gac/*glib-sharp
%monodir/%oname-2.0/*glib-sharp.dll*
%_libdir/libglibsharpglue-2.so
%_libdir/pkgconfig/glib-sharp-2.0.pc

%files -n glade-sharp2
%monodir/gac/*glade-sharp
%monodir/%oname-2.0/*glade-sharp.dll*
%_libdir/pkgconfig/glade-sharp-2.0.pc
%_libdir/libgladesharpglue-2.so

%files doc
%doc ChangeLog README README.generator
%_prefix/lib/monodoc/sources/gtk*

%files devel
%_bindir/gapi2-codegen
%_bindir/gapi2-fixup
%_bindir/gapi2-parser
%dir %_datadir/gapi-2.0/
%_datadir/gapi-2.0/atk-api.xml
%_datadir/gapi-2.0/gdk-api.xml
%_datadir/gapi-2.0/glade-api.xml
%_datadir/gapi-2.0/glib-api.xml
%_datadir/gapi-2.0/gtk-api.xml
%_datadir/gapi-2.0/pango-api.xml
%_libdir/pkgconfig/gapi-2.0.pc
%dir %_prefix/lib/%oname-2.0/
%_prefix/lib/%oname-2.0/gapi-fixup.exe
%_prefix/lib/%oname-2.0/gapi-parser.exe
%_prefix/lib/%oname-2.0/gapi2xml.pl
%_prefix/lib/%oname-2.0/gapi_codegen.exe
%_prefix/lib/%oname-2.0/gapi_pp.pl
