%global forgeurl https://github.com/GLibSharp/GtkSharp
%global tag 3.22.2

%forgemeta

%global debug_package %{nil}
%global _docdir_fmt %{name}

%global oldlibname %mklibname mono-profiler-gui-thread-check 0

Summary:	C# language binding for the gtk+ 3.0 toolkit
Name:		gtk-sharp3
Version:	3.22.2
Release:	%mkrel 1
License:	LGPLv2
Group:		Development/C#
URL:            %forgeurl
Source:         %forgesource
Patch0:         gtk-sharp3-2.99.3-gui-thread-check.patch
Patch1:         gtk-sharp3-2.99.3-gtkrange.patch
Patch2:         gtk-sharp3-3.22.2-nolibdir.patch
Patch3:         gtk-sharp3-3.22.2-add-cairo-sharp-dll-config.patch
BuildRequires:	pkgconfig(atk)
BuildRequires:	pkgconfig(gio-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(mono) >= 2.8
BuildRequires:	pkgconfig(pango)
BuildRequires:	monodoc
BuildRequires:  meson
#BuildRequires:  libglade2-devel
#BuildRequires:  automake, libtool
#BuildRequires:  perl-generators
Obsoletes:      %oldlibname < 2.99.3-13

%description
Gtk-sharp is a C# language binding for the gtk+ 3.0 toolkit.

%package devel
Summary:	C# code generation tools for %name
Group:		Development/C#
Requires:	%{name} = %{version}
Conflicts:	gtk-sharp3 < 2.99.3-6

%description devel
This contains the code generation tools of gtk-sharp. It is needed for building
C# wrappers for GObject APIs.

%package -n glib-sharp3
Summary:        C# binding for glib
Group:          Development/C#

%description -n glib-sharp3
Glib-sharp is a C# language binding for glib.

%package -n glib-sharp3-devel
Summary:	Development files for glib-sharp3
Group:		Development/C#
Requires:	glib-sharp3 = %{version}-%{release}
Conflicts:	glib-sharp3 < 2.99.3-6
Conflicts:	gtk-sharp3-devel < 2.99.3-6

%description -n glib-sharp3-devel
Development files for glib-sharp3.

%package -n atk-sharp3
Summary:        C# binding for atk
Group:          Development/C#

%description -n atk-sharp3
Atk-sharp is a C# language binding for atk.

%package -n cairo-sharp3
Summary:	C# binding for cairo
Group:		Development/C#

%description -n cairo-sharp3
Cairo-sharp is a C# language binding for cairo.

%package -n pango-sharp3
Summary:        C# binding for pango
Group:          Development/C#

%description -n pango-sharp3
Pango-sharp is a C# language binding for pango.

%package doc
Summary:	Documentation for gtk-sharp
Group:		Development/C#
BuildArch:	noarch
Requires(post): monodoc
Requires(postun): monodoc

%description doc
Gtk-sharp is a C# language binding for the  gtk+ toolkit.
This package provides documentation for gtk-sharp.

%prep
%forgeautosetup -p1

#fix missing gdk_api_includes references
sed -i "s/gdk_api_includes/gio_api_includes/" Source/gdk/generated/meson.build
sed -i "s/gdk_api_includes/gio_api_includes/" Source/gio/generated/meson.build
sed -i "s/gdk_api_includes/gio_api_includes/" Source/gtk/generated/meson.build
sed -i "s/gdk_api_includes/gio_api_includes/" Source/sample/valtest/generated/meson.build

%build
%meson -Dinstall=true
%meson_build

%install
%meson_install

# find %{buildroot} -name '*.la' -delete

%post doc
%_bindir/monodoc --make-index > /dev/null

%postun doc
if [ "$1" = "0" -a -x %_bindir/monodoc ]; then %_bindir/monodoc --make-index > /dev/null
fi

%files
%{_monodir}/gac/gdk-sharp
%{_monodir}/gac/gtk-sharp
%{_monodir}/GtkSharp-3.0/gdk-sharp.dll
%{_monodir}/GtkSharp-3.0/gtk-sharp.dll
%{_monodir}/gdk-sharp
%{_monodir}/gtk-sharp

%files -n glib-sharp3
%{_monodir}/gac/gio-sharp
%{_monodir}/gac/glib-sharp
%{_monodir}/GtkSharp-3.0/gio-sharp.dll
%{_monodir}/GtkSharp-3.0/glib-sharp.dll
%{_monodir}/gio-sharp
%{_monodir}/glib-sharp

%files -n glib-sharp3-devel
%{_libdir}/pkgconfig/gio-sharp-3.0.pc
%{_libdir}/pkgconfig/glib-sharp-3.0.pc
%{_datadir}/gapi-3.0/gio-api.xml
%{_datadir}/gapi-3.0/glib-api.xml

%files -n pango-sharp3
%{_monodir}/gac/pango-sharp
%{_monodir}/GtkSharp-3.0/pango-sharp.dll
%{_monodir}/pango-sharp

%files -n cairo-sharp3
%{_monodir}/gac/cairo-sharp
%{_monodir}/GtkSharp-3.0/cairo-sharp.dll
%{_monodir}/cairo-sharp

%files -n atk-sharp3
%{_monodir}/gac/atk-sharp
%{_monodir}/GtkSharp-3.0/atk-sharp.dll
%{_monodir}/atk-sharp

%files devel
%{_bindir}/gapi3-codegen
%{_bindir}/gapi3-fixup
%{_bindir}/gapi3-parser
%dir %{_prefix}/lib/gapi-3.0
%{_prefix}/lib/gapi-3.0/gapi_codegen.exe
%{_prefix}/lib/gapi-3.0/gapi-fixup.exe
%{_prefix}/lib/gapi-3.0/gapi-parser.exe
%{_prefix}/lib/gapi-3.0/gapi2xml.pl
%{_prefix}/lib/gapi-3.0/gapi_pp.pl
%{_libdir}/pkgconfig/gapi-3.0.pc
%{_libdir}/pkgconfig/gtk-sharp-3.0.pc
%{_libdir}/pkgconfig/gdk-sharp-3.0.pc
%dir %{_datadir}/gapi-3.0
%{_datadir}/gapi-3.0/atk-api.xml
%{_datadir}/gapi-3.0/cairo-api.xml
%{_datadir}/gapi-3.0/gdk-api.xml
%{_datadir}/gapi-3.0/gtk-api.xml
%{_datadir}/gapi-3.0/pango-api.xml

%files doc
#{_prefix}/lib/monodoc/sources/*

