# Please keep this package in sync with FC

%define api		1.0
%define major		0
%define libname		%mklibname %{name} %{api} %{major}
%define giname		%mklibname gtkvnc-gir %{api}
%define develname	%mklibname -d %{name} %{api}

%define gtk3_api	2.0
%define gtk3_major	0
%define gtk3_libname	%mklibname %{name} %{gtk3_api} %{gtk3_major}
%define gtk3_giname	%mklibname gtkvnc-gir %{gtk3_api}
%define gtk3_develname	%mklibname %{name} %{gtk3_api} -d

%define gvnc_api	1.0
%define gvnc_major	0
%define gvnc_libname	%mklibname gvnc %{gvnc_api} %{gvnc_major}
%define gvnc_giname	%mklibname gvnc-gir %{gvnc_api}
%define gvnc_develname	%mklibname gvnc %{gvnc_api} -d

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global with_mingw 0

%if 0%{?mageia}
%global with_mingw 1
%endif

Summary:	A GTK widget for VNC clients
Name:		gtk-vnc
Version:	1.5.0
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
Url:		https://gtk-vnc.sourceforge.net/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	python3
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libsasl2)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	perl(Text::CSV)
BuildRequires:	pkgconfig(gmp)
BuildRequires:	vala-tools
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	gettext-devel
BuildRequires:	gi-docgen
BuildRequires:	meson

%if %{with_mingw}
BuildRequires: mingw32-filesystem
BuildRequires: mingw32-gcc
BuildRequires: mingw32-cairo
BuildRequires: mingw32-gettext
BuildRequires: mingw32-gmp
BuildRequires: mingw32-gnutls
BuildRequires: mingw32-gtk3


BuildRequires: mingw64-filesystem
BuildRequires: mingw64-gcc
BuildRequires: mingw64-cairo
BuildRequires: mingw64-gettext
BuildRequires: mingw64-gmp
BuildRequires: mingw64-gnutls
BuildRequires: mingw64-gtk3
%endif

%description
gtk-vnc is a VNC viewer widget for GTK. It is built using 
coroutines allowing it to be completely asynchronous while 
remaining single threaded. It provides a core C library, and
bindings for Python (PyGTK)

%package i18n
Summary:	A VNC viewer widget for GTK
Group:		System/Libraries
Obsoletes:	%{name}-common < 0.4.4
BuildArch:	noarch

%description i18n
gtk-vnc is a VNC viewer widget for GTK. It is built using 
coroutines allowing it to be completely asynchronous while 
remaining single threaded. It provides a core C library, and
bindings for Python (PyGTK)

This package contains translations used by gtk-vnc

%package -n %{gtk3_libname}
Summary:	A VNC viewer widget for GTK3
Group:		System/Libraries

%description -n %{gtk3_libname}
Runtime library for the GTK+ 3.x VNC widget.

%package -n %{gtk3_giname}
Summary:	GObject Introspection interface library for %{name}
Group:		System/Libraries
Requires:	%{gtk3_libname} = %{version}-%{release}

%description -n %{gtk3_giname}
GObject Introspection interface library for %{name}.

%package -n %{gtk3_develname}
Summary:	Headers and development library for gtk3-vnc
Group:		Development/C
Requires:	%{gtk3_libname} = %{version}-%{release}
Requires:	%{gtk3_giname} = %{version}-%{release}
Provides:	lib%{name}%{gtk3_api}-devel = %{version}-%{release}

%description -n %{gtk3_develname}
Development support for the GTK+ 3.x VNC widget.

%package -n %{gvnc_libname}
Summary:	Core library for %{name}
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}-%{release}
Conflicts:	%{libname} < 0.4.3-2

%description -n %{gvnc_libname}
Runtime core library for %{name}.

%package -n %{gvnc_giname}
Summary:	GObject Introspection interface library for gvnc
Group:		System/Libraries
Requires:	%{gvnc_libname} = %{version}-%{release}

%description -n %{gvnc_giname}
GObject Introspection interface library for gvnc.

%package -n %{gvnc_develname}
Summary:	Header files for core library of %{name}
Group:		Development/C
Requires:	%{gvnc_libname} = %{version}-%{release}
Requires:	%{gvnc_giname} = %{version}-%{release}
Provides:	libgvnc%{gvnc_api}-devel = %{version}-%{release}

%description -n %{gvnc_develname}
Development files for core library of %{name}.

%if %{with_mingw}
# Mingw32
%package -n mingw32-gvnc
Summary: MinGW Windows port of VNC GObject
BuildArch: noarch

%package -n mingw32-gvnc-tools
Summary: Command line VNC tools
BuildArch: noarch

%package -n mingw32-gtk-vnc2
Summary: A GTK3 widget for VNC clients
Requires: pkgconfig
Obsoletes: mingw32-gtk-vnc < 1.0.0
BuildArch: noarch

%description -n mingw32-gvnc
gvnc is a GObject for managing a VNC connection. It provides all the
infrastructure required to build a VNC client without having to deal
with the raw protocol itself.

%description -n mingw32-gvnc-tools
Provides useful command line utilities for interacting with
VNC servers. Includes the gvnccapture program for capturing
screenshots of a VNC desktop

%description -n mingw32-gtk-vnc2
gtk-vnc is a VNC viewer widget for GTK. It is built using coroutines
allowing it to be completely asynchronous while remaining single threaded.

# Mingw64
%package -n mingw64-gvnc
Summary: MinGW Windows port of VNC GObject
BuildArch: noarch

%package -n mingw64-gvnc-tools
Summary: Command line VNC tools
BuildArch: noarch

%package -n mingw64-gtk-vnc2
Summary: A GTK3 widget for VNC clients
Requires: pkgconfig
Obsoletes: mingw64-gtk-vnc < 1.0.0
BuildArch: noarch

%description -n mingw64-gvnc
gvnc is a GObject for managing a VNC connection. It provides all the
infrastructure required to build a VNC client without having to deal
with the raw protocol itself.

%description -n mingw64-gvnc-tools
Provides useful command line utilities for interacting with
VNC servers. Includes the gvnccapture program for capturing
screenshots of a VNC desktop

%description -n mingw64-gtk-vnc2
gtk-vnc is a VNC viewer widget for GTK. It is built using coroutines
allowing it to be completely asynchronous while remaining single threaded.

%{?mingw_debug_package}
%endif

%prep
%autosetup -n gtk-vnc-%{version}

%build
%meson
%meson_build

%if %{with_mingw}
%mingw_meson -Dintrospection=disabled -Dgi-docs=disabled
%mingw_ninja
%endif


%install
%meson_install

%find_lang %{name}

%if %{with_mingw}
export DESTDIR=%{buildroot}
%mingw_ninja install

rm -f $RPM_BUILD_ROOT%{mingw32_mandir}/man1/gvnccapture.1*
rm -f $RPM_BUILD_ROOT%{mingw64_mandir}/man1/gvnccapture.1*

%mingw_debug_install_post

%mingw_find_lang gtk-vnc
%endif

%check
%meson_test

%files
%{_bindir}/gvnccapture
%{_mandir}/man1/gvnccapture.1*

%files -n %{gvnc_libname}
%doc README NEWS AUTHORS
%{_libdir}/libgvnc-%{api}.so.%{major}{,.*}
%{_libdir}/libgvncpulse-%{api}.so.%{major}{,.*}

%files -n %{gvnc_giname}
%{_libdir}/girepository-1.0/GVnc-%{api}.typelib
%{_libdir}/girepository-1.0/GVncPulse-%{api}.typelib

%files -n %{gvnc_develname}
%doc %{_docdir}/gvnc.toml
%doc %{_docdir}/gvnc/
%{_libdir}/libgvnc-%{api}.so
%{_libdir}/libgvncpulse-%{api}.so
%{_libdir}/pkgconfig/gvnc-%{api}.pc
%{_libdir}/pkgconfig/gvncpulse-%{api}.pc
%{_includedir}/gvnc-%{api}
%{_includedir}/gvncpulse-%{api}
%{_datadir}/gir-1.0/GVnc-%{api}.gir
%{_datadir}/gir-1.0/GVncPulse-%{api}.gir
%{_datadir}/vala/vapi/gvnc-%{api}.deps
%{_datadir}/vala/vapi/gvnc-%{api}.vapi
%{_datadir}/vala/vapi/gvncpulse-%{api}.deps
%{_datadir}/vala/vapi/gvncpulse-%{api}.vapi

%files -n %{gtk3_libname}
%{_libdir}/libgtk-vnc-%{gtk3_api}.so.%{gtk3_major}{,.*}

%files -n %{gtk3_giname}
%{_libdir}/girepository-1.0/GtkVnc-%{gtk3_api}.typelib

%files -n %{gtk3_develname}
%doc %{_docdir}/gtk-vnc.toml
%doc %{_docdir}/gtk-vnc/
%{_libdir}/libgtk-vnc-%{gtk3_api}.so
%{_includedir}/%{name}-%{gtk3_api}
%{_libdir}/pkgconfig/%{name}-%{gtk3_api}.pc
%{_datadir}/gir-1.0/GtkVnc-%{gtk3_api}.gir
%{_datadir}/vala/vapi/gtk-vnc-%{gtk3_api}.deps
%{_datadir}/vala/vapi/gtk-vnc-%{gtk3_api}.vapi

%files i18n -f %{name}.lang

%if %{with_mingw}
# Mingw32
%files -n mingw32-gvnc -f mingw32-gtk-vnc.lang
%doc AUTHORS
%doc ChangeLog
%doc ChangeLog-old
%doc NEWS
%doc README
%doc COPYING.LIB
%{mingw32_bindir}/libgvnc-1.0-0.dll
%{mingw32_libdir}/libgvnc-1.0.dll.a
%{mingw32_libdir}/pkgconfig/gvnc-1.0.pc
%{mingw32_includedir}/gvnc-1.0

%files -n mingw32-gtk-vnc2
%{mingw32_bindir}/libgtk-vnc-2.0-0.dll
%{mingw32_libdir}/libgtk-vnc-2.0.dll.a
%{mingw32_libdir}/pkgconfig/gtk-vnc-2.0.pc
%{mingw32_includedir}/gtk-vnc-2.0

%files -n mingw32-gvnc-tools
%{mingw32_bindir}/gvnccapture.exe

# Mingw64
%files -n mingw64-gvnc -f mingw64-gtk-vnc.lang
%doc AUTHORS
%doc ChangeLog
%doc ChangeLog-old
%doc NEWS
%doc README
%doc COPYING.LIB
%{mingw64_bindir}/libgvnc-1.0-0.dll
%{mingw64_libdir}/libgvnc-1.0.dll.a
%{mingw64_libdir}/pkgconfig/gvnc-1.0.pc
%{mingw64_includedir}/gvnc-1.0

%files -n mingw64-gtk-vnc2
%{mingw64_bindir}/libgtk-vnc-2.0-0.dll
%{mingw64_libdir}/libgtk-vnc-2.0.dll.a
%{mingw64_libdir}/pkgconfig/gtk-vnc-2.0.pc
%{mingw64_includedir}/gtk-vnc-2.0

%files -n mingw64-gvnc-tools
%{mingw64_bindir}/gvnccapture.exe
%endif

