# bcond_with    = disable
# bcond_without = enable
%bcond_without	gtkdoc
%bcond_with	bootstrap
%bcond_with	tests
%bcond_without	tracker

%global glib2_version 2.80.0
%global pango_version 1.56.0
%global cairo_version 1.18.0
%global gdk_pixbuf_version 2.30.0
%global wayland_protocols_version 1.31
%global wayland_version 1.20.0
%global epoxy_version 1.4

%define pkgname			gtk
%define api			4
%define api_version		4.0
%define binary_version		4.0.0
%define lib_major		1
%define libname			%mklibname %{pkgname} %{api} %{lib_major}
%define girname			%mklibname gtk-gir %{api_version}
%define develname		%mklibname -d %{pkgname} %{api_version}

# Filter provides for private modules
%global __provides_exclude_from ^%{_libdir}/gtk-%{api_version}/

Name:		%{pkgname}%{api_version}
Version:        4.18.4
Release:	%mkrel 1
Summary:        GTK graphical user interface library
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.gtk.org
Source0:	https://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.xz

# (tv) fix misplaced tooltips in drakx/installer (mga#11893, bgo#698730):
Source100:	0001-tooltip-Fix-possibly-briefly-appearing-at-0x0.patch

BuildRequires:	cups-devel
BuildRequires:	gettext-devel
BuildRequires:	gi-docgen
BuildRequires:	glslc
BuildRequires:	meson
BuildRequires:	pkgconfig(avahi-gobject)
BuildRequires:	pkgconfig(cairo) >= %{cairo_version}
BuildRequires:	pkgconfig(cairo-gobject) >= %{cairo_version}
BuildRequires:	pkgconfig(colord)
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(epoxy)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= %{gdk_pixbuf_version}
BuildRequires:	pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(graphene-gobject-1.0)
BuildRequires:	pkgconfig(gstreamer-player-1.0)
BuildRequires:	pkgconfig(harfbuzz)
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(pango) >= %{pango_version}
BuildRequires:	pkgconfig(sysprof-capture-4)
BuildRequires:	pkgconfig(vulkan)
BuildRequires:	pkgconfig(wayland-client) >= %{wayland_version}
BuildRequires:	pkgconfig(wayland-cursor) >= %{wayland_version}
BuildRequires:	pkgconfig(wayland-egl) >= %{wayland_version}
BuildRequires:	pkgconfig(wayland-protocols) >= %{wayland_protocols_version}
BuildRequires:	pkgconfig(xcomposite)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xkbcommon)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	appstream-util
BuildRequires:	python3-docutils
BuildRequires:	sassc
%rename gtk+4.0

%if %{with tracker}
BuildRequires:	pkgconfig(tinysparql-3.0)
%endif

%if %{with tests}
BuildRequires:	x11-server-xvfb
%endif

%if %{with gtkdoc}
BuildRequires:	gi-docgen
BuildRequires:	gtk-doc
BuildRequires:	sgml-tools
BuildRequires:	texinfo
%endif

# gw tests will fail without this
BuildRequires:	fonts-ttf-dejavu

%if !%{with bootstrap}
Recommends:	xdg-user-dirs-gtk
%endif
Recommends:	%mklibname gvfs 0

Requires:	gtk4-update-icon-cache = %{version}-%{release}

Provides:	%{pkgname}%{api} = %{version}-%{release}
Provides:	gtk%{api} = %{version}-%{release}

%description
GTK is a multi-platform toolkit for creating graphical user
interfaces. Offering a complete set of widgets, GTK is suitable for
projects ranging from small one-off tools to complete application
suites.

This package contains version 4 of GTK.

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	%{summary}
Group:		%{group}
Provides:	lib%{pkgname}%{api} = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}
Requires:	gtk4.0 = %{version}-%{release}
Requires:	glib2.0-common

# standard icons
Requires:	adwaita-icon-theme
# required for icon theme apis to work
Requires:	hicolor-icon-theme

Requires(posttrans):	gtk4.0
Requires(posttrans):	libmesagl >= 10.2.3-1

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with gtk.

#--------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject introspection interface library for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject introspection interface library for %{name}.

#--------------------------------------------------------------------

%package -n %{develname}
Summary:	Development files for GTK
Group:		Development/GNOME and GTK+
Provides:	%{pkgname}%{api}-devel = %{version}-%{release}
Provides:	lib%{pkgname}%{api}-devel = %{version}-%{release}
Provides:	lib%{pkgname}%{api_version}-devel = %{version}-%{release}
Provides:	lib%{pkgname}-x11-%{api_version}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	gtk4-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	%{girname} = %{version}

%description -n %{develname}
This package contains the libraries and header files that are needed
for writing applications with version 4 of the GTK widget toolkit.

#--------------------------------------------------------------------

%package devel-docs
Summary: Developer documentation for GTK
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description devel-docs
This package contains developer documentation for version 4 of the GTK
widget toolkit.

#--------------------------------------------------------------------

%package -n gtk4-update-icon-cache
Summary:	Icon theme caching utility
Group:		System/Libraries
Conflicts:	gtk4.0 < 4.9.2-3

%description -n gtk4-update-icon-cache
GTK can use the cache files created by gtk4-update-icon-cache to avoid a lot of
system call and disk seek overhead when the application starts. Since the
format of the cache files allows them to be shared across multiple processes,
for instance using the POSIX mmap(2) system call, the overall memory
consumption is reduced as well.

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n gtk-%{version}

# (ovitters) prevent subprojects from being used, caused an issue with gtk-doc
#            https://gitlab.gnome.org/GNOME/gtk/-/issues/3219
rm -rf subprojects

%build
%ifarch %{ix86} %{arm32}
%global optflags %{optflags} -Wno-int-conversion
%endif
export CFLAGS='-fno-strict-aliasing -DG_DISABLE_CAST_CHECKS -DG_DISABLE_ASSERT %optflags'
%meson \
        -Dbroadway-backend=true \
        -Dsysprof=enabled \
        -Dtracker=%{?with_tracker:enabled}%{?!with_tracker:disabled} \
        -Dcolord=enabled \
        -Ddocumentation=%{?with_gtkdoc:true}%{?!with_gtkdoc:false} \
        -Dbuild-tests=%{?with_tests:true}%{?!with_tests:false} \
        -Dbuild-testsuite=%{?with_tests:true}%{?!with_tests:false} \
        -Dman-pages=true \
        -Dbuild-examples=false

%meson_build

%install
%meson_install

%find_lang gtk40 --all-name

mkdir -p %{buildroot}%{_libdir}/gtk-%{api_version}/modules

# Adwaita is the default theme but it's not installed and neither was
# Raleigh before it as far as I can tell.
# Most of this is compiled into GTK binaries but it causes the theme not to be
# "seen" by theme choosers - e.g. gnome-tweak-tool, so you cannot switch from
# e.g. oxygen-gtk (the Mageia default) to Adwaita (the upstream default) without
# these files in place or a fix to gnome-tweak-tool and other theme choosers to
# hard-code Adwaita.
# See https://bugzilla.gnome.org/show_bug.cgi?id=733420
mkdir -p %{buildroot}%{_datadir}/themes/Default/gtk-4.0
cp -a gtk/theme/Default/gtk{,-dark}.css %{buildroot}%{_datadir}/themes/Default/gtk-4.0

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files -f gtk40.lang
%doc AUTHORS NEWS README.md
%{_bindir}/gtk4-broadwayd
%{_bindir}/gtk4-launch
%{_bindir}/gtk4-query-settings
%{_datadir}/themes
%{_datadir}/glib-2.0/schemas/org.gtk.gtk4.Inspector.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gtk.gtk4.Settings.ColorChooser.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gtk.gtk4.Settings.Debug.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gtk.gtk4.Settings.EmojiChooser.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gtk.gtk4.Settings.FileChooser.gschema.xml
%{_datadir}/gtk-%{api_version}/emoji/*.gresource
%{_mandir}/man1/gtk4-broadwayd.1*
%{_mandir}/man1/gtk4-launch.1*
%{_mandir}/man1/gtk4-query-settings.1*

%files -n %{libname}
%doc README.md
%dir %{_libdir}/gtk-%{api_version}
%dir %{_libdir}/gtk-%{api_version}/modules
%dir %{_libdir}/gtk-%{api_version}/%{binary_version}
%dir %{_libdir}/gtk-%{api_version}/%{binary_version}/printbackends
%{_libdir}/gtk-%{api_version}/%{binary_version}/printbackends/*.so
%{_libdir}/libgtk-4.so.%{lib_major}.*
%{_libdir}/libgtk-4.so.%{lib_major}
%{_libdir}/gtk-%{api_version}/%{binary_version}/media/libmedia-gstreamer.so

%files -n %{girname}
%{_libdir}/girepository-1.0/Gdk-%{api_version}.typelib
%{_libdir}/girepository-1.0/GdkX11-%{api_version}.typelib
%{_libdir}/girepository-1.0/GdkWayland-%{api_version}.typelib
%{_libdir}/girepository-1.0/Gsk-%{api_version}.typelib
%{_libdir}/girepository-1.0/Gtk-%{api_version}.typelib

%files -n %{develname}
%doc docs/*.txt AUTHORS NEWS README.md
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_bindir}/gtk4-builder-tool
%{_bindir}/gtk4-demo
%{_bindir}/gtk4-demo-application
%{_bindir}/gtk4-encode-symbolic-svg
%{_bindir}/gtk4-image-tool
%{_bindir}/gtk4-node-editor
%{_bindir}/gtk4-path-tool
%{_bindir}/gtk4-print-editor
%{_bindir}/gtk4-rendernode-tool
%{_bindir}/gtk4-widget-factory
%{_libdir}/libgtk-%{api}.so
%{_datadir}/applications/org.gtk.gtk4.NodeEditor.desktop
%{_datadir}/applications/org.gtk.Demo4.desktop
%{_datadir}/applications/org.gtk.PrintEditor4.desktop
%{_datadir}/applications/org.gtk.WidgetFactory4.desktop
%{_datadir}/icons/hicolor/*/apps/org.gtk.gtk4.NodeEditor*.svg
%{_datadir}/icons/hicolor/*/apps/org.gtk.Demo4*.svg
%{_datadir}/icons/hicolor/*/apps/org.gtk.PrintEditor4*.svg
%{_datadir}/icons/hicolor/*/apps/org.gtk.WidgetFactory4*.svg
%{_datadir}/gettext/its/gtk4builder.*
%{_datadir}/gir-1.0/Gdk-%{api_version}.gir
%{_datadir}/gir-1.0/GdkWayland-%{api_version}.gir
%{_datadir}/gir-1.0/GdkX11-%{api_version}.gir
%{_datadir}/gir-1.0/Gsk-%{api_version}.gir
%{_datadir}/gir-1.0/Gtk-%{api_version}.gir
%{_datadir}/glib-2.0/schemas/org.gtk.Demo4.gschema.xml
%dir %{_datadir}/gtk-4.0
%{_datadir}/gtk-4.0/gtk4builder.rng
%{_datadir}/gtk-4.0/valgrind/
%{_metainfodir}/org.gtk.gtk4.NodeEditor.appdata.xml
%{_metainfodir}/org.gtk.Demo4.appdata.xml
%{_metainfodir}/org.gtk.PrintEditor4.appdata.xml
%{_metainfodir}/org.gtk.WidgetFactory4.appdata.xml
%{_mandir}/man1/gtk4-builder-tool.1*
%{_mandir}/man1/gtk4-demo.1*
%{_mandir}/man1/gtk4-demo-application.1*
%{_mandir}/man1/gtk4-encode-symbolic-svg.1*
%{_mandir}/man1/gtk4-image-tool.1*
%{_mandir}/man1/gtk4-node-editor.1*
%{_mandir}/man1/gtk4-path-tool.1*
%{_mandir}/man1/gtk4-rendernode-tool.1*
%{_mandir}/man1/gtk4-widget-factory.1*

%files devel-docs
%{_datadir}/doc/gdk4/
%{_datadir}/doc/gdk4-wayland/
%{_datadir}/doc/gdk4-x11/
%{_datadir}/doc/gsk4/
%{_datadir}/doc/gtk4/

%files -n gtk4-update-icon-cache
%{_bindir}/gtk4-update-icon-cache
%{_mandir}/man1/gtk4-update-icon-cache.1*
