%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	A Gtk+-Widget for Fast Data Display
Name:		gtkdatabox
Version:	1.0.0
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
URL:		https://sourceforge.net/projects/gtkdatabox/
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gladeui-2.0)
BuildRequires:	gtk-doc

%description
GtkDatabox is a widget for the Gtk+-library designed to display large
amounts of numerical data fast and easy. One or more data sets of
thousands of data points (X and Y coordinate) may be displayed and
updated in split seconds. The widget is therefore used in many scientific
and private projects that need to show quickly changing data "live".

GtkDatabox offers the ability to zoom into and out of the data and to
navigate through your data by scrolling. In addition to rulers and
a simple coordinate cross, GtkDatabox now also allows you to add one
(or even more) configurable grids like on an oscilloscope.

%package -n	%{libname}
Summary:	A Gtk+-Widget for Fast Data Display
Group:		System/Libraries

%description -n	%{libname}
GtkDatabox is a widget for the Gtk+-library designed to display large
amounts of numerical data fast and easy.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains all necessary files to compile or develop
programs/libraries that use %{name}.

%package	glade
Summary:	Glade 3 support files for %{name}
Group:		System/Libraries

%description	glade
The %{name}-glade package contains support files for glade.

%prep
%setup -q
%autopatch -p1

%build
%configure --disable-static --enable-glade LIBS="-lm"
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{develname}
%{_datadir}/gtk-doc/html/gtkdatabox-1/
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files glade
%{_libdir}/glade/modules/libgladedatabox.so
%{_datadir}/glade/catalogs/gtkdatabox.xml
%{_iconsdir}/hicolor/scalable/apps/widget-gladedatabox-gtk_databox.svg
%{_iconsdir}/hicolor/scalable/apps/widget-gladedatabox-gtk_databox_ruler.svg
