Name:           gtkdialog
Version:        0.8.5e
Release:        %mkrel 1
Summary:        GUI creation tool for shells and arbitrary interpreters
License:        GPLv2+
Group:          Development/Tools
URL:            https://github.com/puppylinux-woof-CE/gtkdialog
Source:         https://github.com/puppylinux-woof-CE/gtkdialog/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  meson
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(vte-2.91)
BuildRequires:  pkgconfig(gtk-layer-shell-0)

%description
The gtkdialog is uses an XML like simple language as a GUI description
language to produce dialog boxes. The program can be used with shells
and arbitrary interpreters. Example programs included for BASH and AWK.

%prep
%autosetup -p1

sed -i 's|usr/local|usr|' examples/miscellaneous/standalone_file

%build
%meson
%meson_build

%install
%meson_install

mkdir -p  %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Gtkdialog
Comment=Script friendly gtk GUI builder 
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Development;
EOF

%files
%doc AUTHORS NEWS TODO ChangeLog examples
%license COPYING
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
