%define title       GtkDive
%define longtitle   Buehlmann ZH-L16 model diving simulation

Name:           gtkdive
Version:        0.71
Release:        %mkrel 17
Summary:        Buehlmann ZH-L16 model diving simulation
License:        GPL
Group:          Sciences/Other
URL:            http://mattzz.dyndns.org/twiki/bin/view/Projects/GtkDive
Source0:        http://mattzz.dyndns.org/twiki/pub/Projects/GtkDive/%{name}-%{version}.tar.bz2
Source1:        %{name}-16.png
Source2:        %{name}-32.png
Source3:        %{name}-48.png
Patch0:         gtkdive-0.71-link.patch
BuildRequires:  gtk+2-devel
BuildRequires:  pkgconfig(libxml-2.0)

%description
This program was written to learn about the Buehlmann ZH-L16 model that deals
with accumulation of inert gas in body tissues. Currently it compiles for
GNU/Linux.

Do not use this to plan any dive! 

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

# icons
install -D -m 644 %{SOURCE3} %{buildroot}%{_liconsdir}/%{name}.png 
install -D -m 644 %{SOURCE2} %{buildroot}%{_iconsdir}/%{name}.png 
install -D -m 644 %{SOURCE1} %{buildroot}%{_miconsdir}/%{name}.png 

# menu entry

install -d -m 755 %{buildroot}%{_datadir}/applications
cat >  %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=%{title}
Comment=%{longtitle}
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=GTK;Science;
EOF

%files
%doc AUTHORS COPYING INSTALL ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/mageia-%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
