%define major	8
%define api	3.0
%define libname	%mklibname %{name}-x11_ %{api} %{major}
%define devname	%mklibname %{name}-x11 -d

Name:		gtkextra
Summary:	A library of gtk+ widgets
Version:	3.3.4
Release:	%mkrel 6
License:	LGPLv2
Group:		System/Libraries
URL:		https://sourceforge.net/projects/gtkextra
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch1:		gtkextra-missing-include.patch

BuildRequires:	pkgconfig(gtk+-x11-2.0)

%description
GtkExtra is a useful set of widgets for creating GUI's for the Xwindows system
using GTK+. You can use it complementary to GTK+ and it is written in C.
The library includes: GtkSheet, GtkPlot, GtkIconList, GtkDirTree GtkFileList,
GtkIconFileSelection. GtkItemEntry, GtkFontCombo, GtkComboBox, GtkColorCombo,
GtkBorderCombo and GtkCheckItem.

%package -n %{libname}
Summary:	A library of gtk+ widgets
Group:		System/Libraries

%description -n %{libname}
The gtk+extra package includes the libraries.

%package -n %{devname}
Summary:	Development files for gtkextra
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
The gtk+extra-devel package includes the static libraries, header files,
and documentation for compiling programs that use gtk+extra widgets.

%prep
%autosetup -p1

%build
%configure \
  --disable-static
# This is ignored and html is installed to %%{name}-3 so we move it
#  --htmldir=%%{buildroot}%%{_datadir}/gtk-doc/html/%%{name}/

%make_build

%install
%make_install

mv %{buildroot}%{_datadir}/gtk-doc/html/gtkextra-3 \
%{buildroot}%{_datadir}/gtk-doc/html/gtkextra

find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/lib%{name}-x11-%{api}.so.%{major}{,.*}

%files -n %{devname}
%doc README docs/*.ChangeLog
%{_datadir}/gtk-doc/html/%{name}/
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/lib%{name}-x11-%{api}.so
%{_includedir}/%{name}-%{api}/
