%define api 2.0
%define major 1
%define oname gtkglarea
%define libname %mklibname gtkgl %{api} %{major}
%define develname %mklibname -d gtkgl

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	OpenGL widget for GTK+ GUI toolkit
Name:		gtkglarea2
Version:	2.1.0
Release: 	%mkrel 4
License:	LGPLv2+
Group:		System/Libraries
Source:		https://download.gnome.org/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.xz
Patch0:		gtkglarea-2.0.0-wformat.patch
Patch1:		gtkglarea-2.1.0-link.patch
URL:		http://www.student.oulu.fi/~jlof/gtkglarea/
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gtk+-2.0)

%description
Just as GTK+ is build on top of GDK, GtkGLArea is built on top of gdkgl which
is basically wrapper around GLX functions. The widget itself is very similar
to GtkDrawingArea widget and adds only three extra functions.

Lower level gdkgl functions make it easy to render on any widget that has
OpenGL capable visual, rendering to off-screen pixmaps is also supported.

%package -n %{libname}
Summary:	OpenGL widget for GTK+ GUI toolkit
Group:		System/Libraries
Obsoletes:	%{_lib}gtkglarea2.0 < %{version}-%{release}

%description -n %{libname}
Just as GTK+ is build on top of GDK, GtkGLArea is built on top of gdkgl which
is basically wrapper around GLX functions. The widget itself is very similar
to GtkDrawingArea widget and adds only three extra functions.

Lower level gdkgl functions make it easy to render on any widget that has
OpenGL capable visual, rendering to off-screen pixmaps is also supported.

%package -n %{develname}
Summary:	Includes and static libs
Group:		Development/GNOME and GTK+
Requires:	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}gtkglarea2.0-devel < %{version}-%{release}

%description -n %{develname}
Libraries and includes files you can use for GtkGLArea development

%prep
%setup -q -n %oname-%version
%autopatch -p1

# to make autoreconf happy
mkdir -p m4

%build
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/libgtkgl-%{api}.so.%{major}
%{_libdir}/libgtkgl-%{api}.so.%{major}.*

%files -n %{develname}
%doc docs/*.txt
%{_libdir}/*.so
%{_includedir}/*
%_libdir/pkgconfig/gtkgl-%{api}.pc
