%define	major	0
%define	api_version 1.0

%define	libname %mklibname %{name}-%{api_version}_ %{major}
%define	libnamedev %mklibname %{name} -d

Summary:	OpenGL extension to GTK 2.0 or later
Name:		gtkglext
Version:	1.2.0
Release: 	%mkrel 28
License:	LGPLv1
Group:		System/Libraries
URL:		https://gtkglext.sourceforge.net/
Source0:	https://prdownloads.sourceforge.net/gtkglext/%{name}-%{version}.tar.bz2
Patch0:		gtkglext-support-pango.diff
Patch1:		gtkglext-1.2.0-newer-gtk.patch
Patch2:		gtkglext-1.2.0-pangox.patch
Patch3:		gtkglext-1.2.0-automake-1.13.patch
Patch4:		0002-GCC-8-fixes.patch
# HACK: Disable pangox features
Patch5:		gtkglext-1.2.0-no-pangox.patch
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(gdk-2.0) >= 2.0.0
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.0.0
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.0.0
BuildRequires:	pkgconfig(pango) >= 1.0.0
#BuildRequires:	pkgconfig(pangox)

%description
GtkGLExt is an OpenGL extension to GTK 2.0 or later.
GtkGLExt provides the GDK objects to support OpenGL rendering in GTK,
and GtkWidget API add-ons to make GTK+ widgets OpenGL-capable.
As opposed to Jane Loff's GtkGLArea , it does not provide any OpenGL widget,
but an interface to use OpenGL on *ANY* GTK+ widget.

%package -n	%{libname}
Summary:	OpenGL extension to GTK 2.0 or later
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
GtkGLExt is an OpenGL extension to GTK 2.0 or later.
GtkGLExt provides the GDK objects to support OpenGL rendering in GTK,
and GtkWidget API add-ons to make GTK+ widgets OpenGL-capable.
As opposed to Jane Loff's GtkGLArea , it does not provide any OpenGL widget,
but an interface to use OpenGL on *ANY* GTK+ widget.

%package -n	%{libnamedev}
Summary:	OpenGL extension to GTK 2.0 or later
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}
Provides:	lib%{name}-%{api_version}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel
Obsoletes:	%{_lib}gtkglext-1.0_0-devel < %{version}-%{release}

%description -n %{libnamedev}
Libraries and includes files you can use for GtkGLExt development.

%prep
%setup -q
%patch -P 0 -p0
%patch -P 1 -p1 -b .gtk
#patch -P 2 -p0
%patch -P 3 -p1 -b .automake-1_13
%patch -P 4 -p1 -b .gccfixes
%patch -P 5 -p1 -b .nopangox

%build
autoreconf -vfi
%configure --disable-static
%make_build LIBS='-lX11'

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/lib*-%{api_version}.so.%{major}
%{_libdir}/lib*-%{api_version}.so.%{major}.*

%files -n %{libnamedev}
%doc AUTHORS ChangeLog TODO README
%doc %{_datadir}/gtk-doc/html/gtkglext
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/%{name}-%{api_version}/
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4
