%define major 0
%define libname  %mklibname %name %major
%define develname %mklibname -d %name

Summary:    C++ rendering engine for MathML documents
Name:       gtkmathview
Version:    0.8.0
Release:    %mkrel 22
License:    GPL
Group:      Networking/WWW
Url:            https://www.cs.unibo.it/helm/mml-widget/
Source:     http://helm.cs.unibo.it/mml-widget/sources/%{name}-%{version}.tar.bz2
Source1:         gtkmathview.html.tar.bz2
Patch0: gtkmathview-0.8.0-cond-t1.patch
Patch1: gtkmathview-0.8.0-gcc43.patch
Patch2: gtkmathview-0.8.0-gcc44.patch
Patch3: gtkmathview-0.8.0-fix-link.patch
Patch4: gtkmathview-0.8.0-no-static.patch
# Fixes from git, via fedora
Patch5: gtkmathview-marshalling-functions-git7d938a.patch
Patch6: gtkmathview-gcc-fixes-git3918e8.patch
Patch7: gtkmathview-fix-ComputerModernShaper-git210206.patch
Patch8: gtkmathview-lowercasegreek-gitb03152.patch
# Fix build with gcc 4.7.x, from fedora
Patch9: gtkmathview-0.8.0-gcc47.patch
Patch10: gtkmathview-0.8.0-am-1.13.patch
Patch11: gtkmathview-0.8.0-gcc7.patch
BuildRequires:    t1lib-devel >= 1.3
BuildRequires:    pkgconfig(libxml-2.0) >= 2.2.0
BuildRequires:    pkgconfig(popt)
BuildRequires:    libxslt-proc
BuildRequires:    pkgconfig(glib-2.0) >= 2.2.1
Requires:         fonts-ttf-latex

%description
GtkMathView is a GTK Widget for rendering MathML documents.

%package -n %libname
Summary:   Libraries for gtkmathview
Group: System/Libraries

%description -n %libname
GtkMathView is a GTK Widget for rendering MathML documents.

%package -n %develname
Summary:  Libraries and include files for gtkmathview
Group:    Development/C++
Requires: %libname = %version libxml2-devel >= 2.4.26
Provides: lib%name-devel = %version-%release
Provides: %name-devel = %version-%release
Obsoletes: %{_lib}gtkmathview0-devel < %version-%release

%description -n %develname
GtkMathView is a GTK Widget for rendering MathML documents.

%prep
%setup -q
%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p0
%patch -P 3 -p0
%patch -P 4 -p1
%patch -P 5 -p1 -b .git7d938a
%patch -P 6 -p1 -b .git3918e8
%patch -P 7 -p1 -b .git210206
%patch -P 8 -p1 -b .gitb03152
%patch -P 9 -p1 -b .gcc47
%patch -P 10 -p1 -b .am
%patch -P 11 -p1 -b .gcc7

# AM_BINRELOC missing, just ignore
echo 'AC_DEFUN([AM_BINRELOC], [])' > acinclude.m4

%build
autoreconf -fi
%configure --disable-static --disable-gtk
%make_build

##Add updated html reference manual##
mkdir DATA.TMP
cd DATA.TMP
tar xjf %{SOURCE1}
cd ../../..

%install
%make_install

mkdir -p %buildroot/%_docdir/%name
cp -r DATA.TMP/%name.html %buildroot/%_docdir/%name

find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS BUGS COPYING ChangeLog HISTORY INSTALL LICENSE NEWS README TODO
%{_docdir}/%{name}/%{name}.html
%config(noreplace) %_sysconfdir/gtkmathview/gtkmathview.conf.xml
%_bindir/*
%_datadir/%name
%_mandir/man1/*

%files -n %libname
%_libdir/lib*.so.%{major}
%_libdir/lib*.so.%{major}.*

%files -n %develname
%{_libdir}/lib*.so
%{_includedir}/*
%_libdir/pkgconfig/*
