%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}
%global __provides_exclude_from %{_datadir}/gnome/help/.*
%global __requires_exclude_from %{_datadir}/gnome/help/.*

%global api	4.0

Summary:	Documentation of C++ wrappers for GLib/GTK+
Name:		gtkmm-documentation
Version:	4.12.0
Release:	%mkrel 1
License:	GFDL
Group:		Documentation
Url:		https://developer.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	scrollkeeper
BuildRequires:	pkgconfig
BuildRequires:	gnome-doc-utils
BuildRequires:	meson
BuildRequires:	perl
BuildRequires:	pkgconfig(gtkmm-4.0)
BuildRequires:	itstool

%description
GLib is a low-level general-purpose library used mainly by GTK+/GNOME
applications, but is useful for other programs as well. glibmm is the C++
wrapper for GLib.

Gtkmm is a C++ interface for the popular GUI library GTK+. It provides a
convenient interface for C++ programmers to create graphical user interfaces
with GTK+'s flexible OO framework. Highlights include type safe callbacks,
widgets extensible using inheritance and over 180 classes that can be freely
combined to quickly create complex user interfaces.

This package contains tutorial, FAQ, as well as examples for the above
components.

%package -n gtkmm-documentation%{api}
Summary:	Documentation of C++ wrappers for GLib/GTK+
Provides:	gtkmm%{api}-documentation = %{version}-%{release}

%description -n gtkmm-documentation%{api}
GLib is a low-level general-purpose library used mainly by GTK+/GNOME
applications, but is useful for other programs as well. glibmm is the C++
wrapper for GLib.

Gtkmm is a C++ interface for the popular GUI library GTK+. It provides a
convenient interface for C++ programmers to create graphical user interfaces
with GTK+'s flexible OO framework. Highlights include type safe callbacks,
widgets extensible using inheritance and over 180 classes that can be freely
combined to quickly create complex user interfaces.

This package contains tutorial, FAQ, as well as examples for the above
components.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome --all-name --with-gnome

%files -n gtkmm-documentation%{api} -f %{name}.lang
%doc NEWS README.md
%{_datadir}/doc/gtkmm-%{api}/
