%bcond_without doc

%define pkgname		gtkmm
%define api_version	3.0
%define major		1
%define libname_orig	%mklibname %{pkgname} %{api_version}
%define libname		%mklibname %{pkgname} %{api_version} %{major}
%define libnamedev	%mklibname -d %{pkgname} %{api_version}

Name:		%{pkgname}%{api_version}
Summary:	C++ interface for popular GUI library gtk+
Version:	3.24.10
Release:	%mkrel 1
#gw lib is LGPL, tool is GPL
License:	LGPLv2+ and GPLv2+
Group:		System/Libraries
URL:		https://gtkmm.sourceforge.net/
Source:		https://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.xz
BuildRequires:	meson
%if %{with doc}
BuildRequires:	graphviz
BuildRequires:	xsltproc
BuildRequires:	doxygen
%endif
BuildRequires:	pkgconfig(atkmm-1.6)
BuildRequires:	pkgconfig(cairomm-1.0)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(glibmm-2.4)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtk+-unix-print-3.0)
BuildRequires:	pkgconfig(pangomm-1.4)

%description
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

%package	-n %{libname}
Summary:	C++ interface for popular GUI library gtk+
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}
Provides:	%{pkgname}%{api_version} = %{version}-%{release}

%description	-n %{libname}
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains the library needed to run programs dynamically
linked with %{pkgname}.

%package	-n %{libnamedev}
Summary:	Headers and development files of %{pkgname}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Provides:	%{pkgname}%{api_version}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Obsoletes:	%{_lib}gtkmm3.0-static-devel < 3.24.3

%description	-n %{libnamedev}
This package contains the headers and development files that are needed,
when trying to develop or compile applications which need %{pkgname}.

%package	doc
Summary:	GTKmm documentation
Group:		Documentation
BuildArch:	noarch

%description	doc
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains all API documentation for gtkmm. You can readily read
this documentation with devhelp, a documentation reader.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%meson \
  -Dbuild-documentation=%{?with_doc:true}%{?!with_doc:false} \
  -Dbuild-x11-api=true \
  -Dbuild-atkmm-api=true \
  -Dbuild-demos=false \
  -Dbuild-tests=false
%meson_build

%install
%meson_install

%files -n %{libname}
%doc NEWS README.md
%license COPYING
%{_libdir}/libgdkmm-%{api_version}.so.%{major}{,.*}
%{_libdir}/libgtkmm-%{api_version}.so.%{major}{,.*}

%files -n %{libnamedev}
%doc ChangeLog
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/gtkmm-%{api_version}
%{_libdir}/gdkmm-%{api_version}
%{_libdir}/pkgconfig/*.pc

%if %{with doc}
%files doc
%doc %{_datadir}/doc/gtkmm-%{api_version}
%doc %{_datadir}/devhelp/books/*
%endif
