%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define pkgname		gtkmm
%define api		4.0
%define major		0
%define libname		%mklibname %{pkgname} %{api} %{major}
%define libnamedev	%mklibname %{pkgname} %{api} -d

%bcond_without doc

Name:		%{pkgname}%{api}
Summary:	C++ interface for popular GUI library gtk+
Version:	4.18.0
Release:	%mkrel 1
#gw lib is LGPL, tool is GPL
License:	LGPLv2+ and GPLv2+
Group:		System/Libraries
URL:		https://gtkmm.sourceforge.net/
Source:		https://download.gnome.org/sources/gtkmm/%{url_ver}/%{pkgname}-%{version}.tar.xz
BuildRequires:	meson
%if %{with doc}
BuildRequires:	doxygen
%endif
BuildRequires:	pkgconfig(cairomm-1.16)
BuildRequires:	pkgconfig(glibmm-2.68)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(pangomm-2.48)

%description
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

%package	-n %{libname}
Summary:	C++ interface for popular GUI library gtk+
Group:		System/Libraries
Provides:	%{pkgname}%{api} = %{version}-%{release}

%description	-n %{libname}
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains the library needed to run programs dynamically
linked with %{pkgname}.

%package	-n %{libnamedev}
Summary:	Headers and development files of %{pkgname}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %{libnamedev}
This package contains the headers and development files that are needed,
when trying to develop or compile applications which need %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%meson \
  -Dbuild-documentation=%{?with_doc:true}%{?!with_doc:false} \
  -Dbuild-demos=false \
  -Dbuild-tests=false
%meson_build

%install
%meson_install

%files -n %{libname}
%license COPYING
%doc NEWS README.md
%{_libdir}/libgtkmm-%{api}.so.%{major}{,.*}

%files -n %{libnamedev}
%doc ChangeLog
%{_includedir}/gtkmm-%{api}/
%{_libdir}/libgtkmm-%{api}.so
%{_libdir}/gtkmm-%{api}/
%{_libdir}/pkgconfig/gtkmm-%{api}.pc
%if %{with doc}
%doc %{_datadir}/doc/gtkmm-%{api}/
%doc %{_datadir}/devhelp/books/*
%endif
