%global api	4.0
%global major	4
%global libname	%mklibname gtksheet %{api} %{major}
%global girname	%mklibname gtksheet-gir %{api}
%global devname	%mklibname gtksheet -d

Name:		gtksheet
Summary:	A spreadsheet like matrix widget for Gtk+
Version:	4.3.14
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
Url:		https://fpaquet.github.io/gtksheet/
Source0:	https://github.com/fpaquet/gtksheet/archive/V%{version}/gtksheet-%{version}.tar.gz
Patch50:	gtksheet-nsversion.patch
Patch51:	gtksheet-pkg-conf-includedir.patch
Patch52:	gtksheet-missing-headers.patch
Patch53:	gtksheet-fix-meson-arguments.patch
BuildRequires:	meson
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)

%description
The gtksheet library is a fork of the GtkSheet widget included in the GTK+extra
library. It includes the GtkSheet widget for displaying a spreadsheet-like
matrix. The included GtkDataEntry widget supports formatted number display.

%package -n %{libname}
Summary:	A spreadsheet like matrix widget for Gtk+
Group:		System/Libraries

%description -n %{libname}
The gtksheet library is a fork of the GtkSheet widget included in the GTK+extra
library. It includes the GtkSheet widget for displaying a spreadsheet-like
matrix. The included GtkDataEntry widget supports formatted number display.

%package -n %{girname}
Summary:	GObject Introspection interface description for GtkSheet
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for GtkSheet.

%package -n %{devname}
Summary:	Development libraries and headers for gtksheet
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development libraries and header files for gtksheet.

%prep
%autosetup -p1

%build
export CFLAGS="%{optflags} -fpermissive"
%meson \
  -D enable-glade=false \
  -D enable-introspection=true \
  -D enable-gtk-doc=false
%meson_build

%install
%meson_install

%files -n %{devname}
%{_includedir}/gtksheet-%{api}/
%{_libdir}/libgtksheet-%{api}.so
%{_libdir}/pkgconfig/gtksheet-%{api}.pc
%{_datadir}/gir-1.0/GtkSheet-%{api}.gir

%files -n %{girname}
%{_libdir}/girepository-1.0/GtkSheet-%{api}.typelib

%files -n %{libname}
%license COPYING
%doc README AUTHORS
%{_libdir}/libgtksheet-%{api}.so.%{major}{,.*}
