%global api_ver		5
%global major 		0
%define gir_major	5
%define libname		%mklibname gtksourceview %api_ver %major
%define devname		%mklibname gtksourceview %api_ver -d
%define girname		%mklibname %{name}-gir %{gir_major}

Name:           gtksourceview
Version:        5.16.0
Release:        %mkrel 2
Summary:        Source code editing widget
Group:          Graphical desktop/GNOME

License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/GtkSourceView
Source0:        https://download.gnome.org/sources/gtksourceview/%{url_ver}/gtksourceview-%{version}.tar.xz
Patch1:		gtksourceview-5.14.2-mga-rpmspec.patch
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  gi-docgen
BuildRequires:  itstool
BuildRequires:  meson
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(pangoft2)
BuildRequires:  pkgconfig(libpcre2-8)
BuildRequires:  pkgconfig(sysprof-capture-4)
BuildRequires:  pkgconfig(vapigen)
BuildRequires:  vala-tools

%description
GtkSourceView is a GNOME library that extends GtkTextView, the standard GTK+
widget for multiline text editing. GtkSourceView adds support for syntax
highlighting, undo/redo, file loading and saving, search and replace, a
completion system, printing, displaying line numbers, and other features
typical of a source code editor.

This package contains version %{api_ver} of GtkSourceView.

%package -n gtksourceview%{api_ver}
Summary:        Source code editing widget
Requires:	glib2.0-common%{?_isa}
Requires:	hicolor-icon-theme

%description -n gtksourceview%{api_ver}
GtkSourceView is a GNOME library that extends GtkTextView, the standard GTK+
widget for multiline text editing. GtkSourceView adds support for syntax
highlighting, undo/redo, file loading and saving, search and replace, a
completion system, printing, displaying line numbers, and other features
typical of a source code editor.

This package contains version %{api_ver} of GtkSourceView.

%package -n %{libname}
Summary:	Source code viewing library
Group:		Editors
Requires:	gtksourceview%{api_ver} >= %{version}-%{release}
Provides:	lib%{name}%{?_isa} = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

%package -n %{girname}
Summary:	GObject Introspection interface description for GtkSource
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}gtksourceview5-gir5 < 5.14.2-2
Conflicts:	gtksourceview%{api_ver} < 5.6.0

%description -n %{girname}
GObject Introspection interface description for GtkSource.

%package -n %devname
Summary:        Development files for %{name}
Requires:       %{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	gtksourceview-devel%{?_isa} = %{version}-%{release}
Provides:	gtksourceview-devel = %{version}-%{release}
Provides:	gtksourceview%{api_ver}-devel%{?_isa} = %{version}-%{release}
Provides:	gtksourceview%{api_ver}-devel = %{version}-%{release}

%description -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package -n gtksourceview%{api_ver}-tests
Summary:        Tests for the %{name} package
Requires:       gtksourceview%{api_ver}%{?_isa} = %{version}-%{release}

%description -n gtksourceview%{api_ver}-tests
The %{name}-tests package contains tests that can be used to verify
the functionality of the installed %{name} package.

%prep
%autosetup -n gtksourceview-%{version} -p1

%build
%meson -Ddocumentation=true -Dsysprof=true -Dinstall-tests=true
%meson_build

%install
%meson_install

%find_lang gtksourceview-%{api_ver}

%files -n gtksourceview%{api_ver} -f gtksourceview-%{api_ver}.lang
%license COPYING
%doc NEWS README.md
%{_datadir}/gtksourceview-%{api_ver}/
%{_datadir}/icons/hicolor/scalable/actions/*

%files -n %{libname}
%{_libdir}/libgtksourceview-%{api_ver}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GtkSource-%{api_ver}.typelib

%files -n %{devname}
%{_docdir}/gtksourceview%{api_ver}/
%{_includedir}/gtksourceview-%{api_ver}/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libgtksourceview-%{api_ver}.so
%{_datadir}/gir-1.0/GtkSource-%{api_ver}.gir
%{_datadir}/vala/vapi/gtksourceview-%{api_ver}.{deps,vapi}

%files -n gtksourceview%{api_ver}-tests
%{_bindir}/gtksourceview%{api_ver}-widget
%{_libexecdir}/installed-tests
%{_datadir}/installed-tests
