%define api_version	2.0
%define gir_major	2.0
%define lib_major	0

%define libname		%mklibname gtksourceview %{api_version} %{lib_major}
%define libnamedev	%mklibname -d gtksourceview %{api_version}
%define girname		%mklibname gtksourceview-gir %{gir_major}

Summary:	Source code viewing library
Name:		gtksourceview2
Version:	2.11.2
Release:	%mkrel 14
License:	GPLv2+
Group:		Editors
URL:		https://people.ecsc.co.uk/~matt/downloads/rpms/gtksourceview/
Source0:	https://download.gnome.org/sources/gtksourceview/gtksourceview-%{version}.tar.bz2
Patch0:		gtksourceview-2.11.2-use-const-instead-of-G_CONST_RETURN.patch
Patch1:		gtksourceview-2.11.2-fix-deprecated-G_UNICODE_COMBINING_MARK.patch
Patch2:		gtksourceview-2.11.2-use-current.pc-file.patch
Patch3:		gtksourceview-2.11.2-mga-rpmspec.patch
BuildRequires:	libgtk+2-devel >= 2.3.0
#Buildrequires:	typelib(Gtk) = 2.0
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:	gnome-common
BuildRequires:  gtk-doc
BuildRequires:  intltool

%description
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

%package -n %{libname}
Summary:	Source code viewing library
Group:		Editors
Requires:	%{name} >= %{version}-%{release}
Obsoletes:	%{_lib}gtksourceview-2.0_0 < 2.11.2-12

%description -n %{libname}
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

%package -n %{libnamedev}
Summary:        Libraries and include files for GtkSourceView
Group:          Development/GNOME and GTK+
Requires:       %{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libgtksourceview-%{api_version}-devel = %{version}-%{release}
Obsoletes:      %{_lib}gtksourceview-2.0-devel < 2.11.2-12

%description -n %{libnamedev}
GtkSourceView development files.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%autosetup -n gtksourceview-%{version} -p1

%build
# to recognize aarch64
autoreconf -vfi
intltoolize --force

%configure --disable-static --enable-compile-warnings=no
# Unfortunately setting INTROSPECTION_SCANNER_ENV in Patch2 does not work :(
PKG_CONFIG_PATH=..
%make_build

%install
%make_install
rm -f %{buildroot}%_libdir/*.la
%{find_lang} gtksourceview-%{api_version}

%files -f gtksourceview-%{api_version}.lang
%doc AUTHORS NEWS README
%{_datadir}/gtksourceview-%{api_version}/

%files -n %{libname}
%{_libdir}/libgtksourceview-%{api_version}.so.%{lib_major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GtkSource-%{gir_major}.typelib

%files -n %{libnamedev}
%doc %{_datadir}/gtk-doc/html/gtksourceview-2.0/
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/GtkSource-%{gir_major}.gir
