%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define oname		gtksourceview

%define api_version	3.0
%define lib_major	1
%define gir_major	3.0

%define libname		%mklibname %{oname} %{api_version} %{lib_major}
%define libnamedev	%mklibname -d %{oname} %{api_version}
%define girname		%mklibname %{oname}-gir %{gir_major}

Summary:	Source code viewing library
Name:		gtksourceview3
Version:	3.24.11
Release:	%mkrel 5
License:	GPLv2+
Group:		Editors
URL:		http://people.ecsc.co.uk/~matt/downloads/rpms/gtksourceview/
Source0:	https://download.gnome.org/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.xz
Patch0:		gtksourceview-3.19.3-mga-rpmspec.patch
# fix build with GCC 14 -Wincompatible-pointer-types
Patch1:		0001-gcc14.patch
BuildRequires:	pkgconfig(gio-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6.0
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.0
BuildRequires:	pkgconfig(gtk-doc)
BuildRequires:	intltool
BuildRequires:	pkgconfig(vapigen)
Obsoletes:	%{oname} < 3.24.7-2

%description
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

%package -n %{libname}
Summary:	Source code viewing library
Group:		Editors
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

%package -n %{libnamedev}
Summary:	Libraries and include files for GtkSourceView
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-%{api_version}-devel = %{version}-%{release}

%description -n %{libnamedev}
GtkSourceView development files.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%autosetup -p1 -n %{oname}-%{version}

%build
%configure \
	--disable-static \
	--enable-vala=yes
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang %{oname}-%{api_version}

%files -f %{oname}-%{api_version}.lang
%doc AUTHORS NEWS README
%{_datadir}/gtksourceview-%{api_version}

%files -n %{libname}
%{_libdir}/libgtksourceview-%{api_version}.so.%{lib_major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GtkSource-%{gir_major}.typelib

%files -n %{libnamedev}
%doc %{_datadir}/gtk-doc/html/gtksourceview-%{api_version}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/GtkSource-%{gir_major}.gir
%{_datadir}/vala/vapi/gtksourceview-3.0.deps
%{_datadir}/vala/vapi/gtksourceview-3.0.vapi
