%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define oname		gtksourceview

%define api_version	4
%define lib_major	0
%define gir_major	4

%define libname		%mklibname %{oname} %{api_version} %{lib_major}
%define libnamedev	%mklibname -d %{oname} %{api_version}
%define girname		%mklibname %{oname}-gir %{gir_major}

Summary:	Source code viewing library
Name:		gtksourceview%{api_version}
Version:        4.8.4
Release:	%mkrel 4
License:	GPLv2+
Group:		Editors
URL:		http://people.ecsc.co.uk/~matt/downloads/rpms/gtksourceview/
Source0:	https://download.gnome.org/sources/gtksourceview/%{url_ver}/gtksourceview-%{version}.tar.xz
# https://gitlab.gnome.org/GNOME/gtksourceview/-/commit/2538a4daf1aba9c42c3dcfe2ff394874ac157c67
# https://gitlab.gnome.org/GNOME/gtksourceview/-/issues/278
# Fix some regexes to work with pcre2
Patch0:         0001-language-specs-use-N-U-escape-sequences.patch
Patch10:	gtksourceview-4.8.4-mga-rpmspec.patch
BuildRequires:  gtk-doc
BuildRequires:  meson
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gio-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gladeui-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6.0
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.0
BuildRequires:	pkgconfig(gtk-doc)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	gettext
Obsoletes:	%{oname} < 4.8.4-2

%description
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

%package -n %{libname}
Summary:	Source code viewing library
Group:		Editors
Requires:	%{name} >= %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

%package -n %{libnamedev}
Summary:	Libraries and include files for GtkSourceView
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}
Requires:	%{girname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}%{api_version}-devel = %{version}-%{release}

%description -n %{libnamedev}
GtkSourceView development files.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package        tests
Summary:        Tests for the %{name} package
Group:          Development/Tools
Requires:       gtksourceview%{api_version}%{?_isa} = %{version}-%{release}
Obsoletes:      gtksourceview-tests < 4.8.4-2

%description    tests
The %{name}-tests package contains tests that can be used to verify
the functionality of the installed %{name} package.

%prep
%autosetup -n %{oname}-%{version} -p1

%build
%meson -Dgtk_doc=true -Dglade_catalog=true -Dinstall_tests=true
%meson_build

%install
%meson_install

%find_lang %{oname}-%{api_version}

%files -f %{oname}-%{api_version}.lang
%doc AUTHORS NEWS README.md
%{_datadir}/gtksourceview-%{api_version}/

%files -n %{libname}
%{_libdir}/libgtksourceview-%{api_version}.so.%{lib_major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GtkSource-%{gir_major}.typelib

%files -n %{libnamedev}
%doc %{_datadir}/gtk-doc/html/gtksourceview-%{api_version}.0
%{_libdir}/libgtksourceview-%{api_version}.so
%{_includedir}/gtksourceview-%{api_version}/
%{_libdir}/pkgconfig/gtksourceview-%{api_version}.pc
%{_datadir}/gir-1.0/GtkSource-%{gir_major}.gir
%{_datadir}/glade/catalogs/gtksourceview.xml
%{_datadir}/vala/vapi/gtksourceview-%{api_version}.deps
%{_datadir}/vala/vapi/gtksourceview-%{api_version}.vapi

%files tests
%dir %{_libexecdir}/installed-tests
%{_libexecdir}/installed-tests/gtksourceview-4/
%dir %{_datadir}/installed-tests
%{_datadir}/installed-tests/gtksourceview-4/
