%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		gtkspell
Version:	2.0.16
Release:	%mkrel 15

Summary:	Spell-checking addon for GTK's TextView widget
License:	GPLv2+
Group:		System/Libraries
Url:		https://gtkspell.sourceforge.net/
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		enchant-2.diff
BuildRequires:  docbook-dtd42-xml
BuildRequires:	pkgconfig(enchant-2)
BuildRequires:  gnome-common
BuildRequires:	gtk+2-devel
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  gettext-devel

%description
GtkSpell provides MSWord/MacOSX-style highlighting of misspelled words in a
GtkTextView widget. Right-clicking a misspelled word pops up a menu of
suggested replacements.

%package -n %{libname}
Summary:	%{summary}
Group:		%{group}
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
GtkSpell provides MSWord/MacOSX-style highlighting of misspelled words in a
GtkTextView widget. Right-clicking a misspelled word pops up a menu of
suggested replacements.

%package -n %{develname}
Summary:	%{summary}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
GtkSpell provides MSWord/MacOSX-style highlighting of misspelled words in a
GtkTextView widget. Right-clicking a misspelled word pops up a menu of
suggested replacements.


%prep
%setup -q
%autopatch -p1

%build
gtkdocize
autoreconf -vfi
%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc README AUTHORS ChangeLog

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
