%define fname gtkspell

%define major 0
%define gmajor 3.0
%define libname %mklibname %{name}_ %major
%define develname %mklibname -d %name
%define girname %mklibname %{name}-gir %{gmajor}

Name:           gtkspell3
Version:        3.0.10
Release:        %mkrel 3
Summary:        On-the-fly spell checking for GtkTextView widgets
Group:          System/Libraries

License:        GPLv2+
URL:            https://gtkspell.sourceforge.net/
Source0:        https://downloads.sourceforge.net/gtkspell/gtkspell3-%{version}.tar.xz
BuildRequires:  pkgconfig(enchant-2)
BuildRequires:  gettext
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  intltool
BuildRequires:  iso-codes
BuildRequires:  vala-devel
BuildRequires:  vala-tools

%description
GtkSpell provides word-processor-style highlighting and replacement of
misspelled words in a GtkTextView widget as you type. Right-clicking a
misspelled word pops up a menu of suggested replacements.

%package        -n %libname
Summary:        Development files for %{name}
Group:		System/Libraries
Requires:       %{name} = %{version}-%{release}

%description -n %libname
The %{libname} package contains libraries for applications that use
GtkSpell API version 3.0.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package        -n %develname
Summary:        Development files for %{name}
Group:		Development/GNOME and GTK+
Requires:       %{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}

%description -n %develname
The %{develname} package contains libraries and header files for
developing applications that use GtkSpell API version 3.0.

%prep
%autosetup

%build
#autoreconf -vfi
%configure \
  --disable-static \
  --enable-vala \
  --enable-introspection=yes
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name '*.la' -delete

%find_lang gtkspell3

%files -f gtkspell3.lang
%doc AUTHORS README
%license COPYING

%files -n %libname
%{_libdir}/libgtkspell3-3.so.%{major}
%{_libdir}/libgtkspell3-3.so.%{major}.*

%files -n %girname
%{_libdir}/girepository-1.0/GtkSpell-%{gmajor}.typelib

%files -n %develname
%doc %{_datadir}/gtk-doc/
%{_includedir}/gtkspell-3.0/
%{_libdir}/libgtkspell3-3.so
%{_libdir}/pkgconfig/gtkspell3-3.0.pc
%{_datadir}/gir-1.0/GtkSpell-3.0.gir
%{_datadir}/vala/vapi/gtkspell3-3.0.vapi
%{_datadir}/vala/vapi/gtkspell3-3.0.deps
