# https://gitlab.gnome.org/GNOME/gtranslator/-/issues/184
%bcond_with gtkdoc

Summary:	Translation (.po) file editor with many features
Name:		gtranslator
Version:	48.0
Release:	%mkrel 1
License:	GPLv2+ and GPLv3+
Group:		Editors
URL:		https://wiki.gnome.org/Apps/Gtranslator
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# Backported from upstream
BuildRequires:	pkgconfig(gio-2.0) >= 2.36.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.71.3
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gthread-2.0) >= 2.13.0
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(gtksourceview-5) >= 5.4.0
BuildRequires:	pkgconfig(gspell-1) >= 1.2.0
BuildRequires:	pkgconfig(iso-codes) >= 0.35
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libgda-6.0)
BuildRequires:	pkgconfig(libadwaita-1) >= 1.1.0
BuildRequires:	pkgconfig(libspelling-1)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(libxml-2.0) >= 2.4.12
BuildRequires:	appstream
BuildRequires:	itstool
BuildRequires:	yelp-tools
BuildRequires:	gtk-doc
BuildRequires:	gnome-common
BuildRequires:	gettext
BuildRequires:	meson
BuildRequires:	gettext-devel
Requires:	gettext
Requires:	iso-codes >= 0.35
Requires:	python3dist(pygobject)

%description
gtranslator is a comfortable po file editor with many bells and whistles.
It features many useful function which ease the work of translators of po
files immensely.

%prep
%autosetup -p1

%build
%meson %{?with_gtkdoc:-Dgtk_doc=true}
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README.md THANKS
%{_bindir}/gtranslator
%{_datadir}/gtksourceview-5/language-specs/gtranslator.lang
%{_datadir}/gtranslator/
%{_datadir}/applications/*.desktop
%{_metainfodir}/org.gnome.Gtranslator.appdata.xml
%{_datadir}/icons/hicolor/*/apps/org.gnome.Gtranslator*.svg
%{_datadir}/glib-2.0/schemas/org.gnome.gtranslator*.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.Gtranslator.gschema.xml
%if %{with gtkdoc}
%{_datadir}/gtk-doc/html/gtranslator
%endif
%{_mandir}/man?/*
