# comment out when not prerel
#define prerel rc1

# rel for bumping
%define rel 2

Summary:	A drop-down terminal for Gnome Desktop Environment
Name:		guake
Version:	3.10
Release:	%mkrel %{?prerel:0.%prerel.}%{rel}
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		http://guake-project.org/
Source0:	%{pypi_source}

BuildArch:	noarch
BuildRequires:	git
BuildRequires:	pkgconfig(glib-2.0)

Requires:	python3dist(pycairo)
Requires:	python3dist(pygobject)
Requires:	python3dist(dbus-python) >= 1.2.4
Requires:	libnotify

%description
Guake is a drop-down terminal for Gnome Desktop Environment, so you just
need to press a key to invoke him, and press again to hide.

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
PBR_VERSION=%{version} 
%pyproject_install
# pyproject_install installs the files inside sitelib. Thus moving them
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/glib-2.0/schemas
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps/
mkdir -p %{buildroot}%{_metainfodir}/
mv -f %{buildroot}%{python3_sitelib}/%{name}/data/%{name}*.desktop %{buildroot}%{_datadir}/applications/
mv -f %{buildroot}%{python3_sitelib}/%{name}/data/org.guake.gschema.xml %{buildroot}%{_datadir}/glib-2.0/schemas/
cp -f %{buildroot}%{python3_sitelib}/%{name}/data/pixmaps/guake.png %{buildroot}%{_datadir}/pixmaps/
mv -f %{buildroot}%{python3_sitelib}/%{name}/data/guake.desktop.metainfo.xml %{buildroot}%{_metainfodir}
mv -f %{buildroot}%{python3_sitelib}/%{name}/data/about.glade %{buildroot}%{_datadir}/%{name}
mv -f %{buildroot}%{python3_sitelib}/%{name}/data/autostart-guake.desktop %{buildroot}%{_datadir}/%{name}
mv -f %{buildroot}%{python3_sitelib}/%{name}/data/guake.glade %{buildroot}%{_datadir}/%{name}
mv -f %{buildroot}%{python3_sitelib}/%{name}/data/prefs.glade %{buildroot}%{_datadir}/%{name}
mv -f %{buildroot}%{python3_sitelib}/%{name}/data/search.glade %{buildroot}%{_datadir}/%{name}
mv -f %{buildroot}%{python3_sitelib}/%{name}/data/pixmaps %{buildroot}%{_datadir}/%{name}

%check
%tox

%files
%{python3_sitelib}/%{name}
%{python3_sitelib}/*dist-info
%{_bindir}/%{name}*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/glib-2.0/schemas/org.guake.gschema.xml
%{_datadir}/pixmaps/guake.png
%{_metainfodir}/guake.desktop.metainfo.xml
