%global _disable_ld_as_needed 1
%global metadata_name org.guayadeque.guayadeque

Name:           guayadeque
Version:        0.7.0
Release:        %mkrel 1
Summary:        Music Player with the aims to be intuitive, easy to use and fast
Group:          Sound/Players
License:        GPLv3
URL:            https://github.com/thothix/guayadeque
Source0:        https://github.com/thothix/guayadeque/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  desktop-file-utils
BuildRequires:  imagemagick
BuildRequires:  libmp4v2-devel
BuildRequires:  wxgtk-devel
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(icu-i18n)
BuildRequires:  pkgconfig(jsoncpp)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libgpod-1.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(taglib)
BuildRequires:  pkgconfig(wxsqlite3)

Requires:       gstreamer1.0-plugins-bad
Requires:       gstreamer1.0-plugins-good
Requires:       gstreamer1.0-plugins-ugly
Requires:       gstreamer1.0-libav
Requires:       binutils


%description
Guayadeque is a music management program designed for all music enthusiasts.
It is Full Featured Linux media player that can easily manage large collections
and uses the Gstreamer media framework.
Some of Guayadeque Features

- Play mp3, ogg, opus, flac, wma, wav, asf, aiff, wv, mpc, mp4, ape, aac, dsf ...
- Configurable cross fader engine
- Configurable Silence detector to avoid listening to silence between tracks
- Read and write tags in all supported formats (need Taglib 2 for aac)
- Allow to catalog your music using labels
  Any track, artist or album can have as many labels you want
- Smart play mode that add tracks that fit your music taste
- Ability to download covers manually or automatically
- Suggest music using last.fm service
- Allow fast access to any music file by genre, artist, album, etc
- Play and Record shoutcast radios

%prep
%autosetup -p1 -n %{name}-%{version}

#remove build script conflicting with build/ folder used by cmake
rm -f ./build*

%build
%global _vpath_builddir build-%{_arch}
%cmake -GNinja -D_GUREVISION_:STRING="%{release}"

%cmake_build

%install
%cmake_install

%find_lang %{name}

%files -f %{name}.lang
%doc README.md RADIOS.md Changelog.md INSTALL.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{metadata_name}.desktop
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/metainfo/%{metadata_name}.metainfo.xml

