%define major		7
%define gir_major	2.90
%define libname		%mklibname %name %major
%define develname	%mklibname %name -d
%define girname		%mklibname %{name}-gir %{gir_major}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	A Unicode character map and font viewer
Name: 		gucharmap
Version:	16.0.2
Release:	%mkrel 1
License:	GPLv3
Group:		Publishing
URL:		https://wiki.gnome.org/Gucharmap
#Source0:	https://download.gnome.org/sources/%%{name}/%%{url_ver}/%%{name}-%%{version}.tar.xz
Source0:	https://gitlab.gnome.org/GNOME/gucharmap/-/archive/%{version}/%{name}-%{version}.tar.bz2
BuildRequires:	meson
BuildRequires:	appdata-tools
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	gtk-doc
BuildRequires:	gettext
BuildRequires:	itstool
BuildRequires:	libxslt-proc
BuildRequires:	vala
BuildRequires:	pkgconfig(glib-2.0) >= 2.16.3
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	unicode-ucd >= %{url_ver}

%description
gucharmap is a Unicode/ISO 10646 character map and font viewer. It
supports anti-aliased, scalable truetype fonts in X, using Xft, and
works on Unix and Windows platforms.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Headers for developing programs that will use gucharmap
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use gucharmap.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%autosetup -p1

%build
%meson -D ucd_path=%{_datadir}/unicode/ucd
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%check
%meson_test

%files -f %name.lang
%{_bindir}/*
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/applications/*
%{_metainfodir}/%{name}.metainfo.xml

%files -n %{libname}
%{_libdir}/lib%{name}*.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Gucharmap-%{gir_major}.typelib

%files -n %{develname}
%{_libdir}/lib%{name}*.so
%{_libdir}/pkgconfig/%{name}*.pc
%{_includedir}/%{name}*
%{_datadir}/gir-1.0/Gucharmap-%{gir_major}.gir
%{_datadir}/vala/vapi/gucharmap-%{gir_major}.*
%doc %{_datadir}/gtk-doc/html/gucharmap-%{gir_major}/
