# Needs waf 2.0
%bcond_with system_waf

%if ! %{with system_waf}
%global __waf ./waf
%endif

Name:          guitarix
Version:       0.46.0
Release:       %mkrel 4
Summary:       A simple virtual guitar amplifier for JACK
Group:         Sound/Midi
License:       GPLv2+
URL:           https://github.com/brummer10/guitarix
Source0:       https://github.com/brummer10/guitarix/releases/download/V%{version}/guitarix2-%{version}.tar.xz
# https://github.com/brummer10/guitarix/issues/151
Patch1:        0001-Fix-issue-#151-Unable-to-compile-0.46.0.patch
# https://github.com/brummer10/guitarix/issues/152
Patch2:        0001-overlinking-with-libzita-resampler.so.patch

BuildRequires: pkgconfig(avahi-gobject)
BuildRequires: pkgconfig(bluez)
BuildRequires: pkgconfig(jack)
BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(liblo)
BuildRequires: pkgconfig(lilv-0)
BuildRequires: pkgconfig(lrdf)
BuildRequires: pkgconfig(lv2)
BuildRequires: pkgconfig(sndfile)
BuildRequires: pkgconfig(fftw3f)
BuildRequires: google-roboto-condensed-fonts
BuildRequires: gperf
BuildRequires: intltool
BuildRequires: boost-devel
BuildRequires: eigen3-devel
BuildRequires: gettext-devel
BuildRequires: ladspa-devel
BuildRequires: python3
BuildRequires: sassc
# allways needed for waf rpm  macros
BuildRequires: waf
BuildRequires: zita-convolver-devel
BuildRequires: zita-resampler-devel
BuildRequires: pkgconfig(glibmm-2.4)
BuildRequires: pkgconfig(gtkmm-3.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(x11)

Requires:      google-roboto-condensed-fonts
Requires:      jack_capture
Requires:      qjackctl
Requires:      vorbis-tools

Conflicts:     guitarix-lv2 < 0.37.0-5

%description
Guitarix is a virtual guitar amplifier for Linux running on Jack Audio
Connection Kit.
Guitarix takes the signal from your guitar as any real amp would do:
as a mono-signal from your sound card.
The input is processed by a main amp and a rack-section.
Both can be routed separately and deliver a processed stereo-signal via Jack.
You may fill the rack with effects from more than 25 built-in modules,
including stuff from a simple noise gate to brain-slashing modulation f/x
like flanger, phaser or auto-wah.

%package -n %{name}-lv2
Summary:       LV2 plug-ins of Guitarix guitar effects
Group:         Sound/Midi
# ladspa/distortion.cpp and ladspa/guitarix-ladspa.cpp are BSD
# The rest of ladspa/* is GPLv+
License:       GPLv2+
Requires:      lv2
Requires:      %{name} >= %{version}-%{release}

%description -n %{name}-lv2
Guitarix LV2 plugins is a set of high-quality sound effects
such as overdrive, distortion, fuzz, guitar amplifier emulators,
etc.

%prep
%autosetup -p2 -n guitarix-%{version}

%build
%ifarch %{ix86}
CXXFLAGS+=" -mfxsr"
%endif
# When building with faust 2.20.2 it fails: https://sourceforge.net/p/guitarix/bugs/86/

%waf \
        %ifarch armv7hl
        --disable-sse \
        %endif
        --prefix=%{_prefix} \
        --no-faust \
        --lv2dir=%{_libdir}/lv2 \
        --libdir=%{_libdir} \
        --ldflags="%{ldflags} -lpthread" \
        --cxxflags-release="%{optflags} -DNDEBUG"

%waf_build

%install
%waf_install

#fix links and remove unwanted devel files
chmod 755 %{buildroot}%{_libdir}/libgxw*.so.0.1
rm -rf %{buildroot}%{_libdir}/libgxw*.so

#need to manually strip
%if 0%{?debug_package}
strip -s %{buildroot}%{_libdir}/libgx*.so.0.1
strip -s %{buildroot}%{_libdir}/lv2/gx*.lv2/gx*.so
%endif

%find_lang guitarix

%files -n %{name} -f guitarix.lang
%doc changelog README
%license COPYING
%{_bindir}/%{name}
%{_datadir}/gx_head/
%{_libdir}/libgx*.so.0{,.*}
%{_datadir}/pixmaps/*
%{_datadir}/applications/%{name}.desktop
%{_metainfodir}/org.guitarix.guitarix.metainfo.xml

%files -n %{name}-lv2
%{_libdir}/lv2/*
