%define major     2
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           gumbo
Summary:        An HTML5 parsing library in pure C99
License:        ASL 2.0
Version:        0.12.1
Release:        %mkrel 1
Group:          System/Libraries
URL:            https://codeberg.org/grisha/gumbo-parser/
Source0:        https://codeberg.org/grisha/gumbo-parser/archive/%{version}.tar.gz#/gumbo-parser-%{version}.tar.gz

%description
Gumbo is an implementation of the HTML5 parsing algorithm implemented as
a pure C99 library with no outside dependencies. It's designed to serve
as a building block for other tools and libraries such as linters,
validators, templating languages, and refactoring and analysis tools.

%package -n     %{libname}
Summary:        Pure C HTML5 Parser
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Provides:       %{name}-parser = %{version}-%{release}

%description -n %{libname}
Gumbo is an implementation of the HTML5 parsing algorithm implemented as
a pure C99 library with no outside dependencies. It's designed to serve
as a building block for other tools and libraries such as linters,
validators, templating languages, and refactoring and analysis tools.

%package -n     %{develname}
Summary:        Headers for developing programs that will use gumbo
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{name}-parser-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use gumbo, the pure C HTML5 parser.

%prep
%setup -q -n gumbo-parser
%autopatch -p1

%build
autoreconf -vfi
%configure \
    --disable-static
%make_build

%install
%make_install

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib%{name}.so
