Name:           gummi
Version:        0.8.3
Release:        %mkrel 1
Summary:        A LaTeX editor for the Linux platform in C/GTK+
Group:          Publishing
License:        MIT
URL:            https://github.com/alexandervdm/gummi
Source0:        https://github.com/alexandervdm/gummi/releases/download/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  intltool
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtksourceview-4)
BuildRequires:  pkgconfig(gtkspell3-3.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(poppler-glib)
BuildRequires:  pkgconfig(synctex)

%description
Gummi is a LaTeX editor for the Linux platform, written in C/GTK+. It was
designed with simplicity in mind, but hopes to appeal to both novice and more
advanced LaTeX writers. Gummi was released as free opensource software under
the MIT license.

%prep
%autosetup -p1

# switch to gtksourceview4
perl -pi -e 's/gtksourceview-3.0/gtksourceview-4/g' configure.ac
perl -pi -e 's/gtksourceview3/gtksourceview4/g' configure.ac

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png
%{_libdir}/%{name}/
%{_mandir}/man1/%{name}.1*
