%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define api		1.0
%define major		3
%define gir_major	1.0
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname -d %{name}
%define girname		%mklibname %{name}-gir %{gir_major}

Name:		gupnp-av
Version:	0.14.3
Release:	%mkrel 2
Summary:	A collection of helpers for building UPnP AV applications
Group:		System/Libraries
License:	LGPLv2+
URL:		http://www.gupnp.org/
Source0:	https://download.gnome.org/sources/gupnp-av/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	pkgconfig(gupnp-1.6)
BuildRequires:	pkgconfig(gssdp-1.6)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	vala-tools

%description
GUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The GUPnP API is intended to be easy to use, efficient and flexible.

GUPnP-AV is a collection of helpers for building AV (audio/video)
applications using GUPnP.

%package common
Summary:	Non-library files for the "%{libname}" library
Group:		System/Base
Conflicts:	%{mklibname -d %{name}} < 0.12.6-5

%description common
Non-library files for the "%{libname}" library

%package -n %{libname}
Summary:	A collection of helpers for building UPnP AV applications
Group:		System/Libraries
Requires:	%{name}-common

%description -n %{libname}
GUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The GUPnP API is intended to be easy to use, efficient and flexible.

GUPnP-AV is a collection of helpers for building AV (audio/video)
applications using GUPnP.

%package -n %{develname}
Summary:	Development package for gupnp-av
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Files for development with gupnp-av.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%autosetup -p1

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

%files -n %{libname}
%license COPYING
%doc AUTHORS README*
%{_libdir}/lib%{name}-%{api}.so.%{major}{,.*}

%files common
%{_datadir}/%{name}/

%files -n %{girname}
%{_libdir}/girepository-1.0/GUPnPAV-%{gir_major}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_includedir}/%{name}-%{api}
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/lib%{name}-%{api}.so
%{_datadir}/gir-1.0/GUPnPAV-%{api}.gir
%{_datadir}/vala/vapi/*
