%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define api		2.0
%define major		4
%define girmajor	2.0
%define gstname		%mklibname %{name}-gstreamer
%define libname		%mklibname %{name} %{api} %{major}
%define libnamegst	%mklibname %{name}-gst %{api} %{major}
%define girname		%mklibname gupnpdlna-gir %{girmajor}
%define girnamegst	%mklibname gupnpdlnagst-gir %{girmajor}
%define devname		%mklibname -d %{name}

Name:           gupnp-dlna
Version:        0.12.0
Release:        %mkrel 5
Summary:        A collection of helpers for building UPnP dlna applications
Group:		System/Libraries
License:        LGPLv2+
URL:            http://www.gupnp.org/
Source0:        https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch:		gupnp-dlna-linking.patch
Patch:		gupnp-dlna-metadata-backend-dir.patch
BuildRequires:	meson
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	gtk-doc
BuildRequires:	vala-tools >= 0.18.0

%description
GUPnP is an object-oriented open source framework for creating UPnP devices and
control points, written in C using GObject and libsoup. The GUPnP API is
intended to be easy to use, efficient and flexible.

GUPnP DLNA is a small utility library that aims to ease the
DLNA-related tasks such as media profile guessing, transcoding to
a given profile, etc.

%package -n %{gstname}
Summary:	GStreamer specific utils using GUPnP-DLNA
Group:		System/Libraries

%description -n %{gstname}
GStreamer specific utils using GUPnP-DLNA.

%package -n %{libname}
Summary:	A collection of helpers for building UPnP DLNA applications
Group:		System/Libraries

%description -n %{libname}
GUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The GUPnP API is intended to be easy to use, efficient and flexible.

GUPnP DLNA is a small utility library that aims to ease the
DLNA-related tasks such as media profile guessing, transcoding to
a given profile, etc.

%package -n %{libnamegst}
Summary:        A collection of helpers for building UPnP DLNA applications
Group:          System/Libraries
Requires:	%{gstname} >= %{version}-%{release}
Conflicts:	%{_lib}gupnp-dlna2.0_4 < 0.12.0-2

%description -n %{libnamegst}
GUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The GUPnP API is intended to be easy to use, efficient and flexible.

GUPnP DLNA is a small utility library that aims to ease the
DLNA-related tasks such as media profile guessing, transcoding to
a given profile, etc.

%package -n %{devname}
Summary:	Development package for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libnamegst} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Requires:	%{girnamegst} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Conflicts:	%{_lib}gupnp-dlna2.0_3 < 0.10.2-3

%description -n %{devname}
Files for development with %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for GUPnPDLNA
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}gupnp-dlna-gir2.0 < 0.12.0-2

%description -n %{girname}
GObject Introspection interface description for GUPnPDLNA.

%package -n %{girnamegst}
Summary:        GObject Introspection interface description for GUPnPDLNAGst
Group:          System/Libraries
Requires:       %{libnamegst} = %{version}-%{release}
Conflicts:	%{_lib}gupnp-dlna-gir2.0 < 0.12.0-2

%description -n %{girnamegst}
GObject Introspection interface description for GUPnPDLNAGst.

%prep
%autosetup -p1

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

%files
%{_bindir}/%{name}-*
%{_datadir}/%{name}-%{api}/

%files -n %{gstname}
%{_libdir}/%{name}-%{api}/libgstreamer.so

%files -n %{libname}
%license COPYING
%doc AUTHORS README
%{_libdir}/lib%{name}-%{api}.so.%{major}{,.*}

%files -n %{libnamegst}
%license COPYING
%doc AUTHORS README
%{_libdir}/lib%{name}-gst-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GUPnPDLNA-%{girmajor}.typelib

%files -n %{girnamegst}
%{_libdir}/girepository-1.0/GUPnPDLNAGst-%{girmajor}.typelib

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/%{name}*/
%{_includedir}/*
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/pkgconfig/%{name}-gst-%{api}.pc
%{_libdir}/pkgconfig/%{name}-metadata-2.0.pc
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/lib%{name}-gst-%{api}.so
%{_datadir}/vala/vapi/*
%{_datadir}/gir-1.0/GUPnPDLNA-%{girmajor}.gir
%{_datadir}/gir-1.0/GUPnPDLNAGst-%{girmajor}.gir
