%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gupnp-tools
Version:	0.12.2
Release:	%mkrel 2
Summary:	A collection of dev tools utilizing GUPnP and GTK+
Group:		Development/Other
License:	GPLv2+
URL:		http://www.gupnp.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# Mageia patches
BuildRequires:	git-core
BuildRequires:	pkgconfig(gssdp-1.6)
BuildRequires:	pkgconfig(gupnp-1.6)
BuildRequires:	pkgconfig(gupnp-av-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtksourceview-4)
BuildRequires:	pkgconfig(adwaita-icon-theme)
BuildRequires:  pkgconfig(uuid)
BuildRequires:	gettext
BuildRequires:	meson

%description
GUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The GUPnP API is intended to be easy to use, efficient and flexible.

GUPnP-tools is a collection of developer tools utilizing GUPnP and GTK+.
It features a universal control point application as well as a sample
DimmableLight v1.0 implementation.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README.md
%{_datadir}/%{name}/
%{_bindir}/gssdp-discover
%{_bindir}/gupnp-event-dumper
%{_bindir}/gupnp-network-light
%{_bindir}/gupnp-universal-cp
%{_bindir}/gupnp-av-cp
%{_bindir}/gupnp-upload
%{_datadir}/applications/gupnp-*.desktop
%{_iconsdir}/hicolor/*/apps/*.png
