%define major		0
%define api		1.6
%define gir_major	1.6
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname %{name} -d
%define girname		%mklibname %{name}-gir %{gir_major}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Object-oriented framework for creating UPnP devices and control points
Name:		gupnp
Version:	1.6.8
Release:	%mkrel 2
License:	LGPLv2+
Group:		Development/Other
Url:		http://www.gupnp.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gssdp-1.6)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	gi-docgen
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	vala-tools
BuildRequires:	meson

%description
GUPnP is an object-oriented open source framework for creating UPnP
devices and control points.

%package -n %{libname}
Summary:	Main library for gupnp
Group:		System/Libraries
Provides:	%{name} >= %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with gupnp.

%package -n %{develname}
Summary:	Headers for developing programs that will use gupnp
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use gupnp.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q

%build
%meson -Dintrospection=true \
       -Dgtk_doc=true \
       -Dexamples=false
%meson_build

%install
%meson_install

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GUPnP-%{gir_major}.typelib

%files -n %{develname}
%doc AUTHORS README* NEWS
%doc %{_docdir}/%{name}-%{api}/
%{_libdir}/pkgconfig/gupnp*.pc
%{_includedir}/gupnp-%{api}/
%{_libdir}/*.so
%{_datadir}/vala/vapi/*
%{_bindir}/gupnp-binding-tool-%{api}
%{_datadir}/gir-1.0/GUPnP-%{gir_major}.gir
%{_mandir}/man1/gupnp-binding-tool-%{api}.1*
