%define driverversion 5.3
%define extraversion %{nil}

%define gutenprintmajor    9
%define libgutenprint      %mklibname gutenprint %{gutenprintmajor}
%define devgutenprint      %mklibname gutenprint -d

%define gutenprintui2major 2
%define libgutenprintui2   %mklibname gutenprintui2_ %{gutenprintui2major}
%define devgutenprintui2   %mklibname gutenprintui2 -d

%define cups_serverbin %{_exec_prefix}/lib/cups

# not yet ported to gimp v3
%define gimpplugin  0
%define abi_version 3.0

##### RPM PROBLEM WORKAROUNDS

Summary:	Photo-quality printer drivers primarily for inkjet printers
Name:		gutenprint
Version:	5.3.5
Release:	%mkrel 1
License:	GPLv2+
Group:		Publishing
URL:		https://gimp-print.sourceforge.net/

##### GENERAL BUILDREQUIRES

BuildRequires:	autoconf
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libtool
BuildRequires:	imagemagick
BuildRequires:	gettext-devel
BuildRequires:	libcups-devel
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	chrpath
BuildRequires:	pkgconfig(libusb-1.0)
# Make sure we get postscriptdriver tags:
BuildRequires:	python3dist(pycups)
BuildRequires:	pkgconfig(python3)

%if %{gimpplugin}
BuildRequires:	pkgconfig(gimpui-%{abi_version})
BuildRequires:	pkgconfig(gtk+-3.0)
%else
Obsoletes:	gutenprint-gimp2 < %{version}-%{release}
%endif

# Only needed when building Gutenprint from a CVS snapshot
#BuildRequires: tetex-latex imagemagick docbook-utils sgml-tools

##### GIMP PRINT SOURCE
Source0:	https://downloads.sourceforge.net/gimp-print/%{name}-%{version}.tar.xz
# Post-install script to update CUPS native PPDs.
Source1:	cups-genppdupdate.py.in

##### GIMP PRINT PATCHES
Patch1:		gutenprint-5.0.1-menu.patch
Patch3:		gutenprint-postscriptdriver.patch
Patch5:		gutenprint-5.2.9-m4dir.patch

##### PACKAGE DESCRIPTIONS

%package -n %{libgutenprint}
Summary:	Shared library for high-quality image printing
Group:		Publishing
Provides:	libgutenprint = %{version}-%{release}

%package -n %{devgutenprint}
Summary:	Headers and links for compiling against libgutenprint
Group:		Development/C
Requires:	%{libgutenprint} >= %{version}-%{release}
Requires:	multiarch-utils
Provides:	libgutenprint-devel = %{version}-%{release}
Provides:	gutenprint-devel = %{version}-%{release}
Obsoletes:	%{_lib}gutenprint9-devel < 5.3.3-3
# For smooth mga7 -> mga8 upgrade
Obsoletes:	%{_lib}gutenprint2-devel < 5.3.3

%package -n %{libgutenprintui2}
Summary:	Shared library for Gutenprint GUI with GTK 2.x
Group:		Publishing
Provides:	libgutenprintui2 = %{version}-%{release}

%package -n %{devgutenprintui2}
Summary:	Headers and links for compiling against libgutenprintui2
Group:		Development/C
Requires:	%{libgutenprintui2} >= %{version}-%{release}
Requires:	multiarch-utils
Provides:	libgutenprintui2-devel = %{version}-%{release}
Obsoletes:	%{_lib}gutenprintui2_2-devel < 5.3.3-3
# For smooth mga7 -> mga8 upgrade
Obsoletes:	%{_lib}gutenprintui2_1-devel < 5.3.3

%package common
Summary:	Documentation, samples and translations of Gutenprint
Provides:	gimpprint-common
Group:		Publishing

%package cups
Summary:	Special CUPS printer driver of Gutenprint
Requires:	cups >= 1.1
Requires:	gutenprint-common >= %{version}-%{release}
Conflicts:	cups-drivers <= 10.1
Provides:	gimpprint-cups
Group:		Publishing

%package escputil
Summary:	Gutenprint ink level monitor and printer maintenance tool
Requires:	gutenprint-common >= %{version}-%{release}
Conflicts:	printer-utils <= 10.1
Provides:	gimpprint-escputil
Group:		Publishing

%if %{gimpplugin}
%package gimp2
Summary:	Gutenprint plugin for high-quality image printing
Group:		Publishing
Requires:	gimp
Requires:	gutenprint-common >= %{version}-%{release}
Provides:	gimpprint-gimp2
%endif

##### DESCRIPTION TEXTS

%description
Gutenprint is a high quality printer driver suite for photo-quality
printing on inkjet printers, especially Epson. There are also some
Canon, HP, and Lexmark inkjets (older models) and PCL bw laser
printers supported (PCL 5e and earlier). If your printer is supported
by Gutenprint and not an HP printer supported by HPIJS, this is the
best choice of a free software printer driver.

Keep in mind that the leader of this project is hobby photographer and
wanted to get his 6-ink Epson Stylus Photo EX working in its best
quality without necessity of proprietary software.

%description -n %{libgutenprint}
This is a high-quality printing library used by the Gutenprint plugin,
the Gutenprint IJS color/photo inkjet/laser driver for GhostScript,
and by specialized CUPS drivers.

%description -n %{devgutenprint}
These are the links and header files to compile applications which
should use the libgutenprint library.

%description -n %{libgutenprintui2}
This is a GTK-2.x-based GUI library to create dialogs to control
the Gutenprint printer drivers.

%description -n %{devgutenprintui2}
These are the links and header files to compile applications which
should use the libgutenprintui2 library.

%description common
Documentation, sample files, and translations of Gutenprint.

%description cups
This package contains a special Gutenprint printer driver to be used
with CUPS (and without GhostScript) and also the appropriate PPD files
to set up print queues with this driver.

With the Gutenprint CUPS drivers you can do a colour calibration. Use
the program "cups-calibrate" to perform it.

%description escputil
This is a command line tool to query ink levels and to maintain
Epson's inkjet printers. It allows ink level query, head alignment,
nozzle checking, and nozzle cleaning. If you want a graphical
interface, use mtink instead.

%if %{gimpplugin}
%description gimp2
This is a plug-in for the GIMP, which allows printing of images and
photos in very high quality on many modern inkjet printers and also
some lasers. Especially on Epson Stylus printers the quality which one
gets under proprietary operating systems is reached, due to Epson
publishing the protocols of their printers, but other brands of
printers give very high qualities, too. It can also output PostScript
to be able to print out of the GIMP on any printer.
%endif


%prep
# unpack main sources
%autosetup -p1 -n gutenprint-%{version}%{extraversion}

cp %{SOURCE1} src/cups/cups-genppdupdate.in
#shebang can change between releases - use %%{__python3} macro
sed -i -e 's,^#!/usr/bin/python3,#!%{__python3},' src/cups/cups-genppdupdate.in

%build
# "autogen.sh" needed for the case when Gutenprint
# driver is from CVS (see its README) or if build system is patched.
export NOCONFIGURE=1; ./autogen.sh

# Build with all pipes and whistles: GIMP, GhostScript, CUPS,
# but without translated PPD files (does not work)
# Use IJS library provided by this package

%if %{gimpplugin}
%define enablegimpplugin --with-gimp2
%else
%define enablegimpplugin --without-gimp2
%endif

%configure \
	--enable-shared \
	--disable-rpath \
	--enable-libgutenprintui2 \
	--enable-cups-1_2-enhancements \
	--disable-cups-ppds \
	%{enablegimpplugin} \
	--with-cups \
	--enable-cups-level3-ppds \
	--enable-simplified-cups-ppds \
	--disable-static-genppd \
	--disable-translated-cups-ppds

# Compile Gutenprint
%make_build


%install
%make_install

# Remove "canon" and "epson" CUPS backends
rm -f %{buildroot}%{_prefix}/lib*/cups/backend/canon
rm -f %{buildroot}%{_prefix}/lib*/cups/backend/epson

# Remove a GTK-1.x file which is installed even when GTK-1.x support
# is disabled (Gutenprint bug)
rm -f %{buildroot}%{_libdir}/pkgconfig/gutenprintui.pc

# Correct permissions
find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete

# Fix up rpath.
for file in \
  %{buildroot}%{_sbindir}/cups-genppd.5.3 \
  %{buildroot}%{_libdir}/*.so.* \
  %{buildroot}%{cups_serverbin}/driver/* \
  %{buildroot}%{cups_serverbin}/filter/* \
  %{buildroot}%{_bindir}/*
do
  chrpath --delete ${file}
done
%if %{gimpplugin}
for file in \
  %{buildroot}%{_libdir}/gimp/%{abi_version}/plug-ins/*
do
  chrpath --delete ${file}
done
%endif


# Translation files of Gutenprint
# find %%{buildroot} -regex ".*/gutenprint.*.mo" | sed -e "s@^%{buildroot}@@" > gutenprint.lang
%find_lang %{name}

# Delete translation source files
find %{buildroot}%{_datadir}/locale/ -name "*.po" -delete

mkdir -p %{buildroot}%{_libdir}/gutenprint/%{driverversion}

##### FILES

%files -n %{libgutenprint}
%{_libdir}/libgutenprint.so.%{gutenprintmajor}
%{_libdir}/libgutenprint.so.%{gutenprintmajor}.*
%dir %{_libdir}/gutenprint/%{driverversion}

%files -n %{devgutenprint}
%{_libdir}/libgutenprint.so
%{_libdir}/pkgconfig/gutenprint.pc
%{_includedir}/gutenprint

%files -n %{libgutenprintui2}
%{_libdir}/libgutenprintui2.so.%{gutenprintui2major}
%{_libdir}/libgutenprintui2.so.%{gutenprintui2major}.*

%files -n %{devgutenprintui2}
%{_libdir}/libgutenprintui2.so
%{_libdir}/pkgconfig/gutenprintui2.pc
%{_includedir}/gutenprintui2

%files common -f gutenprint.lang
%doc ABOUT-NLS AUTHORS NEWS README
%{_bindir}/testpattern
%{_libdir}/gutenprint
%{_datadir}/gutenprint
%dir %{_libdir}/gutenprint

%files cups
%{_mandir}/man8/cups-*
%{_bindir}/cups-*
%{_sbindir}/cups-*
%{_datadir}/cups/calibrate.ppm
%{_datadir}/cups/usb/net.sf.gimp-print.usb-quirks
%attr(0755,root,root) %{_prefix}/lib*/cups/backend/*
%attr(0755,root,root) %{_prefix}/lib*/cups/driver/gutenprint.%{driverversion}
%attr(0755,root,root) %{_prefix}/lib*/cups/filter/*
%config(noreplace) %{_sysconfdir}/cups/command.*

%files escputil
%{_mandir}/man1/escputil*
%attr(0755,lp,sys) %{_bindir}/escputil

%if %{gimpplugin}
%files gimp2
%{_libdir}/gimp/%{abi_version}/plug-ins/gutenprint
%endif

%post cups
# Restart the CUPS daemon when it is running, but do not start it when it
# is not running. The restart of the CUPS daemon updates the CUPS-internal
# PPD index
/sbin/service cups condrestart >/dev/null 2>&1 || :
# Update print queues with Gutenprint CUPS driver
/usr/sbin/cups-genppdupdate > /dev/null 2>/dev/null || :


%postun cups
# Restart the CUPS daemon when it is running, but do not start it when it
# is not running. The restart of the CUPS daemon updates the CUPS-internal
# PPD index
# Do not restart on upgrades, as it is already restarted by post section.
if [ $1 -eq 1 ]; then
	/sbin/service cups condrestart || :
fi
