#(eatdirt) upstream screwed up api naming once, hence the complicated
#way to do simple things
%define         api                   2.2
%define         prevapi               %{api}
%define         major                 2

%define         gvaname               gviewaudio
%define         libgvaname            %mklibname %{gvaname} %{prevapi} %{major}
%define         develgvaname          %mklibname %{gvaname} %{prevapi} -d

%define         gvename               gviewencoder
%define         libgvename            %mklibname %{gvename} %{api} %{major}
%define         develgvename          %mklibname %{gvename} %{api} -d

%define         gvv4l2name            gviewv4l2core
%define         libgvv4l2name         %mklibname %{gvv4l2name} %{api} %{major}
%define         develgvv4l2name       %mklibname %{gvv4l2name} %{api} -d

%define         gvrendername          gviewrender
%define         libgvrendername       %mklibname %{gvrendername} %{api} %{major}
%define         develgvrendername     %mklibname %{gvrendername} %{api} -d

Name:           guvcview
Version:        2.1.0
Release:        %mkrel 2

Summary:        GTK+ UVC Viewer and Capturer
Group:          Video/Utilities
License:        GPLv3+

URL:            https://guvcview.sourceforge.net/
Source0:        https://sourceforge.net/projects/%{name}/files/source/%{name}-src-%{version}.tar.bz2
#Patch0:		guvcview-ffmpeg-includes.patch

BuildRequires:  autoconf-archive
BuildRequires:  desktop-file-utils
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:  intltool >= 0.40
BuildRequires:  perl
BuildRequires:  pkgconfig(gsl)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libdvbv5)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(sdl2) >= 2.0

%description
A simple GTK interface for capturing and viewing video from devices
supported by the Linux UVC driver, although it should also work with
any v4l2 compatible device.

%package -n %{libgvaname}
Summary:        Shared library for %{name} audio support
Group:          System/Libraries
Obsoletes:      %{_lib}gviewaudio2 < 2.0.5-3

%description -n %{libgvaname}
%{summary}.

%package -n %{develgvaname}
Summary:        Development files for %{name} audio support
Group:          Development/Other
Requires:       %{libgvaname} = %{version}-%{release}
Provides:	%{_lib}gviewaudio-devel = %{version}-%{release}
Provides:       libgviewaudio%{prevapi}-devel = %{version}-%{release}
Obsoletes:	%{_lib}gviewaudio-devel < 2.0.5-3

%description -n %{develgvaname}
%{summary}.

%package -n %{libgvename}
Summary:        Shared library for %{name} encoder support
Group:          System/Libraries
Obsoletes:      %{_lib}gviewencoder2 < 2.0.5-3

%description -n %{libgvename}
%{summary}.

%package -n %{develgvename}
Summary:        Development files for %{name} encoder support
Group:          Development/Other
Requires:       %{libgvename} = %{version}-%{release}
Provides:       %{_lib}gviewencoder-devel = %{version}-%{release}
Provides:       libgviewencoder%{api}-devel = %{version}-%{release}
Obsoletes:      %{_lib}gviewencoder-devel < 2.0.5-3

%description -n %{develgvename}
%{summary}.

%package -n libgviewv4l2core-i18n
Summary:        Internationalization and locale data for libgviewv4l2core
Group:          System/Libraries
BuildArch:      noarch
Conflicts:      libgviewv4l2core2 < 2.0.5-3
Conflicts:      libgviewv4l2core1 < 2.0.5-3
Conflicts:      lib64gviewv4l2core2 < 2.0.5-3
Conflicts:      lib64gviewv4l2core1 < 2.0.5-3

%description -n libgviewv4l2core-i18n
Internationalization and locale data for libgviewv4l2core.

%package -n %{libgvv4l2name}
Summary:        Shared library for %{name} video support
Group:          System/Libraries
Obsoletes:      %{_lib}gviewv4l2core2 < 2.0.5-3
Requires:       libgviewv4l2core-i18n >= %{version}-%{release}

%description -n %{libgvv4l2name}
%{summary}.

%package -n %{develgvv4l2name}
Summary:        Development files for %{name} video support
Group:          Development/Other
Requires:       %{libgvv4l2name} = %{version}-%{release}
Provides:	%{_lib}gviewv4l2core-devel = %{version}-%{release}
Provides:       libgviewv4l2core%{api}-devel = %{version}-%{release}
Obsoletes:      %{_lib}gviewv4l2core-devel < 2.0.5-3

%description -n %{develgvv4l2name}
%{summary}.

%package -n %{libgvrendername}
Summary:        Shared library for %{name} rendering support
Group:          System/Libraries
Obsoletes:      %{_lib}gviewrender2 < 2.0.5-3

%description -n %{libgvrendername}
%{summary}.

%package -n %{develgvrendername}
Summary:        Development files for %{name} rendering support
Group:          Development/Other
Requires:       %{libgvrendername} = %{version}-%{release}
Provides:       %{_lib}gviewrender-devel = %{version}-%{release}
Provides:       libgviewrender%{api}-devel = %{version}-%{release}
Obsoletes:      %{_lib}gviewrender-devel < 2.0.5-3

%description -n %{develgvrendername}
%{summary}.

%prep
%autosetup -p1 -n %{name}-src-%{version}

%build
#autoreconf -fi
%configure --enable-pulse \
               --disable-debian-menu \
               --disable-silent-rules \
               --disable-static
%make_build

%install
%make_install

desktop-file-install \
        --add-category='X-AudioVideoCapture' \
        --dir %{buildroot}%{_datadir}/applications \
        %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}
%find_lang gview_v4l2core

find %{buildroot}%{_libdir} -name *.la -delete

rm -rf _doc
mv %{buildroot}%{_datadir}/doc/%{name} _doc
%__rm _doc/INSTALL

%files -f %{name}.lang
%doc _doc/*
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/pixmaps/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/*.xml

%files -n %{libgvaname}
%{_libdir}/libgviewaudio-%{prevapi}.so.%{major}{,.*}

%files -n %{develgvaname}
%{_includedir}/guvcview-2/libgviewaudio/
%{_libdir}/libgviewaudio.so
%{_libdir}/pkgconfig/libgviewaudio.pc

%files -n %{libgvename}
%{_libdir}/libgviewencoder-%{api}.so.%{major}{,.*}

%files -n %{develgvename}
%{_includedir}/guvcview-2/libgviewencoder/
%{_libdir}/libgviewencoder.so
%{_libdir}/pkgconfig/libgviewencoder.pc

%files -n libgviewv4l2core-i18n -f gview_v4l2core.lang

%files -n %{libgvv4l2name}
%{_libdir}/libgviewv4l2core-%{api}.so.%{major}{,.*}

%files -n %{develgvv4l2name}
%{_includedir}/guvcview-2/libgviewv4l2core/
%{_libdir}/libgviewv4l2core.so
%{_libdir}/pkgconfig/libgviewv4l2core.pc

%files -n %{libgvrendername}
%{_libdir}/libgviewrender-%{api}.so.%{major}{,.*}

%files -n %{develgvrendername}
%{_includedir}/guvcview-2/libgviewrender/
%{_libdir}/libgviewrender.so
%{_libdir}/pkgconfig/libgviewrender.pc
