%define oname   gWakeOnLAN

Name:           gwakeonlan
Version:        0.8.6
Release:        %mkrel 2
Summary:        A GTK+ utility to awake machines using the Wake on LAN
Group:          Networking/Other
License:        GPLv2
URL:            https://www.muflone.com/gwakeonlan/
Source0:        https://github.com/muflone/gwakeonlan/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pyxdg)
Requires:       python3dist(pygobject)
Requires:       python3dist(pyxdg)

%description
gWakeOnLan is a GTK+ utility to awake turned off machines using
the Wake On LAN feature.
It allows to turn on machines in the local network or throught
Internet using a destination host and a specified UDP port number.
The machines to turn on need to be shut off with the Wake on LAN
magic packet enabled.
If WOL is available on your computer, do not forget to enable it
on the BIOS.

%prep
%setup -q

# fix permissions
chmod 0644 data/%{name}.desktop

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name}

%find_lang %{name}

%files -f %{name}.lang -f %{pyproject_files}
%doc README.md doc/*
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}*.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_metainfodir}/com.muflone.%{name}.metainfo.xml
%{_mandir}/man1/%{name}.1*
