%define major      79
%define libname    %mklibname %{name} %{major}
%define gtklibname %mklibname gwengui-gtk3_ %{major}
%define qt5libname %mklibname gwengui-qt5_ %{major}
%define cpplibname %mklibname gwengui-cpp %{major}
%define develname  %mklibname %{name} -d

Name:           gwenhywfar
Version:        5.12.0
Release:        %mkrel 1
Summary:        A multi-platform helper library for other libraries
Group:          System/Libraries
License:        LGPLv2+
URL:            https://www.aquamaniac.de/rdm/
Source:         https://www.aquamaniac.de/rdm/attachments/download/529/%{name}-%{version}.tar.gz
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  gettext-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Help)
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5OpenGL)
BuildRequires:  cmake(Qt5PrintSupport)
BuildRequires:  cmake(Qt5Sql)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Xml)

Recommends:     %{name}-gui = %{version}

%description
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and OpenHBCI-TNG (The Next Generation).

%package -n %libname
Summary:        A multi-platform helper library for other libraries
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %libname
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and OpenHBCI-TNG (The Next Generation).

%package -n %qt5libname
Summary:        A Qt5 multi-platform helper library for other libraries
Group:          System/Libraries
Provides:       %{name}-gui = %{version}

%description -n %qt5libname
This is Gwenhywfar, a Qt5 multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and OpenHBCI-TNG (The Next Generation).

%package -n %gtklibname
Summary:        A GTK multi-platform helper library for other libraries
Group:          System/Libraries
Provides:       %{name}-gui = %{version}

%description -n %gtklibname
This is Gwenhywfar, a GTK multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and OpenHBCI-TNG (The Next Generation).

%package -n %cpplibname
Summary:        A multi-platform helper library for other libraries
Group:          System/Libraries
Provides:       %{name}-gui = %{version}

%description -n %cpplibname
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and OpenHBCI-TNG (The Next Generation).

%package -n %develname
Summary:        Gwenhywfar development kit
Group:          Development/C
Requires:       %{libname} = %{version}
Requires:       %{qt5libname} = %{version}
Requires:       %{gtklibname} = %{version}
Requires:       %{cpplibname} = %{version}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %develname
This package contains gwenhywfar-config and header files for writing and
compiling programs using Gwenhywfar.

%prep
%autosetup

%build
export PATH=%{_qt5_bindir}:$PATH
%configure \
        --enable-system-certs \
        --disable-static \
        --disable-rpath \
        --with-guis="qt5 gtk3" \
        --with-openssl-libs=%{_libdir} \
        --with-qt5-qmake=%{_qt5_bindir}/qmake \
        --with-qt5-moc=%{_qt5_bindir}/moc \
        --with-qt5-uic=%{_qt5_bindir}/uic || (cat config.log && exit 1)

%make_build QT_LIBS='-lQt5Core -lQt5Gui -lQt5Widgets'

%install
%make_install

# use system ca-certificates
rm -f %{buildroot}%{_datadir}/%{name}/ca-bundle.crt
ln -sf %{_sysconfdir}/pki/tls/certs/ca-bundle.crt \
        %{buildroot}%{_datadir}/%{name}/ca-bundle.crt

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README
%{_bindir}/gct-tool
%{_datadir}/%{name}/

%files -n %libname
%{_libdir}/libgwenhywfar.so.%{major}{,.*}
%{_libdir}/%{name}/

%files -n %qt5libname
%{_libdir}/libgwengui-qt5.so.%{major}{,.*}

%files -n %gtklibname
%{_libdir}/libgwengui-gtk3.so.%{major}{,.*}

%files -n %cpplibname
%{_libdir}/libgwengui-cpp.so.%{major}{,.*}

%files -n %develname
%{_bindir}/gwbuild
%{_bindir}/gwenhywfar-config
%{_bindir}/gsa
%{_bindir}/xmlmerge
%{_bindir}/mklistdoc
%{_bindir}/typemaker
%{_bindir}/typemaker2
%{_includedir}/gwenhywfar5/
%{_libdir}/*.so
%{_libdir}/cmake/gwengui-qt5-*/
%{_libdir}/cmake/%{name}-*/
%{_libdir}/cmake/gwengui-cpp-*/
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/gwenhywfar.m4
%dir %{_datadir}/gwenbuild
%dir %{_datadir}/gwenbuild/templates
%{_datadir}/gwenbuild/templates/*.tmpl
