#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           gwenview
Epoch:          2
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Fast and easy to use image viewer for KDE
Group:          Graphics/Viewers
License:        GPLv2
URL:            https://apps.kde.org/gwenview/
Source0:        https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz
## Upstream patches

# Branch Patch (100-200)

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6SvgWidgets)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6OpenGLWidgets)
BuildRequires:  cmake(Qt6WaylandClient)

BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6ItemModels)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6Purpose)
BuildRequires:  cmake(KF6Baloo)

BuildRequires:  cmake(PlasmaActivities)
BuildRequires:  cmake(KExiv2Qt6)
BuildRequires:  cmake(KDcrawQt6)
BuildRequires:  cmake(Phonon4Qt6)

BuildRequires:  cmake(kImageAnnotator-Qt6)

BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(cfitsio)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols)

Requires:       kio
Requires:       kio-extras
Requires:       breeze
Requires:       kded
# For TIFF, WEBM, WEBP, etc. support (mga#18020)
Requires:       qt6-qtimageformats
Recommends:     gwenview-handbook

%description
Gwenview is a fast and easy to use image viewer/browser for KDE.
All common image formats are supported, such as PNG(including transparency),
JPEG(including EXIF tags and lossless transformations), GIF, XCF (Gimp
image format), BMP, XPM and others. Standard features include slideshow,
fullscreen view, image thumbnails, drag'n'drop, image zoom, full network
transparency using the KIO framework, including basic file operations and
browsing in compressed archives, non-blocking GUI with adjustable views.
Gwenview also provides image and directory KParts components for use e.g. in
Konqueror. Additional features, such as image renaming, comparing,
converting, and batch processing, HTML gallery and others are provided by the
KIPI image framework.

%files -f %name.lang
%_kf6_categoriesdir/gwenview.categories
%_kf6_bindir/gwenview
%_kf6_bindir/gwenview_importer
%_kf6_plugindir/parts/gvpart.so
%_kf6_plugindir/kfileitemaction/slideshowfileitemaction.so
%_kf6_applicationsdir/*
%_kf6_datadir/gwenview/
%_kf6_iconsdir/*/*/*/*
%_kf6_metainfodir/org.kde.gwenview.appdata.xml
%_kf6_datadir/solid/actions/gwenview_importer.desktop
%_kf6_datadir/solid/actions/gwenview_importer_camera.desktop

#------------------------------------------------------------------------------

%package handbook
Summary:        Gwenview handbook
Group:          Documentation
BuildArch:      noarch
Requires:       gwenview >= %{epoch}:%{version}-%{release}

%description handbook
This package provides the gwenview handbook.

%files handbook
%doc %_kf6_docdir/HTML/*/gwenview

#------------------------------------------------------------------------------

%define gwenviewlib_major 5
%define libgwenviewlib %mklibname gwenviewlib %gwenviewlib_major

%package -n %libgwenviewlib
Summary:        Gwenview library
Group:          System/Libraries

%description -n %libgwenviewlib
Gwenview library.

%files -n %libgwenviewlib
%_kf6_libdir/libgwenviewlib.so.%{gwenviewlib_major}{,.*}
%_kf6_libdir/libgwenviewlib.so.4.97.0

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DQT_MAJOR_VERSION=6
%cmake_build

%install
%cmake_install
%find_lang %name
