Name:		gxneur
Version:	0.20.0
Release:	%mkrel 3
License:	GPLv2
URL:		https://xneur.ru/
Group:		System/X11
Summary:	GTK front-end for X Neural Switcher (xneur)
Source0:	https://github.com/AndrewCrewKuznetsov/xneur-devel/blob/master/dists/%{version}/%{name}_%{version}.orig.tar.gz
# From Debian
Patch0:		03-glib-deprecated.patch
Requires:	xneur = %{version}
BuildRequires:	autoconf
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libglade-2.0)
BuildRequires:	pkgconfig(libpcre)
BuildRequires:	pkgconfig(xneur) = %{version}
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	intltool

%description
Automatic switcher of keyboard layout (GTK2 frontend).
X Neural Switcher (https://xneur.ru/).

%prep
%autosetup -p1

%build
export XNEUR_LIBS="-lxnconfig -lpcre -lX11 -ldl"
sed -ie 's/-Werror\>//' configure.ac
autoreconf -vfi
%configure
%make_build

%install
%make_install

install -dm 755 %{buildroot}%{_datadir}/applications
cat > %{name}.desktop << EOF
[Desktop Entry]
Name=gXNeur
GenericName=Neural Switcher for Linux
GenericName[ru]=Переключатель раскладок клавиатуры
Comment=Automatic keyboard layout switcher
Comment[ru]=Автоматический переключатель раскладок клавиатуры
Comment[uk]=Автоматичний перемикач розкладок клавіатури
Comment[af]=Outomatiese sleutelborduitleg omskakelaar
Comment[sq]=Ndryshues automatik i daljes së tastierës
Comment[ast]=Cambiador automáticu de tecláu
Comment[bn]=স্বয়ংক্রিয় কীবোর্ডের বর্হিবিন্যাস পরিবর্তক
Comment[be]=Аўтаматычны пераключальнік раскладак клявіятуры
Comment[bs]=Automatski preklopnik rasporeda tastature
Comment[pt_BR]=Trocador automático de disposição de teclado
Comment[bg]=Програма за автоматично превключване на клавиатурната подредба
Comment[ca]=Un canviador automàtic de disposicions de teclat
Comment[ca@valencia]=Un canviador automàtic de disposicions de teclat
Comment[zh_HK]=自動切換鍵盤輸出
Comment[zh_TW]=自動切換鍵盤輸出
Comment[crh]=Kendiliğinden klavye düzeni değiştirici
Comment[zh_CN]=键盘布局自动切换器
Comment[cs]=Automatická změna rozložení klávesnice
Comment[da]=Automatisk skift af tastaturlayout
Comment[nl]=Verander automatisch de taal van uw toetsenbord
Comment[fi]=Automaattinen näppäimistön asettelun vaihtaja
Comment[fr]=Changement automatique de la disposition du clavier
Comment[gl]=Conmutador automático da disposición do teclado
Comment[de]=Automatischer Wechsler für Tastaturlayouts
Comment[el]=Αυτόματη εναλλαγή διάταξης πληκτρολογίου
Comment[hu]=Automatikus billentyűzetkiosztás-váltó
Comment[it]=Selettore automatico della disposizione tastiera
Comment[ja]=キーボードレイアウト自動切替ソフト
Comment[ky]=Ариптактанын калыптоосун автоматтык түрдө алмаштыруу
Comment[ms]=Penukar bentangan papan kekunci berautomatik
Comment[nb]=Automatisk valg av tastaturoppsett
Comment[oc]=Cambiament automatic de la disposicion del clavièr
Comment[pl]=Automatyczny przełącznik układu klawiatury
Comment[pt]=Alternador automático de disposição de teclado
Comment[sr]=Аутоматска замена распореда тастатуре
Comment[ro]=Comutator automat pentru aranjamente de tastatură
Comment[sl]=Samodejni preklopnik razporeditve tipkovnice
Comment[es]=Cambiador automático de teclado
Comment[sv]=Automatisk växlare för tangentbordslayouter
Comment[vi]=Bộ chuyển đổi bố trí bàn phím tự động
Comment[tr]=Kendiliğinden klavye düzeni değiştirici
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Application;Utility;
StartupNotify=false
EOF
install -m 0644 %{name}.desktop \
%{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man1/*
