# from https://chromium.googlesource.com/external/gyp/
%define date		20240207
%define commit		1615ec326858f8c2bd8f30b3a86ea71830409ce4

%define rel	2

Name:		gyp
Version:	0.1
Release:	%mkrel 1.git%{date}.%{rel}
Summary:	Generate Your Projects
Group:		Development/Tools
License:	BSD
URL:		https://gyp.gsrc.io/
# No released tarball avaiable. so the tarball was generated
# from git as following:
#
# 1. git clone https://chromium.googlesource.com/external/gyp.git
# 2. cd gyp
# 3. version=$(grep version= setup.py|cut -d\' -f2)
# 4. revision=$(svn info|grep -E "^Revision:"|cut -d' ' -f2)
# 5. tar -a --exclude-vcs -cf /tmp/gyp-$version-svn$revision.tar.bz2 *
Source0:	https://chromium.googlesource.com/external/gyp/+archive/%{commit}.tar.gz
Patch0:		gyp-rpmoptflags.patch
Patch3:		gyp-python38.patch
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
Requires:	python3dist(setuptools)

%description
GYP is a tool to generates native Visual Studio, Xcode and SCons
and/or make build files from a platform-independent input format.

Its syntax is a universal cross-platform build representation
that still allows sufficient per-platform flexibility to accommodate
irreconcilable differences.

%prep
%autosetup -p1 -c -n %{commit}

for i in $(find pylib -name '*.py'); do
	sed -e '\,#![ \t]*/.*python,{d}' $i > $i.new && touch -r $i $i.new && mv $i.new $i
done

%build
%pyproject_wheel

%install
%pyproject_install

%files
%doc AUTHORS
%license LICENSE
%{_bindir}/gyp
%{python3_sitelib}/*
