Summary:	Enhanced Doom engine
Name:		gzdoom
Version:	4.11.3
Release:	%mkrel 2
License:	GPLv3+
Group:		Games/Arcade
Url:		https://zdoom.org/
Source0:	https://github.com/ZDoom/gzdoom/archive/g%{version}/%{name}-%{version}.tar.gz
# From http://forum.zdoom.org/viewtopic.php?f=4&t=33119
Source1:	gzdoom.png
Patch1:		0001-Fix-file-paths.patch
Patch3:		gzdoom-static-libminiz.patch
# From opensuse
Patch10:	gzdoom-waddir.patch
Patch11:	gzdoom-discord.patch
ExclusiveArch:	aarch64 x86_64

BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	re2c
#BuildRequires:	lemon
BuildRequires:	imagemagick
BuildRequires:	libgomp-devel
BuildRequires:	cmake(ZMusic)
BuildRequires:	cmake(WebP)
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(discord-rpc)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(vpx)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(zlib)
Requires:	timidity++

Recommends:	doom-iwad
Recommends:	fluid-soundfont-gs
Provides:	doom-engine

Obsoletes:	prboom-plus <= 2.5.4.1

%description
GZDoom is a Doom source port based on ZDoom. It features an
OpenGL 4.5 renderer and lots of new features, among them:
- 3D floors
- Dynamic lights
- Quake2/Unreal style skyboxes
- True color texture support
- Model support (limited at the moment)

Warning! Make sure to place WAD files to %{_gamesdatadir}/doom/

%files
%license LICENSE
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}
%{_gamesdatadir}/doom/brightmaps.pk3
%{_gamesdatadir}/doom/game_support.pk3
%{_gamesdatadir}/doom/game_widescreen_gfx.pk3
%{_gamesdatadir}/doom/gzdoom.pk3
%{_gamesdatadir}/doom/lights.pk3
%{_gamesdatadir}/doom/fm_banks/
%dir %{_gamesdatadir}/doom/soundfonts
%{_gamesdatadir}/doom/soundfonts/gzdoom.sf2
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png

#----------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-g%{version}

sed -i s,"<unknown version>","%{version}",g tools/updaterevision/UpdateRevision.cmake

# use system re2c
rm -rf tools/re2c
sed -i -e '/re2c/s/add_subdirectory/#add_subdirectory/g' tools/CMakeLists.txt
sed -i -e '/DEPENDS/s/\s\+re2c//g' src/CMakeLists.txt

%if 0
# use system lemon
rm -rf tools/lemon
sed -i -e '/lemon/s/add_subdirectory/#add_subdirectory/g' tools/CMakeLists.txt
sed -i -e '/DEPENDS/s/\s\+lemon//g' src/CMakeLists.txt
sed -i -e '/COMMAND/s/lemon -C/lemon -d/g' src/CMakeLists.txt
%endif

%build
%cmake -GNinja \
	-DINSTALL_PK3_PATH=%{_gamesdatadir}/doom/ \
	-DINSTALL_SOUNDFONT_PATH=%{_gamesdatadir}/doom \
	-DDYN_OPENAL=OFF
%cmake_build

%install
%cmake_install

# install menu entry
mkdir -p %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=GZDoom
Comment=Enhanced Doom engine
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

# install menu icons
for N in 16 32 48 64 128;
do
convert %{SOURCE1} -scale ${N}x${N} $N.png;
install -D -m 0644 $N.png %{buildroot}%{_iconsdir}/hicolor/${N}x${N}/apps/%{name}.png
done

install -m 0644 README.md %{buildroot}%{_docdir}/%{name}/
