Name:		gzip
Summary:	The GNU data compression program
Version:	1.14
Release:	%mkrel 1
License:	GPLv3+
Group:		Archiving/Compression
URL:		https://www.gnu.org/software/gzip/
Source0:	https://ftp.gnu.org/gnu/gzip/gzip-%{version}.tar.xz
Source1:	https://ftp.gnu.org/gnu/gzip/gzip-%{version}.tar.xz.sig
BuildRequires:	less
BuildRequires:	texinfo

Requires:	mktemp

%description
The gzip package contains the popular GNU gzip data compression
program. Gzipped files have a .gz extension.

Gzip should be installed on your Mageia system, because it is a
very commonly used data compression program.

%prep
%autosetup -p1

%build
export DEFS="-DNO_ASM"
export CPPFLAGS="-DHAVE_LSTAT"

%configure

%make_build

%check
%__make check

%install
%make_install

for i in zcmp zdiff zforce zgrep zmore znew ; do
	sed -i -e "s|%{buildroot}||g" %{buildroot}%{_bindir}/$i
	chmod 755 %{buildroot}%{_bindir}/$i
done

# uncompress is a part of ncompress package
rm -f %{buildroot}%{_bindir}/uncompress

%files
%doc NEWS README AUTHORS ChangeLog
%{_bindir}/*
%{_mandir}/*/*
%{_infodir}/*
