Name:		halibut
Summary:	TeX-like software manual tool
Version:	1.3
Release:	%mkrel 1
License:	MIT
Group:		Text tools
URL:		https://www.chiark.greenend.org.uk/~sgtatham/halibut.html
Source:		https://www.chiark.greenend.org.uk/~sgtatham/%{name}/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake

%description
Halibut is yet another text formatting system, intended primarily for
writing software documentation. It accepts a single source format and
outputs a variety of formats, planned to include text, HTML, Texinfo,
Windows Help, Windows HTMLHelp, PostScript and PDF. It has comprehensive
indexing and cross-referencing support, and generates hyperlinks within
output documents wherever possible.


%package	-n vim-halibut
Summary:	Syntax file for the halibut manual tool
Group:		Editors
Requires:	vim-common
BuildArch:	noarch

%description -n vim-halibut
This package provides vim syntax support for Halibut input files (*.but).


%prep
%autosetup


%build
%define _legacy_common_support 1
export CFLAGS="%{optflags}"
%cmake
%cmake_build

%install
%cmake_install
install -d  html
install -d %{buildroot}%{_datadir}/vim/syntax
install -pm 0644 misc/halibut.vim %{buildroot}%{_datadir}/vim/syntax


%files
%doc LICENCE html
%doc %_docdir/%name/
%{_bindir}/halibut
%{_mandir}/man1/*.1*
%{_infodir}/*.xz

%files -n vim-halibut
%{_datadir}/vim/syntax/*.vim
