%global namedreltag -incubating-SNAPSHOT
%global namedversion %{version}%{?namedreltag}
%global major %(echo %version | cut -d. -f 1-2)
Name:          hama
Version:       0.4.0
Release:       %mkrel 1
Summary:       Apache Hama a distributed computing framework based on Bulk Synchronous Parallel
Group:         Development/Java
License:       ASL 2.0
Url:           https://incubator.apache.org/hama/
# svn export http://svn.apache.org/repos/asf/incubator/hama/trunk hama-0.4.0-incubating-SNAPSHOT
# tar czf hama-0.4.0-incubating-SNAPSHOT-src-svn.tar.gz hama-0.4.0-incubating-SNAPSHOT
Source0:       hama-%{namedversion}-src-svn.tar.gz
Source1:       hama-0.4.0-depmap

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: apache-commons-cli
BuildRequires: apache-commons-logging
BuildRequires: apache-zookeeper
BuildRequires: hadoop
BuildRequires: jetty >= 6.1.26-10
BuildRequires: jetty-jsp-2.1
BuildRequires: junit4
BuildRequires: liblog4j-java
BuildRequires: servlet25
BuildRequires: slf4j

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-dependency-plugin
BuildRequires: maven-site-plugin
BuildRequires: maven-surefire-plugin

Requires:      ant
Requires:      apache-commons-cli
Requires:      apache-commons-logging
Requires:      apache-zookeeper
Requires:      hadoop
Requires:      jetty >= 6.1.26-10
Requires:      jetty-jsp-2.1
Requires:      junit4
Requires:      liblog4j-java
Requires:      servlet25
Requires:      slf4j

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Apache Hama is a distributed computing framework based on BSP (Bulk Synchronous Parallel) computing techniques for massive scientific computations, e.g., matrix, graph and network algorithms. It was inspired by Google's Pregel, but different in the sense that it's purely BSP and common model, not just for graph. 

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n hama-%{namedversion}

rm -rf $(find . -name "*.jar" ! -name "test*.jar")

%build

mvn-rpmbuild \
  -e \
  -Dmaven.local.depmap.file=%{SOURCE1} \
  install javadoc:aggregate

%install
mkdir -p %{buildroot}%{_javadir}/%{name}
install -pm 644 core/target/%{name}-core-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/core.jar
install -pm 644 examples/target/%{name}-examples-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/examples.jar
install -pm 644 graph/target/hama-graph-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/graph.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-parent.pom
%add_maven_depmap JPP.%{name}-parent.pom
install -pm 644 core/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-core.pom
%add_maven_depmap JPP.%{name}-core.pom %{name}/core.jar
install -pm 644 examples/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-examples.pom
%add_maven_depmap JPP.%{name}-examples.pom %{name}/examples.jar
install -pm 644 graph/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-graph.pom
%add_maven_depmap JPP.%{name}-graph.pom %{name}/graph.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

# TODO 
# $HAMA_HOME/lib/ant-1.7.1.jar
# $HAMA_HOME/lib/ant-launcher-1.7.1.jar
# $HAMA_HOME/lib/commons-cli-1.2.jar
# $HAMA_HOME/lib/commons-logging-1.1.1.jar
# $HAMA_HOME/lib/hadoop-core-0.20.2.jar
# $HAMA_HOME/lib/hadoop-test-0.20.2.jar
# $HAMA_HOME/lib/jetty-6.1.14.jar
# $HAMA_HOME/lib/jetty-annotations-6.1.14.jar
# $HAMA_HOME/lib/jetty-util-6.1.14.jar
# $HAMA_HOME/lib/jsp-2.1-6.1.14.jar
# $HAMA_HOME/lib/jsp-api-2.1-6.1.14.jar
# $HAMA_HOME/lib/junit-4.8.1.jar
# $HAMA_HOME/lib/log4j-1.2.16.jar
# $HAMA_HOME/lib/servlet-api-6.0.32.jar
# $HAMA_HOME/lib/slf4j-log4j12-1.5.2.jar
# $HAMA_HOME/lib/zookeeper-3.3.1.jar

# $HAMA_HOME/bin/grooms.sh
# $HAMA_HOME/bin/hama
# $HAMA_HOME/bin/hama-config.sh
# $HAMA_HOME/bin/hama-daemon.sh
# $HAMA_HOME/bin/hama-daemons.sh
# $HAMA_HOME/bin/start-bspd.sh
# $HAMA_HOME/bin/stop-bspd.sh
# $HAMA_HOME/bin/zookeepers.sh

# $HAMA_HOME/conf/groomservers
# $HAMA_HOME/conf/hama-default.xml
# $HAMA_HOME/conf/hama-env.sh
# $HAMA_HOME/conf/hama-site.xml
# $HAMA_HOME/conf/log4j.properties

# $HAMA_HOME/logs

%files
%{_javadir}/%{name}/core.jar
%{_javadir}/%{name}/examples.jar
%{_javadir}/%{name}/graph.jar
%{_mavenpomdir}/JPP.%{name}-*.pom
%{_mavendepmapfragdir}/%{name}
%doc CHANGES.txt DISCLAIMER.txt LICENSE.txt NOTICE.txt README.txt

%files javadoc
%{_javadocdir}/%{name}