# Comment for full releases
#define githash 941e69eda
#define gitdate 20241204

%define major	4
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname -d %{name}

%define major_cxx 4
%define libname_cxx %mklibname %{name}++ %{major_cxx}
%define devname_cxx %mklibname -d %{name}++
%define rel		1

Summary:		Control radio transceivers and receivers
Name:			hamlib
Version:		4.6.2
Release:		%mkrel %{?githash: -c %{gitdate}.%{githash}} %{rel}
License:		LGPLv2+
Group:			Communications/Radio
Url:			https://hamlib.sourceforge.net/
# Check for new snapshots at https://n0nb.users.sourceforge.net/
%if %{defined githash}
Source0:		https://n0nb.users.sourceforge.net/%{name}-%{version}~git-%{gitdate}-%{githash}.tar.gz
%else
Source0:		https://github.com/Hamlib/Hamlib/releases/download/%{version}/hamlib-%{version}.tar.gz
%endif

Source1:		rigctld.conf
Source2:		rigctld.service

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool-base
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libusb-1.0) >= 1.0.23
BuildRequires:	pkgconfig(gdlib)
BuildRequires:	pkgconfig(source-highlight)
BuildRequires:	libltdl-devel

%description
Hamlib provides a standardized programming interface that applications
can use to send the appropriate commands to a radio.

%package -n %{libname}
Summary:	Run-time library to control radio transceivers and receivers
Group:		Communications/Radio
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{name} < %{version}-%{release}

%description -n %{libname}
Hamlib provides a standardized programming interface that applications
can use to send the appropriate commands to a radio.

%package utils
Summary:	Utilities to support the hamlib radio control library
Group:		Communications/Radio
Requires:	%{libname} = %{version}-%{release}

%description utils
Hamlib provides a standardized programming interface that applications
can use to send the appropriate commands to a radio.

This package provides a command-line utility to test the hamlib library and
to control transceivers if you're short of anything more sophisticated.

%package -n %{devname}
Summary:	Development library to control radio transceivers and receivers
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < %{version}-%{release}

%description -n %{devname}
Hamlib provides a standardized programming interface that applications
can use to send the appropriate commands to a radio.

This package provides the development files and headers.

%package -n %{libname_cxx}
Summary:	Hamlib radio control library C++ binding
Group:		Communications/Radio
Requires:	%{libname} = %{version}-%{release}

%description -n %{libname_cxx}
Hamlib provides a standardized programming interface that applications
can use to send the appropriate commands to a radio.

This package contains Hamlib radio control library C++ language binding.

%package -n %{devname_cxx}
Summary:	Hamlib radio control library C++ binding development headers and libraries
Group:		Development/C++
Requires:	%{libname_cxx} = %{version}-%{release}
Provides:	%{name}++-devel = %{version}-%{release}
Provides:	lib%{name}++-devel = %{version}-%{release}

%description -n %{devname_cxx}
Hamlib provides a standardized programming interface that applications
can use to send the appropriate commands to a radio.

This package contains Hamlib radio control library C++ binding development
headers and libraries for building C++ applications with Hamlib.

%prep
%autosetup -p1 %{?githash:-n %{name}-%{version}~git}

sed -i 's:@PACKAGE_VERSION@:%{version}:' hamlib.pc.in

%build

#./bootstrap #Only if building from git
#automake --add-missing
#aclocal
autoreconf -ivf
%configure \
	--disable-static \
	--without-perl-binding \
	--without-python-binding
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_sysconfdir}
cp -f %{SOURCE1} %{buildroot}%{_sysconfdir}/
mkdir -p %{buildroot}%{_unitdir}
cp -f %{SOURCE2} %{buildroot}%{_unitdir}/

#we don't want these
find %{buildroot} -name "*.la" -delete

%check
make check ||:

%files -n %{libname}
%doc AUTHORS ChangeLog PLAN README THANKS
%{_libdir}/libhamlib.so.%{major}{,.*}
%{_libdir}/libhamlib.so

%files -n %{libname_cxx}
%{_libdir}/libhamlib++.so.%{major_cxx}{,.*}

%files utils
%{_mandir}/man*/*
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/rigctld.conf
%{_unitdir}/rigctld.service

%files -n %{devname}
%doc README.developer
%{_defaultdocdir}/%{name}/*
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/rig.h
%{_includedir}/%{name}/riglist.h
%{_includedir}/%{name}/rig_dll.h
%{_includedir}/%{name}/rotator.h
%{_includedir}/%{name}/rotlist.h
%{_includedir}/%{name}/ampclass.h
%{_includedir}/%{name}/amplifier.h
%{_includedir}/%{name}/amplist.h
%{_includedir}/%{name}/multicast.h
%{_datadir}/aclocal/hamlib.m4
%{_libdir}/pkgconfig/hamlib.pc
%{_libdir}/libhamlib.so

%files -n %{devname_cxx}
%doc README.developer
%{_libdir}/libhamlib++.so
%{_includedir}/%{name}/rigclass.h
%{_includedir}/%{name}/rotclass.h
