# comment out if not pre-release
#define prel	rc1

# release to bump
%define rel	2

Name:		hamster-time-tracker
Version:	3.0.3
Release:	%mkrel %{?prel:0.%prel.}%{rel}
Summary:	The linux time tracker
License:	GPLv+
Group:		Graphical desktop/GNOME
Url:		http://projecthamster.org/
Source0:	https://github.com/projecthamster/hamster/archive/v%{version}%{?prel:-%prel}/%{name}-%{version}%{?prel:-%prel}.tar.gz
BuildArch:	noarch
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	gnome-doc-utils
BuildRequires:	waf
Requires:	python3-dbus
Requires:	python3-gobject3
Requires:	python3-pyxdg

Provides:	hamster = %{version}-%{release}
Provides:	hamster-applet = %{version}-%{release}
Obsoletes:	hamster-applet < 2.91.3-1

%description
The linux time tracker for GNOME v3+.

%prep
%autosetup -p1 -n hamster-%{version}%{?prel:-%prel}

# drop shebang
sed -i '1{/^#!/d}' po/wscript src/hamster/overview.py #src/hamster/today.py

# force system waf
rm -rf ./waf ./waflib

%build
%set_build_flags
%waf --skip-icon-cache-update
%waf_build

%install
%waf_install

# we don't want these
rm -rf %{buildroot}%{_datadir}/glib-2.0/schemas/gschemas.compiled

%find_lang hamster --with-gnome

%preun
%preun_uninstall_gconf_schemas %{name}

%files -f hamster.lang
%doc NEWS* MAINTAINERS AUTHORS README*
%{_datadir}/bash-completion/completions/hamster.bash
%{_bindir}/hamster
%{_libexecdir}/hamster/
%{_datadir}/applications/org.gnome.Hamster.GUI.desktop
%{_datadir}/icons/hicolor/*/apps/org.gnome.Hamster.GUI.*
%{_datadir}/dbus-1/services/org.gnome.Hamster*.service
%{_datadir}/hamster/
%{python3_sitelib}/hamster/
%{_datadir}/glib-2.0/schemas/org.gnome.hamster.gschema.xml
%{_metainfodir}/org.gnome.Hamster.metainfo.xml
