## NOTE Please ask before touching  - thanks ;) [barjac]
%define _legacy_common_support 1
%define dname           Harbour
%define major           3

# This is provided in the tarball name, derived
# from Core git revision and QtContribs svn revision.
%define rev             19762
%define rel             1

# define what is included in build here - useful for testing
# when allocating unpackaged files to correct packages etc.
# Comment lines to exclude
%define _with_allegro   1
%define _with_cairo     1
%define _with_cups      1
%define _with_curl      1
%define _with_freeimage 1
%define _with_firebird  1
%define _with_gd        1
%define _with_mysql     1
%define _with_odbc      1
%define _with_pgsql     1
# Currently (19/09/2020) qtcontribs is not yet ported to qt-5.15
#define _with_qt        1
%if %{defined _with_qt}
#define _with_hbide     1
#define _with_hbdbu     1
%endif
#---------------------------------------------------------------

# define libnames
%define libharbour      %mklibname %{name} %{major}
%define devharbour      %mklibname %{name} -d

%define devcontrib     %mklibname %{name}-contrib -d
%define libcontrib      %mklibname %{name}-contrib %{major}

%if %{defined _with_allegro}
%define devallegro     %mklibname %{name}-allegro -d
%define liballegro      %mklibname %{name}-allegro %{major}
%endif
%if %{defined _with_cairo}
%define devcairo       %mklibname %{name}-cairo -d
%define libcairo        %mklibname %{name}-cairo %{major}
%endif
%if %{defined _with_cups}
%define devcups        %mklibname %{name}-cups -d
%define libcups         %mklibname %{name}-cups %{major}
%endif
%if %{defined _with_curl}
%define devcurl        %mklibname %{name}-curl -d
%define libcurl         %mklibname %{name}-curl %{major}
%endif
%if %{defined _with_firebird}
%define devfirebird   %mklibname %{name}-firebird -d
%define libfirebird    %mklibname %{name}-firebird %{major}
%endif
%if %{defined _with_freeimage}
%define devfreeimage  %mklibname %{name}-freeimage -d
%define libfreeimage   %mklibname %{name}-freeimage %{major}
%endif
%if %{defined _with_gd}
%define devgd         %mklibname %{name}-gd -d
%define libgd          %mklibname %{name}-gd %{major}
%endif
%if %{defined _with_mysql}
%define devmysql      %mklibname %{name}-mysql -d
%define libmysql       %mklibname %{name}-mysql %{major}
%endif
%if %{defined _with_odbc}
%define devodbc       %mklibname %{name}-odbc -d
%define libodbc        %mklibname %{name}-odbc %{major}
%endif
%if %{defined _with_pgsql}
%define devpgsql      %mklibname %{name}-pgsql -d
%define libpgsql       %mklibname %{name}-pgsql %{major}
%endif
%if %{defined _with_qt}
%define devqt          %mklibname %{name}-qt -d
%define libqt          %mklibname %{name}-qt %{major}
%define hb_has_qt5     export HBMK_HAS_QT5=yes
%define hb_qt          export HB_QTPATH=$(pkg-config --variable=exec_prefix Qt5Core)/bin/
%define hb_qtpostfix   export HB_QTPOSTFIX=
%define hb_withqt      export HB_WITH_QT=/usr/include/qt5
%endif

# define harbour build env
%define hb_prefix      export HB_INSTALL_PREFIX=%{buildroot}%{_usr}
%define hb_plat        export HB_PLATFORM=linux
%define hb_cc          export HB_COMPILER=gcc
%define hb_cflag       export HB_USER_CFLAGS="%{optflags} -fPIC"
%define hb_lflag       export HB_USER_LDFLAGS="%{ldflags}"
%define hb_libs        export HB_USER_LIBS="z"
%define hb_dflag       export HB_USER_DFLAGS=
%define shl_path       export LD_LIBRARY_PATH=${LD_LIBRARY_PATH:+${LD_LIBRARY_PATH}:}$(pwd)/lib/${HB_PLATFORM}/${HB_COMPILER}${HB_BUILD_NAME}
%define hb_gpm         export HB_WITH_GPM=%{!?_without_gpm:yes}%{?_without_gpm:no}
%define hb_ads         export HB_WITH_ADS=no
%define hb_crs         export HB_WITH_CURSES=yes
%define hb_sln         export HB_WITH_SLANG=yes
%define hb_x11         export HB_WITH_X11=yes
%define hb_extern      export HB_EXTERNALLIBS="zlib pcre"
%define hb_minilzo     export HB_WITH_MINILZO=%{_includedir}
%define hb_local       export HB_WITH_ZLIB=%{?_with_localzlib:local} ; export HB_WITH_PCRE=%{?_with_localpcre:local}
%define hb_proot       export HB_INSTALL_PKG_ROOT=%{buildroot}
%define hb_bdir        export HB_INSTALL_BIN=%{buildroot}%{_bindir}
%define hb_idir        export HB_INSTALL_INC=%{buildroot}%{_includedir}/%{name}
%define hb_ldir        export HB_INSTALL_LIB=%{buildroot}%{_libdir}/%{name}
%define hb_ddir        export HB_INSTALL_DYN=%{buildroot}%{_libdir}
%define hb_edir        export HB_INSTALL_ETC=%{buildroot}%{_sysconfdir}/%{name}
%define hb_mdir        export HB_INSTALL_MAN=%{buildroot}%{_mandir}
%define hb_tdir        export HB_INSTALL_DOC=%{buildroot}%{_docdir}/%{name}
%define hb_blds        export HB_BUILD_STRIP=no
%define hb_bldsh       export HB_BUILD_SHARED=yes
%define hb_cmrc        export HB_BUILD_NOGPLLIB=%{?_without_gpllib:no}
%define hb_dyn         export HB_BUILD_CONTRIB_DYN=yes
%define hb_ctrb        export HB_BUILD_CONTRIBS="hbamf hboslib hbtinymt hbtest hbxdiff hbblink hbct hbgt hbmisc hbmzip hbbz2 hbnetio hbtip hbtpathy hbcomm hbhpdf hbziparc hbfoxpro hbsms hbfship hbxpp xhb rddbm rddsql hbsqlit3 sddsqlt3 hbnf hbhttpd hbformat hbunix hbzebra hblzf hbmemio hbmlzo hbmxml hbexpat hbrun %{?_with_allegro:gtalleg} %{?_with_cairo:hbcairo} %{?_with_cups:hbcups} %{?_with_curl:hbcurl} %{?_with_freeimage:hbfimage} %{?_with_gd:hbgd} %{?_with_firebird:hbfbird sddfb} %{?_with_mysql:hbmysql sddmy} %{?_with_odbc:hbodbc sddodbc} %{?_with_pgsql:hbpgsql sddpg} %{?_with_qt:hbqt hbxbp} %{?_with_hbide:hbide} %{?_with_hbdbu:hbdbu}"
%define hb_qtctrb      export HB_BUILD_ADDONS="%{?_with_qt:hbqt hbxbp} %{?_with_hbide:hbide} %{?_with_hbdbu:hbdbu}"
%define hb_env         %{hb_prefix} ; %{hb_plat} ; %{hb_cc} ; %{hb_cflag} ; %{hb_lflag} ; %{hb_libs} ; %{hb_dflag} ; %{shl_path} ; %{hb_minilzo} ; %{hb_gpm} ; %{hb_crs} ;  %{hb_sln} ; %{hb_x11} ; %{hb_local} ; %{hb_proot} ; %{hb_bdir} ; %{hb_idir} ; %{hb_ldir} ; %{hb_ddir} ; %{hb_edir} ; %{hb_mdir} ; %{hb_tdir} ; %{hb_ctrb} ; %{hb_dyn} ; %{hb_cmrc} ; %{hb_blds} ; %{hb_bldsh} ; %{hb_extern}; %{hb_ads} ; %{?_with_qt:%{hb_qt} ;} %{?_with_qt:%{hb_has_qt5} ;} %{?_with_qt:%{hb_withqt} ;} %{?_with_qt:%{hb_qtpostfix} ;} %{?_with_qt:%{hb_qtctrb}}
#---------------------------------
Name:           harbour
Version:        3.2.0
Release:        %mkrel 3.%{rev}.%{rel}
Summary:        Free software Clipper compatible compiler
License:        GPLv2+
Group:          Development/Other
URL:            https://harbour-project.org/
# QtContribs    https://sourceforge.net/p/qtcontribs
# Create tarball from current Harbour git and QtContribs svn using hb_mk_tar script in SOURCES
Source0:        %{name}-%{rev}.tar.xz
Source1:        %{name}.png
# Use hb_mk_tar to include qtcontribs
Source2:        hb_mk_tar
# Use hb-mk-core for harbour and hb_contribs
Source3:        hb-mk-core

Patch0:         harbour-3.2.0-mga-remove_local_zlib_pcre.patch
Patch6:         harbour-3.2.0-glibc-2.32-sysctl.h.patch
## NOTE more patches below among conditional BuildRequires

BuildRequires:  gpm-devel
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  pkgconfig(slang)

%if %{defined _with_allegro}
BuildRequires:  allegro4-devel
%endif
%if %{defined _with_cairo}
BuildRequires:  pkgconfig(cairo)
%endif
%if %{defined _with_cups}
BuildRequires:  cups-devel
%endif
%if %{defined _with_curl}
BuildRequires:  pkgconfig(libcurl)
%endif
%if %{defined _with_firebird}
BuildRequires:  pkgconfig(fbclient)
%endif
%if %{defined _with_freeimage}
BuildRequires:  freeimage-devel
%endif
%if %{defined _with_gd}
BuildRequires:  pkgconfig(gdlib)
%endif
%if %{defined _with_mysql}
BuildRequires:  mariadb-devel
Patch1:         harbour-3.2.0-mga-mariadb.patch
%endif
%if %{defined _with_odbc}
BuildRequires:  unixODBC-devel
%endif
%if %{defined _with_pgsql}
BuildRequires:  postgresql-devel
%endif
%if %{defined _with_qt}
BuildRequires:  qmake
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Designer)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5WebEngine)

Patch2:         harbour-3.2.0-mga-hbplist.txt.patch
Patch3:         harbour-Q_NULLPTR.patch
Patch4:         qtthread.patch
Patch5:         include_QPainterPath.patch

%else
Obsoletes:      %{_lib}harbour-qt3 < %{version}-%{release}
Obsoletes:      harbour-hbdbu    < %{version}-%{release}
Obsoletes:      harbour-hbide    < %{version}-%{release}
%endif

Requires:       %{devharbour} = %{version}-%{release}
Provides:       %{name} = %{version}-%{release}
Obsoletes:      %{name}-bundle < %{version}-%{release}
Recommends:     %{devcontrib} = %{version}-%{release}

%if %{defined _with_allegro}
Recommends:       %{devallegro} = %{version}-%{release}
%endif
%if %{defined _with_cairo}
Recommends:       %{devcairo} = %{version}-%{release}
%endif
%if %{defined _with_cups}
Recommends:       %{devcups} = %{version}-%{release}
%endif
%if %{defined _with_curl}
Recommends:       %{devcurl} = %{version}-%{release}
%endif
%if %{defined _with_firebird}
Recommends:       %{devfirebird} = %{version}-%{release}
%endif
%if %{defined _with_freeimage}
Recommends:       %{devfreeimage} = %{version}-%{release}
%endif
%if %{defined _with_gd}
Recommends:       %{devgd} = %{version}-%{release}
%endif
%if %{defined _with_hbide}
Recommends:       %{name}-hbide = %{version}-%{release}
%endif
%if %{defined _with_mysql}
Recommends:       %{devmysql} = %{version}-%{release}
%endif
%if %{defined _with_odbc}
Recommends:       %{devodbc} = %{version}-%{release}
%endif
%if %{defined _with_pgsql}
Recommends:       %{devpgsql} = %{version}-%{release}
%endif
%if %{defined _with_qt}
Recommends:       %{devqt} = %{version}-%{release}
%endif
%if %{defined _with_hbdbu}
Recommends:       %{name}-hbdbu = %{version}-%{release}
%endif
%description
%{dname} is a CA-Cl*pper compatible compiler for multiple platforms. This
package includes a compiler, pre-processor, header files, virtual machine
and documentation.
Features:
Written in ANSI C
Multi-threading, Unicode, scriptable
Full Clipper 5 compatibility
Partial Xbase++ compatibility
Highly compatible with xHarbour fork (via xhb library)
This is a development snapshot.

%package -n %{libharbour}
Summary:        Shared runtime libraries for %{dname} compiler
Group:          Development/Other
Provides:       %{_lib}%{name}.so = %{version}-%{release}

%description -n %{libharbour}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} runtime shared libraries for programs
linked dynamically.

%package -n %{devharbour}
Summary:        Libraries for %{dname} compiler
Group:          Development/Other
Provides:       %{_lib}%{name}.so = %{version}-%{release}
Requires:       %{libharbour} = %{version}-%{release}

%description -n %{devharbour}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} development files.

# contribs (without external deps)
%package -n %{libcontrib}
Summary:        Contrib libraries for %{dname} compiler
Group:          Development/Other

%description -n %{libcontrib}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} contrib libraries for program linking.

%package -n %{devcontrib}
Summary:        Contrib runtime libraries for %{dname} compiler
Group:          Development/Other
Requires:       %{libcontrib} = %{version}-%{release}

%description -n %{devcontrib}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} contrib libraries for program linking.

# contribs (with external deps)
# allegro
%if %{defined _with_allegro}
%package -n %{liballegro}
Summary:        Allegro GT library for %{dname} compiler
Group:          Development/Other

%description -n %{liballegro}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} Allegro GT library for program linking.

%package -n %{devallegro}
Summary:        Allegro GT for %{dname} compiler
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Requires:       %{liballegro} = %{version}-%{release}

%description -n %{devallegro}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} Allegro GT library for program linking.
%endif

# cairo
%if %{defined _with_cairo}
%package -n %{libcairo}
Summary:        Cairo library bindings for %{dname} compiler
Group:          Development/Other

%description -n %{libcairo}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} Cairo library for program linking.

%package -n %{devcairo}
Summary:        Cairo library bindings for %{dname} compiler
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Requires:       %{libcairo} = %{version}-%{release}

%description -n %{devcairo}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} Cairo library for program linking.
%endif

# cups
%if %{defined _with_cups}
%package -n %{libcups}
Summary:        CUPS library bindings for %{dname} compiler
Group:          Development/Other

%description -n %{libcups}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} CUPS library for program linking.

%package -n %{devcups}
Summary:        CUPS library bindings for %{dname} compiler
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Requires:       %{libcups} = %{version}-%{release}

%description -n %{devcups}
%{dname} is a Clipper compatible compiler.}
This package provides %{dname} CUPS library for program linking.}
%endif

# curl
%if %{defined _with_curl}
%package -n %{libcurl}
Summary:        CURL library bindings for %{dname} compiler
Group:          Development/Other

%description -n %{libcurl}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} CURL library for program linking.

%package -n %{devcurl}
Summary:        CURL library bindings for %{dname} compiler
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Requires:       %{libcurl} = %{version}-%{release}

%description -n %{devcurl}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} CURL library for program linking.
%endif

# firebird
%if %{defined _with_firebird}
%package -n %{libfirebird}
Summary:        FireBird library bindings for %{dname} compiler
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}

%description -n %{libfirebird}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} FireBird library for program linking.

%package -n %{devfirebird}
Summary:        FireBird library bindings for %{dname} compiler
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Requires:       %{libfirebird} = %{version}-%{release}

%description -n %{devfirebird}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} FireBird library for program linking.
%endif

# freeimage
%if %{defined _with_freeimage}
%package -n %{libfreeimage}
Summary:        FreeImage library bindings for %{dname} compiler
Group:          Development/Other

%description -n %{libfreeimage}
%{dname} is a Clipper compatible compiler.
This package provides %%{dname} FreeImage library for program linking.

%package -n %{devfreeimage}
Summary:        FreeImage library bindings for %{dname} compiler
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Requires:       %{libfreeimage} = %{version}-%{release}

%description -n %{devfreeimage}
%{dname} is a Clipper compatible compiler.
This package provides %%{dname} FreeImage library for program linking.
%endif

# gd
%if %{defined _with_gd}
%package -n %{libgd}
Summary:        GD library bindings for %{dname} compiler
Group:          Development/Other

%description -n %{libgd}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} GD library for program linking.

%package -n %{devgd}
Summary:        GD library bindings for %{dname} compiler
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Requires:       %{libgd} = %{version}-%{release}

%description -n %{devgd}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} GD library for program linking.
%endif

# mysql
%if %{defined _with_mysql}
%package -n %{libmysql}
Summary:        MYSQL library bindings for %{dname} compiler
Group:          Development/Other

%description -n %{libmysql}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} MYSQL library for program linking.

%package -n %{devmysql}
Summary:        MYSQL library bindings for %{dname} compiler
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Requires:       %{libmysql} = %{version}-%{release}

%description -n %{devmysql}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} MYSQL library for program linking.
%endif

# odbc
%if %{defined _with_odbc}
%package -n %{libodbc}
Summary:        ODBC library bindings for %{dname} compiler
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}

%description -n %{libodbc}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} ODBC library for program linking.

%package -n %{devodbc}
Summary:        ODBC library bindings for %{dname} compiler
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Requires:       %{libodbc} = %{version}-%{release}

%description -n %{devodbc}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} ODBC library for program linking.
%endif

# pgsql
%if %{defined _with_pgsql}
%package -n %{libpgsql}
Summary:        PGSQL library bindings for %{dname} compiler
Group:          Development/Other

%description -n %{libpgsql}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} PGSQL library for program linking.

%package -n %{devpgsql}
Summary:        PGSQL library bindings for %{dname} compiler
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Requires:       %{libpgsql} = %{version}-%{release}

%description -n %{devpgsql}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} PGSQL library for program linking.
%endif

# qt
%if %{defined _with_qt}
%package -n %{libqt}
Summary:        QT library bindings for %{dname} compiler
Group:          Development/Other

%description -n %{libqt}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} QT libraries for program linking.

%package -n %{devqt}
Summary:        QT library bindings for %{dname} compiler
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Requires:       %{libqt} = %{version}-%{release}

%description -n %{devqt}
%{dname} is a Clipper compatible compiler.
This package provides %{dname} QT libraries for program linking.
%endif

# hbide
%if %{defined _with_hbide}
%package hbide
Summary:     Integrated Development Environment for %{dname}
Group:       Development/Other
Requires:    %{name} = %{version}-%{release}

%description hbide
HBIDE is an integrated development environment written in %{dname} and HBQt.
%endif

# hbdbu
%if %{defined _with_hbdbu}
%package hbdbu
Summary:     %{dname} Database Utility
Group:       Development/Other
Requires:    %{name} = %{version}-%{release}

%description hbdbu
Database Utility written in %{dname} and HBQt.
%endif

%prep
%autosetup -p1 -n %{name}

rm -rf src/3rd/zlib
rm -rf src/3rd/pcre

%build
%{hb_env}

make

%install
%{hb_env}

# necessary for shared linked hbmk2 used to execute postinst.hbs
export LD_LIBRARY_PATH=$HB_INSTALL_LIB

%make_install

rm -fR %{buildroot}%{_sysconfdir}/ld.so.conf.d

# Copy all headers to system include location
find %{buildroot}%{_datadir}/%{name}/contrib -name "*.ch" -exec cp {} %{buildroot}%{_includedir}/%{name} \;

# Remove bundled minilzo libs
rm -f %{buildroot}/%{_libdir}/libminilzo.so*

# Icon
mkdir -p %{buildroot}%{_iconsdir}
cp %{SOURCE1} %{buildroot}%{_iconsdir}/

%if %{defined _with_hbide}
cat > hbide.desktop <<EOF
[Desktop Entry]
Comment[en_GB]=%{dname} Integrated Development Environment
Comment=%{dname} Integrated Development Environment
Exec=/usr/bin/hbide
GenericName[en_GB]=%{dname} IDE
GenericName=%{dname} IDE
Icon=harbour
Name[en_GB]=%{dname} IDE
Name=%{dname} IDE
Categories=Development;IDE;X-Mageia-CrossDesktop;
StartupNotify=true
Terminal=false
Type=Application
EOF
desktop-file-install --dir=%{buildroot}%{_datadir}/applications hbide.desktop
%endif

%if %{defined _with_hbdbu}
cat > hbdbu.desktop <<EOF
[Desktop Entry]
Comment[en_GB]=%{dname} GUI Database Utility
Comment=%{dname} GUI Database Utility
Exec=/usr/bin/hbdbu
GenericName[en_GB]=%{dname} DBU
GenericName=%{dname} DBU
Icon=%{name}
Name[en_GB]=%{dname} DBU
Name=%{dname} DBU
Categories=Development;X-Mageia-CrossDesktop;
StartupNotify=true
Terminal=false
Type=Application
EOF
desktop-file-install --dir=%{buildroot}%{_datadir}/applications hbdbu.desktop
%endif

# 
rm -f $HB_INSTALL_LIB/libbz2.a \
      $HB_INSTALL_LIB/libjpeg.a \
      $HB_INSTALL_LIB/liblibhpdf.a \
      $HB_INSTALL_LIB/libpng.a \
      $HB_INSTALL_LIB/libsqlite3.a \
      $HB_INSTALL_LIB/libexpat.a \
      $HB_INSTALL_LIB/liblzf.a \
      $HB_INSTALL_LIB/libminilzo.a \
      $HB_INSTALL_LIB/libmxml.a


%files
%{_docdir}/*
%{_datadir}/%{name}/*
%{_iconsdir}/%{name}.png

%dir %{_sysconfdir}/%{name}
%verify(not md5 mtime) %config %{_sysconfdir}/%{name}/hb-charmap.def
%{_bindir}/contrib.hbr
%{_bindir}/%{name}.ucf
%{_bindir}/%{name}
%{_bindir}/hbpp
%{_bindir}/hbtest
%{_bindir}/hbrun
%{_bindir}/hbi18n
%{_bindir}/hbmk2
%{_bindir}/hbmk2.*.hbl
%{_bindir}/3rdpatch.hb
%{_bindir}/check.hb
%{_bindir}/commit.hb
%{_mandir}/man1/*.1*

%files -n %{libcontrib}
%{_libdir}/libxhb.so.%{major}{,.*}
%{_libdir}/librddsql.so.%{major}{,.*}
%{_libdir}/libhbblink.so.%{major}{,.*}
%{_libdir}/libhbbz2.so.%{major}{,.*}
%{_libdir}/libhbcomm.so.%{major}{,.*}
%{_libdir}/libhbct.so.%{major}{,.*}
%{_libdir}/libhbexpat.so.%{major}{,.*}
%{_libdir}/libhbformat.so.%{major}{,.*}
%{_libdir}/libhbfoxpro.so.%{major}{,.*}
%{_libdir}/libhbfship.so.%{major}{,.*}
%{_libdir}/libhbgt.so.%{major}{,.*}
%{_libdir}/libhbhpdf.so.%{major}{,.*}
%{_libdir}/libhbhttpd.so.%{major}{,.*}
%{_libdir}/libhblzf.so.%{major}{,.*}
%{_libdir}/libhbmemio.so.%{major}{,.*}
%{_libdir}/libhbmisc.so.%{major}{,.*}
%{_libdir}/libhbmlzo.so.%{major}{,.*}
%{_libdir}/libhbmxml.so.%{major}{,.*}
%{_libdir}/libhbmzip.so.%{major}{,.*}
%{_libdir}/libhbnetio.so.%{major}{,.*}
%{_libdir}/libhbnf.so.%{major}{,.*}
%{_libdir}/libhbsms.so.%{major}{,.*}
%{_libdir}/libhbsqlit3.so.%{major}{,.*}
%{_libdir}/libhbssl.so.%{major}{,.*}
%{_libdir}/libhbtip.so.%{major}{,.*}
%{_libdir}/libhbtpathy.so.%{major}{,.*}
%{_libdir}/libhbunix.so.%{major}{,.*}
%{_libdir}/libhbxpp.so.%{major}{,.*}
%{_libdir}/libhbzebra.so.%{major}{,.*}
%{_libdir}/librddbm.so.%{major}{,.*}
%{_libdir}/libhbziparc.so.%{major}{,.*}
%{_libdir}/libsddsqlt3.so.%{major}{,.*}
%{_libdir}/libhbamf.so.%{major}{,.*}
%{_libdir}/libhboslib.so.%{major}{,.*}
%{_libdir}/libhbtest.so.%{major}{,.*}
%{_libdir}/libhbtinymt.so.%{major}{,.*}
%{_libdir}/libhbxdiff.so.%{major}{,.*}

%files -n %{devcontrib}
%dir %{_includedir}/%{name}
%{_libdir}/libxhb.so
%{_libdir}/librddsql.so
%{_libdir}/libhbblink.so
%{_libdir}/libhbbz2.so
#{_libdir}/libhbcomio.so
%{_libdir}/libhbcomm.so
%{_libdir}/libhbct.so
%{_libdir}/libhbexpat.so
%{_libdir}/libhbformat.so
%{_libdir}/libhbfoxpro.so
%{_libdir}/libhbfship.so
%{_libdir}/libhbgt.so
%{_libdir}/libhbhpdf.so
%{_libdir}/libhbhttpd.so
%{_libdir}/libhblzf.so
%{_libdir}/libhbmemio.so
%{_libdir}/libhbmisc.so
%{_libdir}/libhbmlzo.so
%{_libdir}/libhbmxml.so
%{_libdir}/libhbmzip.so
%{_libdir}/libhbnetio.so
%{_libdir}/libhbnf.so
%{_libdir}/libhbsms.so
%{_libdir}/libhbsqlit3.so
%{_libdir}/libhbssl.so
%{_libdir}/libhbtip.so
%{_libdir}/libhbtpathy.so
%{_libdir}/libhbunix.so
%{_libdir}/libhbxpp.so
%{_libdir}/libhbzebra.so
%{_libdir}/librddbm.so
%{_libdir}/libhbziparc.so
%{_libdir}/libsddsqlt3.so
%{_libdir}/libhbamf.so
%{_libdir}/libhboslib.so
%{_libdir}/libhbtest.so
%{_libdir}/libhbtinymt.so
%{_libdir}/libhbxdiff.so
%{_libdir}/%{name}/libhbnf.a
%{_libdir}/%{name}/libhbblink.a
%{_libdir}/%{name}/libhbmisc.a
%{_libdir}/%{name}/libminizip.a
%{_libdir}/%{name}/libhbmzip.a
%{_libdir}/%{name}/libhbnetio.a
%{_libdir}/%{name}/libhbct.a
%{_libdir}/%{name}/libhbtip*.a
%{_libdir}/%{name}/libhbfoxpro.a
%{_libdir}/%{name}/libhbfship.a
%{_libdir}/%{name}/libhbxpp.a
%{_libdir}/%{name}/libxhb.a
%{_libdir}/%{name}/libhbhpdf.a
%{_libdir}/%{name}/libhbgt.a
%{_libdir}/%{name}/libhbtpathy.a
%{_libdir}/%{name}/libhbziparc.a
%{_libdir}/%{name}/librddbm.a
%{_libdir}/%{name}/librddsql.a
%{_libdir}/%{name}/libsddsqlt3.a
%{_libdir}/%{name}/libhbsms.a
%{_libdir}/%{name}/libgtcgi.a
%{_libdir}/%{name}/libgtcrs.a
%{_libdir}/%{name}/libgtpca.a
%{_libdir}/%{name}/libgtsln.a
%{_libdir}/%{name}/libgtstd.a
%{_libdir}/%{name}/libgttrm.a
%{_libdir}/%{name}/libhbamf.a
%{_libdir}/%{name}/libhbbz2.a
%{_libdir}/%{name}/libhbcomm.a
%{_libdir}/%{name}/libhbcommon.a
%{_libdir}/%{name}/libhbcpage.a
%{_libdir}/%{name}/libhbcplr.a
%{_libdir}/%{name}/libhbexpat.a
%{_libdir}/%{name}/libhbextern.a
%{_libdir}/%{name}/libhbformat.a
%{_libdir}/%{name}/libhbhsx.a
%{_libdir}/%{name}/libhbhttpd.a
%{_libdir}/%{name}/libhblang.a
%{_libdir}/%{name}/libhblzf.a
%{_libdir}/%{name}/libhbmacro.a
%{_libdir}/%{name}/libhbmemio.a
%{_libdir}/%{name}/libhbmlzo.a
%{_libdir}/%{name}/libhbmxml.a
%{_libdir}/%{name}/libhbnortl.a
%{_libdir}/%{name}/libhbnulrdd.a
%{_libdir}/%{name}/libhboslib.a
%{_libdir}/%{name}/libhbpp.a
%{_libdir}/%{name}/libhbrdd.a
%{_libdir}/%{name}/libhbrtl.a
%{_libdir}/%{name}/libhbsix.a
%{_libdir}/%{name}/libhbsqlit3.a
%{_libdir}/%{name}/libhbssl.a
%{_libdir}/%{name}/libhbtest.a
%{_libdir}/%{name}/libhbtinymt.a
%{_libdir}/%{name}/libhbuddall.a
%{_libdir}/%{name}/libhbunix.a
%{_libdir}/%{name}/libhbusrrdd.a
%{_libdir}/%{name}/libhbvm.a
%{_libdir}/%{name}/libhbvmmt.a
%{_libdir}/%{name}/libhbxdiff.a
%{_libdir}/%{name}/libhbzebra.a
%{_libdir}/%{name}/librddcdx.a
%{_libdir}/%{name}/librddfpt.a
%{_libdir}/%{name}/librddnsx.a
%{_libdir}/%{name}/librddntx.a
%{_libdir}/%{name}/libtinymt.a
%{_libdir}/%{name}/libxdiff.a
%{_includedir}/%{name}/classex.ch
%{_includedir}/%{name}/cstruct.ch
%{_includedir}/%{name}/ct.ch
%{_includedir}/%{name}/ctcom.ch
%{_includedir}/%{name}/ctdisk.ch
%{_includedir}/%{name}/cterror.ch
%{_includedir}/%{name}/ctscan.ch
%{_includedir}/%{name}/ctvideo.ch
%{_includedir}/%{name}/dll.ch
%{_includedir}/%{name}/dmlb.ch
%{_includedir}/%{name}/ftint86.ch
%{_includedir}/%{name}/ftmenuto.ch
%{_includedir}/%{name}/harupdf.ch
%{_includedir}/%{name}/hbblink.ch
%{_includedir}/%{name}/hbbz2.ch
%{_includedir}/%{name}/hbcommon.ch
%{_includedir}/%{name}/hbcompat.ch
%{_includedir}/%{name}/hbcomprs.ch
%{_includedir}/%{name}/hbctypes.ch
%{_includedir}/%{name}/hbdll.ch
%{_includedir}/%{name}/hbexpat.ch
%{_includedir}/%{name}/hbfoxpro.ch
%{_includedir}/%{name}/hbiousr.ch
%{_includedir}/%{name}/hblog.ch
%{_includedir}/%{name}/hblogdef.ch
%{_includedir}/%{name}/hblzf.ch
%{_includedir}/%{name}/hbmlzo.ch
%{_includedir}/%{name}/hbmxml.ch
%{_includedir}/%{name}/hbmzip.ch
%{_includedir}/%{name}/hbnetio.ch
%{_includedir}/%{name}/hbrpc.ch
%{_includedir}/%{name}/hbserv.ch
%{_includedir}/%{name}/hbsqlit3.ch
%{_includedir}/%{name}/hbssl.ch
%{_includedir}/%{name}/hbstruct.ch
%{_includedir}/%{name}/hbtest.ch
%{_includedir}/%{name}/hbxdiff.ch
%{_includedir}/%{name}/hbxml.ch
%{_includedir}/%{name}/hbxpp.ch
%{_includedir}/%{name}/hbzebra.ch
%{_includedir}/%{name}/html.ch
%{_includedir}/%{name}/htmlclrs.ch
%{_includedir}/%{name}/htmlform.ch
%{_includedir}/%{name}/math.ch
%{_includedir}/%{name}/telepath.ch
%{_includedir}/%{name}/thread.ch
%{_includedir}/%{name}/thtml.ch
%{_includedir}/%{name}/tip.ch
%{_includedir}/%{name}/ttable.ch
%{_includedir}/%{name}/usrrdd.ch
%{_includedir}/%{name}/win32prn.ch
%{_includedir}/%{name}/wintypes.ch
%{_includedir}/%{name}/xhb.ch
%{_includedir}/%{name}/xhbcls.ch
%{_includedir}/%{name}/xhbinkey.ch
%{_includedir}/%{name}/xhbver.ch
%{_includedir}/%{name}/achoice.ch
%{_includedir}/%{name}/assert.ch
%{_includedir}/%{name}/blob.ch
%{_includedir}/%{name}/box.ch
%{_includedir}/%{name}/button.ch
%{_includedir}/%{name}/cgi.ch
%{_includedir}/%{name}/clipdefs.h
%{_includedir}/%{name}/color.ch
%{_includedir}/%{name}/common.ch
%{_includedir}/%{name}/dbedit.ch
%{_includedir}/%{name}/dbinfo.ch
%{_includedir}/%{name}/dbstruct.ch
%{_includedir}/%{name}/directry.ch
%{_includedir}/%{name}/error.api
%{_includedir}/%{name}/error.ch
%{_includedir}/%{name}/extend.api
%{_includedir}/%{name}/extend.h
%{_includedir}/%{name}/fileio.ch
%{_includedir}/%{name}/filesys.api
%{_includedir}/%{name}/fm.api
%{_includedir}/%{name}/getexit.ch
%{_includedir}/%{name}/gt.api
%{_includedir}/%{name}/%{name}.hbx
%{_includedir}/%{name}/hb.ch
%{_includedir}/%{name}/hb_io.h
%{_includedir}/%{name}/hbapi.h
%{_includedir}/%{name}/hbapicdp.h
%{_includedir}/%{name}/hbapicls.h
%{_includedir}/%{name}/hbapicom.h
%{_includedir}/%{name}/hbapidbg.h
%{_includedir}/%{name}/hbapierr.h
%{_includedir}/%{name}/hbapifs.h
%{_includedir}/%{name}/hbapigt.h
%{_includedir}/%{name}/hbapiitm.h
%{_includedir}/%{name}/hbapilng.h
%{_includedir}/%{name}/hbapirdd.h
%{_includedir}/%{name}/hbapistr.h
%{_includedir}/%{name}/hbassert.h
%{_includedir}/%{name}/hbatomic.h
%{_includedir}/%{name}/hbbfish.h
%{_includedir}/%{name}/hbcdpreg.h
%{_includedir}/%{name}/hbchksum.h
%{_includedir}/%{name}/hbclass.ch
%{_includedir}/%{name}/hbcom.ch
%{_includedir}/%{name}/hbcomp.h
%{_includedir}/%{name}/hbcompdf.h
%{_includedir}/%{name}/hbcpage.hbx
%{_includedir}/%{name}/hbdate.h
%{_includedir}/%{name}/hbdbf.h
%{_includedir}/%{name}/hbdbferr.h
%{_includedir}/%{name}/hbdebug.ch
%{_includedir}/%{name}/hbdefs.h
%{_includedir}/%{name}/hbdyn.ch
%{_includedir}/%{name}/hberrors.h
%{_includedir}/%{name}/hbexprop.h
%{_includedir}/%{name}/hbextcdp.ch
%{_includedir}/%{name}/hbextern.ch
%{_includedir}/%{name}/hbextlng.ch
%{_includedir}/%{name}/hbfloat.h
%{_includedir}/%{name}/hbgfx.ch
%{_includedir}/%{name}/hbgfxdef.ch
%{_includedir}/%{name}/hbgtcore.h
%{_includedir}/%{name}/hbgtinfo.ch
%{_includedir}/%{name}/hbgtreg.h
%{_includedir}/%{name}/hbhash.ch
%{_includedir}/%{name}/hbhash.h
%{_includedir}/%{name}/hbhrb.ch
%{_includedir}/%{name}/hbiniseg.h
%{_includedir}/%{name}/hbinit.h
%{_includedir}/%{name}/hbinkey.ch
%{_includedir}/%{name}/hbjson.h
%{_includedir}/%{name}/hblang.ch
%{_includedir}/%{name}/hblang.hbx
%{_includedir}/%{name}/hblpp.ch
%{_includedir}/%{name}/hbmacro.ch
%{_includedir}/%{name}/hbmacro.h
%{_includedir}/%{name}/hbmath.ch
%{_includedir}/%{name}/hbmath.h
%{_includedir}/%{name}/hbmather.h
%{_includedir}/%{name}/hbmemory.ch
%{_includedir}/%{name}/hbmemvar.ch
%{_includedir}/%{name}/hbmsgreg.h
%{_includedir}/%{name}/hboo.ch
%{_includedir}/%{name}/hbpcode.h
%{_includedir}/%{name}/hbpers.ch
%{_includedir}/%{name}/hbpp.h
%{_includedir}/%{name}/hbrddcdx.h
%{_includedir}/%{name}/hbrdddbf.h
%{_includedir}/%{name}/hbrdddel.h
%{_includedir}/%{name}/hbrddfpt.h
%{_includedir}/%{name}/hbrddnsx.h
%{_includedir}/%{name}/hbrddntx.h
%{_includedir}/%{name}/hbrddsdf.h
%{_includedir}/%{name}/hbregex.h
%{_includedir}/%{name}/hbscalar.hbx
%{_includedir}/%{name}/hbserial.ch
%{_includedir}/%{name}/hbset.h
%{_includedir}/%{name}/hbsetup.ch
%{_includedir}/%{name}/hbsetup.h
%{_includedir}/%{name}/hbsix.ch
%{_includedir}/%{name}/hbsocket.ch
%{_includedir}/%{name}/hbsocket.h
%{_includedir}/%{name}/hbstack.h
%{_includedir}/%{name}/hbstdgen.ch
%{_includedir}/%{name}/hbstrict.ch
%{_includedir}/%{name}/hbsxdef.ch
%{_includedir}/%{name}/hbsxfunc.h
%{_includedir}/%{name}/hbtask.h
%{_includedir}/%{name}/hbthread.ch
%{_includedir}/%{name}/hbthread.h
%{_includedir}/%{name}/hbtrace.ch
%{_includedir}/%{name}/hbtrace.h
%{_includedir}/%{name}/hbtypes.h
%{_includedir}/%{name}/hbundoc.api
%{_includedir}/%{name}/hbusrrdd.ch
%{_includedir}/%{name}/hbusrrdd.hbx
%{_includedir}/%{name}/hbver.ch
%{_includedir}/%{name}/hbver.h
%{_includedir}/%{name}/hbvm.h
%{_includedir}/%{name}/hbvmint.h
%{_includedir}/%{name}/hbvmopt.h
%{_includedir}/%{name}/hbvmpub.h
%{_includedir}/%{name}/hbwince.h
%{_includedir}/%{name}/hbwinuni.h
%{_includedir}/%{name}/hbxvm.h
%{_includedir}/%{name}/hbzlib.ch
%{_includedir}/%{name}/hbzlib.h
%{_includedir}/%{name}/hbznet.h
%{_includedir}/%{name}/inkey.ch
%{_includedir}/%{name}/item.api
%{_includedir}/%{name}/memoedit.ch
%{_includedir}/%{name}/ord.ch
%{_includedir}/%{name}/rdd.api
%{_includedir}/%{name}/rddsys.ch
%{_includedir}/%{name}/reserved.ch
%{_includedir}/%{name}/set.ch
%{_includedir}/%{name}/setcurs.ch
%{_includedir}/%{name}/simpleio.ch
%{_includedir}/%{name}/std.ch
%{_includedir}/%{name}/tbrowse.ch
%{_includedir}/%{name}/vm.api

%files -n %{libharbour}
%{_libdir}/libharbour.so.%{major}{,.*}

%files -n %{devharbour}
%{_libdir}/libharbour.so
%{_libdir}/%{name}/libhbdebug.a

%if %{defined _with_allegro}
%files -n %{liballegro}
%{_libdir}/libgtalleg.so.%{major}{,.*}

%files -n %{devallegro}
%{_libdir}/libgtalleg.so
%{_libdir}/%{name}/libgtalleg.a
%{_libdir}/%{name}/libgtxwc.a
%endif

%if %{defined _with_cairo}
%files -n %{libcairo}
%{_libdir}/libhbcairo.so.%{major}{,.*}
%{_includedir}/%{name}/hbcairo.ch

%files -n %{devcairo}
%{_libdir}/libhbcairo.so
%{_libdir}/%{name}/libhbcairo.a
%{_libdir}/%{name}/libgtxwc.a
%endif

%if %{defined _with_cups}
%files -n %{libcups}
%{_libdir}/libhbcups.so.%{major}{,.*}

%files -n %{devcups}
%{_libdir}/libhbcups.so
%{_libdir}/%{name}/libhbcups.a

%endif

%if %{defined _with_curl}
%files -n %{libcurl}
%{_libdir}/libhbcurl.so.%{major}{,.*}

%files -n %{devcurl}
%{_libdir}/libhbcurl.so
%{_includedir}/%{name}/hbcurl.ch
%{_libdir}/%{name}/libhbcurl.a
%endif

%if %{defined _with_firebird}
%files -n %{libfirebird}
%{_libdir}/libhbfbird.so.%{major}{,.*}
%{_libdir}/libsddfb.so.%{major}{,.*}

%files -n %{devfirebird}
%{_libdir}/libhbfbird.so
%{_libdir}/libsddfb.so
%{_libdir}/%{name}/libhbfbird.a
%{_libdir}/%{name}/libsddfb.a
%endif

%if %{defined _with_freeimage}
%files -n %{libfreeimage}
%{_libdir}/libhbfimage.so.%{major}{,.*}

%files -n %{devfreeimage}
%{_libdir}/libhbfimage.so
%{_includedir}/%{name}/freeimag.ch
%{_libdir}/%{name}/libhbfimage.a
%endif

%if %{defined _with_gd}
%files -n %{libgd}
%{_libdir}/libhbgd.so.%{major}{,.*}
%{_includedir}/%{name}/gd.ch

%files -n %{devgd}
%{_libdir}/libhbgd.so
%{_includedir}/%{name}/gd.ch
%{_libdir}/%{name}/libhbgd.a
%endif

%if %{defined _with_mysql}
%files -n %{libmysql}
%{_libdir}/libhbmysql.so.%{major}{,.*}
%{_libdir}/libsddmy.so.%{major}{,.*}

%files -n %{devmysql}
%{_libdir}/libhbmysql.so
%{_libdir}/libsddmy.so
%{_includedir}/%{name}/mysql.ch
%{_libdir}/%{name}/libhbmysql.a
%{_libdir}/%{name}/libsddmy.a
%endif

%if %{defined _with_odbc}
%files -n %{libodbc}
%{_libdir}/libhbodbc.so.%{major}{,.*}
%{_libdir}/libsddodbc.so.%{major}{,.*}

%files -n %{devodbc}
%{_libdir}/libhbodbc.so
%{_libdir}/libsddodbc.so
%{_includedir}/%{name}/sql.ch
%{_libdir}/%{name}/libhbodbc.a
%{_libdir}/%{name}/libsddodbc.a
%endif

%if %{defined _with_pgsql}
%files -n %{libpgsql}
%{_libdir}/libhbpgsql.so.%{major}{,.*}
%{_libdir}/libsddpg.so.%{major}{,.*}

%files -n %{devpgsql}
%{_libdir}/libhbpgsql.so
%{_libdir}/libsddpg.so
%{_includedir}/%{name}/postgres.ch
%{_libdir}/%{name}/libhbpgsql.a
%{_libdir}/%{name}/libsddpg.a
%endif

%if %{defined _with_qt}
%files -n %{libqt}
%{_libdir}/libhbqtcore.so.%{major}{,.*}
%{_libdir}/libhbqtgui.so.%{major}{,.*}
%{_libdir}/libhbqtnetwork.so.%{major}{,.*}
%{_libdir}/libhbxbp.so.%{major}{,.*}
%{_libdir}/libgtqtc.so.%{major}{,.*}
%{_libdir}/libhbqtdesigner.so.%{major}{,.*}
%{_libdir}/libhbqtmultimedia.so.%{major}{,.*}

%files -n %{devqt}
%{_libdir}/%{name}/libgtqtc.a
%{_libdir}/%{name}/libhbqtcore.a
%{_libdir}/%{name}/libhbqtdesigner.a
%{_libdir}/%{name}/libhbqtgui.a
%{_libdir}/%{name}/libhbqtnetwork.a
%{_libdir}/%{name}/libhbxbp.a
%{_libdir}/%{name}/libhbqtmultimedia.a
%{_libdir}/libhbqtcore.so
%{_libdir}/libhbqtgui.so
%{_libdir}/libhbqtnetwork.so
%{_libdir}/libhbxbp.so
%{_libdir}/libgtqtc.so
%{_libdir}/libhbqtdesigner.so
%{_libdir}/libhbqtmultimedia.so
%{_includedir}/%{name}/appevent.ch
%{_includedir}/%{name}/gra.ch
%{_includedir}/%{name}/hbqt*.ch
%{_includedir}/%{name}/hbqt*.hbx
%{_includedir}/%{name}/hbxbp.hbx
%{_includedir}/%{name}/xbp.ch
%{_includedir}/%{name}/xbpdev.ch
%endif

%if %{defined _with_hbide}
%files hbide
%{_bindir}/hbide
%{_datadir}/applications/hbide.desktop
%{_includedir}/%{name}/hbtoqt.ch
%{_libdir}/%{name}/libhbqtwidgets.a
%{_libdir}/libhbqtwidgets.so
%{_libdir}/libhbqtwidgets.so.%{major}{,.*}
%{_libdir}/harbour/libhbtcpio.a
%{_libdir}/libhbtcpio.so
%{_libdir}/libhbtcpio.so.%{major}{,.*}
%endif

%if %{defined _with_hbdbu}
%files hbdbu
%{_bindir}/hbdbu
%{_datadir}/applications/hbdbu.desktop
%endif
