# not using %%{upstream_name} for %%{name}, because most of Source0
# is debian-specific and we don't want that. The only useful thing
# there is hardening-check and that's why package is named so.
%global		upstream_name	devscripts

Summary:	Tool to check ELF for being built hardened
Name:		hardening-check
Version:	2.20.2
Release:	%mkrel 3
License:	GPLv2+
Group:		File tools
URL:		https://packages.debian.org/source/sid/%{upstream_name}
Source0:	https://deb.debian.org/debian/pool/main/d/%{upstream_name}/%{upstream_name}_%{version}.tar.xz
Patch0:		hardening-check-locale_anti_barfer.diff
Patch1:		hardening-check-2.20.2-mga-docbook-path.patch
BuildArch:	noarch
BuildRequires:	dpkg-dev
BuildRequires:	po4a
BuildRequires:	help2man
BuildRequires:	perl-devel
BuildRequires:	xsltproc
Requires:	binutils

%description
%{name} is a tool to check whether an already compiled ELF file
was built using hardening flags.

It checks, using readelf, for these hardening characteristics:

  * Position Independent Executable
  * Stack protected
  * Fortify source functions
  * Read-only relocations
  * Immediate binding
  * Stack clash protection
  * Control flow integrity


%prep
%autosetup -p1 -n %{upstream_name}-%{version}

%build
%make_build

%install
install -Dpm 0755 scripts/%{name} %{buildroot}%{_bindir}/%{name}
install -Dpm 0644 scripts/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc README debian/changelog 
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*

