Name:		hardinfo2
Version:	2.2.10
Release:	%mkrel 1
Summary:	A System Information and Benchmark for Linux
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		https://www.hardinfo2.org/
Source0:	https://github.com/hardinfo2/hardinfo2/archive/release-%{version}/%{name}-release-%{version}.tar.gz
Patch0:		hardinfo2-desktop-file.patch
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	pciutils
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	cmake(Qt5Widgets)
BuildRequires:	cmake(Qt5OpenGL)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(cairo-png)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gmodule-export-2.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(systemd)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	lm_sensors-devel
Requires:	pciutils

Recommends:	lm_sensors
Recommends:	sysbench
Recommends:	lsscsi
Recommends:	eglinfo
Recommends:	glxinfo
Recommends:	mesa-demos
Recommends:	dmidecode
Recommends:	udisks2
Recommends:	xdg-utils
Recommends:	iperf
Recommends:	fwupd

Obsoletes:	hardinfo < 0.6-0.git20231013.2
Provides:	hardinfo = %{version}-%{release}

%description
Hardinfo2 is based on hardinfo, which have not been released >10 years.
Hardinfo2 is the reboot that was needed.

Hardinfo2 offers System Information and Benchmark for Linux Systems. It is able
to obtain information from both hardware and basic software. It can benchmark
your system and compare to other machines online.

Features include:
 - Report generation (in either HTML or plain text)
 - Online Benchmarking - compare your machine against other machines

%prep
%autosetup -p1 -n %{name}-release-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install

desktop-file-install --vendor="" \
  --set-generic-name='Hardware Information' \
  --add-category="Settings;HardwareSettings;" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_bindir}/hwinfo2_fetch_sysdata
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_unitdir}/%{name}.service
%{_metainfodir}/org.hardinfo2.%{name}.metainfo.xml
%{_mandir}/man1/%{name}.1*
