%define major      0
%define api        0.0
%define libname    %mklibname %{name} %{major}
%define girname    %mklibname %{name}-gir %{api}
%define libnamedev %mklibname %{name} -d

Summary:       OpenType text shaping engine
Name:          harfbuzz
Version:       11.0.1
Release:       %mkrel 1
License:       MIT-Modern-Variant
Group:         Development/Other
URL:           https://github.com/harfbuzz/harfbuzz/
Source0:       https://github.com/harfbuzz/harfbuzz/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(cairo-ft)
BuildRequires: pkgconfig(chafa)
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(icu-uc)
BuildRequires: pkgconfig(graphite2)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: gtk-doc
BuildRequires: meson

%description
HarfBuzz is an OpenType text shaping engine.
There are two HarfBuzz code trees in existence today.

%package -n %{libname}
Summary:       Libraries for the %{name} package
Group:         Development/Other

%description -n %{libname}
Libraries for %{name}.

%package -n %{girname}
Summary:        GObject Introspection interface description for HarfBuzz
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for HarfBuzz.

%package -n %{libnamedev}
Summary:       Headers and development libraries from %{name}
Group:         Development/Other
Requires:      %{libname} = %{version}-%{release}
Requires:      %{girname} = %{version}-%{release}
Provides:      lib%{name}-devel = %{version}-%{release}
Provides:      %{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
%{name} development headers and libraries.

%prep
%autosetup -p1

%build
%meson -Dgobject=enabled -Dgraphite=enabled -Dintrospection=enabled
%meson_build

%install
%meson_install

%check
%meson_test

%files
%license COPYING
%{_bindir}/*
%{_mandir}/man1/hb-*.1.*

%files -n %{libname}
%license COPYING
%doc AUTHORS NEWS README.md
%{_libdir}/libharfbuzz-cairo.so.%{major}{,.*}
%{_libdir}/libharfbuzz-gobject.so.%{major}{,.*}
%{_libdir}/libharfbuzz-icu.so.%{major}{,.*}
%{_libdir}/libharfbuzz-subset.so.%{major}{,.*}
%{_libdir}/libharfbuzz.so.%{major}{,.*}

%files -n %{girname}
%license COPYING
%doc AUTHORS README.md
%{_libdir}/girepository-1.0/HarfBuzz-%{api}.typelib

%files -n %{libnamedev}
%license COPYING
%doc %{_datadir}/gtk-doc/html/harfbuzz/
%{_libdir}/pkgconfig/harfbuzz-cairo.pc
%{_libdir}/pkgconfig/harfbuzz-gobject.pc
%{_libdir}/pkgconfig/harfbuzz-icu.pc
%{_libdir}/pkgconfig/harfbuzz-subset.pc
%{_libdir}/pkgconfig/harfbuzz.pc
%{_libdir}/libharfbuzz-cairo.so
%{_libdir}/libharfbuzz-gobject.so
%{_libdir}/libharfbuzz-icu.so
%{_libdir}/libharfbuzz-subset.so
%{_libdir}/libharfbuzz.so
%{_libdir}/cmake/harfbuzz/
%{_includedir}/harfbuzz/
%{_datadir}/gir-1.0/HarfBuzz-%{api}.gir
