Name:           harris
Version:        0.4.1
Release:        %mkrel 3
Summary:        A strategy game based around the actions of RAF Bomber Command during WW2
Group:          Games/Strategy
License:        GPLv3+
URL:            https://github.com/ec429/harris
Source0:        https://github.com/ec429/harris/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         harris-0.4.1-mga-nowerror.patch
Patch1:         harris-0.4.1-mga-python3.patch
Patch2:         harris-0.4.1-add-missed-dep.patch

BuildRequires:  atg-devel
BuildRequires:  imagemagick
BuildRequires:  libtool
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_gfx)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_ttf)
BuildRequires:  python3

%description
Harris is a strategy game based around the actions of RAF Bomber Command
in the Second World War. In Harris, you take on the role of the
Commander-in-Chief of Bomber Command, tasked with launching bombing raids
against Nazi Germany. It is your responsibility to take the war to the enemy
and destroy their capacity and will to wage war.

%prep
%setup -q
2to3 --write --nobackups --no-diffs .
sed -i -e '1s/python2/python3/' *py stats/*py
%autopatch -p1

%build
%set_build_flags
%make_build PREFIX=%{_prefix}

%install
%make_install PREFIX=%{_prefix}
mkdir -p %{buildroot}%{_iconsdir}/hicolor/32x32/apps
convert art/icon.bmp %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Harris
Comment=Second World War strategy game
Exec=%{_gamesbindir}/harris
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;StrategyGame;
EOF

%files
%doc HOWTOPLAY README STRATEGY
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
