#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

Name:           haruna
Version:        1.4.0
Release:        %mkrel 1
Summary:        Open source video player built with Qt/QML and libmpv
Group:          Graphical desktop/KDE
License:        BSD and CC-BY and CC-BY-SA and GPLv2+ and LGPLv2+ and GPLv3+
URL:            https://apps.kde.org/haruna/
Source0:        https://download.kde.org/stable/%{name}/%{version}/%{name}-%{version}.tar.xz
Source1:        https://download.kde.org/stable/%{name}/%{version}/%{name}-%{version}.tar.xz.sig
## upstream patches

## mageia patches

BuildRequires:  kf6-rpm-macros
BuildRequires:  gettext

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)

BuildRequires:  cmake(KF6ColorScheme)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6FileMetaData)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6WindowSystem)

BuildRequires:  cmake(Breeze)

BuildRequires:  cmake(MpvQt)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libavdevice)
BuildRequires:  pkgconfig(libavfilter)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libavutil)
BuildRequires:  pkgconfig(libpostproc)
BuildRequires:  pkgconfig(libswresample)
BuildRequires:  pkgconfig(libswscale)

Requires:       yt-dlp


%description
Open source media player built with Qt/QML and libmpv.

Features:
 * play online videos, through youtube-dl;
 * supports youtube playlists;
 * toggle playlist with mouse-over, playlist overlays the video;
 * auto skip chapter containing certain words;
 * configurable shortcuts and mouse buttons;
 * quick jump to next chapter by middle click on progress bar.

%files -f %{name}.lang
%doc README.md
%license LICENSES/*.txt
%{_kf6_bindir}/%{name}
%{_kf6_datadir}/applications/org.kde.%{name}.desktop
%{_kf6_iconsdir}/hicolor/*/apps/%{name}.{svg,png}
%{_kf6_metainfodir}/org.kde.%{name}.metainfo.xml

#--------------------------------------------------------------------
%if 0
%package        handbook
Summary:        Haruna Handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} >= %{version}-%{release}

%description    handbook
This package provides haruna handbook.

%files handbook
%{_kf6_docdir}/HTML/*/%{name}/
%endif

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}

# Cleaning icons with non-standard resolution
for i in 44 150 310; do
  rm -rf %{buildroot}%{_kf6_iconsdir}/hicolor/"${i}x${i}"
done
