%define name    haskell-platform
%define version 2011.4.0.0
%define release %mkrel 1
%define ghc_version 7.0.4

Summary: Standard Haskell distribution
Name:    %{name}
Version: %{version}
Release: %{release}
Source0: http://lambda.haskell.org/platform/download/%{version}/%{name}-%{version}.tar.gz
License: BSD
Group:   Development/Other
Url:     https://hackage.haskell.org/platform/
BuildRequires: ghc = %{ghc_version}
BuildRequires: ghc-prof
Requires:      ghc

%description
Standard Haskell distribution


%package doc
Summary:  Standard Haskell distribution libraries
Group:    Books/Computer books
Requires: %{name} = %{version}

%description doc
This package contains the documentation files for %{name}.


%prep
%setup -q

%build
%configure
make


%install
sed -i 's|/lib"|/%{_lib}/ghc-%{ghc_version}/"|g' packages/*/dist/setup-config
sed -i 's|"$pkgid/$compiler"|"$pkgid"|g' packages/*/dist/setup-config
# make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_libdir}/ghc-%{ghc_version}/package.conf.d
scripts/package.sh %{buildroot} %{buildroot}%{_libdir}/ghc-%{ghc_version}/package.conf.d/

%files
%{_bindir}/alex
%{_bindir}/cabal
%{_bindir}/basic-tests
%{_bindir}/happy
%{_bindir}/optimize-1-tests
%{_bindir}/terminal-tests
%{_bindir}/extended-tests
%{_libdir}/ghc-%{ghc_version}/package.conf.d/*
%{_libdir}/ghc-%{ghc_version}/GLUT-*
%{_libdir}/ghc-%{ghc_version}/HTTP-*
%{_libdir}/ghc-%{ghc_version}/HUnit-*
%{_libdir}/ghc-%{ghc_version}/OpenGL-*
%{_libdir}/ghc-%{ghc_version}/QuickCheck-*
%{_libdir}/ghc-%{ghc_version}/cgi-*
%{_libdir}/ghc-%{ghc_version}/deepseq-*
%{_libdir}/ghc-%{ghc_version}/fgl-*
%{_libdir}/ghc-%{ghc_version}/haskell-src-*
%{_libdir}/ghc-%{ghc_version}/html-*
%{_libdir}/ghc-%{ghc_version}/mtl-*
%{_libdir}/ghc-%{ghc_version}/network-*
%{_libdir}/ghc-%{ghc_version}/parallel-*
%{_libdir}/ghc-%{ghc_version}/parsec-*
%{_libdir}/ghc-%{ghc_version}/regex-base-*
%{_libdir}/ghc-%{ghc_version}/regex-compat-*
%{_libdir}/ghc-%{ghc_version}/regex-posix-*
%{_libdir}/ghc-%{ghc_version}/stm-*
%{_libdir}/ghc-%{ghc_version}/syb-*
%{_libdir}/ghc-%{ghc_version}/text-*
%{_libdir}/ghc-%{ghc_version}/transformers-*
%{_libdir}/ghc-%{ghc_version}/xhtml-*
%{_libdir}/ghc-%{ghc_version}/zlib-*
%{_datadir}/HUnit*
%{_datadir}/alex-*
%{_datadir}/happy-*


%files doc
%{_datadir}/doc/*
