Name:		hatari
Version:	2.5.0
Release:	%mkrel 1
Summary:	An Atari ST emulator suitable for playing games
License:	GPLv2+
Group:		Emulators
URL:		https://hatari.tuxfamily.org/
Source0:	https://download.tuxfamily.org/%{name}/%{version}/%{name}-%{version}.tar.bz2
Patch0:		hatari-2.3.1-mga-i18n+fix-desktop-file.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(udev)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(readline)

# Required by zip2st and atari-hd-image
Requires:	unzip
Requires:	mtools
Requires:	dosfstools

%description
Hatari is an emulator for the Atari ST, STE, TT and Falcon computers.

The Atari ST was a 16/32 bit computer system which was first released by
Atari in 1985. Using the Motorola 68000 CPU, it was a very popular computer
having quite a lot of CPU power at that time. Unlike many other Atari ST
emulators which try to give you a good environment for running GEM
applications, Hatari tries to emulate the hardware of a ST as close as
possible so that it is able to run most of the old ST games and demos.


%prep
%autosetup -p1

# Fix interpreter
for pyfile in tools/atari-convert-dir.py tools/debugger/hatari_profile.py tools/hconsole/example.py tools/hconsole/hconsole.py python-ui/hatariui.py python-ui/gentypes.py python-ui/debugui.py
do
  sed -i '1s|/usr/bin/env python3|%{__python3}|' $pyfile
done

%build
%cmake \
	-DDOCDIR:PATH=%{_docdir}/%{name}-%{version} \
	-DBUILD_SHARED_LIBS:BOOL=OFF

%cmake_build


%install
%cmake_install

# fr man pages
install -d -m 755 %{buildroot}/%{_mandir}/fr/man1
install -m 644 doc/fr/%{name}.1 %{buildroot}/%{_mandir}/fr/man1

# appdata file
mkdir -p %{buildroot}%{_datadir}/metainfo
cat > %{buildroot}%{_datadir}/metainfo/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Ryan Lerch <rlerch@redhat.com> -->
<!--
EmailAddress: hatari-devel@lists.tuxfamily.org
SentUpstream: 2014-09-24
-->
<application>
  <id type="desktop">hatari.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <summary>Atari emulator</summary>
  <description>
    <p>
      Hatari is an emulator that emulates Atari ST, Atari STE, Atari TT and Atari Falcon
      devices.
      It has the ability to emulate the joystick with input from either the host's
      keyboard or joystick.
    </p>
  </description>
  <url type="homepage">https://hatari.tuxfamily.org/</url>
  <screenshots>
    <screenshot type="default">https://hatari.tuxfamily.org/screens/features/deskhigh.png</screenshot>
  </screenshots>
</application>
EOF

%find_lang %{name} --with-man

%files -f %{name}.lang
%doc readme.txt doc/fr/clavier-exemple.txt
%doc tools/hmsa/readme-hmsa.txt
%doc %{_docdir}/%{name}-%{version}
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/mimetypes/*.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_iconsdir}/hicolor/scalable/mimetypes/*.svg
%{_mandir}/man1/*.1*
