Name:		haveged
Version:	1.9.18
Release:	%mkrel 1
Summary:	A simple entropy daemon
Group:		Text tools
License:	GPLv3+
URL:		https://www.issihosts.com/haveged/
Source0:	https://github.com/jirka-h/haveged/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(libsystemd)

Requires(post):		rpm-helper >= 0.24.8-1
Requires(preun):	rpm-helper >= 0.24.8-1

%description
The haveged project is an attempt to provide an easy-to-use, unpredictable
random number generator based upon an adaptation of the HAVEGE algorithm.
Haveged was created to remedy low-entropy conditions in the Linux random
device that can occur under some workloads, especially on headless servers.

%prep
%setup -q
%autopatch -p1

%build
%configure --disable-static --disable-shared --enable-init=service.fedora
%make_build

%check
%__make check

%install
%make_install

rm -f %{buildroot}%{_includedir}/haveged/havege*.h \
      %{buildroot}%{_libdir}/libhavege.a \
      %{buildroot}%{_libdir}/libhavege.la \
      %{buildroot}%{_mandir}/man3/libhavege.3

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc README AUTHORS ChangeLog NEWS
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.8*
