Summary:        Hard Drive Temperature Monitoring
Name:           hddtemp
Version:        0.4.3
Release:        %mkrel 2
License:        GPLv2+
Group:          Monitoring
URL:            https://github.com/vitlav/hddtemp
Source0:        https://github.com/vitlav/hddtemp/archive/v%{version}.tar.gz

Source3:        hddtemp.service
Source4:        hddtemp.sysconfig
Source5:        net.guzu.hddtemp.policy

Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires:       polkit
BuildRequires:  gettext-devel
BuildRequires:  perl

%description
hddtemp is a tool that gives you the temperature of your IDE or SCSI hard drive
(that support this feature) by reading S.M.A.R.T. information. Only modern hard
drives have a temperature sensor.

%prep
%setup -q
%autopatch -p1

%build
# to recognize aarch64
autoreconf -vfi

%configure \
    --with-db-path=%{_sysconfdir}/hddtemp.db

%make_build

%install
%make_install

install -D -p -m 0644 data/hddtemp.db %{buildroot}%{_sysconfdir}/hddtemp.db
install -D -p -m 0644 %{SOURCE3} %{buildroot}%{_unitdir}/%{name}.service
install -D -p -m 0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_libexecdir}
mv %{buildroot}%{_sbindir}/%{name} %{buildroot}%{_libexecdir}
rmdir %{buildroot}%{_sbindir}
cat >%{buildroot}%{_bindir}/%{name} <<EOF
#!/bin/sh
exec %{_bindir}/pkexec %{_libexecdir}/%{name} \$*
EOF
install -D -p -m 0644 %{SOURCE5} %{buildroot}%{_datadir}/polkit-1/actions/net.guzu.%{name}.policy

%find_lang %{name}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files -f %{name}.lang
%doc ChangeLog README TODO contribs
%attr(0755,root,root) %{_bindir}/%{name}
%attr(0755,root,root) %{_libexecdir}/%{name}
%{_unitdir}/%{name}.service
%config(noreplace) %{_sysconfdir}/%{name}.db
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_datadir}/polkit-1/actions/net.guzu.%{name}.policy
%{_mandir}/man8/%{name}.8*
