%define major              310
%define major_cpp          310
%define major_f            310

%define major_hl           310
%define major_hl_cpp       310
%define major_hl_f         310

#cmake only
%define major_hl_tools     310


%define libname             %mklibname %{name}_ %{major}
%define libname_cpp         %mklibname %{name}_cpp %{major_cpp}
%define libname_f           %mklibname %{name}_fortran %{major_f}

%define libname_hl          %mklibname %{name}_hl %{major_hl}
%define libname_hl_cpp      %mklibname %{name}_hl_cpp %{major_hl_cpp}
%define libname_hl_f        %mklibname %{name}_hl_fortran %{major_hl_f}

%define develname           %mklibname %{name} -d
%define staticdevelname     %mklibname %{name} -d -s



%define paraprefix          p
%define paraname            %{paraprefix}%{name}

%define libparaname         %mklibname %{paraname}_ %{major}
%define libparaname_f       %mklibname %{paraname}_fortran %{major_f}
%define libparaname_t       %mklibname %{paraname}_tools %{major_hl_tools}
%define libparaname_hl      %mklibname %{paraname}_hl %{major_hl}
%define libparaname_hl_f    %mklibname %{paraname}_hl_fortran %{major_hl_f}

%define develparaname       %mklibname %{paraname} -d
%define staticdevelparaname %mklibname %{paraname} -d -s

%define srcversion   	    %{version}

#reminder: the cmake build fails if older hdf5 version are installed
#on the build system (don't chase inexistent bug)

%bcond_without java
#bcond_with java

%define javapi            2.0.6



%ifnarch %arm32 %ix86
%bcond_without  mpi
%else
%bcond_with     mpi
%endif

Name:           hdf5
Version:        1.14.5
Release:        %mkrel 2
Summary:        A data model, library, and file format for storing and managing data
License:        BSD-like
Group:          System/Libraries
URL:            https://www.hdfgroup.org/HDF5/
Source0:        https://www.hdfgroup.org/download-hdf5/source-code/hdf5-%{version}/src/%{name}-%{srcversion}.tar.gz


Patch0:         hdf5-1.14.5-no_r31test.patch


BuildRequires:  cmake
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(krb5)
BuildRequires:  gcc-gfortran
%if %{with mpi}
BuildRequires:  pkgconfig(ompi)
%endif
%ifnarch %{arm32} %{arm64}
BuildRequires:  quadmath-devel
%endif
%if %{with java}
BuildRequires:  java-devel
BuildRequires:  javapackages-tools
BuildRequires:  hamcrest
BuildRequires:  junit
BuildRequires:  slf4j
%else
Obsoletes:      java-hdf5 < %{version}-%{release}
%endif

%description
HDF5 is a data model, library, and file format for storing and
managing data. It supports an unlimited variety of datatypes, and is
designed for flexible and efficient I/O and for high volume and
complex data. HDF5 is portable and is extensible, allowing
applications to evolve in their use of HDF5. The HDF5 Technology suite
includes tools and applications for managing, manipulating, viewing,
and analyzing data in the HDF5 format.



%package -n %{libname}
Summary:        The HDF5 libraries
Group:          System/Libraries

%description -n %{libname}
This package contains the libraries needed to run programs dynamically
linked with HDF5 libraries.


%package -n %{libname_cpp}
Summary:        The HDF5 C++ libraries
Group:          System/Libraries

%description -n %{libname_cpp}
%{summary}.


%package -n %{libname_f}
Summary:        The Fortran HDF5 libraries
Group:          System/Libraries

%description -n %{libname_f}
%{summary}.


%package -n %{libname_hl}
Summary:        The HDF5 high level libraries
Group:          System/Libraries

%description -n %{libname_hl}
%{summary}.


%package -n %{libname_hl_cpp}
Summary:        The HDF5 C++ high level libraries
Group:          System/Libraries

%description -n %{libname_hl_cpp}
%{summary}.


%package -n %{libname_hl_f}
Summary:        The HDF5 Fortran high level libraries
Group:          System/Libraries

%description -n %{libname_hl_f}
%{summary}


%package -n %{develname}
Summary:        Development libraries and header files for HDF5
Group:          Development/Other
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libname_cpp} = %{version}-%{release}
Requires:       %{libname_f} = %{version}-%{release}
Requires:       %{libname_hl} = %{version}-%{release}
Requires:       %{libname_hl_cpp} = %{version}-%{release}
Requires:       %{libname_hl_f} = %{version}-%{release}
#could be relaxed for configure?
Requires:       %{staticdevelname} = %{version}-%{release}

%description -n %{develname}
This package provides development libraries and header files needed
for develop applications requiring the HDF5 library.



%package -n %{staticdevelname}
Summary:        Static development libraries a for HDF5
Group:          Development/Other
Provides:       %{name}-static-devel = %{version}-%{release}
Provides:       lib%{name}-static-devel = %{version}-%{release}
Requires:       %{develname} = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libname_cpp} = %{version}-%{release}
Requires:       %{libname_f} = %{version}-%{release}
Requires:       %{libname_hl} = %{version}-%{release}
Requires:       %{libname_hl_cpp} = %{version}-%{release}
Requires:       %{libname_hl_f} = %{version}-%{release}

%description -n %{staticdevelname}
%{summary}.




%if %{with mpi}
%package -n %{libparaname}
Summary:        The parallel OpenMPI HDF5 libraries
Group:          System/Libraries

%description -n %{libparaname}
This package contains the parallel libraries needed to run programs
dynamically linked with HDF5 libraries. It is based on OpenMPI.



%package -n %{libparaname_f}
Summary:        The parallel OpenMPI Fortran HDF5 libraries
Group:          System/Libraries


%description -n %{libparaname_f}
%{summary}.


%package -n %{libparaname_hl}
Summary:        The parallel OpenMPI HDF5 high level libraries
Group:          System/Libraries

%description -n %{libparaname_hl}
%{summary}.



%package -n %{libparaname_t}
Summary:        The parallel OpenMPI HDF5 high level libraries
Group:          System/Libraries

%description -n %{libparaname_t}
%{summary}.



%package -n %{libparaname_hl_f}
Summary:        The parallel OpenMPI HDF5 Fortran high level libraries
Group:          System/Libraries

%description -n %{libparaname_hl_f}
%{summary}



%package -n %{develparaname}
Summary:        Development libraries and header files for the parallel HDF5 library
Group:          Development/Other
Provides:       %{paraname}-devel = %{version}-%{release}
Provides:       lib%{paraname}-devel = %{version}-%{release}
Provides:       %{name}-openmpi-devel = %{version}-%{release}
Provides:       lib%{name}-openmpi-devel = %{version}-%{release}
Provides:       %{name}-parallel-devel = %{version}-%{release}
Provides:       lib%{name}-parallel-devel = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}
Requires:       %{libparaname} = %{version}-%{release}
Requires:       %{libparaname_f} = %{version}-%{release}
Requires:       %{libparaname_t} = %{version}-%{release}
Requires:       %{libparaname_hl} = %{version}-%{release}
Requires:       %{libparaname_hl_f} = %{version}-%{release}
#forced by the current hdf5-cmake.target
Requires:       %{staticdevelparaname} = %{version}-%{release}

%description -n %{develparaname}
This package provides development libraries and header files needed
for develop applications requiring the parallel HDF5 library.



%package -n %{staticdevelparaname}
Summary:        Static development libraries a for the parallel HDF5 library
Group:          Development/Other
Provides:       %{paraname}-static-devel = %{version}-%{release}
Provides:       %{name}-openmpi-static-devel = %{version}-%{release}
Provides:       %{name}-parallel-static-devel = %{version}-%{release}
Requires:       %{develparaname} = %{version}-%{release}
Requires:       %{libparaname} = %{version}-%{release}
Requires:       %{libparaname_f} = %{version}-%{release}
Requires:       %{libparaname_t} = %{version}-%{release}
Requires:       %{libparaname_hl} = %{version}-%{release}
Requires:       %{libparaname_hl_f} = %{version}-%{release}

%description -n %{staticdevelparaname}
%{summary}.
%endif


%if %{with java}
%package -n java-hdf5
Summary:        HDF5 java library
Group:          Development/Java
Requires:       slf4j
Obsoletes:      jhdf5 < 3.3.2-6
Obsoletes:      jhdf5-javadoc < 3.3.2-6
Obsoletes:      jhdf < 3.3.2-6

%description -n java-hdf5
HDF5 java library.
%endif







%prep
%setup -qn %{name}-%{srcversion}
%autopatch -p1


#WARNINGS: the cmake build works but produces an install which is
#incompatible with the configure script of many packages looking for
#hdf5. For instance, h5cc does not take the same optional argument if
#generated from the configure script or from a cmake compilation (yes,
#that's unbelievable!). On the other hand, the configure script does
#not allow to set a libprefix. Let's keep cmake only for the parallel
#version which indeed  needs a different libprefix

#the parallel version is built in another dir
%__rm -r -f %{_builddir}/%{paraname}-%{srcversion}
pushd %{_builddir}
%__cp -afR %{name}-%{srcversion} %{paraname}-%{srcversion}
popd


%if %{with java}
# Replace jars with system versions
# hamcrest-core is obsoleted in hamcrest-2.2
# Junit tests are failing with junit-4.13.1
%if 0%{?rhel} >= 9 || 0%{?fedora} || 0%{?mageia}
find . ! -name junit.jar -name "*.jar" -delete
ln -s %{_javadir}/hamcrest/hamcrest.jar java/lib/hamcrest-core.jar
%else
find . -name "*.jar" -delete
ln -s %{_javadir}/hamcrest/core.jar java/lib/hamcrest-core.jar
ln -s %{_javadir}/junit.jar java/lib/junit.jar
# Fix test output
junit_ver=$(sed -n '/<version>/{s/^.*>\([0-9]\.[0-9.]*\)<.*/\1/;p;q}' /usr/share/maven-poms/junit.pom)
sed -i -e "s/JUnit version .*/JUnit version $junit_ver/" java/test/testfiles/JUnit-*.txt
%endif
ln -s %{_javadir}/slf4j/api.jar java/lib/slf4j-api-%{javapi}.jar
ln -s %{_javadir}/slf4j/nop.jar java/lib/ext/slf4j-nop-%{javapi}.jar
ln -s %{_javadir}/slf4j/simple.jar java/lib/ext/slf4j-simple-%{javapi}.jar
 autoreconf -f -i
%endif


%build
%configure --enable-cxx        \
           --enable-fortran    \
           --enable-hl         \
           --disable-parallel  \
           %if %{with java}
           --enable-java       \
           %endif
           --with-default-plugindir=%{_libdir}/hdf5/plugin

#in case of really serious issues while bumping api
#	     --with-default-api-version=v112

%make_build

%if %{with mpi}
#parallel build (C++ is incompatible with parallel)
pushd %{_builddir}/%{paraname}-%{srcversion}

%cmake   -DBUILD_SHARED_LIBS=ON                                     \
         -DONLY_SHARED_LIBS=OFF                                     \
	 -DBUILD_STATIC_LIBS=ON					    \
         -DBUILD_TESTING=OFF                                        \
         -DH5_DEFAULT_PLUGINDIR=%{_libdir}/hdf5/plugin              \
         -DHDF5_INSTALL_LIB_DIR=%{_libdir}                          \
         -DHDF5_INSTALL_INCLUDE_DIR=%{_includedir}/%{paraname}      \
	 -DHDF5_INSTALL_MODULE_DIR=%{_includedir}/%{paraname}/mod   \
         -DHDF5_BUILD_CPP_LIB=OFF                                   \
         -DHDF5_BUILD_FORTRAN=ON                                    \
         -DHDF5_BUILD_HL_LIB=ON                                     \
         -DHDF5_BUILD_TOOLS=ON                                      \
         -DHDF5_ENABLE_Z_LIB_SUPPORT=ON                             \
	 -DHDF5_BUILD_EXAMPLE=OFF                                   \
         -DHDF5_ENABLE_PARALLEL=ON                                  \
         -DHDF5_EXTERNAL_LIB_PREFIX=%{paraprefix}                   \
         -DCMAKE_Fortran_COMPILER=mpif90                            \
         -DCMAKE_C_COMPILER=mpicc

%cmake_build

popd
%endif

#check
# tests are long, let's restrict the tested arches
%ifarch %{ix86} x86_64
%make_build test || echo "make test failed"
%endif




%install

%if %{with mpi}
#install first the parallel version, to default to non-parallel in
#case binaries have the same name
pushd %{_builddir}/%{paraname}-%{srcversion}
%cmake_install
popd
#clean screwed cmake pkgconfig file generated by the parallel hdf
%__rm -f -r %{buildroot}%{_libdir}/pkgconfig
%__rm -f -r %{buildroot}%{_prefix}/cmake
%endif

%make_install
%multiarch_includes %{buildroot}%{_includedir}/H5pubconf.h


# rpm macro for version checking
mkdir -p %{buildroot}%{_rpmmacrodir}
cat > %{buildroot}%{_rpmmacrodir}/macros.hdf5 <<EOF
#
# RPM macros for HDF5 packaging
#

%_hdf5_version %{version}
EOF

# plugin dir
mkdir -p %{buildroot}%{_libdir}/hdf5/plugin

#remove unwanted files
find %{buildroot}%{_libdir} -name *.la -delete
%__rm -f %{buildroot}/%{_datadir}/COPYING
%__rm -f %{buildroot}/%{_datadir}/RELEASE.txt
%__rm -f %{buildroot}/%{_datadir}/USING_HDF5_CMake.txt

%if %{with java}
# Java
mkdir -p %{buildroot}%{_libdir}/%{name}
mv %{buildroot}%{_libdir}/libhdf5_java.so %{buildroot}%{_libdir}/%{name}/
%endif


%files
%doc COPYING COPYING_LBNL_HDF5 release_docs/RELEASE.txt
%{_bindir}/*
%dir %{_libdir}/hdf5/
%dir %{_libdir}/hdf5/plugin/

%files -n %{libname}
%{_libdir}/libhdf5.so.%{major}{,.*}

%files -n %{libname_cpp}
%{_libdir}/libhdf5_cpp.so.%{major_cpp}{,.*}

%files -n %{libname_f}
%{_libdir}/libhdf5_fortran.so.%{major_f}{,.*}
#{_libdir}/libhdf5_f90cstub.so.#{major_f}{,.*}

%files -n %{libname_hl}
%{_libdir}/libhdf5_hl.so.%{major_hl_f}{,.*}
#{_libdir}/libhdf5_tools.so.#{major_hl_tools}{,.*}

%files -n %{libname_hl_cpp}
%{_libdir}/libhdf5_hl_cpp.so.%{major_hl_cpp}{,.*}

%files -n %{libname_hl_f}
%{_libdir}/libhdf5hl_fortran.so.%{major_hl_f}{,.*}
#{_libdir}/libhdf5_hl_f90cstub.so.#{major_hl_f}{,.*}

%files -n %{develname}
%{multiarch_includedir}/H5pubconf.h
%{_rpmmacrodir}/macros.hdf5
%{_libdir}/libhdf5*.so
%{_libdir}/libhdf5*.settings
%{_includedir}/*.h
%{_includedir}/*.inc
%{_includedir}/h5*.mod
%{_includedir}/hdf5.mod
#{_datadir}/hdf5_examples
#{_includedir}/*.F90
#{_includedir}/shared
#{_libdir}/pkgconfig/hdf5*.pc
#{_datadir}/cmake/hdf5


%files -n %{staticdevelname}
%{_libdir}/libhdf5*.a
#{_includedir}/static


%if %{with java}
%files -n java-hdf5
%{_libdir}/jarhdf5-%{srcversion}.jar
%{_libdir}/%{name}/
%endif

%if %{with mpi}
%files -n %{libparaname}
%{_libdir}/lib%{paraprefix}hdf5.so.%{major}{,.*}


%files -n %{libparaname_f}
%{_libdir}/lib%{paraprefix}hdf5_fortran.so.%{major_f}{,.*}
%{_libdir}/lib%{paraprefix}hdf5_f90cstub.so.%{major_f}{,.*}


%files -n %{libparaname_hl}
%{_libdir}/lib%{paraprefix}hdf5_hl.so.%{major_hl}{,.*}


%files -n %{libparaname_t}
%{_libdir}/lib%{paraprefix}hdf5_tools.so.%{major_hl_tools}{,.*}


%files -n %{libparaname_hl_f}
%{_libdir}/lib%{paraprefix}hdf5_hl_fortran.so.%{major_hl_f}{,.*}
%{_libdir}/lib%{paraprefix}hdf5_hl_f90cstub.so.%{major_hl_f}{,.*}


%files -n %{develparaname}
%{_libdir}/lib%{paraprefix}*.so
%dir %{_includedir}/%{paraname}
%{_includedir}/%{paraname}/*.h
%{_includedir}/%{paraname}/*.inc
%{_includedir}/%{paraname}/h5*.mod
%{_includedir}/%{paraname}/hdf5.mod
%{_includedir}/%{paraname}/*.F90
%{_includedir}/%{paraname}/mod/shared


%files -n %{staticdevelparaname}
%{_libdir}/lib%{paraprefix}hdf5*.a
%{_includedir}/%{paraname}/mod/static
%endif
