#
# Please do not update/rebuild/touch this package before asking first
# to KDE team.
# This package is part of the KDE Stack.
#

%define rel 7

Name:           heaptrack
Version: 1.5.0
Release:        %mkrel %{rel}
Summary:        A heap memory profiler for Linux
Group:          Graphical desktop/KDE
License:        GPLv2+
URL:            https://invent.kde.org/sdk/heaptrack
Source0:        https://download.kde.org/stable/heaptrack/%{version}/%{name}-%{version}.tar.xz
## Upstream patches
Patch1:         0001-Use-boost::hash_combine-to-prevent-collisions-in-tsl-pointermap.patch
Patch2:         0001-fix-appdata-url.patch
Patch3:         0001-Support-KChart6-for-KF6.patch
Patch4:         0001-Use-QString-for-KConfigGroup-names.patch
# https://invent.kde.org/sdk/heaptrack/-/commit/c6c45f3455a652c38aefa402aece5dafa492e8ab
# Will prolly be unneeded next release.
Patch5:         fix-gcc14-cmake-compat.patch

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6ItemModels)
BuildRequires:  cmake(KF6ThreadWeaver)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6IconThemes)

BuildRequires:  cmake(KChart6)

BuildRequires:  boost-devel
BuildRequires:  libdwarf-devel
BuildRequires:  pkgconfig(libdw)
BuildRequires:  pkgconfig(libsparsehash)
BuildRequires:  pkgconfig(libunwind)
BuildRequires:  pkgconfig(libzstd)
BuildRequires:  pkgconfig(zlib)


%description
Heaptrack traces all memory allocations and annotates these events with stack
traces.Dedicated analysis tools then allow you to interpret the heap memory
profile to:
- find hotspots that need to be optimized to reduce the memory footprint of your
  application
- find memory leaks, i.e. locations that allocate memory which is never
  deallocated
- find allocation hotspots, i.e. code locations that trigger a lot of memory
  allocation calls
- find temporary allocations, which are allocations that are directly followed
  by their deallocation

%files -f %{name}.lang
%doc README.md
%license LICENSES/*.txt
%{_kf6_bindir}/%{name}
%{_kf6_bindir}/%{name}_gui
%{_kf6_bindir}/%{name}_print
%{_kf6_libdir}/%{name}/
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_iconsdir}/hicolor/*/apps/%{name}.png
%{_includedir}/%{name}_api.h

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DHEAPTRACK_USE_QT6:BOOL=ON
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name
