%global _smp_build_ncpus 8

Name:		hedgewars
Version:	1.0.2
Release:	%mkrel 2
Summary:	Funny turn-based artillery game featuring fighting Hedgehogs
License:	GPLv2
Group:		Games/Strategy
URL:		https://www.hedgewars.org/
Source0:	https://www.hedgewars.org/download/releases/%{name}-src-%{version}.tar.bz2
Patch0:		hedgewars-1.0.0-mga-disable-pas2c.patch
Patch1:		0001-Fix-build-with-Qt-5.15.patch

BuildRequires:	cmake
# Disable ffmpeg for now
# BuildRequires:	ffmpeg-devel
BuildRequires:	fpc
BuildRequires:	pkgconfig(freeglut)
BuildRequires:	pkgconfig(lua-5.1)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(physfs)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(SDL2_net)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:  chrpath
Requires:	%{name}-data = %{version}

%description
Hedgewars is a turn based strategy, artillery, action and comedy game,
featuring the antics of pink hedgehogs with attitude as they battle
from the depths of hell to the depths of space.

As commander, it's your job to assemble your crack team of hedgehog
soldiers and bring the war to your enemy.

%package data
Summary:	Games data for the hedgewars game
Group:		Games/Strategy
Conflicts:	hedgewars < 0.9.18
BuildArch:	noarch

%description data
This package contains data files for hedgewars game.

%prep
%autosetup -p1 -n %{name}-src-%{version}

%build
%cmake \
	-DNOSERVER=TRUE \
	-DNOVIDEOREC=1 \
	-DSKIP_BUILD_RPATH=TRUE \
	-DDATA_INSTALL_DIR="%{_gamesdatadir}/%{name}" \
	-Dtarget_binary_install_dir="%{_gamesbindir}" \
	-Dtarget_library_install_dir="%{_libdir}"
%cmake_build

%install
%cmake_install

install -D -m644 misc/%{name}_ico.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -D -m644 misc/%{name}.png %{buildroot}%{_iconsdir}/hicolor/512x512/apps/%{name}.png
rm -rf %{buildroot}%{_datadir}/pixmaps

mkdir -p %{buildroot}%{_datadir}/applications/
cat <<EOF >%{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Hedgewars
GenericName=Cartoony artillery game
Comment=Funny turn-based artillery game, featuring fighting Hedgehogs!
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;StrategyGame;Qt;
EOF

install -D -m644 man/%{name}.6 %{buildroot}%{_mandir}/man6/%{name}.6

# remove unneeded devel libraries files
find %{buildroot} -name '*.so' -delete
chrpath -d %{buildroot}%{_gamesbindir}/%{name}
chrpath -d %{buildroot}%{_gamesbindir}/hwengine
chrpath -d %{buildroot}%{_libdir}/libphyslayer.so.1.0

%files
%doc ChangeLog.txt CREDITS README.md
%license COPYING
%{_gamesbindir}/%{name}
%{_gamesbindir}/hwengine
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_libdir}/libphyslayer.so.*
%{_mandir}/man6/%{name}.6*

%files data
%{_gamesdatadir}/%{name}/
