%define oname	Heimdall

#define pre	RC2
%define rel	1

Name:		heimdall
Version:	2.1.0
Release:	%mkrel %{?pre:0.%{pre}.}%{rel}
Summary:	Flash firmware (aka ROMs) onto Samsung Galaxy devices
Group:		Communications/Mobile
License:	MIT
URL:		https://glassechidna.com.au/heimdall/
Source0:	https://git.sr.ht/~grimler/Heimdall/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source2:	%{name}.desktop
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	cmake
BuildRequires:	desktop-file-utils

%description
Heimdall is a cross-platform open-source tool suite used to flash firmware (aka
ROMs) onto Samsung mobile devices.

%package frontend
Summary:	Qt5 based frontend for %{name}
Group:		Communications/Mobile
Requires:	%{name} = %{version}-%{release}

%description frontend
Heimdall is a cross-platform open-source tool suite used to flash firmware (aka
ROMs) onto Samsung mobile devices.

This package provides Qt5 based frontend for %{name}.


%prep
%autosetup -n %{oname}-v%{version}%{?pre}

#remove unneeded files
rm -rf Win32
rm -rf OSX

#not needed
rm -rf libusb*


%build
%cmake
%cmake_build


%install
%cmake_install

install -D -m 0644 heimdall/60-heimdall.rules %{buildroot}%{_udevrulesdir}/60-heimdall.rules
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE2}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_udevrulesdir}/60-heimdall.rules

%files frontend
%license LICENSE
%doc README.md
%{_bindir}/%{name}-frontend
%{_datadir}/applications/%{name}.desktop
