%define lib_name_orig	libhermes

%define lib_major	1
%define lib_name	%mklibname hermes %{lib_major}
%define dev_name	%mklibname hermes -d

Summary:	Hermes pixel format conversion library
Name:		hermes
Version:	1.3.3
Release:	%mkrel 20
License:	LGPL
Group:		System/Libraries
URL:		https://clanlib.org/hermes/
Source0:	http://dark.x.dtu.dk/~mbn/clanlib/download/Hermes-%{version}.tar.bz2

%description
HERMES is a library designed to convert a source buffer with a specified pixel
format to a destination buffer with possibly a different format at the maximum
possible speed.

On x86 and MMX architectures, handwritten assembler routines take over
the job and do it lightning fast.

On top of that, HERMES provides fast surface clearing, stretching and some
dithering. Supported platforms are basically all that have an ANSI C compiler
as there is no platform specific code but those are supported: DOS, Win32
(Visual C), Linux, FreeBSD (IRIX, Solaris are on hold at the moment), some BeOS
support.

%package -n %{lib_name}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{dev_name}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{lib_name} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}hermes1-devel < 1.3.3-12

%description -n %{dev_name}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q -n Hermes-%{version}

# make autoreconf happy
sed -i -e 's,\(AC_PROG_LIBTOOL.*\),\1\nAM_PROG_AS,' configure.in

%build
# fix build on aarch64
autoreconf -vfi

%configure \
    --disable-x86asm \
    --disable-static
make

%install
# makeinstall_std fails
%makeinstall

# don't ship .la
find %{buildroot} -name '*.la' -delete

%files -n %{lib_name}
%doc AUTHORS TODO TODO.conversion
%{_libdir}/libHermes.so.%{lib_major}
%{_libdir}/libHermes.so.%{lib_major}.*

%files -n %{dev_name}
%doc docs/api/*.htm
%{_includedir}/Hermes/
%{_libdir}/libHermes.so
