%define _disable_ld_no_undefined 1

Summary:	An IRC chat program
Name:		hexchat
Version:	2.16.2
Release:	%mkrel 2
Group:		Networking/IRC
License:	GPLv2
Url:		https://hexchat.github.io
Source0:	https://github.com/hexchat/hexchat/releases/download/v%{version}/%{name}-%{version}.tar.xz
Patch0:		hexchat-servlist.patch
BuildRequires:	appstream-util
BuildRequires:	bison
BuildRequires:	gettext-devel
BuildRequires:	gnome-common
BuildRequires:	iso-codes
BuildRequires:	meson
BuildRequires:	ninja
BuildRequires:	perl-devel
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libcanberra)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libpci)
BuildRequires:	pkgconfig(libproxy-1.0)
BuildRequires:	pkgconfig(lua)
BuildRequires:	pkgconfig(openssl) >= 1.1
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(cffi)

# To get the balloon alerts working
Requires:	libnotify

Provides:	xchat
Provides:	xchat-gnome

%description
HexChat is an IRC chat program. It allows you to join multiple IRC channels
(chat rooms) at the same time, talk publicly, private one-on-one conversations
etc.

HexChat is based on XChat, but unlike XChat it's completely free for both
Windows and Unix-like systems.

%package	devel
Summary:	HexChat header for plugin development
Group:		Development/C

%description devel
This package contains xchat-plugin.h needed to build external plugins.

%package	lua
Summary:	HexChat Lua plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}
Conflicts:	%{name} < 2.16.0

%description lua
Provides Lua scripting capabilities to HexChat.

%package	perl
Summary:	HexChat Perl plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}
Conflicts:	%{name} < 2.16.0
Provides:	xchat-gnome-perl
Provides:	xchat-perl

%description perl
Provides Perl scripting capability to HexChat.

%package	python
Summary:	HexChat Python plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}
Requires:	python3dist(cffi)
Conflicts:	%{name} < 2.16.0
Provides:	xchat-gnome-python
Provides:	xchat-python

%description python
Provides Python scripting capability to HexChat.

%package	checksum
Summary:	HexChat Checksum plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}
Conflicts:	%{name} < 2.16.0

%description checksum
Calculates checksum for DCC file transfers.

%package	fishlim
Summary:	HexChat FiSHLiM plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}
Conflicts:	%{name} < 2.16.0

%description fishlim
FiSHLiM is an HexChat plugin for FiSH IRC encryption.

%package	sysinfo
Summary:	SysInfo plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}
Conflicts:	%{name} < 2.16.0

%description	sysinfo
Display info about your hardware and OS.


%prep
%autosetup -p1

%build
%meson \
  -Dwith-lua=lua \
  -Dinstall-plugin-metainfo=true
%meson_build

%install
# Remove COPYING
rm -f share/doc/COPYING

%meson_install

%find_lang %{name}

desktop-file-edit \
  --add-category="GTK" \
  --add-category="IRCClient" \
    %{buildroot}%{_datadir}/applications/io.github.Hexchat.desktop

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/io.github.Hexchat.desktop
%{_datadir}/dbus-1/services/org.%{name}.service.service
%{_metainfodir}/io.github.Hexchat.appdata.xml
%{_iconsdir}/hicolor/*/apps/*.{png,svg}
%dir %{_libdir}/%{name}/plugins
%dir %{_libdir}/%{name}/
%{_mandir}/man1/%{name}.1.*

%files devel
%{_includedir}/%{name}-plugin.h
%{_libdir}/pkgconfig/%{name}-plugin.pc

%files lua
%{_libdir}/%{name}/plugins/lua.so
%{_metainfodir}/io.github.Hexchat.Plugin.Lua.metainfo.xml

%files perl
%{_libdir}/%{name}/plugins/perl.so
%{_metainfodir}/io.github.Hexchat.Plugin.Perl.metainfo.xml

%files python
%{_libdir}/%{name}/plugins/python.so
%{_metainfodir}/io.github.Hexchat.Plugin.Python.metainfo.xml
%dir %{_libdir}/%{name}/python/
%{_libdir}/%{name}/python/*.py

%files checksum
%{_libdir}/%{name}/plugins/checksum.so
%{_metainfodir}/io.github.Hexchat.Plugin.Checksum.metainfo.xml

%files fishlim
%{_libdir}/%{name}/plugins/fishlim.so
%{_metainfodir}/io.github.Hexchat.Plugin.Fishlim.metainfo.xml

%files sysinfo
%{_libdir}/%{name}/plugins/sysinfo.so
%{_metainfodir}/io.github.Hexchat.Plugin.Sysinfo.metainfo.xml

