%define oname hfstospell

%define major	11
%define libname	%mklibname %{oname} %{major}
%define devname %mklibname %{oname} -d

Name:		hfst-ospell
Summary:	HFST spell checker library and command line tool
Version:	0.5.4
Release:	%mkrel 2
Group:		System/Libraries
License:	ASL 2.0
Url:		https://hfst.github.io/
Source0:	https://github.com/hfst/hfst-ospell/releases/download/v%{version}/%{name}-%{version}.tar.bz2
Patch0:		hfst-ospell-0.5.0-compile.patch
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(libxml++-2.6)
BuildRequires:	pkgconfig(icu-uc)

%description
This is a minimal HFST optimized lookup format based spell checker library and
a demonstrational implementation of a command line based spell checker.

%package -n %{libname}
Summary:	HFST spell checker library
Group:		System/Libraries

%description -n %{libname}
Minimal HFST optimized lookup format based spell checker library.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}

%description -n %{devname}
Development files and headers for %{name}.

%prep
%setup -qn %{name}-%{version}
%autopatch -p1

%build
autoreconf -fi
%configure \
	--disable-static \
	--with-libxmlpp
%make_build

%install
%make_install

%files
%doc AUTHORS NEWS README.md
%license COPYING
%{_bindir}/hfst-ospell
%{_bindir}/hfst-ospell-predict
%{_bindir}/hfst-ospell-office
%{_mandir}/man1/hfst-ospell-office.1*
%{_mandir}/man1/hfst-ospell.1*

%files -n %{libname}
%doc AUTHORS NEWS README.md
%license COPYING
%{_libdir}/lib%{oname}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/*
%{_libdir}/lib%{oname}.so
%{_libdir}/pkgconfig/%{oname}.pc
