%define uname hg_git
Summary:        Mercurial plugin for communicating with Git servers
Name:           hg-git
Version:        1.2.0
Release:        %mkrel 1
License:        GPLv2
Group:          Development/Tools
Url:            https://hg-git.github.io

Source0:        https://pypi.python.org/packages/source/h/%{name}/%{uname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  mercurial
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-dulwich
BuildRequires:  python3-setuptools
BuildRequires:  python3dist(setuptools-scm[toml])
Requires:       mercurial


%description
This is the Hg-Git plugin for Mercurial, adding the ability to push to
and pull from a Git server repository from Mercurial. This means you
can collaborate on Git based projects from Mercurial, or use a Git
server as a collaboration point for a team with developers using both
Git and Mercurial.

%prep
%autosetup -p1 -n %{uname}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files hggit

cat <<EOF > hg-git.rc
[extensions]
hgext.bookmarks =
hggit = %{python3_sitelib}/hggit
EOF

%__install -m 755 -d %{buildroot}%{_sysconfdir}/mercurial/hgrc.d
%__install -m 644 hg-git.rc %{buildroot}%{_sysconfdir}/mercurial/hgrc.d/

%files -f %{pyproject_files}
%doc COPYING
%config(noreplace) %{_sysconfdir}/mercurial/hgrc.d/hg-git.rc

