Summary:	Basic requirement for icon themes
Name:		hicolor-icon-theme
Version:	0.18
Release:	%mkrel 1
License:	GPLv2
Group:		Graphical desktop/Other
URL:		https://www.freedesktop.org/wiki/Software/icon-theme/
Source0:	https://icon-theme.freedesktop.org/releases/%{name}-%{version}.tar.xz
# Mageia patches
Patch501:	0501-Add-support-for-12x12-and-12x12-2-icons.patch
Patch502:	0502-Add-support-for-8x8-and-8x8-2-icons.patch
Patch503:	0503-Add-support-for-1024x1024-and-1024x1024-2-icons.patch
Patch1001:	1001-Create-directories-for-some-non-standard-icon-sizes-.patch
Patch1002:	1002-Add-support-for-some-non-standard-icons-sizes-we-shi.patch
BuildArch:	noarch
BuildRequires:	meson
BuildRequires:	git-core

%description
Contains the basic directories and files needed for icon theme support.

%prep
%autosetup -p1 -Sgit_am

%build
%meson
%meson_build

%install
%meson_install

touch %{buildroot}%{_iconsdir}/hicolor/icon-theme.cache

# automatic gtk icon cache update on rpm installs/removals
%transfiletriggerin --  %{_iconsdir}/hicolor/
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --force --quiet %{_iconsdir}/hicolor
fi

%transfiletriggerpostun --  %{_iconsdir}/hicolor/
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --force --quiet %{_iconsdir}/hicolor
fi

%files
%doc README.md NEWS
%license COPYING
%dir %{_iconsdir}/hicolor/
%{_iconsdir}/hicolor/index.theme
%{_iconsdir}/hicolor/*/
%ghost %{_iconsdir}/hicolor/icon-theme.cache
%{_datadir}/pkgconfig/default-icon-theme.pc
