%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		hidapi
Version:	0.14.0
Release:	%mkrel 1
Summary:	Library for communicating with USB and Bluetooth HID devices

Group:		Communications/Radio
License:	GPLv3
# Originally from https://github.com/signal11/hidapi
URL:		https://github.com/libusb/hidapi
Source0:	https://github.com/libusb/hidapi/archive/%{name}-%{version}.tar.gz

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	m4
BuildRequires:	pkgconfig(udev)
BuildRequires:	pkgconfig(libusb)

%description
HIDAPI is a multi-platform library which allows an application to interface
with USB and Bluetooth HID-class devices on Windows, Linux, FreeBSD and Mac OS
X.  On Linux, either the hidraw or the libusb back-end can be used. There are
trade-offs and the functionality supported is slightly different.

%package -n %{libname}
Summary:	Library files for hidapi
Group:		System/Libraries

%description -n %{libname}
This package contains library files for hidapi which provides access to
USB and Bluetooth HID-class devices.

%package -n %{devname}
Summary:	Development files for hidapi
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains development files for hidapi which provides access to
USB and Bluetooth HID-class devices.

%prep
%setup -q -n %{name}-%{name}-%{version}
%autopatch -p1

%build
autoreconf --install --verbose --force
%configure --disable-testgui --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete
rm -rf %{buildroot}%{_defaultdocdir}/%{name}

%files -n %{libname}
%doc AUTHORS.txt README.md
%license LICENSE*.txt
%{_libdir}/libhidapi-*.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/hidapi
%{_libdir}/libhidapi-hidraw.so
%{_libdir}/libhidapi-libusb.so
%{_libdir}/pkgconfig/hidapi-hidraw.pc
%{_libdir}/pkgconfig/hidapi-libusb.pc
