# As per the policy on emulators, this should be submitted to tainted

# (akien) Packaging heavily inspired from Debian's
# Check their work for improvements until we diverge too much
# https://packages.debian.org/sid/higan

Name:           higan
Version:        106
Release:        %mkrel 5
Summary:        Accurate Nintendo multi-system emulator
Group:          Emulators
License:        GPLv3 and LGPLv2 and zlib and ISC
URL:            http://byuu.org/emulation/higan
Source0:        http://download.byuu.org/%{name}_v%{version}-source.7z
# Additional sources from Debian
Source10:       higan_user_guide.tar.xz
Source11:       %{name}.6
Source12:       icarus.6

# Own patches
Patch0:         higan-101-mga-desktop.patch
Patch1:         higan-106-mga-optflags.patch

# Cherry-picked patches from Debian
# https://packages.debian.org/sid/higan
Patch10:        makefile-fixes.patch
Patch11:        sjlj-declare-xopen-source.patch
Patch12:        use-XDG_CONFIG_HOME.patch
Patch13:        find_cairo.patch
Patch14:        use_sharedpath.patch
Patch15:        ignore_manifests_by_default.patch
Patch16:        create_config.patch
Patch17:        include_cmath.patch
Patch18:        tomoko-makefile-fixes.patch
Patch19:        no_gtksourceview.patch

BuildRequires:  libgomp-devel
BuildRequires:  p7zip
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(ao)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(udev)
BuildRequires:  pkgconfig(xv)

%description
higan is an emulator for Nintendo's SNES, NES, Gameboy, Gameboy Color and
Gameboy Advance. It was formerly called bsnes and the SNES emulation is
especially complete and polished.

higan strives to provide the most faithful hardware emulation possible. It
focuses on accuracy and clean code, rather than speed and special features.
It is meant as a reference emulator to document how the underlying hardware
works. As a result the minimum system requirements are high.

%prep
%setup -q -n %{name}_v%{version}-source -a10
%autopatch -p1

%build
%make_build -C icarus CFLAGS="%{optflags}" CPPFLAGS="%{optflags}" LDFLAGS="%{ldflags}"
%make_build -C higan CFLAGS="%{optflags}" CPPFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
install -d %{buildroot}%{_bindir}

# higan
pushd higan
install -m755 out/%{name} %{buildroot}%{_bindir}

install -d %{buildroot}%{_datadir}/%{name}
cp -a systems/* %{buildroot}%{_datadir}/%{name}

install -d %{buildroot}%{_datadir}/applications
install -m644 data/%{name}.desktop %{buildroot}%{_datadir}/applications

install -d %{buildroot}%{_iconsdir}
install -m644 data/higan.png %{buildroot}%{_iconsdir}/%{name}.png
popd

# icarus
pushd icarus
install -m755 out/icarus %{buildroot}%{_bindir}

install -d %{buildroot}%{_datadir}/icarus
cp -a Database/ %{buildroot}%{_datadir}/icarus
popd

# man pages
install -d %{buildroot}%{_mandir}/man6
install -m644 %{_sourcedir}/%{name}.6 %{buildroot}%{_mandir}/man6
install -m644 %{_sourcedir}/icarus.6 %{buildroot}%{_mandir}/man6

%files
%doc higan_user_guide/*
%{_bindir}/%{name}
%{_bindir}/icarus
%{_datadir}/%{name}/
%{_datadir}/icarus/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_mandir}/man6/%{name}.6*
%{_mandir}/man6/icarus.6*
