Name:		highlight
Summary:	Universal source code to formatted text converter

Version:	4.14
Release:	%mkrel 1

Group:		Development/Tools
License:	GPLv3

URL:		http://andre-simon.de/doku/highlight/en/highlight.php
Source0:	http://www.andre-simon.de/zip/%{name}-%{version}.tar.bz2

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(lua)
BuildRequires:	boost-devel
BuildRequires:	desktop-file-utils

%description
A utility that converts sourcecode to HTML, XHTML, RTF, LaTeX, TeX,
XSL-FO, XML or ANSI escape sequences with syntax highlighting.
It supports several programming and markup languages.
Language descriptions are configurable and support regular expressions.
The utility offers indentation and reformatting capabilities.
It is easily possible to create new language definitions and colour themes.

%package gui
Summary:	GUI for the highlight source code formatter
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}

%description gui
A Qt-based GUI for the highlight source code formatter source.

%prep
%setup -q

%build
%set_build_flags
%make_build
%make_build gui QMAKE=%{_qt6_bindir}/qmake


%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps

%make_install install-gui

rm -rf %{buildroot}%{_docdir}/%{name}/

desktop-file-install \
    --dir %{buildroot}%{_datadir}/applications \
   highlight.desktop

%files
%{_bindir}/highlight
%{_datadir}/highlight/
%{_datadir}/bash-completion/completions/highlight
%{_datadir}/fish/vendor_completions.d/highlight.fish
%{_datadir}/zsh/site-functions/_highlight
%{_mandir}/man1/highlight.1*
%{_mandir}/man5/filetypes.conf.5*

%config(noreplace) %{_sysconfdir}/highlight/

%doc ChangeLog* AUTHORS README* extras/
%license COPYING

%files gui
%{_bindir}/highlight-gui
%{_datadir}/applications/highlight.desktop
%{_iconsdir}/hicolor/*/apps/highlight.png
