%define betaver 0
%define rel 2

%if %betaver
%define release %mkrel -c %betaver %rel
%define tarballver %version.%betaver
%else
%define date       0
%if %{date}
%define release    %mkrel 12.git%{date}.%{rel}
%define tarballver %{commit}
%define tarballdir %{commit}
%define tarballgit +git%{date}
%define commit     c89751a58836906e6916355fd037fc74fd7a7a15
%else
%define release %mkrel %rel
%define tarballver %version
%define tarballdir v%{version}
%endif
%endif

Summary:	An input method server for traditional Chinese
Name:		hime
Version:	0.9.11
Release:	%{release}
License:	LGPLv2.1
URL: 		https://hime.luna.com.tw/
Group:		System/Internationalization
Source0:	https://github.com/hime-ime/hime/archive/%{tarballdir}/%{name}-%{version}%{?tarballgit}.tar.gz
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(anthy)
BuildRequires:	pkgconfig(chewing)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	qt5platformsupport-devel

Recommends:	%{name}-gtk2 = %{version}-%{release}
Recommends:	%{name}-gtk3 = %{version}-%{release}
Requires:	locales-zh
Obsoletes:	%{name}-qt4 < %{version}-%{release}

%description
hime is a Chinese input method server for traditional Chinese. 
It features a better GTK user interface.


%package	gtk2
Summary:	gtk2 immodule for hime
Group:		System/Internationalization
Requires:	%name = %{version}-%{release}

%description	gtk2
This is the gtk2 immodule support for hime.

%package	gtk3
Summary:	gtk3 immodule for hime
Group:		System/Internationalization
Requires:	%name = %{version}-%{release}

%description	gtk3
This is the gtk3 immodule support for hime.

%package        qt5
Summary:        Qt5 immodule for hime
License:	GPLv2
Group:          System/Internationalization
Requires:       %name = %{version}-%{release}

%description    qt5
This is the qt5 immodule support for hime.

%package        anthy
Summary:        Anthy module for hime
Group:          System/Internationalization
Requires:       %name = %{version}-%{release}
Requires:	anthy
Conflicts:	hime < 0.9.10

%description    anthy
This is the anthy input method support for hime.

%package        chewing
Summary:        Chewing module for hime
Group:          System/Internationalization
Requires:       %name = %{version}-%{release}
Conflicts:	hime < 0.9.10

%description    chewing
This is the chewing input method support for hime.

%prep
%setup -q -n %{name}-%{tarballver}
%autopatch -p1

%build
%define _disable_ld_no_undefined 1
%configure \
	--qt5-im-module-path=%{_qt5_plugindir}/platforminputcontexts
# (tv) disable parallel build (broken):
make OPTFLAGS="%{optflags} -fPIC -std=gnu++11" \
     EXTRA_LDFLAGS="%{?ldflags}" \
     CC="gcc %{?ldflags}" \
     CCLD="gcc %{?ldflags}"

%install
# fix installing in proper path on x86_64:
%make_install libdir=%buildroot%_libdir

rm -fr %buildroot%_docdir/
rm -fr %buildroot%_libdir/menu/

# remove unneeded files
rm -rf %{buildroot}/%{_includedir}

%{find_lang} %{name}

%files anthy
%{_libdir}/hime/anthy-module.so

%files chewing
%{_libdir}/hime/chewing-module.so

%files -f %{name}.lang
%doc AUTHORS README*
%{_bindir}/*
%{_datadir}/applications/hime-setup.desktop
%{_datadir}/hime
%{_datadir}/pixmaps/*
%{_mandir}/man?/*
%{_libdir}/hime/*

%files gtk2
%{_libdir}/gtk-2.0/2.10.0/immodules/*.so

%files gtk3
%{_libdir}/gtk-3.0/3.0.0/immodules/*.so

%files qt5
%{_qt5_plugindir}/platforminputcontexts/*.so
