%define major       1.1.0
%define libname     %mklibname %{name} %{major}
%define libname_ssl %mklibname %{name}-ssl %{major}
%define devname     %mklibname %{name} -d

%bcond_without  tests

Name:           hiredis
Version:        1.2.0
Release:        %mkrel 1
Summary:        Minimalistic C client library for Redis
Group:          System/Libraries
License:        BSD
URL:            https://github.com/redis/hiredis
Source0:        https://github.com/redis/hiredis/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         hiredis-linking.patch
Patch1:         0001-CMakeList_add-option-to-not-install-NuGet-packaging.patch
Patch2:         0001-Fix-memory-leak.patch
# Already upstream
#
# Security patches
# P100 -> ...
#

BuildRequires:  cmake
BuildRequires:  pkgconfig(openssl)
%if %{with tests}
BuildRequires:  pkgconfig(libevent)
BuildRequires:  redis
%endif

%description
Hiredis is a minimalistic C client library for the Redis database.

#----------------------------------------------------------------------

%package -n     %{libname}
Summary:        Minimalistic C client library for Redis
Group:          System/Libraries
Obsoletes:      %{_lib}hiredis0 < 0.13.3-3

%description -n %{libname}
Hiredis is a minimalistic C client library for the Redis database.

%files -n       %{libname}
%doc README.md CHANGELOG.md
%license COPYING
%{_libdir}/lib%{name}.so.%{major}{,.*}

#----------------------------------------------------------------------

%package -n     %{libname_ssl}
Summary:        Minimalistic C client library for Redis
Group:          System/Libraries

%description -n %{libname_ssl}
Hiredis is a minimalistic C client library for the Redis database.

%files -n       %{libname_ssl}
%doc README.md CHANGELOG.md
%license COPYING
%{_libdir}/lib%{name}_ssl.so.%{major}{,.*}

#----------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libname_ssl} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for
developing applications that use %{name}.

%files -n       %{devname}
%doc README.md CHANGELOG.md
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}_ssl.so
%{_libdir}/cmake/hiredis/
%{_libdir}/cmake/hiredis_ssl/
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}_ssl.pc

#----------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake \
       %{!?with_tests:-DDISABLE_TESTS=ON} \
       %{?with_tests:-DENABLE_ASYNC_TESTS=ON} \
       -DENABLE_SSL=ON \
       -DENABLE_NUGET=OFF
%cmake_build

%install
%cmake_install

%check
# On aarch64 the test might fail, don't stop!
%{?with_tests:%ctest -VV || : }
