%global debug_package %{nil}

# We need to regenerate the HMAC values after the buildroot policies have
# mucked around with binaries.  This overrides the default which was in place
# at least from Red Hat Linux 9 through Fedora 11's development cycle.
%define __spec_install_post \
	%{?__debug_package:%{__debug_install_post}} \
	%{__arch_install_post} \
	%{__os_install_post} \
	for length in 1 256 384 512 ; do \
		$RPM_BUILD_ROOT/%{_bindir}/sha${length}hmac -S > \\\
		$RPM_BUILD_ROOT/%{_libdir}/%{name}/sha${length}hmac.hmac \
	done \
	%{nil}

Summary:	Tools for computing and checking HMAC values for files
Name:		hmaccalc
Version:	0.9.14
%define		subrel 2
Release:	%mkrel 0
License:	BSD
Group:		System/Base
URL:		https://pagure.io/hmaccalc/
Source0:	https://releases.pagure.org/hmaccalc/hmaccalc-%{version}.tar.gz
Source1:	https://releases.pagure.org/hmaccalc/hmaccalc-%{version}.tar.gz.sig
Patch0:		hmaccalc-0.9.14-spec_warning.patch

BuildRequires:	pkgconfig(nss)
BuildRequires:	pkgconfig(nspr)

%description
The hmaccalc package contains tools which can calculate HMAC (hash-based
message authentication code) values for files. The names and interfaces are
meant to mimic the sha*sum tools provided by the coreutils package.

%prep
%autosetup -p1

%build
# Prevent hmac generation failure under a kernel without fips enabled
export CPPFLAGS="-DNON_FIPS=1"

# Configure
%configure --enable-sum-directory=%{_libdir}/%{name}

# Make
%make_build

%check
%make_build check

%install
%make_install

%files
%defattr(-,root,root,-)
%license LICENSE
%doc README
%{_bindir}/sha1hmac
%{_bindir}/sha256hmac
%{_bindir}/sha384hmac
%{_bindir}/sha512hmac
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/sha1hmac.hmac
%{_libdir}/%{name}/sha256hmac.hmac
%{_libdir}/%{name}/sha384hmac.hmac
%{_libdir}/%{name}/sha512hmac.hmac
%{_mandir}/*/*
