Name:           holotz-castle
Version:        1.3.14
Release:        %mkrel 8
Summary:        A platform game with high doses of mistery
Group:          Games/Arcade
License:        GPLv2
URL:            https://packages.debian.org/sid/games/holotz-castle
# Repacked from https://ftp.debian.org/debian/pool/main/h/holotz-castle/holotz-castle_1.3.14.orig.tar.gz
Source0:        %{name}-%{version}.tar.xz
Source1:        %{name}-32.png
Patch0:         holotz-castle-1.3.14-deb-spelling.patch
Patch1:         holotz-castle-1.3.14-deb-code-fixes.patch
Patch2:         holotz-castle-1.3.14-mga-makefiles.patch
Patch3:         holotz-castle-1.3.14-linking.patch
Patch4:         holotz-castle-1.3.4-deb-gcc11.patch

BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(SDL_ttf)
Requires:       %{name}-data >= %{version}-%{release}

%description
A great mystery is hidden beyond the walls of Holotz's Castle. Will
you be able to help Ybelle and Ludar to escape alive from the castle?
Test your dexterity with this tremendously exciting platform game!

%files
%doc doc/MANUAL_*.txt
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}-editor
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_mandir}/man6/%{name}.6*
%{_mandir}/man6/%{name}-editor.6*

#----------------------------------------------------------------------

%package data
Summary:        Data files for the Holotz's Castle game
BuildArch:      noarch

%description data
This package contains data files for the Holotz's Castle game.

Included are the milanb and holotz-castle maps.

%files data
%{_gamesdatadir}/%{name}/

#----------------------------------------------------------------------

%prep
%autosetup -p1

%build
# Parallel build does not work
make MGA_CFLAGS="%{optflags} -Wno-error=format-overflow -Wno-error=uninitialized -Wno-error=format-truncation -Wno-error=stringop-truncation -Wno-error=overloaded-virtual -Wno-error=template-id-cdtor" MGA_LDFLAGS="%{ldflags}"

%install
%make_install

install -d %{buildroot}%{_mandir}/man6
install -m644 man/%{name}*.6 %{buildroot}%{_mandir}/man6

install -D -m644 %{_sourcedir}/%{name}-32.png \
        %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Holotz's Castle
GenericName=Platformer game
Comment=A platform game with high doses of mistery
Icon=%{name}
Exec=%{name}
Terminal=false
Type=Application
Categories=Game;ActionGame;
EOF
