%define prj     Horde_Auth

%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		horde-auth
Version:	1.1.0
Release:	%mkrel 2
Summary:	Horde Authentication API
License:	LGPL
Group:		Networking/Mail
Url:		https://pear.horde.org/#horde_auth
Source0:	%{prj}-%{version}.tgz
BuildArch:	noarch
Requires(pre):  php-pear
Requires:	horde-framework
Requires:	horde-datatree
Requires:	horde-form
Requires:	horde-secret
Requires:	horde-util
Requires:	horde-history
Requires:	kolab-server
Requires:	php-pear
Requires:	php-gettext
Requires:	php-pear-Net_IMSP
Recommends:	php-sasl
Recommends:	php-pam_auth
BuildRequires:	php-pear
BuildRequires:  php-pear-channel-horde


%description
The Auth:: class provides a common abstracted interface into the various backends for the Horde authentication system.
 This package contains implementations for:
 * A Horde Application
 * Composite Auth Driver
 * Custom SQL
 * Cyrus with SQL Support
 * Dummy Auto Login
 * FTP
 * HTTP
 * IMAP
 * IMSP
 * IP Based
 * Kerberos
 * Kolab
 * LDAP
 * Microsoft Active Directory
 * Shibboleth
 * System Login
 * PAM
 * Passwd File
 * Radius
 * SASL
 * SMB (smbauth extension)
 * SMB (smbclient)
 * SQL

Optional php extensions: pam_auth and sasl

%prep
%setup -q -n %{prj}-%{version}

%build
mv ../package*.xml .

%install
pear install --packagingroot %{buildroot} --nodeps package.xml

%__rm -rf %{buildroot}/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

%__mkdir_p %{buildroot}%{xmldir}
cp package.xml %{buildroot}%{xmldir}/%{prj}.xml

%clean
%__rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/%{prj}.xml

%postun
if [ "$1" -eq "0" ]; then
  pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/%{prj}
fi

%files
%defattr(-, root, root)
%{peardir}/Horde/Auth.php
%{peardir}/Horde/Auth/Auto.php
%{peardir}/Horde/Auth/Base.php
%{peardir}/Horde/Auth/Composite.php
%{peardir}/Horde/Auth/Customsql.php
%{peardir}/Horde/Auth/Cyrsql.php
%{peardir}/Horde/Auth/Exception.php
%{peardir}/Horde/Auth/Ftp.php
%{peardir}/Horde/Auth/Http.php
%{peardir}/Horde/Auth/Http/Remote.php
%{peardir}/Horde/Auth/Imap.php
%{peardir}/Horde/Auth/Ipbasic.php
%{peardir}/Horde/Auth/Kolab.php
%{peardir}/Horde/Auth/Ldap.php
%{peardir}/Horde/Auth/Login.php
%{peardir}/Horde/Auth/Msad.php
%{peardir}/Horde/Auth/Pam.php
%{peardir}/Horde/Auth/Passwd.php
%{peardir}/Horde/Auth/Peclsasl.php
%{peardir}/Horde/Auth/Radius.php
%{peardir}/Horde/Auth/Shibboleth.php
%{peardir}/Horde/Auth/Smb.php
%{peardir}/Horde/Auth/Smbclient.php
%{peardir}/Horde/Auth/Sql.php
%{peardir}/data/Horde_Auth/migration/1_horde_auth_base_tables.php
%{peardir}/tests/Horde_Auth/Horde/Auth/AllTests.php
%{peardir}/tests/Horde_Auth/Horde/Auth/Autoload.php
%{peardir}/tests/Horde_Auth/Horde/Auth/TestCase.php
%{peardir}/tests/Horde_Auth/Horde/Auth/Unit/AuthTest.php
%{peardir}/tests/Horde_Auth/Horde/Auth/Unit/KolabTest.php
%{peardir}/tests/Horde_Auth/Horde/Auth/Unit/PasswdTest.php
%{peardir}/tests/Horde_Auth/Horde/Auth/fixtures/test.passwd
%{peardir}/tests/Horde_Auth/Horde/Auth/phpunit.xml
%{xmldir}/%{prj}.xml


