%define prj     Horde_Browser

%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		horde-browser
Version:	1.0.2
Release:	%mkrel 2
Summary:	Horde Browser package
License:	LGPL
Group:		Networking/Mail
Url:		https://pear.horde.org/#horde_browser
Source0:	%{prj}-%{version}.tgz
BuildArch:	noarch
Requires(pre):  php-pear
Requires:	horde-util
Requires:	php-pear-channel-horde
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-horde

%description
The Horde_Browser:: class provides an API for getting information about
the current user's browser and its capabilities.

%prep
%setup -q -n %{prj}-%{version}

%build
mv ../package.xml .

%install
pear install --packagingroot %{buildroot} --nodeps package.xml

%__rm -rf %{buildroot}/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

%__mkdir_p %{buildroot}%{xmldir}
cp package.xml %{buildroot}%{xmldir}/%{prj}.xml

%clean
%__rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/%{prj}.xml

%postun
if [ "$1" -eq "0" ]; then
  pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/%{prj}
fi

%files
%defattr(-, root, root)
%{xmldir}/%{prj}.xml
%{peardir}/Horde/Browser.php
%{peardir}/Horde/Browser/Exception.php
%{peardir}/Horde/Browser/Translation.php
%{peardir}/data/Horde_Browser/locale/Horde_Browser.pot
%{peardir}/data/Horde_Browser/locale/ar/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/ar/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/bg/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/bg/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/bs/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/bs/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/ca/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/ca/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/cs/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/cs/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/da/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/da/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/de/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/de/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/el/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/el/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/en/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/en/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/es/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/es/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/et/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/et/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/eu/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/eu/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/fa/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/fa/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/fi/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/fi/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/fr/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/fr/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/gl/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/gl/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/he/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/he/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/hr/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/hr/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/hu/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/hu/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/id/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/id/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/is/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/is/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/it/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/it/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/ja/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/ja/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/km/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/km/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/ko/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/ko/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/lt/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/lt/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/lv/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/lv/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/mk/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/mk/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/nb/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/nb/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/nl/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/nl/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/nn/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/nn/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/pl/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/pl/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/pt/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/pt/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/pt_BR/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/pt_BR/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/ro/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/ro/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/ru/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/ru/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/sk/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/sk/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/sl/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/sl/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/sv/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/sv/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/tr/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/tr/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/uk/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/uk/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/zh_CN/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/zh_CN/LC_MESSAGES/Horde_Browser.po
%{peardir}/data/Horde_Browser/locale/zh_TW/LC_MESSAGES/Horde_Browser.mo
%{peardir}/data/Horde_Browser/locale/zh_TW/LC_MESSAGES/Horde_Browser.po



