%define prj    Horde_Cache

%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:          horde-cache
Version:       1.0.4
Release:       %mkrel 2
Summary:       Caching API
License:       LGPL
Group:         Networking/Mail
Url:           https://pear.horde.org/#horde_cache
Source0:       %{prj}-%{version}.tgz
BuildArch:     noarch
Requires(pre): php-pear
Requires:      php-pear
Requires:      horde-util
BuildRequires: php-pear
BuildRequires: php-pear-channel-horde

%description
This package provides a simple, functional Caching API, with the option
to store the cached data either on the filesystem, or using the Zend
Performance Suite's content cache.


%prep
%setup -q -n %{prj}-%{version}

%build
mv ../package.xml .

%install
pear install --packagingroot %{buildroot} --nodeps package.xml

%__rm -rf %{buildroot}/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

%__mkdir_p %{buildroot}%{xmldir}
cp package.xml %{buildroot}%{xmldir}/%{prj}.xml

%clean
%__rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/%{prj}.xml

%postun
if [ "$1" -eq "0" ]; then
  pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/%{prj}
fi

%files
%defattr(-, root, root)
%{xmldir}/%{prj}.xml
%{peardir}//Horde/Cache.php
%{peardir}//Horde/Cache/Exception.php
%{peardir}//Horde/Cache/Storage/Apc.php
%{peardir}//Horde/Cache/Storage/Base.php
%{peardir}//Horde/Cache/Storage/Eaccelerator.php
%{peardir}//Horde/Cache/Storage/File.php
%{peardir}//Horde/Cache/Storage/Memcache.php
%{peardir}//Horde/Cache/Storage/Mock.php
%{peardir}//Horde/Cache/Storage/Null.php
%{peardir}//Horde/Cache/Storage/Session.php
%{peardir}//Horde/Cache/Storage/Sql.php
%{peardir}//Horde/Cache/Storage/Stack.php
%{peardir}//Horde/Cache/Storage/Xcache.php
%{peardir}//data/Horde_Cache/cache.sql
%{peardir}//data/Horde_Cache/migration/1_horde_cache_base_tables.php



