%define prj    Horde_Cli

%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:          horde-cli
Version:       1.0.2
Release:       %mkrel 2
Summary:       Horde CLI API
License:       LGPL
Group:         Networking/Mail
Url:           https://pear.horde.org/#horde_cli
Source0:       %{prj}-%{version}.tgz
BuildArch:     noarch
Requires(pre): php-pear
Requires:      php-gettext
Requires:      php-pear-channel-horde
BuildRequires: php-pear
BuildRequires: php-pear-channel-horde


%description
Horde_CLI:: API for basic command-line functionality/checks

%prep
%setup -q -n %{prj}-%{version}

%build
mv ../package.xml .

%install
pear install --packagingroot %{buildroot} --nodeps package.xml

%__rm -rf %{buildroot}/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

%__mkdir_p %{buildroot}%{xmldir}
cp package.xml %{buildroot}%{xmldir}/%{prj}.xml

%clean
%__rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/%{prj}.xml

%postun
if [ "$1" -eq "0" ]; then
  pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/%{prj}
fi

%files
%defattr(-, root, root)
%{xmldir}/%{prj}.xml
%dir %{peardir}/Horde
%{peardir}/Horde/Cli.php
%{peardir}/Horde/Cli/Translation.php
%{peardir}/data/Horde_Cli/locale/Horde_Cli.pot
%{peardir}/data/Horde_Cli/locale/ar/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/ar/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/bg/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/bg/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/bs/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/bs/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/ca/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/ca/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/cs/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/cs/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/da/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/da/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/de/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/de/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/el/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/el/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/en/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/en/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/es/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/es/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/et/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/et/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/eu/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/eu/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/fa/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/fa/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/fi/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/fi/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/fr/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/fr/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/gl/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/gl/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/he/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/he/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/hr/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/hr/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/hu/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/hu/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/id/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/id/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/is/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/is/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/it/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/it/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/ja/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/ja/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/km/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/km/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/ko/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/ko/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/lt/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/lt/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/lv/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/lv/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/mk/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/mk/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/nb/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/nb/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/nl/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/nl/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/nn/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/nn/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/pl/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/pl/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/pt/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/pt/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/pt_BR/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/pt_BR/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/ro/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/ro/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/ru/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/ru/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/sk/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/sk/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/sl/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/sl/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/sv/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/sv/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/tr/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/tr/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/uk/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/uk/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/zh_CN/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/zh_CN/LC_MESSAGES/Horde_Cli.po
%{peardir}/data/Horde_Cli/locale/zh_TW/LC_MESSAGES/Horde_Cli.mo
%{peardir}/data/Horde_Cli/locale/zh_TW/LC_MESSAGES/Horde_Cli.po
%{peardir}//docs/Horde_Cli/Horde/Cli/colors.php


