%define prj    Horde_Compress

%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:          horde-compress
Version:       1.0.3
Release:       %mkrel 1
Summary:       Horde Compression API
License:       LGPL
Group:         Networking/Mail
Url:           https://pear.horde.org/#horde_compress
Source0:       %{prj}-%{version}.tgz
BuildArch:     noarch
Requires(pre): php-pear
Requires:      horde-util
Requires:      php-pear
Requires:      php-gettext
Requires:      php-zlib
BuildRequires: php-pear
BuildRequires: php-pear-channel-horde

%description
These classes provide functionality useful for all kind of applications.


%prep
%setup -q -n %{prj}-%{version}

%build
mv ../package.xml .

%install
pear install --packagingroot %{buildroot} --nodeps package.xml

%__rm -rf %{buildroot}/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

%__mkdir_p %{buildroot}%{xmldir}
cp package.xml %{buildroot}%{xmldir}/%{prj}.xml

%clean
%__rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/%{prj}.xml

%postun
if [ "$1" -eq "0" ]; then
  pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/%{prj}
fi

%files
%defattr(-, root, root)
%{xmldir}/%{prj}.xml
%{peardir}/Horde/Compress.php
%{peardir}/Horde/Compress/Base.php
%{peardir}/Horde/Compress/Dbx.php
%{peardir}/Horde/Compress/Exception.php
%{peardir}/Horde/Compress/Gzip.php
%{peardir}/Horde/Compress/Rar.php
%{peardir}/Horde/Compress/Tar.php
%{peardir}/Horde/Compress/Tnef.php
%{peardir}/Horde/Compress/Translation.php
%{peardir}/Horde/Compress/Zip.php
%{peardir}/data/Horde_Compress/locale/Horde_Compress.pot
%{peardir}/data/Horde_Compress/locale/ar/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/ar/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/bg/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/bg/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/bs/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/bs/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/ca/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/ca/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/cs/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/cs/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/da/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/da/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/de/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/de/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/el/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/el/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/en/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/en/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/es/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/es/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/et/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/et/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/eu/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/eu/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/fa/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/fa/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/fi/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/fi/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/fr/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/fr/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/gl/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/gl/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/he/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/he/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/hr/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/hr/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/hu/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/hu/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/id/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/id/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/is/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/is/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/it/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/it/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/ja/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/ja/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/km/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/km/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/ko/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/ko/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/lt/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/lt/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/lv/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/lv/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/mk/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/mk/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/nb/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/nb/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/nl/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/nl/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/nn/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/nn/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/pl/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/pl/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/pt/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/pt/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/pt_BR/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/pt_BR/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/ro/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/ro/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/ru/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/ru/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/sk/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/sk/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/sl/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/sl/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/sv/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/sv/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/tr/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/tr/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/uk/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/uk/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/zh_CN/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/zh_CN/LC_MESSAGES/Horde_Compress.po
%{peardir}/data/Horde_Compress/locale/zh_TW/LC_MESSAGES/Horde_Compress.mo
%{peardir}/data/Horde_Compress/locale/zh_TW/LC_MESSAGES/Horde_Compress.po
%{peardir}/tests/Horde_Compress/Horde/Compress/AllTests.php
%{peardir}/tests/Horde_Compress/Horde/Compress/ZipTest.php



