%define prj    Horde_Constraint

%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:          horde-constraint
Version:       1.0.0
Release:       %mkrel 1
Summary:       Horde command-line argument parsing package
License:       BSD
Group:         Networking/Mail
Url:           https://pear.horde.org/#horde_constraint
Source0:       %{prj}-%{version}.tgz
BuildArch:     noarch
Requires(pre): php-pear
Requires:      php-pear
Requires:      php-pear-channel-horde
BuildRequires: php-pear
BuildRequires: php-pear-channel-horde


%description
This package provides a programmatic way of building constraints that evaluate to true or false.

%prep
%setup -q -n %{prj}-%{version}

%build
mv ../package*.xml .

%install
pear install --packagingroot %{buildroot} --nodeps package.xml

%__rm -rf %{buildroot}/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

%__mkdir_p %{buildroot}%{xmldir}
cp package.xml %{buildroot}%{xmldir}/%{prj}.xml

%clean
%__rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/%{prj}.xml

%postun
if [ "$1" -eq "0" ]; then
  pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/%{prj}
fi

%files
%defattr(-, root, root)
%{xmldir}/%{prj}.xml
%{peardir}/Horde/Constraint.php
%{peardir}/Horde/Constraint/AlwaysFalse.php
%{peardir}/Horde/Constraint/AlwaysTrue.php
%{peardir}/Horde/Constraint/And.php
%{peardir}/Horde/Constraint/Coupler.php
%{peardir}/Horde/Constraint/IsEqual.php
%{peardir}/Horde/Constraint/IsInstanceOf.php
%{peardir}/Horde/Constraint/Not.php
%{peardir}/Horde/Constraint/Null.php
%{peardir}/Horde/Constraint/Or.php
%{peardir}/Horde/Constraint/PregMatch.php
%{peardir}/tests/Horde_Constraint/Horde/Constraint/AllTests.php
%{peardir}/tests/Horde_Constraint/Horde/Constraint/AlwaysFalseTest.php
%{peardir}/tests/Horde_Constraint/Horde/Constraint/AlwaysTrueTest.php
%{peardir}/tests/Horde_Constraint/Horde/Constraint/AndTest.php
%{peardir}/tests/Horde_Constraint/Horde/Constraint/IsInstanceOfTest.php
%{peardir}/tests/Horde_Constraint/Horde/Constraint/NotTest.php
%{peardir}/tests/Horde_Constraint/Horde/Constraint/NullTest.php
%{peardir}/tests/Horde_Constraint/Horde/Constraint/OrTest.php
%{peardir}/tests/Horde_Constraint/Horde/Constraint/PregMatchTest.php





