%define prj    Horde_Controller

%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:          horde-controller
Version:       1.0.0
Release:       %mkrel 1
Summary:       Horde command-line argument parsing package
License:       BSD
Group:         Networking/Mail
Url:           https://pear.horde.org/#horde_controller
Source0:       %{prj}-%{version}.tgz
BuildArch:     noarch
Requires(pre): php-pear
Requires:      php-pear
Requires:      php-pear-channel-horde
BuildRequires: php-pear
BuildRequires: php-pear-channel-horde


%description
This package provides the controller part of an MVC system for Horde.

%prep
%setup -q -n %{prj}-%{version}

%build
mv ../package*.xml .

%install
pear install --packagingroot %{buildroot} --nodeps package.xml

%__rm -rf %{buildroot}/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

%__mkdir_p %{buildroot}%{xmldir}
cp package.xml %{buildroot}%{xmldir}/%{prj}.xml

%clean
%__rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/%{prj}.xml

%postun
if [ "$1" -eq "0" ]; then
  pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/%{prj}
fi

%files
%defattr(-, root, root)
%{xmldir}/%{prj}.xml
%{peardir}/Horde/Controller.php
%{peardir}/Horde/Controller/Base.php
%{peardir}/Horde/Controller/Exception.php
%{peardir}/Horde/Controller/Filter/Gzip.php
%{peardir}/Horde/Controller/FilterCollection.php
%{peardir}/Horde/Controller/FilterRunner.php
%{peardir}/Horde/Controller/Null.php
%{peardir}/Horde/Controller/PostFilter.php
%{peardir}/Horde/Controller/PreFilter.php
%{peardir}/Horde/Controller/Request.php
%{peardir}/Horde/Controller/Request/Http.php
%{peardir}/Horde/Controller/Request/Null.php
%{peardir}/Horde/Controller/RequestConfiguration.php
%{peardir}/Horde/Controller/Response.php
%{peardir}/Horde/Controller/ResponseWriter.php
%{peardir}/Horde/Controller/ResponseWriter/Web.php
%{peardir}/Horde/Controller/ResponseWriter/WebDebug.php
%{peardir}/Horde/Controller/Runner.php
%{peardir}/Horde/Controller/SettingsExporter.php
%{peardir}/Horde/Controller/SettingsExporter/Default.php
%{peardir}/Horde/Controller/UrlWriter.php
%{peardir}/tests/Horde_Controller/Horde/Controller/AllTests.php
%{peardir}/tests/Horde_Controller/Horde/Controller/FilterRunnerTest.php





