%define prj    Horde_Core

%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:          horde-core
Version:       1.3.0
Release:       %mkrel 1
Summary:       Horde command-line argument parsing package
License:       LGPL
Group:         Networking/Mail
Url:           https://pear.horde.org/#horde_core
Source0:       %{prj}-%{version}.tgz
BuildArch:     noarch
Requires(pre): php-pear
Requires:      php-pear
Requires:      php-pear-channel-horde
BuildRequires: php-pear
BuildRequires: php-pear-channel-horde
BuildRequires: horde-role


%description
These classes provide the core functionality of the Horde Application Framework.

%prep
%setup -q -n %{prj}-%{version}

%build
mv ../package*.xml .

%install
pear install --packagingroot %{buildroot} --nodeps package.xml

%__rm -rf %{buildroot}/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

%__mkdir_p %{buildroot}%{xmldir}
cp package.xml %{buildroot}%{xmldir}/%{prj}.xml

%clean
%__rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/%{prj}.xml

%postun
if [ "$1" -eq "0" ]; then
  pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/%{prj}
fi

%files
%defattr(-, root, root)
%{xmldir}/%{prj}.xml
   /usr/lib64/pear/www/horde/js/addressbooksprefs.js
   /usr/lib64/pear/www/horde/js/alarmprefs.js
   /usr/lib64/pear/www/horde/js/autocomplete.js
   /usr/lib64/pear/www/horde/js/calendar.js
   /usr/lib64/pear/www/horde/js/hordetree.js
   /usr/lib64/pear/www/horde/js/identityselect.js
   /usr/lib64/pear/www/horde/js/liquidmetal.js
   /usr/lib64/pear/www/horde/js/open_html_helper.js
   /usr/lib64/pear/www/horde/js/prefs.js
   /usr/lib64/pear/www/horde/js/prettyautocomplete.js
   /usr/lib64/pear/www/horde/js/sourceselect.js
   /usr/lib64/pear/www/horde/js/spellchecker.js
   /usr/lib64/pear/www/horde/js/toggle_quotes.js
   /usr/lib64/pear/www/horde/js/tooltips.js
%{peardir}/Horde.php
%{peardir}/Horde/Config.php
%{peardir}/Horde/Config/Form.php
%{peardir}/Horde/Core/ActiveSync/Connector.php
%{peardir}/Horde/Core/ActiveSync/Driver.php
%{peardir}/Horde/Core/Ajax/Application.php
%{peardir}/Horde/Core/Ajax/Imple.php
%{peardir}/Horde/Core/Ajax/Imple/AutoCompleter.php
%{peardir}/Horde/Core/Ajax/Imple/Geocoder/Geonames.php
%{peardir}/Horde/Core/Ajax/Imple/SpellChecker.php
%{peardir}/Horde/Core/Auth/Application.php
%{peardir}/Horde/Core/Auth/Composite.php
%{peardir}/Horde/Core/Auth/Imsp.php
%{peardir}/Horde/Core/Auth/Ldap.php
%{peardir}/Horde/Core/Auth/Msad.php
%{peardir}/Horde/Core/Auth/Shibboleth.php
%{peardir}/Horde/Core/Auth/Signup/Base.php
%{peardir}/Horde/Core/Auth/Signup/Form.php
%{peardir}/Horde/Core/Auth/Signup/Null.php
%{peardir}/Horde/Core/Auth/Signup/Sql.php
%{peardir}/Horde/Core/Auth/Signup/SqlObject.php
%{peardir}/Horde/Core/Autoloader/Callback/Mime.php
%{peardir}/Horde/Core/Autoloader/Callback/Nls.php
%{peardir}/Horde/Core/Block.php
%{peardir}/Horde/Core/Block/Collection.php
%{peardir}/Horde/Core/Block/Layout.php
%{peardir}/Horde/Core/Block/Layout/Manager.php
%{peardir}/Horde/Core/Block/Layout/View.php
%{peardir}/Horde/Core/Block/Upgrade.php
%{peardir}/Horde/Core/Browser.php
%{peardir}/Horde/Core/Bundle.php
%{peardir}/Horde/Core/Cli.php
%{peardir}/Horde/Core/Controller/NotFound.php
%{peardir}/Horde/Core/Controller/RequestConfiguration.php
%{peardir}/Horde/Core/Controller/RequestMapper.php
%{peardir}/Horde/Core/Controller/SettingsFinder.php
%{peardir}/Horde/Core/Db/Migration.php
%{peardir}/Horde/Core/Factory/ActiveSyncBackend.php
%{peardir}/Horde/Core/Factory/ActiveSyncServer.php
%{peardir}/Horde/Core/Factory/ActiveSyncState.php
%{peardir}/Horde/Core/Factory/Ajax.php
%{peardir}/Horde/Core/Factory/Alarm.php
%{peardir}/Horde/Core/Factory/Auth.php
%{peardir}/Horde/Core/Factory/AuthSignup.php
%{peardir}/Horde/Core/Factory/Base.php
%{peardir}/Horde/Core/Factory/BlockCollection.php
%{peardir}/Horde/Core/Factory/Browser.php
%{peardir}/Horde/Core/Factory/Cache.php
%{peardir}/Horde/Core/Factory/Crypt.php
%{peardir}/Horde/Core/Factory/Data.php
%{peardir}/Horde/Core/Factory/Db.php
%{peardir}/Horde/Core/Factory/DbBase.php
%{peardir}/Horde/Core/Factory/DbPear.php
%{peardir}/Horde/Core/Factory/Dns.php
%{peardir}/Horde/Core/Factory/Editor.php
%{peardir}/Horde/Core/Factory/Facebook.php
%{peardir}/Horde/Core/Factory/Group.php
%{peardir}/Horde/Core/Factory/History.php
%{peardir}/Horde/Core/Factory/HttpClient.php
%{peardir}/Horde/Core/Factory/Identity.php
%{peardir}/Horde/Core/Factory/Image.php
%{peardir}/Horde/Core/Factory/Imple.php
%{peardir}/Horde/Core/Factory/Imsp.php
%{peardir}/Horde/Core/Factory/ImspAuth.php
%{peardir}/Horde/Core/Factory/Injector.php
%{peardir}/Horde/Core/Factory/KolabServer.php
%{peardir}/Horde/Core/Factory/KolabSession.php
%{peardir}/Horde/Core/Factory/KolabStorage.php
%{peardir}/Horde/Core/Factory/Ldap.php
%{peardir}/Horde/Core/Factory/Lock.php
%{peardir}/Horde/Core/Factory/Logger.php
%{peardir}/Horde/Core/Factory/LoginTasks.php
%{peardir}/Horde/Core/Factory/Mail.php
%{peardir}/Horde/Core/Factory/Mapper.php
%{peardir}/Horde/Core/Factory/Memcache.php
%{peardir}/Horde/Core/Factory/MimeViewer.php
%{peardir}/Horde/Core/Factory/Notification.php
%{peardir}/Horde/Core/Factory/Perms.php
%{peardir}/Horde/Core/Factory/PermsCore.php
%{peardir}/Horde/Core/Factory/Prefs.php
%{peardir}/Horde/Core/Factory/Request.php
%{peardir}/Horde/Core/Factory/Secret.php
%{peardir}/Horde/Core/Factory/SessionHandler.php
%{peardir}/Horde/Core/Factory/Share.php
%{peardir}/Horde/Core/Factory/ShareBase.php
%{peardir}/Horde/Core/Factory/Template.php
%{peardir}/Horde/Core/Factory/TextFilter.php
%{peardir}/Horde/Core/Factory/ThemesCache.php
%{peardir}/Horde/Core/Factory/Token.php
%{peardir}/Horde/Core/Factory/Tree.php
%{peardir}/Horde/Core/Factory/Twitter.php
%{peardir}/Horde/Core/Factory/Vfs.php
%{peardir}/Horde/Core/Factory/View.php
%{peardir}/Horde/Core/Group/Ldap.php
%{peardir}/Horde/Core/Imsp/Utils.php
%{peardir}/Horde/Core/Log/Logger.php
%{peardir}/Horde/Core/LoginTasks.php
%{peardir}/Horde/Core/LoginTasks/Backend/Horde.php
%{peardir}/Horde/Core/LoginTasks/SystemTask/Upgrade.php
%{peardir}/Horde/Core/Mime/Viewer/Syntaxhighlighter.php
%{peardir}/Horde/Core/Mime/Viewer/Vcard.php
%{peardir}/Horde/Core/Notification/Event/Status.php
%{peardir}/Horde/Core/Notification/Handler/Decorator/Base.php
%{peardir}/Horde/Core/Notification/Handler/Decorator/Hordelog.php
%{peardir}/Horde/Core/Notification/Storage/Session.php
%{peardir}/Horde/Core/Perms.php
%{peardir}/Horde/Core/Perms/Ui.php
%{peardir}/Horde/Core/Prefs/Cache/Session.php
%{peardir}/Horde/Core/Prefs/Identity.php
%{peardir}/Horde/Core/Prefs/Storage/Configuration.php
%{peardir}/Horde/Core/Prefs/Storage/Hooks.php
%{peardir}/Horde/Core/Prefs/Storage/Upgrade.php
%{peardir}/Horde/Core/Prefs/Ui.php
%{peardir}/Horde/Core/Prefs/Ui/Widgets.php
%{peardir}/Horde/Core/Share/Driver.php
%{peardir}/Horde/Core/Share/FactoryCallback.php
%{peardir}/Horde/Core/Sidebar.php
%{peardir}/Horde/Core/Text/Filter/Bbcode.php
%{peardir}/Horde/Core/Text/Filter/Emails.php
%{peardir}/Horde/Core/Text/Filter/Emoticons.php
%{peardir}/Horde/Core/Text/Filter/Highlightquotes.php
%{peardir}/Horde/Core/Translation.php
%{peardir}/Horde/Core/Tree/Html.php
%{peardir}/Horde/Core/Tree/Javascript.php
%{peardir}/Horde/Core/Tree/Simplehtml.php
%{peardir}/Horde/Core/Ui/FlagImage.php
%{peardir}/Horde/Core/Ui/JsCalendar.php
%{peardir}/Horde/Core/Ui/Language.php
%{peardir}/Horde/Core/Ui/Layout.php
%{peardir}/Horde/Core/Ui/ModalFormRenderer.php
%{peardir}/Horde/Core/Ui/Pager.php
%{peardir}/Horde/Core/Ui/Tabs.php
%{peardir}/Horde/Core/Ui/TagCloud.php
%{peardir}/Horde/Core/Ui/VarRenderer.php
%{peardir}/Horde/Core/Ui/VarRenderer/Html.php
%{peardir}/Horde/Core/Ui/VarRenderer/TablesetHtml.php
%{peardir}/Horde/Core/Ui/Widget.php
%{peardir}/Horde/ErrorHandler.php
%{peardir}/Horde/Exception/HookNotSet.php
%{peardir}/Horde/Help.php
%{peardir}/Horde/Menu.php
%{peardir}/Horde/Registry.php
%{peardir}/Horde/Registry/Api.php
%{peardir}/Horde/Registry/Application.php
%{peardir}/Horde/Registry/Caller.php
%{peardir}/Horde/Registry/Nlsconfig.php
%{peardir}/Horde/Script/Files.php
%{peardir}/Horde/Session.php
%{peardir}/Horde/Themes.php
%{peardir}/Horde/Themes/Cache.php
%{peardir}/Horde/Themes/Css.php
%{peardir}/Horde/Themes/Element.php
%{peardir}/Horde/Themes/Image.php
%{peardir}/Horde/Themes/Sound.php
%{peardir}/data/Horde_Core/locale/Horde_Core.pot
%{peardir}/data/Horde_Core/locale/ar/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/bg/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/bs/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/ca/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/cs/LC_MESSAGES/Horde_Core.mo
%{peardir}/data/Horde_Core/locale/cs/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/da/LC_MESSAGES/Horde_Core.mo
%{peardir}/data/Horde_Core/locale/da/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/de/LC_MESSAGES/Horde_Core.mo
%{peardir}/data/Horde_Core/locale/de/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/el/LC_MESSAGES/Horde_Core.mo
%{peardir}/data/Horde_Core/locale/el/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/en/LC_MESSAGES/Horde_Core.mo
%{peardir}/data/Horde_Core/locale/en/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/es/LC_MESSAGES/Horde_Core.mo
%{peardir}/data/Horde_Core/locale/es/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/et/LC_MESSAGES/Horde_Core.mo
%{peardir}/data/Horde_Core/locale/et/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/eu/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/fa/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/fi/LC_MESSAGES/Horde_Core.mo
%{peardir}/data/Horde_Core/locale/fi/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/fr/LC_MESSAGES/Horde_Core.mo
%{peardir}/data/Horde_Core/locale/fr/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/gl/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/he/LC_MESSAGES/Horde_Core.mo
%{peardir}/data/Horde_Core/locale/he/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/hr/LC_MESSAGES/Horde_Core.mo
%{peardir}/data/Horde_Core/locale/hr/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/hu/LC_MESSAGES/Horde_Core.mo
%{peardir}/data/Horde_Core/locale/hu/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/id/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/is/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/it/LC_MESSAGES/Horde_Core.mo
%{peardir}/data/Horde_Core/locale/it/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/ja/LC_MESSAGES/Horde_Core.mo
%{peardir}/data/Horde_Core/locale/ja/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/km/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/ko/LC_MESSAGES/Horde_Core.mo
%{peardir}/data/Horde_Core/locale/ko/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/lt/LC_MESSAGES/Horde_Core.mo
%{peardir}/data/Horde_Core/locale/lt/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/lv/LC_MESSAGES/Horde_Core.mo
%{peardir}/data/Horde_Core/locale/lv/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/mk/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/nb/LC_MESSAGES/Horde_Core.mo
%{peardir}/data/Horde_Core/locale/nb/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/nl/LC_MESSAGES/Horde_Core.mo
%{peardir}/data/Horde_Core/locale/nl/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/nn/LC_MESSAGES/Horde_Core.mo
%{peardir}/data/Horde_Core/locale/nn/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/pl/LC_MESSAGES/Horde_Core.mo
%{peardir}/data/Horde_Core/locale/pl/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/pt/LC_MESSAGES/Horde_Core.mo
%{peardir}/data/Horde_Core/locale/pt/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/pt_BR/LC_MESSAGES/Horde_Core.mo
%{peardir}/data/Horde_Core/locale/pt_BR/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/ro/LC_MESSAGES/Horde_Core.mo
%{peardir}/data/Horde_Core/locale/ro/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/ru/LC_MESSAGES/Horde_Core.mo
%{peardir}/data/Horde_Core/locale/ru/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/sk/LC_MESSAGES/Horde_Core.mo
%{peardir}/data/Horde_Core/locale/sk/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/sl/LC_MESSAGES/Horde_Core.mo
%{peardir}/data/Horde_Core/locale/sl/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/sv/LC_MESSAGES/Horde_Core.mo
%{peardir}/data/Horde_Core/locale/sv/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/tr/LC_MESSAGES/Horde_Core.mo
%{peardir}/data/Horde_Core/locale/tr/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/uk/LC_MESSAGES/Horde_Core.mo
%{peardir}/data/Horde_Core/locale/uk/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/zh_CN/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/locale/zh_TW/LC_MESSAGES/Horde_Core.po
%{peardir}/data/Horde_Core/migration/1_horde_core_base_tables.php
%{peardir}/tests/Horde_Core/Horde/Core/AllTests.php
%{peardir}/tests/Horde_Core/Horde/Core/Autoload.php
%{peardir}/tests/Horde_Core/Horde/Core/Factory/GroupTest.php
%{peardir}/tests/Horde_Core/Horde/Core/Factory/KolabServerTest.php
%{peardir}/tests/Horde_Core/Horde/Core/Factory/KolabSessionTest.php
%{peardir}/tests/Horde_Core/Horde/Core/UrlTest.php
%{peardir}/tests/Horde_Core/Horde/Core/phpunit.xml






