%define prj    Horde_Crypt

%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:          horde-crypt
Version:       1.0.3
Release:       %mkrel 1
Summary:       Horde command-line argument parsing package
License:       LGPL
Group:         Networking/Mail
Url:           https://pear.horde.org/#horde_crypt
Source0:       %{prj}-%{version}.tgz
BuildArch:     noarch
Requires(pre): php-pear
Requires:      php-pear
Requires:      php-pear-channel-horde
BuildRequires: php-pear
BuildRequires: php-pear-channel-horde


%description
The Horde_Crypt package class provides an API for various cryptographic systems

%prep
%setup -q -n %{prj}-%{version}

%build
mv ../package*.xml .

%install
pear install --packagingroot %{buildroot} --nodeps package.xml

%__rm -rf %{buildroot}/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

%__mkdir_p %{buildroot}%{xmldir}
cp package.xml %{buildroot}%{xmldir}/%{prj}.xml

%clean
%__rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/%{prj}.xml

%postun
if [ "$1" -eq "0" ]; then
  pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/%{prj}
fi

%files
%defattr(-, root, root)
%{xmldir}/%{prj}.xml
%{peardir}/Horde/Crypt.php
%{peardir}/Horde/Crypt/Exception.php
%{peardir}/Horde/Crypt/Pgp.php
%{peardir}/Horde/Crypt/Smime.php
%{peardir}/Horde/Crypt/Translation.php
%{peardir}/data/Horde_Crypt/locale/Horde_Crypt.pot
%{peardir}/data/Horde_Crypt/locale/ar/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/ar/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/bg/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/bg/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/bs/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/bs/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/ca/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/ca/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/cs/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/cs/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/da/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/da/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/de/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/de/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/el/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/el/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/en/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/en/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/es/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/es/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/et/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/et/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/eu/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/eu/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/fa/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/fa/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/fi/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/fi/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/fr/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/fr/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/gl/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/gl/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/he/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/he/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/hr/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/hr/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/hu/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/hu/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/id/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/id/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/is/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/is/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/it/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/it/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/ja/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/ja/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/km/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/km/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/ko/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/ko/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/lt/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/lt/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/lv/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/lv/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/mk/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/mk/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/nb/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/nb/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/nl/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/nl/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/nn/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/nn/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/pl/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/pl/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/pt/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/pt/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/pt_BR/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/pt_BR/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/ro/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/ro/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/ru/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/ru/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/sk/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/sk/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/sl/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/sl/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/sv/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/sv/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/tr/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/tr/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/uk/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/uk/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/zh_CN/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/zh_CN/LC_MESSAGES/Horde_Crypt.po
%{peardir}/data/Horde_Crypt/locale/zh_TW/LC_MESSAGES/Horde_Crypt.mo
%{peardir}/data/Horde_Crypt/locale/zh_TW/LC_MESSAGES/Horde_Crypt.po
%{peardir}/tests/Horde_Crypt/Horde/Crypt/AllTests.php
%{peardir}/tests/Horde_Crypt/Horde/Crypt/Autoload.php
%{peardir}/tests/Horde_Crypt/Horde/Crypt/PgpKeyserverTest.php
%{peardir}/tests/Horde_Crypt/Horde/Crypt/PgpTest.php
%{peardir}/tests/Horde_Crypt/Horde/Crypt/SmimeTest.php
%{peardir}/tests/Horde_Crypt/Horde/Crypt/fixtures/bug_6601.asc
%{peardir}/tests/Horde_Crypt/Horde/Crypt/fixtures/clear.txt
%{peardir}/tests/Horde_Crypt/Horde/Crypt/fixtures/pgp_encrypted.txt
%{peardir}/tests/Horde_Crypt/Horde/Crypt/fixtures/pgp_encrypted_symmetric.txt
%{peardir}/tests/Horde_Crypt/Horde/Crypt/fixtures/pgp_private.asc
%{peardir}/tests/Horde_Crypt/Horde/Crypt/fixtures/pgp_public.asc
%{peardir}/tests/Horde_Crypt/Horde/Crypt/fixtures/pgp_signature.txt
%{peardir}/tests/Horde_Crypt/Horde/Crypt/fixtures/pgp_signed.txt
%{peardir}/tests/Horde_Crypt/Horde/Crypt/fixtures/pgp_signed2.txt
%{peardir}/tests/Horde_Crypt/Horde/Crypt/fixtures/smime_subjectAltName.pem