%define prj    Horde_Data

%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:          horde-data
Version:       1.0.2
Release:       %mkrel 1
Summary:       Horde command-line argument parsing package
License:       LGPL
Group:         Networking/Mail
Url:           https://pear.horde.org/#horde_data
Source0:       %{prj}-%{version}.tgz
BuildArch:     noarch
Requires(pre): php-pear
Requires:      php-pear
Requires:      php-pear-channel-horde
BuildRequires: php-pear
BuildRequires: php-pear-channel-horde


%description
This package provides a data import and export API, with backends for: * CSV * TSV * iCalendar * vCard * vNote * vTodo.

%prep
%setup -q -n %{prj}-%{version}

%build
mv ../package*.xml .

%install
pear install --packagingroot %{buildroot} --nodeps package.xml

%__rm -rf %{buildroot}/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

%__mkdir_p %{buildroot}%{xmldir}
cp package.xml %{buildroot}%{xmldir}/%{prj}.xml

%clean
%__rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/%{prj}.xml

%postun
if [ "$1" -eq "0" ]; then
  pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/%{prj}
fi

%files
%defattr(-, root, root)
%{xmldir}/%{prj}.xml
%{peardir}/Horde/Data.php
%{peardir}/Horde/Data/Base.php
%{peardir}/Horde/Data/Csv.php
%{peardir}/Horde/Data/Exception.php
%{peardir}/Horde/Data/Icalendar.php
%{peardir}/Horde/Data/Imc.php
%{peardir}/Horde/Data/Outlookcsv.php
%{peardir}/Horde/Data/Translation.php
%{peardir}/Horde/Data/Tsv.php
%{peardir}/Horde/Data/Vcard.php
%{peardir}/Horde/Data/Vnote.php
%{peardir}/Horde/Data/Vtodo.php
%{peardir}/data/Horde_Data/locale/Horde_Data.pot
%{peardir}/data/Horde_Data/locale/ar/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/ar/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/bg/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/bg/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/bs/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/bs/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/ca/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/ca/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/cs/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/cs/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/da/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/da/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/de/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/de/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/el/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/el/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/en/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/en/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/es/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/es/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/et/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/et/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/eu/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/eu/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/fa/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/fa/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/fi/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/fi/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/fr/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/fr/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/gl/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/gl/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/he/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/he/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/hr/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/hr/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/hu/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/hu/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/id/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/id/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/is/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/is/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/it/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/it/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/ja/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/ja/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/km/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/km/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/ko/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/ko/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/lt/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/lt/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/lv/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/lv/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/mk/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/mk/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/nb/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/nb/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/nl/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/nl/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/nn/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/nn/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/pl/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/pl/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/pt/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/pt/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/pt_BR/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/pt_BR/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/ro/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/ro/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/ru/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/ru/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/sk/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/sk/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/sl/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/sl/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/sv/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/sv/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/tr/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/tr/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/uk/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/uk/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/zh_CN/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/zh_CN/LC_MESSAGES/Horde_Data.po
%{peardir}/data/Horde_Data/locale/zh_TW/LC_MESSAGES/Horde_Data.mo
%{peardir}/data/Horde_Data/locale/zh_TW/LC_MESSAGES/Horde_Data.po
%{peardir}/docs/Horde_Data/examples/Eudora.txt
%{peardir}/docs/Horde_Data/examples/Gmail.csv
%{peardir}/docs/Horde_Data/examples/KMail.csv
%{peardir}/docs/Horde_Data/examples/Outlook.csv
%{peardir}/docs/Horde_Data/examples/Palm.csv
%{peardir}/docs/Horde_Data/examples/Thunderbird.csv
%{peardir}/docs/Horde_Data/examples/WAB-selectable.csv
%{peardir}/docs/Horde_Data/examples/WAB.csv
%{peardir}/docs/Horde_Data/examples/Yahoo.csv
%{peardir}/tests/Horde_Data/Horde/Data/AllTests.php
%{peardir}/tests/Horde_Data/Horde/Data/CsvTest.php
%{peardir}/tests/Horde_Data/Horde/Data/fixtures/simple_dos.csv
%{peardir}/tests/Horde_Data/Horde/Data/fixtures/simple_unix.csv
