%define prj Horde_Date

%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:          horde-date
Version:       1.0.3
Release:       %mkrel 1
Summary:       Horde Date package
License:       LGPL
Group:         Networking/Mail
Url:           https://pear.horde.org/#horde_date
Source0:       %{prj}-%{version}.tgz
BuildArch:     noarch
Requires(pre): php-pear
Requires:      horde-framework
Requires:      php-pear
Requires:      php-pear-Date
Requires:      php-pear-channel-horde
BuildRequires: php-pear
BuildRequires: php-pear-channel-horde


%description
Package for creating and manipulating dates.

%prep
%setup -q -n %{prj}-%{version}

%build
mv ../package.xml .

%install
pear install --packagingroot %{buildroot} --nodeps package.xml

%__rm -rf %{buildroot}/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

%__mkdir_p %{buildroot}%{xmldir}
cp package.xml %{buildroot}%{xmldir}/%{prj}.xml

%clean
%__rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/%{prj}.xml

%postun
if [ "$1" -eq "0" ]; then
  pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/%{prj}
fi

%files
%defattr(-, root, root)
%{xmldir}/%{prj}.xml
%{peardir}//Horde/Date.php
%{peardir}//Horde/Date/Exception.php
%{peardir}//Horde/Date/Recurrence.php
%{peardir}//Horde/Date/Repeater.php
%{peardir}//Horde/Date/Repeater/Day.php
%{peardir}//Horde/Date/Repeater/DayName.php
%{peardir}//Horde/Date/Repeater/DayPortion.php
%{peardir}//Horde/Date/Repeater/Exception.php
%{peardir}//Horde/Date/Repeater/Fortnight.php
%{peardir}//Horde/Date/Repeater/Hour.php
%{peardir}//Horde/Date/Repeater/Minute.php
%{peardir}//Horde/Date/Repeater/Month.php
%{peardir}//Horde/Date/Repeater/MonthName.php
%{peardir}//Horde/Date/Repeater/Season.php
%{peardir}//Horde/Date/Repeater/SeasonName.php
%{peardir}//Horde/Date/Repeater/Second.php
%{peardir}//Horde/Date/Repeater/Time.php
%{peardir}//Horde/Date/Repeater/Week.php
%{peardir}//Horde/Date/Repeater/Weekend.php
%{peardir}//Horde/Date/Repeater/Year.php
%{peardir}//Horde/Date/Span.php
%{peardir}//Horde/Date/Translation.php
%{peardir}//Horde/Date/Utils.php
%{peardir}//data/Horde_Date/locale/Horde_Date.pot
%{peardir}//data/Horde_Date/locale/ar/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/bg/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/bs/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/ca/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/cs/LC_MESSAGES/Horde_Date.mo
%{peardir}//data/Horde_Date/locale/cs/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/da/LC_MESSAGES/Horde_Date.mo
%{peardir}//data/Horde_Date/locale/da/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/de/LC_MESSAGES/Horde_Date.mo
%{peardir}//data/Horde_Date/locale/de/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/el/LC_MESSAGES/Horde_Date.mo
%{peardir}//data/Horde_Date/locale/el/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/en/LC_MESSAGES/Horde_Date.mo
%{peardir}//data/Horde_Date/locale/en/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/es/LC_MESSAGES/Horde_Date.mo
%{peardir}//data/Horde_Date/locale/es/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/et/LC_MESSAGES/Horde_Date.mo
%{peardir}//data/Horde_Date/locale/et/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/eu/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/fa/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/fi/LC_MESSAGES/Horde_Date.mo
%{peardir}//data/Horde_Date/locale/fi/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/fr/LC_MESSAGES/Horde_Date.mo
%{peardir}//data/Horde_Date/locale/fr/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/gl/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/he/LC_MESSAGES/Horde_Date.mo
%{peardir}//data/Horde_Date/locale/he/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/hr/LC_MESSAGES/Horde_Date.mo
%{peardir}//data/Horde_Date/locale/hr/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/hu/LC_MESSAGES/Horde_Date.mo
%{peardir}//data/Horde_Date/locale/hu/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/id/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/is/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/it/LC_MESSAGES/Horde_Date.mo
%{peardir}//data/Horde_Date/locale/it/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/ja/LC_MESSAGES/Horde_Date.mo
%{peardir}//data/Horde_Date/locale/ja/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/km/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/ko/LC_MESSAGES/Horde_Date.mo
%{peardir}//data/Horde_Date/locale/ko/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/lt/LC_MESSAGES/Horde_Date.mo
%{peardir}//data/Horde_Date/locale/lt/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/lv/LC_MESSAGES/Horde_Date.mo
%{peardir}//data/Horde_Date/locale/lv/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/mk/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/nb/LC_MESSAGES/Horde_Date.mo
%{peardir}//data/Horde_Date/locale/nb/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/nl/LC_MESSAGES/Horde_Date.mo
%{peardir}//data/Horde_Date/locale/nl/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/nn/LC_MESSAGES/Horde_Date.mo
%{peardir}//data/Horde_Date/locale/nn/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/pl/LC_MESSAGES/Horde_Date.mo
%{peardir}//data/Horde_Date/locale/pl/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/pt/LC_MESSAGES/Horde_Date.mo
%{peardir}//data/Horde_Date/locale/pt/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/pt_BR/LC_MESSAGES/Horde_Date.mo
%{peardir}//data/Horde_Date/locale/pt_BR/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/ro/LC_MESSAGES/Horde_Date.mo
%{peardir}//data/Horde_Date/locale/ro/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/ru/LC_MESSAGES/Horde_Date.mo
%{peardir}//data/Horde_Date/locale/ru/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/sk/LC_MESSAGES/Horde_Date.mo
%{peardir}//data/Horde_Date/locale/sk/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/sl/LC_MESSAGES/Horde_Date.mo
%{peardir}//data/Horde_Date/locale/sl/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/sv/LC_MESSAGES/Horde_Date.mo
%{peardir}//data/Horde_Date/locale/sv/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/tr/LC_MESSAGES/Horde_Date.mo
%{peardir}//data/Horde_Date/locale/tr/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/uk/LC_MESSAGES/Horde_Date.mo
%{peardir}//data/Horde_Date/locale/uk/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/zh_CN/LC_MESSAGES/Horde_Date.po
%{peardir}//data/Horde_Date/locale/zh_TW/LC_MESSAGES/Horde_Date.po
%{peardir}//tests/Horde_Date/Horde/Date/AllTests.php
%{peardir}//tests/Horde_Date/Horde/Date/Autoload.php
%{peardir}//tests/Horde_Date/Horde/Date/DateTest.php
%{peardir}//tests/Horde_Date/Horde/Date/RecurrenceTest.php
%{peardir}//tests/Horde_Date/Horde/Date/Repeater/DayNameTest.php
%{peardir}//tests/Horde_Date/Horde/Date/Repeater/DayTest.php
%{peardir}//tests/Horde_Date/Horde/Date/Repeater/HourTest.php
%{peardir}//tests/Horde_Date/Horde/Date/Repeater/MonthNameTest.php
%{peardir}//tests/Horde_Date/Horde/Date/Repeater/MonthTest.php
%{peardir}//tests/Horde_Date/Horde/Date/Repeater/TimeTest.php
%{peardir}//tests/Horde_Date/Horde/Date/Repeater/WeekTest.php
%{peardir}//tests/Horde_Date/Horde/Date/Repeater/WeekendTest.php
%{peardir}//tests/Horde_Date/Horde/Date/Repeater/YearTest.php
%{peardir}//tests/Horde_Date/Horde/Date/SpanTest.php
%{peardir}//tests/Horde_Date/Horde/Date/UtilsTest.php
%{peardir}//tests/Horde_Date/Horde/Date/fixtures/bug2813.ics



