%define prj    Horde_Db

%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:          horde-db
Version:       1.0.2
Release:       %mkrel 1
Summary:       Horde command-line argument parsing package
License:       BSD
Group:         Networking/Mail
Url:           https://pear.horde.org/#horde_db
Source0:       %{prj}-%{version}.tgz
BuildArch:     noarch
Requires(pre): php-pear
Requires:      php-pear
Requires:      php-pear-channel-horde
BuildRequires: php-pear
BuildRequires: php-pear-channel-horde


%description
Horde database/SQL abstraction layer.

%prep
%setup -q -n %{prj}-%{version}

%build
mv ../package*.xml .

%install
pear install --packagingroot %{buildroot} --nodeps package.xml

%__rm -rf %{buildroot}/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

%__mkdir_p %{buildroot}%{xmldir}
cp package.xml %{buildroot}%{xmldir}/%{prj}.xml

%clean
%__rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/%{prj}.xml

%postun
if [ "$1" -eq "0" ]; then
  pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/%{prj}
fi

%files
%defattr(-, root, root)
%{xmldir}/%{prj}.xml
   /usr/bin/horde-db-migrate-component
%{peardir}/Horde/Db.php
%{peardir}/Horde/Db/Adapter.php
%{peardir}/Horde/Db/Adapter/Base.php
%{peardir}/Horde/Db/Adapter/Base/Column.php
%{peardir}/Horde/Db/Adapter/Base/ColumnDefinition.php
%{peardir}/Horde/Db/Adapter/Base/Index.php
%{peardir}/Horde/Db/Adapter/Base/Schema.php
%{peardir}/Horde/Db/Adapter/Base/Table.php
%{peardir}/Horde/Db/Adapter/Base/TableDefinition.php
%{peardir}/Horde/Db/Adapter/Mysql.php
%{peardir}/Horde/Db/Adapter/Mysql/Column.php
%{peardir}/Horde/Db/Adapter/Mysql/Result.php
%{peardir}/Horde/Db/Adapter/Mysql/Schema.php
%{peardir}/Horde/Db/Adapter/Mysqli.php
%{peardir}/Horde/Db/Adapter/Mysqli/Result.php
%{peardir}/Horde/Db/Adapter/Pdo/Base.php
%{peardir}/Horde/Db/Adapter/Pdo/Mysql.php
%{peardir}/Horde/Db/Adapter/Pdo/Pgsql.php
%{peardir}/Horde/Db/Adapter/Pdo/Sqlite.php
%{peardir}/Horde/Db/Adapter/Postgresql/Column.php
%{peardir}/Horde/Db/Adapter/Postgresql/Schema.php
%{peardir}/Horde/Db/Adapter/SplitRead.php
%{peardir}/Horde/Db/Adapter/Sqlite/Column.php
%{peardir}/Horde/Db/Adapter/Sqlite/Schema.php
%{peardir}/Horde/Db/Exception.php
%{peardir}/Horde/Db/Migration/Base.php
%{peardir}/Horde/Db/Migration/Exception.php
%{peardir}/Horde/Db/Migration/Migrator.php
%{peardir}/Horde/Db/SearchParser.php
%{peardir}/Horde/Db/StatementParser.php
%{peardir}/Horde/Db/Value.php
%{peardir}/Horde/Db/Value/Binary.php
%{peardir}/docs/Horde_Db/README.TESTING.txt
%{peardir}/docs/Horde_Db/TODO.txt
%{peardir}/tests/Horde_Db/Horde/Db/Adapter/MissingTest.php
%{peardir}/tests/Horde_Db/Horde/Db/Adapter/Mysql/ColumnDefinitionTest.php
%{peardir}/tests/Horde_Db/Horde/Db/Adapter/Mysql/ColumnTest.php
%{peardir}/tests/Horde_Db/Horde/Db/Adapter/Mysql/TableDefinitionTest.php
%{peardir}/tests/Horde_Db/Horde/Db/Adapter/MysqlSuite.php
%{peardir}/tests/Horde_Db/Horde/Db/Adapter/MysqlTest.php
%{peardir}/tests/Horde_Db/Horde/Db/Adapter/MysqliSuite.php
%{peardir}/tests/Horde_Db/Horde/Db/Adapter/MysqliTest.php
%{peardir}/tests/Horde_Db/Horde/Db/Adapter/Pdo/MysqlSuite.php
%{peardir}/tests/Horde_Db/Horde/Db/Adapter/Pdo/MysqlTest.php
%{peardir}/tests/Horde_Db/Horde/Db/Adapter/Pdo/PgsqlSuite.php
%{peardir}/tests/Horde_Db/Horde/Db/Adapter/Pdo/PgsqlTest.php
%{peardir}/tests/Horde_Db/Horde/Db/Adapter/Pdo/SqliteSuite.php
%{peardir}/tests/Horde_Db/Horde/Db/Adapter/Pdo/SqliteTest.php
%{peardir}/tests/Horde_Db/Horde/Db/Adapter/Postgresql/ColumnDefinitionTest.php
%{peardir}/tests/Horde_Db/Horde/Db/Adapter/Postgresql/ColumnTest.php
%{peardir}/tests/Horde_Db/Horde/Db/Adapter/Postgresql/TableDefinitionTest.php
%{peardir}/tests/Horde_Db/Horde/Db/Adapter/Sqlite/ColumnDefinitionTest.php
%{peardir}/tests/Horde_Db/Horde/Db/Adapter/Sqlite/ColumnTest.php
%{peardir}/tests/Horde_Db/Horde/Db/Adapter/Sqlite/TableDefinitionTest.php
%{peardir}/tests/Horde_Db/Horde/Db/Adapter/conf.php.dist
%{peardir}/tests/Horde_Db/Horde/Db/AllTests.php
%{peardir}/tests/Horde_Db/Horde/Db/Migration/BaseTest.php
%{peardir}/tests/Horde_Db/Horde/Db/Migration/MigratorTest.php
%{peardir}/tests/Horde_Db/Horde/Db/StatementParserTest.php
%{peardir}/tests/Horde_Db/Horde/Db/fixtures/charsets/cp1257.txt
%{peardir}/tests/Horde_Db/Horde/Db/fixtures/charsets/utf8.txt
%{peardir}/tests/Horde_Db/Horde/Db/fixtures/drop_create_table.sql
%{peardir}/tests/Horde_Db/Horde/Db/fixtures/migrations/1_users_have_last_names1.php
%{peardir}/tests/Horde_Db/Horde/Db/fixtures/migrations/2_we_need_reminders1.php
%{peardir}/tests/Horde_Db/Horde/Db/fixtures/migrations/3_innocent_jointable1.php
%{peardir}/tests/Horde_Db/Horde/Db/fixtures/migrations_with_decimal/1_give_me_big_numbers.php
%{peardir}/tests/Horde_Db/Horde/Db/fixtures/migrations_with_duplicate/1_users_have_last_names2.php
%{peardir}/tests/Horde_Db/Horde/Db/fixtures/migrations_with_duplicate/2_we_need_reminders2.php
%{peardir}/tests/Horde_Db/Horde/Db/fixtures/migrations_with_duplicate/3_foo.php
%{peardir}/tests/Horde_Db/Horde/Db/fixtures/migrations_with_duplicate/3_innocent_jointable2.php
%{peardir}/tests/Horde_Db/Horde/Db/fixtures/migrations_with_missing_versions/1000_users_have_middle_names.php
%{peardir}/tests/Horde_Db/Horde/Db/fixtures/migrations_with_missing_versions/1_users_have_last_names3.php
%{peardir}/tests/Horde_Db/Horde/Db/fixtures/migrations_with_missing_versions/3_we_need_reminders.php
%{peardir}/tests/Horde_Db/Horde/Db/fixtures/migrations_with_missing_versions/4_innocent_jointable3.php
%{peardir}/tests/Horde_Db/Horde/Db/fixtures/unit_tests.sql

