%define prj Horde_Form

%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:          horde-form
Version:       1.0.3
Release:       %mkrel 2
Summary:       Horde Form API
License:       LGPL
Group:         Networking/Mail
Url:           https://pear.horde.org/#horde_form
Source0:       %{prj}-%{version}.tgz
BuildArch:     noarch
Requires(post):php-pear
Requires(preun):php-pear
Requires(pre): php-pear
Requires:      php-gettext
Requires:      horde-framework
Requires:      horde-token
Requires:      horde-util
Requires:      php-pear-Mail
Requires:      php-pear
Requires:      php-pear-Services_Weather
BuildRequires: php-pear
BuildRequires: php-pear-channel-horde


%description
The Horde_Form:: package provides form rendering, validation, and other
functionality for the Horde Application Framework.

%prep
%setup -q -n %{prj}-%{version}

%build
mv ../package.xml .

%install
pear install --packagingroot %{buildroot} --nodeps package.xml

%__rm -rf %{buildroot}/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

%__mkdir_p %{buildroot}%{xmldir}
cp package.xml %{buildroot}%{xmldir}/%{prj}.xml

%clean
%__rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/%{prj}.xml

%postun
if [ "$1" -eq "0" ]; then
  pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/%{prj}
fi

%files
%defattr(-, root, root)
%{xmldir}/%{prj}.xml
%{peardir}//Horde/Form.php
%{peardir}//Horde/Form/Action.php
%{peardir}//Horde/Form/Action/ConditionalEnable.php
%{peardir}//Horde/Form/Action/ConditionalSetValue.php
%{peardir}//Horde/Form/Action/conditional_enable.php
%{peardir}//Horde/Form/Action/conditional_setvalue.php
%{peardir}//Horde/Form/Action/reload.php
%{peardir}//Horde/Form/Action/setcursorpos.php
%{peardir}//Horde/Form/Action/submit.php
%{peardir}//Horde/Form/Action/sum_fields.php
%{peardir}//Horde/Form/Action/updatefield.php
%{peardir}//Horde/Form/Renderer.php
%{peardir}//Horde/Form/Translation.php
%{peardir}//Horde/Form/Type.php
%{peardir}//Horde/Form/Type/tableset.php
%{peardir}//Horde/Form/Variable.php
%{peardir}//data/Horde_Form/locale/Horde_Form.pot
%{peardir}//data/Horde_Form/locale/ar/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/bg/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/bs/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/ca/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/cs/LC_MESSAGES/Horde_Form.mo
%{peardir}//data/Horde_Form/locale/cs/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/da/LC_MESSAGES/Horde_Form.mo
%{peardir}//data/Horde_Form/locale/da/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/de/LC_MESSAGES/Horde_Form.mo
%{peardir}//data/Horde_Form/locale/de/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/el/LC_MESSAGES/Horde_Form.mo
%{peardir}//data/Horde_Form/locale/el/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/en/LC_MESSAGES/Horde_Form.mo
%{peardir}//data/Horde_Form/locale/en/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/es/LC_MESSAGES/Horde_Form.mo
%{peardir}//data/Horde_Form/locale/es/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/et/LC_MESSAGES/Horde_Form.mo
%{peardir}//data/Horde_Form/locale/et/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/eu/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/fa/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/fi/LC_MESSAGES/Horde_Form.mo
%{peardir}//data/Horde_Form/locale/fi/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/fr/LC_MESSAGES/Horde_Form.mo
%{peardir}//data/Horde_Form/locale/fr/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/gl/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/he/LC_MESSAGES/Horde_Form.mo
%{peardir}//data/Horde_Form/locale/he/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/hr/LC_MESSAGES/Horde_Form.mo
%{peardir}//data/Horde_Form/locale/hr/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/hu/LC_MESSAGES/Horde_Form.mo
%{peardir}//data/Horde_Form/locale/hu/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/id/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/is/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/it/LC_MESSAGES/Horde_Form.mo
%{peardir}//data/Horde_Form/locale/it/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/ja/LC_MESSAGES/Horde_Form.mo
%{peardir}//data/Horde_Form/locale/ja/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/km/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/ko/LC_MESSAGES/Horde_Form.mo
%{peardir}//data/Horde_Form/locale/ko/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/lt/LC_MESSAGES/Horde_Form.mo
%{peardir}//data/Horde_Form/locale/lt/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/lv/LC_MESSAGES/Horde_Form.mo
%{peardir}//data/Horde_Form/locale/lv/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/mk/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/nb/LC_MESSAGES/Horde_Form.mo
%{peardir}//data/Horde_Form/locale/nb/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/nl/LC_MESSAGES/Horde_Form.mo
%{peardir}//data/Horde_Form/locale/nl/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/nn/LC_MESSAGES/Horde_Form.mo
%{peardir}//data/Horde_Form/locale/nn/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/pl/LC_MESSAGES/Horde_Form.mo
%{peardir}//data/Horde_Form/locale/pl/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/pt/LC_MESSAGES/Horde_Form.mo
%{peardir}//data/Horde_Form/locale/pt/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/pt_BR/LC_MESSAGES/Horde_Form.mo
%{peardir}//data/Horde_Form/locale/pt_BR/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/ro/LC_MESSAGES/Horde_Form.mo
%{peardir}//data/Horde_Form/locale/ro/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/ru/LC_MESSAGES/Horde_Form.mo
%{peardir}//data/Horde_Form/locale/ru/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/sk/LC_MESSAGES/Horde_Form.mo
%{peardir}//data/Horde_Form/locale/sk/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/sl/LC_MESSAGES/Horde_Form.mo
%{peardir}//data/Horde_Form/locale/sl/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/sv/LC_MESSAGES/Horde_Form.mo
%{peardir}//data/Horde_Form/locale/sv/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/tr/LC_MESSAGES/Horde_Form.mo
%{peardir}//data/Horde_Form/locale/tr/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/uk/LC_MESSAGES/Horde_Form.mo
%{peardir}//data/Horde_Form/locale/uk/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/zh_CN/LC_MESSAGES/Horde_Form.po
%{peardir}//data/Horde_Form/locale/zh_TW/LC_MESSAGES/Horde_Form.po
%{peardir}//tests/Horde_Form/Horde_Form_Type_address.phpt
%{peardir}//tests/Horde_Form/Horde_Form_Type_email.phpt



