%define	module	forwards
%define	name	horde-%{module}
%define	version	3.2.1
%define	release	%mkrel 1

%global __requires_exclude pear\\(Horde.*\\)

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	The Horde forwards management application
License:	GPL
Group:		System/Servers
URL:		https://www.horde.org/apps/%{module}/
Source0:	ftp://ftp.horde.org/pub/%{module}/%{module}-h3-%{version}.tar.gz
Requires:	horde >= 3.3.8
BuildArch:	noarch

%description
Forwards is a Horde module for setting user e-mail forwards with support for
several popular mailers. While it has been released and is in production use at
many sites, it is also still under development in an effort to expand and
improve the module.

Right now, Forwards provides fairly complete support for setting .forward style
forwards on sendmail or courier mail based systems via an FTP transport. It now
also supports for mdaemon, and qmail and exim sql based systems.

Forwards is part of a suite of account management modules for Horde consisting
of Accounts, Forwards, Passwd, and Vacation.

%prep
%setup -q -n %{module}-h3-%{version}

# fix perms
find lib -type f | xargs chmod 644

%build

%install
rm -rf %{buildroot}

# apache configuration
install -d -m 755 %{buildroot}%{_webappconfdir}
cat > %{buildroot}%{_webappconfdir}/%{name}.conf <<EOF
# %{name} Apache configuration file

<Directory %{_datadir}/horde/%{module}/lib>
    Order allow,deny
    Deny from all
</Directory>

<Directory %{_datadir}/horde/%{module}/locale>
    Order allow,deny
    Deny from all
</Directory>

<Directory %{_datadir}/horde/%{module}/scripts>
    Order allow,deny
    Deny from all
</Directory>

<Directory %{_datadir}/horde/%{module}/templates>
    Order allow,deny
    Deny from all
</Directory>
EOF

# horde configuration
install -d -m 755 %{buildroot}%{_sysconfdir}/horde/registry.d
cat > %{buildroot}%{_sysconfdir}/horde/registry.d/%{module}.php <<'EOF'
<?php
//
// Forwards Horde configuration file
//
 
$this->applications['forwards'] = array(
    'fileroot'    => $this->applications['horde']['fileroot'] . '/forwards',
    'webroot'     => $this->applications['horde']['webroot'] . '/forwards',
    'name'        => _("Forwards"),
    'status'      => 'active',
    'provides'    => 'forwards',
    'menu_parent' => 'myaccount',
);
EOF

# remove .htaccess files
find . -name .htaccess -exec rm -f {} \;

# install files
install -d -m 755 %{buildroot}%{_datadir}/horde/%{module}
cp -pR *.php %{buildroot}%{_datadir}/horde/%{module}
cp -pR lib %{buildroot}%{_datadir}/horde/%{module}
cp -pR locale %{buildroot}%{_datadir}/horde/%{module}
cp -pR templates %{buildroot}%{_datadir}/horde/%{module}
cp -pR themes %{buildroot}%{_datadir}/horde/%{module}
cp -pR config %{buildroot}%{_sysconfdir}/horde/%{module}

install -d -m 755 %{buildroot}%{_sysconfdir}/horde
pushd %{buildroot}%{_datadir}/horde/%{module}
ln -s ../../../..%{_sysconfdir}/horde/%{module} config
popd

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc LICENSE README docs
%config(noreplace) %{_webappconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/horde/registry.d/%{module}.php
%config(noreplace) %{_sysconfdir}/horde/%{module}
%{_datadir}/horde/%{module}



