%define prj 	Horde_Group

%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:          horde-group
Version:       1.0.1
Release:       %mkrel 1
Summary:       Horde User Groups System
License:       LGPL
Group:         Networking/Mail
Url:           https://pear.horde.org/#horde_group
Source0:       %{prj}-%{version}.tgz
BuildArch:     noarch
Requires(pre): php-pear
Requires:      php-pear
Requires:      horde-framework
Requires:      horde-datatree
Requires:      horde-auth
Requires:      php-gettext
BuildRequires: php-pear
BuildRequires: php-pear-channel-horde


%description
Package for managing and accessing the Horde groups system.


%prep
%setup -q -n %{prj}-%{version}

%build
mv ../package.xml .

%install
pear install --packagingroot %{buildroot} --nodeps package.xml

%__rm -rf %{buildroot}/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

%__mkdir_p %{buildroot}%{xmldir}
cp package.xml %{buildroot}%{xmldir}/%{prj}.xml

%clean
%__rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/%{prj}.xml

%postun
if [ "$1" -eq "0" ]; then
  pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/%{prj}
fi

%files
%defattr(-, root, root)
%{xmldir}/%{prj}.xml
%{peardir}//Horde/Group/Base.php
%{peardir}//Horde/Group/Contactlists.php
%{peardir}//Horde/Group/Exception.php
%{peardir}//Horde/Group/Kolab.php
%{peardir}//Horde/Group/Ldap.php
%{peardir}//Horde/Group/Mock.php
%{peardir}//Horde/Group/Sql.php
%{peardir}//data/Horde_Group/migration/1_horde_group_base_tables.php
%{peardir}//data/Horde_Group/migration/2_horde_group_upgrade_autoincrement.php
%{peardir}//tests/Horde_Group/Horde/Group/AllTests.php
%{peardir}//tests/Horde_Group/Horde/Group/Autoload.php
%{peardir}//tests/Horde_Group/Horde/Group/Base.php
%{peardir}//tests/Horde_Group/Horde/Group/ContactlistTest.php
%{peardir}//tests/Horde_Group/Horde/Group/LdapTest.php
%{peardir}//tests/Horde_Group/Horde/Group/MockTest.php
%{peardir}//tests/Horde_Group/Horde/Group/Sql/Base.php
%{peardir}//tests/Horde_Group/Horde/Group/Sql/MysqlTest.php
%{peardir}//tests/Horde_Group/Horde/Group/Sql/MysqliTest.php
%{peardir}//tests/Horde_Group/Horde/Group/Sql/Pdo/MysqlTest.php
%{peardir}//tests/Horde_Group/Horde/Group/Sql/Pdo/PgsqlTest.php
%{peardir}//tests/Horde_Group/Horde/Group/Sql/Pdo/SqliteTest.php
%{peardir}//tests/Horde_Group/Horde/Group/Stub/Api.php
%{peardir}//tests/Horde_Group/Horde/Group/conf.php.dist




