%define prj    Horde_History

%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:          horde-history
Version:       1.0.0
Release:       %mkrel 1
Summary:       API for tracking the history of an object
License:       LGPL
Group:         Networking/Mail
Url:           https://pear.horde.org/#horde_history
Source0:       %{prj}-%{version}.tgz
BuildArch:     noarch
Requires(pre): php-pear
Requires:      php-pear-channel-horde
BuildRequires: php-pear
BuildRequires: php-pear-channel-horde

%description
This API provides a way to track changes on arbitrary pieces of data
in Horde applications.


%prep
%setup -q -n %{prj}-%{version}

%build
mv ../package.xml .

%install
pear install --packagingroot %{buildroot} --nodeps package.xml

%__rm -rf %{buildroot}/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

%__mkdir_p %{buildroot}%{xmldir}
cp package.xml %{buildroot}%{xmldir}/%{prj}.xml

%clean
%__rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/%{prj}.xml

%postun
if [ "$1" -eq "0" ]; then
  pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/%{prj}
fi

%files
%defattr(-, root, root)
%{xmldir}/%{prj}.xml
%{peardir}//Horde/History.php
%{peardir}//Horde/History/Exception.php
%{peardir}//Horde/History/Log.php
%{peardir}//Horde/History/Mock.php
%{peardir}//Horde/History/Sql.php
%{peardir}//data/Horde_History/migration/1_horde_history_base_tables.php
%{peardir}//data/Horde_History/migration/2_horde_history_upgrade_autoincrement.php
%{peardir}//tests/Horde_History/Horde/History/AllTests.php
%{peardir}//tests/Horde_History/Horde/History/Autoload.php
%{peardir}//tests/Horde_History/Horde/History/InterfaceTest.php
%{peardir}//tests/Horde_History/Horde/History/phpunit.xml


