%define prj    Horde_Image

%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:          horde-image
Version:       1.0.3
Release:       %mkrel 1
Summary:       Horde Image API
License:       LGPL
Group:         Networking/Mail
Url:           https://pear.horde.org/#horde_image
Source0:       %{prj}-%{version}.tgz
BuildArch:     noarch
Requires(pre): php-pear
Requires:      php-pear
Requires:      php-pear-channel-horde
Requires:      php-pear-XML_SVG
Requires:      horde-util
BuildRequires: php-pear
BuildRequires: php-pear-channel-horde


%description
This package provides an Image utility API, with backends for:
 * GD
 * GIF
 * PNG
 * SVG
 * SWF
 * ImageMagick convert command line tool

%prep
%setup -q -n %{prj}-%{version}

%build
mv ../package*.xml .

%install
pear install --packagingroot %{buildroot} --nodeps package.xml

%__rm -rf %{buildroot}/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

%__mkdir_p %{buildroot}%{xmldir}
cp package.xml %{buildroot}%{xmldir}/%{prj}.xml

# make some directories
install -d %{buildroot}/usr/share/pear/tests/Horde_Image/Image/


%clean
%__rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/%{prj}.xml

%postun
if [ "$1" -eq "0" ]; then
  pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/%{prj}
fi

%files
%defattr(-, root, root)
%{xmldir}/%{prj}.xml
%{peardir}/Horde/Image.php
%{peardir}/Horde/Image/Base.php
%{peardir}/Horde/Image/Effect.php
%{peardir}/Horde/Image/Effect/Border.php
%{peardir}/Horde/Image/Effect/Gd/DropShadow.php
%{peardir}/Horde/Image/Effect/Gd/RoundCorners.php
%{peardir}/Horde/Image/Effect/Gd/TextWatermark.php
%{peardir}/Horde/Image/Effect/Gd/Unsharpmask.php
%{peardir}/Horde/Image/Effect/Im/Border.php
%{peardir}/Horde/Image/Effect/Im/CenterCrop.php
%{peardir}/Horde/Image/Effect/Im/Composite.php
%{peardir}/Horde/Image/Effect/Im/DropShadow.php
%{peardir}/Horde/Image/Effect/Im/LiquidResize.php
%{peardir}/Horde/Image/Effect/Im/PhotoStack.php
%{peardir}/Horde/Image/Effect/Im/PolaroidImage.php
%{peardir}/Horde/Image/Effect/Im/RoundCorners.php
%{peardir}/Horde/Image/Effect/Im/TextWatermark.php
%{peardir}/Horde/Image/Effect/Im/Unsharpmask.php
%{peardir}/Horde/Image/Effect/Imagick/Border.php
%{peardir}/Horde/Image/Effect/Imagick/CenterCrop.php
%{peardir}/Horde/Image/Effect/Imagick/Composite.php
%{peardir}/Horde/Image/Effect/Imagick/DropShadow.php
%{peardir}/Horde/Image/Effect/Imagick/LiquidResize.php
%{peardir}/Horde/Image/Effect/Imagick/PhotoStack.php
%{peardir}/Horde/Image/Effect/Imagick/PolaroidImage.php
%{peardir}/Horde/Image/Effect/Imagick/RoundCorners.php
%{peardir}/Horde/Image/Effect/Imagick/SmartCrop.php
%{peardir}/Horde/Image/Effect/Imagick/TextWatermark.php
%{peardir}/Horde/Image/Effect/Imagick/Unsharpmask.php
%{peardir}/Horde/Image/Exception.php
%{peardir}/Horde/Image/Exif.php
%{peardir}/Horde/Image/Exif/Base.php
%{peardir}/Horde/Image/Exif/Bundled.php
%{peardir}/Horde/Image/Exif/Exiftool.php
%{peardir}/Horde/Image/Exif/Parser/Base.php
%{peardir}/Horde/Image/Exif/Parser/Canon.php
%{peardir}/Horde/Image/Exif/Parser/Fujifilm.php
%{peardir}/Horde/Image/Exif/Parser/Gps.php
%{peardir}/Horde/Image/Exif/Parser/Nikon.php
%{peardir}/Horde/Image/Exif/Parser/Olympus.php
%{peardir}/Horde/Image/Exif/Parser/Panasonic.php
%{peardir}/Horde/Image/Exif/Parser/Sanyo.php
%{peardir}/Horde/Image/Exif/Php.php
%{peardir}/Horde/Image/Gd.php
%{peardir}/Horde/Image/Im.php
%{peardir}/Horde/Image/Imagick.php
%{peardir}/Horde/Image/Png.php
%{peardir}/Horde/Image/Svg.php
%{peardir}/Horde/Image/Swf.php
%{peardir}/Horde/Image/Translation.php
%{peardir}/Horde/Image/rgb.php
%{peardir}/data/Horde_Image/locale/Horde_Image.pot
%{peardir}/data/Horde_Image/locale/ar/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/ar/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/bg/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/bg/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/bs/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/bs/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/ca/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/ca/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/cs/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/cs/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/da/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/da/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/de/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/de/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/el/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/el/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/en/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/en/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/es/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/es/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/et/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/et/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/eu/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/eu/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/fa/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/fa/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/fi/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/fi/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/fr/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/fr/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/gl/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/gl/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/he/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/he/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/hr/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/hr/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/hu/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/hu/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/id/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/id/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/is/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/is/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/it/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/it/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/ja/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/ja/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/km/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/km/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/ko/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/ko/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/lt/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/lt/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/lv/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/lv/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/mk/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/mk/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/nb/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/nb/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/nl/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/nl/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/nn/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/nn/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/pl/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/pl/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/pt/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/pt/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/pt_BR/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/pt_BR/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/ro/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/ro/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/ru/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/ru/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/sk/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/sk/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/sl/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/sl/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/sv/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/sv/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/tr/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/tr/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/uk/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/uk/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/zh_CN/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/zh_CN/LC_MESSAGES/Horde_Image.po
%{peardir}/data/Horde_Image/locale/zh_TW/LC_MESSAGES/Horde_Image.mo
%{peardir}/data/Horde_Image/locale/zh_TW/LC_MESSAGES/Horde_Image.po
%{peardir}/tests/Horde_Image/.htaccess
%{peardir}/tests/Horde_Image/gd.php
%{peardir}/tests/Horde_Image/im.php
%{peardir}/tests/Horde_Image/img1.jpg
%{peardir}/tests/Horde_Image/img2.jpg
%{peardir}/tests/Horde_Image/img3.jpg
%{peardir}/tests/Horde_Image/img4.jpg
%{peardir}/tests/Horde_Image/runtest.php
%{peardir}/tests/Horde_Image/svg.php
%{peardir}/tests/Horde_Image/swf.php
%{peardir}/tests/Horde_Image/two_page.tif.tiff




