%define prj 	Horde_Nls

%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:          horde-nls
Version:       1.0.1
Release:       %mkrel 2
Summary:       Localization package
License:       LGPL
Group:         Networking/Mail
Url:           https://pear.horde.org/#horde_nls
Source0:       %{prj}-%{version}.tgz
BuildArch:     noarch
Requires(post):php-pear
Requires(preun):php-pear
Requires: 	php-pear
Requires:      php-pear-channel-horde
BuildRequires: php-pear
BuildRequires: php-pear-channel-horde



%description
This package provides horde localization

%prep
%setup -q -n %{prj}-%{version}

%build
mv ../package.xml .

%install
pear install --packagingroot %{buildroot} --nodeps package.xml

%__rm -rf %{buildroot}/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

%__mkdir_p %{buildroot}%{xmldir}
cp package.xml %{buildroot}%{xmldir}/%{prj}.xml

%clean
%__rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/%{prj}.xml

%postun
if [ "$1" -eq "0" ]; then
  pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/%{prj}
fi

%files
%defattr(-, root, root)
%{xmldir}/%{prj}.xml
%{peardir}/Horde/Nls.php
%{peardir}/Horde/Nls/Carsigns.php
%{peardir}/Horde/Nls/Coordinates.php
%{peardir}/Horde/Nls/Countries.php
%{peardir}/Horde/Nls/Geoip.php
%{peardir}/Horde/Nls/Tld.php
%{peardir}/Horde/Nls/Translation.php
%{peardir}/data/Horde_Nls/locale/Horde_Nls.pot
%{peardir}/data/Horde_Nls/locale/ar/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/ar/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/bg/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/bg/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/bs/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/bs/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/ca/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/ca/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/cs/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/cs/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/da/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/da/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/de/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/de/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/el/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/el/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/en/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/en/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/es/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/es/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/et/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/et/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/eu/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/eu/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/fa/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/fa/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/fi/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/fi/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/fr/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/fr/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/gl/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/gl/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/he/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/he/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/hr/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/hr/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/hu/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/hu/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/id/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/id/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/is/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/is/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/it/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/it/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/ja/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/ja/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/km/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/km/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/ko/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/ko/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/lt/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/lt/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/lv/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/lv/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/mk/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/mk/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/nb/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/nb/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/nl/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/nl/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/nn/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/nn/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/pl/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/pl/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/pt/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/pt/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/pt_BR/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/pt_BR/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/ro/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/ro/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/ru/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/ru/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/sk/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/sk/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/sl/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/sl/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/sv/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/sv/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/tr/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/tr/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/uk/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/uk/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/zh_CN/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/zh_CN/LC_MESSAGES/Horde_Nls.po
%{peardir}/data/Horde_Nls/locale/zh_TW/LC_MESSAGES/Horde_Nls.mo
%{peardir}/data/Horde_Nls/locale/zh_TW/LC_MESSAGES/Horde_Nls.po

