%define prj    Horde_Test

%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:          horde-test
Version:       1.1.2
Release:       %mkrel 1
Summary:       Horde command-line argument parsing package
License:       LGPL
Group:         Networking/Mail
Url:           https://pear.horde.org/#horde_test
Source0:       %{prj}-%{version}.tgz
BuildArch:     noarch
Requires(pre): php-pear
Requires:      php-pear
Requires:      php-pear-channel-horde
BuildRequires: php-pear
BuildRequires: php-pear-channel-horde


%description
This package provides classes for parsing command line arguments with
various actions, providing help, grouping options, and more.

%prep
%setup -q -n %{prj}-%{version}

%build
mv ../package*.xml .

%install
pear install --packagingroot %{buildroot} --nodeps package.xml

%__rm -rf %{buildroot}/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

%__mkdir_p %{buildroot}%{xmldir}
cp package.xml %{buildroot}%{xmldir}/%{prj}.xml

%clean
%__rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/%{prj}.xml

%postun
if [ "$1" -eq "0" ]; then
  pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/%{prj}
fi

%files
%defattr(-, root, root)
%{xmldir}/%{prj}.xml
%{peardir}/Horde/Test/AllTests.php
%{peardir}/Horde/Test/Application.php
%{peardir}/Horde/Test/Autoload.php
%{peardir}/Horde/Test/Case.php
%{peardir}/Horde/Test/Exception.php
%{peardir}/Horde/Test/Functional.php
%{peardir}/Horde/Test/Log.php
%{peardir}/Horde/Test/Stub/Cli.php
%{peardir}/Horde/Test/Stub/Parser.php




