%define prj    Horde_Util
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:          horde-util
Version:       1.0.4
Release:       %mkrel 2
Summary:       Horde Util package
License:       LGPL
Group:         Networking/Mail
Url:           https://pear.horde.org/#horde_util
Source0:       %{prj}-%{version}.tgz
BuildArch:     noarch
Requires(pre): php-pear
Requires:      horde-framework
Requires:      php-mbstring
Requires:      php-iconv
Requires:      php-pear-channel-horde
BuildRequires: php-pear
BuildRequires: php-pear-channel-horde


%description
These classes provide functionality useful for all kind of applications.


%prep
%setup -q -n %{prj}-%{version}

%build
mv ../package.xml .

%install
pear install --packagingroot %{buildroot} --nodeps package.xml

%__rm -rf %{buildroot}/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

%__mkdir_p %{buildroot}%{xmldir}
cp package.xml %{buildroot}%{xmldir}/%{prj}.xml

%clean
%__rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/%{prj}.xml

%postun
if [ "$1" -eq "0" ]; then
  pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/%{prj}
fi

%files
%defattr(-, root, root)
%{xmldir}/%{prj}.xml
%{peardir}/Horde/Array.php
%{peardir}/Horde/Array/Sort/Helper.php
%{peardir}/Horde/Domhtml.php
%{peardir}/Horde/String.php
%{peardir}/Horde/Util.php
%{peardir}/Horde/Variables.php
%{peardir}/tests/Horde_Util/Horde/Util/AllTests.php
%{peardir}/tests/Horde_Util/Horde/Util/ArrayTest.php
%{peardir}/tests/Horde_Util/Horde/Util/Autoload.php
%{peardir}/tests/Horde_Util/Horde/Util/CsvTest.php
%{peardir}/tests/Horde_Util/Horde/Util/DomhtmlTest.php
%{peardir}/tests/Horde_Util/Horde/Util/StringTest.php
%{peardir}/tests/Horde_Util/Horde/Util/UtilTest.php
%{peardir}/tests/Horde_Util/Horde/Util/VariablesTest.php
%{peardir}/tests/Horde_Util/Horde/Util/fixtures/001.csv
%{peardir}/tests/Horde_Util/Horde/Util/fixtures/002.csv
%{peardir}/tests/Horde_Util/Horde/Util/fixtures/003.csv
%{peardir}/tests/Horde_Util/Horde/Util/fixtures/004.csv
%{peardir}/tests/Horde_Util/Horde/Util/fixtures/005.csv
%{peardir}/tests/Horde_Util/Horde/Util/fixtures/bug_3839.csv
%{peardir}/tests/Horde_Util/Horde/Util/fixtures/bug_4025.csv
%{peardir}/tests/Horde_Util/Horde/Util/fixtures/bug_6311.csv
%{peardir}/tests/Horde_Util/Horde/Util/fixtures/bug_6370.csv
%{peardir}/tests/Horde_Util/Horde/Util/fixtures/bug_6372.csv
%{peardir}/tests/Horde_Util/Horde/Util/fixtures/columns1.csv
%{peardir}/tests/Horde_Util/Horde/Util/fixtures/columns2.csv
%{peardir}/tests/Horde_Util/Horde/Util/fixtures/multiline1.csv
%{peardir}/tests/Horde_Util/Horde/Util/fixtures/notrailing_crlf.csv
%{peardir}/tests/Horde_Util/Horde/Util/fixtures/notrailing_lf.csv
%{peardir}/tests/Horde_Util/Horde/Util/fixtures/quote1.csv
%{peardir}/tests/Horde_Util/Horde/Util/fixtures/quote2.csv
%{peardir}/tests/Horde_Util/Horde/Util/fixtures/quote3.csv
%{peardir}/tests/Horde_Util/Horde/Util/fixtures/quote4.csv
%{peardir}/tests/Horde_Util/Horde/Util/fixtures/quote5.csv
%{peardir}/tests/Horde_Util/Horde/Util/fixtures/simple_cr.csv
%{peardir}/tests/Horde_Util/Horde/Util/fixtures/simple_crlf.csv
%{peardir}/tests/Horde_Util/Horde/Util/fixtures/simple_lf.csv



