Name:          hostname
Version:       3.23
Release:       %mkrel 5
Summary:       Utility to set/show the host name or domain name
License:       GPLv2+
Group:         System/Networking
URL:           https://packages.qa.debian.org/h/hostname.html
Source0:       https://ftp.debian.org/debian/pool/main/h/hostname/hostname_%{version}.tar.gz
Source1:       https://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
Source2:       nis-domainname
Source3:       nis-domainname.service
BuildRequires: gcc
BuildRequires: systemd

# NOTE: We are *not* requiring systemd on purpose, because we want to allow
#       hostname package to be installed in containers without the systemd.

# Initial changes
Patch1:        hostname-rh.patch

Conflicts:     net-tools  < 2.0-0.20140707git.4

%description
This package provides commands which can be used to display the system's
DNS name, and to display or set its hostname or NIS domain name.

%prep
%setup -q -n %{name}
cp %{SOURCE1} %{SOURCE2} %{SOURCE3} .
%patch -P 1 -p1 -b .rh

%build
%set_build_flags
%make_build

%install
make BASEDIR=%{buildroot} BINDIR=%{_bindir} install

install -m 0755 -d %{buildroot}%{_libexecdir}/%{name}
install -m 0755 -d %{buildroot}%{_unitdir}
install -m 0755 nis-domainname         %{buildroot}%{_libexecdir}/%{name}
install -m 0644 nis-domainname.service %{buildroot}%{_unitdir}


%post
%systemd_post nis-domainname.service
# Needs to work even if systemd is not available:
:

%preun
%systemd_preun nis-domainname.service
# Needs to work even if systemd is not available:
:

# NOTE: Nothing to do for upgrade (in postun), nis-domainname.service is oneshot.

%files
%doc COPYRIGHT gpl-2.0.txt
%{_bindir}/*
%{_mandir}/man1/*
%{_unitdir}/*
%{_libexecdir}/%{name}
