Name:           hotspot
Version:        1.5.1
Release:        %mkrel 3
Summary:        The Linux perf GUI for performance analysis
Group:          Development/Tools
License:        GPLv2+
URL:            https://github.com/KDAB/hotspot
Source0:        https://github.com/KDAB/hotspot/releases/download/v%{version}/%{name}-v%{version}.tar.gz
Source1:        https://github.com/KDAB/hotspot/releases/download/v%{version}/%{name}-perfparser-v%{version}.tar.gz
Source2:        https://github.com/KDAB/hotspot/releases/download/v%{version}/%{name}-PrefixTickLabels-v%{version}.tar.gz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6ThreadWeaver)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6ItemViews)
BuildRequires:  cmake(KF6ItemModels)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Solid)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6I18n)
# Optional
BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6SyntaxHighlighting)
BuildRequires:  cmake(KDDockWidgets-qt6)
BuildRequires:  pkgconfig(qcustomplot-qt6)
BuildRequires:  cmake(KGraphViewerPart)

BuildRequires:  pkgconfig(libdebuginfod)
BuildRequires:  pkgconfig(libdw)
BuildRequires:  pkgconfig(libelf)
BuildRequires:  pkgconfig(libzstd)
BuildRequires:  gettext

%description
A standalone GUI for performance data. Attempting to provide a UI like
KCachegrind around Linux perf.

%prep
%autosetup -p1 -n %{name} -a1

%__rpmuncompress -x %{SOURCE2}
mv perfparser/ 3rdparty/
mv PrefixTickLabels/ 3rdparty/

%build
%cmake_kf6 -DQT6_BUILD:BOOL=ON
%cmake_build

%install
%cmake_install

%files
%license LICENSE.GPL.txt
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/com.kdab.%{name}.desktop
%{_datadir}/knotifications6/%{name}.notifyrc
%{_metainfodir}/com.kdab.Hotspot.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_libexecdir}/%{name}-perfparser
