%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:		hspell
Version:	1.4
Release:	%mkrel 5
Summary:	Free Hebrew linguistic project
Group:		Text tools
License:	AGPLv3+
URL:		http://hspell.ivrix.org.il/
Source0:	http://hspell.ivrix.org.il/%{name}-%{version}.tar.gz
Patch1:		hspell-1.2-perl-5.26.patch
BuildRequires:  pkgconfig(zlib)
BuildRequires:  locales-he
BuildRequires:  hunspell
BuildRequires:  pkgconfig(hunspell)
Requires:	%{libname} = %{version}-%{release}

%description
The Hspell project is a free Hebrew linguistic project.
Its primary goal is to create a free Hebrew spell-checker.
 In addition to a spell-checker, the project also produced a Hebrew
morphological analyzer, which for every valid Hebrew word lists all of its
possible readings (valid combinations of prefix and inflected base word).
 The secondary goal of the project is to make the algorithms and dictionaries,
created initially for the spell-checker, freely available. These could be used
in more sophisticated research or applications that require Hebrew word lists
or a Hebrew morphology engine.
 Such potential application areas might include search engines, speech
synthesis, and much much more. The availability of a free basis will hopefully
encourage free development on top of it, to the benefit of the general
Hebrew-speaking population.

%package -n	%{libname}
Summary:	Shared library files for hspell
Group:		Text tools

%description -n	%{libname}
Shared library files for the hspell package.

%package -n	%{develname}
Summary:	Development files for hspell
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Provides:	libhspell-devel = %{version}-%{release}
Provides:	hspell-devel = %{version}-%{release}
Obsoletes:	%{mklibname hspell 0 -d}

%description -n	%{develname}
Development headers, and files for development from the hspell package.

# (kamil) changed the hunspell-he to be according to general Hunspell policies
%package -n hunspell-he
%define languageenglazy Hebrew
%define languagecode    he
%define lc_ctype        he_IL

Summary:        %{languageenglazy} hunspell dictionaries
Group:          System/Internationalization

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-he
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

%description -n hunspell-he
%{languageenglazy} hunspell dictionaries


# (kamil) end hunspell-he

%prep
%autosetup -p1

%build
export CFLAGS="%optflags -fPIC"
export PERL5LIB="$PERL5LIB:$PWD"
%configure --enable-fatverb --enable-shared --enable-linginfo
%__make dmask.c
%make_build
make hunspell
cat >> he.aff << EOF
MAP 10
MAP ךכח
MAP םמ
MAP ןנ
MAP ףפ
MAP ץצ
MAP כק
MAP אע # for English
MAP גה # for Russian
MAP צס # for Arabic
MAP חכר # for French
EOF

%install
%make_install

rm -f %{buildroot}%{_libdir}/libhspell.a

# (kamil) hunspell-he installation
install -D -m 0644 -p he.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p he.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

# (kamil) hunspell-he end

%files
%{_bindir}/hspell
%{_bindir}/hspell-i
%{_bindir}/multispell
%{_mandir}/man?/hspell.*
%{_datadir}/hspell/

%files -n %{libname}
%{_libdir}/libhspell.so.0

%files -n %{develname}
%_includedir/hspell.h
%{_libdir}/libhspell.so
%_includedir/linginfo.h

%files -n hunspell-he
%{_datadir}/myspell/*
%{_datadir}/hunspell/*
