Name:           ht-editor
Version:        2.1.0
Release:        %mkrel 9
Summary:        File editor/viewer/analyzer for executables

Group:          Editors
License:        GPLv2
URL:            https://hte.sourceforge.net/
Source0:        https://downloads.sourceforge.net/hte/ht-%{version}.tar.bz2
# /usr/bin/ht conflicts with an existing program from texlive.
Patch1:         ht-2.1.0-change-program-name.patch
Patch2:         ht-2.1.0-gcc10.patch
Patch3:         ht-2.0.22-format.patch
Patch4:         ht-2.1.0-unsigned-char.patch
Patch5:         ht-2.1.0-uint-abs.patch

BuildRequires:  liblzo-devel
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  pkgconfig(x11)
BuildRequires:  recode

%description
HT is a file editor/viewer/analyzer for executables. The goal is to combine
the low-level functionality of a debugger and the usability of IDEs. We plan
to implement all (hex-)editing features and support of the most important
file formats.

%prep
%setup -q -n ht-%{version}
%autopatch -p1
recode latin1..utf8 TODO

%build
autoreconf -vfi
%configure --enable-maintainermode
%make_build
# CFLAGS="%{optflags}" CXXFLAGS="%{optflags}"

%install
%make_install

%files
%doc ChangeLog COPYING AUTHORS NEWS README TODO KNOWNBUGS
%{_bindir}/ht-editor
