Summary:        Convert HTML documents into PDF or PS format
Name:           htmldoc
Version:        1.9.18
Release:        %mkrel 1
License:        GPLv2
Group:          File tools
URL:            https://michaelrsweet.github.io/htmldoc/
Source0:        https://github.com/michaelrsweet/htmldoc/releases/download/v%{version}/htmldoc-%{version}-source.tar.gz
Patch0:         CVE-2024-45508.patch
Patch1:         CVE-2024-46478.patch
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  fltk-devel
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(cups)
Requires:       fltk

%description
HTMLDOC allows you to convert HTML documents into PDF or PostScript.
Links and some specific features of PDF format can be used.

%package        nogui
Summary:        Convert HTML documents into PDF or PS format
Group:          File tools

%description    nogui
This package contains the non-GUI version of %{name}.

%prep

%setup -q
%autopatch -p1

%build
# first build the non gui version
%configure \
    --disable-rpath \
    --disable-localpng \
    --disable-localjpeg \
    --disable-localzlib \
    --without-gui

%make_build
mv htmldoc/htmldoc htmldoc-nogui
make clean

%configure \
    --disable-rpath \
    --disable-localpng \
    --disable-localjpeg \
    --disable-localzlib \
    --with-gui \
    --with-openssl-libs \
    --with-openssl-includes

%make_build

%install
make install

install -d %{buildroot}%{_bindir}
install -m0755 htmldoc-nogui %{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop <<EOF
[Desktop Entry]
Name=HTMLDoc
Comment=Convert HTML files to PDF or PostScript
Comment[fr]=Convertir des fichiers HTML en PDF ou en PostScript
Exec=%{_bindir}/%{name}
Icon=publishing_section
Terminal=false
Type=Application
StartupNotify=true
MimeType=text/html;
Categories=FileTools;Utility;
EOF

%files
%doc CHANGES.md README.md COPYING
%{_bindir}/htmldoc
%{_mandir}/man1/*
%{_docdir}/%{name}/help.html
%{_docdir}/%{name}/htmldoc.pdf
%{_datadir}/%{name}/*
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/icons/hicolor/256x256/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/mageia-%{name}.desktop

%files nogui
%doc CHANGES.md README.md COPYING
%{_bindir}/htmldoc-nogui
