Name:           htop
Version:        3.4.1
Release:        %mkrel 1
Summary:        Interactive text-mode process viewer for Linux
Group:          Monitoring
License:        GPLv2+
URL:            https://htop.dev
Source0:        https://github.com/htop-dev/htop/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(hwloc)
BuildRequires:  pkgconfig(libcap)
BuildRequires:  pkgconfig(libnl-3.0)
BuildRequires:  pkgconfig(libnl-genl-3.0)
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  lm_sensors-devel
# dlopened
Requires:	libnl-genl-3.so.200%{_arch_tag_suffix}
Requires:	libnl-3.so.200%{_arch_tag_suffix}

%description
htop is an interactive process viewer for Linux, similar to top.

Some advantages over top:

* you can scroll the list vertically and horizontally to see
  all processes and complete command lines
* htop starts faster than top
* you don't need to type the process number to kill a process
* you don't need to type the process number or the priority value to
  renice a process
* htop supports mouse operation

%prep
%autosetup -p1

%build
%configure \
        --enable-openvz \
        --enable-vserver \
        --enable-hwloc \
        --enable-sensors \
        --enable-delayacct \
        --enable-capabilities

%make_build

%install
%make_install

%files
%doc README AUTHORS NEWS
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1*
