# we use the upstream version from http_parser.h as the SONAME
%define somajor 2
%define sominor 0

%define libname %mklibname %{name} %{somajor}
%define devname %mklibname -d %{name}

Name:           http-parser
Version:        2.9.4
Release:        %mkrel 4
Summary:        HTTP request/response parser for C
Group:          System/Libraries
License:        MIT
URL:            https://github.com/joyent/http-parser
Source0:	https://github.com/joyent/http-parser/archive/v%{version}/%{name}-%{version}.tar.gz
#Upstream
Patch1:		0001-Add-a-first-fuzzer-for-the-parser.patch
Patch2:		0002-Add-another-fuzzer-for-the-urls.patch
Patch3:		0003-Solaris-9-doesn-t-have-stdint.h-use-inttypes.h.patch
Patch4:		0004-Fix-test-numbers.patch
Patch5:		0005-Update-http_parser.content_length-doc-comment.patch
Patch6:		0006-Fix-Wsign-compare-warning.patch
Patch7:		0007-Test-Content-Length-header-parsing.patch
Patch8:		0008-Allow-Content-Length-and-Transfer-Encoding-chunked.patch
Patch9:		0009-Fix-sizeof-http_parser-assert.patch
Patch10:	0010-doc-add-maintenance-notice-to-readme.patch
# https://github.com/nodejs/http-parser/pull/483
Patch101:      0001-url-treat-empty-port-as-default.patch
# https://github.com/nodejs/http-parser/pull/530
# CVE-2020-8287
Patch102:	0001-http-unset-F_CHUNKED-on-new-Transfer-Encoding.patch
# https://github.com/nodejs/http-parser/pull/525
Patch103:	0001-Fix-sizeof-http_parser-assert-on-i386.patch
# Build shared library with SONAME using gyp and remove -O flags so optflags take over
# TODO: do this nicely upstream
Patch200:	http-parser-gyp-sharedlib.patch
BuildRequires:	gyp

%description
This is a parser for HTTP messages written in C. It parses both requests and
responses. The parser is designed to be used in performance HTTP applications.
It does not make any syscalls nor allocations, it does not buffer data, it can
be interrupted at anytime. Depending on your architecture, it only requires
about 40 bytes of data per message stream (in a web server that is per
connection).

%package -n %{libname}
Summary:	A parser for HTTP messages written in C
Group:		System/Libraries
# Do this provide as a temp fix for nodejs
Provides:	http-parser = %{version}-%{release}

%description -n %{libname}
This is a parser for HTTP messages written in C. It parses both requests and
responses. The parser is designed to be used in performance HTTP applications.
It does not make any syscalls nor allocations, it does not buffer data, it can
be interrupted at anytime. Depending on your architecture, it only requires
about 40 bytes of data per message stream (in a web server that is per
connection).

%package -n %{devname}
Group:		Development/C
Summary:	Development headers and libraries for http-parser
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Development headers and libraries for http-parser.

%prep
%autosetup -p1

%build
gyp -f make --depth=$(pwd) http_parser.gyp

%global buildtype Release
%set_build_flags
%make_build BUILDTYPE=%{buildtype}

%install
install -Dpm644 http_parser.h %{buildroot}%{_includedir}/http_parser.h

#install regular variant
install -Dpm755 out/%{buildtype}/lib.target/libhttp_parser.so.%{somajor} %{buildroot}%{_libdir}/libhttp_parser.so.%{somajor}.%{sominor}
ln -sf libhttp_parser.so.%{somajor}.%{sominor} %{buildroot}%{_libdir}/libhttp_parser.so.%{somajor}
ln -sf libhttp_parser.so.%{somajor}.%{sominor} %{buildroot}%{_libdir}/libhttp_parser.so

#install strict variant
install -Dpm755 out/%{buildtype}/lib.target/libhttp_parser_strict.so.%{somajor} %{buildroot}%{_libdir}/libhttp_parser_strict.so.%{somajor}.%{sominor}
ln -sf libhttp_parser_strict.so.%{somajor}.%{sominor} %{buildroot}%{_libdir}/libhttp_parser_strict.so.%{somajor}
ln -sf libhttp_parser_strict.so.%{somajor}.%{sominor} %{buildroot}%{_libdir}/libhttp_parser_strict.so

%check
export LD_LIBRARY_PATH='./out/%{buildtype}/lib.target'
./out/%{buildtype}/test-nonstrict
./out/%{buildtype}/test-strict

%files -n %{libname}
%doc AUTHORS
%{_libdir}/libhttp_parser.so.%{somajor}{,.*}
%{_libdir}/libhttp_parser_strict.so.%{somajor}{,.*}

%files -n %{devname}
%{_includedir}/*
%{_libdir}/libhttp_parser.so
%{_libdir}/libhttp_parser_strict.so
