Name:           httpie
Version:        3.2.3
Release:        %mkrel 2
Summary:        A Curl-like tool for humans

Group:          Networking/WWW
License:        BSD
URL:            https://httpie.io/
Source0:        https://pypi.io/packages/source/h/httpie/httpie-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)

# Needed so we can build the manpage with help2man without fataling.
BuildRequires:  python3-pygments
BuildRequires:  python3-requests
BuildRequires:  python3-setuptools
BuildRequires:  help2man

Provides:       python3-httpie = %{version}-%{release}
Obsoletes:      python3-httpie < %{version}-%{release}

%description
HTTPie is a CLI HTTP utility built out of frustration with existing tools. The
goal is to make CLI interaction with HTTP-based services as human-friendly as
possible.

HTTPie does so by providing an http command that allows for issuing arbitrary
HTTP requests using a simple and natural syntax and displaying colorized
responses.

%prep
%setup -q
sed -i '/#!\/usr\/bin\/env/d' %{name}/__main__.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name}

mkdir -p %{buildroot}%{_mandir}/man1
help2man --no-discard-stderr %{buildroot}%{_bindir}/http > %{buildroot}%{_mandir}/man1/http.1

%files -f %{pyproject_files}
%doc LICENSE
%{_bindir}/http
%{_bindir}/httpie
%{_bindir}/https
%{_mandir}/man1/http.1*
%{_mandir}/man1/https.1*
%{_mandir}/man1/httpie.1*
