Name:           httping
Version:        3.6
Release:        %mkrel 1
Summary:        Ping alike tool for http requests
Group:          Networking/Other
License:        GPLv2
Url:            https://github.com/folkertvanheusden/HTTPing/
Source0:        https://github.com/folkertvanheusden/HTTPing/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         httping-cmake-install.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  gettext

%description
Httping is like 'ping' but for http-requests.
Give it an url, and it'll show you how long it takes to connect,
send a request and retrieve the reply (only the headers). Be aware
that the transmission across the network also takes time!

%prep
%autosetup -p1 -n HTTPing-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install

%find_lang %{name}

%files -f %{name}.lang
%doc README.md
%license LICENSE
%{_mandir}/man*/%{name}*.*
%{_mandir}/*/*/%{name}*.*
%{_bindir}/%{name}
