%global app_root %{_datadir}/%{name}
%global gem_name hub

# https://fedoraproject.org/wiki/Packaging:SourceURL#Github
# For a number of reasons (immutability, availability, uniqueness), you must
# use the full commit revision hash when referring to the sources.
%global commit 6c63f562ba6024d4f9252aabbcb6253ced83229e
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Summary:        A command-line wrapper for git with github shortcuts
Name:           hub
Version:        2.14.2
Release:        %mkrel 1
Group:          Development/Tools
License:        MIT
URL:            https://hub.github.com/

# https://fedoraproject.org/wiki/Packaging:SourceURL#Github
# Keep in mind that github tarballs are generated on-demand, so their
# modification dates will vary and cause checksum tests to fail. Reviewers will
# need to use diff -r to verify the tarballs. 
Source0:        https://github.com/github/hub/archive/%{commit}/hub-%{commit}.tar.gz

BuildArch:      noarch

BuildRequires:  pkgconfig(ruby)
BuildRequires:  ruby-RubyGems
BuildRequires:  rubygem(rspec)

BuildRequires:  golang-bin
BuildRequires:  golang-libcrypto
BuildRequires:  golang-github-burntsushi-toml
## For the test suite.
#BuildRequires:  rubygem-minitest
#BuildRequires:  rubygem-webmock
#BuildRequires:  rubygem-bundler
#BuildRequires:  rubygem-rake>=10.1.1
#BuildRequires:  rubygem-cucumber
#BuildRequires:  tmux
#BuildRequires:  zsh

Requires:       ruby(rubygems)
Requires:       ruby(release)

%description
hub is a command line tool that wraps `git` in order to extend it with extra
features and commands that make working with GitHub easier.

    $ hub clone rtomayko/tilt

    # expands to:
    $ git clone git://github.com/rtomayko/tilt.git

%package doc
Summary:        API documentation for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}

%description doc
Documentation for %{name} generated by rdoc.

%prep
%setup -qn %{name}-%{commit}

%build

%install
%make_install

install -d -m 755 %{buildroot}%{_mandir}/man1/
cp -p man/hub.1* %{buildroot}%{_mandir}/man1/

# Tests are commented out for now since they require rubygem-rake>=10.1.1 which
# isn't available in rawhide yet.
#%%check
#./script/test

%files
%doc LICENSE README.md CONTRIBUTING.md
%{_bindir}/hub
%{_mandir}/man1/hub.*
%{gem_spec}
%{gem_instdir}
%exclude %{gem_cache}

%files doc
%{gem_docdir}

