%global commit 14e2fb468bc6e81a15385cb8f5944aeb6f507a36
%global forgeurl https://gitlab.com/AirVPN/hummingbird

%define openvpn3airvpn_v 3.8.2
%define asio_v 1-24-0

%forgemeta

Name:           hummingbird
Version:        1.2.1
Release:        %mkrel 3
Summary:        OpenVPN 3 client using AirVPN's OpenVPN 3 library fork
Group:          Networking/Other
License:        GPLv3 and AGPLv3
URL:            https://gitlab.com/AirVPN/hummingbird.git
Source0:        %{forgesource}
Source1:        openvpn3-airvpn-%{openvpn3airvpn_v}.tar.gz
#https://github.com/chriskohlhoff/asio/archive/refs/tags/asio-%%{asio_v}.tar.gz
Source2:        asio-asio-%{asio_v}.tar.gz
#to be run to get sources from Github
Source10:       hummingbird-tarballs.sh

Patch1:         hummingbird-1.2.1-patch-asio.patch
Patch2:         hummingbird-1.2.1-build-asio-only.patch
Patch3:         hummingbird-1.2.1-debug-flags.patch

BuildRequires:  git
BuildRequires:  lz4
BuildRequires:  xxhash
BuildRequires:  cmake(Boost)
BuildRequires:  cmake(libxml2)
BuildRequires:  pkgconfig(cryptopp)
BuildRequires:  pkgconfig(libcrypto)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(liblz4)
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(libzstd)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(zlib)

%description
Free and open source OpenVPN 3 client based on AirVPN's OpenVPN 3 library fork
with CHACHA20-POLY1305 support on both Data and Control Channel.

#-------------------------------------------------------------------------------#

%prep
%setup -q -T -n core -b 1
%setup -q -T -n asio-asio-%{asio_v} -b 2
%forgesetup

mv ../core .

%patch -P 1 -p1 -b .patch-asio
%patch -P 2 -p1 -b .asio-only
%patch -P 3 -p1 -b .build-with-mageia-flags

%build

%set_build_flags

export O3="$PWD/O3"
%{__mkdir_p} -p O3
export DEP_DIR="$O3/deps"
%{__mkdir_p} -p $DEP_DIR
export DL="$O3/dl"
%{__mkdir_p} -p $DL

mv %{_builddir}/asio-asio-%{asio_v} $DEP_DIR
mv ./core $O3

pushd $O3

# build OpenVPN3 core
pushd core/scripts/linux
./build-all
popd

popd

# move directories around for the client build script
mv $O3/core ./openvpn3-airvpn
mv $O3/deps/asio .

# build the client
./build.sh

%install
%{__install} -Dm755 hummingbird %{buildroot}/%{_bindir}/hummingbird


%files
%license LICENSE.md
%doc README.md
%{_bindir}/hummingbird
