%define languageenglazy Catalan
%define languagecode    ca
%define lc_ctype        ca_ES

Name:           hunspell-%{languagecode}
Version:        3.0.2
Release:        %mkrel 4
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            https://www.softcatala.org/wiki/Projectes/Corrector_ortogràfic
Source0:        https://github.com/Softcatala/catalan-dict-tools/archive/v3.0.2/%{name}-%{version}.tar.gz

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-ca
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-ca_AD = %{version}-%{release}
Provides:       hunspell-ca_FR = %{version}-%{release}
Provides:       hunspell-ca_IT = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-ca_AD = 2
Provides:       dictionary-ca_FR = 2
Provides:       dictionary-ca_IT = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} <= 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} <= 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} and Valenciano hunspell dictionaries.


%prep
%setup -q -c

%build
pushd catalan-dict-tools-%{version}

%install
pushd catalan-dict-tools-%{version}
install -D -m 0644 -p resultats/hunspell/catalan.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p resultats/hunspell/catalan.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff
install -D -m 0644 -p resultats/hunspell/catalan-valencia.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}-valencia.dic
install -D -m 0644 -p resultats/hunspell/catalan-valencia.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}-valencia.aff

#backward compatibility
%__mkdir_p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
    ln -s ../hunspell/%{lc_ctype}-valencia.dic %{lc_ctype}-valencia.dic
    ln -s ../hunspell/%{lc_ctype}-valencia.aff %{lc_ctype}-valencia.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc catalan-dict-tools-%{version}/LICENSE catalan-dict-tools-%{version}/README.md
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
