%define languageenglazy Kashubian
%define languagecode    csb
%define lc_ctype        csb_PL

%define upstream_version 20050311

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 18
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPL+
Group:          System/Internationalization 
URL:            http://borel.slu.edu/crubadan/apps.html
Source0:        https://ftp.gnu.org/gnu/aspell/dict/csb/aspell6-%{languagecode}-0.02-0.tar.bz2

BuildRequires:  aspell
BuildRequires:  hunspell

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-csb
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} <= 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-csb_CSB <= 1.0.3
Provides:       myspell-csb_CSB

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n aspell6-csb-0.02-0

%build
export LANG=%{lc_ctype}.utf8
preunzip %{languagecode}.cwl
wordlist2hunspell %{languagecode}.wl %{lc_ctype}
for i in Copyright doc/Crawler.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
install -D -m 0644 -p %{lc_ctype}.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p %{lc_ctype}.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc COPYING Copyright README doc/Crawler.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
