%define languageenglazy English
%define languagecode    en
%define lc_ctype        en_GB

%define git_version 2020.12.07
%define upstream_version 20201207

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 1
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+ and BSD
Group:          System/Internationalization
URL:            https://wordlist.sourceforge.net/
Source0:        https://github.com/en-wl/wordlist/archive/rel-%{git_version}/%{name}-%{version}.tar.gz
Source1:        http://en-gb.pyxidium.co.uk/dictionary/en_GB.zip
# Fedora patches
Patch0:         mozilla_words.patch
Patch1:         en_GB-singleletters.patch
Patch2:         en_GB.two_initial_caps.patch
Patch3:         en_US-strippedabbrevs.patch
Patch4:         hunspell-en-allow-non-typographical.marks.patch
Patch5:         hunspell-en-SI_and_IEC.patch
Patch6:         hunspell-en-calender.patch
Patch7:         en_IE.supplemental.patch
Patch8:         hunspell-en-dont-call-git-during-build.patch
Patch9:         en_GB.etc.patch

BuildRequires:  aspell
BuildRequires:  zip
BuildRequires:  dos2unix

BuildArch:      noarch

Recommends:     hunspell

Requires:       locales-en
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-en_AG = %{version}-%{release}
Provides:       hunspell-en_AU = %{version}-%{release}
Provides:       hunspell-en_BS = %{version}-%{release}
Provides:       hunspell-en_BW = %{version}-%{release}
Provides:       hunspell-en_BZ = %{version}-%{release}
Provides:       hunspell-en_DK = %{version}-%{release}
Provides:       hunspell-en_GH = %{version}-%{release}
Provides:       hunspell-en_HK = %{version}-%{release}
Provides:       hunspell-en_IE = %{version}-%{release}
Provides:       hunspell-en_IN = %{version}-%{release}
Provides:       hunspell-en_JM = %{version}-%{release}
Provides:       hunspell-en_NA = %{version}-%{release}
Provides:       hunspell-en_NG = %{version}-%{release}
Provides:       hunspell-en_NZ = %{version}-%{release}
Provides:       hunspell-en_SG = %{version}-%{release}
Provides:       hunspell-en_TT = %{version}-%{release}
Provides:       hunspell-en_ZA = %{version}-%{release}
Provides:       hunspell-en_ZW = %{version}-%{release}
Provides:       hunspell-en_PH = %{version}-%{release}
# Needed for LibreOffice:
Provides:       hunspell-en-US = %{version}-%{release}
Provides:       hunspell-en_US = %{version}-%{release}
Provides:       hunspell-en_CA = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-en_AG = 2
Provides:       dictionary-en_AU = 2
Provides:       dictionary-en_BS = 2
Provides:       dictionary-en_BW = 2
Provides:       dictionary-en_BZ = 2
Provides:       dictionary-en_DK = 2
Provides:       dictionary-en_GH = 2
Provides:       dictionary-en_HK = 2
Provides:       dictionary-en_IE = 2
Provides:       dictionary-en_IN = 2
Provides:       dictionary-en_JM = 2
Provides:       dictionary-en_NA = 2
Provides:       dictionary-en_NG = 2
Provides:       dictionary-en_NZ = 2
Provides:       dictionary-en_SG = 2
Provides:       dictionary-en_TT = 2
Provides:       dictionary-en_ZA = 2
Provides:       dictionary-en_ZW = 2
Provides:       dictionary-en_PH = 2
Provides:       dictionary-en_US = 2
Provides:       dictionary-en_CA = 2
#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}
Obsoletes:      myspell-en_AU < 1.0.3
Provides:       myspell-en_AU
Obsoletes:      myspell-en_CA < 1.0.3
Provides:       myspell-en_CA
Obsoletes:      myspell-en_NZ < 1.0.3
Provides:       myspell-en_NZ
Obsoletes:      myspell-en_US < 1.0.3
Provides:       myspell-en_US
Obsoletes:      myspell-en_ZA < 1.0.3
Provides:       myspell-en_ZA

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n wordlist-rel-%{git_version}
%setup -q -T -D -a 1 -n wordlist-rel-%{git_version}
%patch -P 0 -p0 -b .mozilla
%patch -P 1 -p1 -b .singleletters
%patch -P 2 -p1 -b .two_initial_cap
%patch -P 3 -p0 -b .strippedabbrevs
%patch -P 4 -p0 -b .allow-non-typographical
%patch -P 5 -p0 -b .SI_and_IEC
%patch -P 6 -p1 -b .calender
%patch -P 7 -p1 -b .en_IE
%patch -P 8 -p1 -b .nogit
%patch -P 9 -p1 -b .etc

%build
make
cd scowl/speller
make hunspell
for i in README_en_CA.txt README_en_US.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
# Copy the omitted en_US and the omitted en_CA dictionaries into . (resolve mga#4338)
for dicts in `echo scowl/speller/en_*.{aff,dic}` 
do
    cp $dicts `basename $dicts`
done

for lang in `echo en_*.dic`
do
    lang=`echo $lang|sed -r 's@.*/@@g'|sed -r 's@\..*@@g'`
    install -D -m 0644 -p $lang.dic %{buildroot}%{_datadir}/hunspell/$lang.dic
    install -D -m 0644 -p $lang.aff %{buildroot}%{_datadir}/hunspell/$lang.aff
done

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    for lang in ../hunspell/en_??.dic
    do
        lang=`echo $lang|sed -r 's@.*/@@g'|sed -r 's@\..*@@g'`
        ln -s ../hunspell/$lang.dic $lang.dic
        ln -s ../hunspell/$lang.aff $lang.aff
    done
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_en_GB.txt scowl/speller/README_en_CA.txt scowl/speller/README_en_US.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
