%define languageenglazy Esperanto
%define languagecode    eo
%define lc_ctype        eo

%define upstream_release 0.3.dev
%define rel             14

Name:           hunspell-%{languagecode}
Version:        1.0
Release:        %mkrel %{upstream_release}.%{rel}
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv3
Group:          System/Internationalization
URL:            https://extensions.services.openoffice.org/project/literumilo
Source0:        https://extensions.services.openoffice.org/files/3377/1/1.0-dev.oxt

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-eo
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       dictionary-%{languagecode}
#Provides:       dictionary-%{lc_ctype}
#for Esperanto lc_ctype = languagecode
#Provides:       hunspell-%{lc_ctype} = %{version}-%{release}

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-eo_EO < 1.0.3
Provides:       myspell-eo_EO

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.

%prep
%setup -q -c

%build
chmod -x *.{dic,aff}

%install
#readme, license
echo "Spell-checking dictionary for Esperanto developed by Marek Blahuš in the E@I organization, funded by Esperantic Studies Foundation and the Students' Research and Development Projects scholarship of the Faculty of Informatics of the Masaryk University (project no. MUNI33/212008)." > README_%{lc_ctype}.txt

#hunspell dictionaries
install -D -m 0644 -p literumilo.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p literumilo.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_%{lc_ctype}.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
