%define languageenglazy Spanish
%define languagecode    es
%define lc_ctype        es_ES

Name:           hunspell-%{languagecode}
Version:        2.4
Release:        %mkrel 3
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv3+ or GPLv3+ or MPLv1.1
Group:          System/Internationalization
URL:            https://github.com/sbosio/rla-es/
Source0:        https://github.com/sbosio/rla-es/releases/download/v%{version}/es_ANY.oxt#/%{name}-%{version}.oxt

BuildArch:      noarch

Recommends:     hunspell

Requires:       locales-es
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-es_AR = %{version}-%{release}
Provides:       hunspell-es_BO = %{version}-%{release}
Provides:       hunspell-es_CL = %{version}-%{release}
Provides:       hunspell-es_CO = %{version}-%{release}
Provides:       hunspell-es_CR = %{version}-%{release}
Provides:       hunspell-es_CU = %{version}-%{release}
Provides:       hunspell-es_DO = %{version}-%{release}
Provides:       hunspell-es_EC = %{version}-%{release}
Provides:       hunspell-es_GT = %{version}-%{release}
Provides:       hunspell-es_HN = %{version}-%{release}
Provides:       hunspell-es_MX = %{version}-%{release}
Provides:       hunspell-es_NI = %{version}-%{release}
Provides:       hunspell-es_PA = %{version}-%{release}
Provides:       hunspell-es_PE = %{version}-%{release}
Provides:       hunspell-es_PR = %{version}-%{release}
Provides:       hunspell-es_PY = %{version}-%{release}
Provides:       hunspell-es_SV = %{version}-%{release}
Provides:       hunspell-es_US = %{version}-%{release}
Provides:       hunspell-es_UY = %{version}-%{release}
Provides:       hunspell-es_VE = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-es_AR = 2
Provides:       dictionary-es_BO = 2
Provides:       dictionary-es_CL = 2
Provides:       dictionary-es_CO = 2
Provides:       dictionary-es_CR = 2
Provides:       dictionary-es_CU = 2
Provides:       dictionary-es_DO = 2
Provides:       dictionary-es_EC = 2
Provides:       dictionary-es_GT = 2
Provides:       dictionary-es_HN = 2
Provides:       dictionary-es_MX = 2
Provides:       dictionary-es_NI = 2
Provides:       dictionary-es_PA = 2
Provides:       dictionary-es_PE = 2
Provides:       dictionary-es_PR = 2
Provides:       dictionary-es_PY = 2
Provides:       dictionary-es_SV = 2
Provides:       dictionary-es_US = 2
Provides:       dictionary-es_UY = 2
Provides:       dictionary-es_VE = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode} = %{version}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype} = %{version}
Obsoletes:      myspell-es_MX < 1.0.3
Provides:       myspell-es_MX = %{version}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p es_ANY.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p es_ANY.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    for lang in ../hunspell/*.dic
    do
        lang=`echo $lang|sed -r 's@.*/@@g'|sed -r 's@\..*@@g'`
        ln -s ../hunspell/$lang.dic $lang.dic
        ln -s ../hunspell/$lang.aff $lang.aff
    done
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README.txt Changelog.txt GPLv3.txt MPL-1.1.txt LGPLv3.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
