# In case of version update of this package, update also hyphen-et - it's the same source

%define languageenglazy Estonian
%define languagecode    et
%define lc_ctype        et_EE

%define upstream_version 20030606

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 21
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+ and LPPL
Group:          System/Internationalization
URL:            http://www.meso.ee/~jjpp/speller/
Source0:        http://www.meso.ee/~jjpp/speller/ispell-et_%{upstream_version}.tar.gz

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-et
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} <= 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-et_EE <= 1.0.3
Provides:       myspell-et_EE

%rename         hunspell-ee

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n ispell-et-%{upstream_version}

%build

%install
install -D -m 0644 -p latin-1/*.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p latin-1/et_*.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README COPYRIGHT ChangeLog
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
