%define languageenglazy Farsi
%define languagecode    fa
%define lc_ctype        fa_IR

%define upstream_version 20070116

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 17
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPL+
Group:          System/Internationalization
URL:            http://aspell.net/
Source0:        https://ftp.gnu.org/gnu/aspell/dict/fa/aspell6-fa-0.11-0.tar.bz2

BuildRequires:  aspell
BuildRequires:  pkgconfig(hunspell)
BuildRequires:  hunspell

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-fa
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}
Obsoletes:      myspell-fa_FA < 1.0.3
Provides:       myspell-fa_FA

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n aspell6-fa-0.11-0

%build
export LANG=fa_IR.utf8
preunzip -d *.cwl
cat *.wl > farsi.wordlist
wordlist2hunspell farsi.wordlist fa_IR

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc COPYING Copyright doc/README doc/ChangeLog
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
