%define languageenglazy French
%define languagecode    fr
%define lc_ctype        fr_FR

Name:           hunspell-fr
Version:        6.3
Release:        %mkrel 4
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2 or LGPLv2 or MPLv1.1
Group:          System/Internationalization
URL:            https://www.dicollecte.org/home.php?prj=fr
Source0:        https://www.dicollecte.org/download/fr/hunspell-french-dictionaries-v%version.zip

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-fr
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-fr_BE = %{version}-%{release}
Provides:       hunspell-fr_CA = %{version}-%{release}
Provides:       hunspell-fr_CH = %{version}-%{release}
Provides:       hunspell-fr_LU = %{version}-%{release}
Provides:       hunspell-fr_MC = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-fr_BE = 2
Provides:       dictionary-fr_CA = 2
Provides:       dictionary-fr_CH = 2
Provides:       dictionary-fr_LU = 2
Provides:       dictionary-fr_MC = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}
Obsoletes:      myspell-fr_BE < 1.0.3
Provides:       myspell-fr_BE

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c %{name}-%{version}

%build
chmod 0644 README_*.txt

%install
install -D -m 0644 -p %{languagecode}-toutesvariantes.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p %{languagecode}-toutesvariantes.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    for lang in ../hunspell/*.dic
    do
        lang=`echo $lang|sed -r 's@.*/@@g'|sed -r 's@\..*@@g'`
        ln -s ../hunspell/$lang.dic $lang.dic
        ln -s ../hunspell/$lang.aff $lang.aff
    done
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_*.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
