%define languageenglazy Icelandic
%define languagecode    is
%define lc_ctype        is_IS

%define upstream_version 20160314

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 14
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            https://github.com/nifgraup/hunspell-is/
Source0:        https://github.com/nifgraup/hunspell-is/archive/master/%{name}-%{version}.tar.gz
Source1:	https://dumps.wikimedia.org/iswiktionary/latest/iswiktionary-latest-pages-articles.xml.bz2

Patch0:		hunspell-is-0.20160314.1-mythes-path.patch

BuildRequires:	pkgconfig(mythes)
BuildRequires:	pkgconfig(python3)
BuildRequires:	hunspell
BuildRequires:	ed
BuildRequires:	gawk
BuildRequires:	bzip2
BuildRequires:	python3
BuildRequires:	python3dist(mwparserfromhell)
BuildRequires:	coreutils
BuildRequires:	locales-is

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-is
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n %{name}-master
%autopatch -p1

cp %{SOURCE1} .

%build
export PYTHONIOENCODING=utf-8
export LC_ALL='%{lc_ctype}.utf8'
%__make

%install
install -D -m 0644 -p dicts/is*.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p dicts/is*.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README.md
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
