%define languageenglazy Italian
%define languagecode    it
%define lc_ctype        it_IT

%define upstream_version 20070901

Name:           hunspell-%{languagecode}
Version:        2.4
Release:        %mkrel 0.6.%{upstream_version}.13
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv3+
Group:          System/Internationalization
URL:            https://linguistico.sourceforge.net/
Source0:        https://downloads.sourceforge.net/sourceforge/linguistico/italiano_2_4_2007_09_01.zip
Patch0:         %{name}-sf2994177.cleandic.patch

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-it
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-it_CH = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-it_CH = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c
%autopatch -p0

%build
chmod -x *.*

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc it_IT_README.txt it_IT_COPYING it_IT_AUTHORS it_IT_license.txt it_IT_notes.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
