%define languageenglazy Korean
%define languagecode    ko
%define lc_ctype        ko_KR

Name:           hunspell-%{languagecode}
Version:        0.7.92
Release:        %mkrel 5
Summary:        %{languageenglazy} hunspell dictionaries
License:        MPLv1.1 or GPLv2 or LGPLv2
Group:          System/Internationalization
URL:            https://github.com/spellcheck-ko/hunspell-dict-ko/
Source0:        https://github.com/spellcheck-ko/hunspell-dict-ko/archive/%{version}.tar.gz

BuildRequires:  python3-lxml
BuildRequires:  python3-yaml
BuildRequires:  hunspell
BuildRequires:  locales-en

BuildArch:      noarch

Recommends:     hunspell

Requires:       locales-ko
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2
Provides:       dictionary-%{lc_ctype} = 2

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n hunspell-dict-ko-%{version}

%build
%make_build

%install
install -D -m 0644 -p ko.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p ko.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%check
export LC_ALL=UTF-8
rm -r tests/009-auxiliary-verb.test
%__make test

%files
%doc README.md
%license LICENSE.md LICENSE.LGPL-2.1 LICENSE.MPL-1.1 LICENSE.GPL-3 LICENSE.GPL-2
%license LICENSE.CC-BY-SA-4.0 LICENSE.CC-BY-SA-2.0-KR LICENSE.CC-BY-4.0
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
