%define languageenglazy Polish
%define languagecode    pl
%define lc_ctype        pl_PL

%define upstream_version 20240301

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 1
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+ or GPL+ or MPLv1.1 or CC-BY-SA
Group:          System/Internationalization
URL:            https://sjp.pl/slownik/en/
Source0:        https://sjp.pl/slownik/ort/sjp-myspell-pl-%{upstream_version}.zip

BuildArch:      noarch

Recommends:     hunspell

Requires:       locales-pl
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
unzip %{lc_ctype}.zip

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_pl_PL.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
