%define languageenglazy Slovenian
%define languagecode    sl
%define lc_ctype        sl_SI

%define upstream_version 20151225

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 17
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+
Group:          System/Internationalization
URL:            https://extensions.openoffice.org/en/project/slovenian-dictionary-package-slovenski-paket-slovarjev
Source0:        https://sourceforge.net/projects/aoo-extensions/files/3280/10/pack-sl.oxt#/%{name}-%{version}.oxt

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-sl
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p %{lc_ctype}.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p %{lc_ctype}.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README*
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
