# In case of update this package, update also hyphen-sr, it's the same source

%define languageenglazy Serbian
%define languagecode    sr
%define lc_ctype        sr_RS

%define upstream_version 20130715

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 4
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+
Group:          System/Internationalization
URL:            https://extensions.openoffice.org/en/project/serbian-cyrillic-and-latin-spelling-and-hyphenation
Source0:        https://sourceforge.net/projects/aoo-extensions/files/1572/9/dict-sr.oxt#/%{name}-%{version}.oxt

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-sr
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-sr_ME = %{version}-%{release}
Provides:       hunspell-sh_RS = %{version}-%{release}
Provides:       hunspell-sh_ME = %{version}-%{release}
Provides:       hunspell-bs_BA = %{version}-%{release}
Provides:       hunspell-bs = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-sr_ME = 2
Provides:       dictionary-sh_RS = 2
Provides:       dictionary-sh_ME = 2
Provides:       dictionary-bs_BA = 2
Provides:       dictionary-bs = 2

#MySpell is deprecated
# seems there is nothing to obsolete
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p sr.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p sr.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

install -D -m 0644 -p sr-Latn.dic %{buildroot}%{_datadir}/hunspell/sh_RS.dic
install -D -m 0644 -p sr-Latn.aff %{buildroot}%{_datadir}/hunspell/sh_RS.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff

    ln -s ../hunspell/sh_RS.dic sh_RS.dic
    ln -s ../hunspell/sh_RS.aff sh_RS.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc registration/license*.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*
