%define major		0
%define api		1.7
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname %{name} -d

Summary:	Spell checker and morphological analyzer library
Name:		hunspell
Version:	1.7.2
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Internationalization
Url:		https://hunspell.github.io/
Source0:	https://github.com/hunspell/hunspell/releases/download/v%{version}/hunspell-%{version}.tar.gz
Patch0:		0001-Resolves-rhbz-2158548-allow-longer-words-for-hunspel.patch
# (tpg) Mdv's specific path to myspell dictionaries
Patch10:	%{name}-1.3.4-dict-path.patch
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	bison
BuildRequires:	libtool

Recommends:	hunspell-dictionary

%description
Hunspell is a spell checker and morphological analyzer library
and program designed for languages with rich morphology and complex
word compounding or character encoding.


%package -n	%{libname}
Summary:	Shared libraries for hunspell
Group:		System/Libraries
Provides:	libhunspell = %{version}-%{release}
Recommends:	hunspell-dictionary

%description -n	%{libname}
Shared libraries for hunspell.


%package -n	%{develname}
Summary:	Development files for hunspell
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Development files and headers for hunspell.


%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure \
	--disable-static \
	--with-ui \
	--with-readline \
	--disable-rpath
%make_build
cd po && make %{?_smp_mflags} update-gmo && cd ..


%check
make check

%install
%make_install

%find_lang %{name} --with-man

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_mandir}/man5/*

%files -n %{libname}
%{_libdir}/*%{api}.so.%{major}{,.*}

%files -n %{develname}
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
