%define major     23
%define libname   %mklibname hd %{major}
%define develname %mklibname hd -d

Name:           hwinfo
Version:        23.2
Release:        %mkrel 1
Summary:        Hardware Library
License:        GPLv2+
Group:          System/Kernel and hardware
URL:            https://github.com/openSUSE/hwinfo/
Source:         https://github.com/openSUSE/hwinfo/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  doxygen
BuildRequires:  flex
BuildRequires:  perl(XML::Parser)
BuildRequires:  perl(XML::Writer)
BuildRequires:  udev
BuildRequires:  git-core
BuildRequires:  pkgconfig(uuid)
%ifarch %{ix86} x86_64
BuildRequires:  libx86emu-devel
%endif

Patch0:         remove-git2log-and-references.patch

%description
A simple program that lists results from the hardware detection
library.

%package -n	%{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries

%description -n	%{libname}
This library collects information about the hardware installed on a
system.

%package -n	%{develname}
Summary:        Devel files for %{name}
Group:          Development/Other
Requires:	%{name} = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libhd-devel = %{version}-%{release}

%description -n	%{develname}
This package provides the devel files for %{name}.

%prep
%setup -q
%autopatch -p1
echo  %{version} > VERSION

%build
%__make LIBDIR=%{_libdir} RPM_OPT_FLAGS="%{optflags}"
%__make doc

%install
%make_install LIBDIR=%{_libdir}

install -d -m 755 %{buildroot}%{_mandir}/man8
install -m 644 doc/hwinfo.8 %{buildroot}%{_mandir}/man8
mkdir -p %{buildroot}%{_var}/lib/hardware/udi

%files
%doc README.md README-hwprobe.md README-legacy.md
%{_sbindir}/hwinfo
%{_sbindir}/mk_isdnhwdb
%{_sbindir}/getsysinfo
%{_mandir}/man8/*
%dir %{_localstatedir}/lib/hardware
%dir %{_localstatedir}/lib/hardware/udi
%dir %{_datadir}/hwinfo
%{_datadir}/hwinfo/*

%files -n %{libname}
%{_libdir}/libhd.so.%{major}{,.*}

%files -n %{develname}
%doc doc/libhd/html
%{_sbindir}/check_hd
%{_sbindir}/convert_hd
%{_libdir}/libhd.so
%{_libdir}/pkgconfig/hwinfo.pc
%{_includedir}/hd.h
