%define         hxsysname        %{name}-system
%define         hxgitname        %{name}-git
%define         hxutilsname      %{name}-utils
%define         hxsoundname      %{name}-sound
%define         hxvideoname      %{name}-video
%define         hxextractname    %{name}-extract


Name:           hxtools
Version:        20231224
Release:        %mkrel 1
Summary:        A collection of several multipurpose scripts and tools
License:        GPLv2+
Group:          File tools
URL:            https://inai.de/projects/hxtools/
Source0:        https://inai.de/files/hxtools/hxtools-%{version}.tar.zst
Source1:        https://inai.de/files/hxtools/hxtools-%{version}.tar.asc

BuildRequires:  pkgconfig(libHX)
BuildRequires:  pkgconfig(libcap)
BuildRequires:  pkgconfig(mount)
BuildRequires:  pkgconfig(libpci)
BuildRequires:  pkgconfig(xcb)

Requires:       mc

# vfontas has been split off to a new project, consoleet-utils
Provides:       %{name}-fonts = %{version}-%{release}
Obsoletes:      %{name}-fonts < 20221120-2

%description
A collection of multipurpose scripts and tools by the developer Jan
Engelhardt (https://inai.de/) used in other projects.



%package -n %{hxsysname}
License:  LGPLv2+
Summary:  Hxtools scripts and binaries dedicated to system
Group:    System/Configuration
Requires: wdiff
Requires: sudo

%description -n %{hxsysname}
%{summary}.



%package -n %{hxgitname}
License:  GPLv2+
Summary:  Hxtools utilities dedicated to git
Group:    Development/Tools
Requires: git
Requires: perl
Requires: less
Requires: coreutils

%description -n %{hxgitname}
%{summary}.




%package -n %{hxutilsname}
License:  GPLv2+
Summary:  The hxtools scripts and tools
Group:    File tools
Requires: perl
Requires: tar
Requires: gzip
Requires: xz
Requires: bzip2
Requires: lzip
Requires: fontforge
Requires: xterm

%description -n %{hxutilsname}
%{summary}.




%package -n %{hxsoundname}
License:  GPLv2+
Summary:  Hxtools scripts and binaries for audio processing
Group:    Sound/Editors and Converters
Requires: perl
Requires: ossp
Requires: TiMidity++

%description -n %{hxsoundname}
%{summary}.


%package -n %{hxvideoname}
License:  GPLv2+
Summary:  Hxtools scripts and binaries for video processing
Group:    Video/Editors and Converters
Requires: perl
Requires: ffmpeg

%description -n %{hxvideoname}
%{summary}.



%package -n %{hxextractname}
License:  GPLv2+
Summary:  Hxtools scripts and binaries for game packaging
Group:    Games/Other
Requires: perl

%description -n %{hxextractname}
%{summary}.





%prep
%setup -q

%build
%configure --disable-silent-rules
%make_build

%install
%make_install

#already provided by man
%__rm %{buildroot}%{_bindir}/man2html
%__rm %{buildroot}%{_mandir}/man1/man2html.1*

#no corresponding binary
%__rm %{buildroot}%{_mandir}/man8/xfs_irecover.8*

%files
%doc doc/changelog.rst kbd/README
%license LICENSE.GPL2 LICENSE.GPL3 LICENSE.MIT LICENSES.txt
%config(noreplace) %{_sysconfdir}/hxloginpref.conf
%dir %{_libexecdir}/hxtools
%{_libexecdir}/hxtools/doxygen-kerneldoc-filter
%dir %{_datadir}/hxtools
%{_datadir}/hxtools/hx*
%{_datadir}/hxtools/rfc*
%{_datadir}/hxtools/*.theme
%{_datadir}/hxtools/gdb*
%{_datadir}/hxtools/*.mim
%{_datadir}/kbd/
%{_mandir}/man7/hxtools.7*



%files -n %{hxsysname}
%{_bindir}/declone
%{_bindir}/ofl
%{_bindir}/pmap_dirty
%{_bindir}/su1
%{_bindir}/sysinfo
%{_bindir}/xcp
%{_bindir}/proc_*
%{_bindir}/xmlformat
%{_libexecdir}/hxtools/clock_info
#{_libexecdir}/hxtools/cctypeinfo
%{_libexecdir}/hxtools/fd0ssh
%{_libexecdir}/hxtools/psthreads
%{_libexecdir}/hxtools/logontime
%{_libexecdir}/hxtools/hxnetload
%{_libexecdir}/hxtools/paddrspacesize
%{_libexecdir}/hxtools/proc*
#{_libexecdir}/hxtools/utmp_register
#{_mandir}/man1/cctypeinfo.1*
%{_mandir}/man1/clock_info.1*
%{_mandir}/man1/declone.1*
%{_mandir}/man1/fd0ssh.1*
%{_mandir}/man1/ofl.1*
%{_mandir}/man1/psthreads.1*
%{_mandir}/man1/sysinfo.1*
%{_mandir}/man1/xcp.1*
%{_mandir}/man8/hxnetload.8*
%{_mandir}/man8/logontime.8*
#{_mandir}/man8/utmp_register.8*



%files -n %{hxgitname}
%{_bindir}/git-*
%{_bindir}/pesubst
%{_bindir}/gh-trim-workflowruns
%{_datadir}/hxtools/gitconfig
%{_mandir}/man1/pesubst.1*
%{_mandir}/man1/git-author-stat.1*
%{_mandir}/man1/git-forest.1*
%{_mandir}/man1/git-revert-stats.1*
%{_mandir}/man1/git-track.1*



%files -n %{hxutilsname}
%{_bindir}/bin2c
%{_bindir}/checkbrack
%{_bindir}/cwdiff
%{_bindir}/fxterm
%{_bindir}/gxxdm
%{_bindir}/qtar
%{_bindir}/qpdecode
%{_bindir}/pegrep
%{_bindir}/rot13
%{_bindir}/spec-beautifier
%{_bindir}/tailhex
%{_bindir}/wktimer
%{_libexecdir}/hxtools/ldif-*
%{_libexecdir}/hxtools/diff2php
%{_libexecdir}/hxtools/mailsplit
%{_libexecdir}/hxtools/peicon
%{_libexecdir}/hxtools/recursive_lower
%{_libexecdir}/hxtools/rezip
%{_libexecdir}/hxtools/sourcefuncsize
%{_libexecdir}/hxtools/vcsaview
%{_mandir}/man1/bin2c.1*
%{_mandir}/man1/checkbrack.1*
%{_mandir}/man1/cwdiff.1*
%{_mandir}/man1/diff2php.1*
%{_mandir}/man1/fxterm.1*
%{_mandir}/man1/ldif-duplicate-attrs.1*
%{_mandir}/man1/mailsplit.1*
%{_mandir}/man1/peicon.1*
%{_mandir}/man1/pegrep.1*
%{_mandir}/man1/qtar.1*
%{_mandir}/man1/rot13.1*
%{_mandir}/man1/recursive_lower.1*
%{_mandir}/man1/rezip.1*
%{_mandir}/man1/spec-beautifier.1*
%{_mandir}/man1/sourcefuncsize.1*
%{_mandir}/man1/tailhex.1*
%{_mandir}/man8/vcsaview.8*
%{_mandir}/man1/wktimer.1*



%files -n %{hxsoundname}
%{_bindir}/aumeta
%{_bindir}/gpsh
%{_bindir}/hcdplay
%{_bindir}/mkvappend
%{_bindir}/bsvplay
%{_bindir}/mod2opus
%{_bindir}/pcmdiff
%{_bindir}/pcmmix
%{_bindir}/qplay
%{_mandir}/man1/gpsh.1*
%{_mandir}/man1/bsvplay.1*
%{_mandir}/man1/hcdplay.1*
%{_mandir}/man1/mod2opus.1*
%{_mandir}/man1/pcmdiff.1*
%{_mandir}/man1/pcmmix.1*
%{_mandir}/man1/qplay.1*
%{_mandir}/man1/aumeta.1*



%files -n %{hxvideoname}
%{_bindir}/ssa2srt
%{_mandir}/man1/ssa2srt.1*



%files -n %{hxextractname}
%{_bindir}/extract_*
%{_mandir}/man1/extract*.1*


