Name:		hydra
Version:	9.5
Release:	%mkrel 1
Summary:	Network logon cracker
License:	GPLv3
Group:		Security
URL:		https://github.com/vanhauser-thc/thc-hydra
Source0:	https://github.com/vanhauser-thc/thc-hydra/archive/thc-hydra-%{version}.tar.gz
Source1:	xhydra.desktop
# Upstream provides non-transparent jpeg
Source2:	xhydra.png
BuildRequires:	subversion-devel
BuildRequires:	mysql-devel
BuildRequires:	postgresql-devel
BuildRequires:	ncpfs-devel
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	pkgconfig(fbclient)
BuildRequires:	pkgconfig(libssh)
BuildRequires:	pkgconfig(libidn)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(smbclient)
BuildRequires:	pkgconfig(freerdp2)

%description
A very fast network logon cracker which support many different services.

%package gui
Summary:	GUI for %{name}
License:	GPLv3
Group:		Security
Requires:	%{name} = %{version}-%{release}

%description gui
GUI for %{name}.

%prep
%setup -q -n thc-hydra-%{version}
chmod 644 LICENSE

%build
%configure --nostrip
%make_build

%install
make install DESTDIR="%{buildroot}" PREFIX="" BINDIR="%{_bindir}" MANDIR="%{_mandir}/man1" DATADIR="%{_datadir}/%{name}"  PIXDIR="%{_datadir}/pixmaps" APPDIR="%{_datadir}/applications"

mkdir -p %{buildroot}%{_datadir}/{applications,pixmaps}
install -m 644 -p %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE1};

%files
%doc CHANGES README
%license LICENSE*
%{_bindir}/hydra
%{_bindir}/pw-inspector
%{_bindir}/hydra-wizard.sh
%{_bindir}/dpl4hydra.sh
%{_mandir}/man1/hydra.1*
%{_mandir}/man1/pw-inspector.1*
%{_datadir}/%{name}/

%files gui
%{_bindir}/xhydra
%{_mandir}/man1/xhydra.1*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
