# comment out when not pre-release
#define prel    rc1

%define rel     1

Name:           hydrogen
Version:        1.2.4
Release:        %mkrel %{?prel:0.%prel.}%{rel}
Summary:        An advanced Drum Machine
License:        GPLv2+
Group:          Sound/Utilities
URL:            http://hydrogen-music.org/
# make-tarball2 hydrogen git://github.com/hydrogen-music/hydrogen.git
Source0:        https://github.com/hydrogen-music/hydrogen/archive/%{version}%{?prel:-%{prel}}/%{name}-%{version}%{?prel:-%{prel}}.tar.gz
Patch1:         0001-cli_fix-LASH-support.patch
Source1:        make-tarball2

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  ladspa-devel
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5XmlPatterns)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(audiofile)
BuildRequires:  pkgconfig(cppunit)
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(flac++)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(lash-1.0)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(liblo)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(lrdf)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(portmidi)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(rubberband)

Requires:       rubberband

%description
Hydrogen is an advanced drum machine for GNU/Linux. Its main goal is to bring
professional yet simple and intuitive pattern-based drum programming.

%files
%doc AUTHORS ChangeLog README.md
%license COPYING
%{_bindir}/%{name}
%{_bindir}/h2cli
%{_bindir}/h2player
%{_libdir}/lib%{name}-core-%{version}.so
%{_datadir}/%{name}/
%{_datadir}/applications/org.hydrogenmusic.Hydrogen.desktop
%{_metainfodir}/org.hydrogenmusic.Hydrogen.metainfo.xml
%{_iconsdir}/hicolor/scalable/apps/org.hydrogenmusic.Hydrogen.svg
%{_mandir}/man1/%{name}.1.*

#--------------------------------------------------------------------

%package        devel
Summary:        Hydrogen header files
Group:          Sound/Utilities
Requires:       %{name} = %{version}-%{release}

%description    devel
Header files for the hydrogen drum machine.

%files devel
%{_includedir}/%{name}/

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{version}%{?prel:-%{prel}}

%build
%cmake_qt5 \
        -DWANT_LASH=ON \
        -DWANT_LRDF=ON \
        -DWANT_PORTAUDIO=ON \
        -DWANT_PORTMIDI=ON

%cmake_build

%install
%cmake_install

# No need to package these:
rm -f %{buildroot}%{_datadir}/hydrogen/data/doc/{Makefile,README}* \
      %{buildroot}%{_datadir}/hydrogen/data/doc/*.{docbook,po,pot}
