%define major		7
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

%define faxspool	%{_var}/spool/fax

Summary:	An enterprise-strength fax server
Name:		hylafax+
Version:	7.0.10
Release:	%mkrel 1
License: 	libtiff and BSD with advertising
Group:		Communications/Fax
URL: 		https://hylafax.sourceforge.io/
Source0:	https://prdownloads.sourceforge.net/hylafax/hylafax-%{version}.tar.gz
Source1:	hylafax+_daily.cron
Source2:	hylafax+_hourly.cron
Source3:	hylafax+_hfaxd_systemd.service
Source4:	hylafax+_faxq_systemd.service
Source5:        hylafax+_faxgetty_systemd.service
Source6:	hylafax+_sysconfig
Source7: 	%{name}-hfaxd-tmpfiles.conf
Source8: 	%{name}-faxq-tmpfiles.conf
Patch0:		%{name}-soname.patch
Patch1:		%{name}-libversion.patch

BuildRequires:	ghostscript >= 7.07
BuildRequires:	jbig-devel
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	libpam-devel
BuildRequires:	pkgconfig(libtiff-4) >= 3.5.7
BuildRequires:	libtiff-progs >= 3.5.7
BuildRequires:	openldap-devel
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	mgetty
BuildRequires:	sendmail-command
BuildRequires:	sharutils
BuildRequires:	pkgconfig(zlib)
Requires:	%{name}-client = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	ghostscript >= 7.07
Requires:	gawk >= 3.0.6
Requires:	MailTransportAgent
Requires:	libtiff-progs >= 3.5.7
Requires:	mgetty
Requires(pre):    rpm-helper >= %{rpmhelper_required_version}
Requires(post):   rpm-helper >= %{rpmhelper_required_version}
Requires(preun):  rpm-helper >= %{rpmhelper_required_version}
Requires(postun): rpm-helper >= %{rpmhelper_required_version}
Provides:	hylafax = %{version}-%{release}
# We need to obsolete both, the rpm and the srpm
Obsoletes:	hylafax-server < 1:%{version}-%{release}
Obsoletes:	hylafax < 1:%{version}-%{release}
Conflicts:	mgetty-sendfax


%description
HylaFAX(tm) is a sophisticated enterprise-strength fax package for class 1 and
2 fax modems on unix systems. It provides spooling services and numerous
supporting fax management tools. The fax clients may reside on machines
different from the server and client implementations exist for a number of
platforms including windows.


%package	client
Summary: 	Client programs for HylaFAX fax servers
Group:		Communications/Fax
Provides:	hylafax-client = %{version}-%{release}
Obsoletes:	hylafax-client < 1:%{version}-%{release}
Requires(post): rpm-helper
Requires(preun): rpm-helper
Conflicts:	hylafax < 5.5.5-1
Conflicts:	mgetty-sendfax


%description	client
HylaFAX(tm) is a sophisticated enterprise-strength fax package for class 1 and
2 fax modems on unix systems. It provides spooling services and numerous
supporting fax management tools. The fax clients may reside on machines
different from the server and client implementations exist for a number of
platforms including windows.

This is the client portion of HylaFAX.

%package -n	%{libname}
Summary:	Hylafax libraries
Group:		System/Libraries
Provides:       %{libname} = %{version}-%{release}
%ifarch x86_64
Obsoletes:	lib64hylafax5 < 1:%{version}-%{release}
%else
Obsoletes:	libhylafax5 < 1:%{version}-%{release}
%endif


%description -n %{libname}
HylaFAX(tm) is a sophisticated enterprise-strength fax package for class 1 and
2 fax modems on unix systems. It provides spooling services and numerous
supporting fax management tools. The fax clients may reside on machines
different from the server and client implementations exist for a number of
platforms including windows.

This is the shared libraries of HylaFAX.

%package -n	%{develname}
Summary:	Hylafax Development libraries
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name} = %{version}-%{release}
Provides:	%{develname} = %{version}-%{release}
%ifarch x86_64
Obsoletes:	lib64hylafax-devel < 1:%{version}-%{release}
%else
Obsoletes:	libhylafax-devel < 1:%{version}-%{release}
%endif
Conflicts:	hylafax-client < 5.5.8-1



%description -n	%{develname}
HylaFAX(tm) is a sophisticated enterprise-strength fax package for class 1 and
2 fax modems on unix systems. It provides spooling services and numerous
supporting fax management tools. The fax clients may reside on machines
different from the server and client implementations exist for a number of
platforms including windows.

This is the development libraries for HylaFAX.

%prep
%autosetup -p1 -n hylafax-%{version}


%build
%serverbuild

# - Can't use the configure macro because HylaFAX configure script does
#   not understand the config options used by that macro

STRIP=':' \
./configure \
	--target=%{_target_platform} \
	--with-DIR_BIN=%{_bindir} \
	--with-DIR_SBIN=%{_sbindir} \
	--with-DIR_LIB=%{_libdir} \
	--with-DIR_LIBEXEC=%{_sbindir} \
	--with-DIR_LIBDATA=%{_sysconfdir}/hylafax \
	--with-DIR_LOCKS=%{_var}/lock \
	--with-LIBDIR=%{_libdir} \
	--with-TIFFBIN=%{_bindir} \
	--with-DIR_MAN=%{_mandir} \
	--with-PATH_GSRIP=%{_bindir}/gs \
	--with-TIFFINC=-L%{_includedir} \
	--with-DBLIBINC=%{_includedir} \
	--with-LIBTIFF="-ltiff -ljpeg -lz -lm" \
	--with-DIR_SPOOL=%{faxspool} \
	--with-AFM=no \
	--with-AWK=%{_bindir}/gawk \
	--with-PATH_VGETTY=/sbin/vgetty \
	--with-PATH_GETTY=/sbin/mgetty \
	--with-PAGESIZE=Letter \
	--with-PATH_DPSRIP=%{faxspool}/bin/ps2fax \
	--with-PATH_IMPRIP=%{_datadir}/fax/psrip \
	--with-SYSVINIT=%{_initrddir}/hylafax \
	--with-INTERACTIVE=no


# CFLAGS is set up by the HylaFAX configure script; setting it up here the
# standard way would break things. Since OPTIMIZER is included in CFLAGS
# by the HylaFAX configure system, it's used here in place of CFLAGS
# doesn't build using %%make_build
%__make OPTIMIZER="$CFLAGS %{ldflags}" LDFLAGS="\${LDOPTS} \${LDLIBS} %{ldflags}"


%install


%{__install} -d -m 755 %{buildroot}%{_sysconfdir}/{logrotate.d,cron.hourly,cron.daily}
%{__install} -d -m 755 %{buildroot}%{_bindir}
%{__install} -d -m 755 %{buildroot}%{_sbindir}
%{__install} -d -m 755 %{buildroot}%{_libdir}
%{__install} -d -m 755 %{buildroot}%{_datadir}/fax
%{__install} -d -m 755 %{buildroot}%{faxspool}/{etc,config/defaults,bin}
%{__install} -d -m 755 %{buildroot}%{_mandir}/{man1,man5,man8}

# install: binaries and man pages
# FAXUSER, FAXGROUP, SYSUSER and SYSGROUP are set to the current user to
# avoid warnings about chown/chgrp if the user building the SRPM is not root;
# they are set to the correct values with the RPM attr macro
%makeinstall -e \
	FAXUSER=`id -u` \
	FAXGROUP=`id -g` \
	SYSUSER=`id -u` \
	SYSGROUP=`id -g` \
	BIN=%{buildroot}%{_bindir} \
	SBIN=%{buildroot}%{_sbindir} \
	LIBDIR=%{buildroot}%{_libdir} \
	LIBDATA=%{buildroot}%{_sysconfdir}/hylafax \
	LIBEXEC=%{buildroot}%{_sbindir} \
	SPOOL=%{buildroot}%{faxspool} \
	MAN=%{buildroot}%{_mandir} \
	INSTALL_ROOT=%{buildroot}
	
# install: remaining files
%{__install} -D -p -m 755 %{SOURCE1} %{buildroot}%{_sysconfdir}/cron.daily/hylafax
%{__install} -p -m 755 %{SOURCE2} %{buildroot}%{_sysconfdir}/cron.hourly/hylafax
%{__install} -D -p -m 644 %{SOURCE3} %{buildroot}%{_unitdir}/hylafax-hfaxd.service
%{__install} -D -p -m 644 %{SOURCE4} %{buildroot}%{_unitdir}/hylafax-faxq.service
%{__install} -D -p -m 644 %{SOURCE5} %{buildroot}%{_unitdir}/hylafax-faxgetty@.service
%{__install} -D -p -m 644 %{SOURCE6} %{buildroot}%{_sysconfdir}/sysconfig/hylafax

%{__install} -D -p -m 0644 %{SOURCE7} %{buildroot}%{_tmpfilesdir}/hylafax-hfaxd.conf
%{__install} -D -p -m 0644 %{SOURCE8} %{buildroot}%{_tmpfilesdir}/hylafax-faxq.conf


# Prepare docdir by removing non-doc files
# Remove files that are not needed on Linux
rm -f %{buildroot}%{_sbindir}/{faxsetup.irix,faxsetup.bsdi}
rm -f %{buildroot}%{faxspool}/bin/{ps2fax.imp,ps2fax.dps}
rm -f %{buildroot}%{faxspool}/etc/dpsprinter.ps

## We alrady have this in the doc section
rm -f %{buildroot}%{faxspool}/COPYRIGHT

# logrotate
# %%{__install} -m0644 hylafax-server.logrotate %%{buildroot}%%{_sysconfdir}/logrotate.d/hylafax-server

# dialrules extras - Darren says the dialrules haven't changed
#%%{__install} -m 644 dialrules_extras/dialrules* %%{buildroot}%%{faxspool}/etc

## This has been added some time ago and may be needed by another package?
(cd %{buildroot}%{faxspool}/bin; ln -s ps2fax.gs ps2fax)



cat > README.urpmi << EOF
#########################################################
#            HylaFAX installation complete!             #
#                                                       #
#      You should now run /usr/sbin/faxsetup to         #
#       create or update HylaFAX configuration          #
#      before you can begin using the software.         #
#                                                       #
#########################################################
EOF


%post 
%_tmpfilescreate hylafax-hfaxd
%_tmpfilescreate hylafax-faxq
%_post_service hylafax-hfaxd
%_post_service hylafax-faxq

echo "Please run \"%{_sbindir}/faxsetup -server\" to configure your fax server"

%preun
%_preun_service hylafax-hfaxd
%_preun_service hylafax-faxq

%post client
echo "Please run \"%{_sbindir}/faxsetup -client\" to configure your fax client"



%files
%doc CHANGES CONTRIBUTORS COPYRIGHT README TODO VERSION
%{_unitdir}/hylafax-faxgetty@.service
%{_unitdir}/hylafax-hfaxd.service
%{_unitdir}/hylafax-faxq.service
%{_tmpfilesdir}/hylafax-hfaxd.conf
%{_tmpfilesdir}/hylafax-faxq.conf
%{_mandir}/man5/doneq.5f*
%{_mandir}/man5/hosts.hfaxd.5f*
%{_mandir}/man5/hylafax-config.5f*
%{_mandir}/man5/hylafax-info.5f*
%{_mandir}/man5/hylafax-log.5f*
%{_mandir}/man5/hylafax-server.5f*
%{_mandir}/man5/hylafax-shutdown.5f*
%{_mandir}/man5/pagermap.5f*
%{_mandir}/man5/recvq.5f*
%{_mandir}/man5/sendq.5f*
%{_mandir}/man5/status.5f*
%{_mandir}/man5/tsi.5f*
%{_mandir}/man5/xferfaxlog.5f*
%{_mandir}/man8/choptest.8c*
%{_mandir}/man8/cqtest.8c*
%{_mandir}/man8/faxabort.8c*
%{_mandir}/man8/faxaddmodem.8c*
%{_mandir}/man8/faxadduser.8c*
%{_mandir}/man8/faxanswer.8c*
%{_mandir}/man8/faxconfig.8c*
%{_mandir}/man8/faxcron.8c*
%{_mandir}/man8/faxdeluser.8c*
%{_mandir}/man8/faxgetty.8c*
%{_mandir}/man8/faxlock.8c*
%{_mandir}/man8/faxmodem.8c*
%{_mandir}/man8/faxq.8c*
%{_mandir}/man8/faxqclean.8c*
%{_mandir}/man8/faxquit.8c*
%{_mandir}/man8/faxrcvd.8c*
%{_mandir}/man8/faxsend.8c*
%{_mandir}/man8/faxstate.8c*
%{_mandir}/man8/hfaxd.8c*
%{_mandir}/man8/jobcontrol.8c*
%{_mandir}/man8/mkcover.8c*
%{_mandir}/man8/notify.8c*
%{_mandir}/man8/pagesend.8c*
%{_mandir}/man8/pollrcvd.8c*
%{_mandir}/man8/ps2fax.8c*
%{_mandir}/man8/recvstats.8c*
%{_mandir}/man8/tagtest.8c*
%{_mandir}/man8/tsitest.8c*
%{_mandir}/man8/wedged.8c*
%{_mandir}/man8/xferfaxstats.8c*
%{_mandir}/man8/faxmsg.8c*
%{_mandir}/man8/hylafax.8c*
%{_mandir}/man8/lockname.8c*
%{_mandir}/man8/ondelay.8c*
%{_mandir}/man8/probemodem.8c*
%dir %{_sysconfdir}/hylafax
%config(noreplace) %{_sysconfdir}/hylafax/hfaxd.conf
%dir %{faxspool}/config
%dir %{faxspool}/dev
%{faxspool}/config/*
%{faxspool}/bin/dict/*
%{faxspool}/bin/auto-rotate.ps
%{faxspool}/etc/cover.templ
%{faxspool}/etc/lutRS18.pcf
%{faxspool}/etc/LiberationSans-25.pcf
%defattr(755,root,root,-)
%{_sysconfdir}/cron.daily/hylafax
%{_sysconfdir}/cron.hourly/hylafax
%config(noreplace) %{_sysconfdir}/sysconfig/hylafax
%{_sbindir}/choptest
%{_sbindir}/cqtest
%{_sbindir}/faxabort
%{_sbindir}/faxaddmodem
%{_sbindir}/faxadduser
%{_sbindir}/faxanswer
%{_sbindir}/faxconfig
%{_sbindir}/faxcron
%{_sbindir}/faxdeluser
%{_sbindir}/faxgetty
%{_sbindir}/faxlock
%{_sbindir}/faxmodem
%{_sbindir}/faxmsg
%{_sbindir}/faxq
%{_sbindir}/faxqclean
%{_sbindir}/faxquit
%{_sbindir}/faxsend
%{_sbindir}/faxstate
%{_sbindir}/hfaxd
%{_sbindir}/hylafax
%{_sbindir}/lockname
%{_sbindir}/ondelay
%{_sbindir}/pagesend
%{_sbindir}/probemodem
%{_sbindir}/recvstats
%{_sbindir}/tagtest
%{_sbindir}/tsitest
%{_sbindir}/xferfaxstats
%{faxspool}/bin/archive
%{faxspool}/bin/dictionary
%{faxspool}/bin/faxrcvd
%{faxspool}/bin/mkcover
%{faxspool}/bin/notify
%{faxspool}/bin/pollrcvd
%{faxspool}/bin/qp-encode.awk
%{faxspool}/bin/rfc2047-encode.awk
%{faxspool}/bin/wedged
%defattr(-,uucp,uucp,-)
%dir %{faxspool}
%dir %{faxspool}/client
%dir %{faxspool}/etc
%dir %{faxspool}/info
%dir %{faxspool}/log
%dir %{faxspool}/recvq
%dir %{faxspool}/status
%config(noreplace) %{faxspool}/etc/xferfaxlog
%attr(700,uucp,uucp) %dir %{faxspool}/docq
%attr(700,uucp,uucp) %dir %{faxspool}/doneq
%attr(700,uucp,uucp) %dir %{faxspool}/archive
%attr(700,uucp,uucp) %dir %{faxspool}/sendq
%attr(700,uucp,uucp) %dir %{faxspool}/tmp
%attr(700,uucp,uucp) %dir %{faxspool}/pollq
%defattr(600,uucp,uucp,-)
%config(noreplace) %{faxspool}/etc/hosts.hfaxd

%files client
%doc CHANGES CONTRIBUTORS COPYRIGHT README TODO VERSION
%{_mandir}/man1/*
%{_mandir}/man5/dialrules.5f*
%{_mandir}/man5/pagesizes.5f*
%{_mandir}/man5/typerules.5f*
%{_mandir}/man8/dialtest.8c*
%{_mandir}/man8/faxinfo.8c*
%{_mandir}/man8/faxwatch.8c*
%{_mandir}/man8/faxsetup.8c*
%{_mandir}/man8/pdf2fax.8c*
%{_mandir}/man8/tiff2fax.8c*
%{_mandir}/man8/tiffcheck.8c*
%{_mandir}/man8/faxfetch.8c*
%{_mandir}/man8/faxsetup.linux.8c*
%{_mandir}/man8/typetest.8c*
%dir %{_sysconfdir}/hylafax/faxmail
%dir %{_sysconfdir}/hylafax/faxmail/application
%dir %{_sysconfdir}/hylafax/faxmail/image
%config(noreplace) %{_sysconfdir}/hylafax/faxcover.ps
%config(noreplace) %{_sysconfdir}/hylafax/faxmail.ps
%config(noreplace) %{_sysconfdir}/hylafax/pagesizes
%config(noreplace) %{_sysconfdir}/hylafax/typerules
%{faxspool}/bin/genfontmap.ps
%config(noreplace) %{faxspool}/etc/dialrules*
%defattr(755,root,root,-)
%{_bindir}/*
%{_sbindir}/dialtest
%{_sbindir}/edit-faxcover
%{_sbindir}/faxfetch
%{_sbindir}/faxinfo
%{_sbindir}/faxsetup
%{_sbindir}/faxsetup.linux
%{_sbindir}/faxwatch
%{_sbindir}/textfmt
%{_sbindir}/tiffcheck
%{_sbindir}/typetest
%{faxspool}/bin/common-functions
%{faxspool}/bin/pcl2fax
%{faxspool}/bin/pdf2fax.gs
%{faxspool}/bin/ps2fax.gs
%{faxspool}/bin/ps2fax
%{faxspool}/bin/tiff2fax
%{faxspool}/bin/tiff2pdf
%{_sysconfdir}/hylafax/faxmail/application/binary
%{_sysconfdir}/hylafax/faxmail/application/pdf
%{_sysconfdir}/hylafax/faxmail/application/octet-stream
%{_sysconfdir}/hylafax/faxmail/image/tiff
%defattr(-,uucp,uucp,-)
%dir %{faxspool}
%dir %{faxspool}/etc

%files -n %{libname}
%doc COPYRIGHT
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc COPYRIGHT
%{_libdir}/*.so
