%define major     5
%define libname   %mklibname hyperscan %{major}
%define develname %mklibname hyperscan -d

Name:    hyperscan
Version: 5.4.2
Release: %mkrel 1
Summary: High-performance regular expression matching library
Group:   System/Libraries
License: BSD
URL:     https://www.hyperscan.io/
Source0: https://github.com/intel/hyperscan/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  pkgconfig(libpcre2-8)
BuildRequires:  ragel
BuildRequires:  pkgconfig(sqlite3) >= 3.0
BuildRequires:  libpcap-devel

#package requires SSE support and fails to build on non x86_64 archs
ExclusiveArch: x86_64

%description
Hyperscan is a high-performance multiple regex matching library. It
follows the regular expression syntax of the commonly-used libpcre
library, but is a standalone library with its own C API.

Hyperscan uses hybrid automata techniques to allow simultaneous
matching of large numbers (up to tens of thousands) of regular
expressions and for the matching of regular expressions across streams
of data.

Hyperscan is typically used in a DPI library stack.

%package -n %{libname}
Group:      System/Libraries
Summary:    Dynamic libraries for the hyperscan library


%description -n %{libname}
This package provides the dynamic libraries needed for developing Hyperscan
applications.

%package -n %{develname}
Group:      Development/C
Summary:    Libraries and header files for the hyperscan library
Requires:   %{libname} = %{version}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package provides the libraries, include files and other resources
needed for developing Hyperscan applications.

%prep
%setup -q
%autopatch -p1

%build
%cmake -DBUILD_SHARED_LIBS:BOOL=ON -DBUILD_STATIC_AND_SHARED:BOOL=OFF
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc %{_defaultdocdir}/%{name}
%doc COPYING
%doc LICENSE
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{version}

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/libhs.pc
%{_includedir}/hs/
