%define upstream_version 20181211

Name:           hyphen-grc
Version:        0.%{upstream_version}
Release:        %mkrel 4
Summary:        Ancient Greek hyphenation rules
License:        LPPL
Group:          Text tools
URL:            https://tug.org/tex-hyphen
Source0:        https://github.com/hyphenation/tex-hyphen/raw/master/hyph-utf8/tex/generic/hyph-utf8/patterns/tex/hyph-grc.tex
Patch0:         hyphen-grc-2.5-cleantex.patch

BuildRequires:  hyphen-devel

BuildArch:      noarch

Requires:       hyphen

%description
Ancient Greek hyphenation rules.


%prep
%setup -T -q -c
cp -p %{SOURCE0} .
%patch -P 0 -p0 -b .clean

%build
grep -v "^%" hyph-grc.tex | tr ' ' '\n' > temp.tex
substrings.pl temp.tex temp.dic UTF-8
LANG=el_GR.utf8 uniq temp.dic > hyph_grc_GR.dic
echo "created with substring.pl by substrings.pl hyph-grc.tex hyph_grc_GR.dic UTF-8" > README
echo "---" >> README
head -n 33 hyph-grc.tex >> README

%install
mkdir -p %{buildroot}%{_datadir}/hyphen
cp -p hyph_grc_GR.dic %{buildroot}%{_datadir}/hyphen

%files
%doc README
%{_datadir}/hyphen/*
