# upstream_version helps to know last update date
%define upstream_version 20181211
# upstream git commit used for download
%define git 7a314a175529815602e8883d9fea57ff2a054bd2

Name:           hyphen-hsb
Version:        0.%{upstream_version}
Release:        %mkrel 4
Summary:        Upper Sorbian hyphenation rules
License:        LPPL
Group:          Text tools
URL:            https://tug.org/tex-hyphen
Source0:        https://raw.githubusercontent.com/hyphenation/tex-hyphen/%{git}/hyph-utf8/tex/generic/hyph-utf8/patterns/tex/hyph-hsb.tex#/hyph-hsb-%{git}.tex
Patch0:         %{name}-2.5-cleantex.patch
BuildRequires:  hyphen-devel
Requires:       hyphen
BuildArch:      noarch

%description
Upper Sorbian hyphenation rules.

%prep
%setup -T -q -c -n hyphen-hsb
cp -p %{SOURCE0} ./hyph-hsb.tex
%patch -P 0 -p0 -b .clean

%build
substrings.pl hyph-hsb.tex hyph_hsb_DE.dic UTF-8
echo "created with substring.pl by substrings.pl hyph-hsb.tex hyph_hsb_DE.dic UTF-8" > README
echo "---" >> README
head -n 61 hyph-hsb.tex >> README

%install
mkdir -p %{buildroot}%{_datadir}/hyphen
cp -p hyph_hsb_DE.dic %{buildroot}%{_datadir}/hyphen

%files
%doc README
%{_datadir}/hyphen/*
