# WARNING: This package is synced with FC
# (kamil) In case of update, update also hyphen-en, it's the same source
%define major 0
%define libname %mklibname %{name} %major
%define develname %mklibname -d %{name}

Name:           hyphen
Version:        2.8.8
Release:        %mkrel 9
Summary:        A text hyphenation library
License:        LGPLv2+ or MPLv1.1
Group:          System/Internationalization
URL:            https://hunspell.sourceforge.net/
Source0:        https://downloads.sourceforge.net/hunspell/%{name}-%{version}.tar.gz
%ifarch %{ix86} x86_64
BuildRequires:  valgrind
%endif
Requires:	%{libname} = %{version}-%{release}

%description
Hyphen is a library for high quality hyphenation and justification.

%package -n %{libname}
Summary:	A text hyphenation library
Group:		System/Internationalization
Conflicts:	%{name} < 2.8.8-4

%description -n %{libname}
Hyphen is a library for high quality hyphenation and justification.

%package -n %{develname}
Summary:        Files for developing with hyphen
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Obsoletes:	%{name}-devel < 2.8.8-4
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package includes the development files required to build software against
%{name}.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%check
%ifarch %{ix86} x86_64
VALGRIND=memcheck make check
%else
make check
%endif

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

rm %{buildroot}%{_datadir}/hyphen/*

%files
%dir %{_datadir}/hyphen

%files -n %{libname}
%doc AUTHORS ChangeLog README README.%{name} README.nonstandard TODO
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}.h
%{_libdir}/*.so
%{_bindir}/substrings.pl
