Name:           i2pd
Version:        2.56.0
Release:        %mkrel 1
Summary:        C++ implementation of an I2P client
Group:          System/Servers
License:        BSD
URL:            https://github.com/PurpleI2P/i2pd
Source0:        https://github.com/PurpleI2P/i2pd/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  boost-devel
BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(libssl)
BuildRequires:  pkgconfig(miniupnpc)
BuildRequires:  pkgconfig(zlib)

Requires:       systemd
Requires(pre):  shadow-utils

%description
C++ implementation of I2P.

%prep
%autosetup -p1

cp contrib/i2pd.service i2pd.service.in
cp contrib/debian/i2pd.tmpfile i2pd.tmpfile.in

%build
pushd build
%cmake \
    -DCMAKE_INSTALL_BINDIR=%{_sbindir} \
    -DWITH_LIBRARY=OFF \
    -DWITH_UPNP=ON \
    -DWITH_AESNI=OFF \
    -DWITH_HARDENING=ON \
    -DBUILD_SHARED_LIBS:BOOL=OFF

%cmake_build
popd

%install
pushd build
%cmake_install
popd

install -D -m 755 contrib/i2pd.conf %{buildroot}%{_sysconfdir}/i2pd/i2pd.conf
install -D -m 755 contrib/tunnels.conf %{buildroot}%{_sysconfdir}/i2pd/tunnels.conf

install -d -m 755 %{buildroot}%{_datadir}/i2pd
install -d -m 755 %{buildroot}%{_datadir}/i2pd/tunnels.conf.d
install -d -m 755 %{buildroot}%{_sysconfdir}/i2pd/tunnels.conf.d
cp -r contrib/certificates/ %{buildroot}%{_datadir}/i2pd/certificates
cp -r contrib/tunnels.d/ %{buildroot}%{_sysconfdir}/i2pd/tunnels.conf.d
install -d -m 700 %{buildroot}%{_sharedstatedir}/i2pd
install -d -m 700 %{buildroot}%{_localstatedir}/log/i2pd
ln -s %{_datadir}/%{name}/certificates %{buildroot}%{_sharedstatedir}/i2pd/certificates
ln -s %{_datadir}/i2pd/tunnels.conf.d %{buildroot}%{_sysconfdir}/i2pd/tunnels.conf.d

install -D -m 644 %{name}.service.in %{buildroot}%{_unitdir}/%{name}.service
install -D -m 644 %{name}.tmpfile.in %{buildroot}%{_tmpfilesdir}/%{name}.conf

install -D -m 644 contrib/%{name}.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

install -D -m 644 debian/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%pre
getent group i2pd >/dev/null || %{_sbindir}/groupadd -r i2pd
getent passwd i2pd >/dev/null || \
  %{_sbindir}/useradd -r -g i2pd -s %{_sbindir}/nologin \
                      -d %{_sharedstatedir}/i2pd -c 'I2P Service' i2pd

%post
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc README.md
%license LICENSE
%dir %{_sysconfdir}/i2pd
%dir %{_sysconfdir}/i2pd/tunnels.conf.d
%config(noreplace) %{_sysconfdir}/i2pd/i2pd.conf
%config(noreplace) %{_sysconfdir}/i2pd/tunnels.conf
%config(noreplace) %{_sysconfdir}/i2pd/tunnels.conf.d/*
%config(noreplace) %{_sysconfdir}/logrotate.d/i2pd
%{_sbindir}/i2pd
%dir %{_datadir}/i2pd
%{_datadir}/i2pd/certificates
%{_unitdir}/i2pd.service
%{_tmpfilesdir}/%{name}.conf
%dir %attr(0700,i2pd,i2pd) %{_localstatedir}/log/i2pd
%dir %attr(0700,i2pd,i2pd) %{_sharedstatedir}/i2pd
%{_sharedstatedir}/i2pd/certificates
%dir %ghost %attr(0755, i2pd, i2pd) %{_rundir}/i2pd
%{_mandir}/man1/%{name}.1*
