%global __requires_exclude perl\\(AnyEvent::I3\\)

Name:           i3
Version:        4.24
Release:        %mkrel 1
Summary:        A tiling window manager
License:        BSD
Group:          Graphical desktop/Other
Url:            https://i3wm.org/
Source0:        https://i3wm.org/downloads/%{name}-%{version}.tar.xz
Source1:        %{name}-logo.svg
Patch0:         i3-fix-libev-path.patch

BuildRequires:  meson
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-util)
BuildRequires:  x11-proto-devel
BuildRequires:  pkgconfig(xcb-keysyms)
BuildRequires:  xcb-util-wm-devel
BuildRequires:  pkgconfig(libev)
BuildRequires:  asciidoc
BuildRequires:  xmlto-notex
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(yajl)
BuildRequires:  doxygen
BuildRequires:  pkgconfig(libstartup-notification-1.0)
BuildRequires:  pkgconfig(libpcre2-8)
BuildRequires:  graphviz
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(xcb-cursor)
BuildRequires:  pkgconfig(xcb-xrm)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(xkbcommon-x11)
Requires:       xterm
Recommends:     dmenu
Recommends:     i3status

%description
i3 is a tiling window manager, completely written from scratch. The target
platforms are GNU/Linux and BSD operating systems, our code is Free and Open
Source Software (FOSS) under the BSD license. i3 is primarily targeted at
advanced users and developers.

%package doc
Summary:	Documentation for %{name}
BuildArch:	noarch
Requires:	%{name} = %{version}-%{release}
Group:		Graphical desktop/Other

%description doc
Asciidoc and doxygen generated documentations for %{name}.

%prep
%autosetup -p1

%build
%meson -Dmans=true
%meson_build

doxygen pseudo-doc.doxygen
mv pseudo-doc/html pseudo-doc/doxygen

%install
%meson_install

mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps
install -pm 0644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/scalable/apps/

%posttrans
# (ovitters) In posttrans, $1 is always equal to 1, even in the upgrade case.
# So just run this always:
if [ -e %{_datadir}/xsessions/31i3.desktop ]; then
	rm -rf %{_datadir}/xsessions/31i3.desktop
fi
if [ -e %{_sysconfdir}/X11/dm/Sessions/31i3.desktop ]; then
	rm -rf %{_sysconfdir}/X11/dm/Sessions/31i3.desktop
fi

%files
%doc RELEASE-NOTES-%{version}
%license LICENSE
%dir %{_sysconfdir}/i3
%config(noreplace) %{_sysconfdir}/i3/config
%config(noreplace) %{_sysconfdir}/i3/config.keycodes
%{_datadir}/xsessions/*.desktop
%{_bindir}/i3*
%dir %{_includedir}/i3
%{_includedir}/i3/ipc.h
%{_mandir}/man1/i3*
%{_iconsdir}/hicolor/scalable/apps/i3*.svg
%{_datadir}/applications/*.desktop
%exclude %{_docdir}/%{name}/

%files doc
%doc docs/*.{html,png} pseudo-doc/doxygen/
