Name:		i3lock
Version:	2.15
Release:	%mkrel 1
Summary:	Simple X display locker like slock
License:	MIT
Group:		Graphical desktop/Other
URL:		https://i3wm.org/i3lock
Source0:	https://i3wm.org/%{name}/%{name}-%{version}.tar.xz
Patch0:		i3lock-fix-libev-path.patch

BuildRequires:	meson
BuildRequires:	pam-devel
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(libev)
BuildRequires:	pkgconfig(xcb-image)
BuildRequires:	pkgconfig(xcb-xrm)
BuildRequires:	pkgconfig(xkbcommon-x11)

%description
i3lock improves slock by making it fork() and therefore combinable with
commands to suspend your computer. Additionally, instead of turning off your
screen via DPMS and/or displaying a black screen, i3lock displays a white
screen so you can see if your computer failed to resume from suspend or if
your screen is just locked. Also, when entering a wrong password, i3lock does
not call XBell(). This is important because i3lock/slock think you've entered
a password when resuming from suspend, at least sometimes.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files
%doc CHANGELOG README*
%license LICENSE
%{_bindir}/%{name}
%{_sysconfdir}/pam.d/%{name}
%{_mandir}/man1/i3lock.1*
