Version: 	1.43
Summary: 	Dell laptop SMM BIOS support
Name: 		i8kutils
Release: 	%mkrel 4
License: 	GPLv2+
Group: 		Monitoring
Source: 	https://launchpad.net/i8kutils/trunk/%{version}/+download/%{name}_%{version}.tar.xz
URL: 		https://launchpad.net/i8kutils
Obsoletes:	i8kmon

%description
This package contains a user-space programs for accessing the SMM BIOS
of Dell Inspiron and Latitude laptops. The SMM BIOS is used on many recent
laptops to implement APM functionalities and to access custom hardware,
for example cooling fans and volume buttons.

Also provided is a cool and useful plugin for gkrellm.
Note that you need the "Dell Laptop" option compiled into your kernel
(included in the main kernel tree since 2.4.14-pre8)

%prep
%setup -q -n %{name}

%build
%make_build CFLAGS="%{optflags}"

%install
install -d -m 755 %{buildroot}%{_bindir}
install -m 755 i8kctl %{buildroot}%{_bindir}
install -m 755 i8kfan %{buildroot}%{_bindir}
install -m 755 i8kmon %{buildroot}%{_bindir}

install -d -m 755 %{buildroot}%{_mandir}/man1
install -m 644 i8kctl.1 %{buildroot}%{_mandir}/man1
install -m 644 i8kmon.1 %{buildroot}%{_mandir}/man1

install -d -m 755 %{buildroot}%{_unitdir}
install -m 644 debian/i8kmon.service %{buildroot}%{_unitdir}

install -d -m 755 %{buildroot}%{_sysconfdir}
install -m 644 i8kmon.conf %{buildroot}%{_sysconfdir}

install -d -m 755 %{buildroot}%{_sysconfdir}/modprobe.d
install -m 644 dell-smm-hwmon.conf %{buildroot}%{_sysconfdir}/modprobe.d

%files
%doc README.*
%config(noreplace) %{_sysconfdir}/i8kmon.conf
%config(noreplace) %{_sysconfdir}/modprobe.d/dell-smm-hwmon.conf
%{_bindir}/i8kctl
%{_bindir}/i8kfan
%{_bindir}/i8kmon
%{_mandir}/man1/i8kctl.1*
%{_mandir}/man1/i8kmon.1*
%{_unitdir}/i8kmon.service
