# This package depends on automagic byte compilation
%global _python_bytecompile_extra 0

%define api       1.0
%define major     5
%define libname   %mklibname anthygobject %api %major
%define develname %mklibname anthygobject -d
%define girname   %mklibname anthy-gir 9000

Name:      ibus-anthy
Summary:   ibus - Japanese Anthy engine
Version:   1.5.16
Release:   %mkrel 1
Group:     System/Internationalization
License:   GPLv2+
URL:       https://code.google.com/p/ibus/
Source0:   https://github.com/ibus/ibus-anthy/releases/download/%{version}/%{name}-%{version}.tar.gz
Patch1:    0001-read-utf-8-encoded-zipfile.patch
BuildRequires: pkgconfig(ibus-1.0) >= 1.3.9-3
BuildRequires: pkgconfig(anthy)
BuildRequires: pkgconfig(python3)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: intltool
BuildRequires: ibus
Requires:	ibus >= 1.2.0
Requires:	anthy

%package -n %{libname}
Group: System/Internationalization
Summary: Shared libs for anthygobject

%description -n %{libname}
Shared libs for anthygobject.

%package -n %{girname}
Group: System/Internationalization
Summary: GObject Introspection interface description for anthy
Requires: %{libname} = %{version}

%description -n %{girname}
GObject Introspection interface description for anthy.

%package -n %{develname}
Group: System/Internationalization
Summary: Development files for ibus-anthy
Requires: %{libname} = %{version}
Requires: %{girname} = %{version}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains development files for ibus-anthy.

%description
ibus - Japanese Anthy engine.

%prep
%autosetup -p1

%build
%configure --with-python=python3
%make_build

%install
%make_install

%find_lang %name

%files -f %name.lang
%{_libexecdir}/ibus-engine-anthy
%{_libexecdir}/ibus-setup-anthy
%{_metainfodir}/org.freedesktop.ibus.engine.anthy.metainfo.xml
%{_datadir}/%{name}
%{_datadir}/applications/ibus-setup-anthy.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/ibus/component/anthy.xml
%{_datadir}/glib-2.0/schemas/org.freedesktop.ibus.engine.anthy.gschema.xml

%files -n %{libname}
%{_libdir}/libanthygobject-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Anthy-9000.typelib

%files -n %{develname}
%{_libdir}/libanthygobject-%{api}.so
%{_includedir}/ibus-anthy-%{api}
%{_datadir}/gir-1.0/*.gir
