%global module_name ibus_cangjie

Name:             ibus-cangjie
Summary:          IBus engine to input Cangjie and Quick
Version:          2.5.0
Group:            System/Internationalization
Release:          %mkrel 2
License:          GPL-3.0-or-later
URL:              https://cangjie.pages.freedesktop.org/projects/ibus-cangjie
Source0:          https://gitlab.freedesktop.org/cangjie/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz
# Patches from upstream
Patch1:           0001-tests-no-coverage.patch

BuildArch:        noarch

BuildRequires:    meson
BuildRequires:    desktop-file-utils
BuildRequires:    pkgconfig(ibus-1.0)
BuildRequires:    intltool
BuildRequires:    python3-devel
BuildRequires:    typelib(IBus)

# For the unit tests
BuildRequires:    python3-cangjie >= 1.0
BuildRequires:    python3-gobject3
BuildRequires:    gsound
BuildRequires:    typelib(GSound)

# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires:    pkgconfig(gobject-introspection-1.0)

Requires:         python3-cangjie >= 1.0
Requires:         python3-gobject3

%description
IBus engine for users of the Cangjie and Quick input methods.

It is primarily intended to Hong Kong people who want to input Traditional
Chinese, as they are (by far) the majority of Cangjie and Quick users.

However, it should work for others as well (e.g to input Simplified Chinese).


%prep
%autosetup -p1


%build
%meson
%meson_build


%install
%meson_install

%find_lang %{name}


%check
export CANGJIE_DB=/usr/share/libcangjie/cangjie.db
%meson_test --suite unittest


%files -f %{name}.lang
%doc AUTHORS README.md
%license COPYING
%{_bindir}/ibus-setup-cangjie
%{python3_sitelib}/%{module_name}/
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/
%{_datadir}/glib-2.0/schemas/org.freedesktop.cangjie.ibus.Cangjie.gschema.xml
%{_datadir}/glib-2.0/schemas/org.freedesktop.cangjie.ibus.Quick.gschema.xml
%{_datadir}/ibus/component/*.xml
%{_metainfodir}/*.metainfo.xml
%{_datadir}/glib-2.0/schemas/org.cangjians.ibus.*.gschema.xml
%{_datadir}/icons/hicolor/*/intl/*
%{_libexecdir}/ibus-engine-cangjie
