Name:      ibus
Summary:   A next generation input framework
Version:   1.5.31
Release:   %mkrel 2
Group:     System/Internationalization
License:   GPLv2+
URL:       https://github.com/ibus/ibus/wiki
Source0:   https://github.com/ibus/ibus/releases/download/%{version}/%{name}-%{version}.tar.gz
Source1:   macros.ibus

BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(dbus-python) >= 0.83.0
BuildRequires: pkgconfig(dbusmenu-glib-0.4)
BuildRequires: pkgconfig(dbusmenu-gtk3-0.4)
BuildRequires: pkgconfig(dconf) >= 0.7.5
BuildRequires: pkgconfig(gdk-2.0)
BuildRequires: pkgconfig(gdk-3.0)
BuildRequires: pkgconfig(gio-2.0) >= 2.32.0
BuildRequires: pkgconfig(glib-2.0) >= 2.32.0
BuildRequires: pkgconfig(gobject-2.0) >= 2.32.0
BuildRequires: pkgconfig(gobject-introspection-1.0) >= 0.9.6
BuildRequires: pkgconfig(gthread-2.0) >= 2.32.0
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(gtk4)
BuildRequires: pkgconfig(iso-codes)
BuildRequires: pkgconfig(libnotify) >= 0.7
BuildRequires: pkgconfig(pygobject-3.0) >= 3.0.0
BuildRequires: pkgconfig(wayland-client) >= 1.2.0
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(python3)
BuildRequires: gettext-devel
BuildRequires: gtk-doc
BuildRequires: vala
BuildRequires: vala-tools
BuildRequires: vala-devel
BuildRequires: dconf
BuildRequires: cldr-emoji-annotation
BuildRequires: unicode-emoji
BuildRequires: unicode-ucd
BuildRequires: libx11-common
Requires:	%{name}-ui
Requires:	python3-gobject
Requires:	python3-dbus
Requires:	python3-pyxdg
Requires:	iso-codes
Requires:	librsvg
Requires:	%{name}-gtk
Requires:	%{name}-gtk3
Requires:	%{name}-dicts-emoji
Requires:	dconf

%description
IBus is a next generation input framework.

%define api 1.0
%define major 5
%define libname %mklibname %name %api %major

%package -n %libname
Summary:    Shared libraries for %{name}
Group:      System/Internationalization

%description -n %libname
IBus shared libraries.

%define girname %mklibname ibus-gir %api

%package -n %girname
Summary:    GObject introspection interface library for ibus
Group:      System/Internationalization
Requires:   %{libname} = %{version}

%description -n %girname
GObject introspection interface library for ibus.

%package    devel
Summary:    Headers of %{name} for development
Group:      Development/C
Requires:   %{libname} = %{version}-%{release}
Requires:   %{girname} = %{version}-%{release}

%description devel
IBus development package: static libraries, header files, and the like.

%package    ui-gtk3
Summary:    GTK+ 3.0 UI for IBus
Group:      System/Internationalization
Provides:   ibus-ui
Requires:   %{name} = %{version}
Recommends: %{name}-gtk3 = %version

%description ui-gtk3
GTK+ 3.0 UI for IBus.

%package    gtk
Summary:    IBus gtk module
Group:      System/Internationalization
Requires:   ibus = %{version}

%description gtk
IBus gtk module.

%package    gtk3
Summary:    IBus gtk3 module
Group:      System/Internationalization
Requires:   ibus = %{version}

%description gtk3
IBus gtk3 module.

%package    gtk4
Summary:    IBus gtk4 module
Group:      System/Internationalization
Requires:   ibus = %{version}

%description gtk4
IBus gtk4 module.

%package    dicts-emoji
Summary:    IBus emoji dictionaries
Group:      System/Internationalization
BuildArch:  noarch

%description dicts-emoji
IBus emoji dictionaries.

%prep
%autosetup -p1

%build
%configure \
	--enable-vala=yes \
	--enable-gtk3 \
	--enable-gtk4 \
	--enable-dconf \
	--with-python=python3 \
	--disable-python2 \
	--disable-python-library \
	--disable-dbus-python-check \
	--enable-wayland

%make_build

%install
%make_install

# install rpm macro
mkdir -p %buildroot%{_rpmmacrodir}/
install -m0644 %{SOURCE1} %buildroot%{_rpmmacrodir}/macros.%name

rm -f %buildroot%{_sysconfdir}/xdg/autostart/ibus.desktop

%if 0
# Create a Plasma (and LXQt and Cutefish and ...) friendly version
# of the systemd service...
sed -e 's,generic sessions,Qt based desktops,;s,ibus-daemon,ibus-daemon --xim --desktop=kde --panel=/usr/libexec/kimpanel-ibus-panel --emoji-extension=/usr/bin/plasma-emojier,' %{buildroot}%{_userunitdir}/org.freedesktop.IBus.session.generic.service >%{buildroot}%{_userunitdir}/org.freedesktop.IBus.session.KDE.service
%endif

%find_lang %{name}10

%files -f %{name}10.lang
%doc AUTHORS ChangeLog NEWS README
%license COPYING
%{_sysconfdir}/dconf/db/ibus.d/00-upstream-settings
%{_sysconfdir}/dconf/profile/ibus
%{_bindir}/*
%{_libexecdir}/ibus-dconf
%{_libexecdir}/ibus-engine-simple
%{_libexecdir}/ibus-extension-gtk3
%{_libexecdir}/ibus-x11
%{_libexecdir}/ibus-ui-emojier
%{_libexecdir}/ibus-wayland
%{_libexecdir}/ibus-portal
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man7/*
%{_datadir}/applications/*.desktop
%{_datadir}/ibus/*
%{_datadir}/bash-completion/completions/ibus.bash
%{_datadir}/GConf/gsettings/ibus.convert
%{_datadir}/glib-2.0/schemas/org.freedesktop.ibus.gschema.xml
%{_datadir}/dbus-1/services/org.freedesktop.IBus.service
%{_datadir}/dbus-1/services/org.freedesktop.portal.IBus.service
%{_datadir}/gettext/its/ibus.*
%{_iconsdir}/*/*/*/ibus*
%{python3_sitearch}/gi/overrides/IBus.*
%{python3_sitearch}/gi/overrides/__pycache__/IBus.*
%exclude %{_datadir}/ibus/component/gtkpanel.xml
%exclude %{_datadir}/ibus/dicts/emoji-*.dict
%{_sysconfdir}/xdg/Xwayland-session.d/10-ibus-x11
%{_userunitdir}/gnome-session.target.wants/org.freedesktop.IBus.session.GNOME.service
%{_userunitdir}/org.freedesktop.IBus.session.*.service

%files ui-gtk3
%{_libexecdir}/ibus-ui-gtk3
%{_datadir}/ibus/component/gtkpanel.xml

%files -n %{libname}
%{_libdir}/libibus-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/*.typelib

%files gtk
%{_libdir}/gtk-2.0/*/immodules/*.so

%files gtk3
%{_libdir}/gtk-3.0/*/immodules/*.so

%files gtk4
%{_libdir}/gtk-4.0/*/immodules/*.so

%files dicts-emoji
%{_datadir}/ibus/dicts/emoji-*.dict

%files devel
%{_includedir}/ibus-1.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/ibus
%{_datadir}/gir-1.0/*.gir
%{_datadir}/vala/vapi/*.vapi
%{_datadir}/vala/vapi/*.deps
%{_rpmmacrodir}/macros.%name
