Summary:	An addictive action-puzzle game involving bouncing penguins
Name:		icebreaker
Epoch:		1
Version:	2.2.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Games/Arcade
URL:		https://mattdm.org/icebreaker/
Source: 	https://mattdm.org/icebreaker/2.2.x/%{name}-%{version}.tar.xz
Source2: 	%{name}-png.tar.bz2
Patch1:		icebreaker-2.2.0-mga-theme-overflow.patch
Patch2:		icebreaker-2.2.2-mga-install-dir.patch
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_mixer)

%description
IceBreaker is an action-puzzle game in which you must capture penguins
from an Antarctic iceberg so they can be shipped to Finland, where
they are essential to a secret plot for world domination. To earn the
highest Geek Cred, trap them in the smallest space in the shortest
time while losing the fewest lives. IceBreaker was inspired by (but
isn't an exact clone of) Jezzball by Dima Pavlovsky.

%files
%doc README TODO ChangeLog
%license LICENSE
%attr(2755,root,games) %{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%attr(664,root,games) %ghost %{_localstatedir}/lib/games/%{name}.scores
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/mageia-%{name}.desktop
%{_metainfodir}/org.mattdm.icebreaker.metainfo.xml
%{_mandir}/man6/%{name}.6.*

#--------------------------------------------------------------------

%prep
%autosetup -p1 -a2

%build
%make_build OPTIMIZE="%{optflags} %{ldflags}" prefix=%{_prefix} highscoredir=%{_localstatedir}/lib/games datadir=%{_gamesdatadir}

%install
%make_install prefix=%{buildroot}%{_prefix}

mkdir -p %buildroot%{_localstatedir}/lib/games

install -m 0644 %{name}-16.png -D %buildroot%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m 0644 %{name}-32.png -D %buildroot%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m 0644 %{name}-48.png -D %buildroot%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -m 0644 %{name}_128.png -D %buildroot%{_iconsdir}/hicolor/128x128/apps/%{name}.png
install -m 0644 metainfo.xml -D %buildroot%{_metainfodir}/org.mattdm.icebreaker.metainfo.xml

mkdir -p %buildroot%{_datadir}/applications
cat > %buildroot%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=IceBreaker
Comment=Addictive action-puzzle game involving bouncing penguins
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Keywords=puzzle;game;penguins;ice;
Categories=Game;ArcadeGame;
EOF

%post
%create_ghostfile %{_localstatedir}/lib/games/%{name}.scores root games 664
