Name:		icecast
Epoch:		2
Version:	2.4.4
Release:	%mkrel 5
Summary:	Streaming Media Server
Group:		System/Servers
License:	GPLv2+
URL:		https://www.icecast.org/
Source0:	https://downloads.xiph.org/releases/icecast/%{name}-%{version}.tar.gz
# this systemd service configuration file is based on fedora's
Source1:	%{name}.service
Source2:	%{name}.logrotate
Source3:	%{name}-tmpfiles.conf
Patch0:		%{name}.conf.patch
Patch1:		icecast-2.4.2-xslt-config.patch
Requires(post): systemd >= %{systemd_required_version}
Requires(pre):	rpm-helper
Requires(post):	rpm-helper
Requires(postun): rpm-helper
Requires(preun): rpm-helper
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(kate)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(speex)

%description
Icecast is an Internet based broadcasting system based on the Mpeg Layer III
streaming technology.  It was originally inspired by Nullsoft's Shoutcast
and also mp3serv by Scott Manley.  The icecast project was started for several
reasons: a) all broadcasting systems were pretty much closed source,
non-free software implementations, b) Shoutcast doesn't allow you to run your
own directory servers, or support them, and c) we thought it would be a
lot of fun.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

%{__install} -d -m 755 %{buildroot}%{_var}/log/%{name}
%{__install} -d -m 755 %{buildroot}%{_datadir}/%{name}

# remove installed documentation
rm -rf %{buildroot}%{_datadir}/doc/%{name}

mkdir -p %{buildroot}%{_unitdir}
%{__install} -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service

# logrotate
%{__install} -d %{buildroot}%{_sysconfdir}/logrotate.d/
%{__install} -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

# to hold pid file ( need to be writable by icecast )
%{__install} -D -p -m 0644 %{SOURCE3} %{buildroot}%{_tmpfilesdir}/%{name}.conf

%pre
%_pre_useradd %{name} %{_datadir}/%{name} /bin/false

%post
%_tmpfilescreate %{name}

# systemd migration fails to stop the daemon started by init script
if [ "$1" = "2" ]; then
  if ! [ -f /var/lib/rpm-helper/systemd-migration/icecast ]; then
    kill "`cat /var/run/icecast/icecast.pid`" 2>/dev/null
  fi
fi

%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%doc AUTHORS COPYING HACKING README TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%attr(-,icecast,icecast) %{_var}/log/%{name}
%{_tmpfilesdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/%{name}.xml
%{_unitdir}/%{name}.service
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
