%define rel     3

Name:           icecream-monitor
Version:        3.3
Release:        %mkrel %rel
Summary:        GUI monitor for icecream distributed compiled system
License:        GPLv2+
Group:          Development/Tools
Url:            https://github.com/icecc/icemon
Source0:        https://github.com/icecc/icemon/archive/v%{version}/icemon-%{version}.tar.gz
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(icecc)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  docbook2x
BuildRequires:  doxygen
Provides:       icemon = %{version}-%{release}
Obsoletes:      icemon < 1.0-2

%description
GUI Monitor for icecream distributed compiled system.

%files
%doc CHANGELOG.md README.md
%{_bindir}/icemon
%{_iconsdir}/*/*/*/icemon.*
%{_datadir}/applications/icemon.desktop
%{_mandir}/man1/icemon.1.*

#-----------------------------------------------------------------

%prep
%setup -q -n icemon-%{version}

%build
%cmake_qt5

%cmake_build

%install
%cmake_install
