Name:           ices
Version:        2.0.3
Release:        %mkrel 2
Summary:        Source streaming for Icecast
Group:          System/Servers
License:        GPL-2.0-or-later
URL:            https://www.icecast.org/
Source0:        https://downloads.xiph.org/releases/ices/%{name}-%{version}.tar.bz2
Source2:        %{name}.logrotate
Source3:        %{name}.service
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(shout)
BuildRequires:  pkgconfig(libxml-2.0)
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description
IceS is a source client for a streaming server. The purpose of this client is
to provide an audio stream to a streaming server such that one or more
listeners can access the stream. With this layout, this source client can be
situated remotely from the icecast server.

The primary example of a streaming server used is Icecast 2, although others
could be used if certain conditions are met.

%prep
%autosetup

%{__perl} -pi -e 's|<background>0</background>|<background>1</background>|' conf/*.xml

%build
%configure
%make_build

%install
install -D -m 755 src/%{name} %{buildroot}%{_bindir}/%{name}

install -D -m 640 conf/ices-playlist.xml %{buildroot}%{_sysconfdir}/%{name}.conf

install -D -m 644 %{SOURCE3} %{buildroot}%{_unitdir}/%{name}.service

install -D -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

install -d -m 755 %{buildroot}%{_var}/log/%{name}
/bin/touch %{buildroot}%{_var}/log/%{name}/ices.log

%pre
%_pre_useradd %{name} %{_var}/log/%{name} /bin/false

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%doc AUTHORS README.md doc/*.html doc/*.css conf/*.xml
%license COPYING
%{_bindir}/%{name}
%config(noreplace) %attr(0640,root,ices) %{_sysconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_unitdir}/%{name}.service
%dir %{_logdir}/%{name}
%attr(0644,ices,ices) %{_logdir}/%{name}/ices.log
