Summary:        A hybrid between a 'make' utility and a 'shell script' language
Name:		icmake
Version:	9.03.01
Release:	%mkrel 1
License:	GPLv3
Group:		Development/Tools
URL:		https://fbb-git.gitlab.io/icmake/
Source:		https://gitlab.com/fbb-git/icmake/-/archive/%{version}/%{name}-%{version}.tar.bz2

%description
Icmake is a hybrid between a 'make' utility and a 'shell script' language.
Originally, it was written to provide a useful tool for automatic program
maintenance and system administrative tasks on old MS-DOS platforms.

%package	doc
Group:		Documentation
Summary:	Documentation for icmake

%description	doc
This package contains the documentation for icmake.

%prep
%setup -q

# set the correct LIBDIR path
sed -i -e "s:usr/lib:usr/%{_lib}:g" %{name}/INSTALL.im

# fix executable perms in examples
pushd %{name}/examples
for i in am bup defines ds ftpxfer idir \
	initialization keep killprog nesteddirectives r tolower
do
	chmod -x $i
done
popd

%build
export CFLAGS="%{optflags}"
pushd %{name}
./icm_prepare /
./icm_bootstrap /
popd

%install
pushd %{name}
./icm_install progs %{buildroot}
./icm_install scripts %{buildroot}
./icm_install skel %{buildroot}
./icm_install man %{buildroot}
./icm_install doc %{buildroot}
./icm_install docdoc %{buildroot}
./icm_install etc %{buildroot}
popd

%files
%doc %{name}/changelog README
%{_bindir}/ic*
%{_libdir}/%{name}/
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_datadir}/%{name}/
%{_mandir}/man*/*

%files doc
%{_datadir}/doc/%{name}/
%{_datadir}/doc/%{name}-doc/
