%define api	3.8
%define major	3
%define libname	%mklibname id3_ %{api} %{major}
%define develname %mklibname -d id3

Name:		id3lib
Version:	3.8.3
Release:	%mkrel 30
Epoch:		1
Summary:	A software library for manipulating ID3v1 and ID3v2 tags
Group:		Sound/Utilities
License:	LGPLv2
URL:		https://id3lib.sourceforge.net/
Source:		https://download.sourceforge.net/id3lib/%{name}-%version.tar.bz2
Patch0:		id3lib-3.8.2-doxygen.patch
Patch1:		patch_id3lib_3.8.3_UTF16_writing_bug.diff
Patch2:		id3lib-3.8.3-CVE-2007-4460.patch
Patch3:		id3lib-3.8.3-includes.patch
Patch4:		id3lib-3.8.3-vbr_buffer_overflow.diff
Patch5:		id3lib-3.8.3-link.patch
Patch6:		id3lib-3.8.3-autoreconf.patch
Patch7:		id3lib-3.8.3-zlib.patch
BuildRequires:	doxygen
BuildRequires:	pkgconfig(zlib)

%description
This package provides a software library for manipulating ID3v1 and ID3v2 tags.
It provides a convenient interface for software developers to include 
standards-compliant ID3v1/2 tagging capabilities in their applications.  
Features include identification of valid tags, automatic size conversions, 
(re)synchronisation of tag frames, seamless tag (de)compression, and optional
padding facilities.
Included are some simple command line example applications.

%package -n %{libname}
Summary:	Id3lib libraries
Group:		System/Libraries

%description -n %{libname}
This package provides a software library for manipulating ID3v1 and ID3v2 tags.

%package	-n %{develname}
Summary:	Headers for developing programs that will use id3lib
Group:		Development/C++
Requires:	%{libname} = %{epoch}:%{version}-%release
Provides:	libid3-devel = %{epoch}:%version-%release
Provides:	libid3lib-devel = %{epoch}:%version-%release
Provides:	id3lib-devel = %{epoch}:%version-%release
Obsoletes:	%{_lib}id3_3.8_3-devel < 1:3.8.3-20
Obsoletes:	%{_lib}id3-static-devel < 1:3.8.3-23

%description	-n %{develname}
This package contains the headers that programmers will need to develop
applications which will use id3lib, the software library for ID3v1 and ID3v2
tag manipulation.

%prep
%setup -q
%autopatch -p1

mkdir -p doc/examples
pushd examples
	cp *.cpp *.c *.h *.tag *.jpg *.mp3 ../doc/examples
popd

# remove bundled zlib
rm -rf zlib

%build
autoreconf -vfi
%configure \
	--disable-static
%make_build

%install
%make_install

%make_build docs

#we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc AUTHORS HISTORY NEWS README THANKS TODO
%{_bindir}/*

%files -n %{libname}
%doc README
%{_libdir}/libid3-%{api}.so.%{major}
%{_libdir}/libid3-%{api}.so.%{major}.*

%files -n %{develname}
%doc ChangeLog doc/*.html doc/*gif doc/*.txt doc/*.jpg doc/*.ico doc/*.css
%doc doc/api doc/examples
%{_includedir}/id3*.h
%{_includedir}/id3
%{_libdir}/*.so
