# https://github.com/libimobiledevice/ideviceinstaller
# git snapshot from commit bcd0270cad62c8f75c7ad2d848f9b82c25261eb4

# comment out when not a git snapshot
#define git	20200615

%define rel	4

Name:		ideviceinstaller
Version:	1.1.1
Release:	%mkrel %{?git:0.git%git.}%{rel}
Summary:	Manage apps of iOS devices
Group:		System/Libraries
License:	GPLv2
Url:		https://www.libimobiledevice.org/
Source0:	https://github.com/libimobiledevice/ideviceinstaller/releases/download/%{version}/%{name}-%{version}.tar.bz2
Patch1:		0001-Replace-obsoleted-zip_get_num_files-with-zip_get_num_entries.patch
BuildRequires:	pkgconfig(libimobiledevice-1.0)
BuildRequires:	pkgconfig(libplist-2.0)
BuildRequires:	pkgconfig(libzip)

%description
A command-line application to manage apps and app archives on iOS devices.

Features:

The ideviceinstaller application allows interacting with the app
installation service of an iOS device.

It makes use of the fabulous libimobiledevice library that allows
communication with iOS devices.

Some key features are:

  * Status: Install, upgrade, uninstall, archive, restore and enumerate apps
  * Browse: Allows to retrieve a list of installed apps with filter options
  * Install: Supports app package, carrier bundle and developer .app directory
  * Format: Allows command output in plist format
  * Compatibility: Supports latest device firmware releases
  * Cross-Platform: Tested on Linux, macOS, Windows and Android platforms

#-------------------------------------------------

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc NEWS README.md
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
