# TODO: shared lib calls exit

%define major	0
%define libname	%mklibname %{name}_ %{major}
%define devname	%mklibname %{name} -d

Name:           iec16022
Version:        0.3.1
Release:        %mkrel 1
Summary:        Generate ISO/IEC 16022 2D barcodes
Group:          Graphics/Utilities
License:        GPLv2+
URL:            https://rdoeffinger.github.io/
Source0:        https://github.com/rdoeffinger/iec16022/releases/download/v%{version}/iec16022-%{version}.tar.xz
BuildRequires:  pkgconfig(popt)
BuildRequires:	pkgconfig(zlib)

%description
iec16022 is a program for producing ISO/IEC 16022 2D barcodes, also
known as Data Matrix.  These barcodes are defined in the ISO/IEC 16022
standard.

%package -n %{libname}
Summary:	ISO/IEC 16022 libraries
Group:		System/Libraries

%description -n %{libname}
Shared libraries for %{name}.

%package -n %{devname}
Summary:	ISO/IEC 16022 development files
Group:		Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description  -n %{devname}
Development files for %{name}.

%prep
%setup -q
%autopatch -p1

%build
%configure --disable-static
%make_build

%install
%make_install

%check
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}
%make_build -C test check

%files
%{_bindir}/iec16022
%{_mandir}/man1/iec16022.1*

%files -n %{libname}
%license COPYING
%doc AUTHORS ChangeLog README TODO
%{_libdir}/libiec16022.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/iec16022/
%{_libdir}/libiec16022.so
%{_libdir}/pkgconfig/libiec16022.pc
