%global blaslib openblas

%define major     3
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           igraph
Version:        0.10.15
Release:        %mkrel 2
Summary:        Library for creating and manipulating graphs
License:        GPLv2+
Group:          System/Libraries
URL:            https://igraph.sourceforge.net/
Source0:        https://github.com/igraph/igraph/releases/download/%{version}/igraph-%{version}.tar.gz
Source1:        https://igraph.org/c/doc/igraph.info

BuildRequires:  pkgconfig(arpack)
BuildRequires:  pkgconfig(gmp)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  %{blaslib}-devel
BuildRequires:  glpk-devel
BuildRequires:  suitesparse-devel
BuildRequires:  cmake

%description
igraph wants to be an efficient platform for
1) complex network analysis and
2) developing and implementing graph algorithms.
It provides flexible and efficient data structures for graphs and related
tasks. It also provides implementation to many classic and new graph
algorithms like: maximum flows, graph isomorphism, scale-free
networks, community structure finding, etc.

#------------------------------------------------

%package -n     %{libname}
Summary:        Library for creating and manipulating graphs
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
igraph wants to be an efficient platform for
1) complex network analysis and
2) developing and implementing graph algorithms.
It provides flexible and efficient data structures for graphs and related
tasks. It also provides implementation to many classic and new graph
algorithms like: maximum flows, graph isomorphism, scale-free
networks, community structure finding, etc.

#------------------------------------------------

%package -n     %{develname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
The %{develname} package contains the header files and some
documentation needed to develop application with %{name}.

#------------------------------------------------

%prep
%autosetup

%build
%cmake \
    -DIGRAPH_ENABLE_LTO=AUTO \
    -DIGRAPH_ENABLE_TLS=1 \
    -DIGRAPH_USE_INTERNAL_BLAS=0 \
    -DIGRAPH_USE_INTERNAL_LAPACK=0 \
    -DIGRAPH_USE_INTERNAL_ARPACK=0 \
    -DIGRAPH_USE_INTERNAL_GLPK=0 \
    -DIGRAPH_USE_INTERNAL_CXSPARSE=0 \
    -DIGRAPH_USE_INTERNAL_GMP=0 \
    -DBLAS_LIBRARIES=-l%{blaslib} \
    -DLAPACK_LIBRARIES=-l%{blaslib} \
    -DIGRAPH_GRAPHML_SUPPORT=1 \
    -DCMAKE_INSTALL_INCLUDEDIR=include/
%cmake_build

%install
%cmake_install

install -Dm0644 doc/igraph.3 %{buildroot}%{_mandir}/man3/igraph.3
install -Dm0644 %{SOURCE1} %{buildroot}%{_infodir}/igraph.info
find . -name '.arch-ids' | xargs rm -rf

%files -n %{libname}
%license COPYING
%doc AUTHORS NEWS
%{_libdir}/libigraph.so.%{major}{,.*}

%files -n %{develname}
%doc examples
%{_includedir}/igraph/
%{_libdir}/libigraph.so
%{_libdir}/pkgconfig/igraph.pc
%{_mandir}/man3/igraph.3*
%{_infodir}/igraph.info*
%{_libdir}/cmake/igraph/
