%define Name	iguanaIR
%define rel	2

%define major	0
%define libname	%mklibname iguanair %major
%define devname	%mklibname iguanair -d

Summary:	IguanaWorks USB IR Transceiver driver
Name:		iguanair
Version:	1.2.1
Release:	%mkrel %rel
License:	GPLv2 and LGPLv2+
Group:		System/Kernel and hardware
URL:		https://iguanaworks.net/projects/IguanaIR/
# From git clone + ./make-dist.sh
# https://github.com/iguanaworks/iguanair/commit/c6284e5c07993db7adfa2729b7a3503224301572
Source:		https://github.com/iguanaworks/iguanair/archive/refs/tags/%{version}.tar.gz
Source3:	iguanair.logrotate
Patch0:		ignanair-detect-python-version.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(libusb)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	libpopt-devel
BuildRequires:	pkgconfig(python3)
BuildRequires:	swig
Requires(post):	rpm-helper
Requires(preun): rpm-helper

%description
This package contains the driver daemon required for the operation
of the IguanaWorks USB IR Transceiver and the igclient test tool.

The IguanaWorks USB IR Transceiver is a simple USB device that can
communicate with most home electronics and remote controls via
infrared (IR). The transceiver can both send and receive IR codes,
and is fully compatible with LIRC under Linux. Unlike serial
devices, the USB transceiver does not require a kernel module, and
multiple transceivers can be in use at the same time. Each
transceiver can transmit on up to 4 independent channels.

%package -n python3-iguanair
Summary:	Python 3 bindings for iguanaIR
Group:		Development/Python
BuildRequires:	python3
BuildRequires:	python3-devel
%{?python_provide:%python_provide python3-iguanair}

%description -n python3-iguanair
Python 3 bindings for IguanaWorks USB IR Transceiver.

%package reflasher
Summary:	Reflasher for iguanaIR devices
Group:		System/Kernel and hardware
Requires:	python3-iguanair

%description reflasher
Firmware reflasher for IguanaWorks USB IR Transceiver.

%package -n %libname
Summary:	Shared library for iguanaIR devices
Group:		System/Libraries

%description -n %libname
This package contains the library needed to run programs dynamically
linked with libiguanair.

%package -n %devname
Summary:	Headers for iguanaIR development
Group:		Development/C
Requires:	%libname = %version
Provides:	iguanair-devel = %version-%release

%description -n %devname
This package contains the headers that programmers will need to develop
applications which will use libiguanair.

%prep
%setup -q
%autopatch -p1

%build
%global _vpath_srcdir software/usb_ir/
%cmake -Wno-dev -DLIBDIR=%{_libdir}
%cmake_build

%install
%cmake_install

install -D -m644 %SOURCE3 %{buildroot}%{_sysconfdir}/logrotate.d/%name

# python shebangs
%{py3_shebang_fix} %{buildroot}%{_datadir}/iguanaIR-reflasher/iguanaIR-reflasher

%pre
%_pre_useradd iguanair / /sbin/nologin

%post
%_post_service %Name
if [ "$1" = "1" ]; then
	 # apply new permissions from the added udev file
	/sbin/udevadm trigger --attr-match=manufacturer=IguanaWorks
fi

%preun
%_preun_service %Name

%postun
%_postun_userdel iguanair

%files
%doc README.md
%{_udevrulesdir}/80-%{Name}.rules
%config(noreplace) %{_sysconfdir}/logrotate.d/%name
%{_bindir}/igclient
%{_bindir}/igdaemon
%{_bindir}/iguanaIR-rescan
%{_libdir}/%{Name}/libusbdrv.so
%{_prefix}/lib/tmpfiles.d/%{name}.conf
%{_unitdir}/%{Name}.service
%{_sysconfdir}/default/%{Name}
%{_mandir}/man1/igclient.*
%{_mandir}/man1/iguanaIR-rescan.*
%{_mandir}/man8/igdaemon.*

%files -n python3-iguanair
%{python3_sitearch}/*%{Name}*
%{python3_sitearch}/__pycache__/*%{Name}*

%files reflasher
%{_bindir}/iguanaIR-reflasher
%{_datadir}/iguanaIR-reflasher
%{_mandir}/man1/iguanaIR-reflasher.*

%files -n %libname
%{_libdir}/libiguanaIR.so.%{major}{,.*}
%{_libdir}/libdirectIguanaIR.so.%{major}{,.*}

%files -n %devname
%{_libdir}/*.so
%{_includedir}/%{Name}.h
