Name:		iio-sensor-proxy
Version:	3.5
Release:	%mkrel 1
Summary:	IIO sensors to D-Bus proxy

License:	GPLv3+
Group:		System/Base
URL:		https://gitlab.freedesktop.org/hadess/iio-sensor-proxy/
# ovitters there's no good way to figure out the tarball location as there's a hash in the URL!
Source0:	https://gitlab.freedesktop.org/hadess/iio-sensor-proxy/-/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	git
BuildRequires:	meson
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(udev)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	gnome-common
BuildRequires:	systemd
BuildRequires:	umockdev
BuildRequires:	python3-dbusmock

# (ovitters) dependency need is unclear, waiting further discussion in mga#24877
Recommends:	geoclue

Requires(post):		systemd
Requires(preun):	systemd
Requires(postun):	systemd

%description
IIO sensors to D-Bus proxy.

%prep
%autosetup

%build
%meson -Dgtk_doc=true -Dgtk-tests=false
%meson_build

%install
%meson_install

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc NEWS README.md
%license COPYING
%{_datadir}/gtk-doc/html/%{name}/
%{_bindir}/monitor-sensor
%{_libexecdir}/%{name}
%{_unitdir}/%{name}.service
%{_udevrulesdir}/80-%{name}.rules
%{_datadir}/dbus-1/system.d/net.hadess.SensorProxy.conf
%{_datadir}/polkit-1/actions/net.hadess.SensorProxy.policy
