%define major     1
%define libname   %mklibname iir %{major}
%define develname %mklibname iir -d

Name:           iir1
Version:        1.9.5
Release:        %mkrel 1
Summary:        DSP infinite impulse response realtime C++ filter library
License:        MIT
Group:          System/Libraries
URL:            https://github.com/berndporr/iir1
Source0:        https://github.com/berndporr/iir1/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  doxygen

%description
An infinite impulse response (IIR) filter library for Linux, Mac OSX and Windows
which implements Butterworth, RBJ, Chebychev filters and can easily import
coefficients generated by Python (scipy).

The filter processes the data sample by sample for realtime processing.

It uses templates to allocate the required memory so that it can run without any
malloc / new commands. Memory is allocated at compile time so that there is
never the risk of memory leaks.

All realtime filter code is in the header files which guarantees efficient
integration into the main program and the compiler can optimise both filter code
and main program at the same time.

#------------------------------------------------

%package -n     %{libname}
Summary:        DSP infinite impulse response realtime C++ filter library
Group:          System/Libraries

%description -n %{libname}
An infinite impulse response (IIR) filter library for Linux, Mac OSX and Windows
which implements Butterworth, RBJ, Chebychev filters and can easily import
coefficients generated by Python (scipy).

The filter processes the data sample by sample for realtime processing.

It uses templates to allocate the required memory so that it can run without any
malloc / new commands. Memory is allocated at compile time so that there is
never the risk of memory leaks.

All realtime filter code is in the header files which guarantees efficient
integration into the main program and the compiler can optimise both filter code
and main program at the same time.

#------------------------------------------------

%package -n     %{develname}
Summary:        Development package for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -p1

# Source contains prebuilt documentation, need to rebuild.
rm -rf docs

%build
%cmake -DIIR1_INSTALL_STATIC=OFF
%cmake_build

# Rebuild documentation
(cat Doxyfile; echo GENERATE_LATEX = NO ) | doxygen -

%install
%cmake_install

%files -n %{libname}
%doc README.md
%license COPYING
%{_libdir}/libiir.so.%{major}{,.*}

%files -n %{develname}
%doc docs
%{_includedir}/*.h
%{_includedir}/iir/
%{_libdir}/libiir.so
%{_libdir}/cmake/iir/
%{_libdir}/pkgconfig/iir.pc
