Name:		image-analyzer
Version:	3.2.6
Release:	%mkrel 1
Summary:	An application that displays tree structure of disc image
Group:		File tools
License:	GPLv2
URL:		https://cdemu.sourceforge.io/about/analyzer/
Source:		https://downloads.sourceforge.net/cdemu/%{name}-%{version}.tar.xz
Patch0:		image-analyzer-3.2.5-fix-install.patch
BuildArch:	noarch
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libmirage) >= %{version}
BuildRequires:	pkgconfig(python3)
BuildRequires:	gnuplot
BuildRequires:	intltool
BuildRequires:	cmake

Requires:	python3dist(pygobject)
Requires:	python3-matplotlib-gtk3

%description
Image Analyzer is a simple Gtk+ application that displays tree structure of disc
image created by libMirage.

It is mostly intended as a demonstration of libMirage API use, although it can
be also used to verify that an image is correctly handled by libMirage.

%prep
%setup -q
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
