Name:		imake
Version:	1.0.10
Release:	%mkrel 1
Summary:	C preprocessor interface to the make utility
Group:		System/X11
URL:		https://xorg.freedesktop.org
Source:		https://xorg.freedesktop.org/releases/individual/util/%{name}-%{version}.tar.gz
Patch0:		cleanlinks.patch
License:	MIT

Requires:	x11-util-cf-files >= 1.0.2-%{mkrel 3}

BuildRequires:	x11-util-macros >= 1.0.1
BuildRequires:	x11-proto-devel

%description
Imake is used to generate Makefiles from a template, a set of cpp macro
functions,  and  a  per-directory input file called an Imakefile.  This allows
machine dependencies (such as compiler options,  alternate com- mand  names,
and  special  make  rules)  to  be kept separate from the descriptions of
the various items to be built.

%prep
%autosetup -p0

%build
%configure	--with-config-dir=%{_datadir}/X11/config \
		--x-includes=%{_includedir} \
		--x-libraries=%{_libdir}
%make_build

%install
%make_install

%files
%{_bindir}/ccmakedep
%{_bindir}/cleanlinks
%{_bindir}/imake
%{_bindir}/makeg
%{_bindir}/mergelib
%{_bindir}/mkdirhier
%{_bindir}/mkhtmlindex
%{_bindir}/revpath
%{_bindir}/xmkmf
%{_mandir}/man1/ccmakedep.*
%{_mandir}/man1/cleanlinks.*
%{_mandir}/man1/imake.*
%{_mandir}/man1/makeg.*
%{_mandir}/man1/mergelib.*
%{_mandir}/man1/mkdirhier.*
%{_mandir}/man1/mkhtmlindex.*
%{_mandir}/man1/revpath.*
%{_mandir}/man1/xmkmf.*
