Name:           img2pdf
Version:        0.6.0
Release:        %mkrel 2
Summary:        Losslessly convert raster images to PDF
Group:          Publishing
License:        LGPLv3
URL:            https://gitlab.mister-muffin.de/josch/img2pdf
Source0:        https://files.pythonhosted.org/packages/source/i/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  imagemagick
BuildRequires:  poppler
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(scipy)

%description
Python 3 library and command line utility img2pdf for losslessly converting
a bunch of image files into a PDF file. That means that the images
are either inserted into the PDF as-is or they are recompressed using
lossless compression. Thus, img2pdf usually runs faster and may yield
smaller PDF files than an ImageMagick convert command.
The img2pdf command complements the pdfimages command.

%prep
%setup -q

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name} jp2

%check
%pytest -k '(test_general or test_layout) and not animation.gif'

%files -f %{pyproject_files}
%doc CHANGES.rst README.md
%license LICENSE
%{_bindir}/%{name}
%{_bindir}/%{name}-gui
