%define major		1
%define libname		%mklibname %{name}_ %{major}
%define develname	%mklibname %{name} -d

Name:		imlib2
Version:	1.12.5
Release:	%mkrel 1
Summary:	Powerful image loading and rendering library
License:	Imlib2
Group:		System/Libraries
URL:		https://sourceforge.net/projects/enlightenment/
# Same as upstream tarball except the copyright-breaking /data/fonts
# subdirectory is entirely removed - AdamW 2008/03
Source0:	https://sourceforge.net/projects/enlightenment/files/imlib2-src/%{version}/%{name}-%{version}.tar.xz
# Drop data/fonts from the build, it only contains copyright-
# infringing fonts - AdamW 2008/03 (#38258)
Patch0:		imlib2-1.10.0-fontclean.patch
BuildRequires:	doxygen
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(libheif)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libjxl)
BuildRequires:	pkgconfig(libopenjp2)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libspectre)
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	giflib-devel
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(id3tag)
BuildRequires:	pkgconfig(bzip2)

%description
Imlib2 is an advanced replacement library for libraries like libXpm that
provides many more features with much greater flexibility and speed than
standard libraries, including font rasterization, rotation, RGBA space
rendering and blending, dynamic binary filters, scripting, and more.

Build Options:
--with mmx      Enable mmx cpu detection (10% - 30% speedup)

%package -n	%{libname}
Summary:	Powerful image loading and rendering library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Requires:	%{libname}-filters = %{version}-%{release}
Requires:	%{libname}-loaders = %{version}-%{release}

%description -n	%{libname}
Imlib2 is an advanced replacement library for libraries like libXpm that
provides many more features with much greater flexibility and speed than
standard libraries, including font rasterization, rotation, RGBA space
rendering and blending, dynamic binary filters, scripting, and more.


%package -n	%{develname}
Summary:	Imlib2 headers, static libraries and documentation
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Imlib2 is an advanced replacement library for libraries like libXpm that
provides many more features with much greater flexibility and speed than
standard libraries, including font rasterization, rotation, RGBA space
rendering and blending, dynamic binary filters, scripting, and more.

This package contains various headers and static libraries for %{name}.
You need this package if you want to compile or develop any applications
that need %{name}.


%package -n	%{libname}-filters
Summary:	Imlib2 basic plugin filters set
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libname}-filters
This package contains Imlib2 basic set of plugin filters.


%package -n	%{libname}-loaders
Summary:	Imlib2 loader for various graphic formats
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libname}-loaders
This package contains Imlib2 image loader/saver for various graphic formats,
such as jpeg, png, pnm, tga, tiff, xpm, j2k, heif, jxl, etc.

%package data
Summary:	Imlib2 data
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description data
This package contains Imlib2 data.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure \
	--disable-static \
%ifarch %{ix86}
	--enable-mmx \
%else
	--disable-mmx \
%endif
%ifarch x86_64
	--enable-amd64 \
%endif
	--enable-doc-build

%make_build

%install
%make_install

%files -n %{libname}
%doc AUTHORS README doc/
%license COPYING
%{_libdir}/lib*.so.%{major}{,.*}
%dir %{_libdir}/%{name}

%files -n %{develname}
%doc AUTHORS README
%license COPYING
%{_bindir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*

%files -n %{libname}-filters
%doc AUTHORS README
%license COPYING
%{_libdir}/%{name}/filters

%files -n %{libname}-loaders
%doc AUTHORS README
%license COPYING
%{_libdir}/%{name}/loaders

%files data
%doc AUTHORS README
%license COPYING
%{_datadir}/%{name}/
