# Header-only packages
%global debug_package %{nil}

%define devname %mklibname %{name} -d

Name:           immer
Version:        0.8.1
Release:        %mkrel 2
Summary:        Library of persistent and immutable data structures written in C++
License:        BSL-1.0
Group:          System/Libraries
URL:            https://github.com/arximboldi/immer
Source0:        https://github.com/arximboldi/immer/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  boost-devel
BuildRequires:  cmake(Catch2)
BuildRequires:  pkgconfig(bdw-gc)
BuildRequires:  pkgconfig(guile-2.2)
BuildRequires:  pkgconfig(python3)

%description
immer is a library of persistent and immutable data structures written in C++.
These enable whole new kinds of architectures for interactive and concurrent
programs of striking simplicity, correctness, and performance.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      immer-devel < 0.8.1-2

%description -n %{devname}
Development files (Headers etc.) for %{name}.

immer is a library of persistent and immutable data structures written in C++.
These enable whole new kinds of architectures for interactive and concurrent
programs of striking simplicity, correctness, and performance.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n %{devname}
%doc README.rst
%license LICENSE
%{_includedir}/%{name}/
%{_libdir}/cmake/Immer/
