#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        This lib provides incidence editor
Name:           incidenceeditor
Epoch:          2
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# FIXME missing 32bit support for akonadi-calendar and eventviews
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6UiTools)

BuildRequires:  cmake(KGantt6)
BuildRequires:  cmake(KF6CalendarCore)
BuildRequires:  cmake(KF6Codecs)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6TextWidgets)

BuildRequires:  cmake(KPim6Akonadi)
BuildRequires:  cmake(KPim6LdapWidgets)
BuildRequires:  cmake(KPim6CalendarSupport) >= 5.240
BuildRequires:  cmake(KPim6EventViews) >= 5.240
BuildRequires:  cmake(KPim6Libkdepim)
BuildRequires:  cmake(KPim6CalendarUtils)
BuildRequires:  cmake(KPim6AkonadiCalendar)
BuildRequires:  cmake(KPim6AkonadiMime)
BuildRequires:  cmake(KPim6Mime)
BuildRequires:  cmake(KPim6PimCommonAkonadi)
BuildRequires:  cmake(KPim6TextEdit)
BuildRequires:  cmake(KPim6IdentityManagementCore)


%description
This lib provides incidence editor.

%files -f %name.lang
%_kf6_categoriesdir/incidenceeditor.categories
%_kf6_categoriesdir/incidenceeditor.renamecategories

#--------------------------------------------------------------------

%define kpimincidenceeditor_major 6
%define libkpimincidenceeditor %mklibname kpim6incidenceeditor %{kpimincidenceeditor_major}

%package -n %libkpimincidenceeditor
Summary:        This lib provides incidence editor
Group:          System/Libraries
Requires:       %name >= %epoch:%version-%release

%description -n %libkpimincidenceeditor
This lib provides incidence editor.

%files -n %libkpimincidenceeditor
%_kf6_libdir/libKPim6IncidenceEditor.so.%{kpimincidenceeditor_major}{,.*}

#--------------------------------------------------------------------

%define kincidenceeditor_devel %mklibname kpim6incidenceeditor -d

%package -n %kincidenceeditor_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %epoch:%version-%release
Requires:       %libkpimincidenceeditor = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %kincidenceeditor_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kincidenceeditor_devel
%_includedir/KPim6/IncidenceEditor/
%_kf6_libdir/*.so
%_kf6_libdir/cmake/KPim6IncidenceEditor/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name

