Summary:	An inotify based cron daemon
Name:		incron
Version:	0.5.12
Release:	%mkrel 6
Url:		https://github.com/ar-/incron
Source0:	https://github.com/ar-/incron/archive/%{version}/incron-%{version}.tar.gz
Source1:	incrond.service
Patch0001:	0001-fix-zombie-process.patch
Patch0002:	0002-Fixed-formatting-in-README.md.patch
Patch0003:	0003-Add-support-f-r-comment-lines-in-incron-tables-start.patch
Patch0004:	0004-Ignoring-backup-files-ending-with-a-tilde-in-system-.patch
Patch0005:	0005-Allow-building-on-FreeBSD.patch
Patch0006:	0006-Revert-Merge-pull-request-23-from-javitorl-master.patch
Patch0007:	0007-Rework-the-zombie-prevention.patch
Patch0008:	0008-stdlib.h-is-required-for-daemon-3.patch
Patch0100:	incron-0.5.10-includes.patch
Patch0101:	fork.patch
#
# https://github.com/ar-/incron/pull/56
Patch0202:      56.patch
#
License:	GPLv2
Group:		System/Servers
BuildRequires:	gcc-c++

%description
incron is an "inotify cron" system. It works like the regular cron but is
driven by filesystem events instead of time periods. It contains two
programs, a daemon called "incrond" (analogous to crond) and a table
manipulator "incrontab" (like "crontab").

%prep
%setup -q
%autopatch -p1

%build
%set_build_flags
%make_build PREFIX=%{_prefix} \
	CXXFLAGS="%{build_cxxflags} -std=gnu++14" LDFLAGS="%{ldflags}"

%install
#install files manually since source Makefile tries to do it as root
install -D -p incrond %{buildroot}%{_sbindir}/incrond
install -D -p -m 4755 incrontab %{buildroot}%{_bindir}/incrontab
install -d %{buildroot}%{_localstatedir}/spool/%{name}

# conf
install -d %{buildroot}%{_sysconfdir}/incron.d
install -Dpm644 incron.conf.example %{buildroot}%{_sysconfdir}/incron.conf

# systemd support
install -Dpm644 %{_sourcedir}/incrond.service %{buildroot}%{_unitdir}/incrond.service

# install manpages
make install-man MANPATH="%{buildroot}%{_mandir}" INSTALL="install -D -p"

# handle docs in files section
rm -rf %{buildroot}%{_docdir}

%post
%_post_service incrond

%preun
%_preun_service incrond

%files
%doc CHANGELOG README TODO
%doc doc/html
%doc incron.conf.example
%attr(4755,root,root) %{_bindir}/incrontab
%{_sbindir}/incrond
%{_var}/spool/incron/
%{_sysconfdir}/incron.d/
%config(noreplace) %{_sysconfdir}/incron.conf
%{_mandir}/man?/*
%{_unitdir}/incrond.service
