Summary:	A GNU program for formatting C code
Name:		indent
Version:	2.2.13
Release:	%mkrel 3
License:	GPLv3+
Group:		Development/C
URL:		https://www.gnu.org/software/indent/
Source:		https://ftpmirror.gnu.org/%{name}/%{name}-%{version}.tar.xz
Patch0:		indent-2.2.12.gcc-fix.patch
Patch1:		indent-2.2.13-Fix-an-out-of-buffer-read-in-search_brace-lexi-on-an.patch
Patch2:		indent-2.2.13-Fix-a-heap-buffer-overwrite-in-search_brace-CVE-2023.patch
Patch3:		indent-2.2.13-Fix-a-heap-buffer-underread-in-set-buf-break.patch
BuildRequires:	gettext-devel
BuildRequires:	texi2html
BuildRequires:	texinfo

%description
Indent is a GNU program for beautifying C code, so that it is easier to read.
Indent can also convert from one C writing style to a different one. Indent
understands correct C syntax and tries to handle incorrect C syntax.

Install the indent package if you are developing applications in C and you'd
like to format your code automatically.

%prep
%setup -q
%patch -P0 -p0
%patch -P1 -p1
%patch -P2 -p1
%patch -P3 -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

# html file handled in percent-doc
rm -rf %{buildroot}%{_prefix}/doc

# fix message catalog name
[ -d %{buildroot}%{_datadir}/locale/zh_TW.Big5 ] && \
  mv %{buildroot}%{_datadir}/locale/zh_TW{.Big5,}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS ChangeLog README.md doc/indent.html
%license COPYING
%{_bindir}/indent
%{_mandir}/man?/*
%{_infodir}/*.info*
