Name:           indexhtml
Epoch:          1
Version:        7.0
Release:        %mkrel 3
Summary:        Mageia html welcome page
Group:          System/Base
License:        GPLv3+
URL:            https://mageia.org/
Source0:        https://gitweb.mageia.org/software/indexhtml/snapshot/%{name}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  intltool
Requires(pre):  mageia-release-common
Requires(post): coreutils sed mageia-release-Default

%description
Mageia index.html welcome page displayed by web browsers
when they are launched, first mail displayed on mail clients
after installation and "about" information.

%prep
%autosetup

%build
cd about
./create_html.sh

%install
install -d -m 0755 %{buildroot}%{_datadir}/indexhtml/
tar c -C HTML . | tar x -C %{buildroot}%{_datadir}/indexhtml/

install -d -m 0755 %{buildroot}%{_datadir}/mga/mail/text/
install -d -m 0755 %{buildroot}%{_datadir}/mga/mail/html/
for lang in $(find mail/header-* -type f | sed "s|mail/header-||" ); do
      cat mail/header-$lang &> tmpfile
      cat mail/mail-$lang.txt >> tmpfile
      install -m 0644 tmpfile %{buildroot}%{_datadir}/mga/mail/text/mail-$lang

      cat mail/header-$lang &> tmpfile
      echo "Content-Type: multipart/related; type=\"multipart/alternative\";" >>tmpfile
      echo "       boundary=\"=-tThpx1YEZqL4gn53WjQ1\"" >> tmpfile
      echo "" >> tmpfile
      echo "--=-tThpx1YEZqL4gn53WjQ1" >> tmpfile
      echo "Content-Type: multipart/alternative; boundary=\"=-aFPGjTr5jUHhXPWxbLcT\"" >>tmpfile
      echo "" >> tmpfile
      echo "--=-aFPGjTr5jUHhXPWxbLcT" >> tmpfile
      cat mail/mail-$lang.txt >> tmpfile
      cat mail/mail-$lang.html >> tmpfile
#      cat mail/mail-images >> tmpfile
      install -m 0644 tmpfile %{buildroot}%{_datadir}/mga/mail/html/mail-$lang

done

# about Mageia
install -d -m 0755 %{buildroot}%{_bindir}
install -d -m 0755 %{buildroot}%{_datadir}/applications
cp about/about-mageia.desktop %{buildroot}%{_datadir}/applications 
install -m 0755 about/about-mageia %{buildroot}%{_bindir}/about-mageia

%post
# adapt to the LANG and PRODUCT_ID of the installation
mkdir -p  %{_datadir}/indexhtml
sed -i -e "s/#PRODUCT_ID/`cat /etc/product.id`/" \
    -e "s/#LANG/${LC_NAME/[-_]*}/g" \
    %{_datadir}/indexhtml/index.html

%files
%{_bindir}/about-mageia
%{_datadir}/mga/mail/
%{_datadir}/indexhtml/
%{_datadir}/applications/about-mageia.desktop
