# Partly based on Debian package by Ben Finney <ben+debian@benfinney.id.au>
# https://packages.debian.org/sid/inform6-library

%define uname   inform6lib

Name:           inform6-library
Version:        6.12.4
Release:        %mkrel 2
Summary:        Inform 6 interactive fiction language — library
Group:          Development/Other
License:        Artistic 2.0
URL:            https://inform-fiction.org
Source0:        https://gitlab.com/DavidGriffith/inform6lib/-/archive/%{version}/%{uname}-%{version}.tar.gz
BuildArch:      noarch

%description
Inform 6 is an object-oriented language for writing interactive fiction,
also known as “text adventures” or “adventure games”.

As an interactive fiction developer, you create Inform 6 source code defining
the story. Then compile from source code to a “story file”. The resulting
story files are highly portable, with interpreters available for many
different platforms.

This package installs the Inform 6 standard library.

%prep
%autosetup -p1 -n %{uname}-%{version}

%build

%install
install -d %{buildroot}%{_datadir}/inform6/library
cp -a *.h %{buildroot}%{_datadir}/inform6/library

# Compatibility symbolic links
pushd %{buildroot}%{_datadir}/inform6/library
ln -s parser.h Parser.h
ln -s verblib.h VerbLib.h
ln -s verblib.h Verblib.h
ln -s english.h English.h
ln -s grammar.h Grammar.h
popd

%files
%doc ChangeLog README.txt voices_and_tenses.txt
%license ARTISTIC COPYING
%{_datadir}/inform6/library/
