%define major   4
%define libname %mklibname %name %major
%define libdev  %mklibname %name -d

%bcond_without examples
%bcond_with tests

Name:       iniparser
Version:    4.2.6
Release:    %mkrel 1
Summary:    C library for parsing "INI-style" files
Group:      System/Libraries
License:    MIT
URL:        https://gitlab.com/iniparser/iniparser
Source0:    https://github.com/ndevilla/iniparser/archive/v%version/%name-%version.tar.gz

BuildRequires: cmake
BuildRequires: doxygen
%{?with_tests:
BuildRequires: ruby }

%description
iniParser is an ANSI C library to parse "INI-style" files, often used to
hold application configuration information.

%package -n %libname
Summary:    C library for parsing "INI-style" files
Group:      System/Libraries

%description -n %libname
iniParser is an ANSI C library to parse "INI-style" files, often used to
hold application configuration information.

%package -n %libdev
Summary:    Header files, libraries and development documentation for %{name}
Group:      Development/C
Requires:   %{libname} = %version
Provides:   %{name}-devel = %version-%release

%description -n %libdev
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%autosetup -p1

%build
%cmake -DBUILD_STATIC_LIBS=OFF \
       %{?with_examples:-DBUILD_EXAMPLES=ON} \
       %{?with_tests:-DBUILD_TESTING=ON} \
       %{nil}
%cmake_build

%install
%cmake_install

%check
%{?with_tests:%ctest }
%{?with_examples:
%{_vpath_builddir}/iniexample
%{_vpath_builddir}/parse test/ressources/good_ini/twisted.ini }

%files -n %libname
%doc AUTHORS FAQ*md README.md
%license LICENSE
%{_libdir}/libiniparser.so.%{major}{,.*}

%files -n %libdev
%{?with_examples:
%{_docdir}/%{name}/examples/ }
%{_includedir}/%{name}/
%{_libdir}/libiniparser.so
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/%{name}.pc
