%define relbuild 2025-03-30_93de688d07

%ifarch aarch64
  %global _smp_ncpus_max 4
%endif

Name:           inkscape
Summary:        A vector-based drawing program using SVG
Version:        1.4.1
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphics/Editors and Converters
URL:            https://inkscape.org/
Source0:        https://media.inkscape.org/dl/resources/file/%{name}-%{version}.tar.xz
#
# from git upstream (https://gitlab.com/inkscape/inkscape.git)
#

# Others
Patch100:       inkscape-rpath.patch

BuildRequires:  ninja
BuildRequires:  cmake
BuildRequires:  cmake(double-conversion)
BuildRequires:  pkgconfig(2geom) >= 1.2.2
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(cairo-pdf)
BuildRequires:  pkgconfig(cairo-svg)
BuildRequires:  pkgconfig(gdkmm-3.0)
BuildRequires:  pkgconfig(glibmm-2.4)
BuildRequires:  pkgconfig(gmock)
BuildRequires:  pkgconfig(GraphicsMagick++)
BuildRequires:  pkgconfig(gsl)
BuildRequires:  pkgconfig(gspell-1)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtkmm-3.0)
BuildRequires:  pkgconfig(gtkspell3-3.0)
BuildRequires:  pkgconfig(gtksourceview-4)
BuildRequires:  pkgconfig(Magick++)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(libcdr-0.1)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(librevenge-0.0)
BuildRequires:  pkgconfig(librevenge-stream-0.0)
BuildRequires:  pkgconfig(libvisio-0.1)
BuildRequires:  pkgconfig(libwpg-0.3)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(poppler)
BuildRequires:  pkgconfig(poppler-glib)
BuildRequires:  pkgconfig(sigc++-2.0)
BuildRequires:  pkgconfig(bdw-gc)
BuildRequires:  pkgconfig(readline)
BuildRequires:  perl(XML::Parser)
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(cython)
BuildRequires:  boost-devel
BuildRequires:  perl
BuildRequires:  perl-devel
BuildRequires:  pkgconfig(popt)
BuildRequires:  potrace-devel
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  gettext-devel
Requires:       python3-appdirs
Requires:       python3-cssselect
Requires:       python3-gobject
Requires:       python3-lxml
Requires:       python3-numpy
Requires:       python3-pillow
Requires:       python3-requests
Requires:       python3-scour
Requires:       graphicsmagick
Recommends:     uniconvertor

%description
Inkscape is a generic SVG-based vector-drawing program.

Inkscape uses the W3C SVG (= "Scalable Vector Graphics") standard as its
native file format. Therefore, it is a very useful tool for web designers
and can be used as an interchange format for desktop publishing.

%prep
%autosetup -p1 -n inkscape-%{version}_%{relbuild}

# fix python shebangs
%py3_shebang_fix share/extensions/

# workaround CMake Error: failed to create symbolic link
# /build/inkscape_datadir/inkscape': no such file or directory
mkdir -p %{_vpath_builddir}/inkscape_datadir/

%build
# When WITH_IMAGE_MAGICK=OFF is set, it defaults to Graphicsmagick.
%cmake -GNinja \
       -DWITH_IMAGE_MAGICK=OFF \
       -DWITH_MANPAGE_COMPRESSION=OFF

%cmake_build

%install
%cmake_install

perl -i -lne 'print unless m{^\[Drawing Shortcut Group\]}..1' %{buildroot}%{_datadir}/applications/*

desktop-file-install --vendor="" \
  --add-category="Graphics;2DGraphics" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name} --with-man --all-name

%files -f %{name}.lang
%doc AUTHORS NEWS.md README.md
%license COPYING
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/inkscape/
%{_metainfodir}/org.inkscape.Inkscape.appdata.xml
%{_mandir}/man1/*
%{_iconsdir}/hicolor/*/apps/*
%{_libdir}/inkscape/
