%define lname	inotifytools

%define major	0
%define libname	%mklibname %lname %major
%define devname	%mklibname %lname -d

Summary:	Simple interface to inotify
Name:		inotify-tools
Version:	4.23.9.0
Release:	%mkrel 1
License:	GPLv2+
Group:		File tools
URL:		https://github.com/inotify-tools/inotify-tools/wiki
Source0:	https://github.com/inotify-tools/inotify-tools/archive/%{version}/%{name}-%{version}.tar.gz
# https://github.com/inotify-tools/inotify-tools/issues/192
Patch0:		inotify-tools-mga-use-of__kernel_val-instead-of-val.patch
BuildRequires:	doxygen

%description
This is a package of some commandline utilities relating to inotify.

The general purpose of this package is to allow inotify's features
to be used from within shell scripts.  Read the man pages for
further details.

%package -n	%{libname}
Summary:	Inotify interface library
Group:		System/Libraries

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with libinotifytools.

%package -n	%{devname}
Summary:	Development files for inotifytools
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{lname}-devel = %{version}-%{release}

%description -n	%{devname}
Development files for inotifytools.

%prep
%autosetup -p1

%build
./autogen.sh
%configure \
	--disable-static \
	--enable-doxygen \
	--enable-fanotify
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

mv %{buildroot}%{_docdir}/%{name} api

%files
%doc AUTHORS README.md
%{_bindir}/fsnotifywait
%{_bindir}/fsnotifywatch
%{_bindir}/inotifywait
%{_bindir}/inotifywatch
%{_mandir}/man1/fsnotifywait.1*
%{_mandir}/man1/fsnotifywatch.1*
%{_mandir}/man1/inotifywait.1*
%{_mandir}/man1/inotifywatch.1*

%files -n %{libname}
%license COPYING
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devname}
%doc AUTHORS ChangeLog NEWS api
%{_includedir}/inotifytools/
%{_libdir}/*.so
