# filter out bogus auto-requires
%global __requires_exclude ^perl\\((the)
%define patch_set 1

Name:		inxi
Version:	3.3.37
Release:	%mkrel 1
License:	GPLv3
Group:		System/Configuration
Summary:	Command line system information script for console and IRC
URL:		https://smxi.org/docs/inxi.htm
Source0:	https://codeberg.org/smxi/inxi/archive/%{version}-%{patch_set}.tar.gz#/%{name}-%{version}-%{patch_set}.tar.gz
BuildArch:	noarch
BuildRequires:	gzip

Requires:	perl(XML::Dumper)
Recommends:	glxinfo
Recommends:	lm_sensors
Recommends:	hddtemp
Recommends:	usbutils
Recommends:	xrandr
Recommends:	dmidecode

%description
inxi is a command line system information script built for console and IRC.
It is also used for forum technical support, as a debugging tool, to quickly
ascertain user system configuration and hardware.
inxi shows system hardware, CPU, drivers, Xorg, Desktop, kernel, GCC version,
processes, RAM usage, and a wide variety of other useful information.

#-----------------------------------------------------------------------

%package 	konversation
Summary:	Plugin for konversation
Group:		Development/KDE and Qt
BuildRequires:	kf5-macros
Requires:	konversation
Requires:	%{name} >= %{version}-%{release}

%description 	konversation
Plugin to allow %{name} to be easily used in konversation.

#-----------------------------------------------------------------------

%package 	quassel
Summary:	Plugin for quassel
Group:		Development/KDE and Qt
Requires:	quassel
Requires:	%{name} >= %{version}-%{release}

%description 	quassel
Plugin to allow %{name} to be easily used in quassel.

#-----------------------------------------------------------------------

%prep
%autosetup -n %{name}

%build

%install
install -m755 %{name} -D %{buildroot}%{_bindir}/%{name}
install -m644 %{name}.1 -D %{buildroot}%{_mandir}/man1/%{name}.1

mkdir -p %{buildroot}%{_kf5_datadir}/konversation/scripts
pushd %{buildroot}%{_kf5_datadir}/konversation/scripts/
ln -s %{_bindir}/%{name} %{name}
popd

mkdir -p %{buildroot}%{_kf5_datadir}/quassel/scripts
pushd %{buildroot}%{_kf5_datadir}/quassel/scripts/
ln -s %{_bindir}/%{name} %{name}
popd

%files
%doc inxi.changelog README.txt
%{_bindir}/%{name}
%{_mandir}/man?/%{name}*

%files konversation
%{_kf5_datadir}/konversation/scripts/%{name}

%files quassel
%{_kf5_datadir}/quassel/scripts/%{name}
