#define pre rc1
%define prever %{?pre:-%pre}%nil

Name:		iodine
Version:		0.7.0
Release:		%mkrel 8
Summary:		Solution to tunnel IPv4 data through a DNS server
Group:		Networking/Other
License:		ISC
URL:			https://code.kryo.se/iodine/
Source0:		https://code.kryo.se/%{name}/%{name}-%{version}%{prever}.tar.gz
# separate configs made by Nikolay Ulyanitsky
Source1:		%{name}-client.conf
Source2:		%{name}-server.conf
Source3:		%{name}-client.service
Source4:		%{name}-server.service
Source5:		%{name}.logrotate
BuildRequires:	pkgconfig(zlib)

%description
iodine lets you tunnel IPv4 data through a DNS server. This can be usable in
different situations where internet access is firewalled, but DNS queries are
allowed.

It runs on Linux, Mac OS X, FreeBSD, NetBSD, OpenBSD and Windows and needs a
TUN/TAP device. The bandwidth is asymmetrical with limited upstream and up to
1 Mbit/s downstream.

%package server
Summary:	iodine server (Tunnel TCP over DNS)
Group:		Networking/Other
Requires(post):   rpm-helper >= %{rpmhelper_required_version}
Requires(preun):  rpm-helper >= %{rpmhelper_required_version}

%description server
iodine lets you tunnel IPv4 data through a DNS server. This can be usable in
different situations where internet access is firewalled, but DNS queries are
allowed.

This package contains the server part.

%package client
Summary:	iodine client (Tunnel TCP over DNS)
Group:		Networking/Other
Requires(post):   rpm-helper >= %{rpmhelper_required_version}
Requires(preun):  rpm-helper >= %{rpmhelper_required_version}

%description client
iodine lets you tunnel IPv4 data through a DNS server. This can be usable in
different situations where internet access is firewalled, but DNS queries are
allowed.

This package contains the client part.

%prep
%setup -q -n %{name}-%{version}%{prever}
%autopatch -p1

%build
%make_build prefix=%{_prefix} CFLAGS="-c %{optflags} -DLINUX"

%install
%makeinstall prefix=%{_prefix}

install -Dp -m 0644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/sysconfig/%{name}-client
install -Dp -m 0644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/sysconfig/%{name}-server

install -Dp -m 0644 %{SOURCE3} %{buildroot}/%{_unitdir}/%{name}-client.service
install -Dp -m 0644 %{SOURCE4} %{buildroot}/%{_unitdir}/%{name}-server.service

install -Dp -m 0644 %{SOURCE5} %{buildroot}/%{_sysconfdir}/logrotate.d/%{name}

%post server
%_post_service iodine-server
%preun server
%_preun_service iodine-server

%post client
%_post_service iodine-client
%preun client
%_preun_service iodine-client

%files server
%doc CHANGELOG README TODO
%{_sbindir}/%{name}d
%{_mandir}/man8/%{name}.8.*
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/%{name}-server
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_unitdir}/%{name}-server.service

%files client
%doc CHANGELOG README TODO
%{_sbindir}/%{name}
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/%{name}-client
%{_unitdir}/%{name}-client.service

