Summary:	Display I/O usage of processes in a top like UI
Name:		iotop
Version:	0.6
Release:	%mkrel 21
License:	GPLv2
Group:		Monitoring
Url:		http://guichaz.free.fr/iotop/
Source0:	http://guichaz.free.fr/iotop/files/%{name}-%{version}.tar.bz2
Patch1:		0001-Make-pep8-happy.patch
Patch2:		0002-Be-specific-about-which-exceptions-are-being-caught.patch
Patch3:		0003-Fix-terminology-replace-actual-by-current.patch
Patch4:		0004-Fix-two-typos.patch
Patch5:		0005-Fix-build-error-with-Python-3-caused-by-itervalues-i.patch
Patch6:		0006-Switch-URLs-from-http-to-https.patch
Patch7:		0007-Refer-to-Python-using-the-correct-capitalisation.patch
Patch8:		0008-Also-ignore-the-dist-directory-which-is-created-by-s.patch
Patch9:		0009-Only-split-proc-status-lines-on-the-character.patch
Patch10:	0010-Add-the-full-fingerprint-for-the-release-signing-key.patch
Patch11:	0011-Strip-obsolete-comment-from-the-manual-page.patch
Patch12:	0012-Correct-the-alignment-of-the-header.patch
Patch13:	0013-Correct-the-location-of-the-status-message.patch
Patch14:	0014-Print-the-titles-at-specific-locations.patch
Patch15:	0015-Hide-UI-elements-on-smaller-terminals.patch
Patch16:	0016-Check-the-column-title-is-not-empty-before-using-it.patch
Patch17:	0017-Add-a-footer-listing-keyboard-shortcuts.patch
Patch18:	0018-Fix-typo-alignement.patch
Patch19:	0019-Use-monotonic-time-to-calculate-durations.patch
Patch20:	0020-Support-Python-versions-and-platforms-with-no-time.m.patch
Patch21:	0021-Add-ioprio_-syscall-numbers-for-mips.patch
Patch22:	0022-Switch-from-python-to-python3.patch
Patch23:	0023-Improve-the-message-that-is-printed-when-Linux-tasks.patch
Patch24:	0024-Fix-crash-due-to-syntax-error.patch
Patch25:	0025-Ignore-invalid-lines-in-proc-status-files.patch
Patch26:	0026-Actually-skip-invalid-lines-in-proc-status.patch
Patch27:	0027-Fix-indefinite-article-to-be-an-x86_64-kernel-instea.patch
Patch28:	0028-Fix-possessive-form-for-process-in-the-manual-page.patch
Patch29:	0029-Add-a-_ioprio-C-extension-module-for-exporting-SYS_i.patch
Patch30:	0030-Handle-errors-setting-up-curses-by-printing-the-erro.patch
Patch31:	0031-Document-the-new-kernel.task_delayacct-sysctl-requir.patch
Patch32:	0032-Detect-the-kernel.task_delayacct-sysctl-value.patch
Patch33:	0033-Workaround-crashes-due-to-non-UTF-8-characters-in-pr.patch
Patch34:	0034-Document-the-new-iotop-channel-on-the-libera.chat-IR.patch
Patch35:	0035-Update-URLs-for-redirects-and-other-location-changes.patch
Patch36:	0036-Automatically-hide-the-SWAPIN-IO-columns-when-they-a.patch
Patch37:	0037-Promote-the-new-iotop-implementation-that-is-written.patch
Patch38:	0038-Promote-the-packages-of-both-of-the-Python-C-iotop-i.patch
Patch39:	0039-Update-manual-page-modification-date.patch
BuildRequires:	git-core
BuildRequires:	zlib
BuildRequires:	pyproject-rpm-macros
BuildRequires:	python3-devel

%description
iotop is a Python program with a top like UI used to show of behalf of
which process is the I/O going on. It requires a Linux kernel 2.6.20
with TASK_IO_ACCOUNTING enabled.

%prep
%autosetup -p1 -Sgit_am

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name}

if [ -x %{buildroot}%{_bindir}/iotop ]; then
  mkdir -p %{buildroot}%{_sbindir}
  mv %{buildroot}%{_bindir}/iotop %{buildroot}%{_sbindir}/
fi

%files -f %{pyproject_files}
%doc NEWS THANKS
%{_sbindir}/iotop
%{_mandir}/man?/*
