Summary:        A network ip guardian
Name:           ip-sentinel
Version:        0.12
Release:        %mkrel 18
License:        GPL-2.0-only
Group:          Networking/Other
Url:            https://www.nongnu.org/ip-sentinel/
Source0:        https://savannah.nongnu.org/download/ip-sentinel/%{name}-%{version}.tar.bz2
Source2:        ip-sentinel.service
Patch0:         ip-sentinel-0.12-lsb.patch
Patch1:         ip-sentinel-configure.patch
Patch2:         ip-sentinel-0.12-pidfile.patch
Patch3:         ip-sentinel-0.12-glibc.patch
Requires(pre):		shadow-utils
Requires(post,preun):	systemd

%description
This program tries to prevent unauthorized usage of IPs within
the local Ethernet broadcastdomain by giving an answer to
ARP-requests. After receiving such a faked reply, the requesting
party stores the told MAC in its ARP-table and will send future
packets to this MAC. Because this MAC is invalid, the host with
the invalid IP can not be reached.

Features
- non-root execution in a chroot jail
- freely customizable IPs (netmasks, negations, ranges)

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

# Config
mkdir -p %buildroot{%_sysconfdir/sysconfig,%_unitdir,%_sysconfdir/logrotate.d}

install -pm 0644 %{SOURCE2} %{buildroot}%{_unitdir}/ip-sentinel.service

cat > %buildroot%_sysconfdir/sysconfig/%name <<EOF
IPS_USER=ip-sentinel
IPS_GROUP=ip-sentinel
# IPS_CHROOT=%_localstatedir/lib/%name
# IPS_IPFILE=ips.cfg
# IPS_LOGFILE=/var/log/ip-sentinel.out
# IPS_ERRFILE=/var/log/ip-sentinel.err
# IPS_OPTIONS=
# IPS_DEVICE=eth0

## Assign to yes if running a dietlibc-compiled version of ip-sentinel
## on a system using remote NSS for passwd-lookups (e.g. LDAP, NIS).
##
## When using a group which is not the effective group of the user,
## you will have to assign the numeric gid of this group to GROUP.
# IPS_NEEDS_NUMERIC_UID=
EOF

cat > %buildroot%_sysconfdir/logrotate.d/%name << EOF
/var/log/%name.err /var/log/%name.out {
    missingok
    notifempty
    postrotate
        /bin/kill -HUP `/bin/cat /run/%name.pid`
    endscript
}
EOF

# Data
mkdir -p %buildroot{%_localstatedir/lib/%name,%_var/log}
touch %buildroot%_var/log/%name.out
touch %buildroot%_var/log/%name.err


%pre
  %_pre_useradd %name %_localstatedir/lib/%name /bin/true

%post
  touch %_var/log/%name.out
  touch %_var/log/%name.err
  %_post_service %{name}

%postun
  %_postun_userdel %name

%preun
  %_preun_service %{name}


%files
%doc AUTHORS ChangeLog NEWS README THANKS
%license COPYING
%_sbindir/%name
%_mandir/man8/%{name}*
%dir %_localstatedir/lib/%name
%config(noreplace) %_sysconfdir/sysconfig/%name
%config(noreplace) %_sysconfdir/logrotate.d/%name
%{_unitdir}/ip-sentinel.service
%ghost %_var/log/%name.out
%ghost %_var/log/%name.err
