Name: ipcalc
Version: 1.0.3
Release: %mkrel 3
Summary: IP network address calculator

# This is an updated version of ipcalc originally found
# in Fedora's initscripts at:
# https://fedorahosted.org/releases/i/n/initscripts/
Group: System/Base
License: GPLv2+
URL: https://gitlab.com/ipcalc/ipcalc
Source0: https://gitlab.com/ipcalc/ipcalc/-/archive/%{version}/ipcalc-%{version}.tar.gz
# (ovitters) seems ipv6 localhost name on builders is not configured correctly in
# /etc/hosts or something. So disable those tests.
Patch1: ipcalc-0.4.1-disable-ipv6-test.patch

BuildRequires: gcc
BuildRequires: pkgconfig(libmaxminddb)
BuildRequires: pkgconfig(geoip)
BuildRequires: meson
BuildRequires: rubygem(ronn-ng)
Recommends:    geoip

# Explicitly conflict with older initscript packages that ship ipcalc
Conflicts: initscripts < 9.78


%description
ipcalc provides a simple way to calculate IP information for a host
or network. Depending on the options specified, it may be used to provide
IP network information in human readable format, in a format suitable for
parsing in scripts, generate random private addresses, resolve an IP address,
or check the validity of an address.

%prep
%autosetup -p1

%build
%meson -Duse_maxminddb=enabled -Duse_runtime_linking=enabled
%meson_build

%install
%meson_install

%check
%meson_test

%files
%license COPYING
%doc README.md
%{_bindir}/ipcalc
%{_mandir}/man1/ipcalc.1*
