%define major		0
%define libname		%mklibname iperf %major
%define develname	%mklibname iperf -d

Name:		iperf
Version:	3.18
Release:	%mkrel 1
License:	BSD
Group:		Networking/Other
Summary:	A TCP, UDP, and SCTP network bandwidth measurement tool
URL:		https://github.com/esnet/iperf
Source0:	https://github.com/esnet/iperf/releases/download/%{version}/%{name}-%{version}.tar.gz

%description
iperf is a tool for active measurements of the maximum achievable bandwidth 
on IP networks. It supports tuning of various parameters related to timing, 
protocols, and buffers. For each test it reports the bandwidth, loss, and 
other parameters.

%package	-n %libname
Group:		System/Libraries
Summary:	Libraries for %{name}
Requires:	%{name} >= %{version}-%{release}

%description	-n %libname
iperf is a tool for active measurements of the maximum achievable bandwidth
on IP networks. It supports tuning of various parameters related to timing,
protocols, and buffers. For each test it reports the bandwidth, loss, and
other parameters.

%package	-n %develname
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %develname
This package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup


%build
%configure --enable-static=no
%make_build


%install
%make_install

find %{buildroot} -name '*.la' -delete


%files
%doc RELNOTES.md LICENSE README.md
%{_bindir}/iperf3
%{_mandir}/man1/%{name}3.1.*

%files -n %{libname}
%{_libdir}/libiperf.so.%{major}{,.*}

%files -n %develname
%{_includedir}/*
%{_libdir}/*.so
%{_mandir}/man3/libiperf.3.*
