%global gitname     IPMITOOL
%global gitversion  1_8_19

Summary:	Utility for interfacing with IPMI devices
Name:		ipmitool
Version:	1.8.19
Release:	%mkrel 1
License:	GPLv2
Group:		System/Kernel and hardware
Url:		https://github.com/ipmitool/ipmitool
Source0:	https://github.com/%{name}/%{name}/archive/%{gitname}_%{gitversion}/%{name}-%{version}.tar.gz
Source1:	openipmi-ipmievd.sysconf
Source2:	ipmievd.service
# https://www.iana.org/assignments/enterprise-numbers.txt
Source7:	enterprise-numbers

# https://github.com/ipmitool/ipmitool/issues/170
Patch3:		ipmitool-1.8.19-set-kg-key.patch
Patch4:		0004-slowswid.patch
Patch5:		0005-sensor-id-length.patch
Patch7:		0007-check-input.patch
# https://github.com/ipmitool/ipmitool/issues/199
# https://github.com/ipmitool/ipmitool/pull/214 - approved but not merged
Patch14:	0014-lanplus-cipher-retry.patch

# Debian patches, never applied upstream
# https://bugs.launchpad.net/ubuntu/+source/ipmitool/+bug/633054
# https://sourceforge.net/p/ipmitool/mailman/message/24405281/
Patch100:	0100-fix_buf_overflow.patch
# https://sourceforge.net/p/ipmitool/bugs/490/
Patch105:	0105-sensor_reading.patch

BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	libtool

%description
IPMI stands for Intelligent Platform Management Interface
and is an open standard for machine health, and (remote) control
and is implemented by many hardware vendors - Intel is one of the originators,
and early adopters of the standard.
This package contains a utility for interfacing with IPMI-enabled devices
through either the OpenIPMI kernel driver or with IPMI-over-LAN protocol.
These functions include printing FRU(Field Replaceable Unit) information,
LAN configuration, sensor readings, and remote chassis power control.

%prep
%autosetup -p1 -n %{name}-%{gitname}_%{gitversion}

%build
# --disable-dependency-tracking speeds up the build
# --enable-file-security adds some security checks
# --disable-intf-free disables FreeIPMI support - we don't want to depend on
#   FreeIPMI libraries, FreeIPMI has its own ipmitoool-like utility.

autoreconf -vfi

install -Dm 644 %{SOURCE7} .
%configure \
    --disable-dependency-tracking \
    --enable-file-security \
    --disable-intf-free \
    --enable-intf-usb
%make_build

%install
%make_install

rm -rf %{buildroot}%{_datadir}/doc/ipmitool
install -Dpm 644 %{SOURCE2} %{buildroot}%{_unitdir}/ipmievd.service
install -Dpm 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/ipmievd

%post
%_post_service ipmievd

%preun
%_preun_service ipmievd

%files
%doc AUTHORS README
%license COPYING
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man1/*
%{_mandir}/man8/*
%{_datadir}/ipmitool/
%config(noreplace) %{_sysconfdir}/sysconfig/ipmievd
%{_unitdir}/ipmievd.service
%{_datadir}/misc/enterprise-numbers
