%global ppp_ver %(rpm -q --queryformat "%{VERSION}" ppp)

Summary: 	An IP address pool manager
Name: 		ippool
Version: 	1.3
Release: 	%mkrel 23
License: 	GPLv2+
Group: 		System/Servers
URL: 		https://www.openl2tp.org/
Source0: 	https://sourceforge.net/projects/openl2tp/files/ippool/%{version}/%{name}-%{version}.tar.gz
Source1:	ippool.service
Source2:	ippool-tmpfiles.conf
Patch0: 	ippool-rm_unused.patch
Patch2:		ippool-1.3-dso.patch
# https://sourceforge.net/p/openl2tp/patches/19/
Patch3:		ippool-1.3.pppd.patch
# From pld
Patch4:		ippool-tirpc.patch
#
Patch5:		ippool-fix-building-with-gcc14.patch
BuildRequires:	ppp-devel >= 2.4.4
BuildRequires:	readline-devel
BuildRequires:	glibc-devel
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	rpcgen
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(libtirpc)
Requires:	ppp = %{ppp_ver}
Requires:       readline
Requires:        rpcbind
Requires(post):  systemd >= %{systemd_required_version}
Requires(post):  rpm-helper
Requires(preun): rpm-helper

%description
IpPool is an IP address pool manager.

IpPool is implemented as a separate server daemon to allow any application
to use its address pools. This makes it possible to define address
pools that are shared by PPP, L2TP, PPTP etc. It may be useful in some VPN
server setups.

IpPool comes with a command line management application, ippoolconfig
to manage and query address pool status. A pppd plugin is supplied which
allows pppd to request IP addresses from ippoold.

%prep
%setup -q
%autopatch -p1

%build
%__make \
  CPPFLAGS="%{optflags} -Wno-error=unused-but-set-variable -I%{_includedir}/tirpc" \
  CFLAGS="%{optflags} -Wno-error=unused-but-set-variable -Iusl -Icli -I/usr/include/pppd/ -I/usr/include/readline/ -I%{_includedir}/tirpc -I.. -DUINT_MAX=32768"

%install
%make_install \
  SYS_LIBDIR=%{_libdir} \
  PPPD_VERSION=%{ppp_ver} \
  PPPD_LIBDIR=%{_libdir}/pppd/%{ppp_ver}

%{__install} -D -p -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/ippool.service
%{__install} -D -p -m 0644 etc/sysconfig/ippoold %{buildroot}%{_sysconfdir}/sysconfig/ippoold
%{__install} -D -p -m 0644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/%{name}.conf

%post
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}


%files
%doc README
%{_tmpfilesdir}/%{name}.conf
%dir %{_libdir}/ippool
%{_bindir}/ippoolconfig
%{_sbindir}/ippoold
%{_libdir}/ippool/ippool_rpc.x
%{_libdir}/pppd/%{ppp_ver}/ippool.so
%{_mandir}/man1/ippoolconfig.1.*
%{_mandir}/man4/ippool_rpc.4.*
%{_mandir}/man8/ippoold.8.*
%{_unitdir}/ippool.service
%config %{_sysconfdir}/sysconfig/ippoold
