%define staticdevelname %mklibname %{name} -d -s

Summary:	Advanced IP routing and network device configuration tools
Name:		iproute2
Version:	6.6.0
Release:	%mkrel 2
License:	GPLv2+
Group:		Networking/Other
Url:		https://wiki.linuxfoundation.org/networking/iproute2
Source0:	https://www.kernel.org/pub/linux/utils/net/iproute2/%{name}-%{version}.tar.xz
# RH patches
# MGA patches
Patch109:	iproute2-3.9.0-IPPROTO_IP_for_SA.patch
Patch110:	iproute2-6.6.0-q_atm-ld-uneeded.patch
BuildRequires:	bison
BuildRequires:	db5.3-devel
BuildRequires:	flex
BuildRequires:	kernel-userspace-headers >= %{version}
BuildRequires:	linuxdoc-tools
BuildRequires:	linux-atm-devel
BuildRequires:	pkgconfig(xtables)
Buildrequires:	pkgconfig(libnl-3.0)
BuildRequires:	pkgconfig(libbpf)
BuildRequires:	texlive
BuildRequires:	texlive-texmf
# For compatibility with Fedora:
Provides:	iproute = %{version}-%{release}
Requires:	iputils

%description
The iproute package contains networking utilities (ip, tc and rtmon, for
example) which are designed to use the advanced networking capabilities of the
Linux 2.2.x kernels and later,  such as policy routing, fast NAT and packet
scheduling.

%package -n %{staticdevelname}
Summary:	Development files for iproute2
Group:		Development/C
Provides:	iproute2-devel = %{version}-%{release}

%description -n	%{staticdevelname}
The iproute package contains networking utilities (ip, tc and rtmon, for
example) which are designed to use the advanced networking capabilities of the
Linux 2.2.x kernels and later,  such as policy routing, fast NAT and packet
scheduling.

This package contains development files for iproute2.

%package doc
Summary:	Documentation for Advanced IP routing and network device configuration tools
Group:		Networking/Other

%description doc
Documentation for iproute2.

%prep

%setup -q
%autopatch -p1


%build
%serverbuild
%set_build_flags
%configure
%make_build

%install
export SBINDIR=/sbin
export LIBDIR='%{_libdir}'
%make_install

# libnetlink
install -D -m644 include/libnetlink.h %{buildroot}%{_includedir}/libnetlink.h
install -D -m644 lib/libnetlink.a %{buildroot}%{_libdir}/libnetlink.a

%files
%dir %{_libdir}/iproute2
%attr(644,root,root) %config(noreplace) %{_libdir}/iproute2/*
/sbin/*
/%{_libdir}/tc
%{_mandir}/man3/*
%{_mandir}/man7/*
%{_mandir}/man8/*
%{_datadir}/bash-completion/completions/devlink
%{_datadir}/bash-completion/completions/tc

%files -n %{staticdevelname}
%{_includedir}/*.h
%{_includedir}/iproute2/bpf_elf.h
/%{_libdir}/*.a

%files doc
%doc README
