%define module_name ipt_NETFLOW
%define dkms_package dkms-%{module_name}
%define upstream_name ipt-netflow

Name:		%{module_name}
Version:	2.6
Release:	%mkrel 3
Summary:	DKMS-ready module for ipt_netflow, an iptables modules
Group:		Development/Kernel
License:	GPLv3
Source:		https://github.com/aabc/ipt-netflow/releases/%{upstream_name}-%{version}.tar.gz
# Disable searching for iptables sources, not used anyway
Patch0:		ipt_NETFLOW-2.4-nosrc.patch

BuildRequires:	pkgconfig(libiptc)
BuildRequires:	pkgconfig(xtables)
BuildRequires:	kernel-desktop-devel-latest

%description
ipt_netflow is very fast and effective Netflow exporting module for Linux kernel.
This is netfilter/iptables module adding support for NETFLOW target.

%package -n %{dkms_package}
Summary:	DKMS-ready module for ipt_netflow, an iptables modules
Provides:	kmod(ipt_NETFLOW.ko) = %{version}
Requires(pre):	dkms
Requires(post):	dkms
BuildArch:	noarch

%description -n %{dkms_package}
ipt_netflow is very fast and effective Netflow exporting module for Linux kernel.
This is netfilter/iptables module adding support for NETFLOW target.

This package provides the %{module_name} kernel module(s).

%package -n iptables-NETFLOW
Summary:	The NETFLOW library which will be loaded by iptables when NETFLOW rules are processed
Requires:	kmod(ipt_NETFLOW.ko)

%description -n iptables-NETFLOW
The NETFLOW library which will be loaded by iptables when NETFLOW rules are processed.

%prep
%setup -q -n %{upstream_name}-%{version}
%autopatch -p1

%build
%set_build_flags
# set kernel-devel dir
KPKG=$(rpm -q --requires kernel-desktop-devel-latest | grep kernel-desktop-devel)
KDIR=$(rpm -ql $KPKG | grep '/usr/src/[^/]*$')
./configure --kdir=$KDIR
%make_build libipt_NETFLOW.so LIBS=-lxtables
%make_build compat_def.h

%install
# Install the library
make DESTDIR=%{buildroot} linstall

# generate version.h
./version.sh --define > version.h
# Install the sources of the module
mkdir -p %{buildroot}/usr/src/
mkdir -p %{buildroot}/usr/src/%{module_name}-%{version}-%{release}
cp -a  ../ipt-netflow-%{version}/*.{c,h} ../ipt-netflow-%{version}/Makefile %{buildroot}/usr/src/%{module_name}-%{version}-%{release}

cat > %{buildroot}/usr/src/%{module_name}-%{version}-%{release}/dkms.conf <<EOF

PACKAGE_VERSION="%{version}-%{release}"

#Items below here should not have to change with each driver version
PACKAGE_NAME="%{module_name}"
CLEAN="make clean"
BUILT_MODULE_NAME[0]="%{module_name}"
DEST_MODULE_LOCATION[0]="/kernel/net/netfilter/"
AUTOINSTALL=yes
EOF

%post -n %{dkms_package}
dkms add -m %{module_name} -v %{version}-%{release} --rpm_safe_upgrade
dkms build -m %{module_name} -v %{version}-%{release} --rpm_safe_upgrade
dkms install -m %{module_name} -v %{version}-%{release} --rpm_safe_upgrade

%preun -n %{dkms_package}
dkms remove -m %{module_name} -v %{version}-%{release} --rpm_safe_upgrade --all || :

%files -n %{dkms_package}
/usr/src/%{module_name}-%{version}-%{release}

%files -n iptables-NETFLOW
%{_libdir}/iptables/libipt_NETFLOW.so
%{_libdir}/iptables/libip6t_NETFLOW.so
