Name:           iptraf-ng
Version:        1.2.2
Release:        %mkrel 1
Summary:        TCP/IP Network Monitor
License:        GPLv2
Group:          System/Networking
Url:            https://github.com/iptraf-ng/iptraf-ng/
Source0:        https://github.com/iptraf-ng/iptraf-ng/archive/v%{version}/%{name}-%{version}.tar.gz
Source2:        %{name}-tmpfiles.conf
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  xz
Obsoletes:      iptraf

%description
IPTraf-ng is a console-based network monitoring utility.  IPTraf gathers
data like TCP connection packet and byte counts, interface statistics
and activity indicators, TCP/UDP traffic breakdowns, and LAN station
packet and byte counts.

%prep
%autosetup -p1

%build
%make_build V=1 \
  CFLAGS="-g -O2 -Wall -W -std=gnu99 -Werror=format-security %{optflags}" \
  LDFLAGS="%{ldflags}"

%install
%make_install prefix=%{_prefix}

# remove everything besides the html and pictures in Documentation
find Documentation -type f | grep -v '\.html$\|\.png$\|/stylesheet' | \
     xargs rm -f

install -D -m 0644 -p iptraf-ng-logrotate.conf %{buildroot}%{_sysconfdir}/logrotate.d/iptraf-ng

install -d -m 0755 %{buildroot}%{_localstatedir}/{log,lib}/iptraf-ng

mkdir -p %{buildroot}%{_tmpfilesdir}
install -m 0644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/%{name}.conf

%files
%doc CHANGES FAQ LICENSE README*
%doc Documentation
%{_sbindir}/iptraf-ng
%{_mandir}/man8/iptraf-ng.8*
%{_localstatedir}/log/iptraf-ng
%{_localstatedir}/lib/iptraf-ng
%config(noreplace) %{_sysconfdir}/logrotate.d/iptraf-ng
%{_tmpfilesdir}/%{name}.conf
