Summary:	Administration tool for Linux Virtual Server
Name:		ipvsadm
Version:	1.31
Release:	%mkrel 4
License:	GPL-2.0-or-later
Group:		System/Kernel and hardware
URL:		https://kernel.org/pub/linux/utils/kernel/ipvsadm/
Source0:	https://kernel.org/pub/linux/utils/kernel/ipvsadm/%{name}-%{version}.tar.gz
Source1:	ipvsadm.service
Source2:	ipvsadm.sysconfig
Source3:	rc.firewall.iptables
Patch1:		ipvsadm-1.24-usage.patch
Patch2:		ipvsadm-1.26-LDFLAGS.diff
Patch3:		ipvsadm-1.2-lsb.patch
BuildRequires:	pkgconfig(popt)
BuildRequires:	pkgconfig(libnl-3.0)
BuildRequires:	kernel-desktop-devel-latest
BuildRequires:	systemd
Requires(post): systemd
Requires(preun): systemd

%description
ipvsadm is a utility to administer the IP virtual server services offered by
the Linux kernel with virtual server patch. Virtual Server in Linux kernel can
be used to build a high-performance and highly available server.

%prep

%setup -q
%patch -P 1 -p1 -b .usage
%patch -P 2 -p0 -b .LDFLAGS
%patch -P 3 -p1 -b .lsb

cp %{SOURCE2} %{name}.sysconfig
cp %{SOURCE3} rc.firewall.iptables

%build

# parallel make doesn't work [FL Tue Jan 20 09:14:18 2004]
%__make POPT_LIB="-lpopt" CFLAGS="%{optflags} -fPIC -DHAVE_POPT -DLIBIPVS_USE_NL `pkg-config --cflags libnl-3.0`" LDFLAGS="%{ldflags}"

%install
mkdir -p %{buildroot}/{%{_sbindir},%{_mandir}/man8,%{_initrddir},%{_sysconfdir}/sysconfig}

%make_install BUILD_ROOT=%{buildroot} MANDIR=%{_mandir} SBIN=%{buildroot}%{_sbindir}

# Sysvinit support dropping
rm -rf %{buildroot}%{_initrddir}

install -p -D -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service
install -m0644 %{name}.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{name}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc MAINTAINERS README rc.firewall.iptables
%{_unitdir}/%{name}.service
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_sbindir}/%{name}
%{_sbindir}/%{name}-restore
%{_sbindir}/%{name}-save
%{_mandir}/man8/*.8*
