Name:		irker
Version:	2.24
Release:	%mkrel 1
Summary:	IRC Message Relay
License:	BSD
Group:		Networking/IRC
URL: 		https://gitlab.com/esr/irker/
Source0:	https://gitlab.com/esr/irker/-/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	xmlto
BuildRequires:	docbook-style-xsl
BuildRequires:	pkgconfig(libsystemd)

Requires(post,postun):	rpm-helper
Requires:	python3-irc
Requires:	python3-simplejson

%description
An IRC client that runs as a daemon accepting notification requests as JSON
objects presented to a listening socket. It is meant to be used by hook scripts
in version-control repositories, allowing them to send commit notifications to
project IRC channels.

A hook script that works with git, hg, and svn is included in the distribution.

%prep
%setup -q
%autopatch -p1

# Avoid chowning when running make install
sed -i 's/-o 0 -g 0 //' Makefile

# python shebangs
%py3_shebang_fix *.py irk irkerd

%build
%make_build -j4

%install
%make_install

install -Dpm755 irkerhook.py %{buildroot}%{_prefix}/lib/%{name}/irkerhook.py

%pre
%_pre_useradd %{name} / /bin/false

%post
%_post_service %{name}d

%preun
%_preun_service %{name}d

%postun
%_postun_userdel %{name}

%files
%doc README
%{_bindir}/%{name}*
%{_unitdir}/%{name}*.service
%{_mandir}/man*/irk*
%dir %{_prefix}/lib/%{name}
%{_prefix}/lib/%{name}/irkerhook.py*
