Summary:	Daemon to balance irq's across multiple CPUs
Name:		irqbalance
Version:	1.9.4
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		http://irqbalance.org/
Source0:	https://github.com/Irqbalance/irqbalance/archive/v%{version}/%{name}-%{version}.tar.gz
# Fedora patches:
Patch1:         irqbalance-1.9.0-environment-file-sysconfig.patch
Patch2:         0001-irqbalance-ui-check-if-using-a-negative-index-of-buf.patch
Patch3:         0001-Drop-ProtectKernelTunables.patch
# https://github.com/Irqbalance/irqbalance/commit/b6a831d692ed7e12db7748db49b3b39516d151d2
Patch4:         b6a831d692ed7e12db7748db49b3b39516d151d2.patch
BuildRequires:	gccmakedep
BuildRequires:	systemd
BuildRequires:	pkgconfig(ncurses)
%ifnarch %{arm}
BuildRequires:	pkgconfig(numa)
%endif
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libcap-ng)

Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description
Irqbalance is a daemon to help balance the cpu load generated by interrupts
across all of a systems cpus. Irqbalance identifies the highest volume
interrupt sources, and isolates each of them to a single unique cpu, so that
load is spread as much as possible over an entire processor set, while
minimizing cache miss rates for irq handlers.

%prep
%autosetup -p1

%build
./autogen.sh
%configure
%make_build

%install
mkdir -p %{buildroot}{%{_sbindir},%{_mandir}/man1}
install -p -m 0755 irqbalance %{buildroot}%{_sbindir}/%{name}
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
install -p -m 0644 misc/irqbalance.env %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -p -m 0644 irqbalance.1 %{buildroot}%{_mandir}/man1/
mkdir -p %{buildroot}%{_unitdir}
install -p -m 0644 misc/irqbalance.service %{buildroot}%{_unitdir}/irqbalance.service

%post
%_post_service irqbalance

%preun
%_preun_service irqbalance


%files
%doc AUTHORS
%license COPYING
%{_sbindir}/*
%config(noreplace) %{_sysconfdir}/sysconfig/irqbalance
%{_unitdir}/irqbalance.service
%{_mandir}/man1/*
