%define revision r660
%define rel      3

Name:           irrlamb
Version:        1.0.4
Release:        %mkrel 0.%{revision}.%{rel}
Summary:        Physics-based 3D puzzle platformer
Group:          Games/Arcade
License:        GPLv3+ and CC-BY-SA 3.0
URL:            https://irrlamb.gitlab.io/
# pack with deployment/make_src.sh
Source0:        https://gitlab.com/jazztickets/uploads/-/raw/main/%{name}-%{version}%{revision}-src.tar.gz
Patch0:         irrlamb-1.0.4-mga-desktop.patch
Patch1:         irrlamb-0.2.0-mga-gamesbindir.patch
# Unbundled libraries
Patch10:        irrlamb-1.0.4-mga-unbundled-libs.patch
Patch20:        irrlamb-add-missing-include.patch

BuildRequires:  cmake
BuildRequires:  irrlicht-devel
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(lua) >= 5.4
BuildRequires:  pkgconfig(ode)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(tinyxml2)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(zlib)

%description
Irrlamb is a platform game, in which the player moves a ball through
a 3D terrain. The aim in each irrlamb level is to touch every glowing
globe, sometimes within a time limit. In some levels the player has
the grapple upgrade, which allows the player to shoot an elastic rope
at objects and terrain and can be used to climb walls.

%prep
%autosetup -p1 -n %{name}-%{version}%{revision}

# remove bundled libraries
rm -r src/{irrlicht,lua,ode,tinyxml2}

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc %{_docdir}/%{name}/
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/256x256/apps/%{name}.png
%{_metainfodir}/%{name}.xml
