%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d
%define staticname %mklibname %{name} -d -s

Name:           irrlicht
Version:        1.8.5
Release:        %mkrel 2
Summary:        The Irrlicht Engine SDK
Group:          Graphics/3D
License:        zlib
URL:            https://irrlicht.sourceforge.net/
Source0:        https://downloads.sf.net/irrlicht/%{name}-%{version}.zip
Patch1:         irrlicht-1.8-library-makefile.patch
Patch2:         irrlicht-1.8-use-system-libs.patch
Patch3:         irrlicht-1.8.1-mga-system-glext.patch
Patch4:         irrlicht-1.8.1-fdr-mesa10.patch

BuildRequires:  bzip2-devel
BuildRequires:  imagemagick
BuildRequires:  pkgconfig(libjpeg)
# FIXME: Unbundle lzmadec once our system version is updated
#BuildRequires:  lzmadec-devel
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(xxf86vm)
BuildRequires:  pkgconfig(zlib)

%description
The Irrlicht Engine is an open source high performance realtime
3D engine written and usable in C++ and also available for .NET
languages. It is completely cross-platform, using D3D, OpenGL
and its own software renderer, and has all of the state-of-the-art
features which can be found in commercial 3D engines.

We've got a huge active community, and there are lots of projects
in development that use the engine. You can find enhancements for
Irrlicht all over the web, like alternative terrain renderers,
portal renderers, exporters, world layers, tutorials, editors,
language bindings for java, perl, ruby, basic, python, lua, and so
on. And best of all: It's completely free.

%package -n %{libname}
Summary:        Shared libraries for Irrlicht 3D engine
Group:          System/Libraries

%description -n %{libname}
Shared libraries for Irrlicht 3D engine.

%package -n %{devname}
Summary:        Development files for Irrlicht 3D engine
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for Irrlicht 3D engine.

%prep
%setup -q
%autopatch -p1

# make readme.txt and changes.txt utf8 with LF line endings
sed -i 's/\r//' readme.txt changes.txt
iconv -o readme.txt.utf8 -f iso88591 -t utf8 readme.txt
mv readme.txt.utf8 readme.txt

# use system wide libs, see patch2
rm -rf source/Irrlicht/{bzip2,jpeglib,libpng,zlib}

# https://bugzilla.redhat.com/show_bug.cgi?id=1035757
sed -i -e '/_IRR_MATERIAL_MAX_TEXTURES_/s/4/8/' include/IrrCompileConfig.h

%build
%set_build_flags
%make_build -C source/Irrlicht sharedlib NDEBUG=1

%install
# FIXME: Fix bogus upstream Makefile and make a PR
mkdir -p %{buildroot}%{_libdir}
%make_install -C source/Irrlicht INSTALL_DIR=%{buildroot}%{_libdir}
ln -s libIrrlicht.so.%{version} %{buildroot}%{_libdir}/libIrrlicht.so.%{major}

mkdir -p %{buildroot}%{_includedir}/%{name}
cp -a include/*.h %{buildroot}%{_includedir}/%{name}/

%files -n %{libname}
%{_libdir}/libIrrlicht.so.%{major}
%{_libdir}/libIrrlicht.so.%{major}.*

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/libIrrlicht.so
