%global __provides_exclude_from %{_libdir}/%{name}/modules/.*\\.so

Name:		irssi
Version:	1.4.5
Release:	%mkrel 4
Summary:	IRC client
License:	GPLv2+
Group:		Networking/IRC
URL:		https://irssi.org/
Source0:	https://github.com/%{name}/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	perl-devel
BuildRequires:  pkgconfig(libnsl)
# OTR
BuildRequires:	pkgconfig(libotr)
# utf8proc
BuildRequires:	utf8proc-devel
Recommends:	irssi-perl

%description
Irssi is a modular and flexible IRC client for UNIX that has only a text mode
user interface (but as 80-90% of the code isn't text mode specific, other UIs
could be created pretty easily). Also, Irssi isn't really even IRC specific
anymore, there are already working SILC and ICB modules available. Support for
other protocols like ICQ and Jabber could be created some day too.

Irssi is one of the most popular IRC clients at the moment.

%package	devel
Group:		Development/C
Summary:	Development files and headers for the development of irssi applications
Requires:	%{name} = %{version}

%description	devel
Development files and headers for the development of irssi applications.

%package	perl
Group:		Networking/IRC
Summary:	Perl plugin for irssi
Requires:	%{name} = %{version}
Conflicts:	perl-silc

%description	perl
Perl plugin for irssi.

%package	otr
Group:		Networking/IRC
Summary:	LibOTR support for irssi
Requires:	irssi-perl

%description	otr
Off-the-Record (OTR) Messaging support for irssi.

%prep
%setup -q
%autopatch -p1

%build
%configure \
	--disable-static \
	--with-proxy \
	--with-socks \
	--with-bot \
	--with-otr \
	--with-perl=module \
	--with-perl-lib=vendor \
	--enable-true-color
%make_build

%install
%make_install

# Files that should not be installed:
rm -f %{buildroot}%{perl_vendorarch}/perllocal.pod

# Fix rights
find %{buildroot} -name "*.so" -exec chmod 755 {} \;

# Handle docs in files section
rm -rf installed_docs
mv %{buildroot}%{_docdir}/%{name} installed_docs

# We don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc AUTHORS README.md TODO NEWS installed_docs/*
%{_bindir}/*
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/help/
%{_datadir}/%{name}/themes/
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/modules/
%{_libdir}/%{name}/modules/libirc_proxy.so
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_mandir}/man1/%{name}.1*

%files devel
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/irssi-1.pc

%files perl
%{_libdir}/%{name}/modules/libfe_perl.so
%{_libdir}/%{name}/modules/libperl_core.so
%{perl_vendorarch}/Irssi*
%{perl_vendorarch}/auto/*
%{_datadir}/%{name}/scripts/

%files otr
%{_libdir}/%{name}/modules/libotr_core.so
