Summary:    Firmware extraction tools for Apple Built-in iSight camera
Name:       isight-firmware-tools
Version:    1.6
Release:    %mkrel 5
License:    GPLv2+
Group:      System/Kernel and hardware
URL:        https://launchpad.net/isight-firmware-tools/
Source0:    https://launchpad.net/isight-firmware-tools/main/1.6/+download/%{name}-%{version}.tar.gz
Patch0:     isight-firmware-tools-ift-load-path.patch
Patch1:     isight-firmware-tools-1.6-formatsecurity.patch

Requires:   udev

BuildRequires:  gettext
BuildRequires:  glib2-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  pkgconfig(libusb)
BuildRequires:  perl(XML::Parser)
BuildRequires:  intltool

%description
iSight Firmware Tools provide tools to manipulate firmware for Built-in iSight
cameras found on Apple machines since iMac G5 (November 2005).

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

# this is now useless as kernel driver autoloads the firmware
rm %{buildroot}%{_sysconfdir}/udev/rules.d/isight.rules
rm %{buildroot}/lib/udev/ift-load

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS
%doc ChangeLog
%doc COPYING
%doc HOWTO
%doc NEWS
%doc README
%{_bindir}/ift-export
%{_bindir}/ift-extract
%{_infodir}/ift-export.info*
%{_infodir}/ift-extract.info*
%{_mandir}/man1/ift-export.1*
%{_mandir}/man1/ift-extract.1*
