%global libmajor 23
%define libname  %mklibname isl %{libmajor}
%define devname  %mklibname isl -d

Summary:        Integer point manipulation library
Name:           isl
Version:        0.24
Release:        %mkrel 3
License:        MIT
Group:          System/Libraries
URL:            https://repo.or.cz/isl.git
Source0:        https://gcc.gnu.org/pub/gcc/infrastructure/isl-%{version}.tar.bz2
# without this patch the distro RPM_OPT_FLAGS aren't used, and thus the debugsource would result empty
Patch0:         isl-0.24-fix-empty-debugsource.patch
# from debian
Patch1:         python3-compat.patch
#
# from git at https://repo.or.cz/isl.git
Patch101:       0001-plain_cpp_generator-impl_printer-print_save_ctx-don-.patch
Patch102:       0002-impl_printer-print_exceptional_execution_check-don-t.patch
Patch103:       0003-configure.ac-avoid-bash-specific-comparison.patch
#
BuildRequires:  gmp-devel
BuildRequires:  pkgconfig
BuildRequires:  gcc >= 5.2.1

%description
isl is a library for manipulating sets and relations of integer points
bounded by linear constraints.  Supported operations on sets include
intersection, union, set difference, emptiness check, convex hull,
(integer) affine hull, integer projection, computing the lexicographic
minimum using parametric integer programming, coalescing and parametric
vertex enumeration.  It also includes an ILP solver based on generalized
basis reduction, transitive closures on maps (which may encode infinite
graphs), dependence analysis and bounds on piecewise step-polynomials.

%package -n %{libname}
Summary:        Integer point manipulation library
Group:          System/Libraries
Requires:       isl >= %{version}-%{release}

%description -n %{libname}
isl is a library for manipulating sets and relations of integer points
bounded by linear constraints.  Supported operations on sets include
intersection, union, set difference, emptiness check, convex hull,
(integer) affine hull, integer projection, computing the lexicographic
minimum using parametric integer programming, coalescing and parametric
vertex enumeration.  It also includes an ILP solver based on generalized
basis reduction, transitive closures on maps (which may encode infinite
graphs), dependence analysis and bounds on piecewise step-polynomials.

%package -n %{devname}
Summary:        Development for building integer point manipulation library
Group:          Development/Other
Requires:       isl >= %{version}-%{release}
Requires:       %{libname} >= %{version}-%{release}
Requires:       gmp-devel
%rename   isl-devel

%description -n %{devname}
isl is a library for manipulating sets and relations of integer points
bounded by linear constraints.  Supported operations on sets include
intersection, union, set difference, emptiness check, convex hull,
(integer) affine hull, integer projection, computing the lexicographic
minimum using parametric integer programming, coalescing and parametric
vertex enumeration.  It also includes an ILP solver based on generalized
basis reduction, transitive closures on maps (which may encode infinite
graphs), dependence analysis and bounds on piecewise step-polynomials.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure \
  --disable-static
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}
%global gdbprettydir %{_datadir}/gdb/auto-load/%{_libdir}
mkdir -p %{buildroot}%{gdbprettydir}
mv %{buildroot}%{_libdir}/*-gdb.py* %{buildroot}%{gdbprettydir}

%check
make check

%files -n %{libname}
%{_libdir}/libisl.so.%{libmajor}{,.*}

%files
%doc AUTHORS ChangeLog LICENSE README
%{gdbprettydir}/*

%files -n %{devname}
%doc doc/manual.pdf
%{_includedir}/*
%{_libdir}/libisl.so
%{_libdir}/pkgconfig/isl.pc
