Name:		iso-codes
Version:	4.17.0
Release:	%mkrel 1
Summary:	Mapping between ISO country codes and full names
Group:		System/Libraries
License:	LGPL-2.1-or-later
Url:		https://salsa.debian.org/iso-codes-team/iso-codes
Source0:	https://salsa.debian.org/iso-codes-team/iso-codes/-/archive/v%{version}/%{name}-v%{version}.tar.bz2

BuildArch:	noarch
BuildRequires:	gettext
BuildRequires:	python3

%description
This package provides the:
* ISO-639 Language code list
* ISO-4217 Currency code list
* ISO-3166 Territory code list
* ISO-3166-2 sub-territory lists
and all their translations in gettext .po form.

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%configure
%make_build

%install
%make_install pkgconfigdir=%{_datadir}/pkgconfig

%find_lang iso_639
%find_lang iso_3166
%find_lang iso_3166_2
%find_lang iso_4217
%find_lang iso_639_3
%find_lang iso_15924
%find_lang iso_639_5
%find_lang iso_3166-1
%find_lang iso_3166-2
%find_lang iso_3166-3
%find_lang iso_639-2
%find_lang iso_639-3
%find_lang iso_639-5

cat iso_*.lang > %{name}.lang

%files -f %{name}.lang
%doc CHANGELOG.md README.md
%license COPYING
%{_datadir}/xml/%{name}/
%{_datadir}/%{name}/
%{_datadir}/pkgconfig/%{name}.pc
