%global libyui_major 16

Name:		isodumper
Version:	1.56
Release:	%mkrel 2
Summary:	Tool for writing ISO images on a USB stick
Summary(fr_FR):	Outil pour écrire des images ISO sur une clé USB
License:	GPLv2+ and LGPLv2+
Group:		System/Configuration
URL:		https://gitweb.mageia.org/software/isodumper/about/
Source0:	%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	imagemagick
BuildRequires:	intltool
BuildRequires:	pango
BuildRequires:	systemd
Requires:	polkit
Requires:	python3
Requires:	python3-gobject
Requires:	python3-gnupg
Requires:	python3-manatools
Requires:	python3-parted
Requires:	python3-psutil
Requires:	python3-pydbus
Requires:	python3-yui
Requires:	sha3sum
Requires:	udisks2
Requires:	libyui-ncurses%{libyui_major}
Requires:	libyui-mga-ncurses%{libyui_major}
Recommends:	exfatprogs
# ensure that users are asked to choice a GUI between Qt or GTK
Recommends:	%{name}-gui

Provides:	backup-tool
Provides:	dump-tool
Provides:	format-tool

%description
A tool for USB sticks and removable memory devices like SD-cards.

Features:
* dump ISO file on the device;
* format the device in one partition of ext4, NTFS, exfat or FAT32 type;
* backup the device as a whole.

%description -l fr_FR
Un outil graphique pour écrire des images ISO sur une clé USB ou un
support à mémoire. Il permet également d'ajouter une partition persistante et
de formater la clé.

#----------------------------------------------------

%package	qt
Summary:	IsoDumper for Qt
Group:		System/Configuration
Requires:	%{name} >= %{version}-%{release}
Requires:	libyui-qt%{libyui_major}
Requires:	libyui-mga-qt%{libyui_major}
# provide the same GUI allowing users to have a choice between Qt or GTK
Provides:	%{name}-gui

%description	qt
%{name}-qt is a meta-package containing Qt dependency for %{name}
and also the menu entry.

#----------------------------------------------------

%package	gtk
Summary:	IsoDumper for GTK
Group:		System/Configuration
Requires:	%{name} >= %{version}-%{release}
Requires:	libyui-gtk%{libyui_major}
Requires:	libyui-mga-gtk%{libyui_major}
# provide the same GUI allowing users to have a choice between Qt or GTK
Provides:	%{name}-gui

%description	gtk
%{name}-gtk is a meta-package containing GTK dependency for %{name}
and also the menu entry.

#----------------------------------------------------

%prep
%autosetup -p1

%build
%make_build

%install
%make_install

rm -f %{buildroot}%{_docdir}/%{name}/COPYING*

%find_lang %{name}

%files -f %{name}.lang
%doc CHANGELOG i18n.md README.md
%license COPYING.GPL COPYING.LGPL
%config(noreplace) %{_sysconfdir}/mpan/categories.conf.d/%{name}.conf
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.mageia.Magiback.conf
%{_bindir}/%{name}
%{_bindir}/magiback
%{_usr}/lib/%{name}/
%{_unitdir}/magiback.service
%{_datadir}/%{name}/
%{_datadir}/dbus-1/system-services/org.mageia.Magiback.service
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/pixmaps/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/hicolor/*/*/%{name}.*
%{python3_sitelib}/%{name}/

%files qt
%{_datadir}/applications/%{name}-qt.desktop
%{_datadir}/applications/format-usb-qt.desktop

%files gtk
%{_datadir}/applications/%{name}-gtk.desktop
%{_datadir}/applications/format-usb-gtk.desktop
