Summary:	An easy to use GUI CD image editor
Name:		isomaster
Version:	1.3.17
Release:	%mkrel 2
License:	GPLv2
Group:		Archiving/Cd burning
URL:		http://littlesvr.ca/isomaster/
Source0:	http://littlesvr.ca/isomaster/releases/%{name}-%{version}.tar.bz2
Patch2:		isomaster-1.3.17-iniparser-include.patch
BuildRequires:	gtk+2-devel
BuildRequires:	desktop-file-utils
BuildRequires:	imagemagick
BuildRequires:	iniparser-devel

%description
ISO Master allows to extract files from an ISO, add files to an ISO,
and create bootable ISOs - all in a graphical user interface.
It can open ISO, NRG, and some MDF files but can only save as ISO.

%prep
%autosetup -p1

# use system iniparser
sed -i -e 's,#\(USE_SYSTEM_INIPARSER\),\1,' Makefile

# fix prefix
sed -i -e 's,\(PREFIX .*\)/usr/local,\1%{_prefix},' Makefile

# more verbose build
sed -i -e 's,@\($(CC)\),\1,g' Makefile

# don't rebuid at install time
sed -i -e 's/^install:\s*all/install:/' Makefile

rm -rf iniparser-4.1

%build
%set_build_flags
%make_build

%install
%make_install

%find_lang %{name}

perl -pi -e 's,/usr/share/%{name}/icons/isomaster.png,%{name},g' %{buildroot}%{_datadir}/applications/%{name}.desktop

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{64x64,48x48,32x32,16x16}/apps
convert -scale 64 icons/isomaster.png %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
convert -scale 48 icons/isomaster.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 32 icons/isomaster.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 icons/isomaster.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

%files -f %{name}.lang
%doc *.TXT
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1*
