# "fix" underlinking:
%define _disable_ld_no_undefined 1

Summary:	Utilities for working with md5sum implanted in ISO images
Name:		isomd5sum
Version:	1.2.5
Release:	%mkrel 2
License:	GPLv2+
Group:		Archiving/Cd burning
Url:		https://github.com/rhinstaller/isomd5sum
Source0:	https://github.com/rhinstaller/%{name}/archive/%{version}.tar.gz
BuildRequires:	pkgconfig(popt)
BuildRequires:	pkgconfig(python3)

%description
The isomd5sum package contains utilities for implanting and verifying
an md5sum implanted into an ISO9660 image.

%package devel
Summary:	Development headers and library for using isomd5sum 
Group:		Development/C
Requires:	%{name} = %{version}

%description devel
This contains header files and a library for working with the isomd5sum
implanting and checking.

%package -n python3-isomd5sum
Summary:	Python 3 bindings for isomd5sum
Group:		Development/Python
%{?python_provide:%python_provide python3-isomd5sum}

%description -n python3-isomd5sum
The isomd5sum package contains utilities for implanting and verifying
an md5sum implanted into an ISO9660 image.

%prep
%autosetup

%build
CFLAGS="$RPM_OPT_FLAGS -Wno-strict-aliasing"; export CFLAGS
LDFLAGS="$RPM_LD_FLAGS"; export LDFLAGS
PYTHON=%{__python3} make checkisomd5 implantisomd5 pyisomd5sum.so

%install
PYTHON=%{python3} make DESTDIR=%{buildroot} install-bin install-devel install-python

%files
%license COPYING
%{_bindir}/implantisomd5
%{_bindir}/checkisomd5
%{_mandir}/man*/*

%files devel
%{_includedir}/*.h
%{_libdir}/*.a
%{_datadir}/pkgconfig/isomd5sum.pc

%files -n python3-isomd5sum
%{python3_sitearch}/pyisomd5sum.so
