%{!?tcl_version: %define tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitearch: %define tcl_sitearch %{_libdir}/tcl%{tcl_version}}

%define         apinum     %{version}
%define         libname    %mklibname %{name} %{apinum}
%define         develname  %mklibname -d %{name} %{apinum}
%define         staticname %mklibname -d -s %{name} %{apinum}

Name:           itcl
Version:        4.1.1
Release:        %mkrel 4
Summary:        Object oriented extensions to Tcl and Tk
Group:          Development/Other
License:        TCL
URL:            https://sourceforge.net/projects/incrtcl/files
Source0:        https://sourceforge.net/projects/incrtcl/files/%5Bincr%20Tcl_Tk%5D-4-source/itcl%20%{version}/%{name}%{version}.tar.gz
Patch0:         itcl-4.0.4-soname.patch
Patch1:         itcl-4.0.4-findinit.patch

BuildRequires:  pkgconfig(tcl)

%description
incr Tcl is Tcl extension that provides object-oriented features that are
missing from the Tcl language.


%package -n %{libname}
Summary: Library for linking against itcl
Group:   System/Libraries
Requires: %{name} = %{version}-%{release}

%description -n %{libname}
Library for linking against itcl.

%package -n %{develname}
Summary:  Development headers for linking against itcl
Group:    Development/Other
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: lib%{name}%{apinum}-devel = %{version}-%{release}

%description -n %{develname}
Development headers for linking against itcl.


%package -n %{staticname}
Summary:  Static library for linking against itclstub
Group:    Development/Other
Requires: %{libname} = %{version}-%{release}
Provides:  %{name}-static-devel = %{version}-%{release}
Provides:  lib%{name}-static-devel = %{version}-%{release}
Conflicts: %{name}-devel <= 3.4
Obsoletes: %{name}-devel <= 3.4

%description -n %{staticname}
Static library for linking against itclstub.


%prep
%setup -q -n %{name}%{version}
%autopatch -p1


%build

autoreconf -fi
%configure --disable-rpath \
           --enable-symbols \
           --libdir=%{tcl_sitearch} \
           --datadir=%{tcl_sitelib}
%make_build


%install
%make_install

chmod 755 %{buildroot}%{tcl_sitearch}/%{name}%{apinum}/lib%{name}%{apinum}.so

pushd %{buildroot}%{_libdir}
ln -s %{tcl_sitearch}/%{name}%{apinum}/lib%{name}%{apinum}.so .
popd

%files
%dir %{tcl_sitearch}/%{name}%{apinum}
%{tcl_sitearch}/%{name}%{apinum}/*.tcl
%{_mandir}/mann/*
%doc license.terms


%files -n %{libname}
%{tcl_sitearch}/%{name}%{apinum}/*.so


%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/*.so
%{tcl_sitearch}/%{name}%{apinum}/itclConfig.sh

%files -n %{staticname}
%{tcl_sitearch}/%{name}%{apinum}/*.a
