%define _name iTest

Name:		itest
Version:	1.4.1
Release:	%mkrel 10
Summary:	Testing system
License:	GPLv2
Group:		Education
URL:		https://itest.sourceforge.net/
Source:		%{_name}-%{version}-src.tar.gz
Patch0:		itestserver-session_cpp.patch

BuildRequires:	qt4-devel
BuildRequires:	qt4-common
BuildRequires:	desktop-file-utils

Requires:	%{name}-client = %{version}-%{release}
Requires:	%{name}-server = %{version}-%{release}

%description
iTest is an application which allows you to take advantage 
of the best of computerized examination.

iTest consists of two programs:

- iTestServer: question/answer database editor and exam server
- iTestClient: test client used by students, connects to the server

%package server
Summary:	Server component of iTest
Group:		Education

%description server
The client of iTest.


%package client
Summary:	Client component of iTest
Group:		Education

%description client
The client of iTest.


%prep
%setup -q -n %{_name}-%{version}-src
%patch -P 0

# patch to allow itest suite to compile with qt >= 4.7.3

find . -name "*.cpp" -type f -exec sed -i -e 's|QColor::QColor|QColor|g' -e 's|QBrush::QBrush|QBrush|g' -e 's|QDate::QDate|QDate|g' -e 's|QTime::QTime|QTime|g' -e 's|QDateTime::QDateTime|QDateTime|g' -e 's|QIcon::QIcon|QIcon|g' -e 's|QSize::QSize|QSize|g' -e 's|QFont::QFont|QFont|g' {} \;
find . -name "*.h" -type f -exec sed -i -e 's|QColor::QColor|QColor|g' -e 's|QBrush::QBrush|QBrush|g' -e 's|QDate::QDate|QDate|g' -e 's|QTime::QTime|QTime|g' -e 's|QDateTime::QDateTime|QDateTime|g' -e 's|QIcon::QIcon|QIcon|g' -e 's|QSize::QSize|QSize|g' -e 's|QFont::QFont|QFont|g' {} \;

%build
cd iTestServer
%qmake_qt4 -config release
%qt4bin/lrelease iTestServer.pro
cd ..
cd iTestClient
%qmake_qt4 -config release
%qt4bin/lrelease iTestClient.pro
cd ..
%qmake_qt4 -config release
%make_build

%install
%__install -m 755 -d %{buildroot}%{_bindir}
%__install -m 755 bin/iTestClient %{buildroot}%{_bindir}
%__install -m 755 bin/iTestServer %{buildroot}%{_bindir}
%__install -m 755 -d %{buildroot}%{_iconsdir}
%__install -m 644 *.png %{buildroot}%{_iconsdir}

%make_install

%__install -D -d -m 755 %{buildroot}%{_datadir}/applications

%__cat > itest.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
GenericName=iTests Server
GenericName[ru]=Экзаменатор iTest
GenericName[fr]=Examinateur iTest
GenericName[it]=Esaminatore iTest
Comment=A powerful program for Tests & Exams
Comment[ru]=Мощная программа для проведения тестов
Comment[fr]=Un programme puissant pour les examens et les tests
Comment[it]=Un programma potente per gli esami ed i test
Exec=%{_bindir}/iTestServer
Icon=itdb
Name=iTestServer
DocPath=
Path=%{_bindir}
Terminal=false
Type=Application
Categories=Education;
EOF

desktop-file-install --vendor "" --dir=%{buildroot}%{_datadir}/applications itest.desktop

%__cat > itestwri.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
GenericName=iTests client
GenericName[ru]=Клиент для экзаменатора iTest
GenericName[fr]=Client pour l`examinateur iTest
GenericName[it]=Client per l`esaminatore iTest
Comment=Client for tests and exams provided by iTestServer
Comment[ru]=Клиент для проведения тестов iTest
Comment[fr]=Client pour les examens et les tests administré par iTestServer
Comment[it]=Client per gli esami ed i test somministrati da iTestServer
Exec=%{_bindir}/iTestClient
Icon=itos
Name=iTestClient
DocPath=
Path=%{_bindir}
Terminal=false
Type=Application
Categories=Education;
EOF

desktop-file-install --vendor "" --dir=%{buildroot}%{_datadir}/applications itestwri.desktop

%files server
%{_bindir}/iTestServer
%{_iconsdir}/itest.png
%{_iconsdir}/itcl.png
%{_iconsdir}/itdb.png
%{_datadir}/applications/itest.desktop

%files client
%{_bindir}/iTestClient
%{_iconsdir}/itestwri.png
%{_iconsdir}/itos.png
%{_datadir}/applications/itestwri.desktop
