#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:		itinerary
Version: 25.04.0
Release:	%mkrel %{rel}
Summary:	Itinerary display application
Group:		Graphical desktop/KDE
License:	GPLv2+
Url:		https://kde.org/
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Location)
BuildRequires:	cmake(Qt6Positioning)
BuildRequires:	cmake(Qt6Quick)
BuildRequires:	cmake(Qt6QuickControls2)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)

BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6Contacts)
BuildRequires:	cmake(KF6Notifications)
BuildRequires:	cmake(KF6CalendarCore)
BuildRequires:	cmake(KF6Holidays)
BuildRequires:	cmake(KF6UnitConversion)
BuildRequires:	cmake(KF6NetworkManagerQt)

BuildRequires:	cmake(KF6Crash)
BuildRequires:	cmake(KF6FileMetaData)
BuildRequires:	cmake(KF6KIO)
BuildRequires:	cmake(KF6DBusAddons)
BuildRequires:	cmake(KF6QQC2DesktopStyle)
BuildRequires:	cmake(KF6WindowSystem)

BuildRequires:	cmake(KF6KirigamiAddons)
BuildRequires:	cmake(KPim6PkPass)
BuildRequires:	cmake(KPim6Itinerary)
BuildRequires:	cmake(KPublicTransport)
BuildRequires:	cmake(KOSMIndoorMap)
BuildRequires:	cmake(KHealthCertificate)
BuildRequires:	cmake(LibIcal)
BuildRequires:	cmake(QuotientQt6)
BuildRequires:	cmake(KF6Solid)

BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(shared-mime-info)
BuildRequires:	pkgconfig(zlib)

BuildRequires:	kitemmodels
BuildRequires:	kosmindoormap
BuildRequires:	kopeninghours
BuildRequires:	prison
BuildRequires:	qt6-qtmultimedia

# Runtime dependencies (itinerary won't start without these packages)
Requires:	kirigami-addons
Requires:	kitemmodels
Requires:	kopeninghours
Requires:	kosmindoormap
Requires:	kpublictransport
Requires:	prison
Requires:	qt6-qtlocation
Requires:	qt6-qtmultimedia
Requires:	qt6-qtpositioning

%description
Itinerary and boarding pass management application.

%files -f kde-itinerary.lang
%{_kf6_categoriesdir}/org_kde_itinerary.categories
%{_kf6_bindir}/itinerary
%{_kf6_libdir}/libSolidExtras.so
%{_kf6_qmldir}/org/kde/solidextras/libsolidextrasqmlplugin.so
%{_kf6_qmldir}/org/kde/solidextras/qmldir
%{_kf6_applicationsdir}/org.kde.itinerary.desktop
%{_kf6_knotificationsdir}/itinerary.notifyrc
%{_kf6_metainfodir}/org.kde.itinerary.appdata.xml
%{_kf6_iconsdir}/hicolor/*/*/*itinerary.*
%{_kf6_plugindir}/kfilemetadata/kfilemetadata_itineraryextractor.so
%{_kf6_plugindir}/thumbcreator/itinerarythumbnail.so

#-------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%cmake_install

%find_lang kde-itinerary  --all-name
