%{!?tcl_version: %define tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitearch: %define tcl_sitearch %{_libdir}/tcl%{tcl_version}}

%define         itcl_sitearch %{tcl_sitearch}/itcl4.1.1

%define         apinum    %{version}
%define         srcname   %{name}%{apinum}

%define         libname   %mklibname %{name} %{apinum}
%define         develname %mklibname -d %{name} %{apinum}


Name:           itk
Version:        4.1.0
Release:        %mkrel 4
Summary:        Object oriented extensions to Tk
Group:          Development/Other
License:        TCL
URL:            https://incrtcl.sourceforge.net/itcl/
Source0:        https://download.sourceforge.net/incrtcl/%{name}%{version}.tar.gz
Patch0:         itk-4.0.2-soname.patch
Patch1:         itk-4.0.2-findinit.patch

BuildRequires:  pkgconfig(tk)
BuildRequires:  itcl-devel
BuildRequires:  itcl-static-devel

%description
incr Tk is Tk extension that provides object-oriented features that are
missing from the Tk extension to Tcl.  The OO features provided by itk are
useful for building megawidgets.

%package -n %{libname}
Summary: Library for linking against itk
Group:   System/Libraries
Requires:  %{name} = %{version}-%{release}

%description -n %{libname}
Library for linking against itk.


%package -n %{develname}
Summary: Development headers for linking against itk
Group:   Development/Other
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: lib%{name}%{apinum}-devel = %{version}-%{release}

%description -n %{develname}
Development headers for linking against itk.


%prep
%setup -q -n %{srcname}
%autopatch -p1

%build
autoreconf -fi
%configure --with-itcl=%{itcl_sitearch} \
           --libdir=%{tcl_sitearch} \
           --datadir=%{tcl_sitelib}
%make_build


%install
%make_install

pushd %{buildroot}%{_libdir}
ln -s %{tcl_sitearch}/%{name}%{apinum}/lib%{name}%{apinum}.so .
popd


%files
%dir %{tcl_sitearch}/%{name}%{apinum}
%{tcl_sitearch}/%{name}%{apinum}/tclIndex
%{tcl_sitearch}/%{name}%{apinum}/*.tcl
%{tcl_sitearch}/%{name}%{apinum}/*.itk
%{_mandir}/mann/*
%doc license.terms


%files -n %{libname}
%{tcl_sitearch}/%{name}%{apinum}/*.so


%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/*.so
