%define uversion %(echo %{version} | tr -d '.')

Name:           ivan
Version:        0.59
Release:        %mkrel 1
Summary:        Graphical roguelike game with innovative gameplay and sarcastic humor
Group:          Games/Adventure
License:        GPLv2+ and CC-BY-SA
URL:            https://attnam.com
Source0:        https://github.com/Attnam/ivan/archive/v%{uversion}/%{name}-%{uversion}.tar.gz

# Avoid crash if user data folder is missing:
# https://github.com/Attnam/ivan/commit/0fad39f
Patch0:         0001-Fix-crash-on-Linux-systems-about-missing-user-data-folder.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_mixer)

%description
Fellow adventurer, turn back while you can! For here begins the roguelike
Iter Vehemens ad Necem, a Violent Road to Death. If you choose to travel
along it, you will dive into countless exciting adventures to gain items of
great magic, attain powerful equipment made of mysterious materials, bathe in
the blessings of mighty gods and recruit loyal allies of various shapes and
sizes. Unfortunately, along the way you will also often be dangerously
injured, poisoned, catch numerous diseases, lose several limbs and transform
into manifold different kinds of pitiful creatures in the darkest depths of
hostile dungeons. And, at the end of the road, you are bound to perish in a
most gruesome and painful way.
Don't say we didn't warn you.

%prep
%autosetup -p1 -n %{name}-%{uversion}

# Use $HOME/.local/share/ivan as user data directory
sed -e "s|.ivan|.local/share/ivan|" -i FeLib/Source/save.cpp

%build
%cmake \
    -DBUILD_SHARED_LIBS=OFF \
    -DCMAKE_INSTALL_BINDIR=%{_gamesbindir} \
    -DCMAKE_INSTALL_DATADIR=%{_gamesdatadir} \
    -DUSE_HOME_FOR_STATE_DIR=ON
%cmake_build

%install
%cmake_install

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/com.attnam.%{name}.desktop
[Desktop Entry]
Name=Iter Vehemens ad Necem
GenericName=Roguelike game
Comment=Graphical roguelike game with innovative gameplay and sarcastic humor
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;RolePlaying;
EOF

for size in 16x16 32x32 128x128; do
    install -D -m644 Graphics/icons/shadowless.iconset/icon_${size}.png \
    %{buildroot}%{_iconsdir}/hicolor/${size}/apps/%{name}.png
done

%files
%doc NEWS README.md MANUAL
%license COPYING LICENSING
%{_datadir}/applications/com.attnam.%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png
