%define _disable_ld_no_undefined 1

%define version	12.0

%define git_tag %(echo %{version} | tr "." "_")

Name:		iverilog
Version:	%{version}
Release:	%mkrel 1
Summary:	Icarus Verilog is a Verilog compiler and simulator
Group:		Development/Other
License:	GPLv2
URL:		http://iverilog.icarus.com/
Source0:	https://github.com/steveicarus/iverilog/archive/refs/tags/v%{git_tag}.tar.gz#/%{name}-v%{git_tag}.tar.gz
Patch0:		Fix-compilation-with-Werror-format-security.patch
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(zlib)
BuildRequires:	bzip2-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gperf
BuildRequires:	autoconf

%description
Icarus Verilog is a Verilog compiler that generates a variety of
engineering formats, including simulation. It strives to be true
to the IEEE-1364 standard and supports a subset of the IEEE-1800
standard.

%prep
%setup -q -n iverilog-%{git_tag}
%autopatch -p1

%build
/bin/sh autoconf.sh
%configure
%make_build

%install
%make_install

%check
make check

%files
# contents of QUICK_START.txt can be found also on README.txt, hence omitted
%doc attributes.txt BUGS.txt COPYING extensions.txt glossary.txt ieee1364-notes.txt
%doc README.md swift.txt netlist.txt t-dll.txt vpi.txt tgt-fpga/fpga.txt
%doc va_math.txt cadpli/cadpli.txt xilinx-hint.txt examples/
%{_bindir}/*
%{_libdir}/ivl/
%{_mandir}/man1/*
# headers for PLI: This is intended to be used by the user.
%{_includedir}/%{name}/
# RHBZ 480531
%{_libdir}/*.a
