Name:    ivtv-utils
Version: 1.4.1
Release: %mkrel 8
License: GPLv2
Group:   Video/Television 
Summary: Tools for the iTVC15/16 and CX23415/16 driver
# These URLs are no longer valid
Source0: https://dl.ivtvdriver.org/ivtv/archive/1.4.x/%{name}-%{version}.tar.gz
Patch0:  ivtv-ctl-string-fmt.patch
URL:     https://ivtvdriver.org/
Recommends: ivtv-firmware

%description
The primary goal of the IvyTV Project is to create a kernel driver for
the iTVC15 family of MPEG codecs. The iTVC15 family includes the
iTVC15 (CX24315) and iTVC16 (CX24316). These chips are commonly found
on Hauppauge's WinTV PVR-250 and PVR-350 TV capture cards.

The driver has made it into the kernel so this package only contains
some userland tools for ivtv.

%prep
%setup -q
%autopatch -p1

perl -pi -e's,/sbin/depmod,:,g' driver/Makefile
grep -rl '#include <linux/config.h>' . | xargs perl -pi -e's,#include <linux/config.h>,/* #include <linux/config.h> */,'
perl -pi -e's@CFLAGS = -D_GNU_SOURCE .*@CFLAGS = -D_GNU_SOURCE -D__user= %{optflags}@' utils/Makefile
perl -pi -e's,#include "videodev2.h",#include <linux/videodev2.h>,' ./utils/v4l2-dbg.cpp

%build
make -C utils

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/ivtv/
make -C utils \
   DESTDIR=%{buildroot} BINDIR=%{_bindir} install
install -p utils/*.pl %{buildroot}%{_datadir}/ivtv/
ln -s ivtv-radio %{buildroot}%{_bindir}/radio-ivtv

rm -f %{buildroot}%{_includedir}/linux/ivtv.h
rm -f %{buildroot}%{_includedir}/linux/ivtvfb.h
# (tmb) already in v4l-utils
rm -f %{buildroot}%{_bindir}/v4l2-ctl

%files
%doc doc/*
#doc utils/README*
%{_bindir}/*
%{_datadir}/ivtv
