Name:           iwd
Version:        3.6
Release:        %mkrel 1
Summary:        Wireless daemon for Linux
License:        LGPLv2+
Group:          System/Networking
URL:            https://iwd.wiki.kernel.org/
Source0:        https://www.kernel.org/pub/linux/network/wireless/%{name}-%{version}.tar.xz
Patch1:		0001-No-netdev-group-in-Mageia.patch
Patch2:         iwd-cflags.patch
BuildRequires:  asciidoc
BuildRequires:  gcc
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(ell) >= 0.72
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(readline)
BuildRequires:  python3-docutils

Requires:       dbus
Requires:       systemd
Recommends:     wireless-regdb


%description
The daemon and utilities for controlling and configuring the Wi-Fi network
hardware.


%prep
%autosetup -p1

# bundled ell
rm -rf ell

%build
autoreconf -fi
%configure			\
	--enable-external-ell	\
	--enable-ofono		\
	--enable-wired		\
	--enable-hwsim		\
	--enable-tools		\
	--with-systemd-unitdir=%{_unitdir} \
	--with-systemd-networkdir=%{_systemd_util_dir}/network \
	--with-systemd-modloaddir=%{_modulesloaddir}

%make_build


%install
%make_install

# Create directories
mkdir -p %{buildroot}%{_sysconfdir}/iwd
mkdir -p %{buildroot}%{_sharedstatedir}/{ead,iwd}

# Install main.conf
install -Dpm644 doc/main.conf %{buildroot}%{_sysconfdir}/iwd/main.conf

# Don't let iwd adjust interface naming. It would break user configurations.
rm %{buildroot}/usr/lib/systemd/network/80-iwd.link


%files
%license COPYING
%doc AUTHORS ChangeLog
%dir %{_sysconfdir}/iwd/
%config(noreplace) %{_sysconfdir}/iwd/main.conf
%{_bindir}/iwctl
%{_bindir}/iwmon
%{_bindir}/hwsim
%{_libexecdir}/iwd
%{_libexecdir}/ead
%{_modulesloaddir}/pkcs8.conf
%{_unitdir}/ead.service
%{_unitdir}/iwd.service
%{_datadir}/dbus-1/system-services/net.connman.iwd.service
%{_datadir}/dbus-1/system-services/net.connman.ead.service
%{_datadir}/dbus-1/system.d/iwd-dbus.conf
%{_datadir}/dbus-1/system.d/ead-dbus.conf
%{_datadir}/dbus-1/system.d/hwsim-dbus.conf
%{_mandir}/man*/*
%dir %{_sharedstatedir}/iwd/
%dir %{_sharedstatedir}/ead/
