Name:           iwidgets
Version:        4.1.1
Release:        %mkrel 3
Summary:        Widget Extension for Tcl/Tk
License:        MIT
Group:          System/Libraries
URL:            https://chiselapp.com/user/rene/repository/iwidgets/index
Source0:        https://downloads.sourceforge.net/sourceforge/incrtcl/iwidgets-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(tcl)
Requires:       itk

%description
incr Widgets is an object-oriented mega-widget set that extends
Tcl/Tk and is based on incr Tcl and incr Tk.  This set of
mega-widgets delivers many new, general purpose widgets like option
menus, comboboxes, selection boxes, and various dialogs whose
counterparts are found in Motif and Windows. Since incr Widgets is
based on the incr Tk extension, the Tk framework of configuration
options, widget commands, and default bindings is maintained.  In other
words, each incr Widgets mega-widget seamlessly blends with the
standard Tk widgets. They look, act, and feel like Tk widgets. In
addition, all incr Widgets mega-widgets are object oriented and may
themselves be extended, using either inheritance or composition.


%prep
%setup -q

sed -e "s#@itcl_VERSION@#4.1.1#" -e "s#@PACKAGE_VERSION@#%{version}#" < iwidgets.tcl.in > iwidgets.tcl
sed -e "s#@PACKAGE_VERSION@#%{version}#" < pkgIndex.tcl.in > pkgIndex.tcl

%build

%install
mkdir -p %{buildroot}%{tcl_sitelib}/%{name}%{version}
install -p -m 644 generic/*.* %{buildroot}%{tcl_sitelib}/%{name}%{version}
install -p -m 644 generic/tclIndex %{buildroot}%{tcl_sitelib}/%{name}%{version}
install -p -m 644 iwidgets.tcl %{buildroot}/%{tcl_sitelib}/%{name}%{version}
install -p -m 644 pkgIndex.tcl %{buildroot}/%{tcl_sitelib}/%{name}%{version}

%files
%doc license.terms README
%tcl_sitelib/%name%version
