Name:          j-ogg
Version:       0.1
Release:       %mkrel 6
Summary:       A collection of Java libraries for reading Ogg files and decoding different contained formats
Group:         Development/Java
License:       Public Domain
Url:           http://www.j-ogg.de/
Source0:       http://www.j-ogg.de/j-ogg.zip

Patch0:        j-ogg-0.1-build.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: fmj

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Jarnbjo Ogg is a collection of Java libraries for reading Ogg files and
decoding different contained formats. At the moment the support
for Vorbis and FLAC is almost complete (the library decodes all files
created by the current versions of libvorbis and libflac correctly) and
I've started working on Theora support.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n j-ogg

rm -rf build/classes/*
rm -rf build/lib/*
rm -rf docs/*

%patch -P 0 -p0

native2ascii -encoding UTF8 jmf/src/de/jarnbjo/jmf/VorbisTrack.java jmf/src/de/jarnbjo/jmf/VorbisTrack.java

%build

cd build
ant create_jar javadoc

%install
mkdir -p %{buildroot}%{_javadir}/%{name}
install -pm 644 build/lib/%{name}-all.jar %{buildroot}%{_javadir}/%{name}/all.jar
install -pm 644 build/lib/%{name}-flacd.jar %{buildroot}%{_javadir}/%{name}/flacd.jar
install -pm 644 build/lib/%{name}-jmfd.jar %{buildroot}%{_javadir}/%{name}/jmfd.jar
install -pm 644 build/lib/%{name}-oggd.jar %{buildroot}%{_javadir}/%{name}/oggd.jar
install -pm 644 build/lib/%{name}-theorad.jar %{buildroot}%{_javadir}/%{name}/theorad.jar
install -pm 644 build/lib/%{name}-vorbisd.jar %{buildroot}%{_javadir}/%{name}/vorbisd.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pR build/docs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}/all.jar
%{_javadir}/%{name}/flacd.jar
%{_javadir}/%{name}/jmfd.jar
%{_javadir}/%{name}/oggd.jar
%{_javadir}/%{name}/theorad.jar
%{_javadir}/%{name}/vorbisd.jar

%files javadoc
%{_javadocdir}/%{name}
