%define pkgname	J7Z

Name:		j7z
Version:	1.4.2
Release:	%mkrel 2
Summary:	A P7Zip GUI for Linux to simplify data compression and backup
License:	LGPLv3
Group:		Archiving/Compression
URL:		https://j7z.xavion.name/
Source:		https://downloads.sourceforge.net/k7z/%{pkgname}-%{version}-src.tar.bz2
BuildArch:	noarch

BuildRequires:	ant
BuildRequires:	ant-apache-regexp
BuildRequires:	desktop-file-utils
BuildRequires:	java-11-openjdk-devel
BuildRequires:	kde4-macros
BuildRequires:	kf5-macros
BuildRequires:	p7zip

Requires:	p7zip
Requires:	java-11-openjdk

%description
J7Z is an alternative 7-Zip GUI. It was designed by Xavion.

7-Zip is a high-compression file archiver. It was designed by Igor Pavlov.

Use J7Z if you want to:

    * Update existing archives quickly
    * Backup multiple folders to a storage location
    * Create or extract protected archives
    * Lessen effort by using archiving profiles and lists

#-------------------------------------------------------------------------

%package	kde4
Summary:	KDE4 ServiceMenus for J7Z
Group:		Archiving/Compression
Requires:	%{name} = %{version}-%{release}

%description	kde4
J7Z is an alternative 7-Zip GUI. It was designed by Xavion.

7-Zip is a high-compression file archiver. It was designed by Igor Pavlov.

Use J7Z if you want to:

    * Update existing archives quickly
    * Backup multiple folders to a storage location
    * Create or extract protected archives
    * Lessen effort by using archiving profiles and lists

#-------------------------------------------------------------------------

%package	plasma5
Summary:	Plasma 5 ServiceMenus for J7Z
Group:		Archiving/Compression
Requires:	%{name} = %{version}-%{release}

%description	plasma5
J7Z is an alternative 7-Zip GUI. It was designed by Xavion.

7-Zip is a high-compression file archiver. It was designed by Igor Pavlov.

Use J7Z if you want to:

    * Update existing archives quickly
    * Backup multiple folders to a storage location
    * Create or extract protected archives
    * Lessen effort by using archiving profiles and lists

#-------------------------------------------------------------------------

%prep
%setup -q -n %{pkgname}

rm -rf Windows Build/Windows Mac Build/Mac
sed -i 's/\r//' License/*.txt

%build
pushd Build/Linux
	%make_build
popd

%install
pushd Build/Linux
	%make_install
popd

desktop-file-install \
	--vendor='' \
	--dir=%{buildroot}%{_datadir}/applications \
	--remove-key=Encoding \
%{buildroot}%{_datadir}/applications/*.desktop

%files
%doc License/{GPL,J7Z,LGPL}.txt
%{_bindir}/%{pkgname}.sh
%{_datadir}/%{pkgname}/
%{_datadir}/applications/%{pkgname}.desktop
%{_iconsdir}/hicolor/16x16/actions/*.png
%{_iconsdir}/hicolor/32x32/apps/%{pkgname}.png

%files		kde4
%doc License/{GPL,J7Z,LGPL}.txt
%{_kde_services}/ServiceMenus/*.desktop

%files		plasma5
%doc License/{GPL,J7Z,LGPL}.txt
%{_kf5_services}/ServiceMenus/*.desktop
