Name:          jackrabbit
Version:       2.4.2
Release:       %mkrel 11
Summary:       Implementation of the Content Repository for Java Technology API
Group:         Development/Java
License:       ASL 2.0
URL:           https://jackrabbit.apache.org/
Source0:       https://archive.apache.org/dist/%{name}/%{version}/%{name}-%{version}-src.zip
# build fix for servlet 2.5
Patch0:        0001-Conform-to-newer-servlet-API.patch
# build fix for servlet 3.0
Patch1:        jackrabbit-2.4.2-servlet30.patch
# https://issues.apache.org/jira/secure/attachment/12734388/CVE-2015-1833.patch
Patch2:        CVE-2015-1833.patch

BuildArch:     noarch

BuildRequires: java-devel
BuildRequires: jpackage-utils
# main deps
BuildRequires: mvn(biz.aQute:bndlib)
BuildRequires: mvn(commons-httpclient:commons-httpclient)
BuildRequires: mvn(org.apache.tomcat:tomcat-servlet-api)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:jcl-over-slf4j)
# test deps
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(ch.qos.logback:logback-classic)

BuildRequires: maven-local

Requires:      jpackage-utills

%description
The Apache Jackrabbit content repository is a fully conforming implementation 
of the Content Repository for Java Technology API (JCR, specified in JSR 170 
and 283).

A content repository is a hierarchical content store with support for 
structured and unstructured content, full text search, versioning, 
transactions, observation, and more.

%package       webdav
Summary:       Jackrabbit WebDAV Library
Group:         Development/Java

%description   webdav
This is the WebDAV Library component of the Apache Jackrabbit project. This 
component provides interfaces and common utility classes used for building a 
WebDAV server or client.

%package       webdav-javadoc
Summary:       Javadoc for %{name}-webdav
Group:         Documentation

%description   webdav-javadoc
This package contains the API documentation for %{name}-webdav.

%prep
%setup -q
%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p0

%pom_remove_dep javax.servlet:servlet-api %{name}-webdav
%pom_add_dep org.apache.tomcat:tomcat-servlet-api::provided %{name}-webdav
%pom_remove_plugin :clirr-maven-plugin %{name}-webdav
%pom_xpath_remove "pom:modules/pom:module"
%pom_xpath_inject "pom:modules" "
<module>%{name}-webdav</module>"
%pom_remove_parent %{name}-webdav
%pom_xpath_inject "pom:project" "
<groupId>org.apache.jackrabbit</groupId>
<version>%{version}</version>"  %{name}-webdav

%build

%mvn_file :%{name}-webdav %{name}-webdav
%mvn_package :%{name}-webdav webdav
%mvn_package :%{name} __noinstall
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files webdav -f .mfiles-webdav
%doc NOTICE.txt LICENSE.txt
%doc %{name}-webdav/README.txt

%files webdav-javadoc -f .mfiles-javadoc
%doc NOTICE.txt LICENSE.txt
