Name:           jag
Version:        0.3.8
Release:        %mkrel 3
Summary:        Arcade and puzzle 2D game in which you have to break all the target pieces
# README say "under the GPL" so that's quite vague
License:        GPLv3+
Group:          Games/Puzzles
URL:            https://gitlab.com/coringao/jag
# New repo: https://gitlab.com/coringao/jag
Source0:        https://gitlab.com/coringao/jag/-/archive/%{version}/%{name}-%{version}.tar.gz
# taken from previous 0.3.3 source tarball
Source1:        jag-dist.tar.xz
Patch0:         jag-0.3.8-install-dist.patch

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(xrandr)
Requires:       %{name}-data >= %{version}

%description
The aim of JAG is to break all of the target pieces on each level,
and to do this before the time runs out. Keep doing this until you
have beaten the last level and won the game.

%files
%doc README.md
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}-editor
%{_metainfodir}/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/256x256/apps/%{name}.png

#----------------------------------------------------------------------

%package data
Summary:        Data files for the JAG game
Group:          Games/Puzzles
BuildArch:      noarch

%description data
This package contains data files for the JAG game.

%files data
%{_gamesdatadir}/%{name}/

#----------------------------------------------------------------------

%prep
%autosetup -p1 -a 1

%build
%qmake_qt5
%make_build

pushd src/editor
%qmake_qt5
%make_build
popd

%install
%make_install INSTALL_ROOT=%{buildroot}
%make_install -C src/editor INSTALL_ROOT=%{buildroot}
