%global srcname beanvalidation-api

Name:           jakarta-validation
Version:        3.0.0
Release:        %mkrel 3
Summary:        Bean Validation API
License:        ASL 2.0
Group:		Development/Java
URL:            https://github.com/eclipse-ee4j/beanvalidation-api
Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.testng:testng)

%description
Jakarta Bean Validation defines a metadata model and API for JavaBean
and method validation.


%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{srcname}-%{version}

# remove unnecessary dependency on parent POM
%pom_remove_parent

# remove unnecessary maven plugins
%pom_remove_plugin :license-maven-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin


%build
%mvn_build


%install
%mvn_install


%files -f .mfiles
%license license.txt NOTICE.md
%doc README.md

%files javadoc -f .mfiles-javadoc
%license license.txt NOTICE.md


