#
# git clone https://git.jami.net/savoirfairelinux/jami-client-qt.git
# cd jami-client-qt
# DATE=$(git log -1 --format="%cd" --date=short | sed "s|-||g")
# git config tar.tar.xz.command "xz -c"
# git archive --format=tar.xz -o ../jami-client-qt-${DATE}.tar.xz --prefix=jami-client-qt-${DATE}/ master
#

%ifarch %{arm64} x86_64
%bcond_without webengine
%else
%bcond_with webengine
%endif

%global gittag	stable/20240529.0

%global jbuild	%(echo %gittag| cut -d/ -f1)
%global gdate	%(echo %gittag| cut -d/ -f2)
%global rel	1

%global sfilter	a2a0c72e4db38e1c5478bd3e0f67ff99fae11f00
%global tidyhtml5 d08ddc2860aa95ba8e301343a30837f157977cba
%global qwindowkit 79b1f3110754f9c21af2d7dacbd07b1a9dbaf6ef
%global qmsetup ba85e3a940c1698987ce0faecb5af9bdca83c599
%global syscmdline 70e18ba18056bff1bebab924dde73dbbf04d46f9

Name:           jami-client-qt
Summary:        The Qt client for the Jami communication framework
Version:        0.0
Release:        %mkrel %{?gdate:1.git%gdate%{?jbuild:.%jbuild}.}%{rel}
Group:          Graphical desktop/KDE
License:        GPLv2+
URL:            https://jami.net/
Source0:        https://git.jami.net/savoirfairelinux/jami-client-qt/-/archive/%{jbuild}/%{gdate}/jami-client-qt%{?jbuild:-%jbuild}-%{gdate}.tar.gz
Source1:	https://github.com/atraczyk/SortFilterProxyModel/archive/%{sfilter}/SortFilterProxyModel-%{sfilter}.tar.gz
Source2:	https://github.com/htacg/tidy-html5/archive/%{tidyhtml5}/tidy-html5-%{tidyhtml5}.tar.gz
Source3:	https://github.com/stdware/qwindowkit/archive/%{qwindowkit}/qwindowkit-%{qwindowkit}.tar.gz
Source4:	https://github.com/stdware/qmsetup/archive/%{qmsetup}/qmsetup-%{qmsetup}.tar.gz
Source5:	https://github.com/SineStriker/syscmdline/archive/%{syscmdline}/syscmdline-%{syscmdline}.tar.gz
Patch1:		jami-client-qt-system-md4c.patch
Patch2:		jami-client-qt-no-libavutil.patch
Patch3:		jami-client-qt-qwindowkit.patch
BuildRequires:	doxygen
BuildRequires:  ninja
BuildRequires:	git-core
BuildRequires:  glslc
BuildRequires:  glslang
BuildRequires:  cmake
BuildRequires:  cmake(md4c)
BuildRequires:  cmake(glslang)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6NetworkAuth)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6QmlIntegration)
BuildRequires:  cmake(Qt6QmlModels)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6WebChannel)
BuildRequires:  cmake(Qt6Positioning)
%if %{with webengine}
BuildRequires:  cmake(Qt6WebEngineCore)
BuildRequires:  cmake(Qt6WebEngineQuick)
BuildRequires:  cmake(Qt6WebEngineWidgets)
%endif

BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(libnm)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libqrencode)
BuildRequires:  pkgconfig(libavutil)

BuildRequires:  jami-daemon-devel

BuildRequires:  imagemagick

Provides:       jami-qt = %{version}-%{release}

Requires:       jami-daemon
Requires:       qtdeclarative6
Requires:       qtmultimedia6

# Obsoleted by upstream
Obsoletes:	jami-client-gnome < 1.0.0-13.git20210730.3

Obsoletes:	jami-lrc-i18n < 1.0.0-4.git20210729.2
Obsoletes:	%{_lib}ringclient1 < 1.0.0-4.git20210729.2
Obsoletes:	%{_lib}ringclient-devel < 1.0.0-4.git20210729.2

Obsoletes:	jami-client < 0.0-0.git20221221.1
Provides:	jami-client = %{version}-%{release}

Provides:	bundled(SortFilterProxyModel)
Provides:	bundled(tidy-html5) = 5.9.20
Provides:	bundled(qwindowkit)
Provides:	bundled(qmsetup)
Provides:	bundled(syscmdline)

%description
The Qt client for the Ring communication framework.

%prep
%setup -qn jami-client-qt%{?jbuild:-%jbuild}-%{gdate} -a1 -a2 -a3 -a4 -a5
%autopatch -p1

# drop bundled libs we already have
rm -rf 3rdparty/{libqrencode,md4c}

# we don't have this
rm -rf 3rdparty/SortFilterProxyModel/
ln -sf ../SortFilterProxyModel-%{sfilter} 3rdparty/SortFilterProxyModel

# nor this
rm -rf 3rdparty/tidy-html5/
ln -sf ../tidy-html5-%{tidyhtml5} 3rdparty/tidy-html5

rm -rf 3rdparty/qwindowkit/
ln -sf ../qwindowkit-%{qwindowkit} 3rdparty/qwindowkit

rm -rf 3rdparty/qmsetup/
ln -sf ../qmsetup-%{qmsetup} 3rdparty/qmsetup

rm -rf qmsetup-%{qmsetup}/src/syscmdline/
ln -sf ../../syscmdline-%{syscmdline} qmsetup-%{qmsetup}/src/syscmdline

%build
%global _vpath_builddir build-%{_target_cpu}
%cmake \
  -DWITH_DAEMON_SUBMODULE:BOOL=OFF \
  -DENABLE_LIBWRAP:BOOL=ON \
%if %{with webengine}
  -DWITH_WEBENGINE:BOOL=ON \
%else
  -DWITH_WEBENGINE:BOOL=OFF \
%endif
  -DQWINDOWKIT_BUILD_WIDGETS:BOOL=OFF \
  -DQWINDOWKIT_INSTALL:BOOL=OFF \
  -DQWINDOWKIT_BUILD_STATIC:BOOL=ON
%cmake_build

%install
%cmake_install

# not needed
rm -rf %{buildroot}%{_datadir}/jami/*.desktop
rm -rf %{buildroot}%{_datadir}/pixmaps/

%files
%license COPYING
%doc README.md
%{_bindir}/jami
%dir %{_datadir}/jami/
%{_datadir}/jami/translations/
%{_iconsdir}/hicolor/*/apps/jami.{png,svg}
%{_datadir}/applications/jami.desktop
%{_metainfodir}/jami.appdata.xml
%{_datadir}/man/man1/jami.1*
