%define tar_ver	%(echo %{version}|sed -e 's/\\./\\_/g')

Name:		jamulus
Version:	3.11.0
Release:	%mkrel 1
Summary:	Low-latency internet connection tool for real-time jam sessions
License:        GPLv2+
Group:		Sound/Utilities
URL:		https://jamulus.io/
Source0:	https://github.com/jamulussoftware/jamulus/archive/r%{tar_ver}/%{name}-%{version}.tar.gz
BuildRequires:	imagemagick
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(Qt6Concurrent)
BuildRequires:	pkgconfig(Qt6Core)
BuildRequires:	pkgconfig(Qt6Gui)
BuildRequires:	pkgconfig(Qt6Help)
BuildRequires:	pkgconfig(Qt6Multimedia)
BuildRequires:	pkgconfig(Qt6Network)
BuildRequires:	pkgconfig(Qt6Widgets)
BuildRequires:	pkgconfig(Qt6Xml)
BuildRequires:	pkgconfig(opus)
Requires:	jackit

Provides:	Jamulus = %{version}-%{release}

%description
The Jamulus software enables musicians to perform real-time jam sessions over
the internet. There is one server running the Jamulus server software which
collects the audio data from each Jamulus client software, mixes the audio data
and sends the mix back to each client.

%prep
%autosetup -n %{name}-r%{tar_ver}

%build
%qmake_qt6 PREFIX=%{_prefix} \
           CONFIG+=opus_shared_lib \
           CONFIG+=disable_version_check
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc README.md ChangeLog
%license COPYING
%{_bindir}/Jamulus
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-server.desktop
%{_iconsdir}/hicolor/*/apps/io.jamulus.%{name}.png
%{_iconsdir}/hicolor/scalable/apps/io.jamulus.%{name}.svg
%{_iconsdir}/hicolor/scalable/apps/io.jamulus.%{name}server.svg
%{_mandir}/man1/Jamulus.1*
