%define major	4
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		jansson
Version:	2.14
Release:	%mkrel 1
Summary:	C library for encoding, decoding and manipulating JSON data
Group:		Development/C
License:	MIT
URL:		https://www.digip.org/jansson
Source0:	https://github.com/akheron/jansson/releases/download/v%{version}/%{name}-%{version}.tar.bz2
Patch1:		0001-Fix-the-check-exports-tests-for-versioned-symbols.patch

BuildRequires:	python3dist(sphinx)

%description
Jansson is a C library for encoding, decoding and manipulating JSON
data. Its main features and design principles are:

- Simple and intuitive API and data model
- Comprehensive documentation
- No dependencies on other libraries
- Full Unicode support (UTF-8)
- Extensive test suite

%package -n %{libname}
Summary:	C library for encoding, decoding and manipulating JSON data
Group:		System/Libraries

%description -n %{libname}
Small library for parsing and writing JSON documents.

%package -n %{devname}
Summary:	Header files for jansson
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Header files for developing applications making use of jansson.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%__make html

%install
%make_install

%check
%__make check

%files -n %{libname}
%license LICENSE
%doc CHANGES
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%doc doc/_build/html/*
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*.h
