Name:           jargs
Version:        1.0
Release:        %mkrel 15
Summary:        Java command line option parsing suite

Group:          Development/Java
License:        BSD
URL:            https://jargs.sourceforge.net/
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:        https://repository.jboss.org/nexus/content/repositories/thirdparty-releases/net/sf/jargs/1.0/jargs-1.0.pom
#               Update source and target for JDK 17
Patch0:         %{name}-java-version.patch
BuildArch:      noarch

BuildRequires:  java-devel
BuildRequires:  javapackages-local
BuildRequires:  ant
BuildRequires:  junit


%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
%{summary}.


%description
This project provides a convenient, compact, pre-packaged and 
comprehensively documented suite of command line option parsers 
for the use of Java programmers. 
Initially, parsing compatible with GNU-style 'getopt' is provided.

%prep
%setup -q
%patch -P 0 -p1
find -name '*.jar' -o -name '*.class' -exec rm -f '{}' \;


%build
%ant runtimejar javadoc


%install
%mvn_artifact %{SOURCE1} lib/%{name}.jar
%mvn_alias net.sf:%{name} %{name}:%{name}
%mvn_install -J doc


%files -f .mfiles
%doc README TODO doc/CHANGES
%license LICENCE


%files javadoc -f .mfiles-javadoc
%license LICENCE
