%define major		7
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

%define bootstrap	0
%{?_without_bootstrap:	%global bootstrap 0}
%{?_with_bootstrap:	%global bootstrap 1}

Summary:	JPEG-2000 utilities
Name:		jasper
Version:	4.2.4
Release:	%mkrel 1
License:	BSD-like
Group:		Graphics/Editors and Converters
URL:		https://www.ece.uvic.ca/~frodo/jasper/
#Source0: 	https://www.ece.uvic.ca/~frodo/jasper/software/%%{name}-%%{version}.tar.gz
Source0:	https://github.com/jasper-software/jasper/releases/download/version-%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	pkgconfig(libheif)
BuildRequires:	pkgconfig(libjpeg)
%if !%bootstrap
BuildRequires:	pkgconfig(freeglut)
%endif

%description
JasPer is a software-based implementation of the codec specified in the
emerging JPEG-2000 Part-1 standard (i.e., ISO/IEC 15444-1).  This package
contains tools for working with JPEG-2000 images.

%package -n %{libname}
Summary:	Libraries for JasPer
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
JasPer is a software-based implementation of the codec specified in the
emerging JPEG-2000 Part-1 standard (i.e., ISO/IEC 15444-1).  This package
contains libraries for working with JPEG-2000 images.

%package -n %{develname}
Summary:	Development tools for programs which will use the libjasper library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

Obsoletes:	%{mklibname %{name} -d -s} < 1.900.23-6

%description -n %{develname}
The %{develname} package includes the header files necessary for
developing programs which will manipulate JPEG-2000 files using
the libjasper library.

If you are going to develop programs which will manipulate JPEG-2000 images,
you should install %{develname}. You'll also need to have the
%{libname} package installed.

%prep
%setup -q -n %{name}-%{version}
%autopatch -p1

%build
%define _vpath_builddir buildx

%cmake -DJAS_ENABLE_DOC:BOOL=OFF \
       -DALLOW_IN_SOURCE_BUILD=ON

%cmake_build

%install
%cmake_install

find %{buildroot} -name '*.la' -delete

%multiarch_includes %{buildroot}%{_includedir}/jasper/jas_config.h

%files
%doc README.md
%{_docdir}/JasPer/
%license LICENSE.txt
%{_bindir}/imgcmp
%{_bindir}/imginfo
%{_bindir}/jasper
%if !%bootstrap
%{_bindir}/jiv
%endif
%{_mandir}/man1/imgcmp.1*
%{_mandir}/man1/imginfo.1*
%{_mandir}/man1/jasper.1*
%if !%bootstrap
%{_mandir}/man1/jiv.1*
%endif

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%doc doc/README.txt doc/jpeg2000.pdf
%multiarch %dir %{multiarch_includedir}/%{name}
%multiarch %{multiarch_includedir}/%{name}/*.h
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/jasper.pc
