%define gcj_support 0
%global __requires_exclude devel.*
%define javaver 1.6.0.0
%define multilib_arches ppc64 sparc64 x86_64
%ifarch %{multilib_arches}
%define javaname        java-1.6.0-openjdk-%javaver.%{_arch}
%else
%define javaname        java-1.6.0-openjdk-%javaver
%endif

Name:           java-access-bridge
Epoch:          0
Version:        1.26.2
Release:        %mkrel 14
Summary:        Assistive technology for Java Swing applications
License:        LGPLv2+
Group:          Development/Java
URL:            https://www.gnome.org/
Source0:        https://download.gnome.org/sources/%name/java-access-bridge-%{version}.tar.bz2
Patch0:         %{name}-jar_dir.patch
Patch1:         java-1.6.0-openjdk-java-access-bridge-tck.patch
Patch2:         java-1.6.0-openjdk-java-access-bridge-idlj.patch
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  libbonobo-activation-devel
BuildRequires:  xprop
BuildRequires:  pkgconfig(gtk+-2.0)
%if %{gcj_support}
BuildRequires:  java-gcj-compat-devel
%endif

%description
This package contains the Java Access Bridge for GNOME, which connects
the built-in accessibility support in Java Swing apps to the GNOME
Accessibility framework, specifically the Assistive Technology Service
Provider Interface (at-spi).

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vif
%configure --with-java-home=%{_jvmdir}/java-openjdk --disable-static
#gw disable parallel make in 1.24.0 to prevent OOM errors
%__make

%install
%make_install

(cd %{buildroot}%{_javadir} && %{__mv} JNav.jar jnav.jar && ln -sjnav.jar JNav.jar)
(cd %{buildroot}%{_javadir} && for jar in *.jar; do %{__mv} ${jar} `/bin/basename ${jar} .jar`-%{version}.jar; done)
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*.jar; do ln -s${jar} `/bin/echo ${jar} | %{__sed}  "s|-%{version}||g"`; done)

# we don't want these
find %{buildroot} -name '*.la' -delete

mkdir -p %buildroot/%_jvmdir/%javaname/jre/lib/ext/
ln -s %_libdir/libjava-access-bridge-jni.so %buildroot/%_jvmdir/%javaname/jre/lib/ext/

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
%{__rm} -rf %{buildroot}

%if %{gcj_support}
%post
%{update_gcjdb}

%postun
%{clean_gcjdb}
%endif

%files
%doc AUTHORS ChangeLog NEWS README TODO
%_libdir/libjava-access-bridge-jni.*
%_jvmdir/%javaname/jre/lib/ext/libjava-access-bridge-jni.so
%{_javadir}/*
%{_javadir}/*
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/*
%endif


