Name:          java-libpst
Version:       0.8.1
Release:       %mkrel 12
Group:         Development/Java
Summary:       A pure Java library for the reading of Outlook PST and OST files
# see https://github.com/rjohnsondev/java-libpst/issues/23
License:       ASL 2.0 and LGPLv3
URL:           https://github.com/rjohnsondev/java-libpst/
Source0:       https://github.com/rjohnsondev/java-libpst/archive/%{version}.tar.gz
Source1:       https://www.gnu.org/licenses/lgpl.txt
BuildRequires: mvn(junit:junit)
BuildRequires: maven-local
BuildArch:     noarch

%description
A library to read PST files with java,
without need for external libraries.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
find -name '*.class' -print -delete
find -name '*.jar' -print -delete

%pom_xpath_set "pom:project/pom:version" %{version}
cp -p %{SOURCE1} LICENSE.LGPL.txt
sed -i 's/\r//' LICENSE.*.txt README.txt

%mvn_file com.pff:%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md README.txt
%license LICENSE.APACHE-2.0.txt LICENSE.LGPL.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.APACHE-2.0.txt LICENSE.LGPL.txt

