%define debug_package	%{nil}

Name:		java3d
Version:	1.5.2
Release:	%mkrel 19
Summary:	The Java 3D API
Group:		Development/Java
License:	BSD, GPL
URL:		https://java3d.java.net/
# svn export https://svn.java.net/svn/j3d-core~svn/tags/rel-1_5_2-fcs j3d-core-1.5.2
# tar czf j3d-core-1.5.2-src-svn.tar.gz j3d-core
Source0:	j3d-core-%{version}-src-svn.tar.gz
# http://java.net/projects/j3d-core-utils
# svn export https://svn.java.net/svn/j3d-core-utils~svn/tags/rel-1_5_2-fcs j3d-core-utils
# tar czf j3d-core-utils-1.5.2-src-svn.tar.gz j3d-core-utils
Source1:	j3d-core-utils-%{version}-src-svn.tar.gz
Patch0:		01_fix_powerpc_ftbfs.patch
Patch1:		02_fix_generic_ftbfs.patch
Patch2:		03_fix_ia64_ftbfs.patch
Patch3:		04_no_maxmemory.patch
Patch4:		05_pic_amd64.patch
Patch5:		05_pic_i586.patch
Patch6:		06_java-compat.patch
Patch7:		typedef.patch
Patch8:     j3d-core-1.5.2-fix-source-java11.patch
Patch9:     08_java10_compatibility.patch
Patch10:    j3d-core-1.5.2-remove-javah.patch
BuildRequires:	ant
BuildRequires:	ant-junit
BuildRequires:	glibc-devel
BuildRequires:	java-devel
%ifnarch %{arm} aarch64
###BuildRequires:	jogl2
%endif
BuildRequires:	javapackages-local
BuildRequires:	junit
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xt)
BuildRequires:	vecmath
BuildRequires:	xerces-j2
BuildRequires:	xml-commons-apis

Requires:	java
Requires:	javapackages-tools

Provides:	j3dcore == %{version}
Provides:	j3dutils == %{version}

%description
The Java 3D API provides a set of object-oriented interfaces that
support a simple, high-level programming model you can use to
build, render, and control the behavior of 3D objects and visual
environments. With the Java 3D API, you can incorporate high quality,
scalable, platform-independent 3D graphics into applications andvecmath
applets based on Java technology.

#-------------------------------------------------------------------------

%package	javadoc
Summary:	Javadoc for %{name}
Group:		Development/Java
Requires:	%{name} = %{version}-%{release}
Requires:	javapackages-tools

%description javadoc
The Java 3D API.

This package contains javadoc for %{name}

#-------------------------------------------------------------------------

%prep
%setup -q -T -c -n %{name}-%{version}
# core
tar xf %{SOURCE0}
# core-utils
tar xf %{SOURCE1}

%autopatch -p1

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

for c in $(find . -name "*.class"); do
  rm -f $c
done

%build
export ANT_OPTS=-Xmx256m
export CLASSPATH=$PWD/j3d-core/build/default/opt/lib/ext/j3dcore.jar:junit.jar:%{_datadir}/java/vecmath.jar

pushd j3d-core
	%ant \
	-Dant.javadoc.maxmemory=512m \
	-Dbuild.type=stable \
	jar-opt docs-public
popd

CLASSPATH=$CLASSPATH:$PWD/j3d-core/build/default/opt/lib/ext/j3dutils.jar


%install
mkdir -p %{buildroot}%{_javadir}/%{name}
mkdir -p %{buildroot}%{_libdir}

install -m 644 j3d-core/build/default/opt/lib/ext/j3dcore.jar \
    %{buildroot}%{_javadir}/%{name}/j3dcore-%{version}.jar
install -m 644 j3d-core/build/default/opt/lib/ext/j3dutils.jar \
    %{buildroot}%{_javadir}/%{name}/j3dutils-%{version}.jar

(
  cd %{buildroot}%{_javadir}/%{name}
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

# TODO build libj3dcore-ogl-cg.so require NVDIA CG Toolkit
install -m 755 j3d-core/build/default/opt/native/libj3dcore-ogl.so \
    %{buildroot}%{_libdir}/libj3dcore-ogl.so

mkdir -p %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -a j3d-core/build/*/javadocs/docs-public/* %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%files
%doc j3d-core/*.txt j3d-core/*.html j3d-core/docs
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/j3dcore-%{version}.jar
%{_javadir}/%{name}/j3dcore.jar
%{_javadir}/%{name}/j3dutils-%{version}.jar
%{_javadir}/%{name}/j3dutils.jar
%{_libdir}/libj3dcore-ogl.so

%files javadoc
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}
