%define apiversion  %(echo %version | cut -d. -f 1-2)
Name:          java_lzma
Version:       4.23.1
Release:       %mkrel 1
Summary:       LZMA_JAVA SDK is a port of LZMA# SDK %{apiversion}
Group:         Archiving/Compression
License:       CPL, LGPL
Url:           https://p7zip.sourceforge.net/
Source0:       https://sourceforge.net/projects/p7zip/files/java_lzma/4.23.01/java_lzma_%{version}.tar.bz2
Patch0:        java-lzma-4.23.1-javadoc.patch
BuildRequires: ant
BuildRequires: java-gcj-compat
BuildRequires: jpackage-utils
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libgcj-devel
BuildRequires: zlib-devel
Requires:      jlzma = %{version}
Requires:      jpackage-utils


%description
LZMA is default and general compression method of 7z format
in 7-Zip compression program (www.7-zip.org). LZMA provides high 
compression ratio and very fast decompression.

LZMA is an improved version of famous LZ77 compression algorithm. 
It was improved in way of maximum increasing of compression ratio,
keeping high decompression speed and low memory requirements for 
decompressing.

%package -n jlzma
Group:         Development/Java
Summary:       LZMA_JAVA SDK is a port of LZMA# SDK %{apiversion}
BuildArch:     noarch

%description -n jlzma
LZMA_JAVA SDK is a port of LZMA# SDK %{apiversion}.

%package -n jlzma-javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils
BuildArch:     noarch

%description -n jlzma-javadoc
LZMA_JAVA SDK is a port of LZMA# SDK %{apiversion}.

This package contains javadoc for %{name}

%prep
%setup -q -n java_lzma_%{version}

%patch -P 0
for j in $(find . -name "*.jar"); do
  mv  $j $j.no
done

for j in $(find . -name "*.class"); do
  rm -rf $j
done

sed -i "s|-g:none|-g|" makefile

%build

make J_BIN=%{_jvmdir}/java-1.5.0/bin/ all
make J_BIN=%{_jvmdir}/java-1.5.0/bin/ allgcj
ant javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 dist/JLzma.jar \
  %{buildroot}%{_javadir}/jlzma-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/jlzma
cp -pr dist/docs/* %{buildroot}%{_javadocdir}/jlzma

mkdir -p %{buildroot}%{_bindir}
install -pm 755 LzmaAlone.exe %{buildroot}%{_bindir}/LzmaAlone
install -pm 755 LzmaAlone_nocheck.exe %{buildroot}%{_bindir}/LzmaAlone_nocheck

%files
%{_bindir}/LzmaAlone
%{_bindir}/LzmaAlone_nocheck
%doc CPL.html history.txt LGPL.txt lzma#.txt readme.txt

%files -n jlzma
%{_javadir}/jlzma-%{version}.jar
%{_javadir}/jlzma.jar

%files -n jlzma-javadoc
%{_javadocdir}/jlzma
