Name:          javacc3
Version:       3.2
Release:       %mkrel 6
Summary:       A parser/scanner generator for java
Group:         Development/Java
License:       BSD
Url:           https://javacc.dev.java.net/
Source0:       http://java.net/projects/javacc/downloads/download/oldversions/javacc-3.2src.tar.gz
Source1:       https://mirrors.ibiblio.org/pub/mirrors/maven2/javacc/javacc/3.2/javacc-3.2.pom
Patch0:        javacc-3.2-enum.patch
Patch1:        javacc-3.2-build_xml.patch
Patch2:        javacc-3.2-enum-post-generated-files.patch
BuildRequires: ant 
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: junit
Requires:      jpackage-utils
BuildArch:     noarch

%description
Java Compiler Compiler (JavaCC) is the most popular parser generator for use
with Java applications. A parser generator is a tool that reads a grammar
specification and converts it to a Java program that can recognize matches to
the grammar. In addition to the parser generator itself, JavaCC provides other
standard capabilities related to parser generation such as tree building (via
a tool called JJTree included with JavaCC), actions, debugging, etc.

%package demo
Group:         Development/Java
Summary:       Examples for %{name}

%description demo
JavaCC - A parser/scanner generator for java.

This package contains examples for %{name}

%package manual
Group:         Development/Java
Summary:       Manual for %{name}

%description manual
JavaCC - A parser/scanner generator for java.

This package contains manual for %{name}.

%prep
%setup -q -n javacc-%{version}
mv www/doc .
%patch -P 0 -p1
%patch -P 1 -p1
ant generated-files
%patch -P 2 -p1

for i in `find -name "*.java"`
do
        native2ascii -encoding UTF8 $i $i
done

%build

ant \
  -Dversion=%{version} \
  jar

%install
mkdir -p %{buildroot}%{_javadir}
install -m 644 bin/lib/javacc.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %SOURCE1 %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p  %{buildroot}%{_datadir}/%{name}
cp -pr examples %{buildroot}%{_datadir}/%{name}

%files
%{_javadir}/javacc3-%{version}.jar
%{_javadir}/javacc3.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE README

%files demo
%{_datadir}/%{name}

%files manual
%doc doc/*

