Name:           jaxb-fi
Version:        2.1.1
Release:        %mkrel 1
Group:          Development/Java
Summary:        Implementation of the Fast Infoset Standard for Binary XML
# jaxb-fi is licensed Apache-2.0 and EDL-1.0 (BSD-3-Clause)
# bundled org.apache.xerces.util.XMLChar.java is licensed ASL 1.1
License:        Apache-2.0 AND BSD-3-Clause AND Apache-1.1
URL:            https://github.com/eclipse-ee4j/jaxb-fi
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

Patch1:         0001-Port-to-jaxb-xsom-4.0.1.patch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-dependency-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)

%description
Fast Infoset Project, an Open Source implementation of the Fast Infoset
Standard for Binary XML.

The Fast Infoset specification (ITU-T Rec. X.891 | ISO/IEC 24824-1)
describes an open, standards-based "binary XML" format that is based on
the XML Information Set.

%package tests
License:        Apache-2.0 AND BSD-3-Clause
Summary:        FastInfoset Roundtrip Tests
%description tests
%{summary}.

%{?javadoc_package}

%prep
%setup -q

%pom_remove_parent

%pom_disable_module samples
%pom_disable_module utilities

%pom_remove_plugin :buildnumber-maven-plugin
%pom_remove_plugin :glassfish-copyright-maven-plugin
%pom_remove_plugin :maven-enforcer-plugin

%mvn_package :FastInfosetRoundTripTests tests

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE.md
%doc README.md

%files tests -f .mfiles-tests
%license LICENSE NOTICE.md

