%define	major		0
%define libname		%mklibname jbig2dec %{major}
%define develname	%mklibname jbig2dec -d

Summary:	A decoder implementation of the JBIG2 image compression format
Name:		jbig2dec
Version:	0.20
Release:	%mkrel 1
License:	GPLv2
Group:		Graphics/Utilities
URL:		https://jbig2dec.com/
Source0:	https://github.com/ArtifexSoftware/jbig2dec/releases/download/%{version}/%{name}-%{version}.tar.gz
Patch6:		1001_ignore_python_test.patch
Patch8:		2001_disable_memento.patch
Patch9:		2002_abi_compat.patch
#
# From git upstream (https://github.com/ArtifexSoftware/ghostpdl/commits/master/jbig2dec) from 100.
#
BuildRequires:	automake

%description
jbig2dec is a decoder implementation of the JBIG2 image compression format.
JBIG2 is designed for lossy or lossless encoding of 'bilevel' (1-bit 
monochrome) images at moderately high resolution, and in particular scanned
paper documents. In this domain it is very efficient, offering compression
ratios on the order of 100:1.

%package -n	%{libname}
Summary:	A decoder implementation of the JBIG2 image compression format
Group:          System/Libraries

%description -n	%{libname}
jbig2dec is a decoder implementation of the JBIG2 image compression format.
JBIG2 is designed for lossy or lossless encoding of 'bilevel' (1-bit 
monochrome) images at moderately high resolution, and in particular scanned
paper documents. In this domain it is very efficient, offering compression
ratios on the order of 100:1.

This package provides the shared jbig2dec library.

%package -n	%{develname}
Summary:	Static library and header files for development with jbig2dec
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	jbig2dec-devel = %{version}-%{release}

%description -n	%{develname}
jbig2dec is a decoder implementation of the JBIG2 image compression format.
JBIG2 is designed for lossy or lossless encoding of 'bilevel' (1-bit 
monochrome) images at moderately high resolution, and in particular scanned
paper documents. In this domain it is very efficient, offering compression
ratios on the order of 100:1.

This package is only needed if you plan to develop or compile applications
which requires the jbig2dec library.

%prep
%setup -q
%autopatch -p1

# fix strange perms
find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

%build
./autogen.sh

%configure --disable-static

%make_build

%check
make check

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files
%doc CHANGES README
%{_bindir}/jbig2dec
%{_mandir}/man1/jbig2dec.1*

%files -n %{libname}
%doc CHANGES README
%license COPYING LICENSE
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
