%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}

Name:          jboss-classLoader
Version:       2.2.1
Release:       %mkrel 3
Summary:       JBoss ClassLoader
Group:         Development/Java
License:       LGPLv2+
Url:           https://www.jboss.org/jbossmc/
# svn export https://anonsvn.jboss.org/repos/jbossas/projects/jboss-cl/tags/2.2.1.GA/ jboss-cl-2.2.1.GA
# tar czf jboss-cl-2.2.1.GA-src-svn.tar.gz jboss-cl-2.2.1.GA
Source0:       jboss-cl-%{namedversion}-src-svn.tar.gz

BuildRequires: java-devel
BuildRequires: jboss-parent
BuildRequires: jpackage-utils

BuildRequires: jboss-common-core
BuildRequires: jboss-integration
BuildRequires: jboss-kernel
BuildRequires: jboss-logging
BuildRequires: jboss-man
BuildRequires: jboss-mdr
BuildRequires: jboss-reflect
BuildRequires: jboss-vfs
BuildRequires: jbossxb

BuildRequires: apiviz
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-eclipse-plugin
BuildRequires: maven-idea-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-surefire-plugin

#  test dependencies
BuildRequires: javassist
BuildRequires: jboss-test
BuildRequires: junit4

Requires:      jboss-common-core
Requires:      jboss-integration
Requires:      jboss-kernel
Requires:      jboss-logging
Requires:      jboss-man
Requires:      jboss-mdr
Requires:      jboss-reflect
Requires:      jboss-vfs
Requires:      jbossxb

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
A J2EE certified platform for developing and deploying enterprise Java
applications, Web applications, and Portals, JBoss Application Server
provides the full range of J2EE 1.4 features as well as extended
enterprise services including clustering, caching, and persistence.

JBoss Application Server includes support for Enterprise Java Beans
(EJB) 3.0 which is designed to dramatically simplify the enterprise
Java programming model.

This package contains the jboss classloader libraries.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n jboss-cl-%{namedversion}

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

sed -i 's|${artifactId}|${project.artifactId}|' pom.xml classload*/pom.xml
sed -i 's|net.gleamynode.apiviz|org.jboss.apiviz|' pom.xml classload*/pom.xml

# TODO java 7 temporary fix classloader/src/main/java/org/jboss/classloader/test/support/IsolatedClassLoaderTest.java:[61,22] error: name clash: suite(Class<?>) in IsolatedClassLoaderTest and suite(Class) in AbstractTestCaseWithSetup have the same erasure, yet neither hides the other
sed -i 's|public static Test suite(Class<?> clazz)|public static Test suite(Class clazz)|' classloader/src/main/java/org/jboss/classloader/test/support/IsolatedClassLoaderTest.java

%build

# Tests in error: 
#  testShutdownUnregisterDefault(org.jboss.test.classloading.vfs.policy.test.ShutdownUnitTestCase)
#  testShutdownUnregister(org.jboss.test.classloading.vfs.policy.test.ShutdownUnitTestCase)
#  testShutdownGC(org.jboss.test.classloading.vfs.policy.test.ShutdownUnitTestCase)
#  testCertificates(org.jboss.test.classloading.vfs.policy.test.VFSCLPolicySignedCertsUnitTestCase)

mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}/%{name}
mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-jboss-cl-parent.pom
%add_maven_depmap JPP.%{name}-jboss-cl-parent.pom
install -pm 644 build/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-jboss-cl.pom
%add_maven_depmap JPP.%{name}-jboss-cl.pom

for cl in classloader \
 classloading \
 classloading-vfs \
; do
  install -m 644 ${cl}/target/jboss-${cl}.jar \
    %{buildroot}%{_javadir}/%{name}/${cl}.jar
  install -m 644 ${cl}/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-${cl}.pom
  %add_maven_depmap JPP.%{name}-${cl}.pom %{name}/${cl}.jar
done

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}/*.jar
%{_mavenpomdir}/JPP.%{name}-*.pom
%{_mavendepmapfragdir}/%{name}
%doc build/JBossORG-EULA.txt

%files javadoc
%{_javadocdir}/%{name}
