%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-common-core
Version:          2.5.0
Release:          %mkrel 4
Group:            Development/Java
Summary:          JBoss Common Classes
# Under Public Domain license src/main/java/org/jboss/util/Base64.java
License:          ASL 2.0 and Public Domain
URL:              https://www.jboss.org
Source0:          https://github.com/jboss/jboss-common-core/archive/%{name}-%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.logging:jboss-logging)
Provides:         bundled(java-base64) = 2.1

%description
JBoss Common Core Utility classes

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{namedversion}

# The URLLister* family of classes was removed because the
# apache-slide:webdavlib is a dead project and
# the classes aren't used in JBoss AS 7 at all
rm src/main/java/org/jboss/net/protocol/URLLister.java \
 src/main/java/org/jboss/net/protocol/URLListerBase.java \
 src/main/java/org/jboss/net/protocol/URLListerFactory.java \
 src/main/java/org/jboss/net/protocol/file/FileURLLister.java

%pom_change_dep org.jboss.logging:jboss-logging-spi org.jboss.logging:jboss-logging

# javascript not allowed in javadoc. this is a bit weird
find ./ -name "package.html" -exec sed -i "s/javascript/java script/g" {} +

# AssertionFailedError: expected:<333> but was:<324>
rm src/test/java/org/jboss/test/util/test/xml/resolver/JBossEntityResolverUnitTestCase.java

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

