%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
Name:          jboss-connector-1.5-api
Version:       1.0.0
Release:       %mkrel 6
Summary:       Connector Architecture 1.5 API
Group:         Development/Java
License:       LGPLv2+
Url:           https://www.jboss.org/
# svn export https://anonsvn.jboss.org/repos/jbossas/projects/specs/tags/jboss-connector-api_1.5_spec-1.0.0.Final
# tar czf jboss-connector-api_1.5_spec-1.0.0.Final-scr-svn.tar.gz jboss-connector-api_1.5_spec-1.0.0.Final
Source0:       jboss-connector-api_1.5_spec-%{namedversion}-scr-svn.tar.gz

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: jboss-common-core
BuildRequires: jboss-specs-parent
BuildRequires: jboss-transaction-1.1-api
BuildRequires: jboss-logging-spi

BuildRequires: maven-local
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
Requires:      jboss-specs-parent
Requires:      jboss-common-core
Requires:      jboss-transaction-1.1-api
Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Java EE Connector Architecture 1.5 API classes.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-connector-api_1.5_spec-%{namedversion}

%build
mvn-rpmbuild install javadoc:aggregate
%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

# JAR
install -pm 644 target/jboss-connector-api_1.5_spec-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar

# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/jboss/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}
