Name:             jboss-el-3.0-api
Version:          1.0.13
Release:          %mkrel 5
Group:            Development/Java
Summary:          JSR-341 Expression Language 3.0 API
License:          (CDDL or GPLv2 with exceptions) and ASL 2.0

%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

URL:              https://github.com/jboss/jboss-el-api_spec
Source0:          %{url}/archive/jboss-el-api_3.0_spec-%{namedversion}.tar.gz
Source1:          https://www.apache.org/licenses/LICENSE-2.0.txt
Source2:          cddl.txt

BuildRequires:    maven-local
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)

BuildArch:        noarch

%description
The JSR-341 Expression Language 3.0 API classes.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-el-api_spec-jboss-el-api_3.0_spec-%{namedversion}

cp %{SOURCE1} .
cp %{SOURCE2} .

%pom_remove_plugin :maven-source-plugin

%pom_change_dep :javax.el-impl :javax.el

sed -i "s,59 Temple Place,51 Franklin Street,;s,Suite 330,Fifth Floor,;s,02111-1307,02110-1301," LICENSE

%build
# tests are broken with the version of el in Mageia 8+
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README
%license LICENSE cddl.txt LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE cddl.txt LICENSE-2.0.txt

