Name:           jboss-jaxb-2.3-api
Version:        1.0.1
Release:        %mkrel 3
Group:		Development/Java
Summary:        Java Architecture for XML Binding 2.3
License:        CDDL or GPLv2 with exceptions

%global upstream_project    jboss-jaxb-api_spec
%global upstream_name       jboss-jaxb-api_2.3_spec
%global upstream_version    %{version}.Final
%global upstream_archive    %{upstream_name}-%{upstream_version}

URL:            https://github.com/jboss/jboss-jaxb-api_spec
Source0:        %{url}/archive/%{upstream_archive}.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(com.sun.activation:jakarta.activation)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.jboss:jboss-parent:pom:)

%description
JSR-000222: Java Architecture for XML Binding (JAXB) 2.3.


%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{upstream_project}-%{upstream_archive}

# remove unnecessary maven plugins
%pom_remove_plugin :maven-source-plugin

# add dependency for javax.activation (removed from Java 11)
%pom_add_dep com.sun.activation:jakarta.activation:1.2.2


%build
%mvn_build


%install
%mvn_install


%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE


