%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
%global oname jboss-jaxrs-api_2.0_spec

Name:          jboss-jaxrs-2.0-api
Version:       1.0.0
Release:       %mkrel 10
Epoch:         1
Group:         Development/Java
Summary:       JAX-RS 2.0: The Java API for RESTful Web Services
# ASL 2.0 src/main/java/javax/ws/rs/core/GenericEntity.java
License:       (CDDL-1.0 or GPL-2.0-only WITH Classpath-exception-2.0) and Apache-2.0
URL:           https://github.com/jboss/jboss-jaxrs-api_spec
Source0:       https://github.com/jboss/jboss-jaxrs-api_spec/archive/%{oname}-%{namedversion}.tar.gz
Patch1:        0001-Update-to-use-jakarta.xml.bind-package.patch

BuildRequires: maven-local
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.jboss:jboss-parent:pom:)
BuildRequires: mvn(jakarta.xml.bind:jakarta.xml.bind-api)

BuildArch:     noarch
%if 0%{?fedora}
ExclusiveArch:  %{java_arches} noarch
%endif

%description
JSR 339: JAX-RS 2.0: The Java API for RESTful Web Services.

%prep
%setup -q -n jboss-jaxrs-api_spec-%{oname}-%{namedversion}
%patch -P 1 -p1

# Unneeded plugin
%pom_remove_plugin :maven-source-plugin

# Fix JDK11 build, add missing javax.xml.bind
%pom_add_dep jakarta.xml.bind:jakarta.xml.bind-api

%mvn_file :%{oname} %{name}

# remove after upgrading narayana
%mvn_alias ":jboss-jaxrs-api_2.0_spec" "org.jboss.resteasy:jaxrs-api"

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles
%license LICENSE

