%global namedreltag .M2
%global namedversion %{version}%{?namedreltag}
Name:          jboss-microcontainer
Version:       2.2.0
Release:       %mkrel 1
Summary:       JBoss Microcontainer
Group:         Development/Java
License:       LGPLv2+
Url:           https://www.jboss.org/jbossmc/
# svn export https://anonsvn.jboss.org/repos/jbossas/projects/microcontainer/tags/2.2.0.M2/ jboss-microcontainer-2.2.0.M2
# tar czf jboss-microcontainer-2.2.0.M2-src-svn.tar.gz jboss-microcontainer-2.2.0.M2
Source0:       jboss-microcontainer-%{namedversion}-src-svn.tar.gz

Patch0:        jboss-microcontainer-2.2.0.M2-kernel-Configurator.patch
Patch1:        jboss-microcontainer-2.2.0.M2-jmx-mc-int-test-MockTypeInfo.patch
Patch2:        jboss-microcontainer-2.2.0.M2-ant.patch
# require google guice 1.0
Patch3:        jboss-microcontainer-2.2.0.M2-disable-guice-int.patch
# TODO with java 7 fails
Patch4:        jboss-microcontainer-2.2.0.M2-javadoc.patch

BuildRequires: java-devel >= 0:1.6.0
BuildRequires: jboss-parent
BuildRequires: jpackage-utils

# build deps
BuildRequires: ant-junit
BuildRequires: javassist
BuildRequires: jboss-aop
BuildRequires: jboss-common-core
BuildRequires: jboss-logging-log4j
BuildRequires: jboss-logging-spi
BuildRequires: jboss-man
BuildRequires: jboss-mx
BuildRequires: jboss-reflect
BuildRequires: jboss-vfs
BuildRequires: jbossxb
BuildRequires: jboss-test
BuildRequires: junit4

# test dep
BuildRequires: jboss-profiler


BuildRequires: findbugs-maven-plugin
BuildRequires: maven
BuildRequires: maven-antrun-plugin
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-eclipse-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-idea-plugin
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-report-plugin

Requires:      ant-junit
Requires:      javassist
Requires:      jboss-aop
Requires:      jboss-common-core
Requires:      jboss-logging-log4j
Requires:      jboss-logging-spi
Requires:      jboss-man
Requires:      jboss-mx
Requires:      jboss-reflect
Requires:      jboss-test
Requires:      jboss-vfs
Requires:      jbossxb
Requires:      junit4

Requires:      java >= 0:1.6.0
Requires:      jpackage-utils
BuildArch:     noarch

%description
The JBoss Microcontainer is a refactoring of JBoss' JMX Microkernel to support direct POJO deployment and
standalone use outside the JBoss application server.

Features

* All the features of the JMX Microkernel
* Direct POJO deployment (no need for Standard/XMBean or MBeanProxy)
* Direct IOC style dependency injection
* Improved lifecycle management
* Additional control over dependencies
* Transparent AOP integration
* Virtual File System
* Virtual Deployment Framework
* OSGi classloading

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch -P 0 -p0
%patch -P 1 -p0
%patch -P 2 -p1
%patch -P 3 -p1
%patch -P 4 -p0

find . -name "*.class" -exec rm {} \;
find . -name "*.jar" -exec rm {} \;

#sed -i "s|<groupId>com.google.code.guice</groupId>|<groupId>com.google.inject</groupId>|" pom.xml
#sed -i "s|<groupId>com.google.code.guice</groupId>|<groupId>com.google.inject</groupId>|" guice-int/pom.xml

rm -rf jmx-aop-mc-int/src/test/java/org/jboss/test/system/controller/integration/support/*

%build

mvn-rpmbuild -Dmaven.test.failure.ignore=true install javadoc:aggregate
# -Dmaven.test.skip=true
%install

mkdir -p %{buildroot}%{_javadir}/%{name}
mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}.pom
%add_maven_depmap JPP.%{name}-%{name}.pom
install -pm 644 build/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-dist.pom
%add_maven_depmap JPP.%{name}-%{name}-dist.pom

for mc in aop-mc-int \
 dependency \
 jmx-aop-mc-int \
 jmx-mc-int \
 kernel \
 spring-int \
; do
  install -m 644 ${mc}/target/jboss-${mc}.jar \
    %{buildroot}%{_javadir}/%{name}/${mc}.jar
  install -m 644 ${mc}/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-${mc}.pom
  %add_maven_depmap JPP.%{name}-${mc}.pom %{name}/${mc}.jar
done

#install -m 644 jmx-mc-int/target/jboss-jmx-mc-int-tests.jar %{buildroot}%{_javadir}/%{name}/
#install -m 644 kernel/target/jboss-kernel-tests.jar %{buildroot}%{_javadir}/%{name}/

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}/*.jar
%{_mavenpomdir}/JPP.%{name}-*.pom
%{_mavendepmapfragdir}/%{name}
%doc build/JBossORG-EULA.txt

%files javadoc
%{_javadocdir}/%{name}
