%global namedreltag .CR1
%global namedversion %{version}%{?namedreltag}
Name:          jboss-test-audit
Version:       1.1.0
Release:       %mkrel 2
Summary:       Test Audit Utils
Group:         Development/Java
License:       ASL 2.0
URL:           https://www.jboss.org
# svn export https://anonsvn.jboss.org/repos/test-utils/jboss-test-audit/tags/v1_1_0_CR1/ jboss-test-audit-1.1.0.CR1
# tar czf jboss-test-audit-1.1.0.CR1-src-svn.tar.gz jboss-test-audit-1.1.0.CR1
Source0:       jboss-test-audit-%{namedversion}-src-svn.tar.gz
# maven-clover-plugin
Patch0:        jboss-test-audit-1.0.0-pom_xml.patch
#  maven-antrun-plugin  ant
Patch1:        jboss-test-audit-1.0.0-impl-pom_xml.patch
BuildRequires: jpackage-utils
BuildRequires: java-devel

#BuildRequires: ant
BuildRequires: junit4

BuildRequires: maven
#BuildRequires: maven-antrun-plugin
BuildRequires: maven-changes-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-build-helper
BuildRequires: maven-plugin-jxr
BuildRequires: maven-pmd-plugin
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: taglist-maven-plugin
BuildRequires: maven-surefire-provider-junit4
BuildRequires: forge-parent

Requires:      junit4

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
Utility classes for TCK Test Coverage Report.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch -P 0 -p0
%patch -P 1 -p0
%build

mvn-rpmbuild install javadoc:aggregate

%install

install -d -m 755 %{buildroot}%{_javadir}/jboss
cp -p api/target/%{name}-api-%{namedversion}.jar %{buildroot}%{_javadir}/jboss/%{name}-api.jar
cp -p impl/target/%{name}-impl-%{namedversion}.jar %{buildroot}%{_javadir}/jboss/%{name}-impl.jar

# APIDOCS
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

# POM
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-%{name}.pom
install -pm 644 api/pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-%{name}-api.pom
install -pm 644 impl/pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-%{name}-impl.pom

# DEPMAP
%add_maven_depmap JPP.jboss-%{name}.pom
%add_maven_depmap JPP.jboss-%{name}-api.pom jboss/%{name}-api.jar
%add_maven_depmap JPP.jboss-%{name}-impl.pom jboss/%{name}-impl.jar

%files
%{_mavenpomdir}/JPP.jboss-%{name}*.pom
%{_mavendepmapfragdir}/%{name}
%{_javadir}/jboss/%{name}-*.jar

%files javadoc
%{_javadocdir}/%{name}
