
Name:          je32
Version:       3.2.76
Release:       %mkrel 5
Summary:       Berkeley DB Java Edition
Group:         Development/Java
License:       BSD, GPL, Sleepycat Public License
Url:           https://www.oracle.com/technetwork/database/berkeleydb/overview/index.html
Source0:       https://download.oracle.com/berkeley-db/je-%{version}.tar.gz
Source1:       je-%{version}-build.xml
Source2:       https://download.oracle.com/maven/com/sleepycat/je/%{version}/je-%{version}.pom

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: geronimo-j2ee-connector-1_5-api
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: mx4j

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
Berkeley DB Java Edition is a high performance, transactional storage
engine written entirely in Java. Like the highly successful Berkeley DB
product, Berkeley DB Java Edition executes in the address space of the
application, without the overhead of client/server communication. It
stores data in the application's native format, so no runtime data
translation is required. Berkeley DB Java Edition supports full ACID
transactions and recovery. It provides an easy-to-use, programmatic
interface, allowing developers to store and retrieve information
quickly, simply and reliably.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n je-%{version}
chmod -R go=u-w *
find . -name "*.class" -exec rm -rf {} \;
find . -name "*.jar" -exec rm -rf {} \;
rm -rf build.xml
cp -p %{SOURCE1} build.xml

%build

ant 

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/je-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%{_javadir}/%{name}.jar

%files javadoc
%{_javadocdir}/%{name}
