%define major		2
%define libname		%mklibname jemalloc %{major}
%define develname	%mklibname jemalloc -d

Summary:	General-purpose scalable concurrent malloc implementation
Name:		jemalloc
Version:	5.3.0
Release:	%mkrel 1
Group:		System/Libraries
License:	BSD
URL:		https://jemalloc.net/
Source0:	https://github.com/jemalloc/jemalloc/releases/download/%{version}/jemalloc-%{version}.tar.bz2
BuildRequires:	xsltproc

%description
General-purpose scalable concurrent malloc(3) implementation.
This distribution is the stand-alone "portable" implementation of %{name}.

%package -n	%{libname}
Summary:	General-purpose scalable concurrent malloc implementation
Group:		System/Libraries

%description -n	%{libname}
General-purpose scalable concurrent malloc(3) implementation.
This distribution is the stand-alone "portable" implementation of %{name}.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} >= %{version}-%{release}
Provides:	jemalloc-devel = %{version}-%{release}

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%ifarch %arm
# This test will be disabled properly in next upstream version
# but not trivial to backport
sed -i '/test\/unit\/pages.c/d' Makefile*
%endif

# Fix version in pkgconfig file
sed -i 's/@jemalloc_version@/%{version}/' jemalloc.pc.in

%build
export LC_ALL=C

%configure \
%ifarch %{arm} aarch64
	--disable-thp \
%endif

%make_build

%check
make check

%install
%make_install

# Install this with doc macro instead
rm %{buildroot}%{_datadir}/doc/%{name}/jemalloc.html

# None of these in fedora
find %{buildroot} -name '*.a' -delete

%files -n %{libname}
%doc COPYING README VERSION
%doc doc/jemalloc.html
%{_libdir}/libjemalloc.so.%{major}{,.*}

%files -n %{develname}
%{_bindir}/jemalloc-config
%{_bindir}/jeprof
%{_bindir}/jemalloc.sh
%{_includedir}/jemalloc
%{_libdir}/libjemalloc.so
%{_mandir}/man3/jemalloc.3*
%{_libdir}/pkgconfig/jemalloc.pc
