Name:          jempbox
Version:       0.8.0
Release:       %mkrel 1
Summary:       Apache Jempbox - Java library for XMP
Group:         Development/Java
License:       ASL 2.0
Url:           https://pdfbox.apache.org/
Source0:       https://archive.apache.org/dist/pdfbox/jempbox/source/jempbox-0.8.0-incubating-src.jar
#Source1:       https://repo1.maven.org/maven2/org/apache/pdfbox/jempbox/0.8.0-incubator/jempbox-0.8.0-incubator.pom
#Patch0:        ...
BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: ant-nodeps
BuildRequires: antlr
BuildRequires: apache-commons-beanutils
BuildRequires: apache-commons-logging
BuildRequires: checkstyle
BuildRequires: junit4

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
JempBox is an open source Java library that implements Adobe's XMP(TM)
specification. JempBox is a subproject of Apache PDFBox.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jempbox-%{version}-incubating

for j in $(find . -name "*.jar"); do
  mv $j ${j}.no
done

%build
export CLASSPATH=$(build-classpath ant/ant-nodeps ant/ant-junit)
ant \
  -Dbuild.sysclasspath=first  \
  -Dcheckstyle.jar=$(build-classpath checkstyle) \
  -Dbeanutils.jar=$(build-classpath commons-beanutils-core) \
  -Dlogging.jar=$(build-classpath commons-logging) \
  -Dantlr.jar=$(build-classpath antlr) \
  -Djunit.jar=$(build-classpath junit4) \
  package javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/jempbox-%{version}-incubating.jar \
  %{buildroot}%{_javadir}/%{name}-%{version}.jar

( cd %{buildroot}%{_javadir} ; ln -sf %{name}-%{version}.jar %{name}.jar )

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p  %{buildroot}%{_javadocdir}/%{name}
cp -pr website/build/site/javadoc/* %{buildroot}%{_javadocdir}/%{name}

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt NOTICE.txt README.txt RELEASE-NOTES.txt

%files javadoc
%{_javadocdir}/%{name}
