%global mod_name credentials-plugin
%global short_name credentials
%global plugin_home %{_datadir}/jenkins/webroot/WEB-INF/plugins/

Name:           jenkins-credentials-plugin
Version:        1.27
Release:        %mkrel 1
Group:          Development/Java
Summary:        Jenkins Credentials Plugin

License:        MIT
URL:            https://github.com/jenkinsci/credentials-plugin
Source0:        https://github.com/jenkinsci/%{mod_name}/archive/%{short_name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(org.kohsuke:access-modifier-checker)
BuildRequires:  mvn(org.jenkins-ci.main:jenkins-core)
BuildRequires:  mvn(com.google.code.findbugs:annotations)
BuildRequires:  mvn(com.google.code.findbugs:jsr305)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(net.jcip:jcip-annotations)
BuildRequires:  mvn(org.jenkins-ci.plugins:plugin:pom:)
BuildRequires:  mvn(org.jenkins-ci.tools:maven-hpi-plugin)
BuildRequires:  mvn(org.mockito:mockito-core)
BuildRequires:  zip

BuildArch:      noarch

%description
This package provides Jenkins credentials plugin.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{mod_name}-%{short_name}-%{version}

%pom_change_dep :findbugs-annotations com.google.code.findbugs:annotations
%pom_remove_plugin :findbugs-maven-plugin

%pom_change_dep :jcip-annotations :::provided
%pom_change_dep :annotations :::provided
%pom_change_dep :jsr305 :::provided

%mvn_file ::hpi:: %{name}/%{short_name}

%build
# missing package org.jvnet.hudson.test
%mvn_build -f

%install
install -d -m 755 %{buildroot}/%{plugin_home}
unzip -d target/%{short_name}.hpi-unpacked target/%{short_name}.hpi
pushd target/%{short_name}.hpi-unpacked/WEB-INF/lib/
  rm %{short_name}.jar && ln -s %{_javadir}/%{name}/%{short_name}.jar .
  xmvn-subst -s .
popd
pushd target/%{short_name}.hpi-unpacked/
  zip -y -r %{short_name}.hpi .
popd
mv target/%{short_name}.hpi-unpacked/%{short_name}.hpi target/
cp target/%{short_name}.hpi %{buildroot}/%{plugin_home}/
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%dir %{_mavenpomdir}/%{name}
%{plugin_home}
%doc LICENSE.txt
%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

