%global shortname crypto-util

Name:           jenkins-crypto-util
Version:        1.4
Release:        %mkrel 8
Summary:        Jenkins crypto-util library
Group:          Development/Java

# License is specified in pom file
License:        MIT
URL:            https://github.com/jenkinsci/lib-crypto-util
Source0:        https://github.com/jenkinsci/lib-%{shortname}/archive/%{shortname}-%{version}.tar.gz
# License text copied from http://jenkins-ci.org/mit-license
Source1:        LICENSE.txt
# PKIXTest uses real certificates for testing, which comes with expiration dates
Patch0:         new-certs.patch

BuildRequires:  maven-local
BuildRequires:  mvn(commons-codec:commons-codec)
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(junit:junit)

BuildArch:      noarch

%description
This package provides utility wrapper around Java Crypto API.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package provides the API documentation for %{name}.


%prep
%setup -q -n lib-%{shortname}-%{shortname}-%{version}

%patch -P 0 -p1

cp %{SOURCE1} LICENSE

# Nothing really useful in parent
%pom_remove_parent
%pom_xpath_inject "pom:project" "<groupId>org.jenkins-ci</groupId>"

#(daviddavid) disable test who fails on our autobuild and BS
find . -name "PKIXTest.java" -delete

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE
