%global mod_name pam-auth-plugin
%global short_name pam-auth
%global plugin_home %{_datadir}/jenkins/webroot/WEB-INF/plugins/

Name:           jenkins-%{mod_name}
Version:        1.2
Release:        %mkrel 3
Group:          Development/Java
Summary:        Jenkins PAM Authentication plugin

# License is specified in pom.xml
License:        MIT
URL:            https://github.com/jenkinsci/pam-auth-plugin
Source0:        https://github.com/jenkinsci/%{mod_name}/archive/%{short_name}-%{version}.tar.gz
# Text copied from https://www.opensource.org/licenses/mit-license.php
Source1:        LICENSE.txt
Patch0:         migrate-to-jnr-posix.patch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:  mvn(org.jenkins-ci.plugins:plugin:pom:)
BuildRequires:  mvn(org.kohsuke:access-modifier-checker)
BuildRequires:  mvn(org.jenkins-ci.main:jenkins-core)
BuildRequires:  mvn(org.kohsuke:libpam4j)

BuildRequires:  zip

Requires:       jenkins-webapp >= 1.581-3

BuildArch:      noarch

%description
This package adds Unix Pluggable Authentication Module (PAM) support to
Jenkins.


%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for 
%{name}.

%prep
%setup -q -n %{mod_name}-%{short_name}-%{version}

%patch -P 0 -p1

%pom_remove_plugin :animal-sniffer-maven-plugin

cp %{SOURCE1} .
%mvn_file ::hpi:: %{name}/%{short_name}

%build
# missing artifact for tests: "org.jenkins-ci.main:jenkins-test-harness"
%mvn_build -f

%install
install -d -m 755 %{buildroot}/%{plugin_home}
unzip -d target/%{short_name}.hpi-unpacked target/%{short_name}.hpi
pushd target/%{short_name}.hpi-unpacked/WEB-INF/lib/
  rm %{short_name}.jar && ln -s %{_javadir}/%{name}/%{short_name}.jar .
  xmvn-subst -s .
popd
pushd target/%{short_name}.hpi-unpacked/
  zip -y -r %{short_name}.hpi .
popd
mv target/%{short_name}.hpi-unpacked/%{short_name}.hpi target/
cp target/%{short_name}.hpi %{buildroot}/%{plugin_home}/
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%dir %{_mavenpomdir}/%{name}
%{plugin_home}
%doc LICENSE.txt
%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

