%global shortname remoting
%global webinfdir %{_datadir}/jenkins/webroot/WEB-INF

Name:           jenkins-remoting
Version:        2.62.3
Release:        %mkrel 2
Group:          Development/Java
Summary:        Jenkins remoting module

# License is specified in pom file
# The project is under MIT license, but 2 contributed classes
# (FastPipedOutputStream, FastPipedInputStream) are under ASL 2.0
License:        MIT and ASL 2.0
URL:            https://github.com/jenkinsci/remoting
Source0:        https://github.com/jenkinsci/remoting/archive/remoting-%{version}.tar.gz
# License text copied from https://www.opensource.org/licenses/mit-license.php
Source1:        https://www.apache.org/licenses/LICENSE-2.0.txt
Source2:        LICENSE-MIT
# TODO possibly upstreamable, need testing
Patch1:         0001-Use-base64-implementation-from-JDK.patch
Patch2:         0002-No-Sniffing.patch

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(args4j:args4j)
BuildRequires:  mvn(asm:asm-all)
BuildRequires:  mvn(com.google.code.findbugs:jsr305)
BuildRequires:  mvn(com.google.guava:guava)
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.ant:ant)
BuildRequires:  mvn(org.apache.maven.plugins:maven-dependency-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:  mvn(org.jacoco:jacoco-maven-plugin)
BuildRequires:  mvn(org.jenkins-ci:constant-pool-scanner)
BuildRequires:  mvn(com.google.code.findbugs:annotations)
# missing test deps:
#BuildRequires:  mvn(org.codehaus.mojo:findbugs-maven-plugin)
#BuildRequires:  mvn(org.jvnet.hudson:test-annotations)

%description
This package is primarily used by Jenkins for slave node management,
but it could be potentially reused outside of this project.

%package        webapp
Summary:        Remoting module for Jenkins webapp
Requires:       jenkins-webapp

%description    webapp
This package is primarily used by Jenkins for slave node management,
but it could be potentially reused outside of this project.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{shortname}-%{shortname}-%{version}

cp %{SOURCE1} LICENSE-ASL
cp %{SOURCE2} .

%patch -P 1 -p1
%patch -P 2 -p1

# Nothing really interesting in parent
%pom_remove_parent

# missing dep org.jenkins-ci:remoting-test-client
%pom_xpath_remove "pom:plugin[pom:artifactId[text()='maven-dependency-plugin']]/pom:executions/pom:execution[pom:id[text()='resgen']]"

# We don't have or don't need following plugins
%pom_remove_plugin :maven-jarsigner-plugin
%pom_remove_plugin :build-helper-maven-plugin
%pom_remove_plugin :animal-sniffer-maven-plugin

# Not really used in source files
%pom_remove_dep :animal-sniffer-annotation

#%%pom_change_dep :findbugs-annotations com.google.code.findbugs:annotations

# Replace bundled class from commons-io with proper dependency
%pom_xpath_replace "pom:dependency[pom:artifactId[text()='commons-io']]/pom:scope" \
  "<scope>compile</scope>"

%build
# Disabled tests because of missing org.jvnet.hudson:test-annotations
%mvn_build -f

%install
%mvn_install

install -d -m 755 %{buildroot}/%{webinfdir}

cp %{buildroot}/%{_javadir}/%{name}/%{shortname}.jar %{buildroot}/%{webinfdir}/remoting.jar
cp %{buildroot}/%{_javadir}/%{name}/%{shortname}.jar %{buildroot}/%{webinfdir}/slave.jar

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE-MIT LICENSE-ASL
%files webapp
%{webinfdir}/remoting.jar
%{webinfdir}/slave.jar
%doc LICENSE-MIT LICENSE-ASL
%files javadoc -f .mfiles-javadoc
%doc LICENSE-MIT LICENSE-ASL


