%global short_name task-reactor

Name:           jenkins-task-reactor
Version:        1.4
Release:        %mkrel 6
Summary:        Jenkins task-reactor library 
Group:          Development/Java
# License is specified in pom file
License:        MIT
URL:            https://github.com/jenkinsci/lib-task-reactor
Source0:        https://github.com/jenkinsci/lib-%{short_name}/archive/%{short_name}-%{version}.tar.gz
# License text copied from http://jenkins-ci.org/mit-license
Source1:        LICENSE.txt

BuildRequires:  maven-local

BuildArch:      noarch

%description
This Java library provides generic task execution
and control framework which is used extensively within
the Jenkins CI toolset. 

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n lib-%{short_name}-%{short_name}-%{version}

cp %{SOURCE1} LICENSE

# Nothing really interesting in parent
%pom_remove_parent
%pom_xpath_inject "pom:project" "<groupId>org.jenkins-ci</groupId>"

%build
# test are disabled because of missing dep org.objectweb.carol:cmi
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE
%files javadoc -f .mfiles-javadoc
%doc LICENSE

