%global short_name version-number

Name:           jenkins-version-number
Version:        1.1
Release:        %mkrel 8
Summary:        Version number manipulation library for Java
Group:          Development/Java

# Main class has been rewritten by Apache guys, rest of the project is under MIT
# ASL 2.0: VersionNumber.java
# MIT: VersionNumberTest.java
License:        ASL 2.0 and MIT
URL:            https://github.com/jenkinsci/lib-version-number
Source0:        https://github.com/jenkinsci/lib-%{short_name}/archive/%{short_name}-%{version}.tar.gz
Source1:        https://www.apache.org/licenses/LICENSE-2.0.txt
# License text copied from http://jenkins-ci.org/mit-license (link specified in pom file)
Source2:        LICENSE-MIT


BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)

BuildArch:      noarch

%description
This package contains small Java library which can be used
for manipulating version numbers in various Jenkins modules.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n lib-%{short_name}-%{short_name}-%{version}

# Nothing really interesting in parent
%pom_remove_parent
%pom_xpath_inject "pom:project" "<groupId>org.jenkins-ci</groupId>"

cp %{SOURCE1} LICENSE-ASL
cp %{SOURCE2} .

%build
%mvn_build -- -Dproject.build.sourceEncoding=ISO-8859-1

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE-ASL LICENSE-MIT
%files javadoc -f .mfiles-javadoc
%doc LICENSE-ASL LICENSE-MIT

