%global namedreltag .v20101205 
%global namedversion %{version}%{?namedreltag}
%define with_test 0
Name:          jetty7
Version:       7.2.2
Release:       %mkrel 1
Summary:       Jetty 7 Web Server
Group:         Development/Java
License:       ASL 2.0, EPL 1.0
Url:           https://www.eclipse.org/jetty/
# svn export http://dev.eclipse.org/svnroot/rt/org.eclipse.jetty/jetty/tags/jetty-7.2.2.v20101205/ 
Source0:       jetty-7.2.2.v20101205-src-svn.tar.gz
Source1:       jetty7-7.2.2.v20101205-depmap

Source2:       https://repo1.maven.org/maven2/org/eclipse/jetty/jetty-parent/16/jetty-parent-16.pom
# org.eclipse 
#           osgi 3.5.0.v20090520
Source3:       https://repo1.maven.org/maven2/org/eclipse/osgi/3.5.0.v20090520/osgi-3.5.0.v20090520.jar
# org.eclipse 
#           services 3.1.200-v20070605
Source4:       https://repo1.maven.org/maven2/org/eclipse/osgi/services/3.1.200-v20070605/services-3.1.200-v20070605.jar
# org.eclipse.equinox.http
#           servlet 1.0.0-v20070606
Source5:       https://repo1.maven.org/maven2/org/eclipse/equinox/http/servlet/1.0.0-v20070606/servlet-1.0.0-v20070606.jar

Patch0:        jetty7-7.2.2.v20101205-webapp-pom.patch
Patch1:        jetty7-7.2.2.v20101205-jmx-pom.patch
Patch2:        jetty7-7.2.2.v20101205-deploy-pom.patch
Patch3:        jetty7-7.2.2.v20101205-ajp-pom.patch
Patch4:        jetty7-7.2.2.v20101205-plus-pom.patch
Patch5:        jetty7-7.2.2.v20101205-rewrite-pom.patch
Patch6:        jetty7-7.2.2.v20101205-test-jetty-webapp-pom.patch

Patch7:        jetty7-7.2.2.v20101205-aggregate-all-bootstrap-pom.patch
Patch8:        jetty7-7.2.2.v20101205-aggregate-all-server-bootstrap-pom.patch
Patch9:        jetty7-7.2.2.v20101205-osgi-bootstrap-pom.patch
Patch10:       jetty7-7.2.2.v20101205-osgi-boot-jsp-bootstrap.patch
Patch11:       jetty7-7.2.2.v20101205-bootstrap-pom.patch
Patch12:       jetty7-7.2.2.v20101205-test-continuation-jetty6-pom.patch

BuildRequires: jpackage-utils
BuildRequires: java-devel
BuildRequires: jetty-parent

BuildRequires: ant
BuildRequires: derby
BuildRequires: ecj3
BuildRequires: eclipse-platform >= 3.7.1-4
BuildRequires: eclipse-rcp
BuildRequires: eclipse-equinox-osgi
BuildRequires: findbugs-maven-plugin
BuildRequires: geronimo-annotation-1.0-api
#BuildRequires: geronimo-jaspic-1.0-api
BuildRequires: geronimo-jta
BuildRequires: glassfish-jaf
BuildRequires: javamail
BuildRequires: jetty
BuildRequires: jetty-artifact-remote-resources
BuildRequires: jetty-assembly-descriptors
BuildRequires: jetty-build-support
BuildRequires: jetty-jsp-2.1
BuildRequires: jetty-servlet-3.0-api
#BuildRequires: jetty-test-policy
BuildRequires: jetty-toolchain

BuildRequires: junit
BuildRequires: junit4
BuildRequires: logback

BuildRequires: maven
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-dependency-plugin
BuildRequires: maven-eclipse-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-build-helper
BuildRequires: maven-plugin-bundle
BuildRequires: maven-plugin-jxr
BuildRequires: maven-plugin-tools-api
BuildRequires: maven-pmd-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-remote-resources-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-shared-osgi

BuildRequires: mojo-parent
BuildRequires: objectweb-asm
BuildRequires: servlet25
BuildRequires: slf4j


Requires:      jetty
Requires:      jetty-jsp-2.1
Requires:      jetty-servlet-3.0-api
Requires:      logback 

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
The Jetty Web Server provides a HTTP server and Servlet
container capable of serving static and dynamic content
either from a standalone or embedded instantiations. From
jetty-7, the jetty webserver and other core components are
hosted by the Eclipse Foundation.
The project provides:
* Asynchronous HTTP Server
* Standards-based Servlet Container
* Web Sockets server
* Asynchronous HTTP Client
* OSGi, JNDI, JMX, JASPI, AJP support

%package javadoc
Summary:       Javadoc for %{name}
Group:         Development/Java
Requires:      %{name} = %{version}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jetty-%{namedversion}

chmod -R go=u-w * 
%patch -P 0 -p0
%patch -P 1 -p0
%patch -P 2 -p0
%patch -P 3 -p0
%patch -P 4 -p0
%patch -P 5 -p0
%patch -P 6 -p0
%patch -P 7 -p0
%patch -P 8 -p0
%patch -P 9 -p0
%patch -P 10 -p0
%patch -P 11 -p0
%patch -P 12 -p0

cp jetty-util/src/main/assembly/config.xml jetty-util
cp jetty-server/src/main/assembly/site-component.xml jetty-server/config.xml 

%build

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

#mkdir -p $MAVEN_REPO_LOCAL/org/eclipse/osgi/3.5.0.v20090520
#cp %{SOURCE3} $MAVEN_REPO_LOCAL/org/eclipse/osgi/3.5.0.v20090520/osgi-3.5.0.v20090520.jar
#ln -sf /usr/lib/eclipse/plugins/org.eclipse.osgi_3.7.0.v20110613.jar $MAVEN_REPO_LOCAL/org/eclipse/osgi/3.5.0.v20090520/osgi-3.5.0.v20090520.jar
#mkdir -p $MAVEN_REPO_LOCAL/org/eclipse/osgi/services/3.1.200-v20070605
#cp %{SOURCE4} $MAVEN_REPO_LOCAL/org/eclipse/osgi/services/3.1.200-v20070605/services-3.1.200-v20070605.jar
#ln -sf /usr/lib/eclipse/plugins/org.eclipse.osgi.services_3.3.0.v20110513.jar $MAVEN_REPO_LOCAL/org/eclipse/osgi/services/3.1.200-v20070605/services-3.1.200-v20070605.jar

#mkdir -p $MAVEN_REPO_LOCAL/org/eclipse/equinox/http/servlet/1.0.0-v20070606
#cp %{SOURCE5} $MAVEN_REPO_LOCAL/org/eclipse/equinox/http/servlet/1.0.0-v20070606/servlet-1.0.0-v20070606.jar
#ln -sf /usr/lib/eclipse/plugins/org.eclipse.equinox.http.servlet_1.1.200.v20110502.jar $MAVEN_REPO_LOCAL/org/eclipse/equinox/http/servlet/1.0.0-v20070606/servlet-1.0.0-v20070606.jar

mvn-rpmbuild \
  -e \
  -Dmaven.local.depmap.file=%{SOURCE1} \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
%if %with_test
  -Dmaven.test.failure.ignore=true \
%else
  -Dmaven.test.skip=true \
%endif
  install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

install -m 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-jetty-project.pom

install -m 644 example-jetty-embedded/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-example-jetty-embedded.pom
install -m 644 example-jetty-embedded/target/example-jetty-embedded-%{namedversion}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/example-jetty-embedded-%{version}.jar


pushd jetty-aggregate
  install -m 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-jetty-aggregate-project.pom
  install -m 644 jetty-all/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-jetty-all.pom
  install -m 644 jetty-all/target/jetty-all-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-all-%{version}.jar
  install -m 644 jetty-all-server/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-jetty-all-server.pom
  install -m 644 jetty-all-server/target/jetty-all-server-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-all-server-%{version}.jar
popd

install -m 644 jetty-ajp/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-jetty-ajp.pom
install -m 644 jetty-ajp/target/jetty-ajp-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-ajp-%{version}.jar

install -m 644 jetty-annotations/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-jetty-annotations.pom
install -m 644 jetty-annotations/target/jetty-annotations-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-annotations-%{version}.jar

install -m 644 jetty-client/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-jetty-client.pom
install -m 644 jetty-client/target/jetty-client-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-client-%{version}.jar

install -m 644 jetty-continuation/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-jetty-continuation.pom
install -m 644 jetty-continuation/target/jetty-continuation-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-continuation-%{version}.jar
%if %with_test
install -m 644 jetty-continuation/target/jetty-continuation-%{namedversion}-tests.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-continuation-tests-%{version}.jar
%endif
install -m 644 jetty-deploy/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-jetty-deploy.pom
install -m 644 jetty-deploy/target/jetty-deploy-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-deploy-%{version}.jar

install -m 644 jetty-http/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-jetty-http.pom
install -m 644 jetty-http/target/jetty-http-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-http-%{version}.jar
%if %with_test
install -m 644 jetty-http/target/jetty-http-%{namedversion}-tests.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-http-tests-%{version}.jar
%endif
install -m 644 jetty-io/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-jetty-io.pom
install -m 644 jetty-io/target/jetty-io-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-io-%{version}.jar

install -m 644 jetty-jmx/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-jetty-jmx.pom
install -m 644 jetty-jmx/target/jetty-jmx-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-jmx-%{version}.jar

install -m 644 jetty-jndi/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-jetty-jndi.pom
install -m 644 jetty-jndi/target/jetty-jndi-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-jndi-%{version}.jar

install -m 644 jetty-jsp-2.1/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-jetty-jsp-2.1.pom
install -m 644 jetty-jsp-2.1/target/jetty-jsp-2.1-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-jsp-2.1-%{version}.jar

pushd jetty-osgi
  install -m 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-jetty-osgi-project.pom

  install -m 644 jetty-osgi-boot/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-jetty-osgi-boot.pom
  install -m 644 jetty-osgi-boot/target/jetty-osgi-boot-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-osgi-boot-%{version}.jar
%if %with_test
  install -m 644 jetty-osgi-boot/target/jetty-osgi-boot-%{namedversion}-tests.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-osgi-boot-tests-%{version}.jar
%endif
  install -m 644 jetty-osgi-boot-jsp/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-jetty-osgi-boot-jsp.pom
  install -m 644 jetty-osgi-boot-jsp/target/jetty-osgi-boot-jsp-%{namedversion}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-osgi-boot-jsp-%{version}.jar
%if %with_test
  install -m 644 jetty-osgi-boot-jsp/target/jetty-osgi-boot-jsp-%{namedversion}-tests.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-osgi-boot-jsp-tests-%{version}.jar
%endif
  install -m 644 jetty-osgi-boot-logback/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-jetty-osgi-boot-logback.pom
  install -m 644 jetty-osgi-boot-logback/target/jetty-osgi-boot-logback-%{namedversion}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-osgi-boot-logback-%{version}.jar
%if %with_test
  install -m 644 jetty-osgi-boot-logback/target/jetty-osgi-boot-logback-%{namedversion}-tests.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-osgi-boot-logback-tests-%{version}.jar
%endif
  install -m 644 jetty-osgi-boot-warurl/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-jetty-osgi-boot-warurl.pom
  install -m 644 jetty-osgi-boot-warurl/target/jetty-osgi-boot-warurl-%{namedversion}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-osgi-boot-warurl-%{version}.jar
%if %with_test
  install -m 644 jetty-osgi-boot-warurl/target/jetty-osgi-boot-warurl-%{namedversion}-tests.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-osgi-boot-warurl-tests-%{version}.jar
%endif
  install -m 644 jetty-osgi-httpservice/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-jetty-httpservice.pom
  install -m 644 jetty-osgi-httpservice/target/jetty-httpservice-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-httpservice-%{version}.jar
%if %with_test
  install -m 644 jetty-osgi-httpservice/target/jetty-httpservice-%{namedversion}-tests.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-httpservice-tests-%{version}.jar
%endif
popd

install -m 644 jetty-plus/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-jetty-plus.pom
install -m 644 jetty-plus/target/jetty-plus-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-plus-%{version}.jar

install -m 644 jetty-rewrite/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-jetty-rewrite.pom
install -m 644 jetty-rewrite/target/jetty-rewrite-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-rewrite-%{version}.jar

install -m 644 jetty-security/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-jetty-security.pom
install -m 644 jetty-security/target/jetty-security-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-security-%{version}.jar

install -m 644 jetty-server/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-jetty-server.pom
install -m 644 jetty-server/target/jetty-server-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-server-%{version}.jar
install -m 644 jetty-server/target/jetty-server-%{namedversion}-site-component.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-server-site-component-%{version}.jar
%if %with_test
install -m 644 jetty-server/target/jetty-server-%{namedversion}-tests.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-server-tests-%{version}.jar
%endif
install -m 644 jetty-servlet/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-jetty-servlet.pom
install -m 644 jetty-servlet/target/jetty-servlet-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-servlet-%{version}.jar
%if %with_test
install -m 644 jetty-servlet/target/jetty-servlet-%{namedversion}-tests.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-servlet-tests-%{version}.jar
%endif
install -m 644 jetty-servlets/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-jetty-servlets.pom
install -m 644 jetty-servlets/target/jetty-servlets-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-servlets-%{version}.jar

install -m 644 jetty-start/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-jetty-start.pom
install -m 644 jetty-start/target/jetty-start-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-start-%{version}.jar

install -m 644 jetty-util/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-jetty-util.pom
install -m 644 jetty-util/target/jetty-util-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-util-%{version}.jar
install -m 644 jetty-util/target/jetty-util-%{namedversion}-config.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-util-config-%{version}.jar

install -m 644 jetty-webapp/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-jetty-webapp.pom
install -m 644 jetty-webapp/target/jetty-webapp-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-webapp-%{version}.jar

install -m 644 jetty-websocket/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-jetty-websocket.pom
install -m 644 jetty-websocket/target/jetty-websocket-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-websocket-%{version}.jar
%if %with_test
install -m 644 jetty-websocket/target/jetty-websocket-%{namedversion}-tests.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-websocket-tests-%{version}.jar
%endif
install -m 644 jetty-xml/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-jetty-xml.pom
install -m 644 jetty-xml/target/jetty-xml-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-xml-%{version}.jar


(
  cd %{buildroot}%{_javadir}/%{name}
  for jar in *-%{version}*; do 
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

%add_maven_depmap JPP.%{name}-jetty-project.pom
%add_maven_depmap JPP.%{name}-jetty-aggregate-project.pom
%add_maven_depmap JPP.%{name}-jetty-all.pom %{name}/jetty-all.jar
%add_maven_depmap JPP.%{name}-jetty-all-server.pom %{name}/jetty-all-server.jar
%add_maven_depmap JPP.%{name}-jetty-ajp.pom %{name}/jetty-ajp.jar
%add_maven_depmap JPP.%{name}-jetty-annotations.pom %{name}/jetty-annotations.jar
%add_maven_depmap JPP.%{name}-jetty-client.pom %{name}/jetty-client.jar
%add_maven_depmap JPP.%{name}-jetty-continuation.pom %{name}/jetty-continuation.jar
%add_maven_depmap JPP.%{name}-jetty-deploy.pom %{name}/jetty-deploy.jar
%add_maven_depmap JPP.%{name}-jetty-http.pom %{name}/jetty-http.jar
%add_maven_depmap JPP.%{name}-jetty-io.pom %{name}/jetty-io.jar
%add_maven_depmap JPP.%{name}-jetty-jmx.pom %{name}/jetty-jmx.jar
%add_maven_depmap JPP.%{name}-jetty-jndi.pom %{name}/jetty-jndi.jar
%add_maven_depmap JPP.%{name}-jetty-jsp-2.1.pom %{name}/jetty-jsp-2.1.jar
%add_maven_depmap JPP.%{name}-jetty-osgi-project.pom
%add_maven_depmap JPP.%{name}-jetty-osgi-boot.pom %{name}/jetty-osgi-boot.jar
%add_maven_depmap JPP.%{name}-jetty-osgi-boot-jsp.pom %{name}/jetty-osgi-boot-jsp.jar
%add_maven_depmap JPP.%{name}-jetty-osgi-boot-logback.pom %{name}/jetty-osgi-boot-logback.jar
%add_maven_depmap JPP.%{name}-jetty-osgi-boot-warurl.pom %{name}/jetty-osgi-boot-warurl.jar
%add_maven_depmap JPP.%{name}-jetty-httpservice.pom %{name}/jetty-httpservice.jar
%add_maven_depmap JPP.%{name}-jetty-plus.pom %{name}/jetty-plus.jar
%add_maven_depmap JPP.%{name}-jetty-rewrite.pom %{name}/jetty-rewrite.jar
%add_maven_depmap JPP.%{name}-jetty-security.pom %{name}/jetty-security.jar
%add_maven_depmap JPP.%{name}-jetty-server.pom %{name}/jetty-server.jar
%add_maven_depmap JPP.%{name}-jetty-servlet.pom %{name}/jetty-servlet.jar
%add_maven_depmap JPP.%{name}-jetty-servlets.pom %{name}/jetty-servlets.jar
%add_maven_depmap JPP.%{name}-jetty-start.pom %{name}/jetty-start.jar
%add_maven_depmap JPP.%{name}-jetty-util.pom %{name}/jetty-util.jar
%add_maven_depmap JPP.%{name}-jetty-webapp.pom %{name}/jetty-webapp.jar
%add_maven_depmap JPP.%{name}-jetty-websocket.pom %{name}/jetty-websocket.jar
%add_maven_depmap JPP.%{name}-jetty-xml.pom %{name}/jetty-xml.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/jetty-ajp-%{version}.jar
%{_javadir}/%{name}/jetty-ajp.jar
%{_javadir}/%{name}/jetty-all-%{version}.jar
%{_javadir}/%{name}/jetty-all-server-%{version}.jar
%{_javadir}/%{name}/jetty-all-server.jar
%{_javadir}/%{name}/jetty-all.jar
%{_javadir}/%{name}/jetty-annotations-%{version}.jar
%{_javadir}/%{name}/jetty-annotations.jar
%{_javadir}/%{name}/jetty-client-%{version}.jar
%{_javadir}/%{name}/jetty-client.jar
%{_javadir}/%{name}/jetty-continuation-%{version}.jar
%{_javadir}/%{name}/jetty-continuation.jar
%{_javadir}/%{name}/jetty-deploy-%{version}.jar
%{_javadir}/%{name}/jetty-deploy.jar
%{_javadir}/%{name}/jetty-http-%{version}.jar
%{_javadir}/%{name}/jetty-http.jar
%{_javadir}/%{name}/jetty-httpservice-%{version}.jar
%{_javadir}/%{name}/jetty-httpservice.jar
%{_javadir}/%{name}/jetty-io-%{version}.jar
%{_javadir}/%{name}/jetty-io.jar
%{_javadir}/%{name}/jetty-jmx-%{version}.jar
%{_javadir}/%{name}/jetty-jmx.jar
%{_javadir}/%{name}/jetty-jndi-%{version}.jar
%{_javadir}/%{name}/jetty-jndi.jar
%{_javadir}/%{name}/jetty-jsp-2.1-%{version}.jar
%{_javadir}/%{name}/jetty-jsp-2.1.jar
%{_javadir}/%{name}/jetty-osgi-boot-%{version}.jar
%{_javadir}/%{name}/jetty-osgi-boot-jsp-%{version}.jar
%{_javadir}/%{name}/jetty-osgi-boot-jsp.jar
%{_javadir}/%{name}/jetty-osgi-boot-logback-%{version}.jar
%{_javadir}/%{name}/jetty-osgi-boot-logback.jar
%{_javadir}/%{name}/jetty-osgi-boot-warurl-%{version}.jar
%{_javadir}/%{name}/jetty-osgi-boot-warurl.jar
%{_javadir}/%{name}/jetty-osgi-boot.jar
%{_javadir}/%{name}/jetty-plus-%{version}.jar
%{_javadir}/%{name}/jetty-plus.jar
%{_javadir}/%{name}/jetty-rewrite-%{version}.jar
%{_javadir}/%{name}/jetty-rewrite.jar
%{_javadir}/%{name}/jetty-security-%{version}.jar
%{_javadir}/%{name}/jetty-security.jar
%{_javadir}/%{name}/jetty-server-%{version}.jar
%{_javadir}/%{name}/jetty-server.jar
%{_javadir}/%{name}/jetty-server-site-component-%{version}.jar
%{_javadir}/%{name}/jetty-server-site-component.jar
%{_javadir}/%{name}/jetty-servlet-%{version}.jar
%{_javadir}/%{name}/jetty-servlet.jar
%{_javadir}/%{name}/jetty-servlets-%{version}.jar
%{_javadir}/%{name}/jetty-servlets.jar
%{_javadir}/%{name}/jetty-start-%{version}.jar
%{_javadir}/%{name}/jetty-start.jar
%{_javadir}/%{name}/jetty-util-%{version}.jar
%{_javadir}/%{name}/jetty-util-config-%{version}.jar
%{_javadir}/%{name}/jetty-util-config.jar
%{_javadir}/%{name}/jetty-util.jar
%{_javadir}/%{name}/jetty-webapp-%{version}.jar
%{_javadir}/%{name}/jetty-webapp.jar
%{_javadir}/%{name}/jetty-websocket-%{version}.jar
%{_javadir}/%{name}/jetty-websocket.jar
%{_javadir}/%{name}/jetty-xml-%{version}.jar
%{_javadir}/%{name}/jetty-xml.jar
%{_javadir}/%{name}/example-jetty-embedded-%{version}.jar
%{_javadir}/%{name}/example-jetty-embedded.jar
%if %with_test
%{_javadir}/%{name}/jetty-continuation-tests-%{version}.jar
%{_javadir}/%{name}/jetty-continuation-tests.jar
%{_javadir}/%{name}/jetty-http-tests-%{version}.jar
%{_javadir}/%{name}/jetty-http-tests.jar
%{_javadir}/%{name}/jetty-httpservice-tests-%{version}.jar
%{_javadir}/%{name}/jetty-httpservice-tests.jar
%{_javadir}/%{name}/jetty-osgi-boot-jsp-tests-%{version}.jar
%{_javadir}/%{name}/jetty-osgi-boot-jsp-tests.jar
%{_javadir}/%{name}/jetty-osgi-boot-logback-tests-%{version}.jar
%{_javadir}/%{name}/jetty-osgi-boot-logback-tests.jar
%{_javadir}/%{name}/jetty-osgi-boot-tests-%{version}.jar
%{_javadir}/%{name}/jetty-osgi-boot-tests.jar
%{_javadir}/%{name}/jetty-osgi-boot-warurl-tests-%{version}.jar
%{_javadir}/%{name}/jetty-osgi-boot-warurl-tests.jar
%{_javadir}/%{name}/jetty-server-tests-%{version}.jar
%{_javadir}/%{name}/jetty-server-tests.jar
%{_javadir}/%{name}/jetty-servlet-tests-%{version}.jar
%{_javadir}/%{name}/jetty-servlet-tests.jar
%{_javadir}/%{name}/jetty-websocket-tests-%{version}.jar
%{_javadir}/%{name}/jetty-websocket-tests.jar
%endif
%{_mavendepmapfragdir}/%{name}
%{_mavenpomdir}/JPP.%{name}-example-jetty-embedded.pom
%{_mavenpomdir}/JPP.%{name}-jetty-aggregate-project.pom
%{_mavenpomdir}/JPP.%{name}-jetty-ajp.pom
%{_mavenpomdir}/JPP.%{name}-jetty-all-server.pom
%{_mavenpomdir}/JPP.%{name}-jetty-all.pom
%{_mavenpomdir}/JPP.%{name}-jetty-annotations.pom
%{_mavenpomdir}/JPP.%{name}-jetty-client.pom
%{_mavenpomdir}/JPP.%{name}-jetty-continuation.pom
%{_mavenpomdir}/JPP.%{name}-jetty-deploy.pom
%{_mavenpomdir}/JPP.%{name}-jetty-http.pom
%{_mavenpomdir}/JPP.%{name}-jetty-httpservice.pom
%{_mavenpomdir}/JPP.%{name}-jetty-io.pom
%{_mavenpomdir}/JPP.%{name}-jetty-jmx.pom
%{_mavenpomdir}/JPP.%{name}-jetty-jndi.pom
%{_mavenpomdir}/JPP.%{name}-jetty-jsp-2.1.pom
%{_mavenpomdir}/JPP.%{name}-jetty-osgi-boot-jsp.pom
%{_mavenpomdir}/JPP.%{name}-jetty-osgi-boot-logback.pom
%{_mavenpomdir}/JPP.%{name}-jetty-osgi-boot-warurl.pom
%{_mavenpomdir}/JPP.%{name}-jetty-osgi-boot.pom
%{_mavenpomdir}/JPP.%{name}-jetty-osgi-project.pom
%{_mavenpomdir}/JPP.%{name}-jetty-plus.pom
%{_mavenpomdir}/JPP.%{name}-jetty-project.pom
%{_mavenpomdir}/JPP.%{name}-jetty-rewrite.pom
%{_mavenpomdir}/JPP.%{name}-jetty-security.pom
%{_mavenpomdir}/JPP.%{name}-jetty-server.pom
%{_mavenpomdir}/JPP.%{name}-jetty-servlet.pom
%{_mavenpomdir}/JPP.%{name}-jetty-servlets.pom
%{_mavenpomdir}/JPP.%{name}-jetty-start.pom
%{_mavenpomdir}/JPP.%{name}-jetty-util.pom
%{_mavenpomdir}/JPP.%{name}-jetty-webapp.pom
%{_mavenpomdir}/JPP.%{name}-jetty-websocket.pom
%{_mavenpomdir}/JPP.%{name}-jetty-xml.pom
%doc BUILDING.txt LICENSE-APACHE-2.0.txt LICENSE-ECLIPSE-1.0.html NOTICE.txt README.txt

%files javadoc
%doc %{_javadocdir}/%{name}
