Name:          jfunutil
Version:       0.2.3
Release:       %mkrel 3
Summary:       Java functional programming utilities
Group:         Development/Java
License:       GPL
Url:           https://sourceforge.net/projects/jfunctional/
# cvs -d:pserver:anonymous@jfunctional.cvs.sourceforge.net:/cvsroot/jfunctional login
# cvs -z3 -d:pserver:anonymous@jfunctional.cvs.sourceforge.net:/cvsroot/jfunctional export -r HEAD jfun/src
Source0:       jfunutil-0.2.3-src-cvs.tar.gz
Source1:       jfunutil-0.2.3-build.xml
Source2:       jfunutil-0.2.3.pom
Source3:       jfunutil-0.2.3-LICENSE.txt
BuildRequires: ant
BuildRequires: java-devel
BuildRequires: jpackage-utils
Requires:      jpackage-utils
BuildArch:     noarch

%description
Provides utility classes that can be reused by the entire
java functional library.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
Jfunutil, Java functional programming utilities.

This package contains javadoc for %{name}.

%prep
%setup -q -n jfunutil

cp %{SOURCE1} jfun/build.xml
cp %{SOURCE3} LICENSE.txt

%build

cd jfun
ant buildlib util.doc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}/
mkdir -p %{buildroot}%{_mavenpomdir}

install -pm 644 jfun/bin/jfunutil.jar \
  %{buildroot}%{_javadir}/jfunutil-%{version}.jar

%add_to_maven_depmap jparsec jfunutil %{version} JPP jfunutil
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-jfunutil.pom

(
  cd %{buildroot}%{_javadir}/
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/jfunutil-%{version}
cp -pr jfun/docs/util/api/* %{buildroot}%{_javadocdir}/jfunutil-%{version}
ln -sf jfunutil-%{version} %{buildroot}%{_javadocdir}/jfunutil

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/jfunutil-%{version}.jar
%{_javadir}/jfunutil.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt

%files javadoc
%{_javadocdir}/jfunutil-%{version}
%{_javadocdir}/jfunutil

