Name:    jnr-netdb
Version: 1.1.6
Release: %mkrel 6
Group:   Development/Java
Summary: Network services database access for java
License: ASL 2.0
URL:     https://github.com/jnr/%{name}/
Source0: https://github.com/jnr/%{name}/archive/%{name}-%{version}.tar.gz
BuildArch: noarch

BuildRequires:  maven-local
BuildRequires:  mvn(com.github.jnr:jnr-ffi)
BuildRequires:  mvn(junit:junit)

%description
jnr-netdb is a java interface to getservbyname(3), getservbyport(3).

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

find ./ -name '*.jar' -exec rm -f '{}' \; 
find ./ -name '*.class' -exec rm -f '{}' \; 

# remove unnecessary dependency on parent POM
%pom_remove_parent

# Fix javadoc generation on java 11
%pom_xpath_inject pom:project "<build><plugins><plugin>
<artifactId>maven-javadoc-plugin</artifactId>
<configuration>
<source>1.6</source>
<detectJavaApiLink>false</detectJavaApiLink>
</configuration>
</plugin></plugins></build>"


%build
%mvn_build -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8

%install
%mvn_install

%files  -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE


