%define Werror_cflags %nil

Summary:	An easy to use text editor, supporting syntax highlight and UTF-8
Name:		joe
Version:	4.6
Release:	%mkrel 6
License:	GPLv2+
Group:		Editors
Url:		https://joe-editor.sourceforge.net/
Source:		https://downloads.sourceforge.net/project/joe-editor/JOE%20sources/%{name}-%{version}/%{name}-%{version}.tar.gz
# RPM SPEC mode, originally from Suse's joe
Source1:	spec.jsf
Patch1:		joe-3.7-term.patch

BuildRequires:	pkgconfig(ncurses)

%description
Joe is an easy to use, modeless text editor which would be very
appropriate for novices.  Joe uses the same WordStar keybindings used
in Borland's development environment.

You should install joe if you've used it before and you liked it, or
if you're still deciding what text editor you'd like to use, or if you
have a fondness for WordStar.  If you're just starting out, you should
probably install joe because it is very easy to use.

%prep
%setup -q
%patch -P 1 -p1 -b .TERM

# file-not-utf8
iconv -f koi8-r -t utf-8 ./man/ru/joe.1.in >./man/ru/joe.1.in.aux
touch -r ./man/ru/joe.1.in ./man/ru/joe.1.in.aux
mv ./man/ru/joe.1.in.aux ./man/ru/joe.1.in
iconv -f ISO_8859-1 -t UTF-8 ChangeLog > ChangeLog.tmp
touch -r ChangeLog ChangeLog.tmp
mv ChangeLog.tmp ChangeLog

%build
export CFLAGS="%{optflags} -DUSE_LOCALE"
%configure
%make_build

%install
%make_install

for dir in %{buildroot}%{_mandir} %{buildroot}%{_mandir}/ru; do
  pushd $dir/man1
  for bin in jmacs jpico jstar rjoe; do
    ln -s joe.1 ${bin}.1
  done
  popd
done

cp -p %{SOURCE1} %{buildroot}%{_datadir}/joe/syntax/
rm -f %{buildroot}%{_datadir}/applications/*.desktop

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Joe
Comment=An easy to use text editor, supporting syntax highlight and UTF-8
Exec=%{name} %f
Icon=editors_section
Terminal=true
Type=Application
Categories=TextEditor;
EOF

%files
%doc ChangeLog README.md docs/help-system.html NEWS.md
%doc docs/README.old docs/hacking.md docs/man.md
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/joe/
%{_datadir}/%{name}/
%{_mandir}/man1/*.1*
%lang(ru) %{_mandir}/ru/man1/*.1*
%{_datadir}/applications/%{name}.desktop
