%define		codename	Jumbo-1

Name:		john
Version:	1.9.0
Release:	%mkrel 5
Summary:	John the Ripper password cracker
License:	GPLv2
Group:		Security
URL:		https://www.openwall.com/john/
Source:		https://github.com/magnumripper/JohnTheRipper/archive/%{version}-%{codename}/%{name}-%{version}-%{codename}.tar.gz
# Fix for compilation with GCC 11 : https://github.com/openwall/john/issues/4604
Patch0:		154ee1156d62dd207aff0052b04c61796a1fde3b.patch
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libpcap)
BuildRequires:	pkgconfig(bzip2)

%description
John the Ripper is a fast password cracker. Its primary purpose is to
detect weak Unix passwords, but a number of other hash types are
supported as well.

%prep
%setup -q -n JohnTheRipper-%{version}-%{codename}
%autopatch -p1

%{__perl} -pi.orig -e 's|^(\#define CFG_FULL_NAME)\s.+$|$1 "%{_sysconfdir}/%{name}.conf"|' src/params.h

%build
pushd src
autoreconf -vfi
%configure \
	CFLAGS_EXTRA="-DJOHN_SYSTEMWIDE=1"
%make_build


%install
install -Dp -m0644 run/%{name}.conf %{buildroot}%{_sysconfdir}/%{name}.conf
install -Dp -m0755 run/%{name} %{buildroot}%{_bindir}/%{name}
install -d -m0755 %{buildroot}%{_datadir}/%{name}/
install -p -m0644 run/*.chr run/password.lst %{buildroot}%{_datadir}/%{name}/
install -p -m0644 run/*.conf %{buildroot}%{_datadir}/%{name}/

ln -s -f %{name} %{buildroot}%{_bindir}/unafs
ln -s -f %{name} %{buildroot}%{_bindir}/unique
ln -s -f %{name} %{buildroot}%{_bindir}/unshadow

%if %{?_with_cpu_fallback:1}0
install -d -m0755 -p %{buildroot}%{_libexecdir}/%{name}
install -m0700 run/%{name}-* %{buildroot}%{_libexecdir}/%{name}/
%endif

install -D -m 644 run/john.bash_completion %{buildroot}%{_sysconfdir}/bash_completion.d/john

%files
%doc doc/* run/mailer
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_sysconfdir}/bash_completion.d/john
%{_bindir}/%{name}
%{_bindir}/unafs
%{_bindir}/unique
%{_bindir}/unshadow
%{_datadir}/%{name}
%if %{?_with_cpu_fallback:1}0
%{_libexecdir}/%{name}
%endif
