Name:		journal-triggerd
Summary:	A daemon that runs in the background, listening to systemd's journal
Version:	0.2.1
Release:	%mkrel 4
License:	GPLv3
Group:		System/Kernel and hardware
Url:		https://jjacky.com/%{name}/
Source0:	https://jjacky.com/%{name}/%{name}-%{version}.tar.gz
Source1:	error.rule.example
Source2:	unit_failed.rule.example

BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	autogen
BuildRequires:	groff

%description
A small daemon that runs in the background, listening to systemd's journal,
and will run "triggers" (i.e. execute a given command line) when certain
messages are added. 
You can define which messages to listen for and what to run when such messages
are added to the journal, by defining rules.

%prep
%setup -q 
%autopatch -p1

%build

%configure

%make_build

%install
%make_install

# remove duplicate and unneeded doc
rm -rf %{buildroot}%{_docdir}/%{name}/html

mkdir -p %{buildroot}%{_sysconfdir}/journal-triggerd.rules
cp %{SOURCE1} %{buildroot}%{_sysconfdir}/journal-triggerd.rules
cp %{SOURCE2} %{buildroot}%{_sysconfdir}/journal-triggerd.rules

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc AUTHORS COPYING HISTORY README.md index.html
%{_bindir}/journal-triggerd
%{_unitdir}/journal-triggerd.service
%{_mandir}/man1/journal-triggerd.1*
%dir %{_sysconfdir}/journal-triggerd.rules
%{_sysconfdir}/journal-triggerd.rules/*.example
