%define with_shared_object 0
Name:          jpam
Version:       1.1
Release:       %mkrel 6
Summary:       Java PAM bridge
Group:         Development/Java
License:       ASL 2.0
Url:           https://jpam.sourceforge.net/
# svn co https://jpam.svn.sourceforge.net/svnroot/jpam/trunk jpam-1.1
# tar czf jpam-1.1-src-svn.tar.gz jpam-1.1
Source0:       jpam-1.1-src-svn.tar.gz
Patch0:        jpam-1.1-pom.patch
Patch1:        jpam-1.1-build_xml.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: apache-commons-logging
BuildRequires: checkstyle
BuildRequires: junit4

%if %with_shared_object
BuildRequires: ant
BuildRequires: gcc
BuildRequires: make
BuildRequires: pam-devel
%endif

BuildRequires: maven-antrun-plugin
BuildRequires: maven-assembly-plugin
BuildRequires: maven-checkstyle-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-deploy-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-local
BuildRequires: maven-plugin-jxr
BuildRequires: maven-pmd-plugin
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      apache-commons-logging

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
%if !%with_shared_object
BuildArch:     noarch
%endif

%description
Jpam is a Java-PAM bridge.  PAM, or Pluggable Authentication Modules, 
is a standard security architecture used on Linux, Solaris, HP-UX,
Mac OS X and other Unix systems.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils
BuildArch:     noarch

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n jpam-%{version}

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

# tools/ydoc-2.2_02-jdk1.5/lib/class2svg.jar
# tools/ydoc-2.2_02-jdk1.5/lib/styleed.jar
# tools/ydoc-2.2_02-jdk1.5/lib/ydoc.jar

# tools/maven-artifact-ant-2.0.4-dep.jar

for c in $(find . -name "*.class"); do
  rm -rf $c
done
# tools/ydoc-2.2_02-jdk1.5/doc/examples/SortedVector.class
%patch -P 0 -p0
%patch -P 1 -p0

%build

mvn-rpmbuild install javadoc:aggregate

%if %with_shared_object
  %ant shared-object 
%endif

%install
install -d -m 755 %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%if %with_shared_object
# jni wrapper for the unix pam(8) subsystem and a jaas bridge
  mkdir -p %{buildroot}%{_libdir}
  install -pm 755 target/gen-src/c/libjpam.so %{buildroot}%{_libdir}/libjpam.so
%endif

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%if %with_shared_object
%{_libdir}/libjpam.so
%endif
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc  src/main/dist/CHANGELOG.txt src/main/dist/RELEASE_NOTES.txt

%files javadoc
%{_javadocdir}/%{name}
