%define name_plugin	%{name}_plugin

%define pilot_link_version 0.12.5
%define url_ver    %(echo %{version} | tr '.' '_')

Summary:	Palm Pilot desktop for Linux
Name:		jpilot
Version:	2.0.1
Release:	%mkrel 1
License:	GPLv2
Group:		Communications/Mobile
URL:		https://www.jpilot.org/
Source0:	https://github.com/juddmon/jpilot/archive/refs/tags/v%{url_ver}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:		jpilot-1.8.2-mga-pi-version-check.patch
Requires:	pilot-link >= %{pilot_link_version}
Requires:	jpilot-expense
Requires:	jpilot-keyring
Requires:	jpilot-synctime
BuildRequires:  desktop-file-utils
BuildRequires:	gtk3-devel
BuildRequires:	imagemagick
BuildRequires:	intltool
BuildRequires:	libgcrypt-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(pilot-link) >= %{pilot_link_version}
BuildRequires:	pkgconfig(slang)
BuildRequires:	readline-devel

%description
J-Pilot is a desktop organizer application for Palm PDAs that runs
under Linux and UNIX.  It is similar in functionality to the one that
3Com distributed for a well known rampant legacy operating system.

%package	expense
Summary:	The expense plugin for jpilot
Group:		Communications/Mobile
Obsoletes:	%{mklibname jpilot_plugin 0} < %{version}-%{release}

%description	expense
J-Pilot is a desktop organizer application for Palm PDAs that runs
under Linux and UNIX.  It is similar in functionality to the one that
3Com distributed for a well known rampant legacy operating system.

This package contains the expense plugin for jpilot.

%package	keyring
Summary:	The keyring plugin for jpilot
Group:		Communications/Mobile
Obsoletes:	%{mklibname jpilot_plugin 0} < %{version}-%{release}

%description	keyring
J-Pilot is a desktop organizer application for Palm PDAs that runs
under Linux and UNIX.  It is similar in functionality to the one that
3Com distributed for a well known rampant legacy operating system.

This package contains the keyring plugin for jpilot.

%package	synctime
Summary:	The synctime plugin for jpilot
Group:		Communications/Mobile
Obsoletes:	%{mklibname jpilot_plugin 0} < %{version}-%{release}

%description	synctime
J-Pilot is a desktop organizer application for Palm PDAs that runs
under Linux and UNIX.  It is similar in functionality to the one that
3Com distributed for a well known rampant legacy operating system.

This package contains the synctime plugin for jpilot.

%package	devel
Summary:	Header file needed for jpilot plugin development
Group:		Development/C
Provides:	%{name_plugin}-devel = %{version}
Obsoletes:	%{mklibname jpilot_plugin 0 -d} < %{version}-%{release}
Obsoletes:	%{mklibname jpilot_plugin -d} < %{version}-%{release}

%description	devel
J-Pilot is a desktop organizer application for Palm PDAs that runs
under Linux and UNIX.  It is similar in functionality to the one that 
3Com distributed for a well known rampant legacy operating system.

The header files required for plugin development.

%prep
%autosetup -p1 -n %{name}-%{url_ver}

%build
export ABILIB="%_lib"
autoreconf -vfi
%configure CPPFLAGS="$CPPFLAGS $(pkg-config --cflags-only-I slang)"
%make_build

%install
%make_install

# copy empty/*.pdb in %{_datadir}/jpilot/
mkdir -p %{buildroot}%{_datadir}/jpilot
cp empty/*.pdb %{buildroot}%{_datadir}/jpilot/

# copy jpilotrc.* in %{_datadir}/jpilot/
cp jpilotrc.* %{buildroot}%{_datadir}/jpilot/

# clean documentation done by makefile itself.
rm -rf %{buildroot}/usr/doc

mkdir -p %{buildroot}/%{_includedir}
install -m 644 {libplugin,prefs}.h %{buildroot}%{_includedir}/

# use builtin icons and ImageMagick to do the conversion.
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
convert -resize 16x16 icons/jpilot-icon1.xpm %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert -resize 32x32 icons/jpilot-icon1.xpm %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -resize 48x48 icons/jpilot-icon1.xpm %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

desktop-file-install --vendor="" \
  --remove-key="Encoding" \
  --remove-category="Application" \
  --add-category="GTK" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name}

# cleanup
rm -f %{buildroot}/%{_libdir}/%{name}/plugins/*.la

%files -f %{name}.lang
%doc AUTHORS BUGS ChangeLog README TODO COPYING INSTALL
%doc %{_docdir}/%{name}/manual
%doc %{_docdir}/%{name}/icons
%{_bindir}/*
%{_datadir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/*
%{_mandir}/man1/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins

%files expense
%{_libdir}/%{name}/plugins/libexpense.so

%files keyring
%{_libdir}/%{name}/plugins/libkeyring.so

%files synctime
%{_libdir}/%{name}/plugins/libsynctime.so

%files devel
%doc docs/plugin.html
%{_includedir}/*.h


