Summary:	Qt XMPP library
Name:		jreen
Version:	1.3.0
Release:	%mkrel 8
License:	GPLv2+
Group:		System/Libraries
URL:		https://github.com/euroelessar/jreen
Source0:	https://github.com/euroelessar/jreen/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		jreen-1.3.0-fix-build-against-qt-5.11.0.patch

### Qt5 BuildRequires
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)

BuildRequires:	pkgconfig(libgsasl)
BuildRequires:	pkgconfig(libidn)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	cmake >= 2.8.0

%description
Qt XMPP library.

#---------------------------------------------------------------------

### Qt5

%define jreen_qt5_major 1
%define libjreen_qt5 %mklibname jreen-qt5_ %{jreen_qt5_major}

%package -n	%{libjreen_qt5}
Summary:	Qt5 XMPP library
Group:		System/Libraries

%description -n	%{libjreen_qt5}
Qt5 XMPP library.

%files -n %{libjreen_qt5}
%{_libdir}/libjreen-qt5.so.%{jreen_qt5_major}{,.*}

#--------------------------------------------------------------------

%define develjreen_qt5 %mklibname jreen-qt5 -d

%package -n	%{develjreen_qt5}
Summary:	Devel files for %{name}-qt5
Group:		Development/C
Provides:	%{name}-qt5-devel = %{version}-%{release}
Provides:	lib%{name}-qt5-devel = %{version}-%{release}
Requires:	%{libjreen_qt5} = %{version}-%{release}

%description -n	%{develjreen_qt5}
Devel files for %{name}-qt5.

%files -n %{develjreen_qt5}
%{_includedir}/%{name}-qt5/
%{_libdir}/libjreen-qt5.so
%{_libdir}/pkgconfig/libjreen-qt5.pc

### End Qt5

#---------------------------------------------------------------------

%prep
%autosetup -p1

%build
%global _vpath_srcdir ..

### Qt5 Build
mkdir -p qt5
pushd qt5
%cmake_qt5 -DJREEN_FORCE_QT4:BOOL=OFF
%cmake_build
popd

%install
### Qt5 Install
%make_install -C qt5/%{_vpath_builddir}
