Name:          jruby-embed
Version:       0.1.3
Release:       %mkrel 1
Summary:       JRuby Embed (aka RedBridge)
Group:         Development/Other
License:       CPL, GPL, LGPL
Url:           http://kenai.com/projects/jruby/pages/RedBridge/
# git clone git://projectkenai.com/jruby-embed~sources jruby-embed
# tar czf jruby-embed-0.1.3-src-git.tar.gz jruby-embed
Source0:       jruby-embed-%{version}-src-git.tar.gz
Patch0:        jruby-embed-0.1.3-pom_xml.patch
Patch1:        jruby-embed-0.1.3-no_maven-license-plugin.patch
Patch2:        jruby-embed-0.1.3-add_bytelist.patch
BuildRequires: bsf
BuildRequires: bytelist
BuildRequires: jruby
BuildRequires: livetribe-jsr223
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-plugin-bundle
Requires:      jpackage-utils
BuildArch:     noarch

%description
Java API for embeddding JRuby. 

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
JRuby Embed (aka RedBridge).

This package contains javadoc for %{name}.

%prep
%setup -q -n jruby-embed

%patch -P 0 -p0
%patch -P 1 -p0
%patch -P 2 -p0

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

iconv -f iso8859-1 -t utf-8 header.txt > LICENSE && mv -f LICENSE LICENSE.txt
sed -i 's/\r//' LICENSE.txt

%build

export MAVEN_REPO_LOCAL=$PWD/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

mvn-jpp \
  install:install-file \
  -DgroupId=bsf \
  -DartifactId=bsf \
  -Dversion=2.4.0 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath bsf) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-jpp \
  -e \
  -Dmaven2.jpp.mode=true \
  -Dmaven.test.skip=true \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
  install javadoc:javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/jruby-embed-%{version}.jar \
  %{buildroot}%{_javadir}/

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml  %{buildroot}%{_mavenpomdir}/JPP-jruby-embed.pom
%add_to_maven_depmap org.jruby.embed jruby-embed %{version} JPP jruby-embed


mkdir -p %{buildroot}%{_javadocdir}/jruby-embed-%{version}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/jruby-embed-%{version}
ln -s jruby-embed-%{version} %{buildroot}%{_javadocdir}/jruby-embed

%files
%{_javadir}/jruby-embed*.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt

%files javadoc
%{_javadocdir}/jruby-embed-%{version}
%{_javadocdir}/jruby-embed

