%global jsname jsroot


Name:		js-%{jsname}
Version:	7.2.0
Release:	%mkrel 1
Summary:	JavaScript ROOT - Interactive numerical data analysis graphics

#		Most files are MIT, d3.js is BSD
License:	MIT and BSD
URL:		https://jsroot.gsi.de/
Source0:	https://github.com/root-project/%{jsname}/archive/%{version}/%{jsname}-%{version}.tar.gz
#		Use locally installed mathjax instead of remote installation.
Group:          Development/Other

BuildArch:	noarch
BuildRequires:	web-assets-devel
BuildRequires:  uglify-js
Requires:	web-assets-filesystem
Requires:	mathjax

%description
JavaScript ROOT provides interactive ROOT-like graphics in web browsers.
Data can be read and displayed from binary and JSON ROOT files.


%package doc
Group: Documentation
Summary: Docs for jsroot

%description doc
Documentation for jsroot

%prep
%setup -q -n %{jsname}-%{version}

%build
for s in scripts/JSRoot*.js ; do
    uglifyjs ${s} -o ${s%.js}.min.js
done

%install
mkdir -p %{buildroot}%{_jsdir}/%{jsname}/scripts
install -m 644 -p scripts/*.js %{buildroot}%{_jsdir}/%{jsname}/scripts

ln -s %{_jsdir}/mathjax \
   %{buildroot}%{_jsdir}/%{jsname}/scripts

cp -r -p libs %{buildroot}%{_jsdir}/%{jsname}
cp -r -p files %{buildroot}%{_jsdir}/%{jsname}
cp -r -p img %{buildroot}%{_jsdir}/%{jsname}
cp -r -p modules %{buildroot}%{_jsdir}/%{jsname}

mkdir -p %{buildroot}%{_pkgdocdir}
ln -s %{_jsdir}/%{jsname}/scripts %{buildroot}%{_pkgdocdir}
ln -s %{_jsdir}/%{jsname}/style %{buildroot}%{_pkgdocdir}
ln -s %{_jsdir}/%{jsname}/files %{buildroot}%{_pkgdocdir}
ln -s %{_jsdir}/%{jsname}/img %{buildroot}%{_pkgdocdir}

%files
%{_jsdir}/%{jsname}
%license LICENSE

%files doc
%doc %{_pkgdocdir}
%doc changes.md demo docs/* index.htm readme.md

