Name:			js8call
Summary:		Provides keyboard-to-keyboard mode for Weak Signal digital Amateur Radio
Version:		2.2.0
Release:		%mkrel 5
License:		GPLv3
Group:			Communications/Radio
Url:			https://bitbucket.org/widefido/js8call/src/js8call/
Source0:		http://files.%{name}.com/%{version}/%{name}-%{version}.tgz
Patch0:			js8call-2.1.0-fix_build.patch
Patch1:			js8call-gcc11.patch
Patch2:			js8call-hamlib-4.6.0.patch

BuildRequires:	asciidoc
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	dos2unix
BuildRequires:	gcc-c++
BuildRequires:	gcc-gfortran
BuildRequires:	git
BuildRequires:	hamlib-utils
BuildRequires:	libgomp-devel
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(hamlib)
BuildRequires:	pkgconfig(libusb)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5SerialPort)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qtmultimedia5
BuildRequires:	ruby-asciidoctor
BuildRequires:	texinfo

Requires:	qtmultimedia5

%description
JS8Call is a derivative of the WSJT-X application, restructured and redesigned
for keyboard-to-keyboard message passing. It is not supported by nor endorsed
by the WSJT-X development group. While the WSJT-X group maintains copyright
over the original work and code, JS8Call is a derivative work licensed under
and in accordance with the terms of the GPLv3 license.

%prep
%autosetup -p1 -n %{name}

%build
%cmake_qt5	-DPC_HAMLIB_LIBRARY_DIRS=%{_libdir} \
		-DCMAKE_BUILD_TYPE=Release

%cmake_build

%install
%cmake_install

rm -f %{buildroot}%{_docdir}/JS8Call/{INSTALL,INSTALL-WSJTX}

desktop-file-install %{buildroot}%{_datadir}/applications/%{name}.desktop \
    --add-category='X-Mageia-CrossDesktop' \
    --dir=%{buildroot}%{_datadir}/applications

%files
%doc %{_docdir}/JS8Call/
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}_icon.png
