Name:           js_of_ocaml
Version:        2.8.3
Release:        %mkrel 2
Summary:        A compiler of OCaml byte-code to Javascript
License:        LGPLv2 with exceptions
Group:          Development/OCaml
Url:            https://ocsigen.org/js_of_ocaml/
Source0:        https://github.com/ocsigen/js_of_ocaml/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ocaml-base64-devel >= 2.0.0
BuildRequires:  ocaml-camlp4-devel
BuildRequires:  ocaml-cmdliner-devel
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-cppo-devel
BuildRequires:  ocaml-deriving-devel
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-lwt-devel >= 2.4.4
BuildRequires:  ocaml-async_kernel-devel
BuildRequires:  ocaml-ppx_expect-devel
BuildRequires:  ocaml-tyxml-devel
BuildRequires:  ocaml-uchar-devel
BuildRequires:  menhir
BuildRequires:  latex_of_wiki
Requires:       ocaml-%{name} = %{version}-%{release}
Requires:       ocaml-lwt


%description
js_of_ocaml is a compiler of OCaml byte-code to Javascript.  It makes it
possible to run OCaml programs in a Web browser.
Its key features are the following:
* the whole language, and most of the standard library are
supported;
* the generated code can be used with any web server and browser;
* you can use a standard installation of OCaml to compile your
programs. In particular, you do not have to recompile a library to
use it with Js_of_ocaml. You just have to link your program with a
specific library to interface with the browser APIs.


%package -n     ocaml-%{name}
Summary:        Runtime files for %{name}
Group:          Development/OCaml
Requires:       ocaml-deriving
Requires:       ocaml-lwt
Provides:       ocaml-js
Obsoletes:      ocaml-js < 1.1

%description -n ocaml-%{name}
The ocaml-%{name} package contains the bytecode libraries for running
applications that use %{name}.

%package -n     ocaml-%{name}-devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       ocaml-%{name} = %{version}-%{release}
Requires:       ocaml-deriving-devel
Requires:       ocaml-lwt-devel
Provides:       ocaml-js-devel
Obsoletes:      ocaml-js-devel < 1.1

%description -n ocaml-%{name}-devel
The ocaml-%{name}-devel package contains the signature
files for developing applications that use %{name}.


%package        doc
Summary:        Documentation for the js_of_ocaml compiler
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description    doc
Documentation for the js_of_ocaml compiler.


%prep
%setup -q

# TODO prepare config (like gentoo) ppx and async fails to build
printf "\n\n" >> Makefile.conf
use ppx || echo "WITH_PPX := NO" >> Makefile.conf
use async || echo "WITH_ASYNC := NO" >> Makefile.conf


%build
make
make doc


%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
mkdir -p $OCAMLFIND_DESTDIR/stublibs
make install BINDIR=%{buildroot}%{_bindir}
make -C examples clean


%files
%{_bindir}/js_of_ocaml
%{_bindir}/jsoo_minify
%{_bindir}/jsoo_mkcmis
%{_bindir}/jsoo_mktop


%files -n ocaml-%{name}
%dir %{_libdir}/ocaml/%{name}
%{_libdir}/ocaml/%{name}/META
%{_libdir}/ocaml/%{name}/*.cma
%{_libdir}/ocaml/%{name}/*.cmi
%{_libdir}/ocaml/%{name}/*.cmxs
%{_libdir}/ocaml/%{name}/*.cmo
%{_libdir}/ocaml/%{name}/*.js
%{_libdir}/ocaml/stublibs/*.so*

%files -n ocaml-%{name}-devel
%{_libdir}/ocaml/%{name}/*.mli
%{_libdir}/ocaml/%{name}/*.a
%{_libdir}/ocaml/%{name}/*.cmxa
%{_libdir}/ocaml/%{name}/*.cmx

%files doc
%doc LICENSE README.md examples doc/api doc/manual
