Name:           jsl
Version:        0.3.0
Release:        %mkrel 10
Summary:        Check JavaScript code for common mistakes

Group:          Development/Other
License:        MPLv1.1
URL:            https://javascriptlint.com/
Source0:        https://javascriptlint.com/download/%{name}-%{version}-src.tar.gz
Patch0:         jsl-0.3.0-smash.patch
Patch1:         jsl-0.3.0-tests.patch
Patch2:         jsl-fix-building-with-gcc14.patch

%description
With JavaScript Lint, you can check all your JavaScript source code for
common mistakes without actually running the script or opening the web page.

JavaScript Lint holds an advantage over competing lints because it is based
on the JavaScript engine for the Firefox browser. This provides a robust
framework that can not only check JavaScript syntax but also examine the
coding techniques used in the script and warn against questionable
practices.


%prep
%setup -q
%autopatch -p1


%build
# Fix DOS-y EOL encoding and permissions
find . -type f |xargs sed -i 's/\r//' $FILES
find . -type f |xargs chmod 644 $FILES

# Dependencies dealt with poorly -- no _smp_mflags
make -C src -f Makefile.ref SHARED_LIBRARY= \
        OBJDIR=. JS_EDITLINE=1 XCFLAGS="%{optflags}" \
        OS_CFLAGS="-DXP_UNIX -DHAVE_VA_COPY -DVA_COPY=va_copy"


%install
install -d %{buildroot}%{_bindir}
install src/jsl %{buildroot}%{_bindir}

%check
cd tests
perl run_tests.pl ../src/jsl

%files
%{_bindir}/jsl

