%bcond_with installed-tests

%define libver		1.0
%define major		0
%define girmajor	1.0

%define libname		%mklibname %{name} %{libver} %{major}
%define develname	%mklibname %{name} -d
%define girname		%mklibname %{name}-gir %{girmajor}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		json-glib
Version:	1.10.6
Release:	%mkrel 1
Summary:	Library for JavaScript Object Notation format
Group:		System/Libraries
License:	LGPLv2+
URL:		https://wiki.gnome.org/JsonGlib
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gobject-2.0) >= 2.37.6
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	gi-docgen
BuildRequires:	meson
BuildRequires:	python3-docutils
Requires:	%{libname} = %{version}

%description
%{name} is a library providing serialization and deserialization support
for the JavaScript Object Notation (JSON) format.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries
Requires:	%{name} = %{version}

%description -n %{libname}
%{name} is a library providing serialization and deserialization support
for the JavaScript Object Notation (JSON) format.


%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Provides:	lib%{name}-devel = %version-%release
Provides:	%{name}-devel = %version-%release
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for %name
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{mklibname %{name}1.0-gir 1.0} < 0.13.4-3

%description -n %{girname}
GObject Introspection interface description for %name.

%prep
%autosetup -p1

%build
%meson -Dgtk_doc=enabled -Dman=true
%meson_build


%install
%meson_install

mv %{buildroot}%{_docdir}/%{name}-1.0 %{buildroot}%{_docdir}/%{name}

%if %{without installed-tests}
rm -rf %{buildroot}%{_libexecdir}/installed-tests/
rm -rf %{buildroot}%{_datadir}/installed-tests/
%endif

%find_lang %{name}-%{libver}

%check
%meson_test

%files -f %{name}-%{libver}.lang
%{_bindir}/json-glib-format
%{_bindir}/json-glib-validate
%{_mandir}/man1/json-glib-format.1.*
%{_mandir}/man1/json-glib-validate.1.*

%files -n %{libname}
%{_libdir}/lib%{name}-%{libver}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Json-%{girmajor}.typelib

%files -n %{develname}
%doc NEWS
%doc %{_docdir}/%{name}
%{_libdir}/lib%{name}-%{libver}.so
%{_libdir}/pkgconfig/%{name}-%{libver}.pc
%{_includedir}/%{name}-%{libver}/
%{_datadir}/gir-1.0/Json-%{girmajor}.gir
