%global api     1.0
%global major   1
%define libname %mklibname jsonrpc_glib %{api} %{major}
%define girname %mklibname jsonrpc-gir %{api}
%define devname %mklibname jsonrpc_glib %{api} -d

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:           jsonrpc-glib
Version:        3.44.1
Release:        %mkrel 1
Summary:        A JSON-RPC library for GLib
Group:          System/Libraries

License:        LGPLv2+
URL:            https://gitlab.gnome.org/GNOME/jsonrpc-glib
Source0:        https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# https://github.com/chergert/jsonrpc-glib/issues/3
# https://gitlab.gnome.org/GNOME/jsonrpc-glib/-/issues/2
Patch1:         jsonrpc-glib-skip-test-stress.patch

BuildRequires:  gi-docgen
BuildRequires:  meson
BuildRequires:  vala

BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(vapigen)



%description
Jsonrpc-GLib is a JSON-RPC library for GLib. It includes support for
communicating as both a JSON-RPC client and server. Additionally,
supports upgrading connections to use GVariant for less runtime overhead.

%package        -n %libname
Summary:        Development files for %{name}
Group:          System/Libraries
Obsoletes:      %{_lib}jsonrpc_glib0 < 3.26.1-2

%description    -n %libname
Jsonrpc-GLib is a JSON-RPC library for GLib. It includes support for
communicating as both a JSON-RPC client and server. Additionally,
supports upgrading connections to use GVariant for less runtime overhead.

%package	-n %girname
Summary:        GObject Introspection interface description for Jsonrpc
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Conflicts:      %{_lib}jsonrpc-glib0 < 3.26.1-2

%description	-n %girname
GObject Introspection interface description for Jsonrpc.

%package        -n %devname
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:       %{girname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{name}%{api}-devel = %{version}-%{release}
Obsoletes:      %{_lib}jsonrpc_glib-devel < 3.26.1-2

%description    -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1


%build
%meson -D enable_gtk_doc=true
%meson_build


%install
%meson_install


%check
%meson_test

%files -n %libname
%license COPYING
%doc AUTHORS NEWS README.md
%{_libdir}/libjsonrpc-glib-%{api}.so.%{major}{,.*}

%files -n %girname
%{_libdir}/girepository-1.0/Jsonrpc-%{api}.typelib

%files -n %devname
%doc CONTRIBUTING.md
%{_datadir}/gir-1.0/Jsonrpc-%{api}.gir
%{_datadir}/vala/vapi/jsonrpc-glib-%{api}.*
%{_includedir}/jsonrpc-glib-%{api}/
%{_libdir}/libjsonrpc-glib-%{api}.so
%{_libdir}/pkgconfig/jsonrpc-glib-%{api}.pc
%doc %{_docdir}/%{name}
