Name:           jspeex
Version:        0.9.7
Release:        %mkrel 13
Summary:        Java Implementation of Speex

Group:          Development/Java
License:        BSD with advertising
URL:            https://jspeex.sourceforge.net/
Source0:        https://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.zip
BuildArch:      noarch

BuildRequires:  jpackage-utils
BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  ant
BuildRequires:  ant-proguard
BuildRequires:  proguard
BuildRequires:  junit

Requires:       jpackage-utils
Requires:       java >= 1:1.6.0

%description
JSpeex is a Java port of the Speex speech Codec (Open Source/Free Software
patent-free audio compression format designed for speech). It provides both
the decoder and the encoder in pure Java, as well as a JavaSound SPI.

%package javadoc
Summary:        Java docs for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}
# Make sure to remove any prebuilt jars and classes
find . \( -name '*.class' -o -name '*.jar' \) -exec rm -f '{}' \;
# Remove doc dir if it is already there
[ -d doc ] && rm -rf doc
# Fix wrong end of file encoding
sed -i 's|\r||g' License.txt README

%build
export CLASSPATH=$(build-classpath proguard junit)
%ant package javadoc


%install
install -Dpm 644 dist/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp doc/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}


%files
%doc License.txt README
%{_javadir}/%{name}.jar

%files javadoc
%doc License.txt
%doc %{_javadocdir}/%{name}


