%define majver %(echo %version | cut -d. -f1-2)
%define with_maven 0

%if !%with_maven
%define build_ build
%define apibuild_ build/javadoc
%else
%define build_ target
%define apibuild_ target/site/apidocs
%endif

Name:          juel
Version:       2.2.4
Release:       %mkrel 3
Summary:       Java Unified Expression Language
Group:         Development/Java
License:       ASL 2.0
Url:           https://juel.sourceforge.net/
Source0:       https://sourceforge.net/projects/juel/files/juel/juel-%{majver}/juel-2.2.3.zip
%if !%with_maven
#S ource1:       http://dist.wso2.org/nexus/content/groups/public/org/sonatype/oss/oss-parent/5/oss-parent-5.pom
%endif
Source2:       juel-2.2.4.pom
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: junit
%if !%with_maven
BuildRequires: ant
%else
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-source-plugin
BuildRequires: oss-parent
%endif
Requires:      jpackage-utils
BuildArch:     noarch

%description
Implementation of the Java Unified Expression Language as specified
by the Expression Language Specification, Version 2.1: part of the
JSP 2.1 standard (JSR-245), plus maintenance release 2.2 (JEE6).
Includes javax.el.* sources from the GlassFish project.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
JUEL, Java Unified Expression Language.

This package contains javadoc for %{name}.

%prep
%setup -q -n juel-2.2.3

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

%build

%if !%with_maven
cd modules
ant jars test javadoc
%else
# TODO
%endif

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}/
mkdir -p %{buildroot}%{_mavenpomdir}

%add_to_maven_depmap de.odysseus.juel juel-parent %{version}-SNAPSHOT JPP juel-parent
install -m 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-juel-parent.pom

# modules/build/juel-2.2.4-SNAPSHOT-sources.jar
%if !%with_maven

#dd_to_maven_depmap org.sonatype.oss oss-parent 5 JPP oss-parent
#i nstall -m 644 %{SOURCE 1} %{buildroot}%{_mavenpomdir}/JPP-oss-parent.pom

install -pm 644 modules/%{build_}/juel-%{version}-SNAPSHOT.jar \
  %{buildroot}%{_javadir}/juel-%{version}.jar
install -m 644 %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP-juel.pom
%add_to_maven_depmap juel juel %{version}-SNAPSHOT JPP juel

%endif

%add_to_maven_depmap de.odysseus.juel juel-api %{version}-SNAPSHOT JPP juel-api
install -m 644 modules/api/pom.xml %{buildroot}%{_mavenpomdir}/JPP-juel-api.pom
install -pm 644 modules/%{build_}/juel-api-%{version}-SNAPSHOT.jar \
  %{buildroot}%{_javadir}/juel-api-%{version}.jar

install -pm 644 modules/%{build_}/juel-impl-%{version}-SNAPSHOT.jar \
  %{buildroot}%{_javadir}/juel-impl-%{version}.jar
%add_to_maven_depmap de.odysseus.juel juel-impl %{version}-SNAPSHOT JPP juel-impl
install -m 644 modules/impl/pom.xml %{buildroot}%{_mavenpomdir}/JPP-juel-impl.pom

install -pm 644 modules/%{build_}/juel-spi-%{version}-SNAPSHOT.jar \
  %{buildroot}%{_javadir}/juel-spi-%{version}.jar
%add_to_maven_depmap de.odysseus.juel juel-spi %{version}-SNAPSHOT JPP juel-spi
install -m 644 modules/spi/pom.xml %{buildroot}%{_mavenpomdir}/JPP-juel-spi.pom

(
  cd %{buildroot}%{_javadir}/
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/juel-%{version}
cp -pr modules/%{apibuild_}/* %{buildroot}%{_javadocdir}/juel-%{version}
ln -sf juel-%{version} %{buildroot}%{_javadocdir}/juel

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/juel-%{version}.jar
%{_javadir}/juel.jar
%{_javadir}/juel-api-%{version}.jar
%{_javadir}/juel-api.jar
%{_javadir}/juel-impl-%{version}.jar
%{_javadir}/juel-impl.jar
%{_javadir}/juel-spi-%{version}.jar
%{_javadir}/juel-spi.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt README.txt

%files javadoc
%{_javadocdir}/juel-%{version}
%{_javadocdir}/juel

