#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           juk
Summary:        A music player and manager for KDE
Epoch:          3
Version: 25.04.0
Release:        %mkrel %{rel}
Group:          Sound/Players
License:        GPLv2
URL:            https://kde.org/applications/multimedia/org.kde.juk
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

# Mageia patches 500->600

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6GlobalAccel)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6JobWidgets)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6Wallet)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6StatusNotifierItem)

BuildRequires:  cmake(Phonon4Qt6)
BuildRequires:  pkgconfig(taglib) >= 1.6

Recommends:     juk-handbook


%description
JuK is an audio jukebox application, supporting collections of MP3, Ogg
Vorbis, and FLAC audio files. It allows you to edit the "tags" of your
audio files, and manage your collection and playlists. It's main focus,
in fact, is on music management.

%files -f %name.lang
%_kf6_bindir/juk
%_kf6_applicationsdir/org.kde.juk.desktop
%_kf6_iconsdir/hicolor/*/*/*
%_kf6_datadir/juk/
%_kf6_knotificationsdir/juk.notifyrc
%_kf6_metainfodir/org.kde.juk.appdata.xml
%_kf6_datadir/dbus-1/interfaces/org.kde.juk.collection.xml
%_kf6_datadir/dbus-1/interfaces/org.kde.juk.player.xml
%_kf6_datadir/dbus-1/interfaces/org.kde.juk.search.xml
%_kf6_datadir/kio/servicemenus/jukservicemenu.desktop

#------------------------------------------------------------------------------

%package handbook
Summary:        juk handbook
Group:          Documentation
BuildArch:      noarch
Requires:       juk >= %{epoch}:%{version}-%{release}

%description handbook
This package provides juk handbook.

%files handbook
%_kf6_docdir/HTML/*/juk/

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name
