%global uvcommit e6f0e4900e195c8352f821abe2b3cffc3089547b
%global uvversion 2.0.0

%global llvmversion 13.0.1-3
%global llvmcommit julia-13.0.1-3

%global ittapicommit 0014aec56fea2f30c1374f40861e1bccdd53d0cb

%global libwhichversion 1.1.0
%global libwhichcommit 81e9723c0273d78493dc8c8ed570f68d9ce7e89e

%global blastrampolineversion 5.1.1
%global blastrampolinecommit bac2f810d523003fbb431ecc6e9ea81c8b86e2d6

%global suitesparsesum f63732c1c6adecb277d8f2981cc8c1883c321bcc

# needed for test
%global suitesparseversion 5.13.0
%global suitesparsenumversion 5013

# Bundled until Julia supports libunwind 1.6
# https://bugzilla.redhat.com/show_bug.cgi?id=2045732
%global libunwindversion 1.5.0

%global pkgcommit b09e05add2442b2ffae9d7bdd7976a7d36949433
%global statisticscommit 61a021bcb330e6c52f2435f2abaffc77875ab6f2

%global logocommit 168fb6c1164e341df360ed6ced519e1e0cb7de3a

%global __provides_exclude_from ^%{_libdir}/%{name}/.*\\.so
%global __requires_exclude_from ^%{_libdir}/libjulia.*\\.so
# List all bundled libraries here
# OpenBLAS is excluded because we set a symlink to libopenblasp
%global _privatelibs lib(julia-internal|openblas_|openblas64_|ccalltest|llvmcalltest|LLVM-.*|uv|blastrampoline|unwind)\\.so.*
%global __provides_exclude ^(%{_privatelibs})$
%global __requires_exclude ^(%{_privatelibs})$

# plugins
%define _disable_ld_no_undefined 1

# ILP64 build model
%if 0%{?__isa_bits} == 64
%global build64 1
%endif
#
# we don't have the suitesparse package built with the ILP64 model yet (only openblas it is), so disable it for now.
%global build64 0

%define rel	4

Name:           julia
Version:        1.8.5
Release:        %mkrel %rel
Group:          Development/Other
Summary:        High-level, high-performance dynamic language for technical computing
# Julia itself is MIT, with a few LGPLv2+ and GPLv2+ files
# libuv is MIT
License:        MIT and LGPLv2+ and GPLv2+
URL:            https://julialang.org/
Source0:        https://github.com/JuliaLang/julia/releases/download/v%{version}/julia-%{version}.tar.gz
# Julia currently uses a custom version of libuv, patches are not yet upstream
Source1:        https://api.github.com/repos/JuliaLang/libuv/tarball/%{uvcommit}#/libuv-%{uvcommit}.tar.gz
Source2:        https://api.github.com/repos/JuliaLang/llvm-project/tarball/%{llvmcommit}#/llvm-%{llvmcommit}.tar.gz
Source3:        https://api.github.com/repos/vtjnash/libwhich/tarball/%{libwhichcommit}#/libwhich-%{libwhichcommit}.tar.gz
Source4:        https://api.github.com/repos/JuliaLang/Pkg.jl/tarball/%{pkgcommit}#/Pkg-%{pkgcommit}.tar.gz
Source5:        https://api.github.com/repos/JuliaLang/Statistics.jl/tarball/%{statisticscommit}#/Statistics-%{statisticscommit}.tar.gz
Source6:        https://raw.githubusercontent.com/JuliaLang/julia-logo-graphics/%{logocommit}/images/julia-logo-color.svg
Source7:        https://api.github.com/repos/staticfloat/libblastrampoline/tarball/%{blastrampolinecommit}#/blastrampoline-%{blastrampolinecommit}.tar.gz
Source8:        https://github.com/libunwind/libunwind/releases/download/v%{libunwindversion}/libunwind-%{libunwindversion}.tar.gz
# from  https://github.com/intel/ittapi/ (requires a full git tree)
Source9:        ittapi-git-%{ittapicommit}.tar.gz
# from https://docs.julialang.org/en/v1/
Source10:       https://raw.githubusercontent.com/JuliaLang/docs.julialang.org/assets/julia-%{version}.pdf
# see doc/Makefile
Source11:       https://www.unicode.org/Public/13.0.0/ucd/UnicodeData.txt
#
# This is a bit hacky. The archive it's the content of doc/deps/{packages,registries} after you run inside builddir (and after the
# build stage) the following command:
#  ./build/usr/bin/julia --startup-file=no --color=yes ./doc/make.jl linkcheck= doctest= buildroot=`pwd`/. texplatform= revise=
# Probably some deps is missed in the main julia upstream sources (and that breaks the offline doc building).
Source12:	julia-%{version}-doc-build-deps.tar.gz

Source100:      blastrampoline_trampolines_i586.S

# https://github.com/JuliaLang/Downloads.jl/issues/172
# https://bugzilla.redhat.com/show_bug.cgi?id=2056842	
Patch3:         arch-i586.patch
Patch4:         suitesparse-i586.patch
Patch5:         suitesparse-lib.patch

# skip failing test on test/lu.jl
Patch10:        julia-1.8.3-skip-failing-lu-repl-test.patch

# path for ittapi (see https://github.com/JuliaLang/julia/issues/47989)
Patch11:        julia-llvm-ittapi-source-dir.patch

# Avoid warnings in egrep calls
Patch12:        julia-fix-egrep.patch

# From Arch
Patch20:        ed9851b0.patch
Patch21:        074d761f-rediff.patch
Patch22:        julia-llvm-14.patch

# fix for mpfr-4.2.0
Patch30:	1a7fa99aac7373d7f1d4355b46656cdf898a1353.patch

# from git
Patch50:        https://github.com/JuliaLang/julia/commit/a48ad5304993c62112f435ebed6834c07d9ce4f4.patch

Provides:       bundled(libuv) = %{uvversion}
Provides:       bundled(llvm) = %{llvmversion}
Provides:       %{_bindir}/julia
BuildRequires:  rootcerts
BuildRequires:  desktop-file-utils
BuildRequires:  dsfmt-devel
BuildRequires:  gcc-c++
BuildRequires:  gcc-gfortran
BuildRequires:  git-core
BuildRequires:  gmp-devel >= 5.0
BuildRequires:  gmpxx-devel >= 5.0
# Needed for libgit2 test
BuildRequires:  hostname
BuildRequires:  imagemagick
BuildRequires:  libatomic-devel
BuildRequires:  pkgconfig(libunwind)
BuildRequires:  pkgconfig(blas)
BuildRequires:  openlibm-devel >= 0.8
BuildRequires:  libgit2-devel
# Needed for libgit2 test
BuildRequires:  openssl
BuildRequires:  mbedtls-devel
BuildRequires:  libssh2-devel
BuildRequires:  http-parser-devel
BuildRequires:  openssl-devel
BuildRequires:  libcurl-devel
BuildRequires:  curl
BuildRequires:  pcre2-devel
BuildRequires:  cmake
BuildRequires:  mpfr-devel >= 4
BuildRequires:  patchelf
BuildRequires:  perl
BuildRequires:  suitesparse-devel == %{suitesparseversion}
BuildRequires:  utf8proc-devel >= 2.1
BuildRequires:  zlib-devel
BuildRequires:  p7zip
BuildRequires:  python3
BuildRequires:  patchelf
BuildRequires:  openblas-devel
BuildRequires:  execstack
BuildRequires:  locales

Requires:       julia-common = %{version}-%{release}
Requires:       p7zip
Requires:       dSFMT
Requires:       openlibm
# Libraries used by CompilerSupportLibraries_jll
# but not detected as they are dlopen()ed but not linked to
%if 0%{?__isa_bits} == 64
Requires:       libgfortran.so.5()(64bit)
Requires:       libgomp.so.1()(64bit)
%else
Requires:       libgfortran.so.5
Requires:       libgomp.so.1
%endif
# for internal lib links in %%{_libdir}/julia/
Requires:       libgit2
Requires:	%{_lib}mbedcrypto7 
Requires:	%{_lib}mbedtls14
Requires:	%{_lib}mbedx509_1
Requires:	%{_lib}openblas-threads0
Requires:	%{_lib}spqr2
#
# https://bugzilla.redhat.com/show_bug.cgi?id=1158026
# https://github.com/JuliaLang/julia/issues/30087

ExcludeArch:    %{arm} aarch64

%description
Julia is a high-level, high-performance dynamic programming language
for technical computing, with syntax that is familiar to users of
other technical computing environments. It provides a sophisticated
compiler, distributed parallel execution, numerical accuracy, and an
extensive mathematical function library. The library, largely written
in Julia itself, also integrates mature, best-of-breed C and Fortran
libraries for linear algebra, random number generation, signal processing,
and string processing.

This package only contains the essential parts of the Julia environment:
the julia executable and the standard library.

%ifarch %ix86
Note that 32bit Julia requires a CPU with SSE2 support.
%endif

%package common
Summary:        Julia architecture-independent files
Requires:       %{name} = %{version}-%{release}

%description common
Contains architecture-independent files required to run Julia.

%package doc
Summary:        Julia documentation and code examples
BuildArch:      noarch

%description doc
Contains the Julia manual, the reference documentation of the standard library
and code examples.

%package devel
Summary:        Julia development, debugging and testing files
Requires:       julia = %{version}-%{release}

%description devel
Contains library symbolic links and header files for developing applications
linking to the Julia library, in particular embedding it, as well as
tests. This package is normally not needed when programming in the
Julia language, but rather for embedding Julia into external programs
or debugging Julia itself.

%prep
%setup -q
%patch -P3 -p1
%patch -P5 -p1
%patch -P10 -p1
%patch -P11 -p1
%patch -P12 -p1

# from arch
%patch -P20 -p1
%patch -P21 -p1
%patch -P22 -p1

# fix mpfr-4.2.0
%patch -P30 -p1

# fix missed libssp.so
%patch -P50 -p1

mkdir -p deps/srccache stdlib/srccache
pushd deps/srccache
    # Julia downloads tarballs for external dependencies even when the folder is present:
    # we need to copy the tarball and let the build process unpack it
    # https://github.com/JuliaLang/julia/pull/10280
    cp -p %SOURCE1 .
    cp -p %SOURCE2 .
    cp -p %SOURCE2 .
    cp -p %SOURCE3 .
    cp -p %SOURCE7 .
    cp -p %SOURCE8 .
    tar -xf %SOURCE9 -C .
# to avoid online downloading during building
    cp -p %SOURCE11 UnicodeData-13.0.0.txt
popd

pushd stdlib/srccache
    # suitesparse needs patching
    tar xzf SuiteSparse-%{suitesparsesum}.tar.gz

    pushd JuliaSparse-SuiteSparse.jl-*/
        cat %PATCH4 | patch -p1
    popd
    tar czf SuiteSparse-%{suitesparsesum}.tar.gz JuliaSparse-SuiteSparse.jl-*
    rm -rf JuliaSparse-SuiteSparse.jl-*
popd

# PDF doc
cp -p %SOURCE10 .

# doc deps
mkdir -p ./doc/deps
tar -xf %{SOURCE12} -C ./doc/deps/

target=$(basename %SOURCE2)
sed -i deps/checksums/llvm \
	-e "\@^${target}@s|/md5/.*|/md5/$(md5sum deps/srccache/${target} | sed -e 's| .*||' )|" \
	-e "\@^${target}@s|/sha512/.*|/sha512/$(sha512sum deps/srccache/${target} | sed -e 's| .*||')|" \
	%{nil}

SUITESPARSE_SHA1="$(sha1sum stdlib/srccache/SuiteSparse-%{suitesparsesum}.tar.gz | awk '{print $1}')"
grep -v SHA1 < stdlib/SuiteSparse.version > stdlib/SuiteSparse.version.new
cat >> stdlib/SuiteSparse.version.new <<EOF
SUITESPARSE_SHA1 = $SUITESPARSE_SHA1
EOF

mv stdlib/SuiteSparse.version.new stdlib/SuiteSparse.version
mv stdlib/srccache/SuiteSparse-%{suitesparsesum}.tar.gz \
   "stdlib/srccache/SuiteSparse-${SUITESPARSE_SHA1}.tar.gz"

pushd stdlib/srccache
    cp -p %SOURCE4 .
    cp -p %SOURCE5 .
popd
	
cp -p %SOURCE6 contrib/julia.svg

# Required so that the image is not optimized for the build CPU
# (i386 does not work yet: https://github.com/JuliaLang/julia/issues/7185)
# Without specifying MARCH, the Julia system image would only work on native CPU
#
# CPU targets reflect those used upstream at
# https://github.com/JuliaCI/julia-buildbot/blob/master/master/inventory.py
# (see also https://docs.julialang.org/en/v1/devdocs/sysimg/)
#
%ifarch %{ix86}
%global march MARCH=pentium4
%global cpu_target JULIA_CPU_TARGET="pentium4;sandybridge,-xsaveopt,clone_all"
%endif
	
%ifarch x86_64
%global march MARCH=x86-64
%global cpu_target JULIA_CPU_TARGET="generic;sandybridge,-xsaveopt,clone_all;haswell,-rdrnd,base(1)"
%endif
	
%ifarch %{arm}
# gcc and LLVM do not support the same targets
%global march MARCH=$(echo %build_cflags | grep -Po 'march=\\K[^ ]*')
%global cpu_target JULIA_CPU_TARGET="generic"
%endif
	
%ifarch armv7hl
%global march MARCH=$(echo %build_cflags | grep -Po 'march=\\K[^ ]*')
%global cpu_target JULIA_CPU_TARGET="armv7-a;armv7-a,neon;armv7-a,neon,vfp4"
%endif
	
%ifarch aarch64
%global march MARCH=armv8-a
%global cpu_target JULIA_CPU_TARGET="generic"
%endif
	
%ifarch ppc64le
%global march %{nil}
%global cpu_target JULIA_CPU_TARGET="pwr8"
%endif
	
# Use the non-threaded OpenBLAS library name internally to match what Julia uses so that
# libraries built using BinaryBuilder (like Arpack.jl) work
# We symlink it to libopenblasp below so that threads are used in the end
	
%if 0%{?build64}
%global blas USE_BLAS64=1 OPENBLAS_SYMBOLSUFFIX=64_ LIBBLAS=-lopenblas64_ LIBBLASNAME=libopenblas64_ LIBLAPACK=-lopenblas64_ LIBLAPACKNAME=libopenblas64_
%else
%global blas LIBBLAS=-lopenblas LIBBLASNAME=libopenblas LIBLAPACK=-lopenblas LIBLAPACKNAME=libopenblas
%endif

%if 0%{?build64}
%global suitesparse_lib SUITESPARSE_LIB="-lumfpack64_ -lcholmod64_ -lamd64_ -lcamd64_ -lcolamd64_ -lspqr64_"	
%else
%global suitesparse_lib SUITESPARSE_LIB="-lumfpack -lcholmod -lamd -lcamd -lcolamd -lspqr"	
%endif
 
%global cmake CMAKE=cmake
	
# About build, build_libdir and build_bindir, see https://github.com/JuliaLang/julia/issues/5063#issuecomment-32628111

%global commonopts USE_SYSTEM_LLVM=0 USE_SYSTEM_LIBUNWIND=0 USE_SYSTEM_PCRE=1 USE_SYSTEM_BLAS=1 USE_SYSTEM_LAPACK=1 USE_SYSTEM_GMP=1 USE_SYSTEM_MPFR=1 USE_SYSTEM_LIBSUITESPARSE=1 USE_SYSTEM_DSFMT=1 USE_SYSTEM_LIBUV=0 USE_SYSTEM_UTF8PROC=1 USE_SYSTEM_LIBGIT2=1 USE_SYSTEM_LIBSSH2=1 USE_SYSTEM_MBEDTLS=1 USE_SYSTEM_CURL=1 USE_SYSTEM_PATCHELF=1 USE_SYSTEM_LIBM=0 USE_SYSTEM_OPENLIBM=1 USE_SYSTEM_ZLIB=1 USE_SYSTEM_P7ZIP=1 USE_SYSTEM_NGHTTP2=1 USE_SYSTEM_CSL=1 USE_SYSTEM_LIBBLASTRAMPOLINE=0 USE_SYSTEM_LIBWHICH=0 USE_BINARYBUILDER=0 BUNDLE_DEBUG_LIBS=0 JULIA_SPLITDEBUG=1 TAGGED_RELEASE_BANNER="%_vendor %mgaver build" VERBOSE=1 %{march} %{cpu_target} %{blas} %{suitesparse_lib} prefix=%{_prefix} bindir=%{_bindir} libdir=%{_libdir} libexecdir=%{_libexecdir} datarootdir=%{_datarootdir} includedir=%{_includedir} sysconfdir=%{_sysconfdir} build_prefix=%{_builddir}/%{buildsubdir}/build%{_prefix} build_libdir=%{_builddir}/%{buildsubdir}/build%{_libdir} JULIA_CPU_THREADS=$(echo %{?_smp_mflags} | sed s/-j//)

cp cli/trampolines/trampolines_i686.S cli/trampolines/trampolines_i586.S

%build
# Workaround for https://github.com/JuliaLang/julia/issues/27118
%global build_cxxflags %(echo %{build_cxxflags} | sed 's/-Wp,-D_GLIBCXX_ASSERTIONS //')
# Workaround for https://github.com/JuliaLang/julia/issues/39822
# and https://bugzilla.redhat.com/show_bug.cgi?id=1928696
%global build_cflags %(echo %{build_cflags} | sed 's/-Wp,-D_GNU_SOURCE //')

# Julia hardcodes the exact SOVERSION it uses when USE_SYSTEM_*=0
	
# https://github.com/JuliaLang/julia/pull/38347#discussion_r574819534
sed "s/libmbedtls.so.*\"/$(cd %{_libdir} && ls libmbedtls.so.??)\"/" -i stdlib/MbedTLS_jll/src/MbedTLS_jll.jl
sed "s/libmbedcrypto.so.*\"/$(cd %{_libdir} && ls libmbedcrypto.so.?)\"/" -i stdlib/MbedTLS_jll/src/MbedTLS_jll.jl
sed "s/libmbedx509.so.*\"/$(cd %{_libdir} && ls libmbedx509.so.?)\"/" -i stdlib/MbedTLS_jll/src/MbedTLS_jll.jl
sed "s/libopenlibm.so.*\"/$(cd %{_libdir} && ls libopenlibm.so.?)\"/" -i stdlib/OpenLibm_jll/src/OpenLibm_jll.jl
sed "s/libgit2.so.*\"/$(cd %{_libdir} && ls -1 libgit2.so.?.? | sort -nr | head -n1)\"/" -i stdlib/LibGit2_jll/src/LibGit2_jll.jl
sed "/VersionNumber/s/v\".*\"/v\"$(pkg-config --modversion libgit2)\"/" -i stdlib/LibGit2_jll/test/runtests.jl
sed 's/==\s*[0-9]\+/== %{suitesparsenumversion}/' -i stdlib/SuiteSparse_jll/test/runtests.jl

# Work around build failure with glibc 2.33 when GNU_SOURCE is set
# https://github.com/JuliaLang/julia/issues/39822
sed "s/#if defined(MINSIGSTKSZ) && MINSIGSTKSZ > 131072/#if 0/" -i src/task.c

# Work around bug that prompts zlib to be downloaded even when not used
# https://github.com/JuliaLang/julia/pull/42524/files#r734972945
sed "s/ \$(build_prefix)\\/manifest\\/zlib//" -i deps/llvm.mk

# Work around random failure https://github.com/JuliaLang/julia/issues/42752
sed "s/@test orig == Random.default_rng()//" -i stdlib/Test/test/runtests.jl
sed "s/@test rand(orig) == rand()//" -i stdlib/Test/test/runtests.jl

# Decrease debuginfo verbosity to reduce memory consumption during final library linking
%ifarch %{arm} %{ix86}
%global build_cflags %(echo %{build_cflags} | sed 's/-g /-g1 /')
%global build_cxxflags %(echo %{build_cxxflags} | sed 's/-g /-g1 /')
%global build_ldflags %(echo %{build_ldflags} | sed 's/-g /-g1 /')
%endif

%ifarch %{ix86}
# Need to repeat -march here to override i686 from build_cflags
%global buildflags CFLAGS="%{build_cflags} -march=pentium4" CXXFLAGS="%{build_cxxflags} -march=pentium4" FFLAGS="%{build_fflags} -march=pentium4" LDFLAGS="%{build_ldflags}"
%else
%global buildflags CFLAGS="%{build_cflags}" CXXFLAGS="%{build_cxxflags}" FFLAGS="%{build_fflags}" LDFLAGS="%{build_ldflags}"
%endif

# Needed when USE_SYSTEM_CSL=1
# https://github.com/JuliaLang/julia/issues/39637
unlink %{_builddir}/%{buildsubdir}/build/usr/lib || true
mkdir -p %{_builddir}/%{buildsubdir}/build/%{_libdir}/
ln -sf %{_libdir}/libgcc_s.so.1 %{_builddir}/%{buildsubdir}/build/%{_libdir}/libgcc_s.so.1
ln -sf %{_libdir}/libstdc++.so.6 %{_builddir}/%{buildsubdir}/build/%{_libdir}/libstdc++.so.6
export LD_LIBRARY_PATH=%{_builddir}/%{buildsubdir}/build/usr/lib

# Work around https://github.com/staticfloat/libblastrampoline/issues/44
# and https://github.com/staticfloat/libblastrampoline/issues/50
%if 0%{?__isa_bits} == 64
make %{?_smp_mflags} CFLAGS="%{build_cflags} -fno-lto -fPIC -DLIBRARY_EXPORTS -DF2C_AUTODETECTION" LDFLAGS="%{build_ldflags} -shared" %{commonopts} -C deps install-blastrampoline
%else
make %{?_smp_mflags} CFLAGS="%{build_cflags} -fno-lto -fPIC -DLIBRARY_EXPORTS" LDFLAGS="%{build_ldflags} -shared" %{commonopts} -C deps extract-blastrampoline
cp %SOURCE100 deps/scratch/blastrampoline-%{blastrampolinecommit}/src/trampolines/trampolines_i586.S
make %{?_smp_mflags} CFLAGS="%{build_cflags} -fno-lto -fPIC -DLIBRARY_EXPORTS" LDFLAGS="%{build_ldflags} -shared" %{commonopts} -C deps install-blastrampoline
%endif

make %{?_smp_mflags} %{buildflags} %{commonopts} release

if [ "x%{_lib}" != xlib ] ; then
  cp -a %{_builddir}/%{buildsubdir}/build/usr/lib/* %{_builddir}/%{buildsubdir}/build/%{_libdir}
  rm -rf %{_builddir}/%{buildsubdir}/build/usr/lib/
  ln -sf %{_lib} %{_builddir}/%{buildsubdir}/build/usr/lib
fi

%check
# Disable tests that require Internet access
sed "s/ipa = getipaddr()/error()/" -i test/choosetests.jl
# Disabling network also disables distributed processing
sed "s/if net_on/if true/" -i test/runtests.jl

# Too many threads/processes can trigger memory issues in cmdlineargs test
%ifarch %{ix86}
sed "s/cpu_threads = max(2\*cpu_threads, min(200, 10\*cpu_threads))/cpu_threads = 5/" -i test/cmdlineargs.jl
%endif

# Disable tests known to fail currently
%ifarch ppc64le %{arm} aarch64
sed -i 's/\"numbers\",//' test/choosetests.jl
sed -i 's/\"ccall\",//' test/choosetests.jl
sed -i 's/\"vecelement\", //' test/choosetests.jl
sed -i 's/\"stress\",//' test/choosetests.jl
sed -i 's/\"errorshow\",//' test/choosetests.jl
sed -i 's/\"threads\",//' test/choosetests.jl
%endif
%ifarch %{arm}
# https://github.com/JuliaLang/julia/issues/29447
sed -i 's/readdir(STDLIB_DIR)/setdiff(readdir(STDLIB_DIR), ["Distributed"])/g' test/choosetests.jl
%endif
%ifarch ppc64le
# LinearAlgebra/lapack is the problematic test
sed -i 's/readdir(STDLIB_DIR)/setdiff(readdir(STDLIB_DIR), ["LibGit2", "LinearAlgebra"])/g' test/choosetests.jl
sed -i 's/\"cmdlineargs\", //' test/choosetests.jl
%endif
%ifarch %ix86
sed -i 's/\"threads\",//' test/choosetests.jl
sed -i 's/\"smallarrayshrink\",//' test/choosetests.jl
sed -i 's/\"file\",//' test/choosetests.jl
%endif

# Use CA certificates from ca-certificates
# (Mozilla certificates are not installed anyway when USE_SYSTEM_LIBGIT2=1)
# https://github.com/JuliaLang/julia/commit/5dc6201e8dccbf21aeeb1f79fef2d186c7800a4e#r470321788
ln -sf /etc/pki/tls/cert.pem %{_builddir}/%{buildsubdir}/build/%{_datarootdir}/julia/cert.pem

# Julia hardcodes the exact SOVERSION it uses when USE_SYSTEM_*=0
# https://github.com/JuliaLang/julia/pull/38347#discussion_r574819534
sed "s/@test vn == v\".*\"//" -i stdlib/PCRE2_jll/test/runtests.jl
sed "s/@test vn == v\".*\"//" -i stdlib/GMP_jll/test/runtests.jl
sed "s/@test vn == v\".*\"//" -i stdlib/MPFR_jll/test/runtests.jl
sed "s/@test vn == v\".*\"//" -i stdlib/MbedTLS_jll/test/runtests.jl
sed "s/@test VersionNumber\(.*\) == v\".*\"//" -i stdlib/Zlib_jll/test/runtests.jl
sed "s/@test VersionNumber(unsafe_string(info.version_str)) == v\".*\"//" -i stdlib/nghttp2_jll/test/runtests.jl

export JULIA_TEST_NETWORKING_AVAILABLE=false
export LD_LIBRARY_PATH=%{_builddir}/%{buildsubdir}/build/usr/lib
export LANG=C.UTF-8
export LC_CTYPE=C.UTF-8
make %{commonopts} test

%install
export LD_LIBRARY_PATH=%{_builddir}/%{buildsubdir}/build/usr/lib
make %{commonopts} DESTDIR=%{buildroot} install

pushd %{buildroot}%{_libdir}/julia
    %if 0%{?build64}
        rm -f libopenblas64_.so
        ln -s %{_libdir}/libopenblasp64_.so.0 libopenblas64_.so
        ln -s %{_libdir}/libopenblasp64_.so.0 libopenblas64_.so.0
        # Raise an error in case of failure
        realpath -e libopenblas64_.so || exit 1
        realpath -e libopenblas64_.so.0 || exit 1

        # Julia creates symlinks to SuiteSparse libraries linking to libopenblas rather than libopenblas64_
        for LIB in spqr umfpack colamd cholmod ccolamd camd amd suitesparseconfig btf klu ldl rbio
        do
            rm -f lib${LIB}.so
            ln -s %{_libdir}/$(readelf -d %{_libdir}/lib${LIB}64_.so | sed -n '/SONAME/s/.*\(lib[^ ]*\.so\.[0-9]*\).*/\1/p') lib${LIB}.so
            # Raise an error in case of failure
            realpath -e lib${LIB}.so || exit 1
        done
    %else
        rm -f libopenblas.so
        ln -s %{_libdir}/libopenblasp.so.0 libopenblas.so
        ln -s %{_libdir}/libopenblasp.so.0 libopenblas.so.0
        # Raise an error in case of failure
        realpath -e libopenblas.so || exit 1
        realpath -e libopenblas.so.0 || exit 1
    %endif
popd

cp -p CONTRIBUTING.md LICENSE.md NEWS.md README.md julia-%{version}.pdf %{buildroot}%{_docdir}/julia/

pushd %{buildroot}%{_libdir}/julia
    # Some Julia packages rely on being able to use libjulia, but we only
    # ship %%{_libdir}/libjulia.so in the -devel package
    ln -s ../libjulia.so.1 libjulia.so
    # Raise an error in case of failure
    realpath -e libjulia.so || exit 1

    # Needed when USE_SYSTEM_CSL=1
    # https://github.com/JuliaLang/julia/issues/39637
    ln -sf %{_libdir}/libgcc_s.so.1 libgcc_s.so.1
    # Raise an error in case of failure
    realpath -e libgcc_s.so.1 || exit 1
popd

# Use CA certificates from ca-certificates
# (Mozilla certificates are not installed anyway when USE_SYSTEM_LIBGIT2=1)
# https://github.com/JuliaLang/julia/commit/5dc6201e8dccbf21aeeb1f79fef2d186c7800a4e#r47032178
ln -sf /etc/pki/tls/cert.pem %{buildroot}%{_datarootdir}/julia/cert.pem

# Julia installs a 7z symlink that would go to /usr/libexec/7z if we don't remove it
# https://github.com/JuliaLang/julia/pull/43005
rm %{buildroot}%{_libexecdir}/7z

# Mark stack as non executable as the linker isn't able to detect this automatically
# Needed until https://github.com/JuliaLang/julia/pull/43481 is merged
# Also drop BuildRequires when removing this
execstack -c %{buildroot}%{_libdir}/libjulia.so.1.8
execstack -c %{buildroot}%{_libdir}/julia/libblastrampoline.so*

# Install .desktop file and icons
mkdir -p %{buildroot}%{_datarootdir}/icons/hicolor/scalable/apps/
mkdir -p %{buildroot}%{_datarootdir}/icons/hicolor/16x16/apps/
mkdir -p %{buildroot}%{_datarootdir}/icons/hicolor/24x24/apps/
mkdir -p %{buildroot}%{_datarootdir}/icons/hicolor/32x32/apps/
mkdir -p %{buildroot}%{_datarootdir}/icons/hicolor/48x48/apps/
mkdir -p %{buildroot}%{_datarootdir}/icons/hicolor/256x256/apps/
cp -p contrib/julia.svg %{buildroot}%{_datarootdir}/icons/hicolor/scalable/apps/%{name}.svg

desktop-file-validate %{buildroot}%{_datarootdir}/applications/%{name}.desktop

%files
%dir %{_docdir}/julia/
%{_docdir}/julia/LICENSE.md
%doc %{_docdir}/julia/CONTRIBUTING.md
%doc %{_docdir}/julia/NEWS.md
%doc %{_docdir}/julia/README.md
%doc %{_docdir}/julia/julia-%{version}.pdf
%{_bindir}/julia
%{_libdir}/julia/
%exclude %{_libdir}/julia/*debug*
%{_libdir}/libjulia.so.*
%{_mandir}/man1/julia.1*
%{_datarootdir}/appdata/julia.appdata.xml
%{_datarootdir}/applications/%{name}.desktop
%{_datarootdir}/icons/hicolor/scalable/apps/%{name}.svg

%files common
%dir %{_datarootdir}/julia/
%{_datarootdir}/julia/*.jl
%{_datarootdir}/julia/base/
%{_datarootdir}/julia/stdlib/
%{_datarootdir}/julia/base.cache
%{_datarootdir}/julia/*.pem
%dir %{_sysconfdir}/julia/
%config(noreplace) %{_sysconfdir}/julia/startup.jl

%files doc
%doc %{_docdir}/julia/

%files devel
%{_libdir}/libjulia.so
%{_includedir}/julia/
%{_datarootdir}/julia/test/
