# From GitLab tag: https://gitlab.com/LibreGames/jumpnbump/tags
%global uploadhash 95acdae2a232513f068e260977371dcf

Name:           jumpnbump
Version:        1.61
Release:        %mkrel 4
Summary:        Cute multiplayer platform game with bunnies
Group:          Games/Arcade
License:        GPLv2+
URL:            https://gitlab.com/LibreGames/jumpnbump
Source0:        https://gitlab.com/LibreGames/jumpnbump/uploads/%{uploadhash}/%{name}-%{version}.tar.xz
Patch0:         jumpnbump-git-fix-gcc-10.patch

BuildRequires:  bzip2-devel
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(SDL2_net)
BuildRequires:  pkgconfig(zlib)

# For music support, dlopen()'ed by SDL2_mixer
Requires:       %{_lib}modplug1

Recommends:     %{name}-menu

%description
Jump 'n Bump is a cute multiplayer platform game in which you, as a bunny,
have to jump on your opponents to make them explode. It is a true multiplayer
game with network support and shouldn't be played alone, although computer
bunnies with limited AI are available. The game is a UNIX port of the old DOS
game by Brainchild Design.

%package menu
Summary:        Level selection and config menu for the Jump 'n Bump game
BuildArch:      noarch

Requires:       %{name} = %{version}-%{release}
Requires:       imagemagick
Requires:       python3dist(pygobject)

%description menu
Python 3/GTK+3 based level selection and configuration interface for the Jump 'n
Bump game.

%prep
%autosetup -p1

%build
%global build_opts PREFIX=%{_prefix} BINDIR=%{_gamesbindir} GAMEDATADIR=%{_gamesdatadir}
%set_build_flags
%make_build %{build_opts}
%make_build %{build_opts} -C menu

%install
%make_install %{build_opts}
%make_install %{build_opts} -C menu

%find_lang %{name}-menu

%files
%doc AUTHORS ChangeLog docs/* README.md
%license COPYING
%{_gamesbindir}/%{name}
%{_gamesbindir}/gobpack
%{_gamesbindir}/jnb*
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/jumpbump.dat
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_iconsdir}/%{name}.png
%{_mandir}/man6/%{name}.6*

%files menu -f %{name}-menu.lang
%doc menu/README.md
%license COPYING
%{_gamesbindir}/%{name}-menu
%{_gamesdatadir}/%{name}/%{name}_menu.glade
%{_datadir}/applications/%{name}-menu.desktop
