%define pypi_name jupyter-client
%define srcname jupyter_client

Name:           jupyter-client
Version:        8.6.3
Release:        %mkrel 1
Group:          Development/Python
Summary:        Jupyter protocol client APIs (tools)

License:        BSD
URL:            https://jupyter.org/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
This software component contains the reference implementation of the Jupyter
protocol. It also provides client and kernel management APIs to work with
kernels and the "jupyter kernelspec" entry point to install kernelspecs for use
with Jupyter frontends.

This package contains the jupyter-kernelspec tool.

%package -n     python3-%{name}
Summary:        Jupyter protocol client APIs
%{?python_provide:%python_provide python3-%{name}}
Obsoletes:      jupyter-client < 6.1.6-2
Provides:       jupyter-client = %{version}-%{release}

%description -n python3-%{name}
This software component contains the reference implementation of the Jupyter
protocol. It also provides client and kernel management APIs to work with
kernels and the "jupyter kernelspec" entry point to install kernelspecs for use
with Jupyter frontends.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{name}  -f %{pyproject_files}
%doc README.md
%license LICENSE
%{_bindir}/jupyter*
