%global pypi_name jupyter-core
%global srcname jupyter_core

Name:           jupyter-core
Version:        5.2.0
Release:        %mkrel 3
Group:          Development/Python
Summary:        Core common functionality of Jupyter projects (tools)

License:        BSD
URL:            https://jupyter.org/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

Requires:       python3-%{name} = %{version}-%{release}
Obsoletes:      %{srcname} < 5.2.0

%description
This software component contains the base framework (application classes and
configurations) for the rest of the Jupyter projects ; it doesn't do much by
itself.

This package contains the migration tool (off IPython before 4.0) and a
path-giving utility.

%package -n     python3-%{name}
Summary:        Core common functionality of Jupyter projects
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:	python3-%{srcname} < 5.2.0

%description -n python3-%{name}
This software component contains the base framework (application classes and
configurations) for the rest of the Jupyter projects ; it doesn't do much by
itself.

%prep
%autosetup -p1 -n %{srcname}-%{version}

# fix shebangs
%py3_shebang_fix %{srcname}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname} jupyter

%files
%{_bindir}/jupyter
%{_bindir}/jupyter-migrate
%{_bindir}/jupyter-troubleshoot

%files -n python3-%{name} -f %{pyproject_files}
%doc README.md
%license COPYING.md
