%define pypi_name nbconvert

Name:           jupyter-nbconvert
Version:        7.13.1
Release:        %mkrel 2
Group:          Development/Python
Summary:        Jupyter Notebook Conversion (tools)

License:        BSD
URL:            https://jupyter.org/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
The nbconvert tool, jupyter nbconvert, converts notebooks to various other
formats via Jinja templates. The nbconvert tool allows you to convert an .ipynb
notebook file into various static formats.

This package contains the jupyter-nbconvert tool.

%package -n     python3-%{pypi_name}
Summary:        Jupyter Notebook Conversion (Python 3)
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:       python3-%{name} = %{version}-%{release}

%description -n python3-%{pypi_name}
The nbconvert tool, jupyter nbconvert, converts notebooks to various other
formats via Jinja templates. The nbconvert tool allows you to convert an .ipynb
notebook file into various static formats.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# fix shebangs
%py3_shebang_fix %{pypi_name}

# fix reqs
sed -i -e 's/bleach!=/bleach>/' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files nbconvert

%files
%{_bindir}/jupyter-nbconvert
%{_bindir}/jupyter-dejavu
%{_datadir}/jupyter/nbconvert/

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
