%define pypi_name notebook

Name:           jupyter-notebook
Version:        7.3.2
Release:        %mkrel 3
Group:          Development/Python
Summary:        Jupyter web-based notebook environment (tools)
License:        BSD
URL:            https://jupyter.org/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
# For /usr/bin/jlpm
BuildRequires:  jupyter-jupyterlab
Requires:       python3-%{name} = %{version}-%{release}

%description
The Jupyter Notebook is a web application that allows you to create and share
documents that contain live code, equations, visualizations, and explanatory
text. The Notebook has support for multiple programming languages, sharing, and
interactive widgets.

This package contains the jupyter-notebook tool.

%package -n     python3-%{name}
Summary:        Jupyter web-based notebook environment
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
The Jupyter Notebook is a web application that allows you to create and share
documents that contain live code, equations, visualizations, and explanatory
text. The Notebook has support for multiple programming languages, sharing, and
interactive widgets.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files notebook

mkdir -p %{buildroot}%{_sysconfdir}/jupyter/jupyter_server_config.d
mv %{buildroot}{%{_prefix},}%{_sysconfdir}/jupyter/jupyter_server_config.d/notebook.json

%files
%{_bindir}/jupyter-notebook
%{_sysconfdir}/jupyter/jupyter_server_config.d/notebook.json
%{_datadir}/jupyter/lab/schemas/@jupyter-notebook/
%{_datadir}/jupyter/labextensions/@jupyter-notebook/
%{_datadir}/applications/jupyter-notebook.desktop
%{_datadir}/icons/hicolor/scalable/apps/notebook.svg

%files -n python3-%{name} -f %{pyproject_files}
