%define pypi_name qtconsole

Name:           jupyter-qtconsole
Version:        5.5.1
Release:        %mkrel 2
Group:          Development/Python
Summary:        Jupyter Qt console (tools)

License:        BSD
URL:            https://jupyter.org/
Source0:        https://pypi.io/packages/source/q/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         0001-fix-requirements.patch
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
Requires:       python3-%{name} = %{version}-%{release}



%description
Qt-based console for Jupyter with support for rich media output.

This package contains the jupyter-qtconsole tool.


%package -n     python3-%{name}
Summary:        Jupyter QT console APIs (Python 3)
Requires:       python3-qt5
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
Qt-based console for Jupyter with support for rich media output.
Provide the "jupyter qtconsole" entry point.

This package installs the library for Python 3.



%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files qtconsole


%files
%{_bindir}/jupyter-qtconsole


%files -n python3-%{name} -f %{pyproject_files}
%doc examples README.md
%license LICENSE

