%define pypi_name jupyter

Name:           jupyter
Version:        1.0.0
Release:        %mkrel 13
Group:          Development/Python
Summary:        Jupyter metapackage

License:        BSD
URL:            https://jupyter.org/
Source0:        https://pypi.io/packages/source/q/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         0001-use-setuptools-for-everything-so-the-python-Depends-.patch
Patch1:         dont-install-jupiter-module.patch
BuildArch:      noarch
 
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  python3dist(sphinx)
Requires:       python3-%{pypi_name} = %{version}-%{release}


%description
Install the Jupyter system, including the notebook, 
qtconsole, and the IPython kernel.


%package -n     python3-%{pypi_name}
Summary:        Jupyter metapackage (Python 3)
Requires:       ipython
Requires:       jupyter-client
Requires:       jupyter-console
Requires:       jupyter-core
Requires:       jupyter-nbconvert
Requires:       jupyter-notebook
Requires:       jupyter-notebook
Recommends:     jupyter-qtconsole
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{name}
Install the Jupyter system, including the notebook, 
qtconsole, and the IPython kernel.

This package installs Jupyter for Python 3.


%package doc
Summary:        Documentation for Jupyter
Group:          Development/Python
BuildArch:      noarch

%description doc
This package contains documentation for Jupyter.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%build
%py3_build


%install
%py3_install
pushd docs
sed -i 's/sphinx-build/sphinx-build-3/g' Makefile
PYTHONPATH=. make man
install -d %{buildroot}%{_mandir}/man1
mv ./build/man/jupyter*.1 %{buildroot}%{_mandir}/man1/
popd


%files doc
%doc docs/source/*.rst
%{_mandir}/man1/*
%license LICENSE


%files -n python3-%{pypi_name}
%license LICENSE
%{python3_sitelib}/*

