Name:       jwm
Summary:    Lightweight X11 Window Manager
Version:    2.4.3
Release:    %mkrel 1
License:    MIT
Group:      Graphical desktop/Other

URL:        https://joewing.net/projects/jwm/
Source:     https://github.com/joewing/jwm/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  gettext-devel

%description
JWM is a window manager for the X11 Window System. JWM is written in C and
uses only Xlib at a minimum.

%prep
%autosetup -p1

%build
./autogen.sh
%configure

%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc README.md
%license LICENSE
%config(noreplace) %{_sysconfdir}/system.jwmrc
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1*
