#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           k3b
Epoch:          4
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        CD-Burner for Plasma
License:        GPLv2+
Group:          Archiving/Cd burning
Url:            https://apps.kde.org/k3b/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
## upstream patches (0-100):

## downstream patches (101-200):

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
%ifarch aarch64 x86_64
BuildRequires:  cmake(Qt6WebEngineWidgets)
%endif

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Auth)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6FileMetaData)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6JobWidgets)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6NotifyConfig)
BuildRequires:  cmake(KF6Solid)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KCddb6)

BuildRequires:  doxygen
BuildRequires:  ffmpeg-devel
BuildRequires:  musepack-devel
BuildRequires:  pkgconfig(dvdread)
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(flac++)
BuildRequires:  pkgconfig(mad)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(shared-mime-info)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(sox)
BuildRequires:  pkgconfig(taglib)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  lame-devel
Requires:       cdrskin
Requires:       cdrkit
Requires:       cdrkit-genisoimage
Requires:       cdrdao
Requires:       sox
Requires:       vcdimager
Requires:       normalize
Requires:       dvd+rw-tools
Requires:       cdparanoia
Requires:       kcm_cddb
Requires:       oxygen-sounds
# Keep transcode until a replacement is implemented (mga#21465) (kde#360170)
Recommends:     transcode

%description
K3b is CD-writing software which intends to be feature-rich and
provide an easily usable interface. Features include burning
audio CDs from .WAV and .MP3 audio files, configuring external
programs and configuring devices.

%files -f %{name}.lang
%{_kf6_categoriesdir}/k3b.categories
%{_kf6_bindir}/k3b
%{_kf6_plugindir}/kio/videodvd.so
%dir %{_qt6_plugindir}/k3b_plugins
%dir %{_qt6_plugindir}/k3b_plugins/kcms/
%{_qt6_plugindir}/k3b_plugins/kcms/kcm_k3bexternalencoder.so
%{_qt6_plugindir}/k3b_plugins/kcms/kcm_k3blameencoder.so
%{_qt6_plugindir}/k3b_plugins/kcms/kcm_k3boggvorbisencoder.so
%{_qt6_plugindir}/k3b_plugins/kcms/kcm_k3bsoxencoder.so
%{_qt6_plugindir}/k3b_plugins/k3baudiometainforenamerplugin.so
%{_qt6_plugindir}/k3b_plugins/k3baudioprojectcddbplugin.so
%{_qt6_plugindir}/k3b_plugins/k3bexternalencoder.so
%{_qt6_plugindir}/k3b_plugins/k3bffmpegdecoder.so
%{_qt6_plugindir}/k3b_plugins/k3bflacdecoder.so
%{_qt6_plugindir}/k3b_plugins/k3blameencoder.so
%{_qt6_plugindir}/k3b_plugins/k3blibsndfiledecoder.so
%{_qt6_plugindir}/k3b_plugins/k3bmaddecoder.so
%{_qt6_plugindir}/k3b_plugins/k3bmpcdecoder.so
%{_qt6_plugindir}/k3b_plugins/k3boggvorbisdecoder.so
%{_qt6_plugindir}/k3b_plugins/k3boggvorbisencoder.so
%{_qt6_plugindir}/k3b_plugins/k3bsoxencoder.so
%{_qt6_plugindir}/k3b_plugins/k3bwavedecoder.so
%{_kf6_applicationsdir}/org.kde.k3b.desktop
%{_kf6_metainfodir}/org.kde.k3b.appdata.xml
%{_kf6_datadir}/kio/servicemenus/k3b_create_audio_cd.desktop
%{_kf6_datadir}/kio/servicemenus/k3b_create_data_project.desktop
%{_kf6_datadir}/kio/servicemenus/k3b_create_video_cd.desktop
%{_kf6_datadir}/kio/servicemenus/k3b_write_bin_image.desktop
%{_kf6_datadir}/kio/servicemenus/k3b_write_iso_image.desktop
%{_kf6_datadir}/mime/packages/x-k3b.xml
%{_kf6_datadir}/knsrcfiles/k3btheme.knsrc
%{_kf6_datadir}/k3b/
%{_kf6_datadir}/konqsidebartng/virtual_folders/services/videodvd.desktop
%{_kf6_datadir}/solid/actions/*.desktop
%{_kf6_knotificationsdir}/k3b.notifyrc
%{_kf6_iconsdir}/hicolor/*/*/*k3b.*
%{_kf6_libexecdir}/kauth/k3bhelper
%{_kf6_datadir}/dbus-1/system.d/org.kde.k3b.conf
%{_kf6_datadir}/polkit-1/actions/org.kde.k3b.policy
%{_kf6_datadir}/dbus-1/system-services/org.kde.k3b.service

#------------------------------------------------

%define libk3b_major 8
%define libk3b %mklibname k3blib %{libk3b_major}

%package -n     %{libk3b}
Summary:        K3B core library
Group:          System/Libraries

%description -n %{libk3b}
K3B core library.

%files -n %{libk3b}
%{_kf6_libdir}/libk3blib.so.%{libk3b_major}{,.*}

#------------------------------------------------

%define libk3bdevice_major 8
%define libk3bdevice %mklibname k3bdevice %{libk3bdevice_major}

%package -n     %{libk3bdevice}
Summary:        K3B core library
Group:          System/Libraries

%description -n %{libk3bdevice}
K3B core library.

%files -n %{libk3bdevice}
%{_kf6_libdir}/libk3bdevice.so.%{libk3bdevice_major}{,.*}

#------------------------------------------------

%package        devel
Group:          Development/KDE and Qt
Summary:        Development libraries from %{name}
Requires:       %{libk3bdevice} = %{epoch}:%{version}-%{release}
Requires:       %{libk3b} = %{epoch}:%{version}-%{release}

%description    devel
Development libraries from %{name}.

%files devel
%_includedir/*.h
%{_kf6_libdir}/libk3blib.so
%{_kf6_libdir}/libk3bdevice.so

#------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DK3B_ENABLE_PERMISSION_HELPER=ON \
           -DWITH_NEW_SOLID_JOB=OFF
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html --all-name
