Name:		k4dirstat
Version:	3.4.3
Release:	%mkrel 2
Summary:	Graphical Disk Usage Utility
License:	GPLv2 and LGPLv2
Group:		File tools
Url:		https://github.com/jeromerobert/k4dirstat
Source0:	https://github.com/jeromerobert/k4dirstat/archive/%{version}/%{name}-%{version}.tar.gz
# mga#33451
Patch0:		k4dirstat-fix-menu-entry-on-wayland.patch

BuildRequires:	kf5-rpm-macros
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)

BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5XmlGui)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5JobWidgets)
BuildRequires:	cmake(KF5IconThemes)

BuildRequires:	pkgconfig(zlib)

%description
K4DirStat (KDE Directory Statistics) is a small utility program that sums up
disk usage for directory trees, very much like the Unix 'du' command. It
displays the disk space used up by a directory tree, both numerically and
graphically.

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html

%files -f %{name}.lang
%doc AUTHORS CREDITS README.md
%license COPYING COPYING.LIB
%{_kf5_bindir}/%{name}
%{_kf5_applicationsdir}/%{name}.desktop
%{_kf5_datadir}/config.kcfg/%{name}.kcfg
%{_kf5_iconsdir}/hicolor/*/apps/%{name}.*
%{_kf5_mandir}/man1/%{name}.1*
