%define tftpbase tftpboot
%define dont_strip 1

Release:        %mkrel 14
Version:        0.94.4
Summary:        Ka-deploy cluster installation solution
Name:           ka-deploy
License:        GPLv2
Group:          System/Cluster
Url:            https://kadeploy.imag.fr/
Source:         %{name}-%{version}.tar.bz2
Patch0:         ka-deploy_dont_use_m32.patch
Patch1:         ka-deploy-mga-honor-cflags.patch
Patch2:         ka-deploy-werror.patch
BuildRequires:  glibc-static-devel

%description
Ka-deploy is a tool for cloning large numbers of machines on a cluster.

%package server
Summary:        Ka-deploy cluster installation solution - server host side
Group:          System/Cluster
License:        GPLv2
Requires:       coreutils
Requires:       bind-utils
%ifarch %ix86 x86_64
Requires:       syslinux >= 1.67
%endif
Requires:       clusterscripts-server-pxe
Obsoletes:      ka-deploy-server-host

%description server
Ka-deploy is a tool for cloning large numbers of machines on a cluster.
This package is to be installed on a server.

%package source-node
Summary:        Ka-deploy cluster installation solution - source node side
Group:          System/Cluster
License:        GPLv2
Requires:       coreutils

%description source-node
Ka-deploy is a tool for cloning large numbers of machines on a cluster.
This package is to be installed on the source node.

%prep
%setup -q
%ifarch %mips %arm aarch64
%patch -P 0 -p1 -b .m32
%else
%patch -P 1 -p1 -b .cflags
%endif
%patch -P 2 -p1 -b .werror

%build
# remove all the CVS directories
rm -rf `find -type d -name "CVS"`

# compile
%__make -C src RH_FLAGS="%{optflags} -Wno-error=parentheses"

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ka

install -m 755 src/ka-d-server $RPM_BUILD_ROOT%{_bindir}/ka-d-server
install -m 755 src/ka-d-client $RPM_BUILD_ROOT%{_bindir}/ka-d-client
install -m 755 scripts/ka-d.sh $RPM_BUILD_ROOT%{_bindir}/ka-d.sh
install -m 755 scripts/bootable_flag.sh $RPM_BUILD_ROOT%{_bindir}/
install -m 755 scripts/fdisk_to_desc $RPM_BUILD_ROOT%{_bindir}/
install -m 755 scripts/gen_modprobe_conf.pl $RPM_BUILD_ROOT%{_bindir}/
install -m 755 scripts/ka-d.sh $RPM_BUILD_ROOT%{_bindir}/
install -m 755 scripts/ka_replication.sh $RPM_BUILD_ROOT%{_bindir}/
install -m 755 scripts/make_initrd_grub $RPM_BUILD_ROOT%{_bindir}/
install -m 755 scripts/make_initrd_lilo $RPM_BUILD_ROOT%{_bindir}/
install -m 755 scripts/prepare_node.sh $RPM_BUILD_ROOT%{_bindir}/
install -m 755 scripts/send_status.pl $RPM_BUILD_ROOT%{_bindir}/
install -m 755 scripts/status_node.pl $RPM_BUILD_ROOT%{_bindir}/
install -m 755 scripts/store_log.sh $RPM_BUILD_ROOT%{_bindir}/
install -m 755 scripts/udev_creation.sh $RPM_BUILD_ROOT%{_bindir}/
install -m 755 scripts/replication.conf $RPM_BUILD_ROOT%{_sysconfdir}/ka

install -m 644 doc/ka-d.1 $RPM_BUILD_ROOT%{_mandir}/man1/ka-d.1
install -m 644 doc/ka-deploy.1 $RPM_BUILD_ROOT%{_mandir}/man1/ka-deploy.1
ln -s ka-d.1 $RPM_BUILD_ROOT%{_mandir}/man1/ka-d.sh.1
ln -s ka-deploy.1 $RPM_BUILD_ROOT%{_mandir}/man1/ka-d-server.1
ln -s ka-deploy.1 $RPM_BUILD_ROOT%{_mandir}/man1/ka-d-client.1


%files server
%doc README BUGS doc


%files source-node
%doc doc/duplication.html
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/ka
%{_mandir}/man1/ka-d*
%{_datadir}/%{name}-%{version}/
