#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%bcond_without qt5

%define rel 1

Summary:        Small system to administer web accounts across the KDE desktop
Name:           kaccounts-integration
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://apps.kde.org/categories/internet/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6Declarative)
BuildRequires:  cmake(KF6Wallet)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Package)

BuildRequires:  cmake(SignOnQt6)
BuildRequires:  cmake(AccountsQt6)
BuildRequires:  cmake(QCoro6)

%if %{with qt5}
BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Widgets)

BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5Wallet)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Package)

BuildRequires:  cmake(SignOnQt5)
BuildRequires:  cmake(AccountsQt5)
BuildRequires:  cmake(QCoro5)
%endif

Requires:       %{name}-i18n >= %{version}
# add some required packages,
# see mga#17528#c83
Requires:       signon-plugin-oauth2
Requires:       signon-kwallet-extension
# see mga#25441#c9
Requires:       signond
Requires:       kaccounts-providers
Requires:       accounts-qml-module


%description
Small system to administer web accounts across the KDE desktop.

%files
%_kf6_categoriesdir/kaccounts.categories
%_qt6_plugindir/plasma/kcms/systemsettings/kcm_kaccounts.so
%_kf6_plugindir/kded/kded_accounts.so
%_qt6_plugindir/kaccounts/daemonplugins/kaccounts_kio_webdav_plugin.so
%_kf6_qmldir/org/kde/kaccounts/
%_kf6_applicationsdir/kcm_kaccounts.desktop

#--------------------------------------------------------------------

%package i18n
Summary:        Translation files for %{name}
Group:          System/Libraries
BuildArch:      noarch

# ease upgrade mga9 -> mga10
Conflicts:      kaccounts-integration < 24.01.85-2

%description i18n
This package contains translation files for %{name}.

%files i18n -f %{name}.lang

#------------------------------------------------

%define kaccounts6_major 2
%define libkaccounts6 %mklibname kaccounts6_ %{kaccounts6_major}

%package -n %libkaccounts6
Summary:        Small system to administer web accounts across the KDE desktop (Qt6)
Group:          System/Libraries
#Requires:       %%{name} >= %%{version}-%%{release}

%description -n %libkaccounts6
Small system to administer web accounts across the KDE desktop.

%files -n %libkaccounts6
%_kf6_libdir/libkaccounts6.so.%{kaccounts6_major}
%_kf6_libdir/libkaccounts6.so.%{version}

#--------------------------------------------------------------------

%define kaccounts6_devel %mklibname kaccounts6 -d

%package -n %kaccounts6_devel
Summary:        Devel stuff for %name (Qt6)
Group:          Development/KDE and Qt
#Requires:       %%name = %%version-%%release
Requires:       %libkaccounts6 = %version-%release
Provides:       %name-devel = %{version}-%{release}
Provides:       %name-qt6-devel = %{version}-%{release}

%description -n %kaccounts6_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kaccounts6_devel
%_includedir/KAccounts6/
%_kf6_libdir/cmake/KAccounts6/
%_kf6_libdir/libkaccounts6.so

#--------------------------------------------------------------------
%if %{with qt5}

%package -n %{name}-qt5
Summary:        Small system to administer web accounts across the KDE desktop (Qt5)
Group:          System/Libraries
Requires:       %{name}-i18n >= %{version}

%description -n %{name}-qt5
Small system to administer web accounts across the KDE desktop.

%files -n %{name}-qt5
%_kf5_categoriesdir/kaccounts.categories
%_kf5_qmldir/org/kde/kaccounts/

#--------------------------------------------------------------------

%define kaccounts5_major 2
%define libkaccounts5 %mklibname kaccounts %{kaccounts5_major}

%package -n %libkaccounts5
Summary:        Small system to administer web accounts across the KDE desktop (Qt5)
Group:          System/Libraries

%description -n %libkaccounts5
Small system to administer web accounts across the KDE desktop.

%files -n %libkaccounts5
%_kf5_libdir/libkaccounts.so.%{kaccounts5_major}
%_kf5_libdir/libkaccounts.so.%{version}

#--------------------------------------------------------------------

%define kaccounts_devel %mklibname kaccounts -d

%package -n %kaccounts_devel
Summary:        Devel stuff for %name (Qt5)
Group:          Development/KDE and Qt
Requires:       %libkaccounts5 = %version-%release
Provides:       %name-qt5-devel = %{version}-%{release}

%description -n %kaccounts_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kaccounts_devel
%_includedir/KAccounts/
%_kf5_libdir/cmake/KAccounts/
%_kf5_libdir/libkaccounts.so

%endif
#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
mkdir %{name}_qt5 %{name}_qt6

%if %{with qt5}
pushd %{name}_qt5
%cmake_kf5 -DKF6_COMPAT_BUILD=ON -S ..
%cmake_build
popd
%endif

pushd %{name}_qt6
%cmake_kf6 -S ..
%cmake_build
popd

%install
%if %{with qt5}
pushd %{name}_qt5
%cmake_install
popd
%endif

pushd %{name}_qt6
%cmake_install
popd

%find_lang %{name} --all-name --with-html
