#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Additional service providers for KAccounts framework
Name:           kaccounts-providers
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/applications/internet/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
%ifnarch %{ix86} %{arm32}
BuildRequires:  cmake(Qt6WebEngineWidgets)
%endif

BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Declarative)
BuildRequires:  cmake(KF6Package)

BuildRequires:  cmake(KAccounts6)
BuildRequires:  cmake(QCoro6)
BuildRequires:  intltool

%ifarch aarch64 x86_64
Requires:       signon-ui
%endif
# google provider
Requires:       signon-plugin-oauth2


%description
Additional service providers for KAccounts framework.

%files -f %name.lang
%dir %_kf6_sysconfdir/signon-ui
%dir %_kf6_sysconfdir/signon-ui/webkit-options.d
%_kf6_sysconfdir/signon-ui/webkit-options.d/*
%dir %_kf6_datadir/accounts
%dir %_kf6_datadir/accounts/providers
%dir %_kf6_datadir/accounts/providers/kde
%dir %_kf6_datadir/accounts/services
%dir %_kf6_datadir/accounts/services/kde
%_kf6_datadir/accounts/providers/kde/google.provider
%_kf6_datadir/accounts/providers/kde/owncloud.provider
%_kf6_datadir/accounts/services/kde/owncloud-storage.service
%ifnarch %{ix86} %{arm32}
%_kf6_datadir/accounts/providers/kde/nextcloud.provider
%_kf6_datadir/accounts/services/kde/nextcloud-contacts.service
%_kf6_datadir/accounts/services/kde/nextcloud-storage.service
%_kf6_datadir/kpackage/genericqml/org.kde.kaccounts.nextcloud/
%_kf6_iconsdir/hicolor/scalable/apps/kaccounts-nextcloud.svg
%endif
%_qt6_plugindir/kaccounts/
%dir %_kf6_datadir/kpackage/genericqml
%_kf6_datadir/kpackage/genericqml/org.kde.kaccounts.owncloud/
%_kf6_iconsdir/hicolor/*/apps/kaccounts-owncloud.png

#--------------------------------------------------------------------

%prep
%autosetup -p1

sed -i 's|CONFIG REQUIRED Core Qml|CONFIG REQUIRED Core Qml Quick|' CMakeLists.txt

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
