#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%global __requires_exclude devel\\(libKF6
%define kontact_mobile 1
%define _cmake_skip_rpath %nil

%define rel 1

Name:           kaddressbook
Epoch:          2
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Address Book application to manage your contacts
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://kontact.kde.org
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6PrintSupport)

# Find KF6 package
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6DocTools)

# Find KdepimLibs Package
BuildRequires:  cmake(KPim6Akonadi)
BuildRequires:  cmake(KPim6KontactInterface)
BuildRequires:  cmake(KPim6Libkdepim)
BuildRequires:  cmake(KPim6LdapCore)
BuildRequires:  cmake(KPim6PimCommonAkonadi) >= 6.2.80
BuildRequires:  cmake(KPim6PimCommonActivities)
BuildRequires:  cmake(KPim6AkonadiSearch)
BuildRequires:  cmake(KPim6AkonadiContactWidgets)
BuildRequires:  cmake(KPim6GrantleeTheme)
BuildRequires:  cmake(KPim6AkonadiMime)
BuildRequires:  cmake(KF6CalendarCore)

BuildRequires:  cmake(KF6UserFeedback)

%ifarch aarch64 x86_64
Requires:       akonadi-kde
%endif
Requires:       kio6-ldap

Recommends:     %{name}-handbook


%description
KAddressBook stores all the personal details of your family, friends and other
contacts.

Features:
    - Imports and exports to nearly every address book standard
    - Reads .vcf format files, and can import and export vCards and csv format
      files
    - Can use multiple LDAPservers
    - Configurable filters and powerful search capabilities
    - Integrates with other Kontact components, e.g. exporting Birthday
      reminders to KOrganizer
    - Capable of groupware integration
    - Powered by Akonadi

%files -f %name.lang
%_kf6_categoriesdir/kaddressbook.*categories
%_kf6_bindir/kaddressbook
%_kf6_datadir/kaddressbook
%_kf6_metainfodir/org.kde.kaddressbook.appdata.xml
%_kf6_applicationsdir/kaddressbook-importer.desktop
%_kf6_applicationsdir/kaddressbook-view.desktop
%_kf6_applicationsdir/org.kde.kaddressbook.desktop
%_qt6_plugindir/kaddressbookpart.so
%_qt6_plugindir/pim6/kcms/kaddressbook/
# Kontact integration
%_qt6_plugindir/pim6/kontact/kontact_kaddressbookplugin.so
%_kf6_iconsdir/hicolor/*/*/kaddressbook.*

#--------------------------------------------------------------------

%define addressbookprivate_major 6
%define libkaddressbookprivate %mklibname kaddressbookprivate %addressbookprivate_major

%package -n %libkaddressbookprivate
Summary:        KDEPIM library
Group:          System/Libraries

%description -n %libkaddressbookprivate
KDEPIM library.

%files -n %libkaddressbookprivate
%_kf6_libdir/libkaddressbookprivate.so.%{addressbookprivate_major}{,.*}

#--------------------------------------------------------------------

%define addressbookimportexport_major 6
%define libkpimaddressbookimportexport %mklibname kpim6addressbookimportexport %{addressbookimportexport_major}

%package -n %libkpimaddressbookimportexport
Summary:        This module contains mail-related KPim Addressbook Import Export libraries
Group:          System/Libraries

Requires:       %name >= %epoch:%version

%description -n %libkpimaddressbookimportexport
This module contains mail-related KPim Addressbook Import Export libraries.

%files -n %libkpimaddressbookimportexport
%_kf6_libdir/libKPim6AddressbookImportExport.so.%{addressbookimportexport_major}{,.*}

#--------------------------------------------------------------------

%define kpimaddressbookimportexport_devel %mklibname kpim6addressbookimportexport -d

%package -n %kpimaddressbookimportexport_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkpimaddressbookimportexport = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

# it replace now kdepim-apps-libs pkg
Provides:       kdepim-apps-libs-devel = %epoch:%{version}-%{release}

%description -n %kpimaddressbookimportexport_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kpimaddressbookimportexport_devel
%_includedir/KPim6/KAddressBookImportExport/
%_kf6_libdir/libKPim6AddressbookImportExport.so
%_kf6_libdir/cmake/KPim6AddressbookImportExport/

#--------------------------------------------------------------------

%package handbook
Summary:        Kaddressbook Handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides Kaddressbook handbook.

%files handbook
%license LICENSES/*.txt
%_kf6_docdir/HTML/*/kaddressbook/

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install
%find_lang %name --all-name
