Name:		kaffeine
Version:	2.0.19
Release:	%mkrel 1
Summary:	Media Player for Plasma
Group:		Graphical desktop/KDE
License:	GPLv2+
Url:		https://apps.kde.org/kaffeine/
#Source0:	https://download.kde.org/stable/kaffeine/%%{name}-%%{version}.tar.xz
Source0:	%{name}-v%{version}.tar.gz
BuildRequires:	pkgconfig(libdvbv5)
BuildRequires:	pkgconfig(libvlc)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xscrnsaver)

BuildRequires:	kf5-rpm-macros
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5DBusAddons)
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5IconThemes)
BuildRequires:	cmake(KF5IdleTime)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5Notifications)
BuildRequires:	cmake(KF5Solid)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	cmake(KF5XmlGui)

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(phonon4qt5)

Requires:	qt5-database-plugin-sqlite
Requires:	vlc-plugin-common
Recommends:	%{name}-handbook

%description
Kaffeine is a Plasma Multi Engine Media Player.
What makes it different from the others is its excellent support of
digital TV (DVB). Kaffeine has user-friendly interface, so that even
first time users can start immediately playing their movies: from DVD
(including DVD menus, titles, chapters, etc.), VCD, or a file.

%files -f %{name}.lang
%{_kf5_bindir}/kaffeine
%{_kf5_datadir}/%{name}/
%{_kf5_datadir}/solid/actions/*.desktop
%{_kf5_iconsdir}/*/*/*/*
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf5_mandir}/man1/%{name}.1.*

#--------------------------------------------------------------------

%package	handbook
Summary:	Kaffeine Handbook
Group:		Documentation
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}

%description	handbook
This package provides Kaffeine handbook.

%files handbook
%{_kf5_docdir}/HTML/*/kaffeine/

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang %{name} --with-man
