#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

Name:           kaidan
Version:        0.12.2
Release:        %mkrel 1
Summary:        A user-friendly XMPP client for every device
License:        GPLv3+ with OpenSSL exception and MIT and CC-BY-SA-3.0
Group:          Graphical desktop/KDE
URL:            https://www.kaidan.im/
Source0:        https://download.kde.org/unstable/kaidan/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Positioning)
BuildRequires:  cmake(Qt6Location)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6Prison)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6KirigamiAddons)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6QQC2DesktopStyle)

BuildRequires:  cmake(KDSingleApplication-qt6)
BuildRequires:  pkgconfig(QXmppQt6)
BuildRequires:  pkgconfig(icu-uc)

Requires:       kirigami
Requires:       kirigami-addons
Requires:       kquickimageeditor

%description
Kaidan is a simple, user-friendly Jabber/XMPP client providing a modern user
interface using Kirigami and QtQuick. The back-end of Kaidan is
written in C++ using the QXmpp XMPP client library and Qt5.

%files -f %{name}.lang
%doc NEWS.md README.md
%license LICENSES/*
%{_kf6_categoriesdir}/kaidan.categories
%{_kf6_bindir}/%{name}
%{_kf6_datadir}/%{name}/
%{_kf6_applicationsdir}/im.kaidan.kaidan.desktop
%{_kf6_metainfodir}/im.kaidan.kaidan.appdata.xml
%{_kf6_knotificationsdir}/%{name}.notifyrc
%{_kf6_iconsdir}/hicolor/*/apps/%{name}.png
%{_kf6_iconsdir}/hicolor/*/apps/%{name}.svg

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install

%find_lang %{name} --with-qt
