#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define __python %{__python3}

%define rel 1

Name:           kajongg
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Majongg game for KDE
Group:          Games/Boards
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://apps.kde.org/kajongg/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz
Patch0:         kajongg-22.12.0-fix-path.patch
BuildArch:      noarch

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6SvgWidgets)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KMahjongglib6)

BuildRequires:  python3dist(twisted) >= 16.6.0
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(sqlite3)

Requires:       python3-qt6-core
Requires:       python3-qt6-gui
Requires:       python3-qt6-svg
Requires:       python3-qt6-widgets
Requires:       python3dist(qtpy)
Requires:       python3dist(twisted) >= 16.6.0
Requires:       qt6-database-plugin-sqlite
Requires:       kmahjongglib
# kajongg needed ogg123 @ runtime
Requires:       vorbis-tools
Recommends:     kajongg-handbook


%description -n kajongg
Kajongg is the ancient Chinese board game for 4 players.

Kajongg can be used in two different ways: Scoring a manual game where you play
as always and use Kajongg for the computation of scores and for bookkeeping. Or
you can use Kajongg to play against any combination of other human players or
computer players.

%files -n kajongg -f %name.lang
%_kf6_bindir/kajongg
%_kf6_bindir/kajonggserver
%_kf6_metainfodir/org.kde.%{name}.appdata.xml
%_kf6_applicationsdir/org.kde.%{name}.desktop
%_kf6_datadir/kajongg/
%_kf6_iconsdir/hicolor/*/*/*kajongg*

#------------------------------------------------------------------------------

%package -n     kajongg-handbook
Summary:        kajongg handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kajongg >= %{epoch}:%{version}-%{release}

%description -n kajongg-handbook
This package provides the kajongg handbook.

%files -n kajongg-handbook
%_kf6_docdir/HTML/*/kajongg

#------------------------------------------------------------------------------


%prep
%setup -q
%autopatch -p1

%build
# TODO:Workaround for kde#376303
export DESTDIR=%{buildroot}
%cmake_kf6
%cmake_build

%install
# TODO:fix build
mkdir -p %{buildroot}%{_kf6_bindir}

%cmake_install
%find_lang %name --all-name
