#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:          kalarm
Epoch:         2
Version: 25.04.0
Release:       %mkrel %{rel}
Summary:       Application to manage alarms and other timer based alerts for the desktop
Group:         Graphical desktop/KDE
License:       GPLv2
URL:           https://apps.kde.org/kalarm/
Source0:       https://download.kde.org/stable/release-service/%{version}/src/%name-%{version}.tar.xz

BuildRequires: kf6-rpm-macros

#QT6 package
BuildRequires: cmake(Qt6DBus)
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6Network)
BuildRequires: cmake(Qt6Widgets)

#KF6 package
BuildRequires: cmake(KF6CalendarCore)
BuildRequires: cmake(KF6Codecs)
BuildRequires: cmake(KF6Completion)
BuildRequires: cmake(KF6Config)
BuildRequires: cmake(KF6ConfigWidgets)
BuildRequires: cmake(KF6Contacts)
BuildRequires: cmake(KF6Crash)
BuildRequires: cmake(KF6DBusAddons)
BuildRequires: cmake(KF6GlobalAccel)
BuildRequires: cmake(KF6GuiAddons)
BuildRequires: cmake(KF6Holidays)
BuildRequires: cmake(KF6I18n)
BuildRequires: cmake(KF6ItemModels)
BuildRequires: cmake(KF6JobWidgets)
BuildRequires: cmake(KF6KIO)
BuildRequires: cmake(KF6Notifications)
BuildRequires: cmake(KF6NotifyConfig)
BuildRequires: cmake(KF6Service)
BuildRequires: cmake(KF6WidgetsAddons)
BuildRequires: cmake(KF6WindowSystem)
BuildRequires: cmake(KF6XmlGui)
BuildRequires: cmake(KF6TextWidgets)
BuildRequires: cmake(KF6StatusNotifierItem)
BuildRequires: cmake(KF6IconThemes)
BuildRequires: cmake(KF6DocTools)
BuildRequires: cmake(KF6TextEditTextToSpeech)


#KdepimLibs Package
BuildRequires: cmake(KPim6CalendarUtils)
BuildRequires: cmake(KPim6IdentityManagementWidgets)
BuildRequires: cmake(KPim6Mime)
BuildRequires: cmake(KPim6Akonadi)
BuildRequires: cmake(KPim6AkonadiContactWidgets)
BuildRequires: cmake(KPim6AkonadiMime)
BuildRequires: cmake(KPim6MailTransport)

BuildRequires: pkgconfig(libvlc)
BuildRequires: pkgconfig(mpv)

%ifarch aarch64 x86_64
Requires:      akonadi-kde
%endif

Obsoletes:     kalarmcal < 2:22.08.0
Provides:      kalarmcal = %epoch:%version-%release

%description
KAlarm is a personal alarm message, command and email scheduler. It lets you
set up personal alarm messages which pop up on the screen at the chosen time,
or you can schedule commands to be executed or emails to be sent.

%files -f %name.lang
%_kf6_categoriesdir/kalarm.*categories
%_kf6_bindir/kalarm
%_kf6_bindir/kalarmautostart
%_kf6_libexecdir/kauth/kalarm_helper
%_kf6_applicationsdir/org.kde.kalarm.desktop
%_kf6_metainfodir/org.kde.kalarm.appdata.xml
%_kf6_datadir/kalarm/
%_kf6_sysconfdir/xdg/autostart/kalarm.autostart.desktop
%_kf6_datadir/dbus-1/interfaces/org.kde.kalarm.kalarm.xml
%_kf6_datadir/dbus-1/system.d/org.kde.kalarm.rtcwake.conf
%_kf6_datadir/dbus-1/system-services/org.kde.kalarm.rtcwake.service
%_kf6_datadir/polkit-1/actions/org.kde.kalarm.rtcwake.policy
%_kf6_datadir/config.kcfg/kalarmconfig.kcfg
%_kf6_datadir/kconf_update/kalarm.upd
%_kf6_knotificationsdir/kalarm.notifyrc
%_kf6_iconsdir/*/*/*/kalarm*.png
%_qt6_plugindir/pim6/kalarm/
%_kf6_libdir/kconf_update_bin/kalarm-*-run_mode

#------------------------------------------------------------------------------

%define kalarmplugin_major 6
%define libkalarmplugin %mklibname kalarmplugin %kalarmplugin_major

%package -n %libkalarmplugin
Summary:        KDEPIM library
Group:          System/Libraries

%description -n %libkalarmplugin
KDEPIM library.

%files -n %libkalarmplugin
%_kf6_libdir/libkalarmplugin.so.%{kalarmplugin_major}{,.*}

#--------------------------------------------------------------------

%define kf6alarmcalendar_major 6
%define libkf6alarmcalendar %mklibname kalarmcalendar %{kf6alarmcalendar_major}

%package -n %libkf6alarmcalendar
Summary:        The KAlarm client library
Group:          System/Libraries

%description -n %libkf6alarmcalendar
The KAlarm client library.

%files -n %libkf6alarmcalendar
%_kf6_libdir/libkalarmcalendar.so.%{kf6alarmcalendar_major}{,.*}

#--------------------------------------------------------------------


%package -n kalarm-handbook
Summary:        Kalarm handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kalarm >= %{epoch}:%{version}-%{release}

%description -n kalarm-handbook
This package provides kalarm handbook.

%files -n kalarm-handbook
%_kf6_docdir/HTML/*/kalarm

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install
%find_lang %name
