%define major 5
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

%define commit  2b69aed630e26fb2c700bba8c45f3bd012371c5c
%define date    20231220

Name:           kaldi-vosk
Version:        git%{date}
Release:        %mkrel 3
Summary:        Speech Recognition Toolkit
Group:          Sciences/Mathematics

License:        ASL 2.0
URL:            https://github.com/alphacep/kaldi
Source0:        https://github.com/alphacep/kaldi/archive/%{commit}.tar.gz
Patch101:       kaldi-no-armv7-neon.patch
# CMake build fixes
Patch201:	0001-Fix-linking.patch
Patch202:	0002-Skip-RPATH.patch
Patch203:	0003-Fix-CMake-config-location.patch
Patch204:	0004-Add-lib-version.patch

BuildRequires:  openfst-devel
BuildRequires:  openblas-devel
BuildRequires:  glibc-devel
BuildRequires:  cmake


%description
Kaldi is a toolkit for speech recognition, intended for use by
speech recognition researchers and professionals.

%package -n  %{libname}
Summary:        Main library for kaldi
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Obsoletes:      %{_lib}kaldi-lookahead < 1.8.0-2
Obsoletes:      %{_lib}kaldi-vosk < git20231220-3

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with kaldi

%package -n  %{develname}
Summary:        Headers for kaldi
Group:          Development/C++
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{_lib}kaldi-lookahead-devel < 1.8.0-2
Conflicts:      %{_lib}kaldi-vosk < git20231220-3

%description -n %{develname}
This package contains headers for developing programs that will use kaldi

%prep
%autosetup -p1 -n kaldi-%{commit}

if [[ ! -f src/.version ]]; then
  echo "Fix %%kaldi_version"
  exit 1
fi

%build
%global kaldi_version $(cat src/.version)
%global kaldi_major $(echo %{kaldi_version} | cut -d. -f1)
%cmake \
  -DKALDI_VERSION:STRING="%{kaldi_version}" \
  -DKALDI_MAJOR:STRING="%{kaldi_major}" \
  -DKALDI_BUILD_EXE:BOOL=OFF \
  -DKALDI_BUILD_TEST:BOOL=OFF
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license COPYING
%doc README.md
 %{_libdir}/libkaldi-*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/kaldi/
%{_libdir}/cmake/kaldi/
%{_libdir}/libkaldi-*.so
