#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kalgebra
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        MathML-based graph calculator
Group:          Sciences/Mathematics
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://apps.kde.org/kalgebra/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

# Branch patches 100->200

# Trunk patches 200->300

# Mageia patches 500->600

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6OpenGLWidgets)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Core5Compat)
%ifarch aarch64 x86_64
BuildRequires:  cmake(Qt6WebEngineWidgets)
%endif

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(Plasma)
BuildRequires:  cmake(Analitza6)

BuildRequires:  pkgconfig(readline)
BuildRequires:  pkgconfig(glu)

Requires:       analitza
Requires:       kirigami

Recommends:     kalgebra-handbook


%description
KAlgebra is a mathematical calculator based on the content markup language
MathML. It is capable of making simple MathML operations
(arithmetic and logical), and representing 2D and 3D graphs. It is
actually not necessary to know MathML to use KAlgebra.

%files -f %name.lang
%_kf6_bindir/calgebra
%ifarch aarch64 x86_64
%_kf6_bindir/kalgebra
%_kf6_applicationsdir/org.kde.kalgebra.desktop
%_kf6_datadir/katepart5/syntax/kalgebra.xml
%_kf6_metainfodir/org.kde.kalgebra.appdata.xml
%endif
%_kf6_datadir/plasma/plasmoids/org.kde.graphsplasmoid/
%_kf6_bindir/kalgebramobile
%_kf6_applicationsdir/org.kde.kalgebramobile.desktop
%_kf6_iconsdir/*/*/apps/kalgebra.*
%_kf6_metainfodir/org.kde.graphsplasmoid.appdata.xml
%_kf6_metainfodir/org.kde.kalgebramobile.appdata.xml

#------------------------------------------------------------------------------

%package handbook
Summary:        kalgebra handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides kalgebra handbook.

%files handbook
%doc %_kf6_docdir/HTML/*/kalgebra

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %name --all-name
