#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kalm
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Breathing techniques helper
License:        LGPL-2.1-or-later
Group:          Graphical desktop/KDE
URL:            https://apps.kde.org/kalm
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6KirigamiAddons)
BuildRequires:  cmake(KF6QQC2DesktopStyle)

Requires:       kirigami
Requires:       kirigami-addons
Requires:       qqc2-desktop-style


%description
Kalm can teach you different breathing techniques.

%files -f %{name}.lang
%license LICENSES/*
%doc README.md
%{_kf6_bindir}/kalm
%{_kf6_applicationsdir}/org.kde.kalm.desktop
%{_kf6_metainfodir}/org.kde.kalm.appdata.xml
%{_kf6_iconsdir}/hicolor/scalable/apps/org.kde.kalm.svg

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name
