#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#
# workaround for bz#1546230
# ocaml doesn't support relocation
%undefine _hardened_build

# filter out some bogus dependencies
%global __requires_exclude ^devel\\(libAvogadro*

%define eigen_version 2.91.0
%define rel 1

Name:           kalzium
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Shows the periodic system of the elements
Group:          Sciences/Chemistry
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://apps.kde.org/kalzium/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%name-%version.tar.xz
#Branch patchs 100->200

#Trunk Patchs 200->300

#Mageia Patchs 500->600
Patch500:       kalzium-fPIC.patch

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6OpenGL)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6StateMachine)
BuildRequires:  cmake(Qt6Xml)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6Plotting)
BuildRequires:  cmake(KF6UnitConversion)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6NewStuff)

BuildRequires:  cmake(AvogadroLibs)
BuildRequires:  pkgconfig(eigen3) >= %eigen_version
BuildRequires:  pkgconfig(openbabel-3)
BuildRequires:  ocaml
BuildRequires:  facile
BuildRequires:  chemical-mime-data

Requires:       openbabel
Requires:       chemical-mime-data
Recommends:     kalzium-handbook


%description
Kalzium is an application which will show you some information about the
periodic system of the elements. Therefore you could use it as an
information database.

%files -f %name.lang
%_kf6_categoriesdir/kalzium.categories
%_kf6_bindir/%{name}
%_kf6_datadir/%{name}/
%_kf6_iconsdir/hicolor/*/apps/kalzium.png
%_kf6_iconsdir/hicolor/scalable/apps/kalzium.svgz
%_kf6_datadir/config.kcfg/%{name}.kcfg
%_kf6_applicationsdir/org.kde.%{name}.desktop
%_kf6_metainfodir/org.kde.%{name}.appdata.xml
%_kf6_applicationsdir/org.kde.%{name}_cml.desktop
%_kf6_datadir/libkdeedu/

#------------------------------------------------------------------------------

%package handbook
Summary:        Kalzium handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kalzium >= %{version}-%{release}

%description handbook
This package provides kalzium handbook and mandir.

%files handbook
%_kf6_docdir/HTML/*/%{name}/
%_kf6_mandir/man1/%{name}.1.*

#------------------------------------------------------------------------------

%define science_major 5
%define libscience %mklibname science %science_major

%package -n %libscience
Summary:        Runtime library for KDE Education Application
Group:          System/Libraries

%description -n %libscience
libscience is a library that provides classes for chemical data.This library is
mainly used by kalzium.

%files -n %libscience
%_kf6_libdir/libscience.so.%{science_major}{,.*}

#------------------------------------------------------------------------------

%package devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       cmake(AvogadroLibs)
Requires:       pkgconfig(eigen3) >= %eigen_version
Requires:       pkgconfig(openbabel-3)
Requires:       %libscience = %version-%release

%description  devel
Files needed to build applications based on %{name}.

%files devel
%_includedir/libkdeedu/
%_kf6_libdir/libscience.so

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%cmake_install
%find_lang %name --all-name
