#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kamera
Summary:        Kamera ioslave
Epoch:          2
Version: 25.04.0
Release:        %mkrel %{rel}
Group:          Video/Utilities
License:        GPLv2 and GFDL
URL:            https://apps.kde.org/kamera/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz
# Branch Patch (100-200)

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Core)

BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  pkgconfig(libgphoto2)

Recommends:     %{name}-handbook


%description
KDE integration for gphoto2 cameras.

%files -f %name.lang
%license LICENSES/
%_kf6_categoriesdir/kamera.categories
%_qt6_plugindir/plasma/kcms/systemsettings_qwidgets/kcm_kamera.so
%_kf6_datadir/solid/actions/solid_camera.desktop
%_kf6_metainfodir/org.kde.kamera.metainfo.xml
%_kf6_plugindir/kio/kio_kamera.so
%_kf6_applicationdir/kcm_kamera.desktop

#------------------------------------------------------------------------------

%package handbook
Summary:        Kamera Handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides Kamera handbook.

%files handbook
%doc LICENSES/
%docdir %_kf6_docdir/HTML/
%_kf6_docdir/HTML/*/kcontrol/kamera

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name --all-name
