Name:           kamerka
Version:        0.20
Release:        %mkrel 3
Summary:        Take photos using your webcam and shiny animated QML interface
Group:          Graphics/Utilities
License:        GPLv2+
Url:            https://dos1.github.io/kamerka/
Source0:        https://github.com/dos1/kamerka/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5QuickWidgets)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  pkgconfig(phonon4qt5)

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KDELibs4Support)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5WidgetsAddons)

BuildRequires:  gettext
BuildRequires:  pkgconfig(libv4l2)
BuildRequires:  pkgconfig(libv4lconvert)
BuildRequires:  pkgconfig(qimageblitz5)

%description
Kamerka is a Qt5 app that uses KF5 libraries. It uses Video4Linux to get
image from a webcam and is able to save photos. The interface is based
on QML and uses its possibilities to show an easy-to-use animated UI.

%prep
%autosetup

%build
%cmake_kf5 -Wno-dev
%cmake_build

%install
%cmake_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_kf5_applicationsdir}/%{name}.desktop
%{_kf5_bindir}/%{name}
%{_kf5_datadir}/%{name}/
%{_kf5_datadir}/config.kcfg/%{name}.kcfg
%{_kf5_datadir}/pixmaps/%{name}.png
%{_kf5_mandir}/man1/%{name}.1*
%{_kf5_knotificationsdir}/%{name}.notifyrc
