#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kamoso
Summary:        Application to take pictures and videos out of your webcam
Version: 25.04.0
Release:        %mkrel %rel
Group:          Graphical desktop/KDE
License:        GPLv2
Url:            https://apps.kde.org/kamoso/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5OpenGL)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Test)

BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Purpose)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5Kirigami2)

# Runtime build dependencies
BuildRequires:  qtgraphicaleffects5
BuildRequires:  qtquickcontrols5

BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-base-1.0)
BuildRequires:  pkgconfig(gstreamer-video-1.0)

# required for fix launching kamoso (mga#18185)
Requires:       kf5-purpose
# runtime dependencies
Requires:       kf5-kirigami2
Requires:       qtgraphicaleffects5
Requires:       qtquickcontrols5

# required for video4linux2:  v4l2src plugin
Requires:       gstreamer1.0-plugins-good
# required for wrappercamerabinsrc plugin (mga#32457)
Requires:       gstreamer1.0-plugins-bad

%description
Kamoso is an application to take pictures and videos out of your webcam.

%files -f %{name}.lang
%doc AUTHORS
%_kf5_bindir/kamoso
%_kf5_libdir/gstreamer-1.0/gstkamosoqt5videosink.so
%_kf5_knotificationsdir/kamoso.notifyrc
%_kf5_applicationsdir/org.kde.kamoso.desktop
%_kf5_metainfodir/org.kde.kamoso.appdata.xml
%_kf5_iconsdir/*/*/*/*

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang %{name} --with-kde --with-html
