#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kanagram
Summary:        Word learning program
Version: 25.04.0
Release:        %mkrel %{rel}
Group:          Education
License:        GPLv2 and GFDL
URL:            https://apps.kde.org/kanagram/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

#Branch patchs 100->200

#Trunk Patchs 200->300

#Mageia Patchs 500->600

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6TextToSpeech)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6Sonnet)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(LibKEduVocDocument)

Recommends:     kanagram-handbook


%description
Kanagram is a replacement for KMessedWords. Kanagram mixes up the letters
of a word (creating an anagram), and you have to guess what the mixed up
word is. Kanagram features several built-in word lists, hints, and a cheat
feature which reveals the original word. Kanagram also has a vocabulary
editor, so you can make your own vocabularies, and distribute them through
Kanagram's KNewStuff download service.

%files -f %name.lang
%_kf6_bindir/kanagram
%_kf6_datadir/kanagram
%_kf6_iconsdir/*/*/apps/kanagram.*
%_kf6_iconsdir/*/*/apps/kanagram-*
%_kf6_applicationsdir/org.kde.kanagram.desktop
%_kf6_metainfodir/*.xml
%_kf6_datadir/config.kcfg/kanagram.kcfg
%_kf6_datadir/knsrcfiles/kanagram.knsrc

#------------------------------------------------------------------------------

%package        handbook
Summary:        Kanagram handbook
Group:          Documentation
BuildArch:      noarch

%description    handbook
This package provides kanagram handbook.

%files handbook
%doc %_kf6_docdir/HTML/*/kanagram

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%cmake_install

%find_lang %name
