#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kapman
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        A Pac-Man clone
Group:          Games/Arcade
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://apps.kde.org/kapman/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6SvgWidgets)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(KDEGames6)

Recommends:     kapman-handbook

%description
Kapman is a clone of the well known game Pac-Man.

You must run through the maze to eat all pills without being captured by a
ghost. By eating an energizer, Kapman gets the ability to eat ghosts for a few
seconds. When a stage is cleared of pills and energizer the player is taken to
the next stage with slightly increased game speed

%files -f %name.lang
%_kf6_bindir/kapman
%_kf6_applicationsdir/org.kde.kapman.desktop
%_kf6_datadir/kapman/
%_kf6_iconsdir/hicolor/*/apps/kapman.*
%_kf6_datadir/sounds/kapman
%_kf6_metainfodir/*.xml

#------------------------------------------------------------------------------

%package -n kapman-handbook
Summary:        Kapman handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kapman >= %{epoch}:%{version}-%{release}

%description -n kapman-handbook
This package provides the kapman handbook.

%files -n kapman-handbook
%_kf6_docdir/HTML/*/kapman

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
