#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kapptemplate
Summary:        Template for KDE Application Development
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://apps.kde.org/kapptemplate/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6KirigamiAddons)

Requires:       kirigami-addons


%description
KAppTemplate is a set of modular shell scripts that will create a
framework for any number of KDE application types. At its base
level, it handles creation of things like the automake/autoconf
framework, lsm files, RPM spec files, and po files. Then, there
are individual modules that allow you to create a skeleton KDE
application, a KPart application, a KPart plugin, or even convert
existing source code to the KDE framework.

%files -f %name.lang
%_kf6_categoriesdir/kapptemplate.*categories
%_kf6_bindir/kapptemplate
%_kf6_metainfodir/org.kde.kapptemplate.appdata.xml
%_kf6_applicationsdir/org.kde.kapptemplate.desktop
%_kf6_datadir/config.kcfg/kapptemplate.kcfg
%_kf6_iconsdir/hicolor/*/*/*
%_kf6_datadir/kdevappwizard

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install

%find_lang %name --with-html
