%define date       20180906
%if %{date}
%define release    %mkrel 9.git%{date}.%{rel}
%define tarballver %{commit}
%define tarballdir %{commit}
%define tarballgit +git%{date}
%define commit     54d919e37bfef1a51e5c9a723f9de80f767cb493
%else
%define release    %mkrel %{rel}
%define tarballver %{version}
%define tarballdir %{version}
%endif

%define rel 6

Name:           kaption
Version:        0.1.1
Release:        %{release}
Summary:        KDE screen capture editor and annotator
License:        GPLv2
Group:          Graphical desktop/KDE
# https://github.com/fdimuccio/kaption
Url:            https://kde-apps.org/content/show.php/Kaption?content=139302
# https://kde-apps.org/CONTENT/content-files/139302-%%{name}-%%{version}.tar.bz2
Source0:        https://github.com/fdimuccio/kaption/archive/%{tarballdir}/%{name}-%{version}%{?tarballgit}.tar.gz
# https://github.com/fdimuccio/kaption/issues/5
Patch0:         %{name}-0.1.1-mga-desktop-file.patch
Patch1:         %{name}-0.1.1-mga-use-ki18n_install-macro.patch
Patch2:         %{name}-0.1.1-mga-KF5Auth-is-required.patch
BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5Auth)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5GlobalAccel)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5JobWidgets)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5XmlGui)

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Widgets)

Requires:       plasma-workspace

%description
Kaption is an app that sits in the systray, left clicking the icon you
can capture a screen region to draw arrows, boxes and text on it,
than you can save the result.

Kaption is a KDE utility similar to Jing or Skitch (not yet as powerful as
them ;)).

%prep
%setup -q -n %{name}-%{tarballver}
%autopatch -p1

sed -ri '/find_package.*KF5XmlGui/afind_package(X11)' CMakeLists.txt

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS CHANGELOG README.md TODO
%license COPYING
%{_kf5_bindir}/%{name}
%{_kf5_applicationsdir}/%{name}.desktop
%{_kf5_datadir}/%{name}/
%{_kf5_datadir}/config.kcfg/%{name}.kcfg
