#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 1 addon with archive functions
Name:           karchive
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(bzip2)

%description
KDE Frameworks 6 Tier 1 addon with archive functions.

%files -f %{name}6_qt.lang
%_kf6_categoriesdir/karchive.*categories

#--------------------------------------------------------------------

%define karchive_major 6
%define libkarchive %mklibname kf6archive %{karchive_major}

%package -n %libkarchive
Summary:        KDE Frameworks 6 Tier 1 addon with archive functions
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkarchive
KDE Frameworks 6 Tier 1 addon with archive functions.

%files -n %libkarchive
%_kf6_libdir/libKF6Archive.so.%{karchive_major}{,.*}
%_kf6_libdir/libKF6Archive.so.%{version}

#--------------------------------------------------------------------

%define karchive_devel %mklibname kf6archive -d

%package -n %karchive_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkarchive = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %karchive_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %karchive_devel
%_kf6_includedir/KArchive/
%_kf6_libdir/cmake/KF6Archive/
%_kf6_libdir/libKF6Archive.so

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang_kf6 %{name}6_qt
