#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kasts
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Kirigami-based podcast player
License:        GPLv2 and GPLv2+ and GPLv3+ and BSD and LGPLv3+
Group:          Graphical desktop/KDE
Url:            https://apps.kde.org/kasts
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Keychain)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6Syndication)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ThreadWeaver)
BuildRequires:  cmake(KF6ColorScheme)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6BreezeIcons)
BuildRequires:  cmake(KF6KirigamiAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6WindowSystem)

BuildRequires:  pkgconfig(libvlc)
BuildRequires:  pkgconfig(taglib)

Requires:       kirigami
Requires:       kirigami-addons

%description
Kasts is a convergent podcast application.

Its main features are:
 - Episode management through play queue
 - Sync playback positions with other clients through gpodder.net or
   gpodder-nextcloud
 - Variable playback speed
 - Search for podcasts
 - Full system integration: e.g. inhibit system suspend while listening

%files -f %{name}.lang
%license LICENSES/*
%{_kf6_bindir}/%{name}
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_libdir}/libKMediaSession.so
%{_qt6_qmldir}/org/kde/kmediasession/
%{_kf6_iconsdir}/hicolor/scalable/apps/%{name}*.svg
%{_kf6_iconsdir}/hicolor/scalable/actions/media-playback-cloud.svg
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml

#------------------------------------------------------------------------------

%prep
%autosetup

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}
