Summary:	A tool for managing Anthy's dictionary
Name:		kasumi
Version:	2.5
Release:	%mkrel 10
Group:		System/Internationalization
License:	GPLv2+
URL:		https://osdn.net/projects/kasumi/
Source0:	https://acc.dl.osdn.jp/kasumi/41436/%name-%version.tar.gz
Patch0:		kasumi-2.3-fix-desktop-file.patch
Patch1:		kasumi-2.5-mga-external-gettext.patch
Requires:	anthy >= 6300
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(atk)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(anthy)
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	gettext-devel

%description
A tool for managing Anthy's Japanese dictionary.

%prep
%setup -q
%autopatch -p0

# make autoreconf more happy
sed -i -e 's,\(AM_GNU_GETTEXT.*\),\1\nAM_GNU_GETTEXT_REQUIRE_VERSION(\[0.19.8\]),' configure.in

%build
# fix build on aarch64
autoreconf -vfi

CXXFLAGS="%build_cxxflags -std=gnu++14" \
%configure
%make_build

%install
%make_install

# icons
mkdir -p %{buildroot}/%{_iconsdir}/hicolor/{16x16,32x32}/apps
cp %{buildroot}/%{_datadir}/pixmaps/%{name}.png %{buildroot}/%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 %{buildroot}/%{_datadir}/pixmaps/%{name}.png %{buildroot}/%{_iconsdir}/hicolor/16x16/apps/%{name}.png

%find_lang %{name}

# menu
desktop-file-install	--vendor="" \
			--dir %{buildroot}%{_datadir}/applications \
			--remove-category="Applications" \
			%{name}.desktop

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_bindir}/*
%{_datadir}/applications/kasumi.desktop
%{_datadir}/pixmaps/*.png
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/kasumi.1*


