#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 4

Summary:        C++ library for controlling asynchronous tasks
Name:           kasync
Version: 0.3.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/unstable/%{name}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Test)

BuildRequires:  kf5-macros

%description
C++ library for controlling asynchronous tasks.
KAsync helps writing composable asynchronous code using a
continuation based approach.

#------------------------------------------------------------------------------

%define kasync_major 0
%define libkasync %mklibname kasync %kasync_major

%package -n     %libkasync
Summary:        C++ library for controlling asynchronous tasks
Group:          System/Libraries

%description -n %libkasync
C++ library for controlling asynchronous tasks.
KAsync helps writing composable asynchronous code using a
continuation based approach.

%files -n %libkasync
%_kf5_libdir/libKAsync.so.%{kasync_major}{,.*}

#------------------------------------------------------------------------------

%define kasync_devel %mklibname kasync -d

%package -n     %kasync_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkasync = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kasync_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kasync_devel
%_includedir/KAsync/
%_includedir/kasync_version.h
%_kf5_libdir/libKAsync.so
%_kf5_libdir/cmake/KAsync/
%_kf5_mkspecsdir/qt_KAsync.pri

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_kf5_sysconfdir"
%cmake_build

%install
%cmake_install

