#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kate
Epoch:          2
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Advanced text editor
Group:          Editors
License:        GPLv2 and LGPLv2
URL:            https://apps.kde.org/kate/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

# Patches from branch 100->200:

# Patches from trunk 200->300

# Mageia Patches 300->400

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Keychain)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6TextEditor)
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6UserFeedback)

Requires:       konsole >= 1:%version
Requires:       ktexteditor
Recommends:     kate-handbook
Recommends:     ktexteditor-plugins
Requires:       kate-l10n-common = %{epoch}:%{version}-%{release}


%description
A multi-document, multi-view text editor for KDE.

%files -f %{name}-l10n.lang
%_kf6_bindir/kate
%_kf6_metainfodir/org.kde.kate.appdata.xml
%_kf6_applicationsdir/org.kde.kate.desktop
%_kf6_iconsdir/*/*/*/kate.*
%_kf6_datadir/kateproject/
%_kf6_datadir/katexmltools/

#------------------------------------------------------------------------------

%define kateprivate_major 25
%define libkateprivate %mklibname kateprivate %kateprivate_major

%package -n %libkateprivate
Summary:        A library for %name
Group:          System/Libraries

%description -n %libkateprivate
A library for %name.

%files -n %libkateprivate
%_kf6_libdir/libkateprivate.so.%{kateprivate_major}{,.*}

#------------------------------------------------------------------------------

%package handbook
Summary:        Kate handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kate >= %{epoch}:%{version}-%{release}

%description handbook
This package provides Kate handbook.

%files handbook
%doc %_kf6_docdir/HTML/*/kate
%doc %_kf6_docdir/HTML/*/katepart
%_kf6_mandir/man1/kate.1.*
%_kf6_mandir/*/man1/kate.1.*

#------------------------------------------------------------------------------

%package -n ktexteditor-plugins
Summary:        Ktexteditor interfaces
Group:          Graphical desktop/KDE
Provides:       kate-plugin-pate
Requires:       kate-l10n-common = %{epoch}:%{version}-%{release}

%description -n ktexteditor-plugins
The KTextEditor interfaces - also called KTE interfaces - are a set of
well-defined interfaces which an application or library can implement to
provide advanced plain text editing services.

%files -n ktexteditor-plugins
%_kf6_plugindir/ktexteditor/

#------------------------------------------------------------------------------

%package -n kwrite
Summary:        Simple text editor for Plasma
Group:          Editors
Requires:       ktexteditor
Requires:       kate-l10n-common = %{epoch}:%{version}-%{release}
Recommends:     ktexteditor-plugins
Recommends:     kwrite-handbook

%description -n kwrite
KWrite is a text editor for Plasma, based on the Kate's editor component.
Features :
  * Syntax highlighting according to the file type
  * Word completion
  * Auto-indentation
  * Plugin support
  * Vi input mode

%files -n kwrite
%_kf6_bindir/kwrite
%_kf6_metainfodir/org.kde.kwrite.appdata.xml
%_kf6_applicationsdir/org.kde.kwrite.desktop
%_kf6_iconsdir/*/*/*/kwrite.*

#------------------------------------------------------------------------------

%package -n kwrite-handbook
Summary:        Kwrite handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kwrite >= %{epoch}:%{version}-%{release}

%description -n kwrite-handbook
This package provides Kwrite handbook.

%files -n kwrite-handbook
%doc %_kf6_docdir/HTML/*/kwrite/

#------------------------------------------------------------------------------

%package -n kate-l10n-common
Summary:        Kate Ktexteditor-plugins and Kwrite Common Translations
Group:          Documentation
BuildArch:      noarch
Requires:       kwrite >= %{epoch}:%{version}-%{release}

%description -n kate-l10n-common
This package provides Kate Ktexteditor-plugins and Kwrite Common Translations.

%files -n kate-l10n-common -f kate-l10n-common.lang


#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

rm -f %{name}-l10n.lang
touch %{name}-l10n.lang
for n in \
		   kate-ctags-plugin \
		   kate-replicode-plugin \
		   kate \
		   katebacktracebrowserplugin \
		   katebuild-plugin \
		   katecloseexceptplugin \
		   katecolorpickerplugin \
		   katecompilerexplorer \
		   kateexternaltoolsplugin \
		   katefilebrowserplugin \
		   katefiletree \
		   kategdbplugin \
		   kategitblameplugin \
		   katekeyboardmacros \
		   katekonsoleplugin \
		   kateproject \
		   katesearch \
		   katesnippetsplugin \
		   katesql \
		   katesymbolviewer \
		   katetextfilter \
		   katexmlcheck \
		   katexmltools \
		   lspclient
do
		   %find_lang $n
		   cat ${n}.lang >>%{name}-l10n.lang
		   rm -f ${n}.lang
done

rm -f %{name}-l10n-common.lang
touch %{name}-l10n-common.lang
for n in \
		   formatplugin \
		   rainbowparens \
		   rbqlplugin \
		   tabswitcherplugin \
		   ktexteditorpreviewplugin
do
		   %find_lang $n
		   cat ${n}.lang >>%{name}-l10n-common.lang
		   rm -f ${n}.lang
done
