#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           katomic
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Build complex atoms with a minimal amount of moves
Group:          Games/Puzzles
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://apps.kde.org/katomic/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  cmake(KDEGames6)

Recommends:     katomic-handbook


%description 
KAtomic is a fun educational game built around molecular geometry.
It employs simplistic two-dimensional looks at different chemical elements.

%files -f %name.lang
%_kf6_categoriesdir/katomic.*categories
%_kf6_bindir/katomic
%_kf6_iconsdir/hicolor/*/apps/katomic.png
%_kf6_datadir/katomic/
%_kf6_datadir/knsrcfiles/katomic.knsrc
%_kf6_metainfodir/*.xml
%_kf6_applicationsdir/org.kde.katomic.desktop

#------------------------------------------------------------------------------

%package -n katomic-handbook
Summary:        Katomic handbook
Group:          Documentation
BuildArch:      noarch
Requires:       katomic >= %{epoch}:%{version}-%{release}

%description -n katomic-handbook
This package provides the katomic handbook.

%files -n katomic-handbook
%_kf6_docdir/HTML/*/katomic

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
