#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define rel 1

Summary:        KDE Frameworks 6 Tier 2 integration module to perform actions as privileged user
Name:           kauth
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz
## Mageia patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Help)

BuildRequires:  cmake(KF6CoreAddons) >= %version
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(PolkitQt6-1)

%description
KDE Frameworks 6 Tier 2 integration module to perform actions as privileged user.

%files -f %{name}6_qt.lang
%_kf6_categoriesdir/kauth.*categories
%_kf6_datadir/dbus-1/system.d/org.kde.kf6auth.conf
%_kf6_datadir/kf6/kauth/
%_kf6_plugindir/kauth/
%_kf6_libexecdir/kauth/

#--------------------------------------------------------------------

%define kf6authcore_major 6
%define libkf6authcore %mklibname kf6authcore %{kf6authcore_major}

%package -n %libkf6authcore
Summary:        KDE Frameworks 6 Tier 2 integration module to perform actions as privileged user
Group:          System/Libraries
Recommends:     %{name} = %version-%release

%description -n %libkf6authcore
KDE Frameworks 6 Tier 2 integration module to perform actions as privileged user.

%files -n %libkf6authcore
%_kf6_libdir/libKF6AuthCore.so.%{kf6authcore_major}{,.*}
%_kf6_libdir/libKF6AuthCore.so.%{version}

#--------------------------------------------------------------------

%define kf6auth_devel %mklibname kf6auth -d

%package -n %kf6auth_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6authcore = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

Requires:       cmake(KF6CoreAddons) = %version
Requires:       cmake(PolkitQt6-1)

%description -n %kf6auth_devel
This package contains header files needed if you wish to build applications.
based on %name.

%files -n %kf6auth_devel
%_kf6_includedir/KAuth/
%_kf6_includedir/KAuthCore/
%_kf6_libdir/cmake/KF6Auth/
%_kf6_libdir/*.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang_kf6 %{name}6_qt
