Name:           kazam
Version:        1.5.7
Release:        %mkrel 3
Summary:        A screencasting program created with design in mind
License:        GPLv3+ and LGPLv3+
Group:          Video/Utilities
# https://launchpad.net/kazam
URL:            https://github.com/henrywoo/kazam
Source0:        https://github.com/henrywoo/kazam/archiche/v%{version}/%{name}-%{version}.tar.gz
# Upstream
#
# Mageia
Patch50:        0001-Fallback-to-Mageia-9.patch
Patch51:        0001-Desktop-file-drop-unity.patch
Patch52:        0001-Port-to-Ayatana-AppIndicator.patch
Patch53:        0001-Do-not-use-hiq-python.patch
Patch54:        0001-Build-desktop-application.patch

BuildRequires:  intltool
BuildRequires:  python3-distutils-extra
BuildRequires:  python3-distro
Requires:       python3-cairo
Requires:       python3-dbus
Requires:       python3-gobject3
Requires:       python3-pyxdg
BuildArch:      noarch

Requires:       gstreamer1.0-pulse

%description
Kazam is a simple screen recording program that will capture the content of
your screen and record a video file that can be played by any video player
that supports VP8/WebM video format.

Optionally you can record sound from any sound input device that is supported
and visible by PulseAudio.

%prep
%autosetup -p1

sed -i s,"DISTRO = '.*'","DISTRO = '%{_vendor}'",g kazam/version.py
sed -i s,"RELEASE = '.*'","RELEASE = '%{product_version}'",g kazam/version.py

%build
%py3_build

%install
%{__python3} setup.py install --root=%{buildroot}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README.rst
%license COPYING*
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/gnome/scalable/apps/%{name}*.svg
%{_iconsdir}/hicolor/*/*/%{name}*.png
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info
