%define major     0
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           kbibtex
Version:        0.10.0
Release:        %mkrel 5
Summary:        A BibTeX editor for KDE
Group:          Editors
License:        GPLv2+
URL:            https://apps.kde.org/kbibtex/
Source0:        https://download.kde.org/stable/KBibTeX/%{version}/%{name}-%{version}.tar.xz
Patch0:         fix-icu-75.patch
BuildRequires:  kf5-rpm-macros
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5NetworkAuth)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5WebEngine)
BuildRequires:  pkgconfig(Qt5WebEngineWidgets)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5XmlPatterns)

BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5Wallet)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5TextEditor)

BuildRequires:  pkgconfig(poppler-qt5)
BuildRequires:  pkgconfig(icu-i18n)
BuildRequires:  pkgconfig(icu-uc)
BuildRequires:  pkgconfig(qca2-qt5)
BuildRequires:  pkgconfig(qoauth-qt5)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(shared-mime-info)

Requires:       qca-qt5
Requires:       qtwebengine5

%description
KBibTeX is a BibTeX editor for KDE.

%package -n %{develname}
Summary:        Development files for KBibTeX
Group:          Development/KDE and Qt
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for KBibTeX.

%package -n %{libname}
Summary:        Library files for KBibTeX
Group:          System/Libraries

%description -n %{libname}
Library files for KBibTeX.

%prep
%autosetup -p1

%build
%cmake_kf5 -DCMAKE_DISABLE_FIND_PACKAGE_Qt5WebKitWidgets=ON
%cmake_build

%install
%cmake_install

%find_lang %name --with-html --with-man

%files -f %name.lang
%doc README.md ChangeLog
%license LICENSE
%{_kf5_categoriesdir}/%{name}.categories
%{_kf5_bindir}/%{name}
%{_kf5_datadir}/%{name}/
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf5_datadir}/mime/packages/*.xml
%{_kf5_datadir}/kxmlgui5/%{name}/
%{_kf5_datadir}/kxmlgui5/kbibtexpart/
%{_kf5_services}/*.desktop
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_iconsdir}/*/*/*/*
%{_kf5_mandir}/man1/%{name}.1.*
%{_qt5_plugindir}/kbibtexpart.so

%files -n %{libname}
%{_kf5_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/KBibTeX/
%{_kf5_libdir}/cmake/KBibTeX/
%{_kf5_libdir}/*.so
