#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kblackbox
Summary:        Find atoms in a grid by shooting electrons
Version: 25.04.0
Release:        %mkrel %{rel}
Epoch:          1
Group:          Games/Puzzles
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://apps.kde.org/kblackbox/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6SvgWidgets)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(KDEGames6)

Recommends:     kblackbox-handbook


%description
KBlackbox is a game of hide and seek played on a grid of boxes where the
computer has hidden several balls. The position of the hidden balls can be
deduced by shooting beams into the box.

%files -f %name.lang
%_kf6_bindir/kblackbox
%_kf6_applicationsdir/*.desktop
%_kf6_datadir/kblackbox
%_kf6_iconsdir/hicolor/*/apps/kblackbox.png
%_kf6_metainfodir/*.xml

#------------------------------------------------------------------------------

%package -n kblackbox-handbook
Summary:        kblackbox handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kblackbox >= %{epoch}:%{version}-%{release}

%description -n kblackbox-handbook
This package provides the kblackbox handbook.

%files -n kblackbox-handbook
%_kf6_docdir/HTML/*/kblackbox

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
