#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kblocks
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Single player falling blocks puzzle game
Group:          Games/Arcade
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://apps.kde.org/kblocks/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6SvgWidgets)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(KDEGames6)

Recommends:     kblocks-handbook


%description
KBlocks is the classic falling blocks game.

The idea is to stack the falling blocks to create horizontal lines without any
gaps. When a line is completed it is removed, and more space is available in the
play area. When there is not enough space for blocks to fall, the game is over.

%files -f %name.lang
%_kf6_categoriesdir/kblocks.*categories
%_kf6_bindir/kblocks
%_kf6_applicationsdir/*.desktop
%_kf6_datadir/kblocks/
%_kf6_datadir/config.kcfg/kblocks.kcfg
%_kf6_iconsdir/hicolor/*/apps/kblocks.*
%_kf6_datadir/knsrcfiles/kblocks.knsrc
%_kf6_metainfodir/*.xml

#------------------------------------------------------------------------------

%package -n kblocks-handbook
Summary:        kblocks handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kblocks >= %{epoch}:%{version}-%{release}

%description -n kblocks-handbook
This package provides the kblocks handbook.

%files -n kblocks-handbook
%_kf6_docdir/HTML/*/kblocks

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
