#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define rel 1

Summary:        KDE Frameworks 6 Tier 3 addon for bookmarks manipulation
Name:           kbookmarks
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6Auth) >= %version
BuildRequires:  cmake(KF6Codecs) >= %version
BuildRequires:  cmake(KF6Config) >= %version
BuildRequires:  cmake(KF6GuiAddons) >= %version
BuildRequires:  cmake(KF6I18n) >= %version
BuildRequires:  cmake(KF6ConfigWidgets) >= %version
BuildRequires:  cmake(KF6CoreAddons) >= %version
BuildRequires:  cmake(KF6ItemViews) >= %version
BuildRequires:  cmake(KF6IconThemes) >= %version
BuildRequires:  cmake(KF6WidgetsAddons) >= %version
BuildRequires:  cmake(KF6GlobalAccel) >= %version
BuildRequires:  cmake(KF6Completion) >= %version
BuildRequires:  cmake(KF6DBusAddons) >= %version
BuildRequires:  cmake(KF6Service) >= %version
BuildRequires:  cmake(KF6WindowSystem) >= %version
BuildRequires:  cmake(KF6Sonnet) >= %version
BuildRequires:  cmake(KF6TextWidgets) >= %version 
BuildRequires:  cmake(KF6XmlGui) >= %version

%description
KDE Frameworks 6 Tier 3 addon for bookmarks manipulation.

%files -f %{name}6_qt.lang
%_kf6_categoriesdir/kbookmarks.*categories
%_kf6_categoriesdir/kbookmarkswidgets.*categories

#--------------------------------------------------------------------

%define kf6bookmarks_major 6
%define libkf6bookmarks %mklibname kf6bookmarks %{kf6bookmarks_major}

%package -n %libkf6bookmarks
Summary:        KDE Frameworks 6 Tier 3 addon for bookmarks manipulation
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf6bookmarks
KDE Frameworks 6 Tier 3 addon for bookmarks manipulation.

%files -n %libkf6bookmarks
%_kf6_libdir/libKF6Bookmarks.so.%{kf6bookmarks_major}{,.*}
%_kf6_libdir/libKF6Bookmarks.so.%{version}

#--------------------------------------------------------------------

%define kf6bookmarkswidgets_major 6
%define libkf6bookmarkswidgets %mklibname kf6bookmarkswidgets %{kf6bookmarkswidgets_major}

%package -n %libkf6bookmarkswidgets
Summary:        KDE Frameworks 6 Tier 3 addon for bookmarks widgets manipulation
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf6bookmarkswidgets
KDE Frameworks 6 Tier 3 addon for bookmarks widgets manipulation.

%files -n %libkf6bookmarkswidgets
%_kf6_libdir/libKF6BookmarksWidgets.so.%{kf6bookmarkswidgets_major}{,.*}
%_kf6_libdir/libKF6BookmarksWidgets.so.%{version}

#--------------------------------------------------------------------

%define kf6bookmarks_devel %mklibname kf6bookmarks -d

%package -n %kf6bookmarks_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6bookmarks = %version-%release
Requires:       %libkf6bookmarkswidgets = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6bookmarks_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6bookmarks_devel
%_kf6_includedir/KBookmarks/
%_kf6_includedir/KBookmarksWidgets/
%_kf6_libdir/cmake/KF6Bookmarks/
%_kf6_libdir/*.so

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang_kf6 %{name}6_qt
