#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kbounce
Summary:        Claim areas and don't get disturbed
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Group:          Games/Arcade
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://apps.kde.org/kbounce/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6ColorScheme)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  cmake(KDEGames6)

Recommends:     kbounce-handbook


%description
KBounce is a single player arcade game with the elements of puzzle.

It is played on a field, surrounded by wall, with two or more balls bouncing
around within the walls. The object of the game is to build new walls to
decrease the size of the active field.

%files -f %name.lang
%_kf6_categoriesdir/%{name}.*categories
%_kf6_bindir/kbounce
%_kf6_applicationsdir/*.desktop
%_kf6_metainfodir/org.kde.kbounce.appdata.xml
%_kf6_datadir/kbounce
%_kf6_iconsdir/*/*/apps/kbounce*

#------------------------------------------------------------------------------

%package -n kbounce-handbook
Summary:        kbounce handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kbounce >= %{epoch}:%{version}-%{release}

%description -n kbounce-handbook
This package provides the kbounce handbook.

%files -n kbounce-handbook
%_kf6_docdir/HTML/*/kbounce

#-------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
