#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kbreakout
Summary:        Breakout like game
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Group:          Games/Arcade
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://apps.kde.org/kbreakout/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickWidgets)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  cmake(KDEGames6)

# qml(org.kde.games.core)
Requires:       libkdegames-corebindings
Recommends:     kbreakout-handbook


%description
KBreakout is a Breakout-like game.

Its object is to destroy as many bricks as possible without losing the ball.

%files -f %name.lang
%_kf6_categoriesdir/kbreakout.categories
%_kf6_bindir/kbreakout
%_kf6_applicationsdir/*.desktop
%_kf6_metainfodir/org.kde.kbreakout.appdata.xml
%_kf6_datadir/kbreakout
%_kf6_iconsdir/*/*/*/*

#------------------------------------------------------------------------------

%package -n kbreakout-handbook
Summary:        kbreakout handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kbreakout >= %{epoch}:%{version}-%{release}

%description -n kbreakout-handbook
This package provides the kbreakout handbook.

%files -n kbreakout-handbook
%_kf6_docdir/HTML/*/kbreakout

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
