#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kbruch
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Practice calculating with fractions
Group:          Education
License:        GPLv2 and GFDL
URL:            https://apps.kde.org/kbruch/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

# Branch patches 100->200

# Trunk patches 200->300

# Mageia patches 500->600

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6DocTools)

Recommends:     kbruch-handbook


%description
KBruch is a small program to practice calculating with fractions.

%files -f %name.lang
%_kf6_bindir/kbruch
%_kf6_datadir/kbruch
%_kf6_iconsdir/*/*/apps/kbruch.*
%_kf6_metainfodir/org.kde.kbruch.appdata.xml
%_kf6_applicationsdir/*.desktop
%_kf6_datadir/config.kcfg/kbruch.kcfg

#------------------------------------------------------------------------------

%package handbook
Summary:        Kbruch handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides kbruch handbook and mandir.

%files handbook
%doc %_kf6_docdir/HTML/*/kbruch
%_kf6_mandir/man1/kbruch.1.*
%_kf6_mandir/*/man1/kbruch.1.*

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
