#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kcachegrind
Epoch:          1
Version: 25.04.0
Group:          Graphical desktop/KDE
Release:        %mkrel %{rel}
Summary:        Visualisation tool for the Valgrind profiler
License:        GPLv2 and LGPLv2 and GFDL
Url:            https://apps.kde.org/kcachegrind/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6LinguistTools)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6DBusAddons)

# (lm) for pprof2calltree (#!/usr/bin/env php)
Requires:       php-cli
%ifarch %{ix86}
Requires:       valgrind
%endif


%description
KCachegrind is a visualisation tool for the profiling data generated by
Cachegrind and Calltree (they profile data file format is upwards compatible).
Calltree extends Cachegrind, which is part of Valgrind.

%files -f %name.lang
%_kf6_bindir/kcachegrind
%_kf6_bindir/dprof2calltree
%_kf6_bindir/hotshot2calltree
%_kf6_bindir/memprof2calltree
%_kf6_bindir/op2calltree
%_kf6_bindir/pprof2calltree
%_kf6_iconsdir/*/*/*/kcachegrind*
%_kf6_datadir/kcachegrind/
%_kf6_applicationsdir/org.kde.kcachegrind.desktop
%_kf6_metainfodir/org.kde.kcachegrind.appdata.xml

#------------------------------------------------------------------------------

%prep
%setup -q

# Avoid use of #!/usr/bin/env as interpeter
sed -i.env -e "s|^#!/usr/bin/env python$|#!%{__python3}|g" converters/hotshot2calltree.in
sed -i.env -e "s|^#!/usr/bin/env php$|#!%{_bindir}/php|g"  converters/pprof2calltree

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%cmake_install

%find_lang %name --all-name --with-html
%find_lang_kf6 kcachegrind_qt
cat kcachegrind_qt.lang >> kcachegrind.lang
