#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kcalc
Summary:        KDE Calculator
Version: 25.04.0
Release:        %mkrel %{rel}
Group:          Sciences/Mathematics
License:        GPLv2 and LGPLv2 and GPLD
URL:            https://apps.kde.org/kcalc/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6ColorScheme)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  pkgconfig(mpfr)
BuildRequires:  pkgconfig(gmp)
BuildRequires:  mpc-devel

Recommends:     kcalc-handbook


%description
KCalc is a calculator which offers many more mathematical functions
than meet the eye on a first glance. Please study the section on
keyboard accelerators and modes in the handbook to learn more about
the many functions available.

%files -f %name.lang
%_kf6_bindir/kcalc
%_kf6_applicationsdir/*.desktop
%_kf6_datadir/kglobalaccel/org.kde.kcalc.desktop
%_kf6_datadir/config.kcfg/kcalc.kcfg
%_kf6_datadir/kconf_update/kcalcrc.upd
%_kf6_metainfodir/org.kde.kcalc.appdata.xml

#------------------------------------------------------------------------------

%package -n kcalc-handbook
Summary:        kcalc Handbook
Group:          Documentation
BuildArch:      noarch

%description -n kcalc-handbook
This package provides Kcalc Handbook.

%files -n kcalc-handbook
%doc README.md
%docdir %_kf6_docdir/
%_kf6_docdir/HTML/*/kcalc/

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
