#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version}|cut -d. -f1,2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 1 KDE calendar access library
Name:           kcalendarcore
Epoch:          1
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz
# Upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Qml)

BuildRequires:  pkgconfig(libical)
BuildRequires:  boost-devel
BuildRequires:  bison

%description
KDE Frameworks 6 Tier 1 KDE calendar access library.

%files
%_kf6_categoriesdir/kcalendarcore.categories
%_kf6_categoriesdir/kcalendarcore.renamecategories
%_kf6_qmldir/org/kde/calendarcore/

#--------------------------------------------------------------------

%define kf6calendarcore_major 6
%define libkf6calendarcore %mklibname kf6calendarcore %{kf6calendarcore_major}

%package -n %libkf6calendarcore
Summary:      KDE Frameworks 6 Tier 1 KDE calendar access library
Group:        System/Libraries

Requires:     %name >= %{epoch}:%version-%release

%description -n %libkf6calendarcore
KDE Frameworks 6 Tier 1 KDE calendar access library.

%files -n %libkf6calendarcore
%_kf6_libdir/libKF6CalendarCore.so.%{kf6calendarcore_major}{,.*}
%_kf6_libdir/libKF6CalendarCore.so.%{version}

#--------------------------------------------------------------------

%define kf6calendarcore_devel %mklibname kf6calendarcore -d

%package -n %kf6calendarcore_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6calendarcore = %{epoch}:%version-%release
Provides:       %name-devel = %{epoch}:%{version}-%{release}

%description -n %kf6calendarcore_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6calendarcore_devel
%_kf6_includedir/KCalendarCore/
%_kf6_libdir/libKF6CalendarCore.so
%_kf6_libdir/cmake/KF6CalendarCore/
%_kf6_libdir/pkgconfig/KF6CalendarCore.pc

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
