#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        The KDE calendar utility library
Name:           kcalutils
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://kontact.kde.org
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Codecs)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6IconThemes)

BuildRequires:  cmake(KF6TextTemplate)
BuildRequires:  cmake(KF6CalendarCore)
BuildRequires:  cmake(KPim6IdentityManagementCore) >= 5.240

Requires:       ktexttemplate

%description
The KDE calendar utility library.

%files -f %name.lang
%_kf6_categoriesdir/kcalutils.categories
%_kf6_categoriesdir/kcalutils.renamecategories
%_kf6_plugindir/ktexttemplate/kcalendar_grantlee_plugin.so

#--------------------------------------------------------------------

%define kpimcalendarutils_major 6
%define libkpimcalendarutils %mklibname kpim6calendarutils %{kpimcalendarutils_major}

%package -n %libkpimcalendarutils
Summary:        The KDE calendar utility library
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkpimcalendarutils
The KDE calendar utility library.

%files -n %libkpimcalendarutils
%_kf6_libdir/libKPim6CalendarUtils.so.%{kpimcalendarutils_major}{,.*}

#--------------------------------------------------------------------

%define kf6calendarutils_devel %mklibname kpim6calendarutils -d

%package -n %kf6calendarutils_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkpimcalendarutils = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6calendarutils_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6calendarutils_devel
%_includedir/KPim6/KCalUtils/
%_kf6_libdir/*.so
%_kf6_libdir/cmake/KPim6CalendarUtils/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name
