#global _tag RELEASE_%%(echo %%{version} | sed 's/\\./_/g')
%global _tag RELEASE_8_0

Name:		kchmviewer
Version:	8.0
Release:	%mkrel 2
Summary:	KDE chm viewer
License:	GPLv2+
Group:		Graphical desktop/KDE
URL:		https://www.ulduzsoft.com/linux/kchmviewer/
Source:		https://github.com/gyunaev/%{name}/archive/%{_tag}/%{name}-%{version}.tar.gz
# Upstream patches
Patch1:		0001-Custom-URL-scheme-registration-needs-to-be-applied-once-per.patch
Patch2:		0002-Only-add-Webkit-stuff-to-QT-if-we-are-compiling-under-5.6.patch
Patch3:		0003-Adding-support-for-old-single_pass-gcc-linker-which-requires.patch
Patch4:		0004-qtwebengine_does-not-have-linkClicked-signal.patch
Patch5:		0005-Return-initialization-of-EBook_CHM.patch
# Mageia patches
Patch10:	kchmviewer-7.7-fix-desktop-file-and-install-if-qt5.patch
BuildRequires:	imagemagick
BuildRequires:	gettext
BuildRequires:	chmlib-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5WebEngine)
BuildRequires:	pkgconfig(Qt5WebEngineWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(libzip)

Requires:	okular

%description
KchmViewer is a chm (MS HTML help file format) viewer, written in C++.
Unlike most existing CHM viewers for Unix, it uses Trolltech Qt widget
library, and does not depend on KDE or Gnome. However,
it may be compiled with full KDE support, including KDE widgets and KIO/KHTML.
The main advantage of KchmViewer is non-English language support.
Unlike others, KchmViewer in most cases correctly detects help file encoding,
correctly shows tables of context of Russian, Korean, Chinese and Japanese help
files, and correctly searches in non-English help files
(search for MBCS languages - ja/ko/ch is still in progress).

%files -f %{name}.lang
%{_bindir}/kchmviewer
%{_datadir}/applications/kchmviewer.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png

#--------------------------------------------------------------------

%prep
%setup -q -n %name-%{_tag}
%autopatch -p1

%build
%qmake_qt5

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48,64x64,128x128}/apps
install -m644 packages/%{name}.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/

for i in 16x16 32x32 48x48 64x64; do
    convert -scale $i packages/%{name}.png %{buildroot}%{_iconsdir}/hicolor/$i/apps/%{name}.png
done

# install manually all translation files (Only with Qt5)
pushd po
for lang in cs de fr hu it nl pt_BR ru sv tr uk zh_CN zh_TW; do
     msgfmt --check -o %{name}_$lang.mo %{name}_$lang.po
     mkdir -p %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES
     install -m 644 %{name}_$lang.mo %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/%{name}.mo
done
popd

%find_lang %{name}
