#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kclock
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Clock application for Plasma
Group:          Graphical desktop/KDE
License:        GPL-2.0-or-later
URL:            https://apps.kde.org/kclock
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# Upstream patches
#

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6StatusNotifierItem)

BuildRequires:  cmake(Plasma)
BuildRequires:  cmake(KF6KirigamiAddons)

Requires:       kirigami-addons
Requires:       kirigami

%description
A clock application for Plasma.

%files -f %{name}.lang
%license LICENSES/*
%doc README.md
%{_kf6_sysconfdir}/xdg/autostart/org.kde.kclockd-autostart.desktop
%{_kf6_bindir}/kclock
%{_kf6_bindir}/kclockd
%{_qt6_plugindir}/plasma/applets/org.kde.plasma.kclock_1x2.so
%{_kf6_applicationsdir}/org.kde.kclock.desktop
%{_kf6_metainfodir}/org.kde.kclock.appdata.xml
%{_kf6_metainfodir}/org.kde.plasma.kclock_1x2.appdata.xml
%{_kf6_datadir}/dbus-1/services/org.kde.kclockd.service
%{_kf6_datadir}/dbus-1/interfaces/org.kde.kclockd.Alarm.xml
%{_kf6_datadir}/dbus-1/interfaces/org.kde.kclockd.AlarmModel.xml
%{_kf6_datadir}/dbus-1/interfaces/org.kde.kclockd.KClockSettings.xml
%{_kf6_datadir}/dbus-1/interfaces/org.kde.kclockd.Timer.xml
%{_kf6_datadir}/dbus-1/interfaces/org.kde.kclockd.TimerModel.xml
%{_kf6_datadir}/dbus-1/interfaces/org.kde.kclockd.Utility.xml
%{_kf6_iconsdir}/hicolor/scalable/apps/org.kde.kclock.svg
%{_kf6_iconsdir}/hicolor/scalable/apps/kclock_plasmoid_1x2.svg
%{_kf6_knotificationsdir}/kclockd.notifyrc
%{_kf6_datadir}/plasma/plasmoids/org.kde.plasma.kclock_1x2/

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name
