%define upstream_name systemd-kcm

Name:           kcmsystemd
Version:        1.2.1
Release:        %mkrel 10
License:        GPLv3+
Group:          Graphical desktop/KDE
Summary:        Systemd control module for KDE
Url:            https://www.linux-apps.com/content/show.php/Kcmsystemd?content=161871
Source0:        https://dl.opendesktop.org/api/files/download/id/1466630746/161871-%{upstream_name}-%{version}.tar.gz
Patch0:         systemd-kcm-1.2.1-fix-build-against-qt-5.11.0.patch

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5Auth)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5WidgetsAddons)

BuildRequires:  boost-devel
BuildRequires:  pkgconfig(libsystemd)

Provides:       %{upstream_name} = %{version}-%{release}

# for /usr/share/kservices5/settings-system-administration.desktop
# That file was previously shipped in this package, but now upstreamed to
# plasma-systemsettings 5.16.90.
Requires:       systemsettings >= 5.16.90

%description
Systemd control module for Plasma. Provides a graphical frontend
for the systemd daemon, which allows viewing and controlling
systemd units, as well as modifying configuration files.

Integrates in the System Settings dialogue in Plasma 5.

%files -f %{name}.lang
%doc NEWS README.md
%license COPYING
%{_libexecdir}/kauth/kcmsystemdhelper
%{_datadir}/dbus-1/system.d/org.kde.kcontrol.kcmsystemd.conf
%{_datadir}/dbus-1/system-services/org.kde.kcontrol.kcmsystemd.service
%{_datadir}/polkit-1/actions/org.kde.kcontrol.kcmsystemd.policy
%{_qt5_plugindir}/kcm_systemd.so
%{_kf5_services}/*.desktop

#--------------------------------------------------------------------

%prep
%setup -qn %{upstream_name}-%{version}
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name

# fix file conflict with plasma-systemsettings >= 5.16.90
rm -f %{buildroot}%{_kf5_services}/settings-system-administration.desktop
