#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define rel 1

Summary:        KDE Frameworks 6 Tier 3 addon for interacting with KCModules
Name:           kcmutils
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz
## Upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6QuickWidgets)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6KIO) >= %version
BuildRequires:  cmake(KF6ItemViews) >= %version
BuildRequires:  cmake(KF6ConfigWidgets) >= %version
BuildRequires:  cmake(KF6CoreAddons) >= %version
BuildRequires:  cmake(KF6GuiAddons) >= %version
BuildRequires:  cmake(KF6I18n) >= %version
BuildRequires:  cmake(KF6XmlGui) >= %version
BuildRequires:  cmake(KF6WidgetsAddons) >= %version

%description
KDE Frameworks 6 Tier 3 addon for interacting with KCModules.

%files -f kcmutils6.lang
%_kf6_categoriesdir/kcmutils.*categories
%_kf6_bindir/kcmshell6
%_qt6_qmldir/org/kde/kcmutils
%_kf6_libexecdir/kcmdesktopfilegenerator

#--------------------------------------------------------------------

%define kf6kcmutils_major 6
%define libkf6kcmutils %mklibname kf6kcmutils %{kf6kcmutils_major}

%package -n %libkf6kcmutils
Summary:        KDE Frameworks 6 Tier 3 addon for interacting with KCModules
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf6kcmutils
KDE Frameworks 6 Tier 3 addon for interacting with KCModules.

%files -n %libkf6kcmutils
%_kf6_libdir/libKF6KCMUtils.so.%{kf6kcmutils_major}
%_kf6_libdir/libKF6KCMUtils.so.%{version}

#--------------------------------------------------------------------

%define kf6kcmutilscore_major 6
%define libkf6kcmutilscore %mklibname kf6kcmutilscore %{kf6kcmutilscore_major}

%package -n %libkf6kcmutilscore
Summary:        KDE Frameworks 6 Tier 3 addon for interacting with KCModules
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf6kcmutilscore
KDE Frameworks 6 Tier 3 addon for interacting with KCModules.

%files -n %libkf6kcmutilscore
%_kf6_libdir/libKF6KCMUtilsCore.so.%{kf6kcmutils_major}
%_kf6_libdir/libKF6KCMUtilsCore.so.%{version}

#--------------------------------------------------------------------

%define kf6kcmutilsquick_major 6
%define libkf6kcmutilsquick %mklibname kf6kcmutilsquick %{kf6kcmutilsquick_major}

%package -n %libkf6kcmutilsquick
Summary:        KDE Frameworks 6 Tier 3 addon for interacting with KCModules
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf6kcmutilsquick
KDE Frameworks 6 Tier 3 addon for interacting with KCModules.

%files -n %libkf6kcmutilsquick
%_kf6_libdir/libKF6KCMUtilsQuick.so.%{kf6kcmutilsquick_major}
%_kf6_libdir/libKF6KCMUtilsQuick.so.%{version}

#--------------------------------------------------------------------

%define kf6kcmutils_devel %mklibname kf6kcmutils -d

%package -n %kf6kcmutils_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6kcmutils = %version-%release
Requires:       %libkf6kcmutilscore = %version-%release
Requires:       %libkf6kcmutilsquick = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6kcmutils_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6kcmutils_devel
%_kf6_includedir/KCMUtils/
%_kf6_includedir/KCMUtilsCore/
%_kf6_includedir/KCMUtilsQuick/
%_kf6_libdir/cmake/KF6KCMUtils/
%_kf6_libdir/*.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang kcmutils6 --all-name
