#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define rel 1

Summary:        KDE Frameworks 6 Tier 1 addon with string manipulation methods
Name:           kcodecs
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Help)

BuildRequires:  gperf

%description
KDE Frameworks 6 Tier 1 addon with string manipulation methods.

%files -f %{name}6_qt.lang
%_kf6_categoriesdir/kcodecs.*categories

#--------------------------------------------------------------------

%define kf6codecs_major 6
%define libkf6codecs %mklibname kf6codecs %{kf6codecs_major}

%package -n %libkf6codecs
Summary:        KDE Frameworks 6 Tier 1 addon with string manipulation methods
Group:          System/Libraries

Requires:       %name = %version-%release

%description -n %libkf6codecs
KDE Frameworks 6 Tier 1 addon with string manipulation methods.

%files -n %libkf6codecs
%_kf6_libdir/libKF6Codecs.so.%{kf6codecs_major}{,.*}
%_kf6_libdir/libKF6Codecs.so.%{version}

#--------------------------------------------------------------------

%define kf6codecs_devel %mklibname kf6codecs -d

%package -n %kf6codecs_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6codecs = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6codecs_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6codecs_devel
%_kf6_includedir/KCodecs/
%_kf6_libdir/cmake/KF6Codecs/
%_kf6_libdir/libKF6Codecs.so

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang_kf6 %{name}6_qt
