#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Name:           kcolorscheme
Version: 6.13.0
Release:        %mkrel %rel
Summary:        KDE Frameworks 6 Tier 2 classes to read and interact with KColorScheme
License:        CC0-1.0 LGPL-2.0+ LGPL-2.1 LGPL-3.0
Group:          System/Base
URL:            https://invent.kde.org/frameworks/kcolorscheme
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros
BuildRequires:  doxygen

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6QuickTest)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6I18n)

BuildRequires:  pkgconfig(xkbcommon)

%description
KDE Frameworks 6 Tier 2 classes to read and interact with KColorScheme.

%files -f kcolorscheme6.lang
%doc README.md
%license LICENSES/*
%_kf6_categoriesdir/kcolorscheme.categories

#--------------------------------------------------------------------

%define kf6colorsheme_major 6
%define libkf6colorsheme %mklibname kf6colorsheme %{kf6colorsheme_major}

%package -n %libkf6colorsheme
Summary:        KDE Frameworks 6 Tier 2 classes to read and interact with KColorScheme
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkf6colorsheme
KDE Frameworks 6 Tier 2 classes to read and interact with KColorScheme.

%files -n %libkf6colorsheme
%_kf6_libdir/libKF6ColorScheme.so.%{kf6colorsheme_major}{,.*}
%_kf6_libdir/libKF6ColorScheme.so.%{version}

#--------------------------------------------------------------------

%define kf6colorsheme_devel %mklibname kf6colorsheme -d

%package -n %kf6colorsheme_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6colorsheme = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6colorsheme_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6colorsheme_devel
%_kf6_includedir/KColorScheme/
%_kf6_libdir/cmake/KF6ColorScheme/
%_kf6_libdir/libKF6ColorScheme.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang kcolorscheme6 --all-name
