#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 2 addon for completion
Name:           kcompletion
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6UiPlugin)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Help)

BuildRequires:  cmake(KF6Config) >= %version
BuildRequires:  cmake(KF6Codecs) >= %version
BuildRequires:  cmake(KF6WidgetsAddons) >= %version

%description
KCompletion provides widgets with advanced completion support as well as a
lower-level completion class which can be used with your own widgets.

%files -f %{name}6_qt.lang
%_kf6_categoriesdir/kcompletion.*categories
%_qt6_plugindir/designer/kcompletion6widgets.so

#--------------------------------------------------------------------

%define kf6completion_major 6
%define libkf6completion %mklibname kf6completion %{kf6completion_major}

%package -n %libkf6completion
Summary:        KDE Frameworks 6 Tier 2 addon for completion
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf6completion
KCompletion provides widgets with advanced completion support as well as a
lower-level completion class which can be used with your own widgets.

%files -n %libkf6completion
%_kf6_libdir/libKF6Completion.so.%{kf6completion_major}{,.*}
%_kf6_libdir/libKF6Completion.so.%{version}

#--------------------------------------------------------------------

%define kf6completion_devel %mklibname kf6completion -d

%package -n %kf6completion_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6completion = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6completion_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6completion_devel
%_kf6_includedir/KCompletion/
%_kf6_libdir/cmake/KF6Completion/
%_kf6_libdir/*.so

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang_kf6 %{name}6_qt

