#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 1 addon with advanced configuration system
Name:           kconfig
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

## Upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)

%description
KDE Frameworks 6 Tier 1 addon with advanced configuration system made of two parts:
KConfigCore and KConfigGui.

%files -f kconfig6_qt.lang
%_kf6_bindir/kreadconfig6
%_kf6_bindir/kwriteconfig6
%_kf6_libexecdir/kconf_update
%_kf6_libexecdir/kconfig_compiler_kf6
%_kf6_categoriesdir/kconfig.*categories
%_kf6_qmldir/org/kde/config/

#--------------------------------------------------------------------

%define kconfiggui_major 6
%define libkconfiggui %mklibname kf6configgui %{kconfiggui_major}

%package -n %libkconfiggui
Summary:        KDE Frameworks 6 Tier 1 addon with advanced configuration system
Group:          System/Libraries

%description -n %libkconfiggui
KConfigGui provides a way to hook widgets to the configuration so that they are
automatically initialized from the configuration and automatically propagate
their changes to their respective configuration files.

%files -n %libkconfiggui
%_kf6_libdir/libKF6ConfigGui.so.%{kconfiggui_major}{,.*}
%_kf6_libdir/libKF6ConfigGui.so.%{version}

#--------------------------------------------------------------------

%define kconfigcore_major 6
%define libkconfigcore %mklibname kf6configcore %{kconfigcore_major}

%package -n %libkconfigcore
Summary:        KDE Frameworks 6 Tier 1 addon with advanced configuration system
Group:          System/Libraries

Requires:       %name >= %version-%release

%description -n %libkconfigcore
KConfigCore provides access to the configuration files themselves. It features:

- centralized definition: define your configuration in an XML file and use
`kconfig_compiler` to generate classes to read and write configuration entries.

- lock-down (kiosk) support.

%files -n %libkconfigcore
%_kf6_libdir/libKF6ConfigCore.so.%{kconfigcore_major}{,.*}
%_kf6_libdir/libKF6ConfigCore.so.%{version}

#--------------------------------------------------------------------

%define kconfigqml_major 6
%define libkconfigqml %mklibname kf6configqml %{kconfigqml_major}

%package -n %libkconfigqml
Summary:        KDE Frameworks 6 Tier 1 addon with advanced configuration system
Group:          System/Libraries

%description -n %libkconfigqml
KConfigQml provides a new KConfig Qml Module.

%files -n %libkconfigqml
%_kf6_libdir/libKF6ConfigQml.so.%{kconfigqml_major}{,.*}
%_kf6_libdir/libKF6ConfigQml.so.%{version}

#--------------------------------------------------------------------

%define kconfig_devel %mklibname kf6config -d

%package -n %kconfig_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkconfiggui = %version-%release
Requires:       %libkconfigcore = %version-%release
Requires:       %libkconfigqml = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}
Requires:       cmake(Qt6Xml)

%description -n %kconfig_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kconfig_devel
%_kf6_includedir/KConfig*/
%_kf6_libdir/cmake/KF6Config/
%_kf6_libdir/*.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang_kf6 %{name}6_qt
