#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define rel 1

Summary:        KDE Frameworks 6 Tier 3 addon for creating configuration dialogs
Name:           kconfigwidgets
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6UiPlugin)
BuildRequires:  cmake(Qt6Xml)

BuildRequires:  cmake(KF6Auth) >= %version
BuildRequires:  cmake(KF6Codecs) >= %version
BuildRequires:  cmake(KF6DocTools) >= %version
BuildRequires:  cmake(KF6GuiAddons) >= %version
BuildRequires:  cmake(KF6Config) >= %version
BuildRequires:  cmake(KF6Archive) >= %version
BuildRequires:  cmake(KF6CoreAddons) >= %version
BuildRequires:  cmake(KF6WidgetsAddons) >= %version
BuildRequires:  cmake(KF6I18n) >= %version
BuildRequires:  cmake(KF6ColorScheme) >= %version

%description
KConfigWidgets provides easy-to-use classes to create configuration dialogs, as
well as a set of widgets which uses KConfig to store their settings.

%files -f %{name}6.lang
%_kf6_categoriesdir/kconfigwidgets.*categories
%_kf6_datadir/locale/*/*.desktop
%_qt6_plugindir/designer/kconfigwidgets6widgets.so

#--------------------------------------------------------------------

%define kf6configwidgets_major 6
%define libkf6configwidgets %mklibname kf6configwidgets %{kf6configwidgets_major}

%package -n %libkf6configwidgets
Summary:        KDE Frameworks 6 Tier 3 addon for creating configuration dialogs
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf6configwidgets
KConfigWidgets provides easy-to-use classes to create configuration dialogs, as
well as a set of widgets which uses KConfig to store their settings.

%files -n %libkf6configwidgets
%_kf6_libdir/libKF6ConfigWidgets.so.%{kf6configwidgets_major}{,.*}
%_kf6_libdir/libKF6ConfigWidgets.so.%{version}

#--------------------------------------------------------------------

%define kf6configwidgets_devel %mklibname kf6configwidgets -d

%package -n %kf6configwidgets_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6configwidgets = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6configwidgets_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6configwidgets_devel
%_kf6_includedir/KConfigWidgets/
%_kf6_libdir/cmake/KF6ConfigWidgets/
%_kf6_libdir/*.so

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{name}6
