#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1
%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:        New address book API for KDE
Name:           kcontacts
Epoch:          1
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://kontact.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Quick)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Codecs)

BuildRequires:  boost-devel

BuildRequires:  pkgconfig(iso-codes)
Requires:       iso-codes


%description
New address book API for KDE.

%files -f %name.lang
%_kf6_categoriesdir/kcontacts.categories
%_kf6_categoriesdir/kcontacts.renamecategories
%_kf6_qmldir/org/kde/contacts/

#--------------------------------------------------------------------

%define kf6contacts_major 6
%define libkf6contacts %mklibname kf6contacts %{kf6contacts_major}

%package -n %libkf6contacts
Summary:        New address book API for KDE
Group:          System/Libraries
Requires:       %name >= %{epoch}:%version-%release

%description -n %libkf6contacts
New address book API for KDE.

%files -n %libkf6contacts
%_kf6_libdir/libKF6Contacts.so.%{kf6contacts_major}
%_kf6_libdir/libKF6Contacts.so.%{version}

#--------------------------------------------------------------------

%define kf6contacts_devel %mklibname kf6contacts -d

%package -n %kf6contacts_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6contacts = %{epoch}:%version-%release
Provides:       %name-devel = %{epoch}:%{version}-%{release}

%description -n %kf6contacts_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6contacts_devel
%_kf6_includedir/KContacts/
%_kf6_libdir/libKF6Contacts.so
%_kf6_libdir/cmake/KF6Contacts/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name
