#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 1 addon with various classes on top of QtCore
Name:           kcoreaddons
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

## upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Help)

BuildRequires:  shared-mime-info >= 0.70
BuildRequires:  pkgconfig(gamin)
BuildRequires:  git-core

Requires:       shared-mime-info >= 0.70

%description
KCoreAddons provides classes built on top of QtCore to perform various tasks
such as manipulating mime types, autosaving files, creating backup files,
generating random sequences, performing text manipulations such as macro
replacement, accessing user information and many more.

%files -f kcoreaddons6_qt.lang
%_kf6_categoriesdir/kcoreaddons.*categories
%_kf6_datadir/mime/packages/kde6.xml
%_kf6_datadir/kf6/jsonschema/kpluginmetadata.schema.json
%_kf6_qmldir/org/kde/coreaddons/

#--------------------------------------------------------------------

%define kf6coreaddons_major 6
%define libkf6coreaddons %mklibname kf6coreaddons %{kf6coreaddons_major}

%package -n %libkf6coreaddons
Summary:        KDE Frameworks 6 Tier 1 addon with various classes on top of QtCore
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkf6coreaddons
KCoreAddons provides classes built on top of QtCore to perform various tasks
such as manipulating mime types, autosaving files, creating backup files,
generating random sequences, performing text manipulations such as macro
replacement, accessing user information and many more.

%files -n %libkf6coreaddons
%_kf6_libdir/libKF6CoreAddons.so.%{kf6coreaddons_major}{,.*}
%_kf6_libdir/libKF6CoreAddons.so.%{version}

#--------------------------------------------------------------------

%define kcoreaddons_devel %mklibname kf6coreaddons -d

%package -n %kcoreaddons_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version
Requires:       %libkf6coreaddons = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kcoreaddons_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kcoreaddons_devel
%_kf6_includedir/KCoreAddons*/
%_kf6_libdir/cmake/KF6CoreAddons/
%_kf6_libdir/libKF6CoreAddons.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang_kf6 kcoreaddons6_qt
%find_lang_kf6 xml_mimetypes6
%find_lang_kf6 kde6_xml_mimetypes
cat xml_mimetypes6.lang >> kcoreaddons6_qt.lang
cat kde6_xml_mimetypes.lang >> kcoreaddons6_qt.lang
