#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define rel 1

Summary:        KDE Frameworks 6 Tier 2 addon for application crashes
Name:           kcrash
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6Config) >= %version
BuildRequires:  cmake(KF6WindowSystem) >= %version
BuildRequires:  cmake(KF6CoreAddons) >= %version

%description
KCrash provides support for intercepting and handling application crashes.

%files
%_kf6_categoriesdir/kcrash.*categories

#--------------------------------------------------------------------

%define kf6crash_major 6
%define libkf6crash %mklibname kf6crash %{kf6crash_major}

%package -n %libkf6crash
Summary:        KDE Frameworks 6 Tier 2 addon for application crashes
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf6crash
KCrash provides support for intercepting and handling application crashes.

%files -n %libkf6crash
%_kf6_libdir/libKF6Crash.so.%{kf6crash_major}{,.*}
%_kf6_libdir/libKF6Crash.so.%{version}

#--------------------------------------------------------------------

%define kf6crash_devel %mklibname kf6crash -d

%package -n %kf6crash_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6crash = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6crash_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6crash_devel
%_kf6_includedir/KCrash/
%_kf6_libdir/cmake/KF6Crash/
%_kf6_libdir/*.so

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

