#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kcron
Epoch:          2
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Graphical task scheduler
Group:          Graphical desktop/KDE
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://apps.kde.org/kcron/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

#
# Security patches
# P100 -> ...
#
BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6PrintSupport)

BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Auth)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6Declarative)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6KirigamiAddons)

Requires:       kirigami-addons
Recommends:     kcron-handbook


%description
Kcron is a graphical frontend to the cron system, used to schedule regular
tasks on a Unix system.

%files -f %name.lang
%_kf6_categoriesdir/kcron.categories
%_kf6_applicationsdir/kcm_cron.desktop
%_qt6_plugindir/plasma/kcms/systemsettings/kcm_cron.so
%_kf6_metainfodir/org.kde.kcron.metainfo.xml
%_kf6_libexecdir/kauth/kcron_helper
%_datadir/dbus-1/system-services/local.kcron.crontab.service
%_datadir/dbus-1/system.d/local.kcron.crontab.conf
%_datadir/polkit-1/actions/local.kcron.crontab.policy

#------------------------------------------------------------------------------

%package -n kcron-handbook
Summary:        Kcron handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kcron >= %{epoch}:%{version}-%{release}

%description -n kcron-handbook
This package provides the kcron handbook.

%files -n kcron-handbook
%doc %_kf6_docdir/HTML/

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
