#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        A DAV protocol implementation with KJobs
Name:           kdav
# Moved from release-service to frameworks --> version went from 20.04.2 to 5.72.0
Epoch:          1
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Xml)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6I18n)

%description
A DAV protocol implementation with KJobs.

%files -f %name.lang
%_kf6_categoriesdir/kdav.*categories

#--------------------------------------------------------------------

%define kf6dav_major 6
%define libkf6dav %mklibname kf6dav %{kf6dav_major}

%package -n %libkf6dav
Summary:        A DAV protocol implementation with KJobs
Group:          System/Libraries
Requires:       %name >= %epoch:%version-%release

%description -n %libkf6dav
A DAV protocol implementation with KJobs.

%files -n %libkf6dav
%_kf6_libdir/libKF6DAV.so.%{kf6dav_major}
%_kf6_libdir/libKF6DAV.so.%{version}

#--------------------------------------------------------------------

%define kf6dav_devel %mklibname kf6dav -d

%package -n %kf6dav_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6dav = %epoch:%{version}-%{release}
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %kf6dav_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6dav_devel
%_kf6_libdir/cmake/KF6DAV/
%_kf6_includedir/KDAV/
%_kf6_libdir/libKF6DAV.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name --all-name
