#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^devel\\(libkdav2_webdavlib

%define rel 4

Summary:        A DAV protocol implementation with KJobs
Name:           kdav2
Version: 0.3.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/unstable/kdav2/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5XmlPatterns)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Xml)
BuildRequires:  cmake(Qt5Network)

BuildRequires:  cmake(KF5CoreAddons)

%description
A DAV protocol implementation with KJobs.

%files
%_kf5_sysconfdir/xdg/kdav2.categories
# FIXME: in the good package? and or should it be so versioned?
%_kf5_libdir/libkdav2_webdavlib.so

#--------------------------------------------------------------------

%define kpimkdav2_major 5
%define libkpimkdav2 %mklibname kpimkdav2_ %{kpimkdav2_major}

%package -n     %libkpimkdav2
Summary:        A DAV protocol implementation with KJobs
Group:          System/Libraries
Requires:       %name = %version-%release
Obsoletes:      %{_lib}kpimkdav2_0 < 0.2.0-3

%description -n %libkpimkdav2
A DAV protocol implementation with KJobs.

%files -n %libkpimkdav2
%_kf5_libdir/libKPimKDAV2.so.%{kpimkdav2_major}{,.*}
%_kf5_libdir/libKPimKDAV2.so.%{version}

#--------------------------------------------------------------------

%define kpimkdav2_devel %mklibname kpimkdav2 -d

%package -n     %kpimkdav2_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkpimkdav2 = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

%description -n %kpimkdav2_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kpimkdav2_devel
%_includedir/KPim/KDAV2/
%_includedir/KPim/kdav2/
%_includedir/KPim/kpimkdav2_version.h
%_kf5_libdir/libKPimKDAV2.so
%_kf5_libdir/cmake/KPimKDAV2/
%_kf5_mkspecsdir/qt_kdav2.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

