#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%ifarch %{ix86} x86_64
%define build_docs 1
%else
%define build_docs 0
%endif

%define oname kdb
%define rel 12
%define commit 48f9167e37c9a2d024c525cab0ba65a2e02e248f
%define date 20220620

Name:           kdb
Version:        3.2.90
Release:        %mkrel %rel.git%{date}
Summary:        A database connectivity and creation framework for various database vendors
Group:          Graphical desktop/KDE
License:        GPLv2+
URL:            https://community.kde.org/KDb
#modified tarball with po directory from 3.2.0
Source0:        https://download.kde.org/stable/%{oname}/src/%{oname}-%{commit}.tar.xz

## upstream patches
# Patch1:         0001-PgSQL-driver_fix-build-with-PostgreSQL-12+.patch
## upstreamable patches
# fix/santitize KDb3.pc dependencies
Patch100:       kdb-3.2.0-pkgconfig.patch

BuildRequires:  kf5-rpm-macros

BuildRequires:  mysql-devel
BuildRequires:  pkgconfig(libpq) >= 9.6
BuildRequires:  pkgconfig(sqlite3) >= 3.19.3

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)

BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5I18n)

BuildRequires:  icu-devel

%description
A database connectivity and creation framework for various database vendors.

%files -f %{name}_qt.lang
%_kf5_bindir/kdb3_sqlite3_dump
%_qt5_plugindir/kdb3/kdb_sqlitedriver.so
%_qt5_plugindir/kdb3/kdb_mysqldriver.so
%_qt5_plugindir/kdb3/kdb_postgresqldriver.so
%_qt5_plugindir/kdb3/sqlite3/kdb_sqlite_icu.so

#--------------------------------------------------------------------

%define kdb_major 4
%define libkdb %mklibname kdb3_ %{kdb_major}

%package -n %libkdb
Summary:        A database connectivity and creation framework for various database vendors
Group:          System/Libraries

%description -n %libkdb
A database connectivity and creation framework for various database vendors.

%files -n %libkdb
%_kf5_libdir/libKDb3.so.%{kdb_major}{,.*}

#--------------------------------------------------------------------

%define kdb3_devel %mklibname kdb3 -d

%package -n %kdb3_devel
Summary:        Development files for %{oname}
Group:          Development/KDE and Qt
Requires:       %libkdb = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %version-%release
Provides:       kdb3-devel = %version-%release

%description -n %kdb3_devel
The %{kdb3_devel} package contains libraries and header files for
developing applications that use %{oname}.

%files -n %kdb3_devel
%_kf5_libdir/*.so
%_kf5_mkspecsdir/qt_KDb3.pri
%_includedir/KDb3/
%_kf5_libdir/cmake/KDb3/
%_kf5_libdir/pkgconfig/KDb3.pc

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary:        KDb3 APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  doxygen
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in KDb3 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/KDb3.qch
%{_qt5_docdir}/KDb3.tags
%endif

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{oname}-%{commit}

%build
%cmake_kf5 -Wno-dev \
           -DCMAKE_CXX_STANDARD=17 \
           %if %{build_docs}
           -DBUILD_QCH=ON \
           %endif
           -DBUILD_TESTING=ON
%cmake_build

%install
%cmake_install

%find_lang_kf5 kdb_qt
%find_lang_kf5 kdb_mysqldriver_qt
%find_lang_kf5 kdb_postgresqldriver_qt
%find_lang_kf5 kdb_sqlitedriver_qt

cat kdb_mysqldriver_qt.lang kdb_postgresqldriver_qt.lang kdb_sqlitedriver_qt.lang >> kdb_qt.lang
