Name:           kdbg
Version:        3.1.0
Release:        %mkrel 1
License:        GPLv2+
Summary:        A Graphical Debugger Interface
Group:          Development/Other
URL:            https://www.kdbg.org/
Source:         https://downloads.sourceforge.net/kdbg/%{name}-%{version}.tar.gz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5WindowSystem)

Requires:       gdb

%description
KDbg is a graphical user interface to gdb, the GNU debugger.

It provides an intuitive interface for setting breakpoints,
inspecting variables, and stepping through code.

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html

%files -f %{name}.lang
%_kf5_bindir/%{name}
%_kf5_sysconfdir/xdg/kdbgrc
%_kf5_applicationsdir/%{name}.desktop
%_kf5_datadir/%{name}/
%_kf5_datadir/kxmlgui5/%{name}/
%_kf5_iconsdir/hicolor/*/apps/%{name}.png
%_kf5_iconsdir/hicolor/*/apps/%{name}.svgz
