#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Tools based on KDE Frameworks 6 to better interact with the system
Name:           kde-cli-tools
Version: 6.3.4
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Qml)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Su)

%description
Tools based on KDE Frameworks 6 to better interact with the system.

%post
update-alternatives --install  %{_kf6_bindir}/kdesu kdesu %_kf6_libexecdir/kdesu 40

%postun
[ $1 = 0 ] || exit 0
update-alternatives --remove kdesu %_kf6_libexecdir/kdesu
update-alternatives --remove kdesu %_libexecdir/kf5/kdesu

%files -f %name.lang
%_kf6_bindir/kbroadcastnotification
%_kf6_bindir/kde-inhibit
%_kf6_bindir/kde-open5
%_kf6_bindir/kdecp5
%_kf6_bindir/kdemv5
%_kf6_bindir/keditfiletype5
%_kf6_bindir/kinfo
%_kf6_bindir/kioclient5
%_kf6_bindir/kmimetypefinder5
%_kf6_bindir/kstart5
%_kf6_bindir/ksvgtopng5
%_kf6_bindir/plasma-open-settings
%_kf6_bindir/kde-open
%_kf6_bindir/kdecp
%_kf6_bindir/kdemv
%_kf6_bindir/keditfiletype
%_kf6_bindir/kioclient
%_kf6_bindir/kmimetypefinder
%_kf6_bindir/kstart
%_kf6_bindir/ksvgtopng
%_kf6_libexecdir/kdeeject
%_kf6_libexecdir/kdesu
%_qt6_plugindir/plasma/kcms/systemsettings_qwidgets/kcm_filetypes.so
%_kf6_applicationsdir/org.kde.keditfiletype.desktop
%_kf6_applicationsdir/org.kde.plasma.settings.open.desktop
%_kf6_applicationsdir/kcm_filetypes.desktop
%_kf6_datadir/zsh/site-functions/_kde-inhibit
%_kf6_mandir/man1/kdesu.1.*

#--------------------------------------------------------------------

%package handbook
Summary:        %{name} Handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides %{name} Handbook.

%files handbook
%doc %_kf6_docdir/HTML/*/kdesu
%doc %_kf6_docdir/HTML/*/kcontrol6/filetypes

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %name --all-name --with-man
