#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kde-dev-scripts
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        K Desktop Environment - Software Development Kit
Group:          Graphical desktop/KDE
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://apps.kde.org/categories/development/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  kf6-rpm-macros
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  python3

%description
This package contains the scripts for KDE development which are contained in the
kdesdk module.

%files
%_kf6_bindir/adddebug
%_kf6_bindir/addmocincludes
%_kf6_bindir/build-progress.sh
%_kf6_bindir/clean-forward-declaration.sh
%_kf6_bindir/clean-includes.sh
%_kf6_bindir/cheatmake
%_kf6_bindir/krazy-licensecheck
%_kf6_bindir/c++-copy-class-and-file
%_kf6_bindir/c++-rename-class-and-file
%_kf6_bindir/create_cvsignore
%_kf6_bindir/create_makefile
%_kf6_bindir/create_makefiles
%_kf6_bindir/create_svnignore
%_kf6_bindir/cvs-clean
%_kf6_bindir/cvsaddcurrentdir
%_kf6_bindir/cvsbackport
%_kf6_bindir/cvsblame
%_kf6_bindir/cvscheck
%_kf6_bindir/cvsforwardport
%_kf6_bindir/cvslastchange
%_kf6_bindir/cvslastlog
%_kf6_bindir/cvsrevertlast
%_kf6_bindir/cvsversion
%_kf6_bindir/cxxmetric
%_kf6_bindir/draw_lib_dependencies
%_kf6_bindir/extend_dmalloc
%_kf6_bindir/extractattr
%_kf6_bindir/extractrc
%_kf6_bindir/findmissingcrystal
%_kf6_bindir/fix-include.sh
%_kf6_bindir/fixkdeincludes
%_kf6_bindir/fixuifiles
%_kf6_bindir/grantlee_strings_extractor.py
%_kf6_bindir/includemocs
%_kf6_bindir/kde_generate_export_header
%_kf6_bindir/kdedoc
%_kf6_bindir/kdekillall
%_kf6_bindir/kdelnk2desktop.py
%_kf6_bindir/kdemangen.pl
%_kf6_bindir/makeobj
%_kf6_bindir/noncvslist
%_kf6_bindir/nonsvnlist
%_kf6_bindir/package_crystalsvg
%_kf6_bindir/png2mng.pl
%_kf6_bindir/port_new_gitlab_ci_template.sh
%_kf6_bindir/pruneemptydirs
%_kf6_bindir/reviewboard-am
%_kf6_bindir/svn-clean
%_kf6_bindir/svnbackport
%_kf6_bindir/svnchangesince
%_kf6_bindir/svngettags
%_kf6_bindir/svnintegrate
%_kf6_bindir/svnforwardport
%_kf6_bindir/svnlastchange
%_kf6_bindir/svnlastlog
%_kf6_bindir/svnrevertlast
%_kf6_bindir/svnversions
%_kf6_bindir/zonetab2pot.py
%_kf6_bindir/optimizegraphics
%_kf6_bindir/wcgrep
%_kf6_bindir/kde-systemsettings-tree.py
%_kf6_bindir/uncrustify-kf5
%_kf6_datadir/uncrustify/
%_kf6_mandir/man1/adddebug.1.*
%_kf6_mandir/man1/cheatmake.1.*
%_kf6_mandir/man1/create_cvsignore.1.*
%_kf6_mandir/man1/create_makefile.1.*
%_kf6_mandir/man1/create_makefiles.1.*
%_kf6_mandir/man1/cvscheck.1.*
%_kf6_mandir/man1/cvslastchange.1.*
%_kf6_mandir/man1/cvslastlog.1.*
%_kf6_mandir/man1/cvsrevertlast.1.*
%_kf6_mandir/man1/cxxmetric.1.*
%_kf6_mandir/man1/extend_dmalloc.1.*
%_kf6_mandir/man1/extractrc.1.*
%_kf6_mandir/man1/fixincludes.1.*
%_kf6_mandir/man1/pruneemptydirs.1.*
%_kf6_mandir/man1/zonetab2pot.py.1.*
%_kf6_mandir/*/man1/*

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

# (nl) Prefer the file from colorsvn as it is more up to date
# and this removing fix a conflict between kde-dev-scripts and colorsvn
rm -f %buildroot%{_kf6_bindir}/colorsvn

# purge use of /usr/bin/env
sed -i \
  -e "s|^#!/usr/bin/env bash|#!/bin/bash|g" \
  -e "s|^#! /usr/bin/env bash|#!/bin/bash|g" \
  -e "s|^#!/usr/bin/env perl|#!/usr/bin/perl|g" \
  -e "s|^#! /usr/bin/env perl|#!/usr/bin/perl|g" \
  -e "s|^#!/usr/bin/env python$|#!%{__python3}|g" \
  -e "s|^#! /usr/bin/env python$|#!%{__python3}|g" \
  %{buildroot}%{_kf6_bindir}/*
