#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kde-dev-utils
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        K Desktop Environment - Software Development Kit
Group:          Graphical desktop/KDE
License:        GPLv2 and LGPLv2 and GFDL
Url:            https://www.kde.org/applications/development/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
## Upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Designer)
BuildRequires:  cmake(Qt6UiTools)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6WidgetsAddons)

BuildRequires:  binutils-devel

Provides:       kuiviewer = %{epoch}:%{version}-%{release}


%description
Software Development Kit for the K Desktop Environment.

%files -f %name.lang
%_kf6_bindir/kpartloader
%_kf6_bindir/kuiviewer
%_kf6_plugindir/thumbcreator/quithumbnail.so
%_kf6_plugindir/parts/kuiviewerpart.so
%_kf6_applicationsdir/org.kde.kuiviewer.desktop
%_kf6_iconsdir/*/*/*/*
%_kf6_metainfodir/org.kde.kuiviewer*.metainfo.xml

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DQT_MAJOR_VERSION:BOOL=6
%cmake_build

%install
%cmake_install
%find_lang %name --all-name
