#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Configure the appearance of GTK apps in Plasma
Name:           kde-gtk-config
Epoch:          1
Version: 6.3.4
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

# Upstream patches

# Mageia patch
Source500:      kde-gtk-config-2.0-gtkrc-2.0-kde-config-file.patch
Source501:      kde-gtk-config-2.2.1-Adwaita-is-cursors-and-icons-theme.patch

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6ColorScheme)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KDecoration3)

BuildRequires:  pkgconfig(gtk+-2.0)

BuildRequires:  pkgconfig(gtk+-3.0)

BuildRequires:  pkgconfig(gsettings-desktop-schemas)

BuildRequires:  sassc

# runtime dep checked-for at buildtime
BuildRequires:  xsettingsd
# avoid hard dep for now
Recommends:     xsettingsd

# need kcmshell5 from kde-cli-tools
Requires:       kde-cli-tools
Requires:       %{_lib}rsvg2_2
Requires:       gsettings-desktop-schemas

# see mga#26449
Obsoletes:      xsettings-kde < 0.12.3-13

%description
Configuration dialog to adapt GTK applications appearance to your taste
under KDE. Among its many features, it lets you:
- Choose which theme is used for GTK2 and GTK3 applications.
- Tweak some GTK applications behaviour.
- Select what icon theme to use in GTK applications.
- Select GTK applications default fonts.
- Easily browse and install new GTK2 and GTK3 themes.

%files
%_kf6_categoriesdir/kde-gtk-config.categories
%_kf6_plugindir/kded/gtkconfig.so
%_kf6_libdir/gtk-3.0/modules/libcolorreload-gtk-module.so
%_kf6_libdir/gtk-3.0/modules/libwindow-decorations-gtk-module.so
%_kf6_libdir/kconf_update_bin/gtk_theme
%_kf6_libdir/kconf_update_bin/remove_deprecated_gtk4_option
%_libexecdir/gtk3_preview
%_kf6_datadir/kconf_update/remove_window_decorations_from_gtk_css.sh
%_kf6_datadir/kconf_update/gtkconfig.upd
%_kf6_datadir/themes/Breeze/window_decorations.css
%_kf6_datadir/kcm-gtk-module/preview.ui

#------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
