#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kde-inotify-survey
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Monitors inotify limits and lets the user know when exceeded
Group:          Graphical desktop/KDE
License:        BSD-3-Clause and CC0-1.0 and FSFAP and GPL-2.0-only and GPL-3.0-only
URL:            https://invent.kde.org/system/kde-inotify-survey
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# Updates the dbus service config to use the right policies to satisfy a rpmlint error
# Merge Request: https://invent.kde.org/frameworks/kauth/-/merge_requests/44
Source1:        org.kde.kded.inotify.conf

## upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6Auth)

BuildRequires:  gettext

Requires:       kded
Requires:       dbus
Requires:       polkit

%description
Tooling for monitoring inotify limits and informing the user
when they have been or are about to be reached.

%files -f %{name}.lang
%license LICENSES/* screenshot.png.license
%doc README.md screenshot.png
%{_kf6_bindir}/kde-inotify-survey
%{_kf6_plugindir}/kded/inotify.so
%{_kf6_libexecdir}/kauth/kded-inotify-helper
%{_kf6_datadir}/dbus-1/system-services/org.kde.kded.inotify.service
%{_kf6_datadir}/dbus-1/system.d/org.kde.kded.inotify.conf
%{_kf6_knotificationsdir}/org.kde.kded.inotify.notifyrc
%{_kf6_metainfodir}/org.kde.inotify-survey.metainfo.xml
%{_kf6_datadir}/polkit-1/actions/org.kde.kded.inotify.policy

%prep
%autosetup

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-kde --with-man --all-name

rm %{buildroot}%{_kf6_datadir}/dbus-1/system.d/org.kde.kded.inotify.conf
install -m644 -p -D %{SOURCE1} %{buildroot}%{_kf6_datadir}/dbus-1/system.d/org.kde.kded.inotify.conf
