%define upstream_name akonadi

%define rel 32

Name: kde4-akonadi
Summary: An extensible cross-desktop storage service for PIM
Epoch: 1
Version: 1.13.0
Release: %mkrel %{rel}
License: LGPLv2+
Group: Networking/WWW
Url: http://pim.kde.org/akonadi/
Source0: https://download.kde.org/stable/akonadi/src/%{upstream_name}-%{version}.tar.bz2

BuildRequires: pkgconfig(QtCore) < 5.0.0
BuildRequires: shared-mime-info >=  0.20
BuildRequires: pkgconfig(sqlite3)
BuildRequires: cmake
BuildRequires: libxslt-proc
BuildRequires: libxml2-utils
BuildRequires: automoc
BuildRequires: mysql-devel
BuildRequires: postgresql-devel-virtual
BuildRequires: boost-devel
Requires: qt4-database-plugin-mysql
Requires: mysql-core
Requires: mysql-common
# Needed for mysqlcheck  which is used in akonadi
Requires: mysql-client

Conflicts: akonadi > 1:15.07

%description
An extensible cross-desktop storage service for PIM data and meta data
providing concurrent read, write, and query access.

%files
%doc README
%{_bindir}/*
%dir %{_sysconfdir}/akonadi
%config %{_sysconfdir}/akonadi/mysql-global-mobile.conf
%config %{_sysconfdir}/akonadi/mysql-global.conf
%dir %{_libdir}/%{upstream_name}
%{_datadir}/dbus-1/services/*
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/mime/packages/akonadi-mime.xml
%{_libdir}/plugins/sqldrivers/libqsqlite3.so

#------------------------------------------------------------------------------

%define akonadiprotocolinternals_major 1
%define libakonadiprotocolinternals %mklibname akonadiprotocolinternals %{akonadiprotocolinternals_major}

%package -n     %libakonadiprotocolinternals
Summary:        Akonadi runtime library
Group:          System/Libraries

%description -n %libakonadiprotocolinternals
%{upstream_name} library.

%files -n %libakonadiprotocolinternals
%_libdir/libakonadiprotocolinternals.so.%{akonadiprotocolinternals_major}{,.*}

#------------------------------------------------------------------------------

%define akonadi_devel %mklibname akonadi -d

%package   -n %akonadi_devel
Summary:   Devel stuff for %{upstream_name}
Group:     Development/KDE and Qt
Requires:  %{name} = %epoch:%version-%release
Requires:  %libakonadiprotocolinternals = %epoch:%version-%release

Provides:  kde4-akonadi-devel = %epoch:%version-%release

%description  -n %akonadi_devel
This package contains header files needed if you wish to build applications
based on %{upstream_name}.

%files -n %akonadi_devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/akonadi.pc
%{_libdir}/cmake/Akonadi

#------------------------------------------------------------------------------

%prep
%setup -q -n %{upstream_name}-%{version}

%build
%cmake_qt4 -DMYSQLD_EXECUTABLE=%_sbindir/mysqld -DCONFIG_INSTALL_DIR=%{_sysconfdir}
%cmake_build

%install
%cmake_install

# We own this as this is present in some packages like korganiser
mkdir -p %buildroot%{_libdir}/%{upstream_name}

