#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 15
%define with_nepomuk 0
%define shared_desktop_ontologies_version 0.11.0
%define module kactivities

Name:    kde4-kactivities
Summary: API for using and interacting with Activities 
Version: 4.13.3
Release: %mkrel %{rel}
Epoch: 1
License: GPLv2+
Group:  System/Libraries
URL:     https://projects.kde.org/projects/kde/kdelibs/kactivities 
Source0: https://download.kde.org/stable/%{version}/src/%{module}-%{version}.tar.xz

BuildRequires: kdelibs4-devel >= 2:%{version}
%if %with_nepomuk
BuildRequires: pkgconfig(shared-desktop-ontologies) >= %{shared_desktop_ontologies_version}
BuildRequires: nepomuk-core-devel >= 1:%{version}
%endif

%description
API for using and interacting with Activities as a consumer, 
application adding information to them or as an activity manager.

%files
%{_kde_libdir}/kde4/kcm_activities.so
%{_kde_datadir}/apps/activitymanager/workspace/settings/BlacklistApplicationView.qml
%{_kde_datadir}/kde4/services/kcm_activities.desktop

#------------------------------------------------------------------------------ 

%if %with_nepomuk

%package -n kactivitymanagerd-nepomuk-plugin
Summary: Nepomuk plugin for activity manager
Requires: nepomuk-core
Group: Graphical desktop/KDE

%description -n kactivitymanagerd-nepomuk-plugin
This package provides the nepomuk support for kactivitymanagerd.

%files -n kactivitymanagerd-nepomuk-plugin
%{_kde_libdir}/kde4/imports/org/kde/activities/models/libkactivities-models-component-plugin.so
%{_kde_libdir}/kde4/imports/org/kde/activities/models/qmldir
%{_kde_libdir}/kde4/kactivitymanagerd_fileitem_linking_plugin.so
%{_kde_libdir}/kde4/kio_activities.so
%{_kde_libdir}/kde4/activitymanager_plugin_nepomuk.so
%{_kde_services}/activities.protocol
%{_kde_services}/kactivitymanagerd_fileitem_linking_plugin.desktop
%{_kde_services}/activitymanager-plugin-nepomuk.desktop

#------------------------------------------------------------------------------

%define kactivities_models_major 1
%define libkactivities_models %mklibname kactivities_models %{kactivities_models_major}

%package -n %{libkactivities_models}
Summary:    Kactivities Models Runtime Library
Group:      System/Libraries

%description -n %libkactivities_models
API for using and interacting with Activities as a consumer, application adding
information to them or as an activity manager.

This package provides the %{module} runtime library.

%files -n %libkactivities_models
%{_kde_libdir}/libkactivities-models.so.%{kactivities_models_major}*

#------------------------------------------------------------------------------

%define kactivities_model_devel %mklibname kactivities_model -d

%package -n %{kactivities_model_devel}
Summary:  Header files for %{module}
Provides: libkactivities_model-devel = %{epoch}:%{version}-%{release}
Provides: kactivities_model-devel = %{epoch}:%{version}-%{release}
Requires: %{libkactivities_models} = %{epoch}:%{version}-%{release}
Group: Development/KDE and Qt 

%description -n %{kactivities_model_devel}
API for using and interacting with Activities as a consumer, application adding
information to them or as an activity manager.

This packages provides the headers files need to build a package against
%{module}

%files -n %{kactivities_model_devel}
%{_kde_includedir}/kactivities-models/activitymodel.h
%{_kde_includedir}/kactivities-models/kactivities_models_export.h
%{_kde_includedir}/kactivities-models/resourcemodel.h
%{_kde_libdir}/cmake/KActivities-Models/*.cmake
%{_kde_libdir}/libkactivities-models.so
%{_kde_libdir}/pkgconfig/libkactivities-models.pc

%endif

#------------------------------------------------------------------------------

%define kactivities_major 6
%define libkactivities %mklibname kactivities %{kactivities_major}

%package -n %{libkactivities}
Summary:    Kactivities Runtime Library
Group:      System/Libraries

%description -n %libkactivities
API for using and interacting with Activities as a consumer, application adding
information to them or as an activity manager.

This package provides the %{module} runtime library.

%files -n %libkactivities
%{_kde_libdir}/libkactivities.so.%{kactivities_major}*

#------------------------------------------------------------------------------

%define kactivities_devel %mklibname %name -d

%package -n %{kactivities_devel}
Summary:  Header files for %{module}
Provides: lib%{module}-devel = %{epoch}:%{version}-%{release}
Provides: kactivities-devel = %{epoch}:%{version}-%{release}
Requires: %{libkactivities} = %{epoch}:%{version}-%{release}

Group: Development/KDE and Qt 

%description -n %{kactivities_devel}
API for using and interacting with Activities as a consumer, application adding
information to them or as an activity manager.

This packages provides the headers files need to build a package against
%{module}

%files -n %{kactivities_devel}
%{_kde_libdir}/*.so
%{_kde_libdir}/cmake/KActivities/
%{_kde_libdir}/pkgconfig/libkactivities.pc
%{_kde_includedir}/KDE/KActivities/
%{_kde_includedir}/kactivities/

#------------------------------------------------------------------------------

%prep
%setup -q -n %module-%version
%autopatch -p1

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4
%make_build -C %{_vpath_builddir}/src/lib
%make_build -C %{_vpath_builddir}/src/workspace/settings/

%install
%make_install -C %{_vpath_builddir}/src/lib
%make_install -C %{_vpath_builddir}/src/workspace/settings/
