#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define phonon_version 4.5.0
%define strigi_version 0.7.5
%define attica_version 0.4.2
%define kdelibs_version 4.14.10
%define upstream_name kde-runtime
%define shared_desktop_ontologies_version 0.11.0

%if 0%{?mageia} > 8
%define plasma5 1
%endif

# disable building of doc (fails to build since mga8)
%bcond_without doc

%define rel 13

Name:           kdebase4-runtime
Summary:        K Desktop Environment - Base Runtime
Epoch:          1
Version: 17.08.3
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2 and LGPLv2
URL:            https://kde.org
Source0:        https://download.kde.org/stable/applications/%{version}/src/%{upstream_name}-%{version}.tar.xz

# Trunk patchs (200->299)

#Mageia patch (500->600)
Patch500:       kdebase-runtime-4.5.74-fix-htsearch-path.patch
Patch503:       kdebase-runtime-4.3.2-knotify-fix-cpu-charge.patch
Source504:      kdebase-runtime-4.4.1-use-mga-icon.patch
Patch505:       kdebase-runtime-4.7.3-add-category-for-help-fix-mga-2522.patch
Patch506:       kdebase-runtime-4.11.3-mga-add-duckducko-in-default-preferred-search-providers.patch
Patch501:       kde-runtime-15.08.0-glib-include-dirs.patch
Patch502:       kde-runtime-16.11.90-do-not-build-kwallet-tests.patch
# (lm) follows the mime-apps spec, for better interoperability
# with gio when it comes to the user's preferred and default apps (mga#4461)
# https://specifications.freedesktop.org/mime-apps-spec/mime-apps-spec-1.0.1.html
# backport from Plasma 5 kde-cli-tools
Patch507:       kde-runtime-4.14-keditfiletype-write-mimeapps_list-in-XDG_CONFIG_HOME.patch
Patch508:       kde-runtime-4.14-keditfiletype-save-default-application-into-Default-Applications.patch
# same for the default file manager, email client and browser
# reviewboard for plasma-desktop 120564, 120565, 120568 & 120569
Patch509:       kde-runtime-4.14-componentchooserfilemanager-write-mimeapps_list-in-XDG_CONFIG_HOME.patch
Patch510:       kde-runtime-4.14-componentchooserfilemanager-save-default-file-manager-into-Default-Applications.patch
Patch511:       kde-runtime-4.14-componentchooseremail-save-default-email-client-into-Default-Applications.patch
Patch512:       kde-runtime-4.14-componentchooserbrowser-save-default-browser-into-Default-Applications.patch
Patch513:	kdebase-runtime-17.08.3-nfs-libtirpc.patch

# Testing Patches 600 -> ...
Patch602:       kdebase-runtime-4.6.0-fedora-man-overrides.patch
Patch603:       kdebase-runtime-4.6.0-fedora-support-for-compiz.patch
#Patch604:       kdebase-runtime-4.6.0-canberra.patch
Patch604:	kde-runtime-4.9.2-webkit.patch
BuildRequires:  kdelibs4-devel >= 2:%{kdelibs_version}
BuildRequires:  kdepimlibs4-devel >= 2:%{kdelibs_version}
BuildRequires:  pkgconfig(libkactivities)
BuildRequires:  pkgconfig(phonon) >= %{phonon_version}
BuildRequires:  pkgconfig(libattica) >= %{attica_version}
#BuildRequires:  pkgconfig(OpenEXR)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(libcanberra)
#BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(smbclient)
BuildRequires:  pkgconfig(wbclient)
BuildRequires:  pkgconfig(libssh)
BuildRequires:  pkgconfig(shared-desktop-ontologies) >= %{shared_desktop_ontologies_version}
BuildRequires:  pkgconfig(libnm)
BuildRequires:  pkgconfig(libtirpc)
BuildRequires:  pkgconfig(libwebp)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  openslp-devel
BuildRequires:  boost-devel
BuildRequires:  doxygen
BuildRequires:  gpgme-devel

Requires:       kdelibs4-core >= 2:%{kdelibs_version}
#Requires:       kde4-style-breeze
Requires:       oxygen-icons5
Requires:       polkit-kde-agent-1
Requires:       kactivitymanagerd
# (lm) djvuthumbnail.so uses ddjvu to generate previews of djvu files (mga #10387)
Requires:       djvulibre
# (lm) windowsexethumbnail.so uses wrestool & icotool to generate previews of .exe
Requires:       icoutils

Recommends:     kde4-l10n
Recommends:     hicolor-icon-theme
Recommends:     htdig
Recommends:     kwallet-daemon
Recommends:     kdialog
Recommends:     gdb
Recommends:     cagibi
# Add openssh-clients as suggests (for fish:// support noticed by anssi)
Recommends:     openssh-clients

# Added as suggests so users from live-cd can install them after

%description
KDE 4 application runtime components.

%files
%_sysconfdir/dbus-1/system.d/org.kde.kcontrol.kcmremotewidgets.conf
%_kde_sysconfdir/xdg/menus/kde-information.menu
%if !0%{?plasma5}
# new conflicts with kde-cli-tools
%_kde_bindir/kde-open
%_kde_bindir/keditfiletype
%_kde_bindir/kioclient
%_kde_bindir/kmimetypefinder
%_kde_bindir/kstart
%_kde_bindir/ksvgtopng
%endif
%_kde_bindir/kcmshell4
%_kde_bindir/kde-cp
%_kde_bindir/kde-mv
%_kde_bindir/kde4
%_kde_bindir/kde4-menu
%_kde_bindir/kdebugdialog
%_kde_bindir/kfile4
%_kde_bindir/kglobalaccel
%_kde_bindir/khotnewstuff-upload
%_kde_bindir/khotnewstuff4
%_kde_bindir/kiconfinder
%_kde_bindir/knotify4
%_kde_bindir/kquitapp
%_kde_bindir/kreadconfig
%_kde_bindir/ktraderclient
%_kde_bindir/ktrash
%_kde_bindir/kuiserver
%_kde_bindir/kwriteconfig
%_kde_bindir/plasmapkg
%_kde_bindir/plasma-remote-helper
%_kde_bindir/solid-hardware
%dir %_kde_libdir/kconf_update_bin
%_kde_libdir/kconf_update_bin/phonon_devicepreference_update
%_kde_libdir/kconf_update_bin/phonon_deviceuids_update
%_kde_libdir/kde4/comicbookthumbnail.so
%_kde_libdir/kde4/cursorthumbnail.so
%_kde_libdir/kde4/djvuthumbnail.so
#%%_kde_libdir/kde4/exrthumbnail.so
%_kde_libdir/kde4/fixhosturifilter.so
%_kde_libdir/kde4/imagethumbnail.so
%_kde_libdir/kde4/jpegthumbnail.so
%_kde_libdir/kde4/kcm_attica.so
%_kde_libdir/kde4/kcm_cgi.so
%_kde_libdir/kde4/kcm_componentchooser.so
%_kde_libdir/kde4/kcm_device_automounter.so
%_kde_libdir/kde4/kcm_emoticons.so
%_kde_libdir/kde4/kcm_filetypes.so
%_kde_libdir/kde4/kcm_icons.so
%_kde_libdir/kde4/kcm_kded.so
%_kde_libdir/kde4/kcm_kdnssd.so
%_kde_libdir/kde4/kcm_knotify.so
%_kde_libdir/kde4/kcm_locale.so
%_kde_libdir/kde4/kcm_phonon.so
%_kde_libdir/kde4/kcm_trash.so
%_kde_libdir/kde4/kcmspellchecking.so
%_kde_libdir/kde4/kded_desktopnotifier.so
%_kde_libdir/kde4/kded_device_automounter.so
%_kde_libdir/kde4/kded_kpasswdserver.so
%_kde_libdir/kde4/kded_ktimezoned.so
%_kde_libdir/kde4/kded_networkstatus.so
%_kde_libdir/kde4/kded_networkwatcher.so
%_kde_libdir/kde4/kded_phononserver.so
%_kde_libdir/kde4/kded_recentdocumentsnotifier.so
%_kde_libdir/kde4/kded_remotedirnotify.so
%_kde_libdir/kde4/kded_solidautoeject.so
%_kde_libdir/kde4/kded_soliduiserver.so
%_kde_libdir/kde4/kio_about.so
%_kde_libdir/kde4/kio_applications.so
%_kde_libdir/kde4/kio_archive.so
%_kde_libdir/kde4/kio_bookmarks.so
%_kde_libdir/kde4/kio_cgi.so
%_kde_libdir/kde4/kio_desktop.so
%_kde_libdir/kde4/kio_filter.so
%_kde_libdir/kde4/kio_finger.so
%_kde_libdir/kde4/kio_fish.so
%_kde_libdir/kde4/kio_floppy.so
%_kde_libdir/kde4/kio_info.so
%_kde_libdir/kde4/kio_man.so
%_kde_libdir/kde4/kio_network.so
%_kde_libdir/kde4/kio_nfs.so
%_kde_libdir/kde4/kio_recentdocuments.so
%_kde_libdir/kde4/kio_remote.so
%_kde_libdir/kde4/kio_settings.so
%_kde_libdir/kde4/kio_sftp.so
%_kde_libdir/kde4/kio_thumbnail.so
%_kde_libdir/kde4/kio_trash.so
%_kde_libdir/kde4/kshorturifilter.so
%_kde_libdir/kde4/kuriikwsfilter.so
%_kde_libdir/kde4/kurisearchfilter.so
%_kde_libdir/kde4/libkmanpart.so
%_kde_libdir/kde4/librenaudioplugin.so
%_kde_libdir/kde4/librenimageplugin.so
%_kde_libdir/kde4/localdomainurifilter.so
%_kde_libdir/kde4/plasma-kpart.so
%_kde_libdir/kde4/plasma_appletscript_declarative.so
%_kde_libdir/kde4/plasma_appletscript_simple_javascript.so
%_kde_libdir/kde4/plasma_containment_newspaper.so
%_kde_libdir/kde4/plasma_dataenginescript_javascript.so
%_kde_libdir/kde4/plasma_packagestructure_javascriptaddon.so
%_kde_libdir/kde4/plasma_runnerscript_javascript.so
%_kde_libdir/kde4/svgthumbnail.so
%_kde_libdir/kde4/textthumbnail.so
%_kde_libdir/kde4/windowsexethumbnail.so
%_kde_libdir/kde4/windowsimagethumbnail.so
%_kde_libdir/kde4/imports/org/kde/*
%_kde_libdir/kde4/platformimports/touch/org/kde/plasma
%_kde_libdir/kde4/libexec/drkonqi
%_kde_libdir/kde4/libexec/kcmremotewidgetshelper
%_kde_libdir/kde4/libexec/kdeeject
%_kde_libdir/kde4/libexec/kdesu
%attr(2755,root,nogroup) %_kde_libdir/kde4/libexec/kdesud
%_kde_libdir/kde4/libexec/kdontchangethehostname
%_kde_libdir/kde4/libexec/khc_docbookdig.pl
%_kde_libdir/kde4/libexec/khc_htdig.pl
%_kde_libdir/kde4/libexec/khc_htsearch.pl
%_kde_libdir/kde4/libexec/khc_indexbuilder
%_kde_libdir/kde4/libexec/khc_mansearch.pl
%_kde_libdir/kde4/libexec/kioexec
%_kde_libdir/kde4/libexec/knetattach
%_kde_libdir/kde4/plugins
%_kde_libdir/attica_kde.so
%_kde_libdir/libkdeinit4_kcmshell4.so
%_kde_libdir/libkdeinit4_kglobalaccel.so
%_kde_libdir/libkdeinit4_kuiserver.so
%_kde_libdir/libknotifyplugin.so
%_kde_applicationsdir/knetattach.desktop
%_kde_appsdir/desktoptheme
%_kde_appsdir/drkonqi
%_kde_appsdir/hardwarenotifications
%_kde_appsdir/kcm_componentchooser
%_kde_appsdir/kcm_phonon
%_kde_appsdir/kcmlocale
%_kde_appsdir/kconf_update/*.upd
%_kde_appsdir/kde
%_kde_appsdir/kglobalaccel
%_kde_appsdir/kio_bookmarks
%_kde_appsdir/kio_desktop
%_kde_appsdir/kio_docfilter
%_kde_appsdir/kio_finger
%_kde_appsdir/kio_info
%_kde_appsdir/konqsidebartng
%_kde_appsdir/ksmserver
%_kde_appsdir/libphonon
%_kde_appsdir/phonon
%_kde_appsdir/remoteview
%_kde_datadir/config.kcfg/*.kcfg
%_kde_configdir/*.knsrc
%_kde_configdir/kshorturifilterrc
%_kde_datadir/desktop-directories/*.directory
%_kde_datadir/emoticons/kde4
%_kde_iconsdir/default.kde4
%_kde_iconsdir/hicolor/*/apps/knetattach.png
%_kde_iconsdir/hicolor/scalable/apps/knetattach.svgz
%_kde_services/*.protocol
%_kde_services/comicbookthumbnail.desktop
%_kde_services/componentchooser.desktop
%_kde_services/cursorthumbnail.desktop
%_kde_services/desktopthumbnail.desktop
%_kde_services/device_automounter_kcm.desktop
%_kde_services/directorythumbnail.desktop
%_kde_services/djvuthumbnail.desktop
%_kde_services/emoticons.desktop
#%%_kde_services/exrthumbnail.desktop
%_kde_services/filetypes.desktop
%_kde_services/fixhosturifilter.desktop
%_kde_services/htmlthumbnail.desktop
%_kde_services/icons.desktop
%_kde_services/imagethumbnail.desktop
%_kde_services/jpegthumbnail.desktop
%_kde_services/kcm_attica.desktop
%_kde_services/kcm_kdnssd.desktop
%_kde_services/kcm_phonon.desktop
%_kde_services/kcmcgi.desktop
%_kde_services/kcmkded.desktop
%_kde_services/kcmnotify.desktop
%_kde_services/kcmtrash.desktop
%_kde_services/kglobalaccel.desktop
%_kde_services/kmanpart.desktop
%_kde_services/knotify4.desktop
%_kde_services/kshorturifilter.desktop
%_kde_services/kuiserver.desktop
%_kde_services/kuriikwsfilter.desktop
%_kde_services/kurisearchfilter.desktop
%_kde_services/language.desktop
%_kde_services/localdomainurifilter.desktop
%_kde_services/plasma-containment-newspaper.desktop
%_kde_services/plasma-kpart.desktop
%_kde_services/plasma-packagestructure-javascript-addon.desktop
%_kde_services/plasma-scriptengine-applet-declarative.desktop
%_kde_services/plasma-scriptengine-applet-simple-javascript.desktop
%_kde_services/plasma-scriptengine-dataengine-javascript.desktop
%_kde_services/plasma-scriptengine-runner-javascript.desktop
%_kde_services/renaudiodlg.desktop
%_kde_services/renimagedlg.desktop
%_kde_services/searchproviders
%_kde_services/spellchecking.desktop
%_kde_services/svgthumbnail.desktop
%_kde_services/textthumbnail.desktop
%_kde_services/windowsexethumbnail.desktop
%_kde_services/windowsimagethumbnail.desktop
%_kde_services/kded/desktopnotifier.desktop
%_kde_services/kded/device_automounter.desktop
%_kde_services/kded/kpasswdserver.desktop
%_kde_services/kded/ktimezoned.desktop
%_kde_services/kded/networkstatus.desktop
%_kde_services/kded/networkwatcher.desktop
%_kde_services/kded/phononserver.desktop
%_kde_services/kded/recentdocumentsnotifier.desktop
%_kde_services/kded/remotedirnotify.desktop
%_kde_services/kded/solidautoeject.desktop
%_kde_services/kded/soliduiserver.desktop
%_kde_services/qimageioplugins/webp.desktop
%_kde_servicetypes/knotifynotifymethod.desktop
%_kde_servicetypes/phononbackend.desktop
%_kde_servicetypes/plasma-javascriptaddon.desktop
%_kde_servicetypes/searchprovider.desktop
%_kde_servicetypes/thumbcreator.desktop
%_kde_datadir/locale/currency
%_kde_datadir/locale/l10n/*/*
%_kde_datadir/locale/l10n/*.desktop
%if %{with doc}
%_kde_mandir/man?/*
%endif
%_kde_datadir/mime/packages/*.xml
%_kde_datadir/sounds/*
%_kde_datadir/applications/kde4/Help.desktop
%_datadir/polkit-1/actions/*.policy
%_datadir/dbus-1/services/*.service
%_datadir/dbus-1/system-services/*.service
%_datadir/dbus-1/interfaces/*

#------------------------------------------------------------------------------
# Split handbook in his own package should also fix mga #2101

%if %{with doc}
%package handbook
Summary:        KDE Handbook for %{name}
Group:          Documentation
BuildArch:      noarch
Requires:       %name >= %{epoch}:%{version}-%{release}

%description handbook
This packages provides the handbook for %{name}.

%files handbook
%doc COPYING COPYING.LIB
%doc %_kde_docdir/HTML/en/*
%endif

#------------------------------------------------------------------------------

%package -n kwallet-daemon
Summary:        Kwallet daemon
Group:          Networking/Remote access

%description -n kwallet-daemon
Kwallet daemon.

%files -n kwallet-daemon
%_kde_bindir/kwalletd
%_kde_libdir/libkdeinit4_kwalletd.so
%_kde_appsdir/kwalletd
%_kde_services/kwalletd.desktop

#------------------------------------------------------------------------------

%define kwalletbackend_major 4
%define libkwalletbackend %mklibname kwalletbackend %kwalletbackend_major

%package -n %libkwalletbackend
Summary:        Kwalletd backend library
Group:          System/Libraries

%description -n %libkwalletbackend
Library used insided kwalletd to manage the actual files and encryption.

%files -n %libkwalletbackend
%_kde_libdir/libkwalletbackend.so.%{kwalletbackend_major}{,.*}

#------------------------------------------------------------------------------

%define molletnetwork_major 4
%define libmolletnetwork %mklibname molletnetwork %molletnetwork_major

%package -n %libmolletnetwork
Summary:        KDE4 core library
Group:          System/Libraries

%description -n %libmolletnetwork
KDE 4 core library.

%files -n %libmolletnetwork
%_kde_libdir/libmolletnetwork.so.%{molletnetwork_major}{,.*}

#------------------------------------------------------------------------------

%package devel
Group:          Development/KDE and Qt
Summary:        Header files and documentation for compiling KDE applications
Requires:       %name = %epoch:%version
Requires:       %libkwalletbackend = %epoch:%version
Requires:       %libmolletnetwork = %epoch:%version

%description devel
This package includes the header files you will need to compile applications
for KDE. Also included is the KDE API documentation in HTML format for easy
browsing.

%files devel
%_kde_includedir/*.h
%_kde_libdir/libkwalletbackend.so
%_kde_libdir/libmolletnetwork.so
%_kde_appsdir/cmake/modules/*.cmake

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{upstream_name}-%{version}

# use mageia in duckducko search engine
sed -i -e "/^Query/ s/\&t=kde/\&t=mageia/" kurifilter-plugins/ikws/searchproviders/duckduckgo*.desktop


%build
export LD=%{_kde_bindir}/ld.gold
export CFLAGS="%{optflags} -I /usr/include/tirpc"
export LDFLAGS="%{build_ldflags} -ltirpc"

%cmake_kde4 -DKDE4_ENABLE_FINAL=OFF \
            -DCMAKE_MINIMUM_REQUIRED_VERSION=3.1 \
            -DCMAKE_SKIP_INSTALL_RPATH=ON \
            -DBUILD_doc=%{?with_doc:ON}%{?!with_doc:OFF}
%cmake_build

%install
%cmake_install

chmod -x %{buildroot}%{_datadir}/applications/kde4/*.desktop

rm -f %buildroot%_kde_iconsdir/hicolor/index.theme

rm -fv  %{buildroot}%{_kde_bindir}/{kdesu,khelpcenter}
rm -fv  %{buildroot}%{_kde_libexecdir}/khc_*
rm -fv  %{buildroot}%{_kde_libdir}/libkdeinit4_khelpcenter.so
%if %{with doc}
rm -frv %{buildroot}%{_kde_docdir}/HTML/en/{kdesu,khelpcenter,fundamentals,onlinehelp,knetattach}
rm -frv %{buildroot}%{_kde_docdir}/HTML/en/kcontrol
%endif
rm -frv %{buildroot}%{_kde_appsdir}/khelpcenter/
rm -fv  %{buildroot}%{_kde_datadir}/services/khelpcenter.desktop
rm -fv  %{buildroot}%{_kde_services}/khelpcenter.desktop
rm -fv  %{buildroot}%{_kde_datadir}/config.kcfg/khelpcenter.kcfg
rm -fv  %{buildroot}%{_mandir}/man1/kdesu.1*
rm -fv  %{buildroot}%_datadir/dbus-1/interfaces/org.kde.khelpcenter.kcmhelpcenter.xml

# now provided by kde-cli-tools >= 5.23.90
# https://phabricator.kde.org/T14763
# https://invent.kde.org/plasma/kde-cli-tools/-/merge_requests/23
rm -fv %{buildroot}%{_kde_bindir}/{kde-open,keditfiletype,kioclient,kmimetypefinder,kstart,ksvgtopng}
