#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        An application to enable/disable qCDebug
Name:           kdebugsettings
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://apps.kde.org/kdebugsettings/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)


%description
An application to enable/disable qCDebug.

%files -f %name.lang
%_kf6_categoriesdir/kde.renamecategories
%_kf6_categoriesdir/kdebugsettings.categories
%_kf6_bindir/kdebugsettings
%_kf6_datadir/kdebugsettings/
%_kf6_applicationsdir/org.kde.kdebugsettings.desktop
%_kf6_metainfodir/org.kde.kdebugsettings.appdata.xml

#--------------------------------------------------------------------

%define kdebugsettings_major 6
%define libkdebugsettings %mklibname kdebugsettings %{kdebugsettings_major}

%package -n %libkdebugsettings
Summary:        Runtime library for KDebugSettings
Group:          System/Libraries

%description -n %libkdebugsettings
Runtime library for KDebugSettings.

%files -n %libkdebugsettings
%_kf6_libdir/libkdebugsettings.so.%{kdebugsettings_major}
%_kf6_libdir/libkdebugsettings.so.%{version}

#-----------------------------------------------------------------------------

%define kdebugsettingscore_major 6
%define libkdebugsettingscore %mklibname kdebugsettingscore %{kdebugsettingscore_major}

%package -n %libkdebugsettingscore
Summary:        Runtime library for KDebugSettingsCore
Group:          System/Libraries

%description -n %libkdebugsettingscore
Runtime library for KDebugSettingsCore.

%files -n %libkdebugsettingscore
%_kf6_libdir/libkdebugsettingscore.so.%{kdebugsettingscore_major}
%_kf6_libdir/libkdebugsettingscore.so.%{version}

#-----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name

