#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version}|cut -d. -f1,2)
%define rel 1

Summary:        KDE Frameworks 6 Tier 3 addon for Qt declarative
Name:           kdeclarative
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

## Upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  pkgconfig(epoxy)

BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6ShaderTools)

BuildRequires:  cmake(KF6Config)  >= %version
BuildRequires:  cmake(KF6I18n)  >= %version
BuildRequires:  cmake(KF6IconThemes)  >= %version
BuildRequires:  cmake(KF6KIO)  >= %version
BuildRequires:  cmake(KF6WidgetsAddons)  >= %version
BuildRequires:  cmake(KF6WindowSystem)  >= %version
BuildRequires:  cmake(KF6GlobalAccel)  >= %version
BuildRequires:  cmake(KF6GuiAddons)  >= %version
BuildRequires:  cmake(KF6Package)  >= %version
BuildRequires:  cmake(KF6Notifications) >= %version

%description
KDE Frameworks 6 Tier 3 addon for Qt declarative.

%files -f %{name}6.lang
%_kf6_qmldir/org/kde/draganddrop
%_kf6_qmldir/org/kde/graphicaleffects
%_kf6_qmldir/org/kde/kquickcontrols
%_kf6_qmldir/org/kde/kquickcontrolsaddons
%_kf6_qmldir/org/kde/private/kquickcontrols

#--------------------------------------------------------------------

%define kf6calendarevents_major 6
%define libkf6calendarevents %mklibname kf6calendarevents %{kf6calendarevents_major}

%package -n %libkf6calendarevents
Summary:        KDE Frameworks 6 Tier 3 addon for Qt declarative
Group:          System/Libraries

%description -n %libkf6calendarevents
KDE Frameworks 6 Tier 3 addon for Qt declarative.

%files -n %libkf6calendarevents
%_kf6_libdir/libKF6CalendarEvents.so.%{kf6calendarevents_major}
%_kf6_libdir/libKF6CalendarEvents.so.%{version}

#--------------------------------------------------------------------

%define kquickcontrolsprivate_major 0
%define libkquickcontrolsprivate %mklibname kquickcontrolsprivate %{kquickcontrolsprivate_major}

%package -n %libkquickcontrolsprivate
Summary:        KDE Frameworks 6 Tier 3 addon for Qt declarative
Group:          System/Libraries

%description -n %libkquickcontrolsprivate
KDE Frameworks 6 Tier 3 addon for Qt declarative.

%files -n %libkquickcontrolsprivate
%_kf6_libdir/libkquickcontrolsprivate.so.%{kquickcontrolsprivate_major}
%_kf6_libdir/libkquickcontrolsprivate.so.%{version}

#--------------------------------------------------------------------

%define kf6declarative_devel %mklibname kf6declarative -d

%package -n %kf6declarative_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6calendarevents = %version-%release
Requires:       %libkquickcontrolsprivate = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6declarative_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6declarative_devel
%_kf6_includedir/KDeclarative/
%_kf6_libdir/cmake/KF6Declarative/
%_kf6_libdir/*.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}6
