#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kdeconnect-kde
Summary:        Connect and sync your devices with Plasma
Version: 25.04.0
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://kdeconnect.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
Patch0:         kdeconnect-kde-fix-i686-build.patch

# Upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  qttools6
BuildRequires:  cmake(Qt6Bluetooth)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6WaylandClient)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6Solid)
BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6People)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  cmake(KF6KirigamiAddons)
BuildRequires:  cmake(KF6Package)
BuildRequires:  cmake(KF6PulseAudioQt)
BuildRequires:  cmake(KF6StatusNotifierItem)
BuildRequires:  cmake(KF6QQC2DesktopStyle)
BuildRequires:  cmake(KF6ModemManagerQt)
BuildRequires:  cmake(PlasmaWaylandProtocols)

BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(libfakekey)
BuildRequires:  pkgconfig(ModemManager)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(x11)
BuildRequires:  git-core

Recommends:     %{name}-handbook

Requires:       kde-cli-tools
Requires:       kio
Requires:       kirigami
Requires:       kirigami-addons
# mga#28827
Requires:       sshfs-fuse

%description
KDE Connect adds communication between Plasma and your smartphone or tablet.

%files  -f %{name}.lang
%doc README.md
%license LICENSES/*.txt
%{_kf6_categoriesdir}/kdeconnect-kde.*categories
%{_kf6_sysconfdir}/xdg/autostart/org.kde.kdeconnect.daemon.desktop
%{_kf6_bindir}/kdeconnect-*
%{_kf6_bindir}/kdeconnectd
%{_kf6_applicationsdir}/kcm_kdeconnect.desktop
%{_kf6_plugindir}/kio/kdeconnect.so
%{_kf6_plugindir}/kfileitemaction/kdeconnectfileitemaction.so
%{_qt6_plugindir}/kdeconnect/
%{_qt6_plugindir}/plasma/kcms/systemsettings_qwidgets/kcm_kdeconnect.so
%{_kf6_qmldir}/org/kde/kdeconnect/
%{_kf6_applicationsdir}/org.kde.kdeconnect.daemon.desktop
%{_kf6_applicationsdir}/org.kde.kdeconnect.handler.desktop
%{_kf6_applicationsdir}/org.kde.kdeconnect.nonplasma.desktop
%{_kf6_applicationsdir}/org.kde.kdeconnect.app.desktop
%{_kf6_applicationsdir}/org.kde.kdeconnect.sms.desktop
%{_kf6_applicationsdir}/org.kde.kdeconnect-settings.desktop
%{_kf6_metainfodir}/org.kde.kdeconnect.*
%{_kf6_knotificationsdir}/kdeconnect.notifyrc
%{_kf6_datadir}/kdeconnect/
%{_kf6_datadir}/plasma/plasmoids/org.kde.kdeconnect/
%{_kf6_iconsdir}/hicolor/scalable/apps/*.svg
%{_kf6_iconsdir}/hicolor/*/status/*.svg
%{_kf6_datadir}/dbus-1/services/org.kde.kdeconnect.service
%{_kf6_datadir}/contractor/kdeconnect.contract
%{_kf6_datadir}/zsh/site-functions/_kdeconnect
%{_kf6_datadir}/Thunar/sendto/kdeconnect-thunar.desktop

#------------------------------------------------------------------------------

%package        handbook
Summary:        KDE Connect Handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} >= %{version}-%{release}

%description    handbook
This package provides the KDE Connect handbook.

%files handbook
%{_kf6_docdir}/HTML/*/kdeconnect/
%{_kf6_docdir}/HTML/*/kdeconnect-kde/

#------------------------------------------------------------------------------

%package        nautilus
Summary:        KDE Connect extension for Nautilus
Group:          Graphical desktop/KDE
BuildArch:      noarch
Requires:       nautilus-python
Requires:       %{name} >= %{version}-%{release}

%description    nautilus
This package provides a KDE Connect extension for Nautilus.

%files nautilus
%{_kf6_datadir}/nautilus-python/extensions/kdeconnect-share.py*

#------------------------------------------------------------------------------

%define kdeconnectcore_major 25
%define libkdeconnectcore %mklibname kdeconnectcore %{kdeconnectcore_major}

%package -n     %{libkdeconnectcore}
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %{libkdeconnectcore}
Runtime library for %{name}.

%files -n %{libkdeconnectcore}
%{_kf6_libdir}/libkdeconnectcore.so.%{kdeconnectcore_major}{,.*}

#------------------------------------------------------------------------------
%if 0
%define kdeconnectinterfaces_major 25
%define libkdeconnectinterfaces %mklibname kdeconnectinterfaces %{kdeconnectinterfaces_major}

%package -n     %{libkdeconnectinterfaces}
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %{libkdeconnectinterfaces}
Runtime library for %{name}.

%files -n %{libkdeconnectinterfaces}
%{_kf6_libdir}/libkdeconnectinterfaces.so.%{kdeconnectinterfaces_major}{,.*}
%endif
#------------------------------------------------------------------------------

%define kdeconnectpluginkcm_major 25
%define libkdeconnectpluginkcm %mklibname kdeconnectpluginkcm %{kdeconnectpluginkcm_major}

%package -n     %{libkdeconnectpluginkcm}
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %{libkdeconnectpluginkcm}
Runtime library for %{name}.

%files -n %{libkdeconnectpluginkcm}
%{_kf6_libdir}/libkdeconnectpluginkcm.so.%{kdeconnectpluginkcm_major}{,.*}

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

# Bug 28333: Remove this desktop file as it tries to open zip files
rm -fv %{buildroot}%{_kf6_applicationsdir}/org.kde.kdeconnect_open.desktop

%find_lang %{name} --all-name

rm -rf %{buildroot}%{_kf6_datadir}/deepin/
rm -rf %{buildroot}%{_kf6_libdir}/libkdeconnectinterfaces.a
