#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        A plugin-based library to create window decorations
Name:           kdecoration
Version: 6.3.4
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6I18n)

%description
A plugin-based library to create window decorations.

%files -f %name.lang

#--------------------------------------------------------------------

%define kf6decoration_major 6
%define libkf6decoration %mklibname kdecorations3_ %{kf6decoration_major}

%package -n %libkf6decoration
Summary:        A plugin-based library to create window decorations
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf6decoration
A plugin-based library to create window decorations.

%files -n %libkf6decoration
%_kf6_libdir/libkdecorations3.so.%{kf6decoration_major}
%_kf6_libdir/libkdecorations3.so.%{version}

#--------------------------------------------------------------------

%define kf6decorationprivate_major 2
%define libkf6decorationprivate %mklibname kdecorations3private %{kf6decorationprivate_major}

%package -n %libkf6decorationprivate
Summary:        A plugin-based library to create window decorations
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf6decorationprivate
A plugin-based library to create window decorations.

%files -n %libkf6decorationprivate
%_kf6_libdir/libkdecorations3private.so.%{kf6decorationprivate_major}
%_kf6_libdir/libkdecorations3private.so.%{version}

#--------------------------------------------------------------------

%define kf6decoration_devel %mklibname kdecoration3 -d

%package -n %kf6decoration_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6decoration = %version-%release
Requires:       %libkf6decorationprivate = %version-%release
Provides:       %name-devel = %{version}-%{release}

Obsoletes:      %{_lib}kdecoration2-devel < 6.3.1-2

%description -n %kf6decoration_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6decoration_devel
%_includedir/KDecoration3/
%_kf6_includedir/kdecoration3_version.h
%_kf6_libdir/cmake/KDecoration3/
%_kf6_libdir/*.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name --all-name

