#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define rel 1

Summary:        KDE Frameworks 6 Tier 3 addon with KDE Daemon
Name:           kded
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)

BuildRequires:  cmake(KF6Config) >= %version
BuildRequires:  cmake(KF6CoreAddons) >= %version
BuildRequires:  cmake(KF6Crash) >= %version
BuildRequires:  cmake(KF6DBusAddons) >= %version
BuildRequires:  cmake(KF6DocTools) >= %version
BuildRequires:  cmake(KF6Service) >= %version

%description
KDE Frameworks 6 Tier 3 addon with KDE Daemon.

%files
%_kf6_categoriesdir/kded.*categories
%_kf6_bindir/kded6
%_kf6_applicationsdir/org.kde.kded6.desktop
%_kf6_datadir/dbus-1/services/org.kde.kded*.service
%_kf6_datadir/dbus-1/interfaces/org.kde.kded*.xml
%_userunitdir/plasma-kded6.service
%_kf6_mandir/man?/kded6.8.*
%_kf6_mandir/*/man?/kded6.8.*

#--------------------------------------------------------------------

%define kf6kded_devel %mklibname kf6kded -d

%package -n %kf6kded_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

Requires:       cmake(Qt6DBus)
Requires:       cmake(Qt6Widgets)

%description -n %kf6kded_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6kded_devel
%_kf6_libdir/cmake/KF6KDED/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
