#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kdegraphics-mobipocket
Summary:        A collection of plugins to handle mobipocket files
Epoch:          2
Version: 25.04.0
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://kde.org/applications/graphics/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%name-%version.tar.xz
# Branch Patches (100-200)

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)


%description
A collection of plugins to handle mobipocket files.

#------------------------------------------------------------------------------

%define qmobipocket_major 2
%define libqmobipocket %mklibname qmobipocket6_ %{qmobipocket_major}

%package -n %libqmobipocket
Summary:        Runtime library for qmobipocket
Group:          System/Libraries
Provides:       mobipocket = %{epoch}:%{version}-%{release}

%description -n %libqmobipocket
Runtime library for qmobipocket.

%files -n %libqmobipocket
%_kf6_libdir/libQMobipocket6.so.%{qmobipocket_major}{,.*}

#------------------------------------------------------------------------------

%package devel
Summary:        Devel stuff for %{name}
Group:          Development/KDE and Qt
Requires:       %libqmobipocket = %epoch:%version-%release
Provides:       qmobipocket-devel = %epoch:%version-%release

%description  devel
Files needed to build applications based on %{name}.

%files devel
%_includedir/QMobipocket6/
%_kf6_libdir/cmake/QMobipocket6/
%_kf6_libdir/libQMobipocket6.so

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%cmake_install
