#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kdegraphics-thumbnailers
Epoch:          2
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Thumbnailers for various graphics file formats
Group:          Graphical desktop/KDE
License:        GPLv2 and LGPLv2
URL:            https://kde.org
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%version.tar.xz
# Branch Patch (100-200)

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)

BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Archive)

BuildRequires:  cmake(KExiv2Qt6)
BuildRequires:  cmake(KDcrawQt6)
BuildRequires:  cmake(QMobipocket6)

# (lm) gsthumbnail.so uses gs to generate previews of ps and pdf files (mga #10388)
Requires:       ghostscript
# the mobipocket thumbnail part has been migrated here since 22.03. Is no more needed.
Provides:       kdegraphics-mobipocket = %epoch:%version-%release


%description
These plugins allow KDE software to create thumbnails for
several advanced graphic file formats.

%files
%_kf6_plugindir/thumbcreator/gsthumbnail.so
%_kf6_plugindir/thumbcreator/blenderthumbnail.so
%_kf6_plugindir/thumbcreator/mobithumbnail.so
%_kf6_plugindir/thumbcreator/rawthumbnail.so
%_kf6_metainfodir/org.kde.kdegraphics-thumbnailers.metainfo.xml

%prep
%setup -q

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%cmake_install
