#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define upstream_name kdelibs

%define compile_apidox 0
%{?_with_apidox: %{expand: %%global compile_apidox 1}}

%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

%define sdo_version 0.10.0
%define qt_version 4.8.0
%define phonon_version 4.5.0
%define polkit_version 0.98.1
%define libxml2_version 2.4.11
%define cups_version 1.2
%define kdemacros_version 4.13.80
%define _with_udisk2 1

%if %_with_udisk2
%define udisks udisks2
%else
%define udisks udisks
%endif

# disable building of doc (fails to build since mga8)
%bcond_with doc

%define rel 18

Name:           kdelibs4
Summary:        K Desktop Environment - Libraries
Epoch:          2
Version: 4.14.38
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2 and LGPLv2 and GFDL and BSD and QPL and Artistic
URL:            https://www.kde.org
Source:         https://download.kde.org/stable/applications/17.08.3/src/%{upstream_name}-%{version}.tar.xz

# fixed build failure with gcc-10, Case values are converted constant expressions, so narrowing conversions
# are not permitted. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=90805
Patch69:        kdelibs-4.14.38-gcc-10.patch

# fix KIO only using TLS 1.0
# (Backport by Kevin Kofler of upstream KF5 patch by Andrius Štikonas.)
# https://commits.kde.org/kio/8196a735bebc6fd5eaf9d293bd565c00ef98516b
Patch70:        kdelibs-4.14.38-kio-tls1x.patch

# Cast to the largest
# possible unsigned integer type to avoid it.
Patch71:        kdelibs-4.14.38-narrowing-warning.patch

# fix FTBFS
Patch72:        kdelibs-4.14.38-qiodevice.patch

# error: 'uintmax_t' does not name a type
Patch75:        kdelibs-4.14.38-stdint.patch

# Fix compilation with libxml2 2.12.0
Patch76:        kdelibs-4.14.38-libxml2-2_12_0.patch

#Branch patches ( P100 -> P199 )
# https://kde.org/info/security/advisory-20190807-1.txt (mga#25403)
Patch100:       kdelibs4-4.14.38-CVE-2019-14744.patch

Patch400:       kdelibs-gcc11.patch

#Trunk ( P200 -> 299)

#Testing ( P300 -> inf )

#Mageia Patches

Patch502:       kdelibs-4.1.85-add-kde-menu.patch
Source503:      kdelibs-4.2.95-fix-kross-lib.patch
Patch504:       kdelibs-4.8.95-add-default-places.patch
Patch505:       kdelibs-fix-containment.patch
Patch506:       kdelibs-4.4.0-use-timeline.patch
%if ! %_with_udisk2
#Patch507: kdelibs-4.7.3-no-HAL.patch
%endif
Patch508:       kdelibs-4.3.90-install_all_css.patch
Patch509:       kdelibs-4.6.90-mga-branding.patch
Patch512:       kdelibs-4.6.1-mga-add-extra-catalogs.patch
Patch513:       kdelibs-4.7.3-fix-mga-3275.patch
Patch515:       kdelibs-4.7.97-vlc-workaround.patch

# (lm) follows the mime-apps spec, for better interoperability 
# with gio when it comes to the user's preferred and default apps (mga#4461)
# https://standards.freedesktop.org/mime-apps-spec/mime-apps-spec-1.0.1.html
# backport from KF5 kio & kservice
Patch516:       kdelibs-4.14-kopenwithdialog-save-default-application-into-Default-Applications.patch
Patch517:       kdelibs-4.14-kmimeassociations-read-mimeapps_list-from-XDG_CONFIG.patch
Patch518:       kdelibs-4.14-kopenwithdialog-write-mimeapps_list-in-XDG_CONFIG_HOME.patch
# build against OpenSSL 1.1 (patch by Wolfgang Bauer from openSUSE)
# (The patch is a backport of the upstream KF5 patch by Daniel Vrátil.)
# https://build.opensuse.org/package/view_file/openSUSE:Factory/kdelibs4/0001-Make-kssl-compile-against-OpenSSL-1.1.0.patch?expand=1
Patch519:       kdelibs-4.14.38-openssl-1.1.patch

# Fedora Patchs
Patch600:       kdelibs-4.9.97-solid-qt-no-debug-output.patch
# Disable webkit support
Patch601:	kdelibs-4.14.16-webkit.patch
Patch602:	kdelibs-4.14.38-jasper3.patch

# kde-connect patch
Patch700:       solid-backend.patch

BuildRequires:  kde4-macros >= %{kdemacros_version}
BuildRequires:  qt4-devel >= 4:%{qt_version}
BuildRequires:  pkgconfig(phonon) >= %{phonon_version}
BuildRequires:  pkgconfig(shared-desktop-ontologies) >= %{sdo_version}
BuildRequires:  pkgconfig(polkit-qt-1) >= %{polkit_version}
BuildRequires:  pkgconfig(avahi-compat-libdns_sd) 
BuildRequires:  pkgconfig(avahi-client)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(libpcreposix)
BuildRequires:  pkgconfig(gamin)
BuildRequires:  pkgconfig(libart-2.0)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(udev)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(mad)
BuildRequires:  pkgconfig(shared-mime-info)
#BuildRequires:  pkgconfig(OpenEXR)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(liblzma)
# BuildRequires:  pkgconfig(qca2)
BuildRequires:  pkgconfig(libattica)
BuildRequires:  pkgconfig(xscrnsaver)
BuildRequires:  pkgconfig(dbusmenu-qt)
BuildRequires:  pkgconfig(enchant-2)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  libxml2 >= %{libxml2_version}
BuildRequires:  cups-devel >= %{cups_version}
BuildRequires:  pam-devel
BuildRequires:  gdbm-devel
BuildRequires:  pkgconfig(libsasl2)
BuildRequires:  pkgconfig(jasper)
BuildRequires:  libacl-devel
BuildRequires:  giflib-devel
BuildRequires:  automoc
BuildRequires:  utempter-devel
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl
BuildRequires:  boost-devel
BuildRequires:  media-player-info
# Disable hupnp support until kio-upnp-ms build is fixed
#BuildRequires: hupnp-devel

%description
Libraries for the K Desktop Environment.

#------------------------------------------------------------------------------

%define kde3support_major 4
%define libkde3support %mklibname kde3support %kde3support_major

%package -n %libkde3support
Summary:        KDE 4 core library
Group:          System/Libraries

%description -n %libkde3support
KDE3 Support Library.

%files -n %libkde3support

%_kde_libdir/libkde3support.so.%{kde3support_major}{,.*}

#------------------------------------------------------------------------------

%define kdecore_major 5
%define libkdecore %mklibname kdecore %kdecore_major

%package -n %libkdecore
Summary:        KDE 4 core library
Group:          System/Libraries
%if !%{bootstrap}
Requires:       mageia-kde4-config-common
%endif
Requires:       kdelibs4-core >= %epoch:%{version}

%description -n %libkdecore
The kdecore library provides basic non user
interface functionality.

%files -n %libkdecore
%_kde_libdir/libkdecore.so.%{kdecore_major}{,.*}

#------------------------------------------------------------------------------

%define kdefakes_major 5
%define libkdefakes %mklibname kdefakes %kdefakes_major

%package -n %libkdefakes
Summary:        KDE 4 core library
Group:          System/Libraries

%description -n %libkdefakes
KDE 4 core library.

%files -n %libkdefakes
%_kde_libdir/libkdefakes.so.%{kdefakes_major}{,.*}

#------------------------------------------------------------------------------

%define kdesu_major 5
%define libkdesu %mklibname kdesu %kdesu_major

%package -n %libkdesu
Summary:        KDE 4 core library
Group:          System/Libraries

%description -n %libkdesu
Libkdesu provides functionality for building GUI front ends for
(password asking) console mode programs. For example, kdesu and
kdessh use it to interface with su and ssh respectively.

%files -n %libkdesu
%_kde_libdir/libkdesu.so.%{kdesu_major}{,.*}

#------------------------------------------------------------------------------

%define kdeui_major 5
%define libkdeui %mklibname kdeui %kdeui_major

%package -n %libkdeui
Summary:        KDE 4 core library
Group:          System/Libraries
Requires:       dbus-x11

%description -n %libkdeui
This library provides standard user interface elements for use in
KDE applications.

%files -n %libkdeui
%_kde_libdir/libkdeui.so.%{kdeui_major}{,.*}

#------------------------------------------------------------------------------

%define kdnssd_major 4
%define libkdnssd %mklibname kdnssd %kdnssd_major

%package -n %libkdnssd
Summary:        KDE 4 core library
Group:          System/Libraries

%description -n %libkdnssd
This is a library for handling the DNS-based Service Discovery Protocol
(DNS-SD),the layer of Zeroconf that allows network services, such as printers,
to be discovered without any user intervention or centralized infrastructure.

%files -n %libkdnssd
%_kde_libdir/libkdnssd.so.%{kdnssd_major}{,.*}

#------------------------------------------------------------------------------

%define kfile_major 4
%define libkfile %mklibname kfile %kfile_major

%package -n %libkfile
Summary:        Library for file management widgets and dialogs
Group:          System/Libraries

%description -n %libkfile
KDE 4 library for file management widgets and dialogs.

%files -n %libkfile
%_kde_libdir/libkfile.so.%{kfile_major}{,.*}

#------------------------------------------------------------------------------

%define khtml_major 5
%define libkhtml %mklibname khtml %khtml_major

%package -n %libkhtml
Summary:        KDE 4 core library
Group:          System/Libraries

%description -n %libkhtml
KDE 4 core library.

%files -n %libkhtml
%_kde_libdir/libkhtml.so.%{khtml_major}{,.*}

#------------------------------------------------------------------------------

%define kimproxy_major 4
%define libkimproxy %mklibname kimproxy %kimproxy_major

%package -n %libkimproxy
Summary:        KDE 4 core library
Group:          System/Libraries

%description -n %libkimproxy
This library provides an easy-to-use interface to any instant messengers or chat
programs that you have installed that implement KIMIface.


%files -n %libkimproxy
%_kde_libdir/libkimproxy.so.%{kimproxy_major}{,.*}

#------------------------------------------------------------------------------

%define kio_major 5
%define libkio %mklibname kio %kio_major

%package -n %libkio
Summary:        KDE 4 core library
Group:          System/Libraries

%description -n %libkio
Classes that fetch and decode URLs are contained here. This library also
contains "ksycoca", the system configure cache containing services, applications,
servicetypes and mimetypes.

%files -n %libkio
%_kde_libdir/libkio.so.%{kio_major}{,.*}

#------------------------------------------------------------------------------

%define kjsembed_major 4
%define libkjsembed %mklibname kjsembed %kjsembed_major

%package -n %libkjsembed
Summary:        A binding of the ECMAScript language to interface with KDE code
Group:          System/Libraries

%description -n %libkjsembed
This library provides a binding of the ECMAScript language to interface with
KDE code.

%files -n %libkjsembed
%_kde_libdir/libkjsembed.so.%{kjsembed_major}{,.*}

#------------------------------------------------------------------------------

%define kjs_major 4
%define libkjs %mklibname kjs %kjs_major

%package -n %libkjs
Summary:        KDE 4 core library
Group:          System/Libraries

%description -n %libkjs
KDE 4 core library.

%files -n %libkjs
%_kde_libdir/libkjs.so.%{kjs_major}{,.*}

#------------------------------------------------------------------------------

%define kmediaplayer_major 4
%define libkmediaplayer %mklibname kmediaplayer %kmediaplayer_major

%package -n %libkmediaplayer
Summary:        KDE 4 core library
Group:          System/Libraries

%description -n %libkmediaplayer
KDE 4 core library.

%files -n %libkmediaplayer
%_kde_libdir/libkmediaplayer.so.%{kmediaplayer_major}{,.*}

#------------------------------------------------------------------------------

%define knewstuff2_major 4
%define libknewstuff2 %mklibname knewstuff2_ %knewstuff2_major

%package -n %libknewstuff2
Summary:        Library allowing applications to easily download data from the Internet
Group:          System/Libraries

%description -n %libknewstuff2
This library allows applications to easily download data from the Internet to add
new information to the program. e.g. wallpapers, translation packs, etc.

%files -n %libknewstuff2
%_kde_libdir/libknewstuff2.so.%{knewstuff2_major}{,.*}

#------------------------------------------------------------------------------

%define knotifyconfig_major 4
%define libknotifyconfig %mklibname knotifyconfig %knotifyconfig_major

%package -n %libknotifyconfig
Summary:        Library to handle user notifications
Group:          System/Libraries

%description -n %libknotifyconfig
This library handles user notifications, including sounds, logging to files, etc.

%files -n %libknotifyconfig
%_kde_libdir/libknotifyconfig.so.%{knotifyconfig_major}{,.*}

#------------------------------------------------------------------------------

%define kntlm_major 4
%define libkntlm %mklibname kntlm %kntlm_major

%package -n %libkntlm
Summary:        KDE 4 core library
Group:          System/Libraries

%description -n %libkntlm
KDE 4 core library.

%files -n %libkntlm
%_kde_libdir/libkntlm.so.%{kntlm_major}{,.*}

#------------------------------------------------------------------------------

%define kdeclarative_major 5
%define libkdeclarative %mklibname kdeclarative %{kdeclarative_major}

%package -n %libkdeclarative
Summary:        KDE 4 Core library
Group:          System/Libraries

%description -n %libkdeclarative
KDE 4 core library.

%files -n %libkdeclarative
%_kde_libdir/libkdeclarative.so.%{kdeclarative_major}{,.*}

#------------------------------------------------------------------------------

%define kparts_major 4
%define libkparts %mklibname kparts %kparts_major

%package -n %libkparts
Summary:        Library providing the KDE component model
Group:          System/Libraries

%description -n %libkparts
Library providing the KDE component model.

%files -n %libkparts
%_kde_libdir/libkparts.so.%{kparts_major}{,.*}

#------------------------------------------------------------------------------

%define krosscore_major 4
%define libkrosscore %mklibname krosscore %krosscore_major

%package -n %libkrosscore
Summary:        Scripting host for KDE applications
Group:          System/Libraries

%description -n %libkrosscore
Scripting host for KDE applications.

%files -n %libkrosscore
%_kde_libdir/libkrosscore.so.%{krosscore_major}{,.*}

#------------------------------------------------------------------------------

%define krossui_major 4
%define libkrossui %mklibname krossui %krossui_major

%package -n %libkrossui
Summary:        Scripting host for KDE applications
Group:          System/Libraries

%description -n %libkrossui
Scripting host for KDE applications.

%files -n %libkrossui
%_kde_libdir/libkrossui.so.%{krossui_major}{,.*}

#------------------------------------------------------------------------------

%define ktexteditor_major 4
%define libktexteditor %mklibname ktexteditor %ktexteditor_major

%package -n %libktexteditor
Summary:        KDE 4 core library
Group:          System/Libraries

%description -n %libktexteditor
KDE 4 core library.

%files -n %libktexteditor
%_kde_libdir/libktexteditor.so.%{ktexteditor_major}{,.*}

#------------------------------------------------------------------------------

%define kunittest_major 4
%define libkunittest %mklibname kunittest %kunittest_major

%package -n %libkunittest
Summary:        KDE 4 core library
Group:          System/Libraries

%description -n %libkunittest
KDE 4 core library.

%files -n %libkunittest
%_kde_libdir/libkunittest.so.%{kunittest_major}{,.*}

#------------------------------------------------------------------------------

%define kutils_major 4
%define libkutils %mklibname kutils %kutils_major

%package -n %libkutils
Summary:        Library for printing, chatting and more
Group:          System/Libraries

%description -n %libkutils
Utility library for printing, chatting and more.

%files -n %libkutils
%_kde_libdir/libkutils.so.%{kutils_major}{,.*}

#------------------------------------------------------------------------------

%define solid_major 4
%define libsolid %mklibname solid %solid_major

%package -n %libsolid
Summary:        KDE 4 core library
Group:          System/Libraries
# Needed here for https://git.reviewboard.kde.org/r/103028/
Requires:       media-player-info

%description -n %libsolid
Solid is a device integration framework.  It provides a way of querying and
interacting with hardware independently of the underlying operating system.

%files -n %libsolid
%_kde_libdir/libsolid.so.%{solid_major}{,.*}

#------------------------------------------------------------------------------

%define threadweaver_major 4
%define libthreadweaver %mklibname threadweaver %threadweaver_major

%package -n %libthreadweaver
Summary:        Job-based threading library
Group:          System/Libraries

%description -n %libthreadweaver
Job-based threading library.

%files -n %libthreadweaver
%_kde_libdir/libthreadweaver.so.%{threadweaver_major}{,.*}

#------------------------------------------------------------------------------

%define kpty_major 4
%define libkpty %mklibname kpty %kpty_major

%package -n %libkpty
Summary:        Abstraction layer for virtual consoles
Group:          System/Libraries

%description -n %libkpty
Abstraction layer for virtual consoles.

%files -n %libkpty
%_kde_libdir/libkpty.so.%{kpty_major}{,.*}

#------------------------------------------------------------------------------

%define kjsapi_major 4
%define libkjsapi %mklibname kjsapi %kjsapi_major

%package -n %libkjsapi
Summary:        Extensible interpreter for ECMAScript library
Group:          System/Libraries

%description -n %libkjsapi
This library provides an extensible interpreter for ECMAScript - a
dynamic scripting language also known as JavaScript or JScript. Within
the set of KDE libraries is used in the HTML component of Konqueror
and the application scripting solutions KJSEmbed and Kross.

%files -n %libkjsapi
%_kde_libdir/libkjsapi.so.%{kjsapi_major}{,.*}

#------------------------------------------------------------------------------

%define libplasma_major 3
%define libplasma %mklibname plasma %{libplasma_major}

%package -n %libplasma
Summary:        KDE 4 core library
Group:          System/Libraries

%description -n %libplasma
KDE 4 core library.

%files -n %libplasma
%_kde_libdir/libplasma.so.%{libplasma_major}{,.*}

#------------------------------------------------------------------------------

%define libkunitconversion_major 4
%define libkunitconversion %mklibname kunitconversion %{libkunitconversion_major}

%package -n %libkunitconversion
Summary:        KDE 4 library used to convert units
Group:          System/Libraries

%description -n %libkunitconversion
This library allows to convert units.

%files -n %libkunitconversion
%_kde_libdir/libkunitconversion.so.%{libkunitconversion_major}{,.*}

#------------------------------------------------------------------------------

%define libknewstuff3_major 4
%define libknewstuff3 %mklibname knewstuff3_ %{libknewstuff3_major}

%package -n %libknewstuff3
Summary:        Library providing data sharing capabilities to KDE applications
Group:          System/Libraries
Obsoletes:      %{_lib}knewstuff34 < 2:4.5.68-2

%description -n %libknewstuff3
The KNewStuff3 library adds data sharing capabilities to KDE
applications.
It uses libattica to access Open Collaboration Services providers.

%files -n %libknewstuff3
%_kde_libdir/libknewstuff3.so.%{libknewstuff3_major}{,.*}

#------------------------------------------------------------------------------

%define libkcmutils_major 4
%define libkcmutils %mklibname kcmutils %{libkcmutils_major}

%package -n %libkcmutils
Summary:        Utility classes for KCModule
Group:          System/Libraries

%description -n %libkcmutils
 Utility classes for KCModule.

%files -n %libkcmutils
%_kde_libdir/libkcmutils.so.%{libkcmutils_major}{,.*}

#------------------------------------------------------------------------------

%define libkprintutils_major 4
%define libkprintutils %mklibname kprintutils %{libkprintutils_major}

%package -n %libkprintutils
Summary:        KDE 4 library
Group:          System/Libraries

%description -n %libkprintutils
KDE 4 library.

%files -n %libkprintutils
%_kde_libdir/libkprintutils.so.%{libkprintutils_major}{,.*}

#------------------------------------------------------------------------------

%define libkidletime_major 4
%define libkidletime %mklibname kidletime %{libkidletime_major}

%package -n %libkidletime
Summary:        KDE 4 library
Group:          System/Libraries

%description -n %libkidletime
KDE 4 library.

%files -n %libkidletime
%_kde_libdir/libkidletime.so.%{libkidletime_major}{,.*}

#------------------------------------------------------------------------------

%define libkemoticons_major 4
%define libkemoticons %mklibname kemoticons %{libkemoticons_major}

%package -n %libkemoticons
Summary:        KDE 4 library
Group:          System/Libraries

%description -n %libkemoticons
KDE 4 library.

%files -n %libkemoticons
%_kde_libdir/libkemoticons.so.%{libkemoticons_major}{,.*}

#------------------------------------------------------------------------------

%package   core
Group:          Graphical desktop/KDE
Summary:        KDE 4 system core files
Recommends:     enchant-dictionary
Recommends:     xdg-utils
%if %{with doc}
Recommends:     kdelibs4-handbooks
%endif
Requires:       shared-mime-info
Requires:       docbook-dtd42-xml
Requires:       docbook-style-xsl
Requires:       rootcerts
Requires:       shared-desktop-ontologies
Requires:       %{?udisks}
Requires:       media-player-info
Requires:       upower
Conflicts:      kdebase4-runtime < 1:4.5.76
Conflicts:      kdelibs4-devel < 1:4.6.90-2

%description core
KDE 4 system core files.

%files core
%_kde_bindir/kbuildsycoca4
%_kde_bindir/kcookiejar4
%_kde_bindir/kde4-config
%_kde_bindir/kded4
%_kde_bindir/kdeinit4
%_kde_bindir/kdeinit4_shutdown
%_kde_bindir/kdeinit4_wrapper
%_kde_bindir/kjs
%_kde_bindir/kjscmd
%_kde_bindir/kross
%_kde_bindir/kshell4
%_kde_bindir/kwrapper4
%_kde_bindir/kmailservice
%_kde_bindir/ktelnetservice
%_kde_bindir/meinproc4
%_kde_bindir/meinproc4_simple
%_kde_bindir/preparetips
%dir %_kde_libdir/kde4
%_kde_libdir/kde4/*.so
%dir %_kde_libdir/kde4/libexec
%attr(4755,root,root) %_kde_libdir/kde4/libexec/fileshareset
%_kde_libdir/kde4/libexec/filesharelist
%_kde_libdir/kde4/libexec/kauth-policy-gen
%_kde_libdir/kde4/libexec/kconf_update
%_kde_libdir/kde4/libexec/kdesu_stub
%_kde_libdir/kde4/libexec/kio_http_cache_cleaner
%_kde_libdir/kde4/libexec/kioslave
%_kde_libdir/kde4/libexec/klauncher
%_kde_libdir/kde4/libexec/kpac_dhcp_helper
%_kde_libdir/kde4/libexec/ksendbugmail
%_kde_libdir/kde4/libexec/lnusertemp
%_kde_libdir/kde4/libexec/start_kdeinit
%_kde_libdir/kde4/libexec/start_kdeinit_wrapper
%dir  %_kde_libdir/kde4/plugins
%_kde_libdir/kde4/plugins/imageformats
%_kde_libdir/kde4/plugins/kauth
%_kde_libdir/kde4/plugins/script
%_kde_libdir/libkdeinit4_*
%_kde_datadir/config
%_kde_datadir/mime/packages/kde.xml
%_kde_datadir/kde4
%_kde_applicationsdir/kmailservice.desktop
%_kde_applicationsdir/ktelnetservice.desktop
%_kde_appsdir/proxyscout
%_kde_appsdir/LICENSES
%_kde_appsdir/kssl
%_kde_appsdir/ksgmltools2
%_kde_appsdir/knewstuff
%_kde_appsdir/kjava
%_kde_appsdir/khtml 
%_kde_appsdir/kdewidgets
%_kde_appsdir/kdeui
%_kde_appsdir/kconf_update
%_kde_appsdir/kcm_componentchooser
%_kde_appsdir/kcharselect
%if %{with doc}
%dir %_kde_docdir/HTML/en/common/
%dir %_kde_docdir/HTML/en/kioslave/
%endif
%_kde_iconsdir/hicolor/*/actions/presence_away.png
%_kde_iconsdir/hicolor/*/actions/presence_offline.png
%_kde_iconsdir/hicolor/*/actions/presence_online.png
%_kde_iconsdir/hicolor/*/actions/presence_unknown.png
%_kde_datadir/locale/all_languages
%_kde_datadir/locale/en_US/entry.desktop
%_sysconfdir/dbus-1/system.d/org.kde.auth.conf
%_datadir/dbus-1/interfaces/org.freedesktop.PowerManagement.Inhibit.xml
%_datadir/dbus-1/interfaces/org.freedesktop.PowerManagement.xml
%_datadir/dbus-1/interfaces/org.kde.JobView.xml
%_datadir/dbus-1/interfaces/org.kde.JobViewServer.xml
%_datadir/dbus-1/interfaces/org.kde.JobViewV2.xml
%_datadir/dbus-1/interfaces/org.kde.KCookieServer.xml
%_datadir/dbus-1/interfaces/org.kde.KDirNotify.xml
%_datadir/dbus-1/interfaces/org.kde.KGlobalAccel.xml
%_datadir/dbus-1/interfaces/org.kde.KHTMLPart.xml
%_datadir/dbus-1/interfaces/org.kde.KIMIface.xml
%_datadir/dbus-1/interfaces/org.kde.KLauncher.xml
%_datadir/dbus-1/interfaces/org.kde.KMediaPlayer.xml
%_datadir/dbus-1/interfaces/org.kde.KPasswdServer.xml
%_datadir/dbus-1/interfaces/org.kde.KSpeech.xml
%_datadir/dbus-1/interfaces/org.kde.KWallet.xml
%_datadir/dbus-1/interfaces/org.kde.Solid.Networking.Client.xml
%_datadir/dbus-1/interfaces/org.kde.Solid.PowerManagement.PolicyAgent.xml
%_datadir/dbus-1/interfaces/org.kde.StatusNotifierItem.xml
%_datadir/dbus-1/interfaces/org.kde.StatusNotifierWatcher.xml
%_datadir/dbus-1/interfaces/org.kde.kded.xml
%_datadir/dbus-1/interfaces/org.kde.kglobalaccel.Component.xml
%_datadir/dbus-1/interfaces/org.kde.kio.FileUndoManager.xml
%_kde_sysconfdir/xdg/kde4/menus/applications.menu
%_kde_appsdir/kauth
%_kde_appsdir/plasma

#------------------------------------------------------------------------------

%if %{with doc}
%package handbooks
Summary:        Handbooks for kdelibs
Group:          Documentation
BuildArch:      noarch
Requires:       kdelibs4-core >= %{epoch}:%{version}-%{release}
Conflicts:      kdelibs4-core < 2:4.7.1

%description handbooks
This packages provides handbooks for kioslaves data, files, ftp, help, http,
mailto, rlogin, telnet, webdav.
This package also provides man pages for kbuildsycoca4, kcookiejar4, kdeinit4,
kjs, kjscmd, kross, kded.

%files handbooks
%_kde_docdir/HTML/en/sonnet
%_kde_docdir/HTML/en/common/*
%_kde_docdir/HTML/en/kioslave/data
%_kde_docdir/HTML/en/kioslave/file
%_kde_docdir/HTML/en/kioslave/ftp
%_kde_docdir/HTML/en/kioslave/help
%_kde_docdir/HTML/en/kioslave/http
%_kde_docdir/HTML/en/kioslave/mailto
%_kde_docdir/HTML/en/kioslave/rlogin
%_kde_docdir/HTML/en/kioslave/telnet
%_kde_docdir/HTML/en/kioslave/webdav
%_kde_mandir/man1/kde4-config.1*
%_kde_mandir/man1/makekdewidgets.1*
%_kde_mandir/man1/kconfig_compiler.1.*
%_kde_mandir/man1/preparetips.1.*
%_kde_mandir/man7/kdeoptions.7*
%_kde_mandir/man7/qtoptions.7*
%_kde_mandir/man8/kbuildsycoca4.8*
%_kde_mandir/man8/kcookiejar4.8*
%_kde_mandir/man8/kdeinit4.8*
%_kde_mandir/man8/meinproc4.8*
%_kde_mandir/man1/kjs.1.*
%_kde_mandir/man1/kjscmd.1.*
%_kde_mandir/man1/kross.1.*
%_kde_mandir/man8/kded4.8.*
%endif

#------------------------------------------------------------------------------

%if %{compile_apidox}
%package  apidoc
Summary:        Development documentation for %name
Group:          Development/KDE and Qt
BuildArch:      noarch
Requires:       qt4-doc

%description apidoc
This packages contains all development documentation for kdelibs.

%files apidoc
%_docdir/kde4/api/*
%endif

#------------------------------------------------------------------------------

%package devel
Group:          Development/KDE and Qt
Summary:        Header files and documentation for compiling KDE applications
URL:            https://projects.kde.org/projects/kde/kdelibs
Requires:       kde4-macros
Requires:       automoc4
Requires:       kdelibs4-core = %epoch:%version
Requires:       libxml2-utils
Requires:       libxslt-proc
Requires:       qt4-devel >= 4:%{qt_version}
Requires:       pkgconfig(shared-desktop-ontologies) >= %sdo_version
Provides:       plasma-devel = %epoch:%version
Requires:       %libkde3support = %epoch:%version
Requires:       %libkdefakes = %epoch:%version
Requires:       %libkdesu = %epoch:%version
Requires:       %libkdnssd = %epoch:%version
Requires:       %libkfile = %epoch:%version
Requires:       %libkhtml = %epoch:%version
Requires:       %libkimproxy = %epoch:%version
Requires:       %libkjsembed = %epoch:%version
Requires:       %libkjs = %epoch:%version
Requires:       %libkmediaplayer = %epoch:%version
Requires:       %libknewstuff2 = %epoch:%version
Requires:       %libknotifyconfig = %epoch:%version
Requires:       %libkntlm = %epoch:%version
Requires:       %libkparts = %epoch:%version
Requires:       %libkrosscore = %epoch:%version
Requires:       %libkrossui = %epoch:%version
Requires:       %libktexteditor = %epoch:%version
Requires:       %libkutils = %epoch:%version
Requires:       %libsolid = %epoch:%version
Requires:       %libthreadweaver = %epoch:%version
Requires:       %libkpty = %epoch:%version
Requires:       %libkjsapi = %epoch:%version
Requires:       %libplasma = %epoch:%version
Requires:       %libkunitconversion = %epoch:%version
Requires:       %libknewstuff3 = %epoch:%version
Requires:       %libkdeclarative = %epoch:%version
Requires:       %libkcmutils = %epoch:%version
Requires:       %libkemoticons = %epoch:%version
Requires:       %libkidletime = %epoch:%version
Requires:       %libkprintutils = %epoch:%version
Requires:       %libkdecore = %epoch:%version

Conflicts:      kdelibs4-core < 2:4.7.2-2

%description devel
This package includes the header files you will need to compile applications
for KDE. Also included is the KDE API documentation in HTML format for easy
browsing.

%files devel
%_kde_includedir/*
%_kde_appsdir/cmake/modules/*
%_kde_bindir/checkXML
%_kde_bindir/kconfig_compiler
%_kde_bindir/makekdewidgets
%_kde_bindir/kunittestmodrunner
%_kde_libdir/cmake/KDeclarative
%_kde_libdir/libkdefakes.so
%_kde_libdir/libkdesu.so
%_kde_libdir/libkdnssd.so
%_kde_libdir/libkhtml.so
%_kde_libdir/libkimproxy.so
%_kde_libdir/libkjs.so
%_kde_libdir/libkjsembed.so
%_kde_libdir/libkmediaplayer.so
%_kde_libdir/libknewstuff2.so
%_kde_libdir/libknotifyconfig.so
%_kde_libdir/libkntlm.so
%_kde_libdir/libkparts.so
%_kde_libdir/libkrossui.so
%_kde_libdir/libktexteditor.so
%_kde_libdir/libkunittest.so
%_kde_libdir/libkutils.so
%_kde_libdir/libkde3support.so
%_kde_libdir/libkpty.so
%_kde_libdir/libkfile.so
%_kde_libdir/libsolid.so
%_kde_libdir/libkrosscore.so
%_kde_libdir/libkdecore.so
%_kde_libdir/libkdeui.so
%_kde_libdir/libkio.so
%_kde_libdir/libthreadweaver.so
%_kde_libdir/libkjsapi.so
%_kde_libdir/libplasma.so
%_kde_libdir/libkunitconversion.so
%_kde_libdir/libknewstuff3.so
%_kde_libdir/libkprintutils.so
%_kde_libdir/libkidletime.so
%_kde_libdir/libkemoticons.so
%_kde_libdir/libkcmutils.so
%_kde_libdir/libkdeclarative.so
%_kde_libdir/kde4/plugins/designer
%if %{with doc}
%_mandir/man1/checkXML.1*
%endif
#_mandir/man1/kdecmake.1*

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{upstream_name}-%{version}

# add release version as part of branding ( From Fedora )
sed -i -e "s|@@VERSION_RELEASE@@|%{version}-%{release}|" kio/kio/kprotocolmanager.cpp

%build
export LD=%{_bindir}/ld.gold
export CFLAGS="%{optflags} -fpermissive -Wno-error=narrowing"
export CXXFLAGS="%{optflags} -fpermissive -Wno-error=narrowing"

%cmake_kde4 -DCMAKE_SKIP_RPATH:BOOL=ON -DWITH_SOLID_UDISKS2:BOOL=ON \
            -DCMAKE_VERBOSE_MAKEFILE:BOOL=ON \
            -DKDE_DISTRIBUTION_TEXT='%{?mageia:%_vendor} %{version}-%{release}' \
            -DBUILD_doc=%{?with_doc:ON}%{?!with_doc:OFF} \
            -DENCHANT_INCLUDE_DIR=%{_includedir}/enchant-2 \
            -DENCHANT_LIBRARIES=%{_libdir}/libenchant-2.so
%cmake_build

%if %{compile_apidox}
  doc/api/doxygen.sh --doxdatadir=${PWD}/doc/common .
%endif

%install
%cmake_install

%if %{compile_apidox}
  mkdir -p %buildroot%_docdir/kde4/api
  cp -av kdelibs-%version-apidocs %buildroot%_docdir/kde4/api/kdelibs
%endif

%__rm -fr %buildroot%_kde_appsdir/kssl/ca-bundle.crt
ln -snf %_sysconfdir/pki/tls/certs/ca-bundle.crt %buildroot%_kde_appsdir/kssl/ca-bundle.crt
