#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kdenetwork-filesharing
Epoch:          3
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Network filesharing
Group:          Networking/Other
License:        GPLv2 LGPLv2 GFDL
URL:            https://apps.kde.org/categories/internet/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6QuickWidgets)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Auth)
BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6DocTools)

# OPTIONAL packages
BuildRequires:  cmake(packagekitqt6)
BuildRequires:  cmake(QCoro6)
# for /usr/bin/net and /usr/bin/testparm
Requires:       samba-common

%description
Networking applications for the KF6.

- kdict: graphical client for the DICT protocol
- kit: AOL instant messenger client, using the TOC protocol
- kpf: public fileserver applet
- krfb: Desktop Sharing server, allow others to access your desktop via VNC
- krdc: a client for Desktop Sharing and other VNC servers.

%files -f %name.lang
%license LICENSES/*.txt
%_kf6_libexecdir/kauth/authhelper
%_kf6_plugindir/propertiesdialog/sambausershareplugin.so
%_kf6_plugindir/propertiesdialog/SambaAcl.so
%_kf6_metainfodir/org.kde.kdenetwork-filesharing.metainfo.xml
%_kf6_datadir/dbus-1/system-services/org.kde.filesharing.samba.service
%_kf6_datadir/dbus-1/system.d/org.kde.filesharing.samba.conf
%_kf6_datadir/polkit-1/actions/org.kde.filesharing.samba.policy

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%cmake_install
%find_lang %name --all-name
