#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:		kdenlive
Version: 25.04.0
Release:	%mkrel %rel
License:	GPLv2+
Summary:	A non-linear video editing application for KDE
Group:		Video/Editors and Converters
URL:		https://www.kdenlive.org
Source:		https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
Patch0:		kdenlive-21.12.3-fix-vp8-hd-profile.patch
## Upstream patches

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Quick)
BuildRequires:	cmake(Qt6QuickControls2)
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6QuickWidgets)
BuildRequires:	cmake(Qt6Multimedia)
BuildRequires:	cmake(Qt6NetworkAuth)
BuildRequires:	cmake(Qt6SvgWidgets)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Test)

BuildRequires:	cmake(KF6DBusAddons)
BuildRequires:	cmake(KF6Archive)
BuildRequires:	cmake(KF6Bookmarks)
BuildRequires:	cmake(KF6Codecs)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6ConfigWidgets)
BuildRequires:	cmake(KF6KIO)
BuildRequires:	cmake(KF6WidgetsAddons)
BuildRequires:	cmake(KF6NotifyConfig)
BuildRequires:	cmake(KF6NewStuff)
BuildRequires:	cmake(KF6XmlGui)
BuildRequires:	cmake(KF6Notifications)
BuildRequires:	cmake(KF6GuiAddons)
BuildRequires:	cmake(KF6TextWidgets)
BuildRequires:	cmake(KF6IconThemes)
BuildRequires:	cmake(KF6Solid)
BuildRequires:	cmake(KF6Purpose)
BuildRequires:	cmake(KF6FileMetaData)
# OPTIONAL packages
BuildRequires:	cmake(KF6DocTools)
BuildRequires:	cmake(KF6Crash)

BuildRequires:	mlt-devel >= 7.0.0

BuildRequires:	cmake(rttr)
BuildRequires:	pkgconfig(libv4l2)
BuildRequires:	cmake(OpenTimelineIO)
BuildRequires:	ffmpeg-devel

Requires:	mlt
Requires:	mlt-kdenlive
Requires:	ffmpeg
Requires:	frei0r
Requires:	dvgrab
Requires:	desktop-common-data
Requires:	breeze
Requires:	breeze-icons
# plugin libqtquick2plugin.so is needed (mga#23025)
Requires:	qt6-qtdeclarative
Requires:	kio

Recommends:	swh-plugins
Recommends:	recordmydesktop
Recommends:	cdrkit-genisoimage
Recommends:	dvdauthor
Recommends:	oxygen-icon-theme
Recommends:	ladspa
Recommends:	lv2
Recommends:	bigsh0t
# see mga#31204
Recommends:	mediainfo


%description
Kdenlive is a non-linear video editor for KDE. It relies on a separate
renderer, piave, to handle its rendering. Kdenlive supports multitrack
editing.

%files -f %name.lang
%doc AUTHORS README.md
%license COPYING
%_kf6_categoriesdir/kdenlive.*categories
%_kf6_bindir/*
%_kf6_datadir/kdenlive/
%_kf6_datadir/knsrcfiles/kdenlive_*.knsrc
%_kf6_iconsdir/hicolor/*/*/*
%_kf6_metainfodir/org.kde.kdenlive.appdata.xml
%_kf6_applicationdir/org.kde.kdenlive.desktop
%_kf6_datadir/config.kcfg/kdenlivesettings.kcfg
%_kf6_knotificationsdir/kdenlive.notifyrc
%_kf6_plugindir/thumbcreator/mltpreview.so
%_kf6_datadir/mime/packages/org.kde.kdenlive.xml
%_kf6_datadir/mime/packages/westley.xml
%_kf6_mandir/man1/*

#--------------------------------------------------------------------

%prep
%autosetup -p1

# fix build renaming an incorrect name file (section 1 - screen 2.png)
mv po/fr/docs/kdenlive/section*1*-*screen*2.png po/fr/docs/kdenlive/section1-screen2.png

%build
%cmake_kf6 -DQT_MAJOR_VERSION=6 \
           -DFETCH_OTIO:BOOL=OFF
%cmake_build

%install
%cmake_install

%find_lang %name --with-html

# remove unwanted doc folder
rm -fr %{buildroot}%{_docdir}/Kdenlive
