#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

# adblock requires rust and corrosion
%bcond_without adblock

Name:           kdepim-addons
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Addons for KDE PIM applications
License:        GPLv2+ and LGPLv2+
Group:          Graphical desktop/KDE
Url:            https://kontact.kde.org
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

# Qt6 BuildRequires
BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6WebEngineWidgets)

# KDE Framework BuildRequires
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6ColorScheme)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6Declarative)
BuildRequires:  cmake(KF6SyntaxHighlighting)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6Prison)
BuildRequires:  cmake(KF6Holidays)
BuildRequires:  cmake(KF6GuiAddons)

BuildRequires:  cmake(KPim6Mime)
BuildRequires:  cmake(KF6CalendarCore)
BuildRequires:  cmake(KPim6CalendarUtils)
BuildRequires:  cmake(KPim6WebEngineViewer)
BuildRequires:  cmake(KPim6TemplateParser)
BuildRequires:  cmake(KPim6MailCommon)
BuildRequires:  cmake(KPim6MessageViewer)
BuildRequires:  cmake(KPim6AddressbookImportExport) >= 6.2.80
BuildRequires:  cmake(KPim6Libkleo)
BuildRequires:  cmake(KPim6GrantleeTheme)
BuildRequires:  cmake(KPim6PimCommonAkonadi)
#BuildRequires:  cmake(KPim6PimCommonActivities)
BuildRequires:  cmake(KF6TextGrammarCheck)
BuildRequires:  cmake(KF6TextTranslator)
BuildRequires:  cmake(KF6TextAddonsWidgets)
BuildRequires:  cmake(KF6TextUtils)
BuildRequires:  cmake(KPim6Libkdepim)
BuildRequires:  cmake(KPim6IncidenceEditor)
BuildRequires:  cmake(KPim6MessageCore)
BuildRequires:  cmake(KPim6MessageComposer)
BuildRequires:  cmake(KPim6MessageList)
BuildRequires:  cmake(KPim6CalendarSupport)
BuildRequires:  cmake(KPim6Akonadi)
BuildRequires:  cmake(KPim6AkonadiCalendar)
BuildRequires:  cmake(KPim6Gravatar)
BuildRequires:  cmake(KPim6TextEdit)
BuildRequires:  cmake(KPim6IdentityManagementCore)
BuildRequires:  cmake(KPim6IMAP)
BuildRequires:  cmake(KPim6KSieveUi)
BuildRequires:  cmake(KF6TextCustomEditor)
BuildRequires:  cmake(KPim6Tnef)
BuildRequires:  cmake(KPim6MailTransport)
BuildRequires:  cmake(KF6Contacts)
BuildRequires:  cmake(KPim6AkonadiContactWidgets)
BuildRequires:  cmake(KPim6ImportWizard)
BuildRequires:  cmake(KPim6MailImporterAkonadi)
BuildRequires:  cmake(KPim6PkPass)
BuildRequires:  cmake(KPim6Itinerary)
BuildRequires:  cmake(KPim6LdapWidgets)
BuildRequires:  cmake(KF6TextTemplate)

# Extra package
BuildRequires:  cmake(KPim6GAPI)

BuildRequires:  cmake(Gpgmepp)
BuildRequires:  pkgconfig(libmarkdown)
%if %{with adblock}
BuildRequires:  cmake(Corrosion)
BuildRequires:  cargo-rpm-macros
%else
Obsoletes:      %{_lib}adblockplugin6 < %{version}-%{release}
%endif


%description
Addons for KDE PIM applications.

%files -f %name.lang
%{_kf6_categoriesdir}/kdepim-addons.categories
%{_kf6_categoriesdir}/kdepim-addons.renamecategories
# Akonadi
%{_qt6_plugindir}/pim6/akonadi/emailaddressselectionldapdialogplugin.so
# KAddressBook addons
%{_qt6_plugindir}/pim6/kaddressbook/
# KMail addons
%config %{_kf6_sysconfdir}/xdg/kmail.antispamrc
%config %{_kf6_sysconfdir}/xdg/kmail.antivirusrc
%{_kf6_bindir}/kmail_antivir.sh
%{_kf6_bindir}/kmail_clamav.sh
%{_kf6_bindir}/kmail_fprot.sh
%{_kf6_bindir}/kmail_sav.sh
%{_qt6_plugindir}/pim6/kmail/
%{_qt6_plugindir}/pim6/libksieve/imapfoldercompletionplugin.so
# PimCommon addons
%{_qt6_plugindir}/pim6/pimcommon/
# WebengineViewer addons
%{_qt6_plugindir}/pim6/webengineviewer/urlinterceptor/
# PimCalendars addons
%{_qt6_plugindir}/plasmacalendarplugins/pimevents.so
%{_qt6_plugindir}/plasmacalendarplugins/pimevents/PimEventsConfig.qml
%{_kf6_qmldir}/org/kde/plasma/PimCalendars/libpimcalendarsplugin.so
%{_kf6_qmldir}/org/kde/plasma/PimCalendars/qmldir
%{_qt6_plugindir}/pim6/ldapactivities/kldapactivitiesplugin.so
%{_qt6_plugindir}/pim6/libksieve/emaillineeditplugin.so
%{_qt6_plugindir}/pim6/templateparser/templateparseraddressrequesterplugin.so
%{_qt6_plugindir}/pim6/contacteditor/editorpageplugins/cryptopageplugin.so
%{_qt6_plugindir}/pim6/messageviewer/bodypartformatter/messageviewer_bodypartformatter_application_gnupgwks.so
%{_qt6_plugindir}/pim6/messageviewer/bodypartformatter/messageviewer_bodypartformatter_application_mstnef.so
%{_qt6_plugindir}/pim6/messageviewer/bodypartformatter/messageviewer_bodypartformatter_pkpass.so
%{_qt6_plugindir}/pim6/messageviewer/bodypartformatter/messageviewer_bodypartformatter_semantic.so
%{_qt6_plugindir}/pim6/messageviewer/bodypartformatter/messageviewer_bodypartformatter_text_calendar.so
%{_qt6_plugindir}/pim6/messageviewer/bodypartformatter/messageviewer_bodypartformatter_text_highlighter.so
%{_qt6_plugindir}/pim6/messageviewer/bodypartformatter/messageviewer_bodypartformatter_text_markdown.so
%{_qt6_plugindir}/pim6/messageviewer/bodypartformatter/messageviewer_bodypartformatter_text_vcard.so
%{_qt6_plugindir}/pim6/messageviewer/checkbeforedeleting/kmail_confirmbeforedeletingplugin.so
%{_qt6_plugindir}/pim6/messageviewer/configuresettings/
%{_qt6_plugindir}/pim6/messageviewer/headerstyle/
%{_qt6_plugindir}/pim6/messageviewer/viewercommonplugin/
%{_qt6_plugindir}/pim6/messageviewer/viewerplugin/
%{_qt6_plugindir}/pim6/messageviewer/kf6/ktexttemplate/kitinerary_ktexttemplate_extension.so
# PimImportWizard addons
%dir %{_qt6_plugindir}/pim6/importwizard
%{_qt6_plugindir}/pim6/importwizard/evolutionv1importerplugin.so
%{_qt6_plugindir}/pim6/importwizard/evolutionv2importerplugin.so
%{_qt6_plugindir}/pim6/importwizard/gearyimporterplugin.so
%{_qt6_plugindir}/pim6/importwizard/operaimporterplugin.so

%{_qt6_plugindir}/pim6/mailtransport/mailtransport_sendplugin.so
%{_qt6_plugindir}/pim6/mailtransportactivities/kmailtransportactivitiesplugin.so

%{_qt6_plugindir}/pim6/kcms/kleopatra/kcm_kmail_gnupgsystem.so

#-------------------------------------------------------------------------------

%define libkmailmarkdown_major 6
%define libkmailmarkdown %mklibname kmailmarkdown %{libkmailmarkdown_major}

%package -n %libkmailmarkdown
Summary:        Runtime library for %name
Group:          System/Libraries

%description -n %libkmailmarkdown
Runtime library for %name.

%files -n %libkmailmarkdown
%_kf6_libdir/libkmailmarkdown.so.%{libkmailmarkdown_major}{,.*}

#-------------------------------------------------------------------------------

%define libshorturlpluginprivate_major 6
%define libshorturlpluginprivate %mklibname shorturlpluginprivate %{libshorturlpluginprivate_major}

%package -n %libshorturlpluginprivate
Summary:        Runtime library for %name
Group:          System/Libraries

%description -n %libshorturlpluginprivate
Runtime library for %name.

%files -n %libshorturlpluginprivate
%_kf6_libdir/libshorturlpluginprivate.so.%{libshorturlpluginprivate_major}{,.*}

#-------------------------------------------------------------------------------

%define libkaddressbookmergelibprivate_major 6
%define libkaddressbookmergelibprivate %mklibname kaddressbookmergelibprivate %{libkaddressbookmergelibprivate_major}

%package -n %libkaddressbookmergelibprivate
Summary:        Runtime library for %name
Group:          System/Libraries

%description -n %libkaddressbookmergelibprivate
Runtime library for %name.

%files -n %libkaddressbookmergelibprivate
%_kf6_libdir/libkaddressbookmergelibprivate.so.%{libkaddressbookmergelibprivate_major}{,.*}

#-------------------------------------------------------------------------------

%define kmailquicktextpluginprivate_major 6
%define libkmailquicktextpluginprivate %mklibname kmailquicktextpluginprivate %{kmailquicktextpluginprivate_major}

%package -n %libkmailquicktextpluginprivate
Summary:        Runtime library for %name
Group:          System/Libraries

%description -n %libkmailquicktextpluginprivate
Runtime library for %name.

%files -n %libkmailquicktextpluginprivate
%_kf6_libdir/libkmailquicktextpluginprivate.so.%{kmailquicktextpluginprivate_major}{,.*}

#-------------------------------------------------------------------------------

%define dkimverifyconfigure_major 6
%define libdkimverifyconfigure %mklibname dkimverifyconfigure %{dkimverifyconfigure_major}

%package -n %libdkimverifyconfigure
Summary:        Runtime library for %name
Group:          System/Libraries

%description -n %libdkimverifyconfigure
Runtime library for %name.

%files -n %libdkimverifyconfigure
%_kf6_libdir/libdkimverifyconfigure.so.%{dkimverifyconfigure_major}{,.*}

#-------------------------------------------------------------------------------

%define expireaccounttrashfolderconfig_major 6
%define libexpireaccounttrashfolderconfig %mklibname expireaccounttrashfolderconfig %{expireaccounttrashfolderconfig_major}

%package -n %libexpireaccounttrashfolderconfig
Summary:        Runtime library for %name
Group:          System/Libraries

%description -n %libexpireaccounttrashfolderconfig
Runtime library for %name.

%files -n %libexpireaccounttrashfolderconfig
%_kf6_libdir/libexpireaccounttrashfolderconfig.so.%{expireaccounttrashfolderconfig_major}{,.*}

#-------------------------------------------------------------------------------

%define folderconfiguresettings_major 6
%define libfolderconfiguresettings %mklibname folderconfiguresettings %{folderconfiguresettings_major}

%package -n %libfolderconfiguresettings
Summary:        Runtime library for %name
Group:          System/Libraries

%description -n %libfolderconfiguresettings
Runtime library for %name.

%files -n %libfolderconfiguresettings
%_kf6_libdir/libfolderconfiguresettings.so.%{folderconfiguresettings_major}{,.*}

#-------------------------------------------------------------------------------

%define kmailconfirmbeforedeleting_major 6
%define libkmailconfirmbeforedeleting %mklibname kmailconfirmbeforedeleting %{kmailconfirmbeforedeleting_major}

%package -n %libkmailconfirmbeforedeleting
Summary:        Runtime library for %name
Group:          System/Libraries

%description -n %libkmailconfirmbeforedeleting
Runtime library for %name.

%files -n %libkmailconfirmbeforedeleting
%_kf6_libdir/libkmailconfirmbeforedeleting.so.%{kmailconfirmbeforedeleting_major}{,.*}

#-------------------------------------------------------------------------------

%define openurlwithconfigure_major 6
%define libopenurlwithconfigure %mklibname openurlwithconfigure %{openurlwithconfigure_major}

%package -n %libopenurlwithconfigure
Summary:        Runtime library for %name
Group:          System/Libraries

%description -n %libopenurlwithconfigure
Runtime library for %name.

%files -n %libopenurlwithconfigure
%_kf6_libdir/libopenurlwithconfigure.so.%{openurlwithconfigure_major}{,.*}

#-------------------------------------------------------------------------------

%define akonadidatasetools_major 6
%define libakonadidatasetools %mklibname akonadidatasetools %{akonadidatasetools_major}

%package -n %libakonadidatasetools
Summary:        Runtime library for %name
Group:          System/Libraries

%description -n %libakonadidatasetools
Runtime library for %name.

%files -n %libakonadidatasetools
%_kf6_libdir/libakonadidatasetools.so.%{akonadidatasetools_major}{,.*}

#-------------------------------------------------------------------------------
%if %{with adblock}

%define adblockplugin_major 6
%define libadblockplugin %mklibname adblockplugin %{adblockplugin_major}

%package -n %libadblockplugin
Summary:        Runtime library for %name
Group:          System/Libraries

%description -n %libadblockplugin
Runtime library for %name.

%files -n %libadblockplugin
%license plugins/webengineurlinterceptor/adblock/LICENSE.dependencies
%_kf6_libdir/libadblockplugin.so.%{adblockplugin_major}{,.*}
%endif

#-------------------------------------------------------------------------------

%prep
%autosetup -p1

%if %{with adblock}
pushd plugins/webengineurlinterceptor/adblock
%cargo_prep
popd
%endif

%if %{with adblock}
%generate_buildrequires
pushd plugins/webengineurlinterceptor/adblock > /dev/null
%cargo_generate_buildrequires
popd > /dev/null
%endif

%build
%cmake_kf6

%cmake_build

%if %{with adblock}
# Rust dependency handling
pushd plugins/webengineurlinterceptor/adblock
%cargo_license_summary
%{cargo_license} > LICENSE.dependencies
popd
%endif

%install
%cmake_install

%find_lang %name --all-name
