#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1
%define shared_desktop_ontologies_version 0.11.0

%define upstream_name kdepim-runtime

Name:           kdepim-runtime
Epoch:          2
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        K Desktop Environment
Group:          Graphical desktop/KDE
License:        GPLv2 and LGPLv2
URL:            https://kontact.kde.org
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{upstream_name}-%{version}.tar.xz
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:  aarch64 x86_64

# Branch patchs (100-200)

# Trunk patchs (200-300)

# Mageia/Fedora/others patchs (300-400)

# Upstream patches

BuildRequires: kf6-rpm-macros

BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6DBus)
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: cmake(Qt6Network)
BuildRequires: cmake(Qt6NetworkAuth)
BuildRequires: cmake(Qt6Test)
BuildRequires: cmake(Qt6WebEngineWidgets)
BuildRequires: cmake(Qt6TextToSpeech)

# KF6 package
BuildRequires: cmake(KF6Config)
BuildRequires: cmake(KF6ConfigWidgets)
BuildRequires: cmake(KF6NotifyConfig)
BuildRequires: cmake(KF6KIO)
BuildRequires: cmake(KF6ItemModels)
BuildRequires: cmake(KF6Codecs)
BuildRequires: cmake(KF6WindowSystem)
BuildRequires: cmake(KF6Notifications)
BuildRequires: cmake(KF6KCMUtils)
BuildRequires: cmake(KF6DAV)
BuildRequires: cmake(KF6Wallet)
BuildRequires: cmake(KF6TextCustomEditor)
BuildRequires: cmake(KF6DocTools)

BuildRequires: cmake(KF6TextCustomEditor)

# KdepimLibs package
BuildRequires: cmake(KPim6Akonadi)
BuildRequires: cmake(KPim6Mime)
BuildRequires: cmake(KPim6AkonadiMime)
BuildRequires: cmake(KPim6MailTransport)
BuildRequires: cmake(KPim6IdentityManagementWidgets)
BuildRequires: cmake(KPim6AkonadiContactWidgets)
BuildRequires: cmake(KF6Contacts)
BuildRequires: cmake(KF6CalendarCore)
BuildRequires: cmake(KPim6CalendarUtils)
BuildRequires: cmake(KPim6Mbox)
BuildRequires: cmake(KPim6IMAP)
BuildRequires: cmake(KPim6AkonadiCalendar)
BuildRequires: cmake(KPim6GAPI)
BuildRequires: cmake(KPim6LdapWidgets)
BuildRequires: cmake(KPim6PimCommonAkonadi)
BuildRequires: cmake(KPim6PimCommonActivities)
BuildRequires: cmake(KPim6Libkdepim)
#
BuildRequires: cmake(Libkolabxml)

#BuildRequires: pkgconfig(etebase)
BuildRequires: pkgconfig(libsasl2)
BuildRequires: cmake(Qt6Keychain)
BuildRequires: cmake(Qca-qt6)


%description
Information Management applications for the K Desktop Environment runtime libs.

#-----------------------------------------------------------------------------

%package -n akonadi-kde
Summary:        Akonadi control center for KDE
Group:          Graphical desktop/KDE
Requires:       akonadi >= 1:1.2.1
Requires:       mysql-client
Requires:       akonadi-contacts
Requires:       qca-qt6
Requires:       libkgapi

Provides:       kio5-pop3 = %epoch:%version-%release
Provides:       kio6-pop3 = %epoch:%version-%release

%description -n akonadi-kde
Akonadi control center for KDE.

%files -n akonadi-kde -f %name.lang
%license LICENSES/*.txt
%_kf6_bindir/*
%_kf6_categoriesdir/kdepim-runtime.*categories
%_kf6_datadir/mime/packages/kdepim-mime.xml
%_kf6_datadir/akonadi/agents/*.desktop
%_kf6_datadir/akonadi/davgroupware-providers/
%dir %_qt6_plugindir/pim6/akonadi/config
%_qt6_plugindir/pim6/akonadi/config/*.so
%dir %_qt6_plugindir/pim6/mailtransport
%_qt6_plugindir/pim6/mailtransport/*.so
%_kf6_plugindir/kio/akonadi.so
%_kf6_datadir/akonadi/firstrun/*
%_kf6_datadir/dbus-1/interfaces/org.kde.Akonadi.Maildir.Settings.xml
%_kf6_datadir/dbus-1/interfaces/org.kde.Akonadi.MixedMaildir.Settings.xml
%_kf6_iconsdir/*/*/*/*
%_kf6_knotificationsdir/*.notifyrc
%_kf6_applicationdir/org.kde.akonadi_contacts_resource.desktop
%_kf6_applicationdir/org.kde.akonadi_davgroupware_resource.desktop
%_kf6_applicationdir/org.kde.akonadi_ews_resource.desktop
%_kf6_applicationdir/org.kde.akonadi_google_resource.desktop
%_kf6_applicationdir/org.kde.akonadi_imap_resource.desktop
%_kf6_applicationdir/org.kde.akonadi_kolab_resource.desktop
%_kf6_applicationdir/org.kde.akonadi_openxchange_resource.desktop
%_kf6_applicationdir/org.kde.akonadi_vcard_resource.desktop
%_kf6_applicationdir/org.kde.akonadi_vcarddir_resource.desktop
# kcmldap
%_qt6_plugindir/pim6/kcms/common/kcm_ldap.so

#------------------------------------------------------------------------------

%define akonadi_singlefileresource_major 6
%define libakonadi_singlefileresource %mklibname akonadi-singlefileresource %{akonadi_singlefileresource_major}

%package -n %libakonadi_singlefileresource
Summary:        KDEPIM library
Group:          System/Libraries

%description -n %libakonadi_singlefileresource
KDEPIM library.

%files -n %libakonadi_singlefileresource
%_kf6_libdir/libakonadi-singlefileresource.so.%{akonadi_singlefileresource_major}{,.*}

#------------------------------------------------------------------------------

%define maildir_major 6
%define libmaildir %mklibname maildir %{maildir_major}

%package -n %libmaildir
Summary:        KDEPIM library
Group:          System/Libraries

%description -n %libmaildir
KDEPIM library.

%files -n %libmaildir
%_kf6_libdir/libmaildir.so.%{maildir_major}{,.*}

#------------------------------------------------------------------------------

%define akonadi_filestore_major 6
%define libakonadi_filestore %mklibname akonadi-filestore %{akonadi_filestore_major}

%package -n %libakonadi_filestore
Summary:        Akonadi filestore library
Group:          System/Libraries

%description -n %libakonadi_filestore
Akonadi filestore library.

%files  -n %libakonadi_filestore
%_kf6_libdir/libakonadi-filestore.so.%{akonadi_filestore_major}{,.*}

#------------------------------------------------------------------------------

%define kminexreader_major 6
%define libkmindexreader %mklibname kmindexreader %kminexreader_major

%package -n %libkmindexreader
Summary:        KDEPIM Runtime library
Group:          System/Libraries

%description -n %libkmindexreader
KDEPIM Runtime library.

%files -n %libkmindexreader
%_kf6_libdir/libkmindexreader.so.%{kminexreader_major}{,.*}

#------------------------------------------------------------------------------

%define folderarchivesettings_major 6
%define libfolderarchivesettings %mklibname folderarchivesettings %folderarchivesettings_major

%package -n %libfolderarchivesettings
Summary:        KDEPIM Runtime library
Group:          System/Libraries

%description -n %libfolderarchivesettings
KDEPIM Runtime library.

%files -n %libfolderarchivesettings
%_kf6_libdir/libfolderarchivesettings.so.%{folderarchivesettings_major}{,.*}

#------------------------------------------------------------------------------

%define newmailnotifier_major 6
%define libnewmailnotifier %mklibname newmailnotifier %newmailnotifier_major

%package -n %libnewmailnotifier
Summary:        KDEPIM Runtime library
Group:          System/Libraries

%description -n %libnewmailnotifier
KDEPIM Runtime library.

%files -n %libnewmailnotifier
%_kf6_libdir/libnewmailnotifier.so.%{newmailnotifier_major}{,.*}

#------------------------------------------------------------------------------

%package        handbook
Summary:        Kdepim-runtime Handbook
Group:          Documentation
BuildArch:      noarch

%description    handbook
This package provides kioslave handbook for pop3.

%files handbook
%license LICENSES/*.txt
%doc README.md
#{_kf6_docdir}/HTML/*/kioslave5/pop3/

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{upstream_name}-%{version}

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name
