#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define akonadi_version 1.11.80
%define shared_desktop_ontologies_version 0.11.0
%define libcal_version 0.41

%define upstream_name kdepimlibs

# disable building of doc (fails to build since mga8)
%bcond_with doc

%define rel 22

Name: kdepimlibs4
Summary: Libraries of the KDE-PIM project
Epoch: 2
Version: 4.14.10
Release: %mkrel %{rel}
Group: Graphical desktop/KDE
License: ARTISTIC and BSD and GPLv2 and LGPLv2 and QPL
Source: https://download.kde.org/stable/applications/14.12.2/src/%{upstream_name}-%{version}.tar.xz
Patch0: kdepimlibs-4.14.10-dont-build-tests.patch

Patch43: 0043-Backport-avoid-to-transform-as-a-url-when-we-have-a-.patch

# Branch Patchs (100-199)

## upstreamable patches
Patch200: kdepimlibs-4.14.10-fix-build-with-ical-3.0.patch

BuildRequires: kdelibs4-devel >= 2:%{version}
BuildRequires: pkgconfig(akonadi)
BuildRequires: pkgconfig(xft)
BuildRequires: pkgconfig(xpm)
BuildRequires: pkgconfig(libical) >= %{libcal_version}
BuildRequires: pkgconfig(QJson)
BuildRequires: pkgconfig(libxslt)
BuildRequires: openldap-devel
BuildRequires: boost-devel
BuildRequires: gpgme-devel

%description
This module includes libraries that are central to the development and
execution of a KDE-PIM application.

The KDE-PIM project aims to bring together those who wish to help design,
implement, test, etc. anything that's to do with personal information
management.

This rather broad scope encompasses mail clients, addressbooks, usenet news,
scheduling and even sticky notes.

#------------------------------------------------------------------------------

%package core
Group: System/Libraries
Summary: Config file and icons file for %name
Conflicts: %{name}-devel < 2.4.5.71
Conflicts: akonadi-social-utils
Conflicts: kdepim4-runtime < 2:4.12.2
Conflicts: akonadi-kde < 2:4.12.2
Obsoletes: akonadi-social-utils < 1
Obsoletes: %{_lib}calendaring0
%if %{with doc}
Recommends: kdepimlibs4-handbooks
%endif

%description core
This packages contains all icons, config file etc... of kdepimlibs4.

%files core
%exclude %_kde_bindir/akonadi2xml
%exclude %_kde_datadir/config.kcfg/mailtransport.kcfg
%_kde_libdir/kde4/akonadi_serializer_socialfeeditem.so
%_kde_libdir/kde4/kabc_directory.so
%_kde_libdir/kde4/kabc_file.so
%_kde_libdir/kde4/kabc_net.so
%_kde_libdir/kde4/kabcformat_binary.so
%_kde_libdir/kde4/kcal_local.so
%_kde_libdir/kde4/kcal_localdir.so
%_kde_libdir/kde4/kcm_akonadicontact_actions.so
%_kde_libdir/kde4/kcm_kresources.so
%_kde_libdir/kde4/kcm_mailtransport.so
%_kde_appsdir/akonadi
%_kde_appsdir/akonadi-kde
%_kde_appsdir/kabc
%_kde_appsdir/kconf_update/mailtransports.upd
%_kde_appsdir/kconf_update/migrate-transports.pl
%_kde_appsdir/libkholidays
%_kde_services/akonadi/contact
%_kde_services/akonadicontact_actions.desktop
%_kde_services/kcm_mailtransport.desktop
%dir %_kde_services/kresources
%_kde_services/kresources.desktop
%dir %_kde_services/kresources/kabc
%_kde_services/kresources/kabc/dir.desktop
%_kde_services/kresources/kabc/file.desktop
%_kde_services/kresources/kabc/net.desktop
%_kde_services/kresources/kabc_manager.desktop
%_kde_services/kresources/kcal
%_kde_services/kresources/kcal_manager.desktop
%_kde_servicetypes/*.desktop
%_datadir/dbus-1/interfaces/*
%_kde_datadir/mime/packages/kdepimlibs-mime.xml
%_kde_datadir/mime/packages/x-vnd.akonadi.socialfeeditem.xml
%exclude %_kde_datadir/config.kcfg/recentcontactscollections.kcfg
%exclude %_kde_datadir/config.kcfg/resourcebase.kcfg
%exclude %_kde_datadir/config.kcfg/specialmailcollections.kcfg

#------------------------------------------------------------------------------

%if %{with doc}
%package  handbooks
Summary: KdepimLibs Handbooks
Group: Documentation
Requires:  kdepimlibs4-core >= %{epoch}:%{version}-%{release}
Conflicts: kdepimlibs4-core < 2:4.7.1
Conflicts: kio4-nntp < 2:4.7.1
Conflicts: kio4-imap < 2:4.7.1
Conflicts: kio4-pop3 < 2:4.7.1
Conflicts: kio4-ldap < 2:4.7.1
Conflicts: kio4-sieve < 2:4.7.1
Conflicts: kio4-mbox < 2:4.7.1
Conflicts: kio4-smtp < 2:4.7.1
BuildArch: noarch

%description  handbooks
This package provides KDEPIMLIBS handbooks:
You'll find kioslave handbooks for imap, pop3, ldap, sieve, mbox, smtp
and nntp.

%files  handbooks
%docdir %_kde_docdir/HTML/en
%_kde_docdir/HTML/en/kcontrol/kresources
%_kde_docdir/HTML/en/kioslave/imap
%_kde_docdir/HTML/en/kioslave/pop3
%_kde_docdir/HTML/en/kioslave/ldap
%_kde_docdir/HTML/en/kioslave/sieve
%_kde_docdir/HTML/en/kioslave/mbox
%_kde_docdir/HTML/en/kioslave/smtp
%_kde_docdir/HTML/en/kioslave/nntp
%endif

#------------------------------------------------------------------------------

%package -n kio4-imap
Summary: KDE 4 imap module
Group: System/Libraries
Requires: %{name}-core = %epoch:%version
%if %{with doc}
Recommends: kdepimlibs4-handbooks
%endif

%description -n kio4-imap
An API for IMAP support.

%files -n kio4-imap
%_kde_libdir/kde4/kio_imap4.so
%_kde_services/imap*

#------------------------------------------------------------------------------

%package -n kio4-pop3
Summary: KDE 4 pop3 module
Group: System/Libraries
Requires: %{name}-core = %epoch:%version
%if %{with doc}
Recommends: kdepimlibs4-handbooks
%endif

%description -n kio4-pop3
KDE 4 pop3 module.

%files -n kio4-pop3
%_kde_libdir/kde4/kio_pop3.so
%_kde_services/pop*

#------------------------------------------------------------------------------

%package -n kio4-ldap
Summary: KDE 4 ldap module
Group: System/Libraries
Requires: %{name}-core = %epoch:%version
%if %{with doc}
Recommends: kdepimlibs4-handbooks
%endif

%description -n kio4-ldap
KDE 4 ldap module.

%files -n kio4-ldap
%_kde_libdir/kde4/kio_ldap.so
%_kde_services/ldap*
%_kde_libdir/kde4/kabc_ldapkio.so
%_kde_services/kresources/kabc/ldapkio.desktop

#------------------------------------------------------------------------------

%package -n kio4-sieve
Summary: KDE 4 sieve module
Group: System/Libraries
Requires: %{name}-core = %epoch:%version
%if %{with doc}
Recommends: kdepimlibs4-handbooks
%endif

%description -n kio4-sieve
KDE 4 sieve module.

%files -n kio4-sieve
%_kde_libdir/kde4/kio_sieve.so
%_kde_services/sieve*

#------------------------------------------------------------------------------

%package -n kio4-mbox
Summary: KDE 4 mbox module
Group: System/Libraries
Requires: %{name}-core = %epoch:%version
%if %{with doc}
Recommends: kdepimlibs4-handbooks
%endif

%description -n kio4-mbox
KDE 4 mbox module.

%files -n kio4-mbox
%_kde_libdir/kde4/kio_mbox.so
%_kde_services/mbox*

#------------------------------------------------------------------------------

%package -n kio4-smtp
Summary: KDE 4 smtp module
Group: System/Libraries
Requires: %{name}-core = %epoch:%version

%description -n kio4-smtp
KDE 4 smtp module.

%files -n kio4-smtp
%_kde_libdir/kde4/kio_smtp.so
%_kde_services/smtp*

#------------------------------------------------------------------------------

%package -n kio4-nntp
Summary: KDE 4 nntp module
Group: System/Libraries
Requires: %{name}-core = %epoch:%version

%description -n kio4-nntp
KDE 4 nntp module.

%files -n kio4-nntp
%_kde_libdir/kde4/kio_nntp.so
%_kde_services/nntp*

#------------------------------------------------------------------------------

%define kabc_major 4
%define libkabc %mklibname kabc %kabc_major

%package -n %libkabc
Summary: KDE 4 core library
Group:  System/Libraries

%description -n %libkabc
This package provides an API for address book data. This can be used by all KDE
application using data of this type, e.g. KAddressBook, KMail, KOrganizer,
KPilot... etc.

%files -n %libkabc
%_kde_libdir/libkabc.so.%{kabc_major}{,.*}

#------------------------------------------------------------------------------

%define kblog_major 4
%define libkblog %mklibname kblog %{kblog_major}

%package -n %libkblog
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libkblog
This library provides client-side support for web application remote blogging APIs.

%files -n %libkblog
%_kde_libdir/libkblog.so.%{kblog_major}{,.*}

#------------------------------------------------------------------------------

%define kabc_file_core_major 4
%define libkabc_file_core %mklibname kabc_file_core %{kabc_file_core_major}

%package -n %libkabc_file_core
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libkabc_file_core
This library provides an API for the KDE Addressbook.

%files -n %libkabc_file_core
%_kde_libdir/libkabc_file_core.so.%{kabc_file_core_major}{,.*}

#------------------------------------------------------------------------------

%define kcal_major 4
%define libkcal %mklibname kcal %{kcal_major}

%package -n %libkcal
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libkcal
This library provides access to and handling of calendar data. It supports the
standard formats iCalendar and vCalendar and the group scheduling standard iTIP.

%files -n %libkcal
%_kde_libdir/libkcal.so.%{kcal_major}{,.*}

#------------------------------------------------------------------------------

%define kimap_major 4
%define libkimap %mklibname kimap %{kimap_major}

%package -n %libkimap
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libkimap
This library provides an API for IMAP support.

%files -n %libkimap
%_kde_libdir/libkimap.so.%{kimap_major}{,.*}

#------------------------------------------------------------------------------

%define kldap_major 4
%define libkldap %mklibname kldap %{kldap_major}

%package -n %libkldap
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libkldap
This library provides an API for IMAP support.

%files -n %libkldap
%_kde_libdir/libkldap.so.%{kldap_major}{,.*}

#------------------------------------------------------------------------------

%define kmbox_major 4
%define libkmbox %mklibname kmbox %{kmbox_major}

%package -n %libkmbox
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libkmbox
A library for accessing mail storages in MBox format.

%files -n %libkmbox
%_kde_libdir/libkmbox.so.%{kmbox_major}{,.*}

#------------------------------------------------------------------------------

%define kmime_major 4
%define libkmime %mklibname kmime %{kmime_major}

%package -n %libkmime
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libkmime
A library for MIME handling.

%files -n %libkmime
%_kde_libdir/libkmime.so.%{kmime_major}{,.*}

#------------------------------------------------------------------------------

%define kpimutils_major 4
%define libkpimutils %mklibname kpimutils %{kpimutils_major}

%package -n %libkpimutils
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libkpimutils
A library for general purpose PIM utilities.


%files -n %libkpimutils
%_kde_libdir/libkpimutils.so.%{kpimutils_major}{,.*}

#------------------------------------------------------------------------------

%define kresources_major 4
%define libkresources %mklibname kresources %{kresources_major}

%package -n %libkresources
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libkresources
The KDE Resource framework library.

%files -n %libkresources
%_kde_libdir/libkresources.so.%{kresources_major}{,.*}

#------------------------------------------------------------------------------

%define ktnef_major 4
%define libktnef %mklibname ktnef %{ktnef_major}

%package -n %libktnef
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libktnef
This library provides an API for the handling of TNEF data.

%files -n %libktnef
%_kde_libdir/libktnef.so.%{ktnef_major}{,.*}

#------------------------------------------------------------------------------

%define kxmlrpcclient_major 4
%define libkxmlrpcclient %mklibname kxmlrpcclient %{kxmlrpcclient_major}

%package -n %libkxmlrpcclient
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libkxmlrpcclient
An XML-RPC client library.

%files -n %libkxmlrpcclient
%_kde_libdir/libkxmlrpcclient.so.%{kxmlrpcclient_major}{,.*}

#------------------------------------------------------------------------------

%define mailtransport_major 4
%define libmailtransport %mklibname mailtransport %{mailtransport_major}

%package -n %libmailtransport
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libmailtransport
This library provides an API and support code for managing mail transport.

%files -n %libmailtransport
%_kde_libdir/libmailtransport.so.%{mailtransport_major}{,.*}

#------------------------------------------------------------------------------

%define syndication_major 4
%define libsyndication %mklibname syndication %{syndication_major}

%package -n %libsyndication
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libsyndication
An RSS feed handling library.

%files -n %libsyndication
%_kde_libdir/libsyndication.so.%{syndication_major}{,.*}

#------------------------------------------------------------------------------

%define kpimidentities_major 4
%define libkpimidentities %mklibname kpimidentities %{kpimidentities_major}

%package -n %libkpimidentities
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libkpimidentities
Library for shared identities between mail applications.

%files -n %libkpimidentities
%_kde_libdir/libkpimidentities.so.%{kpimidentities_major}{,.*}

#------------------------------------------------------------------------------

%define akonadi_kde_major 4
%define libakonadi_kde %mklibname akonadi-kde %{akonadi_kde_major}

%package -n %libakonadi_kde
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libakonadi_kde
A client access library for using the Akonadi PIM data server.

%files -n %libakonadi_kde
%_kde_libdir/libakonadi-kde.so.%{akonadi_kde_major}{,.*}

#------------------------------------------------------------------------------

%define akonadi_kabc_major 4
%define libakonadi_kabc %mklibname akonadi-kabc %{akonadi_kabc_major}

%package -n %libakonadi_kabc
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libakonadi_kabc
A client access library for using the Akonadi PIM data server.

%files -n %libakonadi_kabc
%_kde_libdir/libakonadi-kabc.so.%{akonadi_kabc_major}{,.*}

#------------------------------------------------------------------------------

%define akonadi_kmime_major 4
%define libakonadi_kmime %mklibname akonadi-kmime %{akonadi_kmime_major}

%package -n %libakonadi_kmime
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libakonadi_kmime
A client access library for using the Akonadi PIM data server.

%files -n %libakonadi_kmime
%_kde_libdir/libakonadi-kmime.so.%{akonadi_kmime_major}{,.*}

#------------------------------------------------------------------------------
%define akonadi_notes_major 4
%define libakonadi_notes %mklibname akonadi-notes %{akonadi_notes_major}

%package -n %{libakonadi_notes}
Summary: KDE 4 core library
Group: System/Libraries

%description -n %{libakonadi_notes}
A client access library for using the Akonadi PIM data server.

%files -n %{libakonadi_notes}
%_kde_libdir/libakonadi-notes.so.%{akonadi_notes_major}{,.*}

#------------------------------------------------------------------------------
%define kalarmcal_major 2
%define libkalarmcal %mklibname kalarmcal %{kalarmcal_major}

%package -n %{libkalarmcal}
Summary: KDE 4 core library
Group: System/Libraries

%description -n %{libkalarmcal}
This library provides an API for KAlarm alarms.

%files -n %{libkalarmcal}
%_kde_libdir/libkalarmcal.so.%{kalarmcal_major}{,.*}

#------------------------------------------------------------------------------

%define kholidays_major 4
%define libkholidays %mklibname kholidays %{kholidays_major}

%package -n %libkholidays
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libkholidays
A library for calendar holidays.

%files -n %libkholidays
%_kde_libdir/libkholidays.so.%{kholidays_major}{,.*}

#------------------------------------------------------------------------------

%define kpimtextedit_major 4
%define libkpimtextedit %mklibname kpimtextedit %{kpimtextedit_major}

%package -n %libkpimtextedit
Summary: Kdepimlibs 4 core library
Group: System/Libraries

%description -n %libkpimtextedit
A library for PIM-specific text editing utilities.

%files -n %libkpimtextedit
%_kde_libdir/libkpimtextedit.so.%{kpimtextedit_major}{,.*}

#------------------------------------------------------------------------------

%define microblog_major 4
%define libmicroblog %mklibname microblog %{microblog_major}

%package -n %libmicroblog
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libmicroblog
A library for microblogging.

%files -n %libmicroblog
%_kde_libdir/libmicroblog.so.%{microblog_major}{,.*}

#------------------------------------------------------------------------------

%define akonadi_contact_major 4
%define libakonadi_contact %mklibname akonadi-contact %{akonadi_contact_major}

%package -n %libakonadi_contact
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libakonadi_contact
A client access library for using the Akonadi PIM data server.

%files -n %libakonadi_contact
%_kde_libdir/libakonadi-contact.so.%{akonadi_contact_major}{,.*}

#------------------------------------------------------------------------------

%define akonadi_kcal_major 4
%define libakonadi_kcal %mklibname akonadi-kcal %{akonadi_kcal_major}

%package -n %libakonadi_kcal
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libakonadi_kcal
A client access library for using the Akonadi PIM data server.

%files -n %libakonadi_kcal
%_kde_libdir/libakonadi-kcal.so.%{akonadi_kcal_major}{,.*}

#------------------------------------------------------------------------------

%define kontactinterface_major 4
%define libkontactinterface %mklibname kontactinterface %{kontactinterface_major}

%package -n %libkontactinterface
Summary: Kontact Interface library
Group: System/Libraries

%description -n %libkontactinterface
Kontact Interface library.

%files -n %libkontactinterface
%_kde_libdir/libkontactinterface.so.%{kontactinterface_major}{,.*}

#------------------------------------------------------------------------------

%define akonadi_calendar_major 4
%define libakonadi_calendar %mklibname akonadi-calendar %{akonadi_calendar_major}

%package -n %libakonadi_calendar
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libakonadi_calendar
This library manages calendar specific actions for collection and item views.

%files -n %libakonadi_calendar
%_kde_libdir/libakonadi-calendar.so.%{akonadi_calendar_major}{,.*}

#------------------------------------------------------------------------------

%define akonadi_socialutils_major 4
%define libakonadi_socialutils %mklibname akonadi_socialutils %{akonadi_socialutils_major}

%package -n %{libakonadi_socialutils}
Summary: KDE 4 Core library
Group: System/Libraries

%description -n %{libakonadi_socialutils}
This library contains a SocialFeedItem, an item that is used in KDE's Social Feed
and also a serializer for this item. Besides that it provides an ImageProvider
which fetches images from web and stores them locally in KImageCache. This is
used mainly in akonadi-facebook and akonadi-microblog-ng resources for fetching
avatars from the social networks.


%files -n %{libakonadi_socialutils}
%_kde_libdir/libakonadi-socialutils.so.%{akonadi_socialutils_major}{,.*}

#------------------------------------------------------------------------------

%define kcalcore_major 4
%define libkcalcore %mklibname kcalcore %{kcalcore_major}

%package -n %libkcalcore
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libkcalcore
An API for the iCalendar and vCalendar formats.

%files -n %libkcalcore
%_kde_libdir/libkcalcore.so.%{kcalcore_major}{,.*}

#------------------------------------------------------------------------------

%define kcalutils_major 4
%define libkcalutils %mklibname kcalutils %{kcalutils_major}

%package -n %libkcalutils
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libkcalutils
This library provides a utility and user interface functions for accessing
calendar data using the kcalcore API.

%files -n %libkcalutils
%_kde_libdir/libkcalutils.so.%{kcalutils_major}{,.*}

#------------------------------------------------------------------------------

%define akonadixml_major 4
%define libakonadixml %mklibname akonadi-xml %{akonadixml_major}

%package -n %libakonadixml
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libakonadixml
This library provides a utility and user interface functions for accessing
calendar data using the kcalcore API.

%files -n %libakonadixml
%_kde_libdir/libakonadi-xml.so.%{akonadixml_major}{,.*}

#------------------------------------------------------------------------------

%package devel
Group: Development/KDE and Qt
Summary: Header files and documentation for compiling KDE applications
Obsoletes: %{_lib}akonadi-social-utils-devel < 1
Obsoletes: %{_lib}calendaring-devel
Conflicts: choqok-devel < 1.4
Conflicts: kdepim4-runtime-devel < 2:4.12.2

Requires: %name-core = %epoch:%version-%release
Requires: %libakonadi_calendar = %epoch:%version-%release
Requires: %libakonadi_contact = %epoch:%version-%release
Requires: %libakonadi_kabc = %epoch:%version-%release
Requires: %libakonadi_kcal = %epoch:%version-%release
Requires: %libakonadi_kde = %epoch:%version-%release
Requires: %libakonadi_kmime = %epoch:%version-%release
Requires: %libakonadi_notes = %epoch:%version-%release
Requires: %libakonadi_socialutils = %epoch:%version-%release
Requires: %libakonadixml = %epoch:%version-%release
Requires: %libkabc = %epoch:%version-%release
Requires: %libkabc_file_core = %epoch:%version-%release
Requires: %libkalarmcal = %epoch:%version-%release
Requires: %libkblog = %epoch:%version-%release
Requires: %libkcal = %epoch:%version-%release
Requires: %libkcalcore = %epoch:%version-%release
Requires: %libkcalutils = %epoch:%version-%release
Requires: %libkholidays = %epoch:%version-%release
Requires: %libkimap = %epoch:%version-%release
Requires: %libkldap = %epoch:%version-%release
Requires: %libkmbox = %epoch:%version-%release
Requires: %libkmime = %epoch:%version-%release
Requires: %libkontactinterface = %epoch:%version-%release
Requires: %libkpimidentities = %epoch:%version-%release
Requires: %libkpimtextedit = %epoch:%version-%release
Requires: %libkpimutils = %epoch:%version-%release
Requires: %libkresources = %epoch:%version-%release
Requires: %libktnef = %epoch:%version-%release
Requires: %libkxmlrpcclient = %epoch:%version-%release
Requires: %libmailtransport = %epoch:%version-%release
Requires: %libmicroblog = %epoch:%version-%release
Requires: %libsyndication = %epoch:%version-%release
Requires: boost-devel

%description devel
This package includes the header files you will need to compile applications
for KDE. Also included is the KDE API documentation in HTML format for easy
browsing.

%files devel
%_kde_includedir/*
%_kde_libdir/*.so
%_kde_appsdir/cmake/*/*
%_kde_plugindir/designer/*.so
%_kde_libdir/cmake/KdepimLibs

#------------------------------------------------------------------------------

%prep
%setup -q -n %{upstream_name}-%{version}
%autopatch -p1

# Don't build gpgme++
sed -e '/gpgme++/d' -e '/qgpgme/d' -i CMakeLists.txt


%build
export LD=%{_bindir}/ld.gold
%cmake_kde4 -DKDE4_ENABLE_FINAL=OFF \
            -DKDE4_BUILD_TESTS=OFF \
            -DBUILD_doc=%{?with_doc:ON}%{?!with_doc:OFF}
%cmake_build

%install
%cmake_install
