#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define shared_desktop_ontologies_version 0.11.0

%define with_ibus 0

%define rel 1

Name:           kdeplasma-addons
Version: 6.3.4
Release:        %mkrel %{rel}
Summary:        A compilation of plasma items (runners, applets, plasmoids) for Plasma
Group:          Graphical desktop/KDE
License:        GPLv2 and LGPLv2
URL:            https://www.kde.org
Source:         https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

# Branch patches (100->199)

# Trunk patches (200->299)

# Mageia patches (500->600)

# Testing patches (600->...)

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Quick3D)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
%ifarch aarch64 x86_64
BuildRequires:  cmake(Qt6WebEngineQuick)
%endif

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6Declarative)
BuildRequires:  cmake(KF6GlobalAccel)
BuildRequires:  cmake(KF6Holidays)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Auth)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6Runner)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6Sonnet)
BuildRequires:  cmake(KF6UnitConversion)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6JobWidgets)

BuildRequires:  cmake(Plasma5Support)
BuildRequires:  cmake(Plasma)
BuildRequires:  cmake(PlasmaQuick)
BuildRequires:  cmake(KF6Purpose)
BuildRequires:  cmake(KF6KirigamiAddons)
BuildRequires:  cmake(KF6ItemModels)

BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(icu-uc)
BuildRequires:  pkgconfig(icu-i18n)

# runtime dependencies
BuildRequires:  purpose
Requires:       purpose
BuildRequires:  kitemmodels
Requires:       kitemmodels
BuildRequires:  kirigami-addons
Requires:       kirigami-addons

Requires:       ksysguard

# needed for diskquota plasmoid
Requires:       quota

# now cube effect is included upstream in Plasma 6
Obsoletes:      kwin-effects-cube < 2.0.0-2
Provides:       kwin-effects-cube = %{version}-%{release}


%description
kdeplasma is a compilation of plasma items
(runners, applets, plasmoids) for Plasma.

%files -f %name.lang
%license LICENSES/*
%_kf6_categoriesdir/kdeplasma-addons.categories
%_kf6_libexecdir/kauth/kameleonhelper
%_kf6_qmldir/org/kde/plasma/private/alternatecalendarconfig
%_kf6_qmldir/org/kde/plasma/private/fifteenpuzzle/
%_kf6_qmldir/org/kde/plasma/private/notes
%_kf6_qmldir/org/kde/plasma/private/timer
%_kf6_qmldir/org/kde/plasma/private/colorpicker
%_kf6_qmldir/org/kde/plasma/private/diskquota
%_kf6_qmldir/org/kde/plasma/private/quicklaunch
%_kf6_qmldir/org/kde/plasma/private/mediaframe
%_kf6_qmldir/org/kde/plasma/private/weather
%_kf6_qmldir/org/kde/plasma/private/profiles/
%_kf6_qmldir/org/kde/plasma/wallpapers/potd
%_kf6_qmldir/org/kde/plasmacalendar/
%_kf6_plugindir/kded/kameleon.so
%_kf6_plugindir/krunner/org.kde.datetime.so
%_kf6_plugindir/krunner/krunner_*.so
%_kf6_plugindir/krunner/unitconverter.so
%_qt6_plugindir/kwin/effects/configs/kwin_cube_config.so
%_qt6_plugindir/plasma/applets/org.kde.plasma.grouping.so
%_qt6_plugindir/plasma/applets/org.kde.plasma.private.grouping.so
%_qt6_plugindir/plasma/applets/org.kde.plasma.comic.so
%_qt6_plugindir/plasma/applets/org.kde.plasma.weather.so
%_qt6_plugindir/potd/plasma_potd_apodprovider.so
%_qt6_plugindir/potd/plasma_potd_bingprovider.so
%_qt6_plugindir/potd/plasma_potd_epodprovider.so
%_qt6_plugindir/potd/plasma_potd_flickrprovider.so
%_qt6_plugindir/potd/plasma_potd_noaaprovider.so
%_qt6_plugindir/potd/plasma_potd_wcpotdprovider.so
%_qt6_plugindir/potd/plasma_potd_simonstalenhagprovider.so
%_qt6_plugindir/plasmacalendarplugins/astronomicalevents.so
%_qt6_plugindir/plasmacalendarplugins/astronomicalevents/
%_qt6_plugindir/plasmacalendarplugins/alternatecalendar.so
%_qt6_plugindir/plasmacalendarplugins/alternatecalendar/
%_kf6_plugindir/packagestructure/plasma_comic.so
%_kf6_iconsdir/hicolor/scalable/apps/fifteenpuzzle.svgz
%_kf6_datadir/knsrcfiles/comic.knsrc
%_kf6_datadir/kwin/effects/cube/
%_kf6_datadir/kwin/tabbox/big_icons/
%_kf6_datadir/kwin/tabbox/compact/
%_kf6_datadir/kwin/tabbox/sidebar/
%_kf6_datadir/kwin/tabbox/coverswitch/
%_kf6_datadir/kwin/tabbox/flipswitch/
%_kf6_datadir/plasma/desktoptheme/default/widgets
%_kf6_datadir/plasma/desktoptheme/default/weather
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.calculator/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.comic/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.fifteenpuzzle/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.fuzzyclock/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.notes/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.timer/
%ifarch aarch64 x86_64
%_kf6_qmldir/org/kde/plasma/private/dict
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.webbrowser/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma_applet_dict/
%_kf6_iconsdir/hicolor/*/*/accessories-dictionary.*
%endif
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.kickerdash/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.konsoleprofiles/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.colorpicker/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.diskquota/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.quicklaunch/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.userswitcher/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.mediaframe/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.weather/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.binaryclock/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.grouping
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.private.grouping/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.keyboardindicator/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.addons.katesessions/
%_kf6_datadir/plasma/wallpapers/org.kde.haenau/
%_kf6_datadir/plasma/wallpapers/org.kde.hunyango/
%_kf6_datadir/plasma/wallpapers/org.kde.potd/
%_kf6_metainfodir/org.kde.hunyango.appdata.xml
%_kf6_metainfodir/org.kde.plasma*.appdata.xml
%_kf6_knotificationsdir/plasma_applet_timer.notifyrc

%_kf6_metainfodir/org.kde.haenau.appdata.xml
%_kf6_metainfodir/org.kde.potd.appdata.xml

%_kf6_plugindir/krunner/kcms/kcm_krunner_charrunner.so
%_kf6_plugindir/krunner/kcms/kcm_krunner_dictionary.so
%_kf6_plugindir/krunner/kcms/kcm_krunner_spellcheck.so

%_kf6_datadir/kdevappwizard/templates/plasmapotdprovider.tar.bz2

%_kf6_datadir/dbus-1/system-services/org.kde.kameleonhelper.service
%_kf6_datadir/dbus-1/system.d/org.kde.kameleonhelper.conf
%_kf6_datadir/polkit-1/actions/org.kde.kameleonhelper.policy

#------------------------------------------------------------------------------

%define plasmapotdprovidercore_major 2
%define libplasmapotdprovidercore %mklibname plasmapotdprovidercore %plasmapotdprovidercore_major

%package -n %libplasmapotdprovidercore
Summary:        %name library
Group:          System/Libraries

%description -n %libplasmapotdprovidercore
%name library.

%files -n %libplasmapotdprovidercore
%_kf6_libdir/libplasmapotdprovidercore.so.%{plasmapotdprovidercore_major}{,.*}

#------------------------------------------------------------------------------

%define kdeplasmaaddons_devel %mklibname kdeplasma-addons -d

%package -n %kdeplasmaaddons_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libplasmapotdprovidercore = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kdeplasmaaddons_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kdeplasmaaddons_devel
%_includedir/plasma/potdprovider/
%_kf6_libdir/libplasmapotdprovidercore.so
%_kf6_libdir/cmake/PlasmaPotdProvider/

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %name --all-name
