#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 3 module for su integration
Name:           kdesu
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6DBus)

BuildRequires:  cmake(KF6CoreAddons) >= %version
BuildRequires:  cmake(KF6Config) >= %version
BuildRequires:  cmake(KF6DBusAddons) >= %version
BuildRequires:  cmake(KF6I18n) >= %version
BuildRequires:  cmake(KF6Service) >= %version
BuildRequires:  cmake(KF6Pty) >= %version


%description
KDE Frameworks 6 Tier 3 module for su integration.

%files -f %{name}d6.lang
%_kf6_categoriesdir/ksu.*categories
%_kf6_libexecdir/kdesu_stub
%attr(2755,root,nogroup) %_kf6_libexecdir/kdesud

#--------------------------------------------------------------------

%define kf6su_major 6
%define libkf6su %mklibname kf6su %{kf6su_major}

%package -n %libkf6su
Summary:        KDE Frameworks 6 Tier 3 module for su integration
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf6su
KDE Frameworks 6 Tier 3 module for su integration.

%files -n %libkf6su
%_kf6_libdir/libKF6Su.so.%{kf6su_major}
%_kf6_libdir/libKF6Su.so.%{version}

#--------------------------------------------------------------------

%define kf6su_devel %mklibname kf6su -d

%package -n %kf6su_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6su = %version-%release
Provides:       %name-devel = %{version}-%{release}

Requires:       cmake(KF6Pty)

%description -n %kf6su_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6su_devel
%_kf6_includedir/KDESu/
%_kf6_libdir/cmake/KF6Su/
%_kf6_libdir/*.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{name}d6
