Name:		kdesvn
Version:	2.1.0
Release:	%mkrel 6
Summary:	KDE client for subversion
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://kdesvn.alwins-world.de/
Source:		https://download.kde.org/stable/kdesvn/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	doxygen
BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Bookmarks)
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5ConfigWidgets)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5DBusAddons)
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5IconThemes)
BuildRequires:	cmake(KF5ItemViews)
BuildRequires:	cmake(KF5JobWidgets)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5Notifications)
BuildRequires:	cmake(KF5Parts)
BuildRequires:	cmake(KF5Service)
BuildRequires:	cmake(KF5TextEditor)
BuildRequires:	cmake(KF5Wallet)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	subversion-devel

Requires:	graphviz
Requires:	subversion
Recommends:	kdiff3
Recommends:	kompare

Obsoletes:	kdesvn-devel < 1.6.0-10

%description
kdesvn is yet another client for subversion. But it uses native
KDE API instead of a extra lib like GAMBAS and it is using the
native subversion development API instead of just parsing the
output of the command-line tool like most other clients do. It tries
to setup a look and feel like the standard filemanager of KDE and is
integrated into it via KPart.
The base C++ interface to subversion I took from the (real great) tool
Rapidsvn (see http://rapidsvn.tigris.org/) with some modifications and fixes.


%files -f %{name}.lang
%doc AUTHORS ChangeLog
%license COPYING
%_kf5_bindir/%{name}
%_kf5_bindir/%{name}askpass
%_kf5_plugindir/kded/kdesvnd.so
%_qt5_plugindir/*.so
%_kf5_datadir/%{name}/
%_kf5_datadir/kconf_update/*
%_kf5_iconsdir/hicolor/*/*/*
%_kf5_applicationsdir/org.kde.%{name}.desktop
%_kf5_datadir/config.kcfg/*
%_kf5_datadir/kxmlgui5/%{name}/
%_kf5_services/ServiceMenus/%{name}_subversion.desktop
%_kf5_services/ServiceMenus/%{name}_subversion_toplevel.desktop
%_kf5_services/kdesvnpart.desktop
%_kf5_services/ksvn*.protocol
%_kf5_services/svn*.protocol
%_kf5_datadir/dbus-1/interfaces/kf5_org.kde.kdesvnd.xml
%_kf5_datadir/dbus-1/services/org.kde.kdesvnd.service
%_kf5_metainfodir/org.kde.kdesvn.appdata.xml
%_kf5_mandir/man1/*

#-----------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name --with-man --with-html
