#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define uname kdev-php
%define rel 1

Name:           kdevelop-php
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        PHP plugin for kdevelop
Group:          Development/PHP
License:        GPLv2+
Url:            https://www.kdevelop.org
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{uname}-%{version}.tar.xz
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6ThreadWeaver)
BuildRequires:  cmake(KF6TextEditor)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KCMUtils)

BuildRequires:  cmake(KDevelop-PG-Qt)
BuildRequires:  cmake(KDevPlatform)

Requires:       kdevelop >= %{version}

%description
This plugin adds PHP language support (including classview and code-completion)
to KDevelop.

%files -f kdevphp.lang
%{_kf6_categoriesdir}/kdevphpsupport.categories
%{_kf6_datadir}/kdevappwizard/templates/simple_phpapp.tar.bz2
%{_kf6_datadir}/kdevphpsupport/
%{_kf6_metainfodir}/org.kde.kdev-php.metainfo.xml
%{_kf6_libdir}/libkdevphpcompletion.so
%{_kf6_libdir}/libkdevphpduchain.so
%{_kf6_libdir}/libkdevphpparser.so
%{_qt6_plugindir}/kdevplatform/6?/kdevphp*.so

#--------------------------------------------------------------------

%package devel
Summary:        Development files for %{name}
Group:          Development/PHP
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains header files needed if you wish to build
applications based on %{name}.

%files devel
%{_includedir}/kdev-php/
%{_kf6_libdir}/cmake/KDevPHP/

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{uname}-%{version}

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang kdevphp --all-name
