#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define __brp_python_bytecompile %{nil}

%define uname kdev-python

%define rel 1

Name:           kdevelop-python
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Python plugin for KDevelop
Group:          Development/Python
License:        GPLv2+
Url:            https://www.kdevelop.org
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{uname}-%{version}.tar.xz
## Upstream patches

ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6TextEditor)
BuildRequires:  cmake(KF6ThreadWeaver)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(KDevelop)
BuildRequires:  cmake(KDevelop-PG-Qt)
BuildRequires:  cmake(KDevPlatform)
BuildRequires:  pkgconfig(python3) >= 3.5

Requires:       kdevelop >= %{version}

%description
Python plugin for KDevelop.

%files -f kdevpython.lang
%{_kf6_categoriesdir}/kdevpythonsupport.categories
%{_kf6_datadir}/kdevpythonsupport/
%{_kf6_datadir}/kdevappwizard/templates/*.tar.bz2
%{_kf6_metainfodir}/org.kde.kdev-python.metainfo.xml
%{_kf6_libdir}/libkdevpython*.so
%{_qt6_plugindir}/kdevplatform/6?/kdevpdb.so
%{_qt6_plugindir}/kdevplatform/6?/kdevpython*.so

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{uname}-%{version}

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang kdevpython
