#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:		kdevelop
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:	Integrated Development Environment for C++/C
Group:		Development/Tools
License:	GPLv2
URL:		https://www.kdevelop.org/
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
ExclusiveArch:  aarch64 x86_64

## Upstream patches

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Qml)
BuildRequires:	cmake(Qt6Quick)
BuildRequires:	cmake(Qt6QuickWidgets)
BuildRequires:	cmake(Qt6WebEngineWidgets)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Help)
BuildRequires:	qttools6-assistant

BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6DocTools)
BuildRequires:	cmake(KF6IconThemes)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6ItemModels)
BuildRequires:	cmake(KF6ItemViews)
BuildRequires:	cmake(KF6JobWidgets)
BuildRequires:	cmake(KF6KCMUtils)
BuildRequires:	cmake(KF6KIO)
BuildRequires:	cmake(KF6NewStuff)
BuildRequires:	cmake(KF6NotifyConfig)
BuildRequires:	cmake(KF6Parts)
BuildRequires:	cmake(KF6Service)
BuildRequires:	cmake(KF6TextEditor)
BuildRequires:	cmake(KF6ThreadWeaver)
BuildRequires:	cmake(KF6XmlGui)
BuildRequires:	cmake(KF6WindowSystem)
BuildRequires:	cmake(KF6Crash)
BuildRequires:	cmake(KF6GuiAddons)
BuildRequires:	cmake(KF6Archive)
BuildRequires:	cmake(KF6Notifications)
BuildRequires:	cmake(KF6Sonnet)
BuildRequires:	cmake(KF6TextTemplate)
BuildRequires:	cmake(KF6TextWidgets)

BuildRequires:	cmake(KF6Purpose)
BuildRequires:	cmake(KSysGuard)
BuildRequires:	cmake(KDevelop-PG-Qt) >= 2.3
BuildRequires:	cmake(KompareDiff2)
BuildRequires:	cmake(Plasma)
BuildRequires:	cmake(KF6Runner)
# TODO: Okteta Qt6 port not yet complete, ETA 10/2024 or later.
#BuildRequires:	cmake(OktetaKastenControllers)

BuildRequires:	cppcheck
BuildRequires:	heaptrack
BuildRequires:	meson
BuildRequires:	astyle-devel
BuildRequires:	boost-devel
BuildRequires:	clang-devel
BuildRequires:	llvm-devel
BuildRequires:	subversion-devel
BuildRequires:	pkgconfig(shared-mime-info)

Requires:	cmake
Requires:	cppcheck
Requires:	git
Requires:	gdb
Requires:	heaptrack
Requires:	konsole
Requires:	kdevplatform >= %{version}
Requires:	%{name}-common >= %{version}

Provides:	kdevelop4 = 4:%{version}

Recommends:	bzr
Recommends:	meson
Recommends:	ninja

%description
The KDevelop Integrated Development Environment provides many features that
developers need as well as providing a unified interface to programs like gdb,
the C/C++ compiler, and make.

KDevelop manages or provides:
   * All development tools needed for C++ programming like Compiler, Linker,
     automake and autoconf
   * KAppWizard, which generates complete, ready-to-go sample applications
   * Classgenerator, for creating new classes and integrating them into the
     current project
   * File management for sources, headers, documentation etc. to be included in
     the project
   * The creation of User-Handbooks written with SGML and the automatic
     generation of HTML-output with the KDE look and feel
   * Automatic HTML-based API-documentation for your project's classes with
     cross-references to the used libraries; Internationalization support for
     your application, allowing translators to easily add their target language
     to a project
   * WYSIWYG (What you see is what you get) creation of user interfaces with a
     built-in dialog editor
   * Debugging your application by integrating KDbg
   * Editing of project-specific pixmaps with KIconEdit
   * The inclusion of any other program you need for development by adding it
     to the "Tools" menu according to your individual needs.

%files
%{_kf6_categoriesdir}/kdevelop.*categories
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_applicationsdir}/org.kde.%{name}*.desktop
%{_kf6_bindir}/%{name}*
%{_kf6_bindir}/kdev_includepathsconverter
%{_kf6_datadir}/kdev*/
%{_kf6_datadir}/mime/packages/kdev*.xml
%{_kf6_datadir}/plasma/plasmoids/org.kde.kdevelopsessions/
%{_kf6_datadir}/knsrcfiles/*.knsrc
%{_kf6_iconsdir}/hicolor/*/apps/%{name}.png
%{_kf6_iconsdir}/hicolor/*/apps/kdevgh.png
%{_kf6_iconsdir}/hicolor/*/apps/cmake.png
%{_kf6_iconsdir}/hicolor/*/apps/cppcheck.png
%{_kf6_iconsdir}/hicolor/*/apps/github-*.png
%{_kf6_iconsdir}/hicolor/*/apps/clazy.png
%{_kf6_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_kf6_iconsdir}/hicolor/scalable/apps/qtlogo.svg
%{_kf6_knotificationsdir}/%{name}.notifyrc
%{_kf6_libdir}/libKDevelopSessionsWatch.so
%{_kf6_libdir}/libKDevCMakeCommon.so.??
%{_kf6_libdir}/libKDevClangPrivate.so.??
%{_kf6_libdir}/libKDevCompileAnalyzerCommon.so.??
%{_kf6_plugindir}/krunner/kdevelopsessions.so
%{_kf6_plugindir}/ktexttemplate/kdev_filters.so
%{_kf6_qmldir}/org/kde/plasma/private/kdevelopsessions/
%{_kf6_metainfodir}/org.kde.kdevelopsessions.appdata.xml
# Exclude kdevplatform folders
%exclude %{_kf6_datadir}/kdevplatform/
%exclude %{_kf6_datadir}/kdevcodegen/
%exclude %{_kf6_datadir}/kdevcodeutils/

#------------------------------------------------

%package	common
Summary:	Translation and handbook files for KDevelop and KdevPlatform
Group:		System/Internationalization
BuildArch:	noarch
Provides:	kdevplatform-common = %{version}-%{release}

%description	common
This package contains Translation and handbook files for
KDevelop and KdevPlatform.

%files common -f %{name}.lang

#------------------------------------------------

%define kdevelop_devel %mklibname kdevelop -d

%package -n	%{kdevelop_devel}
Summary:	Development files for kdevelop
Group:		Development/KDE and Qt
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{kdevelop_devel}
Development files for kdevelop.

%files -n %{kdevelop_devel}
%{_includedir}/%{name}/
%{_kf6_libdir}/cmake/KDevelop/

#------------------------------------------------
### KdevPlatform ###

%define kdev_major  62
%define kdev_major2 6.2

%package -n	kdevplatform
Summary:        Integrated Development Environment for C++/C
Group:		Development/KDE and Qt
Requires:	kdevplatform-common >= %{version}

Provides:	kdevplatform4 = 4:%{version}-%{release}

Conflicts:	kdevelop < 24.05.1-2

%description -n	kdevplatform
KdevPlatform module needed by Kdevelop.

%files -n kdevplatform
%{_kf6_categoriesdir}/kdevplatform.*categories
%{_kf6_bindir}/kdev_dbus_socket_transformer
%{_kf6_bindir}/kdev_format_source
%{_kf6_bindir}/kdevplatform_shell_environment.sh
%{_kf6_datadir}/kdevplatform/
%{_kf6_datadir}/kdevcodegen/
%{_kf6_datadir}/kdevcodeutils/
%{_kf6_iconsdir}/hicolor/*/apps/bazaar.png
%{_kf6_iconsdir}/hicolor/*/actions/breakpoint.png
%{_kf6_iconsdir}/hicolor/*/apps/subversion.png
%{_kf6_iconsdir}/hicolor/scalable/actions/breakpoint.svg
%{_kf6_iconsdir}/hicolor/scalable/apps/git.svg
%{_kf6_iconsdir}/hicolor/scalable/apps/subversion.svg
%dir %{_qt6_plugindir}/kdevplatform
%{_qt6_plugindir}/kdevplatform/*

#------------------------------------------------

%define kdevplatformserialization_major %{kdev_major}
%define kdevplatformserialization_major2 %{kdev_major2}
%define libkdevplatformserialization %mklibname kdevplatformserialization %{kdevplatformserialization_major}

%package -n	%{libkdevplatformserialization}
Summary:	KdevPlatform Serialization library
Group:		System/Libraries

%description -n	%{libkdevplatformserialization}
KdevPlatform Serialization library.

%files -n %{libkdevplatformserialization}
%{_kf6_libdir}/libKDevPlatformSerialization.so.%{kdevplatformserialization_major}
%{_kf6_libdir}/libKDevPlatformSerialization.so.%{kdevplatformserialization_major2}*

#------------------------------------------------

%define kdevplatforminterfaces_major %{kdev_major}
%define kdevplatforminterfaces_major2 %{kdev_major2}
%define libkdevplatforminterfaces %mklibname kdevplatforminterfaces %{kdevplatforminterfaces_major}

%package -n	%{libkdevplatforminterfaces}
Summary:	KdevPlatform Interfaces library
Group:		System/Libraries

%description -n	%{libkdevplatforminterfaces}
KdevPlatform Interfaces library.

%files -n %{libkdevplatforminterfaces}
%{_kf6_libdir}/libKDevPlatformInterfaces.so.%{kdevplatforminterfaces_major}
%{_kf6_libdir}/libKDevPlatformInterfaces.so.%{kdevplatforminterfaces_major2}*

#------------------------------------------------

%define kdevplatformlanguage_major %{kdev_major}
%define kdevplatformlanguage_major2 %{kdev_major2}
%define libkdevplatformlanguage %mklibname kdevplatformlanguage %{kdevplatformlanguage_major}

%package -n	%{libkdevplatformlanguage}
Summary:	KdevPlatform Language library
Group:		System/Libraries

%description -n	%{libkdevplatformlanguage}
KdevPlatform Language library.

%files -n %{libkdevplatformlanguage}
%{_kf6_libdir}/libKDevPlatformLanguage.so.%{kdevplatformlanguage_major}
%{_kf6_libdir}/libKDevPlatformLanguage.so.%{kdevplatformlanguage_major2}*

#------------------------------------------------

%define kdevplatformoutputview_major %{kdev_major}
%define kdevplatformoutputview_major2 %{kdev_major2}
%define libkdevplatformoutputview %mklibname kdevplatformoutputview %{kdevplatformoutputview_major}

%package -n	%{libkdevplatformoutputview}
Summary:	KdevPlatform Output View library
Group:		System/Libraries

%description -n	%{libkdevplatformoutputview}
KdevPlatform Output View library.

%files -n %{libkdevplatformoutputview}
%{_kf6_libdir}/libKDevPlatformOutputView.so.%{kdevplatformoutputview_major}
%{_kf6_libdir}/libKDevPlatformOutputView.so.%{kdevplatformoutputview_major2}*

#------------------------------------------------

%define kdevplatformproject_major %{kdev_major}
%define kdevplatformproject_major2 %{kdev_major2}
%define libkdevplatformproject %mklibname kdevplatformproject %{kdevplatformproject_major}

%package -n	%{libkdevplatformproject}
Summary:	KdevPlatform Project library
Group:		System/Libraries

%description -n	%{libkdevplatformproject}
KdevPlatform Project library.

%files -n %{libkdevplatformproject}
%{_kf6_libdir}/libKDevPlatformProject.so.%{kdevplatformproject_major}
%{_kf6_libdir}/libKDevPlatformProject.so.%{kdevplatformproject_major2}*

#------------------------------------------------

%define kdevplatformshell_major %{kdev_major}
%define kdevplatformshell_major2 %{kdev_major2}
%define libkdevplatformshell %mklibname kdevplatformshell %{kdevplatformshell_major}

%package -n	%{libkdevplatformshell}
Summary:	KdevPlatform Shell library
Group:		System/Libraries

%description -n	%{libkdevplatformshell}
KdevPlatform Shell library.

%files -n %{libkdevplatformshell}
%{_kf6_libdir}/libKDevPlatformShell.so.%{kdevplatformshell_major}
%{_kf6_libdir}/libKDevPlatformShell.so.%{kdevplatformshell_major2}*

#------------------------------------------------

%define kdevplatformutil_major %{kdev_major}
%define kdevplatformutil_major2 %{kdev_major2}
%define libkdevplatformutil %mklibname kdevplatformutil %{kdevplatformutil_major}

%package -n	%{libkdevplatformutil}
Summary:	KdevPlatform Util library
Group:		System/Libraries

%description -n %{libkdevplatformutil}
KdevPlatform Util library.

%files -n %{libkdevplatformutil}
%{_kf6_libdir}/libKDevPlatformUtil.so.%{kdevplatformutil_major}
%{_kf6_libdir}/libKDevPlatformUtil.so.%{kdevplatformutil_major2}*

#------------------------------------------------

%define kdevplatformvcs_major %{kdev_major}
%define kdevplatformvcs_major2 %{kdev_major2}
%define libkdevplatformvcs %mklibname kdevplatformvcs %{kdevplatformvcs_major}

%package -n	%{libkdevplatformvcs}
Summary:	KdevPlatform Vcs library
Group:		System/Libraries

%description -n	%{libkdevplatformvcs}
KdevPlatform library.

%files -n %{libkdevplatformvcs}
%{_kf6_libdir}/libKDevPlatformVcs.so.%{kdevplatformvcs_major}
%{_kf6_libdir}/libKDevPlatformVcs.so.%{kdevplatformvcs_major2}*

#------------------------------------------------

%define kdevplatformsublime_major %{kdev_major}
%define kdevplatformsublime_major2 %{kdev_major2}
%define libkdevplatformsublime %mklibname kdevplatformsublime %{kdevplatformsublime_major}

%package -n	%{libkdevplatformsublime}
Summary:	KdevPlatform Sublime library
Group:		System/Libraries

%description -n	%{libkdevplatformsublime}
KdevPlatform Sublime library.

%files -n %{libkdevplatformsublime}
%{_kf6_libdir}/libKDevPlatformSublime.so.%{kdevplatformsublime_major}
%{_kf6_libdir}/libKDevPlatformSublime.so.%{kdevplatformsublime_major2}*

#------------------------------------------------

%define kdevplatformdebugger_major %{kdev_major}
%define kdevplatformdebugger_major2 %{kdev_major2}
%define libkdevplatformdebugger %mklibname kdevplatformdebugger %{kdevplatformdebugger_major}

%package -n	%{libkdevplatformdebugger}
Summary:	KdevPlatform Debugger library
Group:		System/Libraries

%description -n	%{libkdevplatformdebugger}
KdevPlatform Debugger library.

%files -n %{libkdevplatformdebugger}
%{_kf6_libdir}/libKDevPlatformDebugger.so.%{kdevplatformdebugger_major}
%{_kf6_libdir}/libKDevPlatformDebugger.so.%{kdevplatformdebugger_major2}*

#------------------------------------------------

%define kdevplatformdocumentation_major %{kdev_major}
%define kdevplatformdocumentation_major2 %{kdev_major2}
%define libkdevplatformdocumentation %mklibname kdevplatformdocumentation %{kdevplatformdocumentation_major}

%package -n	%{libkdevplatformdocumentation}
Summary:	KdevPlatform Documentation library
Group:		System/Libraries

%description -n	%{libkdevplatformdocumentation}
KdevPlatform Documentation library.

%files -n %{libkdevplatformdocumentation}
%{_kf6_libdir}/libKDevPlatformDocumentation.so.%{kdevplatformdocumentation_major}
%{_kf6_libdir}/libKDevPlatformDocumentation.so.%{kdevplatformdocumentation_major2}*

#------------------------------------------------

%define kdevplatform_devel %mklibname kdevplatform -d

%package -n	%{kdevplatform_devel}
Summary:	Development files for kdevplatform
Group:		Development/KDE and Qt
Requires:	%{libkdevplatformserialization} = %{version}-%{release}
Requires:	%{libkdevplatforminterfaces} = %{version}-%{release}
Requires:	%{libkdevplatformlanguage} = %{version}-%{release}
Requires:	%{libkdevplatformoutputview} = %{version}-%{release}
Requires:	%{libkdevplatformproject} = %{version}-%{release}
Requires:	%{libkdevplatformshell} = %{version}-%{release}
Requires:	%{libkdevplatformutil} = %{version}-%{release}
Requires:	%{libkdevplatformvcs} = %{version}-%{release}
Requires:	%{libkdevplatformsublime} = %{version}-%{release}
Requires:	%{libkdevplatformdebugger} = %{version}-%{release}
Requires:	%{libkdevplatformdocumentation} = %{version}-%{release}
Provides:	kdevplatform-devel = %{version}-%{release}
Provides:	libkdevplatform-devel = %{version}-%{release}

%description -n	%{kdevplatform_devel}
Development files for kdevplatform.

%files -n %{kdevplatform_devel}
%{_kf6_libdir}/cmake/KDevPlatform/
%{_kf6_libdir}/libKDevPlatform*.so
%{_includedir}/kdevplatform/

### End of KdevPlatform ###
#-----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %name --all-name --with-html

# drop zsh, using bash as default
rm -f %{buildroot}%{_kf6_datadir}/kdevplatform/shellutils/.zshrc
