#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kdf
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        View free disk space
Group:          File tools
License:        GPLv2 and LGPLv2 and GPLD
URL:            https://apps.kde.org/kdf/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6JobWidgets)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6StatusNotifierItem)
BuildRequires:  cmake(KF6DocTools)

Recommends:     %{name}-handbook


%description
KDiskFree displays the available file devices (hard drive partitions,
floppy and CD/DVD drives, etc.) along with information on their capacity,
free space, type and mount point. It also allows you to mount and unmount
drives and view them in a file manager.

%files -f %name.lang
%_kf6_categoriesdir/kdf.categories
%_kf6_bindir/kdf
%_kf6_bindir/kwikdisk
%_qt6_plugindir/plasma/kcms/systemsettings_qwidgets/kcm_kdf.so
%_kf6_iconsdir/*/*/apps/kcmdf.*
%_kf6_iconsdir/*/*/apps/kdf.*
%_kf6_iconsdir/*/*/apps/kwikdisk.*
%_kf6_applicationsdir/org.kde.kdf.desktop
%_kf6_applicationsdir/org.kde.kwikdisk.desktop
%_kf6_applicationsdir/kcm_kdf.desktop
%_kf6_metainfodir/org.kde.kdf.appdata.xml

#------------------------------------------------------------------------------

%define kdfprivate_major 25
%define libkdfprivate    %mklibname kdfprivate %{kdfprivate_major}

%package -n     %{libkdfprivate}
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %{libkdfprivate}
Runtime library for %{name}.

%files -n %{libkdfprivate}
%_kf6_libdir/libkdfprivate.so.%{kdfprivate_major}{,.*}

#------------------------------------------------------------------------------

%package -n kdf-handbook
Summary:        kdf Handbook
Group:          Documentation
BuildArch:      noarch

%description -n kdf-handbook
This package provides kdf Handbook.

%files -n kdf-handbook
%_kf6_docdir/HTML/*/kdf/
%_kf6_docdir/HTML/*/kcontrol/blockdevices/

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name --all-name
