#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel     1

Name:           kdiagram
Version:        3.0.1
Release:        %mkrel %{rel}
Summary:        Powerful libraries (KChart, KGantt) for creating business diagrams
License:        GPLv2+
Group:          Development/KDE and Qt
Url:            https://invent.kde.org/graphics/kdiagram
Source0:        https://download.kde.org/stable/kdiagram/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

%description
Powerful libraries (KChart, KGantt) for creating business diagrams.

#---------------------------------------------

%define kchart_major 3
%define libkchart    %mklibname kchart6_ %{kchart_major}

%package -n     %{libkchart}
Summary:        Powerful libraries KChart for creating business diagrams
Group:          System/Libraries

%description -n %{libkchart}
Powerful libraries KChart for creating business diagrams.

%files -n %{libkchart} -f kchart6_qt.lang
%{_kf6_libdir}/libKChart6.so.%{kchart_major}{,.*}

#---------------------------------------------

%define kgantt_major 3
%define libkgantt    %mklibname kgantt6_ %{kgantt_major}

%package -n     %{libkgantt}
Summary:        Powerful libraries KGantt for creating business diagrams
Group:          System/Libraries

%description -n %{libkgantt}
Powerful libraries KGantt for creating business diagrams.

%files -n %{libkgantt} -f kgantt6_qt.lang
%{_kf6_libdir}/libKGantt6.so.%{kgantt_major}{,.*}

#---------------------------------------------

%define develname %mklibname %{name} -d

%package -n     %{develname}
Summary:        Development package for %{name}
Group:          Development/KDE and Qt
Requires:       %{libkchart} = %{version}-%{release}
Requires:       %{libkgantt} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       kchart-devel = %{version}-%{release}
Provides:       kgantt-devel = %{version}-%{release}

%description -n %{develname}
Header files for development with %{name}.
This package include KChart and KGantt header files.

%files -n %{develname}
%{_includedir}/KChart6/
%{_includedir}/KGantt6/
%{_kf6_libdir}/libKChart6.so
%{_kf6_libdir}/libKGantt6.so
%{_kf6_libdir}/cmake/KChart6/
%{_kf6_libdir}/cmake/KGantt6/
%{_kf6_mkspecsdir}/qt_KChart6.pri
%{_kf6_mkspecsdir}/qt_KGantt6.pri

#---------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang_kf6 kchart6_qt
%find_lang_kf6 kgantt6_qt
