#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel     3

Name:           kdiagram5
Version:        2.8.0
Release:        %mkrel %{rel}
Summary:        Powerful Qt5 libraries (KChart, KGantt) for creating business diagrams
License:        GPLv2+
Group:          Development/KDE and Qt
Url:            https://invent.kde.org/graphics/kdiagram
Source0:        https://download.kde.org/stable/kdiagram/%{version}/kdiagram-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)

%description
Powerful Qt5 libraries (KChart, KGantt) for creating business diagrams.

#---------------------------------------------

%define kchart_major 2
%define libkchart    %mklibname kchart %{kchart_major}

%package -n     %{libkchart}
Summary:        Powerful Qt5 libraries KChart for creating business diagrams
Group:          System/Libraries

%description -n %{libkchart}
Powerful Qt5 libraries KChart for creating business diagrams.

%files -n %{libkchart} -f kchart_qt.lang
%{_kf5_libdir}/libKChart.so.%{kchart_major}{,.*}

#---------------------------------------------

%define kgantt_major 2
%define libkgantt    %mklibname kgantt %{kgantt_major}

%package -n     %{libkgantt}
Summary:        Powerful Qt5 libraries KGantt for creating business diagrams
Group:          System/Libraries

%description -n %{libkgantt}
Powerful Qt5 libraries KGantt for creating business diagrams.

%files -n %{libkgantt} -f kgantt_qt.lang
%{_kf5_libdir}/libKGantt.so.%{kgantt_major}{,.*}

#---------------------------------------------

%define develname %mklibname kdiagram-qt5 -d

%package -n     %{develname}
Summary:        Development package for kdiagram Qt5
Group:          Development/KDE and Qt
Requires:       %{libkchart} = %{version}-%{release}
Requires:       %{libkgantt} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       kchart-qt5-devel = %{version}-%{release}
Provides:       kgantt-qt5-devel = %{version}-%{release}

%description -n %{develname}
Header files for development with kdiagram Qt5.
This package include KChart and KGantt header files.

%files -n %{develname}
%{_includedir}/KChart/
%{_includedir}/KGantt/
%{_includedir}/kchart_version.h
%{_includedir}/kgantt_version.h
%{_kf5_libdir}/libKChart.so
%{_kf5_libdir}/libKGantt.so
%{_kf5_libdir}/cmake/KChart/
%{_kf5_libdir}/cmake/KGantt/
%{_kf5_mkspecsdir}/qt_KChart.pri
%{_kf5_mkspecsdir}/qt_KGantt.pri

#---------------------------------------------

%prep
%autosetup -p1 -n kdiagram-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang_kf5 kchart_qt
%find_lang_kf5 kgantt_qt
