#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kdiamond
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Three-in-a-row game
Group:          Games/Boards
License:        GPLv2 and LGPLv2 and GFDL
Url:            https://apps.kde.org/kdiamond/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6NotifyConfig)
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  cmake(KDEGames6)

Recommends:     kdiamond-handbook

%description
KDiamond is a three-in-a-row game (much like Bejeweled) for the KDE desktop.

%files -f %name.lang
%_kf6_bindir/kdiamond
%_kf6_applicationsdir/*.desktop
%_kf6_metainfodir/org.kde.kdiamond.appdata.xml
%_kf6_datadir/kdiamond/
%_kf6_iconsdir/*/*/*/kdiamond.*
%_kf6_datadir/sounds/KDiamond*
%_kf6_datadir/knsrcfiles/kdiamond.knsrc
%_kf6_knotificationsdir/kdiamond.notifyrc

#------------------------------------------------------------------------------

%package -n kdiamond-handbook
Summary:        kdiamond handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kdiamond >= %{epoch}:%{version}-%{release}

%description -n kdiamond-handbook
This package provides the kdiamond handbook.

%files -n kdiamond-handbook
%_kf6_docdir/HTML/*/kdiamond

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
