Summary:	Utility for comparing/merging up to three text files or directories
Name:		kdiff3
Version:	1.12.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Development/Other
Url:		https://apps.kde.org/kdiff3/
Source0:	https://download.kde.org/stable/kdiff3/%{name}-%{version}.tar.xz
# https://kde-apps.org/content/show.php/Kdiff3+Compare+Menu?content=176006
# kdiff3_servicemenu is GPL
Source1:	kdiff3_servicemenu.desktop

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6PrintSupport)

BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6XmlGui)
BuildRequires:	cmake(KF6WidgetsAddons)
BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6Crash)
BuildRequires:	cmake(KF6KIO)
BuildRequires:	cmake(KF6DocTools)

BuildRequires:	gettext
BuildRequires:	boost-devel

%description
A file and directory diff and merge tool which:
   * compares and merges two or three text input files or directories
   * shows the differences line by line and character by character(!)
   * provides an automatic merge-facility
   * has an editor for comfortable solving of merge-conflicts
   * provides network transparency via KIO
   * has options to highlight or hide changes in white-space or comments

%prep
%autosetup -p1

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_kf6_datadir}/kio/servicemenus
cp %{SOURCE1} %{buildroot}%{_kf6_datadir}/kio/servicemenus

%find_lang %{name} --all-name --with-html --with-man

%files -f %{name}.lang
%license COPYING
%doc ChangeLog README
%{_kf6_bindir}/%{name}
%{_kf6_plugindir}/kfileitemaction/kdiff3fileitemaction.so
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_applicationdir}/org.kde.%{name}.desktop
%{_kf6_iconsdir}/*/*/apps/*.png
%{_kf6_iconsdir}/*/*/apps/%{name}.svgz
%{_kf6_datadir}/kio/servicemenus/kdiff3_servicemenu.desktop
%{_kf6_mandir}/man1/%{name}.1.*
