#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 2 integration module for DNS-SD services (Zeroconf)
Name:           kdnssd
Epoch:          3
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Help)

BuildRequires:  pkgconfig(avahi-core)

%description
KDE Frameworks 6 Tier 2 integration module for DNS-SD services (Zeroconf).

%files -f %{name}6_qt.lang

#--------------------------------------------------------------------

%define kf6dnssd_major 6
%define libkf6dnssd %mklibname kf6dnssd %{kf6dnssd_major}

%package -n %libkf6dnssd
Summary:        KDE Frameworks 6 Tier 2 integration module for DNS-SD services (Zeroconf)
Group:          System/Libraries
Requires:       %{name} >= %epoch:%{version}-%{release}
Requires:       nss_mdns

%description -n %libkf6dnssd
KDE Frameworks 6 Tier 2 integration module for DNS-SD services (Zeroconf).

%files -n %libkf6dnssd
%_kf6_libdir/libKF6DNSSD.so.%{kf6dnssd_major}{,.*}
%_kf6_libdir/libKF6DNSSD.so.%{version}

#--------------------------------------------------------------------

%define kf6dnssd_devel %mklibname kf6dnssd -d

%package -n %kf6dnssd_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6dnssd = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %kf6dnssd_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6dnssd_devel
%_kf6_includedir/KDNSSD/
%_kf6_libdir/cmake/KF6DNSSD/
%_kf6_libdir/*.so

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang_kf6 %{name}6_qt
