%define project	KDocker

Name:		kdocker
Version:	6.2
Release:	%mkrel 1
Summary:	Dock any application in the system tray
Group:		Graphical desktop/KDE
License:	GPLv2+
URL:		https://github.com/user-none/KDocker
Source0:	https://github.com/user-none/KDocker/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	qttools6
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Widgets)

BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(xpm)

%description
%{project} will help you dock any application in the system tray. This means you
can dock OpenOffice, XMMS, Firefox, Thunderbolt, Eclipse, anything! Just point
and click. Works for LXQT/KDE and GTK/GNOME (In fact it should work for most
modern window managers that support NET WM Specification for instance).

All you need to do is start %{project} and select an application using the mouse
and lo! the application gets docked into the system tray. The application can
also be made to disappear from the task bar.


%prep
%autosetup -p1 -n %{project}-%{version}

%build
%cmake

%cmake_build

%install
%cmake_install

%files
%doc AUTHORS ChangeLog README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/com.kdocker.KDocker.desktop
%{_datadir}/bash-completion/completions/%{name}
%{_metainfodir}/com.kdocker.KDocker.metainfo.xml
%{_iconsdir}/hicolor/*/apps/com.kdocker.KDocker.png
%{_iconsdir}/hicolor/scalable/apps/com.kdocker.KDocker.svg
%{_datadir}/dbus-1/interfaces/com.kdocker.KDocker.xml
%{_datadir}/dbus-1/services/com.kdocker.KDocker.service
%{_mandir}/man1/%{name}.1*
