#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 2 addon for documentation
Name:           kdoctools
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)

BuildRequires:  cmake(KF6Archive) >= %version
BuildRequires:  cmake(KF6I18n) >= %version

BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  docbook-style-xsl
BuildRequires:  perl(URI)

%description
Provides tools to generate documentation in various format from DocBook files.

%files -f kdoctools6.lang
%_kf6_bindir/meinproc6
%_kf6_datadir/kf6/kdoctools
%_kf6_mandir/man?/*

#--------------------------------------------------------------------

%define kf6doctools_major 6
%define libkf6doctools %mklibname kf6doctools %{kf6doctools_major}

%package -n %libkf6doctools
Summary:        KDE Frameworks 6 Tier 2 addon for documentation
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf6doctools
Provides tools to generate documentation in various format from DocBook files.

%files -n %libkf6doctools
%_kf6_libdir/libKF6DocTools.so.%{kf6doctools_major}{,.*}
%_kf6_libdir/libKF6DocTools.so.%{version}

#--------------------------------------------------------------------

%define kdoctools_devel %mklibname kf6doctools -d

%package -n %kdoctools_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Requires:       %libkf6doctools = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

Requires:       cmake(KF6Archive) = %version
Requires:       cmake(Qt6Core)

%description -n %kdoctools_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kdoctools_devel
%_kf6_bindir/checkXML6
%_kf6_libdir/cmake/KF6DocTools/
%_kf6_libdir/libKF6DocTools.so
%_kf6_includedir/KDocTools/

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang kdoctools6 --with-html --with-man --all-name
