%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           kdsingleapplication
Version:        1.1.0
Release:        %mkrel 1
Summary:        Helper class for single-instance policy applications
License:        MIT
Group:          System/Libraries
URL:            https://github.com/KDAB/KDSingleApplication
Source0:        https://github.com/KDAB/KDSingleApplication/releases/download/v%{version}/%{name}-%{version}.tar.gz
Source1:        https://github.com/KDAB/KDSingleApplication/releases/download/v%{version}/%{name}-%{version}.tar.gz.asc

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

%description
KDSingleApplication is a helper class for single-instance
policy applications.

%package -n %{libname}
Summary:        Helper class for single-instance policy applications
Group:          System/Libraries

%description -n %{libname}
KDSingleApplication is a helper class for single-instance
policy applications.

%package -n %{devname}
Summary:        Development files for libkdsingleapplication-qt6
Group:          Development/KDE and Qt
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for libkdsingleapplication-qt6.

%prep
%autosetup -p1

%build
%cmake_qt6 \
        -DKDSingleApplication_QT6:BOOL=ON \
        -DKDSingleApplication_TESTS:BOOL=ON

%cmake_build

%install
%cmake_install

# Packaged using %%license and %%doc
rm -r %{buildroot}%{_datadir}/doc

%check
%ctest

%files -n %{libname}
%license LICENSES/*
%doc README.md
%{_libdir}/libkdsingleapplication-qt6.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/kdsingleapplication-qt6/
%{_libdir}/libkdsingleapplication-qt6.so
%{_libdir}/cmake/KDSingleApplication-qt6/
%{_qt6_mkspecsdir}/modules/qt_KDSingleApplication.pri
