%define major		0
%define libname		%mklibname kdsoapwsdiscoveryclient %{major}
%define devname		%mklibname kdsoapwsdiscoveryclient -d

Name:		kdsoap-ws-discovery-client
Version:	0.4.0
Release:	%mkrel 1
Summary:	Qt based WS-Discovery client library based on KDSoap
Group:		System/Libraries
License:	GPLv3+
Url:		https://caspermeijn.gitlab.io/kdsoap-ws-discovery-client
Source0:	https://download.kde.org/stable/kdsoap-ws-discovery-client/%{name}-%{version}.tar.xz

BuildRequires:	kf6-rpm-macros
BuildRequires:	cmake(KDSoap-qt6)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6ToolsTools)
BuildRequires:	cmake(Qt6Xml)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	doxygen
BuildRequires:	qttools6
BuildRequires:	qttools6-assistant

%description
Library for finding WS-Discovery devices in the network using Qt
and KDSoap.

#------------------------------------------------------------------------------

%package -n %{libname}
Summary:	Qt based WS-Discovery client library based on KDSoap
Group:		System/Libraries

%description -n %{libname}
Library for finding WS-Discovery devices in the network using Qt6
and KDSoap.

#------------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for the WS-Discovery client library based on KDSoap
Group:		Development/KDE and Qt
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for the Qt based WS-Discovery client library based
on KDSoap.

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake -DBUILD_QCH=ON \
       -DQT_MAJOR_VERSION=6
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc README.md
%license LICENSES/GPL-3.0-or-later.txt LICENSES/CC0-1.0.txt
%{_libdir}/libKDSoapWSDiscoveryClient.so.%{major}{,.*}

%files -n %{devname}
%doc %{_docdir}/KDSoapWSDiscoveryClient/
%doc %{_qt6_docdir}/KDSoapWSDiscoveryClient.qch
%doc %{_qt6_docdir}/KDSoapWSDiscoveryClient.tags
%{_includedir}/KDSoapWSDiscoveryClient/
%{_libdir}/*.so
%{_libdir}/cmake/KDSoapWSDiscoveryClient/
