#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           keditbookmarks
Epoch:          2
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Bookmarks editor
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6Codecs)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Bookmarks)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6DocTools)


%description
Bookmarks editor.

%files -f %name.lang
%_kf6_categoriesdir/keditbookmarks.categories
%_kf6_bindir/kbookmarkmerger
%_kf6_bindir/keditbookmarks
%_kf6_applicationsdir/org.kde.keditbookmarks.desktop
%_kf6_datadir/config.kcfg/keditbookmarks.kcfg
%_kf6_mandir/man1/kbookmarkmerger.1.*

#--------------------------------------------------------------------

%define kbookmarkmodel_private_major 6
%define libkbookmarkmodel_private %mklibname kbookmarkmodel_private %{kbookmarkmodel_private_major}

%package -n %libkbookmarkmodel_private
Summary:        Bookmarks editor
Group:          System/Libraries

Requires:       %name >= %epoch:%version

# ease upgrade mga9 -> mga10
Obsoletes:      %{_lib}kbookmarkmodel_private5 < 2:23.08.2

%description -n %libkbookmarkmodel_private
Bookmarks editor.

%files -n %libkbookmarkmodel_private
%_kf6_libdir/libkbookmarkmodel_private.so.%{kbookmarkmodel_private_major}{,.*}
%_kf6_libdir/libkbookmarkmodel_private.so.5*

#--------------------------------------------------------------------

%package handbook
Summary:        %name handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %name >= %{epoch}:%{version}-%{release}

%description handbook
This package provides the %name handbook.

%files handbook
%_kf6_docdir/HTML/*/%name
%_kf6_mandir/*/man1/kbookmarkmerger.1.*

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install
%find_lang %name
