Name:          keepalived
Version:       2.2.7
Release:       %mkrel 1
Summary:       HA monitor built upon LVS, VRRP and services poller
License:       GPLv2+
Group:         System/Cluster
URL:           https://www.keepalived.org/
Source0:       https://www.keepalived.org/software/%{name}-%{version}.tar.gz

#
# Security patches
# P100 -> ...
#
# CVE-2021-44225
Patch100:      7977fec0be89ae6fe87405b3f8da2f0b5e415e3d.patch
BuildRequires: systemd-units
BuildRequires: libnl3-devel
BuildRequires: net-snmp-devel
BuildRequires: pkgconfig(openssl)
BuildRequires: pkgconfig(libipset)
BuildRequires: pkgconfig(xtables)
BuildRequires: pkgconfig(libnfnetlink)
BuildRequires: pkgconfig(libsystemd)

%description
The main goal of the keepalived project is to add a strong & robust keepalive
facility to the Linux Virtual Server project. This project is written in C with
multilayer TCP/IP stack checks. Keepalived implements a framework based on
three family checks : Layer3, Layer4 & Layer5/7. This framework gives the
daemon the ability to check the state of an LVS server pool. When one of the
servers of the LVS server pool is down, keepalived informs the Linux kernel via
a setsockopt call to remove this server entry from the LVS topology. In
addition keepalived implements an independent VRRPv2 stack to handle director
failover. So in short keepalived is a userspace daemon for LVS cluster nodes
health checks and LVS directors failover.

%prep
%setup -q
%autopatch -p1

%build
%configure \
        --enable-snmp --enable-snmp-rfc \
        --enable-sha1 \
        --with-init=systemd
%make_build

%install
%make_install

# Remove "samples", as we include them in %%doc
rm -rf %{buildroot}%{_sysconfdir}/%{name}/samples/

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc AUTHOR ChangeLog CONTRIBUTORS COPYING README TODO
%doc doc/keepalived.conf.SYNOPSIS doc/samples/
%dir %{_sysconfdir}/keepalived/
%attr(0600, root, root) %config(noreplace) %{_sysconfdir}/keepalived/keepalived.conf
%attr(0600, root, root) %config(noreplace) %{_sysconfdir}/sysconfig/keepalived
%{_unitdir}/%{name}.service
%{_bindir}/genhash
%{_sbindir}/keepalived
%{_datadir}/snmp/mibs/KEEPALIVED-MIB.txt
%{_datadir}/snmp/mibs/VRRP-MIB.txt
%{_datadir}/snmp/mibs/VRRPv3-MIB.txt
%{_mandir}/man1/genhash.1*
%{_mandir}/man5/keepalived.conf.5*
%{_mandir}/man8/keepalived.8*
