%define _name keepassrpc
%define X_display         ":98"

Name:           keepass-plugin-%{_name}
Version:        1.8.0
Release:        %mkrel 4
Summary:        KeePass 2 communication plugin to Firefox
License:        MIT
Group:          File tools
Url:            https://github.com/KN4CK3R/KeePassQRCodeView
Source0:        https://github.com/kee-org/keepassrpc/archive/keepassrpc-%{version}.tar.gz
BuildRequires:  keepass > 2.27
BuildRequires:  mono-devel
BuildRequires:  x11-server-xvfb
Requires:       keepass > 2.27
BuildArch:      noarch

%description
KeeFox connects Firefox to KeePass Password Safe, the most popular open source
(and free) password manager.
Here are just a some of the reasons to use KeeFox:
- Secure and automatic login to all your favourite websites, even for sites
  with multiple login “steps” or pages
- Your passwords stay under your control, protected by the respected KeePass
  Password Safe application and available to all applications on your computer
- Start using more secure passwords and let KeeFox remember them for you
- Free and open source (why is this good?)
- No spyware, adware or other adverts

%prep
%setup -q -n %{_name}-%{version}
sed -i 's|<HintPath>.*KeePass.exe</HintPath>|<HintPath>%{_prefix}/lib/keepass/KeePass.exe</HintPath>|' KeePassRPC/KeePassRPC.csproj

%build
export DISPLAY=%{X_display}
export TERM=xterm
Xvfb %{X_display} >& Xvfb.log &
trap "kill $! || true" EXIT
sleep 10
xbuild /tv:14.0 /target:KeePassRPC /property:Configuration=Release 
mono "/usr/lib/keepass/KeePass.exe" --plgx-create KeePassRPC

%install
install -D -m 644 KeePassRPC.plgx \
    %{buildroot}%{_prefix}/lib/keepass/plugins/KeePassRPC.plgx

%files
%doc LICENSE README.md
%{_prefix}/lib/keepass/plugins/KeePassRPC.plgx
