Name:		keepassxc
Version:	2.7.10
Release:	%mkrel 1
Summary:	Cross-platform password manager
License:	Boost and BSD and CC0 and GPLv3 and LGPLv2 and LGPLv2+ and LGPLv3+ and Public Domain
Group:		File tools
URL:		https://keepassxc.org/
Source0:	https://github.com/keepassxreboot/keepassxc/releases/download/%{version}/keepassxc-%{version}-src.tar.xz
Patch:		0001-Create-socket-and-lock-file-to-RuntimeLocation.patch
BuildRequires:	ninja
BuildRequires:	cmake
BuildRequires:	cmake(Qt5LinguistTools)
BuildRequires:	cmake(Qt5Concurrent)
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5Network)
BuildRequires:	cmake(Qt5Svg)
BuildRequires:	cmake(Qt5Test)
BuildRequires:	cmake(Qt5Widgets)
BuildRequires:	cmake(Qt5X11Extras)
BuildRequires:	cmake(QuaZip-Qt5)
BuildRequires:	pkgconfig(botan-3)
BuildRequires:	pkgconfig(libargon2)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libpcsclite)
BuildRequires:	pkgconfig(libqrencode)
BuildRequires:	pkgconfig(libsodium)
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(minizip)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(ykpers-1)
BuildRequires:	yubikey-devel
BuildRequires:	ruby-asciidoctor
BuildRequires:	pkgconfig(readline)
Obsoletes:	keepassx2 < 2.0.3-2
Obsoletes:	keepassx < 0.4.4-6
Provides:	keepassx = %{version}-%{release}

# Virtual provide for applications that require this type of managers
Provides:	secret-manager

%description
KeePassXC is a modern, secure, and open-source password manager that stores and
manages your most sensitive information.

%prep
%autosetup -p1

%build
%cmake_qt5 -GNinja \
	-DWITH_TESTS=OFF \
	-DWITH_XC_ALL=ON \
	-DWITH_XC_UPDATECHECK=OFF
%cmake_build

%install
%cmake_install

desktop-file-edit \
	--add-mime-type application/x-keepassxc \
	%{buildroot}%{_datadir}/applications/org.keepassxc.KeePassXC.desktop

%check
%ctest

%files
%doc README.md
%license COPYING LICENSE*
%{_bindir}/keepassxc
%{_bindir}/keepassxc-cli
%{_bindir}/keepassxc-proxy
%{_datadir}/keepassxc/
%{_datadir}/applications/org.keepassxc.KeePassXC.desktop
%{_datadir}/metainfo/org.keepassxc.KeePassXC.appdata.xml
%{_datadir}/mime/packages/*.xml
%dir %{_libdir}/keepassxc/
%{_libdir}/keepassxc/libkeepassxc-autotype-xcb.so
%{_iconsdir}/hicolor/*/*/*keepassxc*
%{_mandir}/man1/keepassxc-cli.1*
%{_mandir}/man1/keepassxc.1*
