#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define date   20241016
%define commit 074c36626f34bc0424b25a4efd8c8ab1d1360836

%define rel 3

Name:           kexi
Epoch:          12
Version:        3.2.90
Release:        %mkrel %{rel}%{?date:.git%{date}}
Summary:        An integrated environment for managing data
Group:          Graphical desktop/KDE
License:        GPLv2+
URL:            https://www.kexi-project.org/
# Source0:        https://download.kde.org/stable/%%{name}/src/%%{name}-%%{version}.tar.xz
Source0:        https://invent.kde.org/office/kexi/-/archive/%{commit}/kexi-%{commit}.tar.bz2

BuildRequires:  kf5-rpm-macros
BuildRequires:  breeze-icon-theme-rcc
BuildRequires:  doxygen

BuildRequires:  mysql-devel
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libpq) >= 9.6
BuildRequires:  pkgconfig(sqlite3)

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)

BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5GuiAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5TextEditor)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5DocTools)

BuildRequires:  cmake(KDb) >= %{version}
BuildRequires:  cmake(KReport) >= %{version}
BuildRequires:  cmake(KPropertyWidgets) >= %{version}
#BuildRequires:  cmake(Marble)

Requires:       kdb >= %{version}
Requires:       kproperty >= %{version}
Requires:       kreport >= %{version}

Conflicts:      calligra-core < 3.0-1
Obsoletes:      kexi-mysql-driver < 12:3.0.0-5
Provides:       kexi-mysql-driver = %epoch:%version-%release
Obsoletes:      kexi-postgresql-driver < 12:3.0.0-5
Provides:       kexi-postgresql-driver = %epoch:%version-%release
Obsoletes:      kexi-spreadsheet-import < 12:3.0.0-5
Provides:       kexi-spreadsheet-import = %epoch:%version-%release
Obsoletes:      kexi-sybase-driver < 12:3.0.0-5
Provides:       kexi-sybase-driver = %epoch:%version-%release
Obsoletes:      kexi-xbase-driver < 12:3.0.0-5
Provides:       kexi-xbase-driver = %epoch:%version-%release
Obsoletes:      kexi-web-form-widget < 12:3.0.0-5
Provides:       kexi-web-form-widget = %epoch:%version-%release
Obsoletes:      kexi-l10n < 12:3.0.0-5

%description
Kexi is an integrated data management application.
It can be used for creating database schemas, inserting data, performing
queries, and processing data. Forms can be created to provide a custom interface
to your data. All database objects – tables, queries and forms – are stored in
the database, making it easy to share data and design.

%files -f %{name}.lang
%license COPYING*
%{_kf5_bindir}/%{name}*
%{_qt5_plugindir}/%{name}/
%{_kf5_datadir}/%{name}/
%{_kf5_metainfodir}/org.kde.%{name}*.appdata.xml
%{_kf5_applicationsdir}/org.kde.%{name}*.desktop
%{_kf5_iconsdir}/hicolor/*/apps/%{name}*.png

#--------------------------------------------------------------------

%define kexicore_api 3.3
%define libkexicore_major 3.3
%define libkexicore %mklibname kexicore%{kexicore_api}_ %libkexicore_major

%package -n     %libkexicore
Summary:        Kexi core library
Group:          System/Libraries

%description -n %libkexicore
Kexi core library.

%files -n %libkexicore
%{_kf5_libdir}/libkexicore%{kexicore_api}.so.%{libkexicore_major}{,.*}

#--------------------------------------------------------------------

%define kexidatatable_api 3.3
%define libkexidatatable_major 3.3
%define libkexidatatable %mklibname kexidatatable%{kexidatatable_api}_ %libkexidatatable_major

%package -n     %libkexidatatable
Summary:        Kexi data table library
Group:          System/Libraries

%description -n %libkexidatatable
Kexi data table library.

%files -n %libkexidatatable
%{_kf5_libdir}/libkexidatatable%{kexidatatable_api}.so.%{libkexidatatable_major}{,.*}

#--------------------------------------------------------------------

%define kexidataviewcommon_api 3.3
%define libkexidataviewcommon_major 3.3
%define libkexidataviewcommon %mklibname kexidataviewcommon%{kexidataviewcommon_api}_ %libkexidataviewcommon_major

%package -n     %libkexidataviewcommon
Summary:        Kexi data view common library
Group:          System/Libraries

%description -n %libkexidataviewcommon
Kexi data view common library.

%files -n %libkexidataviewcommon
%{_kf5_libdir}/libkexidataviewcommon%{kexidataviewcommon_api}.so.%{libkexidataviewcommon_major}{,.*}

#-------------------------------------------------------------------- 

%define kexiextendedwidgets_api 3.3
%define libkexiextendedwidgets_major 3.3
%define libkexiextendedwidgets %mklibname kexiextendedwidgets%{kexiextendedwidgets_api}_ %libkexiextendedwidgets_major

%package -n     %libkexiextendedwidgets
Summary:        Kexi extended widgets library
Group:          System/Libraries

%description -n %libkexiextendedwidgets
Kexi extended widgets library.

%files -n %libkexiextendedwidgets
%{_kf5_libdir}/libkexiextendedwidgets%{kexiextendedwidgets_api}.so.%{libkexiextendedwidgets_major}{,.*}

#--------------------------------------------------------------------

%define kexiformutils_api 3.3
%define libkexiformutils_major 3.3
%define libkexiformutils %mklibname kexiformutils%{kexiformutils_api}_ %libkexiformutils_major

%package -n     %libkexiformutils
Summary:        Kexi formutils library
Group:          System/Libraries

%description -n %libkexiformutils
Kexi formutils library.

%files -n %libkexiformutils
%{_kf5_libdir}/libkexiformutils%{kexiformutils_api}.so.%{libkexiformutils_major}{,.*}

#--------------------------------------------------------------------

%define kexiguiutils_api 3.3
%define libkexiguiutils_major 3.3
%define libkexiguiutils %mklibname kexiguiutils%{kexiguiutils_api}_ %libkexiguiutils_major

%package -n     %libkexiguiutils
Summary:        Kexi gui utils library
Group:          System/Libraries

%description -n %libkexiguiutils
Kexi gui utils library.

%files -n %libkexiguiutils
%{_kf5_libdir}/libkexiguiutils%{kexiguiutils_api}.so.%{libkexiguiutils_major}{,.*}

#--------------------------------------------------------------------

%define keximain_api 3.3
%define libkeximain_major 3.3
%define libkeximain %mklibname keximain%{keximain_api}_ %libkeximain_major

%package -n     %libkeximain
Summary:        Kexi main library
Group:          System/Libraries

%description -n %libkeximain
Kexi main library.

%files -n %libkeximain
%{_kf5_libdir}/libkeximain%{keximain_api}.so.%{libkeximain_major}{,.*}

#--------------------------------------------------------------------

%define keximigrate_api 3.3
%define libkeximigrate_major 3.3
%define libkeximigrate %mklibname keximigrate%{keximigrate_api}_ %libkeximigrate_major

%package -n     %libkeximigrate
Summary:        Kexi migrate library
Group:          System/Libraries

%description -n %libkeximigrate
Kexi migrate library.

%files -n %libkeximigrate
%{_kf5_libdir}/libkeximigrate%{keximigrate_api}.so.%{libkeximigrate_major}{,.*}

#--------------------------------------------------------------------

%define kexirelationsview_api 3.3
%define libkexirelationsview_major 3.3
%define libkexirelationsview %mklibname kexirelationsview%{kexirelationsview_api}_ %libkexirelationsview_major

%package -n     %libkexirelationsview
Summary:        Kexi relations view library
Group:          System/Libraries

%description -n %libkexirelationsview
Kexi relations view library.

%files -n %libkexirelationsview
%{_kf5_libdir}/libkexirelationsview%{kexirelationsview_api}.so.%{libkexirelationsview_major}{,.*}

#--------------------------------------------------------------------

%define kexiundo_api 3.3
%define libkexiundo_major 3.3
%define libkexiundo %mklibname kexiundo%{kexiundo_api}_ %libkexiundo_major

%package -n     %libkexiundo
Summary:        Kexi undo library
Group:          System/Libraries

%description -n %libkexiundo
Kexi undo library.

%files -n %libkexiundo
%{_kf5_libdir}/libkexiundo%{kexiundo_api}.so.%{libkexiundo_major}{,.*}

#--------------------------------------------------------------------

%define kexiutils_api 3.3
%define libkexiutils_major 3.3
%define libkexiutils %mklibname kexiutils%{kexiutils_api}_ %libkexiutils_major

%package -n     %libkexiutils
Summary:        Kexi utils library
Group:          System/Libraries

%description -n %libkexiutils
Kexi utils library.

%files -n %libkexiutils
%{_kf5_libdir}/libkexiutils%{kexiutils_api}.so.%{libkexiutils_major}{,.*}

#--------------------------------------------------------------------

%define kformdesigner_api 3.3
%define libkformdesigner_major 3.3
%define libkformdesigner %mklibname kformdesigner%{kformdesigner_api}_ %libkformdesigner_major

%package -n     %libkformdesigner
Summary:        Kexi form designer library
Group:          System/Libraries

%description -n %libkformdesigner
Kexi form designer library.

%files -n %libkformdesigner
%{_kf5_libdir}/libkformdesigner%{kformdesigner_api}.so.%{libkformdesigner_major}{,.*}

#--------------------------------------------------------------------

%define kexi_devel %mklibname %{name} -d

%package -n     %kexi_devel
Summary:        Development files for %{name}
Group:          Development/KDE and Qt
Requires:       %libkexicore = %epoch:%version-%release
Requires:       %libkexidatatable = %epoch:%version-%release
Requires:       %libkexidataviewcommon = %epoch:%version-%release
Requires:       %libkexiextendedwidgets = %epoch:%version-%release
Requires:       %libkexiformutils = %epoch:%version-%release
Requires:       %libkexiguiutils = %epoch:%version-%release
Requires:       %libkeximain = %epoch:%version-%release
Requires:       %libkeximigrate = %epoch:%version-%release
Requires:       %libkexirelationsview = %epoch:%version-%release
Requires:       %libkexiundo = %epoch:%version-%release
Requires:       %libkexiutils = %epoch:%version-%release
Requires:       %libkformdesigner = %epoch:%version-%release
Provides:       %name-devel = %epoch:%version-%release

%description -n %kexi_devel
The %{kexi_devel} package contains libraries and header files for
developing applications that use %{name}.

%files -n %kexi_devel
%{_kf5_libdir}/*.so

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n kexi-%{commit}

%build
%cmake_kf5 -DCMAKE_DISABLE_FIND_PACKAGE_Qt5WebKit=ON \
           -DCMAKE_DISABLE_FIND_PACKAGE_Qt5WebKitWidgets=ON
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name --with-html
