%define major           0
%define gmajor          0.0
%define libname         %mklibname %{name} %{major}
%define girname         %mklibname %{name}-gir %{gmajor}
%define develname       %mklibname %{name} -d

Name:           keybinder
Version:        0.3.0
Release:        %mkrel 15
Summary:        A library for registering global keyboard shortcuts
License:        GPLv2+
Group:          System/Libraries
# These URLs are no longer valid
URL:            https://kaizer.se/wiki/keybinder/
Source0:        https://kaizer.se/publicfiles/keybinder/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(lua-5.1)
BuildRequires:  pkgconfig(gobject-introspection-1.0)

%description
keybinder is a library for registering global keyboard shortcuts. Keybinder
works with GTK-based applications using the X Window System.

The library contains:
- A C library, libkeybinder
- Lua bindings, lua-keybinder
- Python bindings, python-keybinder
- An examples directory with programs in C, Lua, Python and Vala.

%package -n %{libname}
Group:          System/Libraries
Summary:        %{name} library package

%description -n %{libname}
Shared libraries for %{name}.

%package -n lua-keybinder
Group:          Development/Other
Summary:        Keybinder lua bindings
Conflicts:      %{_lib}keybinder-devel < 0.3.0-14

%description -n lua-keybinder
Lua bindings for %{name}.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{develname}
Group:          Development/Other
Summary:        %{name} development files
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}
Requires:	%{girname} = %{version}

%description -n %{develname}
This package contains header files needed when building applications based on
%{name}.

%prep
%setup -q

%build
%configure \
	--disable-static \
	--disable-python \
	--with-lua-includes=%{_includedir}/lua-5.1 \
	--enable-introspection=yes
%make_build LUA_LIB=-llua-5.1

%install
%make_install

# don't ship .la
find %{buildroot} -name '*.la' -delete

%files
%doc ChangeLog NEWS AUTHORS README

%files -n %{libname}
%{_libdir}/libkeybinder.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Keybinder-%{gmajor}.typelib

%files -n lua-keybinder
%{_libdir}/lua/*/keybinder.so

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/%{name}
%{_includedir}/keybinder.h
%{_libdir}/libkeybinder.so
%{_libdir}/pkgconfig/keybinder.pc
%{_datadir}/gir-1.0/Keybinder-%{gmajor}.gir
