Name:		keychain
Version:	2.8.5
Release:	%mkrel 6
Summary:	Keychain manages ssh-agent to minimise passphrase entry for ssh
License:	GPLv2
Group:		Networking/Remote access
URL:		https://www.funtoo.org/wiki/Keychain
Source0:	https://github.com/funtoo/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Source1:	%{name}.profile.sh
Source2:	%{name}.profile.csh
Patch1:		keychain-2.8.5-malformed-ssh-key.patch
Patch2:		keychain-2.8.5-typos.patch
Patch3:		keychain-2.8.5-empty-ssh-askpass.patch
Patch4:		0001-Use-grep-E-instead-of-deprecated-egrep.patch
Recommends:	openssh-askpass
Requires:	openssh-clients
Requires:	gnupg2
BuildArch:	noarch

%description
Keychain is a manager for OpenSSH, ssh.com, Sun SSH and GnuPG agents.
It acts as a front-end to the agents, allowing you to easily have one
long-running agent process per system, rather than per login session.
This dramatically reduces the number of times you need to enter your
passphrase from once per new login session to once every time your
local machine is rebooted.

Run keychain once manually per user, after which keychain will run (quietly)
every time you log in (from a profile script).

Hint: If you get tired of keychain, delete ~/.keychain .

%prep
%autosetup -p1

%build
%make_build

%install
install -d -m 755 %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_sysconfdir}/profile.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/profile.d/99%{name}.sh
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/profile.d/99%{name}.csh
install -d -m 755 %{buildroot}%{_mandir}/man1/
install -m 644 keychain.1 %{buildroot}%{_mandir}/man1/

%files
%doc README.md ChangeLog
%license COPYING.txt
%{_bindir}/*
%{_sysconfdir}/profile.d/*
%{_mandir}/man1/%{name}.1*
