%define major 1
%define minor 10

%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:		keyutils
Version:	1.6.3
Release:	%mkrel 4
Summary:	Linux Key Management Utilities
Group:		System/Base
License:	LGPLv2+
URL:		https://git.kernel.org/pub/scm/linux/kernel/git/dhowells/keyutils.git
Source:		https://git.kernel.org/pub/scm/linux/kernel/git/dhowells/keyutils.git/snapshot/%{name}-%{version}.tar.gz
Patch0:		keyutils-request-key-conf-add-cifs.upcall.patch

%description
Utilities to control the kernel key management facility and to provide
a mechanism by which the kernel call back to userspace to get a key
instantiated.

%package -n	%{libname}
Summary:	Linux Key Management Utilities
Group:		System/Libraries

%description -n	%{libname}
Library to control the kernel key management facility and to provide
a mechanism by which the kernel call back to userspace to get a key
instantiated.

%package -n	%{devname}
Summary:	Development files for %{libname}
Group:		System/Libraries
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

Obsoletes:	%{_lib}keyutils-static-devel < 1.5.10-3

%description -n	%{devname}
Development files for %{libname}.

%prep
%setup -q
%autopatch -p1

%build
%make_build -j1 ETCDIR=%{_sysconfdir} BINDIR=%{_bindir} SBINDIR=%{_sbindir} LIBDIR=%{_libdir} \
	USRLIBDIR=%{_libdir} SHAREDIR=%{_datadir}/%{name} INCLUDEDIR=%{_includedir} \
	CFLAGS='%{optflags}' LDFLAGS='%{ldflags}'

%install
%{__make} NO_ARLIB=1 ETCDIR=%{_sysconfdir} BINDIR=%{_bindir} SBINDIR=%{_sbindir} LIBDIR=%{_libdir} \
	  USRLIBDIR=%{_libdir} SHAREDIR=%{_datadir}/%{name} INCLUDEDIR=%{_includedir} \
	  DESTDIR=%{buildroot} install

# create request-key.d
mkdir -p %{buildroot}%{_sysconfdir}/request-key.d/

%files
%doc README LICENCE.GPL LICENCE.LGPL
%config(noreplace) %{_sysconfdir}/request-key.conf
%dir %{_sysconfdir}/request-key.d/
%{_bindir}/keyctl
%{_sbindir}/request-key
%{_sbindir}/key.dns_resolver
%{_mandir}/man1/keyctl.1.*
%{_mandir}/man5/request-key.conf.5.*
%{_mandir}/man5/key.dns_resolver.conf.5.*
%{_mandir}/man8/request-key.8.*
%{_mandir}/man8/key.dns_resolver.8.*
%{_datadir}/%{name}/request-key-debug.sh

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.%{minor}

%files -n %{devname}
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc
%{_mandir}/man3/*.3.*
%{_mandir}/man7/*.7.*
