#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1
%define framework attica

Summary:        Open Collaboration Service providers library
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://projects.kde.org/projects/kdesupport/attica
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Gui)

#(nl) see : https://bugreports.qt-project.org/browse/QTBUG-39859
BuildRequires:  pkgconfig(egl)

BuildRequires:  python3dist(reuse)

Conflicts:      %framework < 5.113.0


%description
A library to access Open Collaboration Service providers.
Required to access OSC providers in get hot new stuff in KDE.

%files
%_kf5_categoriesdir/attica.categories
%_kf5_categoriesdir/attica.renamecategories

#--------------------------------------------------------------------

%define attica_major 5
%define libattica %mklibname kf5attica %{attica_major}

%package -n %libattica
Summary:        Qt library that implements the Open Collaboration Services API
Group:          System/Libraries

Requires:       %name >= %version-%release

%description -n %libattica
A library to access Open Collaboration Service providers
Required to access OSC providers in get hot new stuff.

%files -n %libattica
%{_kf5_libdir}/libKF5Attica.so.%{attica_major}{,.*}

#--------------------------------------------------------------------

%define attica_devel %mklibname kf5attica -d

%package -n %attica_devel
Summary:        Devel stuff for %framework
Group:          Development/KDE and Qt
Requires:       %libattica = %version-%release
Requires:       pkgconfig(Qt5Core)

Provides:       %name-devel = %version-%release
Provides:       %framework-devel = %version-%release

%description -n %attica_devel
This package contains header files needed if you wish to build applications
based on %framework.

%files -n %attica_devel
%{_kf5_includedir}/Attica/
%{_kf5_libdir}/libKF5Attica.so
%{_kf5_libdir}/pkgconfig/libKF5Attica.pc
%{_kf5_libdir}/cmake/KF5Attica/
%{_kf5_mkspecsdir}/qt_Attica.pri

#--------------------------------------------------------------------

%prep
%setup -q -n %{framework}-%{version}

sed -e 's,${CMAKE_LIBATTICA_VERSION_MAJOR}.${CMAKE_LIBATTICA_VERSION_MINOR}.${CMAKE_LIBATTICA_VERSION_PATCH},%{version},g' -i src/cmake/libKF5Attica.pc.cmake

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

