#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%if 0%{?mageia} >= 10
%bcond_without kf6_compat
%endif

%define url_ver %(echo %{version} | cut -d. -f1-2)

# filter out some bogues devel() requires
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}devel\\(libKF5BalooEngine

%define framework baloo

%define rel 1

Summary:        Baloo is a framework for searching and managing metadata
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz
Source1:        97-kde-baloo-filewatch-inotify.conf

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Quick)

BuildRequires:  cmake(KF5I18n) >= %version
BuildRequires:  cmake(KF5Config) >= %version
BuildRequires:  cmake(KF5IdleTime) >= %version
BuildRequires:  cmake(KF5Auth) >= %version
BuildRequires:  cmake(KF5Crash) >= %version
BuildRequires:  cmake(KF5Solid) >= %version
BuildRequires:  cmake(KF5KIO) >= %version
BuildRequires:  cmake(KF5DBusAddons) >= %version
BuildRequires:  cmake(KF5FileMetaData) >= %version

BuildRequires:  lmdb-devel

%rename plasma5-baloo

Conflicts:      %framework < 5.113.0


%description
Baloo is a framework for searching and managing metadata.

%files  -f %name.lang
%if %{without kf6_compat}
%_kf5_sysconfdir/xdg/autostart/baloo_file.desktop
%endif
%_kf5_categoriesdir/baloo.*categories
%_kf5_bindir/baloo_file
%_kf5_bindir/baloo_file_extractor
%_kf5_bindir/balooctl
%_kf5_bindir/baloosearch
%_kf5_bindir/balooshow
%_kf5_plugindir/kded/*.so
%_kf5_plugindir/kio/*.so
%_kf5_qmldir/org/kde/baloo
%if %{without kf6_compat}
%{_prefix}/lib/sysctl.d/97-kde-baloo-filewatch-inotify.conf
%_kf5_datadir/dbus-1/interfaces/org.kde.baloo.fileindexer.xml
%_kf5_datadir/dbus-1/interfaces/org.kde.baloo.main.xml
%_kf5_datadir/dbus-1/interfaces/org.kde.baloo.scheduler.xml
%_kf5_datadir/dbus-1/interfaces/org.kde.baloo.file.indexer.xml
%_kf5_datadir/dbus-1/interfaces/org.kde.BalooWatcherApplication.xml
%_userunitdir/kde-baloo.service
%endif
%_libexecdir/baloo_file
%_libexecdir/baloo_file_extractor

#--------------------------------------------------------------------

%define kf5baloo_major 5
%define libkf5baloo %mklibname kf5baloo %{kf5baloo_major}

%package -n %libkf5baloo
Summary:        Baloo is a framework for searching and managing metadata
Group:          System/Libraries

%description -n %libkf5baloo
Baloo is a framework for searching and managing metadata.

%files -n %libkf5baloo
%_kf5_libdir/libKF5Baloo.so.%{kf5baloo_major}{,.*}

#--------------------------------------------------------------------

%define kf5balooengine_major 5
%define libkf5balooengine %mklibname kf5balooengine %{kf5balooengine_major}

%package -n %libkf5balooengine
Summary:        Baloo is a framework for searching and managing metadata
Group:          System/Libraries

%description -n %libkf5balooengine
Baloo is a framework for searching and managing metadata.

%files -n %libkf5balooengine
%_kf5_libdir/libKF5BalooEngine.so.%{kf5balooengine_major}{,.*}

#--------------------------------------------------------------------

%define baloo_devel %mklibname kf5baloo -d
%define old_baloo_devel %mklibname plasma5-%name -d

%package -n %baloo_devel
Summary:        Devel stuff for %framework
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Requires:       %libkf5baloo = %version-%release
Requires:       %libkf5balooengine = %version-%release
Provides:       %name-devel = %{version}-%{release}

%rename  %old_baloo_devel

%description -n %baloo_devel
This package contains header files needed if you wish to build applications
based on %framework.

%files -n %baloo_devel
%_kf5_includedir/Baloo/
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5Baloo/
%_kf5_libdir/pkgconfig/Baloo.pc
%_kf5_mkspecsdir/qt_Baloo.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%if %{without kf6_compat}
install -p -m644 -D %{SOURCE1} %{buildroot}%{_prefix}/lib/sysctl.d/97-kde-baloo-filewatch-inotify.conf
%endif
%if %{with kf6_compat}
rm -rf %{buildroot}%_kf5_sysconfdir/xdg/autostart/baloo_file.desktop
rm -rf %{buildroot}%_kf5_datadir/dbus-1/interfaces/
rm -rf %{buildroot}%_userunitdir/kde-baloo.service
%endif

%find_lang %name --all-name
