#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework bluez-qt

%define rel 1

Summary:        KDE Frameworks 5 Tier 1 Qt wrapper for Bluez
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5QuickTest)
BuildRequires:  pkgconfig(Qt5Xml)

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 1 Qt wrapper for Bluez.

%files
%_kf5_categoriesdir/bluezqt.*categories
%_udevrulesdir/61-kde-bluetooth-rfkill.rules
%_kf5_qmldir/org/kde/bluezqt

#--------------------------------------------------------------------

%define kf5bluezqt_major 6
%define libkf5bluezqt %mklibname kf5bluezqt %{kf5bluezqt_major}

%package -n %libkf5bluezqt
Summary:        KDE Frameworks 5 Tier 1 Qt wrapper for Bluez
Group:          System/Libraries
Requires:       %{name} >= %version-%release

%description -n %libkf5bluezqt
KDE Frameworks 5 Tier 1 Qt wrapper for Bluez.

%files -n %libkf5bluezqt
%_kf5_libdir/libKF5BluezQt.so.%{kf5bluezqt_major}
%_kf5_libdir/libKF5BluezQt.so.%{version}

#--------------------------------------------------------------------

%define kf5bluezqt_devel %mklibname kf5bluezqt -d

%package -n %kf5bluezqt_devel
Summary:        Devel stuff for %{framework}
Group:          Development/KDE and Qt
Requires:       %libkf5bluezqt = %version-%release
Provides:       %{name}-devel = %{version}-%{release}
Provides:       bluedevil-devel = %version-%release

%description -n %kf5bluezqt_devel
This package contains header files needed if you wish to build applications
based on %{framework}.

%files -n %kf5bluezqt_devel
%_kf5_includedir/BluezQt/
%_kf5_libdir/cmake/KF5BluezQt/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/qt_BluezQt.pri
%_libdir/pkgconfig/KF5BluezQt.pc

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5 -DUDEV_RULES_INSTALL_DIR="%_udevrulesdir"
%cmake_build

%install
%cmake_install

