#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%bcond_with appstream

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework frameworkintegration

%define rel 1

Summary:        KDE Frameworks 5 Tier 4 addon with framework integration
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)

BuildRequires:  cmake(KF5Config) >= %version
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5KIO) >= %version
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5Package)
BuildRequires:  cmake(KF5NewStuff) >= %version
%if %{with appstream}
BuildRequires:  cmake(AppStreamQt) < 1.0.0
BuildRequires:  pkgconfig(packagekitqt5)
%endif

BuildRequires:  pkgconfig(xcursor)

Conflicts:      %{framework} < 5.113.0


%description
Framework Integration is a set of plugins responsible for better integration of
Qt applications when running on a KDE Plasma workspace.

%files
%_kf5_plugindir/FrameworkIntegrationPlugin.so
%_kf5_datadir/kf5/infopage
%_kf5_knotificationsdir/plasma_workspace.notifyrc
%_kf5_libexecdir/kpackagehandlers/knshandler
%if %{with appstream}
%_kf5_libexecdir/kpackagehandlers/appstreamhandler
%endif

#--------------------------------------------------------------------

%define kf5style_major 5
%define libkf5style %mklibname kf5style %{kf5style_major}

%package -n %libkf5style
Summary:        KDE Frameworks 5 Tier 4 addon with framework integration
Group:          System/Libraries
Recommends:     %name = %version-%release

%description -n %libkf5style
Framework Integration is a set of plugins responsible for better integration of
Qt applications when running on a KDE Plasma workspace.

%files -n %libkf5style
%_kf5_libdir/libKF5Style.so.%{kf5style_major}{,.*}

#--------------------------------------------------------------------

%define kf5style_devel %mklibname kf5style -d

%package -n %kf5style_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5style = %version-%release
Requires:       %name = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5style_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5style_devel
%_kf5_includedir/KStyle/
%_kf5_includedir/FrameworkIntegration/
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5FrameworkIntegration/

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

