#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kactivities-stats

%define rel 1

Summary:        A KDE Frameworks 5 Tier 3 library for accessing the usage data collected by the activities system
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Sql)
BuildRequires:  cmake(Qt5Xml)

BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5Activities) >= %version

BuildRequires:  boost-devel

Conflicts:      %{framework} < 5.245.0


%description
A KDE Frameworks 5 Tier 3 library for accessing the usage data collected
by the activities system.

%files
%_kf5_categoriesdir/kactivities-stats.*categories

#--------------------------------------------------------------------

%define kf5activitiesstats_major 1
%define libkf5activitiesstats %mklibname kf5activitiesstats %{kf5activitiesstats_major}

%package -n %libkf5activitiesstats
Summary:        A KDE Frameworks 5 Tier 3 library for accessing the usage data collected by the activities system
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkf5activitiesstats
A KDE Frameworks 5 Tier 3 library for accessing the usage data collected
by the activities system.

%files -n %libkf5activitiesstats
%_kf5_libdir/libKF5ActivitiesStats.so.%{kf5activitiesstats_major}
%_kf5_libdir/libKF5ActivitiesStats.so.%{version}

#--------------------------------------------------------------------

%define kf5activitiesstats_devel %mklibname kf5activitiesstats -d

%package -n %kf5activitiesstats_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5activitiesstats = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5activitiesstats_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5activitiesstats_devel
%_kf5_includedir/KActivitiesStats/
%_kf5_libdir/cmake/KF5ActivitiesStats/
%_kf5_libdir/libKF5ActivitiesStats.so
%_kf5_libdir/pkgconfig/libKActivitiesStats.pc
%_kf5_mkspecsdir/qt_KActivitiesStats.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
