#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kactivities

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 library to organize the user work in separate activity
Name:           kf5-%framework
Epoch:          1
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  cmake(KF5Config) >= %version
BuildRequires:  cmake(KF5CoreAddons) >= %version
BuildRequires:  cmake(KF5KIO) >= %version
BuildRequires:  cmake(KF5WindowSystem) >= %version

BuildRequires:  boost-devel

Requires:       %{_lib}qt5-database-plugin-sqlite

Conflicts:      %{framework} < 1:5.245.0


%description
A KDE Frameworks 5 Tier 3 API for using and interacting with Activities as a
consumer, application adding information to them or as an activity manager.

%files
%_kf5_categoriesdir/kactivities.*categories
%_kf5_bindir/kactivities-cli
%_kf5_qmldir/org/kde/activities

#--------------------------------------------------------------------

%define kf5activities_major 5
%define libkf5activities %mklibname kf5activities %{kf5activities_major}

%package -n %libkf5activities
Summary:        KDE Frameworks 5 Tier 3 runtime and library to organize the user work in separate activity
Group:          System/Libraries
Requires:       %{name} >= %{epoch}:%{version}-%{release}

%description -n %libkf5activities
A KDE Frameworks 5 Tier 3 API for using and interacting with Activities as a
consumer, application adding information to them or as an activity manager.

%files -n %libkf5activities
%_kf5_libdir/libKF5Activities.so.%{kf5activities_major}{,.*}

#--------------------------------------------------------------------

%define kf5activities_devel %mklibname kf5activities -d

%package -n %kf5activities_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5activities = %epoch:%version-%release
Requires:       %name = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %kf5activities_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5activities_devel
%_kf5_includedir/KActivities/
%_kf5_libdir/cmake/KF5Activities/
%_kf5_libdir/libKF5Activities.so
%_kf5_libdir/pkgconfig/libKActivities.pc
%_kf5_mkspecsdir/qt_KActivities.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
