#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework karchive

%define rel 1

Summary:        KDE Frameworks 5 Tier 1 addon with archive functions
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(bzip2)

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 1 addon with archive functions.

%files -f %{framework}5_qt.lang
%_kf5_categoriesdir/karchive.*categories

#--------------------------------------------------------------------

%define karchive_major 5
%define libkarchive %mklibname kf5archive %{karchive_major}

%package -n %libkarchive
Summary:        KDE Frameworks 5 Tier 1 addon with archive functions
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkarchive
KDE Frameworks 5 Tier 1 addon with archive functions.

%files -n %libkarchive
%_kf5_libdir/libKF5Archive.so.%{karchive_major}{,.*}

#--------------------------------------------------------------------

%define karchive_devel %mklibname kf5archive -d

%package -n %karchive_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkarchive = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %karchive_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %karchive_devel
%_kf5_includedir/KArchive/
%_kf5_libdir/cmake/KF5Archive/
%_kf5_libdir/libKF5Archive.so
%_kf5_mkspecsdir/qt_KArchive.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang_kf5 %{framework}5_qt
