#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kauth

%define rel 1

Summary:        KDE Frameworks 5 Tier 2 integration module to perform actions as privileged user
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz
## Mageia patches

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Help)

BuildRequires:  cmake(KF5CoreAddons) >= %version
BuildRequires:  cmake(PolkitQt5-1)

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 2 integration module to perform actions as privileged user.

%files -f %{framework}5_qt.lang
%_kf5_categoriesdir/kauth.*categories
%_kf5_datadir/dbus-1/system.d/org.kde.kf5auth.conf
%_kf5_datadir/kf5/kauth/
%_qt5_plugindir/kauth/
%dir %_libexecdir/kauth
%_libexecdir/kauth/kauth-policy-gen

#--------------------------------------------------------------------

%define kf5auth_major 5
%define libkf5auth %mklibname kf5auth %{kf5auth_major}

%package -n %libkf5auth
Summary:        KDE Frameworks 5 Tier 2 integration module to perform actions as privileged user
Group:          System/Libraries
Requires:       nss_mdns
Recommends:     %{name} = %version-%release

%description -n %libkf5auth
KDE Frameworks 5 Tier 2 integration module to perform actions as privileged user.

%files -n %libkf5auth
%_kf5_libdir/libKF5Auth.so.%{kf5auth_major}{,.*}

#--------------------------------------------------------------------

%define kf5authcore_major 5
%define libkf5authcore %mklibname kf5authcore %{kf5authcore_major}

%package -n %libkf5authcore
Summary:        KDE Frameworks 5 Tier 2 integration module to perform actions as privileged user
Group:          System/Libraries
Recommends:     %{name} = %version-%release

%description -n %libkf5authcore
KDE Frameworks 5 Tier 2 integration module to perform actions as privileged user.

%files -n %libkf5authcore
%_kf5_libdir/libKF5AuthCore.so.%{kf5authcore_major}{,.*}

#--------------------------------------------------------------------

%define kf5auth_devel %mklibname kf5auth -d

%package -n %kf5auth_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5auth = %version-%release
Requires:       %libkf5authcore = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

Requires:       cmake(KF5CoreAddons) = %version
Requires:       cmake(PolkitQt5-1)

%description -n %kf5auth_devel
This package contains header files needed if you wish to build applications.
based on %name.

%files -n %kf5auth_devel
%_kf5_includedir/KAuth/
%_kf5_includedir/KAuthCore/
%_kf5_includedir/KAuthWidgets/
%_kf5_libdir/cmake/KF5Auth/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/qt_KAuth.pri
%_kf5_mkspecsdir/qt_KAuthCore.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang_kf5 %{framework}5_qt
