#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kbookmarks

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 addon for bookmarks manipulation
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  cmake(KF5Auth) >= %version
BuildRequires:  cmake(KF5Codecs) >= %version
BuildRequires:  cmake(KF5Config) >= %version
BuildRequires:  cmake(KF5GuiAddons) >= %version
BuildRequires:  cmake(KF5I18n) >= %version
BuildRequires:  cmake(KF5ConfigWidgets) >= %version
BuildRequires:  cmake(KF5CoreAddons) >= %version
BuildRequires:  cmake(KF5ItemViews) >= %version
BuildRequires:  cmake(KF5IconThemes) >= %version
BuildRequires:  cmake(KF5WidgetsAddons) >= %version
BuildRequires:  cmake(KF5GlobalAccel) >= %version
BuildRequires:  cmake(KF5Completion) >= %version
BuildRequires:  cmake(KF5DBusAddons) >= %version
BuildRequires:  cmake(KF5Service) >= %version
BuildRequires:  cmake(KF5WindowSystem) >= %version
BuildRequires:  cmake(KF5Sonnet) >= %version
BuildRequires:  cmake(KF5TextWidgets) >= %version 
BuildRequires:  cmake(KF5XmlGui) >= %version

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 3 addon for bookmarks manipulation.

%files -f %{framework}5_qt.lang
%_kf5_categoriesdir/kbookmarks.*categories

#--------------------------------------------------------------------

%define kf5bookmarks_major 5
%define libkf5bookmarks %mklibname kf5bookmarks %{kf5bookmarks_major}

%package -n %libkf5bookmarks
Summary:        KDE Frameworks 5 Tier 3 addon for bookmarks manipulation
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf5bookmarks
KDE Frameworks 5 Tier 3 addon for bookmarks manipulation.

%files -n %libkf5bookmarks
%_kf5_libdir/libKF5Bookmarks.so.%{kf5bookmarks_major}{,.*}

#--------------------------------------------------------------------

%define kf5bookmarks_devel %mklibname kf5bookmarks -d

%package -n %kf5bookmarks_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5bookmarks = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5bookmarks_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5bookmarks_devel
%_kf5_includedir/KBookmarks/
%_kf5_libdir/cmake/KF5Bookmarks/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang_kf5 %{framework}5_qt
