#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version}|cut -d. -f1,2)
%define framework kcalendarcore

%define rel 1

Summary:        KDE Frameworks 5 Tier 1 KDE calendar access library
Name:           kf5-%framework
Epoch:          1
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Gui)

BuildRequires:  pkgconfig(libical)
BuildRequires:  boost-devel
BuildRequires:  bison

Conflicts:      %{framework} < 1:5.113.0


%description
KDE Frameworks 5 Tier 1 KDE calendar access library.

%files
%_kf5_categoriesdir/kcalendarcore.categories
%_kf5_categoriesdir/kcalendarcore.renamecategories

#--------------------------------------------------------------------

%define kf5calendarcore_major 5
%define libkf5calendarcore %mklibname kf5calendarcore %{kf5calendarcore_major}

%package -n %libkf5calendarcore
Summary:      KDE Frameworks 5 Tier 1 KDE calendar access library
Group:        System/Libraries

Requires:     %name >= %{epoch}:%version-%release

%description -n %libkf5calendarcore
KDE Frameworks 5 Tier 1 KDE calendar access library.

%files -n %libkf5calendarcore
%_kf5_libdir/libKF5CalendarCore.so.%{kf5calendarcore_major}{,.*}

#--------------------------------------------------------------------

%define kf5calendarcore_devel %mklibname kf5calendarcore -d

%package -n %kf5calendarcore_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5calendarcore = %{epoch}:%version-%release
Provides:       %name-devel = %{epoch}:%{version}-%{release}

%description -n %kf5calendarcore_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5calendarcore_devel
%_kf5_includedir/KCalendarCore/
%_kf5_includedir/kcalcore_version.h
%_kf5_libdir/libKF5CalendarCore.so
%_kf5_libdir/cmake/KF5CalendarCore/
%_kf5_mkspecsdir/qt_KCalendarCore.pri
%_kf5_libdir/pkgconfig/KF5CalendarCore.pc

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

#find_lang %%{framework}5 --all-name
