#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kcmutils

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 addon for interacting with KCModules
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz
## Upstream patches

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5QuickWidgets)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  cmake(KF5ItemViews) >= %version
BuildRequires:  cmake(KF5ConfigWidgets) >= %version
BuildRequires:  cmake(KF5CoreAddons) >= %version
BuildRequires:  cmake(KF5I18n) >= %version
BuildRequires:  cmake(KF5IconThemes) >= %version
BuildRequires:  cmake(KF5Service) >= %version
BuildRequires:  cmake(KF5XmlGui) >= %version
BuildRequires:  cmake(KF5Declarative) >= %version

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 3 addon for interacting with KCModules.

%files -f kcmutils5.lang
%_kf5_categoriesdir/kcmutils.*categories
%_kf5_servicetypes/kcmodule.desktop
%_kf5_servicetypes/kcmoduleinit.desktop
%_qt5_qmldir/org/kde/kcmutils
%_kf5_libexecdir/kcmdesktopfilegenerator

#--------------------------------------------------------------------

%define kf5kcmutils_major 5
%define libkf5kcmutils %mklibname kf5kcmutils %{kf5kcmutils_major}

%package -n %libkf5kcmutils
Summary:        KDE Frameworks 5 Tier 3 addon for interacting with KCModules
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf5kcmutils
KDE Frameworks 5 Tier 3 addon for interacting with KCModules.

%files -n %libkf5kcmutils
%_kf5_libdir/libKF5KCMUtils.so.%{kf5kcmutils_major}{,.*}

#--------------------------------------------------------------------

%define kf5kcmutilscore_major 5
%define libkf5kcmutilscore %mklibname kf5kcmutilscore %{kf5kcmutilscore_major}

%package -n %libkf5kcmutilscore
Summary:        KDE Frameworks 5 Tier 3 addon for interacting with KCModules
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf5kcmutilscore
KDE Frameworks 5 Tier 3 addon for interacting with KCModules.

%files -n %libkf5kcmutilscore
%_kf5_libdir/libKF5KCMUtilsCore.so.%{kf5kcmutils_major}{,.*}

#--------------------------------------------------------------------

%define kf5kcmutils_devel %mklibname kf5kcmutils -d

%package -n %kf5kcmutils_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5kcmutils = %version-%release
Requires:       %libkf5kcmutilscore = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5kcmutils_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5kcmutils_devel
%_kf5_includedir/KCMUtils/
%_kf5_includedir/KCMUtilsCore/
%_kf5_libdir/cmake/KF5KCMUtils/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang kcmutils5
