#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kcodecs

%define rel 1

Summary:        KDE Frameworks 5 Tier 1 addon with string manipulation methods
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Help)

BuildRequires:  gperf

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 1 addon with string manipulation methods.

%files -f %{framework}5_qt.lang
%_kf5_categoriesdir/kcodecs.*categories

#--------------------------------------------------------------------

%define kf5codecs_major 5
%define libkf5codecs %mklibname kf5codecs %{kf5codecs_major}

%package -n %libkf5codecs
Summary:        KDE Frameworks 5 Tier 1 addon with string manipulation methods
Group:          System/Libraries

Requires:       %name = %version-%release

%description -n %libkf5codecs
KDE Frameworks 5 Tier 1 addon with string manipulation methods.

%files -n %libkf5codecs
%_kf5_libdir/libKF5Codecs.so.%{kf5codecs_major}{,.*}

#--------------------------------------------------------------------

%define kf5codecs_devel %mklibname kf5codecs -d

%package -n %kf5codecs_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5codecs = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5codecs_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5codecs_devel
%_kf5_includedir/KCodecs/
%_kf5_libdir/cmake/KF5Codecs/
%_kf5_libdir/libKF5Codecs.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang_kf5 %{framework}5_qt
