#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kcompletion

%define rel 1

Summary:        KDE Frameworks 5 Tier 2 addon for completion
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5UiPlugin)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Help)

BuildRequires:  cmake(KF5Config) >= %version
BuildRequires:  cmake(KF5WidgetsAddons) >= %version

Conflicts:      %{framework} < 5.113.0


%description
KCompletion provides widgets with advanced completion support as well as a
lower-level completion class which can be used with your own widgets.

%files -f %{framework}5_qt.lang
%_kf5_categoriesdir/kcompletion.*categories
%_qt5_plugindir/designer/kcompletion5widgets.so

#--------------------------------------------------------------------

%define kf5completion_major 5
%define libkf5completion %mklibname kf5completion %{kf5completion_major}

%package -n %libkf5completion
Summary:        KDE Frameworks 5 Tier 2 addon for completion
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf5completion
KCompletion provides widgets with advanced completion support as well as a
lower-level completion class which can be used with your own widgets.

%files -n %libkf5completion
%_kf5_libdir/libKF5Completion.so.%{kf5completion_major}{,.*}

#--------------------------------------------------------------------

%define kf5completion_devel %mklibname kf5completion -d

%package -n %kf5completion_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5completion = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5completion_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5completion_devel
%_kf5_includedir/KCompletion/
%_kf5_libdir/cmake/KF5Completion/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang_kf5 %{framework}5_qt

