#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kconfig

%define rel 1

Summary:        KDE Frameworks 5 Tier 1 addon with advanced configuration system
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

## Upstream patches

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Qml)

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 1 addon with advanced configuration system made of two parts:
KConfigCore and KConfigGui.

%files -f kconfig5_qt.lang
%_kf5_categoriesdir/kconfig.*categories
%_kf5_bindir/kreadconfig5
%_kf5_bindir/kwriteconfig5
%_kf5_libexecdir/kconf_update
%_kf5_libexecdir/kconfig_compiler_kf5

#--------------------------------------------------------------------

%define kconfiggui_major 5
%define libkconfiggui %mklibname kf5configgui %{kconfiggui_major}

%package -n %libkconfiggui
Summary:        KDE Frameworks 5 Tier 1 addon with advanced configuration system
Group:          System/Libraries

%description -n %libkconfiggui
KConfigGui provides a way to hook widgets to the configuration so that they are
automatically initialized from the configuration and automatically propagate
their changes to their respective configuration files.

%files -n %libkconfiggui
%_kf5_libdir/libKF5ConfigGui.so.%{kconfiggui_major}{,.*}

#--------------------------------------------------------------------

%define kconfigcore_major 5
%define libkconfigcore %mklibname kf5configcore %{kconfigcore_major}

%package -n %libkconfigcore
Summary:        KDE Frameworks 5 Tier 1 addon with advanced configuration system
Group:          System/Libraries

%description -n %libkconfigcore
KConfigCore provides access to the configuration files themselves. It features:

- centralized definition: define your configuration in an XML file and use
`kconfig_compiler` to generate classes to read and write configuration entries.

- lock-down (kiosk) support.

%files -n %libkconfigcore
%_kf5_libdir/libKF5ConfigCore.so.%{kconfigcore_major}{,.*}

#--------------------------------------------------------------------

%define kconfigqml_major 5
%define libkconfigqml %mklibname kf5configqml %{kconfigqml_major}

%package -n %libkconfigqml
Summary:        KDE Frameworks 5 Tier 1 addon with advanced configuration system
Group:          System/Libraries

%description -n %libkconfigqml
KConfigQml provides a new KConfig Qml Module.

%files -n %libkconfigqml
%_kf5_libdir/libKF5ConfigQml.so.%{kconfigqml_major}{,.*}

#--------------------------------------------------------------------

%define kconfig_devel %mklibname kf5config -d

%package -n %kconfig_devel
Summary:        Devel stuff for %{framework}
Group:          Development/KDE and Qt
Requires:       %libkconfiggui = %version-%release
Requires:       %libkconfigcore = %version-%release
Requires:       %libkconfigqml = %version-%release
Requires:       %{name} = %version-%release
Provides:       %{framework}-devel = %{version}-%{release}
Requires:       pkgconfig(Qt5Xml)

%description -n %kconfig_devel
This package contains header files needed if you wish to build applications
based on %{framework}.

%files -n %kconfig_devel
%_kf5_includedir/KConfig*/
%_kf5_libdir/cmake/KF5Config/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang_kf5 %{framework}5_qt
