#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kconfigwidgets

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 addon for creating configuration dialogs
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5UiPlugin)
BuildRequires:  pkgconfig(Qt5Xml)

BuildRequires:  cmake(KF5Auth) >= %version
BuildRequires:  cmake(KF5Codecs) >= %version
BuildRequires:  cmake(KF5DocTools) >= %version
BuildRequires:  cmake(KF5GuiAddons) >= %version
BuildRequires:  cmake(KF5Config) >= %version
BuildRequires:  cmake(KF5Archive) >= %version
BuildRequires:  cmake(KF5CoreAddons) >= %version
BuildRequires:  cmake(KF5WidgetsAddons) >= %version
BuildRequires:  cmake(KF5I18n) >= %version

Conflicts:      %{framework} < 5.113.0


%description
KConfigWidgets provides easy-to-use classes to create configuration dialogs, as
well as a set of widgets which uses KConfig to store their settings.

%files -f %{framework}5.lang
%_kf5_categoriesdir/kconfigwidgets.*categories
%_kf5_bindir/preparetips5
%_kf5_mandir/man1/preparetips5.1.*
%_kf5_mandir/*/man1/preparetips5.1.*
%_kf5_datadir/locale/*/*.desktop
%_qt5_plugindir/designer/kconfigwidgets5widgets.so

#--------------------------------------------------------------------

%define kf5configwidgets_major 5
%define libkf5configwidgets %mklibname kf5configwidgets %{kf5configwidgets_major}

%package -n %libkf5configwidgets
Summary:        KDE Frameworks 5 Tier 3 addon for creating configuration dialogs
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf5configwidgets
KConfigWidgets provides easy-to-use classes to create configuration dialogs, as
well as a set of widgets which uses KConfig to store their settings.

%files -n %libkf5configwidgets
%_kf5_libdir/libKF5ConfigWidgets.so.%{kf5configwidgets_major}{,.*}

#--------------------------------------------------------------------

%define kf5configwidgets_devel %mklibname kf5configwidgets -d

%package -n %kf5configwidgets_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5configwidgets = %version-%release
Requires:       cmake(KF5Codecs) = %version
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5configwidgets_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5configwidgets_devel
%_kf5_includedir/KConfigWidgets/
%_kf5_libdir/cmake/KF5ConfigWidgets/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %{framework}5
