#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version}|cut -d. -f1,2)
%define framework kcontacts

%define rel 1

Summary:        New address book API for KDE
Name:           kf5-%framework
Epoch:          1
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://kontact.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Quick)

BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5Codecs)

BuildRequires:  boost-devel

BuildRequires:  pkgconfig(iso-codes)
Requires:       iso-codes

Conflicts:      %{framework} < 1:5.113.0


%description
New address book API for KDE.

%files -f %name.lang
%_kf5_categoriesdir/kcontacts.categories
%_kf5_categoriesdir/kcontacts.renamecategories

#--------------------------------------------------------------------

%define kf5contacts_major 5
%define libkf5contacts %mklibname kf5contacts %{kf5contacts_major}

%package -n %libkf5contacts
Summary:        New address book API for KDE
Group:          System/Libraries
Requires:       %name >= %{epoch}:%version-%release

%description -n %libkf5contacts
New address book API for KDE.

%files -n %libkf5contacts
%_kf5_libdir/libKF5Contacts.so.%{kf5contacts_major}{,.*}

#--------------------------------------------------------------------

%define kf5contacts_devel %mklibname kf5contacts -d

%package -n %kf5contacts_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5contacts = %{epoch}:%version-%release
Provides:       %name-devel = %{epoch}:%{version}-%{release}

%description -n %kf5contacts_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5contacts_devel
%_kf5_includedir/KContacts/
%_kf5_libdir/libKF5Contacts.so
%_kf5_libdir/cmake/KF5Contacts/
%_kf5_mkspecsdir/qt_KContacts.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name
