#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kcoreaddons

%define rel 1

Summary:        KDE Frameworks 5 Tier 1 addon with various classes on top of QtCore
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

## upstream patches

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Help)

BuildRequires:  shared-mime-info >= 0.70
BuildRequires:  pkgconfig(gamin)

Requires:       shared-mime-info >= 0.70

Conflicts:      %{framework} < 5.113.0


%description
KCoreAddons provides classes built on top of QtCore to perform various tasks
such as manipulating mime types, autosaving files, creating backup files,
generating random sequences, performing text manipulations such as macro
replacement, accessing user information and many more.

%files -f kcoreaddons5_qt.lang
%_kf5_categoriesdir/kcoreaddons.*categories
%_kf5_bindir/desktoptojson
%_kf5_datadir/mime/packages/kde5.xml
%_kf5_datadir/kf5/licenses

#--------------------------------------------------------------------

%define kf5coreaddons_major 5
%define libkf5coreaddons %mklibname kf5coreaddons %{kf5coreaddons_major}

%package -n %libkf5coreaddons
Summary:        KDE Frameworks 5 Tier 1 addon with various classes on top of QtCore
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkf5coreaddons
KCoreAddons provides classes built on top of QtCore to perform various tasks
such as manipulating mime types, autosaving files, creating backup files,
generating random sequences, performing text manipulations such as macro
replacement, accessing user information and many more.

%files -n %libkf5coreaddons
%_kf5_libdir/libKF5CoreAddons.so.%{kf5coreaddons_major}{,.*}

#--------------------------------------------------------------------

%define kcoreaddons_devel %mklibname kf5coreaddons -d

%package -n %kcoreaddons_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version
Requires:       %libkf5coreaddons = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kcoreaddons_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kcoreaddons_devel
%_kf5_includedir/KCoreAddons*/
%_kf5_libdir/cmake/KF5CoreAddons/
%_kf5_libdir/libKF5CoreAddons.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang_kf5 kcoreaddons5_qt
%find_lang_kf5 xml_mimetypes5
%find_lang_kf5 kde5_xml_mimetypes
cat xml_mimetypes5.lang >> kcoreaddons5_qt.lang
cat kde5_xml_mimetypes.lang >> kcoreaddons5_qt.lang
