#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kcrash

%define rel 1

Summary:        KDE Frameworks 5 Tier 2 addon for application crashes
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  cmake(KF5Config) >= %version
BuildRequires:  cmake(KF5WindowSystem) >= %version
BuildRequires:  cmake(KF5CoreAddons) >= %version

Conflicts:      %{framework} < 5.113.0


%description
KCrash provides support for intercepting and handling application crashes.

%files
%_kf5_categoriesdir/kcrash.*categories

#--------------------------------------------------------------------

%define kf5crash_major 5
%define libkf5crash %mklibname kf5crash %{kf5crash_major}

%package -n %libkf5crash
Summary:        KDE Frameworks 5 Tier 2 addon for application crashes
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf5crash
KCrash provides support for intercepting and handling application crashes.

%files -n %libkf5crash
%_kf5_libdir/libKF5Crash.so.%{kf5crash_major}{,.*}

#--------------------------------------------------------------------

%define kf5crash_devel %mklibname kf5crash -d

%package -n %kf5crash_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5crash = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5crash_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5crash_devel
%_kf5_includedir/KCrash/
%_kf5_libdir/cmake/KF5Crash/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

