#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kdav

%define rel 1

Summary:        A DAV protocol implementation with KJobs
Name:           kf5-%framework
# Moved from release-service to frameworks --> version went from 20.04.2 to 5.72.0
Epoch:          1
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5XmlPatterns)
BuildRequires:  cmake(Qt5Test)

BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5KIO)

Conflicts:      %{framework} < 1:5.113.0


%description
A DAV protocol implementation with KJobs.

%files -f %name.lang
%_kf5_categoriesdir/kdav.*categories

#--------------------------------------------------------------------

%define kf5dav_major 5
%define libkf5dav %mklibname kf5dav %{kf5dav_major}

%package -n %libkf5dav
Summary:        A DAV protocol implementation with KJobs
Group:          System/Libraries
Requires:       %name >= %epoch:%version-%release

%description -n %libkf5dav
A DAV protocol implementation with KJobs.

%files -n %libkf5dav
%_kf5_libdir/libKF5DAV.so.%{kf5dav_major}{,.*}

#--------------------------------------------------------------------

%define kf5dav_devel %mklibname kf5dav -d

%package -n %kf5dav_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5dav = %epoch:%{version}-%{release}
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %kf5dav_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5dav_devel
%_kf5_libdir/cmake/KF5DAV/
%_kf5_includedir/KDAV/
%_kf5_libdir/libKF5DAV.so
%_kf5_mkspecsdir/qt_KDAV.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %name --all-name
