#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kdbusaddons

%define rel 1

Summary:        KDE Frameworks 5 Tier 1 addon with various classes on top of QtDBus
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Help)

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 1 addon with various classes on top of QtDBus.

%files -f kdbusaddons5_qt.lang
%_kf5_categoriesdir/kdbusaddons.*categories
%_kf5_bindir/kquitapp5

#--------------------------------------------------------------------

%define kf5dbusaddons_major 5
%define libkf5dbusaddons %mklibname kf5dbusaddons %{kf5dbusaddons_major}

%package -n %libkf5dbusaddons
Summary:        KDE Frameworks 5 Tier 1 addon with various classes on top of QtDBus
Group:          System/Libraries

%description -n %libkf5dbusaddons
KDE Frameworks 5 Tier 1 addon with various classes on top of QtDBus.

%files -n %libkf5dbusaddons
%_kf5_libdir/libKF5DBusAddons.so.%{kf5dbusaddons_major}{,.*}

#--------------------------------------------------------------------

%define kf5dbusaddons_devel %mklibname kf5dbusaddons -d

%package -n %kf5dbusaddons_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5dbusaddons = %version-%release
Requires:       %name = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

Requires:       pkgconfig(Qt5DBus)

%description -n %kf5dbusaddons_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5dbusaddons_devel
%_kf5_includedir/KDBusAddons/
%_kf5_libdir/cmake/KF5DBusAddons/
%_kf5_libdir/libKF5DBusAddons.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang_kf5 %{framework}5_qt

