#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version}|cut -d. -f1,2)
%define framework kdeclarative

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 addon for Qt declarative
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

## Upstream patches

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)

BuildRequires:  cmake(KF5Config)  >= %version
BuildRequires:  cmake(KF5I18n)  >= %version
BuildRequires:  cmake(KF5IconThemes)  >= %version
BuildRequires:  cmake(KF5KIO)  >= %version
BuildRequires:  cmake(KF5WidgetsAddons)  >= %version
BuildRequires:  cmake(KF5WindowSystem)  >= %version
BuildRequires:  cmake(KF5GlobalAccel)  >= %version
BuildRequires:  cmake(KF5GuiAddons)  >= %version
BuildRequires:  cmake(KF5Package)  >= %version
BuildRequires:  cmake(KF5Notifications) >= %version

BuildRequires:  pkgconfig(epoxy)

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 3 addon for Qt declarative.

%files -f %{framework}5.lang
%_kf5_bindir/kpackagelauncherqml
%_kf5_qmldir/org/kde/draganddrop
%_kf5_qmldir/org/kde/graphicaleffects
%_kf5_qmldir/org/kde/kcoreaddons
%_kf5_qmldir/org/kde/kquickcontrols
%_kf5_qmldir/org/kde/kquickcontrolsaddons
%_kf5_qmldir/org/kde/private/kquickcontrols
%_kf5_qmldir/org/kde/kio
%_kf5_qmldir/org/kde/kwindowsystem
%_kf5_qmldir/org/kde/kconfig
%_kf5_qmldir/org/kde/kcm

#--------------------------------------------------------------------

%define kf5declarative_major 5
%define libkf5declarative %mklibname kf5declarative %{kf5declarative_major}

%package -n %libkf5declarative
Summary:        KDE Frameworks 5 Tier 3 addon for Qt declarative
Group:          System/Libraries

%description -n %libkf5declarative
KDE Frameworks 5 Tier 3 addon for Qt declarative.

%files -n %libkf5declarative
%_kf5_libdir/libKF5Declarative.so.%{kf5declarative_major}{,.*}

#--------------------------------------------------------------------

%define kf5quickaddons_major 5
%define libkf5quickaddons %mklibname kf5quickaddons %{kf5quickaddons_major}

%package -n %libkf5quickaddons
Summary:        KDE Frameworks 5 Tier 3 addon for Qt declarative
Group:          System/Libraries

%description -n %libkf5quickaddons
KDE Frameworks 5 Tier 3 addon for Qt declarative.

%files -n %libkf5quickaddons
%_kf5_libdir/libKF5QuickAddons.so.%{kf5quickaddons_major}{,.*}

#--------------------------------------------------------------------

%define kf5calendarevents_major 5
%define libkf5calendarevents %mklibname kf5calendarevents %{kf5calendarevents_major}

%package -n %libkf5calendarevents
Summary:        KDE Frameworks 5 Tier 3 addon for Qt declarative
Group:          System/Libraries

%description -n %libkf5calendarevents
KDE Frameworks 5 Tier 3 addon for Qt declarative.

%files -n %libkf5calendarevents
%_kf5_libdir/libKF5CalendarEvents.so.%{kf5calendarevents_major}{,.*}

#--------------------------------------------------------------------

%define kf5declarative_devel %mklibname kf5declarative -d

%package -n %kf5declarative_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5declarative = %version-%release
Requires:       %libkf5quickaddons = %version-%release
Requires:       %libkf5calendarevents = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5declarative_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5declarative_devel
%_kf5_includedir/KDeclarative/
%_kf5_libdir/cmake/KF5Declarative/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{framework}5
