#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kded

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 addon with KDE Daemon
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)

BuildRequires:  cmake(KF5Config) >= %version
BuildRequires:  cmake(KF5CoreAddons) >= %version
BuildRequires:  cmake(KF5Crash) >= %version
BuildRequires:  cmake(KF5DBusAddons) >= %version
BuildRequires:  cmake(KF5DocTools) >= %version
BuildRequires:  cmake(KF5Service) >= %version

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 3 addon with KDE Daemon.

%files
%_kf5_categoriesdir/kded.*categories
%_kf5_bindir/kded5
%_kf5_datadir/dbus-1/services/org.kde.kded5.service
%_kf5_servicetypes/kdedmodule.desktop
%_userunitdir/plasma-kded.service
%_kf5_mandir/man?/kded5.8.*
%_kf5_mandir/*/man?/kded5.8.*

#--------------------------------------------------------------------

%define kf5ded_devel %mklibname kf5ded -d

%package -n %kf5ded_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

Requires:       pkgconfig(Qt5DBus)
Requires:       pkgconfig(Qt5Widgets)

%description -n %kf5ded_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5ded_devel
%_kf5_libdir/cmake/KDED/
%_kf5_datadir/dbus-1/interfaces/org.kde.kded5.xml

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

# temporary workaround
sed -i 's|install(FILES org.kde.kded5.desktop|#install(FILES org.kde.kded5.desktop|' CMakeLists.txt

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
