#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kdelibs4support

%define rel 1

Summary:        KDE Frameworks 5 Tier 4 module with porting aid from KDELibs 4
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/portingAids/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Designer)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5X11Extras)

BuildRequires:  cmake(KF5Archive) >= %version
BuildRequires:  cmake(KF5Completion) >= %version
BuildRequires:  cmake(KF5Config) >= %version
BuildRequires:  cmake(KF5ConfigWidgets) >= %version
BuildRequires:  cmake(KF5Crash) >= %version
BuildRequires:  cmake(KF5DesignerPlugin) >= %version
BuildRequires:  cmake(KF5GlobalAccel) >= %version
BuildRequires:  cmake(KF5DocTools) >= %version
BuildRequires:  cmake(KF5GuiAddons) >= %version
BuildRequires:  cmake(KF5I18n) >= %version
BuildRequires:  cmake(KF5IconThemes) >= %version
BuildRequires:  cmake(KF5KIO) >= %version
BuildRequires:  cmake(KF5Notifications) >= %version
BuildRequires:  cmake(KF5Parts) >= %version
BuildRequires:  cmake(KF5Service) >= %version
BuildRequires:  cmake(KF5TextWidgets) >= %version
BuildRequires:  cmake(KF5UnitConversion) >= %version
BuildRequires:  cmake(KF5WidgetsAddons) >= %version
BuildRequires:  cmake(KF5WindowSystem) >= %version
BuildRequires:  cmake(KDED) >= %version

BuildRequires:  cmake(KF5Emoticons)

BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(libnm)
BuildRequires:  pkgconfig(openssl)

BuildRequires:  perl(URI)

Conflicts:      kdebase4-runtime-handbook < 1:15.07.90
Provides:       %{framework} = %{version}-%{release}
Obsoletes:      kdelibs4support < 5.245.0


%description
KDE Frameworks 5 Tier 4 module with porting aid from KDELibs 4.

%files -f %framework.lang
%_kf5_sysconfdir/xdg/colors/*
%_kf5_sysconfdir/xdg/kdebug.areas
%exclude %_kf5_sysconfdir/xdg/kdebugrc
%_kf5_sysconfdir/xdg/ksslcalist
%_kf5_bindir/kdebugdialog5
%_kf5_bindir/kf5-config
%_kf5_datadir/kf5/locale/*
%_kf5_datadir/locale/kf5_all_languages
%_kf5_datadir/kf5/widgets/*
%_kf5_services/qimageioplugins/*.desktop
%_kf5_services/kcm_ssl.desktop
%_qt5_plugindir/designer/kf5deprecatedwidgets.so
%_qt5_plugindir/kcm_ssl.so
%_kf5_plugindir/kded/networkstatus.so
%_kf5_plugindir/kio/metainfo.so
%_kf5_libexecdir/fileshareset
%_kf5_libexecdir/filesharelist
%_kf5_datadir/kf5/kdoctools/customization
%_kf5_datadir/kf5/kssl/ca-bundle.crt
%_kf5_servicetypes/*.desktop
%_kf5_mandir/man1/kf5-config.1.*
%_kf5_mandir/*/man1/kf5-config.1.*

#--------------------------------------------------------------------

%define kf5kdelibs4support_major 5
%define libkf5kdelibs4support %mklibname kf5kdelibs4support %{kf5kdelibs4support_major}

%package -n %libkf5kdelibs4support
Summary:        KDE Frameworks 5 Tier 4 module with porting aid from KDELibs 4
Group:          System/Libraries

%description -n %libkf5kdelibs4support
KDE Frameworks 5 Tier 4 module with porting aid from KDELibs 4.

%files -n %libkf5kdelibs4support
%_kf5_libdir/libKF5KDELibs4Support.so.%{kf5kdelibs4support_major}{,.*}

#--------------------------------------------------------------------

%define kf5kdelibs4support_devel %mklibname kf5kdelibs4support -d

%package -n %kf5kdelibs4support_devel
Summary:        Devel stuff for %framework
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Requires:       %libkf5kdelibs4support = %version-%release
Provides:       %framework-devel = %{version}-%{release}
Requires:       pkgconfig(Qt5DBus)
Requires:       pkgconfig(Qt5Xml)
Requires:       pkgconfig(Qt5PrintSupport)
Requires:       cmake(KF5DesignerPlugin)
Requires:       cmake(KF5DocTools)
Requires:       cmake(KF5Emoticons)
Requires:       cmake(KF5ItemModels)
Requires:       cmake(KF5Init)
Requires:       cmake(KF5UnitConversion)

%description -n %kf5kdelibs4support_devel
This package contains header files needed if you wish to build applications
based on %framework.

%files -n %kf5kdelibs4support_devel
%_kf5_libdir/libKF5KDELibs4Support.so
%_kf5_includedir/KDELibs4Support
%_kf5_libdir/cmake/KF5KDELibs4Support/
%_kf5_libdir/cmake/KF5KDE4Support/
%_kf5_libdir/cmake/KDELibs4/
%_kf5_datadir/dbus-1/interfaces/*.xml

#--------------------------------------------------------------------

%package -n %{framework}-handbook
Summary:        %{framework} Handbook
Group:          Documentation
BuildArch:      noarch

Obsoletes:      kf5-kdelibs4support-handbook < 5.114.0-2

%description -n %{framework}-handbook
This package provides %{framework} Handbook.

%files -n %{framework}-handbook
%doc %_kf5_docdir/HTML/*/kdebugdialog5
%doc %_kf5_docdir/HTML/*/kcontrol5/kcm_ssl

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %framework

