#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kdesignerplugin

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 integration module for QtDesigner
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/portingAids/%{framework}-%{version}.tar.xz
## downstream patches

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Designer)
BuildRequires:  pkgconfig(Qt5UiPlugin)
BuildRequires:  pkgconfig(Qt5Help)

BuildRequires:  qttools5-designer
BuildRequires:  cmake(KF5CoreAddons) >= %version
BuildRequires:  cmake(KF5Config) >= %version
BuildRequires:  cmake(KF5DocTools) >= %version

Provides:       %{framework} = %{version}-%{release}
Obsoletes:      kdesignerplugin < 5.113.0


%description
KDE Frameworks 5 Tier 3 integration module for QtDesigner.

%files -f %{name}.lang
%_kf5_bindir/kgendesignerplugin
%_kf5_mandir/man?/kgendesignerplugin.1.*

#--------------------------------------------------------------------

%define kf5designerplugin_devel %mklibname kf5designerplugin -d

%package -n %kf5designerplugin_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5designerplugin_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5designerplugin_devel
%_kf5_libdir/cmake/KF5DesignerPlugin/

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang_kf5 %{framework}5_qt

# manpages
%find_lang %{framework}-man --all-name --with-man --without-mo
cat %{framework}5_qt.lang %{framework}-man.lang > %{name}.lang
