#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kdesu

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 module for su integration
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5DBus)

BuildRequires:  cmake(KF5CoreAddons) >= %version
BuildRequires:  cmake(KF5Config) >= %version
BuildRequires:  cmake(KF5DBusAddons) >= %version
BuildRequires:  cmake(KF5I18n) >= %version
BuildRequires:  cmake(KF5Service) >= %version
BuildRequires:  cmake(KF5Pty) >= %version

Conflicts:      %{framework} < 5.245.0


%description
KDE Frameworks 5 Tier 3 module for su integration.

%files -f %{framework}d5.lang
%_kf5_categoriesdir/ksu.*categories
%_kf5_libexecdir/kdesu_stub
%attr(2755,root,nogroup) %_kf5_libexecdir/kdesud

#--------------------------------------------------------------------

%define kf5su_major 5
%define libkf5su %mklibname kf5su %{kf5su_major}

%package -n %libkf5su
Summary:        KDE Frameworks 5 Tier 3 module for su integration
Group:          System/Libraries

%description -n %libkf5su
KDE Frameworks 5 Tier 3 module for su integration.

%files -n %libkf5su
%_kf5_libdir/libKF5Su.so.%{kf5su_major}{,.*}

#--------------------------------------------------------------------

%define kf5su_devel %mklibname kf5su -d

%package -n %kf5su_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5su = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

Requires:       cmake(KF5Pty)

%description -n %kf5su_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5su_devel
%_kf5_includedir/KDESu/
%_kf5_libdir/cmake/KF5Su/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %{framework}d5
