#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kdnssd

%define rel 1

Summary:        KDE Frameworks 5 Tier 1 integration module for DNS-SD services (Zeroconf)
Name:           kf5-%framework
Epoch:          3
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Help)

BuildRequires:  pkgconfig(avahi-core)

Conflicts:      %{framework} < 3:5.113.0


%description
KDE Frameworks 5 Tier 1 integration module for DNS-SD services (Zeroconf).

%files -f %{framework}5_qt.lang

#--------------------------------------------------------------------

%define kf5dnssd_major 5
%define libkf5dnssd %mklibname kf5dnssd %{kf5dnssd_major}

%package -n %libkf5dnssd
Summary:        KDE Frameworks 5 Tier 1 integration module for DNS-SD services (Zeroconf)
Group:          System/Libraries
Requires:       %{name} >= %epoch:%{version}-%{release}
Requires:       nss_mdns

%description -n %libkf5dnssd
KDE Frameworks 5 Tier 1 integration module for DNS-SD services (Zeroconf).

%files -n %libkf5dnssd
%_kf5_libdir/libKF5DNSSD.so.%{kf5dnssd_major}{,.*}

#--------------------------------------------------------------------

%define kf5dnssd_devel %mklibname kf5dnssd -d

%package -n %kf5dnssd_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5dnssd = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %kf5dnssd_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5dnssd_devel
%_kf5_includedir/KDNSSD/
%_kf5_libdir/cmake/KF5DNSSD/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/qt_KDNSSD.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang_kf5 %{framework}5_qt
