#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kdoctools

%define rel 1

Summary:        KDE Frameworks 5 Tier 2 addon for documentation
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)

BuildRequires:  cmake(KF5Archive) >= %version
BuildRequires:  cmake(KF5I18n) >= %version

BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  docbook-style-xsl
BuildRequires:  perl(URI)

Conflicts:      %{framework} < 5.113.0


%description
Provides tools to generate documentation in various format from DocBook files.

%files -f kdoctools5.lang
%_kf5_bindir/meinproc5
%_kf5_datadir/kf5/kdoctools
%_kf5_mandir/man?/*

#--------------------------------------------------------------------

%define kf5doctools_major 5
%define libkf5doctools %mklibname kf5doctools %{kf5doctools_major}

%package -n %libkf5doctools
Summary:        KDE Frameworks 5 Tier 2 addon for documentation
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf5doctools
Provides tools to generate documentation in various format from DocBook files

%files -n %libkf5doctools
%_kf5_libdir/libKF5DocTools.so.%{kf5doctools_major}{,.*}

#--------------------------------------------------------------------

%define kdoctools_devel %mklibname kf5doctools -d

%package -n %kdoctools_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Requires:       %libkf5doctools = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

Requires:       cmake(KF5Archive) = %version
Requires:       pkgconfig(Qt5Core)

%description -n %kdoctools_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kdoctools_devel
%_kf5_bindir/checkXML5
%_kf5_libdir/cmake/KF5DocTools/
%_kf5_libdir/libKF5DocTools.so
%_kf5_includedir/KDocTools/

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang kdoctools5 --with-html --with-man --all-name
