#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kemoticons

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 module for emoticons support
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  cmake(KF5CoreAddons) >= %version
BuildRequires:  cmake(KF5DBusAddons) >= %version
BuildRequires:  cmake(KF5I18n) >= %version
BuildRequires:  cmake(KF5Archive) >= %version
BuildRequires:  cmake(KF5Config) >= %version
BuildRequires:  cmake(KF5Service) >= %version

Obsoletes:      kemoticons < 5.115.0
Provides:       %{framework} = %{version}-%{release}


%description
KDE Frameworks 5 Tier 3 module for emoticons support.

%files
%_kf5_categoriesdir/kemoticons.*categories
%_kf5_datadir/emoticons
%_kf5_plugindir/emoticonsthemes/*.so
%_kf5_datadir/kservices5/*.desktop
%_kf5_datadir/kservicetypes5/*.desktop
%_kf5_plugindir/KEmoticonsIntegrationPlugin.so

#--------------------------------------------------------------------

%define kf5emoticons_major 5
%define libkf5emoticons %mklibname kf5emoticons %{kf5emoticons_major}

%package -n %libkf5emoticons
Summary:        KDE Frameworks 5 Tier 3 module for emoticons support
Group:          System/Libraries
Recommends:     %{name} >= %{version}-%{release}

%description -n %libkf5emoticons
KDE Frameworks 5 Tier 3 module for emoticons support.

%files -n %libkf5emoticons
%_kf5_libdir/libKF5Emoticons.so.%{kf5emoticons_major}{,.*}

#--------------------------------------------------------------------

%define kf5emoticons_devel %mklibname kf5emoticons -d

%package -n %kf5emoticons_devel
Summary:        Devel stuff for %{framework}
Group:          Development/KDE and Qt
Requires:       %libkf5emoticons = %version-%release
Provides:       %{framework}-devel = %{version}-%{release}

%description -n %kf5emoticons_devel
This package contains header files needed if you wish to build applications
based on %{framework}.

%files -n %kf5emoticons_devel
%_kf5_includedir/KEmoticons/
%_kf5_libdir/cmake/KF5Emoticons/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
