#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kfilemetadata

%define rel 3

Summary:        A library for extracting file metadata
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)

BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5Archive)

BuildRequires:  attr-devel
BuildRequires:  pkgconfig(poppler-qt5)
BuildRequires:  pkgconfig(taglib)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  ebook-tools-devel

# runtime dependencies
BuildRequires:  catdoc
Requires:       catdoc

Conflicts:      %{framework} < 5.113.0


%description
A library for extracting file metadata.

%files -f %{framework}5.lang
%_kf5_categoriesdir/kfilemetadata.*categories
%_kf5_plugindir/kfilemetadata

#--------------------------------------------------------------------

%define kf5filemetadata_major 3
%define libkf5filemetadata %mklibname kf5filemetadata %{kf5filemetadata_major}

%package -n %libkf5filemetadata
Summary:        A library for extracting file metadata
Group:          System/Libraries
Requires:       %{name} >= %version-%release

%description -n %libkf5filemetadata
A library for extracting file metadata.

%files -n %libkf5filemetadata
%_kf5_libdir/libKF5FileMetaData.so.%{kf5filemetadata_major}
%_kf5_libdir/libKF5FileMetaData.so.%{version}

#--------------------------------------------------------------------

%define kf5filemetadata_devel %mklibname kf5filemetadata -d

%package -n %kf5filemetadata_devel
Summary:        Devel stuff for %framework
Group:          Development/KDE and Qt
Requires:       %libkf5filemetadata = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5filemetadata_devel
This package contains header files needed if you wish to build applications
based on %framework.

%files -n %kf5filemetadata_devel
%_kf5_includedir/KFileMetaData/
%_kf5_libdir/cmake/KF5FileMetaData/
%_kf5_libdir/libKF5FileMetaData.so
%_kf5_mkspecsdir/qt_KFileMetaData.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_kf5_sysconfdir"
%cmake_build

%install
%cmake_install
%find_lang  %{framework}5
