#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%if 0%{?mageia} >= 10
%bcond_without kf6_compat
%endif

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kglobalaccel

%define rel 1

Summary:        KDE Framework 5 Tier 3 integration module for global shortcuts
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Help)

BuildRequires:  cmake(KF5Config) >= %{version}
BuildRequires:  cmake(KF5CoreAddons) >= %{version}
BuildRequires:  cmake(KF5Crash) >= %{version}
BuildRequires:  cmake(KF5DBusAddons) >= %{version}
BuildRequires:  cmake(KF5WindowSystem) >= %{version}

BuildRequires:  cmake(KF5Service) >= %{version}

Conflicts:      %{framework} < 5.113.0


%description
KDE Framework 5 Tier 3 integration module for global shortcuts.

%files -f %{framework}5_qt.lang
%_kf5_categoriesdir/kglobalaccel.*categories
%_kf5_bindir/kglobalaccel5
%_qt5_plugindir/org.kde.kglobalaccel5.platforms
%_kf5_datadir/dbus-1/services/org.kde.kglobalaccel.service
%_kf5_services/kglobalaccel5.desktop
%if %{without kf6_compat}
%_userunitdir/plasma-kglobalaccel.service
%endif

#--------------------------------------------------------------------

%define kf5globalaccel_major 5
%define libkf5globalaccel %mklibname kf5globalaccel %{kf5globalaccel_major}

%package -n %libkf5globalaccel
Summary:        KDE Framework 5 Tier 3 integration module for global shortcuts
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf5globalaccel
KDE Framework 5 Tier 3 integration module for global shortcuts.

%files -n %libkf5globalaccel
%_kf5_libdir/libKF5GlobalAccel.so.%{kf5globalaccel_major}{,.*}

#--------------------------------------------------------------------

%define kf5globalaccelprivate_major 5
%define libkf5globalaccelprivate %mklibname kf5globalaccelprivate %{kf5globalaccelprivate_major}

%package -n %libkf5globalaccelprivate
Summary:        KDE Framework 5 Tier 3 integration module for global shortcuts
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf5globalaccelprivate
KDE Framework 5 Tier 3 integration module for global shortcuts.

%files -n %libkf5globalaccelprivate
%_kf5_libdir/libKF5GlobalAccelPrivate.so.%{kf5globalaccelprivate_major}{,.*}

#--------------------------------------------------------------------

%define kf5globalaccel_devel %mklibname kf5globalaccel -d

%package -n %kf5globalaccel_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5globalaccel = %version-%release
Requires:       %libkf5globalaccelprivate = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5globalaccel_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5globalaccel_devel
%_kf5_includedir/KGlobalAccel/
%_kf5_libdir/cmake/KF5GlobalAccel/
%_kf5_libdir/libKF5GlobalAccel.so
%_kf5_datadir/dbus-1/interfaces/kf5_org.kde.KGlobalAccel.xml
%_kf5_datadir/dbus-1/interfaces/kf5_org.kde.kglobalaccel.Component.xml
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang_kf5 %{framework}5_qt

%if %{with kf6_compat}
rm -fv %buildroot%_userunitdir/plasma-kglobalaccel.service
%endif
