#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%if 0%{?mageia} >= 10
%bcond_without kf6_compat
%endif

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kguiaddons

%define rel 1

Summary:        KDE Frameworks 5 Tier 1 addon with various classes on top of QtGui
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5WaylandClient)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(x11)

BuildRequires:  cmake(PlasmaWaylandProtocols) >= 1.7.0

%if %{with kf6_compat}
Requires:       %{framework} >= 5.240
%endif

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 1 addon with various classes on top of QtGui.

%files
%_kf5_categoriesdir/kguiaddons.*categories
%if %{without kf6_compat}
%_kf5_bindir/kde-geo-uri-handler
%_kf5_applicationdir/google-maps-geo-handler.desktop
%_kf5_applicationdir/openstreetmap-geo-handler.desktop
%_kf5_applicationdir/qwant-maps-geo-handler.desktop
%_kf5_applicationdir/wheelmap-geo-handler.desktop
%endif

#--------------------------------------------------------------------

%define kf5guiaddons_major 5
%define libkf5guiaddons %mklibname kf5guiaddons %{kf5guiaddons_major}

%package -n %libkf5guiaddons
Summary:        KDE Frameworks 5 Tier 1 addon with various classes on top of QtGui
Group:          System/Libraries
Recommends:     %{name} >= %{version}-%{release}

%description -n %libkf5guiaddons
KDE Frameworks 5 Tier 1 addon with various classes on top of QtGui.

%files -n %libkf5guiaddons
%_kf5_libdir/libKF5GuiAddons.so.%{kf5guiaddons_major}{,.*}

#--------------------------------------------------------------------

%define kf5guiaddons_devel %mklibname kf5guiaddons -d

%package -n %kf5guiaddons_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5guiaddons = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5guiaddons_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5guiaddons_devel
%_kf5_includedir/KGuiAddons/
%_kf5_libdir/cmake/KF5GuiAddons/
%_kf5_libdir/libKF5GuiAddons.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5 %{?with_kf6_compat:-DBUILD_GEO_SCHEME_HANDLER=OFF}
%cmake_build

%install
%cmake_install

