#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kholidays

%define rel 1

Summary:        KDE Frameworks 5 Tier 1 library for regional holiday information
Name:           kf5-%framework
Epoch:          1
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5Designer)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Qml)

BuildRequires:  cmake(Qt5LinguistTools)

Conflicts:      %{framework} < 1:5.113.0


%description
KDE Frameworks 5 Tier 1 library for regional holiday information.

%files
%_kf5_categoriesdir/kholidays.*categories
%_qt5_qml/org/kde/kholidays
%_kf5_datadir/locale/*/LC_MESSAGES/*.qm

#--------------------------------------------------------------------

%define kf5holidays_major 5
%define libkf5holidays %mklibname kf5holidays %{kf5holidays_major}

%package -n %libkf5holidays
Summary:        KDE Frameworks 5 Tier 1 library for regional holiday information
Group:          System/Libraries
Requires:       %name >= %epoch:%version-%release

%description -n %libkf5holidays
KDE Frameworks 5 Tier 1 library for regional holiday information.

%files -n %libkf5holidays
%_kf5_libdir/libKF5Holidays.so.%{kf5holidays_major}{,.*}

#--------------------------------------------------------------------

%define kf5holidays_devel %mklibname kf5holidays -d

%package -n %kf5holidays_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5holidays = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %kf5holidays_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5holidays_devel
%_kf5_includedir/KHolidays/
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5Holidays/
%_kf5_mkspecsdir/qt_KHolidays.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

