#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework khtml

%define rel 2

Summary:        KDE Frameworks 5 Tier 4 solution with KHTML engine
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/portingAids/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(phonon4qt5)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Concurrent)

BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5KIO) >= %version
BuildRequires:  cmake(KF5JS) >= %version
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5Sonnet)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5Wallet)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5GlobalAccel)

BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  giflib-devel
BuildRequires:  gperf

Obsoletes:      khtml < 5.114.0-2
Provides:       %{framework} = %{version}-%{release}


%description
KHTML is a web rendering engine, based on the KParts technology and using KJS
for JavaScript support.

%files -f khtml5.lang
%_kf5_sysconfdir/xdg/khtmlrc
%_kf5_categoriesdir/khtml.*categories
%_kf5_datadir/kf5/khtml
%_kf5_plugindir/parts/*.so
%_kf5_services/*.desktop

#--------------------------------------------------------------------

%define kf5khtml_major 5
%define libkf5khtml %mklibname kf5khtml %{kf5khtml_major}

%package -n %libkf5khtml
Summary:        KDE Frameworks 5 Tier 4 solution with KHTML engine
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf5khtml
KHTML is a web rendering engine, based on the KParts technology and using KJS
for JavaScript support.

%files -n %libkf5khtml
%_kf5_libdir/libKF5KHtml.so.%{kf5khtml_major}{,.*}

#--------------------------------------------------------------------

%define kf5khtml_devel %mklibname kf5khtml -d

%package -n %kf5khtml_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5khtml = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5khtml_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5khtml_devel
%_kf5_includedir/KHtml/
%_kf5_libdir/cmake/KF5KHtml/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang khtml5
