#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework ki18n

%define rel 1

Summary:        KDE Frameworks 5 Tier 1 addon for localization
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(QtCore)
BuildRequires:  pkgconfig(QtNetwork)
BuildRequires:  pkgconfig(QtTest)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5Qml)

BuildRequires:  iso-codes

Requires:       iso-codes

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 1 addon for localization.

%files -f %{framework}5.lang
%_kf5_categoriesdir/ki18n.*categories
%_kf5_plugindir/ktranscript.so
%_qt5_qml/org/kde/i18n/localeData/
#(nl) package cleanly with %%lang()
%_kf5_datadir/locale/*/LC_SCRIPTS/ki18n5/

#--------------------------------------------------------------------

%define kf5i18n_major 5
%define libkf5i18n %mklibname kf5i18n %{kf5i18n_major}

%package -n %libkf5i18n
Summary:        KDE Frameworks 5 Tier 2 addon for localization
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkf5i18n
KDE Frameworks 5 Tier 2 addon for localization.

%files -n %libkf5i18n
%_kf5_libdir/libKF5I18n.so.%{kf5i18n_major}{,.*}

#--------------------------------------------------------------------

%define kf5i18nlocaledata_major 5
%define libkf5i18nlocaledata %mklibname kf5i18nlocaledata %{kf5i18nlocaledata_major}

%package -n %libkf5i18nlocaledata
Summary:        KDE Frameworks 5 Tier 2 addon for localization
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkf5i18nlocaledata
KDE Frameworks 5 Tier 2 addon for localization.

%files -n %libkf5i18nlocaledata
%_kf5_libdir/libKF5I18nLocaleData.so.%{kf5i18nlocaledata_major}{,.*}

#--------------------------------------------------------------------

%define kf5i18n_devel %mklibname kf5i18n -d

%package -n %kf5i18n_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5i18n = %version-%release
Requires:       %libkf5i18nlocaledata = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5i18n_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5i18n_devel
%_kf5_includedir/KI18n/
%_kf5_includedir/KI18nLocaleData/
%_kf5_libdir/cmake/KF5I18n/
%_kf5_libdir/libKF5I18n.so
%_kf5_libdir/libKF5I18nLocaleData.so
%_kf5_mkspecsdir/qt_KI18n.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %{framework}5
