#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kiconthemes

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 integration module for icon themes
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5UiPlugin)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Svg)

BuildRequires:  cmake(KF5ConfigWidgets) >= %version
BuildRequires:  cmake(KF5ItemViews) >= %version
BuildRequires:  cmake(KF5I18n) >= %version
BuildRequires:  cmake(KF5WidgetsAddons) >= %version
BuildRequires:  cmake(KF5Archive) >= %version

%description
KDE Frameworks 5 Tier 3 integration module for icon themes.

%files -f kiconthemes5.lang
%_kf5_categoriesdir/kiconthemes.*categories
%_kf5_bindir/kiconfinder5
%_qt5_plugindir/iconengines/KIconEnginePlugin.so
%_qt5_plugindir/designer/*.so

#--------------------------------------------------------------------

%define kf5iconthemes_major 5
%define libkf5iconthemes %mklibname kf5iconthemes %{kf5iconthemes_major}

%package -n %libkf5iconthemes
Summary:        KDE Frameworks 5 Tier 3 integration module for icon themes
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkf5iconthemes
KDE Frameworks 5 Tier 3 integration module for icon themes.

%files -n %libkf5iconthemes
%_kf5_libdir/libKF5IconThemes.so.%{kf5iconthemes_major}{,.*}

#--------------------------------------------------------------------

%define kf5iconthemes_devel %mklibname kf5iconthemes -d

%package -n %kf5iconthemes_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5iconthemes = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5iconthemes_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5iconthemes_devel
%_kf5_includedir/KIconThemes/
%_kf5_libdir/cmake/KF5IconThemes/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang kiconthemes5
