#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kidletime

%define rel 1

Summary:        KDE Frameworks 5 Tier 1 integration module for idle time detection
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5X11Extras)

BuildRequires:  cmake(Qt5WaylandClient)
BuildRequires:  cmake(PlasmaWaylandProtocols)
BuildRequires:  pkgconfig(wayland-protocols)

BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xscrnsaver)

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 1 integration module for idle time detection.

%files
%_kf5_categoriesdir/kidletime.*categories
%_kf5_plugindir/org.kde.kidletime.platforms

#--------------------------------------------------------------------

%define kf5idletime_major 5
%define libkf5idletime %mklibname kf5idletime %{kf5idletime_major}

%package -n %libkf5idletime
Summary:        KDE Frameworks 5 Tier 1 integration module for idle time detection
Group:          System/Libraries
Recommends:     %{name} >= %{version}-%{release}

%description -n %libkf5idletime
KDE Frameworks 5 Tier 1 integration module for idle time detection.

%files -n %libkf5idletime
%_kf5_libdir/libKF5IdleTime.so.%{kf5idletime_major}{,.*}

#--------------------------------------------------------------------

%define kf5idletime_devel %mklibname kf5idletime -d

%package -n %kf5idletime_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5idletime = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5idletime_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5idletime_devel
%_kf5_includedir/KIdleTime/
%_kf5_libdir/cmake/KF5IdleTime/
%_kf5_libdir/libKF5IdleTime.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

