#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %version | cut -d. -f 1-2)
%define framework kimageformats

%define rel 3

Summary:        KDE Frameworks 5 Tier 2 addon with additional image plugins for QtGui
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  cmake(KF5Archive)

BuildRequires:  pkgconfig(jasper)
BuildRequires:  pkgconfig(libavif)
BuildRequires:  pkgconfig(libheif)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libjxl)
BuildRequires:  pkgconfig(libraw)
BuildRequires:  pkgconfig(OpenEXR)

Conflicts:      %{framework} < 5.113.0


%description
This framework provides additional image format plugins for QtGui.  As
such it is not required for the compilation of any other software, but
may be a runtime requirement for Qt-based software to support certain
image formats.

%files
%_qt5_plugindir/imageformats/*.so
%_kf5_datadir/kservices5/qimageioplugins

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5 -DKIMAGEFORMATS_HEIF=ON
%cmake_build

%install
%cmake_install

