#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kinit

%define rel 1

Summary:        KDE Frameworks 5 tier 3 solution for process launching
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5DBus)

BuildRequires:  cmake(KF5Service) >= %version
BuildRequires:  cmake(KF5KIO) >= %version
BuildRequires:  cmake(KF5I18n) >= %version
BuildRequires:  cmake(KF5WindowSystem) >= %version
BuildRequires:  cmake(KF5Crash) >= %version
BuildRequires:  cmake(KF5Config) >= %version
BuildRequires:  cmake(KF5DocTools) >= %version
BuildRequires:  cmake(KF5DBusAddons) >= %version

BuildRequires:  pkgconfig(libcap)
BuildRequires:  libcap-utils

Provides:       %{framework} = %{version}-%{release}
Obsoletes:      kinit < 5.115.0


%description
KDE Frameworks 5 tier 3 solution for process launching.

%files -f %{framework}5.lang
%_kf5_categoriesdir/kinit.*categories
%_kf5_bindir/kdeinit5
%_kf5_bindir/kdeinit5_shutdown
%_kf5_bindir/kdeinit5_wrapper
%_kf5_bindir/kshell5
%_kf5_bindir/kwrapper5
%_kf5_libdir/libkdeinit5_klauncher.so
%_kf5_libexecdir/klauncher
%_kf5_libexecdir/start_kdeinit
%_kf5_libexecdir/start_kdeinit_wrapper
%_kf5_datadir/dbus-1/interfaces/kf5_org.kde.KLauncher.xml
%_kf5_mandir/man?/kdeinit5.8.*
%_kf5_mandir/*/man?/kdeinit5.8.*

#--------------------------------------------------------------------

%define kf5init_devel %mklibname kf5init -d

%package -n %kf5init_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5init_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5init_devel
%dir %_kf5_libdir/cmake/KF5Init
%_kf5_libdir/cmake/KF5Init/KF5InitConfig.cmake
%_kf5_libdir/cmake/KF5Init/KF5InitConfigVersion.cmake
%_kf5_libdir/cmake/KF5Init/KF5InitMacros.cmake
%_kf5_libdir/cmake/KF5Init/kde5init_dummy.cpp.in

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %{framework}5
