#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%if 0%{?mageia} >= 10
%bcond_without kf6_compat
%endif

%define min_version %(echo %{version}|cut -d. -f1,2)
%define framework kio

%define rel 2

Summary:        KDE Frameworks 5 Tier 3 solution for filesystem abstraction
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{min_version}/%{framework}-%{version}.tar.xz

## Upstream patches (lookaside)

BuildRequires: kf5-rpm-macros

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5Qml)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5Concurrent)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Script)
BuildRequires: pkgconfig(Qt5UiPlugin)

BuildRequires: cmake(KF5Archive) >= %min_version
BuildRequires: cmake(KF5Config) >= %min_version
BuildRequires: cmake(KF5CoreAddons) >= %min_version
BuildRequires: cmake(KF5I18n) >= %min_version
BuildRequires: cmake(KF5Service) >= %min_version
BuildRequires: cmake(KF5DocTools) >= %min_version
BuildRequires: cmake(KF5Solid) >= %min_version
BuildRequires: cmake(KF5Crash) >= %min_version
BuildRequires: cmake(KF5DBusAddons) >= %min_version
BuildRequires: cmake(KF5Bookmarks) >= %min_version
BuildRequires: cmake(KF5Completion) >= %min_version
BuildRequires: cmake(KF5ConfigWidgets) >= %min_version
BuildRequires: cmake(KF5GuiAddons) >= %min_version
BuildRequires: cmake(KF5IconThemes) >= %min_version
BuildRequires: cmake(KF5ItemViews) >= %min_version
BuildRequires: cmake(KF5JobWidgets) >= %min_version
BuildRequires: cmake(KF5WidgetsAddons) >= %min_version
BuildRequires: cmake(KF5WindowSystem) >= %min_version
BuildRequires: cmake(KF5Auth) >= %min_version
BuildRequires: cmake(KDED)
BuildRequires: cmake(KF5Wallet)
BuildRequires: cmake(KF5TextWidgets)

BuildRequires: pkgconfig(zlib)
BuildRequires: acl-devel
BuildRequires: pkgconfig(libattr)
BuildRequires: pkgconfig(libxslt)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(krb5-gssapi)

# runtime dependencies
BuildRequires: switcheroo-control
Requires:      switcheroo-control

Requires:      kf5-kded

Conflicts:      %{framework} < 5.245.0


%description
KDE Frameworks 5 Tier 3 solution for filesystem abstraction.

%files -f kio5.lang
%_kf5_categoriesdir/kio.*categories
%_kf5_datadir/kconf_update/filepicker.upd
%_kf5_datadir/kservices5/*.desktop
%_kf5_datadir/kservices5/searchproviders
%_kf5_bindir/*
%_kf5_sysconfdir/xdg/accept-languages.codes
%_kf5_sysconfdir/xdg/kshorturifilterrc
%_kf5_plugindir/kio
%_kf5_plugindir/urifilters
%_kf5_plugindir/kded
%_qt5_plugindir/kf5/kiod
%_qt5_plugindir/kcm_webshortcuts.so
%_qt5_plugindir/kcm_trash.so
%_qt5_plugindir/designer/*.so
%_qt5_plugindir/kcm_proxy.so
%_qt5_plugindir/plasma/kcms/systemsettings/kcm_smb.so
%_qt5_plugindir/plasma/kcms/systemsettings_qwidgets/
%_kf5_libexecdir/kio_http_cache_cleaner
%_kf5_libexecdir/kioslave5
%_kf5_libexecdir/kpac_dhcp_helper
%_kf5_libexecdir/kioexec
%_kf5_libexecdir/kiod5
%_kf5_datadir/applications/ktelnetservice5.desktop
%_kf5_datadir/kservicetypes5/*.desktop
%_kf5_datadir/kf5/kcookiejar/domain_info
%_kf5_mandir/man8/kcookiejar5.8.*
%_kf5_mandir/*/man?/kcookiejar5.8.*
%_kf5_datadir/knotifications5/proxyscout.notifyrc
%_kf5_datadir/kdevappwizard/templates/kioworker.tar.bz2
%_datadir/dbus-1/services/org.kde.kiod5.service
%_datadir/dbus-1/services/org.kde.kcookiejar5.service
%_datadir/dbus-1/services/org.kde.kpasswdserver.service
%_datadir/dbus-1/services/org.kde.kssld5.service
%_datadir/dbus-1/services/org.kde.kioexecd.service
%if %{without kf6_compat}
%_kf5_datadir/applications/kcm_trash.desktop
%endif

#--------------------------------------------------------------------

%define kf5kiocore_major 5
%define libkf5kiocore %mklibname kf5kiocore %{kf5kiocore_major}

%package -n %libkf5kiocore
Summary:        KDE Frameworks 5 Tier 3 solution for filesystem abstraction
Group:          System/Libraries

%description -n %libkf5kiocore
KDE Frameworks 5 Tier 3 solution for filesystem abstraction.

%files -n %libkf5kiocore
%_kf5_libdir/libKF5KIOCore.so.%{kf5kiocore_major}{,.*}

#--------------------------------------------------------------------

%define kf5kiontlm_major 5
%define libkf5kiontlm %mklibname kf5kiontlm %{kf5kiontlm_major}

%package -n %libkf5kiontlm
Summary:        KDE Frameworks 5 Tier 3 solution for filesystem abstraction
Group:          System/Libraries

%description -n %libkf5kiontlm
KDE Frameworks 5 Tier 3 solution for filesystem abstraction.

%files -n %libkf5kiontlm
%_kf5_libdir/libKF5KIONTLM.so.%{kf5kiontlm_major}{,.*}

#--------------------------------------------------------------------

%define kf5kiowidgets_major 5
%define libkf5kiowidgets %mklibname kf5kiowidgets %{kf5kiowidgets_major}

%package -n %libkf5kiowidgets
Summary:        KDE Frameworks 5 Tier 3 solution for filesystem abstraction
Group:          System/Libraries

%description -n %libkf5kiowidgets
KDE Frameworks 5 Tier 3 solution for filesystem abstraction.

%files -n %libkf5kiowidgets
%_kf5_libdir/libKF5KIOWidgets.so.%{kf5kiowidgets_major}{,.*}

#--------------------------------------------------------------------

%define kf5kiofilewidgets_major 5
%define libkf5kiofilewidgets %mklibname kf5kiofilewidgets %{kf5kiofilewidgets_major}

%package -n %libkf5kiofilewidgets
Summary:        KDE Frameworks 5 Tier 3 solution for filesystem abstraction
Group:          System/Libraries

%description -n %libkf5kiofilewidgets
KDE Frameworks 5 Tier 3 solution for filesystem abstraction.

%files -n %libkf5kiofilewidgets
%_kf5_libdir/libKF5KIOFileWidgets.so.%{kf5kiofilewidgets_major}{,.*}

#--------------------------------------------------------------------

%define kf5kiogui_major 5
%define libkf5kiogui %mklibname kf5kiogui %{kf5kiogui_major}

%package -n %libkf5kiogui
Summary:        KDE Frameworks 5 Tier 3 solution for filesystem abstraction
Group:          System/Libraries

%description -n %libkf5kiogui
KDE Frameworks 5 Tier 3 solution for filesystem abstraction.

%files -n %libkf5kiogui
%_kf5_libdir/libKF5KIOGui.so.%{kf5kiogui_major}{,.*}

#--------------------------------------------------------------------

%define kf5kiocore_devel %mklibname kf5kio -d

%package -n %kf5kiocore_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5kiocore = %version-%release
Requires:       %libkf5kiontlm = %version-%release
Requires:       %libkf5kiowidgets = %version-%release
Requires:       %libkf5kiofilewidgets = %version-%release
Requires:       %libkf5kiogui = %version-%release
Requires:       %name  = %version-%release
# many pkgs fails to build due to this missing devel dependency
Requires:       pkgconfig(Qt5Concurrent)
Provides:       %name-devel = %{version}-%{release}
Obsoletes:      %{_lib}kio-devel < 5.28.0-2

%description -n %kf5kiocore_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5kiocore_devel
%_kf5_includedir/KIOWidgets/
%_kf5_includedir/KIOFileWidgets/
%_kf5_includedir/KIOCore/
%_kf5_includedir/KIOGui/
%_kf5_includedir/kio/
%_kf5_includedir/KIO/
%_kf5_datadir/dbus-1/interfaces/*.xml
%_kf5_libdir/cmake/KF5KIO/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%package handbook
Summary:        %{name} Handbook
Group:          Documentation
BuildArch:      noarch

Conflicts:      %{framework}-handbook < 5.113.0

%description handbook
This package provides %{name} Handbook.

%files handbook
%doc %_kf5_docdir/HTML/*/kioslave5
%doc %_kf5_docdir/HTML/*/kcontrol5

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5 %{?with_kf6_compat:-DKF6_COMPAT_BUILD=ON}
%cmake_build

%install
%cmake_install

%find_lang kio5
