#
# Please do not update/rebuild/touch this package before asking first
# to KDE Team
# This package is part of the KDE Stack.
#

%define url_ver	%(echo %{version}|cut -d. -f1,2)
%define framework kirigami2

%define rel 1

Name:		kf5-%framework
Version: 5.116.0
Release:	%mkrel %{rel}
Summary:	A QtQuick based components set
License:	LGPLv2
Group:		Graphical desktop/KDE
URL:		https://techbase.kde.org/Kirigami
Source0:	https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:	kf5-rpm-macros

# Qt5 BuildRequires
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5QuickControls2)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
# runtime dependencies
BuildRequires:	qtgraphicaleffects5

Requires:	qtquickcontrols5
Requires:	qtquickcontrols25
Requires:	qtgraphicaleffects5

Conflicts:	kirigami < 5.113.0


%description
Kirigami is KDE’s lightweight user interface framework for mobile
and convergent applications. It allows Qt developers to easily create
applications that run on most major mobile and desktop platforms without
modification (though adapted user interfaces for different form-factors
are supported and recommended for optimal user experience). It extends
the touch-friendly Qt Quick Controls with larger application building
blocks, following the design philosophy laid out in the Kirigami Human
Interface Guidelines.

%files -f libkirigami2plugin_qt.lang
%doc README.md
%license LICENSE*
%{_kf5_qmldir}/org/kde/kirigami.2/
%{_kf5_datadir}/kdevappwizard/templates/kirigami.tar.bz2

#--------------------------------------------------------------------

%define kirigami2_major 5
%define libkirigami2    %mklibname kf5kirigami2_ %{kirigami2_major}

%package -n	%{libkirigami2}
Summary:	Runtime library for %{name}
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n %{libkirigami2}
Runtime library for %{name}.

%files -n %{libkirigami2}
%{_kf5_libdir}/libKF5Kirigami2.so.%{kirigami2_major}{,.*}

#--------------------------------------------------------------------

%define libkirigami2_dev %mklibname kf5kirigami2 -d

%package -n	%{libkirigami2_dev}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libkirigami2} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libkirigami2_dev}
This package contains header files needed if you wish to build
applications based on %{name}.

%files -n %{libkirigami2_dev}
%{_kf5_includedir}/Kirigami2/
%{_kf5_libdir}/libKF5Kirigami2.so
%{_kf5_libdir}/cmake/KF5Kirigami2/
%{_kf5_mkspecsdir}/qt_Kirigami2.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang_kf5 libkirigami2plugin_qt
