#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kitemmodels

%define rel 1

Summary:        KDE Frameworks 5 Tier 1 addon with item models
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5X11Extras)

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 1 addon with item models.

%files
%_kf5_categoriesdir/kitemmodels.*categories
%_kf5_qmldir/org/kde/kitemmodels/

#--------------------------------------------------------------------

%define kitemmodels_major 5
%define libkitemmodels %mklibname kf5itemmodels %{kitemmodels_major}

%package -n %libkitemmodels
Summary:        KDE Frameworks 5 Tier 1 addon with item models
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkitemmodels
KDE Frameworks 5 Tier 1 addon with item models.

%files -n %libkitemmodels
%_kf5_libdir/libKF5ItemModels.so.%{kitemmodels_major}{,.*}

#--------------------------------------------------------------------

%define kitemmodels_devel %mklibname kf5itemmodels -d

%package -n %kitemmodels_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkitemmodels = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kitemmodels_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kitemmodels_devel
%_kf5_includedir/KItemModels/
%_kf5_libdir/cmake/KF5ItemModels/
%_kf5_libdir/libKF5ItemModels.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

