#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kitemviews

%define rel 1

Summary:        KDE Frameworks 5 Tier 1 addon with item views
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5UiPlugin)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Help)

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 1 addon with item views.

%files -f kitemviews5_qt.lang
%_kf5_categoriesdir/kitemviews.*categories
%_qt5_plugindir/designer/kitemviews5widgets.so

#--------------------------------------------------------------------

%define kitemviews_major 5
%define libkitemviews %mklibname kf5itemviews %{kitemviews_major}

%package -n %libkitemviews
Summary:        KDE Frameworks 5 Tier 1 addon with item views
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkitemviews
KDE Frameworks 5 Tier 1 addon with item views.

%files -n %libkitemviews
%_kf5_libdir/libKF5ItemViews.so.%{kitemviews_major}{,.*}

#--------------------------------------------------------------------

%define kitemviews_devel %mklibname kf5itemviews -d

%package -n %kitemviews_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkitemviews = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kitemviews_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kitemviews_devel
%_kf5_includedir/KItemViews/
%_kf5_libdir/cmake/KF5ItemViews/
%_kf5_libdir/libKF5ItemViews.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang_kf5 kitemviews5_qt
