#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kjobwidgets

%define rel 1

Summary:        KDE Frameworks 5 Tier 2 addon for jobs
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Help)

BuildRequires:  cmake(KF5CoreAddons) >= %version
BuildRequires:  cmake(KF5WidgetsAddons) >= %version

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 2 addon for jobs.

%files -f %{framework}5_qt.lang
%_kf5_categoriesdir/kjobwidgets.*categories

#--------------------------------------------------------------------

%define kf5jobwidgets_major 5
%define libkf5jobwidgets %mklibname kf5jobwidgets %{kf5jobwidgets_major}

%package -n %libkf5jobwidgets
Summary:        KDE Frameworks 5 Tier 2 addon for jobs
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf5jobwidgets
KDE Frameworks 5 Tier 2 addon for jobs.

%files -n %libkf5jobwidgets
%_kf5_libdir/libKF5JobWidgets.so.%{kf5jobwidgets_major}{,.*}

#--------------------------------------------------------------------

%define kf5jobwidgets_devel %mklibname kf5jobwidgets -d

%package -n %kf5jobwidgets_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5jobwidgets = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5jobwidgets_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5jobwidgets_devel
%_kf5_includedir/KJobWidgets/
%_kf5_libdir/cmake/KF5JobWidgets/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri
%_datadir/dbus-1/interfaces/*.xml

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang_kf5 %{framework}5_qt
