##
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kjs

%define rel 1

Summary:        KDE Frameworks 5 Tier 2 functional module with JavaScript interpret
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://invent.kde.org/frameworks/kjs
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/portingAids/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Help)

BuildRequires:  cmake(KF5DocTools) >= %version

BuildRequires:  perl(URI)

BuildRequires:  pkgconfig(libpcreposix)

Provides:       %{framework} = %{version}-%{release}
Obsoletes:      kjs < 5.113.0


%description
KDE Frameworks 5 Tier 2 functional module with JavaScript interpret.

%files
%_kf5_bindir/kjs5
%_kf5_mandir/man1/kjs5.1.*
%_kf5_mandir/*/man1/kjs5.1.*

#--------------------------------------------------------------------

%define kf5js_major 5
%define libkf5js %mklibname kf5js %{kf5js_major}

%package -n %libkf5js
Summary:        KDE Frameworks 5 Tier 2 functional module with JavaScript interpret
Group:          System/Libraries

%description -n %libkf5js
KDE Frameworks 5 Tier 2 functional module with JavaScript interpret.

%files -n %libkf5js
%_kf5_libdir/libKF5JS.so.%{kf5js_major}{,.*}

#--------------------------------------------------------------------

%define kf5jsapi_major 5
%define libkf5jsapi %mklibname kf5jsapi %{kf5jsapi_major}

%package -n %libkf5jsapi
Summary:        KDE Frameworks 5 Tier 2 functional module with JavaScript interpret
Group:          System/Libraries

%description -n %libkf5jsapi
KDE Frameworks 5 Tier 2 functional module with JavaScript interpret.

%files -n %libkf5jsapi
%_kf5_libdir/libKF5JSApi.so.%{kf5js_major}{,.*}

#--------------------------------------------------------------------

%define kjs_devel %mklibname kf5kjs -d

%package -n %kjs_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5js = %version-%release
Requires:       %libkf5jsapi = %version-%release
Provides:       %name-devel = %version-%release
Obsoletes:      %{_lib}kjs-devel < 5.53.0-2

%description -n %kjs_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kjs_devel
%_kf5_includedir/kjs_version.h
%_kf5_includedir/kjs/
%_kf5_includedir/wtf/
%_kf5_libdir/cmake/KF5JS/
%_kf5_libdir/libKF5JS.so
%_kf5_libdir/libKF5JSApi.so
%_kf5_datadir/kf5/kjs/create_hash_table
%_kf5_mkspecsdir/qt_KJS.pri
%_kf5_mkspecsdir/qt_KJSApi.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
