#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kjsembed

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 addon with JS scripting engine
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/portingAids/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Svg)

BuildRequires:  cmake(KF5Archive) >= %version
BuildRequires:  cmake(KF5JS) >= %version
BuildRequires:  cmake(KF5I18n) >= %version
BuildRequires:  cmake(KF5DocTools) >= %version

Provides:       %{framework} = %{version}-%{release}
Obsoletes:      kjsembed < 5.113.0


%description
KDE Frameworks 5 Tier 3 addon with JS scripting engine.

%files -f kjsembed5.lang
%_kf5_bindir/kjscmd5
%_kf5_bindir/kjsconsole
%_kf5_mandir/man1/kjscmd5.1.*
%_kf5_mandir/*/man1/kjscmd5.1.*

#--------------------------------------------------------------------

%define kf5jsembed_major 5
%define libkf5jsembed %mklibname kf5jsembed %{kf5jsembed_major}

%package -n %libkf5jsembed
Summary:        KDE Frameworks 5 Tier 3 addon with JS scripting engine
Group:          System/Libraries

%description -n %libkf5jsembed
KDE Frameworks 5 Tier 3 addon with JS scripting engine.

%files -n %libkf5jsembed
%_kf5_libdir/libKF5JsEmbed.so.%{kf5jsembed_major}{,.*}

#--------------------------------------------------------------------

%define kf5jsembed_devel %mklibname kf5jsembed -d

%package -n %kf5jsembed_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5jsembed = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5jsembed_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5jsembed_devel
%_kf5_includedir/KJsEmbed/
%_kf5_libdir/cmake/KF5JsEmbed/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang kjsembed5
