#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kmediaplayer

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 module with interface for media player features
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/portingAids/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Concurrent)

BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5TextWidgets)

Provides:       %{framework} = %{version}-%{release}
Obsoletes:      kmediaplayer < 5.113.0


%description
KDE Frameworks 5 Tier 3 module with interface for media player features.

%files
%_kf5_servicetypes/*.desktop

#--------------------------------------------------------------------

%define kf5mediaplayer_major 5
%define libkf5mediaplayer %mklibname kf5mediaplayer %{kf5mediaplayer_major}

%package -n %libkf5mediaplayer
Summary:        KDE Frameworks 5 Tier 3 module with interface for media player features
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf5mediaplayer
KDE Frameworks 5 Tier 3 module with interface for media player features.

%files -n %libkf5mediaplayer
%_kf5_libdir/libKF5MediaPlayer.so.%{kf5mediaplayer_major}{,.*}

#--------------------------------------------------------------------

%define kf5mediaplayer_devel %mklibname kf5mediaplayer -d

%package -n %kf5mediaplayer_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5mediaplayer = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5mediaplayer_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5mediaplayer_devel
%_kf5_includedir/KMediaPlayer/
%_kf5_libdir/cmake/KF5MediaPlayer/
%_kf5_libdir/*.so
%_kf5_datadir/dbus-1/interfaces/kf5_org.kde.KMediaPlayer.xml

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

