#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework knewstuff

%define rel 2

Summary:        KDE Frameworks 5 Tier 3 module for downloading application assets
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5UiPlugin)

BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5KIO) >= %version
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(KF5Package)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5Attica)
BuildRequires:  cmake(KF5Kirigami2)
BuildRequires:  cmake(KF5Syndication)

Requires:       kf5-kirigami2

Conflicts:      %{framework} < 5.245.0


%description
KDE Frameworks 5 Tier 3 module for downloading application assets.

%files -f %{framework}5.lang
%_kf5_categoriesdir/knewstuff.*categories
%_kf5_bindir/knewstuff-dialog
%_kf5_datadir/kf5/kmoretools
%_kf5_qmldir/org/kde/newstuff
%_qt5_plugindir/designer/knewstuffwidgets.so
%_kf5_datadir/applications/org.kde.knewstuff-dialog.desktop

#--------------------------------------------------------------------

%define kf5newstuff_major 5
%define libkf5newstuff %mklibname kf5newstuff %{kf5newstuff_major}

%package -n %libkf5newstuff
Summary:        KDE Frameworks 5 Tier 3 module for downloading application assets
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf5newstuff
KDE Frameworks 5 Tier 3 module for downloading application assets.

%files -n %libkf5newstuff
%_kf5_libdir/libKF5NewStuff.so.%{kf5newstuff_major}{,.*}

#--------------------------------------------------------------------

%define kf5newstuffcore_major 5
%define libkf5newstuffcore %mklibname kf5newstuffcore %{kf5newstuffcore_major}

%package -n %libkf5newstuffcore
Summary:        KDE Frameworks 5 Tier 3 module for downloading application assets
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf5newstuffcore
KDE Frameworks 5 Tier 3 module for downloading application assets.

%files -n %libkf5newstuffcore
%_kf5_libdir/libKF5NewStuffCore.so.%{kf5newstuffcore_major}{,.*}

#--------------------------------------------------------------------

%define kf5newstuffwidgets_major 5
%define libkf5newstuffwidgets %mklibname kf5newstuffwidgets %{kf5newstuffwidgets_major}

%package -n %libkf5newstuffwidgets
Summary:        KDE Frameworks 5 Tier 3 module for downloading application assets
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf5newstuffwidgets
KDE Frameworks 5 Tier 3 module for downloading application assets.

%files -n %libkf5newstuffwidgets
%_kf5_libdir/libKF5NewStuffWidgets.so.%{kf5newstuffwidgets_major}{,.*}

#--------------------------------------------------------------------

%define kf5newstuff_devel %mklibname kf5newstuff -d

%package -n %kf5newstuff_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5newstuff = %version-%release
Requires:       %libkf5newstuffwidgets = %version-%release
Requires:	%libkf5newstuffcore = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5newstuff_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5newstuff_devel
%_kf5_includedir/KNewStuff3/
%_kf5_includedir/KMoreTools/
%_kf5_libdir/cmake/KF5NewStuff/
%_kf5_libdir/cmake/KF5NewStuffCore/
%_kf5_libdir/cmake/KF5NewStuffQuick/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %{framework}5

