#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version}|cut -d. -f1,2)
%define framework knotifications

%define rel 1

Summary:        KDE Frameworks 5 Tier 2 solution for notifications
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5TextToSpeech)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Qml)

BuildRequires:  cmake(KF5WindowSystem) >= %version
BuildRequires:  cmake(KF5Config) >= %version
BuildRequires:  cmake(KF5Codecs) >= %version
BuildRequires:  cmake(KF5CoreAddons) >= %version

BuildRequires:  pkgconfig(phonon4qt5)
BuildRequires:  pkgconfig(dbusmenu-qt5)
BuildRequires:  pkgconfig(libcanberra)

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 2 solution for notifications.

%files -f %{framework}5_qt.lang
%_kf5_categoriesdir/knotifications.*categories
%_qt5_qmldir/org/kde/notification/

#--------------------------------------------------------------------

%define kf5notifications_major 5
%define libkf5notifications %mklibname kf5notifications %{kf5notifications_major}

%package -n %libkf5notifications
Summary:        KDE Frameworks 5 Tier 2 solution for notifications
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkf5notifications
KDE Frameworks 5 Tier 2 solution for notifications.

%files -n %libkf5notifications
%_kf5_libdir/libKF5Notifications.so.%{kf5notifications_major}{,.*}

#--------------------------------------------------------------------

%define kf5notifications_devel %mklibname kf5notifications -d

%package -n %kf5notifications_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5notifications = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5notifications_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5notifications_devel
%_kf5_includedir/KNotifications/
%_kf5_libdir/cmake/KF5Notifications/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri
%_kf5_datadir/dbus-1/interfaces/*.xml

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang_kf5 %{framework}5_qt
