#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework knotifyconfig

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 module for KNotify configuration
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(phonon4qt5)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  cmake(KF5Completion) >= %version
BuildRequires:  cmake(KF5Config) >= %version
BuildRequires:  cmake(KF5I18n) >= %version
BuildRequires:  cmake(KF5KIO) >= %version
BuildRequires:  cmake(KF5Service) >= %version
BuildRequires:  cmake(KF5Notifications) >= %version

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 3 module for KNotify configuration.

%files -f knotifyconfig5.lang
%_kf5_categoriesdir/knotifyconfig.*categories

#--------------------------------------------------------------------

%define kf5notifyconfig_major 5
%define libkf5notifyconfig %mklibname kf5notifyconfig %{kf5notifyconfig_major}

%package -n %libkf5notifyconfig
Summary:        KDE Frameworks 5 Tier 3 module for KNotify configuration
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf5notifyconfig
KDE Frameworks 5 Tier 3 module for KNotify configuration

%files -n %libkf5notifyconfig
%_kf5_libdir/libKF5NotifyConfig.so.%{kf5notifyconfig_major}{,.*}

#--------------------------------------------------------------------

%define kf5notifyconfig_devel %mklibname kf5notifyconfig -d

%package -n %kf5notifyconfig_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5notifyconfig = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5notifyconfig_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5notifyconfig_devel
%_kf5_includedir/KNotifyConfig/
%_kf5_libdir/cmake/KF5NotifyConfig/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang knotifyconfig5
