#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kpackage

%define rel 1

Summary:        KDE Frameworks 5 Tier 2 library to load and install packages as plugins
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  cmake(KF5I18n) >= %version
BuildRequires:  cmake(KF5Config) >= %version
BuildRequires:  cmake(KF5Archive) >= %version
BuildRequires:  cmake(KF5DocTools) >= %version
BuildRequires:  cmake(KF5CoreAddons) >= %version

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 2 library to load and install non-binary packages as
if they were plugins.

%files -f lib%{framework}5.lang
%_kf5_categoriesdir/kpackage.*categories
%_kf5_bindir/kpackagetool5
%_kf5_datadir/kservicetypes5/kpackage-packagestructure.desktop
%_kf5_datadir/kservicetypes5/kpackage-generic.desktop
%_kf5_datadir/kservicetypes5/kpackage-genericqml.desktop
%_kf5_mandir/*/man?/*
%_kf5_mandir/man1/kpackagetool5.1.*

#--------------------------------------------------------------------

%define kf5package_major 5
%define libkf5package %mklibname kf5package %{kf5package_major}

%package -n %libkf5package
Summary:        KDE Frameworks 5 Tier 2 library to load and install packages as plugins
Group:          System/Libraries
Recommends:     %{name} >= %version-%release

%description -n %libkf5package
KDE Frameworks 5 Tier 2 library to load and install non-binary packages as
if they were plugins.

%files -n %libkf5package
%_kf5_libdir/libKF5Package.so.%{kf5package_major}{,.*}

#--------------------------------------------------------------------

%define kf5package_devel %mklibname kf5package -d

%package -n %kf5package_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5package = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5package_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5package_devel
%_kf5_includedir/KPackage/
%_kf5_libdir/cmake/KF5Package/
%_kf5_libdir/*.so

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_kf5_sysconfdir"
%cmake_build

%install
%cmake_install
%find_lang lib%{framework}5

