#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kparts

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 solution for KParts
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5DBus)

BuildRequires:  cmake(KF5Config) >= %version
BuildRequires:  cmake(KF5CoreAddons) >= %version
BuildRequires:  cmake(KF5I18n) >= %version
BuildRequires:  cmake(KF5IconThemes) >= %version
BuildRequires:  cmake(KF5KIO) >= %version
BuildRequires:  cmake(KF5JobWidgets) >= %version
BuildRequires:  cmake(KF5Notifications) >= %version
BuildRequires:  cmake(KF5Service) >= %version
BuildRequires:  cmake(KF5TextWidgets) >= %version
BuildRequires:  cmake(KF5WidgetsAddons) >= %version
BuildRequires:  cmake(KF5XmlGui) >= %version

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 3 solution for KParts.

%files -f kparts5.lang
%_kf5_categoriesdir/kparts.categories
%_kf5_servicetypes/*.desktop
%_kf5_datadir/kdevappwizard/templates/kpartsapp.tar.bz2

#--------------------------------------------------------------------

%define kf5parts_major 5
%define libkf5parts %mklibname kf5parts %{kf5parts_major}

%package -n %libkf5parts
Summary:        KDE Frameworks 5 Tier 3 solution for KParts
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf5parts
KDE Frameworks 5 Tier 3 solution for KParts.

%files -n %libkf5parts
%_kf5_libdir/libKF5Parts.so.%{kf5parts_major}{,.*}

#--------------------------------------------------------------------

%define kf5parts_devel %mklibname kf5parts -d

%package -n %kf5parts_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5parts = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

Requires:       cmake(KF5TextWidgets) >= %version

%description -n %kf5parts_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5parts_devel
%_kf5_includedir/KParts/
%_kf5_libdir/cmake/KF5Parts/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang kparts5
