#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kpeople

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 library for contact and people aggregation
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  cmake(KF5CoreAddons) >= %version
BuildRequires:  cmake(KF5WidgetsAddons) >= %version
BuildRequires:  cmake(KF5I18n) >= %version
BuildRequires:  cmake(KF5ItemViews) >= %version
BuildRequires:  cmake(KF5Service) >= %version

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 3 library for contact and people aggregation.

%files -f %{framework}5.lang
%_kf5_categoriesdir/kpeople.*categories
%_kf5_qmldir/org/kde/people

#--------------------------------------------------------------------

%define kf5people_major 5
%define libkf5people %mklibname kf5people %{kf5people_major}

%package -n %libkf5people
Summary:        KDE Frameworks 5 Tier 3 library for contact and people aggregation
Group:          System/Libraries
Requires:       %{name} >= %version-%release

%description -n %libkf5people
KDE Frameworks 5 Tier 3 library for contact and people aggregation.

%files -n %libkf5people
%_kf5_libdir/libKF5People.so.%{kf5people_major}{,.*}

#--------------------------------------------------------------------

%define kf5peoplebackend_major 5
%define libkf5peoplebackend %mklibname kf5peoplebackend %{kf5peoplebackend_major}

%package -n %libkf5peoplebackend
Summary:        KDE Frameworks 5 Tier 3 library for contact and people aggregation
Group:          System/Libraries

%description -n %libkf5peoplebackend
KDE Frameworks 5 Tier 3 library for contact and people aggregation.

%files -n %libkf5peoplebackend
%_kf5_libdir/libKF5PeopleBackend.so.%{kf5peoplebackend_major}{,.*}

#--------------------------------------------------------------------

%define kf5peoplewidgets_major 5
%define libkf5peoplewidgets %mklibname kf5peoplewidgets %{kf5peoplewidgets_major}

%package -n %libkf5peoplewidgets
Summary:        KDE Frameworks 5 Tier 3 library for contact and people aggregation
Group:          System/Libraries

%description -n %libkf5peoplewidgets
KDE Frameworks 5 Tier 3 library for contact and people aggregation.

%files -n %libkf5peoplewidgets
%_kf5_libdir/libKF5PeopleWidgets.so.%{kf5peoplewidgets_major}{,.*}

#--------------------------------------------------------------------

%define kf5people_devel %mklibname kf5people -d

%package -n %kf5people_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5people = %version-%release
Requires:       %libkf5peoplebackend = %version-%release
Requires:       %libkf5peoplewidgets = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5people_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5people_devel
%_kf5_includedir/KPeople/
%_kf5_libdir/cmake/KF5People/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %{framework}5 --all-name

