#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kpty

%define rel 1

Summary:        KDE Frameworks 5 Tier 2 module providing Pty abstraction
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  cmake(KF5CoreAddons) >= %version
BuildRequires:  cmake(KF5I18n) >= %version

# runtime calls %%{_libexecdir}/utempter/utempter
BuildRequires:  libutempter

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 2 module providing Pty abstraction.

%files -f kpty5.lang
%_kf5_categoriesdir/kpty.*categories

#--------------------------------------------------------------------

%define kf5pty_major 5
%define libkf5pty %mklibname kf5pty %{kf5pty_major}

%package -n %libkf5pty
Summary:        KDE Frameworks 5 Tier 2 module providing Pty abstraction
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkf5pty
KDE Frameworks 5 Tier 2 module providing Pty abstraction.

%files -n %libkf5pty
%_kf5_libdir/libKF5Pty.so.%{kf5pty_major}{,.*}

#--------------------------------------------------------------------

%define kf5pty_devel %mklibname kf5pty -d

%package -n %kf5pty_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5pty = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5pty_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5pty_devel
%_kf5_includedir/KPty/
%_kf5_libdir/cmake/KF5Pty/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5 -DUTEMPTER_EXECUTABLE:PATH=%{_libexecdir}/utempter/utempter
%cmake_build

%install
%cmake_install
%find_lang %{framework}5
