#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kquickcharts

%define rel 1

Summary:        A QtQuick plugin providing high-performance charts
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5QuickControls2)
BuildRequires:  pkgconfig(Qt5Widgets)

Conflicts:      %{framework} < 5.113.0


%description
The Quick Charts module provides a set of charts that can be used
from QtQuick applications. They are intended to be used for both
simple display of data as well as continuous display of high-volume
data (often referred to as plotters). The charts use a system called
distance fields for their accelerated rendering, which provides ways
of using the GPU for rendering 2D shapes without loss of quality.

%files
%_kf5_categoriesdir/kquickcharts.*categories
%_kf5_qmldir/org/kde/quickcharts/

#--------------------------------------------------------------------

%define kf5quickcharts_devel %mklibname kf5quickcharts -d

%package -n %kf5quickcharts_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5quickcharts_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5quickcharts_devel
%_kf5_libdir/cmake/KF5QuickCharts/

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
