#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kross

%define rel 2

Summary:        KDE Frameworks 5 Tier 3 solution for application scripting
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/portingAids/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5KIO) >= %version
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5TextWidgets)

Obsoletes:      kross < 5.114.0-2
Provides:       %{framework} = %{version}-%{release}


%description
KDE Frameworks 5 Tier 3 solution for application scripting.

%files -f %{framework}5.lang
%_kf5_bindir/kf5kross
%_qt5_plugindir/krossmoduleforms.so
%_qt5_plugindir/krossmodulekdetranslation.so
%_qt5_plugindir/krossqts.so
%_qt5_plugindir/script/krossqtsplugin.so
%_kf5_mandir/man1/kf5kross.1.*
%_kf5_mandir/*/man1/kf5kross.1.*

#--------------------------------------------------------------------

%define kf5krosscore_major 5
%define libkf5krosscore %mklibname kf5krosscore %{kf5krosscore_major}

%package -n %libkf5krosscore
Summary:        KDE Frameworks 5 Tier 3 solution for application scripting
Group:          System/Libraries
Recommends:     %{name} >= %version-%release

%description -n %libkf5krosscore
KDE Frameworks 5 Tier 3 solution for application scripting.

%files -n %libkf5krosscore
%_kf5_libdir/libKF5KrossCore.so.%{kf5krosscore_major}{,.*}

#--------------------------------------------------------------------

%define kf5krossui_major 5
%define libkf5krossui %mklibname kf5krossui %{kf5krossui_major}

%package -n %libkf5krossui
Summary:        KDE Frameworks 5 Tier 3 solution for application scripting
Group:          System/Libraries
Recommends:     %{name} >= %version-%release

%description -n %libkf5krossui
KDE Frameworks 5 Tier 3 solution for application scripting.

%files -n %libkf5krossui
%_kf5_libdir/libKF5KrossUi.so.%{kf5krossui_major}{,.*}

#--------------------------------------------------------------------

%define kf5kross_devel %mklibname kf5kross -d

%package -n %kf5kross_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5krosscore = %version-%release
Requires:       %libkf5krossui = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5kross_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5kross_devel
%_kf5_includedir/KrossCore/
%_kf5_includedir/KrossUi/
%_kf5_includedir/kross_version.h
%_kf5_libdir/cmake/KF5Kross/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %{framework}5
