#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version}|cut -d. -f1,2)
%define framework krunner

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 solution with parallelized query system
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

# upstream patches

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)

BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5Plasma) >= %version
BuildRequires:  cmake(KF5Solid)
BuildRequires:  cmake(KF5ThreadWeaver)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5Activities) >= %version

Conflicts:      %{framework} < 5.113.0


%description
KRunner provides a parallelized query system extendable via plugins.

%files
%_kf5_categoriesdir/krunner.*categories
%_kf5_qmldir/org/kde/runnermodel
%_kf5_servicetypes/plasma-runner.desktop
%_kf5_datadir/dbus-1/interfaces/kf5_org.kde.krunner1.xml
%_kf5_datadir/kdevappwizard/templates/runner.tar.bz2
%_kf5_datadir/kdevappwizard/templates/runnerpython.tar.bz2

#--------------------------------------------------------------------

%define kf5runner_major 5
%define libkf5runner %mklibname kf5runner %{kf5runner_major}

%package -n %libkf5runner
Summary:        KDE Frameworks 5 Tier 3 solution with parallelized query system
Group:          System/Libraries
Recommends:     %{name} >= %version-%release

%description -n %libkf5runner
KRunner provides a parallelized query system extendable via plugins.

%files -n %libkf5runner
%_kf5_libdir/libKF5Runner.so.%{kf5runner_major}{,.*}

#--------------------------------------------------------------------

%define kf5runner_devel %mklibname kf5runner -d

%package -n %kf5runner_devel
Summary:        Devel stuff for %framework
Group:          Development/KDE and Qt
Requires:       %libkf5runner = %version-%release
Provides:       %name-devel = %{version}-%{release}
Provides:       kf5-krunner-devel = %{version}-%{release}

%description -n %kf5runner_devel
This package contains header files needed if you wish to build applications
based on %framework.

%files -n %kf5runner_devel
%_kf5_libdir/libKF5Runner.so
%_kf5_libdir/cmake/KF5Runner/
%_kf5_includedir/KRunner/
%_kf5_mkspecsdir/qt_KRunner.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

