#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kservice

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 solution for working with .desktop files
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz
Patch0:         kservice-5.51.0-add-kde-menu.patch

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  cmake(KF5Crash) >= %version
BuildRequires:  cmake(KF5Config) >= %version
BuildRequires:  cmake(KF5DBusAddons) >= %version
BuildRequires:  cmake(KF5I18n) >= %version
BuildRequires:  cmake(KF5DocTools) >= %version
BuildRequires:  cmake(KF5Archive) >= %version

BuildRequires:  flex
BuildRequires:  bison

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 3 solution for working with .desktop files.

%files -f %{framework}5.lang
%_kf5_bindir/kbuildsycoca5
%dir %_kf5_sysconfdir/xdg/kf5/
%dir %_kf5_sysconfdir/xdg/kf5/menus/
%_kf5_sysconfdir/xdg/kf5/menus/applications.menu
%_kf5_categoriesdir/kservice.*categories
%_kf5_servicetypes/application.desktop
%_kf5_servicetypes/kplugininfo.desktop
%_kf5_mandir/man?/*
%_kf5_mandir/*/man?/*

#--------------------------------------------------------------------

%define kf5service_major 5
%define libkf5service %mklibname kf5service %{kf5service_major}

%package -n %libkf5service
Summary:        KDE Frameworks 5 Tier 3 solution for working with .desktop files
Group:          System/Libraries

%description -n %libkf5service
KDE Frameworks 5 Tier 3 solution for working with .desktop files.

%files -n %libkf5service
%_kf5_libdir/libKF5Service.so.%{kf5service_major}{,.*}

#--------------------------------------------------------------------

%define kf5service_devel %mklibname kf5service -d

%package -n %kf5service_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5service = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5service_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5service_devel
%_kf5_includedir/KService/
%_kf5_libdir/cmake/KF5Service/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_kf5_sysconfdir"
%cmake_build

%install
%cmake_install
%find_lang %{framework}5

