#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define min_version %(echo %{version}|cut -d. -f1,2)

%define framework ktexteditor

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 with advanced embeddable text editor
Epoch:          2
Name:           kf5-%{framework}
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5XmlPatterns)

BuildRequires:  cmake(KF5Archive) >= %min_version
BuildRequires:  cmake(KF5Config) >= %min_version
BuildRequires:  cmake(KF5GuiAddons) >= %min_version
BuildRequires:  cmake(KF5I18n) >= %min_version
BuildRequires:  cmake(KF5KIO) >= %min_version
BuildRequires:  cmake(KF5Parts) >= %min_version
BuildRequires:  cmake(KF5Sonnet) >= %min_version
BuildRequires:  cmake(KF5IconThemes) >= %min_version
BuildRequires:  cmake(KF5SyntaxHighlighting) >= %min_version
BuildRequires:  cmake(KF5TextWidgets) >= %min_version

# OPTIONAL packages
BuildRequires:  pkgconfig(libgit2)
BuildRequires:  editorconfig-devel

Conflicts:      %{framework} < 2:5.113.0


%description
KDE Frameworks 5 Tier 3 with advanced embeddable text editor.

%files -f ktexteditor5.lang
%{_kf5_categoriesdir}/ktexteditor.*categories
%{_kf5_plugindir}/parts/katepart.so
%{_kf5_services}/katepart.desktop
%{_kf5_servicetypes}/*.desktop
%{_kf5_datadir}/katepart5/script
%{_kf5_datadir}/dbus-1/system.d/org.kde.ktexteditor.katetextbuffer.conf
%{_libexecdir}/kauth/kauth_ktexteditor_helper
%{_kf5_datadir}/dbus-1/system-services/org.kde.ktexteditor.katetextbuffer.service
%{_kf5_datadir}/polkit-1/actions/org.kde.ktexteditor.katetextbuffer.policy
%{_kf5_datadir}/kdevappwizard/templates/ktexteditor-plugin.tar.bz2

#--------------------------------------------------------------------

%define kf5texteditor_major 5
%define libkf5texteditor %mklibname kf5texteditor %{kf5texteditor_major}

%package -n %libkf5texteditor
Summary:        KDE Frameworks 5 Tier 3 with advanced embeddable text editor
Group:          System/Libraries

%description -n %libkf5texteditor
KDE Frameworks 5 Tier 3 with advanced embeddable text editor.

%files -n %libkf5texteditor
%{_kf5_libdir}/libKF5TextEditor.so.%{kf5texteditor_major}{,.*}

#--------------------------------------------------------------------

%define kf5texteditor_devel %mklibname kf5texteditor -d

%package -n %kf5texteditor_devel
Summary:        Devel stuff for %framework
Group:          Development/KDE and Qt
Requires:       %libkf5texteditor = %epoch:%version-%release
Requires:       %name = %epoch:%version-%release
Provides:       %framework-devel = %epoch:%{version}-%{release}

%description -n %kf5texteditor_devel
This package contains header files needed if you wish to build applications
based on %framework.

%files -n %kf5texteditor_devel
%{_kf5_libdir}/libKF5TextEditor.so
%{_kf5_libdir}/cmake/KF5TextEditor/
%{_kf5_includedir}/KTextEditor/
%{_kf5_mkspecsdir}/qt_KTextEditor.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %{framework}5

