#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework ktextwidgets

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 addon with text widgets
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5TextToSpeech)
BuildRequires:  pkgconfig(Qt5UiPlugin)

BuildRequires:  cmake(KF5Config) >= %version
BuildRequires:  cmake(KF5CoreAddons) >= %version
BuildRequires:  cmake(KF5Auth) >= %version
BuildRequires:  cmake(KF5Codecs) >= %version
BuildRequires:  cmake(KF5GuiAddons) >= %version
BuildRequires:  cmake(KF5ConfigWidgets) >= %version
BuildRequires:  cmake(KF5I18n) >= %version
BuildRequires:  cmake(KF5ItemViews) >= %version
BuildRequires:  cmake(KF5IconThemes) >= %version
BuildRequires:  cmake(KF5DBusAddons) >= %version
BuildRequires:  cmake(KF5Service) >= %version
BuildRequires:  cmake(KF5WidgetsAddons) >= %version
BuildRequires:  cmake(KF5WindowSystem) >= %version
BuildRequires:  cmake(KF5Completion) >= %version
BuildRequires:  cmake(KF5Sonnet) >= %version

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 3 addon with text widgets.

%files -f %{framework}5.lang
%_qt5_plugindir/designer/*.so

#--------------------------------------------------------------------

%define kf5textwidgets_major 5
%define libkf5textwidgets %mklibname kf5textwidgets %{kf5textwidgets_major}

%package -n %libkf5textwidgets
Summary:        KDE Frameworks 5 Tier 3 addon with text widgets
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf5textwidgets
KDE Frameworks 5 Tier 3 addon with text widgets.

%files -n %libkf5textwidgets
%_kf5_libdir/libKF5TextWidgets.so.%{kf5textwidgets_major}{,.*}

#--------------------------------------------------------------------

%define kf5textwidgets_devel %mklibname kf5textwidgets -d

%package -n %kf5textwidgets_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5textwidgets = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5textwidgets_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5textwidgets_devel
%_kf5_includedir/KTextWidgets/
%_kf5_libdir/cmake/KF5TextWidgets/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %{framework}5

