#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kunitconversion

%define rel 1

Summary:        KDE Frameworks 5 Tier 2 addon for unit conversion
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  cmake(KF5I18n) >= %version
BuildRequires:  cmake(KF5Config) >= %version

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 2 addon for unit conversion.

%files -f kunitconversion5.lang
%_kf5_categoriesdir/kunitconversion.categories

#--------------------------------------------------------------------

%define kf5unitconversion_major 5
%define libkf5unitconversion %mklibname kf5unitconversion %{kf5unitconversion_major}

%package -n %libkf5unitconversion
Summary:        KDE Frameworks 5 Tier 2 addon for unit conversion
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf5unitconversion
KDE Frameworks 5 Tier 2 addon for unit conversion.

%files -n %libkf5unitconversion
%_kf5_libdir/libKF5UnitConversion.so.%{kf5unitconversion_major}{,.*}

#--------------------------------------------------------------------

%define kf5unitconversion_devel %mklibname kf5unitconversion -d

%package -n %kf5unitconversion_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5unitconversion = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5unitconversion_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5unitconversion_devel
%_kf5_includedir/KUnitConversion/
%_kf5_libdir/cmake/KF5UnitConversion/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang kunitconversion5

