#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%if 0%{?mageia} >= 10
%bcond_without kf6_compat
%endif

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kwallet

%define rel 2

Summary:        KDE Frameworks 5 Tier 3 solution for password management
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Xml)

BuildRequires:  cmake(KF5DBusAddons) >= %version
BuildRequires:  cmake(KF5Service) >= %version
BuildRequires:  cmake(KF5WindowSystem) >= %version
BuildRequires:  cmake(KF5Notifications) >= %version
BuildRequires:  cmake(KF5CoreAddons) >= %version
BuildRequires:  cmake(KF5Auth) >= %version
BuildRequires:  cmake(KF5Codecs) >= %version
BuildRequires:  cmake(KF5Config) >= %version
BuildRequires:  cmake(KF5GuiAddons) >= %version
BuildRequires:  cmake(KF5ItemViews) >= %version
BuildRequires:  cmake(KF5IconThemes) >= %version
BuildRequires:  cmake(KF5WidgetsAddons) >= %version
BuildRequires:  cmake(KF5DocTools) >= %version

BuildRequires:  cmake(Qca-qt5)

BuildRequires:  boost-devel
BuildRequires:  gpgme-devel
BuildRequires:  libgcrypt-devel

Requires:       kf5-kauth
Requires:       pinentry-qt5
#Requires:       openssh-askpass-qt5
# mga#32712
Requires:       qca-qt5

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 3 solution for password management.

%files -f %{framework}d5.lang
%_kf5_categoriesdir/kwallet.*categories
%_kf5_bindir/kwalletd5
%if %{without kf6_compat}
%_kf5_bindir/kwallet-query
%_kf5_mandir/man1/kwallet-query.1.*
%endif
%_kf5_datadir/dbus-1/services/org.kde.kwalletd5.service
%_kf5_datadir/dbus-1/interfaces/kf5_org.kde.KWallet.xml
%_kf5_datadir/kservices5/kwalletd5.desktop
%_kf5_applicationdir/org.kde.kwalletd5.desktop
%_kf5_knotificationsdir/kwalletd5.notifyrc

#--------------------------------------------------------------------

%define kf5wallet_major 5
%define libkf5wallet %mklibname kf5wallet %{kf5wallet_major}

%package -n %libkf5wallet
Summary:        KDE Frameworks 5 Tier 3 solution for password management
Group:          System/Libraries

%description -n %libkf5wallet
KDE Frameworks 5 Tier 3 solution for password management.

%files -n %libkf5wallet
%_kf5_libdir/libKF5Wallet.so.%{kf5wallet_major}{,.*}

#--------------------------------------------------------------------

%define kf5walletbackend5_major 5
%define libkf5walletbackend5 %mklibname kf5walletbackend5_ %{kf5walletbackend5_major}

%package -n %libkf5walletbackend5
Summary:        KDE Frameworks 5 Tier 3 solution for password management
Group:          System/Libraries

Obsoletes:      %{_lib}kf5walletbackend55 < 5.113.0

%description -n %libkf5walletbackend5
KDE Frameworks 5 Tier 3 solution for password management.

%files -n %libkf5walletbackend5
%_kf5_libdir/libkwalletbackend5.so.%{kf5walletbackend5_major}{,.*}

#--------------------------------------------------------------------

%define kf5wallet_devel %mklibname kf5wallet -d

%package -n %kf5wallet_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5wallet = %version-%release
Requires:       %libkf5walletbackend5 = %version-%release
Provides:       %name-devel = %{version}-%{release}
Requires:       cmake(KF5Config) = %version
Requires:       cmake(KF5WindowSystem) = %version
Requires:       pkgconfig(Qt5Core)

%description -n %kf5wallet_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5wallet_devel
%_kf5_includedir/KWallet/
%_kf5_libdir/cmake/KF5Wallet/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5 %{?with_kf6_compat:-DBUILD_KWALLET_QUERY=OFF}
%cmake_build

%install
%cmake_install
%find_lang %{framework}d5 --all-name
