#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kwayland

%define rel 1

Summary:        KDE Frameworks 5 Tier 1 library that wraps Client and Server Wayland libraries
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Concurrent)

BuildRequires:  cmake(Qt5XkbCommonSupport)

BuildRequires:  pkgconfig(Qt5WaylandClient)

BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  cmake(PlasmaWaylandProtocols) >= 1.7.0

Obsoletes:      %{framework} < 5.113.0


%description
KWayland provides a Qt-style Client and Server library wrapper for the
Wayland libraries.

%files
%_kf5_categoriesdir/kwayland.*categories
%_libexecdir/org-kde-kf5-kwayland-testserver

#--------------------------------------------------------------------

%define kf5wayland_major 5
%define libkf5wayland %mklibname kf5wayland %{kf5wayland_major}

%package -n %libkf5wayland
Summary:        KDE Frameworks 5 Tier 1 library that wraps Client and Server Wayland libraries
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf5wayland
KWayland provides a Qt-style Client and Server library wrapper for the
Wayland libraries.

%files -n %libkf5wayland
%_kf5_libdir/libKF5WaylandClient.so.%{kf5wayland_major}{,.*}
%_kf5_libdir/libKF5WaylandServer.so.%{kf5wayland_major}{,.*}

#--------------------------------------------------------------------

%define kf5wayland_devel %mklibname kf5wayland -d

%package -n %kf5wayland_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5wayland = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5wayland_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5wayland_devel
%_kf5_includedir/KWayland/
%_kf5_libdir/cmake/KF5Wayland/
%_kf5_libdir/pkgconfig/KF5WaylandClient.pc
%_kf5_mkspecsdir/*.pri
%_kf5_libdir/*.so

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

