#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kwidgetsaddons

%define rel 1

Summary:        KDE Frameworks 5 Tier 1 addon with various classes on top of QtWidgets
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5UiTools)

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 1 addon with various classes on top of QtWidgets.

%files -f %{framework}5_qt.lang
%_kf5_categoriesdir/kwidgetsaddons.*categories
%_kf5_datadir/kf5/kcharselect/kcharselect-data
%_qt5_plugindir/designer/kwidgetsaddons5widgets.so

#--------------------------------------------------------------------

%define kf5widgetsaddons_major 5
%define libkf5widgetsaddons %mklibname kf5widgetsaddons %{kf5widgetsaddons_major}

%package -n %libkf5widgetsaddons
Summary:        KDE Frameworks 5 Tier 1 addon with various classes on top of QtWidgets
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf5widgetsaddons
KDE Frameworks 5 Tier 1 addon with various classes on top of QtWidgets.

%files -n %libkf5widgetsaddons
%_kf5_libdir/libKF5WidgetsAddons.so.%{kf5widgetsaddons_major}{,.*}

#--------------------------------------------------------------------

%define kf5widgetsaddons_devel %mklibname kf5widgetsaddons -d

%package -n %kf5widgetsaddons_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5widgetsaddons = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5widgetsaddons_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5widgetsaddons_devel
%_kf5_includedir/KWidgetsAddons/
%_kf5_libdir/cmake/KF5WidgetsAddons/
%_kf5_libdir/libKF5WidgetsAddons.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang_kf5 %{framework}5_qt
