#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kwindowsystem

%define rel 1

Summary:        KDE Frameworks 5 Tier 1 integration module with classes for windows management
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Help)

BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(xcb-keysyms)

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 1 integration module with classes for windows management.

%files -f %{framework}5_qt.lang
%_kf5_categoriesdir/kwindowsystem.*categories
%_kf5_plugindir/kwindowsystem/

#--------------------------------------------------------------------

%define kf5windowsystem_major 5
%define libkf5windowsystem %mklibname kf5windowsystem %{kf5windowsystem_major}

%package -n %libkf5windowsystem
Summary:        KDE Frameworks 5 Tier 1 integration module with classes for windows management
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkf5windowsystem
KDE Frameworks 5 Tier 1 integration module with classes for windows management.

%files -n %libkf5windowsystem
%_kf5_libdir/libKF5WindowSystem.so.%{kf5windowsystem_major}{,.*}

#--------------------------------------------------------------------

%define kf5windowsystem_devel %mklibname kf5windowsystem -d

%package -n %kf5windowsystem_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5windowsystem = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5windowsystem_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5windowsystem_devel
%_kf5_includedir/KWindowSystem/
%_kf5_libdir/cmake/KF5WindowSystem/
%_kf5_libdir/libKF5WindowSystem.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang_kf5 %{framework}5_qt
