#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kxmlgui

%define rel 2

Summary:        KDE Frameworks 5 Tier 3 solution for generating UI
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5UiPlugin)

BuildRequires:  cmake(KF5GlobalAccel) >= %version
BuildRequires:  cmake(KF5ItemViews) >= %version
BuildRequires:  cmake(KF5Config) >= %version
BuildRequires:  cmake(KF5CoreAddons) >= %version
BuildRequires:  cmake(KF5Auth) >= %version
BuildRequires:  cmake(KF5Codecs) >= %version
BuildRequires:  cmake(KF5GuiAddons) >= %version
BuildRequires:  cmake(KF5ConfigWidgets) >= %version
BuildRequires:  cmake(KF5I18n) >= %version
BuildRequires:  cmake(KF5IconThemes) >= %version
BuildRequires:  cmake(KF5Completion) >= %version
BuildRequires:  cmake(KF5DBusAddons) >= %version
BuildRequires:  cmake(KF5Service) >= %version
BuildRequires:  cmake(KF5Sonnet) >= %version
BuildRequires:  cmake(KF5TextWidgets) >= %version
BuildRequires:  cmake(KF5WidgetsAddons) >= %version
BuildRequires:  cmake(KF5WindowSystem) >= %version
# OPTIONAL packages
BuildRequires:  cmake(KF5Attica) >= %version

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 3 solution for generating UI.

%files -f kxmlgui5.lang
%_kf5_categoriesdir/kxmlgui.*categories
%_kf5_sysconfdir/xdg/ui/ui_standards.rc
%_kf5_libexecdir/ksendbugmail
%_qt5_plugindir/designer/*.so

#--------------------------------------------------------------------

%define kf5xmlgui_major 5
%define libkf5xmlgui %mklibname kf5xmlgui %{kf5xmlgui_major}

%package -n %libkf5xmlgui
Summary:        KDE Frameworks 5 Tier 3 solution for generating UI
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf5xmlgui
KDE Frameworks 5 Tier 3 solution for generating UI.

%files -n %libkf5xmlgui
%_kf5_libdir/libKF5XmlGui.so.%{kf5xmlgui_major}{,.*}

#--------------------------------------------------------------------

%define kf5xmlgui_devel %mklibname kf5xmlgui -d

%package -n %kf5xmlgui_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5xmlgui = %version-%release
Provides:       %name-devel = %{version}-%{release}

Requires:       cmake(KF5Config) >= %version
Requires:       cmake(KF5ConfigWidgets) >= %version
Requires:       cmake(KF5GlobalAccel) >= %version
Requires:       cmake(KF5IconThemes) >= %version
Requires:       cmake(KF5ItemViews) >= %version
Requires:       cmake(KF5TextWidgets) >= %version
Requires:       cmake(KF5WindowSystem) >= %version

%description -n %kf5xmlgui_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5xmlgui_devel
%_kf5_includedir/KXmlGui/
%_kf5_libdir/cmake/KF5XmlGui/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_kf5_sysconfdir"
%cmake_build

%install
%cmake_install
%find_lang kxmlgui5
