#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kxmlrpcclient

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 library for interaction with XML RPC services
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/portingAids/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  cmake(KF5I18n) >= %version
BuildRequires:  cmake(KF5Config) >= %version
BuildRequires:  cmake(KF5Archive) >= %version
BuildRequires:  cmake(KF5DocTools) >= %version

BuildRequires:  cmake(KF5KIO) >= %version
BuildRequires:  cmake(KF5Codecs) >= %version

Provides:       %{framework} = %{version}-%{release}
Obsoletes:      kxmlrpcclient < 5.113.0


%description
KDE Frameworks 5 Tier 3 library for interaction with XML RPC services.

%files -f %name.lang
%_kf5_categoriesdir/kxmlrpcclient.categories
%_kf5_categoriesdir/kxmlrpcclient.renamecategories

#--------------------------------------------------------------------

%define kf5xmlrpcclient_major 5
%define libkf5xmlrpcclient %mklibname kf5xmlrpcclient %{kf5xmlrpcclient_major}

%package -n %libkf5xmlrpcclient
Summary:        KDE Frameworks 5 Tier 3 library for interaction with XML RPC services
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf5xmlrpcclient
KDE Frameworks 5 Tier 3 library for interaction with XML RPC services.

%files -n %libkf5xmlrpcclient
%_kf5_libdir/libKF5XmlRpcClient.so.%{kf5xmlrpcclient_major}{,.*}

#--------------------------------------------------------------------

%define kf5xmlrpcclient_devel %mklibname kf5xmlrpcclient -d

%package -n %kf5xmlrpcclient_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5xmlrpcclient = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5xmlrpcclient_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5xmlrpcclient_devel
%_kf5_includedir/KXmlRpcClient/
%_kf5_libdir/cmake/KF5XmlRpcClient/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/qt_KXmlRpcClient.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %name --all-name
