#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework modemmanager-qt

%define rel 1

Summary:        KDE Frameworks 5 Tier 1 Qt wrapper for ModemManager API
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  pkgconfig(ModemManager)
BuildRequires:  pkgconfig(libnm)

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 1 Qt wrapper for ModemManager API.

%files
%_kf5_categoriesdir/modemmanagerqt.*categories

#--------------------------------------------------------------------

%define kf5modemmanagerqt_major 6
%define libkf5modemmanagerqt %mklibname kf5modemmanagerqt %{kf5modemmanagerqt_major}

%package -n %libkf5modemmanagerqt
Summary:        KDE Frameworks 5 Tier 1 Qt wrapper for ModemManager API
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkf5modemmanagerqt
KDE Frameworks 5 Tier 1 Qt wrapper for ModemManager API.

%files -n %libkf5modemmanagerqt
%_kf5_libdir/libKF5ModemManagerQt.so.%{kf5modemmanagerqt_major}
%_kf5_libdir/libKF5ModemManagerQt.so.%{version}

#--------------------------------------------------------------------

%define modemmanagerqt_devel %mklibname kf5modemmanager-qt -d

%package -n %modemmanagerqt_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5modemmanagerqt = %version-%release
Provides:       %name-devel = %{version}-%{release}

Provides:       %{_lib}plasma5-libnm-qt-devel = %version-%release

%description -n %modemmanagerqt_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %modemmanagerqt_devel
%_kf5_includedir/ModemManagerQt/
%_kf5_libdir/cmake/KF5ModemManagerQt/
%_kf5_libdir/libKF5ModemManagerQt.so

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_kf5_sysconfdir"
%cmake_build

%install
%cmake_install

