#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework networkmanager-qt

%define rel 1

Summary:        KDE Frameworks 5 Tier 1 Qt wrapper for NetworkManager API
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  pkgconfig(libnm)

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 1 Qt wrapper for NetworkManager API.

%files
%_kf5_categoriesdir/networkmanagerqt.*categories

#--------------------------------------------------------------------

%define kf5networkmanagerqt_major 6
%define libkf5networkmanagerqt %mklibname kf5networkmanagerqt %{kf5networkmanagerqt_major}

%package -n %libkf5networkmanagerqt
Summary:        KDE Frameworks 5 Tier 1 Qt wrapper for NetworkManager API
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkf5networkmanagerqt
KDE Frameworks 5 Tier 1 Qt wrapper for NetworkManager API.

%files -n %libkf5networkmanagerqt
%_kf5_libdir/libKF5NetworkManagerQt.so.%{kf5networkmanagerqt_major}
%_kf5_libdir/libKF5NetworkManagerQt.so.%{version}

#--------------------------------------------------------------------

%define networkmanagerqt_devel %mklibname kf5networkmanager-qt -d

%package -n %networkmanagerqt_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5networkmanagerqt = %version-%release
Provides:       %name-devel = %{version}-%{release}

Requires:       pkgconfig(libnm)

Provides:       %{_lib}plasma5-libnm-qt-devel = %version-%release

%description -n %networkmanagerqt_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %networkmanagerqt_devel
%_kf5_includedir/NetworkManagerQt/
%_kf5_libdir/cmake/KF5NetworkManagerQt/
%_kf5_libdir/libKF5NetworkManagerQt.so

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_kf5_sysconfdir"
%cmake_build

%install
%cmake_install

