#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%if 0%{?mageia} >= 10
%bcond_without kf6_compat
%endif

%define url_ver %(echo %{version}|cut -d. -f1,2)
%define min_version %(echo %{version}|cut -d. -f1,2)
%define framework plasma-framework

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 framework with Plasma 2 libraries and runtime components
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz
## Upstream patches

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  qt5platformsupport-devel

BuildRequires:  cmake(KF5Activities) >= %min_version
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5Solid)
BuildRequires:  cmake(KF5Su)
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5GlobalAccel)
BuildRequires:  cmake(KF5GuiAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5KIO) >= %min_version
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5Package)
BuildRequires:  cmake(KF5Kirigami2) >= %min_version
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5Wayland) >= %min_version

BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(sm)

Requires:       kf5-kirigami2

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 3 framework with Plasma 2 libraries and runtime components.

%files -f %{framework}.lang
%_kf5_categoriesdir/plasma-framework.*categories
%_kf5_bindir/plasmapkg2
%_kf5_datadir/plasma
%_kf5_servicetypes/*.desktop
%_kf5_qmldir/org/kde/plasma
%_kf5_mandir/man1/plasmapkg2.1.*
%_kf5_mandir/*/man1/plasmapkg2.1*
%_kf5_qmldir/QtQuick/Controls/Styles/Plasma/
%_kf5_qmldir/QtQuick/Controls.2/Plasma/
%_kf5_qmldir/org/kde/kirigami.2/styles/Plasma/
%_qt5_plugindir/plasma/scriptengines/plasma_appletscript_declarative.so
%_qt5_plugindir/kpackage/packagestructure/*.so
%_qt5_plugindir/kf5/kirigami/KirigamiPlasmaStyle.so
%_kf5_datadir/kdevappwizard/templates

#--------------------------------------------------------------------

%define kf5plasmaquick_major 5
%define libkf5plasmaquick %mklibname kf5plasmaquick %{kf5plasmaquick_major}

%package -n %libkf5plasmaquick
Summary:        KDE Frameworks 5 Tier 3 framework with Plasma 2 libraries and runtime components
Group:          System/Libraries

%description -n %libkf5plasmaquick
KDE Frameworks 5 Tier 3 framework with Plasma 2 libraries and runtime components.

%files -n %libkf5plasmaquick
%_kf5_libdir/libKF5PlasmaQuick.so.%{kf5plasmaquick_major}{,.*}

#--------------------------------------------------------------------

%define kf5plasma_major 5
%define libkf5plasma %mklibname kf5plasma %{kf5plasma_major}

%package -n %libkf5plasma
Summary:        KDE Frameworks 5 Tier 3 framework with Plasma 2 libraries and runtime components
Group:          System/Libraries

%description -n %libkf5plasma
KDE Frameworks 5 Tier 3 framework with Plasma 2 libraries and runtime components.

%files -n %libkf5plasma
%_kf5_libdir/libKF5Plasma.so.%{kf5plasma_major}{,.*}

#--------------------------------------------------------------------

%define kf5plasma_devel %mklibname kf5plasma -d

%package -n %kf5plasma_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5plasmaquick = %version-%release
Requires:       %libkf5plasma = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5plasma_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5plasma_devel
%_kf5_includedir/Plasma/
%_kf5_includedir/plasma/
%_kf5_includedir/PlasmaQuick/
%_kf5_includedir/plasmaquick/
%_kf5_libdir/cmake/KF5Plasma/
%_kf5_libdir/cmake/KF5PlasmaQuick/
%_kf5_libdir/*.so

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5 %{?with_kf6_compat:-DBUILD_DESKTOPTHEMES=OFF}
%cmake_build

%install
%cmake_install
%find_lang %{framework} --all-name
