#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework prison

%define rel 1

Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %{rel}
Summary:        KDE Frameworks 5 Tier 1 barcode abstraction library
Group:          System/Libraries
License:        MIT
URL:            https://projects.kde.org/projects/kdesupport/prison
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5Quick)

BuildRequires:  cmake(ZXing)

BuildRequires:  pkgconfig(libdmtx)
BuildRequires:  pkgconfig(libqrencode)

Conflicts:      %{framework} < 5.113.0


%description
Prison is a Qt-based barcode abstraction layer/library that provides
an uniform access to generation of barcodes with data.

%files
%_kf5_categoriesdir/prison.*categories
%dir %_kf5_qmldir/org/kde/prison
%dir %_kf5_qmldir/org/kde/prison/scanner
%_kf5_qmldir/org/kde/prison/libprisonquickplugin.so
%_kf5_qmldir/org/kde/prison/qmldir
%_kf5_qmldir/org/kde/prison/scanner/libprisonscannerquickplugin.so
%_kf5_qmldir/org/kde/prison/scanner/qmldir

#--------------------------------------------------------------------

%define prison_major 5
%define libkf5prison %mklibname kf5prison %{prison_major}

%package -n %{libkf5prison}
Summary:        KDE Frameworks 5 Tier 1 barcode abstraction Prison library
Group:          System/Libraries
Requires:       %name >= %version-%release

Obsoletes:      %{_lib}kf5kf5-prison5 < 5.113.0-2

%description -n %{libkf5prison}
Library file for %{name}.

Prison is a Qt-based barcode abstraction layer/library that provides
an uniform access to generation of barcodes with data.

%files -n %{libkf5prison}
%{_kf5_libdir}/libKF5Prison.so.%{prison_major}{,.*}

#--------------------------------------------------------------------

%define prisonscanner_major 5
%define libkf5prisonscanner %mklibname kf5prisonscanner %{prisonscanner_major}

%package -n %{libkf5prisonscanner}
Summary:        KDE Frameworks 5 Tier 1 barcode abstraction Prison Scanner library
Group:          System/Libraries
Requires:       %name >= %version-%release

Obsoletes:      %{_lib}kf5kf5-prisonscanner5 < 5.113.0-2

%description -n %{libkf5prisonscanner}
Library file for %{name} scanner.

Prison is a Qt-based barcode abstraction layer/library that provides
an uniform access to generation of barcodes with data.

%files -n %{libkf5prisonscanner}
%{_kf5_libdir}/libKF5PrisonScanner.so.%{prisonscanner_major}{,.*}

#--------------------------------------------------------------------

%define libnamedev %mklibname kf5prison -d

%package -n %{libnamedev}
Summary:        Prison development files
Group:          Development/KDE and Qt
Requires:       %{libkf5prison} >= %{version}-%{release}
Requires:       %{libkf5prisonscanner} >= %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

Obsoletes:      %{_lib}kf5kf5-prison-devel < 5.113.0-2

%description -n %{libnamedev}
Development files for applications that use %{name}.

Prison is a Qt-based barcode abstraction layer/library that provides
an uniform access to generation of barcodes with data.

%files -n %{libnamedev}
%doc README.md
%{_kf5_includedir}/Prison/
%{_kf5_libdir}/libKF5Prison.so
%{_kf5_includedir}/PrisonScanner/
%{_kf5_libdir}/libKF5PrisonScanner.so
%{_kf5_libdir}/cmake/KF5Prison/
%{_kf5_mkspecsdir}/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
