#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version}|cut -d. -f1,2)
%define framework purpose

%define rel 1

Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %{rel}
Summary:        Provides abstractions to get the developer's purposes fulfilled
License:        LGPLv2+
Group:          System/Base
Url:            https://kde.org
Source:         https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz
## Upstream patches

BuildRequires:  kf5-rpm-macros

# Qt5 BuildRequires
BuildRequires:  pkgconfig(Qt5Concurrent) >= 5.2
BuildRequires:  pkgconfig(Qt5Core) >= 5.2
BuildRequires:  pkgconfig(Qt5Qml) >= 5.2
BuildRequires:  pkgconfig(Qt5Gui) >= 5.2
BuildRequires:  pkgconfig(Qt5Test) >= 5.2

# KDE Framework BuildRequires
BuildRequires:  cmake(KF5CoreAddons) >= %version
BuildRequires:  cmake(KF5Config) >= %version
BuildRequires:  cmake(KF5I18n) >= %version
BuildRequires:  cmake(KF5KIO) >= %version
BuildRequires:  cmake(KF5Declarative) >= %version
BuildRequires:  cmake(KF5Notifications) >= %version
BuildRequires:  cmake(KF5Kirigami2) >= %version
BuildRequires:  cmake(KF5Prison)
BuildRequires:  cmake(KAccounts) >= 24.01.85

BuildRequires:  intltool
BuildRequires:  kf5-kdeclarative

Requires:       kf5-kdeclarative
Requires:       kf5-kirigami2
Requires:       kf5-prison

%description
Framework for providing abstractions to get the developer's purposes fulfilled.

%files -f %{name}.lang
%doc README.md
%{_kf5_categoriesdir}/purpose.*categories
%{_kf5_libexecdir}/purposeprocess
%{_kf5_datadir}/%{framework}/
%{_kf5_plugindir}/%{framework}/
%{_kf5_plugindir}/kfileitemaction/sharefileitemaction.so
%{_kf5_qmldir}/org/kde/%{framework}/
%{_kf5_iconsdir}/*/*/*/*
%{_kf5_datadir}/accounts/services/kde/google-youtube.service
%{_kf5_datadir}/accounts/services/kde/nextcloud-upload.service
%exclude %{_kf5_iconsdir}/hicolor/*/actions/kipiplugin_youtube.png

#--------------------------------------------------------------------

%define purpose_major 5
%define libpurpose %mklibname kf5purpose %{purpose_major}

%package -n %libpurpose
Summary:        Provides abstractions to get the developer's purposes fulfilled
Group:          System/Libraries

%description -n %libpurpose
Provides abstractions to get the developer's purposes fulfilled.

%files -n %libpurpose
%{_kf5_libdir}/libKF5Purpose.so.%{purpose_major}{,.*}

#--------------------------------------------------------------------

%define purposewidgets_major 5
%define libpurposewidgets %mklibname kf5purposewidgets %{purposewidgets_major}

%package -n %libpurposewidgets
Summary:        Provides abstractions to get the developer's purposes fulfilled
Group:          System/Libraries

%description -n %libpurposewidgets
Provides abstractions to get the developer's purposes fulfilled.

%files -n %libpurposewidgets
%{_kf5_libdir}/libKF5PurposeWidgets.so.%{purposewidgets_major}{,.*}

#--------------------------------------------------------------------

%define phabricatorhelpers_major 5
%define libphabricatorhelpers %mklibname phabricatorhelpers %{phabricatorhelpers_major}

%package -n %libphabricatorhelpers
Summary:        Provides abstractions to get the developer's purposes fulfilled
Group:          System/Libraries

%description -n %libphabricatorhelpers
Provides abstractions to get the developer's purposes fulfilled.

%files -n %libphabricatorhelpers
%{_kf5_libdir}/libPhabricatorHelpers.so.%{phabricatorhelpers_major}{,.*}

#--------------------------------------------------------------------

%define reviewboardhelpers_major 5
%define libreviewboardhelpers %mklibname reviewboardhelpers %{reviewboardhelpers_major}

%package -n %libreviewboardhelpers
Summary:        Provides abstractions to get the developer's purposes fulfilled
Group:          System/Libraries

%description -n %libreviewboardhelpers
Provides abstractions to get the developer's purposes fulfilled.

%files -n %libreviewboardhelpers
%{_kf5_libdir}/libReviewboardHelpers.so.%{reviewboardhelpers_major}{,.*}

#--------------------------------------------------------------------

%define develname %mklibname kf5purpose -d

%package -n %develname
Summary:        Provides abstractions to get the developer's purposes fulfilled: Build Environment
Group:          Development/KDE and Qt
Requires:       %{libpurpose} = %{version}
Requires:       %{libpurposewidgets} = %{version}
Requires:       %{libphabricatorhelpers} = %{version}
Requires:       %{libreviewboardhelpers} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       libkf5purpose-devel = %{version}-%{release}

%description -n %develname
Framework for providing abstractions to get the developer's purposes fulfilled.
Development files.

%files -n %develname
%{_kf5_libdir}/libKF5Purpose.so
%{_kf5_libdir}/libKF5PurposeWidgets.so
%{_kf5_libdir}/cmake/KF5Purpose/
%{_kf5_libdir}/cmake/KDEExperimentalPurpose/
%{_kf5_includedir}/*

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name
