#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework solid

%define rel 1

Summary:        KDE Frameworks 5 Tier 1 integration module that provides hardware information
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Help)

BuildRequires:  pkgconfig(libplist-2.0)
BuildRequires:  pkgconfig(libimobiledevice-1.0)
BuildRequires:  pkgconfig(udev)

BuildRequires:  flex
BuildRequires:  bison

# runtime dependencies
BuildRequires:  media-player-info
Requires:       media-player-info

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 1 integration module that provides hardware information.

%files -f %{framework}5_qt.lang
%_kf5_categoriesdir/solid.*categories
%_kf5_bindir/solid-hardware5
%_kf5_qmldir/org/kde/solid/

#--------------------------------------------------------------------

%define kf5solid_major 5
%define libkf5solid %mklibname kf5solid %{kf5solid_major}

%package -n %libkf5solid
Summary:        KDE Frameworks 5 Tier 1 integration module that provides hardware information
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkf5solid
KDE Frameworks 5 Tier 1 integration module that provides hardware information.

%files -n %libkf5solid
%_kf5_libdir/libKF5Solid.so.%{kf5solid_major}{,.*}

#--------------------------------------------------------------------

%define kf5solid_devel %mklibname kf5solid -d

%package -n %kf5solid_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5solid = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5solid_devel
This package contains header files needed if you wish to build applications.
based on %name.

%files -n %kf5solid_devel
%_kf5_includedir/Solid/
%_kf5_libdir/cmake/KF5Solid/
%_kf5_libdir/libKF5Solid.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

# do not build the solid-power executable, it conflicts with KF6 Solid
sed -i -e 's/if(WITH_NEW_SOLID_JOB AND WITH_NEW_POWER_ASYNC_API)/if(0)/g' \
  src/tools/CMakeLists.txt

%build
%cmake_kf5 \
	-DWITH_NEW_POWER_ASYNC_API=ON \
	-DWITH_NEW_POWER_ASYNC_FREEDESKTOP=ON \
	-DWITH_NEW_SOLID_JOB=ON
%cmake_build

%install
%cmake_install
%find_lang_kf5 %{framework}5_qt
