#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework sonnet

%define rel 1

Summary:        KDE Frameworks 5 Tier 1 solution for spell checking
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz
Source1:        sonnet-config.desktop
Patch1:         sonnet-config.patch

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5UiPlugin)
BuildRequires:  pkgconfig(Qt5Quick)

BuildRequires:  aspell-devel
BuildRequires:  hspell-devel
BuildRequires:  pkgconfig(hunspell)
BuildRequires:  pkgconfig(libvoikko)

Requires:       hspell

Conflicts:      %{framework} < 5.113.0
Obsoletes:      kf5-sonnet-config < 5.115.0


%description
KDE Frameworks 5 Tier 1 solution for spell checking.

%files -f sonnet5_qt.lang
%_kf5_categoriesdir/sonnet.*categories
%_kf5_bindir/parsetrigrams
%_kf5_bindir/gentrigrams
%_kf5_plugindir/sonnet
%_qt5_plugindir/designer/sonnetui5widgets.so
%_qt5_qml/org/kde/sonnet

#--------------------------------------------------------------------
%if 0
%package config
Summary:        Configuration dialog for Sonnet
Group:          System/Configuration
Requires:       %{name} >= %{version}-%{release}

%description config
Configuration Dialogue for Sonnet.
Sonnet is a plugin-based spell checking library for Qt-based applications.
It supports several different plugins, including HSpell, Enchant,
ASpell and HUNSPELL.
It also supports automated language detection, based on a combination of
different algorithms.

%files config
%{_kf5_bindir}/%{framework}-config
%{_kf5_applicationsdir}/%{framework}-config.desktop
%endif
#--------------------------------------------------------------------

%define kf5sonnetui_major 5
%define libkf5sonnetui %mklibname kf5sonnetui %{kf5sonnetui_major}

%package -n %libkf5sonnetui
Summary:        KDE Frameworks 5 Tier 1 solution for spell checking
Group:          System/Libraries

%description -n %libkf5sonnetui
KDE Frameworks 5 Tier 1 solution for spell checking.

%files -n %libkf5sonnetui
%_kf5_libdir/libKF5SonnetUi.so.%{kf5sonnetui_major}{,.*}

#--------------------------------------------------------------------

%define kf5sonnetcore_major 5
%define libkf5sonnetcore %mklibname kf5sonnetcore %{kf5sonnetcore_major}

%package -n %libkf5sonnetcore
Summary:        KDE Frameworks 5 Tier 1 solution for spell checking
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkf5sonnetcore
KDE Frameworks 5 Tier 1 solution for spell checking.

%files -n %libkf5sonnetcore
%_kf5_libdir/libKF5SonnetCore.so.%{kf5sonnetcore_major}{,.*}

#--------------------------------------------------------------------

%define kf5sonnet_devel %mklibname kf5sonnet -d

%package -n %kf5sonnet_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5sonnetui = %version-%release
Requires:       %libkf5sonnetcore = %version-%release
Requires:       %name = %version-%release

Provides:       %name-devel = %{version}-%{release}

%description -n %kf5sonnet_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5sonnet_devel
%_kf5_includedir/SonnetUi/
%_kf5_includedir/SonnetCore/
%dir %_kf5_includedir/Sonnet
%_kf5_includedir/Sonnet/sonnet_version.h
%_kf5_libdir/cmake/KF5Sonnet/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5 -DBUILD_TESTING=ON \
           -DBUILD_EXAMPLES=OFF
%cmake_build

%install
%cmake_install

%find_lang_kf5 sonnet5_qt

# package manually configdialog tool (needed for LXQt)
#desktop-file-install --mode=0644 --dir=%%{buildroot}%%{_kf5_applicationsdir} %%{SOURCE1}
