#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework syndication

%define rel 1

Summary:        Syndication - an RSS/Atom parser library
Name:           kf5-%framework
Epoch:          1
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)

BuildRequires:  cmake(KF5Codecs) >= 5.12.0

Conflicts:      %{framework} < 1:5.113.0


%description
Syndication - an RSS/Atom parser library.

%files
%_kf5_categoriesdir/syndication.*categories

#--------------------------------------------------------------------

%define kf5syndication_major 5
%define libkf5syndication %mklibname kf5syndication %{kf5syndication_major}

%package -n %libkf5syndication
Summary:      Syndication - an RSS/Atom parser library
Group:        System/Libraries
Requires:     %{name} >= %{epoch}:%{version}-%{release}

%description -n %libkf5syndication
Syndication - an RSS/Atom parser library.

%files -n %libkf5syndication
%_kf5_libdir/libKF5Syndication.so.%{kf5syndication_major}{,.*}

#--------------------------------------------------------------------

%define kf5syndication_devel %mklibname kf5syndication -d

%package -n %kf5syndication_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5syndication = %{epoch}:%version-%release
Provides:       %name-devel = %{epoch}:%{version}-%{release}

%description -n %kf5syndication_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5syndication_devel
%_kf5_includedir/Syndication/
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5Syndication/
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
