#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework syntax-highlighting

%define rel 1

Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %{rel}
Summary:        KDE Frameworks 5 Tier 1 Syntax highlighting Engine for Structured Text and Code
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://kde.org
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5XmlPatterns)
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  cmake(Qt5Quick)

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 1 Syntax highlighting Engine for Structured Text and Code.

%files -f syntaxhighlighting5_qt.lang
%_kf5_categoriesdir/ksyntaxhighlighting.*categories
%_kf5_bindir/kate-syntax-highlighter
%dir %_kf5_qmldir/org/kde/syntaxhighlighting
%_kf5_qmldir/org/kde/syntaxhighlighting/libkquicksyntaxhighlightingplugin.so
%_kf5_qmldir/org/kde/syntaxhighlighting/qmldir

#------------------------------------------------------------------------------

%define syntaxhighlighting_major 5
%define libsyntaxhighlighting %mklibname kf5syntaxhighlighting %syntaxhighlighting_major

%package -n %libsyntaxhighlighting
Summary:        KDE Frameworks 5 Tier 1 Syntax highlighting Engine for Structured Text and Code
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libsyntaxhighlighting
KDE Frameworks 5 Tier 1 Syntax highlighting Engine for Structured Text and Code.

%files -n %libsyntaxhighlighting
%_kf5_libdir/libKF5SyntaxHighlighting.so.%{syntaxhighlighting_major}{,.*}

#------------------------------------------------------------------------------

%define libname %mklibname kf5syntaxhighlighting -d

%package -n %libname
Summary:        Devel packages for %name
Group:          System/Libraries
Requires:       %libsyntaxhighlighting = %version-%release
Provides:       %name-devel = %version-%release

%description -n %libname
Devel packages for %name.

%files -n %libname
%_kf5_includedir/KSyntaxHighlighting/
%_kf5_libdir/cmake/KF5SyntaxHighlighting/
%_kf5_libdir/libKF5SyntaxHighlighting.so
%_kf5_mkspecsdir/qt_KSyntaxHighlighting.pri

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang_kf5 syntaxhighlighting5_qt
