#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework threadweaver

%define rel 1

Summary:        KDE Frameworks 5 Tier 1 addon for advanced thread management
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Xml)

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 1 addon for advanced thread management.

#--------------------------------------------------------------------

%define kf5threadweaver_major 5
%define libkf5threadweaver %mklibname kf5threadweaver %{kf5threadweaver_major}

%package -n %libkf5threadweaver
Summary:        KDE Frameworks 5 Tier 1 addon for advanced thread management
Group:          System/Libraries

%description -n %libkf5threadweaver
KDE Frameworks 5 Tier 1 addon for advanced thread management.

%files -n %libkf5threadweaver
%_kf5_libdir/libKF5ThreadWeaver.so.%{kf5threadweaver_major}{,.*}

#--------------------------------------------------------------------

%define kf5sonnet_devel %mklibname kf5threadweaver -d

%package -n %kf5sonnet_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5threadweaver = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5sonnet_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5sonnet_devel
%_kf5_includedir/ThreadWeaver/
%_kf5_libdir/cmake/KF5ThreadWeaver/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/qt_ThreadWeaver.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

