#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kfilemetadata

%define rel 1

Summary:        A library for extracting file metadata
Name:           %framework
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Codecs)

BuildRequires:  cmake(QMobipocket6)

BuildRequires:  pkgconfig(poppler-qt6)
BuildRequires:  pkgconfig(taglib)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  attr-devel
BuildRequires:  ebook-tools-devel

# runtime dependencies
BuildRequires:  catdoc
Requires:       catdoc

%description
A library for extracting file metadata.

%files -f %{framework}6.lang
%_kf6_categoriesdir/kfilemetadata.*categories
%_kf6_bindir/kfilemetadata_dump6
%_kf6_plugindir/kfilemetadata

#--------------------------------------------------------------------

%define kf6filemetadata_major 3
%define libkf6filemetadata %mklibname kf6filemetadata %{kf6filemetadata_major}

%package -n %libkf6filemetadata
Summary:        A library for extracting file metadata
Group:          System/Libraries
Requires:       %{name} >= %version-%release

%description -n %libkf6filemetadata
A library for extracting file metadata.

%files -n %libkf6filemetadata
%_kf6_libdir/libKF6FileMetaData.so.%{kf6filemetadata_major}
%_kf6_libdir/libKF6FileMetaData.so.%{version}

#--------------------------------------------------------------------

%define kf6filemetadata_devel %mklibname kf6filemetadata -d

%package -n %kf6filemetadata_devel
Summary:        Devel stuff for %framework
Group:          Development/KDE and Qt
Requires:       %libkf6filemetadata = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6filemetadata_devel
This package contains header files needed if you wish to build applications
based on %framework.

%files -n %kf6filemetadata_devel
%_kf6_includedir/KFileMetaData/
%_kf6_libdir/cmake/KF6FileMetaData/
%_kf6_libdir/libKF6FileMetaData.so

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %framework-%version

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang  %{framework}6
