#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kfind
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        KDE file find utility
License:        GPLv2+
Group:          Graphical desktop/KDE
Url:            https://apps.kde.org/kfind/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6FileMetaData)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6DocTools)

Requires:       plasma-workspace
Recommends:     %{name}-handbook


%description
KFind can be used as a standalone search tool, launched by KRunner or from your
menu. It is also integrated into Konqueror and Dolphin as "Find File" in the
"Tools" menu. It allows you to find files by name, type or content.

%files -f %name.lang
%_kf6_categoriesdir/kfind.categories
%_kf6_bindir/%{name}
%_kf6_applicationsdir/org.kde.%{name}.desktop
%_kf6_metainfodir/org.kde.%{name}.appdata.xml
%_kf6_iconsdir/*/*/*/%{name}.*
%_kf6_mandir/man1/%{name}.1.*

#------------------------------------------------------------------------------

%package        handbook
Summary:        Kfind handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} >= %{epoch}:%{version}-%{release}

%description    handbook
This package provides kfind handbook.

%files handbook
%doc %_kf6_docdir/HTML/*/%{name}
%_kf6_mandir/*/man1/kfind.1.*

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6

%cmake_build

%install
%cmake_install
%find_lang %name
