#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kfourinline
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Place 4 pieces in a row
License:        GPLv2 and LGPLv2 and GFDL
Group:          Games/Boards
URL:            https://apps.kde.org/kfourinline/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DNSSD)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(KDEGames6)

Recommends:     kfourinline-handbook


%description
KFourInLine is a board game for two players based on the Connect-Four game.

The players try to build up a row of four pieces using different strategies.

%files -f %name.lang
%_kf6_categoriesdir/kfourinline.*categories
%_kf6_bindir/kfourinline
%_kf6_bindir/kfourinlineproc
%_kf6_applicationsdir/*.desktop
%_kf6_metainfodir/org.kde.kfourinline.appdata.xml
%_kf6_datadir/kfourinline/
%_kf6_iconsdir/hicolor/*/apps/kfourinline.png
%_kf6_datadir/config.kcfg/kwin4.kcfg

#------------------------------------------------------------------------------

%package -n kfourinline-handbook
Summary:        kfourinline handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kfourinline >= %{epoch}:%{version}-%{release}

%description -n kfourinline-handbook
This package provides the kfourinline handbook.

%files -n kfourinline-handbook
%_kf6_docdir/HTML/*/kfourinline/

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name --all-name
