#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kgeography
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        A geography learning program
Group:          Education
License:        GPLv2 and GFDL
URL:            https://apps.kde.org/kgeography/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz
#Branch patches 100->200

#Trunk patches 200->300

#Mageia patches 500->600

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6ItemViews)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DocTools)

Recommends:     kgeography-handbook


%description
KGeography is a geography learning program.

%files -f %name.lang
%_kf6_bindir/kgeography
%_kf6_datadir/kgeography/
%_kf6_iconsdir/*/*/apps/kgeography.*
%_kf6_applicationsdir/*.desktop
%_kf6_metainfodir/org.kde.kgeography.appdata.xml
%_kf6_datadir/config.kcfg/kgeography.kcfg
%_kf6_datadir/locale/*/LC_SCRIPTS/kgeography/

#------------------------------------------------------------------------------

%package handbook
Summary:        Kgeography handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides kgeography handbook.

%files handbook
%doc README COPYING COPYING.DOC AUTHORS
%doc %_kf6_docdir/HTML/*/kgeography

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
