#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kget
Summary:        Versatile and user-friendly download manager
Epoch:          3
Version: 25.04.0
Release:        %mkrel %{rel}
Group:          Networking/File transfer
License:        GPLv2 LGPLv2 GFDL
URL:            https://apps.kde.org/kget/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)

BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6ItemViews)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6NotifyConfig)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6StatusNotifierItem)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6Wallet)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(KTorrent6)

BuildRequires:  cmake(Gpgmepp)
BuildRequires:  cmake(QGpgmeQt6)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(libmms)
BuildRequires:  boost-devel

Recommends:     kget-handbook


%description
KGet is a versatile and user-friendly download manager.
Features:
  - Downloading files from FTP and HTTP(S) sources.
  - Pausing and resuming of downloading files, as well as the ability to restart
    a download.
  - Tells lots of information about current and pending downloads.
  - Embedding into system tray.
  - Integration with the Konqueror web browser.
  - Metalink support which contains multiple URLs for downloads, along with
    checksums and other information.

%files -f %name.lang
%{_kf6_categoriesdir}/kget.categories
%{_kf6_datadir}/dbus-1/services/org.kde.kget.service
%{_kf6_bindir}/kget
%{_qt6_plugindir}/kget/
%{_qt6_plugindir}/kget_kcms/
%{_kf6_applicationsdir}/org.kde.kget.desktop
%{_kf6_datadir}/config.kcfg/kget.kcfg
%{_kf6_datadir}/config.kcfg/kget_checksumsearchfactory.kcfg
%{_kf6_datadir}/config.kcfg/kget_mirrorsearchfactory.kcfg
%{_kf6_datadir}/config.kcfg/kget_mmsfactory.kcfg
%{_kf6_datadir}/config.kcfg/kget_multisegkiofactory.kcfg
%{_kf6_datadir}/icons/*/*/*/*
%{_kf6_datadir}/kget/
%{_kf6_knotificationsdir}/kget.notifyrc
%{_kf6_metainfodir}/org.kde.kget.appdata.xml
%{_kf6_services}/kget_download.desktop

#------------------------------------------------------------------------------

%define major_kgetcore 6
%define libkgetcore %mklibname kgetcore %{major_kgetcore}

%package -n %libkgetcore
Summary:        Runtime library for KGET
Group:          System/Libraries

%description -n %libkgetcore
Runtime library for KGET.

%files -n %libkgetcore
%_kf6_libdir/libkgetcore.so.%{major_kgetcore}{,.*}

#------------------------------------------------------------------------------

%package -n kget-handbook
Summary:        Kget Handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kget >= %{epoch}:%{version}-%{release}

%description -n kget-handbook
This package provides KGET handbook.

%files -n kget-handbook
%doc %{_kf6_docdir}/HTML/*/kget


#------------------------------------------------------------------------------

%package devel
Summary:        Devel stuff for %{name}
Group:          Development/KDE and Qt
Requires:       %libkgetcore = %{epoch}:%{version}

%description  devel
This package contains header files needed if you wish to build applications
based on %{name}.

%files devel
%_kf6_libdir/*.so

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name

