#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 3 integration module for global shortcuts
Name:           kglobalaccel
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Help)

BuildRequires:  cmake(KF6Config) >= %{version}
BuildRequires:  cmake(KF6CoreAddons) >= %{version}
BuildRequires:  cmake(KF6Crash) >= %{version}
BuildRequires:  cmake(KF6DBusAddons) >= %{version}
BuildRequires:  cmake(KF6WindowSystem) >= %{version}

BuildRequires:  cmake(KF6Service) >= %{version}

%description
KDE Frameworks 6 Tier 3 integration module for global shortcuts.

%files -f %{name}6_qt.lang
%_kf6_categoriesdir/kglobalaccel.*categories
%_kf6_datadir/dbus-1/interfaces/kf6_org.kde.KGlobalAccel.xml
%_kf6_datadir/dbus-1/interfaces/kf6_org.kde.kglobalaccel.Component.xml

#--------------------------------------------------------------------

%define kf6globalaccel_major 6
%define libkf6globalaccel %mklibname kf6globalaccel %{kf6globalaccel_major}

%package -n %libkf6globalaccel
Summary:        KDE Frameworks 6 Tier 3 integration module for global shortcuts
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf6globalaccel
KDE Frameworks 6 Tier 3 integration module for global shortcuts.

%files -n %libkf6globalaccel
%_kf6_libdir/libKF6GlobalAccel.so.%{kf6globalaccel_major}{,.*}
%_kf6_libdir/libKF6GlobalAccel.so.%{version}

#--------------------------------------------------------------------

%define kf6globalaccel_devel %mklibname kf6globalaccel -d

%package -n %kf6globalaccel_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6globalaccel = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6globalaccel_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6globalaccel_devel
%_kf6_includedir/KGlobalAccel/
%_kf6_libdir/cmake/KF6GlobalAccel/
%_kf6_libdir/libKF6GlobalAccel.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang_kf6 %{name}6_qt

