#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kglobalacceld
Version: 6.3.4
Release:        %mkrel %rel
Summary:        Daemon providing Global Keyboard Shortcut (Accelerator) functionality
License:        CC0-1.0 LGPL-2.0+ LGPL-2.1 LGPL-3.0
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros
BuildRequires:  doxygen

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBusTools)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6QmlTools)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6GuiTools)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickTest)
BuildRequires:  cmake(Qt6DBusTools)
BuildRequires:  cmake(Qt6ToolsTools)
BuildRequires:  cmake(Qt6)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6GlobalAccel)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6JobWidgets)

BuildRequires:  pkgconfig(x11-xcb)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-keysyms)
BuildRequires:  pkgconfig(xcb-xkb)

%description
Daemon providing Global Keyboard Shortcut (Accelerator) functionality.

%files
%_kf6_sysconfdir/xdg/autostart/kglobalacceld.desktop
%_userunitdir/plasma-kglobalaccel.service
%_qt6_plugindir/org.kde.kglobalacceld.platforms
%_libexecdir/kglobalacceld

#--------------------------------------------------------------------

%define kglobalacceld_major 0
%define libkglobalacceld    %mklibname kglobalacceld %{kglobalacceld_major}

%package -n %{libkglobalacceld}
Summary:        Daemon providing Global Keyboard Shortcut (Accelerator) functionality
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %{libkglobalacceld}
Daemon providing Global Keyboard Shortcut (Accelerator) functionality.

%files -n %{libkglobalacceld}
%_kf6_libdir/libKGlobalAccelD.so.%{kglobalacceld_major}
%_kf6_libdir/libKGlobalAccelD.so.%{version}

#--------------------------------------------------------------------

%define kglobalacceld_devel %mklibname kglobalacceld -d

%package -n %{kglobalacceld_devel}
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %{libkglobalacceld} = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

%description -n %{kglobalacceld_devel}
This package contains header files needed if you wish to build applications
based on %name.

%files -n %{kglobalacceld_devel}
%_includedir/KGlobalAccelD/
#_kf6_libdir/libKGlobalAccelD.so
%_kf6_libdir/cmake/KGlobalAccelD/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DKDE_INSTALL_USE_QT_SYS_PATHS:BOOL=ON
%cmake_build

%install
%cmake_install
