#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kgpg
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Control your GPG keys
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://apps.kde.org/kgpg/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6Codecs)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6JobWidgets)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6Contacts)
BuildRequires:  cmake(KF6StatusNotifierItem)
BuildRequires:  cmake(KF6TextTemplate)

BuildRequires:  cmake(KPim6AkonadiContactWidgets)

BuildRequires:  cmake(Gpgmepp)

Requires:       kde-cli-tools

Recommends:     kgpg-handbook


%description
KGpg is a simple interface for GnuPG, a powerful encryption utility.

%files -f %name.lang
%_kf6_categoriesdir/kgpg.categories
%_kf6_bindir/%{name}
%_kf6_iconsdir/*/*/apps/%{name}.*
%_kf6_iconsdir/*/*/actions/*
%_kf6_iconsdir/*/*/status/*
%_kf6_applicationsdir/org.kde.%{name}.desktop
%_kf6_metainfodir/org.kde.%{name}.appdata.xml
%_kf6_sysconfdir/xdg/autostart/org.kde.%{name}.desktop
%_kf6_datadir/kio/servicemenus/%{name}_*.desktop
%_kf6_datadir/config.kcfg/%{name}.kcfg
%_kf6_datadir/dbus-1/interfaces/org.kde.%{name}.Key.xml

#------------------------------------------------------------------------------

%package -n kgpg-handbook
Summary:        kgpg Handbook
Group:          Documentation
BuildArch:      noarch

%description -n kgpg-handbook
This package provides kgpg Handbook.

%files -n kgpg-handbook
%doc AUTHORS TODO
%_kf6_docdir/HTML/*/%{name}/

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%cmake_install

%find_lang %name
