#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

%define rel 1

Name:		kgraphviewer
Version: 25.04.0
Release:	%mkrel %{rel}
Summary:	A GraphViz dot graph viewer for Plasma
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://apps.kde.org/kgraphviewer/
Source0:	https://download.kde.org/stable/release-service/%{version}/%{name}-%{version}.tar.xz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Widgets)

BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6Parts)
BuildRequires:	cmake(KF6WidgetsAddons)
BuildRequires:	cmake(KF6DocTools)

BuildRequires:	desktop-file-utils
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(libcgraph)

Requires:	graphviz

%description
KGraphViewer is a Graphviz DOT graph file viewer. Graphs are commonly
used in scientific domains and particularly in computer science.

Features:

  o Zooming
  o Threaded loading of several graphs in tabs
  o Saving of the recent files list
  o Manual reload of files
  o Display of a bird-eye view of the graph
  o Moving of the graph by dragging
  o Full featured printing
  o Perfect drawing of all graphviz example graphs
  o Automatically choose dot for directed graphs and neato for undirected
  o Possibility to use an arbitrary layout algo as soon as it produces
    xdot format
  o Automatic reloading with user confirmation of (externally) modified
    files (configurable)
  o Open new instances as new tabs in the old one (configurable)

%files -f %{name}.lang
%{_kf6_categoriesdir}/%{name}.*categories
%{_kf6_bindir}/%{name}
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_datadir}/config.kcfg/*.kcfg
%{_kf6_iconsdir}/hicolor/*/*/%{name}.png
%{_kf6_plugindir}/parts/kgraphviewerpart.so

#----------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n	%{libname}
This package contains shared library for %{name}.

%files -n %{libname}
%{_kf6_libdir}/lib%{name}.so.%{major}
#{_kf6_libdir}/lib%%{name}.so.%%{version}
%{_kf6_libdir}/lib%{name}.so.2*

#----------------------------------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
This package contains development files for %{name}.

%files -n %{devname}
%{_includedir}/%{name}/
%{_kf6_libdir}/libkgraphviewer.so
%{_kf6_libdir}/cmake/KGraphViewerPart/

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html
