#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 1 addon with various classes on top of QtGui
Name:           kguiaddons
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6WaylandClient)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  pkgconfig(x11)

BuildRequires:  cmake(PlasmaWaylandProtocols) >= 1.10.0

%description
KDE Frameworks 6 Tier 1 addon with various classes on top of QtGui.

%files
%_kf6_categoriesdir/kguiaddons.*categories
%_kf6_bindir/kde-geo-uri-handler
%_kf6_applicationdir/google-maps-geo-handler.desktop
%_kf6_applicationdir/openstreetmap-geo-handler.desktop
%_kf6_applicationdir/wheelmap-geo-handler.desktop
%_kf6_qmldir/org/kde/guiaddons/

#--------------------------------------------------------------------

%define kf6guiaddons_major 6
%define libkf6guiaddons %mklibname kf6guiaddons %{kf6guiaddons_major}

%package -n %libkf6guiaddons
Summary:        KDE Frameworks 6 Tier 1 addon with various classes on top of QtGui
Group:          System/Libraries
Recommends:     %{name} >= %{version}-%{release}

%description -n %libkf6guiaddons
KDE Frameworks 6 Tier 1 addon with various classes on top of QtGui.

%files -n %libkf6guiaddons
%_kf6_libdir/libKF6GuiAddons.so.%{kf6guiaddons_major}
%_kf6_libdir/libKF6GuiAddons.so.%{version}

#--------------------------------------------------------------------

%define kf6guiaddons_devel %mklibname kf6guiaddons -d

%package -n %kf6guiaddons_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6guiaddons = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6guiaddons_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6guiaddons_devel
%_kf6_includedir/KGuiAddons/
%_kf6_libdir/cmake/KF6GuiAddons/
%_kf6_libdir/pkgconfig/KF6GuiAddons.pc
%_kf6_libdir/libKF6GuiAddons.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

