#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           khangman
Summary:        Classical hangman game
Version: 25.04.0
Release:        %mkrel %{rel}
Group:          Education
License:        GPLv2
URL:            https://apps.kde.org/khangman/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6QuickWidgets)
BuildRequires:  cmake(Qt6Svg)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  cmake(LibKEduVocDocument)

Requires:       kdeedu-data

Recommends:     %{name}-handbook

#Branch patches 100->200

#Trunk Patches 200->300

#Mageia Patches 500->600

%description
KHangman is the classical hangman game. The child should guess a word
letter by letter. At each miss, the picture of a hangman appears. After
10 tries, if the word is not guessed, the game is over and the answer
is displayed.

%files -f %name.lang
%_kf6_bindir/khangman
%_kf6_datadir/khangman
%_kf6_iconsdir/*/*/apps/khangman.*
%_kf6_applicationsdir/*.desktop
%_kf6_datadir/knsrcfiles/khangman.knsrc
%_kf6_metainfodir/*.xml
%_kf6_datadir/config.kcfg/khangman.kcfg

#------------------------------------------------------------------------------

%package handbook
Summary:        Khangman handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides khangman handbook and mandir.

%files handbook
%doc COPYING COPYING.DOC README
%doc %_kf6_docdir/HTML/*/khangman
%_kf6_mandir/man6/khangman.6.*
%_kf6_mandir/*/man6/khangman.6.*

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name --all-name
