#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

Name:           khealthcertificate
Version: 25.04.0
Release:        %mkrel 1
Summary:        Handling of digital vaccination, test and recovery certificates
Group:          Graphical desktop/KDE
License:        Apache2.0 and BSD and CC-BY-4.0 and CC0-1.0 and EUPL-1.2 and LGPL-2.0 and MIT and W3C-20120513
Url:            https://invent.kde.org/pim/khealthcertificate
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Codecs)
BuildRequires:  cmake(KF6I18n)

BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(zlib)

%description
Handling of digital vaccination, test and recovery certificates.

%files
%license LICENSES/*
%{_kf6_categoriesdir}/org_kde_khealthcertificate.categories
%{_kf6_qmldir}/org/kde/khealthcertificate/

#--------------------------------------------------------------------

%define major   1
%define libname %mklibname khealthcertificate %{major}

%package -n %{libname}
Summary:        The KDE Health Certificate library
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %{libname}
The KDE Health Certificate component library.

%files -n %{libname}
%{_kf6_libdir}/libKHealthCertificate.so.%{major}
%{_kf6_libdir}/libKHealthCertificate.so.%{version}

#--------------------------------------------------------------------

%define develname %mklibname khealthcertificate -d

%package -n %{develname}
Summary:        Development files for khealthcertificate
Group:          Development/KDE and Qt
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains header files needed if you wish to
build applications based on %name.

%files -n %{develname}
%{_includedir}/*
%{_kf6_libdir}/*.so
%{_kf6_libdir}/cmake/KHealthCertificate/

#--------------------------------------------------------------------

%prep
%autosetup

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
