#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Application to show KDE Application's documentation
Name:           khelpcenter
Epoch:          2
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://apps.kde.org/khelpcenter/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:  aarch64 x86_64

# Upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6WebEngineWidgets)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Bookmarks)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6WindowSystem)

BuildRequires:  cmake(KF6TextTemplate)

BuildRequires:  pkgconfig(xapian-core)
BuildRequires:  pkgconfig(libxml-2.0)

Requires:       kio
Requires:       ktexttemplate
Requires:       kio-handbook
Requires:       kdoctools

%description
Application to show KDE Application's documentation.

%files -f %name.lang
%_kf6_categoriesdir/khelpcenter.categories
%_kf6_bindir/khelpcenter
%_libexecdir/*
%_kf6_datadir/config.kcfg/khelpcenter.kcfg
%_kf6_datadir/khelpcenter/
%_kf6_applicationsdir/org.kde.khelpcenter.desktop
%_kf6_datadir/dbus-1/services/org.kde.khelpcenter.service
%_kf6_metainfodir/org.kde.khelpcenter.metainfo.xml

#--------------------------------------------------------------------

%package handbook
Summary:        %{name} Handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides %{name} Handbook.

%files handbook
%doc %_kf6_docdir/HTML/*/khelpcenter
%doc %_kf6_docdir/HTML/*/fundamentals
%doc %_kf6_docdir/HTML/*/onlinehelp

#------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name --all-name
