#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 2 addon for localization
Name:           ki18n
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Qml)

BuildRequires:  iso-codes

Requires:       iso-codes

%description
KDE Frameworks 6 Tier 2 addon for localization.

%files -f %{name}6.lang
%_kf6_categoriesdir/ki18n.*categories
%_kf6_plugindir/ktranscript.so
%dir %_kf6_qmldir/org/kde/i18n
%_kf6_qmldir/org/kde/i18n/localeData/
#(nl) package cleanly with %%lang()
%_kf6_datadir/locale/*/LC_SCRIPTS/ki18n6/

#--------------------------------------------------------------------

%define kf6i18n_major 6
%define libkf6i18n %mklibname kf6i18n %{kf6i18n_major}

%package -n %libkf6i18n
Summary:        KDE Frameworks 6 Tier 2 addon for localization
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkf6i18n
KDE Frameworks 6 Tier 2 addon for localization.

%files -n %libkf6i18n
%_kf6_libdir/libKF6I18n.so.%{kf6i18n_major}{,.*}

#--------------------------------------------------------------------

%define kf6i18nqml_major 6
%define libkf6i18nqml %mklibname kf6i18nqml %{kf6i18nqml_major}

%package -n %libkf6i18nqml
Summary:        KDE Frameworks 6 Tier 2 addon for localization
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkf6i18nqml
KDE Frameworks 6 Tier 2 addon for localization.

%files -n %libkf6i18nqml
%_kf6_libdir/libKF6I18nQml.so.%{kf6i18n_major}{,.*}

#--------------------------------------------------------------------

%define kf6i18nlocaledata_major 6
%define libkf6i18nlocaledata %mklibname kf6i18nlocaledata %{kf6i18nlocaledata_major}

%package -n %libkf6i18nlocaledata
Summary:        KDE Frameworks 6 Tier 2 addon for localization
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkf6i18nlocaledata
KDE Frameworks 6 Tier 2 addon for localization.

%files -n %libkf6i18nlocaledata
%_kf6_libdir/libKF6I18nLocaleData.so.%{kf6i18nlocaledata_major}{,.*}

#--------------------------------------------------------------------

%define kf6i18n_devel %mklibname kf6i18n -d

%package -n %kf6i18n_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6i18n = %version-%release
Requires:       %libkf6i18nqml = %version-%release
Requires:       %libkf6i18nlocaledata = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6i18n_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6i18n_devel
%_kf6_includedir/KI18n/
%_kf6_includedir/KI18nLocaleData/
%_kf6_libdir/cmake/KF6I18n/
%_kf6_libdir/libKF6I18n.so
%_kf6_libdir/libKF6I18nQml.so
%_kf6_libdir/libKF6I18nLocaleData.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{name}6
