# Speed up builds
%global dont_check_elf_files 1
%global dont_fix_eol 1

Name:		kicad-packages3d
Summary:	KiCad 3D Models
Epoch:		1
Version:	9.0.0
Release:	%mkrel 1
License:	CC-BY-SA
Group:		Sciences/Computer science
Url:		https://www.kicad.org/
Source0:	https://gitlab.com/kicad/libraries/kicad-packages3D/-/archive/%{version}/kicad-packages3D-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	cmake
BuildRequires:	ninja
Requires:	kicad

Provides:	kicad-3dmodels = %{EVRD}

%description
This package contains 3D models for rendering and MCAD integration, for use
with KiCAD EDA software.

%prep
%autosetup -p1 -n kicad-packages3D-%{version}

%build
%cmake -GNinja \
       -DCMAKE_BUILD_TYPE=Release
%cmake_build

%install
%cmake_install

%files
%license LICENSE*
%doc README* CREDITS* TODO*
%{_datadir}/kicad/3dmodels/
