#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 3 integration module for icon themes
Name:           kiconthemes
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6UiPlugin)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Svg)

BuildRequires:  cmake(KF6ConfigWidgets) >= %version
BuildRequires:  cmake(KF6ItemViews) >= %version
BuildRequires:  cmake(KF6I18n) >= %version
BuildRequires:  cmake(KF6WidgetsAddons) >= %version
BuildRequires:  cmake(KF6Archive) >= %version
BuildRequires:  cmake(KF6BreezeIcons)

%description
KDE Frameworks 6 Tier 3 integration module for icon themes.

%files -f kiconthemes6.lang
%_kf6_categoriesdir/kiconthemes.*categories
%_kf6_bindir/kiconfinder6
%_qt6_plugindir/kiconthemes6/
%_qt6_plugindir/designer/*.so
%_kf6_qmldir/org/kde/iconthemes/

#--------------------------------------------------------------------

%define kf6iconthemes_major 6
%define libkf6iconthemes %mklibname kf6iconthemes %{kf6iconthemes_major}

%package -n %libkf6iconthemes
Summary:        KDE Frameworks 6 Tier 3 integration module for icon themes
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkf6iconthemes
KDE Frameworks 6 Tier 3 integration module for icon themes.

%files -n %libkf6iconthemes
%_kf6_libdir/libKF6IconThemes.so.%{kf6iconthemes_major}{,.*}
%_kf6_libdir/libKF6IconThemes.so.%{version}

#--------------------------------------------------------------------

%define kf6iconwidgets_major 6
%define libkf6iconwidgets %mklibname kf6iconwidgets %{kf6iconwidgets_major}

%package -n %libkf6iconwidgets
Summary:        KDE Frameworks 6 Tier 3 integration module for icon widgets
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkf6iconwidgets
KDE Frameworks 6 Tier 3 integration module for icon widgets.

%files -n %libkf6iconwidgets
%_kf6_libdir/libKF6IconWidgets.so.%{kf6iconwidgets_major}{,.*}
%_kf6_libdir/libKF6IconWidgets.so.%{version}

#--------------------------------------------------------------------

%define kf6iconthemes_devel %mklibname kf6iconthemes -d

%package -n %kf6iconthemes_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6iconthemes = %version-%release
Requires:       %libkf6iconwidgets = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6iconthemes_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6iconthemes_devel
%_kf6_includedir/KIconThemes/
%_kf6_includedir/KIconWidgets/
%_kf6_libdir/cmake/KF6IconThemes/
%_kf6_libdir/*.so

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang kiconthemes6
