Summary:	Efficient KDE ID3 tag editor
Name:		kid3
Version:	3.9.6
Release:	%mkrel 3
License:	GPLv2+
Group:		Sound/Editors and Converters
Url:		https://kid3.sourceforge.net/
Source0:	https://downloads.sourceforge.net/kid3/%{name}-%{version}.tar.gz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Multimedia)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Qml)
BuildRequires:	cmake(Qt6Quick)
BuildRequires:	cmake(Qt6QuickControls2)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6UiTools)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)

BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6ConfigWidgets)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6WidgetsAddons)
BuildRequires:	cmake(KF6KIO)
BuildRequires:	cmake(KF6XmlGui)
BuildRequires:	cmake(KF6DocTools)

BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	id3lib-devel
BuildRequires:	pkgconfig(taglib)
BuildRequires:	pkgconfig(flac++)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(libavcodec)
BuildRequires:	pkgconfig(libavformat)
BuildRequires:	pkgconfig(libavutil)
BuildRequires:	pkgconfig(libchromaprint)
BuildRequires:	pkgconfig(libswresample)
BuildRequires:	mp4v2-devel
BuildRequires:	pkgconfig(readline)
BuildRequires:	docbook-style-xsl
BuildRequires:	gettext
BuildRequires:	xsltproc

%description
If you want to easily tag multiple MP3, Ogg/Vorbis, FLAC, MPC, MP4/AAC,
MP2, Speex, TrueAudio, WavPack, WMA, WAV and AIFF files (e.g. full albums)
without typing the same information again and again, and have control over
both ID3v1 and ID3v2 tags, then Kid3 is the program you are looking for.

With Kid3 you can:
- Edit ID3v1.1 tags
- Edit all ID3v2.3 and ID3v2.4 frames
- Convert between ID3v1.1, ID3v2.3 and ID3v2.4 tags
- Edit tags of multiple files
- Generate tags from filenames
- Generate tags from the contents of tag fields
- Generate filenames from tags
- Generate play-list files
- Automatic case conversion and string translation
- Import and export album data
- Import from gnudb.org, TrackType.org, MusicBrainz, Discogs, Amazon.

%files
%doc AUTHORS ChangeLog COPYING LICENSE README
%doc %{_docdir}/HTML/*/%{name}/
%{_kf6_bindir}/%{name}
%{_kf6_datadir}/applications/org.kde.%{name}.desktop
%{_kf6_datadir}/metainfo/org.kde.%{name}.appdata.xml
%{_kf6_datadir}/kxmlgui5/%{name}/
%{_kf6_iconsdir}/hicolor/*/apps/%{name}.png
%{_kf6_iconsdir}/hicolor/scalable/apps/%{name}.svgz

#--------------------------------------------------------------------

%package	core
Summary:	Efficient Core libraries and Data ID3 tag editor
Group:		Sound/Editors and Converters
Recommends:	xdg-utils

%description	core
If you want to easily tag multiple MP3, Ogg/Vorbis, FLAC, MPC, MP4/AAC,
MP2, Speex, TrueAudio, WavPack, WMA, WAV, and AIFF files (e.g. full albums)
without typing the same information again and again and have control over
both ID3v1 and ID3v2 tags, then Kid3 is the program you are looking for.
This package provides files shared between all Kid3 variants.

%files core
%doc AUTHORS ChangeLog COPYING LICENSE README
%config %{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf
%{_kf6_libdir}/%{name}/
%dir %{_kf6_datadir}/%{name}/
%dir %{_kf6_datadir}/%{name}/qml/
%dir %{_kf6_datadir}/%{name}/translations/
%{_kf6_datadir}/%{name}/qml/script/
%{_kf6_datadir}/%{name}/translations/*.qm
%{_kf6_datadir}/dbus-1/interfaces/*.xml
%{_kf6_mandir}/man1/%{name}.1*
%lang(ca) %{_kf6_mandir}/ca/man1/%{name}.1*
%lang(de) %{_kf6_mandir}/de/man1/%{name}.1*
%lang(it) %{_kf6_mandir}/it/man1/%{name}.1*
%lang(nl) %{_kf6_mandir}/nl/man1/%{name}.1*
%lang(pt) %{_kf6_mandir}/pt/man1/%{name}.1*
%lang(sv) %{_kf6_mandir}/sv/man1/%{name}.1*
%lang(uk) %{_kf6_mandir}/uk/man1/%{name}.1*
%lang(ru) %{_kf6_mandir}/ru/man1/%{name}.1*

#--------------------------------------------------------------------

%package	qt
Summary:	Efficient Qt ID3 tag editor
Group:		Sound/Editors and Converters

%description	qt
If you want to easily tag multiple MP3, Ogg/Vorbis, FLAC, MPC,
MP4/AAC, MP2, Speex, TrueAudio and WavPack files (e.g. full albums)
without typing the same information again and again and have control
over both ID3v1 and ID3v2 tags, then Kid3 is the program you are
looking for. This package provides Kid3 built without KDE dependencies.

%files qt
%doc %{_docdir}/%{name}-qt
%{_kf6_bindir}/%{name}-qt
%{_kf6_datadir}/applications/org.kde.%{name}-qt.desktop
%{_kf6_datadir}/metainfo/org.kde.%{name}-qt.appdata.xml
%{_kf6_iconsdir}/hicolor/*/apps/%{name}-qt.png
%{_kf6_iconsdir}/hicolor/scalable/apps/%{name}-qt.svg
%{_kf6_mandir}/man1/%{name}-qt.1*
%lang(ca) %{_kf6_mandir}/ca/man1/%{name}-qt.1*
%lang(de) %{_kf6_mandir}/de/man1/%{name}-qt.1*
%lang(it) %{_kf6_mandir}/it/man1/%{name}-qt.1*
%lang(nl) %{_kf6_mandir}/nl/man1/%{name}-qt.1*
%lang(pt) %{_kf6_mandir}/pt/man1/%{name}-qt.1*
%lang(sv) %{_kf6_mandir}/sv/man1/%{name}-qt.1*
%lang(uk) %{_kf6_mandir}/uk/man1/%{name}-qt.1*
%lang(ru) %{_kf6_mandir}/ru/man1/%{name}-qt.1*

#--------------------------------------------------------------------

%package	cli
Summary:	Efficient CLI ID3 tag editor
Group:		Sound/Editors and Converters

%description	cli
If you want to easily tag multiple MP3, Ogg/Vorbis, FLAC, MPC,
MP4/AAC, MP2, Speex, TrueAudio and WavPack files (e.g. full albums)
without typing the same information again and again and have control
over both ID3v1 and ID3v2 tags, then Kid3 is the program you are
looking for. This package provides Kid3 built without GUI dependencies.

%files cli
%doc AUTHORS ChangeLog COPYING LICENSE README
%{_kf6_bindir}/%{name}-cli
%{_kf6_mandir}/man1/%{name}-cli.1*
%lang(ca) %{_kf6_mandir}/ca/man1/%{name}-cli.1*
%lang(de) %{_kf6_mandir}/de/man1/%{name}-cli.1*
%lang(it) %{_kf6_mandir}/it/man1/%{name}-cli.1*
%lang(nl) %{_kf6_mandir}/nl/man1/%{name}-cli.1*
%lang(pt) %{_kf6_mandir}/pt/man1/%{name}-cli.1*
%lang(sv) %{_kf6_mandir}/sv/man1/%{name}-cli.1*
%lang(uk) %{_kf6_mandir}/uk/man1/%{name}-cli.1*
%lang(ru) %{_kf6_mandir}/ru/man1/%{name}-cli.1*

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6 \
	-DCMAKE_SKIP_RPATH=ON \
	-DWITH_LIBDIR=%{_lib}/kid3 \
	-DWITH_MP4V2=ON \
	-DWITH_FFMPEG=ON \
	-DWITH_CHROMAPRINT_FFMPEG=ON \
	-DWITH_GSTREAMER=ON \
	-DWITH_NO_MANCOMPRESS=ON

%cmake_build

%install
%cmake_install

# ld.so.conf.d config for libraries outside the standard search path
mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d/
cat > %{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf << EOF
%{_kf6_libdir}/%{name}/
EOF
