#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Manage PIM identity
Name:           kidentitymanagement
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Quick)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Codecs)

BuildRequires:  cmake(KF6TextCustomEditor)
BuildRequires:  cmake(KPim6TextEdit) >= 5.240
BuildRequires:  cmake(KF6KirigamiAddons)

BuildRequires:  pkgconfig(libsasl2)


%description
Manage PIM identity.

%files -f %name.lang
%_kf6_categoriesdir/kidentitymanagement.categories
%_kf6_categoriesdir/kidentitymanagement.renamecategories
%_kf6_qmldir/org/kde/kidentitymanagement/
%_kf6_datadir/dbus-1/interfaces/kf6_org.kde.pim.IdentityManager.xml

#--------------------------------------------------------------------

%define identitymanagementcore_major 6
%define libkidentitymanagementcore %mklibname kpim6identitymanagementcore %{identitymanagementcore_major}

%package -n %libkidentitymanagementcore
Summary:        Manage PIM identity
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkidentitymanagementcore
Manage PIM identity.

%files -n %libkidentitymanagementcore
%_kf6_libdir/libKPim6IdentityManagementCore.so.%{identitymanagementcore_major}{,.*}

#--------------------------------------------------------------------

%define identitymanagementquick_major 6
%define libkidentitymanagementquick %mklibname kpim6identitymanagementquick %{identitymanagementquick_major}

%package -n %libkidentitymanagementquick
Summary:        Manage PIM identity
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkidentitymanagementquick
Manage PIM identity.

%files -n %libkidentitymanagementquick
%_kf6_libdir/libKPim6IdentityManagementQuick.so.%{identitymanagementquick_major}{,.*}

#--------------------------------------------------------------------

%define identitymanagementwidgets_major 6
%define libkidentitymanagementwidgets %mklibname kpim6identitymanagementwidgets %{identitymanagementwidgets_major}

%package -n %libkidentitymanagementwidgets
Summary:        Manage PIM identity
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkidentitymanagementwidgets
Manage PIM identity.

%files -n %libkidentitymanagementwidgets
%_kf6_libdir/libKPim6IdentityManagementWidgets.so.%{identitymanagementwidgets_major}{,.*}

#--------------------------------------------------------------------

%define kidentitymanagement_devel %mklibname kpim6identitymanagement -d

%package -n %kidentitymanagement_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkidentitymanagementcore = %version-%release
Requires:       %libkidentitymanagementquick = %version-%release
Requires:       %libkidentitymanagementwidgets = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kidentitymanagement_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kidentitymanagement_devel
%_includedir/KPim6/KIdentityManagementCore/
%_includedir/KPim6/KIdentityManagementQuick/
%_includedir/KPim6/KIdentityManagementWidgets/
%_kf6_libdir/*.so
%_kf6_libdir/cmake/KPim6IdentityManagementCore/
%_kf6_libdir/cmake/KPim6IdentityManagementQuick/
%_kf6_libdir/cmake/KPim6IdentityManagementWidgets/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name
