#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 1 integration module for idle time detection
Name:           kidletime
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6DBus)

BuildRequires:  cmake(Qt6WaylandClient)
BuildRequires:  cmake(PlasmaWaylandProtocols)
BuildRequires:  pkgconfig(wayland-protocols)

BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xscrnsaver)

%description
KDE Frameworks 6 Tier 1 integration module for idle time detection.

%files
%_kf6_categoriesdir/kidletime.*categories
%_kf6_plugindir/org.kde.kidletime.platforms

#--------------------------------------------------------------------

%define kf6idletime_major 6
%define libkf6idletime %mklibname kf6idletime %{kf6idletime_major}

%package -n %libkf6idletime
Summary:        KDE Frameworks 6 Tier 1 integration module for idle time detection
Group:          System/Libraries
Recommends:     %{name} >= %{version}-%{release}

%description -n %libkf6idletime
KDE Frameworks 6 Tier 1 integration module for idle time detection.

%files -n %libkf6idletime
%_kf6_libdir/libKF6IdleTime.so.%{kf6idletime_major}{,.*}
%_kf6_libdir/libKF6IdleTime.so.%{version}

#--------------------------------------------------------------------

%define kf6idletime_devel %mklibname kf6idletime -d

%package -n %kf6idletime_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6idletime = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6idletime_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6idletime_devel
%_kf6_includedir/KIdleTime/
%_kf6_libdir/cmake/KF6IdleTime/
%_kf6_libdir/libKF6IdleTime.so

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

