#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%global _python3_include %(%{__python3} -Ic "from distutils.sysconfig import get_python_inc; print(get_python_inc())")

%define rel 1

Name:           kig
Summary:        KDE Interactive Geometry
Version: 25.04.0
Release:        %mkrel %{rel}
Group:          Education
License:        GPLv2 and GFDL
URL:            https://apps.kde.org/kig/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz
# upstream patches

#Branch patches 100->200

#Trunk Patches 200->300

#Mageia Patches 500->600

BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5PrintSupport)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5XmlPatterns)

BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5TextEditor)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5CoreAddons)

BuildRequires:  boost-devel
BuildRequires:  boost-python3-devel
BuildRequires:  python3-devel
BuildRequires:  python3dist(python-distutils-extra)

Recommends:     kig-handbook


%description
Kig is a program for use in math classes in high school, to allow
students to interactively explore geometric concepts.

%files -f %name.lang
%_kf5_bindir/kig
%_kf5_bindir/pykig.py
%_kf5_datadir/kig/
%_kf5_iconsdir/*/*/apps/kig.*
%_kf5_iconsdir/*/*/mimetypes/application-x-kig.*
%_kf5_applicationsdir/*.desktop
%_kf5_plugindir/parts/kigpart.so
%_kf5_metainfodir/org.kde.kig.metainfo.xml
%_kf5_datadir/katepart5/syntax/python-kig.xml

#------------------------------------------------------------------------------

%package handbook
Summary:        Kig handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} >= %{version}

%description handbook
This package provides kig handbook and mandir.

%files handbook
%doc AUTHORS ChangeLog
%doc %_kf5_docdir/HTML/*/kig
%_kf5_mandir/man1/kig.1.*
%_kf5_mandir/*/man1/kig.1.*

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%py3_shebang_fix pykig/

%build
%cmake_kf5 \
        -DBoostPython_INCLUDE_DIRS="%{_python3_include};%{_includedir}/boost" \
        -DBoostPython_LIBRARIES="%{_libdir}/libpython%{python3_version}.so;%{_libdir}/libboost_python%{python3_version_nodots}.so"
%cmake_build

%install
%cmake_install

%find_lang %name --all-name
