#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kigo
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Go board game for KDE
Group:          Games/Boards
License:        GPLv2 and LGPLv2 and GFDL
Url:            https://apps.kde.org/kigo/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Svg)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6NewStuff)

BuildRequires:  cmake(KDEGames6)
BuildRequires:  gnugo

Requires:       gnugo
Recommends:     kigo-handbook


%description
Kigo is an open-source implementation of the popular Go game.

Go is a strategic board game for two players. It is also known as igo
(Japanese), weiqi or wei ch'i (Chinese) or baduk (Korean).
Go is noted for being rich in strategic complexity despite its simple rules.
The game is played by two players who alternately place black and white stones
(playing pieces, now usually made of glass or plastic) on the vacant
intersections of a grid of 19x19 lines (9x9 or 13x13 for easier games).

%files -f %name.lang
%_kf6_categoriesdir/kigo.*categories
%_kf6_datadir/knsrcfiles/kigo*.knsrc
%_kf6_bindir/kigo
%_kf6_applicationsdir/*.desktop
%_kf6_datadir/kigo/
%_kf6_datadir/config.kcfg/kigo.kcfg
%_kf6_metainfodir/org.kde.kigo.appdata.xml
%_kf6_iconsdir/*/*/apps/kigo.png

#------------------------------------------------------------------------------

%package -n kigo-handbook
Summary:        Kigo handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kigo >= %{epoch}:%{version}-%{release}

%description -n kigo-handbook
This package provides kigo handbook.

%files -n kigo-handbook
%_kf6_docdir/HTML/*/kigo

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DGNUGo_EXECUTABLE:PATH=%{_gamesbindir}
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name

