Name:           kile
Summary:        Integrated LaTeX Environment for Plasma
Epoch:          2
Version:        2.9.94
Release:        %mkrel 1
License:        GPLv2+
Group:          Publishing
Url:            https://kile.sourceforge.net/
Source0:        https://downloads.sourceforge.net/kile/%{name}-%{version}.tar.bz2

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Codecs)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6TextEditor)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6TextWidgets)

BuildRequires:  cmake(Okular6)
BuildRequires:  pkgconfig(poppler-qt6)

Requires:       latex
Requires:       konsole
Requires:       okular
Requires:       kservice
Requires:       kio
Requires:       sonnet
# see mga#27140
Recommends:     texlive-dist

%description
Kile is an integrated LaTeX Environment for Plasma.

%files -f %{name}.lang
%doc AUTHORS ChangeLog README* kile-remote-control.txt
%{_kf6_categoriesdir}/%{name}.categories
%{_kf6_bindir}/%{name}
%{_kf6_datadir}/%{name}/
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_datadir}/kconf_update/%{name}*
%{_kf6_datadir}/config.kcfg/%{name}.kcfg
%{_kf6_datadir}/dbus-1/interfaces/org.kde.%{name}.main.xml
%{_kf6_datadir}/mime/packages/%{name}.xml
%{_kf6_iconsdir}/*/*/*/*

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html
