#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           killbots
Summary:        KDE port of the classic BSD console game robots
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
License:        GPLv2 and LGPLv2 and GFDL
Group:          Games/Strategy
URL:            https://apps.kde.org/killbots/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6DBusAddons)

BuildRequires:  cmake(KDEGames6)

Recommends:     killbots-handbook


%description
Killbots is a simple game of evading killer robots.

Who created the robots and why they have been programmed to destroy, no one
knows. All that is known is that the robots are numerous and their sole
objective is to destroy you. Fortunately for you, their creator has focused on
quantity rather than quality and as a result the robots are severely lacking in
intelligence. Your superior wit and a fancy teleportation device are your only
weapons against the never-ending stream of mindless automatons.

%files -f %name.lang
%_kf6_categoriesdir/killbots.*categories
%_kf6_bindir/killbots
%_kf6_applicationsdir/*.desktop
%_kf6_datadir/killbots/
%_kf6_iconsdir/hicolor/*/apps/killbots.*
%_kf6_datadir/config.kcfg/killbots.kcfg
%_kf6_metainfodir/org.kde.killbots.appdata.xml

#------------------------------------------------------------------------------

%package -n killbots-handbook
Summary:        killbots handbook
Group:          Documentation
BuildArch:      noarch
Requires:       killbots >= %{epoch}:%{version}-%{release}

%description -n killbots-handbook
This package provides the killbots handbook.

%files -n killbots-handbook
%_kf6_docdir/HTML/*/killbots

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
