%define oname	kim

Name:		kim4
Version:	0.9.9
Release:	%mkrel 1
Summary:	Image menu for kde
License:	GPLv2+
Group:		Graphical desktop/KDE
URL:		https://www.librepc.com/dl/kim/
Source0:	https://www.librepc.com/dl/kim/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	kf5-macros

Requires:	plasma-workspace
Requires:	imagemagick
Requires:	xwd
Requires:	xwininfo
Requires:	tesseract
Requires:	unpaper
Requires:	kdialog

Obsoletes:	kim < 0.9.6-2
Provides:	kim = %{version}-%{release}

%description
This is an image Kde servicemenu which allows to:
- compress images,
- resize images,
- convert images,
- rotate images,
- rename images,
- resize and send by mail images,
- and more other actions !
This servicemenu use ImageMagick.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{_kf5_bindir}
mkdir -p %{buildroot}%{_kf5_services}
mkdir -p %{buildroot}%{_kf5_appsdir}/%{name}/slideshow
mkdir -p %{buildroot}%{_kf5_appsdir}/%{name}/gallery

install -m 644 src/kim*.desktop %{buildroot}%{_kf5_services}/
install -m 755 src/bin/kim* %{buildroot}%{_kf5_bindir}/

install -m 644 src/slideshow/* %{buildroot}%{_kf5_appsdir}/%{name}/slideshow/
install -m 644 src/gallery/* %{buildroot}%{_kf5_appsdir}/%{name}/gallery/

perl -pi -e "s/\r\n/\n/"  manual/work.css

# translations files for kim4
pushd language/locale
for locale in de fr;
do
	mkdir -p %{buildroot}%{_datadir}/locale/$locale/LC_MESSAGES
	install -m 644 $locale/%{oname}.mo \
	"%{buildroot}%{_datadir}/locale/$locale/LC_MESSAGES/"
done
popd

%find_lang %{oname}

%files -f %{oname}.lang
%doc AUTHORS ChangeLog README manual
%{_kf5_bindir}/kim*
%{_kf5_services}/kim*.desktop
%{_kf5_appsdir}/%{name}/
