%define major		0
%define libname_qt5	%mklibname %{name}-qt5_ %{major}
%define develname_qt5	%mklibname %{name}-qt5 -d

%define libname_qt6	%mklibname %{name}-qt6_ %{major}
%define develname_qt6	%mklibname %{name}-qt6 -d

%bcond_without	qt5
%bcond_without	qt6

Name:		kimageannotator
Version:	0.7.1
Release:	%mkrel 1
Summary:	Tool for annotating images
License:	LGPL-3.0-or-later
Group:		Graphical desktop/KDE
URL:		https://github.com/ksnip/kImageAnnotator
Source:		https://github.com/ksnip/kImageAnnotator/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	ninja-build
BuildRequires:	pkgconfig(x11)
# Qt5
%if %{with qt5}
BuildRequires:	cmake(kColorPicker-Qt5) >= 0.3.1
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	cmake(Qt5Help)
BuildRequires:	cmake(Qt5Svg)
BuildRequires:	cmake(Qt5Test)
BuildRequires:	cmake(Qt5Widgets)
%endif
# Qt6
%if %{with qt6}
BuildRequires:	cmake(kColorPicker-Qt6) >= 0.3.1
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Help)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)
%endif

%description
kImageAnnotator is a tool for annotating images.

#------------------------------------------------

%package -n	%{libname_qt5}
Summary:	Qt5 Tool for annotating images
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}

%description -n	%{libname_qt5}
kImageAnnotator is a tool for annotating images.

#------------------------------------------------

%package -n	%{develname_qt5}
Summary:	Development package for %{name} Qt5
Group:		Development/C++
Requires:	%{libname_qt5} = %{version}-%{release}
Provides:	%{name}-qt5-devel = %{version}-%{release}

%description -n	%{develname_qt5}
Header files for development with %{name} Qt5.

#------------------------------------------------

%package -n	%{libname_qt6}
Summary:	Qt6 Tool for annotating images
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}

%description -n	%{libname_qt6}
kImageAnnotator is a tool for annotating images.

#------------------------------------------------

%package -n	%{develname_qt6}
Summary:	Development package for %{name} Qt6
Group:		Development/C++
Requires:	%{libname_qt6} = %{version}-%{release}
Provides:	%{name}-qt6-devel = %{version}-%{release}

%description -n	%{develname_qt6}
Header files for development with %{name} Qt6.

#------------------------------------------------

%package	i18n
Summary:	Translation files for %{name}
Group:		System/Libraries
BuildArch:	noarch

%description	i18n
This package contains translation files for %{name}.

#------------------------------------------------

%prep
%autosetup -p1 -n kImageAnnotator-%{version}

%build
%if %{with qt5}
%define _vpath_builddir %{_target_platform}-qt5
%cmake_qt5 \
	-G Ninja \
	-DBUILD_EXAMPLE=ON
%cmake_build
%endif

%if %{with qt6}
%define _vpath_builddir %{_target_platform}-qt6
%cmake_qt6 \
	-G Ninja \
	-DBUILD_EXAMPLE=ON \
	-DBUILD_WITH_QT6:BOOL=ON
%cmake_build
%endif

%install
%if %{with qt5}
%define _vpath_builddir %{_target_platform}-qt5
%cmake_install
%endif

%if %{with qt6}
%define _vpath_builddir %{_target_platform}-qt6
%cmake_install
%endif

%find_lang kImageAnnotator --with-qt

%files i18n -f kImageAnnotator.lang

%if %{with qt5}
%files -n %{libname_qt5}
%license LICENSE
%doc CHANGELOG.md README.md
%{_libdir}/libkImageAnnotator-Qt5.so.%{major}{,.*}

%files -n %{develname_qt5}
%doc CHANGELOG.md README.md
%{_includedir}/kImageAnnotator-Qt5/
%{_libdir}/libkImageAnnotator-Qt5.so
%{_libdir}/cmake/kImageAnnotator-Qt5/
%endif

%if %{with qt6}
%files -n %{libname_qt6}
%license LICENSE
%doc CHANGELOG.md README.md
%{_libdir}/libkImageAnnotator-Qt6.so.%{major}{,.*}

%files -n %{develname_qt6}
%doc CHANGELOG.md README.md
%{_includedir}/kImageAnnotator-Qt6/
%{_libdir}/libkImageAnnotator-Qt6.so
%{_libdir}/cmake/kImageAnnotator-Qt6/
%endif
