#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        KIMAP - a job-based API for interacting with IMAP servers
Name:           kimap
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KPim6Mime)

BuildRequires:  pkgconfig(libsasl2)

%description
KIMAP - a job-based API for interacting with IMAP servers.

#------------------------------------------------------------------------------

%package -n %name-common
Summary:        Common files for %name
Group:          System/Libraries

%description -n %name-common
Common files for %name.

%files -n %name-common -f %name.lang
%_kf6_categoriesdir/kimap.categories
%_kf6_categoriesdir/kimap.renamecategories

#------------------------------------------------------------------------------

%define kpimimap_major 6
%define libkpimimap %mklibname kpim6imap %{kpimimap_major}

%package -n %libkpimimap
Summary:        KIMAP - a job-based API for interacting with IMAP servers
Group:          System/Libraries
Requires:       %name-common >= %version-%release

%description -n %libkpimimap
KIMAP - a job-based API for interacting with IMAP servers.

%files -n %libkpimimap
%_kf6_libdir/libKPim6IMAP.so.%{kpimimap_major}{,.*}

#--------------------------------------------------------------------

%define kf6imap_devel %mklibname kf6imap -d

%package -n %kf6imap_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkpimimap = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6imap_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6imap_devel
%_includedir/KPim6/KIMAP/
%_kf6_libdir/*.so
%_kf6_libdir/cmake/KPim6IMAP/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name

