#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        KDE Info Center
Name:           kinfocenter
Epoch:          2
Version: 6.3.4
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6Solid)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6Auth)

BuildRequires:  pkgconfig(libraw1394)
BuildRequires:  pkgconfig(libpci)
BuildRequires:  pkgconfig(libusb-1.0)
BuildRequires:  pkgconfig(glu)

BuildRequires:  systemsettings
Requires:       systemsettings
Requires:       kirigami
# mga#31284
Requires:       aha

Recommends:     plasma-disks
Recommends:     clinfo
Recommends:     eglinfo
Recommends:     fwupd
Recommends:     hwids
# for di-edid-decode
Recommends:     libdisplay-info
Recommends:     pciutils
Recommends:     pipewire
Recommends:     smartmontools
Recommends:     vulkan-tools
Recommends:     wayland-utils
Recommends:     xdpyinfo

%description
KDE Info Center.

%files -f %{name}6.lang
%_libexecdir/kinfocenter-opengl-helper
%_kf6_libexecdir/kauth/kinfocenter-dmidecode-helper
%_kf6_bindir/kinfocenter
%_qt6_plugindir/plasma/kcms/kinfocenter/
%_qt6_plugindir/plasma/kcms/kcm_energyinfo.so
%_qt6_plugindir/plasma/kcms/kcm_about-distro.so
%_kf6_applicationsdir/org.kde.kinfocenter.desktop
%_kf6_applicationsdir/kcm_about-distro.desktop
%_kf6_applicationsdir/kcm_energyinfo.desktop
%_kf6_metainfodir/org.kde.kinfocenter.appdata.xml
%_kf6_qmldir/org/kde/kinfocenter/
%_kf6_datadir/kinfocenter/
%_kf6_libdir/libKInfoCenterInternal.so
%_kf6_datadir/dbus-1/system-services/org.kde.kinfocenter.dmidecode.service
%_kf6_datadir/dbus-1/system.d/org.kde.kinfocenter.dmidecode.conf
%_kf6_datadir/polkit-1/actions/org.kde.kinfocenter.dmidecode.policy

#--------------------------------------------------------------------

%package handbook
Summary:        %{name} Handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides %{name} Handbook.

%files handbook
%doc %_kf6_docdir/HTML/*/kinfocenter

#------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{name}6 --all-name
