#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define rel 1

Summary:        KDE Frameworks 5 tier 3 solution for process launching
Name:           kinit
Version: 5.245.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)

BuildRequires:  kservice-devel >= %version
BuildRequires:  kio-devel >= %version
BuildRequires:  ki18n-devel >= %version
BuildRequires:  kcrash-devel >= %version
BuildRequires:  kconfig-devel >= %version
BuildRequires:  kcoreaddons-devel >= %version
BuildRequires:  kdbusaddons-devel >= %version
BuildRequires:  kbookmarks-devel >= %version
BuildRequires:  kconfigwidgets-devel >= %version
BuildRequires:  kauth-devel >= %version
BuildRequires:  kcodecs-devel >= %version
BuildRequires:  kguiaddons-devel >= %version
BuildRequires:  kwidgetsaddons-devel >= %version
BuildRequires:  kiconthemes-devel >= %version
BuildRequires:  kitemviews-devel >= %version
BuildRequires:  kxmlgui-devel >= %version
BuildRequires:  kglobalaccel-devel >= %version
BuildRequires:  ktextwidgets-devel >= %version
BuildRequires:  kcompletion-devel >= %version
BuildRequires:  kwindowsystem-devel >= %version
BuildRequires:  sonnet-devel >= %version
BuildRequires:  kjobwidgets-devel >= %version
BuildRequires:  solid-devel >= %version
BuildRequires:  kdoctools-devel >= %version
BuildRequires:  karchive-devel >= %version

BuildRequires:  pkgconfig(libcap)
BuildRequires:  libcap-utils

%description
KDE Frameworks 5 tier 3 solution for process launching.

%files -f %{name}5.lang
%_kf5_categoriesdir/kinit.*categories
%_kf5_bindir/kdeinit5
%_kf5_bindir/kdeinit5_shutdown
%_kf5_bindir/kdeinit5_wrapper
%_kf5_bindir/kshell5
%_kf5_bindir/kwrapper5
%_kf5_libdir/libkdeinit5_klauncher.so
%_kf5_libexecdir/klauncher
%_kf5_libexecdir/start_kdeinit
%_kf5_libexecdir/start_kdeinit_wrapper
%_kf5_mandir/man?/kdeinit5.8.*
%_kf5_mandir/*/man?/kdeinit5.8.*

#--------------------------------------------------------------------

%define kf5init_devel %mklibname kf5init -d

%package -n %kf5init_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5init_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5init_devel
%dir %_kf5_libdir/cmake/KF5Init
%_kf5_libdir/cmake/KF5Init/KF5InitConfig.cmake
%_kf5_libdir/cmake/KF5Init/KF5InitConfigVersion.cmake
%_kf5_libdir/cmake/KF5Init/KF5InitMacros.cmake
%_kf5_libdir/cmake/KF5Init/kde5init_dummy.cpp.in
%_kf5_datadir/dbus-1/interfaces/kf5_org.kde.KLauncher.xml

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %{name}5
