#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kio-admin
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Manage files as administrator using the admin:// KIO protocol
Group:          Graphical desktop/KDE
License:        (GPL-2.0-only or GPL-3.0-only) and BSD-3-Clause and CC0-1.0 and FSFAP
URL:            https://invent.kde.org/system/kio-admin
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros
BuildRequires:  zstd

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)

BuildRequires:  cmake(PolkitQt6-1)
BuildRequires:  libatomic-devel


%description
kio-admin implements a new protocol "admin:///"
which gives administrative access
to the entire system. This is achieved by talking,
over dbus, with a root-level
helper binary that in turn uses
existing KIO infrastructure to run file://
operations in root-scope.


%files -f %{name}.lang
%doc README.md
%license LICENSES/*
%{_kf6_plugindir}/kfileitemaction/kio-admin.so
%{_kf6_plugindir}/kio/admin.so
%{_kf6_libexecdir}/kio-admin-helper
%{_kf6_datadir}/dbus-1/system.d/org.kde.kio.admin.conf
%{_kf6_datadir}/dbus-1/system-services/org.kde.kio.admin.service
%{_kf6_datadir}/polkit-1/actions/org.kde.kio.admin.policy
%{_kf6_metainfodir}/org.kde.kio.admin.metainfo.xml

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DQT_MAJOR_VERSION=6
%cmake_build

%install
%cmake_install

%find_lang kio5_admin %{name}.lang
