#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Extra kio plugins needed by KF6
Name:           kio-extras
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Svg)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6DNSSD)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Solid)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6SyntaxHighlighting)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6TextWidgets)

BuildRequires:  cmake(PlasmaActivities)
BuildRequires:  cmake(PlasmaActivitiesStats)
BuildRequires:  cmake(Phonon4Qt6)

BuildRequires:  cmake(KExiv2Qt6)
BuildRequires:  cmake(QCoro6)
BuildRequires:  cmake(KDSoapWSDiscoveryClient) >= 0.3.0

BuildRequires:  shared-mime-info
BuildRequires:  openslp-devel
BuildRequires:  gperf

BuildRequires:  pkgconfig(libssh)
BuildRequires:  pkgconfig(smbclient)
BuildRequires:  pkgconfig(libmtp)
BuildRequires:  pkgconfig(taglib)
BuildRequires:  pkgconfig(libtirpc)
BuildRequires:  pkgconfig(OpenEXR)
BuildRequires:  pkgconfig(libimobiledevice-1.0)

# mga#24372
Requires:       kio

Provides:       kio-mtp = %version-%release

# ease upgrade mga9 -> mga10
Conflicts:      kio < 5.113.0


%description
Extra kio plugins needed by KF6.

%files  -f %name.lang
%_kf6_categoriesdir/kio-extras.categories
%_kf6_categoriesdir/kio-extras.renamecategories
%_datadir/dbus-1/services/org.kde.kmtpd5.service
%_qt6_plugindir/*.so
%_qt6_plugindir/plasma/kcms/systemsettings_qwidgets/*.so
%_kf6_plugindir/kio/
%_kf6_plugindir/kiod/
%_kf6_plugindir/kded/
%_kf6_plugindir/kfileitemaction/*
%_kf6_plugindir/thumbcreator/
%_kf6_datadir/mime/packages/org.kde.kio.smb.xml
%_kf6_libexecdir/smbnotifier
%_libexecdir/wpad-detector-helper
%_kf6_datadir/config.kcfg/jpegcreatorsettings5.kcfg
%_kf6_datadir/kio_info/
%_kf6_datadir/kio_filenamesearch/
%_kf6_datadir/remoteview/*.desktop
%_kf6_datadir/konqueror/dirtree/remote/smb-network.desktop
%_kf6_datadir/konqueror/dirtree/remote/mtp-network.desktop
%_kf6_datadir/solid/actions/solid_afc.desktop
%_kf6_datadir/solid/actions/solid_mtp.desktop
%_kf6_applicationsdir/kcm_netpref.desktop
%_kf6_applicationsdir/kcm_proxy.desktop
%_kf6_applicationsdir/kcm_trash.desktop
%_kf6_applicationsdir/kcm_webshortcuts.desktop

#--------------------------------------------------------------------

%define libkioarchive_major 6
%define libkioarchive %mklibname kioarchive6_ %{libkioarchive_major}

%package -n %libkioarchive
Summary:        Extra kio plugins needed by KF6
Group:          System/Libraries

%description -n %libkioarchive
Extra kio plugins needed by KF6.

%files -n %libkioarchive
%_kf6_libdir/libkioarchive6.so.%{libkioarchive_major}{,.*}

#---------------------------------------------------------------------------

%define libkioarchive_devel %mklibname kioarchive6 -d

%package -n %{libkioarchive_devel}
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkioarchive = %version-%release
Provides:       libkioarchive-devel = %version-%release
Provides:       kioarchive-devel = %version-%release

%description -n %{libkioarchive_devel}
Extra kio plugins needed by KF6.

This package contains header files needed if you wish to build applications
based on libkioarchive.

%files -n %{libkioarchive_devel}
%_includedir/KioArchive6/
%_kf6_libdir/cmake/KioArchive6/

#---------------------------------------------------------------------------

%package handbook
Summary:        %name Handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides %name Handbook.

%files handbook
%_kf6_docdir/HTML/*/kcontrol6/*
%_kf6_docdir/HTML/*/kioworker6/*

#------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DLIBSSH_LIBRARIES="$(pkg-config --libs libssh)"
%cmake_build

%install
%cmake_install
%find_lang %name --all-name
