#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%global optflags %{optflags} -flto=auto
%global ldflags %{ldflags} -flto

%define rel 1

Name:           kio-gdrive
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        KIO Slave to access Google Drive
License:        GPLv2
Group:          Graphical desktop/KDE
URL:            https://community.kde.org/KIO_GDrive
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# Upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KPim6GAPI) >= 5.240
BuildRequires:  cmake(KF6Purpose)
BuildRequires:  cmake(KAccounts6) >= 24.01
BuildRequires:  cmake(Qt6Keychain)

BuildRequires:  intltool

# (mga#25441)
Requires:       kaccounts-integration
Requires:       purpose

Recommends:     %{name}-handbook

%description
KIO Slave to access Google Drive service.

%files -f kio6_gdrive.lang
%doc README.md HACKING
%license COPYING
%{_kf6_plugindir}/kio/gdrive.so
%{_kf6_plugindir}/kfileitemaction/gdrivecontextmenuaction.so
%{_kf6_plugindir}/propertiesdialog/gdrivepropertiesplugin.so
%{_kf6_plugindir}/purpose/purpose_gdrive.so
%{_qt6_plugindir}/kaccounts/daemonplugins/gdrive.so
%{_kf6_datadir}/remoteview/gdrive-network.desktop
%{_kf6_datadir}/accounts/services/kde/google-drive.service
%{_kf6_datadir}/purpose/purpose_gdrive_config.qml
%{_kf6_metainfodir}/org.kde.kio_gdrive.metainfo.xml
%{_kf6_knotificationsdir}/gdrive.notifyrc

#--------------------------------------------------------------------

%package        handbook
Summary:        Kio-gdrive Handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} >= %{version}-%{release}

%description    handbook
This package provides Kio-gdrive handbook.

%files handbook
%{_kf6_docdir}/HTML/*/kioworker6/gdrive/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 \
     -DCMAKE_AR=%{_bindir}/gcc-ar \
     -DCMAKE_RANLIB=%{_bindir}/gcc-ranlib \
     -DCMAKE_NM=%{_bindir}/gcc-nm

%cmake_build

%install
%cmake_install

%find_lang kio6_gdrive
