#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 6

Name:           kio-gopher
Version: 0.1.99
Release:        %mkrel %{rel}
Summary:        Gopher KIO Slave for Plasma5
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://userbase.kde.org/Kio_gopher
Source0:        https://download.kde.org/unstable/kio-gopher/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KIO)

Recommends:     %{name}-handbook

%description
Kio-gopher provides support for the "gopher:" protocol in konqueror and in
other kde applications. this allows you to display web contents using the
gopher protocol.

%files -f kio5_gopher.lang
%doc README
%license COPYING
%{_kf5_plugindir}/kio/gopher.so

#--------------------------------------------------------------------

%package        handbook
Summary:        Kio-gopher handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} >= %{version}-%{release}

%description    handbook
This package provides kio-gopher handbook.

%files handbook
%{_kf5_docdir}/HTML/*/kioslave5/gopher/

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang kio5_gopher
