#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 7

Name:           kio-stash
Version: 1.0
Release:        %mkrel %{rel}
Summary:        KIO slave and daemon to stash discontinuous file selections
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://kde.org
Source0:        https://download.kde.org/stable/%{name}/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5DBusAddons)

%description
This KIO slave can be used to stash files in a virtual
folder temporarily. It requires use of a KIO-compatible
file manager, like dolphin.

%files
%doc README.md
%license COPYING
%{_kf5_plugindir}/kio/filestash.so
%{_kf5_plugindir}/kded/stashnotifier.so
%{_kf5_metainfodir}/org.kde.filestash.appdata.xml
%{_kf5_datadir}/dbus-1/interfaces/org.kde.kio.StashNotifier.xml

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install
