#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define min_version %(echo %{version}|cut -d. -f1,2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 3 solution for filesystem abstraction
Name:           kio
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{min_version}/%{name}-%{version}.tar.xz

## Upstream patches (lookaside)

BuildRequires: kf6-rpm-macros

BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Core5Compat)
BuildRequires: cmake(Qt6DBus)
BuildRequires: cmake(Qt6Network)
BuildRequires: cmake(Qt6Qml)
BuildRequires: cmake(Qt6Xml)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: cmake(Qt6Test)
BuildRequires: cmake(Qt6Concurrent)
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6UiPlugin)

BuildRequires: cmake(KF6Archive) >= %min_version
BuildRequires: cmake(KF6Config) >= %min_version
BuildRequires: cmake(KF6CoreAddons) >= %min_version
BuildRequires: cmake(KF6I18n) >= %min_version
BuildRequires: cmake(KF6Service) >= %min_version
BuildRequires: cmake(KF6DocTools) >= %min_version
BuildRequires: cmake(KF6Solid) >= %min_version
BuildRequires: cmake(KF6Crash) >= %min_version
BuildRequires: cmake(KF6DBusAddons) >= %min_version
BuildRequires: cmake(KF6Bookmarks) >= %min_version
BuildRequires: cmake(KF6ColorScheme) >= %min_version
BuildRequires: cmake(KF6Completion) >= %min_version
BuildRequires: cmake(KF6ConfigWidgets) >= %min_version
BuildRequires: cmake(KF6GuiAddons) >= %min_version
BuildRequires: cmake(KF6IconThemes) >= %min_version
BuildRequires: cmake(KF6ItemViews) >= %min_version
BuildRequires: cmake(KF6JobWidgets) >= %min_version
BuildRequires: cmake(KF6WidgetsAddons) >= %min_version
BuildRequires: cmake(KF6WindowSystem) >= %min_version
BuildRequires: cmake(KF6Auth) >= %min_version
BuildRequires: cmake(KF6KDED)
BuildRequires: cmake(KF6Wallet)
BuildRequires: cmake(KF6TextWidgets)

BuildRequires: pkgconfig(zlib)
BuildRequires: acl-devel
BuildRequires: pkgconfig(libattr)
BuildRequires: pkgconfig(libxslt)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(krb5-gssapi)
BuildRequires: locales-en

# runtime dependencies
BuildRequires: switcheroo-control
Requires:      switcheroo-control

Requires:      kded

%description
KDE Frameworks 6 Tier 3 solution for filesystem abstraction.

%files -f kio6.lang
%_kf6_categoriesdir/kio.*categories
%_kf6_bindir/*
%_kf6_plugindir/kio
%_kf6_plugindir/kio_dnd
%_kf6_plugindir/urifilters
%_kf6_plugindir/kded
%_qt6_plugindir/kf6/kiod
%_qt6_plugindir/designer/*.so
%_kf6_libdir/libkuriikwsfiltereng_private.so
%_kf6_libexecdir/kioexec
%_kf6_libexecdir/kioworker
%_kf6_libexecdir/kiod6
%_kf6_datadir/applications/ktelnetservice6.desktop
%_kf6_datadir/applications/org.kde.kiod6.desktop
%_kf6_datadir/kf6/searchproviders/
%_kf6_datadir/kdevappwizard/templates/kioworker6.tar.bz2
%_datadir/dbus-1/services/org.kde.kiod*.service
%_datadir/dbus-1/services/org.kde.kssld*.service
%_datadir/dbus-1/services/org.kde.kioexecd6.service
%_datadir/dbus-1/services/org.kde.kpasswdserver6.service

#--------------------------------------------------------------------

%define kf6kiocore_major 6
%define libkf6kiocore %mklibname kf6kiocore %{kf6kiocore_major}

%package -n %libkf6kiocore
Summary:        KDE Frameworks 6 Tier 3 solution for filesystem abstraction
Group:          System/Libraries

%description -n %libkf6kiocore
KDE Frameworks 6 Tier 3 solution for filesystem abstraction.

%files -n %libkf6kiocore
%_kf6_libdir/libKF6KIOCore.so.%{kf6kiocore_major}
%_kf6_libdir/libKF6KIOCore.so.%{version}

#--------------------------------------------------------------------

%define kf6kiogui_major 6
%define libkf6kiogui %mklibname kf6kiogui %{kf6kiogui_major}

%package -n %libkf6kiogui
Summary:        KDE Frameworks 6 Tier 3 solution for filesystem abstraction
Group:          System/Libraries

%description -n %libkf6kiogui
KDE Frameworks 6 Tier 3 solution for filesystem abstraction.

%files -n %libkf6kiogui
%_kf6_libdir/libKF6KIOGui.so.%{kf6kiogui_major}
%_kf6_libdir/libKF6KIOGui.so.%{version}

#--------------------------------------------------------------------

%define kf6kiowidgets_major 6
%define libkf6kiowidgets %mklibname kf6kiowidgets %{kf6kiowidgets_major}

%package -n %libkf6kiowidgets
Summary:        KDE Frameworks 6 Tier 3 solution for filesystem abstraction
Group:          System/Libraries

%description -n %libkf6kiowidgets
KDE Frameworks 6 Tier 3 solution for filesystem abstraction.

%files -n %libkf6kiowidgets
%_kf6_libdir/libKF6KIOWidgets.so.%{kf6kiowidgets_major}
%_kf6_libdir/libKF6KIOWidgets.so.%{version}

#--------------------------------------------------------------------

%define kf6kiofilewidgets_major 6
%define libkf6kiofilewidgets %mklibname kf6kiofilewidgets %{kf6kiofilewidgets_major}

%package -n %libkf6kiofilewidgets
Summary:        KDE Frameworks 6 Tier 3 solution for filesystem abstraction
Group:          System/Libraries

%description -n %libkf6kiofilewidgets
KDE Frameworks 6 Tier 3 solution for filesystem abstraction.

%files -n %libkf6kiofilewidgets
%_kf6_libdir/libKF6KIOFileWidgets.so.%{kf6kiofilewidgets_major}
%_kf6_libdir/libKF6KIOFileWidgets.so.%{version}

#--------------------------------------------------------------------

%define kf6kiocore_devel %mklibname kf6kio -d

%package -n %kf6kiocore_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6kiocore = %version-%release
Requires:       %libkf6kiogui = %version-%release
Requires:       %libkf6kiowidgets = %version-%release
Requires:       %libkf6kiofilewidgets = %version-%release
Requires:       %name  = %version-%release
# many pkgs fails to build due to this missing devel dependency
Requires:       cmake(Qt6Concurrent)
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6kiocore_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6kiocore_devel
%_kf6_includedir/KIOWidgets/
%_kf6_includedir/KIOFileWidgets/
%_kf6_includedir/KIOCore/
%_kf6_includedir/KIOGui/
%_kf6_includedir/KIO/
%_kf6_libdir/cmake/KF6KIO/
%_kf6_libdir/libKF6KIOCore.so
%_kf6_libdir/libKF6KIOGui.so
%_kf6_libdir/libKF6KIOWidgets.so
%_kf6_libdir/libKF6KIOFileWidgets.so

#--------------------------------------------------------------------

%package handbook
Summary:        %{name} Handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides %{name} Handbook.

%files handbook
%doc %_kf6_docdir/HTML/*/kioworker6

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang kio6
