#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kirigami-addons
Version:        1.7.0
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        LGPLv3
Summary:        Add-ons for the Kirigami framework
Url:            https://invent.kde.org/libraries/kirigami-addons
Source:         https://download.kde.org/stable/kirigami-addons/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6QuickTest)

BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6GlobalAccel)


%description
A set of "widgets" i.e visual end user components along with a
code to support them. Components are usable by both touch and
desktop experiences providing a native experience on both, and
look native with any QQC2 style (qqc2-desktop-theme, Material
or Plasma).

%files -f %{name}6.lang
%doc README.md
%license LICENSES/
%{_kf6_qmldir}/org/kde/kirigamiaddons/
%{_kf6_datadir}/kdevappwizard/templates/kirigamiaddons6.tar.bz2
%{_kf6_datadir}/kdevappwizard/templates/librarymanager6.tar.bz2

#--------------------------------------------------------------------

%define major   6
%define libname %mklibname kirigamiaddonsstatefulapp %{major}

%package -n     %{libname}
Summary:        Runtime Kirigami Addons Stateful App library for %{name}
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %{libname}
Runtime Kirigami Addons Stateful App library for %{name}.

%files -n %{libname}
%{_kf6_libdir}/libKirigamiAddonsStatefulApp.so.%{major}
%{_kf6_libdir}/libKirigamiAddonsStatefulApp.so.%{version}

#---------------------------------------------

%define libkirigamiaddons_dev %mklibname kf6kirigamiaddons -d

%package -n     %{libkirigamiaddons_dev}
Summary:        Development files for %{name}
Group:          Development/KDE and Qt
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       kf6kirigamiaddons-devel = %{version}-%{release}

%description -n %{libkirigamiaddons_dev}
This package contains header files needed if you wish to build
applications based on %{name}.

%files -n %{libkirigamiaddons_dev}
%{_includedir}/KirigamiAddonsStatefulApp/
%{_kf6_libdir}/libKirigamiAddonsStatefulApp.so
%{_kf6_libdir}/cmake/KF6KirigamiAddons/

#--------------------------------------------------------------------

%prep
%autosetup

%build
%cmake_kf6 -DBUILD_QCH=ON
%cmake_build

%install
%cmake_install

%find_lang %{name}6
