#
# Please do not update/rebuild/touch this package before asking first
# to KDE Team
# This package is part of the KDE Stack.
#

%define rel 1
%define upname kirigami
%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		kirigami
Version: 6.13.0
Release:	%mkrel %{rel}
Summary:	A QtQuick based components set
License:	LGPLv2
Group:		Graphical desktop/KDE
URL:		https://develop.kde.org/frameworks/kirigami/
Source0:	https://download.kde.org/stable/frameworks/%{url_ver}/%{upname}-%{version}.tar.xz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Help)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Qml)
BuildRequires:	cmake(Qt6Quick)
BuildRequires:	cmake(Qt6QuickTest)
BuildRequires:	cmake(Qt6QuickControls2)
BuildRequires:	cmake(Qt6ShaderTools)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)
# runtime dependencies
BuildRequires:	qt6-qt5compat

Requires:	qt6-qt5compat
Provides:	kirigami2 = %{version}-%{release}

%description
Kirigami is KDE’s lightweight user interface framework for mobile
and convergent applications. It allows Qt developers to easily create
applications that run on most major mobile and desktop platforms without
modification (though adapted user interfaces for different form-factors
are supported and recommended for optimal user experience). It extends
the touch-friendly Qt Quick Controls with larger application building
blocks, following the design philosophy laid out in the Kirigami Human
Interface Guidelines.

%files -f libkirigami6_qt.lang
%doc README.md
%license LICENSE*
%{_kf6_categoriesdir}/kirigami.categories
%{_kf6_qmldir}/org/kde/kirigami/
%{_kf6_datadir}/kdevappwizard/templates/kirigami6.tar.bz2

#--------------------------------------------------------------------

%define kirigami_major 6
%define libkirigami    %mklibname kirigami %{kirigami_major}

%package -n	%{libkirigami}
Summary:	Runtime library for %{name}
Group:		System/Libraries
Requires:	%{upname} = %{version}-%{release}

%description -n %{libkirigami}
Runtime library for %{name}.

%files -n %{libkirigami}
%{_kf6_libdir}/libKirigami.so.%{kirigami_major}
%{_kf6_libdir}/libKirigami.so.%{version}

#--------------------------------------------------------------------

%define kirigamid_major      6
%define libkirigamidelegates %mklibname kirigamidelegates %{kirigamid_major}

%package -n	%{libkirigamidelegates}
Summary:	Runtime library for %{name}
Group:		System/Libraries
Requires:	%{upname} = %{version}-%{release}

%description -n %{libkirigamidelegates}
Runtime library for %{name}.

%files -n %{libkirigamidelegates}
%{_kf6_libdir}/libKirigamiDelegates.so.%{kirigamid_major}
%{_kf6_libdir}/libKirigamiDelegates.so.%{version}

#--------------------------------------------------------------------

%define kirigamidi_major   6
%define libkirigamidialogs %mklibname kirigamidialogs %{kirigamidi_major}

%package -n	%{libkirigamidialogs}
Summary:	Runtime library for %{name}
Group:		System/Libraries
Requires:	%{upname} = %{version}-%{release}

%description -n %{libkirigamidialogs}
Runtime library for %{name}.

%files -n %{libkirigamidialogs}
%{_kf6_libdir}/libKirigamiDialogs.so.%{kirigamidi_major}
%{_kf6_libdir}/libKirigamiDialogs.so.%{version}

#--------------------------------------------------------------------

%define kirigamil_major    6
%define libkirigamilayouts %mklibname kirigamilayouts %{kirigamil_major}

%package -n	%{libkirigamilayouts}
Summary:	Runtime library for %{name}
Group:		System/Libraries
Requires:	%{upname} = %{version}-%{release}

%description -n %{libkirigamilayouts}
Runtime library for %{name}.

%files -n %{libkirigamilayouts}
%{_kf6_libdir}/libKirigamiLayouts.so.%{kirigamil_major}
%{_kf6_libdir}/libKirigamiLayouts.so.%{version}

#--------------------------------------------------------------------

%define kirigamip_major     6
%define libkirigamiplatform %mklibname kirigamiplatform %{kirigamip_major}

%package -n	%{libkirigamiplatform}
Summary:	Runtime library for %{name}
Group:		System/Libraries
Requires:	%{upname} = %{version}-%{release}

%description -n %{libkirigamiplatform}
Runtime library for %{name}.

%files -n %{libkirigamiplatform}
%{_kf6_libdir}/libKirigamiPlatform.so.%{kirigamip_major}
%{_kf6_libdir}/libKirigamiPlatform.so.%{version}

#--------------------------------------------------------------------

%define kirigamipr_major      6
%define libkirigamiprimitives %mklibname kirigamiprimitives %{kirigamipr_major}

%package -n	%{libkirigamiprimitives}
Summary:	Runtime library for %{name}
Group:		System/Libraries
Requires:	%{upname} = %{version}-%{release}

%description -n %{libkirigamiprimitives}
Runtime library for %{name}.

%files -n %{libkirigamiprimitives}
%{_kf6_libdir}/libKirigamiPrimitives.so.%{kirigamipr_major}
%{_kf6_libdir}/libKirigamiPrimitives.so.%{version}

#--------------------------------------------------------------------

%define kirigamiprv_major  6
%define libkirigamiprivate %mklibname kirigamiprivate %{kirigamiprv_major}

%package -n	%{libkirigamiprivate}
Summary:	Runtime library for %{name}
Group:		System/Libraries
Requires:	%{upname} = %{version}-%{release}

%description -n %{libkirigamiprivate}
Runtime library for %{name}.

%files -n %{libkirigamiprivate}
%{_kf6_libdir}/libKirigamiPrivate.so.%{kirigamiprv_major}
%{_kf6_libdir}/libKirigamiPrivate.so.%{version}

#--------------------------------------------------------------------

%define libkirigami_dev %mklibname kf6kirigami2 -d

%package -n	%{libkirigami_dev}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libkirigami} = %{version}-%{release}
Requires:	%{libkirigamidelegates} = %{version}-%{release}
Requires:	%{libkirigamidialogs} = %{version}-%{release}
Requires:	%{libkirigamilayouts} = %{version}-%{release}
Requires:	%{libkirigamiplatform} = %{version}-%{release}
Requires:	%{libkirigamiprimitives} = %{version}-%{release}
Requires:	%{libkirigamiprivate} = %{version}-%{release}
Provides:	kirigami2-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libkirigami_dev}
This package contains header files needed if you wish to build
applications based on %{name}.

%files -n %{libkirigami_dev}
%{_kf6_includedir}/Kirigami/
%{_kf6_libdir}/libKirigami.so
%{_kf6_libdir}/libKirigamiDelegates.so
%{_kf6_libdir}/libKirigamiDialogs.so
%{_kf6_libdir}/libKirigamiLayouts.so
%{_kf6_libdir}/libKirigamiPlatform.so
%{_kf6_libdir}/libKirigamiPrimitives.so
%{_kf6_libdir}/libKirigamiPrivate.so
%{_kf6_libdir}/cmake/KF6Kirigami/
%{_kf6_libdir}/cmake/KF6Kirigami2/
%{_kf6_libdir}/cmake/KF6KirigamiPlatform/

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{upname}-%{version}

%build
%cmake_kf6

%cmake_build

%install
%cmake_install

%find_lang_kf6 libkirigami6_qt
