#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kiriki
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Close of Yahtzee
Group:          Games/Cards
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://apps.kde.org/kiriki/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6PrintSupport)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(KDEGames6)

Recommends:     kiriki-handbook


%description
Kiriki is an addictive and fun dice game, designed to be played by as many as
six players.

Participants have to collect points by rolling five dice for up to
three times per single turn.

%files -f %name.lang
%_kf6_bindir/kiriki
%_kf6_applicationsdir/*.desktop
%_kf6_iconsdir/hicolor/*/apps/kiriki.png
%_kf6_datadir/kiriki/
%_kf6_metainfodir/*.xml

#------------------------------------------------------------------------------

%package -n kiriki-handbook
Summary:        kiriki handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kiriki >= %{epoch}:%{version}-%{release}

%description -n kiriki-handbook
This package provides the kiriki handbook.

%files -n kiriki-handbook
%_kf6_docdir/HTML/*/kiriki

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name --all-name
