%global _version        2020-12-R3

## {Local macros...
%global cfgdir          %_sysconfdir/%name
%global _rpmversion     %(echo %_version | tr - .)
## ...local macros}

%{!?apply:%global  apply(p:n:b:) %patch%%{-n:%%{-n*}} %%{-p:-p%%{-p*}} %%{-b:-b%%{-b*}} \
%nil}

Summary:        WLAN detector, sniffer and IDS
Name:           kismet
Version:        %_rpmversion
Release:        %mkrel 13
Group:          Networking/Other
License:        GPLv2+
URL:            https://www.kismetwireless.net/
Source0:        https://www.kismetwireless.net/code/%{name}-%_version.tar.xz
Source1:        README.urpmi

Patch0:         kismet-include.patch
Patch1:         kismet-install.patch

BuildRequires:  pkgconfig(ncurses)
BuildRequires:  libpcap-devel
BuildRequires:  libnl3-devel
BuildRequires:  pkgconfig(bluez)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  diffutils
BuildRequires:  libmicrohttpd-devel
BuildRequires:  protobuf-devel
BuildRequires:  protobuf-c-devel
BuildRequires:  pkgconfig(libnm)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(libwebsockets)
BuildRequires:  pkgconfig(libcap)
BuildRequires:  lm_sensors-devel
BuildRequires:  pkgconfig(libusb-1.0)
BuildRequires:  python3-setuptools

# (doktor5000) required for the creation of the group to run suid capture helper
Requires(pre):    rpm-helper
Requires(post):   rpm-helper
Requires(preun):  rpm-helper
Requires(postun): rpm-helper

%description
Kismet is an 802.11 layer2 wireless network detector, sniffer, and
intrusion detection system. Kismet will work with any wireless card
which supports raw monitoring (rfmon) mode, and can sniff 802.11b,
802.11a, and 802.11g traffic.

Kismet identifies networks by passively collecting packets and detecting
standard named networks, detecting (and given time, decloaking) hidden
networks, and inferring the presence of nonbeaconing networks via data
traffic.

%prep
%setup -qn %{name}-%{_version}

%patch -P 0 -p0
%patch -P 1 -p0

sed -i 's!\$(prefix)/lib/!%{_libdir}/!g' plugin-*/Makefile


# set our 'kismet' user, disable GPS and log into %%logdir by
# default
sed -i \
    -e '\!^ouifile=/etc/manuf!d' \
    -e '\!^ouifile=/usr/share/wireshark/wireshark/manuf!d' \
    conf/kismet.conf

%build

export ac_cv_lib_uClibcpp_main=no # we do not want to build against uClibc++, even when available
export LDFLAGS='-Wl,--as-needed'
%configure \
           --sysconfdir=%cfgdir \
           CXXFLAGS="$RPM_OPT_FLAGS -D__STDC_FORMAT_MACROS"

%make_build

sed -i s/2019-08-GIT/%{version}-%{release}%{?dist}/g packaging/kismet.pc

%install
BIN=$RPM_BUILD_ROOT/%{_bindir} ETC=$RPM_BUILD_ROOT/etc %make_install

# Currently broken (maybe due to python version)
rm -f %{buildroot}/%{_bindir}/kismet_cap_sdr_rtla*

%pre
# (doktor5000) add kismet group to run suid capture helper
%_pre_groupadd %{name}

%postun
%_postun_groupdel %{name}

%files
%doc CHANGELOG README* docs/
%dir %attr(0755,root,root) %cfgdir
%config(noreplace) %cfgdir/*
%{_bindir}/kismet
%attr(4750,root,%{name}) %{_bindir}/kismet_cap*
%{_bindir}/kismetdb*
%{_bindir}/kismet_discovery
%{_bindir}/kismet_server
%{_datadir}/kismet
%{_libdir}/pkgconfig/kismet.pc
%{python3_sitelib}/Kismet*

