#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 1 addon with item models
Name:           kitemmodels
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Svg)

%description
KDE Frameworks 6 Tier 1 addon with item models.

%files
%_kf6_categoriesdir/kitemmodels.*categories
%_kf6_qmldir/org/kde/kitemmodels/

#--------------------------------------------------------------------

%define kitemmodels_major 6
%define libkitemmodels %mklibname kf6itemmodels %{kitemmodels_major}

%package -n %libkitemmodels
Summary:        KDE Frameworks 6 Tier 1 addon with item models
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkitemmodels
KDE Frameworks 6 Tier 1 addon with item models.

%files -n %libkitemmodels
%_kf6_libdir/libKF6ItemModels.so.%{kitemmodels_major}{,.*}
%_kf6_libdir/libKF6ItemModels.so.%{version}

#--------------------------------------------------------------------

%define kitemmodels_devel %mklibname kf6itemmodels -d

%package -n %kitemmodels_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkitemmodels = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kitemmodels_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kitemmodels_devel
%_kf6_includedir/KItemModels/
%_kf6_libdir/cmake/KF6ItemModels/
%_kf6_libdir/libKF6ItemModels.so

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

