#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 1 addon with item views
Name:           kitemviews
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6UiPlugin)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Help)

%description
KDE Frameworks 6 Tier 1 addon with item views.

%files -f kitemviews6_qt.lang
%_kf6_categoriesdir/kitemviews.*categories
%_qt6_plugindir/designer/kitemviews6widgets.so

#--------------------------------------------------------------------

%define kitemviews_major 6
%define libkitemviews %mklibname kf6itemviews %{kitemviews_major}

%package -n %libkitemviews
Summary:        KDE Frameworks 6 Tier 1 addon with item views
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkitemviews
KDE Frameworks 6 Tier 1 addon with item views.

%files -n %libkitemviews
%_kf6_libdir/libKF6ItemViews.so.%{kitemviews_major}{,.*}
%_kf6_libdir/libKF6ItemViews.so.%{version}

#--------------------------------------------------------------------

%define kitemviews_devel %mklibname kf6itemviews -d

%package -n %kitemviews_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkitemviews = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kitemviews_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kitemviews_devel
%_kf6_includedir/KItemViews/
%_kf6_libdir/cmake/KF6ItemViews/
%_kf6_libdir/libKF6ItemViews.so

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang_kf6 kitemviews6_qt
