#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kiten
Summary:        A Japanese reference/learning tool
Version: 25.04.0
Release:        %mkrel %{rel}
Group:          Education
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://apps.kde.org/kiten/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz
#Branch patches 100->200

#Trunk patches 200->300

#Mageia patches 500->600

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6XmlGui)

Recommends:     kiten-handbook
Requires:       fonts-ttf-kanjistrokeorders


%description
Kiten is a Japanese reference/learning tool.

Kiten features:
* Searching with English keywords, Japanese reading, or a Kanji string on a
  list of EDICT files.
* Searching with English keywords, Japanese reading, number of strokes, grade
  number, or a Kanji on a list of KANJIDIC files.
* Comes with all necessary files.
* Very fast.
* Limit searches to only common entries.
* Nested searches of results possible.
* Compact, small, fast interface.
* Global KDE keybindings for searching highlighted strings.
* Learning dialog. (One can even open up multiple ones and have them sync
  between each other.)
* Browse Kanji by grade.
* Add Kanji to a list for later learning.
* Browse list, and get quizzed on them.

%files -f %name.lang
%_kf6_bindir/kiten
%_kf6_bindir/kitenradselect
%_kf6_bindir/kitenkanjibrowser
%_kf6_datadir/kiten/
%_kf6_applicationsdir/*.desktop
%_kf6_metainfodir/*.xml
%_kf6_datadir/config.kcfg/kiten.kcfg
%_kf6_iconsdir/*/*/apps/kiten.*

#------------------------------------------------------------------------------

%package handbook
Summary:        Kiten handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides kiten handbook.

%files handbook
%doc COPYING.DOC AUTHORS README.md
%license LICENSES/*.txt
%doc %_kf6_docdir/HTML/*/kiten

#------------------------------------------------------------------------------

%package -n fonts-ttf-kanjistrokeorders
Summary:        Kanji Stroke Orders Fonts
Group:          System/Fonts/True type
License:        BSD
BuildArch:      noarch

%description -n fonts-ttf-kanjistrokeorders
This package provides the Kanji Stroke Orders.

%files -n fonts-ttf-kanjistrokeorders
%_kf6_datadir/fonts/kanjistrokeorders/KanjiStrokeOrders.ttf

#------------------------------------------------------------------------------

%define libkiten_major 6
%define libkiten %mklibname kiten %{libkiten_major}

%package -n %libkiten
Summary:        Runtime library for Kiten
Group:          System/Libraries

%description -n %libkiten
libkiten is a library for managing a variety of japanese cross-language
dictionaries through a common interface. It provides a light abstraction layer
over various types of japanese dictionaries, with a simple facility for adding
more types.

%files -n %libkiten
%_kf6_libdir/libkiten.so.%{libkiten_major}{,.*}

#------------------------------------------------------------------------------

%package devel
Summary:        Devel stuff for %{name}
Group:          Development/KDE and Qt
Requires:       %libkiten = %version-%release

%description  devel
Files needed to build applications based on %{name}.

%files devel
%_kf6_libdir/libkiten.so
%_includedir/libkiten/

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install
%find_lang %name
