#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kitinerary
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Library for handling Itinerary data
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# Upstream patches
#

# Mageia patches
#
BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Qml)

BuildRequires:  cmake(KF6Contacts) >= 5.240
BuildRequires:  cmake(KF6CalendarCore) >= 5.240
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KPim6Mime) >= 5.240
BuildRequires:  cmake(KPim6PkPass)

BuildRequires:  cmake(KF6CalendarCore)

BuildRequires:  pkgconfig(poppler)
BuildRequires:  pkgconfig(shared-mime-info)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(zxing)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  phonenumber-devel

# OsmTools, Tools to convert, filter and update OpenStreetMap data files,
# Needed only for regenereating the airport database (ie. you most likely don't need this)
BuildRequires:  osmctools
Requires:       osmctools


%description
Library for handling Itinerary data.

%files -f %{name}.lang
%{_kf6_categoriesdir}/org_kde_kitinerary.categories
%{_kf6_libexecdir}/kitinerary-extractor
%{_kf6_datadir}/mime/packages/application-vnd-kde-itinerary.xml

#--------------------------------------------------------------------

%define major 6
%define libname %mklibname kpim6itinerary %{major}

%package -n %{libname}
Summary:        Library for handling Itinerary data
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %{libname}
Library for handling Itinerary data.

%files -n %{libname}
%{_kf6_libdir}/libKPim6Itinerary.so.%{major}{,.*}

#--------------------------------------------------------------------

%define devname %mklibname kpim6itinerary -d

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/KDE and Qt
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains development files for %{name}.

%files -n %{devname}
%{_includedir}/KPim6/KItinerary/
%{_includedir}/KPim6/kitinerary/
%{_includedir}/KPim6/kitinerary_version.h
%{_kf6_libdir}/*.so
%{_kf6_libdir}/cmake/KPim6Itinerary/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name --with-html
