#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define rel 1

Summary:        KDE Frameworks 6 Tier 2 addon for jobs
Name:           kjobwidgets
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Help)

BuildRequires:  cmake(KF6CoreAddons) >= %version
BuildRequires:  cmake(KF6Notifications) >= %version
BuildRequires:  cmake(KF6WidgetsAddons) >= %version

%description
KDE Frameworks 6 Tier 2 addon for jobs.

%files -f %{name}6_qt.lang
%_kf6_categoriesdir/kjobwidgets.*categories
%_kf6_datadir/dbus-1/interfaces/*.xml

#--------------------------------------------------------------------

%define kf6jobwidgets_major 6
%define libkf6jobwidgets %mklibname kf6jobwidgets %{kf6jobwidgets_major}

%package -n %libkf6jobwidgets
Summary:        KDE Frameworks 6 Tier 2 addon for jobs
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf6jobwidgets
KDE Frameworks 6 Tier 2 addon for jobs.

%files -n %libkf6jobwidgets
%_kf6_libdir/libKF6JobWidgets.so.%{kf6jobwidgets_major}{,.*}
%_kf6_libdir/libKF6JobWidgets.so.%{version}

#--------------------------------------------------------------------

%define kf6jobwidgets_devel %mklibname kf6jobwidgets -d

%package -n %kf6jobwidgets_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6jobwidgets = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6jobwidgets_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6jobwidgets_devel
%_kf6_includedir/KJobWidgets/
%_kf6_libdir/cmake/KF6JobWidgets/
%_kf6_libdir/*.so

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang_kf6 %{name}6_qt
