#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kjumpingcube
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        A tactical game for number-crunchers
Group:          Games/Strategy
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://apps.kde.org/kjumpingcube/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6JobWidgets)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6WidgetsAddons)

BuildRequires:  cmake(KDEGames6)

Recommends:     kjumpingcube-handbook


%description
KJumpingCube is a tactical one or two-player game. The playing field
consists of squares that contains points which can be increased. By
this you can gain more fields and finally win the board over.

%files -f %name.lang
%_kf6_categoriesdir/kjumpingcube.*categories
%_kf6_bindir/kjumpingcube
%_kf6_applicationsdir/*.desktop
%_kf6_datadir/kjumpingcube/
%_kf6_iconsdir/*/*/*/*
%_kf6_datadir/config.kcfg/kjumpingcube.kcfg
%_kf6_metainfodir/org.kde.kjumpingcube.appdata.xml

#------------------------------------------------------------------------------

%package -n kjumpingcube-handbook
Summary:        kjumpingcube handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kjumpingcube >= %{epoch}:%{version}-%{release}

%description -n kjumpingcube-handbook
This package provides the kjumpingcube handbook.

%files -n kjumpingcube-handbook
%_kf6_docdir/HTML/*/kjumpingcube

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
