%define major		4
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Easily get an image from a LaTeX formula
Name:		klatexformula
Version:	4.1.0
Release:	%mkrel 4
License:	GPLv2+
Group:		Publishing
Url:		https://github.com/klatexformula/klatexformula
Source0:	https://sourceforge.net/projects/%{name}/files/%{name}/%{name}-%{version}/%{name}-%{version}.tar.bz2
Patch0:		klatexformula-4.1.0-fix-build-against-qt-5.15.0.patch
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	help2man
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Designer)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5X11Extras)

Requires:	ghostscript
Requires:	tetex-latex
Requires:	tetex-dvips
Requires:	qt5-database-plugin-sqlite

%description
This application provides an easy-to-use graphical user interface
for generating images from LaTeX equations. These images can be
dragged and dropped or copied and pasted into external applications
(presentations, text documents, graphics...), or can be saved to
disk in a variety of formats (PNG, JPG, BMP, EPS, PDF, etc.). In
addition to the graphical user interface, a command-line interface
and a C++ library are provided to perform the same job.

%package -n %libname
Summary:	Shared libraries for KLatexFormula
Group:		System/Libraries

%description -n %libname
This package contains shared libraries for KLatexFormula.

%package -n %develname
Summary:	Development files for KLatexFormula
Group:		Development/C++
Requires:	%libname = %version-%release
Provides:	%{name}-devel = %version-%release
Obsoletes:	%{name}-devel < 3.2.11-6

%description -n %develname
This package contains development files for KLatexFormula.

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt5 \
	-DKLF_LIBKLFBACKEND_STATIC=OFF \
	-DKLF_LIBKLFBACKEND_AUTO_STATIC=OFF \
	-DKLF_LIBKLFTOOLS_STATIC=OFF \
	-DKLF_INSTALL_ICON_THEME=%{_iconsdir}/hicolor/ \
	-DKLF_INSTALL_DESKTOP_CATEGORIES="Qt;Office;" \
	-DKLF_INSTALL_DESKTOP_ICON="%{name}" \
	-DKLF_INSTALL_DESPLUGIN_DIR=%{_qt5_plugindir}/designer/ \
	-DCMAKE_SKIP_RPATH=ON \
	-DKLF_INSTALL_LIB_DIR=%{_libdir}
%cmake_build

%install
%cmake_install

%files
%doc AUTHORS README descr_*.txt
%doc %{_docdir}/%{name}/
%{_bindir}/*
%{_datadir}/%{name}/
%{_qt5_plugindir}/designer/*.so
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/*.xml
%{_datadir}/pixmaps/*.png
%{_mandir}/man1/*

%files -n %libname
%{_libdir}/lib*.so.%{major}

%files -n %develname
%{_includedir}/klfbackend/
%{_includedir}/klftools/
%{_libdir}/lib*.so
