%define major	0
%define libname	%mklibname %name %{major}
%define devel	%mklibname %{name} -d

Summary:	Touch Typing Tutor
Name:		klavaro
Version:	3.14
Release:	%mkrel 1
License:	GPLv2+
Group:		Education
URL:		https://klavaro.sourceforge.io/
Source0:	https://sourceforge.net/projects/klavaro/files/klavaro-%{version}.tar.bz2
Patch0:		klavaro-3.05-linking.patch
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.22
BuildRequires:	pkgconfig(gtkdatabox)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtkdatabox)
Recommends:	wget

%description
Klavaro is just another free touch typing tutor program. It was developed
because the authors became frustrated with the other options, which relied
mostly on some few specific keyboards. Klavaro intends to be keyboard and
language independent, saving memory and time (and money).

%package -n %{libname}
Summary:	Touch Typing Tutor
Group:		System/Libraries

%description -n %{libname}
Klavaro is just another free touch typing tutor program. It was developed
because the authors became frustrated with the other options, which relied
mostly on some few specific keyboards. Klavaro intends to be keyboard and
language independent, saving memory and time (and money).

%package -n %{devel}
Summary:	Touch Typing Tutor
Group:		Development/C
Requires:	%{libname} >= %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devel}
Klavaro is just another free touch typing tutor program. It was developed
because the authors became frustrated with the other options, which relied
mostly on some few specific keyboards. Klavaro intends to be keyboard and
language independent, saving memory and time (and money).

%prep
%autosetup -p1

%build
%configure \
	--disable-rpath \
	--disable-static
%make_build

%install
%make_install DATADIRNAME=share

find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/*
%{_datadir}/%name
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/*.1.*
%{_datadir}/metainfo/klavaro.appdata.xml

%files -n %{libname}

%files -n %{devel}
