#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        LDAP access API for KDE
Name:           kldap
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Gui)

BuildRequires:  cmake(Qt6Keychain)

BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6WidgetsAddons)

BuildRequires:  pkgconfig(ldap)
BuildRequires:  pkgconfig(libsasl2)

Recommends:     %{name}-handbook


%description
LDAP access API for KDE.

%files -f %name.lang
%_kf6_categoriesdir/kldap.categories
%_kf6_categoriesdir/kldap.renamecategories

#--------------------------------------------------------------------

%package -n kio6-ldap
Summary:        KDE ldap module
Group:          System/Libraries
Requires:       %{name} >= %version-%release
Requires:       akonadi-contacts

%description -n kio6-ldap
KDE ldap module.

%files -n kio6-ldap
%_kf6_plugindir/kio/ldap.so

#------------------------------------------------------------------------------

%define kpimldapcore_major 6
%define libkpimldapcore %mklibname kpim6ldapcore %{kpimldapcore_major}

%package -n %libkpimldapcore
Summary:        LDAP access API for KDE
Group:          System/Libraries

%description -n %libkpimldapcore
LDAP access API for KDE.

%files -n %libkpimldapcore
%_kf6_libdir/libKPim6LdapCore.so.%{kpimldapcore_major}{,.*}

#--------------------------------------------------------------------

%define kpimldapwidgets_major 6
%define libkpimldapwidgets %mklibname kpim6ldapwidgets %{kpimldapwidgets_major}

%package -n %libkpimldapwidgets
Summary:        LDAP access API for KDE
Group:          System/Libraries

%description -n %libkpimldapwidgets
LDAP access API for KDE.

%files -n %libkpimldapwidgets
%_kf6_libdir/libKPim6LdapWidgets.so.%{kpimldapwidgets_major}{,.*}

#--------------------------------------------------------------------

%define kldap_devel %mklibname kpim6ldap -d

%package -n %kldap_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Requires:       %libkpimldapcore = %version-%release
Requires:       %libkpimldapwidgets = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kldap_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kldap_devel
%_includedir/KPim6/KLDAPCore/
%_includedir/KPim6/KLDAPWidgets/
%_kf6_libdir/libKPim6LdapCore.so
%_kf6_libdir/libKPim6LdapWidgets.so
%_kf6_libdir/cmake/KPim6LdapCore/
%_kf6_libdir/cmake/KPim6LdapWidgets/

#--------------------------------------------------------------------

%package        handbook
Summary:        Kldap Handbook
Group:          Documentation
BuildArch:      noarch

%description    handbook
This package provides Kldap handbook.

%files handbook
%{_kf6_docdir}/HTML/*/kioworker6/ldap/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name --all-name
