#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Certificate manager and GUI for OpenPGP and CMS cryptography for KDE
Name:           kleopatra
Epoch:          2
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://apps.kde.org/kleopatra/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6PrintSupport)

BuildRequires:  cmake(KF6Codecs) >= 5.240
BuildRequires:  cmake(KF6Config) >= 5.240
BuildRequires:  cmake(KF6CoreAddons) >= 5.240
BuildRequires:  cmake(KF6Crash) >= 5.240
BuildRequires:  cmake(KF6I18n) >= 5.240
BuildRequires:  cmake(KF6IconThemes) >= 5.240
BuildRequires:  cmake(KF6ItemModels) >= 5.240
BuildRequires:  cmake(KF6KCMUtils) >= 5.240
BuildRequires:  cmake(KF6KIO) >= 5.240
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6WindowSystem) >= 5.240
BuildRequires:  cmake(KF6XmlGui) >= 5.240
BuildRequires:  cmake(KF6StatusNotifierItem)
BuildRequires:  cmake(KF6DocTools) >= 5.240
BuildRequires:  cmake(KF6DBusAddons)

BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6TextWidgets)

# Kdepimlibs packages
BuildRequires:  cmake(KPim6Libkleo) >= 5.240
BuildRequires:  cmake(KPim6Mime) >= 5.240
BuildRequires:  cmake(KPim6IdentityManagementCore)
BuildRequires:  cmake(KPim6MailTransport)
BuildRequires:  cmake(KPim6AkonadiMime)
BuildRequires:  cmake(KPim6MimeTreeParserWidgets)

BuildRequires:  git-core
BuildRequires:  boost-devel >= 1.58
BuildRequires:  cmake(Gpgmepp) >= 1.20.0
BuildRequires:  pkgconfig(libassuan)

Requires:       pinentry-qt6
Requires:       ksshaskpass

Recommends:     kleopatra-handbook


%description
Certificate manager and GUI for OpenPGP and CMS cryptography for KDE.

%files -f %name.lang
%_kf6_categoriesdir/kleopatra.*categories
%_kf6_sysconfdir/xdg/kleopatradebugcommandsrc
%_kf6_bindir/kleopatra
%_kf6_bindir/kwatchgnupg
%_kf6_metainfodir/org.kde.kleopatra.appdata.xml
%_kf6_applicationsdir/kleopatra_import.desktop
%_kf6_applicationsdir/org.kde.kleopatra.desktop
%_kf6_applicationsdir/org.kde.kwatchgnupg.desktop
%_kf6_iconsdir/*/*/*/*
%_kf6_services/kleopatra*.desktop
%_kf6_datadir/mime/packages/kleopatra-mime.xml
%_kf6_datadir/mime/packages/application-vnd-kde-kleopatra.xml

#--------------------------------------------------------------------

%package -n kleopatra-handbook
Summary:        Kleopatra and Kwatchgnugpg handbooks
Group:          Documentation
BuildArch:      noarch
Requires:       kleopatra => %{epoch}:%{version}-%{release}

%description -n kleopatra-handbook
This package provides handbooks for Kleopatra & Kwatchgnugpg.

%files -n kleopatra-handbook
%_kf6_docdir/HTML/*/kleopatra
%_kf6_docdir/HTML/*/kwatchgnupg

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name

