#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           klettres
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Language learning program
Group:          Education
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://apps.kde.org/klettres/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz
#Branch patches 100->200

#Trunk patches 200->300

#Mageia patches 500->600

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(Phonon4Qt6)

BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6XmlGui)

Recommends:     klettres-handbook


%description
KLettres aims to help to learn the alphabet and then to read some syllables
in different languages. It is meant to help learning the very first sounds
of a new language, for children or for adults.

%files -f %name.lang
%_kf6_categoriesdir/klettres.categories
%_kf6_bindir/klettres
%_kf6_datadir/klettres/
%_kf6_iconsdir/*/*/apps/klettres.*
%_kf6_applicationsdir/*.desktop
%_kf6_metainfodir/*.xml
%_kf6_datadir/config.kcfg/klettres.kcfg
%_kf6_datadir/knsrcfiles/klettres.knsrc

#------------------------------------------------------------------------------

%package handbook
Summary:        Klettres handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides klettres handbook.

%files handbook
%doc COPYING.DOC AUTHORS TODO
%doc %_kf6_docdir/HTML/*/klettres

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %name
