#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           klickety
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        An adaptation of the Clickomania game
Group:          Games/Boards
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://apps.kde.org/klickety/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Core)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6DBusAddons)

BuildRequires:  cmake(KDEGames6)

Recommends:     klickety-handbook


%description
Klickety is an adaptation of the Clickomania game.
The rules are similar to those of the Same game: your goal is to clear
the board by clicking on groups to destroy them.

%files -f %name.lang
%_kf6_bindir/klickety
%_kf6_applicationsdir/*.desktop
%_kf6_datadir/klickety/
%_kf6_datadir/kconf_update/*
%_kf6_iconsdir/*/*/apps/klickety.*
%_kf6_iconsdir/*/*/apps/ksame.*
%_kf6_datadir/sounds/klickety
%_kf6_metainfodir/org.kde.klickety.appdata.xml
%_kf6_metainfodir/org.kde.ksame.appdata.xml

#------------------------------------------------------------------------------

%package -n klickety-handbook
Summary:        klickety handbook
Group:          Documentation
BuildArch:      noarch
Requires:       klickety >= %{epoch}:%{version}-%{release}

%description -n klickety-handbook
This package provides the klickety handbook.

%files -n klickety-handbook
%_kf6_docdir/HTML/*/klickety

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %name
