#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           klines
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Place 5 equal pieces together, but wait, there are 3 new ones
License:        GPLv2 and LGPLv2 and GFDL
Group:          Games/Boards
URL:            https://apps.kde.org/klines/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  cmake(KDEGames6)

Recommends:     klines-handbook


%description
KLines is a simple but highly addictive one player game.

The player has to move the colored balls around the game board, gathering them
into the lines of the same color by five. Once the line is complete it is
removed from the board, therefore freeing precious space. In the same time the
new balls keep arriving by three after each move, filling up the game board.

%files -f %name.lang
%_kf6_categoriesdir/klines.*categories
%_kf6_bindir/klines
%_kf6_applicationsdir/*.desktop
%_kf6_datadir/klines/
%_kf6_iconsdir/hicolor/*/apps/klines.png
%_kf6_datadir/config.kcfg/klines.kcfg
%_kf6_metainfodir/org.kde.klines.appdata.xml

#------------------------------------------------------------------------------

%package -n klines-handbook
Summary:        klines handbook
Group:          Documentation
BuildArch:      noarch
Requires:       klines >= %{epoch}:%{version}-%{release}

%description -n klines-handbook
This package provides the klines handbook.

%files -n klines-handbook
%_kf6_docdir/HTML/*/klines

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
