#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kmag
Epoch:          2
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Screen magnifier for Plasma
Group:          Accessibility
License:        GPLv2 and GFDL
URL:            https://apps.kde.org/kmag/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6PrintSupport)

BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(QAccessibilityClient6)

Recommends:     kmag-handbook


%description
KMag is a small utility for Linux to magnify a part of the screen. KMag is very
useful for people with visual disabilities and for those working in the fields
of image analysis, web development etc.

%files -f %name.lang
%_kf6_bindir/kmag
%_kf6_applicationsdir/*.desktop
%_kf6_iconsdir/hicolor/*/*/kmag*
%_kf6_datadir/kmag/
%_kf6_metainfodir/org.kde.kmag.metainfo.xml

#------------------------------------------------------------------------------

%package handbook
Summary:        Kmag handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
KMag is a small utility for Linux to magnify a part of the screen. KMag is very
useful for people with visual disabilities and for those working in the fields
of image analysis, web development etc.

This package provides kmag handbook & mandir.

%files handbook
%doc ChangeLog README.md
%license LICENSES/*
%doc %_kf6_docdir/HTML/*/kmag
%_kf6_mandir/man1/kmag.1.*
%_kf6_mandir/*/man1/kmag.1.*

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name
