#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kmahjongg
Summary:        A tile laying patience
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Group:          Games/Boards
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://apps.kde.org/kmahjongg/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Svg)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(KMahjongglib6)
BuildRequires:  cmake(KDEGames6)

Requires:       kmahjongglib

Recommends:     kmahjongg-handbook


%description
In KMahjongg the tiles are scrambled and staked on top of each other to resemble
a certain shape. The player is then expected to remove all the tiles off the
game board by locating each tile's matching pair.

%files -f %name.lang
%_kf6_categoriesdir/kmahjongg.*categories
%_kf6_bindir/kmahjongg
%_kf6_applicationsdir/*.desktop
%_kf6_datadir/kmahjongg
%_kf6_datadir/icons/hicolor/*/apps/kmahjongg.*
%_kf6_datadir/config.kcfg/kmahjongg.kcfg
%_kf6_metainfodir/org.kde.kmahjongg.appdata.xml

#------------------------------------------------------------------------------

%package -n kmahjongg-handbook
Summary:        kmahjongg handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kmahjongg >= %{epoch}:%{version}-%{release}

%description -n kmahjongg-handbook
This package provides the kmahjongg handbook.

%files -n kmahjongg-handbook
%_kf6_docdir/HTML/*/kmahjongg

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
