#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kmail-account-wizard
Summary:        An application which assists you with the configuration of accounts in KMail
Epoch:          2
Version: 25.04.0
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://kontact.kde.org
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%{version}.tar.xz

# Upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)

# Find KF6 package
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Package)

# Find KdepimLibs Package
BuildRequires:  cmake(KPim6Mime)
BuildRequires:  cmake(KPim6Akonadi)
BuildRequires:  cmake(KPim6IdentityManagementCore)
BuildRequires:  cmake(KPim6LdapCore)
BuildRequires:  cmake(KPim6MailTransport)
BuildRequires:  cmake(KPim6Libkleo)
BuildRequires:  cmake(KPim6IMAP)
BuildRequires:  cmake(KPim6AkonadiMime)

BuildRequires:  cmake(Qt6Keychain)
BuildRequires:  pkgconfig(shared-mime-info)

Provides:       kdepim-accountwizard = %version-%release


%description
An application which assists you with the configuration of accounts in KMail.

%files -f %name.lang
%_kf6_bindir/accountwizard
%_kf6_applicationsdir/org.kde.accountwizard.desktop
%_kf6_metainfodir/org.kde.accountwizard.appdata.xml

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install
%find_lang %name --all-name
