#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%global __requires_exclude devel\\(libKF6
%define kontact_mobile 1

%define rel 1

Name:           kmail
Epoch:          2
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Email client, supporting POP3 and IMAP mailboxes
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://apps.kde.org/kmail2/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%{version}.tar.xz
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6WebEngineWidgets)

BuildRequires:  cmake(Gpgmepp)

# Find KF6 package
BuildRequires:  cmake(KF6Bookmarks)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6ItemViews)
BuildRequires:  cmake(KF6JobWidgets)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6NotifyConfig)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6Sonnet)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6Contacts)
BuildRequires:  cmake(KF6CalendarCore)
BuildRequires:  cmake(KF6StatusNotifierItem)

# Find KdepimLibs Package
BuildRequires:  cmake(KPim6WebEngineViewer)
BuildRequires:  cmake(KPim6AkonadiSearch)
BuildRequires:  cmake(KPim6Akonadi)
BuildRequires:  cmake(KPim6AkonadiContactWidgets)
BuildRequires:  cmake(KPim6AkonadiMime)
BuildRequires:  cmake(KPim6CalendarUtils)
BuildRequires:  cmake(KPim6IdentityManagementCore)
BuildRequires:  cmake(KPim6LdapWidgets)
BuildRequires:  cmake(KPim6MailTransport)
BuildRequires:  cmake(KPim6TextEdit)
BuildRequires:  cmake(KPim6KontactInterface)
BuildRequires:  cmake(KPim6Mime)
BuildRequires:  cmake(KPim6Gravatar)
BuildRequires:  cmake(KPim6Libkdepim)
BuildRequires:  cmake(KPim6Libkleo)
BuildRequires:  cmake(KPim6KSieveUi)
BuildRequires:  cmake(KPim6MailCommon)
BuildRequires:  cmake(KPim6MessageCore)
BuildRequires:  cmake(KPim6MessageComposer)
BuildRequires:  cmake(KPim6MessageList)
BuildRequires:  cmake(KPim6MessageViewer)
BuildRequires:  cmake(KPim6PimCommonAkonadi)
BuildRequires:  cmake(KPim6TemplateParser)
BuildRequires:  cmake(KPim6Tnef)
BuildRequires:  cmake(KPim6MailTransportDBusService)
BuildRequires:  cmake(KPim6PimCommonActivities)

BuildRequires:  cmake(KF6TextEditTextToSpeech)
BuildRequires:  cmake(KF6TextAutoCorrectionWidgets)
BuildRequires:  cmake(KF6TextUtils)
BuildRequires:  cmake(KF6TextCustomEditor)
BuildRequires:  cmake(Qt6Keychain)

BuildRequires:  cmake(KF6UserFeedback)
BuildRequires:  pkgconfig(gpg-error)

Requires:       akonadi-kde
Requires:       akonadi-contacts
Requires:       akonadi-mime
Requires:       kmailtransport
Requires:       kdepim-addons
Requires:       sasl-plug-plain
Requires:       sasl-plug-ntlm
Requires:       sasl-plug-login
Requires:       sasl-plug-digestmd5
Requires:       kio6-pop3
Requires:       kio6-smtp
Requires:       messagelib
Requires:       baloo
Requires:       kwallet
Requires:       kmail-account-wizard
Requires:       qtwebengine6
Requires:       libkdepim
Requires:       ktexttemplate
Requires:       grantlee-editor
Requires:       pim-data-exporter
Requires:       pim-sieve-editor
Requires:       akonadi-import-wizard

Requires:       pinentry-qt6
Requires:       ksshaskpass
Recommends:     kmail-handbook
Recommends:     akonadi-calendar-tools
Recommends:     akonadi-calendar-common
Recommends:     sasl2-plugin-kdexoauth2


%description
Email client, supporting POP3 and IMAP mailboxes.

%files -f %name.lang
%_kf6_categoriesdir/kmail.categories
%_kf6_categoriesdir/kmail.renamecategories
%_kf6_bindir/akonadi_archivemail_agent
%_kf6_bindir/akonadi_followupreminder_agent
%_kf6_bindir/akonadi_mailfilter_agent
%_kf6_bindir/akonadi_mailmerge_agent
%_kf6_bindir/akonadi_sendlater_agent
%_kf6_bindir/akonadi_unifiedmailbox_agent
%_kf6_bindir/kmail
%_kf6_bindir/kmail-refresh-settings
%_kf6_datadir/kmail2/
%_qt6_plugindir/kmailpart.so
%_qt6_plugindir/pim6/akonadi/config/archivemailagentconfig.so
%_qt6_plugindir/pim6/akonadi/config/followupreminderagentconfig.so
%_qt6_plugindir/pim6/akonadi/config/sendlateragentconfig.so
%_qt6_plugindir/pim6/kcms/kmail/
%_qt6_plugindir/pim6/kcms/summary/kcmkmailsummary.so
%_kf6_metainfodir/org.kde.kmail2.appdata.xml
%_kf6_applicationsdir/kmail_view.desktop
%_kf6_applicationsdir/org.kde.kmail-refresh-settings.desktop
%_kf6_knotificationsdir/kmail2.notifyrc
%_kf6_applicationsdir/org.kde.kmail2.desktop
%_kf6_datadir/config.kcfg/kmail.kcfg
%_kf6_datadir/config.kcfg/archivemailagentsettings.kcfg
%_kf6_knotificationsdir/akonadi_archivemail_agent.notifyrc
%_kf6_knotificationsdir/akonadi_mailfilter_agent.notifyrc
%_kf6_knotificationsdir/akonadi_mailmerge_agent.notifyrc
%_kf6_knotificationsdir/akonadi_followupreminder_agent.notifyrc
%_kf6_knotificationsdir/akonadi_sendlater_agent.notifyrc
%_kf6_datadir/akonadi/agents/archivemailagent.desktop
%_kf6_datadir/akonadi/agents/followupreminder.desktop
%_kf6_datadir/akonadi/agents/mailfilteragent.desktop
%_kf6_datadir/akonadi/agents/mailmergeagent.desktop
%_kf6_datadir/akonadi/agents/sendlateragent.desktop
%_kf6_datadir/akonadi/agents/unifiedmailboxagent.desktop
%_kf6_datadir/dbus-1/interfaces/org.kde.kmail.kmail.xml
%_kf6_datadir/dbus-1/interfaces/org.kde.kmail.kmailpart.xml
%_kf6_datadir/dbus-1/services/org.kde.kmail.service
%_kf6_iconsdir/*/*/*/*

# Kontact integration
%_qt6_plugindir/pim6/kontact/kontact_kmailplugin.so
%_qt6_plugindir/pim6/kontact/kontact_summaryplugin.so
%_qt6_plugindir/pim6/kcms/summary/kcmkontactsummary.so

#------------------------------------------------------------------------------

%package -n ktnef
Summary:        TNEF Viewer/Extractor
Group:          Networking/Mail

Requires:       kwallet
Recommends:     kmail

%description -n ktnef
A TNEF Viewer/Extractor.

%files -n ktnef
%_kf6_bindir/ktnef
%_kf6_applicationsdir/org.kde.ktnef.desktop
%_kf6_iconsdir/*/*/*/*ktnef*

#------------------------------------------------------------------------------

%package handbook
Summary:        %name handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides %name handbook.

%files handbook
%_kf6_docdir/HTML/*/*

#------------------------------------------------------------------------------

%define kmailprivate_major 6
%define libkmailprivate %mklibname kmailprivate %kmailprivate_major

%package -n %libkmailprivate
Summary:        KDEPIM library
Group:          System/Libraries

%description -n %libkmailprivate
KDEPIM library.

%files -n %libkmailprivate
%_kf6_libdir/libkmailprivate.so.%{kmailprivate_major}{,.*}

#------------------------------------------------------------------------------

%define mailfilteragentprivate_major 6
%define libmailfilteragentprivate %mklibname mailfilteragentprivate %mailfilteragentprivate_major

%package -n %libmailfilteragentprivate
Summary:        KDEPIM library
Group:          System/Libraries

%description -n %libmailfilteragentprivate
KDEPIM library.

%files -n %libmailfilteragentprivate
%_kf6_libdir/libmailfilteragentprivate.so.%{mailfilteragentprivate_major}{,.*}

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install
%find_lang %name --all-name
