#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Mail Transport Service
Name:           kmailtransport
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(Qt6Keychain)

BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KPim6SMTP)
BuildRequires:  cmake(KPim6GAPI)
BuildRequires:  cmake(KF6Wallet)

BuildRequires:  pkgconfig(libsasl2)

Recommends:     %{name}-handbook

Requires:       akonadi-contacts

Provides:       kio6-smtp = %version-%release


%description
Mail Transport Service.

%files -f %name.lang
%_kf6_categoriesdir/kmailtransport.categories
%_kf6_categoriesdir/kmailtransport.renamecategories
%_qt6_plugindir/pim6/mailtransport/mailtransport_smtpplugin.so
%_kf6_datadir/config.kcfg/mailtransport.kcfg

#------------------------------------------------------------------------------

%define kmailtransport_major 6
%define libkmailtransport %mklibname kpim6mailtransport %{kmailtransport_major}

%package -n %libkmailtransport
Summary:        Mail Transport Service
Group:          System/Libraries
Requires:       %{name} >= %version-%release

%description -n %libkmailtransport
Mail Transport Service.

%files -n %libkmailtransport
%_kf6_libdir/libKPim6MailTransport.so.%{kmailtransport_major}{,.*}

#------------------------------------------------------------------------------

%define kmailtransport_devel %mklibname kf6mailtransport -d

%package -n %kmailtransport_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkmailtransport = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kmailtransport_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kmailtransport_devel
%_includedir/KPim6/MailTransport/
%_kf6_libdir/*.so
%_kf6_libdir/cmake/KPim6MailTransport/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name
