#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        A library for accessing mail storages in MBox format
Name:           kmbox
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Gui)

BuildRequires:  cmake(KPim6Mime) >= 5.23.1

BuildRequires:  boost-devel

%description
A library for accessing mail storages in MBox format.

%files
%_kf6_categoriesdir/kmbox.categories
%_kf6_categoriesdir/kmbox.renamecategories

#--------------------------------------------------------------------

%define kmbox_major 6
%define libkmbox %mklibname kpim6mbox %{kmbox_major}

%package -n %libkmbox
Summary:        A library for accessing mail storages in MBox format
Group:          System/Libraries

Requires:       %name >= %version-%release

%description -n %libkmbox
A library for accessing mail storages in MBox format.

%files -n %libkmbox
%_kf6_libdir/libKPim6Mbox.so.%{kmbox_major}{,.*}

#--------------------------------------------------------------------

%define kmbox_devel %mklibname kpim6mbox -d

%package -n %kmbox_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkmbox = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kmbox_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kmbox_devel
%_includedir/KPim6/KMbox/
%_kf6_libdir/libKPim6Mbox.so
%_kf6_libdir/cmake/KPim6Mbox/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

