Name:		kmetronome
Version:	1.4.1
Release:	%mkrel 1
Summary:	Drumstick Metronome - MIDI Metronome using ALSA sequencer
License:	GPLv2+
Group:		Sound/Midi
Url:		https://kmetronome.sourceforge.io/
Source0:	https://download.sourceforge.net/kmetronome/%{name}-%{version}.tar.bz2

BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(drumstick-alsa)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6SvgWidgets)
BuildRequires:	cmake(Qt6Widgets)

Requires:	qt6-qttranslations

%description
Drumstick Metronome is a MIDI metronome based on the ALSA sequencer.
Intended for musicians and music students, it is a tool to keep the rhythm
while playing musical instruments. It uses MIDI for sound generation instead
of digital audio, allowing low CPU usage, and very accurate timing thanks
to the ALSA sequencer.

%prep
%setup -q

%build
%cmake_qt6 -DBUILD_DOCS=OFF
%cmake_build

%install
%cmake_install

%files
%doc ChangeLog AUTHORS NEWS
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/net.sourceforge.%{name}.desktop
%{_metainfodir}/net.sourceforge.%{name}.metainfo.xml
%{_datadir}/dbus-1/*/net.sourceforge.%{name}*
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}.1*
%{_docdir}/%{name}/%{name}/

