%global _appid net.sourceforge.kmidimon

Name:           kmidimon
Version:        1.4.1
Release:        %mkrel 1
Summary:        Drumstick MIDI monitor
License:        GPL-2.0-or-later
Group:          Sound/Midi
URL:            https://kmidimon.sourceforge.io
Source:         https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:  cmake
BuildRequires:  pkgconfig(alsa)
BuildRequires:  cmake(drumstick-alsa) >= 2.10
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Core5Compat)

Requires:       qt6-qttranslations

%description
Drumstick MIDI Monitor monitors events coming from MIDI external ports or
applications via the ALSA sequencer, and from SMF (Standard MIDI files) or
WRK (Cakewalk/Sonar) files. It is especially useful if you want to debug MIDI
software or your MIDI setup. It features a nice graphical user interface,
customizable event filters and sequencer parameters, support for MIDI and ALSA
messages, and saving the recorded event list to a SMF or text file.

%prep
%autosetup

%build
%cmake -DBUILD_DOCS=OFF
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-man --with-qt

%files -f %{name}.lang
%doc AUTHORS ChangeLog README.md
%doc %{_docdir}/%{name}/*
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/applications/%{_appid}.desktop
%{_metainfodir}/%{_appid}.metainfo.xml
%{_mandir}/man1/%{name}.1*
