#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Library for handling mail messages and newsgroup articles
Name:           kmime
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Codecs)

BuildRequires:  boost-devel

%description
Library for handling mail messages and newsgroup articles.

#--------------------------------------------------------------------

%package -n %name-common
Summary:        Common files for %name
Group:          System/Libraries

%description -n %name-common
Common files for %name.

%files -n %name-common -f libkmime6_qt.lang
%_kf6_categoriesdir/kmime.categories

#--------------------------------------------------------------------

%define kpimmime_major 6
%define libkpimmime %mklibname kpim6mime %{kpimmime_major}

%package -n %libkpimmime
Summary:        Library for handling mail messages and newsgroup articles
Group:          System/Libraries
Requires:       %name-common >= %version-%release

%description -n %libkpimmime
Library for handling mail messages and newsgroup articles.

%files -n %libkpimmime
%_libdir/libKPim6Mime.so.%{kpimmime_major}{,.*}

#--------------------------------------------------------------------

%define kmime_devel %mklibname kpim6mime -d

%package -n %kmime_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkpimmime = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kmime_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kmime_devel
%_includedir/KPim6/KMime/
%_kf6_libdir/libKPim6Mime.so
%_kf6_libdir/cmake/KPim6Mime/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang_kf6 libkmime6_qt
