#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kmines
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        The classical mine sweeper
Group:          Games/Boards
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://apps.kde.org/kmines/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  cmake(KDEGames6)

Recommends:     kmines-handbook

%description
KMines is a classic Minesweeper game.
The idea is to uncover all the squares without blowing up any mines. When a mine
is blown up, the game is over.

%files -f %name.lang
%_kf6_categoriesdir/kmines.*categories
%_kf6_bindir/kmines
%_kf6_applicationsdir/*.desktop
%_kf6_datadir/kmines/
%_kf6_iconsdir/hicolor/*/apps/kmines.png
%_kf6_metainfodir/org.kde.kmines.appdata.xml

#------------------------------------------------------------------------------

%package -n     kmines-handbook
Summary:        kmines handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kmines >= %{epoch}:%{version}-%{release}

%description -n kmines-handbook
This package provides the kmines handbook.

%files -n kmines-handbook
%_kf6_docdir/HTML/*/kmines

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
