#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kmix
Epoch:          3
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        KDE Digital Mixer
Group:          Sound/Mixers
License:        GPLv2
URL:            https://apps.kde.org/kmix/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
## upstream patches
# disable autostart by default (on newer plasma releases that use plasma-pa)
Patch0:         kmix-24.12.1-autostart_disable.patch

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6GlobalAccel)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6Solid)
BuildRequires:  cmake(KF6StatusNotifierItem)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6XmlGui)

#BuildRequires:  cmake(Plasma5Support)

BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(libcanberra)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libpulse-mainloop-glib)

Recommends:     kmix-handbook


%description
KMix is an application to allow you to change the volume of your sound
card. Though small, it is full-featured, and it supports several
platforms and sound drivers.

%files -f %name.lang
%_kf6_categoriesdir/%{name}.*categories
%_kf6_bindir/kmix
%_kf6_bindir/kmixctrl
%_kf6_bindir/kmixremote
%_kf6_datadir/kmix/
%_kf6_iconsdir/*/*/*/*
%_kf6_applicationsdir/*.desktop
%_kf6_sysconfdir/xdg/autostart/*.desktop
%_kf6_knotificationsdir/kmix.notifyrc
%_kf6_datadir/kxmlgui5/kmix/
%_kf6_datadir/config.kcfg/kmixsettings.kcfg
%_kf6_datadir/dbus-1/interfaces/org.kde.kmix.control.xml
%_kf6_datadir/dbus-1/interfaces/org.kde.kmix.mixer.xml
%_kf6_datadir/dbus-1/interfaces/org.kde.kmix.mixset.xml
%_kf6_metainfodir/org.kde.kmix.appdata.xml

#------------------------------------------------------------------------------

%define major_kmix 6
%define libkmixcore %mklibname kmixcore %{major_kmix}

%package -n     %libkmixcore
Summary:        Runtime Core library for Kmix
Group:          System/Libraries

%description -n %libkmixcore
Runtime Core library for Kmix.

%files -n %libkmixcore
%_kf6_libdir/libkmixcore.so.%{major_kmix}
%_kf6_libdir/libkmixcore.so.%{version}

#------------------------------------------------------------------------------

%package -n %name-handbook
Summary:        %name handbook
Group:          Documentation
BuildArch:      noarch

%description -n %name-handbook
KMix is an application to allow you to change the volume of your sound
card. Though small, it is full-featured, and it supports several
platforms and sound drivers.

This packages provides %name handbook.

%files -n %name-handbook
%doc AUTHORS COPYING COPYING.DOC
%docdir %_kf6_docdir/HTML/
%_kf6_docdir/HTML/*/%name/

#-----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name

