#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kmousetool
Epoch:          2
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Automatic Mouse Click
License:        GPLv2 and GFDL
Group:          Accessibility
URL:            https://apps.kde.org/kmousetool/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  pkgconfig(xt)
BuildRequires:  pkgconfig(xtst)

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6StatusNotifierItem)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6DocTools)

Recommends:     kmousetool-handbook


%description
KMouseTool is a tool that clicks the mouse for you.

%files -f %name.lang
%_kf6_bindir/kmousetool
%_kf6_applicationsdir/*.desktop
%_kf6_metainfodir/org.kde.kmousetool.appdata.xml
%_kf6_datadir/kmousetool
%_kf6_iconsdir/hicolor/*/*/kmousetool*

#------------------------------------------------------------------------------

%package -n kmousetool-handbook
Summary:        Kmousetool Handbook
Group:          Documentation
BuildArch:      noarch

%description -n kmousetool-handbook
This package provides kmousetool handbook and mandir.

%files -n kmousetool-handbook
%doc AUTHORS ChangeLog README TODO
%docdir %_kf6_docdir/HTML/
%_kf6_docdir/HTML/*/kmousetool
%_kf6_mandir/man1/kmousetool.1.*
%_kf6_mandir/*/man1/kmousetool.1.*

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name
