#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:          kmouth
Epoch:         2
Version: 25.04.0
Release:       %mkrel %{rel}
Summary:       A type-and-say front end for speech synthesizers
License:       GPLv2 and GFDL
Group:         Accessibility
URL:           https://apps.kde.org/kmouth/
Source:        https://download.kde.org/stable/release-service/%{version}/src/%name-%version.tar.xz

BuildRequires: kf6-rpm-macros

BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6PrintSupport)
BuildRequires: cmake(Qt6TextToSpeech)
BuildRequires: cmake(Qt6Xml)
BuildRequires: cmake(Qt6Widgets)

BuildRequires: cmake(KF6Crash)
BuildRequires: cmake(KF6Completion)
BuildRequires: cmake(KF6Config)
BuildRequires: cmake(KF6ConfigWidgets)
BuildRequires: cmake(KF6CoreAddons)
BuildRequires: cmake(KF6DocTools)
BuildRequires: cmake(KF6I18n)
BuildRequires: cmake(KF6KIO)
BuildRequires: cmake(KF6WidgetsAddons)
BuildRequires: cmake(KF6XmlGui)

Recommends:    kmouth-handbook


%description
KMouth is a program which enables persons that cannot speak to let their
computer speak, e.g. mute people or people who have lost their voice. It has a
text input field and speaks the sentences that you enter. It also has support
for user defined phrasebooks.

%files -f %name.lang
%_kf6_bindir/kmouth
%_kf6_sysconfdir/xdg/kmouthrc
%_kf6_applicationsdir/*.desktop
%_kf6_metainfodir/org.kde.kmouth.appdata.xml
%_kf6_datadir/kmouth/
%_kf6_iconsdir/*/*/apps/kmouth.png
%_kf6_iconsdir/hicolor/scalable/apps/kmouth.svg
%_kf6_iconsdir/*/*/actions/phrase.png
%_kf6_iconsdir/*/*/actions/phrasebook.png

#------------------------------------------------------------------------------

%package -n kmouth-handbook
Summary:        Kmouth handbook
Group:          Documentation
BuildArch:      noarch

%description -n kmouth-handbook
KMouth is a program which enables persons that cannot speak to let their
computer speak, e.g. mute people or people who have lost their voice. It has a
text input field and speaks the sentences that you enter. It also has support
for user defined phrasebooks.

This packages provides kmouth handbook and mandir.

%files -n kmouth-handbook
%doc AUTHORS COPYING COPYING.DOC
%docdir %_kf6_docdir/HTML/
%_kf6_docdir/HTML/*/kmouth/
%_kf6_mandir/man1/kmouth.1.*
%_kf6_mandir/*/man1/kmouth.1.*

#-----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name

