%define gitdate	20210126

%define rel	3

Name:		kmplayer
Version:	0.12.0b
Release:	%mkrel 9.git%{gitdate}.%{rel}
Summary:	A multimedia mplayer/phonon frontend for Plasma 5
License:	GPLv2+
Group:		Video/Players
Url:		https://kmplayer.kde.org/
#Source0:	https://download.kde.org/stable/kmplayer/0.12/%%{name}-%%{version}.tar.bz2
# Upstream releases is inactive from while, so lets use latest git
Source0:	%{name}-%{version}-%{gitdate}.tar.xz
Patch0:		kmplayer-0.12.0b-aarch64.patch
Patch1:		kmplayer-0.12.0b-glib-2.68.0.patch

BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gtk+-x11-2.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	gettext
# Kf5 BuildRequires
BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5IconThemes)
BuildRequires:	cmake(KF5Init)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5MediaPlayer)
BuildRequires:	cmake(KF5Parts)
BuildRequires:	cmake(KF5WidgetsAddons)
# Qt5 BuildRequires
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(phonon4qt5)

Recommends:	mplayer

%description
Kmplayer can play all the audio/video supported by mplayer/phonon from a
local file or URL and be embedded in Konqueror and KHTML.
It also plays DVDs.

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_kf5_categoriesdir}/%{name}.*categories
%{_kf5_bindir}/%{name}
%{_kf5_bindir}/kphononplayer
%{_kf5_datadir}/%{name}/
%{_kf5_services}/*.desktop
%{_kf5_libdir}/*.so
%{_kf5_plugindir}/parts/*.so
%{_kf5_iconsdir}/hicolor/*/*/*
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
%config(noreplace) %{_kf5_sysconfdir}/xdg/%{name}rc

#----------------------------------------------------

%package	npplayer
Group:		Video/Utilities
Summary:	Kmplayer Netscape plugin player
Requires:	%{name}

%description	npplayer
Kmplayer Netscape plugin player.

%files npplayer
%doc AUTHORS ChangeLog README
%{_kf5_bindir}/knpplayer

#----------------------------------------------------

%prep
%setup -q -n %{name}-%{version}-%{gitdate}
%autopatch -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html
