#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kmplot
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        A mathematical function plotter
Group:          Education
License:        GPLv2 and GFDL
URL:            https://apps.kde.org/kmplot/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz
#Branch patches 100->200

#Trunk Patches 200->300

#Mageia Patches 500->600

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6PrintSupport)

BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6TextWidgets)

# see mga#25450
Requires:       kdeedu-data


%description
KmPlot is a mathematical function plotter for the KDE-Desktop.

It has a built in powerful parser. You can plot different functions
simultaneously and combine their function terms to build new functions.
KmPlot supports functions with parameters and functions in polar
coordinates. Several grid modes are possible. Plots may be printed with
high precision in correct scale.

%files -f %name.lang
%doc TODO
%_kf6_bindir/kmplot
%_kf6_iconsdir/*/*/apps/kmplot.*
%_kf6_applicationsdir/*.desktop
%_kf6_plugindir/parts/kmplotpart.so
%_kf6_metainfodir/*.xml
%_kf6_datadir/config.kcfg/kmplot.kcfg
%_kf6_datadir/dbus-1/interfaces/org.kde.kmplot.KmPlot.xml
%_kf6_datadir/dbus-1/interfaces/org.kde.kmplot.MainDlg.xml
%_kf6_datadir/dbus-1/interfaces/org.kde.kmplot.Parser.xml
%_kf6_datadir/dbus-1/interfaces/org.kde.kmplot.View.xml

#------------------------------------------------------------------------------

%package handbook
Summary:        %name handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides %name handbook and mandir.

%files handbook
%doc %_kf6_docdir/HTML/*/kmplot
%_kf6_mandir/man1/kmplot.1.*
%_kf6_mandir/*/man1/kmplot.1.*

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
