%define kmm_widgets_major 5
%define libkmm_widgets %mklibname kmm_widgets %{kmm_widgets_major}

%define kmm_csvimportercore_major 5
%define libkmm_csvimportercore %mklibname kmm_csvimportercore %{kmm_csvimportercore_major}

%define kmm_mymoney_major 5
%define libkmm_mymoney %mklibname kmm_mymoney %{kmm_mymoney_major}

%define kmm_icons_major 5
%define libkmm_icons %mklibname kmm_icons %{kmm_icons_major}

%define kmm_plugin_major 5
%define libkmm_plugin %mklibname kmm_plugin %{kmm_plugin_major}

%define kmm_payeeidentifier_major 5
%define libkmm_payeeidentifier %mklibname kmm_payeeidentifier %{kmm_payeeidentifier_major}

%define kmm_menus_major 5
%define libkmm_menus %mklibname kmm_menus %{kmm_menus_major}

%define kmm_models_major 5
%define libkmm_models %mklibname kmm_models %{kmm_models_major}

%define kmm_settings_major 5
%define libkmm_settings %mklibname kmm_settings %{kmm_settings_major}

%define kmm_printer_major 5
%define libkmm_printer %mklibname kmm_printer %{kmm_printer_major}

%bcond_without woob

Summary:    The Personal Finances Manager
Name:       kmymoney
Version:    5.1.3
Release:    %mkrel 7
License:    GPLv2+
Group:      Office/Finance
Url:        https://kmymoney.org/
Source0:    https://download.kde.org/stable/%{name}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5PrintSupport)
BuildRequires:  cmake(Qt5Sql)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5WebEngineWidgets)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Xml)

BuildRequires:  cmake(KChart)
BuildRequires:  cmake(KF5Activities)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5Contacts)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5Holidays)
BuildRequires:  cmake(KF5Kross)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5Wallet)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5ItemModels)
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5TextWidgets)
# No more available, waiting for kmymoney Qt6/KF6 port
#BuildRequires:  cmake(KPim5Akonadi)
#BuildRequires:  cmake(KPim5IdentityManagement)
#BuildRequires:  cmake(KPim5WebEngineViewer)
#BuildRequires:  cmake(KPim5AkonadiContact)

BuildRequires:  cmake(LibIcal)
BuildRequires:  boost-devel
BuildRequires:  gpgme-devel
BuildRequires:  pkgconfig(libofx)
BuildRequires:  pkgconfig(aqbanking)
BuildRequires:  pkgconfig(libalkimia5)
BuildRequires:  pkgconfig(libxml++-2.6)
BuildRequires:  pkgconfig(gwenhywfar)
BuildRequires:  pkgconfig(gwengui-qt5)
BuildRequires:  pkgconfig(ktoblzcheck)
BuildRequires:  pkgconfig(sqlcipher)
BuildRequires:  doxygen
BuildRequires:  perl(Finance::Quote)
%if %{with woob}
BuildRequires:  woob
BuildRequires:  pkgconfig(python3)
Recommends:     %{name}-plugin-woob
%endif

Requires:   %{libkmm_widgets} = %{version}
Requires:   %{libkmm_mymoney} = %{version}
Requires:   perl-Finance-Quote

%description 
KMyMoney Personal Finance Manager.

%files -f %name.lang
%{_kf5_bindir}/kmymoney
%{_qt5_plugindir}/kmymoney/
%if %{with woob}
%exclude %{_qt5_plugindir}/kmymoney/woob.so
%exclude %{_kf5_datadir}/kxmlgui5/woob
%endif
%{_qt5_plugindir}/sqldrivers/qsqlcipher.so
%{_kf5_datadir}/config.kcfg/kmymoney.kcfg
%{_kf5_datadir}/config.kcfg/kbanking.kcfg
%{_kf5_datadir}/checkprinting/
%{_kf5_datadir}/kbanking/
%{_kf5_datadir}/kmymoney/
%{_kf5_datadir}/kxmlgui5/*
%{_kf5_metainfodir}/org.kde.kmymoney.appdata.xml
%{_kf5_datadir}/kconf_update/kmymoney.upd
%{_kf5_applicationdir}/org.kde.kmymoney.desktop
%{_kf5_iconsdir}/*/*/*/*
%{_kf5_services}/*.desktop
%{_kf5_datadir}/mime/packages/*.xml
%{_kf5_mandir}/man1/kmymoney.1*

#-----------------------------------------------------------------------------

%package -n %{libkmm_csvimportercore}
Summary:        KMyMoney library
Group:          System/Libraries
Requires: %{libkmm_mymoney} = %{version}

%description -n %{libkmm_csvimportercore}
KMyMoney library.

%files -n %{libkmm_csvimportercore}
%{_kf5_libdir}/libkmm_csvimportercore.so.%{kmm_csvimportercore_major}{,.*}

#-----------------------------------------------------------------------------

%package -n %{libkmm_mymoney}
Summary: KMyMoney library
Group: System/Libraries
Requires: %{libkmm_icons} = %{version}
Requires: %{libkmm_plugin} = %{version}
Requires: %{libkmm_payeeidentifier} = %{version}

%description -n %{libkmm_mymoney}
KMyMoney library.

%files -n %{libkmm_mymoney}
%{_kf5_libdir}/libkmm_mymoney.so.%{kmm_mymoney_major}{,.*}

#-----------------------------------------------------------------------------

%package -n %{libkmm_icons}
Summary:        KMyMoney library
Group:          System/Libraries

%description -n %{libkmm_icons}
KMyMoney library.

%files -n %{libkmm_icons}
%{_kf5_libdir}/libkmm_icons.so.%{kmm_icons_major}{,.*}

#-----------------------------------------------------------------------------

%package -n %{libkmm_plugin}
Summary: KMyMoney library
Group: System/Libraries

%description -n %{libkmm_plugin}
KMyMoney library.

%files -n %{libkmm_plugin}
%{_kf5_libdir}/libkmm_plugin.so.%{kmm_plugin_major}{,.*}

#-----------------------------------------------------------------------------

%if %{with woob}
%package -n %{name}-plugin-woob
Summary:    KMyMoney Woob plugin
Group:      System/Libraries
Requires:   woob

%description -n %{name}-plugin-woob
KMyMoney plugin to access bank website through Woob.

%files -n %{name}-plugin-woob
%{_qt5_plugindir}/%{name}/woob.so
%{_kf5_datadir}/kxmlgui5/woob/
%endif

#-----------------------------------------------------------------------------

%package -n %{libkmm_widgets}
Summary: KMyMoney library
Group: System/Libraries
Requires: %{libkmm_mymoney} = %{version}
Requires: %{libkmm_icons} = %{version}
Requires: %{libkmm_models} = %{version}
Requires: %{libkmm_payeeidentifier} = %{version}
Requires: %{libkmm_plugin} = %{version}
Requires: %{libkmm_settings} = %{version}

%description -n %{libkmm_widgets}
KMyMoney library.

%files -n %{libkmm_widgets}
%{_kf5_libdir}/libkmm_widgets.so.%{kmm_widgets_major}{,.*}

#-----------------------------------------------------------------------------

%package -n %{libkmm_payeeidentifier}
Summary: KMyMoney library
Group: System/Libraries

%description -n %{libkmm_payeeidentifier}
KMyMoney library.

%files -n %{libkmm_payeeidentifier}
%{_kf5_libdir}/libkmm_payeeidentifier.so.%{kmm_payeeidentifier_major}{,.*}

#-----------------------------------------------------------------------------

%package -n %{libkmm_menus}
Summary:        KMyMoney library
Group:          System/Libraries

%description -n %{libkmm_menus}
KMyMoney library.

%files -n %{libkmm_menus}
%{_kf5_libdir}/libkmm_menus.so.%{kmm_menus_major}{,.*}

#-----------------------------------------------------------------------------

%package -n %{libkmm_models}
Summary:        KMyMoney library
Group:          System/Libraries
Requires: %{libkmm_mymoney} = %{version}
Requires: %{libkmm_icons} = %{version}
Requires: %{libkmm_payeeidentifier} = %{version}
Requires: %{libkmm_settings} = %{version}

%description -n %{libkmm_models}
KMyMoney library.

%files -n %{libkmm_models}
%{_kf5_libdir}/libkmm_models.so.%{kmm_models_major}{,.*}

#-----------------------------------------------------------------------------

%package -n %{libkmm_settings}
Summary:        KMyMoney library
Group:          System/Libraries

%description -n %{libkmm_settings}
KMyMoney library.

%files -n %{libkmm_settings}
%{_kf5_libdir}/libkmm_settings.so.%{kmm_settings_major}{,.*}

#-----------------------------------------------------------------------------

%package -n %{libkmm_printer}
Summary:        KMyMoney library
Group:          System/Libraries

%description -n %{libkmm_printer}
KMyMoney library.

%files -n %{libkmm_printer}
%{_kf5_libdir}/libkmm_printer.so.%{kmm_printer_major}{,.*}

#-----------------------------------------------------------------------------

%package devel
Summary: KMyMoney Development library
Group: Development/KDE and Qt
Requires: %{libkmm_csvimportercore} = %{version}
Requires: %{libkmm_mymoney} = %{version}
Requires: %{libkmm_icons} = %{version}
Requires: %{libkmm_plugin} = %{version}
Requires: %{libkmm_widgets} = %{version}
Requires: %{libkmm_payeeidentifier} = %{version}
Requires: %{libkmm_menus} = %{version}
Requires: %{libkmm_models} = %{version}
Requires: %{libkmm_settings} = %{version}
Requires: %{libkmm_printer} = %{version}

%description devel
KMyMoney development files.

%files devel
%{_kf5_libdir}/libkmm_csvimportercore.so
%{_kf5_libdir}/libkmm_mymoney.so
%{_kf5_libdir}/libkmm_icons.so
%{_kf5_libdir}/libkmm_plugin.so
%{_kf5_libdir}/libkmm_widgets.so
%{_kf5_libdir}/libkmm_payeeidentifier.so
%{_kf5_libdir}/libkmm_menus.so
%{_kf5_libdir}/libkmm_models.so
%{_kf5_libdir}/libkmm_settings.so
%{_kf5_libdir}/libkmm_printer.so
%{_includedir}/%{name}/

#-----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5 %{?with_woob:-DENABLE_WOOB:BOOL=ON} \
           -DENABLE_WEBENGINE=ON \
           -DCMAKE_DISABLE_FIND_PACKAGE_Qt5WebKitWidgets=ON
%cmake_build

%install
%cmake_install

%find_lang %name --with-html --with-man
