#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           knavalbattle
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Battleship game with built-in game server
License:        GPLv2 and LGPLv2 and GFDL
Group:          Games/Strategy
URL:            https://apps.kde.org/knavalbattle/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DNSSD)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(KDEGames6)

Recommends:     knavalbattle-handbook


%description
KBattleship is a Battle Ship game for KDE.

Ships are placed on a board which represents the sea. Players try to hit each
others ships in turns without knowing where they are placed. The first player to
destroy all ships wins the game.

%files -f %name.lang
%_kf6_categoriesdir/knavalbattle.*categories
%_kf6_bindir/knavalbattle
%_kf6_datadir/knavalbattle
%_kf6_applicationsdir/*.desktop
%_kf6_iconsdir/hicolor/*/apps/knavalbattle.png
%_kf6_metainfodir/org.kde.knavalbattle.appdata.xml

#------------------------------------------------------------------------------

%package handbook
Summary:        Knavalbattle Handbook
Group:          Documentation
BuildArch:      noarch
Requires:       knavalbattle >= %{epoch}:%{version}-%{release}

%description handbook
This package provides the knavalbattle handbook.

%files handbook
%_kf6_docdir/HTML/*/knavalbattle

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
