#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           knetwalk
Summary:        Turn the board pieces to get all computers connected
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
License:        GPLv2 and LGPLv2 and GFDL
Group:          Games/Strategy
URL:            https://apps.kde.org/knetwalk/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickWidgets)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(KDEGames6)

Recommends:     knetwalk-handbook

# qml(org.kde.games.core)
Requires:       libkdegames-corebindings

%description
KNetWalk is a small game where you have to build up a computer network by
rotating the wires to connect the terminals to the server. When the network is
built, a high score list comes up where competitions can be fought.

%files -f %name.lang
%_kf6_bindir/knetwalk
%_kf6_applicationsdir/*.desktop
%_kf6_datadir/knetwalk
%_kf6_iconsdir/hicolor/*/apps/knetwalk.*
%_kf6_metainfodir/org.kde.knetwalk.appdata.xml

#------------------------------------------------------------------------------

%package -n knetwalk-handbook
Summary:        knetwalk handbook
Group:          Documentation
BuildArch:      noarch
Requires:       knetwalk >= %{epoch}:%{version}-%{release}

%description -n knetwalk-handbook
This package provides the knetwalk handbook.

%files -n knetwalk-handbook
%_kf6_docdir/HTML/*/knetwalk

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
