#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 3 module for downloading application assets
Name:           knewstuff
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickWidgets)
BuildRequires:  cmake(Qt6UiPlugin)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Package)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6Attica)
BuildRequires:  cmake(KF6Kirigami2)
BuildRequires:  cmake(KF6Syndication)

Requires:       kirigami

%description
KDE Frameworks 6 Tier 3 module for downloading application assets.

%files -f %{name}6.lang
%_kf6_categoriesdir/knewstuff.*categories
%_kf6_bindir/knewstuff-dialog6
%_kf6_qmldir/org/kde/newstuff/
%_qt6_plugindir/designer/knewstuff6widgets.so
%_kf6_datadir/applications/org.kde.knewstuff-dialog6.desktop

#--------------------------------------------------------------------

%define kf6newstuffcore_major 6
%define libkf6newstuffcore %mklibname kf6newstuffcore %{kf6newstuffcore_major}

%package -n %libkf6newstuffcore
Summary:        KDE Frameworks 6 Tier 3 module for downloading application assets
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf6newstuffcore
KDE Frameworks 6 Tier 3 module for downloading application assets.

%files -n %libkf6newstuffcore
%_kf6_libdir/libKF6NewStuffCore.so.%{kf6newstuffcore_major}
%_kf6_libdir/libKF6NewStuffCore.so.%{version}

#--------------------------------------------------------------------

%define kf6newstuffwidgets_major 6
%define libkf6newstuffwidgets %mklibname kf6newstuffwidgets %{kf6newstuffwidgets_major}

%package -n %libkf6newstuffwidgets
Summary:        KDE Frameworks 6 Tier 3 module for downloading application assets
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf6newstuffwidgets
KDE Frameworks 6 Tier 3 module for downloading application assets.

%files -n %libkf6newstuffwidgets
%_kf6_libdir/libKF6NewStuffWidgets.so.%{kf6newstuffwidgets_major}
%_kf6_libdir/libKF6NewStuffWidgets.so.%{version}

#--------------------------------------------------------------------

%define kf6newstuff_devel %mklibname kf6newstuff -d

%package -n %kf6newstuff_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6newstuffwidgets = %version-%release
Requires:	%libkf6newstuffcore = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6newstuff_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6newstuff_devel
%_kf6_includedir/KNewStuff/
%_kf6_includedir/KNewStuffCore/
%_kf6_includedir/KNewStuffWidgets/
%_kf6_libdir/cmake/KF6NewStuff/
%_kf6_libdir/cmake/KF6NewStuffCore/
%_kf6_libdir/*.so

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{name}6

