#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        A simple chess board game for KDE
Name:           knights
Version: 25.04.0
Release:        %mkrel %{rel}
Group:          Games/Boards
# KDE e.V. may determine that future GPL versions are accepted
License:        GPLv2 or GPLv3
URL:            https://apps.kde.org/knights/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6TextToSpeech)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Plotting)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6Wallet)
BuildRequires:  cmake(KF6Svg)

BuildRequires:  cmake(Plasma)

BuildRequires:  cmake(KDEGames6)

Requires:       gnuchess

%description
Knights is a simple chess board for KDE. Currently you can play
against computer engines that support the XBoard protocol (like GnuChess)
or against a player at the same computer. It has automatic rule checking,
themes and some nice animations.

%files -f %name.lang
%doc README* DESIGN
%{_kf6_categoriesdir}/%{name}.*categories
%{_kf6_bindir}/%{name}
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_datadir}/%{name}/
%{_kf6_datadir}/knsrcfiles/knights.knsrc
%{_kf6_datadir}/config.kcfg/%{name}.kcfg
%{_kf6_iconsdir}/hicolor/*/apps/*
%{_kf6_datadir}/dbus-1/interfaces/org.kde.Knights.xml

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %name --with-html
