Summary:	Open connection through firewall on specified signal
Name:		knock
Version:	0.8
Release:	%mkrel 3
License:	GPLv2+
Group:		Networking/Other
URL:		https://github.com/jvinet/knock
Source0:	https://github.com/jvinet/knock/releases/download/v%{version}/%{name}-%{version}.tar.gz
Source1:	knockd.service
Source2:	knockd.logrotate

BuildRequires:	libpcap-devel
Requires(post):		rpm-helper
Requires(preun):	rpm-helper

%description
knock is a server/client set that implements the idea known as port-
knocking. Port-knocking is a method of accessing a backdoor to your
firewall through a special sequence of port hits. This can be useful
for opening up temporary holes in a restrictive firewall for SSH
access or similar.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

mkdir -p %{buildroot}%_unitdir
install -m 744 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}d.service

mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}d

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
cat > %{buildroot}%{_sysconfdir}/sysconfig/%{name} <<EOF
# Options to pass to knockd
OPTIONS=""
EOF

%post
%_post_service %{name}d

%preun
%_preun_service %{name}d

%files
%doc ChangeLog COPYING README.md TODO
%config(noreplace) %{_sysconfdir}/%{name}d.conf
%attr(755,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_unitdir}/%{name}d.service
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}d
%{_bindir}/%{name}
%{_sbindir}/%{name}d
%{_sbindir}/%{name}_helper_ipt.sh
%{_mandir}/man1/*
