#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1
%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:        KDE Frameworks 6 Tier 2 solution for notifications
Name:           knotifications
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6TextToSpeech)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6QmlCompiler)

BuildRequires:  pkgconfig(libcanberra)

BuildRequires:  cmake(KF6WindowSystem) >= %version
BuildRequires:  cmake(KF6Config) >= %version
BuildRequires:  cmake(KF6Codecs) >= %version
BuildRequires:  cmake(KF6CoreAddons) >= %version

%description
KDE Frameworks 6 Tier 2 solution for notifications.

%files -f %{name}6_qt.lang
%_kf6_categoriesdir/knotifications.*categories
%_kf6_qmldir/org/kde/notification/

#--------------------------------------------------------------------

%define kf6notifications_major 6
%define libkf6notifications %mklibname kf6notifications %{kf6notifications_major}

%package -n %libkf6notifications
Summary:        KDE Frameworks 6 Tier 2 solution for notifications
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkf6notifications
KDE Frameworks 6 Tier 2 solution for notifications.

%files -n %libkf6notifications
%_kf6_libdir/libKF6Notifications.so.%{kf6notifications_major}{,.*}
%_kf6_libdir/libKF6Notifications.so.%{version}

#--------------------------------------------------------------------

%define kf6notifications_devel %mklibname kf6notifications -d

%package -n %kf6notifications_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6notifications = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6notifications_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6notifications_devel
%_kf6_includedir/KNotifications/
%_kf6_libdir/cmake/KF6Notifications/
%_kf6_libdir/*.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang_kf6 %{name}6_qt
