#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 3 module for KNotify configuration
Name:           knotifyconfig
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Phonon4Qt6)

BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)

%description
KDE Frameworks 6 Tier 3 module for KNotify configuration.

%files -f knotifyconfig6.lang
%_kf6_categoriesdir/knotifyconfig.*categories

#--------------------------------------------------------------------

%define kf6notifyconfig_major 6
%define libkf6notifyconfig %mklibname kf6notifyconfig %{kf6notifyconfig_major}

%package -n %libkf6notifyconfig
Summary:        KDE Frameworks 6 Tier 3 module for KNotify configuration
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf6notifyconfig
KDE Frameworks 6 Tier 3 module for KNotify configuration.

%files -n %libkf6notifyconfig
%_kf6_libdir/libKF6NotifyConfig.so.%{kf6notifyconfig_major}{,.*}
%_kf6_libdir/libKF6NotifyConfig.so.%{version}

#--------------------------------------------------------------------

%define kf6notifyconfig_devel %mklibname kf6notifyconfig -d

%package -n %kf6notifyconfig_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6notifyconfig = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6notifyconfig_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6notifyconfig_devel
%_kf6_includedir/KNotifyConfig/
%_kf6_libdir/cmake/KF6NotifyConfig/
%_kf6_libdir/*.so

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang knotifyconfig6
