Name:		knowthelist
Version:	2.3.1
Release:	%mkrel 6
Summary:	An awesome party music player
License:	LGPLv3+
Group:		Sound/Players
URL:		https://knowthelist.github.io/knowthelist/
Source0:	https://github.com/knowthelist/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		knowthelist-2.3.1-complete-french-translation.patch
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(taglib) < 2

Requires:	gstreamer1.0-plugins-base
Requires:	gstreamer1.0-plugins-ugly
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-plugins-bad
Requires:	qtbase5-database-plugin-sqlite

%description
Knowthelist is an awesome party music player.

Features:

  - Easy to use for all party guests.
  - Quick search for tracks in collection.
  - Two players with separate playlists.
  - Mixer with fader, 3 channel EQ and gain.
  - Auto fader and auto gain.
  - Trackanalyser search for song start/end and gain setting.
  - Auto DJ function with multiple filters for random play.
  - Monitor player for pre listen tracks (via 2nd sound card e.g. USB).

%prep
%autosetup -p1

%build
%qmake_qt5 %{name}.pro

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

# added translations files
mkdir -p %{buildroot}%{_datadir}/%{name}/locale
install -m 0644 locale/%{name}*.qm %{buildroot}%{_datadir}/%{name}/locale/

%files
%doc LICENSE README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
