%define uname	KoboDeluxe

Name:		kobodeluxe
Version:	0.5.1
Release:	%mkrel 17
Summary:	SDL port of Akira Higuchis game XKobo
License:	GPLv2+
Group:		Games/Arcade
URL:		https://www.olofson.net/kobodl/
Source0:	https://olofson.net/kobodl/download/%{uname}-%{version}.tar.bz2
Source1:	skobo-16.png
Source2:	skobo-32.png
Source3:	skobo-48.png
Patch2:		KoboDeluxe-0.4pre10-fix-segfault-in-midi.patch
Patch3:		04_enemies-pipe-decl.patch
Patch4:		skobo-0.5.1-gcc44.patch
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(glu)
Provides:	KoboDeluxe = %{version}
Provides:	skobo = %{version}
Obsoletes:	skobo < 0.5.1-8

%description
Kobo Deluxe is an enhanced version of Akira Higuchi's game XKobo for Un*x
systems with X11. Kobo Deluxe adds sound, smoother animation, high resolution
support, OpenGL acceleration (optional), an intuitive menu driven user
interface, joystick support and other features. Recent versions also add
a number of alternative skill levels with slightly modernized gameplay. Kobo
Deluxe uses SDL for graphics, sound and input, which makes it possible to
build and run the game on pretty much anything.

%prep
%setup -q -n %{uname}-%{version}
%patch -P 2 -p1
%patch -P 3 -p1 -b .debian
%patch -P 4 -p0 -b .gcc44

%build
# fix build on aarch64
autoreconf -vfi

%configure	--bindir=%{_gamesbindir} \
		--enable-opengl
%make_build kobo_scoredir=%{_localstatedir}/games/%{name}

%install
install -d %{buildroot}%{_localstatedir}/games/%{name}
%make_install kobo_scoredir=%{_localstatedir}/games/%{name}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Kobo Deluxe
Comment=Arcade video game
Exec=kobodl
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

install -D -m644 %SOURCE1 %{buildroot}%{_iconsdir}/%{name}.png
install -D -m644 %SOURCE2 %{buildroot}%{_miconsdir}/%{name}.png
install -D -m644 %SOURCE3 %{buildroot}%{_liconsdir}/%{name}.png

%files
%doc COPYING* ChangeLog README* TODO
%attr(2755, root, games) %{_gamesbindir}/kobodl
%config(noreplace) %attr(775, root, games) %{_localstatedir}/games/%{name}
%{_datadir}/kobo-deluxe
%{_mandir}/man6/kobodl.6*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
