%global kodi_addon pvr.iptvsimple
%global kodi_version 20.0
%global codename Nexus

Name:           kodi-%(tr "." "-" <<<%{kodi_addon})
Version:        20.10.0
Release:        %mkrel 1
Summary:        Simple IPTV PVR for Kodi
Group:          Video/Players
License:        GPLv2+
URL:            https://github.com/kodi-pvr/%{kodi_addon}/
Source0:        https://github.com/kodi-pvr/pvr.iptvsimple/archive/%{version}-%{codename}/%{name}-%{version}-%{codename}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  kodi-addon-devel >= %{kodi_version}
BuildRequires:  pkgconfig(p8-platform)
BuildRequires:  pkgconfig(pugixml)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(liblzma)
Requires:       kodi >= %{kodi_version}

%description
%{summary}.

%prep
%autosetup -n %{kodi_addon}-%{version}-%{codename} -p1

# Remove bundles rapidxml
rm -rf depends/common/rapidxml

%build
%cmake \
    -DCMAKE_CXX_FLAGS="%{optflags} -pthread" \
    -DCMAKE_C_FLAGS="%{optflags} -pthread"
%cmake_build

%install
%cmake_install

%files
%doc README.md %{kodi_addon}/changelog.txt
%{_libdir}/kodi/addons/%{kodi_addon}/
%{_datadir}/kodi/addons/%{kodi_addon}/

