## our autorequires require these in pear, but they are in php-ZendFramework
## for the pear(PEAR/FixPHP5PEARWarnings.php) pear(Roundcube/bootstrap.php)
## I reported a bug upstreams (kolab)
%global __requires_exclude 	pear\\(Zend/Exception.php\\)|pear\\(Zend/Loader.php\\)|pear\\(PEAR/FixPHP5PEARWarnings.php)|pear\\(Roundcube/bootstrap.php)


%global  php_inidir    %{_sysconfdir}/php.d

%global httpd_group apache
%global httpd_name httpd
%global httpd_user apache
%global _ap_sysconfdir %{_webappconfdir}

Name:           kolab-syncroton
Version:        2.3.13
Release:        %mkrel 3
Summary:        ActiveSync for Kolab Groupware

Group:          System/Servers
License:        AGPLv3+
URL:            http://www.syncroton.org
Source0:        https://cgit.kolab.org/syncroton/snapshot/syncroton-kolab-syncroton-%{version}.tar.gz
Source1:        kolab-syncroton.logrotate

# Use this build requirement to make sure we are using
# up to date vendorized copies of the plugins.
BuildRequires:  roundcubemail-plugin-kolab_auth >= 3.2
BuildRequires:  roundcubemail-plugin-kolab_folders >= 3.2
BuildRequires:  roundcubemail-plugin-libkolab >= 3.2

Requires:       roundcubemail
Requires:       roundcubemail-plugins-kolab
Requires:       roundcubemail-plugin-kolab_auth >= 3.2
Requires:       roundcubemail-plugin-kolab_folders >= 3.2
Requires:       roundcubemail-plugin-libkolab >= 3.2
Requires:       php-kolab-Net_LDAP3
Requires:       php-pear-Auth_SASL
Requires:       php-pear-Mail_Mime
Requires:       php-pear-MDB2
Requires:       php-pear-MDB2_Driver_mysqli
Requires:       php-pear-Net_IDNA2
Requires:       php-pear-Net_LDAP2
Requires:       php-pear-Net_SMTP
Requires:       php-pear-Net_Sieve
Requires:       php-pear-Net_Socket
Requires:       php-ZendFramework2-Log
Requires:       php-pear
BuildArch:      noarch

%description
ActiveSync

%prep
%setup -qn syncroton-kolab-syncroton-%{version}

rm -rf \
    lib/ext/Auth/ \
    lib/ext/MDB2/ \
    lib/ext/MDB2.php \
    lib/ext/Net/IDNA2/ \
    lib/ext/Net/IDNA2.php \
    lib/ext/Net/SMTP.php \
    lib/ext/Net/Socket.php \
    lib/ext/Roundcube/ \
    lib/ext/Zend/ \
    lib/plugins

%build

%install
mkdir -p \
    %{buildroot}/%{_datadir}/%{name} \
    %{buildroot}/%{_webappconfdir} \
    %{buildroot}/%{_sysconfdir}/%{name} \
    %{buildroot}/%{_logdir}/%{name}
    
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
cp -pr %SOURCE1 %{buildroot}%{_sysconfdir}/logrotate.d/kolab-syncroton    

cp -a lib %{buildroot}/%{_datadir}/%{name}/.
cp -a index.php %{buildroot}/%{_datadir}/%{name}/.

pushd %{buildroot}/%{_datadir}/%{name}
ln -s ../../..%{_sysconfdir}/roundcubemail config
ln -s ../../..%{_var}/log/%{name} logs
pushd lib/ext
ln -s ../../../roundcubemail/program/lib/Roundcube
popd
for plugin in kolab_auth kolab_folders libkolab; do
    mkdir -p lib/plugins/$plugin
    pushd lib/plugins/$plugin
    if [ -d "/usr/share/roundcubemail/plugins/" ]; then
        find /usr/share/roundcubemail/plugins/$plugin/ -mindepth 1 -maxdepth 1 ! -name "config.inc.php" | while read link_target; do
            ln -sv "$(echo ${link_target} | sed -e 's|/usr/share/roundcubemail/|../../../../roundcubemail/|g')"
        done
    else
        find ../../../../roundcubemail/plugins/$plugin/ -mindepth 1 -maxdepth 1 ! -name "config.inc.php" -exec ln -sv {} \;
    fi
    popd
done
popd

# Kolab Authentication plugin
pushd %{buildroot}/%{_datadir}/%{name}/lib/plugins/kolab_auth
rm -rf config.inc.php.dist
ln -s ../../../../../..%{_sysconfdir}/roundcubemail/kolab_auth.inc.php config.inc.php
popd

# Kolab Folders plugin
pushd %{buildroot}/%{_datadir}/%{name}/lib/plugins/kolab_folders
rm -rf config.inc.php.dist
ln -s ../../../../../..%{_sysconfdir}/roundcubemail/kolab_folders.inc.php config.inc.php
popd

# Libkolab plugin
pushd %{buildroot}/%{_datadir}/%{name}/lib/plugins/libkolab
rm -rf config.inc.php.dist
ln -s ../../../../../..%{_sysconfdir}/roundcubemail/libkolab.inc.php config.inc.php
popd

cp -a docs/kolab-syncroton.conf %{buildroot}/%{_ap_sysconfdir}/

find %{buildroot}/%{_datadir}/%{name}/ -type f -name "*.orig" -delete

# Fix anything executable that does not have a shebang
for file in `find %{buildroot}/%{_datadir}/%{name}/ -type f -perm /a+x`; do
    [ -z "`head -n 1 $file | grep \"^#!/\"`" ] && chmod -v 644 $file
done

# Find files with a shebang that do not have executable permissions
for file in `find %{buildroot}/%{_datadir}/%{name}/ -type f ! -perm /a+x`; do
    [ ! -z "`head -n 1 $file | grep \"^#!/\"`" ] && chmod -v 755 $file
done

# Find files that have non-standard-executable-perm
find %{buildroot}/%{_datadir}/%{name}/ -type f -perm /g+wx -exec chmod -v g-w {} \;

# Find files that are not readable
find %{buildroot}/%{_datadir}/%{name}/ -type f ! -perm /go+r -exec chmod -v go+r {} \;

%pre
if [ -d "/usr/share/kolab-syncroton/lib/ext/Roundcube" -a ! -L "/usr/share/kolab-syncroton/lib/ext/Roundcube" ]; then
    rm -rf "/usr/share/kolab-syncroton/lib/ext/Roundcube"
fi
if [ -d "/usr/share/kolab-syncroton/lib/plugins/" ]; then
    find /usr/share/kolab-syncroton/lib/plugins/ -mindepth 2 -maxdepth 2 | while read file; do
        if [ ! -L "${file}" ]; then
            rm -rf "${file}"
        fi
    done
fi

%post
if [ -f "/etc/php.d/99_apcu.ini" ]; then
    if [ ! -z "`grep ^apcu.enabled=1 /etc/php.d/99_apcu.ini`" ]; then
        /sbin/systemctl condrestart httpd.service
    fi
fi

/usr/share/roundcubemail/bin/updatedb.sh \
    --dir %{_docdir}/kolab-syncroton-%{version}/SQL/ \
    --package syncroton \
    >/dev/null 2>&1 || :

exit 0

%files
%doc docs/*
%config(noreplace) %{_ap_sysconfdir}/kolab-syncroton.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_datadir}/%{name}
%attr(0770,%{httpd_user},%{httpd_group}) %{_logdir}/%{name}

