%global __requires_exclude pear\\(lib/functions.php\\)

Name:           kolab-webadmin
Version:        3.2.12
Release:        %mkrel 2
Summary:        Kolab Groupware Server Web Administration Interface
License:        AGPLv3+
Group:          System/Servers
Url:            https://www.kolab.org/
Source0:        https://cgit.kolab.org/webadmin/snapshot/webadmin-kolab-webadmin-%{version}.tar.gz
BuildArch:      noarch
Requires(pre):  apache
Requires(pre):  pykolab
Requires:       mozldap-tools
Requires:       php >= 5.3
Requires:       php-smarty >= 3.1.7
Requires:       php-pear-Net_Socket
Requires:       php-pear-Net_LDAP2
Requires:       php-gettext
Requires:       php-ldap
Requires:       php-mysql

%description
Web based admin - and user interface for the Kolab Groupware Server

%prep
%setup -qn webadmin-kolab-webadmin-%{version}

%build

%install
mkdir -p \
    %{buildroot}/%{_datadir}/%{name}/ \
    %{buildroot}/%{_webappconfdir} \
    %{buildroot}/%{_logdir}/%{name} \
    %{buildroot}/%{_localstatedir}/cache/%{name}

cp -a lib/ public_html/ hosted/ %{buildroot}/%{_datadir}/%{name}/.
cp -a doc/kolab-webadmin.conf %{buildroot}/%{_webappconfdir}/
cp -a doc/hosted-kolab.conf %{buildroot}/%{_webappconfdir}
pushd %{buildroot}/%{_datadir}/%{name}/
ln -s ../../..%{_var}/cache/%{name} cache
ln -s ../../..%{_var}/log/%{name} logs
pushd hosted/skins/kolabsys
ln -sf ../../../public_html/skins/default/style.css style.css
ln -sf ../../../public_html/skins/default/ui.js ui.js
rm -rf images
ln -sf ../../../public_html/skins/default/images images
popd
popd


%pre
# We don't need to add the kolab user and group accounts. Pykolab already does it.

gpasswd -a apache kolab >/dev/null 2>&1 || :

if [ $1 -gt 1 ]; then
    if [ ! -L "/usr/share/kolab-webadmin/hosted/js" -a -d "/usr/share/kolab-webadmin/hosted/js" ]; then
        rm -rf /usr/share/kolab-webadmin/hosted/js >/dev/null 2>&1 || :
    fi

    if [ ! -L "/usr/share/kolab-webadmin/hosted/skins" -a -d "/usr/share/kolab-webadmin/hosted/skins" ]; then
        rm -rf /usr/share/kolab-webadmin/hosted/skins >/dev/null 2>&1 || :
    fi

    if [ ! -L "/usr/share/kolab-webadmin/public_html/skins/minimal/images" -a -d "/usr/share/kolab-webadmin/public_html/skins/minimal/images" ]; then
        rm -rf /usr/share/kolab-webadmin/public_html/skins/minimal/images >/dev/null 2>&1 || :
    fi
fi

%files
%doc doc/* 
%config(noreplace) %{_webappconfdir}/%{name}.conf
%config(noreplace) %{_webappconfdir}/hosted-kolab.conf
%{_datadir}/%{name}
%attr(0770,apache,apache) %{_localstatedir}/cache/%{name}
%attr(0770,apache,apache) %{_logdir}/%{name}
