#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kolf
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        A golf game
Group:          Games/Sports
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://apps.kde.org/kolf/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(KDEGames6)

Recommends:     kolf-handbook

%description
Kolf is a miniature golf game.
The game is played from an overhead view, with a
short bar representing the golf club. Kolf features many different types of
objects, such as water hazards, slopes, sand traps, and black holes (warps),
among others.

Features :
- Single and Multi-player (up to ten players) modes
- High scores table
- Dynamic courses
- Third-party courses
- Course editor

%files -f %name.lang
%license COPYING
%_kf6_bindir/%{name}
%_kf6_applicationsdir/org.kde.%{name}.desktop
%_kf6_metainfodir/org.kde.kolf.appdata.xml
%_kf6_datadir/kolf/
%_kf6_iconsdir/*/*/apps/%{name}.*

#------------------------------------------------------------------------------

%package handbook
Summary:        kolf handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kolf >= %{epoch}:%{version}-%{release}

%description handbook
This package provides the kolf handbook.

%files handbook
%_kf6_docdir/HTML/*/%{name}/

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name
