#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kolourpaint
Summary:        A free, easy-to-use paint program for Plasma5
Epoch:          2
Version: 25.04.0
Release:        %mkrel %{rel}
Group:          Graphics/Editors and Converters
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://apps.kde.org/kolourpaint/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%name-%version.tar.xz
# Branch Patch (100-200)

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6PrintSupport)

BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6JobWidgets)
BuildRequires:  cmake(KSaneWidgets6) >= 24.01

Requires:       qt6-qtimageformats
Recommends:     %{name}-handbook

%description
KolourPaint is a free, easy-to-use paint program for Plasma 5.

It aims to be conceptually simple to understand; providing a level of
functionality targeted towards the average user. It's designed for daily
tasks like:

* Painting - drawing diagrams and "finger painting"
* Image Manipulation - editing screenshots and photos; applying effects
* Icon Editing - drawing clipart and logos with transparency

%files -f %name.lang
%_kf6_bindir/kolourpaint
%_kf6_applicationsdir/org.kde.kolourpaint.desktop
%_kf6_metainfodir/*.xml
%_kf6_datadir/kolourpaint/
%_kf6_iconsdir/hicolor/*/apps/kolourpaint.*

#------------------------------------------------------------------------------

%package -n     kolourpaint-handbook
Summary:        kolourpaint Handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kolourpaint >= %{epoch}:%{version}-%{release}

%description -n kolourpaint-handbook
This package provides kolourpaint handbook.

%files -n kolourpaint-handbook
%doc COPYING COPYING.LIB COPYING.DOC
%doc %_kf6_docdir/HTML/*/kolourpaint/

#------------------------------------------------------------------------------

%define kolourpaint_lgpl_major 5
%define libkolourpaint_lgpl %mklibname kolourpaint_lgpl %kolourpaint_lgpl_major

%package -n     %libkolourpaint_lgpl
Summary:        Runtime library for Kolourpaint
Group:          System/Libraries

%description -n %libkolourpaint_lgpl
Runtime library for Kolourpaint.

%files -n %libkolourpaint_lgpl
%_kf6_libdir/libkolourpaint_lgpl.so.%{kolourpaint_lgpl_major}{,.*}

#------------------------------------------------------------------------------

%package        devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkolourpaint_lgpl = %epoch:%version-%release

%description    devel
This package contains header files needed if you wish to build applications
based on %name.

%files devel
%_kf6_libdir/libkolourpaint_lgpl.so

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
