Name:           kommit
Version:        1.7.1
Release:        %mkrel 2
Summary:        Git gui client for KDE
Group:          Graphical desktop/KDE
License:        GPL-3.0-or-later AND GPL-2.0-or-later AND BSD-3-Clause
URL:            https://apps.kde.org/kommit/
Source0:        https://download.kde.org/stable/kommit/%{name}-v%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Charts)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6TextEditor)
BuildRequires:  cmake(KF6SyntaxHighlighting)
BuildRequires:  cmake(KF6DBusAddons)

BuildRequires:  cmake(DolphinVcs) >= 24.01

BuildRequires:  pkgconfig(libgit2)

Requires:       dolphin-plugins
Recommends:     %{name}-handbook

%description
Git gui client for KDE.

%files -f %{name}.lang
%license COPYING LICENSE
%doc README.md
%{_kf6_categoriesdir}/%{name}.categories
%{_kf6_bindir}/%{name}
%{_kf6_bindir}/%{name}diff
%{_kf6_bindir}/%{name}merge
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_libdir}/lib%{name}.so.0
%{_kf6_libdir}/lib%{name}.so.1*
%{_kf6_libdir}/lib%{name}diff.so.0
%{_kf6_libdir}/lib%{name}diff.so.1*
%{_kf6_libdir}/lib%{name}gui.so.0
%{_kf6_libdir}/lib%{name}gui.so.1*
%{_kf6_libdir}/lib%{name}widgets.so.0
%{_kf6_libdir}/lib%{name}widgets.so.1*
%{_qt6_plugindir}/dolphin/vcs/kommitdolphinplugin.so
%{_kf6_applicationsdir}/*.desktop
%{_kf6_iconsdir}/hicolor/*/apps/%{name}.png
%{_kf6_iconsdir}/hicolor/scalable/actions/*.svg
%{_kf6_iconsdir}/hicolor/scalable/apps/%{name}.svg

#--------------------------------------------------------------------

%package        handbook
Summary:        kommit Handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} >= %{version}-%{release}

%description    handbook
This package provides kommit handbook.

%files handbook
%{_kf6_docdir}/HTML/*/%{name}/

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-v%{version}


%build
%cmake_kf6 -DQT_MAJOR_VERSION=6
%cmake_build


%install
%cmake_install

rm -rf %{buildroot}%{_includedir}

%find_lang %{name}
