#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kompare
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        A diff graphic tool
Group:          Graphical desktop/KDE
License:        GPLv2 and LGPLv2 and GFDL
Url:            https://apps.kde.org/kompare/
Source:         https://download.kde.org/stable/release-service/%version/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Codecs)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6JobWidgets)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6TextEditor)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6I18n)

BuildRequires:  cmake(KompareDiff2)

Requires:       kparts


%description
Kompare is a GUI front-end program that enables differences between source files
to be viewed and merged. It can be used to compare differences on files or the
contents of folders, and it supports a variety of diff formats and provide many
options to customize the information level displayed.

Features:
   -Comparing directories
   -Reading diff files
   -Creating and applying patches

%files -f %name.lang
%_kf6_categoriesdir/kompare.*categories
%_kf6_bindir/kompare
%_kf6_plugindir/parts/*.so
%_kf6_applicationsdir/org.kde.kompare.desktop
%_kf6_metainfodir/org.kde.kompare.appdata.xml
%_kf6_iconsdir/hicolor/*/apps/kompare.png
%_kf6_iconsdir/hicolor/scalable/apps/kompare.svgz
%_kf6_datadir/kio/servicemenus/kompare.desktop

#------------------------------------------------------------------------------

%define  komparedialogpages_major 6
%define  libkomparedialogpages %mklibname komparedialogpages %komparedialogpages_major

%package -n %libkomparedialogpages
Summary:        Runtime library for Kompare
Group:          System/Libraries

%description -n %libkomparedialogpages
Runtime library for Kompare.

%files -n %libkomparedialogpages
%_kf6_libdir/libkomparedialogpages.so.%{komparedialogpages_major}{,.*}

#------------------------------------------------------------------------------

%define  kompareinterface_major 6
%define  libkompareinterface %mklibname kompareinterface %kompareinterface_major

%package -n %libkompareinterface
Summary:        Runtime library for Kompare
Group:          System/Libraries

%description -n %libkompareinterface
Runtime library for Kompare.

%files -n %libkompareinterface
%_kf6_libdir/libkompareinterface.so.%{kompareinterface_major}{,.*}

#------------------------------------------------------------------------------

%package handbook
Summary:        %name handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides %name handbook.

%files handbook
%doc AUTHORS ChangeLog
%license LICENSES/*.txt
%doc %_kf6_docdir/HTML/*/%name

#-----------------------------------------------------------------------------

%package    devel
Summary:        Header files for kdesdk
Group:          Development/KDE and Qt
Requires:       %libkomparedialogpages = %epoch:%version
Requires:       %libkompareinterface = %epoch:%version

%description  devel
This package includes the header files you will need to compile applications
against %{name}.

%files devel
%_includedir/*
%_kf6_libdir/libkompareinterface.so

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
