#
# WARNING, READ FIRST:
#
# This is a special package that needs special treatment. Due to the amount of
# security updates it needs, it's common to ship new upstream versions instead of patching.
# That means this package MUST be BUILDABLE for stable official releases.
# This also means only STABLE upstream releases, NO betas.
# This is a discussed topic. Please, do not flame it again.

%define pre b3

%define rel 6

%define kompozer_extdir %{_libdir}/kompozer/extensions

%define oname kompozer-myspell

%define xpidir https://kompozer.sourceforge.net/l10n/myspell/

# Supported l10n language lists
%define langlist ar be bg ca cs cy da de el en_GB en_US eo es_ES fr ga he hsb hu is it lt lv nb_NO nl nn_NO pl pt_BR pt_PT ru sk sl sq sr uk vi

# Disabled hunspell dicts, for any reason
%define disabled_dict_langlist dsb fi

# Language descriptions
%define language_ar ar
%define langname_ar Arabic
%define language_be be
%define langname_be Belarusian
%define language_bg bg
%define langname_bg Bulgarian
%define language_ca ca
%define langname_ca Catalan
%define language_cs cs
%define langname_cs Czech
%define language_cy cy
%define langname_cy Welsh
%define language_da da
%define langname_da Dansk
%define language_de de
%define langname_de German
%define language_dsb dsb
%define langname_dsb Lower Sorbian
%define language_el el
%define langname_el Greek
%define language_en_GB en-GB
%define langname_en_GB British English
%define language_en_US en-US
%define langname_en_US English
%define language_eo eo
%define langname_eo Esperanto
%define language_es_ES es-ES
%define langname_es_ES Spanish
%define language_fi fi
%define langname_fi Finnish
%define language_fr fr
%define langname_fr French
%define language_ga ga
%define langname_ga Irish
%define language_he he
%define langname_he Hebrew
%define language_hsb hsb
%define langname_hsb Upper Sorbian
%define language_hu hu
%define langname_hu Hungarian
%define language_is is
%define langname_is Icelandic
%define language_it it
%define langname_it Italian
%define language_lt lt
%define langname_lt Lithuanian
%define language_lv lv
%define langname_lv Latvian
%define language_nb_NO nb-NO
%define langname_nb_NO Norwegian Bokmaal
%define language_nl nl
%define langname_nl Dutch
%define language_nn_NO nn-NO
%define langname_nn_NO Norwegian Nynorsk
%define language_pl pl
%define langname_pl Polish
%define language_pt_BR pt-BR
%define langname_pt_BR Brazilian portuguese
%define language_pt_PT pt-PT
%define langname_pt_PT Portuguese
%define language_ru ru
%define langname_ru Russian
%define language_sk sk
%define langname_sk Slovak
%define language_sl sl
%define langname_sl Slovene
%define language_sq sq
%define langname_sq Shqipe
%define language_sr sr
%define langname_sr Serbian
%define language_uk uk
%define langname_uk Ukrainian
%define language_vi vi
%define langname_vi Vietnamese

# --- Danger line ---

# Defaults (all languages enabled by default)
# dicts
%{expand:%(for lang in %{langlist}; do echo "%%define with_dict_$lang 1"; done)}
%{expand:%(for lang in %{disabled_dict_langlist}; do echo "%%define with_dict_$lang 0"; done)}

# Locales
%{expand:%(for lang in %{langlist}; do echo "%%define locale_$lang `echo $lang | cut -d _ -f 1` "; done)}

Summary:	Dictionaries for Kompozer
Name:		%{oname}-l10n
Version:	0.8
Release:	%mkrel -c %pre %rel
License:	GPLv2+
Group:		Networking/WWW
Url:		https://www.kompozer.net/
# Language package template
Source0:	%{name}-template.in
# l10n sources
%{expand:%(\
	i=1; \
	for lang in %langlist; do\
		echo "%%{expand:Source$i: %{xpidir}/myspell-dict.%%{language_$lang}.xpi}";\
		i=$[i+1];\
	done\
	)
}
BuildRequires:	pkgconfig(mozilla-plugin)

%description
Dictionaries for Kompozer Web Authoring System.


# Expand all languages packages.
%{expand:%(\
	for lang in %langlist; do\
		echo "%%{expand:%%(sed "s!__LANG__!$lang!g" %{_sourcedir}/%{name}-template.in 2> /dev/null)}";\
	done\
	)
}

%install
# Convert rpm macros to bash variables
%{expand:%(for lang in %{langlist}; do echo "language_$lang=%%{language_$lang}"; done)}

mkdir -p %{buildroot}%{kompozer_extdir}/

# Install all languages
for lang in %{langlist}; do
	language="language_$lang"
	language=${!language}

	# l10n
	unzip %{_sourcedir}/myspell-dict.${language}.xpi -d %{buildroot}%{kompozer_extdir}/${language}@dictionaries.addons.mozilla.org
	
done

