#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kongress
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        A companion application for conferences made by KDE
License:        CC0 and CC-BY-SA and BSD and GPLv3+
Group:          Graphical desktop/KDE
Url:            https://apps.kde.org/kongress/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6CalendarCore)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6KirigamiAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6Notifications)

BuildRequires:  cmake(KOSMIndoorMap)

Requires:       kirigami
Requires:       kirigami-addons

%description
Kongress provides practical information about conferences.
It supports conferences that offer their schedule in iCalendar
format. In Kongress, the data of the talks are shown in various
ways, e.g. in daily views, by talk category, etc. The users can
also create a list of favorite conference talks/events as well as
they can navigate to the web page of each talk. A map of the
conference venue, location information and link to OpenStreetMap
can also be added.

%files -f %{name}.lang
%license LICENSES/*
%{_kf6_bindir}/%{name}
%{_kf6_bindir}/%{name}ac
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_datadir}/dbus-1/services/org.kde.kongressac.service
%{_kf6_iconsdir}/hicolor/*/apps/org.kde.%{name}.*
%{_kf6_knotificationsdir}/kongressac.notifyrc
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml

#------------------------------------------------------------------------------

%prep
%autosetup

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name
