#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           konqueror
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        KDE file and web browser
License:        GPLv2+
Group:          Networking/WWW
Url:            https://apps.kde.org/konqueror/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:  aarch64 x86_64
## Upstream patches

## upstreamable patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6WebEngineWidgets)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Sonnet)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6Codecs)
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  cmake(PlasmaActivities)

BuildRequires:  cmake(KF6Wallet)
BuildRequires:  cmake(KF6Su)

BuildRequires:  hunspell
BuildRequires:  pkgconfig(hunspell)

Requires:       plasma-workspace
Requires:       keditbookmarks
Requires:       qtwebengine6
Requires:       indexhtml
Recommends:     konq-plugins
Recommends:     %{name}-handbook

Provides:       webclient

# ease upgrade mga9 -> mga10
Conflicts:      kio-extras < 23.08.1-2
Conflicts:      konq-plugins < 1:24.01.90-2


%description
Konqueror is KDE's Webbrowser and Swiss army knife for any kind of
file-management and file previewing.

Features:
  * Webbrowsing using KHTML or KDEWebEngine as rendering engines
  * File management using most of Dolphin's features (including version-control,
    service menus and the basic UI)
  * File management on ftp and sftp servers
  * Full featured FTP-client (you can split views to display local and remote
    folders and previews in the same window)
  * Embedded applications to preview and edit files (e.g. Okular and KOffice for
    documents, Gwenview for pictures, KTextEditor for text-files)
  * Different kinds of plugins: Service-menus, KParts (embedded applications),
  * KIO (accessing files using special protocols like http or ftp) and
  * KPart-plugins (like AdBlocker...)

%files -f %name.lang
%_kf6_sysconfdir/xdg/useragenttemplatesrc
%_kf6_sysconfdir/xdg/autostart/konqy_preload.desktop
%_kf6_categoriesdir/konqueror.*categories
%_kf6_categoriesdir/akregatorplugin.*categories
%_kf6_bindir/%{name}
%_kf6_bindir/kfmclient
%dir %_kf6_datadir/konqueror
%_kf6_datadir/konqueror/icons/
%_kf6_datadir/konqueror/partsrcfiles/
%_qt6_plugindir/dolphinpart/kpartplugins/konq_shellcmdplugin.so
%dir %_qt6_plugindir/konqueror/
%_qt6_plugindir/konqueror/kpartplugins/
%_qt6_plugindir/konqueror/sidebar/
%dir %_qt6_plugindir/konqueror_kcms
%_qt6_plugindir/konqueror_kcms/kcm_bookmarks.so
%_qt6_plugindir/konqueror_kcms/khtml_cookies.so
%_qt6_plugindir/konqueror_kcms/kcm_history.so
%_qt6_plugindir/konqueror_kcms/kcm_konq.so
%_qt6_plugindir/konqueror_kcms/kcm_performance.so
%_qt6_plugindir/konqueror_kcms/khtml_appearance.so
%_qt6_plugindir/konqueror_kcms/khtml_behavior.so
%_qt6_plugindir/konqueror_kcms/khtml_cache.so
%_qt6_plugindir/konqueror_kcms/khtml_filter.so
%_qt6_plugindir/konqueror_kcms/khtml_general.so
%_qt6_plugindir/konqueror_kcms/khtml_java_js.so
%_qt6_plugindir/konqueror_kcms/khtml_useragent.so
%_qt6_plugindir/konqueror_kcms/khtml_tabs.so
%_qt6_plugindir/konqueror_kget_browser_integration.so
%_kf6_plugindir/kio/bookmarks.so
%_kf6_plugindir/parts/fsviewpart.so
%_kf6_plugindir/parts/konq_sidebar.so
%_kf6_plugindir/kfileitemaction/akregatorplugin.so
%_kf6_applicationsdir/bookmarks.desktop
%_kf6_applicationsdir/kcm_bookmarks.desktop
%_kf6_applicationsdir/kfmclient.desktop
%_kf6_applicationsdir/kfmclient_html.desktop
%_kf6_applicationsdir/kfmclient_war.desktop
%_kf6_applicationsdir/konqbrowser.desktop
%_kf6_applicationsdir/kfmclient_dir.desktop
%_kf6_metainfodir/org.kde.%{name}.appdata.xml
%_kf6_datadir/kcontrol/*
%_kf6_datadir/kcmcss/template.css
%_kf6_datadir/kf6/kbookmark/directory_bookmarkbar.desktop
%_kf6_datadir/config.kcfg/konqueror.kcfg
%_kf6_datadir/konqueror/about/
%_kf6_datadir/konqueror/pics/
%_kf6_datadir/kio_bookmarks/
%_kf6_datadir/dbus-1/interfaces/org.kde.Konqueror.Main.xml
%_kf6_datadir/dbus-1/interfaces/org.kde.Konqueror.MainWindow.xml
%_kf6_iconsdir/*/*/*/konqueror.*
# kwebenginepart
%_kf6_libdir/libkwebenginepart.so
%_kf6_plugindir/parts/webenginepart.so
%_kf6_datadir/webenginepart/
%_kf6_iconsdir/*/*/*/webengine.*

#------------------------------------------------------------------------------

%package        handbook
Summary:        Konqueror Handbook
Group:          Documentation
BuildArch:      noarch

%description    handbook
This package provides konqueror handbook.

%files handbook
%doc %_kf6_docdir/HTML/*/%{name}/
%doc %_kf6_docdir/HTML/*/kcontrol/*
%doc %_kf6_docdir/HTML/*/kcontrol6/*

#------------------------------------------------------------------------------

%package -n     konq-plugins
Summary:        Konqueror plugins
Group:          Networking/WWW
Requires:       konqueror

%description -n konq-plugins
This module contains plugins that interact with Konqueror.

%files -n konq-plugins
%_kf6_categoriesdir/fsview.categories
%_kf6_sysconfdir/xdg/translaterc
%_kf6_sysconfdir/xdg/konqsidebartngrc
%_kf6_sysconfdir/xdg/konqautofiltersrc
%_kf6_bindir/fsview
%_qt6_plugindir/akregatorkonqfeedicon.so
%_qt6_plugindir/autorefresh.so
%_qt6_plugindir/babelfishplugin.so
%_qt6_plugindir/dolphinpart/kpartplugins/dirfilterplugin.so
%_qt6_plugindir/dolphinpart/kpartplugins/kimgallery.so
%_qt6_plugindir/khtmlsettingsplugin.so
%_qt6_plugindir/temporarysavedir.so
%_qt6_plugindir/uachangerplugin.so
%dir %_qt6_plugindir/khtml
%_qt6_plugindir/khtml/kpartplugins/
%dir %_qt6_plugindir/kwebkitpart
%_qt6_plugindir/kwebkitpart/kpartplugins/
%_kf6_datadir/konqsidebartng/
%_kf6_iconsdir/hicolor/*/apps/fsview.png
%_kf6_iconsdir/hicolor/*/actions/babelfish.png
%_kf6_iconsdir/hicolor/*/actions/imagegallery.png
# kwebenginepart
%dir %_qt6_plugindir/webenginepart
%_qt6_plugindir/webenginepart/kpartplugins/
%_kf6_datadir/akregator/pics/feed.png
%_kf6_datadir/kconf_update/webenginepart.upd
# new webarchiver plugin
%_kf6_bindir/kcreatewebarchive
%_qt6_plugindir/webarchiverplugin.so
%_kf6_plugindir/thumbcreator/webarchivethumbnail.so
%_kf6_datadir/config.kcfg/kcreatewebarchive.kcfg
%_kf6_iconsdir/hicolor/*/actions/webarchiver.png
#

#------------------------------------------------------------------------------

%define kf6konq_major 7
%define libkf6konq %mklibname kf6konq %kf6konq_major

%package -n     %libkf6konq
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %libkf6konq
Runtime Library for Konqueror.

%files -n %libkf6konq
%_kf6_libdir/libKF6Konq.so.%{kf6konq_major}
%_kf6_libdir/libKF6Konq.so.5{,.*}

#------------------------------------------------------------------------------

%define kf6konqsettings_major 7
%define libkf6konqsettings %mklibname kf6konqsettings %kf6konqsettings_major

%package -n     %libkf6konqsettings
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %libkf6konqsettings
Runtime Library for Konqueror.

%files -n %libkf6konqsettings
%_kf6_libdir/libKF6KonqSettings.so.%{kf6konqsettings_major}
%_kf6_libdir/libKF6KonqSettings.so.5{,.*}

#------------------------------------------------------------------------------

%define konqsidebarplugin_major 6
%define libkonqsidebarplugin %mklibname konqsidebarplugin %konqsidebarplugin_major

%package -n     %libkonqsidebarplugin
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %libkonqsidebarplugin
Runtime Library for Konqueror.

%files -n %libkonqsidebarplugin
%_kf6_libdir/libkonqsidebarplugin.so.%{konqsidebarplugin_major}
%_kf6_libdir/libkonqsidebarplugin.so.%{version}

#------------------------------------------------------------------------------

%define konquerorprivate_major 5
%define libkonquerorprivate %mklibname konquerorprivate %konquerorprivate_major

%package -n     %libkonquerorprivate
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %libkonquerorprivate
Runtime Library for Konqueror.

%files -n %libkonquerorprivate
%_kf6_libdir/libkonquerorprivate.so.%{konquerorprivate_major}{,.*}
%_kf6_libdir/libkonquerorprivate.so.%{version}

#------------------------------------------------------------------------------

%define kf6konq_devel %mklibname kf6konq -d

%package -n     %kf6konq_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6konq = %epoch:%version-%release
Requires:       %libkf6konqsettings = %epoch:%version-%release
Requires:       %libkonqsidebarplugin = %epoch:%version-%release
Requires:       %libkonquerorprivate = %epoch:%version-%release
Provides:       %{name}-devel = %epoch:%version-%release

%description -n %kf6konq_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6konq_devel
%_kf6_includedir/*
%_kf6_libdir/libKF6Konq.so
%_kf6_libdir/libKF6KonqSettings.so
%_kf6_libdir/libkonqsidebarplugin.so
%_kf6_libdir/cmake/KF6Konq/

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON

%cmake_build

%install
%cmake_install
%find_lang %name --all-name

# From upstream:
# Make sure kfmclient can find konqueror.desktop even if people remove it from the K menu (#62242)
# This is why konqueror.desktop is installed into services.
#
# On Wayland the icon to use for the main window is read from the desktop file, which needs
# to be in the applications directory, so it needs to be installed there, too (bug #452149)
#
# We don't install a services file into the applications directory
rm -rf %buildroot%_kf6_applicationsdir/org.kde.konqueror.desktop
