#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           konquest
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Conquer the planets of your enemy
Group:          Games/Strategy
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://apps.kde.org/konquest/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6StateMachine)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6ColorScheme)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6WidgetsAddons)

BuildRequires:  cmake(KDEGames6)

Recommends:     konquest-handbook

%description
Konquest is the KDE version of Gnu-Lactic Konquest. 
Players conquer other planets by sending ships to them. The goal is to build an
interstellar empire and ultimately conquer all other player's planets.

%files -f %{name}.lang
%license LICENSES/*.txt
%doc README
%_kf6_bindir/%{name}
%_kf6_applicationsdir/org.kde.%{name}.desktop
%_kf6_metainfodir/org.kde.%{name}.appdata.xml
%_kf6_datadir/%{name}/
%_kf6_iconsdir/hicolor/*/*/*

#------------------------------------------------------------------------------

%package handbook
Summary:        konquest handbook
Group:          Documentation
BuildArch:      noarch
Requires:       konquest >= %{epoch}:%{version}-%{release}

%description handbook
This package provides the konquest handbook.

%files handbook
%_kf6_docdir/HTML/*/%{name}/

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}
