#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           konsole
Summary:        A terminal emulator similar to xterm for KDE
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://konsole.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# upstream patches

# upstream patches (master branch)

# branch patches (100-199)

# trunk patches (200-300)

# Mageia patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6Bookmarks)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6NotifyConfig)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(KF6GlobalAccel)
BuildRequires:  cmake(KF6Pty)
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  pkgconfig(icu-i18n)

Requires:       x11-font-misc-misc
Recommends:     konsole-doc


%description
A terminal emulator, similar to xterm, for KDE.

%files -f %name.lang
%_kf6_categoriesdir/konsole.categories
%_kf6_bindir/konsole
%_kf6_bindir/konsoleprofile
%_kf6_plugindir/parts/konsolepart.so
%_qt6_plugindir/konsoleplugins/
%_kf6_metainfodir/org.kde.konsole.appdata.xml
%_kf6_applicationsdir/org.kde.konsole.desktop
%_kf6_knotificationsdir/konsole.notifyrc
%_kf6_libdir/kconf_update_bin/konsole_globalaccel
%_kf6_libdir/kconf_update_bin/konsole_show_menubar
%_kf6_datadir/kio/servicemenus/konsolerun.desktop
%_kf6_datadir/kconf_update/konsole.upd
%_kf6_datadir/kconf_update/konsole_add_hamburgermenu_to_toolbar.sh
%_kf6_datadir/kglobalaccel/org.kde.konsole.desktop
%_kf6_datadir/zsh/site-functions/_konsole

#--------------------------------------------------------------------

%define konsoleprivate_major %{version}
%define libkonsoleprivate %mklibname konsoleprivate %{konsoleprivate_major}

%package -n %libkonsoleprivate
Summary:        A konsole library
Group:          System/Libraries

%description -n %libkonsoleprivate
A konsole library.

%files -n %libkonsoleprivate
%_kf6_libdir/libkonsoleprivate.so.%{konsoleprivate_major}

#--------------------------------------------------------------------

%define konsoleapp_major %{version}
%define libkonsoleapp %mklibname konsoleapp %{konsoleapp_major}

%package -n %libkonsoleapp
Summary:        A konsole library
Group:          System/Libraries

%description -n %libkonsoleapp
A konsole library.

%files -n %libkonsoleapp
%_kf6_libdir/libkonsoleapp.so.%{konsoleapp_major}

#--------------------------------------------------------------------

%package doc
Summary:        Konsole Documentation
Group:          Documentation
BuildArch:      noarch
Requires:       konsole >= %{epoch}:%{version}-%{release}

%description doc
This package provides Konsole documentation.

%files doc
%docdir %_kf6_docdir/
%_kf6_docdir/%{name}/manual
%_kf6_docdir/%{name}/developer
%_kf6_docdir/%{name}/user
%_kf6_docdir/HTML/*/konsole

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %name

mkdir -p %{buildroot}%_kf6_docdir/%{name}
mv doc/* %{buildroot}%_kf6_docdir/%{name}
