#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kontact
Epoch:          2
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Container application to unify several major PIM applications
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://apps.kde.org/kontact/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%{version}.tar.xz
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6WebEngineWidgets)

# Find KF6 package
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6DocTools)

# Find KdepimLibs Package
BuildRequires:  cmake(KPim6KontactInterface)
BuildRequires:  cmake(KPim6Libkdepim)
BuildRequires:  cmake(KPim6GrantleeTheme)
BuildRequires:  cmake(KPim6PimCommon)

Requires:       qt6-qtwebengine
Recommends:     kmail
Recommends:     marknote
Recommends:     kalarm
Recommends:     kaddressbook
Recommends:     korganizer
Recommends:     kontact-handbook


%description
The KDE Kontact Personal Information Management suite unites mature and
proven KDE applications under one roof. Thanks to the powerful KParts
technology, existing applications are seamlessly integrated into one.

%files -f %name.lang
%_kf6_categoriesdir/kontact.*categories
%_kf6_bindir/kontact
%_kf6_metainfodir/org.kde.kontact.appdata.xml
%_kf6_applicationsdir/org.kde.kontact.desktop
%_kf6_datadir/config.kcfg/kontact.kcfg
%_kf6_iconsdir/*/*/*/*.png
%_kf6_iconsdir/hicolor/*/*/*.svg
%_kf6_datadir/messageviewer/about/default/introduction_kontact.html
%_kf6_datadir/messageviewer/about/default/loading_kontact.html
%_kf6_datadir/dbus-1/services/org.kde.kontact.service
%_qt6_plugindir/pim6/kcms/kontact/kcm_kontact.so

#------------------------------------------------------------------------------

%define kontactprivate_major 6
%define libkontactprivate %mklibname kontactprivate %kontactprivate_major

%package -n %libkontactprivate
Summary:        KDEPIM library
Group:          System/Libraries

%description -n %libkontactprivate
KDEPIM library.

%files -n %libkontactprivate
%_kf6_libdir/libkontactprivate.so.%{kontactprivate_major}{,.*}

#------------------------------------------------------------------------------

%package -n kontact-handbook
Summary:        Kontact handbook
Group:          Documentation
BuildArch:      noarch

%description -n kontact-handbook
This package provides the kontact handbook.

%files -n kontact-handbook
%_kf6_docdir/HTML/*/kontact

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install
%find_lang %name
