#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Kontact Plugin Interface Library
Name:           kontactinterface
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Gui)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6XmlGui)

%description
Kontact Plugin Interface Library.

%files -f %name.lang
%_kf6_categoriesdir/kontactinterface.categories
%_kf6_categoriesdir/kontactinterface.renamecategories

#--------------------------------------------------------------------

%define kpimkontactinterface_major 6
%define libkpimkontactinterface %mklibname kpim6kontactinterface %{kpimkontactinterface_major}

%package -n %libkpimkontactinterface
Summary:        Kontact Plugin Interface Library
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkpimkontactinterface
Kontact Plugin Interface Library.

%files -n %libkpimkontactinterface
%_kf6_libdir/libKPim6KontactInterface.so.%{kpimkontactinterface_major}{,.*}

#--------------------------------------------------------------------

%define kontactinterface_devel %mklibname kpim6kontactinterface -d

%package -n %kontactinterface_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkpimkontactinterface = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kontactinterface_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kontactinterface_devel
%_includedir/KPim6/KontactInterface/
%_kf6_libdir/libKPim6KontactInterface.so
%_kf6_libdir/cmake/KPim6KontactInterface/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name

