#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:		kontrast
Version: 25.04.0
Release:	%mkrel %{rel}
Summary:	Color contrast checker
Group:		Graphical desktop/KDE
License:	GPLv3
URL:		https://apps.kde.org/cs/kontrast/
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Qml)
BuildRequires:	cmake(Qt6QuickControls2)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Sql)
BuildRequires:	cmake(Qt6Widgets)

BuildRequires:	cmake(KF6Kirigami)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6KirigamiAddons)
BuildRequires:	cmake(KF6DocTools)
BuildRequires:	cmake(KF6Crash)

BuildRequires:	cmake(FutureSQL6)
BuildRequires:	cmake(QCoro6)

Requires:	kirigami
Requires:	kirigami-addons
Recommends:     %{name}-handbook

%description
A tool that helps UI designers find colors with sufficient contrast.

%files -f %{name}.lang
%{_kf6_bindir}/%{name}
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_iconsdir}/hicolor/scalable/apps/org.kde.%{name}.svg
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml

#------------------------------------------------------------------------------

%package -n %{name}-handbook
Summary:        Kontrast Handbook
Group:          Documentation
BuildArch:      noarch

%description -n %{name}-handbook
This package provides kontrast handbook.

%files -n %{name}-handbook
%_kf6_docdir/HTML/*/kontrast/

#-------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}
