#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           konversation
Version: 25.04.0
Release:        %mkrel %rel
Summary:        A user friendly IRC Client for Plasma
License:        GPLv2
Group:          Networking/IRC
URL:            https://konversation.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
Patch0:         konversation-20.12.2-mga-default_channel.patch
# https://phabricator.kde.org/D29792
Patch1:         konversation-1.7.5-use-a-different-tray-icon-for-notifications.patch

## upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Tools)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Bookmarks)
BuildRequires:  cmake(KF6Codecs)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IdleTime)
BuildRequires:  cmake(KF6ItemViews)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6NotifyConfig)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6StatusNotifierItem)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6Wallet)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6WindowSystem)

BuildRequires:  cmake(KF6GlobalAccel)

BuildRequires:  cmake(Qca-qt6)
BuildRequires:  qt6-qttools-qtdbus

Requires:       kglobalaccel
Requires:       qca-qt6
Provides:       plasma-irc-client
Provides:       plasma5-irc-client
Provides:       plasma6-irc-client

%description
Konversation is a graphical Internet Relay Chat client (IRC)
with Plasma support.

Features:

* Standard IRC features
* SSL server support
* Bookmarking support
* Easy to use graphical user interface
* Multiple servers and channels in one single window
* DCC file transfer
* Multiple identities for different servers
* Text decorations and colors
* OnScreen Display for notifications
* Automatic UTF-8 detection
* Per channel encoding support
* Theme support for nick icons
* Highly configurable

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%_kf6_categoriesdir/%{name}.*categories
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_bindir}/%{name}
%{_kf6_datadir}/%{name}/
%{_kf6_iconsdir}/hicolor/*/actions/konv_message.png
%{_kf6_iconsdir}/hicolor/*/apps/%{name}.png
%{_kf6_knotificationsdir}/%{name}.notifyrc
%{_kf6_datadir}/knsrcfiles/%{name}_nicklist_theme.knsrc
%{_datadir}/dbus-1/services/org.kde.konversation.service

#--------------------------------------------------------------------

%prep
%autosetup -p1

# purge use of /usr/bin/env
sed -i \
  -e "s|^#!/usr/bin/env bash|#!/bin/bash|g" \
  -e "s|^#!/usr/bin/env perl|#!/usr/bin/perl|g" \
  -e "s|^#!/usr/bin/env python$|#!%{__python3}|g" \
  data/scripts/* \
  data/scripting_support/python/konversation/*.py

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{name} --with-html
