#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kopeninghours
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        OSM opening hours expression parser and evaluator
Group:          Graphical desktop/KDE
License:        LGPLv2+
URL:            https://www.kde.org
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
Patch0:         kopeninghours-25.04.0-python3-install-dir.patch

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core) >= 6.6
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6Holidays)
BuildRequires:  cmake(KF6I18n)

BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  boost-devel
BuildRequires:  pkgconfig(python3)

%description
A library for parsing and evaluating OSM opening hours expressions.

%files -f %{name}.lang
%license LICENSES/*
%{_kf6_categoriesdir}/org_kde_kopeninghours.*categories
%{_kf6_qmldir}/org/kde/kopeninghours/

#------------------------------------------------------------------------------

%define kopeninghours_major 1
%define libkopeninghours %mklibname kopeninghours %{kopeninghours_major}

%package -n %{libkopeninghours}
Summary:        OSM opening hours expression parser and evaluator
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %{libkopeninghours}
A library for parsing and evaluating OSM opening hours expressions.

%files -n %{libkopeninghours}
%license LICENSES/*
%{_kf6_libdir}/libKOpeningHours.so.%{kopeninghours_major}
#{_kf6_libdir}/libKOpeningHours.so.%%{version}
%{_kf6_libdir}/libKOpeningHours.so.25{,.*}

#------------------------------------------------------------------------------

%define develname %mklibname %{name} -d

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/KDE and Qt
Requires:       %{libkopeninghours} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Include files and libraries needed to build programs that use the KOpeningHours
library.

%files -n %{develname}
%license LICENSES/*
%{_includedir}/KOpeningHours/
%{_includedir}/kopeninghours/
%{_includedir}/kopeninghours_version.h
%{_kf6_libdir}/cmake/KOpeningHours/
%{_kf6_libdir}/libKOpeningHours.so

#------------------------------------------------------------------------------

%package -n python3-%{name}
Summary:        Python3 bindings for %{name}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
Python 3 bindings for %{name}.

%files -n python3-%{name}
%{python3_sitearch}/PyKOpeningHours/

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DQT_MAJOR_VERSION=6 \
           -DBUILD_TESTING=ON
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-man
