#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           korganizer
Epoch:          2
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Calendar and scheduling component
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://apps.kde.org/korganizer/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%{version}.tar.xz
# FIXME missing 32bit support for akonadi-calendar
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6UiTools)

# Find KF6 package
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6ItemViews)
BuildRequires:  cmake(KF6JobWidgets)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6Holidays)
BuildRequires:  cmake(KF6UserFeedback)
BuildRequires:  cmake(KF6DocTools)

# Find KdepimLibs Package
BuildRequires:  cmake(KPim6Akonadi)
BuildRequires:  cmake(KF6Contacts)
BuildRequires:  cmake(KF6CalendarCore)
BuildRequires:  cmake(KPim6AkonadiContactWidgets)
BuildRequires:  cmake(KPim6IdentityManagementCore)
BuildRequires:  cmake(KPim6MailTransport)
BuildRequires:  cmake(KPim6CalendarUtils)
BuildRequires:  cmake(KPim6LdapWidgets)
BuildRequires:  cmake(KPim6AkonadiCalendar)
BuildRequires:  cmake(KPim6KontactInterface)
BuildRequires:  cmake(KPim6Mime)
BuildRequires:  cmake(KPim6PimCommonAkonadi)
BuildRequires:  cmake(KPim6Libkdepim)
BuildRequires:  cmake(KPim6IncidenceEditor)
BuildRequires:  cmake(KPim6CalendarSupport)
BuildRequires:  cmake(KPim6EventViews)
BuildRequires:  cmake(KPim6PimCommonActivities)

Requires:       akonadi-calendar-tools
Requires:       akonadi-kde
Requires:       akonadi-search
Requires:       kdepim-addons

Recommends:     korganizer-handbook

# ease upgrade mga9 -> mga10
Conflicts:      kdepim-addons < 24.07.90-1


%description
KOrganizer provides management of events and tasks, alarm notification,
web export, network transparent handling of data, group scheduling,
import and export of calendar files and more. It is able to work together
with a wide variety of groupware servers, for example Kolab, Open-Xchange,
Citadel or OpenGroupware.org.

%files -f %name.lang
%_kf6_categoriesdir/korganizer.categories
%_kf6_categoriesdir/korganizer.renamecategories
%_kf6_bindir/korganizer
%_kf6_datadir/knsrcfiles/korganizer.knsrc
%_qt6_plugindir/korganizerpart.so
%_qt6_plugindir/pim6/kcms/korganizer/
%_kf6_metainfodir/org.kde.korganizer.appdata.xml
%_kf6_applicationsdir/org.kde.korganizer.desktop
%_kf6_applicationsdir/korganizer-import.desktop
%_kf6_applicationsdir/korganizer-view.desktop
%_kf6_datadir/config.kcfg/korganizer.kcfg
%_kf6_datadir/korganizer/
%_datadir/dbus-1/interfaces/org.kde.Korganizer.Calendar.xml
%_datadir/dbus-1/interfaces/org.kde.korganizer.Korganizer.xml
# Kontact integration
%_qt6_plugindir/pim6/kontact/kontact_korganizerplugin.so
%_qt6_plugindir/pim6/kontact/kontact_journalplugin.so
%_qt6_plugindir/pim6/kontact/kontact_specialdatesplugin.so
%_qt6_plugindir/pim6/kontact/kontact_todoplugin.so
%_qt6_plugindir/pim6/kcms/summary/kcmapptsummary.so
%_qt6_plugindir/pim6/kcms/summary/kcmsdsummary.so
%_qt6_plugindir/pim6/kcms/summary/kcmtodosummary.so
# korganizer addons
%dir %_qt6_plugindir/pim6/korganizer
%_qt6_plugindir/pim6/korganizer/datenums.so
%_qt6_plugindir/pim6/korganizer/lunarphases.so
%_qt6_plugindir/pim6/korganizer/picoftheday.so
%_qt6_plugindir/pim6/korganizer/thisdayinhistory.so
%_kf6_iconsdir/*/*/*/*
%_kf6_datadir/dbus-1/services/org.kde.korganizer.service

#------------------------------------------------------------------------------

%define korganizer_core_major 6
%define libkorganizer_core %mklibname korganizer_core %korganizer_core_major

%package -n %libkorganizer_core
Summary:        KDEPIM library
Group:          System/Libraries

%description -n %libkorganizer_core
KDEPIM library.

%files -n %libkorganizer_core
%_kf6_libdir/libkorganizer_core.so.%{korganizer_core_major}{,.*}

#------------------------------------------------------------------------------

%define korganizer_interfaces_major 6
%define libkorganizer_interfaces %mklibname korganizer_interfaces %korganizer_interfaces_major

%package -n %libkorganizer_interfaces
Summary:        KDEPIM library
Group:          System/Libraries

%description -n %libkorganizer_interfaces
KDEPIM library.

%files -n %libkorganizer_interfaces
%_kf6_libdir/libkorganizer_interfaces.so.%{korganizer_interfaces_major}{,.*}

#------------------------------------------------------------------------------

%define korganizerprivate_major 6
%define libkorganizerprivate %mklibname korganizerprivate %korganizerprivate_major

%package -n %libkorganizerprivate
Summary:        KDEPIM library
Group:          System/Libraries

%description -n %libkorganizerprivate
KDEPIM library.

%files -n %libkorganizerprivate
%_kf6_libdir/libkorganizerprivate.so.%{korganizerprivate_major}{,.*}

#------------------------------------------------------------------------------

%package -n korganizer-handbook
Summary:        Korganizer Handbook
Group:          Documentation
BuildArch:      noarch

%description -n korganizer-handbook
This package provides korganizer handbook.

%files -n korganizer-handbook
%_kf6_docdir/HTML/*/korganizer

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install
%find_lang %name --all-name
