#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:		kosmindoormap
Version: 25.04.0
Release:	%mkrel %{rel}
Summary:	OSM multi-floor indoor map renderer
Group:		Graphical desktop/KDE
License:	GPLv2+
Url:		https://kde.org/
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Quick)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)

BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KPublicTransport)
BuildRequires:	cmake(KOpeningHours)

BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6Service)

BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(protobuf)
BuildRequires:	pkgconfig(recastnavigation)

BuildRequires:	osmctools
Requires:	osmctools

%description
Library and QML component for rendering multi-level OSM indoor maps.

%files -f %{name}.lang
%{_kf6_categoriesdir}/org_kde_kosmindoormap.*categories
%{_kf6_qmldir}/org/kde/kosmindoormap/
%{_kf6_qmldir}/org/kde/kosmindoorrouting/
%{_kf6_qmldir}/org/kde/osm/

#-------------------------------------------------------------------------

%define kosm_major 1
%define libkosm    %mklibname kosm %{kosm_major}

%package -n %{libkosm}
Summary:	Library and QML component for rendering multi-level OSM indoor maps
Group:		System/Libraries

%description -n %{libkosm}
Library and QML component for rendering multi-level OSM indoor maps.

%files -n %{libkosm}
%{_kf6_libdir}/libKOSM.so.%{kosm_major}
%{_kf6_libdir}/libKOSM.so.%{version}

#-------------------------------------------------------------------------

%define kosmindoormap_major 1
%define libkosmindoormap    %mklibname kosmindoormap %{kosmindoormap_major}

%package -n %{libkosmindoormap}
Summary:	Library and QML component for rendering multi-level OSM indoor maps
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libkosmindoormap}
Library and QML component for rendering multi-level OSM indoor maps.

%files -n %{libkosmindoormap}
%{_kf6_libdir}/libKOSMIndoorMap.so.%{kosmindoormap_major}
%{_kf6_libdir}/libKOSMIndoorMap.so.%{version}

#-------------------------------------------------------------------------

%define kosmindoorrouting_major 1
%define libkosmindoorrouting    %mklibname kosmindoorrouting %{kosmindoorrouting_major}

%package -n %{libkosmindoorrouting}
Summary:	Library and QML component for rendering multi-level OSM indoor routing
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libkosmindoorrouting}
Library and QML component for rendering multi-level OSM indoor routing.

%files -n %{libkosmindoorrouting}
%{_kf6_libdir}/libKOSMIndoorRouting.so.%{kosmindoorrouting_major}
%{_kf6_libdir}/libKOSMIndoorRouting.so.%{version}

#-------------------------------------------------------------------------

%define develname %mklibname %{name} -d

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libkosm} = %{version}-%{release}
Requires:	%{libkosmindoormap} = %{version}-%{release}
Requires:	%{libkosmindoorrouting} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{develname}
%{_includedir}/KOSM/
%{_includedir}/KOSMIndoorMap/
%{_includedir}/KOSMIndoorRouting/
%{_includedir}/kosm/
%{_includedir}/kosmindoormap/
%{_includedir}/kosmindoorrouting/
%{_includedir}/kosmindoormap_version.h
%{_kf6_libdir}/libKOSM.so
%{_kf6_libdir}/libKOSMIndoorMap.so
%{_kf6_libdir}/libKOSMIndoorRouting.so
%{_kf6_libdir}/cmake/KOSMIndoorMap/

#-------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}
