#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 2 library to load and install packages as plugins
Name:           kpackage
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6I18n) >= %version
BuildRequires:  cmake(KF6Config) >= %version
BuildRequires:  cmake(KF6Archive) >= %version
BuildRequires:  cmake(KF6DocTools) >= %version
BuildRequires:  cmake(KF6CoreAddons) >= %version

%description
KDE Frameworks 6 Tier 2 library to load and install non-binary packages as
if they were plugins.

%files -f lib%{name}6.lang
%_kf6_categoriesdir/kpackage.*categories
%_kf6_bindir/kpackagetool6
%_kf6_mandir/*/man?/*
%_kf6_mandir/man1/kpackagetool6.1.*

#--------------------------------------------------------------------

%define kf6package_major 6
%define libkf6package %mklibname kf6package %{kf6package_major}

%package -n %libkf6package
Summary:        KDE Frameworks 6 Tier 2 library to load and install packages as plugins
Group:          System/Libraries
Recommends:     %{name} >= %version-%release

%description -n %libkf6package
KDE Frameworks 6 Tier 2 library to load and install non-binary packages as
if they were plugins.

%files -n %libkf6package
%_kf6_libdir/libKF6Package.so.%{kf6package_major}{,.*}
%_kf6_libdir/libKF6Package.so.%{version}

#--------------------------------------------------------------------

%define kf6package_devel %mklibname kf6package -d

%package -n %kf6package_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6package = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6package_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6package_devel
%_kf6_includedir/KPackage/
%_kf6_libdir/cmake/KF6Package/
%_kf6_libdir/*.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang lib%{name}6

