#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define rel 1

Summary:        KDE Frameworks 6 Tier 3 solution for KParts
Name:           kparts
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6DBus)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6JobWidgets)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)

%description
KDE Frameworks 6 Tier 3 solution for KParts.

%files -f kparts6.lang
%_kf6_categoriesdir/kparts.categories
%_kf6_datadir/kdevappwizard/templates/kparts6-app.tar.bz2

#--------------------------------------------------------------------

%define kf6parts_major 6
%define libkf6parts %mklibname kf6parts %{kf6parts_major}

%package -n %libkf6parts
Summary:        KDE Frameworks 6 Tier 3 solution for KParts
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf6parts
KDE Frameworks 6 Tier 3 solution for KParts.

%files -n %libkf6parts
%_kf6_libdir/libKF6Parts.so.%{kf6parts_major}{,.*}
%_kf6_libdir/libKF6Parts.so.%{version}

#--------------------------------------------------------------------

%define kf6parts_devel %mklibname kf6parts -d

%package -n %kf6parts_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6parts = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6parts_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6parts_devel
%_kf6_includedir/KParts/
%_kf6_libdir/cmake/KF6Parts/
%_kf6_libdir/*.so

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang kparts6
