#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kpat
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Several patience card games
Group:          Games/Cards
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://apps.kde.org/kpat/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

## Upstream patches (100-199)

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(KDEGames6)
BuildRequires:  pkgconfig(libblack-hole-solver)
BuildRequires:  pkgconfig(libfreecell-solver)

Requires:       libkdegames-common
Recommends:     kpat-handbook


%description -n kpat
KPatience is a relaxing card sorting game.
To win the game a player has to arrange a single deck of cards in certain order
amongst each other.

%files -n kpat -f %name.lang
%_kf6_categoriesdir/kpat.*categories
%_kf6_bindir/kpat
%_kf6_libdir/libkcardgame.so
%_kf6_applicationsdir/*.desktop
%_kf6_metainfodir/org.kde.kpat.appdata.xml
%_kf6_datadir/kpat/
%_kf6_datadir/config.kcfg/kpat.kcfg
%_kf6_iconsdir/hicolor/*/*/*
%_kf6_datadir/mime/packages/kpatience.xml
%_kf6_datadir/knsrcfiles/kcardtheme.knsrc
%_kf6_datadir/knsrcfiles/kpat.knsrc
%_kf6_mandir/*/man6/kpat.6.*
%_kf6_mandir/man6/kpat.6.*

#------------------------------------------------------------------------------

%package -n     kpat-handbook
Summary:        kpat handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kpat >= %{epoch}:%{version}-%{release}

%description -n kpat-handbook
This package provides the kpat handbook.

%files -n kpat-handbook
%_kf6_docdir/HTML/*/kpat

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DWITH_BH_SOLVER=1
%cmake_build

%install
%cmake_install

%find_lang %name --all-name
