#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 3 library for contact and people aggregation
Name:           kpeople
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6CoreAddons) >= %version
BuildRequires:  cmake(KF6WidgetsAddons) >= %version
BuildRequires:  cmake(KF6I18n) >= %version
BuildRequires:  cmake(KF6ItemViews) >= %version
BuildRequires:  cmake(KF6Contacts) >= %version

# ease upgrade mga9 -> mga10
Provides:       kpeoplevcard = %{version}-%{release}
Obsoletes:      kpeoplevcard < 0.1-5.git20231120.2


%description
KDE Frameworks 6 Tier 3 library for contact and people aggregation.

%files -f %{name}6.lang
%_kf6_categoriesdir/kpeople.*categories
%_kf6_qmldir/org/kde/people
%dir %_qt6_plugindir/kpeople
%dir %_qt6_plugindir/kpeople/datasource
%_qt6_plugindir/kpeople/datasource/KPeopleVCard.so

#--------------------------------------------------------------------

%define kf6people_major 6
%define libkf6people %mklibname kf6people %{kf6people_major}

%package -n %libkf6people
Summary:        KDE Frameworks 6 Tier 3 library for contact and people aggregation
Group:          System/Libraries
Requires:       %{name} >= %version-%release

%description -n %libkf6people
KDE Frameworks 6 Tier 3 library for contact and people aggregation.

%files -n %libkf6people
%_kf6_libdir/libKF6People.so.%{kf6people_major}{,.*}
%_kf6_libdir/libKF6People.so.%{version}

#--------------------------------------------------------------------

%define kf6peoplebackend_major 6
%define libkf6peoplebackend %mklibname kf6peoplebackend %{kf6peoplebackend_major}

%package -n %libkf6peoplebackend
Summary:        KDE Frameworks 6 Tier 3 library for contact and people aggregation
Group:          System/Libraries

%description -n %libkf6peoplebackend
KDE Frameworks 6 Tier 3 library for contact and people aggregation.

%files -n %libkf6peoplebackend
%_kf6_libdir/libKF6PeopleBackend.so.%{kf6peoplebackend_major}{,.*}
%_kf6_libdir/libKF6PeopleBackend.so.%{version}

#--------------------------------------------------------------------

%define kf6peoplewidgets_major 6
%define libkf6peoplewidgets %mklibname kf6peoplewidgets %{kf6peoplewidgets_major}

%package -n %libkf6peoplewidgets
Summary:        KDE Frameworks 6 Tier 3 library for contact and people aggregation
Group:          System/Libraries

%description -n %libkf6peoplewidgets
KDE Frameworks 6 Tier 3 library for contact and people aggregation.

%files -n %libkf6peoplewidgets
%_kf6_libdir/libKF6PeopleWidgets.so.%{kf6peoplewidgets_major}{,.*}
%_kf6_libdir/libKF6PeopleWidgets.so.%{version}

#--------------------------------------------------------------------

%define kf6people_devel %mklibname kf6people -d

%package -n %kf6people_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6people = %version-%release
Requires:       %libkf6peoplebackend = %version-%release
Requires:       %libkf6peoplewidgets = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

Obsoletes:      %{_lib}kf6peoplevcard-devel < 0.1-5.git20231120.2

%description -n %kf6people_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6people_devel
%_kf6_includedir/KPeople/
%_kf6_libdir/cmake/KF6People/
%_kf6_libdir/*.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{name}6 --all-name

