Name:		kphotoalbum
Epoch:		1
Version:	6.0.1
Release:	%mkrel 1
Summary:	Photo album manager
License:	GPLv2+
Group:		Graphics/Utilities
Url:		https://www.kphotoalbum.org/
Source0:	https://download.kde.org/stable/%{name}/%{version}/%{name}-%{version}.tar.xz
# Mageia patches:

# Upstream patches:

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Sql)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Test)
BuildRequires:	cmake(Phonon4Qt6)

BuildRequires:	cmake(KF6Archive)
BuildRequires:	cmake(KF6Completion)
BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6IconThemes)
BuildRequires:	cmake(KF6JobWidgets)
BuildRequires:	cmake(KF6KIO)
BuildRequires:	cmake(KF6TextWidgets)
BuildRequires:	cmake(KF6XmlGui)
BuildRequires:	cmake(KF6WidgetsAddons)

# Optional/Recommended packages
BuildRequires:	cmake(KF6Purpose)
BuildRequires:	cmake(KDcrawQt6)
BuildRequires:	cmake(Marble)
BuildRequires:	cmake(KF6DocTools)

BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libvlc)

Requires:	mplayer
Recommends:	ufraw

%description
KPhotoAlbum supports all the normal image formats including
raw formats produced by most digital cameras and scanners
(using dcraw to do the decoding).
It is also possible to use the thumbnails embedded in raw
images (that are usually of decent size and quality) for
fast viewing so there is no need to decode the whole raw image.

%files -f %{name}.lang
%doc CHANGELOG.md README.md README.md.license
%license LICENSES/*
%{_kf6_bindir}/%{name}
%{_kf6_bindir}/kpa-backup.sh
%{_kf6_bindir}/kpa-thumbnailtool
%{_kf6_bindir}/open-raw.pl
%{_kf6_libdir}/libkpabase.so
%{_kf6_libdir}/libkpaexif.so
%{_kf6_libdir}/libkpathumbnails.so
%{_kf6_iconsdir}/hicolor/*/*/*.png
%{_kf6_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_kf6_datadir}/%{name}/
%{_kf6_sysconfdir}/xdg/%{name}rc
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_applicationsdir}/org.kde.%{name}-import.desktop
%{_kf6_applicationsdir}/org.kde.%{name}.open-raw.desktop
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html
