#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        A textedit with PIM-specific features
Name:           kpimtextedit
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Sonnet)
BuildRequires:  cmake(KF6SyntaxHighlighting)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6Codecs)
BuildRequires:  cmake(KF6TextEditTextToSpeech)
BuildRequires:  cmake(KF6TextEmoticonsWidgets)
BuildRequires:  cmake(KF6TextCustomEditor)
BuildRequires:  cmake(KF6TextAddonsWidgets)

BuildRequires:  reuse

%description
A textedit with PIM-specific features.

%files -f %name.lang
%_kf6_categoriesdir/kpimtextedit.categories

#------------------------------------------------------------------------------

%define kpim6textedit_major 6
%define libkpim6textedit %mklibname kpim6textedit %{kpim6textedit_major}

%package -n %libkpim6textedit
Summary:        A textedit with PIM-specific features
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkpim6textedit
A textedit with PIM-specific features.

%files -n %libkpim6textedit
%_kf6_libdir/libKPim6TextEdit.so.%{kpim6textedit_major}{,.*}

#--------------------------------------------------------------------

%define kpimtextedit_devel %mklibname kpim6textedit -d

%package -n %kpimtextedit_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkpim6textedit = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kpimtextedit_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kpimtextedit_devel
%_includedir/KPim6/KPIMTextEdit/
%_kf6_libdir/*.so
%_kf6_libdir/cmake/KPim6TextEdit/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name
