#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kpipewire
Version: 6.3.4
Release:        %mkrel %{rel}
Summary:        Offers a set of convenient classes to use PipeWire in Qt projects
Group:          System/Configuration
License:        GPLv2
URL:            https://invent.kde.org/plasma/kpipewire
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz
# Upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Quick)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6CoreAddons)

BuildRequires:  cmake(PlasmaWaylandProtocols)

BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(gbm)
BuildRequires:  pkgconfig(epoxy)

%description
Offers a set of convenient classes to use PipeWire (https://pipewire.org/)
in Qt projects.

%files -f %name.lang
%_kf6_categoriesdir/kpipewire*.categories
%_qt6_qmldir/org/kde/pipewire/

#--------------------------------------------------------------------

%define kpipewire_major 6
%define libkpipewire %mklibname kpipewire %{kpipewire_major}

%package -n %libkpipewire
Summary:        Offers a set of convenient classes to use PipeWire in Qt projects
Group:          System/Libraries
Recommends:     %{name} >= %{version}-%{release}

%description -n %libkpipewire
Offers a set of convenient classes to use PipeWire (https://pipewire.org/)
in Qt projects.

%files -n %libkpipewire
%_kf6_libdir/libKPipeWire.so.%{kpipewire_major}
%_kf6_libdir/libKPipeWire.so.%{version}

#--------------------------------------------------------------------

%define kpipewiredmabuf_major 6
%define libkpipewiredmabuf %mklibname kpipewiredmabuf %{kpipewiredmabuf_major}

%package -n %libkpipewiredmabuf
Summary:        Offers a set of convenient classes to use PipeWire in Qt projects
Group:          System/Libraries
Recommends:     %{name} >= %{version}-%{release}

%description -n %libkpipewiredmabuf
Offers a set of convenient classes to use PipeWire (https://pipewire.org/)
in Qt projects.

%files -n %libkpipewiredmabuf
%_kf6_libdir/libKPipeWireDmaBuf.so.%{kpipewire_major}
%_kf6_libdir/libKPipeWireDmaBuf.so.%{version}

#--------------------------------------------------------------------

%define kpipewirerecord_major 6
%define libkpipewirerecord %mklibname kpipewirerecord %{kpipewirerecord_major}

%package -n %libkpipewirerecord
Summary:        Offers a set of convenient classes to use PipeWire in Qt projects
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkpipewirerecord
Offers a set of convenient classes to use PipeWire (https://pipewire.org/)
in Qt projects.

%files -n %libkpipewirerecord
%_kf6_libdir/libKPipeWireRecord.so.%{kpipewirerecord_major}
%_kf6_libdir/libKPipeWireRecord.so.%{version}

#--------------------------------------------------------------------

%define kpipewire_devel %mklibname kpipewire -d

%package -n %kpipewire_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkpipewire       = %{version}-%{release}
Requires:       %libkpipewiredmabuf = %{version}-%{release}
Requires:       %libkpipewirerecord = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

%description -n %kpipewire_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kpipewire_devel
%_includedir/KPipeWire/
%_kf6_libdir/cmake/KPipeWire/
%_kf6_libdir/libKPipeWire.so
%_kf6_libdir/libKPipeWireDmaBuf.so
%_kf6_libdir/libKPipeWireRecord.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name
