#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kpkpass
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Library for handling Apple Wallet pass files
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6Archive)

BuildRequires:  pkgconfig(shared-mime-info)
BuildRequires:  reuse


%description
Library for handling Apple Wallet pass files.

%files
%{_kf6_categoriesdir}/org_kde_kpkpass.categories

#--------------------------------------------------------------------

%define major   6
%define libname %mklibname kpim6pkpass %{major}

%package -n %{libname}
Summary:        Library for handling Apple Wallet pass files
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %{libname}
Library for handling Apple Wallet pass files.

%files -n %{libname}
%{_kf6_libdir}/libKPim6PkPass.so.%{major}{,.*}

#--------------------------------------------------------------------

%define devname %mklibname kpim6pkpass -d

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/KDE and Qt
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains development files for %{name}.

%files -n %{devname}
%{_includedir}/KPim6/KPkPass/
%{_kf6_libdir}/*.so
%{_kf6_libdir}/cmake/KPim6PkPass/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
