#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define major		13
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

%define rel 1

Name:		kpmcore
Version: 25.04.0
Release:	%mkrel %{rel}
Summary:	Library for managing partitions by KDE programs
Group:		System/Kernel and hardware
License:	GPLv3+
URL:		https://invent.kde.org/system/kpmcore
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)

BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6WidgetsAddons)

BuildRequires:	cmake(PolkitQt6-1)

BuildRequires:	gettext
BuildRequires:	pkgconfig(blkid)
BuildRequires:	pkgconfig(libatasmart)
BuildRequires:	pkgconfig(libparted)

Requires:	parted
Requires:	e2fsprogs

%description
KPMcore contains common code for managing partitions by KDE Partition Manager
and other KDE projects.

%files -f %{name}.lang
%doc README.md
%license LICENSES/*
%{_libexecdir}/kpmcore_externalcommand
%{_kf6_datadir}/dbus-1/system.d/org.kde.kpmcore*.conf
%{_kf6_datadir}/dbus-1/system-services/org.kde.kpmcore.helperinterface.service
%{_kf6_datadir}/polkit-1/actions/org.kde.kpmcore.externalcommand.policy
%{_qt6_plugindir}/kpmcore/

#--------------------------------------------------------------------

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n	%{libname}
Main library for %{name}.

%files -n %{libname}
%{_kf6_libdir}/lib%{name}.so.%{major}
%{_kf6_libdir}/lib%{name}.so.%{version}

#--------------------------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Development library and header files for %{name}.

%files -n %{develname}
%{_includedir}/%{name}/
%{_kf6_libdir}/cmake/KPMcore
%{_kf6_libdir}/libkpmcore.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install

%find_lang %{name} --with-kde --all-name

