#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%ifarch %{ix86} x86_64
%define build_docs 1
%else
%define build_docs 0
%endif

%define rel 1
%define date 20220928
%define commit 0f9350ff0d2387ea6f653a7a987b51dd6357a0fd

Summary:        Property editing framework with editor widget
Name:           kproperty
Version:        3.2.90
Release:        %mkrel %rel.git%{date}
License:        GPLv2+
Group:          System/Base
URL:            https://community.kde.org/KProperty
# Source0:        https://download.kde.org/stable/kproperty/src/%%{name}-%%{version}.tar.xz
Source0:        https://invent.kde.org/office/kproperty/-/archive/%{commit}/kproperty-%{commit}.tar.bz2
Patch0:         kproperty-3.1.0-fix-kpropertywidgets.pc-dependencies.patch

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)

BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5GuiAddons)
BuildRequires:  cmake(KF5I18n)

%description
KProperty is a property editing framework with editor widget similar to what
is known from Qt Designer.

%files -f %{name}.lang
%_kf5_datadir/kproperty3/icons/kproperty_breeze.rcc
%dir %_kf5_datadir/kproperty3
%dir %_kf5_datadir/kproperty3/icons

#------------------------------------------------------------------------------

%define kpropertycore_major 4
%define libkpropertycore %mklibname kpropertycore %{kpropertycore_major}

%package -n %libkpropertycore
Summary:      Property editing framework with editor widget
Group:        System/Libraries
Requires:     %name = %version-%release

%description -n %libkpropertycore
KProperty is a property editing framework with editor widget similar to what
is known from Qt Designer.

%files -n %libkpropertycore
%_kf5_libdir/libKPropertyCore3.so.%{kpropertycore_major}{,.*}

#------------------------------------------------------------------------------

%define kpropertywidgets_major 4
%define libkpropertywidgets %mklibname kpropertywidgets %{kpropertywidgets_major}

%package -n %libkpropertywidgets
Summary:      Property editing framework with editor widget
Group:        System/Libraries
Requires:     %name = %version-%release

%description -n %libkpropertywidgets
KProperty is a property editing framework with editor widget similar to what
is known from Qt Designer.

%files -n %libkpropertywidgets
%_kf5_libdir/libKPropertyWidgets3.so.%{kpropertywidgets_major}{,.*}

#--------------------------------------------------------------------

%define kproperty_devel %mklibname kpropertycore -d

%package -n %kproperty_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Requires:       %libkpropertycore = %version-%release
Requires:       %libkpropertywidgets = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kproperty_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kproperty_devel
%{_includedir}/*
%_kf5_libdir/cmake/KPropertyCore3/
%_kf5_libdir/cmake/KPropertyWidgets3/
%_kf5_libdir/*.so
%_kf5_libdir/pkgconfig/*.pc

#--------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary:        KProperty3 APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  doxygen
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in KProperty3 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/KPropertyCore3.qch
%{_qt5_docdir}/KPropertyCore3.tags
%{_qt5_docdir}/KPropertyWidgets3.qch
%{_qt5_docdir}/KPropertyWidgets3.tags
%endif

#-------------------------------------------------------------------

%prep
%setup -q -n kproperty-%{commit}
%autopatch -p1

%build
%cmake_kf5 -Wno-dev \
           %if %{build_docs}
           -DBUILD_QCH=ON \
           %endif
           -DBUILD_TESTING=ON
%cmake_build

%install
%cmake_install

%find_lang_kf5 kpropertycore_qt
%find_lang_kf5 kpropertywidgets_qt
cat *_qt.lang  > %{name}.lang
