#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 2 module providing Pty abstraction
Name:           kpty
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6CoreAddons) >= %version
BuildRequires:  cmake(KF6I18n) >= %version

# runtime calls %%{_libexecdir}/utempter/utempter
BuildRequires:  libutempter

%description
KDE Frameworks 6 Tier 2 module providing Pty abstraction.

%files -f kpty6.lang
%_kf6_categoriesdir/kpty.*categories

#--------------------------------------------------------------------

%define kf6pty_major 6
%define libkf6pty %mklibname kf6pty %{kf6pty_major}

%package -n %libkf6pty
Summary:        KDE Frameworks 6 Tier 2 module providing Pty abstraction
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkf6pty
KDE Frameworks 6 Tier 2 module providing Pty abstraction.

%files -n %libkf6pty
%_kf6_libdir/libKF6Pty.so.%{kf6pty_major}{,.*}
%_kf6_libdir/libKF6Pty.so.%{version}

#--------------------------------------------------------------------

%define kf6pty_devel %mklibname kf6pty -d

%package -n %kf6pty_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6pty = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6pty_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6pty_devel
%_kf6_includedir/KPty/
%_kf6_libdir/cmake/KF6Pty/
%_kf6_libdir/*.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DUTEMPTER_EXECUTABLE:PATH=%{_libexecdir}/utempter/utempter
%cmake_build

%install
%cmake_install
%find_lang %{name}6
