#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:		kpublictransport
Version: 25.04.0
Release:	%mkrel %{rel}
Summary:	Library for reading public transport information
Group:		Graphical desktop/KDE
License:	GPLv2+
Url:		https://kde.org/
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Quick)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)

BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6NetworkManagerQt)

BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(polyclipping)
BuildRequires:	pkgconfig(protobuf)

BuildRequires:	osmctools
Requires:	osmctools

%description
Public transport application for Plasma.

%files -f %{name}.lang
%{_kf6_categoriesdir}/org_kde_kpublictransport.*categories
%{_kf6_categoriesdir}/org_kde_kpublictransport_onboard.*categories
%{_kf6_qmldir}/org/kde/kpublictransport

#-------------------------------------------------------------------------

%define kpublictransport_major 1
%define libkpublictransport %mklibname kpublictransport %{kpublictransport_major}

%package -n %{libkpublictransport}
Summary:	Library for reading public transport information
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libkpublictransport}
Library for reading public transport information.

%files -n %{libkpublictransport}
%{_kf6_libdir}/libKPublicTransport.so.%{kpublictransport_major}
%{_kf6_libdir}/libKPublicTransport.so.%{version}

#-------------------------------------------------------------------------

%define kpublictransportonboard_major 1
%define libkpublictransportonboard %mklibname kpublictransportonboard %{kpublictransportonboard_major}

%package -n %{libkpublictransportonboard}
Summary:	Library for reading public transport information
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libkpublictransportonboard}
Library for reading public transport information.

%files -n %{libkpublictransportonboard}
%{_kf6_libdir}/libKPublicTransportOnboard.so.%{kpublictransportonboard_major}
%{_kf6_libdir}/libKPublicTransportOnboard.so.%{version}

#-------------------------------------------------------------------------

%define develname %mklibname %{name} -d

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libkpublictransport} = %{version}-%{release}
Requires:	%{libkpublictransportonboard} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{develname}
%{_includedir}/KPublicTransport/
%{_kf6_libdir}/libKPublicTransport.so
%{_kf6_libdir}/libKPublicTransportOnboard.so
%{_kf6_libdir}/cmake/KPublicTransport/

#-------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}
