#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        A QtQuick plugin providing high-performance charts
Name:           kquickcharts
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6ShaderTools)
BuildRequires:  cmake(Qt6Widgets)

%description
The Quick Charts module provides a set of charts that can be used
from QtQuick applications. They are intended to be used for both
simple display of data as well as continuous display of high-volume
data (often referred to as plotters). The charts use a system called
distance fields for their accelerated rendering, which provides ways
of using the GPU for rendering 2D shapes without loss of quality.

%files
%_kf6_categoriesdir/kquickcharts.*categories
%_kf6_qmldir/org/kde/quickcharts/

#--------------------------------------------------------------------

%define quickcharts_major 1
%define libquickcharts %mklibname quickcharts %{quickcharts_major}

%package -n %libquickcharts
Summary:        A QtQuickCharts plugin providing high-performance charts
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libquickcharts
A QtQuickCharts plugin providing high-performance charts.

%files -n %libquickcharts
%_kf6_libdir/libQuickCharts.so.%{quickcharts_major}
%_kf6_libdir/libQuickCharts.so.%{version}

#--------------------------------------------------------------------

%define quickchartscontrols_major 1
%define libquickchartscontrols %mklibname quickchartscontrols %{quickchartscontrols_major}

%package -n %libquickchartscontrols
Summary:        A QtQuickChartsControls plugin providing high-performance charts
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libquickchartscontrols
A QtQuickChartsControls plugin providing high-performance charts.

%files -n %libquickchartscontrols
%_kf6_libdir/libQuickChartsControls.so.%{quickchartscontrols_major}
%_kf6_libdir/libQuickChartsControls.so.%{version}

#--------------------------------------------------------------------

%define kf6quickcharts_devel %mklibname kf6quickcharts -d

%package -n %kf6quickcharts_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Requires:       %libquickcharts = %{version}-%{release}
Requires:       %libquickchartscontrols = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6quickcharts_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6quickcharts_devel
%_kf6_libdir/cmake/KF6QuickCharts/
%_kf6_libdir/libQuickCharts.so
%_kf6_libdir/libQuickChartsControls.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
