%bcond_with akonadi

Name:           kraft
Version:        1.2.2
Release:        %mkrel 1
License:        GPLv2
Summary:        KDE software to manage office documents in the office
Group:          Graphical desktop/KDE
Url:            https://volle-kraft-voraus.de/Main/Kraft
Source0:        https://github.com/dragotin/kraft/archive/v%version/%name-%version.tar.gz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)

BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5Contacts)

BuildRequires:  cmake(Grantlee5)
%if %{with akonadi}
BuildRequires:  cmake(KPim5Akonadi)
BuildRequires:  cmake(KPim5AkonadiContact)
BuildRequires:  cmake(KPim5ContactEditor)
%endif

BuildRequires:  pkgconfig(libctemplate)

# Needed by the tools/erml2pdf.py python script
Requires:       python3dist(reportlab)
Requires:       python3dist(pypdf2)
Requires:       python3dist(six)

%description
Kraft is a free software project that helps to create and handle office
documents in small enterprises. In a workshop or any similar company
daily tasks can be done in a smart manner.

Provided features are:
 - Customer management, deeply integrated in the KDE infrastructure using
   KAddressbook
 - Automated creation of offers, invoices and similar documents
 - Text templates
 - Calculation
 - Material management
 - Configurable document creation in PDF format


%files -f %{name}.lang
%doc AUTHORS README.md Releasenotes.txt TODO
%license COPYING
%{_kf5_bindir}/kraft
%if %{with akonadi}
%{_kf5_bindir}/findcontact
%endif
%{_kf5_datadir}/config.kcfg/kraftsettings.kcfg
%{_kf5_datadir}/config.kcfg/databasesettings.kcfg
%{_kf5_iconsdir}/hicolor/*/apps/*.svg
%{_kf5_datadir}/kraft/
%{_kf5_datadir}/kxmlgui5/kraft/
%{_kf5_applicationsdir}/de.volle_kraft_voraus.kraft.desktop
%{_kf5_metainfodir}/de.volle_kraft_voraus.kraft.appdata.xml

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name}

chmod 755 %{buildroot}%{_kf5_datadir}/kraft/tools/erml2pdf.py
