%define build_heimdal	0
%{?_with_heimdal: %{expand: %%global build_heimdal 1}}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define _disable_ld_no_undefined 1

Summary:	Kerberos 5 authentication dialog
Name:		krb5-auth-dialog
Version:	43.0
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Base
URL:		https://www.redhat.com/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	meson
BuildRequires:	appstream-util
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	pam-devel
BuildRequires:	pkgconfig(gcr-3)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
%if %build_heimdal
BuildRequires:	heimdal-devel
%else
BuildRequires:	pkgconfig(krb5)
%endif

%description
This package contains a dialog that warns the user when their Kerberos
tickets are about to expire and lets them renew them.

%prep
%autosetup -p1

%build
%meson -D etpo=disabled
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc README.md AUTHORS NEWS
%license COPYING
%{_bindir}/krb5-auth-dialog
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/libka-plugin-afs.*
%{_libdir}/%{name}/plugins/libka-plugin-dummy.*
%{_libdir}/%{name}/plugins/libka-plugin-gnomelock.*
%{_libdir}/%{name}/plugins/libka-plugin-pam.*
%{_datadir}/icons/hicolor/*/status/*
%config(noreplace) %{_sysconfdir}/xdg/autostart/krb5-auth-dialog.desktop
%{_datadir}/applications/org.gnome.KrbAuthDialog.desktop
%{_datadir}/dbus-1/services/org.gnome.KrbAuthDialog.service
%{_datadir}/glib-2.0/schemas/org.gnome.KrbAuthDialog.gschema.xml
%{_metainfodir}/krb5-auth-dialog.metainfo.xml
%{_mandir}/man1/*
