%bcond_with check
%if %{without check}
%global skipcheck 1
%endif

%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

%define major   3
%define libname %mklibname %{name} %{major}

%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:    The Kerberos network authentication system
Name:       krb5
Version:    1.21.3
Release:    %mkrel 3
License:    MIT
Group:      System/Libraries
URL:        https://web.mit.edu/kerberos/www/
Source0:    https://web.mit.edu/kerberos/dist/krb5/%{url_ver}/%{name}-%{version}.tar.gz
Source1:    https://web.mit.edu/kerberos/dist/krb5/%{url_ver}/%{name}-%{version}.tar.gz.asc
Source2:    kprop.service
Source4:    kadmin.service
Source5:    krb5kdc.service
Source6:    krb5.conf
Source10:   kdc.conf
Source11:   kadm5.acl
Source19:   krb5kdc.sysconfig
Source20:   kadmin.sysconfig
Source21:   kprop.sysconfig
Source29:   ksu.pamd
Source33:   krb5kdc.logrotate
Source34:   kadmin.logrotate
Source39:   krb5kdc.tmpfile

# fedora patches
Patch0001: 0001-downstream-Revert-Don-t-issue-session-keys-with-depr.patch
Patch0002: 0002-downstream-ksu-pam-integration.patch
Patch0003: 0003-downstream-SELinux-integration.patch
Patch0004: 0004-downstream-fix-debuginfo-with-y.tab.c.patch
Patch0005: 0005-downstream-Remove-3des-support.patch
Patch0006: 0006-downstream-FIPS-with-PRNG-and-RADIUS-and-MD4.patch
Patch0007: 0007-downstream-Allow-krad-UDP-TCP-localhost-connection-w.patch
Patch0008: 0008-downstream-Make-tests-compatible-with-sssd_krb5_loca.patch
Patch0009: 0009-downstream-Include-missing-OpenSSL-FIPS-header.patch
Patch0010: 0010-downstream-Do-not-set-root-as-ksu-file-owner.patch
Patch0011: 0011-downstream-Allow-KRB5KDF-MD5-and-MD4-in-FIPS-mode.patch
Patch0012: 0012-downstream-Allow-to-set-PAC-ticket-signature-as-opti.patch
Patch0013: 0013-downstream-Make-PKINIT-CMS-SHA-1-signature-verificat.patch
Patch0014: 0014-Enable-PKINIT-if-at-least-one-group-is-available.patch
Patch0015: 0015-Replace-ssl.wrap_socket-for-tests.patch
Patch0016: 0016-Eliminate-old-style-function-declarations.patch
Patch0017: 0017-Fix-two-unlikely-memory-leaks.patch
Patch0018: 0018-Fix-unimportant-memory-leaks.patch
Patch0019: 0019-Remove-klist-s-defname-global-variable.patch
Patch0020: 0020-End-connection-on-KDC_ERR_SVC_UNAVAILABLE.patch
Patch0021: 0021-Add-request_timeout-configuration-parameter.patch
Patch0022: 0022-Wait-indefinitely-on-KDC-TCP-connections.patch
Patch0023: 0023-Remove-PKINIT-RSA-support.patch
Patch0024: 0024-Fix-various-issues-detected-by-static-analysis.patch
Patch0025: 0025-Generate-and-verify-message-MACs-in-libkrad.patch
Patch0026: 0026-PKINIT-ECDH-support.patch
Patch0027: 0027-Add-ecdsa-with-sha512-256-to-supportedCMSTypes.patch
Patch0028: 0028-Get-rid-of-pkinit_crypto_openssl.h.patch
Patch0029: 0029-Use-SoftHSMv2-for-PKCS11-PKINIT-tests.patch
Patch0030: 0030-Simplify-PKINIT-cert-representation.patch
Patch0031: 0031-Support-PKCS11-EC-client-certs-in-PKINIT.patch
Patch0032: 0032-Improve-PKCS11-error-reporting-in-PKINIT.patch
Patch0033: 0033-Set-missing-mask-flags-for-kdb5_util-operations.patch
Patch0034: 0034-Prevent-overflow-when-calculating-ulog-block-size.patch

BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  libcom_err-devel
BuildRequires:  libedit-devel
BuildRequires:  ncurses-devel
BuildRequires:  keyutils-devel
BuildRequires:  pam-devel
BuildRequires:  systemd-units
BuildRequires:  tcl-devel
BuildRequires:  pkgconfig(libverto)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(ss)
%if !%{bootstrap}
BuildRequires:  openldap-devel
%endif
BuildRequires:  lmdb-devel
BuildRequires:  yasm
BuildRequires:  python3-sphinx
BuildRequires:  multiarch-utils >= 1.0.3
# For autosetup
BuildRequires: git-core

%if 0%{?skipcheck}
%else
BuildRequires: dejagnu
BuildRequires: net-tools, rpcbind
BuildRequires: hostname
BuildRequires: iproute
BuildRequires: python3-pyrad
BuildRequires: procps-ng
BuildRequires: resolv_wrapper
%endif

Requires:       crypto-policies

%description
Kerberos V5 is a trusted-third-party network authentication system,
which can improve your network's security by eliminating the insecure
practice of sending passwords over the network in unencrypted form.

%package -n %{libname}-devel
Summary:    Development files needed for compiling Kerberos 5 programs
Group:      Development/Other
Requires:   %{libname} = %{version}
Provides:   krb-devel = %{version}-%{release}
Provides:   krb5-devel = %{version}-%{release}
Provides:   libkrb-devel

%description -n %{libname}-devel
Kerberos is a network authentication system.  The krb5-devel package
contains the header files and libraries needed for compiling Kerberos
5 programs. If you want to develop Kerberos-aware programs, you'll
need to install this package.

%package -n %{libname}
Summary:    The shared libraries used by Kerberos 5
Group:      System/Libraries
Provides:   krb5-libs = %{version}-%{release}
# we need the conf file, and better make sure it's a recent version
# for example, previous MIT kerberos versions didn't have ldap support,
# and this is specified in the conf file
Requires:       %{name} >= %{version}

%description -n %{libname}
Kerberos is a network authentication system.  The krb5-libs package
contains the shared libraries needed by Kerberos 5.  If you're using
Kerberos, you'll need to install this package.

%package    server
Group:      System/Servers
Summary:    The server programs for Kerberos 5
Requires:   %{libname} = %{version}-%{release}
Requires(post): rpm-helper
Requires(preun):rpm-helper
Requires:   libverto-module-base

%description    server
Kerberos is a network authentication system.  The krb5-server package
contains the programs that must be installed on a Kerberos 5 server.
If you're installing a Kerberos 5 server, you need to install this
package (in other words, most people should NOT install this
package).

%package server-ldap
Group:      System/Servers
Summary:    The LDAP storage plugin for the Kerberos 5 KDC
Requires:   %{name}-server = %{version}-%{release}

%description server-ldap
Kerberos is a network authentication system. The krb5-server package
contains the programs that must be installed on a Kerberos 5 key
distribution center (KDC). If you are installing a Kerberos 5 KDC,
and you wish to use a directory server to store the data for your
realm, you need to install this package.

%package    workstation
Summary:    Kerberos 5 programs for use on workstations
Group:      System/Base
Requires:   %{libname} = %{version}-%{release}
Requires(post): rpm-helper
Requires(preun):rpm-helper
Provides:       kerberos-workstation

%description    workstation
Kerberos is a network authentication system.  The krb5-workstation
package contains the basic Kerberos programs (kinit, klist, kdestroy,
kpasswd). If your network uses Kerberos, this package should be installed
on every workstation.

%package pkinit
Summary:    The PKINIT module for Kerberos 5
Group:      System/Libraries
Requires:   %{name}-libs = %{version}-%{release}
Provides:   krb5-pkinit-openssl  

%description pkinit
Kerberos is a network authentication system. The krb5-pkinit
package contains the PKINIT plugin, which allows clients
to obtain initial credentials from a KDC using a private key and a
certificate.

%prep
%autosetup -S git_am -n %{name}-%{version}%{?dashpre}
ln NOTICE LICENSE

# Generate an FDS-compatible LDIF file.
inldif=src/plugins/kdb/ldap/libkdb_ldap/kerberos.ldif
cat > '60kerberos.ldif' << EOF
# This is a variation on kerberos.ldif which 389 Directory Server will like.
dn: cn=schema
EOF
grep -Eiv '(^$|^dn:|^changetype:|^add:)' $inldif >> 60kerberos.ldif
touch -r $inldif 60kerberos.ldif

# Rebuild the configure scripts.
pushd src
autoreconf -fi
popd

%build
%serverbuild

# Go ahead and supply tcl info, because configure doesn't know how to find it.
source %{_libdir}/tclConfig.sh

pushd src
# Work out the CFLAGS and CPPFLAGS which we intend to use.
INCLUDES=-I%{_includedir}/et
CFLAGS="`echo $RPM_OPT_FLAGS $DEFINES $INCLUDES -fPIC -fno-strict-aliasing -fstack-protector-all`"
CPPFLAGS="`echo $DEFINES $INCLUDES`"
%configure \
    CC="%{__cc}" \
    CFLAGS="$CFLAGS" \
    CPPFLAGS="$CPPFLAGS" \
    SS_LIB="-lss" \
    PKCS11_MODNAME="p11-kit-proxy.so" \
    --enable-shared \
    --runstatedir=/run \
    --localstatedir=%{_localstatedir}/lib \
    --disable-rpath \
    --without-krb5-config \
    --with-system-et \
    --with-system-ss \
    --with-tcl \
    --enable-dns-for-realm \
%if !%{bootstrap}
    --with-ldap \
%endif
    --with-dirsrv-account-locking \
    --enable-pkinit \
    --with-crypto-impl=openssl \
    --with-tls-impl=openssl \
    --with-system-verto \
    --with-pam \
    --without-selinux \
    --with-prng-alg=os \
    --with-lmdb \
    || (cat config.log; exit 1)

# Check we have required features enabled
for x in DNS_LOOKUP DNS_LOOKUP_REALM; do
    grep -q "#define KRB5_${x} 1" include/autoconf.h
done
# Build fast, but get better errors if we fail
%make_build || make -j1
popd

# Build the docs.
make -C src/doc paths.py version.py
cp src/doc/paths.py doc/
mkdir -p build-man build-html
sphinx-build -a -b man   -t pathsubs doc build-man
sphinx-build -a -b html  -t pathsubs doc build-html
rm -fr build-html/_sources

%install
# Sample KDC config files (bundled kdc.conf and kadm5.acl)
install -d -m 755 %{buildroot}%{_localstatedir}/lib/krb5kdc
install -m 600 %{SOURCE10} %{buildroot}%{_localstatedir}/lib/krb5kdc/kdc.conf
install -m 600 %{SOURCE11} %{buildroot}%{_localstatedir}/lib/krb5kdc/kadm5.acl

# Where per-user keytabs live by default.
install -d -m 755 %{buildroot}%{_localstatedir}/lib/krb5/user

# Default configuration file for everything
install -d -m 755 %{buildroot}%{_sysconfdir}
install -m 644 %{SOURCE6} %{buildroot}%{_sysconfdir}/krb5.conf

# Default include on this directory
mkdir -p %{buildroot}%{_sysconfdir}/krb5.conf.d
ln -sv /etc/crypto-policies/back-ends/krb5.config %{buildroot}%{_sysconfdir}/krb5.conf.d/crypto-policies

# Parent of configuration file for list of loadable GSS mechs ("mechs").  This
# location is not relative to sysconfdir, but is hard-coded in g_initialize.c.
install -d -m 755 %{buildroot}%{_sysconfdir}/gss
# Parent of groups of configuration files for a list of loadable GSS mechs
# ("mechs").  This location is not relative to sysconfdir, and is also
# hard-coded in g_initialize.c.
install -d -m 755 %{buildroot}%{_sysconfdir}/gss/mech.d

install -d -m 755 %{buildroot}%{_unitdir}
install -m 644 %{SOURCE2} %{buildroot}%{_unitdir}/kprop.service
install -m 644 %{SOURCE4} %{buildroot}%{_unitdir}/kadmin.service
install -m 644 %{SOURCE5} %{buildroot}%{_unitdir}/krb5kdc.service

install -d -m 755 %{buildroot}%{_tmpfilesdir}
install -m 644 %{SOURCE39} %{buildroot}/%{_tmpfilesdir}/krb5kdc.conf

# sysconfig configuration files
install -d -m 755 %{buildroot}%{_sysconfdir}/sysconfig
install -m 644 %{SOURCE19} %{buildroot}%{_sysconfdir}/sysconfig/krb5kdc
install -m 644 %{SOURCE20} %{buildroot}%{_sysconfdir}/sysconfig/kadmin
install -m 644 %{SOURCE21} %{buildroot}%{_sysconfdir}/sysconfig/kprop

# logrotate configuration files
install -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
install -m 644 %{SOURCE33} %{buildroot}%{_sysconfdir}/logrotate.d/krb5kdc
install -m 644 %{SOURCE34} %{buildroot}%{_sysconfdir}/logrotate.d/kadmin

# PAM configuration files
install -d -m 755 %{buildroot}%{_sysconfdir}/pam.d
install -m 644 %{SOURCE29} %{buildroot}%{_sysconfdir}/pam.d/ksu

# Plug-in directories.
install -pdm 755 %{buildroot}%{_libdir}/krb5/plugins/preauth
install -pdm 755 %{buildroot}%{_libdir}/krb5/plugins/kdb
install -pdm 755 %{buildroot}%{_libdir}/krb5/plugins/authdata

# The rest of the binaries, headers, libraries, and docs.
make -C src \
    DESTDIR=%{buildroot} \
    EXAMPLEDIR=%{_docdir}/%{libname}-devel/examples\
    install

# logdir
install -d %{buildroot}%{_localstatedir}/log/kerberos

# clear the LDFLAGS
perl -pi -e "s|^LDFLAGS.*|LDFLAGS=''|g" %{buildroot}%{_bindir}/krb5-config

# multiarch policy
%multiarch_binaries %{buildroot}%{_bindir}/krb5-config
%multiarch_includes %{buildroot}%{_includedir}/gssapi/gssapi.h
# (gb) this one could be fixed differently and properly using <stdint.h>
%multiarch_includes %{buildroot}%{_includedir}/gssrpc/types.h
# multiarch_includes %{buildroot}%{_includedir}/krb5/k5-config.h
# multiarch_includes %{buildroot}%{_includedir}/krb5/autoconf.h
# multiarch_includes %{buildroot}%{_includedir}/krb5/osconf.h
%multiarch_includes %{buildroot}%{_includedir}/krb5.h

# Install processed man pages.
for section in 1 5 8; do
    install -m 644 build-man/*.$section %{buildroot}%{_mandir}/man$section/
done

%if %{bootstrap}
rm -f %{buildroot}%{_mandir}/man8/kdb5_ldap_util.8*
%endif

%find_lang mit-krb5

%post server
%_post_service krb5kdc
%_post_service kadmin
%_post_service kprop

%preun server
%_preun_service krb5kdc
%_preun_service kadmin
%_preun_service kprop

%files -f mit-krb5.lang
%doc README
%dir %{_sysconfdir}/gss
%dir %{_sysconfdir}/gss/mech.d
%config(noreplace) %{_sysconfdir}/krb5.conf
%dir %{_sysconfdir}/krb5.conf.d/
%config(noreplace) %{_sysconfdir}/krb5.conf.d/crypto-policies
%dir %{_libdir}/krb5
%dir %{_libdir}/krb5/plugins
%{_mandir}/man5/krb5.conf.5*
%{_mandir}/man5/.k5login.5*
%{_mandir}/man5/.k5identity.5*
%{_mandir}/man5/k5login.5*
%{_mandir}/man5/k5identity.5*
%{_mandir}/man7/kerberos.7*
%dir %{_var}/lib/krb5
%dir %{_var}/lib/krb5/user

%files workstation
%doc src/config-files/services.append
%doc build-html/*
%attr(0755,root,root) %doc src/config-files/convert-config-files

%{_bindir}/kdestroy
%{_mandir}/man1/kdestroy.1*
%{_bindir}/kinit
%{_mandir}/man1/kinit.1*
%{_bindir}/klist
%{_mandir}/man1/klist.1*
%{_bindir}/kpasswd
%{_mandir}/man1/kpasswd.1*
%{_bindir}/kswitch
%{_mandir}/man1/kswitch.1*

%{_bindir}/kvno
%{_mandir}/man1/kvno.1*
%{_bindir}/kadmin
%{_mandir}/man1/kadmin.1*
%{_bindir}/k5srvutil
%{_mandir}/man1/k5srvutil.1*
%{_bindir}/ktutil
%{_mandir}/man1/ktutil.1*

%attr(4755,root,root) %{_bindir}/ksu
%{_mandir}/man1/ksu.1*
%config(noreplace) /etc/pam.d/ksu 

# Problem-reporting tool
%{_sbindir}/krb5-send-pr

%files server
%{_unitdir}/krb5kdc.service
%{_unitdir}/kadmin.service
%{_unitdir}/kprop.service
%{_tmpfilesdir}/krb5kdc.conf
%config(noreplace) %{_sysconfdir}/sysconfig/krb5kdc
%config(noreplace) %{_sysconfdir}/sysconfig/kadmin
%config(noreplace) %{_sysconfdir}/sysconfig/kprop
%config(noreplace) %{_sysconfdir}/logrotate.d/kadmin
%config(noreplace) %{_sysconfdir}/logrotate.d/krb5kdc

%dir %{_localstatedir}/log/kerberos
%dir %{_localstatedir}/lib/krb5kdc 
%config(noreplace) %{_localstatedir}/lib/krb5kdc/kdc.conf
%config(noreplace) %{_localstatedir}/lib/krb5kdc/kadm5.acl
%{_mandir}/man5/kadm5.acl.5*
%{_mandir}/man5/kdc.conf.5*
%{_sbindir}/kadmin.local
%{_mandir}/man8/kadmin.local.8*
%{_sbindir}/kadmind
%{_mandir}/man8/kadmind.8*
%{_sbindir}/kdb5_util
%{_mandir}/man8/kdb5_util.8*
%{_sbindir}/kprop
%{_mandir}/man8/kprop.8*
%{_sbindir}/kpropd
%{_mandir}/man8/kpropd.8*
%{_sbindir}/kproplog
%{_mandir}/man8/kproplog.8*
%{_sbindir}/krb5kdc
%{_mandir}/man8/krb5kdc.8*
%{_sbindir}/sim_server

# This is here for people who want to test their server.  It was formerly also
# included in -devel.
%{_bindir}/sclient
%{_mandir}/man1/sclient.1*
%{_sbindir}/sserver
%{_mandir}/man8/sserver.8*

%dir %{_libdir}/krb5
%dir %{_libdir}/krb5/plugins
%dir %{_libdir}/krb5/plugins/kdb
%dir %{_libdir}/krb5/plugins/preauth
%dir %{_libdir}/krb5/plugins/authdata
%dir %{_libdir}/krb5/plugins/tls
%{_libdir}/krb5/plugins/kdb/db2.so 
%{_libdir}/krb5/plugins/kdb/klmdb.so
%{_libdir}/krb5/plugins/preauth/otp.so
%{_libdir}/krb5/plugins/preauth/test.so
%{_libdir}/krb5/plugins/preauth/spake.so
%{_libdir}/krb5/plugins/tls/k5tls.so

%files -n %{libname}
%{_libdir}/libgssapi_krb5.so.*
%{_libdir}/libgssrpc.so.*
%{_libdir}/libk5crypto.so.*
%{_libdir}/libkrb5.so.*
%{_libdir}/libkrb5support.so.*
%{_libdir}/libkadm5clnt_mit.so.*
%{_libdir}/libkadm5srv_mit.so.*
%{_libdir}/libkdb5.so.*
%{_libdir}/libkrad.so.*

%files -n %{libname}-devel
%doc %{_docdir}/%{libname}-devel
%multiarch %{multiarch_bindir}/krb5-config
%multiarch %{multiarch_includedir}/gssapi/gssapi.h
%multiarch %{multiarch_includedir}/gssrpc/types.h
%multiarch %{multiarch_includedir}/krb5.h
%{_includedir}/*.h
%{_includedir}/gssapi
%{_includedir}/gssrpc
%{_includedir}/kadm5
%{_includedir}/krb5
%{_bindir}/krb5-config
%{_libdir}/libgssapi_krb5.so
%{_libdir}/libgssrpc.so
%{_libdir}/libk5crypto.so
%{_libdir}/libkadm5clnt.so
%{_libdir}/libkadm5clnt_mit.so
%{_libdir}/libkadm5srv.so
%{_libdir}/libkadm5srv_mit.so
%{_libdir}/libkdb5.so
%{_libdir}/libkrb5.so
%{_libdir}/libkrb5support.so 
%{_libdir}/libkrad.so 
%{_mandir}/man1/krb5-config.1*
%{_libdir}/pkgconfig/*

# Protocol test clients
%{_bindir}/sim_client
%{_bindir}/gss-client
%{_bindir}/uuclient

# Protocol test servers
%{_sbindir}/gss-server
%{_sbindir}/uuserver
%{_mandir}/man5/.k5login.5*
%{_mandir}/man5/krb5.conf.5*

%files pkinit
%dir %{_libdir}/krb5
%dir %{_libdir}/krb5/plugins 
%dir %{_libdir}/krb5/plugins/preauth
%{_libdir}/krb5/plugins/preauth/pkinit.so

%files server-ldap
%doc src/plugins/kdb/ldap/libkdb_ldap/kerberos.ldif
%doc src/plugins/kdb/ldap/libkdb_ldap/kerberos.schema
%dir %{_libdir}/krb5
%dir %{_libdir}/krb5/plugins
%dir %{_libdir}/krb5/plugins/kdb
%if !%{bootstrap}
%{_libdir}/krb5/plugins/kdb/kldap.so
%{_libdir}/libkdb_ldap.so
%{_libdir}/libkdb_ldap.so.*
%{_sbindir}/kdb5_ldap_util
%{_mandir}/man8/kdb5_ldap_util.8*
%endif

