#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           krdc
Epoch:          3
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        KDE Remote Desktop Client
Group:          Networking/Remote access
License:        GPLv2 LGPLv2 GFDL
URL:            https://apps.kde.org/krdc/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6DNSSD)
BuildRequires:  cmake(KF6NotifyConfig)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6Bookmarks)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6Wallet)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6NotifyConfig)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6StatusNotifierItem)
BuildRequires:  cmake(PlasmaActivities)
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  pkgconfig(libvncserver) >= 0.9.8
BuildRequires:  pkgconfig(libssh)
BuildRequires:  pkgconfig(freerdp3)
BuildRequires:  pkgconfig(freerdp-client3)
BuildRequires:  pkgconfig(winpr3)
# winpr-makecert
BuildRequires:  freerdp3

Requires:       freerdp3
Recommends:     krdc-handbook


%description
KDE Remote Desktop Client is a client application that allows you to view or
even control the desktop session on another machine that is running a compatible
server. VNC and RDP are supported.

%files -f %name.lang
%_kf6_categoriesdir/krdc.categories
%_kf6_bindir/krdc
%_kf6_applicationsdir/*.desktop
%_kf6_iconsdir/hicolor/scalable/apps/krdc.svg
%_kf6_datadir/config.kcfg/krdc.kcfg
%_kf6_datadir/mime/packages/org.kde.krdc-mime.xml
%_qt6_plugindir/krdc/
%_kf6_metainfodir/org.kde.krdc.appdata.xml

#------------------------------------------------------------------------------

%define major_krdccore 5
%define libkrdccore %mklibname krdccore %{major_krdccore}

%package -n %libkrdccore
Summary:        Runtime library for KDE Remote Desktop Connection
Group:          System/Libraries

%description -n %libkrdccore
Runtime library for krdc (KDE Remote Desktop Connection).

%files -n %libkrdccore
%_kf6_libdir/libkrdccore.so.%{major_krdccore}
%_kf6_libdir/libkrdccore.so.%{version}

#------------------------------------------------------------------------------

%package -n krdc-handbook
Summary:        KRDC Handbook
Group:          Documentation
BuildArch:      noarch
Requires:       krdc >= %{epoch}:%{version}-%{release}

%description -n krdc-handbook
This package provides KRDC Handbook.

%files -n krdc-handbook
%doc %_kf6_docdir/HTML/*/krdc

#------------------------------------------------------------------------------

%package devel
Summary:        Devel stuff for %{name}
Group:          Development/KDE and Qt
Requires:       %libkrdccore = %{epoch}:%{version}

%description  devel
This package contains header files needed if you wish to build applications
based on %{name}.

%files devel
%_kf6_libdir/*.so
%_includedir/krdc
%_includedir/*.h

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
