#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           krdp
Summary:        Desktop sharing using RDP
Version: 6.3.4
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        LGPL-2.1-only OR LGPL-3.0-only
URL:            https://invent.kde.org/plasma/krdp
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

## Upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6WaylandClient)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Keychain)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6StatusNotifierItem)
BuildRequires:  cmake(KF6Crash)

BuildRequires:  cmake(KPipeWire) >= 5.27.80
BuildRequires:  cmake(PlasmaWaylandProtocols)

# Constrain to FreeRDP 2 for now: https://invent.kde.org/plasma/krdp/-/issues/15
BuildRequires:  cmake(FreeRDP) < 3
BuildRequires:  cmake(WinPR) < 3
BuildRequires:  cmake(FreeRDP-Server) < 3
BuildRequires:  freerdp3

BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(xkbcommon)

%description
Library and examples for creating an RDP server.

%files -f %{name}.lang
%doc README.md
%{_kf6_categoriesdir}/krdp.categories
%{_kf6_categoriesdir}/kcm_krdpserver.categories
%{_kf6_bindir}/krdpserver
%{_kf6_applicationsdir}/kcm_krdpserver.desktop
%{_kf6_applicationsdir}/org.kde.krdp.desktop
%{_qt6_plugindir}/plasma/kcms/systemsettings/kcm_krdpserver.so
%{_userunitdir}/app-org.kde.krdpserver.service

#--------------------------------------------------------------------

%define major   6
%define libkrdp %mklibname %{name} %{major}

%package -n %{libkrdp}
Summary:        Library for creating an RDP server
Group:          System/Libraries

%description -n %{libkrdp}
Library for creating an RDP server.

%files -n %{libkrdp}
%license LICENSES/LGPL-*.txt LICENSES/LicenseRef-KDE-*
%{_kf6_libdir}/libKRdp.so.%{major}{,.*}

#--------------------------------------------------------------------

%define libkrdp_devel %mklibname %{name} -d

%package -n %{libkrdp_devel}
Summary:        Development files for %{name}
Group:          Development/KDE and Qt
Requires:       %{libkrdp} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{libkrdp_devel}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{libkrdp_devel}
%{_kf6_libdir}/libKRdp.so
%{_kf6_libdir}/cmake/KRdp/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html --all-name
