#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%ifarch %{ix86} x86_64
%define build_docs 1
%else
%define build_docs 0
%endif

%define date   20220928
%define commit 8c2f9a6167fce2359666d976077e6dc8a0fde664

%define rel 3

Summary:        A framework for creation and generation of reports in multiple formats
Name:           kreport
Version:        3.2.90
Release:        %mkrel %{rel}%{?date:.git%{date}}
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://community.kde.org/KReport
# Source0:        https://download.kde.org/stable/kreport/src/%%{name}-%%{version}.tar.xz
Source0:        https://invent.kde.org/libraries/kreport/-/archive/%{commit}/kreport-%{commit}.tar.bz2
Patch0:         kreport-3.1.0-fix-kreport.pc-dependencies.patch

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5GuiAddons)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5I18n)

BuildRequires:  cmake(KPropertyWidgets)
#BuildRequires:  cmake(Marble)


%description
KReport is a framework for the creation and generation of reports in multiple
formats.

%files -f %{name}.lang
%_qt5_plugindir/kreport3/
%_kf5_datadir/kreport3/
%_kf5_servicetypes/kreport_elementplugin.desktop

#------------------------------------------------------------------------------

%define kreports_major 4
%define libkreports %mklibname kreport3_ %{kreports_major}

%package -n %libkreports
Summary:      A framework for creation and generation of reports in multiple formats
Group:        System/Libraries
Requires:     %name = %version-%release

%description -n %libkreports
KReport is a framework for the creation and generation of reports in multiple
formats.

%files -n %libkreports
%_kf5_libdir/libKReport3.so.%{kreports_major}{,.*}

#--------------------------------------------------------------------

%define kreports_devel %mklibname kreports -d

%package -n %kreports_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Requires:       %libkreports = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kreports_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kreports_devel
%{_includedir}/*
%_kf5_libdir/*.so
%_kf5_libdir/pkgconfig/*.pc
%_kf5_libdir/cmake/KReport3/
%_kf5_mkspecsdir/qt_KReport3.pri

#--------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary:        KReport3 APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  doxygen
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in KReport3 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/KReport3.qch
%{_qt5_docdir}/KReport3.tags
%endif

#-------------------------------------------------------------------

%prep
%autosetup -p1 -n kreport-%{commit}

%build
%cmake_kf5 -DCMAKE_DISABLE_FIND_PACKAGE_Qt5WebKitWidgets=ON \
           %if %{build_docs}
           -DBUILD_QCH=ON \
           %endif
           -DBUILD_TESTING=ON
%cmake_build

%install
%cmake_install

%find_lang_kf5 kreport_barcodeplugin_qt
%find_lang_kf5 kreport_mapsplugin_qt
%find_lang_kf5 kreport_qt
%find_lang_kf5 kreport_webplugin_qt
cat *_qt.lang > %{name}.lang
