#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           krfb
Epoch:          3
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Remote Desktop Server
Group:          Networking/Remote access
License:        GPLv2 LGPLv2 GFDL
URL:            https://apps.kde.org/krfb/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6WaylandClient)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DNSSD)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6Wallet)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6StatusNotifierItem)

BuildRequires:  cmake(PlasmaWaylandProtocols)
BuildRequires:  cmake(KWayland)
#BuildRequires:  cmake(Qt6XkbCommonSupport)
BuildRequires:  cmake(KPipeWire)

BuildRequires:  pkgconfig(libvncserver) >= 0.9.10
BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xdamage)
BuildRequires:  pkgconfig(xtst)

Recommends:     krfb-handbook

%description
KDE Desktop Sharing is a server application that allows you to share your
current session with a user on another machine, who can use a VNC client to view
or even control the desktop.

%files -f %name.lang
%_kf6_categoriesdir/krfb.*categories
%_kf6_bindir/krfb
%_kf6_bindir/krfb-virtualmonitor
%_kf6_datadir/krfb
%_kf6_applicationsdir/*.desktop
%_kf6_metainfodir/org.kde.krfb.appdata.xml
%_kf6_iconsdir/*/*/apps/*
%_qt6_plugindir/krfb/

#------------------------------------------------------------------------------

%define major_krfbprivate 5
%define libkrfbprivate %mklibname krfbprivate %{major_krfbprivate}

%package -n %libkrfbprivate
Summary:        Runtime library for Krfb
Group:          System/Libraries

%description -n %libkrfbprivate
Runtime library for Krfb.

%files -n %libkrfbprivate
%_kf6_libdir/libkrfbprivate.so.%{major_krfbprivate}{,.*}

#------------------------------------------------------------------------------

%package -n krfb-handbook
Summary:        KRFB Handbook
Group:          Documentation
BuildArch:      noarch
Requires:       krfb >= %{epoch}:%{version}-%{release}

%description -n krfb-handbook
This package provides KRFB Handbook.

%files -n krfb-handbook
%doc %_kf6_docdir/HTML/*/krfb

#------------------------------------------------------------------------------

%prep
%autosetup -p1

sed -i 's|find_package(Qt6XkbCommonSupport)|#find_package(Qt6XkbCommonSupport)|' CMakeLists.txt

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
