Name:           krita
# Heritage of calligra times
Epoch:          12
Version:        5.2.9
Release:        %mkrel 2
Summary:        Krita is a FREE sketching and painting program
Group:          Graphical desktop/KDE
License:        GPLv2+
URL:            https://krita.org
Source0:        https://download.kde.org/stable/%{name}/%{version}/%{name}-%{version}.tar.xz
## mageia patches (0-99)
Patch0:         krita-4.4.0-set-sip-executable.patch
# FC
Patch11:        krita-5.2.5-appstream_validate.patch
# from freebsd
Patch12:        0001-3rdparty__vendor_raqm_compile-with-fPIC.patch
## upstream patches (100-199)
Patch100:       0001-Bump-SIP-ABI-version-to-12.8.patch

BuildRequires:  kf5-rpm-macros
BuildRequires:  cmake(KF5KIO) >= 5.7
BuildRequires:  cmake(KF5GuiAddons) >= 5.7
BuildRequires:  cmake(KF5I18n) >= 5.7
BuildRequires:  cmake(KF5ItemModels) >= 5.7
BuildRequires:  cmake(KF5WindowSystem) >= 5.7
BuildRequires:  cmake(KF5Archive) >= 5.7
BuildRequires:  cmake(KF5Crash) >= 5.7
BuildRequires:  cmake(KF5KDcraw)
%ifnarch %{arm} aarch64
BuildRequires:  cmake(Vc) >= 1.1.0
%endif

BuildRequires:  pkgconfig(poppler-qt5)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5QuickWidgets)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  boost-devel
BuildRequires:  cmake(immer)
BuildRequires:  cmake(lager)
BuildRequires:  cmake(zug)
BuildRequires:  cmake(sdl2)
BuildRequires:  cmake(Mlt7)
BuildRequires:  cmake(QuaZip-Qt5)
BuildRequires:  giflib-devel
BuildRequires:  pkgconfig(eigen3)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(gsl)
BuildRequires:  pkgconfig(kseexpr)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libheif)
BuildRequires:  pkgconfig(libinput)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libjxl)
BuildRequires:  pkgconfig(libmypaint)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libraw)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libunibreak)
BuildRequires:  pkgconfig(OpenColorIO)
BuildRequires:  pkgconfig(OpenEXR)
BuildRequires:  pkgconfig(libwebp) >= 1.2.0
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-util)
BuildRequires:  pkgconfig(xi)
%ifarch x86_64 aarch64
BuildRequires:  pkgconfig(xsimd)
%endif
BuildRequires:  pkgconfig(zlib)
BuildRequires:  python3-devel
BuildRequires:  python3-qt5-devel
BuildRequires:  python3dist(sip) >= 5

# for checking
BuildRequires:  appstream-util
BuildRequires:  desktop-file-utils

Requires:       python3-qt5-core
Requires:       python3-qt5-gui
Requires:       python3-qt5-network
Requires:       python3-qt5-qml
Requires:       python3-qt5-widgets
Requires:       python3-qt5-xml
Requires:       python3dist(pyqt5-sip) >= 12.8
Recommends:     krita-plugin-gmic

%description
Krita is a FREE sketching and painting program.
It was created with the following types of art in mind:
- concept art
- texture or matte painting
- illustrations and comics

%files -f %{name}.lang
%_kf5_sysconfdir/xdg/kritarc
%_kf5_bindir/krita
%_kf5_bindir/kritarunner
%_kf5_bindir/krita_version
%_kf5_libdir/kritaplugins
%_kf5_libdir/krita-python-libs/
%_kf5_datadir/color-schemes/*.colors
%_kf5_datadir/color/icc/krita
%_kf5_datadir/krita
%_kf5_datadir/kritaplugins
%_kf5_metainfodir/org.kde.krita.appdata.xml
%_kf5_applicationsdir/*
%_kf5_iconsdir/*/*/*/*

#--------------------------------------------------------------------

%define kritabasicflakes_major 19
%define libkritabasicflakes %mklibname kritabasicflakes %{kritabasicflakes_major}

%package -n %libkritabasicflakes
Summary:      Krita is a FREE sketching and painting program
Group:        System/Libraries

%description -n %libkritabasicflakes
Krita is a FREE sketching and painting program.

%files -n %libkritabasicflakes
%_kf5_libdir/libkritabasicflakes.so.%{kritabasicflakes_major}{,.*}

#--------------------------------------------------------------------

%define kritacolor_major 19
%define libkritacolor %mklibname kritacolor %{kritacolor_major}

%package -n %libkritacolor
Summary:      Krita is a FREE sketching and painting program
Group:        System/Libraries

%description -n %libkritacolor
Krita is a FREE sketching and painting program.

%files -n %libkritacolor
%_kf5_libdir/libkritacolor.so.%{kritacolor_major}{,.*}

#--------------------------------------------------------------------

%define kritacolord_major 19
%define libkritacolord %mklibname kritacolord %{kritacolord_major}

%package -n %libkritacolord
Summary:      Krita is a FREE sketching and painting program
Group:        System/Libraries

%description -n %libkritacolord
Krita is a FREE sketching and painting program.

%files -n %libkritacolord
%_kf5_libdir/libkritacolord.so.%{kritacolord_major}{,.*}

#--------------------------------------------------------------------

%define kritaflake_major 19
%define libkritaflake %mklibname kritaflake %{kritaflake_major}

%package -n %libkritaflake
Summary:      Krita is a FREE sketching and painting program
Group:        System/Libraries

%description -n %libkritaflake
Krita is a FREE sketching and painting program.

%files -n %libkritaflake
%_kf5_libdir/libkritaflake.so.%{kritaflake_major}{,.*}

#--------------------------------------------------------------------

%define kritaglobal_major 19
%define libkritaglobal %mklibname kritaglobal %{kritaglobal_major}

%package -n %libkritaglobal
Summary:      Krita is a FREE sketching and painting program
Group:        System/Libraries

%description -n %libkritaglobal
Krita is a FREE sketching and painting program.

%files -n %libkritaglobal
%_kf5_libdir/libkritaglobal.so.%{kritaglobal_major}{,.*}

#--------------------------------------------------------------------

%define kritaexifcommon_major 19
%define libkritaexifcommon %mklibname kritaexifcommon %{kritaexifcommon_major}

%package -n %libkritaexifcommon
Summary:      Krita is a FREE sketching and painting program
Group:        System/Libraries

%description -n %libkritaexifcommon
Krita is a FREE sketching and painting program.

%files -n %libkritaexifcommon
%_kf5_libdir/libkritaexifcommon.so.%{kritaexifcommon_major}{,.*}

#--------------------------------------------------------------------

%define kritaimage_major 19
%define libkritaimage %mklibname kritaimage %{kritaimage_major}

%package -n %libkritaimage
Summary:      Krita is a FREE sketching and painting program
Group:        System/Libraries

%description -n %libkritaimage
Krita is a FREE sketching and painting program.

%files -n %libkritaimage
%_kf5_libdir/libkritaimage.so.%{kritaimage_major}{,.*}

#--------------------------------------------------------------------

%define kritalibbrush_major 19
%define libkritalibbrush %mklibname kritalibbrush %{kritalibbrush_major}

%package -n %libkritalibbrush
Summary:      Krita is a FREE sketching and painting program
Group:        System/Libraries

%description -n %libkritalibbrush
Krita is a FREE sketching and painting program.

%files -n %libkritalibbrush
%_kf5_libdir/libkritalibbrush.so.%{kritalibbrush_major}{,.*}

#--------------------------------------------------------------------

%define kritalibpaintop_major 19
%define libkritalibpaintop %mklibname kritalibpaintop %{kritalibpaintop_major}

%package -n %libkritalibpaintop
Summary:      Krita is a FREE sketching and painting program
Group:        System/Libraries

%description -n %libkritalibpaintop
Krita is a FREE sketching and painting program.

%files -n %libkritalibpaintop
%_kf5_libdir/libkritalibpaintop.so.%{kritalibpaintop_major}{,.*}

#--------------------------------------------------------------------

%define kritametadata_major 19
%define libkritametadata %mklibname kritametadata %{kritametadata_major}

%package -n %libkritametadata
Summary:      Krita is a FREE sketching and painting program
Group:        System/Libraries

%description -n %libkritametadata
Krita is a FREE sketching and painting program.

%files -n %libkritametadata
%_kf5_libdir/libkritametadata.so.%{kritametadata_major}{,.*}

#--------------------------------------------------------------------

%define kritamultiarch_major 19
%define libkritamultiarch %mklibname kritamultiarch %{kritamultiarch_major}

%package -n %libkritamultiarch
Summary:      Krita is a FREE sketching and painting program
Group:        System/Libraries

%description -n %libkritamultiarch
Krita is a FREE sketching and painting program.

%files -n %libkritamultiarch
%_kf5_libdir/libkritamultiarch.so.%{kritamultiarch_major}{,.*}

#--------------------------------------------------------------------

%define kritapigment_major 19
%define libkritapigment %mklibname kritapigment %{kritapigment_major}

%package -n %libkritapigment
Summary:      Krita is a FREE sketching and painting program
Group:        System/Libraries

%description -n %libkritapigment
Krita is a FREE sketching and painting program.

%files -n %libkritapigment
%_kf5_libdir/libkritapigment.so.%{kritapigment_major}{,.*}

#--------------------------------------------------------------------

%define kritaplugin_major 19
%define libkritaplugin %mklibname kritaplugin %{kritaplugin_major}

%package -n %libkritaplugin
Summary:      Krita is a FREE sketching and painting program
Group:        System/Libraries

%description -n %libkritaplugin
Krita is a FREE sketching and painting program.

%files -n %libkritaplugin
%_kf5_libdir/libkritaplugin.so.%{kritaplugin_major}{,.*}

#--------------------------------------------------------------------

%define kritapsd_major 19
%define libkritapsd %mklibname kritapsd %{kritapsd_major}

%package -n %libkritapsd
Summary:      Krita is a FREE sketching and painting program
Group:        System/Libraries

%description -n %libkritapsd
Krita is a FREE sketching and painting program.

%files -n %libkritapsd
%_kf5_libdir/libkritapsd.so.%{kritapsd_major}{,.*}

#--------------------------------------------------------------------

%define libkritaqmicinterface_major 19
%define libkritaqmicinterface %mklibname kritaqmicinterface %{libkritaqmicinterface_major}

%package -n %libkritaqmicinterface
Summary:      Krita is a FREE sketching and painting program
Group:        System/Libraries

%description -n %libkritaqmicinterface
Krita is a FREE sketching and painting program.

%files -n %libkritaqmicinterface
%_kf5_libdir/libkritaqmicinterface.so.%{libkritaqmicinterface_major}{,.*}

#--------------------------------------------------------------------

%define libkritaresources_major 19
%define libkritaresources %mklibname kritaresources %{libkritaresources_major}

%package -n %libkritaresources
Summary:      Krita is a FREE sketching and painting program
Group:        System/Libraries

%description -n %libkritaresources
Krita is a FREE sketching and painting program.

%files -n %libkritaresources
%_kf5_libdir/libkritaresources.so.%{libkritaresources_major}{,.*}

#--------------------------------------------------------------------

%define libkritaresourcewidgets_major 19
%define libkritaresourcewidgets %mklibname kritaresourcewidgets %{libkritaresourcewidgets_major}

%package -n %libkritaresourcewidgets
Summary:      Krita is a FREE sketching and painting program
Group:        System/Libraries

%description -n %libkritaresourcewidgets
Krita is a FREE sketching and painting program.

%files -n %libkritaresourcewidgets
%_kf5_libdir/libkritaresourcewidgets.so.%{libkritaresourcewidgets_major}{,.*}

#--------------------------------------------------------------------

%define kritastore_major 19
%define libkritastore %mklibname kritastore %{kritastore_major}

%package -n %libkritastore
Summary:      Krita is a FREE sketching and painting program
Group:        System/Libraries

%description -n %libkritastore
Krita is a FREE sketching and painting program.

%files -n %libkritastore
%_kf5_libdir/libkritastore.so.%{kritastore_major}{,.*}

#--------------------------------------------------------------------

%define kritatiffpsd_major 19
%define libkritatiffpsd %mklibname kritatiffpsd %{kritatiffpsd_major}

%package -n %libkritatiffpsd
Summary:      Krita is a FREE sketching and painting program
Group:        System/Libraries

%description -n %libkritatiffpsd
Krita is a FREE sketching and painting program.

%files -n %libkritatiffpsd
%_kf5_libdir/libkritatiffpsd.so.%{kritatiffpsd_major}{,.*}

#--------------------------------------------------------------------

%define kritaui_major 19
%define libkritaui %mklibname kritaui %{kritaui_major}

%package -n %libkritaui
Summary:      Krita is a FREE sketching and painting program
Group:        System/Libraries

%description -n %libkritaui
Krita is a FREE sketching and painting program.

%files -n %libkritaui
%_kf5_libdir/libkritaui.so.%{kritaui_major}{,.*}

#--------------------------------------------------------------------

%define kritaversion_major 19
%define libkritaversion %mklibname kritaversion %{kritaversion_major}

%package -n %libkritaversion
Summary:      Krita is a FREE sketching and painting program
Group:        System/Libraries

%description -n %libkritaversion
Krita is a FREE sketching and painting program.

%files -n %libkritaversion
%_kf5_libdir/libkritaversion.so.%{kritaversion_major}{,.*}

#--------------------------------------------------------------------

%define kritawidgets_major 19
%define libkritawidgets %mklibname kritawidgets %{kritawidgets_major}

%package -n %libkritawidgets
Summary:      Krita is a FREE sketching and painting program
Group:        System/Libraries

%description -n %libkritawidgets
Krita is a FREE sketching and painting program.

%files -n %libkritawidgets
%_kf5_libdir/libkritawidgets.so.%{kritawidgets_major}{,.*}

#--------------------------------------------------------------------

%define kritawidgetutils_major 19
%define libkritawidgetutils %mklibname kritawidgetutils %{kritawidgetutils_major}

%package -n %libkritawidgetutils
Summary:      Krita is a FREE sketching and painting program
Group:        System/Libraries

%description -n %libkritawidgetutils
Krita is a FREE sketching and painting program.

%files -n %libkritawidgetutils
%_kf5_libdir/libkritawidgetutils.so.%{kritawidgetutils_major}{,.*}

#--------------------------------------------------------------------

%define kritacommand_major 19
%define libkritacommand %mklibname kritacommand %{kritacommand_major}

%package -n %libkritacommand
Summary:      Krita is a FREE sketching and painting program
Group:        System/Libraries

%description -n %libkritacommand
Krita is a FREE sketching and painting program.

%files -n %libkritacommand
%_kf5_libdir/libkritacommand.so.%{kritacommand_major}{,.*}

#--------------------------------------------------------------------

%define kritaimpex_major 19
%define libkritaimpex %mklibname kritaimpex %{kritaimpex_major}

%package -n %libkritaimpex
Summary:      Krita is a FREE sketching and painting program
Group:        System/Libraries

%description -n %libkritaimpex
Krita is a FREE sketching and painting program.

%files -n %libkritaimpex
%_kf5_libdir/libkritaimpex.so.%{kritaimpex_major}{,.*}

#--------------------------------------------------------------------

%define kritalibkis_major 19
%define libkritalibkis %mklibname kritalibkis %{kritalibkis_major}

%package -n %libkritalibkis
Summary:      Krita is a FREE sketching and painting program
Group:        System/Libraries

%description -n %libkritalibkis
Krita is a FREE sketching and painting program.

%files -n %libkritalibkis
%_kf5_libdir/libkritalibkis.so.%{kritalibkis_major}{,.*}

#--------------------------------------------------------------------

%define kritalibkra_major 19
%define libkritalibkra %mklibname kritalibkra %{kritalibkra_major}

%package -n %libkritalibkra
Summary:      Krita is a FREE sketching and painting program
Group:        System/Libraries

%description -n %libkritalibkra
Krita is a FREE sketching and painting program.

%files -n %libkritalibkra
%_kf5_libdir/libkritalibkra.so.%{kritalibkra_major}{,.*}

#--------------------------------------------------------------------

%define kritapsdutils_major 19
%define libkritapsdutils %mklibname kritapsdutils %{kritapsdutils_major}

%package -n %libkritapsdutils
Summary:      Krita is a FREE sketching and painting program
Group:        System/Libraries

%description -n %libkritapsdutils
Krita is a FREE sketching and painting program.

%files -n %libkritapsdutils
%_kf5_libdir/libkritapsdutils.so.%{kritapsdutils_major}{,.*}

#--------------------------------------------------------------------

%define krita_devel %mklibname krita -d

%package -n %krita_devel
Summary:        Development files for %{name}
Group:          Development/KDE and Qt
Requires: %libkritabasicflakes = %epoch:%version-%release
Requires: %libkritacolor = %epoch:%version-%release
Requires: %libkritacolord = %epoch:%version-%release
Requires: %libkritaflake = %epoch:%version-%release
Requires: %libkritaglobal = %epoch:%version-%release
Requires: %libkritaexifcommon = %epoch:%version-%release
Requires: %libkritaimage = %epoch:%version-%release
Requires: %libkritalibbrush = %epoch:%version-%release
Requires: %libkritalibpaintop = %epoch:%version-%release
Requires: %libkritametadata = %epoch:%version-%release
Requires: %libkritamultiarch = %epoch:%version-%release
Requires: %libkritapigment = %epoch:%version-%release
Requires: %libkritaplugin = %epoch:%version-%release
Requires: %libkritapsd = %epoch:%version-%release
Requires: %libkritaqmicinterface = %epoch:%version-%release
Requires: %libkritaresources = %epoch:%version-%release
Requires: %libkritaresourcewidgets = %epoch:%version-%release
Requires: %libkritastore = %epoch:%version-%release
Requires: %libkritaui = %epoch:%version-%release
Requires: %libkritaversion = %epoch:%version-%release
Requires: %libkritawidgets = %epoch:%version-%release
Requires: %libkritawidgetutils = %epoch:%version-%release
Requires: %libkritacommand = %epoch:%version-%release
Requires: %libkritaimpex = %epoch:%version-%release
Requires: %libkritalibkis = %epoch:%version-%release
Requires: %libkritalibkra = %epoch:%version-%release
Requires: %libkritapsdutils = %epoch:%version-%release
Provides: %name-devel = %version-%release

%description -n %krita_devel
The %{krita_devel} package contains libraries and header files for
developing applications that use %{name}.

%files -n %krita_devel
%_kf5_libdir/*.so
%_includedir/*.h

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install
%find_lang %{name}

%check
#appstream-util validate-relax --nonet %%{buildroot}%%{_kf5_metainfodir}/org.kde.krita.appdata.xml
