%define rel	1

Name:		kronometer
Version:	2.3.0
Release:	%mkrel %{rel}
Summary:	A simple stopwatch application for Plasma 5
License:	GPLv2
Group:		Graphical desktop/KDE
URL:		https://apps.kde.org/kronometer/
Source0:	https://download.kde.org/stable/kronometer/%{version}/src/%{name}-%{version}.tar.xz
# Kf5 BuildRequires
BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5ConfigWidgets)
BuildRequires:	cmake(KF5Crash)
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	cmake(KF5XmlGui)
# Qt5 BuildRequires
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

Recommends:	%{name}-handbook

%description
Kronometer is a stopwatch application for Plasma 5.

Kronometer’s main features are the following:

* Start/pause/resume the stopwatch widget.
* Laps recording: you can capture the stopwatch time when you want and add a
  note to it.
* Lap times sorting: you can easily find the shortest lap time or the longest
  one.
* Reset the stopwatch widget and the lap times.
* Time format settings: you can choose the stopwatch granularity.
* Times saving and resuming: you can save the stopwatch status and resume it
  later.
* Font customization: you can choose the fonts for each of the stopwatch
  digits.
* Color customization: you can choose the color for the stopwatch digits and
  the stopwatch background.
* Lap times export: you can export the lap times on a file using the JSON or
  CSV format.

%files -f %{name}.lang
%doc CHANGELOG README.md
%license LICENSES/
%{_kf5_bindir}/%{name}
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf5_datadir}/config.kcfg/%{name}.kcfg
%{_kf5_iconsdir}/*/*/*/*
%{_kf5_mandir}/man1/%{name}.1.*

#--------------------------------------------------------------------

%package	handbook
Summary:	Kronometer Handbook
Group:		Documentation
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}

%description	handbook
This package provides Kronometer handbook.

%files handbook
%{_kf5_docdir}/HTML/*/%{name}/

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang %{name} --with-man
