#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%bcond_with falcon
%bcond_with java
%bcond_with python
%bcond_without ruby

%define rel 1

Name:           kross-interpreters
Epoch:          1
Version: 24.12.3
Release:        %mkrel %{rel}
Summary:        KDE bindings to non-C++ languages
Group:          Graphical desktop/KDE
License:        LGPLv2
URL:            https://invent.kde.org/libraries/kross-interpreters
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Test)

BuildRequires:  cmake(KF5Kross)
BuildRequires:  cmake(KF5Parts)

%if %with python
BuildRequires:  pkgconfig(python2)
%endif

%if %with falcon
BuildRequires:  falcon-devel
%endif

%if %with java
BuildRequires:  java-devel
%endif

%if %with ruby
BuildRequires:  ruby-devel
%endif


%description
Language interpreters to enable in-process scripting with Kross.

#----------------------------------------------------------------
%if %with java

%package java
Summary:        Java kross interpreter
Group:          Development/Java

%description java
Java kross interpreter.

%files java
%_qt5_plugindir/kross/kross.jar
%_qt5_plugindir/krossjava.so

%endif

#---------------------------------------------------------------
%if %with python

%package python
Summary:        Python kross-interpreter
Group:          Development/Python

%description python
Python kross interpreter.

%files python
%_qt5_plugindir/krosspython.so

%endif

#--------------------------------------------------------------
%if %with ruby

%package ruby
Summary:        Ruby kross interpreter
Group:          Development/Ruby

%description ruby
Ruby kross interpreter.

%files ruby
%_qt5_plugindir/krossruby.so

%endif

#------------------------------------------------------------

%if %with falcon

%package -n falcon-kde4
Summary:        Falcon KDE 4 bindings
Group:          Development/KDE and Qt
Requires:       falcon

%description -n falcon-kde4
Falcon KDE 4 bindings.

%files -n falcon-kde4
%_kde_libdir/kde4/krossfalcon.so

%endif

#------------------------------------------------------------

%prep
%autosetup -p1

%build
export CXXFLAGS="%optflags  -fpermissive"
%cmake_kf5
%cmake_build

%install
%cmake_install
