#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kruler
Epoch:          2
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        KDE Screen Ruler
Group:          Graphics/Utilities
License:        GPLv2 and GFDL
URL:            https://apps.kde.org/kruler/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz
# Branch Patch (100-200)

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6StatusNotifierItem)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)

Recommends:     kruler-handbook


%description
KRuler displays on screen a ruler measuring pixels.
Features :
    - Integrated color picker
    - Change the length of the ruler
    - Change the orientation of the ruler
    - Change the color, transparency and font of the ruler

%files -f %name.lang
%_kf6_bindir/kruler
%_kf6_applicationsdir/*.desktop
%_kf6_datadir/kruler/
%_kf6_iconsdir/*/*/*/kruler*
%_kf6_knotificationsdir/kruler.notifyrc
%_kf6_metainfodir/org.kde.kruler.appdata.xml

#------------------------------------------------------------------------------

%package        handbook
Summary:        Kruler handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kruler >= %{epoch}:%{version}-%{release}

%description    handbook
This package provides kruler handbook.

%files handbook
%doc %_kf6_docdir/HTML/*/%name

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %name
