#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version}|cut -d. -f1,2)
%define framework krunner

%define rel 1

Summary:        KDE Frameworks 6 Tier 2 for providing different actions given a string query
Name:           %framework
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

# upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6ItemModels)

%description
KDE Frameworks 6 Tier 2 for providing different actions given a string query.

%files
%_kf6_categoriesdir/krunner.*categories
%_kf6_datadir/dbus-1/interfaces/kf6_org.kde.krunner1.xml
%_kf6_datadir/kdevappwizard/templates/runner6.tar.bz2
%_kf6_datadir/kdevappwizard/templates/runner6python.tar.bz2

#--------------------------------------------------------------------

%define kf6runner_major 6
%define libkf6runner %mklibname kf6runner %{kf6runner_major}

%package -n %libkf6runner
Summary:        KDE Frameworks 6 Tier 2 for providing different actions given a string query
Group:          System/Libraries
Recommends:     %{name} >= %version-%release

%description -n %libkf6runner
KDE Frameworks 6 Tier 2 for providing different actions given a string query.

%files -n %libkf6runner
%_kf6_libdir/libKF6Runner.so.%{kf6runner_major}
%_kf6_libdir/libKF6Runner.so.%{version}

#--------------------------------------------------------------------

%define kf6runner_devel %mklibname kf6runner -d

%package -n %kf6runner_devel
Summary:        Devel stuff for %framework
Group:          Development/KDE and Qt
Requires:       %libkf6runner = %version-%release
Provides:       %name-devel = %{version}-%{release}
Provides:       kf6-krunner-devel = %{version}-%{release}

%description -n %kf6runner_devel
This package contains header files needed if you wish to build applications
based on %framework.

%files -n %kf6runner_devel
%_kf6_libdir/libKF6Runner.so
%_kf6_libdir/cmake/KF6Runner/
%_kf6_includedir/KRunner/

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

