%define beta	0
%define rel	1

Name:		krusader
Epoch:		3
Version:	2.9.0
%if %beta
Release:	%mkrel -c beta%{beta} %{rel}
%else
Release:	%mkrel %{rel}
%endif
Summary:	Advanced KDE twin-panel file-manager
License:	GPLv2+
Group:		File tools
URL:		https://krusader.org/
%if %beta
Source0:	https://download.kde.org/unstable/krusader/%{version}/%{name}-%{version}.tar.xz
%else
Source0:	https://download.kde.org/stable/krusader/%{version}/%{name}-%{version}.tar.xz
%endif

# Mageia patches 500->600

BuildRequires:	kf6-rpm-macros

BuildRequires:	qttools6
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)
BuildRequires:	cmake(Qt6Core5Compat)

BuildRequires:	cmake(KF6Archive)
BuildRequires:	cmake(KF6Bookmarks)
BuildRequires:	cmake(KF6Codecs)
BuildRequires:	cmake(KF6Completion)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6Crash)
BuildRequires:	cmake(KF6DocTools)
BuildRequires:	cmake(KF6GlobalAccel)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6IconThemes)
BuildRequires:	cmake(KF6ItemViews)
BuildRequires:	cmake(KF6KIO)
BuildRequires:	cmake(KF6Notifications)
BuildRequires:	cmake(KF6Parts)
BuildRequires:	cmake(KF6Solid)
BuildRequires:	cmake(KF6TextWidgets)
BuildRequires:	cmake(KF6Wallet)
BuildRequires:	cmake(KF6WidgetsAddons)
BuildRequires:	cmake(KF6WindowSystem)
BuildRequires:	cmake(KF6XmlGui)
BuildRequires:	cmake(KF6GuiAddons)
BuildRequires:	cmake(KF6StatusNotifierItem)

BuildRequires:	pkgconfig(bzip2)

Recommends:	zip
Recommends:	unzip
Recommends:	p7zip
Recommends:	krename

Requires:	kio
Requires:	kded
Requires:	kdesu

%description
Krusader is an advanced twin panel (commander style) file manager
for KDE and other desktops in the *nix world, similar to Midnight or
Total Commander. It provides all the file management features you
could possibly want.

Plus: extensive archive handling, mounted filesystem support, FTP,
advanced search module, an internal viewer/editor, directory
synchronisation, file content comparisons, powerful batch renaming
and much much more. It supports a wide variety of archive formats
and can handle other KIO slaves such as smb or fish.

%files -f %{name}.lang
%doc README AUTHORS ChangeLog TODO
%license LICENSES/*
%{_kf6_sysconfdir}/xdg/kio_isorc
%{_kf6_bindir}/%{name}
%{_kf6_applicationsdir}/org.kde.%{name}*.desktop
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_datadir}/%{name}/
%{_kf6_datadir}/kxmlgui5/%{name}/
%{_kf6_iconsdir}/hicolor/*/apps/%{name}*.png
%{_kf6_plugindir}/kio/*.so
%{_kf6_mandir}/man1/%{name}.1*

#--------------------------------------------------------------------

%prep
%if %beta
%setup -q -n %{name}-%{version}-beta%{beta}
%else
%autosetup -p1
%endif

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html --with-man
