#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           ksanecore
Version: 25.04.0
Release:        %mkrel %rel
Summary:        Library that provides a Qt interface for the SANE library for scanner hardware
Group:          Graphical desktop/KDE
License:        GPLv2
Url:            https://www.kde.org
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)

BuildRequires:  cmake(KF6I18n)

BuildRequires:  pkgconfig(sane-backends)

%description
KSaneCore is a library that provides a Qt interface for the
SANE library for scanner hardware.

%files -f %name.lang

#------------------------------------------------------------------------------

%define ksanecore_major 1
%define libksanecore %mklibname ksanecore6_ %ksanecore_major

%package -n     %{libksanecore}
Summary:        %name library
Group:          System/Libraries
Provides:       ksanecore = %version-%release
Requires:       %name >= %version

%description -n %{libksanecore}
KSaneCore is a library that provides a Qt interface for the
SANE library for scanner hardware.

%files -n %{libksanecore}
%_kf6_libdir/libKSaneCore6.so.%{ksanecore_major}{,.*}
%_kf6_libdir/libKSaneCore6.so.%{version}

#------------------------------------------------------------------------------

%define libksanecore_devel %mklibname ksanecore6 -d

%package -n     %{libksanecore_devel}
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libksanecore = %version-%release
Provides:       %name-devel = %version-%release

%description -n %{libksanecore_devel}
KSaneCore is a library that provides a Qt interface for the
SANE library for scanner hardware.

This package contains header files needed if you wish to build applications
based on %name.

%files -n %{libksanecore_devel}
%_includedir/KSaneCore6/
%_kf6_libdir/libKSaneCore6.so
%_kf6_libdir/cmake/KSaneCore6/

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-kde --with-html
