#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kscreen
Version: 6.3.4
Release:        %mkrel %{rel}
Summary:        KDE Display Management software
Group:          System/Configuration
License:        GPLv2
URL:            https://projects.kde.org/projects/extragear/base/kscreen
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Sensors)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6QuickWidgets)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6GlobalAccel)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6Svg)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(KF6Screen)
BuildRequires:  cmake(Plasma)
BuildRequires:  cmake(PlasmaQuick)
BuildRequires:  cmake(LayerShellQt)

BuildRequires:  pkgconfig(xi)


%description
KCM and KDED modules for managing displays in KDE.

%files -f %name.lang
%_libexecdir/kscreen_osd_service
%_kf6_categoriesdir/kscreen.categories
%_kf6_bindir/kscreen-console
%_kf6_plugindir/kded/kscreen.so
%_qt6_plugindir/plasma/applets/org.kde.kscreen.so
%_qt6_plugindir/plasma/kcms/systemsettings/kcm_kscreen.so
%_kf6_datadir/plasma/plasmoids/org.kde.kscreen/
%_kf6_metainfodir/org.kde.kscreen.appdata.xml
%_kf6_applicationdir/kcm_kscreen.desktop
%_kf6_datadir/kglobalaccel/org.kde.kscreen.desktop
%_datadir/dbus-1/services/org.kde.kscreen.osdService.service
%_userunitdir/plasma-kscreen-osd.service

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %name --all-name
