#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Library and components for secure lock screen architecture
Name:           kscreenlocker
Version: 6.3.4
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickWidgets)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6GlobalAccel)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IdleTime)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6Solid)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6Svg)

BuildRequires:  cmake(PlasmaQuick)

BuildRequires:  pkgconfig(wayland-scanner)
BuildRequires:  cmake(LayerShellQt)
BuildRequires:  cmake(KF6Screen)

BuildRequires:  pkgconfig(libseccomp)
BuildRequires:  pkgconfig(xcb-keysyms)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pam-devel

Requires:       kidletime

%description
Library and components for secure lock screen architecture.

%files -f %name.lang
%_kf6_categoriesdir/kscreenlocker.categories
%_libexecdir/kscreenlocker_greet
%_kf6_datadir/dbus-1/interfaces/kf6_org.freedesktop.ScreenSaver.xml
%_kf6_knotificationsdir/ksmserver.notifyrc
%_kf6_datadir/ksmserver/screenlocker/org.kde.passworddialog
%_kf6_datadir/dbus-1/interfaces/org.kde.screensaver.xml
%_qt6_plugindir/plasma/kcms/systemsettings/kcm_screenlocker.so
%_kf6_applicationdir/kcm_screenlocker.desktop

#--------------------------------------------------------------------

%define kscreenlocker_major 6
%define libkscreenlocker %mklibname kscreenlocker %{kscreenlocker_major}

%package -n %libkscreenlocker
Summary:        Library and components for secure lock screen architecture
Group:          System/Libraries
Requires:       %name >= %{version}-%{release}

%description -n %libkscreenlocker
Library and components for secure lock screen architecture.

%files -n %libkscreenlocker
%_kf6_libdir/libKScreenLocker.so.%{kscreenlocker_major}
%_kf6_libdir/libKScreenLocker.so.%{version}

#--------------------------------------------------------------------

%define kscreenlocker_devel %mklibname kscreenlocker -d

%package -n %kscreenlocker_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %{version}-%{release}
Requires:       %libkscreenlocker = %{version}-%{release}
Requires:       cmake(Qt6DBus)

Provides:       %name-devel = %{version}-%{release}

%description -n %kscreenlocker_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kscreenlocker_devel
%_kf6_libdir/libKScreenLocker.so
%_includedir/KScreenLocker/
%_kf6_libdir/cmake/KScreenLocker/
%_kf6_libdir/cmake/ScreenSaverDBusInterface/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %name --all-name
