%global appname KSeExpr
%define major           4
%define libname         %mklibname %{name} %{major}
%define devname         %mklibname %{name} -d

%define ver 4.0.4.0
%define rel 3

Name:    kseexpr
Version: %{ver}
Release: %mkrel %{rel}
License: GPLv3+
Summary: An expression engine for Krita
Group:   Graphics/Editors and Converters
URL:     https://invent.kde.org/graphics/kseexpr
Source0: https://invent.kde.org/graphics/%{name}/-/archive/v%{version}/%{name}-v%{version}.tar.gz
Patch0:  fix-pkgconfig-install.patch
BuildRequires: bison
BuildRequires: cmake
BuildRequires: extra-cmake-modules >= 5.52.0
BuildRequires: flex
BuildRequires: cmake(KF5I18n)
BuildRequires: cmake(Qt5Core)
BuildRequires: cmake(Qt5Gui)
BuildRequires: cmake(Qt5LinguistTools)
BuildRequires: cmake(Qt5Widgets)
BuildRequires: doxygen
BuildRequires: pkgconfig(gtest)

%description
Fork of Disney Animation's SeExpr expression library, that is used in Krita.

This fork was created as part of the GSoC 2020 project, Dynamic Fill Layers
in Krita using SeExpr, to enable the provision of fixes and translations
needed to embed SeExpr into the Krita painting suite.

This version is not ABI-compatible with projects using upstream SeExpr.

%package -n %{libname}
Summary:        An expression engine for Krita
Group:          System/Libraries

%description -n %{libname}
%{summary}.


%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package provides the header files required to compile
kseexpr.

%prep
%autosetup -n %{name}-v%{version} -p1

%build
%cmake -DUSE_PREGENERATED_FILES:BOOL=OFF
%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSE.txt

%files -n %{libname}
%{_libdir}/lib%{appname}*.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/%{appname}/
%{_includedir}/%{appname}UI/
%{_libdir}/cmake/%{appname}/
%{_libdir}/lib%{appname}*.so
%{_libdir}/pkgconfig/%{name}.pc

