#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 3 solution for working with .desktop files
Name:           kservice
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6Crash) >= %version
BuildRequires:  cmake(KF6Config) >= %version
BuildRequires:  cmake(KF6DBusAddons) >= %version
BuildRequires:  cmake(KF6I18n) >= %version
BuildRequires:  cmake(KF6DocTools) >= %version
BuildRequires:  cmake(KF6Archive) >= %version

BuildRequires:  flex
BuildRequires:  bison

%description
KDE Frameworks 6 Tier 3 solution for working with .desktop files.

%files -f %{name}6.lang
%_kf6_bindir/kbuildsycoca6
%_kf6_categoriesdir/kservice.*categories
%_kf6_mandir/man?/*
%_kf6_mandir/*/man?/*

#--------------------------------------------------------------------

%define kf6service_major 6
%define libkf6service %mklibname kf6service %{kf6service_major}

%package -n %libkf6service
Summary:        KDE Frameworks 6 Tier 3 solution for working with .desktop files
Group:          System/Libraries

%description -n %libkf6service
KDE Frameworks 6 Tier 3 solution for working with .desktop files.

%files -n %libkf6service
%_kf6_libdir/libKF6Service.so.%{kf6service_major}{,.*}
%_kf6_libdir/libKF6Service.so.%{version}

#--------------------------------------------------------------------

%define kf6service_devel %mklibname kf6service -d

%package -n %kf6service_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6service = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6service_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6service_devel
%_kf6_includedir/KService/
%_kf6_libdir/cmake/KF6Service/
%_kf6_libdir/*.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{name}6

