#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kshisen
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Patience game where you take away all pieces
Group:          Games/Cards
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://apps.kde.org/kshisen/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(KMahjongglib6)
BuildRequires:  cmake(KDEGames6)

Requires:       libkdegames-common >= 1:%version
Requires:       kmahjongglib >= 1:%version

Recommends:     %{name}-handbook


%description
KShisen is a solitaire-like game played using the standard set of Mahjong tiles.
Unlike Mahjong however, KShisen has only one layer of scrambled tiles.

%files -f %name.lang
%_kf6_categoriesdir/kshisen.*categories
%_kf6_bindir/kshisen
%_kf6_applicationsdir/*.desktop
%_kf6_datadir/sounds/kshisen
%_kf6_datadir/config.kcfg/kshisen.kcfg
%_kf6_iconsdir/hicolor/*/apps/kshisen*
%_kf6_metainfodir/*.xml

#------------------------------------------------------------------------------

%package -n kshisen-handbook
Summary:        Kshisen handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kshisen >= %{epoch}:%{version}-%{release}

%description -n kshisen-handbook
This package provides the Kshisen handbook.

%files -n kshisen-handbook
%_kf6_docdir/HTML/*/kshisen

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
