# comment out when not pre-release
%define prel	beta

%define rel	2

Name:		kshutdown
Version:	5.92
Release:	%mkrel %{?prel:0.%prel.}%{rel}
Summary:	Advanced shut down utility for Plasma
Summary(fr):	Un outils avancé de gestion de l'extinction pour Plasma
License:	GPLv2+
Group:		Graphical desktop/KDE
URL:		https://kshutdown.sourceforge.net/
Source0:	https://sourceforge.net/projects/%{name}/files/KShutdown/%{version}%{?prel:-%prel}/%{name}-source-%{version}%{?prel:-%prel}.zip
Patch0:		kshutdown-5.92-mga-desktop-file.patch

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Help)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)

BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6ConfigWidgets)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6Crash)
BuildRequires:	cmake(KF6DBusAddons)
BuildRequires:	cmake(KF6GlobalAccel)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6IdleTime)
BuildRequires:	cmake(KF6Notifications)
BuildRequires:	cmake(KF6NotifyConfig)
BuildRequires:	cmake(KF6StatusNotifierItem)
BuildRequires:	cmake(KF6XmlGui)


%description
KShutDown is an advanced shut down utility for Plasma.

Features:
- Shut Down (logout and halt the system)
- Reboot (logout and reboot the system)
- Lock Screen (lock the screen using a screen saver)
- Logout (end the session and logout the user)
- Extras (user commands)
- Wizard
- Time and delay options
- Command line support
- System tray
- Sounds
- Kiosk support
- And more...

%files -f %{name}.lang
%doc TODO ChangeLog README.html
%license LICENSE
%{_kf6_bindir}/%{name}
%{_kf6_applicationsdir}/%{name}.desktop
%{_kf6_iconsdir}/hicolor/*/*/%{name}.*

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{version}%{?prel:-%prel}

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html
