#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           ksirk
Summary:        Computerized version of a well known strategy board game
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
License:        GPLv2 and LGPLv2 and GFDL
Group:          Games/Strategy
URL:            https://apps.kde.org/ksirk/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6SvgWidgets)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(KDEGames6)
BuildRequires:  cmake(KF6Wallet)
BuildRequires:  cmake(Qca-qt6)

Requires:       qca-qt6
Recommends:     ksirk-handbook

%description -n ksirk
KsirK is a computerized version of the well known strategic board game Risk. 
The goal of the game is simply to conquer the world by attacking your neighbors
with your armies.
Features :
- Support for 1-6 human or computer (AI) players
- Multi-player gaming over a network
- You can easily create new skins with SVG graphics and the skin editor
- Hot New Stuff support. You can easily download and install new skins

%files -f %name.lang
%_kf6_categoriesdir/ksirk.*categories
%_kf6_bindir/ksirk
%_kf6_bindir/ksirkskineditor
%_kf6_applicationsdir/org.kde.ksirkskineditor.desktop
%_kf6_applicationsdir/org.kde.ksirk.desktop
%_kf6_datadir/config.kcfg/ksirksettings.kcfg
%_kf6_datadir/config.kcfg/ksirkskineditorsettings.kcfg
%_kf6_datadir/ksirk/
%_kf6_datadir/ksirkskineditor/
%_kf6_datadir/knsrcfiles/ksirk.knsrc
%_kf6_metainfodir/org.kde.ksirk.appdata.xml
%_kf6_iconsdir/*/*/*/*

#------------------------------------------------------------------------------

%package -n ksirk-handbook
Summary:        Ksirk handbook
Group:          Documentation
BuildArch:      noarch
Requires:       ksirk >= %{epoch}:%{version}-%{release}

%description -n ksirk-handbook
This package provides the ksirk handbook.

%files -n ksirk-handbook
%_kf6_docdir/HTML/*/ksirk
%_kf6_docdir/HTML/*/ksirkskineditor

#------------------------------------------------------------------------------
%if 0

%define libiris_ksirk_major 2
%define libiris_ksirk %mklibname iris_ksirk %{libiris_ksirk_major}

%package -n %libiris_ksirk
Summary:        Runtime library for ksirk
Group:          System/Libraries

%description -n %libiris_ksirk
Runtime library for ksirk.

%files -n %libiris_ksirk
%_kf6_libdir/libiris_ksirk.so.%{libiris_ksirk_major}{,.*}

#------------------------------------------------------------------------------

%define ksirc_devel %mklibname ksirk -d

%package -n %ksirc_devel
Summary:        Devel files for ksirk
Group:          Development/KDE and Qt
Requires:       %libiris_ksirk = %{epoch}:%{version}-%{release}
Provides:       %name-devel = %{epoch}:%{version}-%{release}

%description -n %ksirc_devel
This package provides the devel files for ksirk.

%files -n %ksirc_devel
%_kf6_libdir/libiris_ksirk.so
%endif
#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name --all-name
