#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Job-based library to send email through an SMTP server
Name:           ksmtp
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Network)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)

BuildRequires:  pkgconfig(libsasl2)

%description
Job-based library to send email through an SMTP server.

%files -f %name.lang
%{_kf6_categoriesdir}/ksmtp.categories

#--------------------------------------------------------------------

%define ksmtp_major 6
%define libksmtp %mklibname kpim6smtp %{ksmtp_major}

%package -n %libksmtp
Summary:        Job-based library to send email through an SMTP server
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libksmtp
Job-based library to send email through an SMTP server.

%files -n %libksmtp
%{_kf6_libdir}/libKPim6SMTP.so.%{ksmtp_major}{,.*}

#--------------------------------------------------------------------

%define ksmtp_devel %mklibname kpim6smtp -d

%package -n %ksmtp_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libksmtp = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %ksmtp_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %ksmtp_devel
%{_includedir}/KPim6/KSMTP/
%{_kf6_libdir}/libKPim6SMTP.so
%{_kf6_libdir}/cmake/KPim6SMTP/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name

