#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           ksnakeduel
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Snake race played against the computer
Group:          Games/Arcade
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://apps.kde.org/ksnakeduel/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Svg)

BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(KDEGames6)

%description
KSnakeDuel is a fast action game where you steer a snake
which has to eat food. While eating the snake grows. But
once a player collides with the other snake or the wall
the game is lost. This becomes of course more and more
difficult the longer the snakes grow.

%files -f %name.lang
%_kf6_categoriesdir/ksnakeduel.categories
%_kf6_bindir/ksnakeduel
%_kf6_metainfodir/org.kde.ksnakeduel.appdata.xml
%_kf6_applicationsdir/org.kde.ksnakeduel.desktop
%_kf6_datadir/config.kcfg/ksnakeduel.kcfg
%_kf6_datadir/knsrcfiles/ksnakeduel.knsrc
%_kf6_iconsdir/hicolor/*/apps/ksnakeduel.*
%_kf6_datadir/ksnakeduel/

#------------------------------------------------------------------------------

%package -n ksnakeduel-handbook
Summary:        ksnakeduel handbook
Group:          Documentation
BuildArch:      noarch
Requires:       ksnakeduel >= %{epoch}:%{version}-%{release}

%description -n ksnakeduel-handbook
This package provides the ktron handbook.

%files -n ksnakeduel-handbook
%_kf6_docdir/HTML/*/ksnakeduel

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name

