Name:		ksnip
Version:	1.10.1
Release:	%mkrel 2
Summary:	Screenshot tool
License:	GPL-3.0
Group:		Graphical desktop/KDE
URL:		https://github.com/ksnip/ksnip
Source:		https://github.com/ksnip/ksnip/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	extra-cmake-modules
BuildRequires:	gcc-c++
BuildRequires:	cmake(kColorPicker-Qt5) >= 0.2.0
BuildRequires:	cmake(kImageAnnotator-Qt5) >= 0.6.1
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcb-xfixes)

%description
Ksnip is a Qt based cross-platform screenshot tool that provides many
annotation features for your screenshots.

%prep
%autosetup -p1

sed -i 's/find_package(kImageAnnotator/find_package(kImageAnnotator-Qt5/g' CMakeLists.txt
sed -i 's/find_package(kColorPicker/find_package(kColorPicker-Qt5/g' CMakeLists.txt
sed -i 's/kColorPicker::kColorPicker/kColorPicker::kColorPicker-Qt5/g' src/CMakeLists.txt

%build
%cmake_qt5
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-qt

%files
%license LICENSE.txt
%doc CHANGELOG.md CODINGSTYLE.md README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_metainfodir}/org.ksnip.%{name}.appdata.xml
%{_datadir}/applications/org.ksnip.%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
