#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           ksquares
Summary:        An implementation of the popular paper based game squares
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Group:          Games/Boards
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://apps.kde.org/ksquares/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  cmake(KDEGames6)

Recommends:     ksquares-handbook


%description
KSquares is an implementation of the popular paper based game squares. 
You must draw lines to complete squares, the player with the most
squares wins.

%files -f %name.lang
%_kf6_bindir/ksquares
%_kf6_applicationsdir/*.desktop
%_kf6_datadir/config.kcfg/ksquares.kcfg
%_kf6_iconsdir/hicolor/*/apps/ksquares.png
%_kf6_metainfodir/org.kde.ksquares.appdata.xml

#------------------------------------------------------------------------------

%package -n ksquares-handbook
Summary:        ksquares handbook
Group:          Documentation
BuildArch:      noarch
Requires:       ksquares >= %{epoch}:%{version}-%{release}

%description -n ksquares-handbook
This package provides the ksquares handbook.

%files -n ksquares-handbook
%_kf6_docdir/HTML/*/ksquares

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
