#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        A ssh-add helper that uses kwallet and kpassworddialog
Name:           ksshaskpass
Epoch:          1
Version: 6.3.4
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Wallet)
BuildRequires:  cmake(KF6WidgetsAddons)

Requires(post):	update-alternatives
Requires(postun):	update-alternatives

Requires:	openssh-askpass-common
Provides:	openssh-askpass
Provides:	ssh-askpass
Provides:	ssh-extras

Obsoletes:	openssh-askpass-qt5 < 2.1.0-11
Provides:	openssh-askpass-qt5 = %{version}-%{release}


%description
A ssh-add helper that uses kwallet and kpassworddialog.

%post
update-alternatives --install %{_libexecdir}/openssh/ssh-askpass ssh-askpass %{_kf6_bindir}/%{name} 40
update-alternatives --install %{_bindir}/ssh-askpass bssh-askpass %{_kf6_bindir}/%{name} 40

%postun
[ $1 = 0 ] || exit 0
update-alternatives --remove ssh-askpass %{_kf6_bindir}/%{name}
update-alternatives --remove bssh-askpass %{_kf6_bindir}/%{name}

%triggerin -- ksshaskpass < 0.5
update-alternatives --remove ssh-askpass %{_libdir}/ssh/%{name}
update-alternatives --remove bssh-askpass %{_libdir}/ssh/%{name}


%files -f %{name}6.lang
%_kf6_bindir/ksshaskpass
%_kf6_applicationsdir/org.kde.ksshaskpass.desktop
%_kf6_mandir/man1/ksshaskpass.1.*

#------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{name}6 --all-name
