Name:		kst
Version:	2.0.8
Release:	%mkrel 21
Summary:	Program for looking at data streams
License:	GPLv2+
Group:		Sciences/Other
Url:		https://kst-plot.kde.org/
Source:		https://downloads.sourceforge.net/kst/Kst-%{version}.tar.gz
# patch from branch kst2.0.8
Patch0:		kst2.0.8-disable-last-value-option-in-ascii-reader-when-threa.patch
Patch1:		kst-2.0.8-gsl2.patch
# Upstream patch to fix qreal for arm: https://bugs.kde.org/show_bug.cgi?id=342642
Patch2:		kst-qreal.patch
Patch3:		kst-2.0.8-fix-build-against-qt-5.11.0.patch
# Patch from Fedora
Patch4:		nest.patch

BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(cfitsio)
BuildRequires:	netcdf-cxx-devel
BuildRequires:	pkgconfig(gsl)
BuildRequires:	cmake

%description
kst is a program for looking at data streams. It can plot:
 - x-y plots
 - power spectra
 - histograms
 - equations (including equations of data streams).
 - data in files which are being updated as data is being logged, in
   which case in can act as a plotter for a chart recorder.
 - much more

Kst supports realtime viewing and manipulation of streaming data.

%files
%{_bindir}/*
%{_mandir}/man1/*
%{_libdir}/*.so.*
%{_libdir}/kst2/
%{_datadir}/kst/
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*

#--------------------------------------------------------------------

%prep
%setup -q -n Kst-%{version}
%autopatch -p1

%build
# -Dkst_release=1 is to work around a compile error
%cmake \
  -Dkst_install_prefix=%{_prefix} \
  -Dkst_install_libdir=%{_lib} \
  -Dkst_rpath=OFF \
  -Dkst_qt5=ON \
  -Dkst_verbose=ON \
  -Dkst_release=ON
%cmake_build

%install
%cmake_install

rm -f %{buildroot}%{_libdir}/*.so \
      %{buildroot}%{_libdir}/*.a \
      %{buildroot}%{_datadir}/applnk/*/* \
      %{buildroot}%{_datadir}/mimelink/application/*.desktop
