#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define with_indilib 1
%define indilib_version 2.0.0
%define eigen_version 3.2.0
%define xplanet_version 1.2.1
%define rel 1

Name:          kstars
Summary:       A Desktop Planetarium and Astronomical Software
Epoch:         1
Version:       3.7.6
Release:       %mkrel %{rel}
Group:         Sciences/Astronomy
License:       GPLv2 and GFDL
URL:           https://apps.kde.org/kstars/
Source:        https://download.kde.org/stable/kstars/%{version}/%{name}-%{version}.tar.xz
Patch1:        0001-Fix-access-by-key-on-QJsonValue.patch
ExclusiveArch: aarch64 x86_64
#Branch patchs 100->200

#Trunk Patchs 200->300

#Mageia Patchs 500->600

BuildRequires: kf6-rpm-macros

BuildRequires: cmake(Qt6Multimedia)
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6DataVisualization)
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6Network)
BuildRequires: cmake(Qt6Qml)
BuildRequires: cmake(Qt6Quick)
BuildRequires: cmake(Qt6Xml)
BuildRequires: cmake(Qt6Sql)
BuildRequires: cmake(Qt6WebSockets)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: cmake(Qt6Svg)
BuildRequires: cmake(Qt6SvgWidgets)
BuildRequires: cmake(Qt6OpenGL)
BuildRequires: cmake(Qt6PrintSupport)
BuildRequires: cmake(Qt6Test)
BuildRequires: cmake(Qt6Concurrent)

BuildRequires: cmake(KF6Config)
BuildRequires: cmake(KF6Crash)
BuildRequires: cmake(KF6DocTools)
BuildRequires: cmake(KF6WidgetsAddons)
BuildRequires: cmake(KF6NewStuff)
BuildRequires: cmake(KF6I18n)
BuildRequires: cmake(KF6KIO)
BuildRequires: cmake(KF6XmlGui)
BuildRequires: cmake(KF6Plotting)
BuildRequires: cmake(KF6Notifications)
BuildRequires: cmake(KF6NotifyConfig)

BuildRequires: cmake(Qt6Keychain)
BuildRequires: pkgconfig(stellarsolver)

BuildRequires: pkgconfig(eigen3) >= %{eigen_version}
BuildRequires: pkgconfig(cfitsio)
BuildRequires: pkgconfig(gsl)
BuildRequires: pkgconfig(libraw)
BuildRequires: pkgconfig(wcslib)
BuildRequires: xplanet >= %{xplanet_version}
BuildRequires: fli-devel
BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(libxisf)
BuildRequires: pkgconfig(opencv)

%if %{with_indilib}
BuildRequires: pkgconfig(libindi) >= %{indilib_version}
BuildRequires: indiclient-static-devel >= %{indilib_version}
Requires:      indilib >= %{indilib_version}
%endif

Requires:      qt6-database-plugin-sqlite
Requires:      xplanet >= %{xplanet_version}
Recommends:    kstars-handbook

%description
KStars started as a Desktop Planetarium for KDE to become a full
Astronomical Software. It provides an accurate graphical simulation
of the night sky, from any location on Earth, at any date and
time. The display includes up to 100 million stars, 13,000 deep-sky
objects, all 8 planets, the Sun and Moon, and thousands of comets,
asteroids, supernovae, and satellites. For students and teachers, it
supports adjustable simulation speeds in order to view phenomena that
happen over long timescales, the KStars Astrocalculator to predict
conjunctions, and many common astronomical calculations. For the
amateur astronomer, it provides an observation planner, a sky calendar
tool, and an FOV editor to calculate field of view of equipment and
display them. Find out interesting objects in the "What's up Tonight"
tool, plot altitude vs. time graphs for any object, print high-quality
sky charts, and gain access to lots of information and resources to
help you explore the universe! Included with KStars is Ekos
astrophotography suite, a complete astrophotography solution that can
control all INDI devices including numerous telescopes, CCDs, DSLRs,
focusers, filters, and a lot more. Ekos supports highly accurate
tracking using online and offline astrometry solver, autofocus and
autoguiding capabilities, and capture of single or multiple images
using the powerful built in sequence manager.

%files -f %name.lang
%_kf6_bindir/kstars
%_kf6_datadir/kstars/
%_kf6_applicationsdir/*.desktop
%_kf6_metainfodir/org.kde.kstars.appdata.xml
%_kf6_datadir/config.kcfg/kstars.kcfg
%_kf6_iconsdir/*/*/*/*
%_kf6_knotificationsdir/kstars.notifyrc
%_kf6_datadir/sounds/KDE-KStars-Alert.ogg
%_kf6_datadir/sounds/KDE-KStars-Warning.ogg
%_kf6_datadir/sounds/KDE-KStars-FITS-Received.ogg
%_kf6_datadir/sounds/KDE-KStars-Finish-Success.ogg
%_kf6_datadir/sounds/KDE-KStars-Sys-App-Error-Serious.ogg
%_kf6_datadir/sounds/KDE-KStars-Sys-App-Message.ogg

#------------------------------------------------------------------------------

%package handbook
Summary:       KStars Handbook
Group:         Documentation
BuildArch:     noarch

%description handbook
This package provides KStars Handbook.

%files handbook
%doc README.md README.ephemerides README.customize
%doc README.images README.planetmath README.timekeeping AUTHORS
%_kf6_docdir/HTML/*/kstars/

#------------------------------------------------

%prep
%autosetup -p1

# installs into the wrong location
sed -i 's/${DATA_INSTALL_DIR}/${KSTARS_DATADIR}/'  kstars/data/fr/CMakeLists.txt
sed -i 's/${DATA_INSTALL_DIR}/${KSTARS_DATADIR}/'  kstars/data/nds/CMakeLists.txt

%build
%cmake_kf6 -DBUILD_QT5:BOOL=OFF
%cmake_build

%install
%cmake_install

%find_lang %{name}

## unpackaged files
rm -fv %{buildroot}%{_kf6_libdir}/libhtmesh.a
