#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Name:           kstatusnotifieritem
Version: 6.13.0
Release:        %mkrel %rel
Summary:        KDE Frameworks 6 Tier 2 implementation of Status Notifier Items
Group:          System/Base
License:        CC0-1.0 AND LGPL-2.0-or-later
URL:            https://invent.kde.org/frameworks/kstatusnotifieritem
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6LinguistTools)

BuildRequires:  cmake(KF6WindowSystem)

BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xkbcommon)

%description
KDE Frameworks 6 Tier 2 implementation of Status Notifier Items.

%files -f kstatusnotifieritem6_qt.lang
%_kf6_categoriesdir/kstatusnotifieritem.categories
%_kf6_datadir/dbus-1/interfaces/kf6_org.kde.StatusNotifierItem.xml
%_kf6_datadir/dbus-1/interfaces/kf6_org.kde.StatusNotifierWatcher.xml

#--------------------------------------------------------------------

%define statusnotifieritem_major 6
%define libkf6statusnotifieritem %mklibname kf6statusnotifieritem %{statusnotifieritem_major}

%package -n %libkf6statusnotifieritem
Summary:        KDE Frameworks 6 Tier 2 implementation of Status Notifier Items
Group:          System/Libraries
Requires:       %{name} >= %version-%release

%description -n %libkf6statusnotifieritem
KDE Frameworks 6 Tier 2 implementation of Status Notifier Items.

%files -n %libkf6statusnotifieritem
%_kf6_libdir/libKF6StatusNotifierItem.so.%{statusnotifieritem_major}
%_kf6_libdir/libKF6StatusNotifierItem.so.%{version}

#--------------------------------------------------------------------

%define kf6statusnotifieritem_devel %mklibname kf6statusnotifieritem -d

%package -n %kf6statusnotifieritem_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6statusnotifieritem = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6statusnotifieritem_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6statusnotifieritem_devel
%_kf6_includedir/KStatusNotifierItem/
%_kf6_libdir/cmake/KF6StatusNotifierItem/
%_kf6_libdir/libKF6StatusNotifierItem.so

#--------------------------------------------------------------------

%prep
%autosetup

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang_kf6 kstatusnotifieritem6_qt
