#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           ksudoku
Summary:        Play, create and solve sudoku grids
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Group:          Games/Puzzles
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://apps.kde.org/ksudoku/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6OpenGLWidgets)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6JobWidgets)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(KDEGames6)

BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)

Recommends:     ksudoku-handbook

%description
The word Sudoku means "single number in an allotted place" in Japanese. These
are the basic rules. Every sudoku Sudoku is a square of 81 cells divided into
9 columns and 9 rows and in 9 subsquares (3x3) of 9 cells each. Solving takes
usually from 10 to 30 minutes, depending on puzzle level, your skill and
experience.

Some cells are filled with a number at the beginning: the remaining are to
be filled by the player using numbers from 1 to 9, without repeating a number
twice on each column, row or subsquare (each of them must contain only
one 1, one 2, one 3, and so on). The game requires logic and patience.
The numerals in Sudoku puzzles are used for convenience (for example in 16x16
board we use letters): arithmetic relationships between numbers are irrelevant.

This program supports also 16x16 games with numbers from 1 to 16 and 256
cells with 16 cols, rows and subsquares! (if normal sudoku are not enough for
you).

More information at https://en.wikipedia.org/wiki/Sudoku

%files -f %{name}.lang
%license COPYING*
%doc README
%_kf6_sysconfdir/xdg/%{name}rc
%_kf6_bindir/%{name}
%_kf6_applicationsdir/org.kde.%{name}.desktop
%_kf6_metainfodir/org.kde.%{name}.appdata.xml
%_kf6_datadir/%{name}/
%_kf6_iconsdir/hicolor/*/*/*

#------------------------------------------------------------------------------

%package handbook
Summary:        ksudoku handbook
Group:          Documentation
BuildArch:      noarch
Requires:       ksudoku >= %{epoch}:%{version}-%{release}

%description handbook
This package provides the ksudoku handbook.

%files handbook
%_kf6_docdir/HTML/*/%{name}/

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}
