#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Name:           ksvg
Summary:        KDE Frameworks 6 Tier 3 components for handling SVGs
Version: 6.13.0
Release:        %mkrel %rel
Group:          System/Base
License:        CC0-1.0 AND GPL-2.0-or-later AND LGPL-2.0-or-later
URL:            https://invent.kde.org/frameworks/ksvg
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ColorScheme)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6KirigamiPlatform)

BuildRequires:  pkgconfig(xkbcommon)

%description
KDE Frameworks 6 Tier 3 components for handling SVGs.

%files
%license LICENSES/*
%_kf6_categoriesdir/ksvg.categories
%_kf6_qmldir/org/kde/ksvg/

#--------------------------------------------------------------------

%define kf6svg_major 6
%define libkf6svg %mklibname kf6svg %{kf6svg_major}

%package -n %libkf6svg
Summary:        KDE Frameworks 6 Tier 2 classes to read and interact with KColorScheme
Group:          System/Libraries
Requires:       %{name} >= %version-%release

%description -n %libkf6svg
KDE Frameworks 6 Tier 2 classes to read and interact with KColorScheme.

%files -n %libkf6svg
%license LICENSES/*
%_kf6_libdir/libKF6Svg.so.%{kf6svg_major}{,.*}

#--------------------------------------------------------------------

%define kf6svg_devel %mklibname kf6svg -d

%package -n %kf6svg_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6svg = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6svg_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6svg_devel
%_kf6_includedir/KSvg/
%_kf6_libdir/cmake/KF6Svg/
%_kf6_libdir/libKF6Svg.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
