#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        A plugin based system monitoring daemon
Name:           ksystemstats
Version: 6.3.4
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

## Upstream master branch patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core) >= 6.6
BuildRequires:  cmake(Qt6Gui) >= 6.6
BuildRequires:  cmake(Qt6Test) >= 6.6

BuildRequires:  cmake(KF6CoreAddons) >= 5.240.0
BuildRequires:  cmake(KF6DBusAddons) >= 5.240.0
BuildRequires:  cmake(KF6Solid) >= 5.240.0
BuildRequires:  cmake(KF6KIO) >= 5.240.0

BuildRequires:  cmake(KSysGuard)
BuildRequires:  cmake(KF6NetworkManagerQt) >= 5.240.0

BuildRequires:  pkgconfig(udev)
BuildRequires:  pkgconfig(libnl-route-3.0)
BuildRequires:  pkgconfig(libnl-3.0)

BuildRequires:  lm_sensors-devel

%description
A plugin based system monitoring daemon.

%files -f %{name}.lang
%_kf6_categoriesdir/ksystemstats.*categories
%_kf6_bindir/kstatsviewer
%_kf6_bindir/ksystemstats
%_systemd_util_dir/user/plasma-ksystemstats.service
%_qt6_plugindir/ksystemstats/*.so
%_kf6_datadir/dbus-1/services/org.kde.ksystemstats1.service

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name
