Summary:	A Kanji (Japanese character set) terminal emulator for X
Name:		kterm
Version:	6.2.0
Release:	%mkrel 41
License:	GPLv2
Group:		Terminals
Url:		https://www.asahi-net.or.jp/~hc3j-tkg/kterm/
Source:		ftp://ftp.sunet.se/pub/X11/R6contrib/applications/%{name}-%{version}.tar.bz2
Patch0:		kterm-6.2.0-kbd.patch.bz2
Patch1:		kterm-6.2.0-glibc.patch.bz2
Patch2:		kterm-6.2.0-utmp98.patch.bz2
#Patch3:	kterm-6.2.0-hanzi.patch.bz2
Patch4:		kterm-6.2.0-allfonts.patch.bz2
Patch5:		kterm-6.2.0-gcc3.4-fix.patch.bz2
Patch6:		kterm-6.2.0-varargs.patch.bz2

BuildRequires:	imake
BuildRequires:	pkgconfig(xaw7)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	rman
BuildRequires:	sharutils
BuildRequires:	utempter-devel
Requires:	utempter locales-ja

%description
The kterm package provides a terminal emulator for the Kanji Japanese
character set.

Install kterm if you need a Kanji character set terminal emulator.
You'll also need to have the X Window System installed.

%prep
%setup -q
%patch -P 0 -p1 -b .kbd
%patch -P 1 -p1 -b .glibc
%patch -P 2 -p1 -b .utempter
#%patch -P 3 -p1 -b .hanzi
%patch -P 4 -p1 -b .allfonts
%patch -P 5 -p1 -b .gcc34
%patch -P 6 -p1 -b .varargs
uudecode DEMO.kt.uu

%build
xmkmf
%make_build CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
%make_install install.man MANPATH=/usr/share/man
chmod 755 %{buildroot}%{_bindir}/kterm

# install menu
install -m 755 -d %{buildroot}%{_datadir}/applications

cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=KTerm
Comment=Kanji Terminal Emulator
Exec=%{_bindir}/%{name}
Icon=terminals_section
Terminal=false
Type=Application
Categories=TerminalEmulator;System;Utility;
EOF

# install japanese man page
cat kterm.jman | iconv -f iso-2022-jp -t euc-jp > kterm.man.euc
install -m644 kterm.man.euc -D %{buildroot}%{_mandir}/ja/man1/kterm.1

#(peroyvind) remove unpackaged files
rm -f %{buildroot}/usr/lib/X11/app-defaults

%post
update-alternatives --install %{_prefix}/bin/xvt xvt %{_prefix}/bin/kterm 15

%postun
if [ "$1" = "0" ]; then
    update-alternatives --remove xvt %{_prefix}/bin/kterm
fi

%files
%doc DEMO.kt README*
%{_bindir}/kterm
%{_datadir}/X11/app-defaults/KTerm
%{_mandir}/man1/kterm.1x*
#{_prefix}/X11R6/lib/X11/doc/html/kterm.1.html
%lang(ja) %{_mandir}/ja/man1/kterm.1*
%{_datadir}/applications/mageia-%{name}.desktop
