#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%ifarch %{arm} %{ix86} aarch64
%bcond_with docs
%else
%bcond_without docs
%endif

%define rel 1

Name:           ktextaddons
Version:        1.5.4
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        LGPLv3
Summary:        Various text handling addons
Url:            https://invent.kde.org/libraries/ktextaddons
Source0:        https://download.kde.org/stable/ktextaddons/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros
BuildRequires:  doxygen

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Sonnet)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6SyntaxHighlighting)

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6TextToSpeech)
BuildRequires:  cmake(Qt6ToolsTools)
BuildRequires:  cmake(Qt6UiPlugin)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Keychain)

%description
Various text handling addons for the KDE dekstop.
WWW: https://invent.kde.org/libraries/ktextaddons

%files -f %{name}.lang
%doc README.md
%license LICENSES/
%{_kf6_categoriesdir}/ktextaddons.categories
%{_kf6_categoriesdir}/ktextaddons.renamecategories
%{_kf6_plugindir}/translator/
%{_qt6_plugindir}/designer/textcustomeditor.so
%{_qt6_plugindir}/designer/texttranslatorwidgets6.so

#--------------------------------------------------------------------

%define kf6textaddonswidgets_major 1
%define libkf6textaddonswidgets %mklibname kf6textaddonswidgets %{kf6textaddonswidgets_major}

%package -n %libkf6textaddonswidgets
Summary:        Ktextaddons Text Addons Widget library
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %libkf6textaddonswidgets
Ktextaddons Text Addons Widget component library.

%files -n %libkf6textaddonswidgets
%{_kf6_libdir}/libKF6TextAddonsWidgets.so.%{kf6textaddonswidgets_major}{,.*}

#--------------------------------------------------------------------

%define kf6textautocorrectioncore_major 1
%define libkf6textautocorrectioncore %mklibname kf6textautocorrectioncore %{kf6textautocorrectioncore_major}

%package -n %libkf6textautocorrectioncore
Summary:        Ktextaddons Text Auto Correction Core library
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %libkf6textautocorrectioncore
Ktextaddons Text Auto Correction Core component library.

%files -n %libkf6textautocorrectioncore
%{_kf6_libdir}/libKF6TextAutoCorrectionCore.so.%{kf6textautocorrectioncore_major}{,.*}

#--------------------------------------------------------------------

%define kf6textautocorrectionwidgets_major 1
%define libkf6textautocorrectionwidgets %mklibname kf6textautocorrectionwidgets %{kf6textautocorrectionwidgets_major}

%package -n %libkf6textautocorrectionwidgets
Summary:        Ktextaddons Text Auto Correction Widgets library
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %libkf6textautocorrectionwidgets
Ktextaddons Text Auto Correction Widgets component library.

%files -n %libkf6textautocorrectionwidgets
%{_kf6_libdir}/libKF6TextAutoCorrectionWidgets.so.%{kf6textautocorrectionwidgets_major}{,.*}

#--------------------------------------------------------------------

%define kf6textcustomeditor_major 1
%define libkf6textcustomeditor %mklibname kf6textcustomeditor %{kf6textcustomeditor_major}

%package -n %libkf6textcustomeditor
Summary:        Ktextaddons Text Custom Editor library
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %libkf6textcustomeditor
Ktextaddons Text Custom Editor component library.

%files -n %libkf6textcustomeditor
%{_kf6_libdir}/libKF6TextCustomEditor.so.%{kf6textcustomeditor_major}{,.*}

#--------------------------------------------------------------------

%define kf6textedittexttospeech_major 1
%define libkf6textedittexttospeech %mklibname kf6textedittexttospeech %{kf6textedittexttospeech_major}

%package -n %libkf6textedittexttospeech
Summary:        Ktextaddons Text Edit Text To Speech library
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %libkf6textedittexttospeech
Ktextaddons Text Edit Text To Speech component library.

%files -n %libkf6textedittexttospeech
%{_kf6_libdir}/libKF6TextEditTextToSpeech.so.%{kf6textedittexttospeech_major}{,.*}

#--------------------------------------------------------------------

%define kf6textemoticonscore_major 1
%define libkf6textemoticonscore %mklibname kf6textemoticonscore %{kf6textemoticonscore_major}

%package -n %libkf6textemoticonscore
Summary:        Ktextaddons Text Emoticons Core library
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %libkf6textemoticonscore
Ktextaddons Text Emoticons Core component library.

%files -n %libkf6textemoticonscore
%{_kf6_libdir}/libKF6TextEmoticonsCore.so.%{kf6textemoticonscore_major}{,.*}

#--------------------------------------------------------------------

%define kf6textemoticonswidgets_major 1
%define libkf6textemoticonswidgets %mklibname kf6textemoticonswidgets %{kf6textemoticonswidgets_major}

%package -n %libkf6textemoticonswidgets
Summary:        Ktextaddons Text Emoticons Widgets library
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %libkf6textemoticonswidgets
Ktextaddons Text Emoticons Widgets component library.

%files -n %libkf6textemoticonswidgets
%{_kf6_libdir}/libKF6TextEmoticonsWidgets.so.%{kf6textemoticonswidgets_major}{,.*}

#--------------------------------------------------------------------

%define kf6textgrammarcheck_major 1
%define libkf6textgrammarcheck %mklibname kf6textgrammarcheck %{kf6textgrammarcheck_major}

%package -n %libkf6textgrammarcheck
Summary:        Ktextaddons Text Grammar Check library
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %libkf6textgrammarcheck
Ktextaddons Text Grammar Check component library.

%files -n %libkf6textgrammarcheck
%{_kf6_libdir}/libKF6TextGrammarCheck.so.%{kf6textgrammarcheck_major}{,.*}

#--------------------------------------------------------------------

%define kf6texttranslator_major 1
%define libkf6texttranslator %mklibname kf6texttranslator %{kf6texttranslator_major}

%package -n %libkf6texttranslator
Summary:        Ktextaddons Text Translator library
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %libkf6texttranslator
Ktextaddons Text Translator component library.

%files -n %libkf6texttranslator
%{_kf6_libdir}/libKF6TextTranslator.so.%{kf6texttranslator_major}{,.*}

#--------------------------------------------------------------------

%define kf6textutils_major 1
%define libkf6textutils %mklibname kf6textutils %{kf6textutils_major}

%package -n %libkf6textutils
Summary:        Ktextaddons Text Utils library
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %libkf6textutils
Ktextaddons Text Utils component library.

%files -n %libkf6textutils
%{_kf6_libdir}/libKF6TextUtils.so.%{kf6textutils_major}{,.*}

#--------------------------------------------------------------------

%define libktextaddons_dev %mklibname kf6textaddons -d

%package -n     %{libktextaddons_dev}
Summary:        Development files for %{name}
Group:          Development/KDE and Qt
Requires:       %{libkf6textaddonswidgets} = %{version}-%{release}
Requires:       %{libkf6textautocorrectioncore} = %{version}-%{release}
Requires:       %{libkf6textautocorrectionwidgets} = %{version}-%{release}
Requires:       %libkf6textcustomeditor = %{version}-%{release}
Requires:       %{libkf6textedittexttospeech} = %{version}-%{release}
Requires:       %{libkf6textemoticonscore} = %{version}-%{release}
Requires:       %{libkf6textemoticonswidgets} = %{version}-%{release}
Requires:       %{libkf6textgrammarcheck} = %{version}-%{release}
Requires:       %{libkf6texttranslator} = %{version}-%{release}
Requires:       %libkf6textutils = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       kf6textaddons-devel = %{version}-%{release}

%description -n %{libktextaddons_dev}
This package contains header files needed if you wish to build
applications based on %{name}.

%files -n %{libktextaddons_dev}
%{_kf6_includedir}/TextAddonsWidgets/
%{_kf6_libdir}/libKF6TextAddonsWidgets.so
%{_kf6_libdir}/cmake/KF6TextAddonsWidgets/
#
%{_kf6_includedir}/TextAutoCorrectionCore/
%{_kf6_libdir}/libKF6TextAutoCorrectionCore.so
%{_kf6_libdir}/cmake/KF6TextAutoCorrectionCore/
#
%{_kf6_includedir}/TextAutoCorrectionWidgets/
%{_kf6_libdir}/libKF6TextAutoCorrectionWidgets.so
%{_kf6_libdir}/cmake/KF6TextAutoCorrectionWidgets/
#
%{_kf6_includedir}/TextCustomEditor/
%{_kf6_libdir}/libKF6TextCustomEditor.so
%{_kf6_libdir}/cmake/KF6TextCustomEditor/
#
%{_kf6_includedir}/TextEditTextToSpeech/
%{_kf6_libdir}/libKF6TextEditTextToSpeech.so
%{_kf6_libdir}/cmake/KF6TextEditTextToSpeech/
#
%{_kf6_includedir}/TextEmoticonsCore/
%{_kf6_libdir}/libKF6TextEmoticonsCore.so
%{_kf6_libdir}/cmake/KF6TextEmoticonsCore/
#
%{_kf6_includedir}/TextEmoticonsWidgets/
%{_kf6_libdir}/libKF6TextEmoticonsWidgets.so
%{_kf6_libdir}/cmake/KF6TextEmoticonsWidgets/
#
%{_kf6_includedir}/TextGrammarCheck/
%{_kf6_libdir}/libKF6TextGrammarCheck.so
%{_kf6_libdir}/cmake/KF6TextGrammarCheck/
#
%{_kf6_includedir}/TextTranslator/
%{_kf6_libdir}/libKF6TextTranslator.so
%{_kf6_libdir}/cmake/KF6TextTranslator/
#
%{_kf6_includedir}/TextUtils/
%{_kf6_libdir}/libKF6TextUtils.so
%{_kf6_libdir}/cmake/KF6TextUtils/

#--------------------------------------------------------------------

%if %{with docs}
%package        doc
Summary:        Ktextaddons APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools6
BuildRequires:  cmake(Qt6Help)
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools6-assistant
Recommends:     qttools6-assistant

%description doc
Documentation for APIs and tools in Ktextaddons package for
use with Qt Assistant.

%files doc
%{_qt6_docdir}/KF6TextAddonsWidgets.qch
%{_qt6_docdir}/KF6TextAddonsWidgets.tags
%{_qt6_docdir}/KF6TextAutoCorrectionCore.qch
%{_qt6_docdir}/KF6TextAutoCorrectionCore.tags
%{_qt6_docdir}/KF6TextAutoCorrectionWidgets.qch
%{_qt6_docdir}/KF6TextAutoCorrectionWidgets.tags
%{_qt6_docdir}/KF6TextCustomEditor.qch
%{_qt6_docdir}/KF6TextCustomEditor.tags
%{_qt6_docdir}/KF6TextEditTextToSpeech.qch
%{_qt6_docdir}/KF6TextEditTextToSpeech.tags
%{_qt6_docdir}/KF6TextEmoticonsCore.qch
%{_qt6_docdir}/KF6TextEmoticonsCore.tags
%{_qt6_docdir}/KF6TextEmoticonsWidgets.qch
%{_qt6_docdir}/KF6TextEmoticonsWidgets.tags
%{_qt6_docdir}/KF6TextGrammarCheck.qch
%{_qt6_docdir}/KF6TextGrammarCheck.tags
%{_qt6_docdir}/KF6TextTranslator.qch
%{_qt6_docdir}/KF6TextTranslator.tags
%{_qt6_docdir}/KF6TextUtils.qch
%{_qt6_docdir}/KF6TextUtils.tags
%endif

#--------------------------------------------------------------------

%prep
%autosetup

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON \
           %{?with_docs:-DBUILD_QCH:BOOL=ON}
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name
