#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define min_version %(echo %{version}|cut -d. -f1,2)

%define rel 1
%define framework ktexteditor

Summary:        KDE Frameworks 6 Tier 3 with advanced embeddable text editor
Epoch:          2
Name:           %{framework}
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6TextToSpeech)

BuildRequires:  cmake(KF6Archive) >= %min_version
BuildRequires:  cmake(KF6Config) >= %min_version
BuildRequires:  cmake(KF6GuiAddons) >= %min_version
BuildRequires:  cmake(KF6I18n) >= %min_version
BuildRequires:  cmake(KF6KIO) >= %min_version
BuildRequires:  cmake(KF6Parts) >= %min_version
BuildRequires:  cmake(KF6Sonnet) >= %min_version
BuildRequires:  cmake(KF6SyntaxHighlighting) >= %min_version
BuildRequires:  cmake(KF6WindowSystem) >= %min_version
BuildRequires:  cmake(KF6TextWidgets) >= %min_version

# OPTIONAL packages
BuildRequires:  cmake(KF6Auth)
BuildRequires:  pkgconfig(libgit2)
BuildRequires:  editorconfig-devel

%description
KDE Frameworks 6 Tier 3 with advanced embeddable text editor.

%files -f ktexteditor6.lang
%{_kf6_categoriesdir}/ktexteditor.*categories
%{_kf6_bindir}/ktexteditor-script-tester6
%{_kf6_plugindir}/parts/katepart.so
%{_kf6_datadir}/dbus-1/system.d/org.kde.ktexteditor6.katetextbuffer.conf
%{_kf6_libexecdir}/kauth/kauth_ktexteditor_helper
%{_kf6_datadir}/dbus-1/system-services/org.kde.ktexteditor6.katetextbuffer.service
%{_kf6_datadir}/polkit-1/actions/org.kde.ktexteditor6.katetextbuffer.policy
%{_kf6_datadir}/kdevappwizard/templates/ktexteditor6-plugin.tar.bz2

#--------------------------------------------------------------------

%define kf6texteditor_major 6
%define libkf6texteditor %mklibname kf6texteditor %{kf6texteditor_major}

%package -n %libkf6texteditor
Summary:        KDE Frameworks 6 Tier 3 with advanced embeddable text editor
Group:          System/Libraries

%description -n %libkf6texteditor
KDE Frameworks 6 Tier 3 with advanced embeddable text editor.

%files -n %libkf6texteditor
%{_kf6_libdir}/libKF6TextEditor.so.%{kf6texteditor_major}
%{_kf6_libdir}/libKF6TextEditor.so.%{version}

#--------------------------------------------------------------------

%define kf6texteditor_devel %mklibname kf6texteditor -d

%package -n %kf6texteditor_devel
Summary:        Devel stuff for %framework
Group:          Development/KDE and Qt
Requires:       %libkf6texteditor = %epoch:%version-%release
Requires:       %name = %epoch:%version-%release
Provides:       %framework-devel = %epoch:%{version}-%{release}

%description -n %kf6texteditor_devel
This package contains header files needed if you wish to build applications
based on %framework.

%files -n %kf6texteditor_devel
%{_kf6_libdir}/libKF6TextEditor.so
%{_kf6_libdir}/cmake/KF6TextEditor/
%{_kf6_includedir}/KTextEditor/

#--------------------------------------------------------------------

%prep
%setup -q -n %framework-%version

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{framework}6

