#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Name:           ktexttemplate
Version: 6.13.0
Release:        %mkrel %rel
Summary:        Separates the structure of documents from their data
Group:          System/Base
License:        CC0-1.0 AND LGPL-2.0-or-later AND LGPL-2.1-or-later
URL:            https://invent.kde.org/frameworks/ktexttemplate
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Test)

%description
The goal of KTextTemplate is to make it easier for application developers to
separate the structure of documents from the data they contain, opening the door
for theming and advanced generation of other text such as code.

%files
%license LICENSES/*.txt
%_kf6_categoriesdir/ktexttemplate.categories
%_kf6_plugindir/ktexttemplate/

#--------------------------------------------------------------------

%define kf6texttemplate_major 6
%define libkf6texttemplate %mklibname kf6texttemplate %{kf6texttemplate_major}

%package -n %libkf6texttemplate
Summary:        KDE Frameworks 6 Tier 1 separates the structure of documents from their data
Group:          System/Libraries
Requires:       %{name} >= %version-%release

%description -n %libkf6texttemplate
KDE Frameworks 6 Tier 1 separates the structure of documents from their data.

%files -n %libkf6texttemplate
%license LICENSES/*
%_kf6_libdir/libKF6TextTemplate.so.%{kf6texttemplate_major}
%_kf6_libdir/libKF6TextTemplate.so.%{version}

#--------------------------------------------------------------------

%define kf6texttemplate_devel %mklibname kf6texttemplate -d

%package -n %kf6texttemplate_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6texttemplate = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6texttemplate_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6texttemplate_devel
%_kf6_includedir/KTextTemplate/
%_kf6_libdir/cmake/KF6TextTemplate/
%_kf6_libdir/libKF6TextTemplate.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
