#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 3 addon with text widgets
Name:           ktextwidgets
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6TextToSpeech)
BuildRequires:  cmake(Qt6UiPlugin)

BuildRequires:  cmake(KF6Config) >= %version
BuildRequires:  cmake(KF6CoreAddons) >= %version
BuildRequires:  cmake(KF6Auth) >= %version
BuildRequires:  cmake(KF6Codecs) >= %version
BuildRequires:  cmake(KF6GuiAddons) >= %version
BuildRequires:  cmake(KF6ConfigWidgets) >= %version
BuildRequires:  cmake(KF6I18n) >= %version
BuildRequires:  cmake(KF6ItemViews) >= %version
BuildRequires:  cmake(KF6IconThemes) >= %version
BuildRequires:  cmake(KF6DBusAddons) >= %version
BuildRequires:  cmake(KF6Service) >= %version
BuildRequires:  cmake(KF6WidgetsAddons) >= %version
BuildRequires:  cmake(KF6WindowSystem) >= %version
BuildRequires:  cmake(KF6Completion) >= %version
BuildRequires:  cmake(KF6Sonnet) >= %version

%description
KDE Frameworks 6 Tier 3 addon with text widgets.

%files -f %{name}6.lang
%_qt6_plugindir/designer/*.so

#--------------------------------------------------------------------

%define kf6textwidgets_major 6
%define libkf6textwidgets %mklibname kf6textwidgets %{kf6textwidgets_major}

%package -n %libkf6textwidgets
Summary:        KDE Frameworks 6 Tier 3 addon with text widgets
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf6textwidgets
KDE Frameworks 6 Tier 3 addon with text widgets.

%files -n %libkf6textwidgets
%_kf6_libdir/libKF6TextWidgets.so.%{kf6textwidgets_major}{,.*}
%_kf6_libdir/libKF6TextWidgets.so.%{version}

#--------------------------------------------------------------------

%define kf6textwidgets_devel %mklibname kf6textwidgets -d

%package -n %kf6textwidgets_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6textwidgets = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6textwidgets_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6textwidgets_devel
%_kf6_includedir/KTextWidgets/
%_kf6_libdir/cmake/KF6TextWidgets/
%_kf6_libdir/*.so

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{name}6

