#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           ktimer
Summary:        KDE countdown launcher
Version: 25.04.0
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://apps.kde.org/ktimer/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6StatusNotifierItem)
BuildRequires:  cmake(KF6DocTools)

Recommends:     ktimer-handbook


%description
KTimer is a little tool to execute programs after some time. It allows you to
enter several tasks and to set a timer for each of them. The timers for each
task can be started, stopped, changed, or looped.

%files -f %name.lang
%_kf6_bindir/ktimer
%_kf6_iconsdir/*/*/apps/ktimer.*
%_kf6_applicationsdir/*.desktop
%_kf6_metainfodir/org.kde.ktimer.appdata.xml

#------------------------------------------------------------------------------

%package -n ktimer-handbook
Summary:        Ktimer handbook
Group:          Documentation
BuildArch:      noarch

%description -n ktimer-handbook
KTimer is a little tool to execute programs after some time. It allows you to
enter several tasks and to set a timer for each of them. The timers for each
task can be started, stopped, changed, or looped.

This package provides ktimer Handbook.

%files -n ktimer-handbook
%license LICENSES/*
%docdir %_kf6_docdir
%_kf6_docdir/HTML/*/ktimer/

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
