Name:		ktimetracker
Version:	5.0.1
Release:	%mkrel 3
Summary:	Todo management and time tracker
License:	GPLv2+
Group:		Office/Utilities
Url:		https://userbase.kde.org/KTimeTracker
Source0:	https://download.kde.org/stable/ktimetracker/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	kf5-macros
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)

BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5ConfigWidgets)
BuildRequires:	cmake(KF5DBusAddons)
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5IdleTime)
BuildRequires:	cmake(KF5JobWidgets)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5Notifications)
BuildRequires:	cmake(KF5WindowSystem)
BuildRequires:	cmake(KF5TextWidgets)
BuildRequires:	cmake(KF5CalendarCore)

Recommends:	%{name}-handbook

%description
KTimeTracker tracks time spent on various tasks. It is useful for tracking
hours to be billed to different clients or just to find out what percentage
of your day is spent playing Doom or reading Slashdot.

KTimeTracker was originally written by Sirtaj Singh Kang and named KArm.
The word "karm" means "work" in the author's native Punjabi.

KTimeTracker was inspired by Harald Tveit Alvestrand's very useful utility
called titrax; we added some eyecandy and functionality like subtasks.

%files -f %{name}.lang
%doc ChangeLog.md README
%license COPYING*
%{_kf5_bindir}/%{name}
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_datadir}/dbus-1/interfaces/org.kde.%{name}.%{name}.xml
%{_kf5_iconsdir}/hicolor/*/*/*
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml

#--------------------------------------------------------------------

%package	handbook
Summary:	KTimeTracker Handbook
Group:		Documentation
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}

%description	handbook
This package provides KTimeTracker handbook.

%files handbook
%{_kf5_docdir}/HTML/*/ktimetracker/

#--------------------------------------------------------------------

%prep
%autosetup

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang %{name}
