#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        KTNEF - an API for handling TNEF data
Name:           ktnef
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6CalendarCore)
BuildRequires:  cmake(KPim6CalendarUtils) >= 5.240
BuildRequires:  cmake(KF6Contacts)
BuildRequires:  cmake(KF6I18n)

BuildRequires:  pkgconfig(libsasl2)

%description
KTNEF - an API for handling TNEF data.

#------------------------------------------------------------------------------

%package -n %name-common
Summary:        Common files for %name
Group:          System/Libraries

%description -n %name-common
Common files for %name.

%files -n %name-common -f %name.lang
%_kf6_categoriesdir/ktnef.categories
%_kf6_categoriesdir/ktnef.renamecategories

#------------------------------------------------------------------------------

%define ktnef_major 6
%define libktnef %mklibname kpim6tnef %{ktnef_major}

%package -n %libktnef
Summary:        KTNEF - an API for handling TNEF data
Group:          System/Libraries
Requires:       %name-common >= %version-%release

%description -n %libktnef
KTNEF - an API for handling TNEF data.

%files -n %libktnef
%_kf6_libdir/libKPim6Tnef.so.%{ktnef_major}{,.*}

#--------------------------------------------------------------------

%define ktnef_devel %mklibname kpim6tnef -d

%package -n %ktnef_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libktnef = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %ktnef_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %ktnef_devel
%_includedir/KPim6/KTNEF/
%_kf6_libdir/*.so
%_kf6_libdir/cmake/KPim6Tnef/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name

