%define major     1
%define libname   %mklibname %name %major
%define develname %mklibname %name -d

Name:           ktoblzcheck
Summary:        A library to check account numbers and bank codes of German banks
Version:        1.57
Release:        %mkrel 2
Group:          System/Libraries
License:        LGPLv2+
URL:            https://ktoblzcheck.sourceforge.net
Source0:        https://downloads.sourceforge.net/ktoblzcheck/%{name}-%{version}.tar.gz
Source1:        https://downloads.sourceforge.net/ktoblzcheck/ktoblzcheck-data-20240105.tar.tgz
# https://sourceforge.net/p/ktoblzcheck/bugs/23/ (author Micha Lenk)
Patch:          ktoblzcheck-fix-no-network-access.patch

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(openpyxl)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(libcurl)

%description 
KtoBLZCheck is a library to check account numbers and bank codes of
German banks. Both a library for other programs as well as a short
command-line tool is available. It is possible to check pairs of
account numbers and bank codes (BLZ) of German banks, and to map bank
codes (BLZ) to the clear-text name and location of the bank.

%package -n     python3-%name
Group:          Development/Python
Summary:        A library to check account numbers and bank codes of German banks
Requires:       %name = %version

Provides:       python-%name = %version-%release

%description -n python3-%name
KtoBLZCheck is a library to check account numbers and bank codes of
German banks. Both a library for other programs as well as a short
command-line tool is available. It is possible to check pairs of
account numbers and bank codes (BLZ) of German banks, and to map bank
codes (BLZ) to the clear-text name and location of the bank.


%package -n     %libname
Group:          System/Libraries
Summary:        A library to check account numbers and bank codes of German banks
Requires:       %name >= %version

%description -n %libname
KtoBLZCheck is a library to check account numbers and bank codes of
German banks. Both a library for other programs as well as a short
command-line tool is available. It is possible to check pairs of
account numbers and bank codes (BLZ) of German banks, and to map bank
codes (BLZ) to the clear-text name and location of the bank.

%package -n	%develname
Group:          Development/C++
Summary:        A library to check account numbers and bank codes of German banks
Requires:       %libname = %version
Provides:       lib%name-devel = %version-%release

%description -n %develname
KtoBLZCheck is a library to check account numbers and bank codes of
German banks. Both a library for other programs as well as a short
command-line tool is available. It is possible to check pairs of
account numbers and bank codes (BLZ) of German banks, and to map bank
codes (BLZ) to the clear-text name and location of the bank.

%prep
%autosetup -p1 -a1
mv sepa* src/bankdata/sepa/
mv *.db src/bankdata/
mv blz*.txt src/bankdata/
mv *data* src/bankdata/

%build
%cmake -DENABLE_BANKDATA_DOWNLOAD=OFF \
       -DINSTALL_RAW_BANKDATA_FILE=ON
%cmake_build

%install
%cmake_install

%files -n %libname
%license COPYING
%{_libdir}/libktoblzcheck.so.%{major}{,.*}

%files -n %develname
%doc README.md
%{_libdir}/libktoblzcheck.so
%{_includedir}/iban.h
%{_includedir}/ktoblzcheck*.h
%{_libdir}/pkgconfig/ktoblzcheck.pc
%{_libdir}/cmake/KtoBlzCheck/

%files -n python3-%name
%doc README.md
%{python3_sitearch}/*.py*
%{python3_sitearch}/__pycache__/*

%files
%doc README.md ChangeLog NEWS
%doc %{_docdir}/%{name}/
%license COPYING
%{_bindir}/ktoblzcheck
%{_bindir}/ktoblzupdate
%{_bindir}/ibanchk
%{_datadir}/ktoblzcheck/*
%{_mandir}/man1/ktoblzcheck.1*
%{_mandir}/man1/ibanchk.1*
