#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

# Turn off the brp-python-bytecompile automagic
%global _python_bytecompile_extra 0

Name:           ktorrent
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        BitTorrent application by KDE
Group:          Networking/File transfer
License:        GPLv2+
Url:            https://www.kde.org/applications/internet/ktorrent/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
## upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
%ifarch aarch64 x86_64
BuildRequires:  cmake(Qt6WebEngineWidgets)
%endif

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6GlobalAccel)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6NotifyConfig)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6Solid)
BuildRequires:  cmake(KF6StatusNotifierItem)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  cmake(KTorrent6)

BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6ItemViews)
BuildRequires:  cmake(KF6Plotting)
BuildRequires:  cmake(KF6Syndication)
BuildRequires:  cmake(KF6DNSSD)
BuildRequires:  cmake(KF6Completion)
BuildRequires:  pkgconfig(taglib)
BuildRequires:  cmake(Phonon4Qt6)
BuildRequires:  pkgconfig(libmaxminddb)
BuildRequires:  pkgconfig(geoip)
BuildRequires:  pkgconfig(gmp)
BuildRequires:  boost-devel
BuildRequires:  git-core

# To avoid warnings on startup on other DEs than Plasma
Requires:       kio

%description
KTorrent is a BitTorrent application by KDE which allows you to download files
using the BitTorrent protocol. It enables you to run multiple torrents at the
same time and comes with extended features to make it a full-featured client
for BitTorrent. Its main features are:

  o Queuing of torrents.
  o Global and per torrent speed limits.
  o Previewing of certain file types, build in (video and audio).
  o Importing of partially or fully downloaded files.
  o File prioritization for multi-file torrents.
  o Selective downloading for multi-file torrents.
  o Kick/ban peers with an additional IP Filter dialog for list/edit purposes.
  o UDP tracker support.
  o Support for private trackers and torrents.
  o Support for µTorrent's peer exchange.
  o Support for protocol encryption (compatible with Azureus).
  o Support for creating trackerless torrents.
  o Support for distributed hash tables (DHT, the Mainline version).
  o Support for UPnP to automatically forward ports on a LAN with dynamic
    assigned hosts.
  o Support for webseeds.
  o Scripting support via Kross and interprocess control via D-Bus interface.
  o System tray integration.
  o Tracker authentication support.
  o Connection though a proxy.
  o Scripting support via Kross and interprocess control via DBus interface.
  o In addition to the built-in functionality, there are some plugins
    available for KTorrent.

%files -f %{name}.lang
%doc ChangeLog
%{_kf6_bindir}/*
%{_qt6_plugindir}/ktorrent_plugins/
%ifarch aarch64 x86_64
%{_kf6_datadir}/%{name}/
%endif
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_knotificationsdir}/%{name}.notifyrc
%{_kf6_datadir}/kxmlgui5/ktorrent/
%{_kf6_iconsdir}/*/*/*/*

#-------------------------------------------------------------------------

%define ktcore_major 16
%define libktcore %mklibname ktcore %{ktcore_major}

%package -n     %{libktcore}
Summary:        Ktorrent library
Group:          System/Libraries

%description -n %{libktcore}
KTorrent library.

%files -n %{libktcore}
%{_kf6_libdir}/libktcore.so.%{ktcore_major}{,.*}

#-------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DLibGMP_INCLUDE_DIRS=%{multiarch_includedir}

%cmake_build

%install
%cmake_install

# make it preferred over kget:
echo "InitialPreference=5" >> %{buildroot}%{_kf6_applicationsdir}/org.kde.ktorrent.desktop

%find_lang %{name} --with-html
