#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           ktouch
Summary:        A program for learning touch typing
Version: 25.04.0
Release:        %mkrel %{rel}
Group:          Education
License:        GPLv2 and GFDL
URL:            https://apps.kde.org/ktouch/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# Branch patches 100->200

# Trunk patches 200->300

# Mageia patches 500->600

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5QuickControls2)
BuildRequires:  pkgconfig(Qt5QuickWidgets)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5XmlPatterns)

BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5IconThemes)

BuildRequires:  pkgconfig(xkbfile)

# qml org.kde.charts
BuildRequires:  cmake(KQtQuickCharts)
Requires:       kqtquickcharts

Recommends:     ktouch-handbook


%description
KTouch is a program for learning touch typing. KTouch is a way to learn
to type on a keyboard quickly and correctly. Every finger has its place
on the keyboard with associated keys to press.

KTouch helps you learn to touch typing by providing you with something
to write. KTouch can also help you to remember what fingers to use.

%files -f %name.lang
%_kf5_bindir/%{name}
%_kf5_datadir/%{name}/
%_kf5_iconsdir/hicolor/*/apps/%{name}.*
%_kf5_applicationsdir/org.kde.%{name}.desktop
%_kf5_metainfodir/org.kde.%{name}.appdata.xml
%_kf5_datadir/config.kcfg/%{name}.kcfg
%_kf5_mandir/man1/%{name}.1.*
%_kf5_mandir/*/man1/ktouch.1.*

#------------------------------------------------------------------------------

%package handbook
Summary:        Ktouch handbook
Group:          Documentation
BuildArch:      noarch
Requires:       ktouch >= %{version}

%description handbook
This package provides ktouch handbook.

%files handbook
%doc %_kf5_docdir/HTML/*/%{name}/

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %name
