#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           ktrip
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Public transport assistant targeted towards mobile Linux and Android
License:        GPLv2+
Group:          Graphical desktop/KDE
Url:            https://apps.kde.org/ktrip/
Source:         https://download.kde.org/stable/release-service//%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6QQC2DesktopStyle)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KPublicTransport)
BuildRequires:  cmake(KF6KirigamiAddons)

BuildRequires:  kirigami-addons
BuildRequires:  reuse
BuildRequires:  pkgconfig(zlib)

# Breeze is used as the fallback icon theme
Requires:       breeze-icons
# QML imports
Requires:       kpublictransport
Requires:       kirigami-addons

%description
KTrip is a public transport assistant targeted towards mobile Linux and
Android. It allows to query journeys for a wide range of countries/public
transport providers by leveraging KPublicTransport.

%files -f %{name}.lang
%doc README.md
%license LICENSES/*
%{_kf6_bindir}/%{name}
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_iconsdir}/hicolor/*/apps/org.kde.%{name}.*
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml

#------------------------------------------------------------------------------

%prep
%autosetup

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}
