#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:          ktuberling
Epoch:         1
Version: 25.04.0
Release:       %mkrel %{rel}
Summary:       KTuberling: "potato editor" game
License:       GPLv2 and LGPLv2 and GFDL
Group:         Games/Other
URL:           https://apps.kde.org/ktuberling/
Source:        https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

BuildRequires: kf6-rpm-macros

BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: cmake(Qt6Network)
BuildRequires: cmake(Qt6Svg)
BuildRequires: cmake(Qt6SvgWidgets)
BuildRequires: cmake(Qt6Test)
BuildRequires: cmake(Qt6PrintSupport)
BuildRequires: cmake(Qt6Xml)
BuildRequires: cmake(Qt6Multimedia)

BuildRequires: cmake(KF6Config)
BuildRequires: cmake(KF6I18n)
BuildRequires: cmake(KF6Completion)
BuildRequires: cmake(KF6ConfigWidgets)
BuildRequires: cmake(KF6CoreAddons)
BuildRequires: cmake(KF6Crash)
BuildRequires: cmake(KF6DBusAddons)
BuildRequires: cmake(KF6KIO)
BuildRequires: cmake(KF6DocTools)
BuildRequires: cmake(KF6WidgetsAddons)
BuildRequires: cmake(KF6XmlGui)

BuildRequires: cmake(KDEGames6)

Recommends:    ktuberling-handbook


%description
KTuberling is a "potato editor" game intended for small
children and adults who remain young at heart. The game
has no winner; the only purpose is to make the funniest
faces you can.

%files -f %name.lang
%_kf6_categoriesdir/ktuberling.*categories
%_kf6_bindir/ktuberling
%_kf6_applicationsdir/*.desktop
%_kf6_metainfodir/org.kde.ktuberling.appdata.xml
%_kf6_datadir/ktuberling
%_kf6_iconsdir/hicolor/*/apps/ktuberling.png
%_kf6_iconsdir/hicolor/*/mimetypes/application-x-tuberling.png

#------------------------------------------------------------------------------

%package -n ktuberling-handbook
Summary:        ktuberling handbook
Group:          Documentation
BuildArch:      noarch
Requires:       ktuberling >= %{epoch}:%{version}-%{release}

%description -n ktuberling-handbook
This package provides the ktuberling handbook.

%files -n ktuberling-handbook
%_kf6_docdir/HTML/*/ktuberling

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
