#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kturtle
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        An educational programming environment
Group:          Education
License:        GPLv2 and GFDL
URL:            https://apps.kde.org/kturtle/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz
# Branch patches 100->200

# Trunk patches 200->300

# Mageia patches 500->600

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6SvgWidgets)

BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6DocTools)

Recommends:     %{name}-handbook


%description
KTurtle is an educational programming environment for the KDE Desktop.
KTurtle aims to make programming as easy and touchable as possible, and
therefore can be used to teach kids the basics of math, geometry
and... programming.

%files -f %name.lang
%doc AUTHORS COPYING.DOC
%license LICENSES/*.txt
%_kf6_bindir/%name
%_kf6_iconsdir/hicolor/*/apps/%name.png
%_kf6_applicationsdir/*.desktop
%_kf6_datadir/knsrcfiles/kturtle.knsrc
%_kf6_metainfodir/org.kde.kturtle.appdata.xml

#------------------------------------------------------------------------------

%package handbook
Summary:        %name handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %name >= %{version}-%{release}

%description handbook
This package provides the %name handbook.

%files handbook
%docdir %_kf6_docdir/HTML
%_kf6_docdir/HTML/*/%name/

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
