%define debug_package %{nil}
%define repo github.com/ipfs/kubo


Name:           kubo
Version:        0.29.0
Release:        %mkrel 1
Summary:        IPFS implementation in Go
License:        MIT
Group:          Networking/Other
URL:            https://%{repo}
# tarball is obtained by loading all modules in deps directory, then packing again the tree.
Source0:        https://%{repo}/archive/kubo-repacked-%{version}.tar.xz

BuildRequires:  git
BuildRequires:  golang
Requires:       fuse
Requires:       nss-myhostname
Requires:       systemd
Obsoletes:      go-ipfs < 0.13
Provides:       go-ipfs = %{version}

%description
IPFS is a global, versioned, peer-to-peer filesystem. It combines good ideas 
from Git, BitTorrent, Kademlia, SFS, and the Web. It is like a single bittorrent
swarm, exchanging git objects. kubo (previously go-ipfs) provides an interface 
as simple as the HTTP web, but with permanence built in. You can also mount the
world at /ipfs.

%prep
%autosetup -p1

%build
export GOPATH="$(pwd)/deps"
find -name check_go_version -o -name preload.sh | xargs chmod 755
go build -mod=vendor -buildmode=pie -o ./cmd/ipfs/ipfs ./cmd/ipfs

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_userunitdir}
mkdir -p %{buildroot}%{_unitdir}

cp cmd/ipfs/ipfs %{buildroot}%{_bindir}
cat << EOF >>  %{buildroot}%{_userunitdir}/ipfs.service
[Unit]
Description=InterPlanetary File System (IPFS) daemon

[Service]
ExecStart=/usr/bin/ipfs daemon
Restart=on-failure

[Install]
WantedBy=default.target
EOF
cat << EOF >> %{buildroot}%{_unitdir}/ipfs@.service
[Unit]
Description=InterPlanetary File System (IPFS) daemon

[Service]
User=%i
ExecStart=/usr/bin/ipfs daemon
Restart=on-failure

[Install]
WantedBy=default.target
EOF

%pre
#service_add_pre ipfs@.service

%post
#service_add_post ipfs@.service

%preun
%service_del_preun ipfs@.service

%postun
%service_del_postun ipfs@.service

%files
%{_bindir}/ipfs
%{_userunitdir}/ipfs.service
%{_unitdir}/ipfs@.service
%license LICENSE*
%doc docs/*
