#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kubrick
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Game based on Rubik's Cube
License:        GPLv2 and LGPLv2 and GFDL
Group:          Games/Strategy
Url:            https://apps.kde.org/kubrick/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6OpenGLWidgets)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(KDEGames6)

BuildRequires:  pkgconfig(glu)

Recommends:     kubrick-handbook

%description
Kubrick is a game based on the Rubik's Cube™ puzzle.

The cube sizes range from 2x2x2 up to 6x6x6, or you can play with irregular
"bricks" such as 5x3x2 or "mats" such as 6x4x1 or 2x2x1. The game has a
selection of puzzles at several levels of difficulty, as well as demos of pretty
patterns and solution moves, or you can make up your own puzzles.

%files -f %name.lang
%_kf6_categoriesdir/kubrick.*categories
%_kf6_bindir/kubrick
%_kf6_applicationsdir/*.desktop
%_kf6_datadir/kubrick/
%_kf6_iconsdir/hicolor/*/apps/kubrick.png
%_kf6_metainfodir/org.kde.kubrick.appdata.xml

#------------------------------------------------------------------------------

%package -n kubrick-handbook
Summary:        kubrick handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kubrick >= %{epoch}:%{version}-%{release}

%description -n kubrick-handbook
This package provides the kubrick handbook.

%files -n kubrick-handbook
%_kf6_docdir/HTML/*/kubrick

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name
