# from https://github.com/a-a-maly/kumir2
# comment out when not pre-release
%define prel        rc11.20240208

%define uname       kumir2

%define rel         1

Name:           kumir
Version:        2.1.0
Release:        %mkrel %{?prel:0.%prel.}%{rel}
Summary:        Kumir is a simple programming language and IDE for teaching programming
License:        GPLv2
Group:          Education
Url:            https://github.com/a-a-maly/kumir2
Source0:        https://github.com/a-a-maly/kumir2/archive/master.zip
Source2:        test.vod
Patch1:         kumir2-2.1.0-LIB_BASENAME.patch
Patch2:         port-to-python3.patch

BuildRequires:  gcc-c++
BuildRequires:  python3
BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  git-core
BuildRequires:  boost-devel
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5X11Extras)

Provides:       %{uname} = %{version}-%{release}

%description
Implementation of Kumir programming language, designed by academician
Ershov. It has very simple syntax, also known as "Russian algorithmical
language". Includes compiler, runtime, IDE and  modules "Robot", "Draw",
"Turtle" and some others.

#------------------------------------------------

%package        devel
Summary:        Development package for %{name}
Group:          Development/C++
Requires:       %{name} = %{version}-%{release}
Provides:       %{uname}-devel = %{version}-%{release}

Conflicts:      kumir < 2.1.0-0.rc9.3

%description    devel
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -p1 -n %{uname}-master

cp %{SOURCE2} .

# use system boost
rm -rf src/3rdparty/boost-1.54.0

%build
%cmake_qt5 \
	-GNinja \
	-DUSE_QT=5 \
	-DLIB_BASENAME=%{_lib} \
	-DPROVIDED_VERSION_INFO=TRUE \
	-DGIT_HASH=87a046d \
	-DGIT_TIMESTAMP=20240228 \
	-DGIT_TAG=2.1.0-rc11 \
	-DGIT_BRANCH=master
%cmake_build

%install
%cmake_install

%files
%{_bindir}/*
%{_libdir}/%{uname}/
%{_datadir}/applications/%{uname}*.desktop
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/%{uname}/
%{_datadir}/mime/packages/%{uname}-mimetypes.xml

%files devel
%{_includedir}/%{uname}/
%{_includedir}/%{uname}-libs/
%{_libdir}/cmake/Kumir2/
