#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:		kunifiedpush
Version: 25.04.0
Release:	%mkrel %{rel}
Summary:	UnifiedPush client components
License:	LGPLv2+
Group:		Graphical desktop/KDE
Url:		https://invent.kde.org/libraries/kunifiedpush
Source0:	https://download.kde.org/stable/kunifiedpush/%{name}-%{version}.tar.xz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6WebSockets)
BuildRequires:	cmake(Qt6Widgets)

BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6Service)
BuildRequires:	cmake(KF6KCMUtils)

%description
UnifiedPush client library and distributor daemon.

%files -f kcm_push_notifications.lang
%{_kf6_categoriesdir}/org_kde_%{name}*.categories
%{_kf6_sysconfdir}/xdg/KDE/%{name}-distributor.conf
%{_kf6_sysconfdir}/xdg/autostart/org.kde.%{name}-distributor.desktop
%{_kf6_bindir}/%{name}-distributor
%{_qt6_plugindir}/plasma/kcms/systemsettings/kcm_push_notifications.so
%{_kf6_applicationsdir}/kcm_push_notifications.desktop

#----------------------------------------------------------------------------

%define major	1
%define libname	%mklibname %{name} %{major}

%package -n	%{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n	%{libname}
This package contains shared library for %{name}.

%files -n %{libname}
%license LICENSES/*
%{_kf6_libdir}/libKUnifiedPush.so.%{major}
%{_kf6_libdir}/libKUnifiedPush.so.%{version}

#----------------------------------------------------------------------------

%define devname	%mklibname %{name} -d

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
This package contains development files for %{name}.

%files -n %{devname}
%doc README.md
%{_includedir}/KUnifiedPush/
%{_kf6_libdir}/libKUnifiedPush.so
%{_kf6_libdir}/cmake/KUnifiedPush/

#----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang kcm_push_notifications
