#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Name:           kuserfeedback
Version: 6.13.0
Release:        %mkrel %{rel}
Summary:        KDE Frameworks 6 Tier 1 for collecting user feedback for applications via telemetry and surveys
License:        GPLv2+
Group:          Development/KDE and Qt
Url:            https://kde.org/products/frameworks/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

## upstream patches
#

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Charts)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6ToolsTools)

BuildRequires:  bison
BuildRequires:  flex

%description
KDE Frameworks 6 Tier 1 for collecting user feedback for applications via telemetry
and surveys.

%files -f userfeedbackconsole6_qt.lang -f userfeedbackprovider6_qt.lang
%{_kf6_categoriesdir}/org_kde_UserFeedback.categories
%{_kf6_bindir}/UserFeedbackConsole
%{_kf6_bindir}/userfeedbackctl
%{_kf6_qmldir}/org/kde/userfeedback/
%{_kf6_applicationsdir}/org.kde.kuserfeedback-console.desktop
%{_kf6_datadir}/KDE/UserFeedbackConsole/
%{_kf6_metainfodir}/org.kde.kuserfeedback-console.appdata.xml

#---------------------------------------------

%define kuserfeedbackcore_major 6
%define libkuserfeedbackcore    %mklibname kf6userfeedbackcore %{kuserfeedbackcore_major}

%package -n     %{libkuserfeedbackcore}
Summary:        KF6 User Feedback Core library
Group:          System/Libraries

%description -n %{libkuserfeedbackcore}
KF6 User Feedback Core library.

%files -n %{libkuserfeedbackcore}
%{_kf6_libdir}/libKF6UserFeedbackCore.so.%{kuserfeedbackcore_major}
%{_kf6_libdir}/libKF6UserFeedbackCore.so.%{version}

#---------------------------------------------

%define kuserfeedbackwidgets_major 6
%define libkuserfeedbackwidgets %mklibname kf6userfeedbackwidgets %{kuserfeedbackwidgets_major}

%package -n     %{libkuserfeedbackwidgets}
Summary:        KF6 User Feedback Widgets library
Group:          System/Libraries

%description -n %{libkuserfeedbackwidgets}
KF6 User Feedback Widgets library.

%files -n %{libkuserfeedbackwidgets}
%{_kf6_libdir}/libKF6UserFeedbackWidgets.so.%{kuserfeedbackwidgets_major}
%{_kf6_libdir}/libKF6UserFeedbackWidgets.so.%{version}

#---------------------------------------------

%define develname %mklibname kf6userfeedback -d

%package -n     %{develname}
Summary:        Development package for %{name}
Group:          Development/KDE and Qt
Requires:       %{name} >= %{version}-%{release}
Requires:       %{libkuserfeedbackcore} >= %{version}-%{release}
Requires:       %{libkuserfeedbackwidgets} >= %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Header files for development with %{name}.

%files -n %{develname}
%{_kf6_includedir}/KUserFeedbackCore/
%{_kf6_includedir}/KUserFeedbackWidgets/
%{_kf6_includedir}/KUserFeedback/
%{_kf6_libdir}/libKF6UserFeedbackCore.so
%{_kf6_libdir}/libKF6UserFeedbackWidgets.so
%{_kf6_libdir}/cmake/KF6UserFeedback/
%{_kf6_mkspecsdir}/qt_KF6UserFeedbackCore.pri
%{_kf6_mkspecsdir}/qt_KF6UserFeedbackWidgets.pri

#---------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%cmake_install

%find_lang_kf6 userfeedbackconsole6_qt
%find_lang_kf6 userfeedbackprovider6_qt
