%define major   7
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           kvazaar
Version:        2.3.1
Release:        %mkrel 1
Summary:        An open-source HEVC encoder
License:        BSD-3-Clause
Group:          System/Libraries
URL:            http://ultravideo.cs.tut.fi/#encoder
Source0:        https://github.com/ultravideo/kvazaar/releases/download/v%{version}/kvazaar-%{version}.tar.xz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

%description
Kvazaar is the leading academic open-source HEVC encoder
developed from scratch in C. This package contains the
application for encoding videos.

%package -n %{libname}
Summary:        HEVC encoder %{name} libraries
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %{libname}
Kvazaar is the leading academic open-source HEVC encoder
developed from scratch in C. This package contains the
application for encoding videos.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install

# Pick up docs in the files section
rm -fr %{buildroot}%{_docdir}

%files
%doc README.md CREDITS
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%files -n %{libname}
%license LICENSE
%doc README.md CREDITS
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
