#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:          kwallet-pam
Version: 6.3.4
Release:       %mkrel %{rel}
Summary:       PAM module for KWallet
Group:         Graphical desktop/KDE
License:       LGPLv2+
URL:           https://invent.kde.org/plasma/kwallet-pam
Source0:       https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz
# (lm) mageia uses socat v2 beta: SSO with kwallet-pam works properly only if
# we use socat unidirectional mode (mga#18986)
Patch0:        pam_kwallet_init-use-unidirectional-mode-for-socat-v2.patch

BuildRequires: kf6-rpm-macros

BuildRequires: pam-devel
BuildRequires: libgcrypt-devel >= 1.5.0

BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(KF6Wallet)

BuildRequires: socat
Requires:      socat

Obsoletes:     pam-kwallet < 5.5.3
Provides:      pam-kwallet = %version-%release

%description 
PAM module for KWallet.

%files
%{_kf6_sysconfdir}/xdg/autostart/pam_kwallet_init.desktop
%{_libexecdir}/pam_kwallet_init
%{_kf6_libdir}/security/pam_kwallet5.so
%_userunitdir/plasma-kwallet-pam.service

#-----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
