#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 3 solution for password management
Name:           kwallet
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Xml)

BuildRequires:  cmake(KF6DBusAddons) >= %version
BuildRequires:  cmake(KF6Service) >= %version
BuildRequires:  cmake(KF6WindowSystem) >= %version
BuildRequires:  cmake(KF6Notifications) >= %version
BuildRequires:  cmake(KF6CoreAddons) >= %version
BuildRequires:  cmake(KF6Auth) >= %version
BuildRequires:  cmake(KF6Codecs) >= %version
BuildRequires:  cmake(KF6Config) >= %version
BuildRequires:  cmake(KF6GuiAddons) >= %version
BuildRequires:  cmake(KF6ItemViews) >= %version
BuildRequires:  cmake(KF6IconThemes) >= %version
BuildRequires:  cmake(KF6WidgetsAddons) >= %version
BuildRequires:  cmake(KF6DocTools) >= %version
BuildRequires:  cmake(KF6ColorScheme) >= %version
BuildRequires:  cmake(KF6Crash) >= %version

BuildRequires:  cmake(Qca-qt6)

BuildRequires:  boost-devel
BuildRequires:  pkgconfig(libgcrypt)
BuildRequires:  cmake(Gpgmepp)

Requires:       kauth
# mga#32712
Requires:       qca-qt6

Requires:       pinentry-qt6
Requires:       ksshaskpass

%description
KDE Frameworks 6 Tier 3 solution for password management.

%files -f %{name}d6.lang
%_kf6_categoriesdir/kwallet.*categories
%_kf6_bindir/kwalletd6
%_kf6_bindir/kwallet-query
%_kf6_datadir/dbus-1/services/*.service
%_kf6_mandir/man1/kwallet-query.1.*
%_kf6_applicationdir/org.kde.kwalletd6.desktop
%_kf6_knotificationsdir/kwalletd6.notifyrc
%_kf6_datadir/dbus-1/interfaces/kf6_org.kde.KWallet.xml
%_kf6_datadir/xdg-desktop-portal/portals/kwallet.portal

#--------------------------------------------------------------------

%define kf6wallet_major 6
%define libkf6wallet    %mklibname kf6wallet %{kf6wallet_major}

%package -n %libkf6wallet
Summary:        KDE Frameworks 6 Tier 3 solution for password management
Group:          System/Libraries

%description -n %libkf6wallet
KDE Frameworks 6 Tier 3 solution for password management.

%files -n %libkf6wallet
%_kf6_libdir/libKF6Wallet.so.%{kf6wallet_major}
%_kf6_libdir/libKF6Wallet.so.%{version}

#--------------------------------------------------------------------

%define kf6walletbackend_major 6
%define libkf6walletbackend    %mklibname kf6walletbackend %{kf6walletbackend_major}

%package -n %libkf6walletbackend
Summary:        KDE Frameworks 6 Tier 3 solution for password management
Group:          System/Libraries

%description -n %libkf6walletbackend
KDE Frameworks 6 Tier 3 solution for password management.

%files -n %libkf6walletbackend
%_kf6_libdir/libKF6WalletBackend.so.%{kf6walletbackend_major}
%_kf6_libdir/libKF6WalletBackend.so.%{version}

#--------------------------------------------------------------------

%define kf6wallet_devel %mklibname kf6wallet -d

%package -n %kf6wallet_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %{version}-%{release}
Requires:       %libkf6wallet = %version-%release
Requires:       %libkf6walletbackend = %version-%release
Provides:       %name-devel = %{version}-%{release}
Requires:       cmake(KF6WindowSystem) = %version

%description -n %kf6wallet_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6wallet_devel
%_kf6_includedir/KWallet/
%_kf6_libdir/cmake/KF6Wallet/
%_kf6_libdir/*.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{name}d6 --all-name
