#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kwalletmanager
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        KDE Wallet Management Tool
Group:          Security
License:        GPLv2 and LGPLv2
URL:            https://apps.kde.org/kwalletmanager5/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6DBus)

BuildRequires:  cmake(KF6Auth)
BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Wallet)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6StatusNotifierItem)

Requires:       kwallet
Recommends:     %{name}-handbook

#You need this if you use kwallet in other desktops
Requires:       kwallet-pam
Requires:       signon-kwallet-extension

#Virtual provide for applications that require this type of managers
Provides:       secret-manager


%description
KDE Wallet Manager is for management of the wallets installed on the
system. The KDE wallet subsystem provides a convenient and secure way
to manage all your passwords.

%files -f %name.lang
%_kf6_categoriesdir/kwalletmanager.categories
%_kf6_bindir/kwalletmanager5
%_kf6_applicationsdir/*.desktop
%_kf6_metainfodir/org.kde.kwalletmanager5.appdata.xml
%_qt6_plugindir/plasma/kcms/systemsettings_qwidgets/kcm_kwallet5.so
%_kf6_iconsdir/*/*/*/*
%_kf6_libexecdir/kauth/kcm_kwallet_helper5
%_kf6_datadir/dbus-1/system.d/org.kde.kcontrol.kcmkwallet5.conf
%_kf6_datadir/dbus-1/system-services/org.kde.kcontrol.kcmkwallet5.service
%_kf6_datadir/dbus-1/services/org.kde.kwalletmanager.service
%_kf6_datadir/polkit-1/actions/org.kde.kcontrol.kcmkwallet5.policy

#------------------------------------------------------------------------------

%package handbook
Summary:        kwalletmanager Handbook
Group:          Documentation
BuildArch:      noarch

Requires:       %{name} >= %{version}-%{release}

%description handbook
KDE Wallet Manager is for management of the wallets installed on the
system. The KDE wallet subsystem provides a convenient and secure way
to manage all your passwords.

This package provides kwalletmanager handbook.

%files handbook
%doc %_kf6_docdir/HTML/*/kwalletmanager/

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %name --all-name
