#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define	major		25
%define	libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

%define rel 1

Name:		kwave
Epoch:		1
Version: 25.04.0
Release: 	%mkrel %{rel}
Summary:	A sound editor for Plasma
Group:  	Sound/Editors and Converters
License:	GPLv2+
URL:		https://apps.kde.org/kwave/
Source0: 	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Multimedia)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Test)

BuildRequires:	cmake(KF6Archive)
BuildRequires:	cmake(KF6Completion)
BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6ConfigWidgets)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6Crash)
BuildRequires:	cmake(KF6DBusAddons)
BuildRequires:	cmake(KF6DocTools)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6IconThemes)
BuildRequires:	cmake(KF6KIO)
BuildRequires:	cmake(KF6TextWidgets)
BuildRequires:	cmake(KF6XmlGui)
BuildRequires:	cmake(KF6WidgetsAddons)

BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(flac++)
BuildRequires:	pkgconfig(audiofile)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(opus)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	libid3-devel
BuildRequires:	imagemagick
BuildRequires:	librsvg

Recommends:	%{name}-handbook


%description
Kwave is a sound editor designed for the Plasma Desktop Environment.

With Kwave you can edit many sorts of wav-files including multi-channel
files. You are able to alter and play back each channel on its own.
Kwave also includes many plugins (most are still under development) to
transform the wave-file in several ways and presents a graphical view
with a complete zoom- and scroll capability.

%files -f %name.lang
%doc AUTHORS CHANGES README.md TODO
%license LICENSES
%{_kf6_bindir}/%{name}
%{_kf6_iconsdir}/*/*/*/*
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_datadir}/%{name}/
%{_qt6_plugindir}/%{name}/

#--------------------------------------------------------------------

%package -n	%{libname}
Summary:	Libraries needed by %{name}
Group:		System/Libraries

%description -n	%{libname}
Libraries needed for %{name}.

%files -n %{libname}
%{_kf6_libdir}/lib%{name}*.so.%{major}{,.*}

#--------------------------------------------------------------------

%package	handbook
Summary:	Kwave Handbook
Group:		Documentation
BuildArch:	noarch
Requires:	%{name} >= %{epoch}:%{version}-%{release}

%description	handbook
This package provides Kwave handbook.

%files handbook
%{_kf6_docdir}/HTML/*/%{name}/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DWITH_MP3=ON

%cmake_build

%install
%cmake_install
%find_lang %name --all-name
