#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Qt-style Client and Server library wrapper for the Wayland libraries
Name:           kwayland
Version: 6.3.4
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6WaylandClient)

BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-scanner)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  cmake(PlasmaWaylandProtocols) >= 1.7.0

%description
KWayland provides a Qt-style Client and Server library wrapper for the
Wayland libraries.

%files
%_kf6_categoriesdir/kwayland.*categories

#--------------------------------------------------------------------

%define kwaylandcli_major 6
%define libkwaylandclient %mklibname kwaylandclient %{kwaylandcli_major}

%package -n %libkwaylandclient
Summary:        Qt-style Client library wrapper for the Wayland libraries
Group:          System/Libraries
Recommends:     %name >= %version-%release

%description -n %libkwaylandclient
KWayland provides a Qt-style Client library wrapper for the
Wayland libraries.

%files -n %libkwaylandclient
%_kf6_libdir/libKWaylandClient.so.%{kwaylandcli_major}
%_kf6_libdir/libKWaylandClient.so.%{version}

#--------------------------------------------------------------------

%define kwayland_devel %mklibname kwayland -d

%package -n %kwayland_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkwaylandclient = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kwayland_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kwayland_devel
%_includedir/KWayland/
%_kf6_libdir/cmake/KWayland/
%_kf6_libdir/pkgconfig/KWaylandClient.pc
%_kf6_libdir/*.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

