#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kweather
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Convergent KDE weather application
Group:          Graphical desktop/KDE
License:        GPLv2+
Url:            https://apps.kde.org/kweather/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros
BuildRequires:  reuse

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Charts)
BuildRequires:  cmake(Qt6OpenGL)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6KirigamiAddons)
BuildRequires:  cmake(KWeatherCore)
BuildRequires:  cmake(Plasma)

# QML module dependencies
Requires:       kcoreaddons
Requires:       kholidays
Requires:       kirigami
Requires:       kirigami-addons
Requires:       qt6-qtcharts

Recommends:     plasma-applet-kweather


%description
Weather application for Plasma Mobile.

%files -f %{name}.lang
%license LICENSES/*.txt
%{_kf6_bindir}/%{name}
%{_kf6_datadir}/applications/org.kde.%{name}.desktop
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_iconsdir}/hicolor/scalable/apps/org.kde.%{name}.svg
%{_kf6_datadir}/dbus-1/services/org.kde.%{name}.service

#------------------------------------------------------------------------------

%package -n plasma-applet-kweather
Summary:        Plasma weather applet
Group:          Graphical desktop/KDE
Requires:       %{name}%{?_isa} = %{version}-%{release}
# QML module dependencies
Requires:       kirigami
Requires:       kirigami-addons

%description -n plasma-applet-kweather
Plasma weather applet.

%files -n plasma-applet-kweather
%{_kf6_metainfodir}/org.kde.plasma.%{name}_1x4.appdata.xml
%{_kf6_datadir}/plasma/plasmoids/org.kde.plasma.%{name}_1x4/
%{_qt6_plugindir}/plasma/applets/plasma_applet_%{name}_1x4.so

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}

chmod -x %{buildroot}%{_kf6_datadir}/applications/org.kde.%{name}.desktop
