#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%ifarch %{arm} %{ix86} aarch64
%bcond_with docs
%else
%bcond_without docs
%endif

%define rel 1

Name:           kweathercore
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Library to facilitate retrieval of weather information
Group:          Graphical desktop/KDE
License:        LGPLv2+
Url:            https://invent.kde.org/libraries/kweathercore
Source0:        https://download.kde.org/stable/release-service/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Positioning)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Holidays)


%description
Get weather forecast and alerts anywhere on the earth easy. KWeatherCore
provides you a highly abstracted library for things related to weather:
Get local weather forecast, get weather of a location by name or coordinate,
get sunrise/set moonrise/set and many more informations about a location.

%files
%{_qt6_qmldir}/org/kde/weathercore/

#--------------------------------------------------------------------

%define kweathercore_major 6
%define libkweathercore    %mklibname kweathercore %{kweathercore_major}

%package -n %{libkweathercore}
Summary:        Library to facilitate retrieval of weather information
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %{libkweathercore}
Get weather forecast and alerts anywhere on the earth easy. KWeatherCore
provides you a highly abstracted library for things related to weather:
Get local weather forecast, get weather of a location by name or coordinate,
get sunrise/set moonrise/set and many more informations about a location.

%files -n %{libkweathercore} -f kweathercore6.lang
%license LICENSES/*.txt
%{_kf6_libdir}/libKWeatherCore.so.%{kweathercore_major}
%{_kf6_libdir}/libKWeatherCore.so.%{version}

#--------------------------------------------------------------------

%define libkweathercore_dev %mklibname kweathercore -d

%package -n     %{libkweathercore_dev}
Summary:        Development headers for %{name}
Group:          Development/KDE and Qt
Requires:       %{libkweathercore} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{libkweathercore_dev}
This package contains header files needed if you wish to build
applications based on %{name}.

%files -n %{libkweathercore_dev}
%{_includedir}/KWeatherCore/
%{_includedir}/kweathercore_version.h
%{_kf6_libdir}/cmake/KWeatherCore/
%{_kf6_libdir}/libKWeatherCore.so
%{_kf6_archdatadir}/mkspecs/modules/qt_KWeatherCore.pri

#--------------------------------------------------------------------

%if %{with docs}
%package        doc
Summary:        KWeatherCore APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  doxygen
BuildRequires:  qttools6
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6ToolsTools)
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools6-assistant
Recommends:     qttools6-assistant

%description doc
Documentation for APIs and tools in KWeatherCore package for
use with Qt Assistant.

%files doc
%doc README.md
%license LICENSES/*.txt
%{_qt6_docdir}/KWeatherCore.qch
%{_qt6_docdir}/KWeatherCore.tags
%endif

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 %{?with_docs:-DBUILD_QCH:BOOL=ON}

%cmake_build

%install
%cmake_install

%find_lang kweathercore6
