#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 1 integration module with classes for windows management
Name:           kwindowsystem
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6WaylandClient)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Help)

BuildRequires:  cmake(PlasmaWaylandProtocols)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(xcb-keysyms)

%description
KDE Frameworks 6 Tier 1 integration module with classes for windows management.

%files -f %{name}6_qt.lang
%_kf6_categoriesdir/kwindowsystem.*categories
%_kf6_plugindir/kwindowsystem/
%_kf6_qmldir/org/kde/kwindowsystem/

#--------------------------------------------------------------------

%define kf6windowsystem_major 6
%define libkf6windowsystem %mklibname kf6windowsystem %{kf6windowsystem_major}

%package -n %libkf6windowsystem
Summary:        KDE Frameworks 6 Tier 1 integration module with classes for windows management
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkf6windowsystem
KDE Frameworks 6 Tier 1 integration module with classes for windows management.

%files -n %libkf6windowsystem
%_kf6_libdir/libKF6WindowSystem.so.%{kf6windowsystem_major}{,.*}
%_kf6_libdir/libKF6WindowSystem.so.%{version}

#--------------------------------------------------------------------

%define kf6windowsystem_devel %mklibname kf6windowsystem -d

%package -n %kf6windowsystem_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6windowsystem = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6windowsystem_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6windowsystem_devel
%_kf6_includedir/KWindowSystem/
%_kf6_libdir/cmake/KF6WindowSystem/
%_kf6_libdir/pkgconfig/KF6WindowSystem.pc
%_kf6_libdir/libKF6WindowSystem.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang_kf6 %{name}6_qt
