#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define rel 1

Summary:        KDE Frameworks 6 Tier 3 solution for generating UI
Name:           kxmlgui
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6UiPlugin)

BuildRequires:  cmake(KF6GlobalAccel) >= %version
BuildRequires:  cmake(KF6ItemViews) >= %version
BuildRequires:  cmake(KF6Config) >= %version
BuildRequires:  cmake(KF6CoreAddons) >= %version
BuildRequires:  cmake(KF6Auth) >= %version
BuildRequires:  cmake(KF6Codecs) >= %version
BuildRequires:  cmake(KF6GuiAddons) >= %version
BuildRequires:  cmake(KF6ConfigWidgets) >= %version
BuildRequires:  cmake(KF6I18n) >= %version
BuildRequires:  cmake(KF6IconThemes) >= %version
BuildRequires:  cmake(KF6Completion) >= %version
BuildRequires:  cmake(KF6DBusAddons) >= %version
BuildRequires:  cmake(KF6Service) >= %version
BuildRequires:  cmake(KF6Sonnet) >= %version
BuildRequires:  cmake(KF6TextWidgets) >= %version
BuildRequires:  cmake(KF6WidgetsAddons) >= %version
BuildRequires:  cmake(KF6WindowSystem) >= %version
# OPTIONAL packages
BuildRequires:  cmake(KF6Attica) >= %version

%description
KDE Frameworks 6 Tier 3 solution for generating UI.

%files -f kxmlgui6.lang
%_kf6_categoriesdir/kxmlgui.*categories
%_qt6_plugindir/designer/*.so

#--------------------------------------------------------------------

%define kf6xmlgui_major 6
%define libkf6xmlgui %mklibname kf6xmlgui %{kf6xmlgui_major}

%package -n %libkf6xmlgui
Summary:        KDE Frameworks 6 Tier 3 solution for generating UI
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf6xmlgui
KDE Frameworks 6 Tier 3 solution for generating UI.

%files -n %libkf6xmlgui
%_kf6_libdir/libKF6XmlGui.so.%{kf6xmlgui_major}{,.*}
%_kf6_libdir/libKF6XmlGui.so.%{version}

#--------------------------------------------------------------------

%define kf6xmlgui_devel %mklibname kf6xmlgui -d

%package -n %kf6xmlgui_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6xmlgui = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6xmlgui_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6xmlgui_devel
%_kf6_includedir/KXmlGui/
%_kf6_libdir/cmake/KF6XmlGui/
%_kf6_libdir/*.so

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang kxmlgui6
