%define	major     16
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

%define doctarget %{_defaultdocdir}/%{name}-%{version}

Summary:	A lightweight database library
Name:		kyotocabinet
Version:	1.2.80
Release:	%mkrel 1
Group:		Databases
License:	GPL-3.0-only
URL:		https://dbmx.net/kyotocabinet/
Source0:	https://dbmx.net/kyotocabinet/pkg/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(lzo2)
BuildRequires:	pkgconfig(liblzma)
Conflicts:	%{name}-api-doc < 1.2.76-3

%description
Kyoto Cabinet is a library of routines for managing a database. The database is
a simple data file containing records, and each record is a pair of a key and a
value.  Every key and value is an array of bytes with variable length. Both
binary data and character strings can be used as a key or a value. There is
neither a concept of tables nor of data types.

%package -n	%{libname}
Summary:	A lightweight database library
Group:		System/Libraries
Conflicts:	%{name} < 1.2.76-3

%description -n	%{libname}
Kyoto Cabinet is a library of routines for managing a database. The database is
a simple data file containing records, and each record is a pair of a key and a
value.  Every key and value is an array of bytes with variable length. Both
binary data and character strings can be used as a key or a value. There is
neither a concept of tables nor of data types.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Provides:	%{name}-devel = %{version}
Requires:	%{libname} = %{version}
Obsoletes:	%{name}-devel < 1.2.76-3
Conflicts:	%{name} < 1.2.76-3

%description -n	%{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

%package	api-doc
Summary:	Development documentation for %{name}
Group:		Documentation
Conflicts:	%{name} < 1.2.76-3
BuildArch:	noarch

%description	api-doc
The %{name}-api-doc package contains API documentation for developing
applications that use %{name}.

%prep

%autosetup -p1
sed -i -e 's/ -g0 -O2//' -e 's/ -O0//' configure*

%build
%configure \
    --disable-static \
    --disable-opt \
    --enable-lzo \
    --enable-lzma \
    --docdir=%{doctarget}

%make_build

#%%check <- takes forever...
#make check

%install

%make_install

rm -rf %{buildroot}%{_libdir}/*.*a

%files
%doc ChangeLog README
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%doc ChangeLog README
%license COPYING FOSSEXCEPTION LINKEXCEPTION
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files api-doc
%{doctarget}
