Summary:	Plasma-application for interactive graphing and analysis of scientific data
Name:		labplot
Version:	2.11.1
Release:	%mkrel 5
License:	GPLv2+
Group:		Sciences/Other
URL:		https://edu.kde.org/labplot/
Source0:	https://download.kde.org/stable/%{name}/%{name}-%{version}.tar.xz
Patch0:		labplot-adapt-to-KF6UserFeedback.patch
Patch1:		0001-Minor-qt6-related-fixes.patch
Patch2:		0001-Fix-to-find-QXlsxQt6.patch
# fix compilation
Patch3:		49b3f18e94586d9733db036a8031ab9d4ea6dd5c.patch

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Mqtt)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6SerialPort)
BuildRequires:	cmake(Qt6Sql)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)

BuildRequires:	cmake(KF6Archive)
BuildRequires:	cmake(KF6Completion)
BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6ConfigWidgets)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6Crash)
BuildRequires:	cmake(KF6DocTools)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6IconThemes)
BuildRequires:	cmake(KF6KIO)
BuildRequires:	cmake(KF6TextWidgets)
BuildRequires:	cmake(KF6WidgetsAddons)
BuildRequires:	cmake(KF6XmlGui)
BuildRequires:	cmake(KF6NewStuffCore)
BuildRequires:	cmake(KF6NewStuff)
# Optional
BuildRequires:	cmake(KF6Service)
BuildRequires:	cmake(KF6Parts)
BuildRequires:	cmake(KF6Purpose)
BuildRequires:	cmake(KF6SyntaxHighlighting)
BuildRequires:	cmake(KF6UserFeedback)

BuildRequires:	bison
BuildRequires:	clang-tools-extra
BuildRequires:	doxygen
BuildRequires:	cmake(Cantor)
BuildRequires:	cmake(Eigen3)
BuildRequires:	cmake(QXlsxQt6)
BuildRequires:	pkgconfig(cfitsio)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(gsl)
BuildRequires:	pkgconfig(libcerf)
BuildRequires:	pkgconfig(libmarkdown)
#BuildRequires:	pkgconfig(liborcus-0.18)
BuildRequires:	pkgconfig(liborigin)
BuildRequires:	pkgconfig(matio)
BuildRequires:	pkgconfig(netcdf)
BuildRequires:	pkgconfig(poppler-qt6)
BuildRequires:	pkgconfig(shared-mime-info)
BuildRequires:	gettext-devel
BuildRequires:	hdf5-devel
BuildRequires:	readstat-devel


%description
LabPlot provides an easy way to create, manage and edit plots.
It allows you to produce plots based on data from a spreadsheet or on
data imported from external files.
Plots can be exported to several pixmap and vector graphic formats.

%prep
%autosetup -p1

%build
%cmake_kf6 -DENABLE_CLANG_TIDY:BOOL=ON \
           -DENABLE_VECTOR_BLF:BOOL=OFF \
           -DENABLE_REPRODUCIBLE:BOOL=ON
%cmake_build

%install
%cmake_install

# We dont want right now devel files
rm -rf %{buildroot}%{_includedir}/%{name}

%find_lang labplot2 --with-html --with-man

%files -f labplot2.lang
%doc AUTHORS ChangeLog README.md
%{_kf6_bindir}/labplot2
%{_kf6_libdir}/liblabplot.so
%{_kf6_metainfodir}/org.kde.labplot2.appdata.xml
%{_kf6_iconsdir}/hicolor/*/apps/labplot*
%{_kf6_datadir}/labplot2/
%{_kf6_applicationsdir}/org.kde.labplot2.desktop
%{_kf6_datadir}/mime/packages/labplot2.xml
%{_kf6_mandir}/man1/labplot2.1*
