%global _privatelibs libalsapid[.]so.*
%global __provides_exclude ^(%{_privatelibs})$
%global __requires_exclude ^(%{_privatelibs})$

%define rel    4

Name:          ladish
Summary:       LADI Audio session handler
Version:       2
Release:       %mkrel -c git20140911 %{rel}
License:       GPLv2+
Group:         Sound/Utilities
URL:           https://ladish.org/
#from https://github.com/LADI/ladish commit 5fe205f
Source0:       %{name}-%version-git5fe205f.tar.xz
# Removed:
####### From https://launchpad.net/~kxstudio-debian/+archive/ubuntu/apps/+sourcepub/11202179/+listing-archive-extra
###### Source0:       ladish_2~git20140911.orig.tar.gz
# clean up desktop files
Patch0:        ladish-1-desktop.patch
Patch1:        handle-aarch64.patch
# Patches from https://launchpad.net/~kxstudio-debian/+archive/ubuntu/apps/+packages
Patch2:        3001-fix-dbus-method.patch
Patch3:        3002-fix-build1.patch
Patch4:        3002-fix-build2.patch
Patch5:        4001-cadence-jacksettings.patch
Patch6:        ladish_control_py3.patch
Patch7:        ladish_control_py3_shebang.patch
Patch8:        py3mga-fix.patch
Patch9:        py3mga-fix-2.patch
BuildRequires: desktop-file-utils
BuildRequires: boost-devel
BuildRequires: intltool
BuildRequires: python3-yaml
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(expat)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(gtkmm-2.4)
BuildRequires: pkgconfig(jack)
BuildRequires: pkgconfig(libgnomecanvasmm-2.6)
# BuildRequires: pkgconfig(pygtk-2.0)
BuildRequires: pkgconfig(uuid)
BuildRequires: waf
# Requires:      pygtk2.0
Requires:      dbus

%description
Session management system for JACK applications on GNU/Linux. Its aim
is to have many different audio programs running at once, to save their
setup, close them down and then easily reload the setup at some other
time. ladish doesn't deal with any kind of audio or MIDI data itself;
it just runs programs, deals with saving/loading (arbitrary) data and
connects JACK ports together.
Ladish has a GUI frontend called gladish, based on lpatchage (LADI Patchage)
and the ladish_control command line app for headless operation.

%files -f %{name}.lang
%doc README AUTHORS COPYING NEWS
%{_bindir}/ladishd
%{_bindir}/jmcore
%{_bindir}/ladiconfd
%{_bindir}/ladish_control
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/dbus-1/services/org.%{name}.service
%{_datadir}/dbus-1/services/org.%{name}.conf.service
%{_datadir}/dbus-1/services/org.%{name}.jmcore.service

#--------------------------------------------------------------------

%package -n gladish
Summary:    GTK ladish front end
Requires:   %{name} = %{version}-%{release}

%description -n gladish
gladish is a GUI frontend for LADISH, 
a session management system for JACK applications.

%files -n gladish
%{_datadir}/applications/gladish.desktop
# %%{_bindir}/gladish
%{_datadir}/icons/hicolor/*/apps/gladish.png

#--------------------------------------------------------------------

%prep
##setup -q -n ladish
%setup -q
#patch -P 9 -p1 -b .foo
# exit 0
# patch8 -p1 -b .orig
# exit 0
%autopatch -p1
# remove bundled libs
sed -i -e "s|'-fvisibility=hidden')|\['-fvisibility=hidden'\]+'%{optflags} -fno-tree-pta'.split(' '))|"\
       -e "s|\['PREFIX'\]), 'lib')|\['PREFIX'\]), '%{_libdir}')|" wscript
# gcc7 throws warnings on glibmm-2.4 headers. The -Werror turns these into errors.
# This can be removed if/when there is an update on the glibmm-2.4 package:
sed -i "/add_cflag(conf, '-Werror')/d" wscript
# move preloaded lib out of LD path
sed -i -e "s|libalsapid.so|%{_libdir}\/ladish\/libalsapid.so|" daemon/loader.c

%build
export CXXFLAGS="%{optflags} -std=c++0x"
# export PYTHONPATH="${PYTHONPATH}:/usr/share/waf3/waflib"
waf configure --prefix=%{_prefix} -v
LIBDIR=%{_libdir} CFLAGS="%{optflags} -fno-tree-pta" CXXFLAGS="%{optflags} -std=c++0x -fno-tree-pta" waf -v

%install
waf install --destdir=%{buildroot}
# move lib out of LDPATH
mkdir  %{buildroot}/%{_libdir}/%{name}
mv %{buildroot}%{_libdir}/libalsapid.so   %{buildroot}/%{_libdir}/%{name}/

%find_lang %{name}
