%define        plugindir    %{_libdir}/ladspa
%define        srcname      ladspa-%{version}

##the date of the last commit from the git repos
##from master/HEAD (_
##define        gitcodate      20160318git

Name:          ladspa-plugins-swh
Version:       0.4.17
Release:       %mkrel 6
Summary:       Audio plugins for LADSPA
License:       GPLv2
Group:         Sound/Editors and Converters

URL:           https://github.com/swh/ladspa
Source0:       https://github.com/swh/ladspa/archive/v%{version}/%{srcname}.tar.gz
# Set CFLAGS (especially -fPIC) even if like on armv7hl -march is given
Patch0:        ladspa-plugins-swh-0.4.17-cflags.patch
#fix latex error in docs
Patch1:        ladspa-plugins-swh-0.4.17-docs.patch

BuildRequires: ladspa-devel
BuildRequires: fftw-devel
BuildRequires: gettext
BuildRequires: latex
#because building needs /usr/share/texmf-dist/fonts/map/dvips/updmap/psfonts.map
BuildRequires: texlive-dist
BuildRequires: ghostscript-common
BuildRequires: gettext-devel
BuildRequires: libxml2-utils

Requires:      ladspa
Provides:      ladspa-swh = %{version}-%{release}
Provides:      swh-plugins = %{version}-%{release}

%description
The Steve Harris' LADSPA Plugins provide more than a hundred of
high-end audio plugins for the Linux Audio Developers Simple Plugin
Architecture that allow various audio processing within any program
using the LADSPA library. For instance, they allow to perform audio
aliasing, adding delay line, changing the pitch, interpolating,
amplifying, generating an analogic oscillator, filtering...

%prep
%setup -q -n %{srcname}
%autopatch -p1

%build
autoreconf -fi

%configure --disable-rpath --disable-static
%make_build
pushd docs
%make_build ladspa-swh.pdf
popd

%install
pushd .libs
%__install -d %{buildroot}%{plugindir}
%__install -m 755 -t %{buildroot}%{plugindir} *.so
popd
pushd docs
%__install -D -m 644 ladspa-swh.dvi %{buildroot}%{_docdir}/%{name}/ladspa-swh.dvi
%__install -D -m 644 ladspa-swh.ps %{buildroot}%{_docdir}/%{name}/ladspa-swh.ps
%__install -D -m 644 ladspa-swh.pdf %{buildroot}%{_docdir}/%{name}/ladspa-swh.pdf
%__install -D -m 644 ladspa-swh.tex %{buildroot}%{_docdir}/%{name}/ladspa-swh.tex
popd

%files
%doc README AUTHORS TODO
%license COPYING
%{_docdir}/%{name}/*
%dir %{plugindir}
%{plugindir}/*.so
