%define app_id fi.skyjake.Lagrange

Name:           lagrange
Version:        1.18.4
Release:        %mkrel 1
Summary:        A Beautiful Gemini Client
License:        BSD-2-Clause
Group:          Networking/WWW
URL:            https://gmi.skyjake.fi/lagrange
Source0:        https://git.skyjake.fi/skyjake/lagrange/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  zip
BuildRequires:  unistring-devel
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(harfbuzz)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libmpg123)
BuildRequires:  pkgconfig(libpcre2-8)
BuildRequires:  pkgconfig(libwebp)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(zlib)

%description
Lagrange is a desktop GUI client for browsing Geminispace. It
offers modern conveniences familiar from web browsers, such
as smooth scrolling, inline image viewing, multiple tabs, visual
themes, Unicode fonts, bookmarks, history, and page outlines.

Like Gemini, Lagrange has been designed with minimalism in mind.
It depends on a small number of essential libraries. It is
written in C and uses SDL for hardware-accelerated graphics.
OpenSSL is used for secure communications.

%prep
%autosetup

%build
%cmake -DTFDN_ENABLE_SSE41=NO
%cmake_build

%install
%cmake_install

%files
%doc AUTHORS.md README.md
%license LICENSE.md
%{_bindir}/%{name}
%{_datadir}/applications/%{app_id}.desktop
%{_iconsdir}/hicolor/*/apps/%{app_id}.png
%{_datadir}/%{name}/
%{_metainfodir}/%{app_id}.appdata.xml
%{_mandir}/man1/%{name}.1*
