Name:           laigter
Version:        1.12.1
Release:        %mkrel 1
Summary:        Tool to generate normal, specular and parallax maps for 2D textures
Group:          Development/Tools
License:        GPLv3+
URL:            https://azagaya.itch.io/laigter
Source0:        https://github.com/azagaya/laigter/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(opencv)
BuildRequires:  pkgconfig(Qt6Concurrent)
BuildRequires:  pkgconfig(Qt6Core)
BuildRequires:  pkgconfig(Qt6Gui)
BuildRequires:  pkgconfig(Qt6Network)
BuildRequires:  pkgconfig(Qt6OpenGLWidgets)
BuildRequires:  pkgconfig(Qt6Widgets)
BuildRequires:  qt6-qttools

%description
Laigter is a tool that automatically generates maps for dynamic lighting effects
in games. It allows normal, parallax, specular and occlusion map generation.
Also, it allows the user to preview how the effect will look ingame.

%prep
%autosetup -p1

%build
%qmake_qt6 PREFIX=%{buildroot}%{_prefix}
%make_build

%install
%make_install

%files
%doc README.md
%license ACKNOWLEDGEMENTS LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_metainfodir}/%{name}.appdata.xml
%{_datadir}/mime/packages/x-%{name}-project.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
