%define major		0

%define libname		%mklibname mp3lame %{major}
%define develname	%mklibname mp3lame -d

%define expopt		1

Name:		lame
Version:	3.100
Release:	%mkrel 9
Summary:	LAME Ain't an MP3 Encoder
License:	LGPLv2+
Group:		Sound/Editors and Converters
URL:		https://lame.sourceforge.net/
Source:		https://prdownloads.sourceforge.net/lame/%{name}-%{version}.tar.gz
Patch0:		lame-3.100-signed-integer-overflow-fix.patch

BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(ncurses)
%ifarch %{ix86} x86_64
BuildRequires:	nasm
%endif

%description
Following the great history of GNU naming, LAME originally stood for LAME
Ain't an Mp3 Encoder. LAME started life as a GPL'd patch against the
dist10 ISO demonstration source, and thus was incapable of producing an
mp3 stream or even being compiled by itself. But in May 2000, the last
remnants of the ISO source code were replaced, and now LAME is the source
code for a fully GPL'd MP3 encoder, with speed and quality to rival all
commercial competitors.

LAME is an educational tool to be used for learning about MP3 encoding.
The goal of the LAME project is to use the open source model to improve
the psycho acoustics, noise shaping and speed of MP3.

LAME is not for everyone - it is distributed as source code only and
requires the ability to use a C compiler. However, many popular ripping
and encoding programs include the LAME encoding engine, see: Software
which uses LAME.


%package -n	%{libname}
Summary:	Main library for lame
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}
Obsoletes:	%{_lib}lame0 < 3.99.5-12

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with libmp3lame.

%package -n	%{develname}
Summary:	Headers for developing programs that will use libmp3lame
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}lame-devel < 3.99.5-12

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use libmp3lame.

%prep
%setup -q
%patch -P 0 -p0

ln -s acm ACM
cp -r doc/html .

#clean unneeded files in doc dir
rm -rf html/CVS html/Makefile*
find html -name .cvsignore|xargs rm -f

%build
autoreconf -fi
%if !%{expopt}
export CFLAGS="%(echo %{optflags} |sed s/-O[23]/-O1/)"
%endif
%configure \
	--disable-static \
	--disable-rpath \
	--enable-dynamic-frontends \
%ifarch %{ix86} x86_64
	--enable-nasm \
%endif
%if %{expopt}
	--enable-expopt \
%endif
	--disable-gtktest

%make_build

%check
make test

%install
%make_install

#clean unpackaged files
rm -rf %{buildroot}%{_datadir}/doc/lame %{buildroot}%{_libdir}/*.la

%files
%doc README TODO USAGE html/
%{_bindir}/lame
%{_mandir}/man1/lame.1*

%files -n %{libname}
%doc README
%{_libdir}/libmp3lame.so.%{major}{,.*}

%files -n %{develname}
%doc STYLEGUIDE API ChangeLog HACKING
%{_includedir}/*
%{_libdir}/libmp3lame.so
