Name:           langtable
Version:        0.0.65
Release:        %mkrel 2
Summary:        Guess reasonable defaults for locale/language configuration
Group:          Development/Tools
# the translations in languages.xml and territories.xml are (mostly)
# imported from CLDR and are thus under the Unicode license, the
# short name for this license is "MIT", see:
# https://fedoraproject.org/wiki/Licensing:MIT?rd=Licensing/MIT#Modern_Style_without_sublicense_.28Unicode.29
License:        GPLv3+
URL:            https://github.com/mike-fabian/langtable
Source0:        https://github.com/mike-fabian/langtable/releases/download/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)

# Required purely to run simple expressions at build-time
BuildRequires:  perl
# Required for xmllint
BuildRequires:  libxml2-utils

%description
langtable is used to guess reasonable defaults for locale, keyboard layout,
territory, and language, if part of that information is already known. For
example, guess the territory and the keyboard layout if the language
is known or guess the language and keyboard layout if the territory is
already known.

%package -n python3-%{name}
Summary:        Python module to query the langtable-data
Group:          Development/Python
License:        GPLv3+
Requires:       %{name} = %{version}-%{release}
Obsoletes:      %{name}-data < %{version}-%{release}
Provides:       %{name}-data = %{version}-%{release}
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
This package contains a Python module to query the data
from langtable-data.


%prep
%setup -q

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files langtable 

%check
(cd $RPM_BUILD_DIR/%{name}-%{version}/langtable; %{__python3} langtable.py)
(cd $RPM_BUILD_DIR/%{name}-%{version}; %{__python3} test_cases.py)
xmllint --noout --relaxng $RPM_BUILD_ROOT/%{python3_sitelib}/langtable/schemas/keyboards.rng $RPM_BUILD_ROOT/%{python3_sitelib}/langtable/data/keyboards.xml.gz
xmllint --noout --relaxng $RPM_BUILD_ROOT/%{python3_sitelib}/langtable/schemas/languages.rng $RPM_BUILD_ROOT/%{python3_sitelib}/langtable/data/languages.xml.gz
xmllint --noout --relaxng $RPM_BUILD_ROOT/%{python3_sitelib}/langtable/schemas/territories.rng $RPM_BUILD_ROOT/%{python3_sitelib}/langtable/data/territories.xml.gz
xmllint --noout --relaxng $RPM_BUILD_ROOT/%{python3_sitelib}/langtable/schemas/timezoneidparts.rng $RPM_BUILD_ROOT/%{python3_sitelib}/langtable/data/timezoneidparts.xml.gz
xmllint --noout --relaxng $RPM_BUILD_ROOT/%{python3_sitelib}/langtable/schemas/timezones.rng $RPM_BUILD_ROOT/%{python3_sitelib}/langtable/data/timezones.xml.gz

%files
%license COPYING
%doc README ChangeLog unicode-license.txt test_cases.py

%files -n python3-langtable -f %{pyproject_files}
