%define rel	11

Summary:	Visualizer of system latencies
Name:		latencytop
Version:	0.5
Release:	%mkrel %rel
License:	GPLv2
Group:		Development/Other
URL:		https://latencytop.org/
Source:		https://latencytop.org/download/latencytop-%{version}.tar.gz
Patch0:		latencytop-Makefile-fixes.patch
Patch1:		latencytop-Makefile-default-to-no-gtk.patch
Patch2:		latencytop-remove-the-fsync-view.patch
Patch3:		latencytop-better-error-message.patch
Patch4:		latencytop-add-return-type-c99.patch
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	glib2-devel
BuildRequires:  gtk2-devel

%description
LatencyTOP is a Linux tool for software developers (both kernel and
userspace), aimed at identifying where system latency occurs, and
what kind of operation/action is causing the latency to happen. By
identifying this, developers can then change the code to avoid the
worst latency hiccups.

%prep
%setup -q
%patch -P0 -p1
%patch -P1 -p1
%patch -P2 -p2
%patch -P3 -p2
%patch -P4 -p1

%build
export CFLAGS="%{optflags} -I%{_includedir}/ncursesw"
%make_build

%install
install -d -m755 %{buildroot}%{_sbindir}
%make_install
install -d -m755 %{buildroot}%{_mandir}/man8
install -m644 latencytop.8 %{buildroot}%{_mandir}/man8/

%files
%{_sbindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man8/latencytop.8*



