#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Library to easily use clients based on wlr-layer-shell
Name:           layer-shell-qt
Version: 6.3.4
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

## Upstream master branch patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Gui) >= 6.6
BuildRequires:  cmake(Qt6WaylandClient) >= 6.6
BuildRequires:  cmake(Qt6Network) >= 6.6
BuildRequires:  cmake(Qt6Qml) >= 6.6
BuildRequires:  cmake(Qt6) >= 6.6
BuildRequires:  cmake(Qt6Core) >= 6.6

BuildRequires:  cmake(PlasmaWaylandProtocols)

BuildRequires:  pkgconfig(wayland-scanner)
BuildRequires:  pkgconfig(wayland-protocols)

%description
Qt component to allow applications to make use of the Wayland
wl-layer-shell protocol.

%files
%_qt6_plugindir/wayland-shell-integration/liblayer-shell.so
%_qt6_qmldir/org/kde/layershell/

#--------------------------------------------------------------------

%define layershellqtinterface_major 6
%define liblayershellqtinterface %mklibname layershellqtinterface %{layershellqtinterface_major}

%package -n %liblayershellqtinterface
Summary:        %name library
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %liblayershellqtinterface
%name component library.

%files -n %liblayershellqtinterface
%_kf6_libdir/libLayerShellQtInterface.so.%{layershellqtinterface_major}
%_kf6_libdir/libLayerShellQtInterface.so.%{version}

#--------------------------------------------------------------------

%define layer_shell_qt_devel %mklibname %name -d

%package -n %layer_shell_qt_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Provides:       %name-devel = %{version}-%{release}

Requires:       %name = %{version}-%{release}
Requires:       %liblayershellqtinterface = %{version}-%{release}

%description -n %layer_shell_qt_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %layer_shell_qt_devel
%_includedir/LayerShellQt/
%_kf6_libdir/cmake/LayerShellQt/
%_kf6_libdir/libLayerShellQtInterface.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
