%global debug_package %{nil}
%global goipath         github.com/jesseduffield/lazydocker
%global tag %{version}
%gometa

Name:           lazydocker
Version:        0.23.1
Release:        %mkrel 1
Summary:        Lazier way to manage everything docker
Group:          System/Configuration
License:        MIT
URL:            https://github.com/jesseduffield/lazydocker
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  git-core
BuildRequires:  golang >= 1.18
BuildRequires:  go-md2man

%description
A simple terminal UI for both docker and docker-compose, written in Go with the
gocui library.

Memorising docker commands is hard. Memorising aliases is slightly less hard.
Keeping track of your containers across multiple terminal windows is near
impossible. What if you had all the information you needed in one terminal
window with every common command living one keypress away (and the ability to
add custom commands as well). Lazydocker's goal is to make that dream a reality.


%prep
%goprep
%autosetup -p1


%build
#go get
ln -sf ./vendor src
export GOPATH=$(pwd):%{gopath}
export LDFLAGS='-X main.version=%{version}'
go build -o %{gobuilddir}/%{name}
go-md2man -in README.md -out %{name}.1


%install
install -Dpm 0755 _build/%{name} %{buildroot}%{_bindir}/%{name}
install -Dpm0644 %{name}.1 %{buildroot}/%{_mandir}/man1/%{name}.1

%files
%license LICENSE
%doc README.md CONTRIBUTING.md
%{_bindir}/%{name}
%{_mandir}/man1/*.1*

