#
# spec file for package lbdb
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Red Hat, Inc
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Copyright (c) 2013 The Mageia Project

Name:           lbdb
Summary:        Address Database for mutt
Version:        0.56
Release:        %mkrel 1
License:        GPLv2+
Url:            https://www.spinnaker.de/lbdb/
Group:          Databases
Source:         https://www.spinnaker.de/lbdb/download/lbdb-%{version}.tar.gz
# change default modules list
Patch0:         lbdb.rc.diff
# fix path of evolution-addressbook-export
Patch1:         lbdb-0.38-evolution.diff
BuildRequires:  perl
Requires:       perl(Net::LDAP)
Requires:       perl(Getopt::Long)

%description
The Little Brother's Database (lbdb) consists of a set of small tools
that collect mail addresses from several sources and offer these
addresses to the external query feature of the Mutt mail reader.


%prep
%setup -q -n lbdb-%{version}
%patch -P 0 -p0
%patch -P 1 -p1


%build
export EVOLUTION_ADDRESSBOOK_EXPORT='/usr/libexec/evolution/*/evolution-addressbook-export'
# lbdb uses libdir in most of its helper programs to find the absolute path
# to these binaries, that's why it's forcefully set to %%_libexecdir/lbdb.
# Another option would be to s/libdir/libexecdir in the helpers, but there
# are about 15 programs to patch, so this approach is easier.
%configure --libdir=%{_libexecdir}/lbdb \
           --libexecdir=%{_libexecdir}/lbdb
%make_build


%install
%make_install install_prefix=%{buildroot}


%files
%doc README.md TODO CHANGELOG.md
%license COPYING
%config(noreplace) %{_sysconfdir}/*
%{_bindir}/*
%{_libexecdir}/lbdb/*
%dir %{_libexecdir}/lbdb
%{_mandir}/man?/*
