%define levelsets	20160512

Summary:	Breakout-style arcade game
Name:		lbreakouthd
Version:	1.1.9
Release:	%mkrel 2
Url:		https://lgames.sourceforge.io/LBreakoutHD
Source0:	https://sourceforge.net/projects/lgames/files/%{name}/%{name}-%{version}.tar.gz
Source1:	https://sourceforge.net/projects/lgames/files/add-ons/lbreakout2/lbreakout2-levelsets-%{levelsets}.tar.gz
Patch0:		lbreakouthd-levelsets-20240906.patch
License:	GPLv3+
Group:		Games/Arcade
BuildRequires:	sdl2-devel
BuildRequires:	sdl2_image-devel
BuildRequires:	sdl2_mixer-devel
BuildRequires:	sdl2_ttf-devel
Obsoletes:	lbreakout2 < 2.6.6
Provides:	lbreakout2


%description
HD is a scaleable 16:9 remake of LBreakout2.
LBreakout is a classical Breakout game and this means (if you like Breakout ;-)
it is a lot of fun to play!
If you never ever played such a game you can check out the manual for more
information, take a look at the screenshots and last but not least... play it!

%prep
%autosetup -p1

# remove -Wno-format
sed -i -e 's/\s\+-Wno-format//g' configure.ac

%build
autoreconf -fi
%configure	--bindir=%{_gamesbindir} \
		--localstatedir=%{_localstatedir}/games
%make_build

%install
install -d %{buildroot}%{_localstatedir}/games
%make_install

tar xzC %{buildroot}%{_datadir}/%{name}/levels -f %SOURCE1

desktop-file-install --vendor="" \
  --add-category="ArcadeGame" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc README TODO
%attr(2755, root, games) %{_gamesbindir}/*
%config(noreplace) %attr(664, games, games) %{_localstatedir}/games/*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_iconsdir}/hicolor/256x256/apps/%{name}.png
