# TODO:
# glcdproclib/glcdprocdriver.h
# widgets.h, usblcd.h and usblcd_util.h from the usblcd package
# ftdi library in version 0.7
%define _legacy_common_support 1
Name:		lcdproc
Version:	0.5.7
Release:	%mkrel 17
Summary: 	Displays real-time system information on a 20x4 backlit LCD
License:	GPLv2+
URL:    	http://lcdproc.omnipotent.net/
Group:     	Monitoring
Source0:    	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	LCDd.init
Patch0: 	slow-down-imonlcd-0038.patch
Patch1:		lcdproc-0.5.6-fix-undeclared-header.patch
Patch2:		lcdproc-0.5.6-link-order.patch
Patch3:		lcdproc-0.5.6-use-new-ftdi.patch
Requires(pre):	rpm-helper
Requires(preun): rpm-helper
BuildRequires:	docbook-utils-pdf
BuildRequires:  doxygen
BuildRequires:  g15-devel
BuildRequires:  g15daemon_client-devel
BuildRequires:  g15render-devel
BuildRequires:  graphviz
BuildRequires:  pkgconfig(liblircclient0)
BuildRequires:	pkgconfig(ncurses)
%ifarch %{ix86} x86_64
BuildRequires:  svgalib-devel
%endif
BuildRequires:  tetex-latex
BuildRequires:	pkgconfig(libusb)
BuildRequires:  xosd-devel
BuildRequires:  irman-devel
BuildRequires:  libftdi-devel
BuildRequires:  pkgconfig(libpng)

%description
LCDproc is a client/server suite including drivers for all
kinds of nifty LCD displays. The server supports several
serial devices: Matrix Orbital, Crystal Fontz, Bayrad, LB216,
LCDM001 (kernelconcepts.de), Wirz-SLI and PIC-an-LCD; and some
devices connected to the LPT port: HD44780, STV5730, T6963,
SED1520 and SED1330. Various clients are available that display
things like CPU load, system load, memory usage, uptime, and a lot more.
See also http://lcdproc.omnipotent.net/.

%prep
%setup -q
%{__perl} -pi -e 's:../../../libirman-0.4.1b/irman.h:%{_includedir}/irman.h:g' server/drivers/irmanin.c
%autopatch -p1

%build
autoreconf -vfi
export CFLAGS="$RPM_OPT_FLAGS --std=gnu89 -fPIC"
%configure --disable-dependency-tracking \
                 --enable-libusb \
                 --enable-drivers=all \
                 --enable-seamless-hbars \
                 --enable-testmenus \
                 --enable-permissive-menu-goto \
                 --enable-lcdproc-menus \
                 --enable-stat-nfs \
                 --enable-stat-smbfs \
                 --enable-doxygen \
                 --enable-dot \
                 --enable-html-dox \
                 --enable-latex-dox
%make_build
%make_build dox

%install
%make_install

# init
install -d 		$RPM_BUILD_ROOT%{_initrddir}
install %{SOURCE1}	$RPM_BUILD_ROOT%{_initrddir}/LCDd

# Move examples in %_bindir like previous release
install -d              $RPM_BUILD_ROOT%{_bindir}
install clients/examples/*.pl $RPM_BUILD_ROOT%{_bindir}

# conf files
install -d		$RPM_BUILD_ROOT%{_sysconfdir}/lcdproc
install LCDd.conf 	$RPM_BUILD_ROOT%{_sysconfdir}/lcdproc/LCDd.conf
# fix path to drivers
perl -pi -e 's|DriverPath=.*/|DriverPath=%{_libdir}/lcdproc/|' $RPM_BUILD_ROOT%{_sysconfdir}/lcdproc/LCDd.conf
# remove unwanted conf file (not used in initscript)
rm -vf $RPM_BUILD_ROOT%{_sysconfdir}/LCDd.conf
touch scripts/lcdproc.conf  	$RPM_BUILD_ROOT%{_sysconfdir}/lcdproc/lcdproc.conf
echo "-s localhost -p 13666 C M X U P S" > \
			$RPM_BUILD_ROOT%{_sysconfdir}/lcdproc/lcdproc.conf

# doc files
cd docs/lcdproc-user
mkdir html txt pdf
#docbook2html -c %{_sysconfdir}/sgml/catalog -o html lcdproc-user.docbook
#docbook2pdf -c %{_sysconfdir}/sgml/catalog -o pdf lcdproc-user.docbook

%post
%_post_service LCDd

%preun
%_preun_service LCDd


%files
%defattr(0644,root,root,0755)
%doc README* INSTALL COPYING TODO ChangeLog
#%doc docs/lcdproc-user/html docs/lcdproc-user/pdf/*.pdf
#%doc docs/html/* docs/latex/
%defattr(-,root,root,0755)
%{_bindir}/*
%attr(0755,root,root) %{_initrddir}/LCDd
%{_libdir}/%{name}
%{_mandir}/man*/*
%{_sbindir}/*
%dir %{_sysconfdir}/lcdproc
%config(noreplace) %{_sysconfdir}/lcdproc/*
%config(noreplace) %{_sysconfdir}/lcdexec.conf
%config(noreplace) %{_sysconfdir}/lcdproc.conf
%config(noreplace) %{_sysconfdir}/lcdvc.conf
