%define lcms2_major	2
%define libname		%mklibname lcms2_ %{lcms2_major}
%define devname		%mklibname lcms2 -d

%define rel		1
# release candidate
%define relc		0

%if %{relc}
%define release		%mkrel 0.rc%{relc}.%{rel}
%define distname	%{name}-%{version}rc%{relc}
%else
%define release		%mkrel %{rel}
%define distname	%{name}-%{version}
%endif

Name:		lcms2
Version:	2.16
Release:	%{release}
Summary:	Color Management Engine
License:	MIT
Group:		Graphics/Utilities
URL:		https://www.littlecms.com/
Source0:	https://www.littlecms.com/%{distname}.tar.gz
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	meson

%description
LittleCMS intends to be a small-footprint, speed optimized color management
engine in open source form. LCMS2 is the current version of LCMS, and can be
parallel installed with the original (deprecated) lcms.

%files
%doc AUTHORS README.md
%license LICENSE
%{_bindir}/jpgicc2
%{_bindir}/linkicc2
%{_bindir}/psicc2
%{_bindir}/tificc2
%{_bindir}/transicc2
%{_mandir}/man1/*

#------------------------------------------------------------------------------

%package -n %{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n %{libname}
Library for %{name}.

%files -n %{libname}
%license LICENSE
%{_libdir}/liblcms2.so.%{lcms2_major}{,.*}

#------------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for LittleCMS
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for LittleCMS.

%files -n %{devname}
%{_includedir}/%{name}*.h
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#------------------------------------------------------------------------------

%prep
%setup -q -n %{distname}
%autopatch -p1

%build
%meson -Dutils=true
%meson_build

%install
%meson_install
mkdir -p %{buildroot}%{_includedir}/lcms2
install -D -m 644 include/lcms2.h %{buildroot}%{_includedir}/lcms2/lcms2.h
install -D -m 644 include/lcms2_plugin.h %{buildroot}%{_includedir}/lcms2/lcms2_plugin.h

for prog in jpgicc linkicc psicc tificc transicc; do
  mv %{buildroot}%{_bindir}/${prog} %{buildroot}%{_bindir}/${prog}2
done

%check
%meson_test
