Name: 		ldapvi
Version: 	1.7
Release: 	%mkrel 29
Summary: 	Performs an LDAP search and update results using a text editor
License: 	GPLv2+
Group: 		System/Configuration
URL:		http://www.lichteblau.com/ldapvi.html
Source0: 	http://www.lichteblau.com/download/%{name}-%{version}.tar.gz
Patch0:		ldapvi-makefile.in-destdir.patch
# (misc) patch to fix the naming conflict between function "getline" of stdio.h
# and private function getline in common.h, by renaming it
# comes from upstream : 256ced029c235687bfafdffd07be7d47bf7af39b
Patch1:     	ldapvi-fix_naming_conflict.diff
# Patch to fix incorrect vim modeline. Downloaded from redhat bugzilla :
# https://bugzilla.redhat.com/show_bug.cgi?id=691958
Patch2:		fix-vim-modeline.patch
# fix warning about undeclared RAND_bytes()
Patch3:		ldapvi-1.7-rand_bytes.patch
# Reported upstream
# http://lists.askja.de/pipermail/ldapvi/2013-September/000116.html
Patch4:		ldapvi-1.7-incorrect-FSF-address.patch
# http://lists.askja.de/pipermail/ldapvi/2017-December/000120.html
Patch5:		0001-Don-t-switch-off-canonical-mode.patch
Patch6:		ldapvi-c99-1.patch
Patch7:		ldapvi-c99-2.patch
Patch8:		ldapvi-c99-3.patch
Patch9:		ldapvi-c99-4.patch
Patch10:	ldapvi-c99-5.patch

BuildRequires:	openldap-devel >= 2.2.0
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(popt)
BuildRequires:	pkgconfig(readline)
BuildRequires:	libxslt-proc

%description
ldapvi allows a user to perform an LDAP search and update results using
a text editor.

%prep
%setup -q
%patch -P 0 -p1 -b .orig
%patch -P 1 -p2 -b .conflict
%patch -P 2 -p2
%patch -P 3 -p1 -b .rand_bytes
%patch -P 4 -p1 -b .FSFaddress
%patch -P 5 -p1 -b .nopassword
%patch -P 6 -p1
%patch -P 7 -p1
%patch -P 8 -p1
%patch -P 10 -p1

%build
%set_build_flags
# Declare additional historic OpenLDAP functions in header files.
CFLAGS="$CFLAGS -DLDAP_DEPRECATED"
%configure
%make_build

%install
%make_install

xsltproc \
    %{buildroot}/%{_docdir}/%{name}/html.xsl \
    %{buildroot}/%{_docdir}/%{name}/manual.xml \
    > %{buildroot}/%{_docdir}/%{name}/manual.html

rm -f %{buildroot}/%{_docdir}/%{name}/html.xsl
rm -f %{buildroot}/%{_docdir}/%{name}/manual.xml

%files
%doc NEWS
%{_docdir}/%{name}/bg.png
%{_docdir}/%{name}/manual.*
%{_bindir}/%{name}
%{_mandir}/man?/*
