# fix build (debuginfo package is empty...):
# (we don't build anything, but we're arched b/c we include arched lists)
%define debug_package %{nil}

%ifarch aarch64
%define bootstrap 1
%else
%define bootstrap 0
%endif
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

# If you update this package, it's probably better to
# rebuild drakx-installer-stage2 with new IDs so that
# installer can configure newly know HW...
Name:		ldetect-lst
Version:	0.6.59
Release:	%mkrel 1
Summary:	Hardware list for the light detection library
URL:		https://gitweb.mageia.org/software/ldetect-lst/
Source0:	%{name}-%{version}.tar.xz
# NO MORE PATCHES ACCEPTED, COMMIT IN GIT INSTEAD
# (tmb) remp revert of vbox back to modesetting
Patch1:		0001-switch-VirtualBox-from-modesetting-to-vboxvideo.patch
#
Group:		System/Kernel and hardware
License:	GPLv2+
Requires(post):	perl-base gzip
Requires(preun): perl-base
BuildRequires:	perl(MDK::Common)
%if !%{bootstrap}
# for testsuite:
BuildRequires:	drakx-kbd-mouse-x11
# needed to create fallback-modules.alias
BuildRequires:	kernel-desktop-latest
# for list_modules.pm
BuildRequires:	drakxtools-backend >= 10.30
%endif
Conflicts:	ldetect < 0.7.18
Conflicts:	module-init-tools < 3.3-pre11.29
Conflicts:	usbutils < 0.86-2
Conflicts:	pnputils < 0.1-6
Obsoletes:	pciids <= 1:0.7-1.20091201
Provides:	pciids
Provides:	hwdata
# for XFdrake using nvidia-current instead of nvidia-97xx
Conflicts:	drakx-kbd-mouse-x11 < 0.21

%package	devel
Summary:	Devel for ldetect-lst
Group:		Development/Perl
Requires:	ldetect-lst = %{version}

%description
The hardware device lists provided by this package are used as lookup 
table to get hardware autodetection.

%description	devel
This package provides merge2pcitable, a tool that enables to merge in hardware
databases new entries packaged in, e.g. /usr/share/ldetect-lst/pcitable.d.

%prep
%setup -q
# NO MORE PATCHES ACCEPTED, COMMIT IN GIT INSTEAD
%patch -P 1 -p1 -R

%build
%if %{bootstrap}
pushd lst
touch hardcoded-modules.alias fallback-modules.alias preferred-modules.alias
popd
%endif

%make_build

%check
%if !%{bootstrap}
make check
%endif

%install
%makeinstall slibdir=$RPM_BUILD_ROOT/lib

# trigger is needed to upgrade from a package having
# /usr/share/ldetect-lst/pcitable in the package to the new scheme
%triggerpostun -- %{name}
if [ -x /usr/sbin/update-ldetect-lst ]; then
  /usr/sbin/update-ldetect-lst
fi

%preun -p "/usr/sbin/update-ldetect-lst --clean"

%post -p /usr/sbin/update-ldetect-lst

%files
%doc AUTHORS 
%{_datadir}/usb.ids
%{_datadir}/oui.txt
%{_datadir}/pci.ids
%{_datadir}/misc/pnp.ids
%{_datadir}/%{name}
%{_sbindir}/*
/lib/module-init-tools/ldetect-lst-modules.alias

%files devel
%doc convert/README.pcitable
%{_bindir}/*
