# EDIT IN GIT NOT IN SOURCE PACKAGE (NO PATCH ALLOWED).

%define lib_major 0.12
%define lib_minor 8
%define lib_name %mklibname %{name} %{lib_major}
%define develname %mklibname %name -d

Name:    ldetect
Version: %{lib_major}.%{lib_minor}
Release: %mkrel 6
Summary: Light hardware detection tool
Source: %{name}-%{version}.tar.xz
Group: System/Kernel and hardware
URL:	  https://gitweb.mageia.org/software/ldetect/
BuildRequires: usbutils
BuildRequires: pkgconfig(libpci)
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(libkmod)
BuildRequires: pkgconfig(udev)
License: GPL

%package -n %{lib_name}
Summary: Light hardware detection library
Requires: ldetect-lst common-licenses
Requires: pciids
# (tv) fix upgrade ordering (libpci3 needs to be updaded from 3.0 to 3.1 before ldetect is upgraded):
# (tv) and require a lib w/o double free:
Requires: %{mklibname pci 3} >= 3.1.4-3mdv2010.0
Group: System/Libraries

%package -n %develname
Summary: Development package for ldetect
Requires: %{lib_name} = %{version}
Provides: ldetect-devel = %version, libldetect-devel = %version
Group: Development/C

%description
The hardware device lists provided by this package are used as a lookup 
table to get hardware auto-detection.

%description -n %develname
see %name

%description -n %{lib_name}
see %name

%prep
%setup -q

%build
%make_build

%install
%makeinstall

%files
%doc AUTHORS
%_bindir/*

%files -n %{lib_name}
%_libdir/*.so.*

%files -n %develname
%doc ChangeLog
%_includedir/*
%_libdir/*.a
%_libdir/*.so




