%define major		3
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

%define build_python	1

Summary:	Lowlevel DNS(SEC) library with API
Name:		ldns
Version:	1.8.4
Release:	%mkrel 3
License:	BSD
Group:		System/Libraries
URL:		https://www.nlnetlabs.nl/ldns/
Source0:	https://www.nlnetlabs.nl/downloads/ldns/ldns-%{version}.tar.gz

BuildRequires:	pkgconfig(libpcap)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	doxygen
%if %{build_python}
BuildRequires:	swig
BuildRequires:	pkgconfig(python3)
%endif

%description
ldns is a library with the aim to simplify DNS programming in C. All
lowlevel DNS/DNSSEC operations are supported. We also define a higher
level API which allows a programmer to (for instance) create or sign
packets.

%package -n	%{name}-utils
Summary:	DNS(SEC) utility
Group:		Networking/Other

%description -n	%{name}-utils
This package contains various utilities used to manage
and validate DNSSEC zones using ldns library.

%package -n	%{libname}
Summary:	Lowlevel DNS(SEC) library with API
Group:		System/Libraries

%description -n	%{libname}
ldns is a library with the aim to simplify DNS programming in C. All
lowlevel DNS/DNSSEC operations are supported. We also define a higher
level API which allows a programmer to (for instance) create or sign
packets.

%package -n	%{develname}
Summary:	Development package that includes the ldns header files
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The devel package contains the ldns library and the include files.

%if %{build_python}
%package -n 	python3-%{name}
Summary:	Python 3 extensions for ldns
Group:		Development/Python
Provides:	python3dist(ldns)= %{version}
Provides:	python%{python3_version}dist(ldns)

Obsoletes:	python-ldns < 1.7.0-4
Provides:	python-ldns = %{version}-%{release}

%description -n python3-%{name}
Python 3 extensions for ldns.
%endif

%prep
%autosetup -p2

# Fix build with SWIG 4.3
sed -i -e 's/SWIG_Python_AppendOutput/SWIG_AppendOutput/g' $(grep -rl SWIG_Python_AppendOutput)

%build
export PYTHON=%{python3}
%configure \
    --disable-rpath \
%if %{build_python}
    --with-pyldns \
%endif
    --with-examples \
    --with-drill \
    --disable-gost \
    --disable-static

%make_build

%install
mkdir -p %{buildroot}%{_libdir}/pkgconfig
%make_install

# cleanup and fix --short-circuit
rm -rf docs; mkdir -p docs
cp -rp doc docs/
rm -rf docs/doc/man
rm -f docs/doc/doxyparse.pl
rm -f docs/doc/ldns_manpages
rm -rf docs/doc/.svn

#we don't want these
find %{buildroot} -name "*.la" -delete

%if %{build_python}
#remove executable bit
chmod a-x %{buildroot}%{python3_sitearch}/*py
%endif

%files -n %{libname}
%doc README
%license LICENSE
%{_libdir}/lib*so.%{major}{,.*}

%files -n %{develname}
%doc docs/* Changelog README
%dir %{_includedir}/ldns
%{_includedir}/ldns/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/*
%{_bindir}/%{name}-config

%files -n %{name}-utils
%{_bindir}/*
%exclude %{_bindir}/%{name}-config
%{_mandir}/man1/*

%if %{build_python}
%files -n python3-%{name}
%{python3_sitearch}/*
%endif
