Summary:	Leafnode - a leafsite NNTP server
Name: 		leafnode
Version: 	1.12.0
Release: 	%mkrel 1
License: 	Artistic
Group: 		System/Servers
URL:		https://www.leafnode.org/
Source: 	https://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Source1:	https://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz.asc
Source2:	%{name}.texpire
Source3:	%{name}.filters
Source4: 	%{name}.xinetd
Source5: 	%{name}-tmpfiles.conf
Conflicts:	inn
BuildRequires:	pkgconfig(libpcre2-8)
Requires:	xinetd
Requires(post):	systemd >= %{systemd_required_version}

%description
Leafnode is a small NNTP server for leaf sites without permanent
connection to the internet. It supports a subset of NNTP and is able to
automatically fetch the newsgroups the user reads regularly from the
newsserver of the ISP.

%prep
%setup -q

%build
%configure \
	--with-spooldir=/var/spool/news \
	--with-lockfile=/run/lock/news/%{name} \
	--sysconfdir=%{_sysconfdir}/%{name}
%__make -j4

%install
%make_install

install -d %{buildroot}%{_sysconfdir}/{cron.daily,%{name}}
install -m 755 %{SOURCE2} %{buildroot}%{_sysconfdir}/cron.daily/texpire
install -m 600 config.example %{buildroot}%{_sysconfdir}/%{name}/config
install -m 600 %{SOURCE3} %{buildroot}%{_sysconfdir}/leafnode/filters
install -D -m644 %{SOURCE4} %{buildroot}/etc/xinetd.d/%{name}
install -D -p -m 0644 %{SOURCE5} %{buildroot}%{_tmpfilesdir}/%{name}.conf

cp doc_german/README doc_german/README.de

# Install the man pages
install -d %{buildroot}%{_mandir}/{,de}/man{1,3,8}
install -m 644 doc_german/*.1 %{buildroot}%{_mandir}/de/man1
rm -rf doc_german/*.1
install -m 644 doc_german/*.8 %{buildroot}%{_mandir}/de/man8
rm -rf doc_german/*.8
install -m 644 `find . -name "*.1"` %{buildroot}%{_mandir}/man1
install -m 644 `find . -name "*.8"` %{buildroot}%{_mandir}/man8
rm -f %{buildroot}%{_mandir}/man?/pcre*
mkdir -p %{buildroot}/var/spool/news/message.id/{0,1,2,3,4,5,6,7,8,9}{0,1,2,3,4,5,6,7,8,9}{0,1,2,3,4,5,6,7,8,9}

%pre
%_pre_useradd news /etc/news %{_sbindir}/nologin

if [ -f %{_sysconfdir}/cron.daily/texpire.cron ]; then
  rm -f %{_sysconfdir}/cron.daily/texpire.cron
fi

%post
%_tmpfilescreate %{name}

%files
%doc CREDITS UNINSTALL-daemontools README tools/archivefaq.pl update.sh
%license COPYING
%attr(755,root,root) %config(noreplace) %{_sysconfdir}/cron.daily/texpire
%{_mandir}/man1/*
%lang(de) %{_mandir}/de/man1/*
%{_mandir}/man8/*
%lang(de) %{_mandir}/de/man8/*
%defattr (644,news,news,755)
%dir %{_sysconfdir}/leafnode
%attr(600,news,news) %config(noreplace) %{_sysconfdir}/leafnode/*
%config(noreplace) %{_sysconfdir}/xinetd.d/%{name}
%attr(750,news,news) %{_sbindir}/*
%attr(755,news,news) %{_bindir}/*
%{_tmpfilesdir}/%{name}.conf
%dir /var/spool/news
%dir /var/spool/news/*
%dir /var/spool/news/message.id/*
