%define major   1
%define libname %mklibname led %{major}
%define devname %mklibname ledmon -d

Summary:        Enclosure LED Utilities
Name:           ledmon
Version:        1.1.0
Release:        %mkrel 1
Group:          System/Libraries
License:        GPL-2.0-only AND LGPL-2.1-only
URL:            https://github.com/intel/ledmon
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  autoconf-archive
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  sg3_utils-devel
BuildRequires:  pkgconfig(libconfig)
BuildRequires:  pkgconfig(libpci)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(systemd)
BuildRequires:  systemd-rpm-macros

%description
The ledmon and ledctl are user space applications design to control LED
associated with each slot in an enclosure or a drive bay. There are two
types of system: 2-LED system (Activity LED, Status LED) and 3-LED system
(Activity LED, Locate LED, Fail LED). User must have root privileges to
use this application.

%package -n %{libname}
Summary:        Runtime library files for %{name}
Group:          System/Libraries

%description -n %{libname}
This package contains runtime libraries for applications
that use %{name}.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
autoreconf -fiv
%configure --enable-systemd=yes \
           --enable-library \
           --disable-static
%make_build

%install
%make_install

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%systemd_postun_with_restart %{name}.service

%files
%doc README.md
%license COPYING
%{_sbindir}/ledctl
%{_sbindir}/ledmon
%{_unitdir}/ledmon.service
%{_mandir}/man5/ledmon.conf.5*
%{_mandir}/man8/ledctl.8*
%{_mandir}/man8/ledmon.8*

%files -n %{libname}
%license COPYING.LIB
%{_libdir}/libled.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/led/
%{_libdir}/libled.so
%{_libdir}/pkgconfig/%{name}.pc
