Summary:	CAD program to build virtual LEGO models
Name:		leocad
Version:	23.03
Release:	%mkrel 1
License:	GPLv2
Group:		Toys
Url:		https://www.leocad.org
Source0:	https://github.com/leozide/leocad/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		0001-Fixes-for-Qt6.patch
BuildRequires:	qttools6
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6OpenGL)
BuildRequires:	cmake(Qt6OpenGLWidgets)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Xml)

Requires:	leocad-data

%description
LeoCAD is a CAD program that can be used to create virtual LEGO models.

It has an easy to use interface and currently features over 6000 different
pieces created by the LDraw community.

%prep
%autosetup -p1

sed -i -e 's,\(resources/leocad.\)png,\1svg,g' leocad.pro

# switch to UTF-8
for i in docs/*.txt; do
	mv $i $i.old
	iconv -f ISO-8859-1 -t UTF-8 -o $i $i.old
done

%build
%qmake_qt6 DISABLE_UPDATE_CHECK=1
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

#for data
mkdir -p %{buildroot}%{_datadir}/%{name}

#handle doc in files section
rm -rf %{buildroot}%{_docdir}

%files
%doc docs/*.txt
%{_bindir}/leocad
%{_datadir}/applications/leocad.desktop
%{_iconsdir}/hicolor/scalable/mimetypes/application-vnd.leocad.svg
%{_iconsdir}/hicolor/scalable/apps/leocad.svg
%{_iconsdir}/hicolor/*/mimetypes/application-vnd.leocad.png
%{_iconsdir}/hicolor/*/apps/leocad.png
%dir %{_datadir}/%{name}/
%{_datadir}/mime/packages/leocad.xml
%{_metainfodir}/leocad.appdata.xml
%{_mandir}/man1/leocad.1*
