Summary:    A lossless compression for JPEG files
Name:       lepton
Version:    1.2.1
Release:    %mkrel 4
License:    GPLv2+
Group:      Graphics/Utilities
Url:        https://github.com/dropbox/lepton
Source:     https://github.com/dropbox/lepton/archive/%{version}.tar.gz
ExclusiveArch:  %ix86 x86_64
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  glibc-static-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libstdc++-static-devel
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(zlib)

%description
Lepton is a tool and file format for losslessly compressing JPEGs by an average
of 22%.

This can be used to archive large photo collections, or to serve images live
and save 22% bandwidth.

%prep
%setup -q

# fix compiler flags
sed -i \
  -e 's,SET(CMAKE_CXX_FLAGS ",SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ,' \
  -e 's,SET(CMAKE_C_FLAGS ",SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ,' \
  CMakeLists.txt

%build
%cmake \
  -DUSE_SYSTEM_DEPENDENCIES:BOOL=ON
%cmake_build

%install
%cmake_install

%files
%license license.txt
%doc AUTHORS README.md
%{_bindir}/*
