%define major	6
%define liblept	%mklibname %{name} %{major}
%define devlept	%mklibname %{name} -d

%bcond_without	prog

Name:		leptonica
Version:	1.85.0
Release:	%mkrel 1
Summary:	C library for image processing and analysis
License:	Leptonica
Group:		Graphics/Utilities
URL:		http://www.leptonica.org/
Source0:	https://github.com/DanBloomberg/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz
# From fedora
Patch0:		leptonica_cmake.patch

BuildRequires:	cmake
BuildRequires:	giflib-devel
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(zlib)

%description
Leptonica is open source software that is broadly useful for image processing
and image analysis applications.

Featured operations are:
 * Rasterop (a.k.a. bitblt)
 * Affine transformations (scaling, translation, rotation, shear) on images
   of arbitrary pixel depth
 * Binary and gray-scale morphology, rank order, and convolution
 * Seedfill and connected components
 * Image transformations combining changes in scale and pixel depth
 * Pixelwise masking, blending, enhancement, arithmetic ops, etc.

%package -n	%{liblept}
Summary:	C library for image processing and analysis
Group:		System/Libraries
Provides:	%{_lib}lept = %{version}-%{release}

%description -n	%{liblept}
Leptonica is open source software that is broadly useful for image processing
and image analysis applications.

Featured operations are:
 * Rasterop (a.k.a. bitblt)
 * Affine transformations (scaling, translation, rotation, shear) on images
   of arbitrary pixel depth
 * Binary and gray-scale morphology, rank order, and convolution
 * Seedfill and connected components
 * Image transformations combining changes in scale and pixel depth
 * Pixelwise masking, blending, enhancement, arithmetic ops, etc.

%package -n	%{devlept}
Summary:	Leptonica header files
Group:		System/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{_lib}lept-devel = %{version}-%{release}
Obsoletes:	%{_lib}lept-devel < %{version}-%{release}
Requires:	%{liblept} = %{version}-%{release}

%description -n	%{devlept}
This package contains leptonica header files needed by developers.

%prep
%autosetup -p1

%build
%cmake -DBUILD_PROG:BOOL=%{?with_prog:ON}%{!?with_prog:OFF}
%cmake_build

%install
%cmake_install

%files
%license leptonica-license.txt
%{_bindir}/convertfilestopdf
%{_bindir}/convertfilestops
%{_bindir}/convertformat
%{_bindir}/convertsegfilestopdf
%{_bindir}/convertsegfilestops
%{_bindir}/converttopdf
%{_bindir}/converttops
%{_bindir}/fileinfo
%{_bindir}/imagetops
%{_bindir}/xtractprotos

%files -n %{liblept}
%doc leptonica-license.txt version-notes.html
%{_libdir}/libleptonica.so.%{major}{,.*}

%files -n %{devlept}
%{_includedir}/%{name}/
%{_libdir}/libleptonica.so
%{_libdir}/pkgconfig/lept.pc
%{_libdir}/cmake/%{name}/
