%define	major		0
%define	libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

# build options
%define	enable_dante	0
%{?_with_dante: %define enable_dante 1}

Summary:	Commandline ftp client
Name:		lftp
Version:	4.9.2
Release:	%mkrel 5
URL:		https://lftp.yar.ru/
Group:		Networking/File transfer
License:	GPLv2+
Source0:	https://lftp.yar.ru/ftp/%{name}-%{version}.tar.xz
Source1:	https://lftp.yar.ru/ftp/%{name}-%{version}.tar.xz.asc
Patch0:		lftp-2.2.0-lftpgetmanpage.patch
Patch1:		lftp-3.7.7-distro-defaults.patch
Patch2:		lftp-4.9.0-link.patch
Patch3:		lftp-4.4.0-automake.patch
Patch4:		lftp-autoconf2.70.patch
Patch5:		fd40ee3542d877c37ff129d5c9b02df21d20c6a0.patch
Patch6:		lftp-4.9.2-fedora-c99.patch
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libidn2)
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(zlib)
BuildRequires: desktop-file-utils
%if %{enable_dante}
BuildRequires:	dante-devel
%endif
Requires:	less
Requires:	%{libname} = %{version}

%description
LFTP is a shell-like command line ftp client. The main two advantages
over other ftp clients are reliability and ability to perform tasks
in background. It will reconnect and re-get the file being transferred
if the connection broke. You can start a transfer in background and
continue browsing on the ftp site.  It does this all in one process.
When you have started background jobs and feel you are done, you can
just exit lftp and it automatically moves to nohup mode and completes
the transfers. It has also such nice features as re-put and mirror.

%if %{enable_dante}
Build option:
--with dante	Enable dante support
%endif

%package -n %{libname}
Summary:	Dynamic libraries from %{name}
Group:		System/Libraries

%description -n	%{libname}
Dynamic libraries from %{name}.

%package -n %{develname}
Summary:	Header files and static libraries from %{name}
Group:		Development/C
Requires:	%{libname} >= %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes:	%mklibname -d lftp 0

%description -n	%{develname}
Libraries and includes files for developing programs based on %{name}.

%package scripts
Summary:	Scripts for lftp
Group:		Networking/File transfer
Requires:	lftp >= %{version}-%{release}
BuildArch:	noarch
Conflicts:	lftp <= 4.7.2-1.mga6

%description scripts
Utility scripts for use with lftp.

%prep
%setup -q
%autopatch -p1

# fix encoding
iconv -f ISO-8859-1 -t UTF-8 NEWS -o NEWS.utf8
touch -r NEWS NEWS.utf8
mv -f NEWS.utf8 NEWS

%build
autoreconf -fi
%configure \
	--with-modules=yes \
	--with-pager="exec less" \
%if %{enable_dante}
	--with-socksdante=yes \
%endif

%make_build

%install
%make_install MKDIR_P="mkdir -p" INSTALL='install -p' 

%find_lang %{name}

# don't ship .la
find %{buildroot} -name '*.la' -delete

%files -f %{name}.lang
%doc COPYING FAQ MIRRORS NEWS
%doc README.* THANKS TODO 
%config(noreplace) %{_sysconfdir}/lftp.conf
%{_bindir}/*
%{_mandir}/man?/*
%{_datadir}/applications/lftp.desktop
%{_datadir}/icons/hicolor/*/apps/*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}
%dir %{_libdir}/lftp
%dir %{_libdir}/lftp/%{version}
%{_libdir}/lftp/%{version}/*.so

%files -n %{develname}
%{_libdir}/*.so

%files scripts
%{_datadir}/lftp

