Name:		lgeneral
Version:	1.4.4
Release:	%mkrel 1
Summary:	A Panzer General clone
URL:		https://lgames.sourceforge.net/LGeneral/
Source0:	https://prdownloads.sourceforge.net/lgeneral/%{name}-%{version}.tar.gz
#Patch0:		lgeneral-1.4.3-mga-gettext.patch
License:	GPLv2+
Group:		Games/Strategy
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL-devel
BuildRequires:	gettext-devel
BuildRequires:	desktop-file-utils
Recommends:	kukgen-data

%description
LGeneral is a turn-based strategy engine heavily inspired by Panzer General.
You play single scenarios or whole campaigns turn by turn against a human
player or the AI. Entrenchment, rugged defense, defensive fire, surprise
contacts, surrender, unit supply, weather influence, reinforcements and other
implementations contribute to the tactical and strategic depth of the game.

%prep
%autosetup -p1
# Force a rebuild of the translation strings as they were broken in 1.4.3
rm po/lgeneral/lgeneral.pot po/pg/pg.pot

#Desktop file is not valid UTF-8
iconv lgeneral.desktop -f ISO-8859-15 -t UTF-8 > lgeneral-utf8.desktop
mv lgeneral-utf8.desktop lgeneral.desktop


%build
%configure	--bindir=%{_gamesbindir} --datadir=%{_datadir}
%make_build

%install
%make_install

%find_lang lgeneral pg %{name}.lang


%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README* TODO
%{_datadir}/%{name}
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man[16]/*
%{_gamesbindir}/*

