%define major		0
%define libname		%mklibname aacs %{major}
%define devname		%mklibname aacs -d

Name:		libaacs
Version:	0.11.1
Release:	%mkrel 1
Summary:	Open implementation of the Advanced Access Content System specification
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.videolan.org/developers/libaacs.html
Source0:	https://download.videolan.org/pub/videolan/libaacs/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:	libgcrypt-devel
BuildRequires:	bison
BuildRequires:	byacc
BuildRequires:	flex

%description
libaacs is a research project to implement
the Advanced Access Content System specification.
This research project provides, through an open-source
library, a way to understand how the AACS works.

%package -n	%{libname}
Summary:	libaacs libraries files
Group:		System/Libraries

%description -n %{libname}
Libraries files for %{name}.

%package -n	%{devname}
Summary:	libaacs development files
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	aacs-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{devname}
Development files for %{name}.

%prep
%setup -q

sed -i -e 's/\r//' KEYDB.cfg

%build
%configure \
		--disable-static
%make_build

%install
%make_install

%files
%license COPYING
%doc ChangeLog KEYDB.cfg README*
%{_bindir}/aacs_info

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/%{name}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
