%define api      1.0
%define major    7
%define libname  %mklibname aal %{api} %{major}
%define devname  %mklibname aal -d

%define minmajor 0
%define minlib   %mklibname aal-minimal %{minmajor}

Name:          libaal
Version:       1.0.7
Release:       %mkrel 1
Summary:       A library that provides application abstraction mechanism
Group:         System/Libraries
License:       GPLv2
URL:           https://sourceforge.net/projects/reiser4
Source:        https://downloads.sf.net/reiser4/libaal-%{version}.tar.gz
Patch0:        libaal-1.0.6-cflags.patch
Patch1:        autoconf-2.72.patch
BuildRequires: gcc-c++

%description
This is a library that provides application abstraction mechanism.
It includes device abstraction, libc independence code, etc.

%package -n %libname
Summary:       A library that provides application abstraction mechanism
Group:         System/Libraries

%description -n %libname
This is a library that provides application abstraction mechanism.
It includes device abstraction, libc independence code, etc.

%package -n %minlib
Summary:       A library that provides application abstraction mechanism
Group:         System/Libraries

%description -n %minlib
This is a library that provides application abstraction mechanism.
It includes device abstraction, libc independence code, etc.

%package -n %devname
Group:         Development/C
Summary:       Static libraries and headers for %{name}
Requires:      %{libname} = %{version}-%{release}
Requires:      %{minlib} = %{version}-%{release}
Provides:      %{name}-devel = %{version}-%{release}

%description -n %devname
This is a library that provides application abstraction mechanism.
It includes device abstraction, libc independence code, etc.
This package contains static libraries and header files need for development.

%prep
%autosetup -p1

%build
rm -f configure
autoreconf -fi

%configure \
	--disable-static

%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%license COPYING*
%doc AUTHORS BUGS CREDITS ChangeLog README THANKS TODO
%{_libdir}/libaal-%{api}.so.%{major}{,.*}

%files -n %{minlib}
%license COPYING*
%doc AUTHORS BUGS CREDITS ChangeLog README THANKS TODO
%{_libdir}/libaal-minimal.so.%{minmajor}{,.*}

%files -n %{devname}
%{_includedir}/aal/
%{_libdir}/*.so
%{_datadir}/aclocal/libaal.m4
