%global gittag0 VERSION_%{version}

%define major     0
%define gmajor    1.0
%define libname   %mklibname accounts-glib %major
%define libgir    %mklibname accounts-glib-gir %{gmajor}
%define develname %mklibname accounts-glib -d

Name:           libaccounts-glib
Version:        1.27
Release:        %mkrel 3
Group:          System/Libraries
Summary:        Accounts and SSO (Single Sign-On) framework
License:        LGPLv2
URL:            https://gitlab.com/accounts-sso/libaccounts-glib
Source0:        https://gitlab.com/accounts-sso/libaccounts-glib/-/archive/%{gittag0}/%{name}-%{gittag0}.tar.bz2

BuildRequires:  pkgconfig(check) >= 0.9.4
BuildRequires:  pkgconfig(gio-2.0) >= 2.36
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.26
BuildRequires:  pkgconfig(gobject-2.0) >= 2.35.1
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(pygobject-3.0) >= 2.90
BuildRequires:  pkgconfig(sqlite3) >= 3.7.0
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-gobject3
BuildRequires:  xsltproc
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  gnome-common
BuildRequires:  gtk-doc
BuildRequires:  vala-tools
BuildRequires:  meson

%description
Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
platforms.

%package -n %{libname}
Group:          System/Libraries
Summary:        Accounts and SSO (Single Sign-On) framework

%description -n %{libname}
Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
platforms.

%package -n %{libgir}
Group:          System/Libraries
Summary:        GObject Introspection interface description for %{name}
Requires:       %{libname} = %{version}-%{release}

%description -n %{libgir}
GObject Introspection interface description for %{name}.

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libgir} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{name}-devel%{?_isa} = %{version}-%{release}

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

%package -n python3-%{name}
Summary:        Python 3 binding for %{name}
Group:          Development/Python
Requires:       python3-gobject3

%description -n python3-%{name}
Python 3 binding for %{name}.

%package docs
Summary:        Documentation for %{name}
Group:          Documentation
BuildArch:      noarch

%description docs
The %{name}-docs package contains documentation for %{name}.

%prep
%autosetup -p1 -n %{name}-%{gittag0}

%build
%meson -D install-py-overrides=true
%meson_build

%install
%meson_install

# create/own data dirs
mkdir -p %{buildroot}%{_datadir}/accounts/{applications,providers,services,service_types}

# add docs manually to %%doc instead
rm -rfv %{buildroot}%{_prefix}/doc/reference

%files
%license COPYING
%doc NEWS
%{_bindir}/ag-backup
%{_bindir}/ag-tool
%dir %{_datadir}/xml/
%dir %{_datadir}/xml/accounts/
%dir %{_datadir}/xml/accounts/schema/
%dir %{_datadir}/xml/accounts/schema/dtd
%{_datadir}/xml/accounts/schema/dtd/accounts-*.dtd
%dir %{_datadir}/accounts/
%dir %{_datadir}/accounts/applications/
%dir %{_datadir}/accounts/providers/
%dir %{_datadir}/accounts/services/
%dir %{_datadir}/accounts/service_types/
%dir %{_datadir}/gettext/its
%{_datadir}/gettext/its/accounts-*

%files -n %{libname}
%license COPYING
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{version}

%files -n %{libgir}
%{_libdir}/girepository-1.0/Accounts-%{gmajor}.typelib

%files -n %{develname}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}
%{_datadir}/gir-1.0/Accounts-%{gmajor}.gir
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/vala/vapi/*

%files docs
%{_datadir}/gtk-doc/html/libaccounts-glib/

%files -n python3-%{name}
%{python3_sitearch}/gi/overrides/Accounts.*
%{python3_sitearch}/gi/overrides/__pycache__/Accounts.*
