%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global apiver  1
%global gtk_version 4.11.3

%global major       0
%define libname     %mklibname adwaita %{apiver} %{major}
%define girname     %mklibname adwaita-gir %{apiver}
%define devname     %mklibname adwaita -d

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:           libadwaita
Version:        1.7.0
Release:        %mkrel 1
Summary:        Building blocks for modern GNOME applications
Group:          System/Libraries

License:        LGPLv2+
URL:            https://gitlab.gnome.org/GNOME/libadwaita
Source0:        https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  gi-docgen
BuildRequires:  pkgconfig(appstream-glib)
BuildRequires:  meson >= 0.59.0
BuildRequires:  sassc
BuildRequires:  vala

BuildRequires:  pkgconfig(appstream)
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk4) >= %{gtk_version}

%description
Building blocks for modern GNOME applications.


%package        -n %libname
Summary:        Library for %{name}
Group:		System/Libraries
# (tv) for translations & the like:
Requires:	%{name} >= %{version}-%{release}

%description    -n %libname
Library for %{name}.

%package        -n %{girname}
Summary:        GObject Introspection interface library for Adw
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description    -n %{girname}
GObject Introspection interface library for Adw.

%package        -n %devname
Summary:        Development files for %{name}
Group:          Development/C
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Requires:       %{girname} = %{version}-%{release}
Requires:       vala
Recommends:     %{name}-demo = %{version}-%{release}
Recommends:     %{name}-doc = %{version}-%{release}

%description    -n %devname
Development files for %{name}.


%package        doc
Summary:        Documentation files for %{name}
BuildArch:      noarch

Recommends:     %{devname} = %{version}-%{release}

%description    doc
Documentation files for %{name}.


%package        demo
Summary:        Demo files for %{name}
Requires:       %{libname} = %{version}-%{release}
Suggests:       %{devname} = %{version}-%{release}

%description    demo
Demo files for %{name}.


%prep
%autosetup -p1 -n %{name}-%{tarball_version}


%build
%meson \
    -Dgtk_doc=true \
    -Dtests=false \
    %{nil}
%meson_build


%install
%meson_install
%find_lang %{name}



%files -f %{name}.lang
%license COPYING
%doc README.md AUTHORS NEWS

%files -n %libname
%{_libdir}/*-%{apiver}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Adw-%{apiver}.typelib

%files -n %devname
%{_datadir}/gir-1.0/Adw-%{apiver}.gir
%{_datadir}/vala/vapi/%{name}-%{apiver}.*
%{_includedir}/%{name}-%{apiver}/
%{_libdir}/*-%{apiver}.so
%{_libdir}/pkgconfig/*-%{apiver}.pc

%files doc
%doc CONTRIBUTING.md
%{_docdir}/%{name}-%{apiver}/

%files demo
%{_bindir}/adwaita-%{apiver}-demo
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*.svg
%{_metainfodir}/*.metainfo.xml
