%define rname		alkimia
%define api		5
%define major		8
%define libname		%mklibname %{rname} %{api} %{major}
%define develname	%mklibname %{rname} -d

Summary:	Financial library
Name:		libalkimia
Version:	8.1.2
Release:	%mkrel 1
License:	LGPLv2+
Group:		Office/Finance
URL:		https://community.kde.org/Alkimia/libalkimia
Source0:	https://download.kde.org/stable/alkimia/%{version}/%{rname}-%{version}.tar.xz
BuildRequires:	doxygen
BuildRequires:	gmpxx-devel
BuildRequires:	mpir-devel
BuildRequires:	kf5-rpm-macros
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5Completion)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5Plasma)
BuildRequires:	cmake(KF5NewStuff)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5IconThemes)
BuildRequires:	cmake(KF5TextWidgets)
BuildRequires:	cmake(KF5XmlGui)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5WebEngineWidgets)

%description 
Financial library used by KMyMoney and Skrooge.

#-----------------------------------------------------------------------------

%package -n	plasma-applets-%{rname}
Summary:	Financial applets
Group:		Office/Finance

%description -n	plasma-applets-%{rname}
Financial applets for plasma desktop.

%files -n plasma-applets-%{rname} -f %{name}.lang
%{_kf5_bindir}/onlinequoteseditor5
%{_kf5_metainfodir}/org.wincak.foreigncurrencies2.appdata.xml
%{_kf5_datadir}/plasma/plasmoids/org.wincak.foreigncurrencies2
%{_kf5_applicationsdir}/org.kde.onlinequoteseditor5.desktop
%{_kf5_iconsdir}/*/*/apps/onlinequoteseditor5.*
%{_kf5_services}/plasma-applet-org.wincak.foreigncurrencies2.desktop
%{_qt5_qmldir}/org/kde/alkimia
%{_kf5_datadir}/knsrcfiles/*-quotes.knsrc
%{_kf5_metainfodir}/org.kde.onlinequoteseditor5.appdata.xml

#-----------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Financial library
Group:		Office/Finance
Obsoletes:	%{name} < 4.3.1-2
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
Financial library used by KMyMoney and Skrooge.

%files -n %{libname} -f %{name}.lang
%{_libdir}/%{name}%{api}.so.%{major}{,.*}

#-----------------------------------------------------------------------------

%package -n %{develname}
Summary:	Development files for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	gmpxx-devel
Obsoletes:	libalkimia-devel < 5.0.0-2

%description -n %{develname}
Development files for %{name}.

%files -n %{develname}
%{_libdir}/%{name}%{api}.so
%{_libdir}/pkgconfig/%{name}%{api}.pc
%{_libdir}/cmake/LibAlkimia%{api}-*/
%{_includedir}/%{rname}/

#-----------------------------------------------------------------------------

%prep
%setup -q -n %{rname}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name
