%global __provides_exclude_from %{_libdir}/ao/plugins-4/.*\\.so

%define major		4
%define	libname		%mklibname ao %{major}
%define develname	%mklibname ao -d

Name:		libao
Summary:	Cross Platform Audio Output Library
Version:	1.2.2
Release:	%mkrel 8
Group:		System/Libraries
License:	GPLv2+
URL:		https://www.xiph.org/ao/
Source0:	https://downloads.xiph.org/releases/ao/%{name}-%{version}.tar.gz
Patch0:		libao-1.2.2-linking.patch
Patch1:		libao-1.2.2-CVE-2017-11548.patch
Patch2:		libao-nanosleep.patch
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(libpulse)

%description
Libao is a cross-platform audio library that allows programs
to output audio using a simple API on a wide variety of platforms.
It currently supports:

- ALSA
- Esound
- PulseAudio
- OSS

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%autosetup -p1

# remove incorrect flags, optflag will be used instead
sed -i "s/-O20 -ffast-math//" configure configure.ac

%build
autoreconf -vfi
%configure \
	--disable-esd \
	--disable-arts \
	--enable-pulse \
	--enable-alsa-mmap

# (Fedora) kill rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build -C src libao.la
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

rm -rf %{buildroot}%{_libdir}/ckport/
rm -rf %{buildroot}%{_docdir}

%files -n %{libname}
%doc AUTHORS README
%license COPYING
%{_libdir}/libao.so.%{major}{,.*}
%dir %{_libdir}/ao/
%dir %{_libdir}/ao/plugins-4/
%{_libdir}/ao/plugins-4/libalsa.so
%{_libdir}/ao/plugins-4/liboss.so
%{_libdir}/ao/plugins-4/libpulse.so

%files -n %{develname}
%doc CHANGES doc/*.{html,c,css}
%{_includedir}/ao
%{_libdir}/libao.so
%{_datadir}/aclocal/ao.m4
%{_libdir}/pkgconfig/*
%{_mandir}/man5/*
