#Module-Specific definitions
%define rversion 2.17

%define mod_name mod_apreq

%define major     3
%define libname   %mklibname apreq2_ %{major}
%define develname %mklibname apreq -d

Name:		libapreq2
Version:	%perl_convert_version %{rversion}
Release:	%mkrel 4
Summary:	Apache Request Library
License:	Apache License
Group:		System/Libraries
URL:		https://httpd.apache.org/apreq/
Source0:	https://www.apache.org/dist/httpd/libapreq/libapreq2-%{rversion}.tar.gz
Source2:	mod_apreq2.conf
Patch0:         %{name}-build.patch
Patch1:		libapreq2-2.08-autoconf260.diff
Patch2:		libapreq2-2.13-automake-1.13.patch
Patch3:         %{name}-2.12-install.patch
Patch4:		%{name}-2.17-incompatible-pointer.patch
BuildRequires:	chrpath
BuildRequires:	perl-devel
BuildRequires:	perl-doc
BuildRequires:	perl(Pod::Tests)
BuildRequires:	perl(Apache::Test)
BuildRequires:	perl(Template::Toolkit)
BuildRequires:	perl(Tie::IxHash)
BuildRequires:	perl(ExtUtils::XSBuilder)
BuildRequires:	perl(Parse::RecDescent)
BuildRequires:	perl-libwww-perl
BuildRequires:	apache-mod_perl-devel
BuildRequires:	apache-mod_perl
BuildRequires:	apache-devel

%description
libapreq is a safe, standards-compliant, high-performance library used for
parsing HTTP cookies, query-strings and POST data. The original version
(libapreq-1.X) was designed by Lincoln Stein and Doug MacEachern. The perl
APIs Apache::Request and Apache::Cookie are the lightweight mod_perl analogs of
the CGI and CGI::Cookie perl modules.

This package contains the shared libraries for %{name}

%package -n	%{libname}
Summary:	Apache Request Library
Group: 		System/Libraries

%description -n	%{libname}
libapreq is a safe, standards-compliant, high-performance library used for
parsing HTTP cookies, query-strings and POST data. The original version
(libapreq-1.X) was designed by Lincoln Stein and Doug MacEachern. The perl
APIs Apache::Request and Apache::Cookie are the lightweight mod_perl analogs of
the CGI and CGI::Cookie perl modules.

This package contains the shared libraries for %{name}

%package -n	%{develname}
Summary:	Development library and header files for the Apache Request Library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	libapreq-devel = %{version}

%description -n	%{develname}
libapreq is a safe, standards-compliant, high-performance library used for
parsing HTTP cookies, query-strings and POST data. The original version
(libapreq-1.X) was designed by Lincoln Stein and Doug MacEachern. The perl
APIs Apache::Request and Apache::Cookie are the lightweight mod_perl analogs of
the CGI and CGI::Cookie perl modules.

This package contains the development library and its header files.

%package -n	perl-libapreq2
Summary:	Apache Request Library Perl Glue
Group:		System/Servers
Requires:	apache-mod_perl
Requires:	apache-mod_apreq >= %{version}

%description -n perl-libapreq2
libapreq is a safe, standards-compliant, high-performance library used for
parsing HTTP cookies, query-strings and POST data. The original version
(libapreq-1.X) was designed by Lincoln Stein and Doug MacEachern. The perl
APIs Apache::Request and Apache::Cookie are the lightweight mod_perl analogs of
the CGI and CGI::Cookie perl modules.

%package -n	apache-%{mod_name}
Summary:	DSO module for the apache Web server
Group:		System/Servers
Requires:	apache
Requires:	perl-libapreq2 >= %{version}

%description -n	apache-%{mod_name}
Mod_%{name} is a DSO module for the apache Web server.

%prep
%setup -q -n libapreq2-%{rversion}
%patch -P 0
%patch -P 1 -p0
%patch -P 2 -p1
%patch -P 3 -p1
%patch -P 4 -p1

%build
# to recognize aarch64
autoreconf -vfi

sh ./buildconf
%configure \
    --disable-static \
    --with-perl=%{_bindir}/perl \
    --enable-perl-glue \
    --with-mm-opts=INSTALLDIRS=vendor \
    --with-apache2-apxs=%{_httpd_apxs} \
    --with-apr-config=%{_bindir}/apr-1-config \
    --with-apu-config=%{_bindir}/apu-1-config

%make_build

# Build the perl modules
#pushd glue/perl
#    %%{__perl} ../../build/xsbuilder.pl run
#    CFLAGS="%%{optflags}" %%{__perl} Makefile.PL -apxs %%{_sbindir}/apxs INSTALLDIRS=vendor
#    %%make_build
#    mv Makefile Makefile.xx
#popd

#make test

%install
%make_install

install -D -m 644 %{SOURCE2} %{buildroot}%{_httpd_modconfdir}/10_mod_apreq2.conf

# install one extra devel file
install -m0755 apreq*-config %{buildroot}%{_bindir}/

# install the perl stuff
#pushd glue/perl
#cp Makefile.xx Makefile
#%%make_install
#popd

# nuke rpath
find %{buildroot}%{perl_vendorarch} -name "*.so" | xargs chmod 0755
find %{buildroot}%{perl_vendorarch} -name "*.so" | xargs chrpath -d
find %{buildroot}%{_libdir} -name "*.so*" | xargs chrpath -d

# cleanup
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc CHANGES README
%{_libdir}/libapreq2.so.%{major}{,.*}

%files -n %{develname}
%doc CHANGES README
%{_bindir}/apreq*-config
%{_libdir}/libapreq*.so
%{_includedir}/apreq*
%{_includedir}/httpd/apreq*

%files -n apache-%{mod_name}
%doc CHANGES README
%config(noreplace) %{_httpd_modconfdir}/10_mod_apreq2.conf
%{_httpd_moddir}/mod_apreq2.so

%files -n perl-libapreq2
%doc CHANGES README
%{perl_vendorarch}/auto/APR/Request/*
%{perl_vendorarch}/Apache2/*
%{perl_vendorarch}/APR/*
%{_mandir}/man3/*
