%define	major		13
%define libname		%mklibname archive %{major}
%define develname	%mklibname archive -d

Summary:	Library for reading and writing streaming archives
Name:		libarchive
Version:	3.7.9
Release:	%mkrel 1
License:	BSD
Group:		System/Libraries
URL:		https://www.libarchive.org/
Source0:	https://github.com/%{name}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		libarchive-2.6.1-headers.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	libtool
BuildRequires:	sharutils
BuildRequires:	libacl-devel
BuildRequires:	libattr-devel
BuildRequires:	e2fsprogs-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(openssl) >= 1.1
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(lzo2)
BuildRequires:	pkgconfig(liblz4)
BuildRequires:	pkgconfig(libzstd)
BuildRequires:	pkgconfig(libxml-2.0)

%description
Libarchive is a programming library that can create and read several different
streaming archive formats, including most popular tar variants and several cpio
formats. It can also write shar archives and read ISO9660 CDROM images and ZIP
archives. The bsdtar program is an implementation of tar(1) that is built on
top of libarchive. It started as a test harness, but has grown and is now the
standard system tar for FreeBSD 5 and 6.

%package -n	%{libname}
Summary:	Library for reading and writing streaming archives
Group:          System/Libraries

%description -n	%{libname}
Libarchive is a programming library that can create and read several different
streaming archive formats, including most popular tar variants and several cpio
formats. It can also write shar archives and read ISO9660 CDROM images and ZIP
archives. The bsdtar program is an implementation of tar(1) that is built on
top of libarchive. It started as a test harness, but has grown and is now the
standard system tar for FreeBSD 5 and 6.

%package -n	%{develname}
Summary:	Static library and header files for the libarchive library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}

%description -n	%{develname}
Libarchive is a programming library that can create and read several different
streaming archive formats, including most popular tar variants and several cpio
formats. It can also write shar archives and read ISO9660 CDROM images and ZIP
archives. The bsdtar program is an implementation of tar(1) that is built on
top of libarchive. It started as a test harness, but has grown and is now the
standard system tar for FreeBSD 5 and 6.

This package contains header files for the libarchive library.

%package -n	bsdtar
Summary:	Full-featured tar replacement built on libarchive
Group:		Archiving/Backup

%description -n	bsdtar
The bsdtar program is a full-featured tar replacement built on libarchive.

%package -n	bsdcpio
Summary:	Copy files to and from archives
Group:		Archiving/Backup

%description -n	bsdcpio
bsdcpio copies files between archives and directories. This implementation can
extract from tar, pax, cpio, zip, jar, ar, and ISO 9660 cdrom images and can
create tar, pax, cpio, ar, and shar archives.

%package -n     bsdcat
Summary:        Expand files to standard output
Group:	        Networking/Other

%description -n bsdcat
The bsdcat program typically takes a filename as an argument or reads standard
input when used in a pipe.  In both cases decompressed data it written to
standard output.

%package -n	bsdunzip
Summary:	Full-featured unzip replacement built on libarchive
Group:		Archiving/Backup

%description -n	bsdunzip
The bsdunzip program is a full-featured unzip replacement built on libarchive.


%prep
%autosetup -p1

%build
autoreconf -if
%configure \
    --disable-static \
    --with-lzo2 \
    --enable-bsdtar=shared \
    --enable-bsdcat=shared \
    --enable-bsdcpio=shared \
    --enable-bsdunzip=shared

%make_build

%install
%make_install

%files -n bsdtar
%{_bindir}/bsdtar
%{_mandir}/man1/bsdtar.1*

%files -n bsdcat
%license COPYING
%doc NEWS
%{_bindir}/bsdcat
%{_mandir}/*/bsdcat*

%files -n bsdcpio
%{_bindir}/bsdcpio
%{_mandir}/man1/bsdcpio.1*

%files -n bsdunzip
%{_bindir}/bsdunzip
%{_mandir}/man1/bsdunzip.1*

%files -n %{libname}
%doc NEWS
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/libarchive.pc
%{_includedir}/*.h
%{_mandir}/man3/*
%{_mandir}/man5/*
