%define major		9
%define libname		%mklibname assuan %{major}
%define develname	%mklibname assuan -d

Summary:	An IPC library for non-persistent servers
Name:		libassuan
Version:	3.0.1
Release:	%mkrel 1
License:	LGPLv3
Group:		System/Libraries
URL:		https://www.gnupg.org/
Source0:	https://gnupg.org/ftp/gcrypt/%{name}/%{name}-%{version}.tar.bz2
Source1:	https://gnupg.org/ftp/gcrypt/%{name}/%{name}-%{version}.tar.bz2.sig
BuildRequires:	pkgconfig(gpg-error)

%description
This is the IPC library used by GnuPG 1.9, gpgme and the old newpg
package. It used to be included with the latter packages but the
authors decided to separated it out to a standalone library.

%package -n	%{libname}
Summary:	An IPC library for non-persistent servers
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
This is the IPC library used by GnuPG 1.9, gpgme and the old newpg
package. It used to be included with the latter packages but the
authors decided to separated it out to a standalone library.

%package -n	%{develname}
Summary:	Header files and static library for assuan
Group:		Development/C
Provides:	assuan-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{develname}
Header files and static library for assuan.

%prep
%autosetup -p1

%build
%configure \
	--includedir=%{_includedir}/libassuan2 \
	--with-pic \
	--disable-static
%make_build

%install
%make_install

%files -n %{libname}
%{_libdir}/libassuan.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog AUTHORS NEWS README
%{_bindir}/libassuan-config
%{_includedir}/libassuan2
%{_datadir}/aclocal/*.m4
%{_libdir}/libassuan.so
%{_infodir}/*.info*
%{_libdir}/pkgconfig/libassuan.pc
