%define major		2
%define libname		%mklibname ast %{major}
%define develname	%mklibname ast -d

Summary:	Library of Assorted Spiffy Things
Name:		libast
Version:	0.7
Release:	%mkrel 23
Group:		System/Libraries
License:	BSD
URL:		http://www.eterm.org/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		libast-m4-include.patch
Patch1:		libast-configure-c99.patch
BuildRequires:	pkgconfig(imlib2)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xt)

%package -n	%{libname}
Summary:	Library of Assorted Spiffy Things
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%package -n	%{develname}
Summary:	Development related files for LibAST
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description
LibAST is the Library of Assorted Spiffy Things.  It contains various
handy routines and drop-in substitutes for some good-but-non-portable
functions.  It currently has a built-in memory tracking subsystem as
well as some debugging aids and other similar tools.

%description -n	%{libname}
LibAST is the Library of Assorted Spiffy Things.  It contains various
handy routines and drop-in substitutes for some good-but-non-portable
functions.  It currently has a built-in memory tracking subsystem as
well as some debugging aids and other similar tools.

%description -n	%{develname}
Install this package if you need to compile applications that needs
%{name}.

%prep
%autosetup -p1

%build
# fix build on aarch64
autoreconf -vfi -I.

# -lX11 is to work around a dependency problem
%configure --disable-static \
           --with-regexp=posix \
           LIBS=-lX11
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc README
%{_libdir}/lib*.so.%{major}{,.*}

%files  -n %{develname}
%doc README
%{_libdir}/lib*.so
%{_includedir}/*
%{_datadir}/aclocal/*.m4
%{_bindir}/*-config
