%define shortname asyncns
%define major 0
%define libname %mklibname %shortname %major
%define libname_devel %mklibname -d %shortname

Summary: A library for executing name service queries asynchronously
Name: libasyncns
Version: 0.8
Release: %mkrel 13
Source0: https://0pointer.de/lennart/projects/libasyncns/%{name}-%{version}.tar.gz
Patch0: libasyncns-0.8-libdir.patch
License: LGPL
Group: System/Libraries
URL: https://0pointer.de/lennart/projects/libasyncns/
BuildRequires : doxygen

%description
A small and lightweight library that implements easy to use asynchronous
wrappers around the libc NSS functions getaddrinfo(), res_query() and related.


#----------------------------------------------------------------------------

%package -n %{libname}
Summary: A library for executing name service queries asynchronously
Group: System/Libraries
Provides: %name = %{version}-%{release}

%description -n %{libname}
A small and lightweight library that implements easy to use asynchronous
wrappers around the libc NSS functions getaddrinfo(), res_query() and related.


#----------------------------------------------------------------------------

%package -n %{libname_devel}
Summary: Development files for %{name}
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}


%description -n %{libname_devel}
Development files for %{name}

#----------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

# make autoreconf more happy
sed -i -e 's,\(AC_PROG_CPP.*\),\1\nAM_PROG_AR,' configure.ac

%build
# fix build on aarch64
autoreconf -vfi
%configure --disable-static
%make_build

%install
%make_install
find %{buildroot} \( -name *.a -o -name *.la \) -exec rm -f {} \;

#----------------------------------------------------------------------------

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{libname_devel}
%doc %{_docdir}/%{name}
%{_includedir}/%{shortname}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
