%define major   3
%define sname   atg
%define libname %mklibname %{sname} %{major}
%define devname %mklibname %{sname} -d

Name:           libatg
Version:        3.0.0
Release:        %mkrel 5
Summary:        A Tiny GUI toolkit for SDL
Group:          System/Libraries
License:        GPLv3+
URL:            https://github.com/ec429/libatg
Source0:        https://github.com/ec429/libatg/archive/lv%{version}.tar.gz
# https://github.com/ec429/libatg/pull/5
Patch0:         0001-Makefile-Support-DESTDIR-and-overriding-LIBDIR.patch
Patch1:         0002-Makefile-Enforce-CC-tag-for-libtool.patch
Patch2:         0003-Makefile-Do-not-run-ldconfig-libtool-does-it-already.patch
Patch3:         libatg-3.0.0-mga-heap-cleanup.patch

BuildRequires:  fonts-ttf-liberation
BuildRequires:  libtool
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_ttf)

%description
A Tiny GUI (atg) is a small, simple GUI library/toolkit for SDL, providing
things like buttons and clickables to allow you to concentrate on your
program logic. atg is loosely based on Spiffy's GUI, though genericised.

#----------------------------------------------------------------------------

%package -n     %{libname}
Summary:        A Tiny GUI toolkit for SDL
Group:          System/Libraries
Requires:       fonts-ttf-liberation

%description -n %{libname}
A Tiny GUI (atg) is a small, simple GUI library/toolkit for SDL, providing
things like buttons and clickables to allow you to concentrate on your
program logic. atg is loosely based on Spiffy's GUI, though genericised.

This package contains the shared libraries.

%files -n       %{libname}
%{_libdir}/lib%{sname}.so.%{major}{,.*}

#----------------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development headers for A Tiny GUI
Group:          Development/C
Provides:       %{sname}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{devname}
A Tiny GUI (atg) is a small, simple GUI library/toolkit for SDL, providing
things like buttons and clickables to allow you to concentrate on your
program logic. atg is loosely based on Spiffy's GUI, though genericised.

This package contains the development headers.

%files -n       %{devname}
%{_includedir}/%{sname}*.h
%{_libdir}/lib%{sname}.so

#----------------------------------------------------------------------------

%prep
%autosetup -n %{name}-lv%{version}

%build
%set_build_flags
%make_build \
    PREFIX=%{_prefix} \
    LIBDIR=%{_libdir}

%install
%make_install \
    PREFIX=%{_prefix} \
    LIBDIR=%{_libdir}

find %{buildroot} -name "*.la" -delete
find %{buildroot} -name "*.a" -delete
