%define rawname		atomic_ops
%define major		1
%define libname		%mklibname %{rawname} %{major} 
%define libgpl		%mklibname %{rawname}_gpl %{major}
%define libname_devel	%mklibname %{rawname} -d

Name:		libatomic_ops
Version:	7.8.2
Release:	%mkrel 1
Summary:	Multiplatform atomic memory operation library
# libatomic_ops MIT, libatomic_ops_gpl GPLv2
License:	GPLv2 and MIT
Group:		System/Libraries
URL:		https://github.com/ivmai/libatomic_ops
Source0:	https://github.com/ivmai/libatomic_ops/releases/download/v%{version}/%{name}-%{version}.tar.gz

%description
Multiplatform atomic memory operation library.

%package -n	%{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n	%{libname}
This package contains the shared library for %{name}.

%package -n	%{libgpl}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n	%{libgpl}
This package contains the shared library for %{name}.

%package -n	%{libname_devel}
Summary:	Multiplatform atomic memory operation library
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libgpl} = %{version}-%{release}
# Cross-arch provides
Provides:	%{name}-devel = %{version}
Provides:	%{rawname}-devel = %{version}

%description -n	%{libname_devel}
Provides implementations for atomic memory update operations on a number of
architectures. This allows direct use of these in reasonably portable code.
Unlike earlier similar packages, this one explicitly considers memory barrier
semantics, and allows the construction of code that involves minimum overhead
across a variety of architectures.

The package has been at least minimally tested on X86, Itanium, Alpha,
PA-RISC, PowerPC, and SPARC, with Linux, Microsoft Windows, HP/UX, Solaris
and MACOSX operating systems. Some implementations are more complete than
others.

It should be useful both for high performance multi-threaded code which can't
afford to use the standard locking primitives, or for code that has to access
shared data structures from signal handlers. For details, see README.txt in
the distribution.

The most recent version adds support for operations on data of different
sizes, and adds an optional library providing almost-lock-free stacks (see
Boehm, "An almost non-blocking stack", also here) and a signal-handler-safe
memory allocator based on it. See README_stack.txt and README_malloc.txt for
details.


%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure \
	--enable-static \
	--enable-shared
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%check
%ifarch armv5tl
# Not SMP safe on armv5, which is fine has armv5 has no SMP support, but we
# build armv5 on an armv7 kernel with SMP...
taskset -c 0 make check
%else
%__make check
%endif

%files -n %{libname}
%{_libdir}/lib%{rawname}.so.%{major}{,.*}

%files -n %{libgpl}
%{_libdir}/lib%{rawname}_gpl.so.%{major}{,.*}

%files -n  %{libname_devel}
%{_docdir}/%{name}/
%{_includedir}/*.h
%dir %{_includedir}/%{rawname}
%{_includedir}/%{rawname}/*.h
%dir %{_includedir}/%{rawname}/sysdeps
%{_includedir}/%{rawname}/sysdeps/*.h
%dir %{_includedir}/%{rawname}/sysdeps/gcc
%{_includedir}/%{rawname}/sysdeps/gcc/*.h
%dir %{_includedir}/%{rawname}/sysdeps/hpc
%{_includedir}/%{rawname}/sysdeps/hpc/*.h
%dir %{_includedir}/%{rawname}/sysdeps/ibmc
%{_includedir}/%{rawname}/sysdeps/ibmc/*.h
%dir %{_includedir}/%{rawname}/sysdeps/icc
%{_includedir}/%{rawname}/sysdeps/icc/*.h
%dir %{_includedir}/%{rawname}/sysdeps/loadstore
%{_includedir}/%{rawname}/sysdeps/loadstore/*.h
%dir %{_includedir}/%{rawname}/sysdeps/msftc
%{_includedir}/%{rawname}/sysdeps/msftc/*.h
%dir %{_includedir}/%{rawname}/sysdeps/sunc
%{_includedir}/%{rawname}/sysdeps/sunc/*.h
%dir %{_includedir}/%{rawname}/sysdeps/armcc
%{_includedir}/%{rawname}/sysdeps/armcc/*.h
%{_libdir}/pkgconfig/%{rawname}.pc
%{_libdir}/lib%{rawname}*.so
%{_libdir}/lib%{rawname}*.a
