%define major		16
%define libname		%mklibname avif %{major}
%define develname	%mklibname avif -d

Name:		libavif
Version:	1.2.1
Release:	%mkrel 1
Summary:	Library for encoding and decoding .avif files
Group:		System/Libraries
License:	BSD
URL:		https://github.com/AOMediaCodec/libavif
Source0:	https://github.com/AOMediaCodec/libavif/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		libavif-no-avifgainmaputil.patch

BuildRequires:	cmake
BuildRequires:	nasm
BuildRequires:	pkgconfig(aom)
BuildRequires:	pkgconfig(dav1d)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(rav1e)
BuildRequires:	pkgconfig(SvtAv1Enc)
BuildRequires:	pkgconfig(zlib)
# not yet in mageia repo
#BuildRequires:	pkgconfig(libgav1)
#BuildRequires:	pkgconfig(libyuv)

%description
This library aims to be a friendly, portable C implementation of the AV1 Image
File Format, as described here:

https://aomediacodec.github.io/av1-avif/

#------------------------------------------------

%package -n	%{libname}
Summary:	Library for encoding and decoding .avif files
Group:		System/Libraries

%description -n %{libname}
This library aims to be a friendly, portable C implementation of the AV1 Image
File Format, as described here:

https://aomediacodec.github.io/av1-avif/

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	avif-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%package	tools
Summary:	Tools to encode and decode AVIF files
Group:		Development/Tools

%description	tools
This library aims to be a friendly, portable C implementation of the AV1 Image
File Format, as described here:

https://aomediacodec.github.io/av1-avif/

This package holds the commandline tools to encode and decode AVIF files.

#------------------------------------------------

%package -n	avif-pixbuf-loader
Summary:	AVIF image loader for GTK+ applications
Group:		Development/Tools
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
Requires:	gdk-pixbuf2.0

Conflicts:	libavif-tools < 0.11.1-3

%description -n	avif-pixbuf-loader
Avif-pixbuf-loader contains a plugin to load AVIF images in GTK+ applications.

#------------------------------------------------

%prep
%autosetup -p1

%build
%cmake  -DAVIF_CODEC_AOM=SYSTEM \
        -DAVIF_CODEC_DAV1D=SYSTEM \
        -DAVIF_CODEC_RAV1E=SYSTEM \
        -DAVIF_CODEC_SVT=SYSTEM \
        -DAVIF_LIBARGPARSE=SYSTEM \
        -DAVIF_BUILD_APPS=1 \
        -DAVIF_BUILD_GDK_PIXBUF=1 \
        -DAVIF_LIBYUV=0
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license LICENSE
%{_libdir}/libavif.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libavif.so
%{_includedir}/avif/
%{_libdir}/cmake/libavif/
%{_libdir}/pkgconfig/libavif.pc

%files tools
%doc CHANGELOG.md README.md
%{_bindir}/avifdec
%{_bindir}/avifenc

%files -n avif-pixbuf-loader
%license LICENSE
%{_libdir}/gdk-pixbuf-2.0/*/loaders/libpixbufloader-avif.so
%{_datadir}/thumbnailers/avif.thumbnailer
