%define api	0.1
%define major	1

%define libname	%mklibname ayatana-appindicator %{major}
%define girname	%mklibname ayatanaappindicator-gir %{api}
%define devname	%mklibname ayatana-appindicator -d

Name:		libayatana-appindicator-glib
Version:	0.5.93
Release:	%mkrel 1
Summary:	Ayatana Application Indicator (Shared Library)
License:	LGPLv2 AND LGPLv3 AND GPLv3
Group:		System/Libraries
URL:		https://ayatanaindicators.github.io/
Source0:	https://github.com/AyatanaIndicators/libayatana-appindicator-glib/archive/%{version}/%{name}-%{version}.tar.gz
Patch1:		0001-Fix-build-on-macOS.patch
Patch2:		0002-Correct-symbols-in-version-script-file.patch
Patch3:		0003-Rewrite-from-the-ground-up-using-Gio-menus-and-actio.patch
Patch4:		0004-Adjust-namespacing-to-the-new-name-libayatana-appind.patch
BuildRequires:	cmake
BuildRequires:	git-core
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)

%description
A library to allow applications to export a menu into the an Application
Indicators aware menu bar.

%package -n	%{libname}
Summary:	Ayatana application indicators library for GTK+3
Group:		System/Libraries

%description -n	%{libname}
A library to allow applications to export a menu into the an Application
Indicators aware menu bar.

%package -n	%{girname}
Summary:	GObject Introspection interface description for Ayatana Application Indicator
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
This package contains the GObject Introspection interface description
for Ayatana Application Indicator3 and GTK+3.

%package -n	%{devname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	ayatana-appindicator-glib-devel = %{version}-%{release}

%description -n	%{devname}
Development libraries and files for %{name}.

%prep
%autosetup -p1 -Sgit_am

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license COPYING*
%doc README.md
%{_libdir}/libayatana-appindicator-glib.so.%{major}{,.*}

%if 0
%files -n %{girname}
%license COPYING*
%doc README.md
%{_libdir}/girepository-1.0/AyatanaAppIndicator3-%{api}.typelib

%files -n %{devname}
%license COPYING*
%doc README.md
%doc %{_datadir}/gtk-doc/html/libayatana-appindicator3/
%{_includedir}/libayatana-appindicator3-%{api}/
%{_libdir}/libayatana-appindicator3.so
%{_libdir}/pkgconfig/ayatana-appindicator3-%{api}.pc
%{_datadir}/gir-1.0/AyatanaAppIndicator3-%{api}.gir
%{_datadir}/vala/vapi/ayatana-appindicator3-%{api}.*
%endif
