%define api		0.1
%define major		1
%define libname		%mklibname ayatana-appindicator3_ %{major}
%define girname		%mklibname ayatanaappindicator3-gir %{api}
%define develname	%mklibname ayatana-appindicator3 -d

%define libname2	%mklibname ayatana-appindicator %{major}
%define girname2	%mklibname ayatanaappindicator-gir %{api}
%define develname2	%mklibname ayatana-appindicator -d

%bcond_without gtk2
%bcond_without mono

Name:		libayatana-appindicator
Version:	0.5.94
Release:	%mkrel 1
Summary:	Ayatana application indicators library
License:	LGPLv2 AND LGPLv3 AND GPLv3
Group:		System/Libraries
URL:		https://ayatanaindicators.github.io/
Source0:	https://github.com/AyatanaIndicators/libayatana-appindicator/archive/%{version}/%{name}-%{version}.tar.gz
Patch1:		libayatana-appindicator-fix-mono-dir.patch
BuildRequires:	cmake
BuildRequires:	mate-common
BuildRequires:	vala
BuildRequires:	pkgconfig(ayatana-indicator3-0.4)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(dbusmenu-glib-0.4)
BuildRequires:	pkgconfig(dbusmenu-gtk3-0.4)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
%if %{with gtk2}
BuildRequires:	pkgconfig(ayatana-indicator-0.4)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(dbusmenu-gtk-0.4)
%endif
%if %{with mono}
%if %{with gtk2}
BuildRequires:	pkgconfig(gapi-2.0)
BuildRequires:	pkgconfig(gtk-sharp-2.0)
%endif
BuildRequires:	pkgconfig(gapi-3.0)
BuildRequires:	pkgconfig(gtk-sharp-3.0)
BuildRequires:	pkgconfig(mono)
BuildRequires:	pkgconfig(nunit)
%endif

%description
A library to allow applications to add an icon into the
StatusNotifier-compatible notification area. If none are available,
it also provides an XEmbed-tray fallback.

#------------------------------------------------

%package -n	%{libname}
Summary:	Ayatana application indicators library for GTK+3
Group:		System/Libraries
# Provides hack for google-chrome
Provides:	libappindicator3.so.1%{_arch_tag_suffix}
# provides hack for slack application
Provides:		libappindicator-gtk3 = %{version}-%{release}
Obsoletes:	%{_lib}appindicator3_1 < 12.10.0-25

%description -n	%{libname}
A library to allow applications to add an icon into the
StatusNotifier-compatible notification area. If none are available,
it also provides an XEmbed-tray fallback.

This package contains the GTK+3 version of the library.

#------------------------------------------------

%package -n	%{girname}
Summary:	GObject Introspection interface description for Ayatana Application Indicator3
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}ayatana-appindicator3-gir0.1 < 0.5.5-2

%description -n %{girname}
This package contains the GObject Introspection interface description
for Ayatana Application Indicator3 and GTK+3.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}3 (GTK+3)
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	ayatana-appindicator3-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}3 (GTK+3).

#------------------------------------------------

%package -n     %{libname2}
Summary:	Ayatana application indicators library for GTK+2
Group:		System/Libraries

%description -n %{libname2}
A library to allow applications to add an icon into the
StatusNotifier-compatible notification area. If none are available,
it also provides an XEmbed-tray fallback.

This package contains the GTK+2 version of the library.

#------------------------------------------------

%package -n     %{girname2}
Summary:	GObject Introspection interface description for Ayatana Application Indicator
Group:		System/Libraries
Requires:	%{libname2} = %{version}-%{release}

%description -n %{girname2}
This package contains the GObject Introspection interface description
for Ayatana Application Indicator and GTK+2.

#------------------------------------------------

%package -n     %{develname2}
Summary:	Development package for %{name} (GTK+2)
Group:		Development/C++
Requires:	%{libname2} = %{version}-%{release}
Requires:	%{girname2} = %{version}-%{release}
Provides:	ayatana-appindicator-devel = %{version}-%{release}

%description -n %{develname2}
Header files for development with %{name} (GTK+2).

#------------------------------------------------

%package -n	%{name}-doc
Summary:	Documentation for libayatana-appindicator
Group:		Documentation
BuildArch:	noarch

%description -n %{name}-doc
This package contains the documentation for the Ayatana
appindicator libraries.

#------------------------------------------------

%package -n	%{name}3-doc
Summary:	Documentation for libayatana-appindicator3
Group:		Documentation
BuildArch:	noarch

%description -n %{name}3-doc
This package contains the documentation for the Ayatana
appindicator3 libraries.

#------------------------------------------------

%if %{with mono}
%package -n     ayatana-appindicator3-sharp
Summary:        Ayatana application indicators library for C#
Group:          Development/C#

%description -n ayatana-appindicator3-sharp
This package provides the ayatana-appindicator-sharp assembly that
allows CLI (.NET) applications to take menus from applications and
place them in the panel.

This package provides assemblies to be used by applications.

#------------------------------------------------

%package -n     ayatana-appindicator3-sharp-devel
Summary:        Development files for ayatana-appindicator-sharp
Group:          Development/C#
Requires:	ayatana-appindicator-sharp >= %{version}-%{release}

%description -n ayatana-appindicator3-sharp-devel
This package contains the development files for the
ayatana-appindicator-sharp library.

#------------------------------------------------

%package -n	ayatana-appindicator-sharp
Summary:	Ayatana application indicators library for C#
Group:		Development/C#

%description -n	ayatana-appindicator-sharp
This package provides the ayatana-appindicator-sharp assembly that
allows CLI (.NET) applications to take menus from applications and
place them in the panel.

This package provides assemblies to be used by applications.

#------------------------------------------------

%package -n	ayatana-appindicator-sharp-devel
Summary:	Development files for ayatana-appindicator-sharp
Group:		Development/C#
Requires:	ayatana-appindicator-sharp >= %{version}-%{release}

%description -n	ayatana-appindicator-sharp-devel
This package contains the development files for the
ayatana-appindicator-sharp library.
%endif

#------------------------------------------------

%prep
%autosetup -p1

%build
%if %{with mono}
export CSC=%{_bindir}/mcs
%endif

%if %{with gtk2}
%define _vpath_builddir build-gtk2
%cmake -DFLAVOUR_GTK2:BOOL=ON -DENABLE_GTKDOC:BOOL=ON
%cmake_build
%endif

%define _vpath_builddir build-gtk3
%cmake -DFLAVOUR_GTK3:BOOL=ON -DENABLE_GTKDOC:BOOL=ON
%cmake_build

%install
%if %{with gtk2}
%define _vpath_builddir build-gtk2
%cmake_install
%endif

%define _vpath_builddir build-gtk3
%cmake_install

# symlink hack for for google-chrome
ln -s $(readlink %{buildroot}%{_libdir}/libayatana-appindicator3.so.%{major}) %{buildroot}%{_libdir}/libappindicator3.so.1

# fix rights for proper debug info extracting
%if %{with gtk2}
chmod a+x %{buildroot}%{_libdir}/libayatana-appindicator.so.%{major}{,.*}
%endif
chmod a+x %{buildroot}%{_libdir}/libayatana-appindicator3.so.%{major}{,.*}

%files -n %{libname}
%license COPYING*
%doc README.md
%{_libdir}/libayatana-appindicator3.so.%{major}{,.*}
%{_libdir}/libappindicator3.so.1

%files -n %{girname}
%license COPYING*
%doc README.md
%{_libdir}/girepository-1.0/AyatanaAppIndicator3-%{api}.typelib

%files -n %{develname}
%license COPYING*
%doc README.md
%doc %{_datadir}/gtk-doc/html/libayatana-appindicator3/
%{_includedir}/libayatana-appindicator3-%{api}/
%{_libdir}/libayatana-appindicator3.so
%{_libdir}/pkgconfig/ayatana-appindicator3-%{api}.pc
%{_datadir}/gir-1.0/AyatanaAppIndicator3-%{api}.gir
%{_datadir}/vala/vapi/ayatana-appindicator3-%{api}.*

%if %{with gtk2}
%files -n %{name}-doc
%{_datadir}/gtk-doc/html/%{name}/
%endif

%files -n %{name}3-doc
%{_datadir}/gtk-doc/html/%{name}3/

%if %{with mono}
%files -n ayatana-appindicator3-sharp
%license COPYING*
%doc README.md
%{_libdir}/ayatana-appindicator3-sharp-%{api}/
#%%{_prefix}/lib/mono/ayatana-appindicator-sharp/
#%%{_prefix}/lib/mono/gac/ayatana-appindicator-sharp/
#%%{_prefix}/lib/mono/gac/policy.0.0.ayatana-appindicator-sharp/

%files -n ayatana-appindicator3-sharp-devel
%license COPYING*
%doc README.md
%{_libdir}/pkgconfig/ayatana-appindicator3-sharp-%{api}.pc

%if %{with gtk2}
%files -n ayatana-appindicator-sharp
%license COPYING*
%doc README.md
%{_libdir}/ayatana-appindicator-sharp-%{api}/
#%%{_prefix}/lib/mono/ayatana-appindicator-sharp/
#%%{_prefix}/lib/mono/gac/ayatana-appindicator-sharp/
#%%{_prefix}/lib/mono/gac/policy.0.0.ayatana-appindicator-sharp/

%files -n ayatana-appindicator-sharp-devel
%license COPYING*
%doc README.md
%{_libdir}/pkgconfig/ayatana-appindicator-sharp-%{api}.pc
%endif
%endif

%if %{with gtk2}
%files -n %{libname2}
%license COPYING*
%doc README.md
%{_libdir}/libayatana-appindicator.so.%{major}{,.*}

%files -n %{girname2}
%license COPYING*
%doc README.md
%{_libdir}/girepository-1.0/AyatanaAppIndicator-%{api}.typelib

%files -n %{develname2}
%license COPYING*
%doc README.md
%{_includedir}/libayatana-appindicator-%{api}/
%{_libdir}/libayatana-appindicator.so
%{_libdir}/pkgconfig/ayatana-appindicator-%{api}.pc
%{_datadir}/gir-1.0/AyatanaAppIndicator-%{api}.gir
%endif
