%define major	0
%define libname	%mklibname bdplus %{major}
%define devname	%mklibname bdplus -d

Name:		libbdplus
Version:	0.2.0
Release:	%mkrel 1
Summary:	Open implementation of the Advanced Access Content System specification
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.videolan.org/developers/libbdplus.html
Source0:	https://download.videolan.org/pub/videolan/libbdplus/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:	pkgconfig(gpg-error)
BuildRequires:	pkgconfig(libaacs) >= 0.10
BuildRequires:	pkgconfig(libgcrypt) >= 1.6

%description
libbdplus is a research project to implement the BD+ System
Specifications.

This research project provides, through an open-source library,
a way to understand how the BD+ works.

NB: this project doesn't offer any key, configuration file or
certificate that could be used to decode encrypted copyrighted
material.

%package -n	%{libname}
Summary:	libbdplus libraries files
Group:		System/Libraries

%description -n	%{libname}
libbdplus is a research project to implement the BD+ System
Specifications.

This research project provides, through an open-source library,
a way to understand how the BD+ works.

NB: this project doesn't offer any key, configuration file or
certificate that could be used to decode encrypted copyrighted
material.

%package -n	%{devname}
Summary:	Development package for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	bdplus-devel = %{version}-%{release}

%description -n	%{devname}
Header files for development with %{name}.

%prep
%autosetup

%build
%configure \
	--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc ChangeLog README.md
%license COPYING
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{devname}
%doc ChangeLog README.md
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
