%define	oname	binio

Name:		libbinio
Version:	1.5
Release:	%mkrel 1
Summary:	A software library for binary I/O classes in C++
License:	LGPLv2+
Group:		System/Libraries
URL:		https://adplug.github.io/libbinio
Source0:	https://github.com/adplug/%{name}/releases/download/%{name}-%{version}/%{name}-%{version}.tar.bz2
Patch1:		libbinio-1.4-string-conversion.patch
Patch3:		libbinio-missing-include.patch
BuildRequires:	gcc-c++

%description
The binary I/O stream class library presents a platform-independent
way to access binary data streams in C++.

The library is hardware independent in the form that it transparently
converts between the different forms of machine-internal binary data
representation.

It further employs no special I/O protocol and can be used on
arbitrary binary data sources.

%define	major	1
%define	libname	%mklibname %{oname} %{major}

%package -n	%{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n	%{libname}
The binary I/O stream class library presents a platform-independent
way to access binary data streams in C++.

The library is hardware independent in the form that it transparently
converts between the different forms of machine-internal binary data
representation.

It further employs no special I/O protocol and can be used on
arbitrary binary data sources.

This package contains the shared library needed to run applications
based on %{name}.

%define	libdev	%mklibname -d %{oname}

%package -n	%{libdev}
Summary:	Development files for %{name}
Group:		Development/C++
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:	%{_lib}binio-static-devel < 1.4-16

%description -n %{libdev}
The binary I/O stream class library presents a platform-independent
way to access binary data streams in C++.

The library is hardware independent in the form that it transparently
converts between the different forms of machine-internal binary data
representation.

It further employs no special I/O protocol and can be used on
arbitrary binary data sources.

This package contains C++ header files, the shared library symlink and
the developer documentation for %{name}.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%license COPYING
%doc README AUTHORS ChangeLog NEWS TODO
%{_libdir}/libbinio.so.%{major}{,.*}

%files -n %{libdev}
%{_includedir}/%{name}/
%{_libdir}/*.so
%{_infodir}/*.info*
%{_libdir}/pkgconfig/*.pc
