%global major   1
%define libname %mklibname blkio %major
%define devname %mklibname blkio -d

Name:          libblkio
Summary:       Block device I/O library
Version:       1.5.0
Release:       %mkrel 1
Group:         System/Libraries
License:       (Apache-2.0 OR MIT) AND (Apache-2.0 OR BSD-3-Clause) AND (Apache-2.0 OR Apache-2.0 WITH LLVM-exception OR MIT) AND BSD-3-Clause
URL:           https://gitlab.com/libblkio/libblkio
Source0:       https://gitlab.com/libblkio/libblkio/-/archive/v%{version}/libblkio-v%{version}.tar.bz2

# Basic build requirements.
BuildRequires: gcc, gcc-c++
BuildRequires: make
BuildRequires: meson
BuildRequires: python3-docutils
BuildRequires: pkgconf

BuildRequires: cargo-rpm-macros >= 24
BuildRequires: rust-bitflags1-devel
BuildRequires: rust-rustix0.37-devel

%description
libblkio is a library for high-performance block device I/O with
support for multi-queue devices. A C API is provided so that
applications can use the library from most programming languages.


%package -n %libname
Summary:       Block device I/O library
Group:         System/Libraries
Provides:      libblkio%{?_isa} = %{version}-%{release}
Provides:      libblkio = %{version}-%{release}
Obsoletes:     %{_lib}blkio0 < 1.3.0-4

%description -n %libname
libblkio is a library for high-performance block device I/O with
support for multi-queue devices. A C API is provided so that
applications can use the library from most programming languages.

%package -n %devname
Group:         Development/C
Summary:       Development tools for %{name}
Requires:      libblkio%{?_isa} = %{version}-%{release}
Provides:      blkio-devel%{?_isa} = %{version}-%{release}
Provides:      blkio-devel = %{version}-%{release}

%description -n %devname
This package contains development tools for %{name}.


%prep
%autosetup -n %{name}-v%{version} -p1
%cargo_prep

sed -e 's/--locked//' -i src/cargo-build.sh

%generate_buildrequires
%cargo_generate_buildrequires

%build
%meson -Ddebug=true -Doptimization=%{rustflags_opt_level}
%meson_build


%install
%meson_install


%files -n %libname
%license LICENSE-APACHE LICENSE-MIT LICENSE.crosvm
%doc README.rst
%{_libdir}/libblkio.so.%{major}{,.*}


%files -n %devname
%license LICENSE-APACHE LICENSE-MIT LICENSE.crosvm
%doc README.rst
%{_includedir}/blkio.h
%{_libdir}/libblkio.so
%{_libdir}/pkgconfig/blkio.pc
%{_mandir}/man3/blkio.3*


