%bcond_without	java

%define major	2
%define libname	%mklibname bluray %{major}
%define devname %mklibname bluray -d

Summary:	Blu-Ray Disc playback library for media players
Name:		libbluray
Version:	1.3.4
Release:	%mkrel 3
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.videolan.org/developers/libbluray.html
Source:		https://download.videolan.org/pub/videolan/libbluray/%{version}/%{name}-%{version}.tar.bz2
Patch1:		libbluray-1.3.4-java_21.patch
%if %{with java}
BuildRequires:	ant
BuildRequires:	java-devel >= 1:1.8.0
%endif
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(libudfread)

%description
libbluray is an open-source library designed for Blu-Ray Discs playback for
media players, like VLC or MPlayer.

The library has support for navigation, playlist parsing, menus and BD-J.

For BD-J support, you need to install libbluray-java.

This package does not contain any DRM circumvention functionality, so you can
only play unprotected Blu-Ray discs with it as is.

%package -n	%{libname}
Summary:	Blu-Ray Disc playback library for media players
Group:		System/Libraries

%description -n	%{libname}
libbluray is an open-source library designed for Blu-Ray Discs playback for
media players, like VLC or MPlayer.

For BD-J support, you need to install libbluray-java.

This package does not contain any DRM circumvention functionality, so you can
only play unprotected Blu-Ray discs with it as is.

%package	java
Summary:	BD-J support for libbluray
Group:		System/Libraries
Requires:	java-headless >= 1:1.8.0
Requires:	jpackage-utils

%description	java
libbluray is an open-source library designed for Blu-Ray Discs playback for
media players, like VLC or MPlayer.

This package contains the BD-J support for libbluray.

This package does not contain any DRM circumvention functionality.

%package -n	%{devname}
Summary:	libbluray development files
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	bluray-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{devname}
libbluray is an open-source library designed for Blu-Ray Discs playback for
media players, like VLC or MPlayer.

These are the files needed for building programs using libbluray.
This package does not contain any DRM circumvention functionality.

%prep
%autosetup -p1

%build
%if %{with java}
export JDK_HOME="%{_jvmdir}/java"
%endif

%configure \
	%{?!with_java:--disable-bdjava-jar} \
	%{?with_java:--with-java21} \
	--disable-static \
	--disable-examples
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{devname}
%doc README.md
%{_includedir}/%{name}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%if %{with java}
%files java
%{_javadir}/libbluray-j2se-%{version}.jar
%{_javadir}/libbluray-awt-j2se-%{version}.jar
%endif
