%undefine _hardened_build
# enable_gtkdoc: toggle if gtk-doc stuff should be rebuilt.
#	0 = no
#	1 = yes
%define enable_gtkdoc	0

# End of user configurable section
%{?_without_gtkdoc: %{expand: %%define enable_gtkdoc 0}}
%{?_with_gtkdoc: %{expand: %%define enable_gtkdoc 1}}

%define api_version	2
%define lib_major	0
%define lib_major_4	4
%define lib_name	%mklibname bonobo %{api_version} %{lib_major}
%define lib_name_activa	%mklibname bonobo-activation %{lib_major_4}
%define develname	%mklibname bonobo %{api_version} %{lib_major} -d

Name:		libbonobo
Summary:	Library for compound documents in GNOME
Version:	2.32.1
Release:	%mkrel 18
License:	GPLv2+ and LGPLv2+
Group:		System/Libraries
URL:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/2.32/%{name}-%{version}.tar.bz2
Patch0:		0001-Remove-use-of-G_DISABLE_DEPRECATED.patch
Patch1:		libbonobo-2.32.1-srcdir-macro.patch
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pkgconfig(gio-2.0) >= 2.25.7
BuildRequires:	pkgconfig(glib-2.0) >= 2.25.7
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.0.1
BuildRequires:	pkgconfig(gobject-2.0) >= 2.25.7
BuildRequires:	pkgconfig(gthread-2.0) >= 2.25.7
BuildRequires:	pkgconfig(libxml-2.0) >= 2.4.20
BuildRequires:	pkgconfig(ORBit-2.0) >= 2.11.2
BuildRequires:	pkgconfig(ORBit-CosNaming-2.0) >= 2.11.2
BuildRequires:	pkgconfig(popt)
BuildRequires:	intltool
BuildRequires:	automake
BuildRequires:	gtk-doc >= 0.9

Provides:	bonobo-activation

%description
Bonobo is a library that provides the necessary framework for GNOME
applications to deal with compound documents, i.e. those with a
spreadsheet and graphic embedded in a word-processing document.

This package contains various needed modules and files for bonobo 2
to operate.


%package -n	%{lib_name}
Summary:	Library for compound documents in GNOME
Group:		%{group}
Requires:	%{name} >= %{version}

%description -n %{lib_name}
Bonobo is a library that provides the necessary framework for GNOME
applications to deal with compound documents, i.e. those with a
spreadsheet and graphic embedded in a word-processing document.

This package provides main libraries to use Bonobo.


%package -n	%{lib_name_activa}
Summary:	Library for compound documents in GNOME
Group:		%{group}
Provides:	libbonobo-activation
Provides:	libbonobo-activation4

# ease upgrade mga8 -> mga9
Conflicts:	%{_lib}bonobo2_0 < 2.32.1-16

%description -n %{lib_name_activa}
Bonobo is a library that provides the necessary framework for GNOME
applications to deal with compound documents, i.e. those with a
spreadsheet and graphic embedded in a word-processing document.

This package provides libraries activation to use Bonobo.


%package -n	%{develname}
Summary:	Static libraries, include files and sample code for Bonobo 2
Group:		Development/GNOME and GTK+
Requires:	%{lib_name} = %{version}
Requires:	%{lib_name_activa} = %{version}
Requires:	%{name} = %{version}
Requires:	pkgconfig(popt)
Provides:	libbonobo-activation4-devel = %{version}-%{release}
Provides:	libbonobo-activation-devel = %{version}-%{release}

%description -n %{develname}
Bonobo is a library that provides the necessary framework for GNOME
applications to deal with compound documents, i.e. those with a
spreadsheet and graphic embedded in a word-processing document.

This package provides the necessary development libraries and include
files to allow you to develop programs using the Bonobo document model;
it includes demonstration executables and codes as well.


%prep
%autosetup -p1

%build
autoreconf -fi
%configure \
   --disable-static \
%if %enable_gtkdoc
   --enable-gtk-doc
%else
   --disable-gtk-doc
%endif

%make_build

%install
%make_install

%{find_lang} %{name}-2.0

find %{buildroot} -name '*.la' -delete
rm -f %{buildroot}%{_libdir}/bonobo/servers/{empty,broken,plugin}.server

%files -f %{name}-2.0.lang
%doc README NEWS AUTHORS
%config(noreplace) %{_sysconfdir}/bonobo-activation
%{_bindir}/*
%{_sbindir}/*
%{_libexecdir}/bonobo-activation-server
%{_datadir}/idl/*
%dir %{_libdir}/bonobo
%dir %{_libdir}/bonobo/monikers
%{_libdir}/bonobo/monikers/*.so*
%dir %{_libdir}/bonobo/servers
%{_libdir}/bonobo/servers/*
%{_libdir}/bonobo-2.0
%{_libdir}/orbit-2.0/*.so*
%{_mandir}/man1/*.1.*

%files -n %{lib_name}
%{_libdir}/libbonobo-%{api_version}.so.%{lib_major}{,.*}

%files -n %{lib_name_activa}
%{_libdir}/libbonobo-activation.so.%{lib_major_4}{,.*}

%files -n %develname
%doc changes.txt TODO ChangeLog
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/libbonobo-%{api_version}.so
%{_libdir}/libbonobo-activation.so
%{_libdir}/pkgconfig/*.pc
