%define api_version	2
%define lib_major	0
%define lib_name	%mklibname bonoboui %{api_version} %{lib_major}
%define develname %mklibname -d bonoboui %{api_version}

Name:		libbonoboui
Summary:	Library for compound documents in GNOME
Version: 	2.24.5
Release:	%mkrel 16
License:	GPLv2+ and LGPLv2+
URL:		https://www.gnome.org/
Group:		System/Libraries
Source0:	https://download.gnome.org/sources/%{name}/%{name}-%{version}.tar.bz2
Patch0:		libbonoboui-fix-building-with-gcc14.patch
BuildRequires: pkgconfig(bonobo-activation-2.0) >= 2.13.0
BuildRequires: pkgconfig(gconf-2.0) >= 1.1.9
BuildRequires: pkgconfig(gobject-2.0) >= 2.6.0
BuildRequires: pkgconfig(gtk+-2.0) >= 2.6.0
BuildRequires: pkgconfig(libbonobo-2.0) >= 2.13.0
BuildRequires: pkgconfig(libglade-2.0) >= 1.99.11
BuildRequires: pkgconfig(libgnome-2.0) >= 2.13.7
BuildRequires: pkgconfig(libgnomecanvas-2.0) >= 1.116.0
BuildRequires: pkgconfig(libxml-2.0) >= 2.4.20
BuildRequires: pkgconfig(popt)
BuildRequires:	intltool >= 0.40.0
BuildRequires:	gnome-common
BuildRequires:	gtk-doc >= 0.9
BuildRequires:  x11-server-xvfb
Requires: %{lib_name} = %{version}

%description
Bonobo is a library that provides the necessary framework for GNOME
applications to deal with compound documents, i.e. those with a
spreadsheet and graphic embedded in a word-processing document.

This package contains various needed modules and files for bonobo 2
to operate.

%package -n %{lib_name}
Summary:	Library for compound documents in GNOME
Group:		%{group}
Provides:	%{name}%{api_version} = %{version}-%{release}
Requires:	%{name} >= %{version}

%description -n %{lib_name}
Bonobo is a library that provides the necessary framework for GNOME
applications to deal with compound documents, i.e. those with a
spreadsheet and graphic embedded in a word-processing document.

This package provides libraries to use Bonobo.


%package -n %develname
Summary:	Static libraries, include files and sample code for Bonobo 2
Group:		Development/GNOME and GTK+
Provides:	%{name}%{api_version}-devel = %{version}-%{release}
Provides:	bonoboui-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	%{name} = %{version}
Obsoletes: %mklibname -d bonoboui 2 0

%description -n %develname
Bonobo is a library that provides the necessary framework for GNOME
applications to deal with compound documents, i.e. those with a
spreadsheet and graphic embedded in a word-processing document.

This package provides the necessary development libraries and include
files to allow you to develop programs using the Bonobo document model;
it includes demonstration executables and codes as well.

%prep
%autosetup -p1

%build
# to recognize aarch64
autoreconf -vfi

%configure --disable-static --enable-compile-warnings=no
%make_build

# disable checks for now. they're running fine outside a build chroot.
# issue may be related with systemd. The /etc/machine-id file is empty
# inside the build chroot.
#check
#xvfb-run -a make check

%install
%make_install

%{find_lang} %{name}-2.0

find %{buildroot} -name '*.la' -delete

%files -f %{name}-2.0.lang
%doc README NEWS changes.txt
%{_bindir}/*
%{_libdir}/bonobo/servers/*
%{_libdir}/bonobo-2.0
%{_libdir}/libglade/2.0/*.so
%{_datadir}/gnome-2.0
%{_datadir}/applications/bonobo-browser.desktop

%files -n %{lib_name}
%doc README NEWS
%{_libdir}/libbonoboui-%{api_version}.so.%{lib_major}{,.*}

%files -n %develname
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/libbonobo*.so
%{_libdir}/pkgconfig/*
