%define major 0
%define libname %mklibname bs2b %major
%define develname %mklibname -d bs2b

Summary: Bauer stereophonic-to-binaural DSP library
Name: libbs2b
Version: 3.1.0
Release: %mkrel 13
Source0: https://downloads.sourceforge.net/sourceforge/bs2b/%{name}-%{version}.tar.lzma
Patch: libbs2b-3.1.0-fix-format-strings.patch
License: MIT
Group: System/Libraries
Url: https://bs2b.sourceforge.net/
BuildRequires: pkgconfig(sndfile)

%description
The Bauer stereophonic-to-binaural DSP (bs2b) library and plugins is
designed to improve headphone listening of stereo audio
records. Recommended for headphone prolonged listening to disable
superstereo fatigue without essential distortions.

%package utils
Group: Sound/Utilities
Summary: Bauer stereophonic-to-binaural DSP library - sample tools

%description utils
The Bauer stereophonic-to-binaural DSP (bs2b) library and plugins is
designed to improve headphone listening of stereo audio
records. Recommended for headphone prolonged listening to disable
superstereo fatigue without essential distortions.

This contains the command line example tools.

%package -n %libname
Group: System/Libraries
Summary: Bauer stereophonic-to-binaural DSP library

%description -n %libname
The Bauer stereophonic-to-binaural DSP (bs2b) library and plugins is
designed to improve headphone listening of stereo audio
records. Recommended for headphone prolonged listening to disable
superstereo fatigue without essential distortions.

%package -n %develname
Group: Development/C
Summary: Bauer stereophonic-to-binaural DSP library
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release

%description -n %develname
The Bauer stereophonic-to-binaural DSP (bs2b) library and plugins is
designed to improve headphone listening of stereo audio
records. Recommended for headphone prolonged listening to disable
superstereo fatigue without essential distortions.

%prep
%setup -q
%autopatch -p1

# make autoreconf happy
sed -i -e 's,dist-lzma,dist-xz,' configure.ac

%build
# to recogniza aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

%files -n %libname
%_libdir/libbs2b.so.%{major}*

%files utils
%doc README AUTHORS
%_bindir/*

%files -n %develname
%doc ChangeLog doc/readme.txt
%_libdir/*.so
%_libdir/*a
%_includedir/bs2b
%_libdir/pkgconfig/*
