%define major		0
%define rname		bsd
%define libname		%mklibname %{rname} %{major}
%define libnamedev	%mklibname %{rname} -d

Name:		libbsd
Version:	0.12.2
Release:	%mkrel 1
Summary:	Library providing BSD-compatible functions for portability
Group:		System/Libraries
License:	BSD and ISC and Copyright only and Public Domain
URL:		https://libbsd.freedesktop.org/
Source0:	https://libbsd.freedesktop.org/releases/%{name}-%{version}.tar.xz
Patch0:		libbsd-0.11.7-fix-pkgconfig-dependencies.patch
BuildRequires:	pkgconfig(libmd)

%description
libbsd provides useful functions commonly found on BSD systems, and
lacking on others like GNU systems, thus making it easier to port
projects with strong BSD origins, without needing to embed the same
code over and over again on each project.

%package -n %{libname}
Summary:	Library providing BSD-compatible functions for portability
Group:		System/Libraries
Conflicts:	libbsd

%description -n %{libname}
libbsd provides useful functions commonly found on BSD systems, and
lacking on others like GNU systems, thus making it easier to port
projects with strong BSD origins, without needing to embed the same
code over and over again on each project.

%files -n %{libname}
%{_libdir}/lib%{rname}.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{libnamedev}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
Development files for the %{name} library.

%files -n %{libnamedev}
%doc ChangeLog COPYING README TODO
%{_includedir}/%{rname}/
%{_libdir}/lib%{rname}.so
%{_libdir}/libbsd-ctor.a
%{_libdir}/pkgconfig/lib%{rname}*.pc
%{_mandir}/man3/*
%{_mandir}/man7/*

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%configure \
    --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

# workaround "/usr/lib64/libbsd.so: file format not recognized"
rm -rf %{buildroot}%{_libdir}/lib%{rname}.so
ln -s lib%{rname}.so.%{major} %{buildroot}%{_libdir}/lib%{rname}.so
