%define api 1.0
%define major 0
%define libname %mklibname bson %{api} %{major}
%define develname %mklibname bson -d

Name:       libbson
Version:    1.9.5
Release:    %mkrel 2
Summary:    Building, parsing, and iterating BSON documents
Group:      System/Libraries
License:    ASL 2.0 and ISC and MIT and zlib
URL:        https://github.com/mongodb/%{name}
Source0:    https://github.com/mongodb/libbson/releases/download/%{version}/libbson-%{version}.tar.gz
BuildRequires:  python-sphinx

%description
This is a library providing useful routines related to building, parsing,
and iterating BSON documents <http://bsonspec.org/>.

%package -n %{libname}
Group:		System/Libraries
Summary:    Building, parsing, and iterating BSON documents
Obsoletes:  %{_lib}bson1.0 < 1.7.0-2

%description -n %{libname}
This is a library providing useful routines related to building, parsing,
and iterating BSON documents <http://bsonspec.org/>.

%package -n %{develname}
Group:		Development/C
Summary:	Libraries and header files for %{name}
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains libraries and header files needed for developing
applications that use %{name}.

%prep
%setup -q

%build
# Switching experimental-features support changes ABI (bson_visitor_t type)
%configure \
    --disable-coverage \
    --disable-debug \
    --disable-debug-symbols \
    --enable-examples \
    --enable-extra-align \
    --disable-html-docs \
    --enable-libtool-lock \
    --disable-lto \
    --disable-maintainer-flags \
    --enable-man-pages \
    --disable-optimizations \
    --enable-shared \
    --disable-silent-rules \
    --disable-static \
    --enable-tests
# Explicit man target is needed for generating manual pages
%make_build all doc/man

%install
%make_install
find %{buildroot} -name '*.la' -delete
# Install examples here because it's forbidden to use relative %%doc with
# installing into %%_pkgdocdir
install -d -m 0755 %{buildroot}%{_docdir}/%{name}-devel/examples
install -m 0644 -t %{buildroot}%{_docdir}/%{name}-devel/examples examples/*.c

%check
%make check

%files -n %{libname}
%doc %{_docdir}/%{name}/
%{_libdir}/%{name}-%{api}.so.%{major}{,.*}

%files -n %{develname}
%doc %{_docdir}/%{name}-devel/
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%dir %{_libdir}/cmake/libbson-1.0/
%{_libdir}/cmake/libbson-1.0/*.cmake
%{_mandir}/man3/*
