%define pre_rel		beta20
%define build_slang	1
%define build_java	0
%define build_doc	0

%define major		0
%define libname		%mklibname caca %{major}
%define develname	%mklibname caca -d

%define build_mono	0
%ifarch %mips %arm aarch64
%define build_mono	0
%endif

Name:		libcaca
Version:	0.99
Release:	%mkrel -c %{pre_rel} 4
Summary:	Text mode graphics library
License:	WTFPL
Group:		System/Libraries
URL:		http://libcaca.zoy.org/
Source0:	http://caca.zoy.org/files/libcaca/%{name}-%{version}%{?pre_rel:.%{pre_rel}}.tar.bz2
Patch0:		libcaca-ruby2.2.patch
Patch1:		libcaca-0.99.beta20-c99.patch
Patch2:		libcaca-0.99.beta20-force-building-cacaserver.patch
#
# Security patches
# P100 -> ...
#
Patch100:	bsc1197028-correctly-handle-zero-width-or-height-images.patch
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(ncursesw) >= 5
%if %build_slang
BuildRequires:	pkgconfig(slang)
%endif
BuildRequires:	pkgconfig(imlib2)
BuildRequires:	pkgconfig(freeglut)
BuildRequires:	pkgconfig(ftgl)
BuildRequires:	pkgconfig(pangoft2)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(zlib)
%if %{build_doc}
BuildRequires:	doxygen
BuildRequires:	tetex-latex
BuildRequires:	tetex-dvips
%endif
BuildRequires:	pkgconfig(ruby)
%if %{build_mono}
BuildRequires:	mono
%endif


%description
libcaca is the Colour AsCii Art library. It provides high level functions
for colour text drawing, simple primitives for line, polygon and ellipse
drawing, as well as powerful image to text conversion routines.

%package -n	%{libname}
Summary:	Text mode graphics library
Group:		System/Libraries

%description -n	%{libname}
libcaca is the Colour AsCii Art library. It provides high level functions
for colour text drawing, simple primitives for line, polygon and ellipse
drawing, as well as powerful image to text conversion routines.


%package -n	%{develname}
Summary:	Development files for libcaca
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n	%{develname}
libcaca is the Colour AsCii Art library. It provides high level functions
for colour text drawing, simple primitives for line, polygon and ellipse
drawing, as well as powerful image to text conversion routines.

This package contains the header files and static libraries needed to
compile applications or shared objects that use libcaca.

%package -n	caca-utils
Summary:	Text mode graphics utilities
Group:		Graphics/Utilities

%description -n	caca-utils
This package contains utilities and demonstration programs for libcaca, the
Colour AsCii Art library.

cacaview is a simple image viewer for the terminal. It opens most image
formats such as JPEG, PNG, GIF etc. and renders them on the terminal using
ASCII art. The user can zoom and scroll the image, set the dithering method
or enable anti-aliasing.

cacaball is a tiny graphic program that renders animated ASCII metaballs on
the screen, cacafire is a port of AALib's aafire and displays burning ASCII
art flames, cacamoir animates colourful moire circles and cacaplas displays
an old school plasma effect.

cacademo is a simple application that shows the libcaca rendering features
such as line and ellipses drawing, triangle filling and sprite blitting.

%if %{build_mono}
%package -n	caca-sharp
Summary:	C# binding for libcaca
Group:		Development/C#

%description -n	caca-sharp
C# binding for libcaca.
%endif

%package -n	ruby-caca
Summary:	Ruby binding for libcaca
Group:		Development/Ruby

%description -n	ruby-caca
Ruby binding for libcaca.

%package -n	python3-caca
Summary:	Python 3 binding for libcaca
Group:		Development/Python
%{?python_provide:%python_provide python3-caca}

%description -n	python3-caca
Python 3 binding for libcaca.

%prep
%setup -q -n %{name}-%{version}.%{pre_rel}
%autopatch -p1
sed -i s/AM_CONFIG_HEADER/AC_CONFIG_HEADER/ configure.ac

for file in python/examples/*.py; do
   sed -e 's|/usr/bin/env python$|%{__python3}|g' ${file} > ${file}.tmp
   touch -r ${file} ${file}.tmp
   mv -f ${file}.tmp ${file}
done

%build
autoreconf -fi
%configure \
%if %build_slang
	--enable-slang \
%else
	--disable-slang \
%endif
%if ! %build_java
	--disable-java \
%endif
	--enable-ncurses \
	--enable-x11 \
	--enable-imlib2 \
%if ! %{build_doc}
	--disable-doc \
%endif
	--enable-plugins \
	--disable-static

%make_build

%install
rm -rf %{buildroot} installed-docs
%make_install

rm -f %{buildroot}%{ruby_vendorarchdir}/*.la

%multiarch_binaries %{buildroot}%{_bindir}/caca-config

%if %{build_doc}
mv %{buildroot}%{_datadir}/doc/libcaca-dev installed-docs
mkdir %{buildroot}%{_datadir}/doc/caca-utils-%{version}
rm %{buildroot}%{_datadir}/doc/libcucul-dev
%endif

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}
%dir %{_libdir}/caca

# FIXME split them into subpackage, to avoid dependency on X
%{_libdir}/caca/lib*.so.%{major}{,.*}

%files -n %{develname}
%if %{build_doc}
%doc installed-docs/html
%endif
%doc NEWS NOTES
%{_bindir}/caca-config
%{multiarch_bindir}/caca-config
%{_includedir}/*
%{_mandir}/man1/caca-config.1*
%if %{build_doc}
%{_mandir}/man3/*
%endif
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib*.so
%{_libdir}/caca/lib*.so

%files -n caca-utils
%doc README THANKS AUTHORS
%{_bindir}/cacaclock
%{_bindir}/cacademo
%{_bindir}/cacafire
%{_bindir}/cacaplay
%{_bindir}/cacaserver
%{_bindir}/cacaview
%{_bindir}/img2txt
%{_datadir}/libcaca/
%{_mandir}/man1/cacademo.1*
%{_mandir}/man1/cacafire.1*
%{_mandir}/man1/cacaplay.1*
%{_mandir}/man1/cacaserver.1*
%{_mandir}/man1/cacaview.1*
%{_mandir}/man1/img2txt.1*

%files -n python3-caca
%{python3_sitelib}/caca/

%if %{build_mono}
%files -n caca-sharp
%{_libdir}/mono/caca-sharp*
%{_libdir}/mono/gac/caca-sharp
%endif

%files -n ruby-caca
%{ruby_vendorlibdir}/caca.rb
%{ruby_vendorarchdir}/*.so
