%define major           3
%define libname         %mklibname cangjie %{major}
%define develname       %mklibname cangjie -d

Name:             libcangjie
Summary:          Cangjie Input Method Library
Version:          1.4.0
Release:          %mkrel 1
License:          LGPLv3+
Group:            System/Internationalization
URL:              https://cangjie.pages.freedesktop.org/projects/libcangjie
Source0:          https://gitlab.freedesktop.org/cangjie/%{name}/-/archive/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:    meson
BuildRequires:    pkgconfig(sqlite3)
BuildRequires:    sqlite3-tools

%description
Library implementing the Cangjie input method.

%package -n %{libname}
Summary:          Cangjie Input Method Library
Group:            System/Internationalization
# Split out so it can be noarch
Requires:         %{name}-data >= %{version}-%{release}

%description -n %{libname}
Library implementing the Cangjie input method.

%package data
Summary:          Database for %{name}
BuildArch:        noarch

%description data
Database for %{name}.

%package -n %{develname}
Summary:          Development files for %{name}
Requires:         %{libname} = %{version}-%{release}
Provides:         %{name}-devel = %{version}-%{release}
Requires:         sqlite3-devel

%description -n %{develname}
Development files for %{name}.

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files -n %{libname}
%doc AUTHORS README.md
%license COPYING
%{_libdir}/%{name}.so.%{major}{,.*}

%files data
%doc data/README.table.md
%{_datadir}/%{name}/

%files -n %{develname}
%{_bindir}/libcangjie*
%{_includedir}/cangjie/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/cangjie.pc

