%define	major		0
%define	libname		%mklibname cap-ng %{major}
%define develname	%mklibname cap-ng -d

%global __brp_check_rpaths %{nil}

Summary:	An alternate posix capabilities library
Name:		libcap-ng
Version:	0.8.5
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
URL:		https://people.redhat.com/sgrubb/libcap-ng
Source0:	https://people.redhat.com/sgrubb/libcap-ng/%{name}-%{version}.tar.gz
# should fix mga#23522
Patch0:		0001-Fix-mark-the-DSOs-as-unloadable-6.patch
#
BuildRequires:	kernel-headers >= 2.6.11
BuildRequires:	attr-devel
BuildRequires:	swig

%description
Libcap-ng is a library that makes using posix capabilities easier.

%package -n	%{libname}
Summary:	Shared %{name} library
Group:		System/Libraries

%description -n	%{libname}
Libcap-ng is a library that makes using posix capabilities easier.

This package contains the shared %{name} library.

%package -n	%{develname}
Summary:	Header files, libraries and development documentation for %{name}
Group:		Development/C
Requires:	kernel-headers >= 2.6.11
Requires:	%{libname} = %{version}-%{release}
Provides:	cap-ng-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Libcap-ng is a library that makes using posix capabilities easier.

This package contains the development files for the %{name} library.

%package -n	python3-%{name}
Summary:	Python3 bindings for %{name} library
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
Requires:	%{libname} = %{version}-%{release}
%{?python_provide:%python_provide python3-%{name}}
Provides:	libcap-ng-python3 = %{version}-%{release}

%description -n	python3-%{name}
The python3-libcap-ng package contains the bindings so that %{name} and
can be used by python3 applications.

%package	utils
Summary:	Utilities for analysing and setting file capabilities
Group:		System/Base

%description	utils
The libcap-ng-utils package contains applications to analyse the posix
capabilities of all the program running on a system. It also lets you set the
file system based capabilities.

%prep
%autosetup -p1

%build
./autogen.sh
%configure \
    --libdir=%{_libdir} \
    --with-python3

%make_build CFLAGS="%{optflags}"

%install
%make_install

# Remove a couple things so they don't get picked up
rm -f %{buildroot}%{_libdir}/libcap-ng.*a
rm -f %{buildroot}%{_libdir}/libdrop_ambient.*a
rm -f %{buildroot}%{_libdir}/python?.?/site-packages/_capng.*a

%files -n %{libname}
%doc README.md
%license COPYING.LIB
%{_libdir}/libcap-ng.so.%{major}{,.*}
%{_libdir}/libdrop_ambient.so.%{major}{,.*}

%files -n %{develname}
%doc README.md
%attr(0644,root,root) %{_includedir}/cap-ng.h
%{_libdir}/libcap-ng.so
%{_libdir}/libdrop_ambient.so
%attr(0644,root,root) %{_datadir}/aclocal/cap-ng.m4
%{_libdir}/pkgconfig/libcap-ng.pc
%attr(0644,root,root) %{_mandir}/man3/*

%files -n python3-%{name}
%doc README.md
%attr(0755,root,root) %{python3_sitearch}/_capng.so
%{python3_sitearch}/capng.py*
%{python3_sitearch}/__pycache__

%files utils
%doc README.md
%license COPYING
%attr(0755,root,root) %{_bindir}/*
%attr(0644,root,root) %{_mandir}/man7/*
%attr(0644,root,root) %{_mandir}/man8/*
