%define major		2
%define libname		%mklibname cap %{major}
%define develname	%mklibname cap -d

Summary: 	Library for getting and setting POSIX.1e capabilities
Name: 		libcap
Version: 	2.73
Release: 	%mkrel 2
Group: 		System/Kernel and hardware
License: 	BSD/GPLv2
URL: 		https://www.kernel.org/pub/linux/libs/security/linux-privs/
Source0:	https://www.kernel.org/pub/linux/libs/security/linux-privs/libcap2/%{name}-%{version}.tar.xz
Source1:	https://www.kernel.org/pub/linux/libs/security/linux-privs/kernel-2.4/capfaq-0.2.txt
Patch0:		CVE-2025-1390-1.patch
Patch1:		CVE-2025-1390-2.patch
BuildRequires:	attr-devel
BuildRequires:	glibc-static-devel
BuildRequires:	pam-devel

%description
%{name} is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

%package	utils
Summary:	Administration tools for POSIX.1e capabilities
Group:		System/Kernel and hardware

%description	utils
%{name} is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

This package contains utilities to control these capabilities.

%package -n	pam_cap
Summary:	PAM module for getting and setting POSIX.1e capabilities
Group:		System/Libraries

%description -n	pam_cap
The purpose of this module is to enforce inheritable capability sets for a
specified user.

%package -n	%{libname}
Summary:	Library for getting and setting POSIX.1e capabilities
Group:		System/Kernel and hardware
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
%{name} is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/Kernel
Requires:	%{name}-utils = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:       cap-devel = %{version}-%{release}
Conflicts:	%{mklibname cap 1 -d}

%description -n	%{develname}
Development files (Headers, libraries for static linking, etc) for %{name}.

%{name} is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

Install %{name}-devel if you want to develop or compile applications supporting
Linux kernel capabilities.

%prep
%autosetup -p1

install -m644 %{SOURCE1} .

perl -pi -e 's,^man_prefix=.*,man_prefix=\$\(prefix)/share,g' Make.Rules

perl -pi -e 's,fgrep,grep -F,g' libcap/Makefile Makefile progs/mkcapshdoc.sh progs/quicktest.sh
perl -pi -e 's,egrep,grep -E,g' doc/Makefile Makefile Make.Rules

%build
%serverbuild
%make_build prefix=%{_prefix} lib=%{_lib} \
  COPTS="%{build_cflags}" \
  FORCELINKPAM=yes

%install
make install RAISE_SETFCAP=no \
             DESTDIR=%{buildroot} \
             LIBDIR=%{_libdir} \
             SBINDIR=%{_sbindir} \
             INCDIR=%{_includedir} \
             MANDIR=%{_mandir}/ \
             PKGCONFIGDIR=%{_libdir}/pkgconfig/ \
             FORCELINKPAM=yes

install -d %{buildroot}%{_sysconfdir}/security
install -m0640 pam_cap/capability.conf %{buildroot}%{_sysconfdir}/security/

%files utils
%doc CHANGELOG License README contrib
%{_sbindir}/capsh
%{_sbindir}/getcap
%{_sbindir}/getpcaps
%{_sbindir}/setcap
%{_mandir}/man1/capsh.1.*
%{_mandir}/man8/getcap.8*
%{_mandir}/man8/setcap.8*
%{_mandir}/man8/getpcaps.8*
%{_mandir}/man8/captree.8*

%files -n pam_cap
%doc pam_cap/License
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/security/capability.conf
%{_libdir}/security/pam_cap.so
%{_mandir}/man5/capability.conf.5*
%{_mandir}/man8/pam_cap.8*

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%doc capfaq-0.2.txt
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/libpsx.pc
%{_mandir}/man3/*
