%global major   0.11
%define libname %mklibname cbor %major
%define devname %mklibname cbor -d

Name:		libcbor
Version:	0.11.0
Release:	%mkrel 1
Summary:	A CBOR parsing library
Group:          Development/Other

License:	MIT
URL:		https://libcbor.org/
Source0:	https://github.com/PJK/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	python3-breathe
BuildRequires:	python3-sphinx
BuildRequires:	python3-sphinx_rtd_theme
BuildRequires:	make

%description
libcbor is a C library for parsing and generating CBOR.

%package	-n %libname
Summary:	Library for %{name}

%description -n %libname
The %{libname} contains libraries header files for %{name}.

%package	-n %devname
Summary:	Development files for %{name}
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %devname
The %{devname} contains libraries and header files for %{name}.

%prep
%setup -q


%build
%cmake
%cmake_build

make man -C doc


%install
%cmake_install

mkdir -p %{buildroot}%{_mandir}/man3
cp doc/build/man/* %{buildroot}%{_mandir}/man3/


%files -n %libname
%license LICENSE.md
%doc README.md
%{_libdir}/libcbor.so.%{major}{,.*}

%files -n %devname
%{_includedir}/cbor.h
%{_includedir}/cbor
%{_libdir}/libcbor.so
%{_libdir}/pkgconfig/libcbor.pc
%{_libdir}/cmake/libcbor/
%{_mandir}/man3/libcbor.3*

