%define docver		1.3.0

%define major		2
%define libname		%mklibname cddb %{major}
%define develname	%mklibname cddb -d

%define bootstrap 0
%{?_with_bootstrap: %global bootstrap 1}

Name:		libcddb
Version:	1.3.2
Release:	%mkrel 23
Summary:	CDDB access library
License:	LGPLv2+
Group:		System/Libraries
URL:		https://libcddb.sourceforge.net/
Source0:	https://prdownloads.sourceforge.net/libcddb/%name-%version.tar.bz2
Source1:	https://prdownloads.sourceforge.net/libcddb/%name-doc-%docver.tar.bz2
Patch1:		libcddb-1.3.2-rhbz770611.patch
Patch2:		pointer-types.patch
%if !%{bootstrap}
BuildRequires:	pkgconfig(libcdio)
%endif
BuildRequires:	gettext-devel

%description
Libcddb is a library that implements the different protocols (CDDBP,
HTTP, SMTP) to access data on a CDDB server (https://gnudb.org/).  It
tries to be as cross-platform as possible.  The initial library will
have a C API.

%package -n	%{libname}
Summary:	Libraries from %name
Group:		System/Libraries

%description -n	%{libname}
Libcddb is a library that implements the different protocols (CDDBP,
HTTP, SMTP) to access data on a CDDB server (https://gnudb.org/).  It
tries to be as cross-platform as possible.  The initial library will
have a C API.

%package -n	%{develname}
Summary:	Devel files from libcddb
Group:		Development/C
Requires:	%{libname} = %version
Provides:	%{name}-devel = %version-%release

%description -n	%{develname}
Libcddb is a library that implements the different protocols (CDDBP,
HTTP, SMTP) to access data on a CDDB server (https://gnudb.org/).  It
tries to be as cross-platform as possible.  The initial library will
have a C API.

This is the libraries, include files and other resources you can use
to incorporate libcddb into applications.

%package	apps
Summary:	Example applications based on %name
Group:		Sound/Utilities

%description	apps
Libcddb is a library that implements the different protocols (CDDBP,
HTTP, SMTP) to access data on a CDDB server (https://gnudb.org/).  It
tries to be as cross-platform as possible.  The initial library will
have a C API.

This package contains a command line client based on %name.

%prep
%setup -q -a 1
%patch -P 1 -p1
%patch -P 2 -p0
mv output html

%build
%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files apps
%_bindir/*

%files -n %{libname}
%_libdir/*.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog README AUTHORS NEWS TODO html
%_includedir/cddb/
%_libdir/*.so
%_libdir/pkgconfig/*.pc
