%define build_vcd 1
%{?_with_vcd: %{expand: %%global build_vcd 1}}
%{?_without_vcd: %{expand: %%global build_vcd 0}}

%define major         19
%define libname       %mklibname cdio %{major}
%define libnamedev    %mklibname cdio -d
%define isomajor      12
%define isolibname    %mklibname iso9660_ %{isomajor}
%define cdioppmajor   1
%define cdiopplibname %mklibname cdio++ %{cdioppmajor}
%define isoppmajor    1
%define isopplibname  %mklibname iso9660++ %{isoppmajor}
%define udfmajor      0
%define udflibname    %mklibname udf %{udfmajor}

Name:           libcdio
Version:        2.2.0
Release:        %mkrel 1
Summary:        CD-ROM reading library
License:        GPLv3+
Group:          System/Libraries
# https://www.gnu.org/software/libcdio/
URL:            https://savannah.gnu.org/projects/libcdio
Source0:        https://github.com/libcdio/libcdio/releases/download/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:  pkgconfig(libcddb)
BuildRequires:  pkgconfig(popt)
BuildRequires:  pkgconfig(ncurses)
#gw only if we change the man pages
#BuildRequires: help2man
%if %{build_vcd}
BuildRequires:  pkgconfig(libvcdinfo) > 0.7.19
%endif

%description
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.


%package apps
Summary:        Example tool from %{name}
Group:          Sound/Utilities
Provides:       libcdio0-apps

%description apps
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.

This contains the program cd-info as an example application of %{name}.

%package -n %{libname}
Summary:        Libraries from %{name}
Group:          System/Libraries
Provides:       libcdio = %{version}-%{release}

%description -n %{libname}
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.

%package -n %{libnamedev}
Summary:        Devel files from %{name}
Group:          Development/C
Requires:       %{libname} = %{version}
Requires:       %{isolibname} = %{version}
Requires:       %{isopplibname} = %{version}
Requires:       %{cdiopplibname} = %{version}
Requires:       %{udflibname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       cdio-devel = %{version}-%{release}

%description -n %{libnamedev}
This is the libraries, include files and other resources you can use
to incorporate %{name} into applications.

%package -n %{isolibname}
Summary:        Libraries from %{name}
Group:          System/Libraries

%description -n %{isolibname}
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.

%package -n %{cdiopplibname}
Summary:        C++ library from %{name}
Group:          System/Libraries

%description -n %{cdiopplibname}
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.

%package -n %{isopplibname}
Summary:        iso96660 C++ library from %{name}
Group:          System/Libraries

%description -n %{isopplibname}
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.

%package -n %{udflibname}
Summary:        Libraries from %{name}
Group:          System/Libraries
Conflicts:      %{mklibname cdio_cdda 0}

%description -n %{udflibname}
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.

%prep
%autosetup -p1

%build
%ifarch %{ix86} %{arm}
export CPPFLAGS="-D_LARGEFILE64_SOURCE"
%endif

%configure \
--without-versioned-libs \
%if ! %{build_vcd}
--disable-vcd-info \
%endif
--disable-static

%make_build

%install
%make_install

%files apps
%doc README.md AUTHORS NEWS.md TODO
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libcdio.so.%{major}{,.*}

%files -n %{isolibname}
%{_libdir}/libiso9660.so.%{isomajor}{,.*}

%files -n %{udflibname}
%{_libdir}/libudf.so.%{udfmajor}{,.*}

%files -n %{libnamedev}
%doc ChangeLog README.md AUTHORS NEWS.md TODO
%{_includedir}/cdio
%{_includedir}/cdio++/
%{_infodir}/libcdio.info*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libcdio.pc
%{_libdir}/pkgconfig/libcdio++.pc
%{_libdir}/pkgconfig/libiso9660.pc
%{_libdir}/pkgconfig/libiso9660++.pc
%{_libdir}/pkgconfig/libudf.pc

%files -n %{cdiopplibname}
%{_libdir}/libcdio++.so.%{cdioppmajor}{,.*}

%files -n %{isopplibname}
%{_libdir}/libiso9660++.so.%{isoppmajor}{,.*}
