%define major 1
%define libname	%mklibname cdson %{major}
%define devname	%mklibname cdson -d

Name: libcdson
Version: 1.0.0
Release: %mkrel 2
Summary: Pure C parsing/serialization for the DSON data format, for humans
License: MPL-2.0
Group: Development/C
URL: https://github.com/frozencemetery/cdson
Source0: https://github.com/frozencemetery/cdson/releases/download/v%{version}/cdson-%{version}.tar.xz

BuildRequires: gcc
BuildRequires: git-core
BuildRequires: meson

Patch0001: 0001-tests-fix-build-on-legacy-32-bit-machines.patch
Patch0002: 0002-build-version-the-shared-objects.patch

%global desc \
A pure C parsing and serialization library for the DSON data serialization \
format, for humans. cdson is believed to have complete spec coverage, though \
as with any project, there may still be bugs. \
%{nil}
%description %{desc}

%package -n %{libname}
Summary: Pure C parsing/serialization for the DSON data format, for humans
Group: System/Libraries
Provides: %{name} = %{version}-%{release}
Provides: %{name}%{?_isa} = %{version}-%{release}

%description -n %{libname}
%desc

%package -n %{devname}
Summary: Development headers for libcdson
Group: Development/C
Requires: %{name}%{?_isa} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: %{name}-devel%{?_isa} = %{version}-%{release}

%description -n %{devname}
%desc

%prep
%autosetup -S git_am -n cdson-%{version}

%build
CFLAGS="%{build_cflags} -Wno-error=unused-result"
%meson
%meson_build

%check
%meson_test

%install
%meson_install

%files -n %{libname}
%license LICENSE
%{_libdir}/libcdson.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/cdson.h
%{_libdir}/pkgconfig/cdson.pc
%{_libdir}/libcdson.so

