%global __provides_exclude_from %{_datadir}/doc/.*
%global __requires_exclude_from %{_datadir}/doc/.*

%bcond_without memphis
%bcond_with demos

%define major		0
%define api		0.12
%define gi_major	0.12

%define oname		champlain
%define libname		%mklibname %{oname} %{api} %{major}
%define libnamegtk	%mklibname %{oname}-gtk %{api} %{major}

%define girname		%mklibname %{oname}-gir %{gi_major}
%define girnamegtk	%mklibname %{oname}-gtk-gir %{gi_major}

%define libnamedev	%mklibname -d %{oname}
%define libnamedevgtk	%mklibname -d %{oname}-gtk

Summary:	Map view for Clutter
Name:		libchamplain
Version:	0.12.21
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		https://projects.gnome.org/libchamplain/
Source0:	https://download.gnome.org/sources/libchamplain/0.12/%{name}-%{version}.tar.xz
BuildRequires:	chrpath
BuildRequires:	meson
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gdk-3.0)
BuildRequires:	pkgconfig(clutter-1.0)
BuildRequires:	pkgconfig(clutter-gtk-1.0)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libsoup-3.0)
%if %{with memphis}
BuildRequires:	pkgconfig(memphis-0.2) >= 0.2.3-15
%endif
BuildRequires:	pkgconfig(vapigen)

%description
Libchamplain is a C library aimed to provide a ClutterActor to display
rasterized maps.

#--------------------------------------------------------------------

%package -n %libname
Summary:	Development files for %{name}
Group:		System/Libraries

%description -n %{libname}
Libchamplain is a C library aimed to provide a ClutterActor to display
rasterized maps.

%files -n %{libname}
%{_libdir}/lib%{oname}-%{api}.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{libnamegtk}
Summary:	Development files for %{name}
Group:		System/Libraries

%description -n %{libnamegtk}
Libchamplain-gtk is a library providing a GtkWidget to embed %{name}
into Gtk+ applications.

%files -n %{libnamegtk}
%{_libdir}/lib%{oname}-gtk-%{api}.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{libnamedev}
Summary:	Development files for %{name}
Group:		Development/GNOME and GTK+
Provides:	%{oname}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Requires:	%{name}-vala = %{version}-%{release}
%if %{without demos}
Obsoletes:	%{name}-demos < %{version}-%{release}
%endif

%description -n %{libnamedev}
This package contains development files for %{name}.

%files -n %libnamedev
%{_datadir}/gir-1.0/Champlain-%{gi_major}.gir
%{_libdir}/%{name}-%{api}.so
%{_libdir}/pkgconfig/%{oname}-%{api}.pc
%dir %{_includedir}/champlain-%{api}/
%{_includedir}/champlain-%{api}/champlain

#--------------------------------------------------------------------

%package -n %{libnamedevgtk}
Summary:	Development files for %{name}-gtk
Group:		Development/GNOME and GTK+
Provides:	%{oname}-gtk-devel = %{version}-%{release}
Provides:	%{name}-gtk-devel = %{version}-%{release}
Requires:	%{libnamegtk} = %{version}-%{release}
Requires:	%{girnamegtk} = %{version}-%{release}
Requires:	%{name}-gtk-vala = %{version}-%{release}

%description -n %{libnamedevgtk}
This package contains development files for %{name}-gtk.

%files -n %libnamedevgtk
%{_datadir}/gir-1.0/GtkChamplain-%{gi_major}.gir
%{_libdir}/%{name}-gtk-%{api}.so
%{_libdir}/pkgconfig/%{oname}-gtk-%{api}.pc
%{_includedir}/champlain-%{api}/champlain-gtk/

#--------------------------------------------------------------------

%package vala
Summary:	Vala bindings for %{name}
Group:		Development/Other
Requires:	vala

%description vala
This package contains vala bindings for development %{name}.

%files vala
%{_datadir}/vala/vapi/%{oname}-%{api}.{deps,vapi}

#--------------------------------------------------------------------

%package gtk-vala
Summary:        Vala bindings for %{name}-gtk
Group:          Development/Other
Requires:	vala
Conflicts:	%{name}-vala < 0.12.17

%description gtk-vala
This package contains vala bindings for development %{name}-gtk.

%files gtk-vala
%{_datadir}/vala/vapi/%{oname}-gtk-%{api}.{deps,vapi}

#--------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for GData
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for GData.

%files -n %{girname}
%{_libdir}/girepository-1.0/Champlain-%{gi_major}.typelib

#--------------------------------------------------------------------

%package -n %{girnamegtk}
Summary:	GObject Introspection interface description for GData
Group:		System/Libraries
Requires:	%{libnamegtk} = %{version}-%{release}

%description -n %{girnamegtk}
GObject Introspection interface description for GData.

%files -n %{girnamegtk}
%{_libdir}/girepository-1.0/GtkChamplain-%{gi_major}.typelib

#--------------------------------------------------------------------

%if %{with demos}

%package demos
Summary:	Demo apps for %{name}
Group:		System/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-gtk-devel = %{version}-%{release}
BuildArch:	noarch

%description demos
This package contains demos for development using %{name}.

%files demos
%doc demos/*.c
%doc demos/*.h
%doc demos/*.vala
%doc demos/*.js
%doc demos/Makefile*
%doc demos/*.py
%doc demos/*.osm

%endif
#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%meson \
	-Dmemphis=%{?with_memphis:true}%{!?with_memphis:false} \
	-Dintrospection=true \
	-Dvapi=true \
	-Dwidgetry=true \
	-Dgtk_doc=false \
	-Ddemos=%{?with_demos:true}%{!?with_demos:false}
%meson_build

%install
%meson_install

# Remove rpaths.
chrpath --delete %{buildroot}%{_libdir}/%{name}-gtk-*.so.*
