%define major     3
%define libname   %mklibname chewing %{major}
%define develname %mklibname chewing -d

Name:		libchewing
Summary:	The intelligent phonetic input method library
Epoch:		1
Version:	0.8.4
Release:	%mkrel 1
Group:		System/Internationalization
License:	LGPLv2+
URL:		https://chewing.im/
Source0:	https://github.com/chewing/libchewing/releases/download/v%{version}/%{name}-%{version}.tar.zst
BuildRequires:	cmake
BuildRequires:	pkgconfig(sqlite3)

%description
libchewing is an intelligent Chinese phonetic input method library
which is also know as Qooing. Based on Chewing input method.

%package data
Summary:	Data for Libchewing
Group:		System/Internationalization

%description data
libchewing is an intelligent Chinese phonetic input method library
which is also know as Qooing. Based on Chewing input method.

This package contains data files from libchewing.

%package -n	%{libname}
Summary:	The intelligent phonetic input method library
Group:		System/Internationalization
Requires:       %{name}-data = %{epoch}:%{version}
Provides:	%{name} = %{epoch}:%{version}-%{release}

%description -n %{libname}
libchewing is an intelligent Chinese phonetic input method library
which is also know as Qooing. Based on Chewing input method.

This package contains the basic libchewing library.

%package -n	%{develname}
Summary:	Headers of libchewing for development
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
libchewing is an intelligent Chinese phonetic input method library
which is also know as Qooing. Based on Chewing input method.

This package contains library and headers necessary for development
related to Chewing input method. You also need it if you want to
compile any input server that supports Chewing input method.

%prep
%setup -q

%build
%cmake -DWITH_RUST:BOOL=OFF
%cmake_build

%install
%cmake_install

%files data
%doc AUTHORS NEWS README.md
%license COPYING
%{_datadir}/%{name}/
%{_mandir}/man1/chewing-cli*.1.*

%files -n %{libname}
%license COPYING
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS NEWS
%license COPYING
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
