%define clientmajor   6
%define clientlibname %mklibname chipcard %clientmajor
%define libnamedev    %mklibname chipcard -d

Summary:        A library for easy access to smart cards (chipcards)
Name:           libchipcard
Version:        5.1.6
Release:        %mkrel 2
Group:          System/Libraries
License:        LGPLv2
URL:            https://www.aquamaniac.de/
Source:         https://www.aquamaniac.de/rdm/attachments/download/382/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(gwenhywfar) >= 5.0.0
BuildRequires:  pkgconfig(libpcsclite)
Requires(post): rpm-helper
Requires(preun): rpm-helper

Conflicts:      libchipcard2

%description
Libchipcard allows easy access to smart cards. It provides basic access
to memory and processor cards and has special support for German medical
cards, German "Geldkarten" and HBCI (homebanking) cards (both type 0 and
type 1).

It accesses the readers via CTAPI or PC/SC interfaces and has successfully
been tested with Towitoko, Kobil and Reiner-SCT readers.

This package contains the chipcard3-daemon needed to access card readers.

%package -n %libnamedev
Summary:        LibChipCard server development kit
Group:          Development/C
Requires:       %clientlibname = %version
Provides:       %name-devel = %version-%release
Obsoletes:      %mklibname -d chipcard 3 0
Obsoletes:      %mklibname -d chipcard 3

%description  -n %libnamedev
This package contains chipcard3-server-config and header files for writing
drivers, services or even your own chipcard daemon for LibChipCard.

%package -n %clientlibname
Group:          System/Libraries
Summary:        A library for easy access to smart cards (chipcards)
Requires:       %name >= %version

%description -n %clientlibname
Libchipcard allows easy access to smart cards. It provides basic access
to memory and processor cards and has special support for German medical
cards, German "Geldkarten" and HBCI (homebanking) cards (both type 0 and
type 1).

It accesses the readers via CTAPI or PC/SC interfaces and has successfully
been tested with Towitoko, Kobil and Reiner-SCT readers.

This package contains the chipcard3-daemon needed to access card readers.


%prep
%setup -q

%build
%configure --disable-static --with-pcsc-libs=%{_libdir}
%make_build

%install
%make_install

find %buildroot -name '*.la' -delete

%post
%_post_service chipcardd

%preun
%_preun_service chipcardd

%files
%doc README COPYING ChangeLog
%{_sysconfdir}/chipcard
%{_bindir}/*
%{_datadir}/chipcard
%{_libdir}/gwenhywfar/plugins/*/ct

%files -n %clientlibname
%{_libdir}/libchipcard.so.%{clientmajor}{,.*}

%files -n %libnamedev
%doc README COPYING ChangeLog
%{_libdir}/*.so
%{_libdir}/pkgconfig/libchipcard-client.pc
%{_libdir}/pkgconfig/libchipcard-server.pc
%{_bindir}/chipcard-config
%{_includedir}/*
%{_datadir}/aclocal/chipcard.m4
