%define soname	claw
%define major	1
%define libname	%mklibname %{soname} %{major}
%define devname	%mklibname %{soname} -d

Name:		libclaw
Version:	1.7.4
Release:	%mkrel 11
Summary:	C++ Library of various utility functions
Group:		System/Libraries
License:	LGPLv2
URL:		https://libclaw.sourceforge.net/
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		libclaw-1.6.1-nostrip.patch
Patch1:		libclaw-1.7.4-libdir.patch
Patch2:		libclaw-1.7.4-git-declare-static-libs-as-static.diff
Patch3:		libclaw-1.7.4-gcc7.patch
Patch4:		libclaw-1.7.4-gcc62.patch

BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	gettext-devel
BuildRequires:	boost-devel

%description
CLAW is a C++ Library providing various tools in different domains,
like a Tweener framework, Bézier curves manipulation, a map with multiple
value types, a binary search tree container implemented as an AVL and
an implementation of the sockets as std::stream.

The library also includes a set of classes to easily load and write png,
jpeg, gif files and other image formats.

Finally, a part of the library is devoted to artificial intelligence
in games and includes a generic alpha-beta algorithm.

#----------------------------------------------------------------------------

%package -n	%{libname}
Summary:	C++ Library of various utility functions
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
CLAW is a C++ Library providing various tools in different domains,
like a Tweener framework, Bézier curves manipulation, a map with multiple
value types, a binary search tree container implemented as an AVL and
an implementation of the sockets as std::stream.

The library also includes a set of classes to easily load and write png,
jpeg, gif files and other image formats.

Finally, a part of the library is devoted to artificial intelligence
in games and includes a generic alpha-beta algorithm.

%files -n	%{libname} -f %{name}.lang
%doc ChangeLog
%{_libdir}/*.so.%{major}{,.*}

#----------------------------------------------------------------------------

%package -n	%{devname}
Summary:	Development files for Claw library
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
This package contains files needed to develop and build software against
CLAW (C++ Library Absolutely Wonderful).

%files -n	%{devname}
%{_bindir}/claw-config
%{_libdir}/cmake/%{name}/
%dir %{_datadir}/%{name}
%{_includedir}/claw/
%{_libdir}/*.so

#----------------------------------------------------------------------------

%package	doc
Summary:	Documentation for Claw library
Group:		Development/C++
BuildArch:	noarch
Recommends:	%{libname} = %{version}-%{release}

%description	doc
This package contains the documentation files for the CLAW (C++ Library
Absolutely Wonderful) library.

%files		doc
%doc %{_docdir}/%{name}%{major}

#----------------------------------------------------------------------------

%package	examples
Summary:	Example files for Claw library
Group:		Development/C++
BuildArch:	noarch
Recommends:	%{devname} = %{version}-%{release}

%description	examples
This package contains the example files for the CLAW (C++ Library
Absolutely Wonderful) library.

%files		examples
%{_datadir}/%{name}/examples

#----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake -DCLAW_CMAKE_MODULES_INSTALL_PATH=%{_lib}/cmake/libclaw
%cmake_build

find examples/{curve,graph,game_ai/morpion_console,avl} -type f |
while read F
do
	iconv -f iso8859-1 -t utf-8 $F |sed 's/\r//' >.utf8
	touch -r $F .utf8
	mv .utf8 $F
done

%install
%cmake_install

%find_lang %{name}

# Install examples to %%_datadir
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -r examples %{buildroot}%{_datadir}/%{name}/

# Remove static libraries
find %{buildroot}%{_libdir} -name "*.a" -delete
