# WARNING: This package is synced with FC
# WARNING:
# this package is only used by LibreOffice.
# Do not blindly update it

%define  lib_name_orig libalsa
%global  apiversion 0.6
%define  major 6
%define  lib_name %mklibname cmis %apiversion %major
%define  develname %mklibname cmis -d

Name: libcmis
Version: 0.6.2
Release: %mkrel 7
Summary: A C++ client library for CM interfaces
Group: System/Libraries
License: GPLv2+ or LGPLv2+ or MPLv1.1
URL: https://github.com/tdf/libcmis
Source: https://github.com/tdf/libcmis/releases/download/v%{version}/%{name}-%{version}.tar.xz
BuildRequires: boost-devel
BuildRequires: gcc-c++
BuildRequires: pkgconfig(cppunit)
BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: xmlto

# https://github.com/tdf/libcmis/issues/51
Patch1: libxmis-0.6.2-libxml2-2.12.0-includes.patch
# https://github.com/tdf/libcmis/issues/67
Patch2: 0001-Fix-boost-1.86-breakage.patch

%description
LibCMIS is a C/C++ client library for working with CM (content management)
interfaces. The primary supported interface (which gave the library its
name) is CMIS, which allows applications to connect to any ECM behaving
as a CMIS server (Alfresco or Nuxeo are examples of open source ones).
Another supported interface is Google Drive.

%package -n %lib_name
Summary: A C++ client library for CM interfaces
Group:   System/Libraries

%description -n %lib_name
LibCMIS is a C++ client library for working with CM (content management)
interfaces. The primary supported interface (which gave the library its
name) is CMIS, which allows applications to connect to any ECM behaving
as a CMIS server (Alfresco or Nuxeo are examples of open source ones).
Another supported interface is Google Drive.

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/Other
Requires: %lib_name = %version-%release
Provides: %{name}-devel = %version-%release

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package tools
Summary: Command line tool to access CMIS
Group:    Publishing
Obsoletes: libcmis0.3-tools < 0.3.1-10

%description tools
The %{name}-tools package contains a tool for accessing CMIS from the
command line.

%prep
%autosetup -p1

# make autoreconf happy
sed -i -e 's,\(^AM_INIT_AUTOMAKE\)\((\[\(.*\)\])\|(\(.*\))\|.*\),\1([foreign \3\4]),' configure.ac

%build
%configure \
	--disable-static \
	--disable-werror \
	DOCBOOK2MAN='xmlto man'
%make_build


%install
%make_install

find %{buildroot} -name '*.la' -delete

%check
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
%make_build check

%files -n %lib_name
%doc AUTHORS NEWS
%license COPYING.*
%{_libdir}/%{name}-%{apiversion}.so.%{major}{,.*}
%{_libdir}/%{name}-c-%{apiversion}.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog
%{_includedir}/%{name}-%{apiversion}
%{_includedir}/%{name}-c-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/%{name}-c-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc
%{_libdir}/pkgconfig/%{name}-c-%{apiversion}.pc

%files tools
%{_bindir}/cmis-client
%{_mandir}/man1/cmis-client.1*

