%define oname   communi
%define major   3
%define libname %mklibname %{oname} %{major}
%define devname %mklibname %{oname} -d

Name:           libcommuni
Version:        3.7.0
Release:        %mkrel 1
Summary:        A cross-platform IRC framework written with Qt
Group:          Networking/IRC
License:        BSD
URL:            https://communi.github.io
Source0:        https://github.com/communi/libcommuni/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Test)

%description
Communi provides a set of tools for enabling IRC connectivity in Qt-based
C++ and QML applications. See the online reference documentation for help
with getting started: https://communi.github.io/doc

#----------------------------------------------------------------------

%package -n %{libname}
Summary:        A cross-platform IRC framework written with Qt
Group:          System/Libraries

%description -n %{libname}
Communi provides a set of tools for enabling IRC connectivity in Qt-based
C++ and QML applications. See the online reference documentation for help
with getting started: https://communi.github.io/doc

%files -n %{libname}
%{_libdir}/libIrc*.so.%{major}
%{_libdir}/libIrc*.so.%{major}.*
%{_qt5_qmldir}/Communi/

#----------------------------------------------------------------------

%package -n %{devname}
Summary:        Development files for the Communi IRC framework
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for the Communi IRC framework.

%files -n %{devname}
%doc LICENSE README.md CHANGELOG.md
%{_libdir}/libIrc*.so
%{_qt5_includedir}/Communi/
%{_qt5_archdatadir}/mkspecs/features/communi*.prf

#----------------------------------------------------------------------

%prep
%autosetup -p1

%build
%qmake_qt5 QMAKE_LFLAGS_RPATH=
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

#%check
#make check
