%define	major	0
%define	libname	%mklibname compizconfig %major
%define	devname	%mklibname compizconfig -d

Summary:	Backend configuration library from Compiz
Name:		libcompizconfig
Version:	0.8.18
Release:	%mkrel 9
# only ini backend is GPLv2+
License:	LGPLv2+ and GPLv2+
Group:		System/X11
Url:		https://github.com/compiz-reloaded/libcompizconfig
Source0:	https://github.com/compiz-reloaded/libcompizconfig/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		0001-Release-version-0.8.18.patch
Patch2:		0002-Fix-configure-check-for-posix-compatible-scandir-fun.patch
Patch501:	libcompizconfig-linking.patch
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(protobuf)
# pkgconfig(compiz) doesn't work as expected
BuildRequires:	compiz-devel >= 1:0.8.18

%description
Backend configuration library from Compiz.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Backend configuration library from Compiz
Group:		System/X11
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
Backend configuration library from Compiz.

%files -n %{libname}
%{_libdir}/libcompizconfig.so.%{major}{,.*}

#----------------------------------------------------------------------------

%package -n compizconfig
Summary:	Compizconfig Settings Plugins
Group:		System/X11

%description -n compizconfig
This package contains plugins to configure compiz settings.

%files -n compizconfig
%dir %{_sysconfdir}/compizconfig/
%config(noreplace) %{_sysconfdir}/compizconfig/config
%{_libdir}/compiz/libccp.so
%{_libdir}/compizconfig/backends/libini.so
%{_datadir}/compiz/ccp.xml

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for libcompizconfig
Group:		Development/X11
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for libcompizconfig.

%files -n %{devname}
%{_includedir}/compizconfig/
%{_libdir}/libcompizconfig.so
%{_libdir}/pkgconfig/libcompizconfig.pc

#----------------------------------------------------------------------------

%prep
%autosetup -p1

#make autoreconf more happy
mkdir -p m4

%build
autoreconf -vfi
%configure \
	--disable-static
%make_build

%install
%make_install
