%define shortname comps
%define major 0
%define libname %mklibname %shortname %major
%define libname_devel %mklibname -d %shortname

%bcond_without docs

Name:           libcomps
Version:        0.1.21
Release:        %mkrel 3
Summary:        Comps XML file manipulation library

Group:          System/Libraries
License:        GPLv2+
URL:            https://github.com/rpm-software-management/libcomps
Source0:        https://github.com/rpm-software-management/libcomps/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(check)
BuildRequires:  pkgconfig(expat)
BuildRequires:  cmake


# prevent provides from nonstandard paths:
%define __provides_exclude_from ^(%{python3_sitearch}/.*\\.so)$

%description
Libcomps is library for structure-like manipulation with content of
comps XML files. Supports read/write XML file, structure(s) modification.

%package -n %{libname}
Summary:        Libraries for %{name}
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Provides:       %{name}%{?_isa} = %{version}-%{release}

%description -n %{libname}
Libraries for %{name}.

%package -n %{libname_devel}
Summary:        Development files for libcomps library
Group:          Development/C
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname}%{?_isa} = %{version}-%{release}

%description -n %{libname_devel}
Development files for %{name}.

%if %{with docs}
%package doc
Summary:        Documentation files for libcomps library
Group:          Development/C
Requires:       %{name}-devel = %{version}-%{release}
BuildArch:      noarch
BuildRequires:  doxygen

%description doc
Documentation files for libcomps library.

%package -n python-libcomps-doc
Summary:        Documentation files for python bindings libcomps library
Group:          Development/Python
Requires:       python3-%{name} = %{version}-%{release}
BuildArch:      noarch
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme

%description -n python-libcomps-doc
Documentation files for python bindings libcomps library.
%endif

%package -n python3-libcomps
Summary:        Python 3 bindings for libcomps library
%{?python_provide:%python_provide python3-libcomps}
Group:          Development/Python
BuildRequires:  python3-devel
Requires:       %{libname}%{?_isa} = %{version}-%{release}

%description -n python3-libcomps
Python3 bindings for libcomps library.


%prep
%autosetup -p1

# Fix build with sphinx 1.8.3
sed -i -e 's,sphinx.ext.pngmath,sphinx.ext.imgmath,' libcomps/src/python/docs/doc-sources/conf.py.in

%build
%cmake %{?with_docs:-DSPHINX_EXECUTABLE="%{_bindir}/sphinx-build-3"} ./libcomps/
%cmake_build
%if %{with docs}
make docs -C %{_vpath_builddir}
make pydocs -C %{_vpath_builddir}
%endif

%check
make test -C %{_vpath_builddir}

%install
%cmake_install

%files -n %{libname}
%doc README.md
%license COPYING
%{_libdir}/libcomps.so.%{major}

%files -n %{libname_devel}
%{_includedir}/*
%{_libdir}/libcomps.so
%{_libdir}/pkgconfig/%{name}.pc

%if %{with docs}
%files doc
%doc build/docs/libcomps-doc/html

%files -n python-libcomps-doc
%doc build/src/python/docs/html
%endif

%files -n python3-libcomps
%{python3_sitearch}/libcomps
%{python3_sitearch}/%{name}-%{version}-py%{python3_version}.egg-info
