%define	major		2
%define libname		%mklibname confuse %{major}
%define libname_devel	%mklibname confuse -d

Summary:	A library for parsing configuration files in C
Name:		libconfuse
Version:	3.3
Release:	%mkrel 3
License:	ISC
Group:		System/Libraries
URL:		https://github.com/martinh/libconfuse
Source0:	https://github.com/martinh/libconfuse/releases/download/v%{version}/confuse-%{version}.tar.xz
Patch0:		d73777c2c3566fb2647727bb56d9a2295b81669b.patch

%description
libConfuse is a configuration file parser library, licensed under the terms
of the ISC license, and written in C. It supports sections and (lists of)
values (strings, integers, floats, booleans or other sections), as well as
some other features (such as single/double-quoted strings, environment
variable expansion, functions and nested include statements). It makes it
very easy to add configuration file capability to a program using a simple
API.

The goal of libConfuse is not to be the configuration file parser library
with a gazillion of features. Instead, it aims to be easy to use and quick
to integrate with your code. libConfuse was called libcfg before, but was
changed to not confuse with other similar libraries. 

%package -n	%{libname}
Summary:	A library of functions for parsing configuration files in C
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n	%{libname}
libConfuse is a configuration file parser library, licensed under the terms
of the ISC license, and written in C. It supports sections and (lists of)
values (strings, integers, floats, booleans or other sections), as well as
some other features (such as single/double-quoted strings, environment
variable expansion, functions and nested include statements). It makes it
very easy to add configuration file capability to a program using a simple
API.

The goal of libConfuse is not to be the configuration file parser library
with a gazillion of features. Instead, it aims to be easy to use and quick
to integrate with your code. libConfuse was called libcfg before, but was
changed to not confuse with other similar libraries. 

%package -n	%{libname_devel}
Summary:	Development files for the %{name} library
Group:		Development/C
Provides:	confuse-devel = %{version}
Requires:	%{libname} = %{version}
Obsoletes:	%{_lib}confuse-static-devel < 3.2.1
Conflicts:	%{_lib}name2 < 3.2.1-3

%description -n	%{libname_devel}
Development library and header files for the %{name} library

#------------------------------------------------------------
%prep

%setup -q -n confuse-%{version}
%autopatch -p0

%build

%configure \
    --enable-shared \
    --disable-static \
    --disable-rpath

%make_build

%install
%make_install

install -d %{buildroot}%{_mandir}/man3
install -m0644 doc/man/man3/*.3 %{buildroot}%{_mandir}/man3/
rm -rf %{buildroot}%{_datadir}/doc/confuse

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang confuse

#------------------------------------------------------------

%files -f confuse.lang

%files -n %{libname}
%doc AUTHORS ChangeLog.md LICENSE README.md
%{_libdir}/*.so.%{major}{,.*}

%files -n %{libname_devel}
%doc examples doc/html/*
%{_mandir}/man3/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
