%define oname		cprops

%define major		15
%define libname		%mklibname %{oname} %{major}
%define develname	%mklibname -d %{oname}

%define dbms_major	0
%define mysqllib	%mklibname cp_dbms_mysql %{dbms_major}
%define pgreslib	%mklibname cp_dbms_postgres %{dbms_major}

%bcond_without	postgres
%bcond_without	mysql

Name:		lib%{oname}
Version:	0.1.12
Release:	%mkrel 21

Summary:	C Prototyping Tools
Group:		Development/C
License:	LGPLv2+
URL:		https://%{oname}.sourceforge.net/
Source0:	https://downloads.sourceforge.net/%{oname}/%{name}-%{version}.tar.bz2
Patch0:		libcprops-AC_DEFINE.patch
Patch1:		libcprops-format-string.patch
Patch2:		libcprops-fix-building-with-gcc14.patch

BuildRequires:	pkgconfig(openssl)
BuildRequires:	flex
BuildRequires:	bison

%description
The C Prototyping Tools library provides thread-safe linked list, priority
queue, hash table, hash list, AVL tree and trie implementations, as well
as a thread pool and a thread management framework, a TCP and an HTTP socket
API, and a DBMS abstraction layer.

%package -n %{libname}
Summary:	C Prototyping Tools
Group:		System/Libraries
Obsoletes:	%{_lib}libcprops0 < 0.1.12-3

%if %with mysql
%package -n %{mysqllib}
Summary:	MySQL (MariaDB) dbms driver for %{name}
Group:		System/Libraries
BuildRequires:	mysql-devel

%description -n %{mysqllib}
This package contains the MySQL (MariaDB) dbms driver for %{name}.
%endif

%if %with postgres
%package -n %{pgreslib}
Summary:	PostgreSQL dbms driver for %{name}
Group:		System/Libraries
BuildRequires:	postgresql-devel
Conflicts:	%{_lib}libcprops0 < 0.1.12-3

%description -n %{pgreslib}
This package contains the PostgreSQL dbms driver for %{name}.
%endif

%description -n %{libname}
The C Prototyping Tools library provides thread-safe linked list, priority
queue, hash table, hash list, AVL tree and trie implementations, as well
as a thread pool and a thread management framework, a TCP and an HTTP socket
API, and a DBMS abstraction layer.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}libcprops-devel < 0.1.12-3

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%autopatch -p1

# for autoreconf
mkdir -p m4

%build
autoreconf -vfi
%configure \
	--disable-static \
	--disable-cpsvc \
	--disable-cpsp \
	--enable-shared \
	--with-ssl=%{_prefix} \
	%{?with_postgres:--with-postgres-includes=%{_includedir}/pgsql} \
	%{?with_postgres:--with-postgres-libs=%{_libdir}} \
	%{?with_mysql:--with-mysql-includes=%{_includedir}/mysql} \
	%{?with_mysql:--with-mysql-libs=%{_libdir}}

sed -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    -e 's|func_apped|func_append|' \
    -e 's|CC -shared|CC -shared -Wl,--as-needed|g' \
    -i libtool

%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc README ChangeLog
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%if %with mysql
%files -n %{mysqllib}
%{_libdir}/libcp_dbms_mysql.so.%{dbms_major}
%{_libdir}/libcp_dbms_mysql.so.%{dbms_major}.*
%endif

%if %with postgres
%files -n %{pgreslib}
%{_libdir}/libcp_dbms_postgres.so.%{dbms_major}
%{_libdir}/libcp_dbms_postgres.so.%{dbms_major}.*
%endif

%files -n %{develname}
%{_mandir}/man3/*
%{_includedir}/%{oname}/
%{_libdir}/*.so
