%define major	1
%define libname	%mklibname cyaml %{major}
%define devname	%mklibname cyaml -d

Name:		libcyaml
Summary:	Schema-based YAML parsing and serialisation
Version:	1.4.2
Release:	%mkrel 1
License:	ISC
Group:		System/Libraries
Url:		https://github.com/tlsa/libcyaml
Source0:	https://github.com/tlsa/libcyaml/archive/v%{version}/libcyaml-%{version}.zip
BuildRequires:	yaml-devel

%description
LibCYAML is a C library for reading and writing structured YAML documents.

%package -n %{libname}
Summary:	Schema-based YAML parsing and serialisation
Group:		System/Libraries

%description -n %{libname}
LibCYAML is a C library for reading and writing structured YAML documents.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development libraries and headers for %{name}.

%prep
%autosetup -p1

%build
%set_build_flags
%make_build PREFIX=%{_prefix} VARIANT=release

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_lib} VARIANT=release

# drop static lib
find %{buildroot} -name "*.a" -delete

%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{devname}
%doc CHANGES.md
%{_includedir}/cyaml/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/libcyaml.pc
