%define major   0
%define libname %mklibname datachannel %{major}
%define devname %mklibname datachannel -d

Name:           libdatachannel
Version:        0.22.4
Release:        %mkrel 1
Summary:        WebRTC network library featuring Data Channels, Media Transport, and WebSockets
Group:          System/Libraries
License:        MPL-2.0
URL:            https://libdatachannel.org/
Source0:        https://github.com/paullouisageneau/libdatachannel/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gawk
# Not yet needed and not packaged in Mageia yet
#BuildRequires:  cmake(LibJuice)
BuildRequires:  cmake(nlohmann_json)
BuildRequires:  cmake(plog)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(nice)
BuildRequires:  pkgconfig(libsrtp2)
BuildRequires:  pkgconfig(usrsctp)

%description
libdatachannel is a standalone implementation of WebRTC Data Channels,
WebRTC Media Transport, and WebSockets in C++17 with C bindings for POSIX platforms
(including GNU/Linux, Android, FreeBSD, Apple macOS and iOS) and Microsoft Windows.


%package -n %{libname}
Summary:        WebRTC network library featuring Data Channels, Media Transport, and WebSockets
Group:          System/Libraries

%description -n %{libname}
libdatachannel is a standalone implementation of WebRTC Data Channels,
WebRTC Media Transport, and WebSockets in C++17 with C bindings for POSIX platforms
(including GNU/Linux, Android, FreeBSD, Apple macOS and iOS) and Microsoft Windows.


%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       datachannel-devel = %{version}-%{release}

%description -n %{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup

sed -i 's|SOVERSION ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}|SOVERSION ${PROJECT_VERSION_MAJOR}|' CMakeLists.txt

%build
%cmake -DPREFER_SYSTEM_LIB=ON \
       -DUSE_GNUTLS=ON \
       -DUSE_NICE=ON
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license LICENSE
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{devname}
%doc README.md DOC.md
%{_includedir}/rtc/
%{_libdir}/cmake/LibDataChannel/
%{_libdir}/%{name}.so
