%define major		1
%define libname		%mklibname datrie %{major}
%define develname	%mklibname datrie -d

Summary:	Double-array structure for representing trie
Name:		libdatrie
Version:	0.2.13
Release:	%mkrel 2
License:	LGPLv2+ and GPLv2+
Group:		System/Libraries
URL:		https://linux.thai.net/
Source0:	https://linux.thai.net/pub/thailinux/software/libthai/%{name}-%{version}.tar.xz
BuildRequires:	doxygen
BuildRequires:	pkgconfig

%description
This is an implementation of double-array structure for representing trie.

Trie is a kind of digital search tree, an efficient indexing method with
O(1) time complexity for searching. Comparably as efficient as hashing,
trie also provides flexibility on incremental matching and key spelling
manipulation. This makes it ideal for lexical analyzers, as well as spelling
dictionaries.

%package -n	trietool
Summary:	Trie manipulation tool
Group:		Databases

%description -n	trietool
Trietool is a trie manipulation tool.

%package -n	%{libname}
Summary:	Double-array structure for representing trie
Group:		System/Libraries
Provides:	%{name} = %{version}

%description -n	%{libname}
This is an implementation of double-array structure for representing trie.

Trie is a kind of digital search tree, an efficient indexing method with
O(1) time complexity for searching. Comparably as efficient as hashing,
trie also provides flexibility on incremental matching and key spelling
manipulation. This makes it ideal for lexical analyzers, as well as spelling
dictionaries.

%package -n	%{develname}
Summary:	Double-array structure for representing trie
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	datrie-devel = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package includes the header files and developer docs for the libdatrie
package.

Install libdatrie-devel if you want to develop programs which will use
libdatrie.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n trietool
%{_bindir}/*
%{_mandir}/man1/trietool*.1*

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%doc README AUTHORS NEWS
%{_includedir}/datrie
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_datadir}/doc/datrie/
