%define	major 1
%define libname %mklibname dbi %{major}
%define develname %mklibname dbi -d

Summary:	Database Independent Abstraction Layer for C
Name:		libdbi
Version:	0.9.0
Release:	%mkrel 10
License:	LGPL
Group:		System/Libraries
URL:		https://libdbi.sourceforge.net/
Source0:	https://prdownloads.sourceforge.net/libdbi/%{name}-%{version}.tar.gz
BuildRequires:	openjade
BuildRequires:	docbook-style-dsssl
BuildRequires:	docbook-dtd41-sgml

%description
libdbi implements a database-independent abstraction layer in C, similar to the
DBI/DBD layer in Perl. Writing one generic set of code, programmers can
leverage the power of multiple databases and multiple simultaneous database
connections by using this framework.

%package -n	%{libname}
Summary:	Database Independent Abstraction Layer for C
Group:          System/Libraries

%description -n	%{libname}
libdbi implements a database-independent abstraction layer in C, similar to the
DBI/DBD layer in Perl. Writing one generic set of code, programmers can
leverage the power of multiple databases and multiple simultaneous database
connections by using this framework.

%package -n	%{develname}
Summary:	Library and header files for the %{name} library
Group:		Development/C
Provides:	%{name}-devel = %{version}
Provides:	dbi-devel = %{version}
Requires:	%{libname} = %{version}
Obsoletes:	%{mklibname dbi 0 -d}

%description -n	%{develname}
libdbi implements a database-independent abstraction layer in C, similar to the
DBI/DBD layer in Perl. Writing one generic set of code, programmers can
leverage the power of multiple databases and multiple simultaneous database
connections by using this framework.

This package contains the static library and header files.

%prep
%setup -q

# fix dir perms
find -type d | xargs chmod 755

%build
# to recognize aarch64
autoreconf -vfi

%configure

%make_build

%install
%make_install

# nuke installed docs...
rm -rf %{buildroot}%{_docdir}

%files -n %{libname}
%doc AUTHORS ChangeLog INSTALL README
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc README TODO doc/programmers-guide doc/driver-guide doc/*.pdf
%{_includedir}/dbi
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/dbi.pc

