# Bump when date/snapshot changes
%define mainrel 1
%define date    20160218
# Bump for rebuild of same snapshot
%define rel 6

Name:           libdbusmenu-qt
Version:        0.9.3
Release:        %mkrel %{mainrel}.%{date}.%{rel}
Summary:        Qt implementation of the DBusMenu spec
Group:          System/Libraries
License:        GPLv2
URL:            https://launchpad.net/libdbusmenu-qt
Source0:        %{name}-%{version}+%{date}.tar.xz
Patch0:         libdbusmenu-qt-fix-pkgconfig-libdir-path.patch

BuildRequires:  cmake
BuildRequires:  doxygen

BuildRequires:  kde4-macros
BuildRequires:  pkgconfig(QJson)
BuildRequires:  pkgconfig(QtCore)

BuildRequires:  kf5-rpm-macros
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)

%description
This library provides a Qt implementation of the DBusMenu spec.

#-----------------------------------------------------------------------

%define libname_major 2
%define libname %mklibname dbusmenu-qt %{libname_major}

%package -n %{libname}
Summary:        Qt implementation of the DBUSMenu Spec
Group:          System/Libraries

%description -n %{libname}
Qt implementation of the DBUSMenu Spec.


%files -n %{libname}
%{_libdir}/libdbusmenu-qt.so.%{libname_major}{,.*}

#--------------------------------------------------------------------

%define develname %mklibname dbusmenu-qt -d

%package -n %{develname}
Summary:    Library headers for %{name}
Group:      Development/C
Requires:   %{libname} = %{version}
Provides:   %{name}-devel = %{version}-%{release}

%description -n	%{develname}
This is the libraries, include files and other resources you can use
to incorporate %{name} into applications.

%files -n	%{develname}
%{_libdir}/libdbusmenu-qt.so
%{_includedir}/dbusmenu-qt/
%{_libdir}/pkgconfig/dbusmenu-qt.pc
%{_kde_libdir}/cmake/dbusmenu-qt
%doc %{_datadir}/doc/libdbusmenu-qt-doc

#--------------------------------------------------------------------

%define dbusmenuqt5_major 2
%define libdbusmenuqt5 %mklibname dbusmenu-qt5_ %{dbusmenuqt5_major}

%package -n %{libdbusmenuqt5}
Summary:        A Qt implementation of the DBusMenu protocol (Qt5 version)
Group:          System/Libraries
Requires:       nss_mdns

%description -n %{libdbusmenuqt5}
This library provides a Qt implementation of the DBusMenu protocol.

The DBusMenu protocol makes it possible for applications to export and import
their menus over DBus.

%files -n %{libdbusmenuqt5}
%{_kf5_libdir}/libdbusmenu-qt5.so.%{dbusmenuqt5_major}{,.*}

#--------------------------------------------------------------------

%define dbusmenuqt5_devel %mklibname dbusmenu-qt5 -d

%package -n %{dbusmenuqt5_devel}
Summary:        Development files for %{name}
Group:          Development/KDE and Qt
Requires:       %{libdbusmenuqt5} = %{version}-%{release}
Provides:       %{name}5-devel = %{version}-%{release}

%description -n %{dbusmenuqt5_devel}
This is the libraries, include files and other resources you can use
to incorporate %{name} into applications.

%files -n %{dbusmenuqt5_devel}
%{_includedir}/dbusmenu-qt5/
%{_kf5_libdir}/libdbusmenu-qt5.so
%{_kf5_libdir}/pkgconfig/dbusmenu-qt5.pc
%{_kf5_libdir}/cmake/dbusmenu-qt5/

#-----------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{version}+%{date}

%build
%global _vpath_srcdir ..

mkdir %name-qt4
pushd %name-qt4
%cmake_qt4 \
  -DUSE_QT4:BOOL=ON \
  -DUSE_QT5:BOOL=OFF \
  -DWITH_DOC:BOOL=ON
%cmake_build
popd

mkdir %name-qt5
pushd %name-qt5
%cmake_kf5 \
  -DUSE_QT4:BOOL=OFF \
  -DUSE_QT5:BOOL=ON \
  -DWITH_DOC:BOOL=OFF
%cmake_build
popd

%install
%make_install -C %{name}-qt4/%{_vpath_builddir}
%make_install -C %{name}-qt5/%{_vpath_builddir}
