%define major		26
%define libname		%mklibname dc1394_ %{major}
%define develname	%mklibname dc1394 -d

Summary: 	Library for 1394 Digital Camera Specification
Name: 		libdc1394
Version: 	2.2.7
Release: 	%mkrel 1
License: 	GPLv2+
Group: 		System/Libraries
URL: 		https://sourceforge.net/projects/libdc1394/
Source0: 	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		libdc1394-2.2.0-fix-linking.patch
Patch1:		libdc1394-2.1.2-videodev.h.patch
BuildRequires:	pkgconfig(libraw1394)
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xv)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(libv4l1)
Requires: 	libraw1394 kernel

%description
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification.

%package -n 	%{libname}
Summary: 	Dynamic library from libdc1394
Group: 		System/Libraries
Provides: 	libdc1394

%description -n %{libname}
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification.

%package -n 	%{develname}
Summary: 	Development components for libdc1394
Group: 		Development/C
Requires: 	%{libname} = %{version}-%{release}
%if "%{_lib}" != "lib"
Provides: 	libdc1394-devel = %{version}-%{release}
%endif
Provides: 	dc1394-devel = %{version}-%{release}

%description -n %{develname}
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification.

This archive contains the header-files for libdc1394 development

%prep
%setup -q
%autopatch -p0

%build
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc AUTHORS ChangeLog NEWS README
%license COPYING
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_bindir}/dc1394_reset_bus
%{_includedir}/dc1394
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man1/*.1*
