%define major		0
%define libname		%mklibname dca %{major}
%define develname	%mklibname dca -d

Summary:	DTS Coherent Acoustics decoder
Name:		libdca
Version:	0.0.7
Release:	%mkrel 3
License:	GPLv2+
Group:		System/Libraries
Url:		https://www.videolan.org/developers/libdca.html
Source0:	https://download.videolan.org/pub/videolan/libdca/%{version}/%{name}-%{version}.tar.bz2

%description
This is a free decoder for the DTS Coherent Acoustics format. It
consists of a library and a command line decoder. DTS is a high
quality multi-channel (5.1) digital audio format used in DVDs and
DTS audio CDs.

This package is in tainted section as it might be covered by
patents.

%package tools
Summary:	DTS Coherent Acoustics decoder
Group:		Sound/Editors and Converters
Obsoletes:	dtsdec
Provides:	dtsdec

%description tools
This is a free decoder for the DTS Coherent Acoustics format. It
consists of a library and a command line decoder. DTS is a high
quality multi-channel (5.1) digital audio format used in DVDs and
DTS audio CDs.

This package is in tainted section as it might be covered by
patents.

%package -n %{libname}
Group:		System/Libraries
Summary:	DTS Coherent Acoustics decoder shared library

%description -n %{libname}
This is a free decoder for the DTS Coherent Acoustics format. It
consists of a library and a command line decoder. DTS is a high
quality multi-channel (5.1) digital audio format used in DVDs and
DTS audio CDs.

This package is in tainted section as it might be covered by
patents.

%package -n %{develname}
Group:		Development/C
Summary:	Library for decoding DTS audio - C development files
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	dtsdec-devel
Provides:	dtsdec-devel

%description -n %{develname}
This is a free decoder for the DTS Coherent Acoustics format.DTS is a
high quality multi-channel (5.1) digital audio format used in DVDs and
DTS audio CDs.

This package contains a library and the required header files to
develop with libdts.

This package is in tainted section as it might be covered by
patents.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

# we don't want this
find %{buildroot} -name '*.la' -delete

# libdca installs broken libdts.a compatibility symlink;
# replace it with shared devel symlink:
rm %{buildroot}%{_libdir}/libdts.a
ln -s libdca.so %{buildroot}%{_libdir}/libdts.so

%files tools
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/dtsdec
%{_bindir}/dcadec
%{_bindir}/extract_dca
%{_bindir}/extract_dts
%{_mandir}/man1/dcadec.1*
%{_mandir}/man1/extract_dca.1*

%files -n %{libname}
%{_libdir}/libdca.so.%{major}{,.*}

%files -n %{develname}
%doc TODO
%{_includedir}/dts.h
%{_includedir}/dca.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/libdca.pc
%{_libdir}/pkgconfig/libdts.pc
