%define         major 0
%define         libname %mklibname de265_ %{major}
%define         devname %mklibname de265 -d

#define         extra 20190816_git5098701

%define		rel 1

Name:           libde265
Version:        1.0.15
Release:        %mkrel %{?extra:0.%extra.}%{rel}
Summary:        Open h.265 video codec implementation
Group:          System/Libraries
License:        LGPLv2 and GPLv2
URL:            https://github.com/strukturag/libde265
Source0:        https://github.com/strukturag/libde265/releases/download/v%{version}/%{name}-%{version}%{?extra:-%{extra}}.tar.gz

BuildRequires:  pkgconfig(sdl)

%description
libde265 is an open source implementation of the h.265 video codec. It is
written from scratch and has a plain C API to enable a simple integration
into other software.

libde265 supports WPP and tile-based multithreading and includes SSE
optimizations. The decoder includes all features of the Main profile and
correctly decodes almost all conformance streams.

%package        -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       de265-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < 1.0.3-0.20181016_git4488ae0.2

%description    -n %{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

%package        -n %{libname}
Summary:        Library files for %{name}
Group:          System/Libraries

%description    -n %{libname}
The %{libname} package contains the libraries for %{name}.

%prep
%autosetup

%build
./autogen.sh
%configure --disable-static
%make_build

%install
%make_install
find %{buildroot} -name '*.*a' -delete

%__mv %{buildroot}%{_bindir}/tests %{buildroot}%{_bindir}/%{name}-tests

%files
%doc AUTHORS ChangeLog NEWS README.md
%{_bindir}/*

%files -n %{libname}
%{_libdir}/*%{name}*.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/*%{name}*.so
%{_libdir}/pkgconfig/libde265.pc

