%define major   0
%define libname %mklibname decor %{major}
%define devname %mklibname decor -d

Name:           libdecor
Version:        0.2.2
Release:        %mkrel 1
Summary:        Wayland client side decoration library
Group:          System/Libraries
License:        MIT
URL:            https://gitlab.freedesktop.org/libdecor/libdecor
Source:         %{url}/-/releases/%{version}/downloads/libdecor-%{version}.tar.xz

BuildRequires:  meson
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(pangocairo)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(xkbcommon)

%description
Libdecor provides a small helper library for providing client
side decoration to Wayland clients.

%package -n %{libname}
Summary:        Wayland client side decoration library
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       decor-devel = %{version}-%{release}

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
%meson -Ddemo=false
%meson_build

%install
%meson_install

%files
%license LICENSE
%doc README.md
%dir %{_libdir}/libdecor/
%dir %{_libdir}/libdecor/plugins-1
%{_libdir}/libdecor/plugins-1/libdecor-cairo.so
%{_libdir}/libdecor/plugins-1/libdecor-gtk.so

%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/libdecor-%{major}.so.%{major}{,.*}

%files -n %{devname}
%license LICENSE
%doc README.md
%{_includedir}/libdecor-%{major}/
%{_libdir}/libdecor-%{major}.so
%{_libdir}/pkgconfig/libdecor-%{major}.pc
