%define major     0
%define libname   %mklibname discid %{major}
%define develname %mklibname discid -d

Summary:        A Library for creating MusicBrainz DiscIDs
Name:           libdiscid
Version:        0.6.4
Release:        %mkrel 1
License:        LGPLv2+
Group:          System/Libraries
Url:            https://musicbrainz.org/doc/libdiscid
Source0:        https://ftp.musicbrainz.org/pub/musicbrainz/libdiscid/%{name}-%{version}.tar.gz

%description
libdiscid is a library for creating MusicBrainz DiscIDs from audio CDs.
It reads a CD's table of contents (TOC) and generates an identifier which
can be used to lookup the CD at MusicBrainz (https://musicbrainz.org).
Additionally, it provides a submission URL for adding the DiscID to the
database.

%package -n %{libname}
Summary:        A Library for creating MusicBrainz DiscIDs
Group:          System/Libraries
# gw for python-musicbrainz2 to depend on
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
libdiscid is a library for creating MusicBrainz DiscIDs from audio CDs.
It reads a CD's table of contents (TOC) and generates an identifier which
can be used to lookup the CD at MusicBrainz (https://musicbrainz.org).
Additionally, it provides a submission URL for adding the DiscID to the
database.

%package -n %{develname}
Summary:        A Library for creating MusicBrainz DiscIDs
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
libdiscid is a library for creating MusicBrainz DiscIDs from audio CDs.
It reads a CD's table of contents (TOC) and generates an identifier which
can be used to lookup the CD at MusicBrainz (https://musicbrainz.org).
Additionally, it provides a submission URL for adding the DiscID to the
database.


%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc README AUTHORS
%license COPYING
%{_libdir}/libdiscid.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libdiscid.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
