%global major	1
%global libname	%mklibname dispatch %{major}
%global devname	%mklibname dispatch -d

Name:           libdispatch
Summary:        Apple's Grand Central Dispatch library
Version:        6.0.2
Release:        %mkrel 1
Group:          System/Libraries
License:        ASL 2.0
URL:            https://github.com/apple/swift-corelibs-libdispatch
Source0:        https://github.com/apple/swift-corelibs-libdispatch/archive/swift-%{version}-RELEASE/libdispatch-%{version}.tar.gz
Patch1:		noerrors.patch
Patch2:		libdispatch-soversion.patch
BuildRequires:  clang
BuildRequires:  llvm-devel
BuildRequires:  libbsd-devel
BuildRequires:  ninja-build
BuildRequires:  cmake
BuildRequires:  chrpath

%description
Grand Central Dispatch (GCD or libdispatch) provides comprehensive support for
concurrent code execution on multicore hardware.

libdispatch is currently available on all Darwin platforms. This project aims
to make a modern version of libdispatch available on all other Swift platforms.
To do this, we will implement as much of the portable subset of the API as
possible, using the existing open source C implementation.

libdispatch on Darwin is a combination of logic in the xnu kernel alongside the
user-space Library. The kernel has the most information available to balance
workload across the entire system. As a first step, however, we believe it is
useful to bring up the basic functionality of the library using user-space
pthread primitives on Linux. Eventually, a Linux kernel module could be
developed to support more informed thread scheduling.

%package -n %{libname}
Summary:    Apple's Grand Central Dispatch library
Group:      System/Libraries
Provides:   %{name} = %{version}-%{release}
Provides:   %{name}%{?_isa} = %{version}-%{release}

%description -n %{libname}
Grand Central Dispatch (GCD or libdispatch) provides comprehensive support for
concurrent code execution on multicore hardware.

%package -n %{devname}
Summary:    Development files for libdispatch
Group:      Development/Other
Requires:   %{libname} =  %{version}-%{release}
Provides:   %{name}-devel =  %{version}-%{release}

%description -n %{devname}
Development files for libdispatch.

%prep
%autosetup -n swift-corelibs-libdispatch-swift-%{version}-RELEASE -p1

%build
export CXX=clang++
export CC=clang
%cmake -G Ninja \
  -DCMAKE_SKIP_RPATH:BOOL=ON
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license LICENSE
%{_libdir}/libBlocksRuntime.so.%{major}{,.*}
%{_libdir}/libdispatch.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/Block.h
%{_includedir}/dispatch/
%{_includedir}/os/
%{_libdir}/libBlocksRuntime.so
%{_libdir}/libdispatch.so
%{_mandir}/man3/*
