%define major   2
%define libname %mklibname display-info %{major}
%define devname %mklibname display-info -d

Name:           libdisplay-info
Version:        0.2.0
Release:        %mkrel 1
Summary:        EDID and DisplayID library
License:        MIT
Group:          System/Libraries
URL:            https://emersion.pages.freedesktop.org/libdisplay-info/
Source0:        https://gitlab.freedesktop.org/emersion/libdisplay-info/-/archive/%{version}/%{name}-%{version}.tar.bz2
BuildRequires:  meson
BuildRequires:  pkgconfig(hwdata)

%description
EDID and DisplayID library.

Goals:

* Provide a set of high-level, easy-to-use, opinionated functions as well
  as low-level functions to access detailed information.
* Simplicity and correctness over performance and resource usage.
* Well-tested and fuzzed.

%package -n %{libname}
Summary:        EDID and DisplayID library
Group:          System/Libraries

%description -n %{libname}
EDID and DisplayID library.

Goals:

* Provide a set of high-level, easy-to-use, opinionated functions as well
  as low-level functions to access detailed information.
* Simplicity and correctness over performance and resource usage.
* Well-tested and fuzzed.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       display-info-devel = %{version}-%{release}

%description -n %{devname}
Development files (Headers etc.) for %{name}.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files
%{_bindir}/*

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{version}

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
