%define major            0
%define libname          %mklibname divecomputer-subsurface %{major}
%define develname        %mklibname divecomputer-subsurface -d

%define major_orig       0
%define libname_orig     %mklibname divecomputer %{major_orig}
%define develname_orig   %mklibname divecomputer -d

# disable debuginfo, it's empty anyway due to static-only library
%global debug_package   %{nil}
%global gittag  9641883f2fc63928c6513895959fe72ed990e117
%global gitdate 20240602

%define rel 2

Name:           libdivecomputer-subsurface
Summary:        Library for communication with dive computers
Version:        5.0.10
Release:        %mkrel %{rel}.git%{gitdate}
# includes "Public domain" portions from https://github.com/kokke/tiny-AES128-C :
# aes.c
License:        LGPLv2+
Group:          Development/C
URL:            https://github.com/subsurface/libdc
Source0:        https://github.com/subsurface/libdc/archive/%{gittag}.tar.gz

BuildRequires:  pkgconfig(libusb-1.0)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  libtool

%description
Libdivecomputer is a cross-platform and open source library for
communication with dive computers from various manufacturers.

%package -n %{develname}
Summary:    Header files and development libraries for %{name}
Group:      Development/C
Provides:   divecomputer-subsurface-devel = %{version}-%{release}
Conflicts:  %{develname_orig}

%description -n %{develname}
Header files and development libraries for %{name}.

%prep
%setup -q -n libdc-%{gittag}

%build
# generate configure
autoreconf -fi

%configure \
  --disable-doc \
  --disable-silent-rules \
  --disable-shared \
  --enable-static

%make_build

%install
%make_install

# fix version in libdivecomputer.pc
sed -i -e 's,^Version.*,Version: %{version},' \
	%{buildroot}%{_libdir}/pkgconfig/libdivecomputer.pc

## unpackaged files
rm -f %{buildroot}%{_bindir}/dctool
rm -f %{buildroot}%{_libdir}/lib*.la

%files -n %{develname}
%doc NEWS README
%license COPYING
%{_includedir}/libdivecomputer/
%{_libdir}/libdivecomputer.a
%{_libdir}/pkgconfig/libdivecomputer.pc
