%define major       0
%define libname     %mklibname divecomputer %{major}
%define develname   %mklibname divecomputer -d

Name:       libdivecomputer
Version:    0.8.0
Release:    %mkrel 1
Summary:    Library for communication with dive computers
License:    LGPLv2
Group:      System/Libraries
URL:        https://www.libdivecomputer.org/
Source:     https://www.libdivecomputer.org/releases/%{name}-%{version}.tar.gz

%description
Libdivecomputer is a cross-platform and open source library for communication
with dive computers from various manufacturers.

%package -n %{libname}
Summary:    Libraries for %{name}
Group:      System/Libraries

%description -n %{libname}
Libraries for %{name}.

%package -n %{develname}
Summary:    Header files and development libraries for %{name}
Group:      Development/C
Requires:   %{libname} = %{version}-%{release}
Provides:   divecomputer-devel = %{version}-%{release}

%description -n %{develname}
Header files and development libraries for %{name}.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files
%{_bindir}/*

%files -n %{libname}
%{_libdir}/libdivecomputer.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}/
%{_mandir}/man3/*
%{_libdir}/libdivecomputer.so
%{_libdir}/pkgconfig/libdivecomputer.pc
