%define major		0
%define libname		%mklibname djinterop %{major}
%define develname	%mklibname djinterop -d

Name:		libdjinterop
Version:	0.22.1
Release:	%mkrel 1
Summary:	C++ library for access to DJ record libraries
License:	LGPL-3.0
Group:		System/Libraries
URL:		https://github.com/xsco/libdjinterop
Source0:	https://github.com/xsco/libdjinterop/archive/%{version}/%{name}-%{version}.tar.gz
Patch1:		0001-fix-libsuffix.patch

BuildRequires:	cmake
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(zlib)

%description
libdjinterop is a C++ library that allows access to database
formats used to store information about DJ record libraries.

This library currently supports:

  * Engine Library, as used on "Prime"-series DJ equipment.


#------------------------------------------------

%package -n	%{libname}
Summary:	C++ library for access to DJ record libraries
Group:		System/Libraries

%description -n	%{libname}
libdjinterop is a C++ library that allows access to database
formats used to store information about DJ record libraries.

This library currently supports:

  * Engine Library, as used on "Prime"-series DJ equipment.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	djinterop-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc README.md
%license LICENSE
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc README.md
%{_includedir}/djinterop/
%{_libdir}/%{name}.so
%{_libdir}/cmake/DjInterop/
%{_libdir}/pkgconfig/djinterop.pc

