%define api       4.0
%define major     3
%define girapi    4.0
%define libname   %mklibname dmapsharing %{api} %{major}
%define girname   %mklibname dmap-gir %{girapi}
%define develname %mklibname dmapsharing %{api} -d

Name:           libdmapsharing
Version:        3.9.13
Release:        %mkrel 1
License:        LGPLv2+
Summary:        A DMAP client and server library
Group:          System/Libraries
URL:            https://www.flyn.org/projects/libdmapsharing/index.html
Source:         https://www.flyn.org/projects/libdmapsharing/%{name}-%{version}.tar.gz
Patch1:		libdmapsharing-linking.patch
BuildRequires:  pkgconfig(avahi-client)
BuildRequires:  pkgconfig(avahi-glib)
BuildRequires:  pkgconfig(check)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libsoup-3.0)
BuildRequires:  pkgconfig(vapigen)
BuildRequires:  gnome-common
BuildRequires:  gtk-doc

%description
libdmapsharing implements the DMAP protocols. This includes support for
DAAP and DPAP.

%package -n     %{libname}
Summary:        A DMAP client and server library
Group:          System/Libraries

%description -n %{libname}
libdmapsharing implements the DMAP protocols. This includes support for
DAAP and DPAP.

%files -n %{libname}
%{_libdir}/libdmapsharing-%{api}.so.%{major}{,.*}

%package -n     %{girname}
Summary:        GObject Introspection interface library for Dmap
Group:          System/Libraries

%description -n %{girname}
GObject Introspection interface library for Dmap.

%files -n %{girname}
%{_libdir}/girepository-1.0/Dmap-%{girapi}.typelib

%package -n     %{develname}
Summary:        Files needed to develop applications using libdmapsharing
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:       %{girname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
libdmapsharing implements the DMAP protocols. This includes support for DAAP
and DPAP. This package provides the libraries, include files, and other
resources needed for developing applications using libdmapsharing.

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/libdmapsharing-%{api}/
%{_libdir}/pkgconfig/libdmapsharing-%{api}.pc
%{_includedir}/libdmapsharing-%{api}/
%{_libdir}/libdmapsharing-%{api}.so
%{_datadir}/gir-1.0/Dmap-%{girapi}.gir
%{_datadir}/vala/vapi/libdmapsharing-%{api}.vapi

%prep
%autosetup -p1 -n %{name}-%{version}

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure --disable-static --disable-tests
%make_build

%install
%make_install
