%define major		0
%define libname		%mklibname dmtx %major
%define develname	%mklibname dmtx -d


Name:		libdmtx
Version:	0.7.8
Release:	%mkrel 1
Summary:	A library for reading and writing Data Matrix 2D barcodes
Group:		System/Libraries
License: 	GPLv2
# http://www.libdmtx.org/ doesn't work any more
# outdated info is still at https://libdmtx.sourceforge.net/
URL:		https://github.com/dmtx
Source0:	https://github.com/dmtx/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	imagemagick-devel

%description
libdmtx is open source software for reading and writing Data Matrix
2D barcodes on Linux and Unix. At its core libdmtx is a shared
library, allowing C/C++ programs to use its capabilities without
restrictions or overhead.

#-------------------------------------------------------------------------------

%package -n %libname
Summary:	%{name} library package
Group:		System/Libraries

%description -n %libname
%summary.

%files -n %libname
%license LICENSE
%doc AUTHORS ChangeLog KNOWNBUG README README.linux TODO
%{_libdir}/%{name}.so.%{major}{,.*}
%{_mandir}/man3/%{name}*

#-------------------------------------------------------------------------------

%package -n %develname
Summary:	%{name} development files
Group:		Development/C++
Requires:	%libname = %version
Provides:	%{name}-devel = %version-%release
Provides:	dmtx-devel = %version-%release

%description -n %develname
This package contains header files needed when building applications
based on %{name}.

%files -n %develname
%{_includedir}/dmtx.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#-------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
./autogen.sh
%configure --disable-static
%make_build

%install
%make_install
