%define	major		1
%define libname		%mklibname dnet %{major}
%define develname	%mklibname dnet -d

Summary:	Portable interface to several low-level networking routines
Name:		libdnet
Version:	1.18.0
Release:	%mkrel 2
License:	BSD
Group:		System/Libraries
URL:		https://github.com/ofalk/libdnet
Source0:	https://github.com/ofalk/libdnet/archive/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	python3dist(cython)
BuildRequires:	pkgconfig(check)

%description
libdnet provides a simplified, portable interface to several
low-level networking routines, including network address
manipulation, kernel arp(4) cache and route(4) table lookup and
manipulation, network firewalling, network interface lookup and
manipulation, and raw IP packet and Ethernet frame transmission.

%package -n	%{libname}
Summary:	Portable interface to several low-level networking routines
Group:		System/Libraries

%description -n	%{libname}
libdnet provides a simplified, portable interface to several
low-level networking routines, including network address
manipulation, kernel arp(4) cache and route(4) table lookup and
manipulation, network firewalling, network interface lookup and
manipulation, and raw IP packet and Ethernet frame transmission.

%package -n	%{libname}-utils
Summary:	A simple test program for the %{libname} library
Group:		System/Libraries
Provides:	%{name}-utils = %{version}-%{release}

%description -n	%{libname}-utils
Provides a simple test program for the %{libname} library.

%package -n	%{develname}
Summary:	Static library and header files for the %{libname} library
Group:		Development/C
Provides:	dnet-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{develname}
libdnet provides a simplified, portable interface to several
low-level networking routines, including network address
manipulation, kernel arp(4) cache and route(4) table lookup and
manipulation, network firewalling, network interface lookup and
manipulation, and raw IP packet and Ethernet frame transmission.

%package -n	python3-%{name}
Summary:	Python 3 bindings for libdnet
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
%{?python_provide:%python_provide python3-%{name}}

%description -n	python3-%{name}
Python 3 bindings for libdnet.

%prep
%autosetup -p0 -n %{name}-%{name}-%{version}

%build
autoreconf -vfi
%configure \
	--disable-static
%make_build

%install
%make_install

pushd python
%py3_install
popd

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc THANKS TODO
%license LICENSE
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{libname}-utils
%{_sbindir}/*
%{_mandir}/man8/*

%files -n %{develname}
%{_bindir}/dnet-config
%{_includedir}/*
%{_libdir}/%{name}.so
%{_mandir}/man3/*

%files -n python3-%{name}
%{python3_sitearch}/*
