%define url_ver %(echo %{version} | cut -d. -f1,2)

%define major 9
%define libname %mklibname drizzle %{major}
%define develname %mklibname drizzle -d

Summary:	Drizzle Client & Protocol Library
Name:		libdrizzle
Version:	5.1.4
Release:	%mkrel 10
License:	BSD
Group:		System/Libraries
URL:		https://launchpad.net/libdrizzle
Source0:	https://launchpad.net/libdrizzle/%{url_ver}/%{version}/+download/libdrizzle-%{version}.tar.gz
BuildRequires:	pkgconfig(zlib)
BuildRequires:	python3dist(sphinx)

%description
This is the the client and protocol library for the Drizzle project. The
server, drizzled, will use this as for the protocol library, as well as the
client utilities and any new projects that require low-level protocol
communication (like proxies). Other language interfaces (PHP extensions, SWIG,
...) should be built off of this interface.

%package -n	%{libname}
Summary:	Drizzle Client & Protocol Library
Group:		System/Libraries

%description -n	%{libname}
This is the the client and protocol library for the Drizzle project. The
server, drizzled, will use this as for the protocol library, as well as the
client utilities and any new projects that require low-level protocol
communication (like proxies). Other language interfaces (PHP extensions, SWIG,
...) should be built off of this interface.

%package -n	%{develname}
Summary:	Drizzle Client & Protocol Library - Header files
Group:		Development/C
Requires:	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}

%description -n	%{develname}
Development files for the Drizzle Client & Protocol Library.

%prep

%setup -q

%build
export LIBS="-lpthread"
%configure --disable-static
%make_build

%check
%__make check

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%multiarch_binaries %{buildroot}%{_bindir}/libdrizzle-config

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS COPYING
%{_bindir}/libdrizzle-config
%multiarch %{multiarch_bindir}/libdrizzle-config
%{_includedir}/*
%{_libdir}/lib*.so
