%define	major		4
%define	libname		%mklibname dv %{major}
%define	develname	%mklibname dv -d

Name:		libdv
Version:	1.0.0
Release:	%mkrel 19
Summary:	DV software video codec
License:	LGPLv2+
Group:		System/Libraries
URL:		https://libdv.sourceforge.net/
Source0:	https://prdownloads.sourceforge.net/libdv/%{name}-%{version}.tar.bz2
Patch0:		libdv-mmxdetect-athlon.patch
Patch4:		libdv-0.104-zap-config.h.patch
Patch5:		libdv-0.104-move-config.h-to-apps.patch
BuildRequires:	pkgconfig(popt)
BuildRequires:	pkgconfig(xv)
# for autoreconf
BuildRequires:	SDL1.2-devel

%description
The Quasar DV codec (libdv) is a software codec for DV video.  DV is
the encoding format used by most digital camcorders, typically those
that support the IEEE 1394 (aka FireWire or i.Link) interface.  libdv
was developed according to the official standards for DV video, IEC
61834 and SMPTE 314M.  See https://libdv.sourceforge.net/ for more.

%package	apps
Summary:	Binaries from libdv
Group:		Video/Editors and Converters
Provides:	%{_lib}dv2-apps = %{version}-%{release}
Obsoletes:	%{_lib}dv2-apps

%description	apps
The Quasar DV codec (libdv) is a software codec for DV video.  DV is
the encoding format used by most digital camcorders, typically those
that support the IEEE 1394 (aka FireWire or i.Link) interface.  libdv
was developed according to the official standards for DV video, IEC
61834 and SMPTE 314M.  See https://libdv.sourceforge.net/ for more.

This is the libraries, include files and other resources you can use
to incorporate libdv into applications.


%package -n	%{libname}
Summary:	Libraries from libdv
Group:		System/Libraries

%description -n	%{libname}
The Quasar DV codec (libdv) is a software codec for DV video.  DV is
the encoding format used by most digital camcorders, typically those
that support the IEEE 1394 (aka FireWire or i.Link) interface.  libdv
was developed according to the official standards for DV video, IEC
61834 and SMPTE 314M.  See https://libdv.sourceforge.net/ for more.

This is the libraries, include files and other resources you can use
to incorporate libdv into applications.

%package -n	%develname
Summary:	Devel files from libdv
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	popt-devel
Provides:	libdv-devel = %{version}-%{release}
Obsoletes:	%mklibname -d dv 4
Obsoletes:	%{mklibname -d -s dv} < 1.0.0-15

%description -n	%develname
The Quasar DV codec (libdv) is a software codec for DV video.  DV is
the encoding format used by most digital camcorders, typically those
that support the IEEE 1394 (aka FireWire or i.Link) interface.  libdv
was developed according to the official standards for DV video, IEC
61834 and SMPTE 314M.  See https://libdv.sourceforge.net/ for more.

This is the libraries, include files and other resources you can use
to incorporate libdv into applications.

%prep
%setup -q
%autopatch -p1

%build
# to recognize aarch64
autoreconf -vfi

%configure --disable-static --enable-shared --disable-gtk

%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files apps
%doc ChangeLog COPYING README AUTHORS NEWS TODO COPYRIGHT
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %develname
%doc ChangeLog COPYING README AUTHORS NEWS TODO COPYRIGHT
%{_includedir}/libdv
%{_libdir}/*.so
%{_libdir}/pkgconfig/libdv.pc
