# This package is sync with FC!!

%global major   0
%define libname %mklibname dwarf %major
%define devname %mklibname dwarf -d

Name:          libdwarf
Epoch:         1
Version:       0.11.1
Release:       %mkrel 1
Summary:       Library to access the DWARF Debugging file format
Group:         Development/C

License:       LGPL-2.1-only AND BSD-2-Clause-FreeBSD
URL:           https://www.prevanders.net/dwarf.html
Source0:       https://www.prevanders.net/%{name}-%{version}.tar.xz

BuildRequires: gcc
BuildRequires: make
BuildRequires: python3
BuildRequires: pkgconfig(libelf)
BuildRequires: pkgconfig(libzstd)
BuildRequires: pkgconfig(zlib)

%description
Library to access the DWARF debugging file format which supports
source level debugging of a number of procedural languages, such as C, C++,
and Fortran.  Please see http://www.dwarfstd.org for DWARF specification.

%package -n %libname
Summary:       Library to access the DWARF Debugging file format
Group:         System/Libraries

%description -n %libname
Library to access the DWARF debugging file format which supports
source level debugging of a number of procedural languages, such as C, C++,
and Fortran.  Please see http://www.dwarfstd.org for DWARF specification.

%package -n %devname
Summary:       Library and header files of libdwarf
Group:         Development/C
License:       LGPL-2.1-only AND BSD-2-Clause-FreeBSD
Requires:      %{libname} = %{epoch}:%{version}-%{release}
Provides:      %{name}-devel = %{epoch}:%{version}-%{release}
Provides:      dwarf-devel = %{epoch}:%{version}-%{release}

%description -n %devname
Development package containing library and header files of libdwarf.

%package static
Summary:       Static libdwarf library
Group:         Development/C
License:       LGPL-2.1-only AND BSD-2-Clause-FreeBSD
Requires:      %{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libdwarf library.

%package tools
Summary:       Tools for accessing DWARF debugging information
Group:         Development/Tools
License:       LGPL-2.1-only AND BSD-2-Clause-FreeBSD
Requires:      %{libname} = %{epoch}:%{version}-%{release}

%description tools
C++ version of dwarfdump (dwarfdump2) command-line utilities
to access DWARF debug information.

%prep
%autosetup -p1


%build
%configure --enable-shared
%make_build


%install
%make_install

mkdir -p %{buildroot}%{_includedir}/libdwarf
cp -l %{buildroot}%{_includedir}/libdwarf-0/*.h %{buildroot}%{_includedir}/libdwarf


%check
TZ=:America/Los_Angeles %__make check


%files -n %libname
%doc src/lib/libdwarf/ChangeLog src/lib/libdwarf/README
%license src/lib/libdwarf/COPYING src/lib/libdwarf/LIBDWARFCOPYRIGHT src/lib/libdwarf/LGPL.txt
%{_libdir}/libdwarf.so.%{major}{,.*}


%files static
%{_libdir}/libdwarf.a


%files -n %devname
%doc doc/*.pdf
%{_includedir}/libdwarf/
%{_includedir}/libdwarf-0/
%{_libdir}/libdwarf.so
%{_libdir}/pkgconfig/libdwarf.pc


%files tools
%license src/bin/dwarfdump/COPYING src/bin/dwarfdump/DWARFDUMPCOPYRIGHT src/bin/dwarfdump/GPL.txt
%{_bindir}/dwarfdump
%dir %{_datadir}/dwarfdump
%{_datadir}/dwarfdump/dwarfdump.conf
%{_mandir}/man1/dwarfdump.1.*
