%define major	1
%define libname	%mklibname dxfrw %{major}
%define devname	%mklibname dxfrw -d

# comment out if not pre release
#define prel	rc1

# rel for bumping
%define rel	3

Name:		libdxfrw
Summary:	Library to read dwg and read/write dxf files
Version:	2.2.0
Release:	%mkrel %{?prel:0.%prel.}%{rel}
License:	GPLv2+
Group:		System/Libraries
Url:		https://github.com/LibreCAD/libdxfrw
Source0:	https://github.com/LibreCAD/%{name}/archive/LC%{version}%{?prel:-%prel}/%{name}-LC%{version}%{?prel:-%prel}.tar.gz
# Upstream patches
Patch1:		0001-Check-object-map-section-checksum.patch
Patch2:		0002-Introduce-reader-of-AC1032-format.patch
Patch3:		0003-Fix-object-map-section-parsing-for-AC1032-format.patch
Patch4:		0004-AC1032-format-skip-non-existant-layers.patch
Patch5:		0005-DRW_Dimstyle-parseDWG-specified-override.patch
Patch6:		0006-DRW_Dimstyle-parseDWG-specified-override.patch
Patch7:		0007-updated-gitignore-cmake-generated-files.patch
Patch8:		0008-LibreCAD-PR-1551-340-Dimstyle-field.patch
Patch9:		0009-C-14-support.patch
Patch10:	0010-Add-resolve-Dimension-measure-value-code-42.patch
Patch11:	0011-if-statement-removal-79.patch
BuildRequires:	cmake

%description
c++ library to read/write dxf files in binary and ascii form
and to read dwg form.

%package -n %{libname}
Summary:	Library to read dwg and read/write dxf files
Group:		System/Libraries

%description -n %{libname}
c++ library to read/write dxf files in binary and ascii form
and to read dwg form.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files for %{name}.

%package -n dwg2dxf
Summary:	Program to convert dwg/dxf to dxf (ascii and binary)
Group:		Graphics/Editors and Converters

%description -n dwg2dxf
This package contains the dwg2dxf tool to convert dwg/dxf files
to dxf (ascii and binary) file.

%prep
%autosetup -n %{name}-LC%{version}%{?prel:-%prel} -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n dwg2dxf
%doc AUTHORS NEWS README.md
%license COPYING
%{_bindir}/dwg2dxf
%{_mandir}/man1/dwg2dxf.1*

%files -n %{libname}
%doc AUTHORS NEWS README.md
%license COPYING
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}/
