%define major   1
%define libname %mklibname e131_ %{major}
%define devname %mklibname e131 -d

Name:           libe131
Version:        1.4.0
Release:        %mkrel 1
Summary:        A C/C++ library for the E1.31 (sACN) protocol
License:        Apache-2.0
Group:          System/Libraries
URL:            https://github.com/hhromic/libe131
Source0:        https://github.com/hhromic/libe131/archive/v%{version}/%{name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE libe131-nodoc.patch do not install docs -- aloisio@gmx.com
Patch0:         libe131-nodoc.patch
# Upstream patches
Patch1:         0001-Match-package-version-in-soversion.patch
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkgconfig

%description
A C/C++ library that provides an API for packet, client and
server programming to be used for communicating with devices
implementing the E1.31 (sACN) protocol.

%package     -n %{libname}
Summary:        A C/C++ library for the E1.31 (sACN) protocol
Group:          System/Libraries

%description -n %{libname}
A C/C++ library that provides an API for packet, client and
server programming to be used for communicating with devices
implementing the E1.31 (sACN) protocol.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       e131-devel = %{version}-%{release}

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
autoreconf -fiv
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

# creates support file for pkg-config
mkdir -p %{buildroot}%{_libdir}/pkgconfig
tee %{buildroot}%{_libdir}/pkgconfig/%{name}.pc << "EOF"
prefix=%{_prefix}
exec_prefix=${prefix}
libdir=${exec_prefix}/%{_lib}
includedir=${prefix}/include

Name: %{name}
Description: A C/C++ library for the E1.31 (sACN) protocol
Version: %{version}
Libs: -L${libdir} -le131
Cflags: -I${includedir}
EOF

%files -n %{libname}
%license LICENSE
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{devname}
%doc README.md
%{_includedir}/e131.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
