%define snap 20250104
%define rel 1

%define major 0
%define libname %mklibname edit %{major}
%define libnamedevel %mklibname edit -d

Summary:	Provides generic line editing functions similar to those found in GNU Readline
Name:		libedit
Version:	3.1
Release:	%mkrel -c %{snap} %{rel}
License:	BSD-style
Group:		System/Libraries
URL:		https://www.thrysoee.dk/editline/
Source0:	https://www.thrysoee.dk/editline/%{name}-%{snap}-%{version}.tar.gz
Patch0:		%{name}-strlcat.patch
BuildRequires:	pkgconfig(ncurses)

%description
This is an autotool- and libtoolized port of the NetBSD Editline library
(libedit). This Berkeley-style licensed command line editor library provides
generic line editing, history, and tokenization functions, similar to those
found in GNU Readline.

%package -n	%{libname}
Summary:	Provides generic line editing functions similar to those found in GNU Readline
Group:		System/Libraries

%description -n	%{libname}
This is an autotool- and libtoolized port of the NetBSD Editline library
(libedit). This Berkeley-style licensed command line editor library provides
generic line editing, history, and tokenization functions, similar to those
found in GNU Readline.

%package -n	%{libnamedevel}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Provides:	edit-devel = %{version}-%{release}
Provides:	libedit-devel = %{version}-%{release}
Provides:	editline = %{version}-%{release}

%description -n	%{libnamedevel}
This is an autotool- and libtoolized port of the NetBSD Editline library
(libedit). This Berkeley-style licensed command line editor library provides
generic line editing, history, and tokenization functions, similar to those
found in GNU Readline.

This package contains development files for %{name}.

%prep
%autosetup -p1 -n %{name}-%{snap}-%{version}

%build
%configure \
	--disable-static
%make_build

%install
%make_install

# Allows us to include the examples in separate %%doc directory
find examples -type f ! -name "*.c" -delete

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc ChangeLog INSTALL THANKS
%{_libdir}/*.so.%{major}{,.*}

%files -n %{libnamedevel}
%doc examples
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libedit.pc

%files
%doc ChangeLog INSTALL THANKS
%{_mandir}/man3/*
%{_mandir}/man5/*
%{_mandir}/man7/*
