# WARNING: This package is synced with FC
%global major 0
%define libname %mklibname eot %major
%define devname %mklibname -d eot

Name: libeot
Version: 0.01
Release: %mkrel 9
Summary: A library for parsing Embedded OpenType font files

Group: System/Libraries
License: MPLv2.0
URL: https://github.com/umanwizard/libeot
Source: https://dev-www.libreoffice.org/src/%{name}-%{version}.tar.bz2

%description
%{name} is a library for parsing Embedded OpenType files (Microsoft
embedded font "standard") and converting them to other formats.

%package -n %libname
Summary: A library for parsing Embedded OpenType font files
Group: System/Libraries

%description -n %libname
%{libname} is a library for parsing Embedded OpenType files (Microsoft
embedded font "standard") and converting them to other formats.

%package -n %devname
Summary: Development files for %{name}
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: libeot-devel

%description -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package tools
Summary: Tools to transform EOT font files into other formats
Group: Office/Utilities
Requires: %{libname} = %{version}-%{release}

%description tools
Tools to transform EOT font files into other formats. Only TTF is
supported currently.

%prep
%autosetup -p1

%build
%configure \
	--disable-silent-rules \
	--disable-static
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make_build

%install
%make_install
rm -f %{buildroot}/%{_libdir}/*.la



%files -n %libname
%doc PATENTS
%license LICENSE
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %devname
%{_includedir}/%{name}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files tools
%{_bindir}/eot2ttf

