# Please keep this package in sync with FC

%global major 0
%define libname %mklibname epoxy %{major}
%define devname %mklibname -d epoxy

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Direct Rendering Manager runtime library
Name:		libepoxy
Group:		System/Libraries
Version:	1.5.10
Release:	%mkrel 1
License:	MIT
URL:		https://github.com/anholt/libepoxy
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(glesv2)
BuildRequires:	x11-util-macros
BuildRequires:	python3
BuildRequires:	x11-server-xvfb %mklibname dri-drivers

%description
A library for handling OpenGL function pointer management.

%package -n %{libname}
Summary:	Direct Rendering Manager runtime library
Group:		System/Libraries

%description -n %{libname}
A library for handling OpenGL function pointer management.

%package -n %{devname}
Summary:	Development files for libepoxy
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%check
# this should be %%meson_test but the macro expands with a bajillion
# embedded newlines for no obvious reason
xvfb-run -d -s "-screen 0 640x480x24" ninja -C %{_vpath_builddir} test || \
    (cat %{_vpath_builddir}/meson-logs/testlog.txt ; exit 1)

%files -n %{libname}
%doc README.md
%{_libdir}/libepoxy.so.%{major}
%{_libdir}/libepoxy.so.%{major}.*

%files -n %{devname}
%dir %{_includedir}/epoxy/
%{_includedir}/epoxy/*
%{_libdir}/libepoxy.so
%{_libdir}/pkgconfig/epoxy.pc

