# WARNING: This package is synced with FC
%global major 1
%define libname %mklibname epubgen %apiversion %major
%define devname %mklibname -d epubgen %apiversion
%global apiversion 0.1

Name: libepubgen
Version: 0.1.1
Release: %mkrel 4
Summary: An EPUB generator library
Group: System/Libraries

License: MPLv2.0
URL: https://sourceforge.net/projects/libepubgen/
Source: https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz

BuildRequires: boost-devel
BuildRequires: doxygen
BuildRequires: pkgconfig(cppunit)
BuildRequires: pkgconfig(librevenge-0.0)
BuildRequires: pkgconfig(libxml-2.0)

%description
%{name} is a library for generating EPUB documents. It is directly
pluggable into import filters based on librevenge.

%package -n %libname
Summary: An EPUB generator library
Group: System/Libraries
Obsoletes: %{_lib}epubgen0 < 0.1.0-2

%description -n %libname
%{name} is a library for generating EPUB documents. It is directly
pluggable into import filters based on librevenge.

%package -n %devname
Group: Development/C
Summary: Development files for %{name}
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: %{name}%{apiversion}-devel = %{version}-%{release}
Obsoletes: %{_lib}epubgen-devel < 0.1.0-2

%description -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation of %{name} API
Group: Documentation
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q

%build
%configure --disable-silent-rules --disable-static
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make_build

%install
make install DESTDIR=%{buildroot} INSTALL='install -p'
rm -f %{buildroot}/%{_libdir}/*.la
# we install API docs directly from build
rm -rf %{buildroot}/%{_docdir}/%{name}

%check
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
%make_build check


%files -n %libname
%doc AUTHORS README NEWS
%license COPYING
%{_libdir}/%{name}-%{apiversion}.so.%{major}{,.*}

%files -n %devname
%doc ChangeLog
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files doc
%license COPYING
%doc docs/doxygen/html

