%define major     6
%define api       6.2.0
%define libname   %mklibname esmtp %{major}
%define develname %mklibname esmtp -d

%define plugindir %{_libdir}/esmtp-plugins-%{api}

Summary:	SMTP client library
Name:		libesmtp
Version:	1.1.0
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		https://libesmtp.github.io/
Source0:	https://github.com/libesmtp/libESMTP/archive/v%{version}/libESMTP-%{version}.tar.gz
Patch0:		add_ntlm.patch
Patch1:		libesmtp-c99.patch
BuildRequires:	meson
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libntlm)
BuildRequires:	libltdl-devel

%description
LibESMTP is a library to manage posting (or submission of) electronic
mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
Exim. It may be used as part of a Mail User Agent (MUA) or another
program that must be able to post electronic mail but where mail
functionality is not the program's primary purpose.

%package -n	%{libname}
Summary:	SMTP client library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
LibESMTP is a library to manage posting (or submission of) electronic
mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
Exim. It may be used as part of a Mail User Agent (MUA) or another
program that must be able to post electronic mail but where mail
functionality is not the program's primary purpose.


%package -n	%{develname}
Summary:	Headers and development libraries for libESMTP
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
LibESMTP is a library to manage posting (or submission of) electronic
mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
Exim.

The libesmtp-devel package contains headers and development libraries
necessary for building programs against libesmtp.

%prep
%autosetup -p1 -n libESMTP-%{version}

%build
%meson -D ntlm=enabled
%meson_build

%install
%meson_install

%files -n %{libname}
%doc README.md docs/*.md
%license COPYING* LICENSE
%{_libdir}/libesmtp.so.%{major}{,.*}
%{plugindir}

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/libesmtp-1.0.pc
