# WARNING: This package is synced with FC
%global apiversion 0.1
%global major   1
%define libname %mklibname etonyek %apiversion %major
%define devname %mklibname etonyek -d

Name: libetonyek
Version: 0.1.12
Release: %mkrel 3
Summary: A library for import of Apple iWork documents

Group: System/Libraries
License: MPLv2.0
URL: https://wiki.documentfoundation.org/DLP/Libraries/libetonyek
Source: https://dev-www.libreoffice.org/src/%{name}/%{name}-%{version}.tar.xz
Patch0: mdds3.patch

BuildRequires: boost-devel
BuildRequires: doxygen
BuildRequires: glm-devel
BuildRequires: gperf
BuildRequires: help2man
BuildRequires: make
BuildRequires: pkgconfig(cppunit)
BuildRequires: pkgconfig(liblangtag)
BuildRequires: pkgconfig(librevenge-0.0)
BuildRequires: pkgconfig(librevenge-generators-0.0)
BuildRequires: pkgconfig(librevenge-stream-0.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(mdds-3.0)
BuildRequires: pkgconfig(zlib)
 
%description
%{name} is library for import of Apple iWork documents. It supports
documents created by any version of Keynote, Pages or Numbers.

%package -n %libname
Summary: A library for import of Apple iWork documents
Group: System/Libraries
Obsoletes: %{_lib}etonyek1 < 0.1.1-2

%description -n %libname
%{name} is library for import of Apple iWork documents. It supports
documents created by any version of Keynote, Pages or Numbers.

%package -n %devname
Summary: Development files for %{name}
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: libetonyek-devel = %{version}-%{release}

%description -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation of %{name} API
Group: Documentation
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%package tools
Summary: Tools to transform Apple iWork documents into other formats
Group: Office/Utilities
Requires: %{libname} = %{version}-%{release}

%description tools
Tools to transform Apple iWork documents into other formats. Currently
supported: CSV, HTML, SVG, text, and raw.

%prep
%autosetup -p0

%build
%configure --disable-silent-rules --disable-static --disable-werror --with-mdds=3.0
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make_build

%install
%make_install

# we install API docs directly from build
rm -rf %{buildroot}%{_docdir}/%{name}

# generate and install man pages
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
for tool in key2raw key2text key2xhtml numbers2csv numbers2raw numbers2text pages2html pages2raw pages2text; do
    help2man -N -S '%{name} %{version}' -o ${tool}.1 %{buildroot}%{_bindir}/${tool}
done
install -m 0755 -d %{buildroot}%{_mandir}/man1
install -m 0644 key2*.1 numbers2*.1 pages2*.1 %{buildroot}%{_mandir}/man1


%check
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
if ! %make_build check; then
    cat src/test/*.log
    exit 1
fi

%files -n %libname
%doc AUTHORS FEATURES.md NEWS README.md
%license COPYING
%{_libdir}/%{name}-%{apiversion}.so.%{major}{,.*}

%files -n %devname
%doc ChangeLog
%{_includedir}/%{name}-%{apiversion}/
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files doc
%license COPYING
%doc docs/doxygen/html

%files tools
%{_bindir}/*
%{_mandir}/man1/*

