%define major		20
%define libname		%mklibname etpan %{major}
%define develname	%mklibname etpan -d

Summary:	Mail purpose library
Name:		libetpan
Version:	1.9.4
Release:	%mkrel 6
Group:		System/Libraries
License:	BSD
URL:		https://www.etpan.org/libetpan.html
Source0:	https://github.com/dinhviethoa/libetpan/archive/%{version}/%{name}-%{version}.tar.gz
# Upstream patches
Patch1:		0001-Fix-always-is-false-352.patch
Patch2:		0002-Fix-always-is-false-351.patch
Patch3:		0003-Fix-potential-null-pointer-deference-348.patch
Patch4:		0004-Fix-expression-always-false.-354.patch
Patch5:		0005-Fix-potential-uninitialized-var-type-used-355.patch
Patch6:		0006-Fix-expression-always-false-356.patch
Patch7:		0007-Style-fix-potential-uninitialized-var-data-used.-357.patch
Patch8:		0008-Fix-potential-uninitialized-var-data-used.-358.patch
Patch9:		0009-Fix-var-assigned-to-same-value.-359.patch
Patch10:	0010-Fix-vars-assigned-to-same-value.-360.patch
Patch11:	0011-Fix-null-pointer-in-free-call.-362.patch
Patch12:	0012-Fix-potential-null-pointer-deferenced-363.patch
Patch13:	0013-Fix-potential-null-pointer-deferenced-361.patch
Patch14:	0014-Fix-potential-dereferencing-null-pointer.-365.patch
Patch15:	0015-Fix-var-assigned-but-value-is-not-used.-372.patch
Patch16:	0016-Do-not-ignore-error-code.-373.patch
Patch21:	0021-Fixed-warning.patch
Patch22:	0022-Fixed-warning.patch

# Others
Patch101:	0001-Remove-LDFLAGS-from-libetpan.pc.patch
Patch201:	libetpan-1.6-link.patch
Patch202:	libetpan-1.7.2-debug-info.patch

Patch301:	libetpan-1.9.4-0001-Detect-extra-data-after-STARTTLS-response-and-exit-3.patch
Patch302:	libetpan-1.9.4-0002-Detect-extra-data-after-STARTTLS-responses-in-SMTP-a.patch

Patch401:	libetpan-1.9.4-mailbox_data_status-info_list-invalid-free.patch

BuildRequires:	pkgconfig(gnutls)
BuildRequires:	db-devel
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(expat)

%description
The purpose of this mail library is to provide a portable, efficient
framework for different kinds of mail access. When using the drivers
interface, the interface is the same for all kinds of mail access,
remote and local mailboxes.

Network protocols supported:
o IMAP/NNTP/POP3/SMTP over TCP/IP and SSL/TCP/IP, already implemented.
o Local storage (mbox/MH/maildir), message / MIME parser

%package -n %{libname}
Summary:	Mail purpose library
Group:		System/Libraries

%description -n %{libname}
The purpose of this mail library is to provide a portable, efficient
framework for different kinds of mail access. When using the drivers
interface, the interface is the same for all kinds of mail access,
remote and local mailboxes.

Network protocols supported:
o IMAP/NNTP/POP3/SMTP over TCP/IP and SSL/TCP/IP, already implemented.
o Local storage (mbox/MH/maildir), message / MIME parser

%package -n %{develname}
Summary:	Libraries and include files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel  = %{version}-%{release}

%description -n %{develname}
This package contains the header files and static libraries for
developing with %{name}.

%prep
%setup -q
%autopatch -p1

mv README.md README

%build
autoreconf -vfi
%configure \
	--without-openssl \
	--with-gnutls \
	--enable-ipv6 \
	--enable-optim \
	--disable-static

%make_build

%check
%__make check

%install
%make_install

#workaround for *.h detections
#install -m 644 include/libetpan/*.h %{buildroot}%{_includedir}/libetpan

# don't ship .la
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%license COPYING COPYRIGHT
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{develname}
%doc ChangeLog NEWS
%doc doc/DOCUMENTATION
%{_includedir}/*
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/libetpan.pc
