%define lib_major 2
%define lib_name  %mklibname evdev %{lib_major}
%define develname %mklibname evdev -d

Name:		libevdev
Version:	1.13.4
Release:	%mkrel 1
Summary:	Kernel Evdev Device Wrapper Library
Group:		System/Libraries
License:	MIT
URL:		https://www.freedesktop.org/wiki/Software/libevdev
Source0:	https://www.freedesktop.org/software/%{name}/%{name}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	doxygen
BuildRequires:	pkgconfig(check)

%description
%{name} is a library to wrap kernel evdev devices and provide a proper API
to interact with those devices.

%package	tools
Summary:	Tools for libinput
Group:		System/Base

%description	tools
This package contains the %{name} tools.

%package -n	%{lib_name}
Summary:	Kernel Evdev Device Wrapper Library
Group:		System/Libraries

%description -n	%{lib_name}
%{name} is a library to wrap kernel evdev devices and provide a proper API
to interact with those devices.

%package -n	%{develname}
Summary:	Kernel Evdev Device Wrapper Library Development Package
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}

%description -n	%{develname}
Kernel Evdev Device Wrapper Library Development Package.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files tools
%doc README.md
%{_bindir}/touchpad-edge-detector
%{_bindir}/libevdev-tweak-device
%{_bindir}/mouse-dpi-tool
%{_mandir}/man1/libevdev-tweak-device.1.*
%{_mandir}/man1/mouse-dpi-tool.1.*
%{_mandir}/man1/touchpad-edge-detector.1.*
%{_mandir}/man1/mouse-dpi-tool.1*

%files -n %{lib_name}
%license COPYING
%{_libdir}/libevdev.so.%{lib_major}{,.*}

%files -n %{develname}
%doc README.md
%{_includedir}/libevdev-1.0/
%{_libdir}/libevdev.so
%{_libdir}/pkgconfig/libevdev.pc
%{_mandir}/man3/libevdev.3.*
