%define api		2.1
%define	major		7
%define libname		%mklibname event %{major}
%define develname	%mklibname event -d

Summary:	Abstract asynchronous event notification library
Name:		libevent
Version:	2.1.12
Release:	%mkrel 5
Group:		System/Libraries
License:	BSD
URL:		https://libevent.org/
Source0:	https://github.com/libevent/libevent/releases/download/release-%{version}-stable/%{name}-%{version}-stable.tar.gz
Patch0:		libevent-version-info-only.patch
Patch1:		libevent-linkage_fix.diff
BuildRequires:	autoconf
BuildRequires:	libtool
BuildRequires:	pkgconfig(openssl)
BuildRequires:	doxygen

%description
The libevent API provides a mechanism to execute a callback function when a
specific event occurs on a file descriptor or after a timeout has been reached.
libevent is meant to replace the asynchronous event loop found in event driven
network servers. An application just needs to call event_dispatch() and can
then add or remove events dynamically without having to change the event loop.

%package -n	%{libname}
Summary:	Abstract asynchronous event notification library
Group:		System/Libraries

%description -n	%{libname}
The libevent API provides a mechanism to execute a callback function when a
specific event occurs on a file descriptor or after a timeout has been reached.
libevent is meant to replace the asynchronous event loop found in event driven
network servers. An application just needs to call event_dispatch() and can
then add or remove events dynamically without having to change the event loop.

%package -n	%{develname}
Summary:	Static library and header files for the libevent library
Group:		Development/C
Provides:	event-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{develname}
The libevent API provides a mechanism to execute a callback function when a
specific event occurs on a file descriptor or after a timeout has been reached.
libevent is meant to replace the asynchronous event loop found in event driven
network servers. An application just needs to call event_dispatch() and can
then add or remove events dynamically without having to change the event loop.

This package contains the static libevent library and its header files needed
to compile applications such as stegdetect, etc.

%prep
%autosetup -p1 -n %{name}-%{version}-stable

%build
autoreconf -fi

%configure --enable-doxygen-doc --enable-doxygen-man \
           --disable-dependency-tracking --disable-static
%make_build all

%install
%make_install

# don't enforce python deps here
rm -f %{buildroot}%{_bindir}/event_rpcgen.py

# provide man pages
install -d %{buildroot}%{_mandir}/man3
install -m0644 doxygen/man/man3/*.3 %{buildroot}%{_mandir}/man3/

# delete html docs
rm -rf %{buildroot}%{_docdir}/%{name}

# add compat symlink (mga#34063)
pushd %{buildroot}%{_libdir}
ln -s libevent.so.%{major}.* libevent-%{api}.so.%{major}
popd

%files -n %{libname}
%{_libdir}/libevent.so.%{major}{,.*}
%{_libdir}/libevent-%{api}.so.%{major}{,.*}
%{_libdir}/libevent_core.so.%{major}{,.*}
%{_libdir}/libevent_extra.so.%{major}{,.*}
%{_libdir}/libevent_openssl.so.%{major}{,.*}
%{_libdir}/libevent_pthreads.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*
