%define	major		2
%define libname		%mklibname ewf %{major}
%define develname	%mklibname ewf -d

Summary:	Utils for use with the Expert Witness Compression Format (EWF)
Name:		libewf
Version:	20140608
Release:	%mkrel 10
Group:		System/Libraries
License:	BSD
URL:		https://github.com/libyal/libewf
Source0:	https://googledrive.com/host/0B3fBvzttpiiSMTdoaVExWWNsRjg/%{name}-%{version}.tar.gz
Patch0:         libewf-ewfoutput-openssl3.diff

BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	pkgconfig(zlib)

%description
Libewf is a library for support of the Expert Witness Compression Format (EWF),
it support both the SMART format (EWF-S01) and the EnCase format (EWF-E01).
Libewf allows you to read and write media information within the EWF files.

This package contains utils for use with the Expert Witness Compression Format
(EWF).

%package -n	%{libname}
Summary:	The Expert Witness Compression Format (EWF) shared library
Group:		System/Libraries

%description -n	%{libname}
Libewf is a library for support of the Expert Witness Compression Format (EWF),
it support both the SMART format (EWF-S01) and the EnCase format (EWF-E01).
Libewf allows you to read and write media information within the EWF files.

%package -n	%{develname}
Summary:	Static library and header files for the libewf library
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}ewf2-devel < 20130416-2

%description -n	%{develname}
Libewf is a library for support of the Expert Witness Compression Format (EWF),
it support both the SMART format (EWF-S01) and the EnCase format (EWF-E01).
Libewf allows you to read and write media information within the EWF files.

This package contains the static libewf library and its header files.

%prep
%autosetup -p1

%build
export CFLAGS="%{optflags} -std=gnu89"
%configure \
	--disable-static

%make_build

%install
%make_install

# Do not package *.la files
find %{buildroot} -name "*.la" -delete

%files
%{_bindir}/ewfacquire
%{_bindir}/ewfacquirestream
%{_bindir}/ewfdebug
%{_bindir}/ewfexport
%{_bindir}/ewfmount
%{_bindir}/ewfinfo
%{_bindir}/ewfrecover
%{_bindir}/ewfverify
%{_mandir}/man1/*

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog NEWS
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}/
%{_includedir}/%{name}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/*
