%define	major		12
%define libname		%mklibname exif %{major}
%define develname	%mklibname exif -d
%define langname	libexif-%{major}

Summary:	Library to access EXIF files (extended JPEG files)
Name:		libexif
Version:	0.6.25
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
Url:		https://libexif.github.io/
%global tarball_version %(echo %{version} | sed -e 's|\\.|_|g')
Source:		https://github.com/libexif/libexif/archive/libexif-%{tarball_version}-release.tar.gz
Patch0:		libexif-0.6.13-pkgconfig-fix.patch
BuildRequires:	doxygen
BuildRequires:	gettext-devel
BuildRequires:	libtool

%description
Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

%package -n	%{name}%{major}-common
Summary:	Library to access EXIF files - Translations
Group:		System/Internationalization

%description -n	%{name}%{major}-common
This package contains the translations for %{name}%{major}.

%package -n	%{libname}
Summary:	Library to access EXIF files (extended JPEG files)
Provides:	libexif = %{version}-%{release}
Requires:	%{name}%{major}-common = %{version}-%{release}
Group:		System/Libraries

%description -n	%{libname}
Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

%package -n	%{develname}
Summary: 	Headers and links to compile against the "%{libname}" library
Requires: 	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Group:		Development/C

%description -n	%{develname}
This package contains all files which one needs to compile programs using
the "%{libname}" library.


%prep
%autosetup -p1 -n libexif-libexif-%{tarball_version}-release

%build
autoreconf -vfi

%configure \
	--disable-static
%make_build

%check
%__make check

%install
%make_install

%find_lang %{langname}

%files -n %{name}%{major}-common -f %{langname}.lang

%files -n %{libname}
%{_libdir}/libexif.so.%{major}{,.*}

%files -n %{develname}
%doc %{_docdir}/libexif
%{_libdir}/libexif.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
