%define realname extractor

%define major 3
%define common_major 1
%define libname %mklibname %{realname} %{major}
%define libcommon %mklibname extractor_common %{common_major}
%define libnamedev %mklibname %{realname} -d

Summary:	Libextractor library used to extract meta-data from files
Name:		libextractor
Version:	1.13
Release:	%mkrel 1
License:	BSD
Group:		System/Libraries
URL:		https://www.gnu.org/software/libextractor/
Source0:	https://ftp.gnu.org/gnu/libextractor/%{name}-%{version}.tar.gz

BuildRequires:	gettext-devel
BuildRequires:	libltdl-devel
BuildRequires:	libmagic-devel
BuildRequires:	pkgconfig(tidy)
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(libmpeg2)
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(libgsf-1)
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(rpm)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(poppler)
BuildRequires:	pkgconfig(gstreamer-1.0) >= 0.11.93
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0) >= 0.11.93
BuildRequires:	pkgconfig(gstreamer-tag-1.0) >= 0.11.93
BuildRequires:	pkgconfig(gstreamer-app-1.0) >= 0.11.93
BuildRequires:	pkgconfig(zlib)

%description
libextractor is a library used to extract meta-data from files of arbitrary 
type. It is designed to use helper-libraries to perform the actual extraction, 
and to be trivially extendable by linking against external extractors for 
additional file types. The goal is to provide developers of file-sharing 
networks or WWW-indexing bots with a universal library to obtain simple 
keywords to match against queries. libextractor contains a shell-command 
"extract" that, similar to the well-known "file" command, can extract meta-data
from a file and print the results to stdout. Currently, it supports the formats
HTML, PDF, PS, MP3, OGG, JPEG, GIF, PNG, RPM, ZIP, Real, QT and ASF. Also, 
various additional MIME types are detected.

%package -n	extract
Summary:	Show meta-data from files of arbitrary type
Group:		File tools
Provides:	libextractor = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n extract
libextractor is a library used to extract meta-data from files of arbitrary
type.

This package provides the command-line extraction tool.

%package	common
Summary:	Common files for libextractor
Group:		System/Libraries

%description	common
This package provides common files needed by the libextractor library.

%package -n	%{libname}
Summary:	Libextractor library used to extract meta-data from files 
Group:		System/Libraries
Requires:	%{name}-common >= %{version}-%{release}

%description -n	%{libname}
libextractor is a library used to extract meta-data from files of arbitrary 
type. It is designed to use helper-libraries to perform the actual extraction, 
and to be trivially extendable by linking against external extractors for 
additional file types. The goal is to provide developers of file-sharing 
networks or WWW-indexing bots with a universal library to obtain simple 
keywords to match against queries. libextractor contains a shell-command 
"extract" that, similar to the well-known "file" command, can extract meta-data
from a file and print the results to stdout. Currently, it supports the formats
HTML, PDF, PS, MP3, OGG, JPEG, GIF, PNG, RPM, ZIP, Real, QT and ASF. Also, 
various additional MIME types are detected.

%package -n	%{libcommon}
Summary:        Libextractor library for common functions
Group:          System/Libraries

%description -n	%{libcommon}
Common function library of libextractor.

%package -n	%{libnamedev}
Summary:	Libextractor library headers and development libraries
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libcommon} = %{version}-%{release}
Provides:	libextractor-devel = %{version}-%{release}
Provides:	extractor-devel = %{version}-%{release}

%description -n	%{libnamedev}
Development files and headers for libextractor.

%prep
%setup -q
%autopatch -p1

%build
export CXXFLAGS='%{optflags} -std=c++11'
%configure \
	--disable-static \
	--disable-rpath \
	--disable-ffmpeg \
	--with-plugindirname=%{name}%{major}

%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang %{name}

%files -n extract
%{_bindir}/extract
%{_mandir}/man1/extract.*

%files common -f %{name}.lang
%{_infodir}/libextractor.info.*

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}{,.*}
%{_libdir}/%{name}%{major}/

%files -n %{libcommon}
%{_libdir}/%{name}_common.so.%{common_major}{,.*}

%files -n %{libnamedev}
%{_libdir}/%{name}.so
%{_libdir}/%{name}_common.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_mandir}/man3/libextractor.*
