%define  api 2.0
%define  major 0
%define  lib_name %mklibname exttextcat %api %major

Name:    libexttextcat
Version: 3.4.6
Release: %mkrel 3
Summary: Text categorization library

Group:   Publishing
License: BSD
URL:     https://wiki.documentfoundation.org/Libexttextcat
Source:  https://dev-www.libreoffice.org/src/libexttextcat/%{name}-%{version}.tar.xz

Obsoletes: libtextcat < 3.2.0
Provides: libtextcat = %{version}

%description
%{name} is an N-Gram-Based Text Categorization library primarily
intended for language guessing.

%package -n %lib_name
Summary: Text categorization library
Group:   System/Libraries
# (tv) for data files:
Requires: %{name}%{?_isa} = %{version}-%{release}

%description -n %lib_name
%{name} is an N-Gram-Based Text Categorization library primarily
intended for language guessing.

%package devel
Summary: Development files for %{name}
Group: Development/Other
Obsoletes: libtextcat-devel < 3.2.0
Provides: libtextcat-devel = %{version}
Requires: %lib_name = %version-%release

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package tools
Summary: Tool for creating custom document fingerprints
Group:   Publishing
Requires: %{name}%{?_isa} = %{version}-%{release}

%description tools
The %{name}-tools package contains the createfp program that allows
you to easily create your own document fingerprints.

%prep
%autosetup -p1

%build
%configure --disable-silent-rules --disable-static --disable-werror
%make_build

%install
%make_install
rm -f %{buildroot}/%{_libdir}/*.la

%check
make check

%files
%doc README*
%license LICENSE
%{_datadir}/%{name}

%files -n %lib_name
%{_libdir}/%{name}-%{api}.so.%{major}{,.*}

%files devel
%{_includedir}/%{name}
%{_libdir}/%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/vala/vapi/%{name}.vapi

%files tools
%{_bindir}/createfp

