%define major   4
%define libname %mklibname fastjson %{major}
%define devel   %mklibname fastjson -d

Name:           libfastjson
Version:        1.2304.0
Release:        %mkrel 1
Summary:        A fast json library for C
Group:          System/Libraries
License:        BSD
URL:            https://github.com/rsyslog/libfastjson
Source0:        https://github.com/rsyslog/libfastjson/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  automake

%description
The aim of this project is not to provide a slightly modified clone of json-c.

It's aim is to provide
- a small library with essential json handling functions
- sufficiently good json support (not 100% standards compliant)
- be very fast in processing

In order to reach these goals, we reduce the features of json-c.

%package -n %{libname}
Summary:        A fast json library for C
Group:          System/Libraries

%description -n %{libname}
The aim of this project is not to provide a slightly modified clone of json-c.

It's aim is to provide
- a small library with essential json handling functions
- sufficiently good json support (not 100% standards compliant)
- be very fast in processing

In order to reach these goals, we reduce the features of json-c.

%package -n %{devel}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       fastjson-devel = %{version}-%{release}

%description -n %{devel}
The aim of this project is not to provide a slightly modified clone of json-c.

It's aim is to provide
- a small library with essential json handling functions
- sufficiently good json support (not 100% standards compliant)
- be very fast in processing

In order to reach these goals, we reduce the features of json-c.

This package contains the development files for %{name}.

%prep
%autosetup

%build
./autogen.sh
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc README* ChangeLog NEWS AUTHORS
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devel}
%{_includedir}/libfastjson/
%{_libdir}/*.so
%{_libdir}/pkgconfig/libfastjson.pc
