%define lib_major       2
%define lib_name        %mklibname ffado %{lib_major}
%define lib_name_devel  %mklibname ffado -d

Name:           libffado
Summary:        Firewire audio drivers for JACK
Version:        2.4.9
Release:        %mkrel 2
License:        GPLv2+ and GPLv3
Group:          Sound/Utilities
URL:            https://www.ffado.org/
Source0:        https://www.ffado.org/files/%{name}-%{version}.tgz
Patch0:         libffado-linking.patch

BuildRequires:  scons
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(libraw1394)
BuildRequires:  pkgconfig(libiec61883)
BuildRequires:  pkgconfig(libxml++-2.6)
BuildRequires:  pkgconfig(jack)
BuildRequires:  python3-qt5-devel
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(libconfig)
BuildRequires:  pkgconfig(dbus-c++-1)
BuildRequires:  python3dist(dbus-python)

%description
The FFADO library provides a generic, open-source solution for the
support of FireWire based audio devices for the Linux platform. It is the
successor of the FreeBoB project. Currently this library is used by the
firewire backends of the jack audio connection kit sound server
(jackit package). This backend provides audio and midi support,
and is available in both jack1 and jack2.

#-----------------------------------

%package -n %{lib_name}
Summary:        Firewire audio drivers for JACK
Group:          Sound/Utilities

%description -n %{lib_name}
The FFADO library provides a generic, open-source solution for the
support of FireWire based audio devices for the Linux platform. It is the
successor of the FreeBoB project. Currently this library is used by the
firewire backends of the jack audio connection kit sound server
(jackit package). This backend provides audio and midi support,
and is available in both jack1 and jack2.

%files -n %{lib_name}
%doc AUTHORS ChangeLog LICENSE.* README
%{_libdir}/libffado.so.%{lib_major}{,.*}

#-----------------------------------

%package -n ffado
Summary:        Firewire audio driver applications and utilities
Group:          Sound/Utilities
Requires:       %{lib_name} = %{version}-%{release}
Requires:       python3dist(dbus-python)
Requires:       qttools5-qtdbus
Requires:       python3-qt5-core
Requires:       python3-qt5-gui
Requires:       python3-qt5-network
Requires:       python3-qt5-widgets

%description -n ffado
Configuration utilities for the FFADO firewire drivers.

%files -n ffado
%{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/python
%{_datadir}/%{name}/configuration
%{_datadir}/%{name}/icons
%{_datadir}/%{name}/*.xml
%{_datadir}/applications/org.ffado.FfadoMixer.desktop
%{_iconsdir}/hicolor/*/apps/hi64-apps-ffado.png
%{_datadir}/dbus-1/services/org.ffado.Control.service
%{_metainfodir}/org.ffado.FfadoMixer.metainfo.xml
%{_udevrulesdir}/60-ffado.rules
%{python3_sitelib}/ffado/
%{_mandir}/man1/*

#-----------------------------------

%package -n %{lib_name_devel}
Summary:        Firewire audio driver library development headers
Group:          Sound/Utilities
Requires:       %{lib_name} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{lib_name_devel}
Development files needed to build applications against libffado.

%files -n %{lib_name_devel}
%{_libdir}/%{name}.so
%{_libdir}/libffado/static_info.txt
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}.pc

#-----------------------------------

%prep
%autosetup -p1

# Fix Python shebangs
%py3_shebang_fix \
    admin/*.py doc/SConscript tests/python/*.py tests/*.py \
    support/mixer-qt4/ffado-mixer* support/mixer-qt4/SConscript \
    support/tools/*.py support/tools/SConscript

%build
%set_build_flags
%scons \
    PREFIX=%{_prefix} \
    LIBDIR=%{_libdir} \
    PYTHON_INTERPRETER=%{__python3} \
    PYPKGDIR=%{python3_sitelib} \
    UDEVDIR=%{_udevrulesdir} \
    CUSTOM_ENV=True

%install
%set_build_flags
%scons_install \
    PREFIX=%{_prefix} \
    LIBDIR=%{_libdir} \
    MANDIR=%{_mandir}

install -D -m 0644 support/tools/ffado-sandbox-install.py %{buildroot}%{_datadir}/libffado/python
