%define major     8
%define libname   %mklibname ffi %{major}
%define develname %mklibname ffi -d

Name:		libffi
Version:	3.4.7
Release:	%mkrel 1
Summary:	A portable foreign function interface library
Group:		System/Libraries
License:	BSD
URL:		https://sourceware.org/libffi
Source0:	https://github.com/libffi/libffi/releases/download/v%{version}/libffi-%{version}.tar.gz
Patch0:		libffi-3.1-fix-include-path.patch

%description
The 'libffi' library provides a portable, high level programming interface to
various calling conventions. This allows a programmer to call any function
specified by a call interface description at run time.

FFI stands for Foreign Function Interface. A foreign function interface is the
popular name for the interface that allows code written in one language to call
code written in another language. The 'libffi' library really only provides the
lowest, machine dependent layer of a fully featured foreign function interface.
A layer must exist above 'libffi' that handles type conversions for values
passed between the two languages.

%package -n	%{libname}
Summary:	A portable foreign function interface library
Group:		System/Libraries
Provides:       %{name} = %{version}-%{release}
Provides:       %{name}%{major} = %{version}-%{release}

%description -n	%{libname}
The 'libffi' library provides a portable, high level programming interface to
various calling conventions. This allows a programmer to call any function
specified by a call interface description at run time.

FFI stands for Foreign Function Interface. A foreign function interface is the
popular name for the interface that allows code written in one language to call
code written in another language. The 'libffi' library really only provides the
lowest, machine dependent layer of a fully featured foreign function interface.
A layer must exist above 'libffi' that handles type conversions for values
passed between the two languages.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	libffi-devel = %{version}-%{release}
Provides:	ffi%{major}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains libraries and header files for developing
applications that use %{name}.


%prep
%autosetup -p1


%build
# use generic x86_64 target to avoid compiling non-portable code
%ifarch x86_64
%define target_arch_flag --with-gcc-arch=x86_64
%else
%define target_arch_flag %{nil}
%endif

# https://gitlab.gnome.org/GNOME/gobject-introspection/-/merge_requests/283
%configure --disable-static --disable-exec-static-tramp %{target_arch_flag}
%make_build


%install
%make_install LIBDIR=%{_libdir}


%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_mandir}/man3/*
%{_infodir}/libffi.info.*
%{_includedir}/ffi*.h
