%define min_ver %(echo %{version}|cut -d. -f1,2)

%define rel 1

Name:          libfm-qt
Version:       2.1.0
Release:       %mkrel %rel
Summary:       Companion library for PCManFM
License:       GPLv2+
Group:         Graphical desktop/KDE
URL:           https://lxqt-project.org/
Source0:       https://github.com/lxqt/libfm-qt/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: cmake

BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Help)

BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(libfm)
BuildRequires: pkgconfig(libmenu-cache)
BuildRequires: cmake(lxqt2-build-tools)
BuildRequires: cmake(lxqt-menu-data)

BuildRequires: cmake(KF6WindowSystem)

Provides:      libfm-qt6 = %{version}

%description
Libfm-Qt is a companion library providing components to build
desktop file managers.

%files
%{_datadir}/libfm-qt6/
%{_datadir}/mime/packages/libfm-qt6-mimetypes.xml

#-----------------------------------------------------------------------

%define major 15
%define libfm_qt %mklibname fm-qt %major

%package -n %libfm_qt
Summary:       Runtime library for %{name}
Group:         System/Libraries
Requires:      %name >= %version-%release

%description -n %libfm_qt
Library file needed by %name.

%files -n %libfm_qt
%_libdir/libfm-qt6.so.%{major}{,.*}

#-----------------------------------------------------------------------

%define libnamedev %mklibname fm-qt -d

%package -n    %libnamedev
Summary:       Development files for libfm-qt
Requires:      %libfm_qt = %{version}-%{release}

%description -n %libnamedev
libfm-qt-devel package contains libraries and header files for
developing applications that use libfm-qt.

%files -n     %libnamedev
%{_libdir}/libfm-qt6.so
%{_libdir}/pkgconfig/libfm-qt6.pc
%{_includedir}/libfm-qt6/
%dir %{_datadir}/cmake/fm-qt6
%{_datadir}/cmake/fm-qt6/*

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%ifarch  %{arm} %{ix86}
export CMAKE_SIZEOF_VOID_P=4
%endif
%cmake_qt6

%cmake_build

%install
%cmake_install

