%define major 4
%define libname %mklibname fm %major
%define develname %mklibname -d fm

Summary:	GIO-based library for file manager-like programs
Name:		libfm
Version:	1.4.0
Release:	%mkrel 2
License:	GPLv2
Group:		File tools
Source0:	https://github.com/lxde/%name/archive/refs/heads/master.zip
Patch0:		%{name}-0.1.5-set-cutomization.patch
Patch5:		%{name}-1.2.3-mga-use-common-desktop-menu.patch
Patch6:		%{name}-1.2.5-mga-do-not-use-gvfs-fuse-for-libreoffice.patch

Url:		https://pcmanfm.sourceforge.net/
BuildRequires:	pkgconfig(cairo) >= 1.8.0
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.26.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.26.0
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libmenu-cache) >= 0.3.2
BuildRequires:	pkgconfig(pango) >= 1.16.0
BuildRequires:	vala >= 0.13
BuildRequires:	intltool >= 0.40.0
BuildRequires:	gtk-doc

%description
LibFM is a GIO-based library used to develop file manager-like programs. It is
developed as the core of next generation PCManFM and takes care of all file-
related operations such as copy & paste, drag & drop, file associations or
thumbnails support. By utilizing glib/gio and gvfs, libfm can access remote
filesystems supported by gvfs.

%package -n %libname
Group:		File tools
Summary:	%{name} library package
Requires:	%{name} >= %{version}
Requires:	lxshortcut

%description -n %libname
%summary.

%package -n %develname
Group:		File tools
Summary:	%{name} development files
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n %develname
This package contains header files needed when building applications based on
%{name}.

%package -n lxshortcut
Summary:	Edit app shortcuts
Group:		Graphical desktop/Other

%description -n lxshortcut
LXShortcut is a small program used to edit application shortcuts created
with freedesktop.org Desktop Entry spec.

%prep
%setup -qn %{name}-master
%patch -P0 -p0 -b .customization
%patch -P5 -p1
%patch -P6 -p1

%build
autoreconf -vfi
%configure \
	--disable-static \
	--enable-udisks \
	--with-gtk=3
%make_build

%install
%make_install

# don't ship .la
find %{buildroot} -name '*.la' | xargs rm -f

%find_lang %{name}

%post
%if "%_lib" != "lib"
 %{_bindir}/gio-querymodules-64 %{_libdir}/gio/modules
%else
 %{_bindir}/gio-querymodules-32 %{_libdir}/gio/modules
%endif

%postun
if [ "$1" = "0" ]; then
%if "%_lib" != "lib"
 %{_bindir}/gio-querymodules-64 %{_libdir}/gio/modules
%else
 %{_bindir}/gio-querymodules-32 %{_libdir}/gio/modules
%endif
fi

%files -f %{name}.lang
%dir %{_sysconfdir}/xdg/%{name}/
%config(noreplace) %{_sysconfdir}/xdg/%{name}/%{name}.conf
%{_bindir}/%{name}-pref-apps
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/applications/%{name}-pref-apps.desktop
%{_mandir}/man1/%{name}-pref-apps.1*

%files -n %libname
%{_libdir}/%{name}-gtk3.so.%{major}{,.*}
%{_libdir}/%{name}.so.%{major}{,.*}
%{_libdir}/%{name}-extra.so.%{major}{,.*}

%files -n %develname
%{_includedir}/*
%{_libdir}/%{name}-gtk3.so
%{_libdir}/%{name}.so
%{_libdir}/%{name}-extra.so
%{_libdir}/pkgconfig/*.pc

%files -n lxshortcut
%{_bindir}/lxshortcut
%{_datadir}/applications/lxshortcut.desktop
%{_mandir}/man1/lxshortcut.1*
