Name:           libfonts
Version:        1.1.6
Release:        %mkrel 17
Summary:        TrueType Font Layouting
License:        LGPLv2+
Group:          System/Libraries 
Source0:        https://downloads.sourceforge.net/jfreereport/%{name}-%{version}.zip
URL:            https://reporting.pentaho.org/
BuildRequires:  ant
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  jpackage-utils
BuildRequires:  libloader >= 1.1.3
Requires:       java >= 0:1.6.0
Requires:       jpackage-utils
Requires:       libloader >= 1.1.3
BuildArch:      noarch
Patch0:         libfonts-1.1.2-fix-build.patch
Patch1:         libfonts-1.1.2.java11.patch
Patch2:         libfonts-1.1.6-remove-antcontrib-support.patch
Patch3:         libfonts-1.1.3-remove-commons-logging.patch

%description
LibFonts is a library developed to support advanced layouting in JFreeReport.
This library allows to read TrueType-Font files to extract layouting specific
informations.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation 
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}.


%prep
%setup -q -c
%patch -P 0 -p0 -b .build
%patch -P 1 -p1 -b .java11
%patch -P 2 -p1
%patch -P 3 -p1

find . -name "*.jar" -exec rm -f {} \;
rm -r source/org/pentaho/reporting/libraries/fonts/itext
mkdir -p lib
build-jar-repository -s -p lib libbase libloader

%build
ant jar javadoc
for file in README.txt licence-LGPL.txt ChangeLog.txt; do
    tr -d '\r' < $file > $file.new
    mv $file.new $file
done

%install
mkdir -p %{buildroot}%{_javadir}
cp -p ./dist/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp bin/javadoc/docs/api %{buildroot}%{_javadocdir}/%{name}

%files
%doc licence-LGPL.txt README.txt ChangeLog.txt
%{_javadir}/%{name}.jar

%files javadoc
%{_javadocdir}/%{name}
