%define major		1
%define libname		%mklibname forensic1394_ %{major}
%define develname	%mklibname forensic1394 -d

Name: 		libforensic1394
Version: 	0.2
Release:	%mkrel 24
Summary: 	Library for memory forensics over the IEEE 1394 interface
License:	LGPL
Group:		Development/C
URL:		https://freddie.witherden.org/tools/libforensic1394/
Source:		https://freddie.witherden.org/tools/libforensic1394/releases/libforensic1394-%{version}.tar.gz
Patch0:		libforensic1394-0.2-no-hardcoded-installation-path.patch
Patch1:		75a4e8c16c1f139380667eea1e20495b0e205528.patch
BuildRequires:	cmake
BuildRequires:	doxygen

%description
An open source (GNU LGPLv3+) library for performing live memory forensics over
the IEEE 1394 (“FireWire”) interface. Currently supported under GNU/Linux and
Mac OS X, libforensic1394 improves upon existing libraries by providing a
simple and clean interface to the the direct memory access functionality
available over FireWire. In addition to a C API Python bindings are also
available.

%package -n	%{libname}
Summary:	Libraries for %{name}
Group:		Development/C

%description -n	%{libname}
Libraries for %{name}.

%package -n	%{develname}
Summary:	Header files and development libraries for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	forensic1394 = %{version}-%{release}

%description -n	%{develname}
Header files and development libraries for %{name}.

%package -n python3-forensic1394
Summary:	Python 3 bindings for %{name}
Group:		Development/Python
Requires:	%{libname} = %{version}-%{release}
BuildRequires:	python3

%description -n python3-forensic1394
Python 3 bindings for %{name}.

%prep
%setup -q
%autopatch -p1

%build
%cmake -DFORENSIC1394_BUILD_STATIC:BOOL=OFF
%cmake_build

pushd python
%py3_build
popd

pushd docs
doxygen
popd

%install
%cmake_install

pushd python
%py3_install
popd

install -d -m 755 %{buildroot}%{_docdir}/%{name}
install -m 644 AUTHORS COPYING COPYING.LESSER README \
    %{buildroot}%{_docdir}/%{name}
cp -pr docs/docs/html %{buildroot}%{_docdir}/%{name}

%files -n python3-forensic1394
%{python3_sitelib}/forensic1394
%{python3_sitelib}/Forensic1394-0.1-py%{python3_version}.egg-info

%files -n %{libname}
%doc README
%{_libdir}/libforensic1394.so.%{version}.0
%{_libdir}/libforensic1394.so.%{major}

%files -n %{develname}
%{_docdir}/%{name}
%{_includedir}/forensic1394.h
%{_libdir}/libforensic1394.so

