%define soname       fprint
%define api          2.0
%define major        2
%define libname      %mklibname %{soname} %{major}
%define girname      %mklibname %{soname}-gir %{api}
%define libnamedevel %mklibname %{soname} -d

Name:           libfprint
Version:        1.94.9
Release:        %mkrel 1
License:        LGPLv2+
Group:          System/Libraries
Summary:        Library for adding support for consumer fingerprint readers
URL:            https://fprint.freedesktop.org/
Source:         https://gitlab.freedesktop.org/libfprint/libfprint/-/archive/v%{version}/%{name}-v%{version}.tar.bz2
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.28
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(ImageMagick)
BuildRequires:  pkgconfig(libusb-1.0) >= 0.9.1
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(nss)
BuildRequires:  pkgconfig(udev)
BuildRequires:  pkgconfig(pixman-1)
BuildRequires:  pkgconfig(gusb)
BuildRequires:  doxygen
BuildRequires:  gtk-doc
BuildRequires:  meson
BuildRequires:  pkgconfig(gudev-1.0)

%description
libfprint is an open source software library designed to make it easy for
application developers to add support for consumer fingerprint readers to their
software.

Features:
    * Offers a single API to application developers to access the entire range
      of supported devices
    * Supports imaging - downloading live fingerprint scans from the device
    * Includes image processing/matching code
    * Supports enrollment/verification - enrolling a print from a known user,
      and then later comparing a live scan to the enrolled print.

#--------------------------------------------------------------------

%package -n     %{libname}
Group:          System/Libraries
Summary:        Library for adding support for consumer fingerprint readers
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
libfprint is an open source software library designed to make it easy for
application developers to add support for consumer fingerprint readers to their
software.

%files -n %{libname}
%license COPYING
%doc NEWS THANKS AUTHORS
%{_libdir}/libfprint-2.so.%{major}{,.*}
%{_udevhwdbdir}/60-autosuspend-libfprint-2.hwdb
%{_udevrulesdir}/70-libfprint-2.rules
%{_metainfodir}/org.freedesktop.libfprint.metainfo.xml

#--------------------------------------------------------------------

%package -n     %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/FPrint-%{api}.typelib

#--------------------------------------------------------------------

%package -n     %{libnamedevel}
Group:          System/Libraries
Summary:        Development library for adding support for consumer fingerprint readers
Requires:       %{libname} = %{version}-%{release}
Requires:       %{girname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{soname}-devel = %{version}-%{release}

%description -n %{libnamedevel}
libfprint is an open source software library designed to make it easy for
application developers to add support for consumer fingerprint readers to their
software.

This package includes the headers and development library for building
applications that support finger print readers.

%files -n %{libnamedevel}
%doc HACKING.md
%{_includedir}/libfprint-2/
%{_libdir}/libfprint-2.so
%{_libdir}/pkgconfig/libfprint-2.pc
%{_datadir}/gtk-doc/html/libfprint-2/
%{_datadir}/gir-1.0/FPrint-%{api}.gir

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%meson -D installed-tests=false
%meson_build

%install
%meson_install
