# WARNING: This package is synced with FC
%global major 1
%define libname %mklibname freehand %major
%define devname %mklibname -d freehand
%global apiversion 0.1

Name: libfreehand
Version: 0.1.2
Release: %mkrel 6
Summary: A library for import of Macromedia/Adobe FreeHand documents

Group: System/Libraries
License: MPLv2.0
URL: https://wiki.documentfoundation.org/DLP/Libraries/libfreehand
Source: https://dev-www.libreoffice.org/src/%{name}/%{name}-%{version}.tar.xz

BuildRequires: boost-devel
BuildRequires: doxygen
BuildRequires: gperf
BuildRequires: help2man
BuildRequires: perl
BuildRequires: pkgconfig(cppunit)
BuildRequires: pkgconfig(icu-uc)
BuildRequires: pkgconfig(librevenge-0.0)
BuildRequires: pkgconfig(librevenge-generators-0.0)
BuildRequires: pkgconfig(librevenge-stream-0.0)
BuildRequires: pkgconfig(lcms2)
BuildRequires: pkgconfig(zlib)


Patch0: 0001-Add-missing-semicolon-to-fix-build-with-icu-65.1.patch

%description
libfreehand is library providing ability to interpret and import
Macromedia/Adobe FreeHand documents into various applications.

%package -n %libname
Summary: A library for import of Macromedia/Adobe FreeHand documents
Group: System/Libraries

%description -n %libname
libfreehand is library providing ability to interpret and import
Macromedia/Adobe FreeHand documents into various applications.

%package -n %devname
Summary: Development files for %{name}
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: libfreehand-devel

%description -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation of %{name} API
Group: Documentation
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%package tools
Summary: Tools to transform Macromedia/Adobe FreeHand documents into other formats
Group: Office/Utilities
Requires: %{libname} = %{version}-%{release}

%description tools
Tools to transform Macromedia/Adobe FreeHand documents into other formats.
Currently supported: SVG, raw, text.

%prep
%autosetup -p1

%build
%configure --disable-silent-rules --disable-static --disable-werror
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make_build


%install
%make_install
rm -f %{buildroot}/%{_libdir}/*.la
# we install API docs directly from build
rm -rf %{buildroot}/%{_docdir}/%{name}

# generate and install man pages
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
for tool in fh2raw fh2svg fh2text; do
    help2man -N -S '%{name} %{version}' -o ${tool}.1 %{buildroot}%{_bindir}/${tool}
done
install -m 0755 -d %{buildroot}/%{_mandir}/man1
install -m 0644 fh2*.1 %{buildroot}/%{_mandir}/man1


%check
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
%make_build check

%files -n %libname
%doc AUTHORS
%license COPYING
%{_libdir}/%{name}-%{apiversion}.so.%{major}{,.*}

%files -n %devname
%doc ChangeLog
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files doc
%license COPYING
%doc docs/doxygen/html

%files tools
%{_bindir}/fh2raw
%{_bindir}/fh2svg
%{_bindir}/fh2text
%{_mandir}/man1/fh2raw.1*
%{_mandir}/man1/fh2svg.1*
%{_mandir}/man1/fh2text.1*
