%define api       1
%define major     2
%define libname   %mklibname ftdi %{api} %{major}
%define develname %mklibname ftdi %{api} -d

%define ppmajor   3
%define pplib     %mklibname ftdipp %{api} %{ppmajor}

%define enable_async_mode 0

Summary:	Library to program and control the FTDI USB controller
Name:		libftdi
Version:	1.5
Release:	%mkrel 5
License:	LGPL for libftdi and GPLv2+linking exception for the C++ wrapper
Group:		System/Libraries
URL:		https://www.intra2net.com/en/developer/libftdi
Source0:	https://www.intra2net.com/en/developer/%{name}/download/%{name}%{api}-%{version}.tar.bz2
# http://developer.intra2net.com/git/?p=libftdi;a=commitdiff;h=cdb28383402d248dbc6062f4391b038375c52385;hp=5c2c58e03ea999534e8cb64906c8ae8b15536c30
Patch0:		libftdi-1.5-fix_pkgconfig_path.patch
BuildRequires:	doxygen
BuildRequires:	cmake
BuildRequires:	swig
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(libconfuse)
BuildRequires:	pkgconfig(libusb)

%description
Library to program and control the FTDI USB controller.

%package -n	%{libname}
Summary:	Library to program and control the FTDI USB controller
Group:		System/Libraries
Provides:	libftdi = %{version}-%{release}
Obsoletes:	libftdi < 0.20-3
Obsoletes:	%{_lib}ftdi1 < 1.1-3

%description -n	%{libname}
Library to program and control the FTDI USB controller.

%package -n	%{pplib}
Summary:	Library to program and control the FTDI USB controller
Group:		System/Libraries

%description -n %{pplib}
Library to program and control the FTDI USB controller.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{pplib} = %{version}-%{release}
Provides:	libftdi-devel = %{version}-%{release}
Provides:	libftdi1-devel = %{version}-%{release}
Obsoletes:	%{_lib}ftdi-devel < 1.1-3
Conflicts:	libftdi < 0.20-3

%description -n %{develname}
This package contains libraries and header files for developing applications
that use %{name}.


%prep
%autosetup -p1 -n %{name}1-%{version}

# switch to uaccess control
sed -i -e 's/GROUP="plugdev"/TAG+="uaccess"/g' packages/99-libftdi.rules

%build
%cmake -DSTATICLIBS=off -DFTDIPP=on -DPYTHON_BINDINGS=off -DLINK_PYTHON_LIBRARY=off
%cmake_build

%install
%cmake_install

install -D -pm 0644 packages/99-libftdi.rules %{buildroot}%{_udevrulesdir}/69-libftdi.rules

# Cleanup examples
rm -f %{buildroot}%{_bindir}/simple
rm -f %{buildroot}%{_bindir}/bitbang
rm -f %{buildroot}%{_bindir}/bitbang2
rm -f %{buildroot}%{_bindir}/bitbang_ft2232
rm -f %{buildroot}%{_bindir}/bitbang_cbus
rm -f %{buildroot}%{_bindir}/find_all
rm -f %{buildroot}%{_bindir}/find_all_pp
rm -f %{buildroot}%{_bindir}/baud_test
rm -f %{buildroot}%{_bindir}/serial_read
rm -f %{buildroot}%{_bindir}/serial_test

rm -f %{buildroot}%{_datadir}/doc/libftdi1/example.conf
rm -f %{buildroot}%{_datadir}/doc/libftdipp1/example.conf

%files -n %{libname}
%license COPYING.LIB COPYING.GPL LICENSE
%{_libdir}/libftdi*%{api}.so.%{major}{,.*}
%{_udevrulesdir}/69-libftdi.rules

%files -n %{pplib}
%license COPYING.LIB COPYING.GPL LICENSE
%{_libdir}/libftdipp%{api}.so.%{ppmajor}{,.*}

%files -n %{develname}
%doc build/examples
%{_bindir}/%{name}%{api}-config
%{_bindir}/ftdi_eeprom
%{_libdir}/%{name}*%{api}.so
%{_includedir}/%{name}%{api}/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/%{name}%{api}/
