%define major                3
%define libname              %mklibname g15_ %{major}
%define libname_devel        %mklibname g15 -d

Name:           libg15
Version:        3.0.7
Release:        %mkrel 1
Summary:        Library to control logitech G15 keyboards
License:        GPLv2+
Group:          System/Libraries
URL:            https://gitlab.com/menelkir/libg15
Source:         https://gitlab.com/menelkir/libg15/-/archive/%{version}/libg15-%{version}.tar.bz2
BuildRequires:  pkgconfig(libusb)

%description
Controls the G15 keyboard, providing applications access
to the keyboard's LCD display, and the additional keys available
on this keyboard.

%package -n %{libname}
Summary:        Controls the G15 keyboard and LCD
Group:          System/Libraries
Provides:       g15 = %{version}-%{release}

%description -n %{libname}
Controls the G15 keyboard, providing applications access
to the keyboard's LCD display, and the additional keys available
on this keyboard.

%package -n %{libname_devel}
Summary:        Controls the G15 keyboard and LCD
Group:          Development/C
Provides:       g15-devel = %{version}-%{release}
Requires:       g15 = %{version}-%{release}

%description -n %{libname_devel}
Controls the G15 keyboard, providing applications access
to the keyboard's LCD display, and the additional keys available
on this keyboard.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc AUTHORS ChangeLog README
%license COPYING
%{_libdir}/libg15.so.%{major}{,.*}

%files -n %{libname_devel}
%{_includedir}/*
%{_libdir}/libg15.so
