%define major         3
%define libname       %mklibname g15render %{major}
%define libname_devel %mklibname g15render -d

Name:           libg15render
Version:        3.0.4
Release:        %mkrel 1
Summary:        Library to render text and shapes into a buffer usable by the G15 keyboard
License:        GPLv2+
Group:          System/Libraries
URL:            https://gitlab.com/menelkir/libg15render
Source0:        https://gitlab.com/menelkir/libg15render/-/archive/%{version}/libg15render-%{version}.tar.bz2
Patch1:         0001-Update-pixel.c-to-complile-with-GCC-14.patch
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  g15-devel

%description
This is a library to render text and shapes into a buffer usable by the
Logitech G15 Gaming Keyboard.

This library probably isn't very useful without libg15 and/or g15daemon.

%package -n %{libname}
Summary:        Renders text and shapes into a buffer usable by the G15 keyboard
Group:          System/Libraries
Provides:       g15render = %{version}-%{release}

%description -n %{libname}
This is a library to render text and shapes into a buffer usable by the
Logitech G15 Gaming Keyboard.

This library probably isn't very useful without libg15 and/or g15daemon.

%package -n %{libname_devel}
Summary:        Renders text and shapes into a buffer usable by the G15 keyboard
Group:          Development/C
Provides:       g15render-devel = %{version}-%{release}
Requires:       g15render = %{version}

%description -n %{libname_devel}
This is a library to render text and shapes into a buffer usable by the
Logitech G15 Gaming Keyboard.

This library probably isn't very useful without libg15 and/or g15daemon.

%prep
%autosetup -p1

%build
%configure --enable-ttf --disable-static
%make_build

%install
%make_install

rm -r %{buildroot}%{_docdir}

%files -n %{libname}
%doc AUTHORS ChangeLog README
%license COPYING
%{_libdir}/libg15render.so.%{major}{,.*}

%files -n %{libname_devel}
%{_includedir}/*
%{_libdir}/libg15render.so
%{_mandir}/man3/*
