%define major 3
%define libname %mklibname gadu %{major}
%define develname %mklibname gadu -d

Name:		libgadu
Version:	1.12.2
Release:	%mkrel 4
Summary:	A Gadu-gadu protocol compatible library
License:	LGPLv2+
Group:		Networking/Instant messaging
Url:		https://libgadu.net/
Source0:	https://github.com/wojtekka/libgadu/releases/download/%{version}/%{name}-%{version}.tar.gz
Patch0:		libgadu-1.12.2-mga-multiple-defs.patch
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	doxygen
BuildRequires:	pkgconfig(expat)
BuildRequires:	gsm-devel
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libprotobuf-c)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(zlib)

%description
The libgadu is intended to make it easy to add Gadu-Gadu communication
support to your software.


%package -n %{libname}
Summary:	A Gadu-gadu protocol compatible library
Group:		Networking/Instant messaging

%description -n %{libname}
The libgadu is intended to make it easy to add Gadu-Gadu communication
support to your software.


%package -n %{develname}
Summary:	Development files for libgadu library
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	gadu-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{mklibname gadu 3 -d} < %{version}-%{release}
Obsoletes:	%{mklibname gadu -s -d} < %{version}-%{release}

%description -n %{develname}
Development files for libgadu library.


%prep
%autosetup -p1
touch packets.proto

%build
%configure \
	--disable-static \
	--with-pthread \
	--without-bind \
	--without-openssl \
	--with-c99-vsnprintf

./protobufgen.sh
%make_build

%check
make check

%install
%make_install

# don't ship .la
rm -f %{buildroot}%{_libdir}/%{name}.la

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
