%define major	0
%define libname %mklibname gcal %{major}
%define develname %mklibname gcal -d

Name:		libgcal
Version:	0.9.6
Release:	%mkrel 13
Summary:	Implements Google Data Protocol 2.0
License:	BSD
Group:		System/Libraries
URL:		https://code.google.com/p/libgcal/
Source:		http://libgcal.googlecode.com/files/%name-%version.tar.bz2
Patch0:		libgcal-0.9.6-check-for-empty-strings.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(check)

%description
Implements Google Data Protocol 2.0.
It does allow communication with google calendar and contacts,
implements already:
- authentication
- get all events/contacts
- atom stream parsing
- access to individual events/contacts
- add/delete/edit events/contacts
- query for updated events/contacts
- add/edit/delete contacts with photo
- download your contact's photos
- proxy is supported
- timezones
- use only xml to add/edit/delete entries
- great doxygen documentation

#-------------------------------------------------------------------

%package -n	%{libname}
Summary:	Library implementing Google Data Protocol Data 2.0
Group:		System/Libraries
Obsoletes:	libgcal <= 0.9.3-1
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
This library implements Google Data Protocol 2.0
It does allow communication with google calendar and contacts,
implements already:
- authentication
- get all events/contacts
- atom stream parsing
- access to individual events/contacts
- add/delete/edit events/contacts
- query for updated events/contacts
- add/edit/delete contacts with photo
- download your contact's photos
- proxy is supported
- timezones
- use only xml to add/edit/delete entries
- great doxygen documentation

%files -n	%{libname}
%{_libdir}/libgcal.so.%{major}{,.*}

#--------------------------------------------------------------------


%package -n	%{develname}
Summary:	Library headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Obsoletes:	libgcal-devel <= 0.9.3-1
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This is the libraries, include files and other resources you can use
to incorporate %{name} into applications.

%files -n	%{develname}
%{_includedir}/*
%{_libdir}/libgcal.so
%{_libdir}/pkgconfig/libgcal.pc
%{_libdir}/LibGCal/cmake/LibGCalConfig.cmake

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p0

%build
%cmake -DENABLE_TESTS=OFF
%cmake_build

%install
%cmake_install
