%define major     20
%define libname   %mklibname gcrypt %{major}
%define develname %mklibname gcrypt -d

# disable tests by default, no /dev/random feed, no joy
%ifarch %{arm}
%bcond_with check
%else
%bcond_without check
%endif

Summary:	GNU Cryptographic library
Name:		libgcrypt
Version:	1.11.0
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
Url:		https://www.gnupg.org/
# don't convert to bzip2, since we ship archive signature
Source0:	https://gnupg.org/ftp/gcrypt/libgcrypt/%{name}-%{version}.tar.bz2
Source1:	https://gnupg.org/ftp/gcrypt/libgcrypt/%{name}-%{version}.tar.bz2.sig
Patch0:		libgcrypt-1.9.3-libdir.patch
BuildRequires:	pkgconfig(gpg-error) >= 1.49

%description
Libgcrypt is a general purpose cryptographic library based on the code from GNU
Privacy Guard. It provides functions for all cryptographic building blocks:
symmetric ciphers (AES,DES,Blowfish,CAST5,Twofish,Arcfour), hash algorithms
(MD5, RIPE-MD160, SHA-1, TIGER-192), MACs (HMAC for all hash algorithms),
public key algorithms (RSA, ElGamal, DSA), large integer functions, random
numbers and a lot of supporting functions.

%package -n %{libname}
Summary:	GNU Cryptographic library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
Libgcrypt is a general purpose cryptographic library based on the code from GNU
Privacy Guard. It provides functions for all cryptographic building blocks:
symmetric ciphers (AES,DES,Blowfish,CAST5,Twofish,Arcfour), hash algorithms
(MD5, RIPE-MD160, SHA-1, TIGER-192), MACs (HMAC for all hash algorithms),
public key algorithms (RSA, ElGamal, DSA), large integer functions, random
numbers and a lot of supporting functions.

%package -n %{develname}
Summary:	Development files for GNU cryptographic library
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Libgcrypt is a general purpose cryptographic library based on the code from GNU
Privacy Guard.

This package contains files needed to develop applications using libgcrypt.

%prep
%autosetup -p1

%build
%configure \
	--disable-static \
	--disable-dev-random \
	--enable-m-guard
%make_build

%if %{with check}
%check
make check
%endif

%install
%make_install

%files -n %{libname}
%doc AUTHORS README NEWS THANKS TODO
%license COPYING.LIB
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog README.*
%license COPYING
%{_mandir}/man1/hmac256.*
%{_bindir}/*
%{_includedir}/*.h
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/libgcrypt.pc
%{_datadir}/aclocal/*
%{_infodir}/gcrypt.info*
