%global __requires_exclude ^pear\\(gda.*\\)

%define api		6.0
%define	major		6
%define gmajor		6.0

%define libname		%mklibname gda %{api} %{major}
%define devname		%mklibname -d gda%{api}
%define girname		%mklibname gda-gir %{gmajor}
%define girname_ui	%mklibname gdaui-gir %{gmajor}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%bcond_with tools
%bcond_with doc

Summary:	GNU Data Access
Name: 		libgda
Version:	6.0.0
Release:	%mkrel 5
License: 	GPLv2+ and LGPLv2+
Group: 		Databases
URL:            https://www.gnome-db.org/
Source0:	https://download.gnome.org/sources/libgda/%{url_ver}/libgda-%{version}.tar.xz
# build with gtksourceview-4
Patch3:		libgda-gtksourceview-4.patch
# fix soversion
Patch4:		libgda-soversion.patch
# From SUSE:
Patch5:		overflow-undefined-behavior.patch
Patch6:		libgda-no-gtkdoc-markers.patch
#
Patch7:		0001-Fix-CVE-2021-39359-by-forcing-TLS-certificate-valida.patch
BuildRequires:	meson
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-no-export-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(goocanvas-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtksourceview-4)
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libgvc)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	db-devel
BuildRequires:	mysql-devel
BuildRequires:	postgresql-devel
BuildRequires:	openldap-devel
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(sqlcipher)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	gettext
BuildRequires:  intltool
BuildRequires:	gtk-doc
BuildRequires:	itstool
BuildRequires:	locales
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	yelp-tools
BuildRequires:	vala-devel
BuildRequires:	valadoc

%description
GNU Data Access is an attempt to provide uniform access to different kinds of
data sources (databases, information servers, mail spools, etc). It is a
complete architecture that provides all you need to access your data.

%package -n %{name}%{api}
Summary:	%{summary}
Group:		Databases
Obsoletes:	libgda < 6.0.0-2
Requires:	iso-codes

%description -n %{name}%{api}
GNU Data Access is an attempt to provide uniform access to different kinds of
data sources (databases, information servers, mail spools, etc). It is a
complete architecture that provides all you need to access your data.

%package -n %{libname}
Summary:	GNU Data Access Development
Group: 		System/Libraries
Requires:	%{name}%{api} >= %{version}
Requires:	%{name}%{api}-sqlite >= %{version}

%description -n	%{libname}
GNU Data Access is an attempt to provide uniform access to different kinds of
data sources (databases, information servers, mail spools, etc). It is a
complete architecture that provides all you need to access your data.

%package -n %{devname}
Summary:	GNU Data Access Development
Group: 		Development/Databases
Requires:	%{libname} = %{version}
Requires:	%{girname} = %{version}
%if %{with tools}
Requires:	%{girname_ui} = %{version}
%endif
Provides:	gda%{api}-devel = %{version}-%{release}
Provides:	%{name}%{api}-devel = %{version}-%{release}

%description -n	%{devname}
GNU Data Access is an attempt to provide uniform access to different kinds of
data sources (databases, information servers, mail spools, etc). It is a
complete architecture that provides all you need to access your data.

%package -n %{girname}
Summary:        GObject Introspection interface description for Gda
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for Gda.

%package -n %{girname_ui}
Summary:        GObject Introspection interface description for Gdaui
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname_ui}
GObject Introspection interface description for Gdaui.

%package -n %{name}%{api}-postgres
Summary:	GDA PostgreSQL Provider
Group:		Databases
Requires:	%{name}%{api} = %{version}
Obsoletes:	libgda-postgres < 6.0.0-2

%description -n %{name}%{api}-postgres
GNU Data Access is an attempt to provide uniform access to different kinds of
data sources (databases, information servers, mail spools, etc). It is a
complete architecture that provides all you need to access your data.

This package includes the GDA PostgreSQL provider.

%package -n %{name}%{api}-mysql
Summary:	GDA MySQL Provider
Group:		Databases
Requires:	%{name}%{api} = %{version}
Obsoletes:      libgda-mysql < 6.0.0-2

%description -n %{name}%{api}-mysql
GNU Data Access is an attempt to provide uniform access to different kinds of
data sources (databases, information servers, mail spools, etc). It is a
complete architecture that provides all you need to access your data.

This package includes the GDA MySQL provider.

%package -n %{name}%{api}-bdb
Summary:	GDA Berkeley Database Provider
Group:		Databases
Requires:	%{name}%{api} = %{version}
Obsoletes:      libgda-bdb < 6.0.0-2

%description -n %{name}%{api}-bdb
GNU Data Access is an attempt to provide uniform access to different kinds of
data sources (databases, information servers, mail spools, etc). It is a
complete architecture that provides all you need to access your data.

This package includes the GDA Berkeley Database provider.

%package -n %{name}%{api}-sqlite
Summary:	GDA sqlite Provider
Group:		Databases
Requires:	%{name}%{api} = %{version}
Obsoletes:      libgda-sqlite < 6.0.0-2

%description -n %{name}%{api}-sqlite
GNU Data Access is an attempt to provide uniform access to different kinds of
data sources (databases, information servers, mail spools, etc). It is a
complete architecture that provides all you need to access your data.

This package includes the GDA sqlite provider.

%prep
%setup -q
%autopatch -p1

%build
%meson \
  -Dtools=%{?with_tools:true}%{?!with_tools:false} \
  -Dexperimental=%{?with_tools:true}%{?!with_tools:false} \
  -Dldap=%{?with_tools:true}%{?!with_tools:false} \
  -Ddoc=%{?with_doc:true}%{?!with_doc:false}
%meson_build

%install
%meson_install

%find_lang %{name}-%{api}

%files -n %{name}%{api} -f %{name}-%{api}.lang
%doc AUTHORS COPYING README
%if %{with tools}
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/org.gnome.gda.Browser.desktop
%{_datadir}/icons/hicolor/*/apps/org.gnome.gda.Browser.{png,svg}
%{_datadir}/pixmaps/org.gnome.gda.Browser.png
%{_metainfodir}/org.gnome.gda.Browser.appdata.xml
%endif
%{_datadir}/libgda-%{api}/

%dir %{_libdir}/libgda-%{api}/
%dir %{_libdir}/libgda-%{api}/providers/
%{_libdir}/libgda-%{api}/providers/libgda-sqlcipher-%{api}.so

%if %{with tools}
%{_libdir}/libgda-%{api}/providers/libgda-ldap-%{api}.so
%dir %{_libdir}/libgda-%{api}/plugins/
%{_libdir}/libgda-%{api}/plugins/libgda-ui-plugins-libgda-%{api}.so
%endif

%files -n %{libname}
%{_libdir}/libgda-%{api}.so.%{major}{,.*}
%if %{with tools}
%{_libdir}/libgda-report-%{api}.so.%{major}{,.*}
%{_libdir}/libgda-ui-%{api}.so.%{major}{,.*}
%{_libdir}/libgda-xslt-%{api}.so.%{major}{,.*}
%endif

%files -n %{girname}
%{_libdir}/girepository-1.0/Gda-%{gmajor}.typelib

%if %{with tools}
%files -n %{girname_ui}
%{_libdir}/girepository-1.0/Gdaui-%{gmajor}.typelib
%endif

%files -n %{devname}
%if %{with doc}
%doc %{_datadir}/gtk-doc/html/libgda-%{api}/
%doc %{_datadir}/devhelp/books/Gda-%{api}/
%if %{with tools}
%doc %{_datadir}/gtk-doc/html/libgdaui-%{api}/
%doc %{_datadir}/devhelp/books/Gdaui-%{api}/
%endif
%endif
%{_libdir}/libgda-%{api}.so
%if %{with tools}
%{_libdir}/libgda-report-%{api}.so
%{_libdir}/libgda-ui-%{api}.so
%{_libdir}/libgda-xslt-%{api}.so
%endif
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gir-1.0/Gda-%{api}.gir
%if %{with tools}
%{_datadir}/gir-1.0/Gdaui-%{api}.gir
%endif
%{_datadir}/vala/vapi/libgda*

%files -n %{name}%{api}-sqlite
%{_libdir}/libgda-%{api}/providers/libgda-sqlite-%{api}.so

%files -n %{name}%{api}-postgres
%{_libdir}/libgda-%{api}/providers/libgda-postgres-%{api}.so

%if 0
%files -n %{name}%{api}-bdb
%{_libdir}/libgda-%{api}/providers/libgda-bdb-%{api}.so
%endif

%if 0
%files -n %{name}%{api}-mysql
%{_libdir}/libgda-%{api}/providers/libgda-mysql-%{api}.so
%endif
