%define lib_major	0
%define libname		%mklibname gdiplus %{lib_major}
%define libnamedev	%mklibname gdiplus -d

Name:		libgdiplus
Version:        6.1
Release:	%mkrel 2
Summary:	An Open Source implementation of the GDI+ API
License:	MIT
Group:		System/Libraries
URL:		https://www.mono-project.com/Main_Page
Source0:	https://download.mono-project.com/sources/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(pango)
BuildRequires:	automake
BuildRequires:	giflib-devel

%description
An Open Source implementation of the GDI+ API, it is part of the Mono 
Project

%package -n	%{libname}
Summary:	An Open Source implementation of the GDI+ API
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
An Open Source implementation of the GDI+ API.
This is part of the Mono project.

%package -n	%{libnamedev}
Summary:	Development files for libgdiplus
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libnamedev}
This package provides the necessary development libraries to allow
you to develop with libgdiplus.

%prep
%setup -q
%autopatch -p1

# Don't default to pango when `--with-pango` is not given.
# Link against correct pango libraries. Bug #700280
sed -e 's/text_v=default/text_v=cairo/' \
	-e 's/pangocairo /pangocairo pangoft2/' \
	-i configure.ac

%build
autoreconf -vfi
%configure --disable-static \
           --with-pango
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%license COPYING
%doc NEWS README.md TODO AUTHORS ChangeLog
%{_libdir}/lib*.so.%{lib_major}{,.*}

%files -n %{libnamedev}
%doc ChangeLog
%{_libdir}/pkgconfig/*
%{_libdir}/lib*.so
