%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define api_ver		5
%define major		0

%define libname		%mklibname gedit-amtk %{api_ver} %{major}
%define girname		%mklibname gedit-amtk-gir %{api_ver}
%define devname		%mklibname gedit-amtk %{api_ver} -d

Name:		libgedit-amtk
Version:	5.9.0
Release:	%mkrel 1
Summary:	Gedit Technology - Actions, Menus and Toolbars Kit for GTK applications
License:	LGPL-3.0-or-later
Group:		Graphical desktop/GNOME
Url:		https://gitlab.gnome.org/World/gedit/libgedit-amtk
Source0:	https://fr2.rpmfind.net/linux/gnome.org/sources/libgedit-amtk/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	meson
BuildRequires:	gettext
BuildRequires:	gtk-doc
BuildRequires:	vala-tools
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(vapigen)
Obsoletes:	amtk < 5.8.0

%description
Amtk is the acronym for "Actions, Menus and Toolbars Kit". It is a basic
GtkUIManager replacement based on GAction. It is suitable for both a
traditional UI or a modern UI with a GtkHeaderBar.

libgedit-amtk is part of [Gedit Technology](https://gedit-technology.github.io/).

%package -n	%{libname}
Summary:	Actions, Menus and Toolbars Kit for GTK applications
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
Obsoletes:	%{_lib}amtk5_0 < 5.8.0

%description -n	%{libname}
Amtk is the acronym for "Actions, Menus and Toolbars Kit". It is a basic
GtkUIManager replacement based on GAction. It is suitable for both a
traditional UI or a modern UI with a GtkHeaderBar.

libgedit-amtk is part of [Gedit Technology](https://gedit-technology.github.io/).

This package contains shared Amtk library.

%package -n	%{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Obsoletes:	%{_lib}amtk-gir5 < 5.8.0

%description -n	%{girname}
GObject Introspection interface description for %{name}.

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	gedit-amtk-devel = %{version}-%{release}
Obsoletes:	%{_lib}amtk5-devel < 5.8.0

%description -n	%{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup

%build
%meson \
	-Dgtk_doc=true \
	-Dgobject_introspection=true
%meson_build

%install
%meson_install

%find_lang %{name}-%{api_ver}

%check
%meson_test

%files -f %{name}-%{api_ver}.lang
%doc NEWS README*

%files -n %{libname}
%doc NEWS README*
%license LICENSES/*
%{_libdir}/%{name}-%{api_ver}.so.%{major}{,.*}

%files -n %{girname}
%license LICENSES/*
%{_libdir}/girepository-1.0/Amtk-%{api_ver}.typelib

%files -n %{devname}
%{_datadir}/gtk-doc/html/libgedit-amtk-%{api_ver}/
%{_includedir}/%{name}-%{api_ver}/
%{_libdir}/%{name}-%{api_ver}.so
%{_libdir}/pkgconfig/%{name}-%{api_ver}.pc
%{_datadir}/gir-1.0/Amtk-%{api_ver}.gir
