%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define api_ver		6
%define major		2

%define libname		%mklibname gedit-tepl %{api_ver} %{major}
%define girname		%mklibname gedit-tepl-gir %{api_ver}
%define devname		%mklibname gedit-tepl %{api_ver} -d

Name:		libgedit-tepl
Version:	6.12.0
Release:	%mkrel 3
Summary:	Library that eases the development of text editors and IDEs based on GTK
Group:		Graphical desktop/GNOME
License:	LGPL-3.0-or-later
URL:		https://gitlab.gnome.org/World/gedit/libgedit-tepl
Source0:	https://download.gnome.org/sources/libgedit-tepl/%{url_ver}/%{name}-%{version}.tar.xz
Source1:	https://download.gnome.org/sources/libgedit-tepl/%{url_ver}/%{name}-%{version}.sha256sum
BuildRequires:	meson
BuildRequires:	gettext
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libgedit-gtksourceview-300)
BuildRequires:	pkgconfig(libgedit-amtk-5)
BuildRequires:	pkgconfig(libgedit-gfls-1)
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(icu-i18n)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(libhandy-1)

Provides:	tepl = %{version}-%{release}
Obsoletes:	tepl < 6.9.0-2

%description
libgedit-tepl is a library that eases the development of
GtkSourceView-based text editors and IDEs. Tepl is the
acronym for “Text editor product line”.

libgedit-tepl is part of [Gedit Technology](https://gedit-technology.github.io/).

%package -n %{libname}
Summary:	Library that eases the development of text editors and IDEs based on GTK
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description	-n %{libname}
libgedit-tepl is a library that eases the development of
GtkSourceView-based text editors and IDEs. Tepl is the
acronym for “Text editor product line”.

libgedit-tepl is part of [Gedit Technology](https://gedit-technology.github.io/).

%package	-n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

Obsoletes:	%{_lib}tepl-gir6 < 6.9.0-2

%description	-n %{girname}
GObject Introspection interface description for %{name}.

%package	-n %{devname}
Summary:	Development files for %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	gedit-tepl-devel = %{version}-%{release}
Provides:	tepl-devel = %{version}-%{release}
Obsoletes:	%{_lib}tepl6-devel < 6.9.0-2

%description	-n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}-%{api_ver}

%files -f %{name}-%{api_ver}.lang
%doc NEWS README.md
%license LICENSES/*

%files -n %{libname}
%license LICENSES/*
%{_libdir}/libgedit-tepl-%{api_ver}.so.%{major}{,.*}

%files -n %{girname}
%license LICENSES/*
%{_libdir}/girepository-1.0/Tepl-%{api_ver}.typelib

%files -n %{devname}
%{_datadir}/gtk-doc/html/libgedit-tepl-%{api_ver}/
%{_includedir}/libgedit-tepl-%{api_ver}/
%{_libdir}/pkgconfig/libgedit-tepl-%{api_ver}.pc
%{_libdir}/libgedit-tepl-%{api_ver}.so
%{_datadir}/gir-1.0/Tepl-%{api_ver}.gir
