%define url_ver		%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define major		2
%define gir_major	0.10
%define libname		%mklibname gexiv2_ %{major}
%define develname	%mklibname gexiv2 -d
%define gir_name	%mklibname gexiv2-gir %{gir_major}

Summary:	A GObject-based wrapper around the Exiv2 library
Name:		libgexiv2
Version:	0.14.3
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Libraries
Url:		https://wiki.gnome.org/Projects/gexiv2
Source0:	https://download.gnome.org/sources/gexiv2/%{url_ver}/gexiv2-%{version}.tar.xz
BuildRequires:	gtk-doc
BuildRequires:	meson
BuildRequires:	sed
BuildRequires:	pkgconfig(exiv2) >= 0.21
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-gobject
BuildRequires:	pkgconfig(gobject-introspection-1.0)

%description
gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes
the basic features of Exiv2 available to GNOME applications.

%package -n %{gir_name}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{mklibname %{name}1.0-gir 1.0} < 1.29.3-4

%description -n %{gir_name}
GObject Introspection interface description for %{name}.

%package -n %{libname}
Summary:	A GObject-based wrapper around the Exiv2 library
Group:		System/Libraries

%description -n %{libname}
gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes
the basic features of Exiv2 available to GNOME applications.

%package -n %{develname}
Group:		Development/C
Summary:	A GObject-based wrapper around the Exiv2 library
Requires:	%{libname} = %{version}-%{release}
Requires:	%{gir_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes
the basic features of Exiv2 available to GNOME applications.

%package -n	python3-gexiv2
Summary:	Python3 bindings for %{name}
Group:		Development/Python
BuildArch:	noarch
Requires:	python3-gobject

%description -n	python3-gexiv2
This package contains the python3 bindings for %{name}.

%prep
%autosetup -p1 -n gexiv2-%{version}

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

%check
%meson_test

%files -n %{libname}
%doc AUTHORS NEWS README.md THANKS
%license COPYING
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/gexiv2/
%{_includedir}/gexiv2
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/vala/vapi/gexiv2.deps
%{_datadir}/vala/vapi/gexiv2.vapi
%{_datadir}/gir-1.0/*-%{gir_major}.gir

%files -n %{gir_name}
%doc AUTHORS
%{_libdir}/girepository-1.0/GExiv2-0.10.typelib

%files -n python3-gexiv2
%doc AUTHORS README.md
%pycached %{python3_sitelib}/gi/overrides/GExiv2.py
