%define major	0
%define api	1.0
%define girapi	1.0
%define libname	%mklibname git2-glib %{api} %{major}
%define girname	%mklibname git2-glib-gir %{girapi}
%define devname	%mklibname git2-glib %{api} -d

Name:		libgit2-glib
Version:        1.2.1
Release:	%mkrel 1
Summary:	Git library for GLib
Group:		System/Libraries
License:	LGPLv2+
URL:		https://wiki.gnome.org/Projects/Libgit2-glib
Source0:	https://download.gnome.org/sources/libgit2-glib/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	gi-docgen
BuildRequires:	meson
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libgit2) >= 0.28
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	python3-gobject3
BuildRequires:	pkgconfig(vapigen)
# (tv) for autoconf:
BuildRequires:	gnome-common

%description
libgit2-glib is a glib wrapper library around the libgit2 git access library.

%package -n %{libname}
Summary:	A glib wrapper library around the libgit2 git access library
Group:		System/Libraries
Requires:	python3-%{name} = %{version}-%{release}

%description -n %{libname}
libgit2-glib is a glib wrapper library around the libgit2 git access library.

%package -n	%{girname}
Summary:	GObject Introspection interface library for %{name}
Group:		System/Libraries

%description -n	%{girname}
GObject Introspection interface library for %{name}.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{_lib}%{name}-devel = %{version}-%{release}

%description -n %{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

%package -n python3-%{name}
Summary:	Python 3 bindings for %{name}
Group:		Development/Python
BuildArch:	noarch
# Depend on python3-gobject for the python3 gi overrides directory.
# If we ever get a libgit2-glib consumer that does not depend on python3,
# it would probably make sense to split it to a separate subpackage.
Requires:	python3-gobject

%description -n python3-%{name}
This package contains the Python3 bindings for %{name}.

%prep
%autosetup -p1

%build
%meson -Dgtk_doc=true \
       -Dpython=true
%meson_build

%install
%meson_install

%files -n %{libname}
%doc AUTHORS NEWS
%{_libdir}/libgit2-glib-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Ggit-%{girapi}.typelib

%files -n %{devname}
%doc %{_datadir}/gtk-doc/
%{_includedir}/libgit2-glib-%{api}/
%{_libdir}/libgit2-glib-%{api}.so
%{_libdir}/pkgconfig/libgit2-glib-%{api}.pc
%{_datadir}/gir-1.0/Ggit-%{girapi}.gir
%{_datadir}/vala/vapi/*git*

%files -n python3-%{name}
%{python3_sitearch}/gi/overrides/*
