%define major	1.9
%define libname	%mklibname git2_ %{major}
%define devname	%mklibname git2 -d

Name:		libgit2
Version:	1.9.0
Release:	%mkrel 2
Summary:	A C implementation of the Git core methods as a library
Group:		System/Libraries
License:	GPLv2 with exceptions
URL:		https://libgit2.org/
Source0:	https://github.com/libgit2/libgit2/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		0001-install-cmake-files-into-configured-libdir.patch

BuildRequires:	cmake
#BuildRequires:	libxdiff-devel
BuildRequires:	pkgconfig(openssl)
BuildRequires:	python3
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libssh2)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	http-parser-devel
BuildRequires:	ninja-build

Provides:	bundled(libxdiff)
Provides:	bundled(llhttp)

%description
libgit2 is a portable, pure C implementation of the Git core methods
provided as a re-entrant linkable library with a solid API, allowing
you to write native speed custom Git applications in any language
with bindings.

%package -n %{libname}
Summary:	A C implementation of the Git core methods as a library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
libgit2 is a portable, pure C implementation of the Git core methods
provided as a re-entrant linkable library with a solid API, allowing
you to write native speed custom Git applications in any language
with bindings.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

# Remove VCS files from examples
find examples -name ".gitignore" -delete

# Don't run "online" tests
sed -i '/-sonline/s/^/#/' tests/libgit2/CMakeLists.txt

# Remove bundled libraries (except libxdiff and llhttp)
pushd deps
find . -maxdepth 1 -not -name xdiff -not -name llhttp -exec rm -rf {} ';'
popd

%build
%cmake  \
  -GNinja \
  -DREGEX_BACKEND=pcre2 \
  -DBUILD_CLI=OFF \
  -DUSE_HTTP_PARSER=system \
  -DUSE_SHA1=HTTPS \
  -DUSE_HTTPS=OpenSSL \
  -DUSE_NTLMCLIENT=OFF \
  -DUSE_SSH=ON \
  %{nil}
%cmake_build

%install
%cmake_install

%ifarch %{ix86} x86_64
%check
%ctest
%endif

%files -n %{libname}
%doc COPYING
%{_libdir}/libgit2.so.%{major}{,.*}

%files -n %{devname}
%doc docs examples AUTHORS README.md
%{_libdir}/libgit2.so
%{_libdir}/cmake/libgit2/
%{_libdir}/pkgconfig/libgit2.pc
%{_includedir}/git2.h
%{_includedir}/git2/
