%define pkgname libglademm

%define libglade_version 2.6.1
%define gtkmm_version 2.6.0

%define major 1
%define api_version 2.4
%define libname		%mklibname glademm %{api_version} %{major}
%define libname_orig	%mklibname glademm %{api_version}
%define develname %mklibname -d glademm %{api_version}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:	 	%{pkgname}%{api_version}
Summary:	C++ interface of glade2 library
Version:	2.6.7
Release:	%mkrel 19
License:	LGPLv2+
Group:		System/Libraries
Source:		https://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.bz2
URL:		https://gtkmm.sourceforge.net/
BuildRequires:	pkgconfig(libglade-2.0) >= %{libglade_version}
BuildRequires:	pkgconfig(gtkmm-2.4) >= %{gtkmm_version}
BuildRequires:	doxygen

%description
This package provides a C++ interface for glade2.  It is a subpackage
of the gnomemm project.  The interface provides a convenient interface for C++
programmers to create glade2 objects.

%package	-n %{libname}
Summary:	C++ interface of glade2 library
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}
Provides:	%{pkgname} = %{version}-%{release}

%description	-n %{libname}
This package provides a C++ interface for glade2.  It is a subpackage
of the gnomemm project.  The interface provides a convenient interface for C++
programmers to create glade2 objects.

%package	-n %develname
Summary:	Development related files of %{pkgname}
Group:		Development/GNOME and GTK+
Provides:	%{pkgname}-devel = %{version}-%{release}
Provides:	%name-devel = %version-%release
Requires:	%{libname} = %{version}
Requires:	libglade2.0-devel >= %{libglade_version}
Requires:	gtkmm2.4-devel >= %{gtkmm_version}
Obsoletes:	%mklibname -d glademm 2.4 1

%description	-n %develname
This package provides headers and various development files needed for
compiling or developing applications that use Glade 2 C++ interface.

%package	doc
Summary:	Documentation for %{pkgname} library
Group:		Documentation

%description	doc
This package provides API documentation of %{pkgname} library, which
is part of gnomemm project that provides C++ interface for GNOME libraries.
The documents can be browsed via devhelp, an API documentation viewer.

%prep
%setup -q -n %{pkgname}-%{version}

%build
export CXXFLAGS="%{optflags} -std=gnu++11"
%configure --disable-static
%make_build

### Build doc
pushd docs/reference
  perl -pi -e 's/^(HAVE_DOT.*=) YES/$1 NO/' Doxyfile
  %__make all
popd

%install
%make_install

rm -rf %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog INSTALL
%{_libdir}/libglademm-%{api_version}.so.%{major}{,.*}

%files -n %develname
%doc AUTHORS COPYING ChangeLog INSTALL
%{_includedir}/*
%{_libdir}/%{pkgname}-%{api_version}
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%files doc
%{_docdir}/gnomemm-2.6/*
%{_datadir}/devhelp/books/*

