%define major		1
%define libname		%mklibname glpng %{major}
%define develname	%mklibname glpng -d

Summary:	A toolkit for loading PNG images as OpenGL textures
Name:		libglpng
Version:	1.45
Release:	%mkrel 18
License:	MIT
Group:		System/Libraries
# Upstream's dead
Source0:	https://ftp.debian.org/debian/pool/main/libg/%{name}/%{name}_%{version}.orig.tar.gz
# From Debian - a Makefile. Yay.
Source1:	libglpng-1.45-makefile
# Debian patch, couple of small fixes.
Patch0:		libglpng-1.45-debian.patch
Patch2:		glpng-1.45-libpng15.patch
# From Mandriva
Patch1:         libglpng-1.45-CVE-2010-1519.diff
Patch3:		glpng-c99.patch
URL:		https://packages.debian.org/libglpng
BuildRequires:	pkgconfig(libpng)
BuildRequires:	GL-devel

%description
glpng is a small toolkit to make loading PNG image files as an OpenGL
texture as easy as possible.

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %{libname}
glpng is a small toolkit to make loading PNG image files as an OpenGL
texture as easy as possible.

%package -n %{develname}
Summary:	Development headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
glpng is a small toolkit to make loading PNG image files as an OpenGL
texture as easy as possible.

%prep
%setup -q -n %{name}-%{version}.orig
%patch -P 0 -p1 -b .debian
%patch -P 1 -p0 -b .CVE-2010-1519
%patch -P 2 -p1 -b .libpng15
%patch -P 3 -p1 -b .c99

install -m 0644 %{SOURCE1} ./Makefile

%build
%make_build CFLAGS="%{optflags} -fPIC -I ./include"

%install
%make_install DESTDIR=%{buildroot}%{_prefix}

rm -rf %{buildroot}%{_docdir}

%ifarch x86_64 aarch64
mv %{buildroot}%{_prefix}/lib %{buildroot}%{_libdir}
%endif

rm -rf %{buildroot}%{_libdir}/*.a

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc glpng.htm Example/
%{_includedir}/GL/glpng.h
%{_libdir}/%{name}.so
