%define major		4
%define api		2
%define libname		%mklibname gnome-games-support %{api} %{major}
%define develname	%mklibname gnome-games-support -d

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		libgnome-games-support
Version:	2.0.1
Release:	%mkrel 1
Summary:	Support library for GNOME games
Group:		Development/GNOME and GTK+
License:	LGPLv3+
URL:		https://git.gnome.org/browse/%{name}/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(glib-2.0) >= 2.40
BuildRequires:	pkgconfig(gio-2.0) >= 2.40
BuildRequires:  pkgconfig(gtk4)
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	gettext
BuildRequires:	meson
BuildRequires:	vala

%description
libgnome-games-support is a small library intended for internal use by GNOME Games,
but it may be used by others. The API will only break with the major version
number. The ABI is unstable.

#------------------------------------

%package	i18n
Summary:	Support library for GNOME games - translations
Group:		System/Internationalization
BuildArch:	noarch

Obsoletes:	libgames-support-i18n < 1.0.2-2

%description	i18n
libgnome-games-support is a small library intended for internal use by GNOME Games,
but it may be used by others. The API will only break with the major version
number. The ABI is unstable.

This package contains translations used by %{name}.

#------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries
Requires:	%{name}-i18n = %{version}-%{release}

Obsoletes:	%{_lib}games-support2 < 1.0.2-2

%description -n %{libname}
libgnome-games-support is a small library intended for internal use by GNOME Games,
but it may be used by others. The API will only break with the major version
number. The ABI is unstable.

#------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

Obsoletes:	%{_lib}games-support-devel < 1.0.2-2

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#------------------------------------

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang libgnome-games-support2

%files i18n -f libgnome-games-support2.lang

%files -n %{libname}
%doc README
%license COPYING.LESSER
%{_libdir}/%{name}-%{api}.so.%{major}{,.*}

%files -n %{develname}
%doc README
%license COPYING.LESSER
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/*.vapi
%{_includedir}/gnome-games-support-%{api}/
%{_libdir}/%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}*.pc
