%define uname		libgnome-games-support

%define major		3
%define api		1
%define libname		%mklibname gnome-games-support %{api} %{major}
%define develname	%mklibname gnome-games-support %{api} -d

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		libgnome-games-support1
Version:	1.8.2
Release:	%mkrel 3
Summary:	Support library for GNOME games
Group:		Development/GNOME and GTK+
License:	LGPLv3+
URL:		https://git.gnome.org/browse/libgnome-games-support/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{uname}-%{version}.tar.xz
BuildRequires:	pkgconfig(glib-2.0) >= 2.40
BuildRequires:	pkgconfig(gio-2.0) >= 2.40
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.12
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	gettext
BuildRequires:	meson
BuildRequires:	vala

%description
libgnome-games-support is a small library intended for internal use by GNOME Games,
but it may be used by others. The API will only break with the major version
number. The ABI is unstable.

#------------------------------------

%package	i18n
Summary:	Support library for GNOME games - translations
Group:		System/Internationalization
BuildArch:	noarch

%description	i18n
libgnome-games-support is a small library intended for internal use by GNOME Games,
but it may be used by others. The API will only break with the major version
number. The ABI is unstable.

This package contains translations used by %{uname}.

#------------------------------------

%package -n	%{libname}
Summary:	Library for %{uname}
Group:		System/Libraries
Requires:	%{name}-i18n = %{version}-%{release}

%description -n %{libname}
libgnome-games-support is a small library intended for internal use by GNOME Games,
but it may be used by others. The API will only break with the major version
number. The ABI is unstable.

#------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	gnome-games-support1 = %{version}-%{release}

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#------------------------------------

%prep
%setup -q -n %{uname}-%{version}

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{uname}

%files i18n -f %{uname}.lang

%files -n %{libname}
%doc README
%license COPYING.LESSER
%{_libdir}/%{uname}-%{api}.so.%{major}{,.*}

%files -n %{develname}
%doc README
%license COPYING.LESSER
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/*.vapi
%{_includedir}/gnome-games-support-%{api}/
%{_libdir}/%{uname}-%{api}.so
%{_libdir}/pkgconfig/%{uname}*.pc
