%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define oname		gnome-keyring

%define lib_major	0
%define gir_major	1.0
%define libname		%mklibname %{oname} %{lib_major}
%define libnamedev	%mklibname -d %{oname}
%define girname		%mklibname %{oname}-gir %{gir_major}

Summary:	Keyring library for the GNOME desktop
Name:		libgnome-keyring
Version:	3.12.0
Release:	%mkrel 13
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch1:		0001-Fix-vapi-build-with-vala-0.42.patch
URL:		https://www.gnome.org/
License:	LGPLv2+
Group:		Networking/Remote access
BuildRequires:	pkgconfig(glib-2.0) >= 2.16.0
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(dbus-1) >= 1.0
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	vala-tools
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(libgcrypt) >= 1.2.2
BuildRequires:	intltool

%description
gnome-keyring is a program that keep password and other secrets for
users. It is run as a daemon in the session, similar to ssh-agent, and
other applications can locate it by an environment variable.

The program can manage several keyrings, each with its own master
password, and there is also a session keyring which is never stored to
disk, but forgotten when the session ends.

%package i18n
Group:		System/Libraries
Summary:	Localization data files for %{name}
BuildArch:	noarch

%description i18n
This package contains the translations for %{name}.

%package -n %{libname}
Group:		System/Libraries
Summary:	Library for integration with the gnome keyring system
Requires:	%{name}-i18n >= %{version}-%{release}
Recommends:	gnome-keyring
Provides:	libgnome-keyring = %{version}-%{release}

%description -n %{libname}
The library libgnome-keyring is used by applications to integrate with
the gnome keyring system. However, at this point the library hasn't been
tested and used enough to consider the API to be publicly
exposed. Therefore use of libgnome-keyring is at the moment limited to
internal use in the gnome desktop. However, we hope that the
gnome-keyring API will turn out useful and good, so that later it
can be made public for any application to use.

%package -n %{libnamedev}
Group:		Development/C
Summary:	Library for integration with the gnome keyring system
Requires:	%{libname} = %{version}
Requires:	%{girname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}libgnome-keyring0-devel

%description -n %{libnamedev}
The library libgnome-keyring is used by applications to integrate with
the gnome keyring system. However, at this point the library hasn't been
tested and used enough to consider the API to be publicly
exposed. Therefore use of libgnome-keyring is at the moment limited to
internal use in the gnome desktop. However, we hope that the
gnome-keyring API will turn out useful and good, so that later it
can be made public for any application to use.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q
%autopatch -p1

%build
%configure \
	--disable-static \
	--enable-introspection=yes
%make_build

%install
%make_install

find %buildroot -name '*.la' -delete

%find_lang %{name}

%files i18n -f %name.lang

%files -n %{libname}
%{_libdir}/libgnome-keyring.so.%{lib_major}{,.*}

%files -n %{libnamedev}
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/gnome-keyring
%{_libdir}/libgnome-keyring.so
%{_includedir}/gnome-keyring-1
%{_libdir}/pkgconfig/gnome-keyring-1.pc
%{_datadir}/vala/*
%{_datadir}/gir-1.0/GnomeKeyring-%{gir_major}.gir

%files -n %{girname}
%{_libdir}/girepository-1.0/GnomeKeyring-%{gir_major}.typelib
