%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

%define api_version	2
%define lib_major	0
%define pkgname		libgnome
%define lib_name	%mklibname gnome %{api_version} %{lib_major}
%define develname	%mklibname gnome %{api_version} -d

Summary:	GNOME libraries
Name:		%{pkgname}%{api_version}
Version:	2.32.1
Release:	%mkrel 23
License:	LGPLv2+
Group:		System/Libraries
Url:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
# (fc) 1.116.0-2mdk use Mdk default background
Patch1:		libgnome-background.patch
# (fc) 2.2.0.1-2mdk Ia Ora as default theme
Patch4:		libgnome-defaulttheme.patch
# (fc) 2.19.1-2mdv mark gnome_program_init with sentinel (SUSE)
Patch6:		libgnome-sentinel.patch
# (fc) 2.19.1-2mdv fix va_list usage (SUSE)
Patch7:		libgnome-2.19.1-va_list.patch
# (fc) 2.19.1-2mdv enable sound server and events by default, remove almost default sound events
Patch8:		libgnome-2.19.1-sounds-default.patch
# (fc) 2.24.1-2mdv use www-browser as default browser
Patch9:		libgnome-2.24.1-www-browser.patch
# (fc) 2.28.0-2mdv put back icons in menu and buttons
Patch10:	libgnome-2.28.0-icons.patch
Patch11:	libgnome-2.32.1-Don-t-use-G_DISABLE_DEPRECATED.patch
# (blino) gnome-open.c:38:9: erreur: not enough variable arguments to fit a sentinel
Patch12:	libgnome-2.32.1-gnome_program_init.patch
# (debian) Fix invalid UTF-8 in header
Patch13:	libgnome-2.32.1-fix_invalid_utf8.patch
BuildRequires:	pkgconfig(gconf-2.0) >= 1.1.11
BuildRequires:	pkgconfig(glib-2.0) >= 2.8.0
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.8.0
BuildRequires:	pkgconfig(gnome-vfs-2.0) >= 2.5.3
BuildRequires:	pkgconfig(gobject-2.0) >= 2.0.0
BuildRequires:	pkgconfig(libbonobo-2.0) >= 2.13.0
%if !%bootstrap
BuildRequires:	pkgconfig(libcanberra) >= 0
%endif
BuildRequires:	pkgconfig(popt)
BuildRequires:	gtk-doc
BuildRequires:	intltool >= 0.40.0
BuildRequires:	gnome-common
Requires:	%{name}-schemas >= %{version}-%{release}

%description
Data files for the GNOME library such as translations.


%package schemas
Summary:	Default configuration for some GNOME software
Group:		%{group}
Requires(post): GConf2
Requires(preun): GConf2

%description schemas
Default configuration for GNOME software.

%package -n %{lib_name}
Summary:	Dynamic libraries for GNOME applications
Group:		%{group}
Requires:	%{name} >= %{version}

%description -n %{lib_name}
GNOME library contains extra API to let your GNOME applications shine.

%package -n %develname
Summary:	Static libraries, include files for GNOME
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	%{name} = %{version}

%description -n %develname
Static library and headers file
needed in order to develop applications using the GNOME library

%prep
%setup -q -n %{pkgname}-%{version}
%autopatch -p1

%build
autoreconf -fi
%configure \
	--enable-gtk-doc \
	--disable-static \
	--disable-schemas-install \
%if %bootstrap
	--enable-canberra=no
%endif

%make_build

%install
%make_install

# remove unpackaged files
find %{buildroot} -name '*.la' -delete

%find_lang %{pkgname}-2.0

%define schemas desktop_gnome_accessibility_keyboard desktop_gnome_accessibility_startup desktop_gnome_applications_at_mobility desktop_gnome_applications_at_visual desktop_gnome_applications_browser desktop_gnome_applications_terminal desktop_gnome_applications_office desktop_gnome_applications_window_manager desktop_gnome_background desktop_gnome_file_views desktop_gnome_interface desktop_gnome_lockdown desktop_gnome_peripherals_keyboard desktop_gnome_peripherals_mouse desktop_gnome_sound desktop_gnome_thumbnail_cache desktop_gnome_thumbnailers desktop_gnome_typing_break

# Background to red for root user
%post schemas
if [ ! -f /root/.gconf/desktop/gnome/background/%gconf.xml ]; then
	if [ ! -d /root/.config/gconf ]; then
		mkdir -p /root/.config/gconf
	fi

  gconftool-2 --config-source=xml::/root/.config/gconf --direct --set /desktop/gnome/background/picture_options --type=string none
  gconftool-2 --config-source=xml::/root/.config/gconf --direct --set /desktop/gnome/background/primary_color --type=string "#B20003"
fi

%preun schemas
%preun_uninstall_gconf_schemas %schemas

%files -f %{pkgname}-2.0.lang
%doc NEWS
%config(noreplace) %{_sysconfdir}/sound/events/*
%{_bindir}/gnome-open
%{_libdir}/bonobo/monikers/*.so
%{_libdir}/bonobo/servers/*
%{_mandir}/man7/*
%{_datadir}/gnome-background-properties/gnome-default.xml
%dir %{_datadir}/pixmaps/backgrounds
%dir %{_datadir}/pixmaps/backgrounds/gnome
%{_datadir}/pixmaps/backgrounds/gnome/background-default.jpg

%files -n %{lib_name}
%{_libdir}/libgnome-%{api_version}.so.%{lib_major}{,.*}

%files -n %develname
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so

%files schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_accessibility_keyboard.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_accessibility_startup.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_applications_at_mobility.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_applications_at_visual.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_applications_browser.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_applications_office.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_applications_terminal.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_applications_window_manager.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_background.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_file_views.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_interface.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_lockdown.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_peripherals_keyboard.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_peripherals_mouse.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_sound.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_thumbnail_cache.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_thumbnailers.schemas 
%{_sysconfdir}/gconf/schemas/desktop_gnome_typing_break.schemas
