%define major 8
%define gi_version 3.0
%define libname	%mklibname gnomekbd  %{major}
%define giname %mklibname gnomekbd-gir %{gi_version}
%define libnamedev %mklibname -d gnomekbd

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}


Summary:		GNOME keyboard libraries
Name:			libgnomekbd
Version:		3.28.1
Release:		%mkrel 1
Source0:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:		LGPLv2+
Group:			System/Libraries
Url:			https://www.gnome.org/
BuildRequires:		gettext-devel
BuildRequires:		pkgconfig(gdk-3.0) >= 2.91.7
BuildRequires:		pkgconfig(gio-2.0) >= 2.18
BuildRequires:		pkgconfig(glib-2.0) >= 2.18
BuildRequires:		pkgconfig(gtk+-3.0) >= 2.90
BuildRequires:		pkgconfig(libxklavier) >= 5.1
BuildRequires:		pkgconfig(gobject-introspection-1.0) >= 0.6.7
BuildRequires:		meson

%description
GNOME keyboard indicator plugin

#--------------------------------------------------------------------

%package common
Summary:		Files used by GNOME keyboard libraries
Group:			%{group}
Conflicts:		%{name} < 2.1.90-2mdv
Conflicts:		gnome-control-center < 2.18.0
Obsoletes:		libgnomekbd < 3.4.0

%description common
Files used by GNOME keyboard library

#--------------------------------------------------------------------

%package -n %{libname}
Summary:		Dynamic libraries for GNOME applications
Group:			%{group}
Requires:		%{name}-common >= %{version}

%description -n %{libname}
GNOME keyboard library

#--------------------------------------------------------------------

%package -n %{giname}
Summary:		GObject Introspection interface library for %{name}
Group:			System/Libraries
Requires:		%{libname} = %{version}-%{release}

%description -n %{giname}
GObject Introspection interface library for %{name}.

#--------------------------------------------------------------------

%package -n %{libnamedev}
Summary:		Static libraries, include files for GNOME
Group:			Development/GNOME and GTK+
Provides:		%{name}-devel = %{version}-%{release}
Requires:		%{libname} = %{version}
Requires:		%{giname} = %{version}
Obsoletes:		%mklibname -d gnomekbd 1

%description -n %{libnamedev}
Static library and headers file needed in order to develop
applications using the GNOME keyboard library

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%meson
%meson_build


%install
%meson_install

%find_lang %{name}

%files common -f %name.lang
%doc NEWS ChangeLog
%{_datadir}/glib-2.0/schemas/org.gnome.libgnomekbd*.gschema.xml
%{_bindir}/gkbd-keyboard-display
%{_datadir}/GConf/gsettings/libgnomekbd.convert
%{_datadir}/applications/gkbd-keyboard-display.desktop
%{_datadir}/libgnomekbd/

%files -n %{libname}
%{_libdir}/libgnomekbd*.so.%{major}{,.*}

%files -n %{giname}
%{_libdir}/girepository-1.0/Gkbd-%{gi_version}.typelib

%files -n %{libnamedev}
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so 
%{_datadir}/gir-1.0/Gkbd-3.0.gir

