%define major			6
%define major_port		12
%define libname			%mklibname gphoto 2 %{major}
%define libgphotoportname	%mklibname gphoto2_port %{major_port}
%define develname		%mklibname gphoto -d

%define url_ver			%(echo %{version}|tr . _)

%define extraversion %{nil}

Summary:	Library to access digital cameras
Name:		libgphoto
Version:	2.5.31
Release:	%mkrel 3
License:	LGPL+ and GPLv2 and (LGPL+ or BSD-like)
Group:		System/Libraries
URL:		https://github.com/gphoto/libgphoto2
Source0:	https://github.com/gphoto/libgphoto2/releases/download/v%{version}/libgphoto2-%{version}.tar.bz2
# Upstream fix for GCC 14
Patch3:		gphoto2-gcc14.patch
BuildRequires:	doxygen
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(lockdev)
BuildRequires:	libltdl-devel
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(gdlib)

%description
The gPhoto2 project is a universal, free application and library
framework that lets you download images from several different
digital camera models, including the newer models with USB
connections. Note that
a) for some older camera models you must use the old "gphoto" package.
b) for USB mass storage models you must use the driver in the kernel

This package contains the library that digital camera applications
can use.

Frontends (GUI and command line) are available separately.

%package -n	%{libname}
Summary:	Library to access to digital cameras
Group:		System/Libraries
Requires:	%{name}-common = %{version}-%{release}
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
This library contains all the functionality to access to modern digital
cameras via USB or the serial port.

%package -n	%{libgphotoportname}
Summary:	Library for easy access to digital cameras
Group:		System/Libraries
Conflicts:	%mklibname gphoto 6

%description -n	%{libgphotoportname}
This library contains all the functionality to access to modern digital
cameras via USB or the serial port.

%package	common
Summary:	Non-library files for the "%{libname}" library
Group:		System/Base

%description	common
Non-library files for the "%{libname}" library

%package -n 	%{develname}
Summary:	Headers and links to compile against the "%{libname}" library
Group:		Development/C
Requires:	%{libname} >= %{version}
Requires:	%{libgphotoportname} >= %{version}
Requires:	libexif-devel
Requires:	multiarch-utils
Provides:	%{name}-devel = %{version}-%{release}
Provides:	gphoto2-devel = %{version}-%{release}

%description -n	%{develname}
This package contains all files which one needs to compile programs using
the "%{libname}" library.

%prep
%autosetup -p1 -n libgphoto2-%{version}

%build
autoreconf -vfi
export udevscriptdir=%{_prefix}/lib/udev
%configure \
    --disable-rpath \
    --disable-resmgr \
    --disable-baudboy \
    --disable-ttylock \
    --disable-static
%make_build

%install
%make_install

# obsolete with recent udev or hal
rm -f %{buildroot}%{_prefix}/lib/udev/check-ptp-camera \
      %{buildroot}%{_prefix}/lib/udev/check-mtp-device

# Fix up libtool libraries.
find %{buildroot} -name '*.la' -delete

# # Output udev rules for device identification; this is used by GVfs gphoto2
# backend and others.
#
# Btw, since it's %%{_prefix}/lib/udev, never e.g. %%{_prefix}/lib64/udev, we hardcode the path
#
mkdir -p %{buildroot}%{_udevrulesdir}
LD_LIBRARY_PATH=%{buildroot}/%{_libdir} CAMLIBS=%{buildroot}/%{_libdir}/libgphoto2/%{version} %{buildroot}%{_libdir}/libgphoto2/print-camera-list udev-rules version 175 > %{buildroot}%{_udevrulesdir}/40-libgphoto2.rules


%find_lang libgphoto2-%{major}
%find_lang libgphoto2_port-%{major_port}
cat libgphoto2-%{major}.lang libgphoto2_port-%{major_port}.lang > %{name}.lang

# Multiarch setup
%multiarch_binaries %buildroot%{_bindir}/gphoto2-config
%multiarch_binaries %buildroot%{_bindir}/gphoto2-port-config

rm -rf %{buildroot}%{_docdir}/libgphoto2_port

%files -n %{libname}
%{_libdir}/libgphoto2.so.%{major}{,.*}

%files -n %{libgphotoportname}
%{_libdir}/libgphoto2_port.so.%{major_port}{,.*}

%files common -f %{name}.lang
%{_datadir}/libgphoto2
%{_datadir}/libgphoto2_port
%{_libdir}/libgphoto2
%{_libdir}/libgphoto2_port
%{_udevrulesdir}/40-libgphoto2.rules

%files -n %{develname}
%{_bindir}/*
%{_includedir}/gphoto2
%{_libdir}/*.so

%{_libdir}/pkgconfig/*
%{_mandir}/man3/*

%docdir %{_docdir}/%{name}2
%{_docdir}/%{name}2

%doc ABOUT-NLS ChangeLog MAINTAINERS TESTERS
