#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        This lib provides gravatar support
Name:           libgravatar
Epoch:          2
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Network)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KPim6PimCommon) >= 5.240


%description
This lib provides gravatar support.

%files -f %name.lang
%_kf6_categoriesdir/libgravatar.categories
%_kf6_categoriesdir/libgravatar.renamecategories

#--------------------------------------------------------------------

%define kpimgravatar_major 6
%define libkpimgravatar %mklibname kpim6gravatar %{kpimgravatar_major}

%package -n %libkpimgravatar
Summary:        This lib provides gravatar support
Group:          System/Libraries

Requires:       %name >= %epoch:%version

%description -n %libkpimgravatar
This lib provides gravatar support.

%files -n %libkpimgravatar
%_kf6_libdir/libKPim6Gravatar.so.%{kpimgravatar_major}{,.*}

#--------------------------------------------------------------------

%define gravatar_devel %mklibname kpim6gravatar -d

%package -n %gravatar_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkpimgravatar = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %gravatar_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %gravatar_devel
%_includedir/KPim6/Gravatar/
%_kf6_libdir/*.so
%_kf6_libdir/cmake/KPim6Gravatar/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name

