%define major 2
%define libname %mklibname gringotts %{major}
%define develname %mklibname gringotts -d

Name:           libgringotts
Version:        1.2.1
Release:        %mkrel 13
Summary:        A data encapsulation and encryption library
Group:          System/Libraries
License:        GPLv2+
Url:            http://gringotts.berlios.de/
Source0:        http://download.berlios.de/gringotts/%{name}-%{version}.tar.bz2

BuildRequires:  libmcrypt-devel
BuildRequires:  mhash-devel
BuildRequires:  pkgconfig(zlib)
BuildRequires:  bzip2-devel

%description
A small, easy-to-use, thread-safe C library originally developed for
Gringotts; its purpose is to encapsulate data (generic: ASCII but
also binary data) in an encrypted and compressed file. It uses strong
encryption algorithms, to ensure the data is as safe as possible, and
allows the user to have the complete control over all the algorithms
used in the process.

%package -n %{libname}
Summary:        A data encapsulation and encryption library
Group:          System/Libraries

%description -n %{libname}
A small, easy-to-use, thread-safe C library originally developed for
Gringotts; its purpose is to encapsulate data (generic: ASCII but
also binary data) in an encrypted and compressed file. It uses strong
encryption algorithms, to ensure the data is as safe as possible, and
allows the user to have the complete control over all the algorithms
used in the process.

%package -n %{develname}
Summary:        Development files for the libgringotts library
Group:          Development/C

Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}gringotts-static-devel < 1.2.1-9

%description -n %{develname}
This package provides development files for the libgringotts library.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

# remove installed doc files
rm -rf %{buildroot}%{_defaultdocdir}/%{name}-%{version}

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog README TODO docs/manual.htm
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{develname}
%{_includedir}/%{name}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
