%define major		18
%define libname		%mklibname gsasl %major
%define develname	%mklibname gsasl -d

Name:		libgsasl
Version:	2.2.2
Release:	%mkrel 1
Summary:	Implementation of the Simple Authentication and Security Layer framework
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.gnu.org/software/gsasl/
Source:		https://ftp.gnu.org/gnu/gsasl/gsasl-%{version}.tar.gz
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(libntlm)
BuildRequires:	pkgconfig(mit-krb5-gssapi)

%description
GNU SASL is an implementation of the Simple Authentication and
Security Layer framework and a few common SASL mechanisms. SASL
is used by network servers (e.g., IMAP, SMTP) to request
authentication from clients, and in clients to authenticate against
servers.

%files -f %name.lang
%{_bindir}/gsasl
%{_mandir}/man1/gsasl.1.*

#--------------------------------------------------------------------

%package -n %libname
Summary:	Implementation of the Simple Authentication and Security Layer framework
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %libname
GNU SASL is an implementation of the Simple Authentication and
Security Layer framework and a few common SASL mechanisms. SASL
is used by network servers (e.g., IMAP, SMTP) to request
authentication from clients, and in clients to authenticate against
servers.

%files -n %libname
%_libdir/libgsasl.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %develname
Summary:	Development files for libgsasl
Group:		Development/C
Requires:	%libname = %version
Provides:	%name-devel = %version-%release
Provides:	gsasl-devel = %version-%release

%description -n %develname
The %develname package contains libraries and header files for
developing applications that use libgsasl.

%files -n %develname
%_libdir/pkgconfig/libgsasl.pc
%_libdir/libgsasl.so
%_includedir/gsasl-version.h
%_includedir/gsasl-mech.h
%_includedir/gsasl.h
%_infodir/gsasl.info.*
%_mandir/man3/gsasl*.3*

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n gsasl-%{version}

%build
%configure --disable-static --with-gssapi-impl=mit
%make_build

%install
%make_install

%find_lang %name --all-name
