%define api_version 1
%define lib_major   114
%define lib_name    %mklibname gsf %{api_version} %{lib_major}
%define gi_name     %mklibname gsf-gir %{api_version}
%define develname   %mklibname gsf -d

%define url_ver     %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	GNOME Structured File library
Name:		libgsf
Epoch:		1
Version:	1.14.53
Release:	%mkrel 2
Group:		System/Libraries
License:	LGPLv2
URL:		https://www.gnumeric.org
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.16.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.16.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.4.16
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.6.4
BuildRequires:	gtk-doc
BuildRequires:	intltool

%description
A library for reading and writing structured files (eg MS OLE and Zip).

%package -n %{lib_name}
Summary:	GNOME Structured File library
Group:		System/Libraries
Obsoletes:	%{_lib}gsf-1_114 < %epoch:%{version}-%{release}

%description -n %{lib_name}
A library for reading and writing structured files (eg MS OLE and Zip).

%package -n %develname
Summary:	Support files necessary to compile applications with libgsf
Group:		Development/C
Requires:	%{lib_name} = %epoch:%{version}
Requires:	%{gi_name} = %epoch:%{version}
Provides:	%{name}-%{api_version}-devel = %epoch:%{version}-%{release}
Provides:	%{name}-devel = %epoch:%{version}-%{release}

%description -n %develname
Libraries, headers, and support files necessary to compile
applications using libgsf.

%package -n %{gi_name}
Summary:	GObject Introspection interface library for libgsf
Group:		System/Libraries
Conflicts:	gir-repository < 0.6.5-12.1
Requires:	%{lib_name} = %epoch:%{version}-%{release}

%description -n %{gi_name}
GObject Introspection interface library for libgsf.

%prep
%setup -q

%build
%configure --enable-gtk-doc --disable-static --enable-introspection
%make_build

%install
%make_install

# remove unpackaged files
rm -rf %{buildroot}%{_datadir}/doc/libgsf

find %{buildroot} -name '*.la' -delete

%find_lang libgsf

%files -f %{name}.lang
%doc README
%_bindir/gsf
%_bindir/gsf-vba-dump
%{_bindir}/gsf-office-thumbnailer
%{_datadir}/thumbnailers/gsf-office.thumbnailer
%{_mandir}/man1/*

%files -n %{lib_name}
%doc AUTHORS COPYING README
%{_libdir}/libgsf*-%{api_version}.so.%{lib_major}{,.*}

%files -n %develname
%doc %{_datadir}/gtk-doc/html/gsf
%{_datadir}/gir-1.0/Gsf-%{api_version}.gir
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*

%files -n %{gi_name}
%{_libdir}/girepository-1.0/Gsf-%{api_version}.typelib
