%define	major		1
%define libname		%mklibname gssglue %{major}
%define develname	%mklibname gssglue -d

Name:		libgssglue
Version:	0.9
Release:	%mkrel 1
Summary:	A mechanism-switch gssapi library
License:	BSD-like
Group:		System/Libraries
URL:		https://gitlab.com/gsasl/libgssglue/
Source0:	https://gitlab.com/gsasl/libgssglue/-/archive/%{name}-%{version}/libgssglue-%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(krb5) >= 1.3

%description
libgssglue provides a gssapi interface, but does not implement any
gssapi mechanisms itself; instead it calls other gssapi functions
(e.g., those provided by MIT Kerberos), depending on the requested
mechanism, to do the work.

%package -n	%{libname}
Summary:	A mechanism-switch gssapi library
Group:		System/Libraries

%description -n	%{libname}
libgssapi provides a gssapi interface, but does not implement any
gssapi mechanisms itself; instead it calls other gssapi functions
(e.g., those provided by MIT Kerberos), depending on the requested
mechanism, to do the work.

%package -n	%{develname}
Summary:	Static library and header files for the libgssapi library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	gssglue-devel = %{version}-%{release}

%description -n	%{develname}
libgssapi provides a gssapi interface, but does not implement any
gssapi mechanisms itself; instead it calls other gssapi functions
(e.g., those provided by MIT Kerberos), depending on the requested
mechanism, to do the work.

This package contains the static libgssapi library and its
header files.

%prep
%setup -q -n %{name}-%{name}-%{version}

%build
touch ChangeLog
autoreconf -fiv
%configure --disable-static
%make_build

%install
install -d %{buildroot}%{_sysconfdir}

%make_install

# we dont' want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc AUTHORS ChangeLog NEWS README
%license COPYING
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/gssglue/
%{_libdir}/*.so
%{_libdir}/pkgconfig/libgssglue.pc
