%define build_glade	0

%define oname	gtkmusic

%define api	0.2
%define major	0
%define gmajor	0.2
%define libname	%mklibname %{oname} %{api} %{major}
%define devname	%mklibname %{oname} -d
%define girname	%mklibname %{oname}-gir %{gmajor}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		libgtkmusic
Version:	0.21
Release:	%mkrel 1
Summary:	Widgets for displaying and interacting with musical instruments views
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		https://sourceforge.net/p/libgtkmusic/
#Url:		https://live.gnome.org/libgtkmusic
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	vala
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gee-1.0)
BuildRequires:	pkgconfig(gladeui-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)

%description
libgtkmusic is a GTK+ library that provides widgets for displaying and
interacting with musical instruments views, as well as some utility functions.
It can be used for any kind of application that needs a musical instrument
view, such as virtual guitars, note detector, guitar training and games).
Currently it supports a highly customizable guitar and a piano.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
libgtkmusic is a GTK+ library that provides widgets for displaying and
interacting with musical instruments views, as well as some utility functions.
It can be used for any kind of application that needs a musical instrument
view, such as virtual guitars, note detector, guitar training and games).
Currently it supports a highly customizable guitar and a piano.

This package contains the shared libraries for %{name}

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%if %{build_glade}
%package glade
Summary:	Glade gatalog and icons for %{name}
Group:		Development/Other

%description glade
Thi package contains the glade catalog and icons for %{name}.
%endif

%prep
%setup -q

%build
%configure \
	--disable-static \
%if !%{build_glade}
	--disable-glade \
%endif
	--enable-introspection=yes

%make LIBS="-lm"

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

#handle docs in files section
rm -rf %{buildroot}%{_defaultdocdir}

%files -n %{girname}
%{_libdir}/girepository-1.0/GtkMusic-%{gmajor}.typelib

%files -n %{libname}
%doc README AUTHORS
%{_libdir}/lib%{oname}-%{api}.so.%{major}*

%files -n %{devname}
%{_libdir}/lib%{oname}-%{api}.so
%{_libdir}/pkgconfig/%{oname}-%{api}.pc
%{_includedir}/%{oname}-%{api}/
%{_datadir}/gir-1.0/GtkMusic-%{gmajor}.gir
%{_datadir}/vala/vapi/gtkmusic-0.2.vapi

%if %{build_glade}
%files glade
%{_datadir}/glade/catalogs/gtkmusic-catalog.xml
%{_datadir}/glade/pixmaps/hicolor/*/actions/widget-gtkmusic-*.png
%endif
