%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define         pkgname        libgtop

%define         api_version    2.0
%define         lib_major      11
%define         libname        %mklibname gtop %{api_version} %{lib_major}
%define         libgirname     %mklibname gtop-gir %{api_version}
%define         libnamedev     %mklibname -d gtop %{api_version}

%define         last_abi_break_version 2.14.0

Summary:        The LibGTop library
Name:           %{pkgname}2
Version:        2.41.3
Release:        %mkrel 1
License:        GPLv2+
Group:          System/Libraries
URL:            https://www.gnome.org/
Source0:        https://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.xz
BuildRequires:  pkgconfig(glib-2.0) >= 2.6.0
BuildRequires:  pkgconfig(xau)
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 0.6.7
BuildRequires:  texinfo

%description
LibGTop is a library that fetches information about the running
system such as CPU and memory usage, active processes and more.
On Linux systems, this information is taken directly from the /proc
filesystem while on other systems a server is used to read that
information from other /dev/kmem, among others.

%package -n %{libname}
Summary:        %{summary}
Group:          System/Libraries
Provides:       %{pkgname}%{api_version} = %{version}-%{release}
Requires:       %{name} >= %{version}

%description -n %{libname}
LibGTop is a library that fetches information about the running
system such as CPU and memory usage, active processes and more.
On Linux systems, this information is taken directly from the /proc
filesystem while on other systems a server is used to read that
information from other /dev/kmem, among others.

%package -n %{libgirname}
Summary:        GObject Introspection interface description for %name
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{libgirname}
GObject Introspection interface description for %name.

%package -n %{libnamedev}
Summary:        Development files for %{pkgname}
Group:          Development/GNOME and GTK+
Provides:       %{pkgname}%{api_version}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libgirname} = %{version}-%{release}
Conflicts:      %{pkgname}%{api_version}-devel < %{last_abi_break_version}

%description -n %{libnamedev}
LibGTop is a library that fetches information about the running
system such as CPU and memory usage, active processes and more.
Install this package if you wish to develop applications that access
information on system statistics such as CPU and memory usage.

%prep
%autosetup -p1 -n %{pkgname}-%{version}

%build
%configure --disable-static
%make_build

%install
%make_install

%find_lang %{pkgname}

find %{buildroot} -name "*.la" -delete

%files -f %{pkgname}.lang
%doc NEWS README
%{_libexecdir}/libgtop_daemon2
%{_libexecdir}/libgtop_server2

%files -n %{libname}
%doc NEWS README
%{_libdir}/lib*.so.%{lib_major}{,.*}

%files -n %{libgirname}
%{_libdir}/girepository-1.0/GTop-%{api_version}.typelib

%files -n %{libnamedev}
%doc AUTHORS ChangeLog
%doc %_datadir/gtk-doc/html/*
%{_includedir}/%{pkgname}-%{api_version}
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/GTop-%{api_version}.gir
%{_infodir}/*.info*
