%bcond_with bootstrap

%define libgudev_api 1.0
%define libgudev_major 0

%define libgudev %mklibname gudev %{libgudev_api} %{libgudev_major}
%define libgudev_devel %mklibname -d gudev %{libgudev_api}
%define libgudev_gir %mklibname gudev-gir %{libgudev_api}

Summary:	GObject-based wrapper library for libudev
Name:		libgudev
Version:	238
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
Url:		https://wiki.gnome.org/Projects/libgudev
Source0:	https://download.gnome.org/sources/libgudev/%{version}/libgudev-%{version}.tar.xz
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  gtk-doc
%if %{without bootstrap}
BuildRequires:	pkgconfig(umockdev-1.0)
%endif
BuildRequires:  meson
BuildRequires:  locales-fr

%description
This library makes it much simpler to use libudev from programs
already using GObject. It also makes it possible to easily use libudev
from other programming languages, such as Javascript, because of
GObject introspection support.


%package -n %{libgudev}
Summary:       gudev library package
Group:         System/Libraries
Requires(pre): filesystem >= 2.1.9-18
Provides:      libgudev = %{version}-%{release}

%description -n %{libgudev}
This package provides the gudev shared library.

%package -n %{libgudev_gir}
Summary:       GObject Introspection interface description for GUdev
Group:         System/Libraries
Requires:      %{libgudev} = %{version}-%{release}

%description -n %{libgudev_gir}
GObject Introspection interface description for GUdev.


%package -n %{libgudev_devel}
Summary:       gudev library development files
Group:         Development/C
Requires:      %{libgudev} = %{version}-%{release}
Requires:      %{libgudev_gir} = %{version}-%{release}
Provides:      libgudev-devel = %{version}-%{release}

%description -n %{libgudev_devel}
This package provides the development files for the gudev shared library.


%prep
%autosetup -p1

%build
%meson -Dgtk_doc=true -Dtests=enabled -Dvapi=disabled
%meson_build

%install
%meson_install

%check
%meson_test

%files -n %{libgudev}
%{_libdir}/libgudev-%{libgudev_api}.so.%{libgudev_major}{,.*}

%files -n %{libgudev_gir}
%{_libdir}/girepository-1.0/GUdev-%{libgudev_api}.typelib

%files -n %{libgudev_devel}
%doc %{_datadir}/gtk-doc/html/gudev
%{_libdir}/libgudev-%{libgudev_api}.so
%{_includedir}/gudev-%{libgudev_api}
%{_libdir}/pkgconfig/gudev-%{libgudev_api}.pc
%{_datadir}/gir-1.0/GUdev-%{libgudev_api}.gir
