%global __brp_check_rpaths %{nil}
# Please keep this package in sync with FC

# (tv) temp build fix:
BuildRequires: fakeroot

%bcond_without php

# Architectures on which golang works.
#% global golang_arches aarch64 % {arm} % {ix86} x86_64
# In theory the above, in practice golang is so often broken that
# I now disable it:
%global golang_arches NONE
 
# Architectures that we run the basic sanity-check test.
#
# The full test suite is done after the package has been built.  Here
# we only do a sanity check that kernel/qemu/libvirt/appliance is not
# broken.  To perform the full test suite, see instructions here:
# https://www.redhat.com/archives/libguestfs/2015-September/msg00078.html
%if !0%{?rhel}
%global test_arches aarch64 %{power64} s390x x86_64
%else
# RHEL 9 only:
# x86-64:  "/lib64/libc.so.6: CPU ISA level is lower than required"
#          (RHBZ#1919389)
%global test_arches NONE
%endif

# Enable to run tests during check
# Default is enabled
#
%if %{defined libguestfs_runtests}
%global runtests %{libguestfs_runtests}
%else
%global runtests 0
%endif

# Note there needs to be some work done on this package.
# The problem is that the package using supermin to generate
# an image using the current cauldron build.  This can cause
# errors if the cauldron build is inconsistent, and this 
# creates a problem in that the same build will produce
# different images.
#
# What really should happen is that we should rewrite this
# so that the boot image is created when rpm is installed.

# Verify tarball signature with GPGv2.
%global verify_tarball_signature 1

# If there are patches which touch autotools files, set this to 1.
%global patches_touch_autotools %{nil}

# The source directory.
%global source_directory 1.51-development

# Filter perl provides.
%{?perl_default_filter}

# Unbreak the linker.
%define _disable_ld_no_undefined 1
 
Summary:       Access and modify virtual machine disk images
Name:          libguestfs
Epoch:         1
Version:       1.49.8
Release:       %mkrel 9
License:       LGPLv2+
Group:         System/Libraries

# Source and patches.
URL:           https://libguestfs.org/
Source0:       https://libguestfs.org/download/%{source_directory}/%{name}-%{version}.tar.gz
%if 0%{verify_tarball_signature}
Source1:       https://libguestfs.org/download/%{source_directory}/%{name}-%{version}.tar.gz.sig
%endif

# Replacement README file.
Source4:       README-replacement.in

# Guestfish colour prompts.
Source5:       guestfish.sh

# Keyring used to verify tarball signature.
%if 0%{verify_tarball_signature}
Source7:       libguestfs.keyring
%endif

# Maintainer script which helps with handling patches.
Source8:       copy-patches.sh

# END OF FEDORA PATCHES
Patch20:        libguestfs-1.37.18-mga-lua.patch

%if 0%{patches_touch_autotools}
BuildRequires: autoconf, automake, libtool, gettext-devel
%endif

# Basic build requirements.
BuildRequires: gcc, gcc-c++
BuildRequires: make
BuildRequires: rpcgen
BuildRequires: libtirpc-devel
BuildRequires: supermin-devel >= 5.1.18
BuildRequires: hivex-devel >= 1.3.10
BuildRequires: ocaml-hivex-devel
BuildRequires: perl(Pod::Simple)
BuildRequires: perl(Pod::Man)
BuildRequires: po4a
BuildRequires: augeas-devel >= 1.7.0
BuildRequires: ocaml-augeas-devel >= 0.6
BuildRequires: readline-devel
BuildRequires: xorriso
BuildRequires: libxml2-devel
BuildRequires: createrepo_c
BuildRequires: glibc-static-devel
#BuildRequires: selinux-devel
BuildRequires: fuse, fuse-devel
BuildRequires: fuse-common
BuildRequires: pcre2-devel
BuildRequires: file-devel
BuildRequires: libvirt-devel
BuildRequires: gperf
BuildRequires: flex
BuildRequires: bison
BuildRequires: rpm-devel
BuildRequires: cpio
BuildRequires: libconfig-devel
BuildRequires: xz-devel
BuildRequires: zip
BuildRequires: unzip
BuildRequires: systemd-units
BuildRequires: netpbm
BuildRequires: icoutils
BuildRequires: libvirt-utils >= 7.1.0
BuildRequires: perl(Expect)
BuildRequires: libacl-devel
BuildRequires: libcap-devel
BuildRequires: pkgconfig(ldm-1.0)
BuildRequires: jansson-devel
BuildRequires: systemd-devel
BuildRequires: bash-completion
BuildRequires: iputils
BuildRequires: wget
BuildRequires: xz
BuildRequires: zstd
BuildRequires: qemu-img
BuildRequires: magic-devel
BuildRequires: locales-fr, locales-ja, locales-zh
BuildRequires: dnf

%if 0%{verify_tarball_signature}
BuildRequires: gnupg2
%endif

# For language bindings.
BuildRequires: ocaml
BuildRequires: ocaml-ocamldoc
BuildRequires: ocaml-findlib-devel
BuildRequires: ocaml-ounit-devel
BuildRequires: pkgconfig(lua)
BuildRequires: perl-devel
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.00
BuildRequires: perl(Test::Pod::Coverage) >= 1.00
BuildRequires: perl(Module::Build)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Locale::TextDomain)
BuildRequires: python3-devel
BuildRequires: python3-libvirt
BuildRequires: ruby-devel
BuildRequires: ruby-rake
# json is not pulled in automatically, see RHBZ#1325022
BuildRequires: rubygem(json)
BuildRequires: rubygem(rdoc)
BuildRequires: rubygem(test-unit)
BuildRequires: ruby-irb
%if %with php
BuildRequires: php-devel
BuildRequires: php-cli
%endif
BuildRequires: gobject-introspection-devel
BuildRequires: gjs
BuildRequires: vala
# (tv) for vapigen:
BuildRequires: pkgconfig(vapigen)
%ifarch %{golang_arches}
BuildRequires: golang
%endif

# Build requirements for the appliance.
#
# Get the initial list by doing:
#   for f in `cat appliance/packagelist`; do echo $f; done | sort -u
# However you have to edit the list down to packages which exist in
# current Fedora, since supermin ignores non-existent packages.
BuildRequires: acl
BuildRequires: attr
BuildRequires: augeas
BuildRequires: bash
BuildRequires: binutils
BuildRequires: btrfs-progs
BuildRequires: bzip2
BuildRequires: coreutils
BuildRequires: cpio
BuildRequires: cryptsetup
BuildRequires: dhcp-client
BuildRequires: diffutils
BuildRequires: dosfstools
BuildRequires: e2fsprogs
BuildRequires: file
BuildRequires: findutils
BuildRequires: gawk
BuildRequires: gdisk
%if !0%{?rhel}
BuildRequires: gfs2-utils
%endif
BuildRequires: grep
BuildRequires: gzip
BuildRequires: hfsplus-tools
BuildRequires: hivex
BuildRequires: iproute
BuildRequires: iputils
BuildRequires: kernel
BuildRequires: kmod
BuildRequires: less
BuildRequires: libldm
BuildRequires: libxml2-utils
BuildRequires: lsof
BuildRequires: lsscsi
BuildRequires: lvm2
BuildRequires: lzop
BuildRequires: mdadm
BuildRequires: ntfs-3g ntfsprogs ntfs-3g-system-compression
BuildRequires: openssh-clients
BuildRequires: parted
BuildRequires: pciutils
BuildRequires: pcre2-tools
BuildRequires: procps
BuildRequires: psmisc
BuildRequires: rpm-libs
BuildRequires: rsync
BuildRequires: scrub
BuildRequires: sed
BuildRequires: sleuthkit
BuildRequires: squashfs-tools
BuildRequires: strace
%ifarch %{ix86} x86_64
BuildRequires: syslinux
%endif
BuildRequires: systemd
BuildRequires: tar
BuildRequires: udev
BuildRequires: util-linux
BuildRequires: vim-minimal
BuildRequires: xfsprogs
BuildRequires: xz
BuildRequires: yajl
BuildRequires: zerofree
%ifnarch %{arm} aarch64 s390 s390x riscv64
# http://zfs-fuse.net/issues/94
BuildRequires: zfs-fuse
%endif

# For building the appliance.
Requires:      supermin >= 5.1.18

# The daemon dependencies are not included automatically, because it
# is buried inside the appliance, so list them here.
Requires:      hivex%{?_isa} >= 1.3.10
Requires: pcre
Requires:      rpm-libs%{?_isa}
#Requires: libselinux-utils
Requires: yajl

# For core mount-local (FUSE) API.
Requires:      fuse

# For core APIs:
Requires:      qemu-img
Requires:      coreutils
Requires:      grep
Requires:      tar

# libguestfs-make-fixed-appliance requires xz.
Requires:      xz

# For qemu direct and libvirt backends.
Requires:      qemu-kvm
Requires:      qemu

%if %{runtests}
BuildRequires: ruby-test-unit
%endif
BuildRequires: zstd

# For guestfish.
#Requires:      emacs #theoretically, but too large
Requires:      hexedit
Requires:      less
Requires:      man
Requires:      vi
 
%description
Libguestfs is a library for accessing and modifying virtual machine
disk images.  https://libguestfs.org/

Libguestfs uses Linux kernel and qemu code, and can access any type of
guest filesystem that Linux and qemu can, including but not limited
to: ext2/3/4, btrfs, FAT and NTFS, LVM, many different disk partition
schemes, qcow, qcow2, vmdk.

For enhanced features, install:

     libguestfs-forensics  adds filesystem forensics support
          libguestfs-gfs2  adds Global Filesystem (GFS2) support
       libguestfs-hfsplus  adds HFS+ (Mac filesystem) support
 libguestfs-inspect-icons  adds support for inspecting guest icons
        libguestfs-rescue  enhances virt-rescue shell with more tools
         libguestfs-rsync  rsync to/from guest filesystems
           libguestfs-ufs  adds UFS (BSD) support
           libguestfs-xfs  adds XFS support
           libguestfs-zfs  adds ZFS support

For developers:

         libguestfs-devel  C/C++ header files and library

Language bindings:

 libguestfs-gobject-devel  GObject bindings and GObject Introspection
%ifarch %{golang_arches}
           golang-guestfs  Go language bindings
%endif
              lua-guestfs  Lua bindings
   ocaml-libguestfs-devel  OCaml bindings
         perl-Sys-Guestfs  Perl bindings
           php-libguestfs  PHP bindings
       python3-libguestfs  Python 3 bindings
          ruby-libguestfs  Ruby bindings
          libguestfs-vala  Vala language bindings


%package devel
Summary:       Development tools and libraries for %{name}
Group:         System/Libraries
Requires:      %{name}%{?_isa} = %{epoch}:%{version}-%{release}
Requires:      pkgconfig

%description devel
%{name}-devel contains development tools and libraries
for %{name}.


%package forensics
Summary:       Filesystem forensics support for %{name}
License:       LGPLv2+
Group:         Development/Tools
Requires:      %{name}%{?_isa} = %{epoch}:%{version}-%{release}


%description forensics
This adds filesystem forensics support to %{name}.  Install it if you
want to forensically analyze disk images using The Sleuth Kit.


%if !0%{?rhel}
%package gfs2
Summary:       GFS2 support for %{name}
License:       GPL-2.0-or-later
Requires:      %{name}%{?_isa} = %{epoch}:%{version}-%{release}

%description gfs2
This adds GFS2 support to %{name}.  Install it if you want to process
disk images containing GFS2.
%endif


%ifnarch ppc
%package hfsplus
Summary:       HFS+ support for %{name}
License:       GPL-2.0-or-later
Requires:      %{name}%{?_isa} = %{epoch}:%{version}-%{release}

%description hfsplus
This adds HFS+ support to %{name}.  Install it if you want to process
disk images containing HFS+ / Mac OS Extended filesystems.
%endif


%package rescue
Summary:       virt-rescue shell
License:       GPL-2.0-or-later
Requires:      %{name}%{?_isa} = %{epoch}:%{version}-%{release}

%description rescue
This adds the virt-rescue shell which is a "rescue disk" for virtual
machines, and additional tools to use inside the shell such as ssh,
network utilities, editors and debugging utilities.


%package rsync
Summary:       rsync support for %{name}
License:       GPL-2.0-or-later
Requires:      %{name}%{?_isa} = %{epoch}:%{version}-%{release}

%description rsync
This adds rsync support to %{name}.  Install it if you want to use
rsync to upload or download files into disk images.


%package ufs
Summary:       UFS (BSD) support for %{name}
License:       GPL-2.0-or-later
Requires:      %{name}%{?_isa} = %{epoch}:%{version}-%{release}

%description ufs
This adds UFS support to %{name}.  Install it if you want to process
disk images containing UFS (BSD filesystems).


%package xfs
Summary:       XFS support for %{name}
License:       GPL-2.0-or-later
Requires:      %{name}%{?_isa} = %{epoch}:%{version}-%{release}

%description xfs
This adds XFS support to %{name}.  Install it if you want to process
disk images containing XFS.


%ifnarch %{arm} aarch64 s390 s390x riscv64
%package zfs
Summary:       ZFS support for %{name}
License:       GPL-2.0-or-later
Requires:      %{name}%{?_isa} = %{epoch}:%{version}-%{release}

%description zfs
This adds ZFS support to %{name}.  Install it if you want to process
disk images containing ZFS.
%endif


%package inspect-icons
Summary:       Additional dependencies for inspecting guest icons
License:       LGPL-2.1-or-later
BuildArch:     noarch
Requires:      %{name} = %{epoch}:%{version}-%{release}

Requires:      netpbm
Requires:      icoutils


%description inspect-icons
%{name}-inspect-icons is a metapackage that pulls in additional
dependencies required by libguestfs to pull icons out of non-Linux
guests.  Install this package if you want libguestfs to be able to
inspect non-Linux guests and display icons from them.

The only reason this is a separate package is to avoid core libguestfs
having to depend on Perl.  See https://bugzilla.redhat.com/1194158


%package bash-completion
Summary:       Bash tab-completion scripts for %{name} tools
License:       GPL-2.0-or-later
BuildArch:     noarch
Requires:      bash-completion >= 2.0


%description bash-completion
Install this package if you want intelligent bash tab-completion
for guestfish, guestmount and various virt-* tools.


%package -n ocaml-%{name}
Summary:       OCaml bindings for %{name}
Group:         Development/OCaml
Requires:      %{name}%{?_isa} = %{epoch}:%{version}-%{release}


%description -n ocaml-%{name}
ocaml-%{name} contains OCaml bindings for %{name}.

This is for toplevel and scripting access only.  To compile OCaml
programs which use %{name} you will also need ocaml-%{name}-devel.


%package -n ocaml-%{name}-devel
Summary:       OCaml bindings for %{name}
Group:         Development/OCaml
Requires:      ocaml-%{name}%{?_isa} = %{epoch}:%{version}-%{release}


%description -n ocaml-%{name}-devel
ocaml-%{name}-devel contains development libraries
required to use the OCaml bindings for %{name}.


%package -n perl-Sys-Guestfs
Summary:       Perl bindings for %{name} (Sys::Guestfs)
Group:         Development/Perl
Requires:      %{name}%{?_isa} = %{epoch}:%{version}-%{release}
Requires:      perl


%description -n perl-Sys-Guestfs
perl-Sys-Guestfs contains Perl bindings for %{name} (Sys::Guestfs).


%package -n python3-%{name}
Summary:       Python 3 bindings for %{name}
Requires:      %{name}%{?_isa} = %{epoch}:%{version}-%{release}
%{?python_provide:%python_provide python3-%{name}}


%description -n python3-%{name}
python3-%{name} contains Python 3 bindings for %{name}.
 

%package -n ruby-%{name}
Summary:       Ruby bindings for %{name}
Group:         Development/Ruby
Requires:      %{name}%{?_isa} = %{epoch}:%{version}-%{release}
Requires:      ruby(release)
Requires:      ruby
Provides:      ruby(guestfs) = %{version}

%description -n ruby-%{name}
ruby-%{name} contains Ruby bindings for %{name}.

%if %with php
%package -n php-%{name}
Summary:       PHP bindings for %{name}
Group:         Development/PHP
Requires:      %{name}%{?_isa} = %{epoch}:%{version}-%{release}
Requires:      php

%description -n php-%{name}
php-%{name} contains PHP bindings for %{name}.
%endif

%package -n lua-guestfs
Summary:       Lua bindings for %{name}
Group:         Development/Other
Requires:      %{name}%{?_isa} = %{epoch}:%{version}-%{release}
Requires:      lua%{lua_version}

%description -n lua-guestfs
lua-guestfs contains Lua bindings for %{name}.


%package gobject
Summary:       GObject bindings for %{name}
Group:         Development/Other
Requires:      %{name}%{?_isa} = %{epoch}:%{version}-%{release}

%description gobject
%{name}-gobject contains GObject bindings for %{name}.

To develop software against these bindings, you need to install
%{name}-gobject-devel.


%package gobject-devel
Summary:       GObject bindings for %{name}
Group:         Development/C
Requires:      %{name}-gobject = %{epoch}:%{version}-%{release}

%description gobject-devel
%{name}-gobject contains GObject bindings for %{name}.

This package is needed if you want to write software using the
GObject bindings.  It also contains GObject Introspection information.


%package vala
Summary:       Vala for %{name}
Requires:      %{name}-devel%{?_isa} = %{epoch}:%{version}-%{release}
Requires:      vala


%description vala
%{name}-vala contains GObject bindings for %{name}.



%ifarch %{golang_arches}
%package -n golang-guestfs
Summary:       Golang bindings for %{name}
Group:         Development/Other
BuildArch:     noarch
Requires:      %{name} = %{epoch}:%{version}-%{release}
Requires:      golang
Provides:      golang(libguestfs.org) = %{epoch}:%{version}-%{release}

%description -n golang-guestfs
golang-%{name} contains Go language bindings for %{name}.
%endif


%package man-pages-ja
Summary:       Japanese (ja) man pages for %{name}
License:       GPL-2.0-or-later
BuildArch:     noarch
Requires:      %{name} = %{epoch}:%{version}-%{release}

%description man-pages-ja
%{name}-man-pages-ja contains Japanese (ja) man pages
for %{name}.


%package man-pages-uk
Summary:       Ukrainian (uk) man pages for %{name}
License:       GPL-2.0-or-later
BuildArch:     noarch
Requires:      %{name} = %{epoch}:%{version}-%{release}

%description man-pages-uk
%{name}-man-pages-uk contains Ukrainian (uk) man pages
for %{name}.


%prep
%if 0%{verify_tarball_signature}
%{gpgverify} --keyring='%{SOURCE7}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%endif
%setup -q
%autopatch -p1

%if 0%{patches_touch_autotools}
sed -i -e '/AM_GNU_GETTEXT/d' m4/guestfs-libraries.m4
sed -i -e 's/\(AM_INIT_AUTOMAKE.*\)/\1\nAM_GNU_GETTEXT([external])\nAM_GNU_GETTEXT_REQUIRE_VERSION([0.21])/' configure.ac
autoreconf -fi
%endif

# Replace developer-centric README that ships with libguestfs, with
# our replacement file.
mv README README.orig
sed 's/@VERSION@/%{version}/g' < %{SOURCE4} > README
sed -i 's!Fedora!Mageia!' README


%build
# (tv) fix '*** Error: Unknown Linux distribution "MANDRIVA FEDORA".  Please add support to m4/guestfs-appliance.m4 and appliance/Makefile.am and send a patch…':
extra="--with-distro=MAGEIA"
%{configure} \
  PYTHON=%{__python3} \
  --with-default-backend=libvirt \
  --enable-appliance-format-auto \
  --with-extra="mageia=%{mageia},release=%{release},libvirt" \
%ifnarch %{golang_arches}
  --disable-golang \
%endif 
%ifarch %{arm}
  --disable-haskell \
%endif
  --without-java \
  --disable-erlang \
  $extra

# 'INSTALLDIRS' ensures that Perl and Ruby libs are installed in the
# vendor dir not the site dir.
make V=1 INSTALLDIRS=vendor %{?_smp_mflags}


%check
%if %{runtests}
%ifarch %{test_arches}
# Only run the tests with non-debug (ie. non-Rawhide) kernels.
# XXX This tests for any debug kernel installed.
if grep CONFIG_DEBUG_MUTEXES=y /lib/modules/*/config ; then
    echo "Skipping tests because debug kernel is installed"
    exit 0
fi

export LIBGUESTFS_DEBUG=1
export LIBGUESTFS_TRACE=1
export LIBVIRT_DEBUG=1

if ! make quickcheck QUICKCHECK_TEST_TOOL_ARGS="-t 1200"; then
    cat $HOME/.cache/libvirt/qemu/log/*
    exit 1
fi
%endif
%endif


%install
# 'INSTALLDIRS' ensures that Perl and Ruby libs are installed in the
# vendor dir not the site dir.
make DESTDIR=$RPM_BUILD_ROOT INSTALLDIRS=vendor install

# Delete static libraries.
rm $( find $RPM_BUILD_ROOT -name '*.a' | grep -v /ocaml/ )

# Delete libtool files.
find $RPM_BUILD_ROOT -name '*.la' -delete

# Delete some bogus Perl files.
find $RPM_BUILD_ROOT -name perllocal.pod -delete
find $RPM_BUILD_ROOT -name .packlist -delete
find $RPM_BUILD_ROOT -name '*.bs' -delete
find $RPM_BUILD_ROOT -name 'bindtests.pl' -delete

# golang: Ignore what libguestfs upstream installs, and just copy the
# source files to %%{_datadir}/gocode/src.
%ifarch %{golang_arches}
rm -r $RPM_BUILD_ROOT/usr/lib/golang
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gocode/src
cp -a golang/src/libguestfs.org $RPM_BUILD_ROOT%{_datadir}/gocode/src
%endif

# Split up the monolithic packages file in the supermin appliance so
# we can install dependencies in subpackages.
pushd $RPM_BUILD_ROOT%{_libdir}/guestfs/supermin.d

function remove
{
    grep -Ev "^$1$" < packages > packages-t
    mv packages-t packages
}

function move_to
{
    if ! grep -Esq "^$1$" packages; then
        echo "move_to $1: package name not found in packages file"
        exit 1
    fi
    remove "$1"
    echo "$1" >> "$2"
}
move_to sleuthkit       zz-packages-forensics
move_to gfs2-utils      zz-packages-gfs2
move_to hfsplus-tools   zz-packages-hfsplus
move_to iputils         zz-packages-rescue
move_to lsof            zz-packages-rescue
move_to openssh-clients zz-packages-rescue
move_to pciutils        zz-packages-rescue
move_to strace          zz-packages-rescue
move_to vim-minimal     zz-packages-rescue
move_to rsync           zz-packages-rsync
move_to xfsprogs        zz-packages-xfs
%ifnarch %{arm} aarch64 s390 s390x riscv64
#move_to zfs-fuse        zz-packages-zfs
%endif
popd

# Guestfish colour prompts.
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
install -m 0644 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d

# Remove the .gitignore file from ocaml/html which will be copied to docdir.
rm -f ocaml/html/.gitignore


# Find locale files.
%find_lang %{name}

%files -f %{name}.lang
%doc COPYING README
%{_bindir}/guestfish
%{_bindir}/guestmount
%{_bindir}/guestunmount
%{_bindir}/libguestfs-test-tool
%{_bindir}/virt-copy-in
%{_bindir}/virt-copy-out
%{_bindir}/virt-tar-in
%{_bindir}/virt-tar-out
%{_sbindir}/libguestfs-make-fixed-appliance
%{_libdir}/guestfs/
%exclude %{_libdir}/guestfs/supermin.d/zz-packages-*
%{_libdir}/libguestfs.so.*
%{_mandir}/man1/guestfish.1*
%{_mandir}/man1/guestfs-faq.1*
%{_mandir}/man1/guestfs-performance.1*
%{_mandir}/man1/guestfs-recipes.1*
%{_mandir}/man1/guestfs-release-notes-1*.1*
%{_mandir}/man1/guestfs-release-notes.1*
%{_mandir}/man1/guestfs-security.1*
%{_mandir}/man1/guestmount.1*
%{_mandir}/man1/guestunmount.1*
%{_mandir}/man1/libguestfs-make-fixed-appliance.1*
%{_mandir}/man1/libguestfs-test-tool.1*
%{_mandir}/man1/virt-copy-in.1*
%{_mandir}/man1/virt-copy-out.1*
%{_mandir}/man1/virt-tar-in.1*
%{_mandir}/man1/virt-tar-out.1*
%{_mandir}/man5/libguestfs-tools.conf.5*
%config %{_sysconfdir}/profile.d/guestfish.sh
%config(noreplace) %{_sysconfdir}/libguestfs-tools.conf


%files devel
%doc AUTHORS HACKING TODO README
%doc examples/*.c
%{_libdir}/libguestfs.so
%{_mandir}/man1/guestfs-building.1*
%{_mandir}/man1/guestfs-hacking.1*
%{_mandir}/man1/guestfs-internals.1*
%{_mandir}/man1/guestfs-testing.1*
%{_mandir}/man3/guestfs.3*
%{_mandir}/man3/guestfs-examples.3*
%{_mandir}/man3/libguestfs.3*
%{_includedir}/guestfs.h
%{_libdir}/pkgconfig/libguestfs.pc

%files forensics
%{_libdir}/guestfs/supermin.d/zz-packages-forensics

%if !0%{?rhel}
%files gfs2
%{_libdir}/guestfs/supermin.d/zz-packages-gfs2
%endif

%ifnarch ppc
%files hfsplus
%{_libdir}/guestfs/supermin.d/zz-packages-hfsplus
%endif

%files rsync
%{_libdir}/guestfs/supermin.d/zz-packages-rsync

%files rescue
%{_libdir}/guestfs/supermin.d/zz-packages-rescue
%{_bindir}/virt-rescue
%{_mandir}/man1/virt-rescue.1*

%files ufs
#{_libdir}/guestfs/supermin.d/zz-packages-ufs

%files xfs
%{_libdir}/guestfs/supermin.d/zz-packages-xfs

%ifnarch %{arm} aarch64 s390 s390x riscv64
%files zfs
#{_libdir}/guestfs/supermin.d/zz-packages-zfs
%endif


%files inspect-icons
# no files


%files bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/guestfish
%{_datadir}/bash-completion/completions/guestmount
%{_datadir}/bash-completion/completions/guestunmount
%{_datadir}/bash-completion/completions/libguestfs-test-tool
%{_datadir}/bash-completion/completions/virt-copy-in
%{_datadir}/bash-completion/completions/virt-copy-out
%{_datadir}/bash-completion/completions/virt-rescue
%{_datadir}/bash-completion/completions/virt-tar-in
%{_datadir}/bash-completion/completions/virt-tar-out
 

%files -n ocaml-%{name}
%{_libdir}/ocaml/guestfs
%exclude %{_libdir}/ocaml/guestfs/*.a
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/guestfs/*.cmxa
%exclude %{_libdir}/ocaml/guestfs/*.cmx
%endif
%exclude %{_libdir}/ocaml/guestfs/*.mli
%{_libdir}/ocaml/stublibs/dllmlguestfs.so
%{_libdir}/ocaml/stublibs/dllmlguestfs.so.owner

%files -n ocaml-%{name}-devel
%doc ocaml/examples/*.ml ocaml/html
%{_libdir}/ocaml/guestfs/*.a
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/guestfs/*.cmxa
%{_libdir}/ocaml/guestfs/*.cmx
%endif
%{_libdir}/ocaml/guestfs/*.mli
%{_mandir}/man3/guestfs-ocaml.3*

%files -n perl-Sys-Guestfs
%doc perl/examples/*.pl
%{perl_vendorarch}/*
%{_mandir}/man3/Sys::Guestfs.3pm*
%{_mandir}/man3/guestfs-perl.3*

%files -n python3-%{name}
%doc python/examples/*.py
%{python3_sitearch}/libguestfsmod*.so
%{python3_sitearch}/guestfs.py
%{python3_sitearch}/__pycache__/guestfs*.py*
%{_mandir}/man3/guestfs-python.3*


%files -n ruby-%{name}
%doc ruby/examples/*.rb
%doc ruby/doc/site/*
%{ruby_vendorlibdir}/guestfs.rb
%{ruby_vendorarchdir}/_guestfs.so
%{_mandir}/man3/guestfs-ruby.3*

%if %with php
%files -n php-%{name}
%doc php/README-PHP
%dir %{_sysconfdir}/php.d
%{_sysconfdir}/php.d/guestfs_php.ini
%{_libdir}/php/*/extensions/guestfs_php.so
%endif

%files -n lua-guestfs
%doc lua/examples/*.lua
%doc lua/examples/LICENSE
%{lua_libdir}/guestfs.so
%{_mandir}/man3/guestfs-lua.3*

%files gobject
%{_libdir}/libguestfs-gobject-1.0.so.0*
%{_libdir}/girepository-1.0/Guestfs-1.0.typelib

%files gobject-devel
%{_libdir}/libguestfs-gobject-1.0.so
%{_includedir}/guestfs-gobject.h
%dir %{_includedir}/guestfs-gobject
%{_includedir}/guestfs-gobject/*.h
%{_datadir}/gir-1.0/Guestfs-1.0.gir
%{_libdir}/pkgconfig/libguestfs-gobject-1.0.pc
%{_mandir}/man3/guestfs-gobject.3*

%files vala
%{_datadir}/vala/vapi/libguestfs-gobject-1.0.deps
%{_datadir}/vala/vapi/libguestfs-gobject-1.0.vapi


%ifarch %{golang_arches}
%files -n golang-guestfs
%doc golang/examples/*.go
%doc golang/examples/LICENSE
%{_datadir}/gocode/src/libguestfs.org
%{_mandir}/man3/guestfs-golang.3*
%endif

%files man-pages-ja
%lang(ja) %{_mandir}/ja/man1/*.1*
%lang(ja) %{_mandir}/ja/man3/*.3*
%lang(ja) %{_mandir}/ja/man5/*.5*


%files man-pages-uk
%lang(uk) %{_mandir}/uk/man1/*.1*
%lang(uk) %{_mandir}/uk/man3/*.3*
%lang(uk) %{_mandir}/uk/man5/*.5*
