%define oname	gusb

%define major	2
%define girapi	1.0
%define libname	%mklibname %{oname} %{major}
%define girname	%mklibname %{oname}-gir %{girapi}
%define devname	%mklibname %{oname} -d

Summary:	GLib wrapper around libusb1
Name:		libgusb
Version:	0.4.9
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		https://gitorious.org/gusb/
Source0:	https://github.com/hughsie/libgusb/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libusb-1.0) >= 1.0.0
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(umockdev-1.0)
BuildRequires:	gi-docgen
BuildRequires:	vala-devel
BuildRequires:	vala-tools
BuildRequires:	meson
BuildRequires:	ninja

%description
GUsb is a GObject wrapper for libusb1 that makes it easy to do
asynchronous control, bulk and interrupt transfers with proper
cancellation and integration into a main-loop.

%package -n %{libname}
Summary:	GLib wrapper around libusb1
Group:		System/Libraries

%description -n %{libname}
GUsb is a GObject wrapper for libusb1 that makes it easy to do
asynchronous control, bulk and interrupt transfers with proper
cancellation and integration into a main-loop.

%package -n	%{girname}
Summary:	GObject Introspection interface library for %{name}
Group:		System/Libraries

%description -n	%{girname}
GObject Introspection interface library for %{name}.

%package -n %{devname}
Summary:	Development libraries and headers for %{oname}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{oname}.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install -C build

%files -n %{libname}
%doc README.md AUTHORS NEWS
%license COPYING
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GUsb-%{girapi}.typelib

%files -n%{devname}
%doc %{_datadir}/doc/%{name}
%{_includedir}/%{oname}-1
%{_bindir}/gusbcmd
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{oname}.pc
%{_datadir}/gir-1.0/GUsb-%{girapi}.gir
%{_datadir}/vala/vapi/gusb.*
