%global api	4
%global major	0
%global gmajor	4.0
%define libname %mklibname gweather %{api} %{major}
%define girname	%mklibname gweather-gir %{gmajor}
%define devname %mklibname gweather %{api} -d

%global tarball_version %%(echo %{version} | tr '~' '.')

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:           libgweather4
Version:        4.4.4
Release:        %mkrel 2
Summary:        A library for weather information
Group:          Graphical desktop/GNOME

License:        GPLv2+
URL:            https://wiki.gnome.org/Projects/LibGWeather
Source0:        https://download.gnome.org/sources/libgweather/%{url_ver}/libgweather-%{tarball_version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  gi-docgen
BuildRequires:  meson
BuildRequires:  pkgconfig(geocode-glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(libsoup-3.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:  python3-gobject-base

%description
libgweather is a library to access weather information from online
services for numerous locations.

%package        -n %{libname}
Summary:        Library for %{name}
Requires:       %{name} >= %{version}-%{release}

%description    -n %{libname}
The %{libname} package contains libraries for applications that use
%{name}.

%package        -n %{girname}
Summary:        GObject Introspection interface description for GWeather
Requires:       %{libname} = %{version}-%{release}
Conflicts:      %{name} < 4.1.1

%description	-n %{girname}
GObject Introspection interface description for GWeather.

%package        -n %{devname}
Summary:        Development files for %{name}
Requires:       %{libname} = %{version}-%{release}
Requires:       %{girname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{_lib}gweather4-devel-doc < 4.1.1

%description    -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1 -n libgweather-%{tarball_version}

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

%find_lang %{name} --all-name

%files -f %{name}.lang
%doc CONTRIBUTING.md NEWS README.md
%license COPYING
%dir %{_libdir}/libgweather-%{api}/
%{_libdir}/libgweather-%{api}/Locations.bin
%dir %{_datadir}/libgweather-%{api}/
%{_datadir}/libgweather-%{api}/Locations.xml
%{_datadir}/libgweather-%{api}/locations.dtd
%{_datadir}/glib-2.0/schemas/org.gnome.GWeather%{api}.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.GWeather%{api}.gschema.xml

%files -n %{libname}
%{_libdir}/libgweather-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GWeather-%{gmajor}.typelib

%files -n %{devname}
%doc %{_docdir}/libgweather-%{gmajor}/
%{_includedir}/libgweather-%{gmajor}/
%{_libdir}/libgweather-%{api}.so
%{_libdir}/pkgconfig/gweather%{api}.pc
%{_datadir}/gir-1.0/GWeather-%{gmajor}.gir
%{_datadir}/vala/vapi/gweather%{api}.deps
%{_datadir}/vala/vapi/gweather%{api}.vapi
