%define api_version	0.1
%define lib_major	2
%define lib_name	%mklibname gxps %{lib_major}
%define gi_name		%mklibname gxps-gir %{api_version}
%define develname	%mklibname -d gxps

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	GObject based library for handling and rendering XPS documents
Name:		libgxps
Version:	0.3.2
Release:	%mkrel 3
License:	LGPLv2
Group:		System/Libraries
URL:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# https://bugzilla.redhat.com/show_bug.cgi?id=1591132
# https://bugzilla.redhat.com/show_bug.cgi?id=1574844
BuildRequires:	pkgconfig(cairo) >= 1.10.0
BuildRequires:	pkgconfig(cairo-pdf)
BuildRequires:	pkgconfig(cairo-ps)
BuildRequires:	pkgconfig(cairo-svg)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gio-2.0) >= 2.24
BuildRequires:	pkgconfig(glib-2.0) >= 2.24
BuildRequires:	pkgconfig(gobject-2.0) >= 2.24
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libarchive) >= 2.8.0
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	gtk-doc
BuildRequires:	meson
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.5

%description
libgxps is a GObject based library for handling and rendering XPS documents.

%package -n %{lib_name}
Summary:	Libraries for libgxps
Group:		System/Libraries
Recommends:	%{name}-tools = %{version}

%description -n %{lib_name}
libgxps is a GObject based library for handling and rendering XPS documents.

%package tools
Summary: Tools used by libgxps
Group: System/Libraries

%description tools
libgxps is a GObject based library for handling and rendering XPS documents.

This package contains various tools used by libgxps.

%package -n %{gi_name}
Summary:	GObject Introspection interface library for libgxps
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}

%description -n %{gi_name}
GObject Introspection interface library for libgxps.

%package -n %{develname}
Summary:	Development libraries, header files and utilities for libgxps
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	%{gi_name} = %{version}

%description -n %{develname}
libgxps is a GObject based library for handling and rendering XPS documents.

This package contains the files necessary to develop applications with libgxps.

%prep
%autosetup -p1

%build
%meson		\
	-Denable-gtk-doc=true	\
	-Denable-man=true
%meson_build

%install
export LANG=UTF-8
%meson_install

rm -f %buildroot%_libdir/*.la

%check
%meson_test

%files -n %{lib_name}
%{_libdir}/libgxps.so.%{lib_major}{,.*}

%files tools
%{_bindir}/*
%{_mandir}/man1/*.1*

%files -n %{gi_name}
%{_libdir}/girepository-1.0/GXPS-%{api_version}.typelib

%files -n %{develname}
%doc README COPYING AUTHORS NEWS
%{_datadir}/gtk-doc/html/%{name}
%{_datadir}/gir-1.0/*.gir
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
