%define api		1
%define major		0
%define libname		%mklibname handy %{api} %{major}
%define girhandyname	%mklibname handy-gir %{api}
%define develname	%mklibname handy -d

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%bcond_with glade

Name:		libhandy
Version:	1.8.3
Release:	%mkrel 3
Summary:	A GTK+ library to develop UI for mobile devices
License:	LGPLv2+
Group:		Development/GNOME and GTK+
URL:		https://gitlab.gnome.org/GNOME/libhandy/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	gi-docgen
BuildRequires:	meson
BuildRequires:	vala
%if %{with glade}
BuildRequires:	pkgconfig(gladeui-2.0)
%endif
BuildRequires:	pkgconfig(gnome-desktop-3.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.24.1

%description
libhandy is a library to help with developing UI for mobile devices
using GTK+/GNOME.

#------------------------------------------------

%package i18n
Summary:	Translation files for %{name}
Group:		System/Internationalization
Obsoletes:      %{name}-common < 1.8.3-2

%description i18n
This package contains translation files for %{name}.

#------------------------------------------------

%package -n	%{libname}
Summary:	A GTK+ library to develop UI for mobile devices
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}-%{release}

Obsoletes:	%{_lib}handy0.0_0 < 0.0.13-7

%description -n	%{libname}
This package provides the shared library for libhandy, a library to
help with developing mobile UI using GTK+/GNOME.

#------------------------------------------------

%package -n	%{girhandyname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries

Obsoletes:	%{_lib}handy-gir0.0 < 0.0.13-7

%description -n	%{girhandyname}
GObject Introspection interface description for %{name}.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girhandyname} = %{version}-%{release}
Provides:	handy-devel = %{version}-%{release}

Obsoletes:	%{_lib}handy0.0-devel < 0.0.13-7

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%if %{with glade}
%package -n	%{name}-glade
Summary:	Glade (GTK+3) modules for %{name}
Group:		Graphical desktop/GNOME
Requires:	glade

%description -n	%{name}-glade
This package provides a catalog for Glade (GTK+3) which allows the use
of the provided Handy widgets in Glade.
%endif

#------------------------------------------------

%prep
%autosetup -p1

%build
%meson \
	-Dprofiling=false \
	-Dintrospection=enabled \
	-Dvapi=true \
	-Dgtk_doc=true \
	-Dtests=false \
	-Dexamples=false \
%if %{with glade}
	-Dglade_catalog=enabled \
%else
	-Dglade_catalog=disabled \
%endif
	%{nil}
%meson_build

%install
%meson_install

%find_lang %name

%files -n %{libname}
%{_libdir}/libhandy-%{api}.so.%{major}{,.*}

%files i18n -f %{name}.lang

%files -n %{girhandyname}
%{_libdir}/girepository-1.0/Handy-%{api}.typelib

%files -n %{develname}
%license COPYING
%doc AUTHORS README.md
%doc %{_datadir}/doc/libhandy-1/
%{_includedir}/libhandy-%{api}/
%{_libdir}/libhandy-%{api}.so
%{_datadir}/gir-1.0/Handy-%{api}.gir
%{_libdir}/pkgconfig/libhandy-%{api}.pc
%{_datadir}/vala/vapi/libhandy-%{api}.deps
%{_datadir}/vala/vapi/libhandy-%{api}.vapi

%if %{with glade}
%files -n %{name}-glade
%{_libdir}/glade/modules/*.so
%{_datadir}/glade/catalogs/*.xml
%endif

