%define major 1
%define libname %mklibname hangul %major
%define develname %mklibname -d hangul

Name:		libhangul
Summary:	A generalized and portable library for hangul
Version:	0.1.0
Release:	%mkrel 10
Group:		System/Internationalization
License:	LGPLv2+
URL:		https://code.google.com/p/libhangul/
Source0:	http://libhangul.googlecode.com/files/%name-%version.tar.gz
BuildRequires:	gettext-devel
Conflicts:	%{_lib}hangul0 < 0.0.8

%description
libhangul is a generalized and portable library for
processing hangul.

%package -n	%{libname}
Summary:	Main libhangul library
Group:		System/Internationalization
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
libhangul library.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d hangul 0

%description -n %{develname}
Headers of %{name} for development.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%find_lang %name

%files -f %name.lang
%{_bindir}/hangul
%{_datadir}/libhangul/

%files -n %{libname}
%{_libdir}/libhangul.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS COPYING ChangeLog NEWS README
%{_includedir}/hangul-1.0/
%{_libdir}/libhangul.so
%{_libdir}/pkgconfig/libhangul.pc
