%define major 2
%define libname %mklibname hbalinux %{major}
%define devname %mklibname hbalinux -d

Name:               libhbalinux
Version:            1.0.17
Release:            %mkrel 7
Summary:            FC-HBAAPI implementation using scsi_transport_fc interfaces
Group:              System/Libraries
License:            LGPLv2
URL:                https://www.open-fcoe.org/
Source0:            %{name}-%{version}.tar.gz
Patch0:             libhbalinux-1.0.13-conf.patch
Patch1:             libhbalinux-fix-non-pci-netdev.patch
BuildRequires:      pkgconfig(HBAAPI)
BuildRequires:      pkgconfig(pciaccess)
BuildRequires:      libtool
BuildRequires:      automake
BuildRequires:      pkgconfig(libudev)
BuildRequires:      pkgconfig(libsystemd)
Requires(post):     grep
Requires(postun):   grep

%description
SNIA HBAAPI vendor library built on top of the scsi_transport_fc interfaces.

%package -n %{libname}
Summary:            FC-HBAAPI implementation using scsi_transport_fc interfaces
Group:              System/Libraries

%description -n %{libname}
SNIA HBAAPI vendor library built on top of the scsi_transport_fc interfaces.

%package -n %{devname}
Summary:            Files needed for libhbalinux application development
Group:              Development/C
Provides:           %{name}-devel%{?_isa} = %{version}-%{release}
Provides:           %{name}-devel = %{version}-%{release}
Requires:           %{libname}%{?_isa} = %{version}-%{release}


%description -n %{devname}
This package contains the files needed for developing applications that use
%{name}.

%prep
%autosetup -p1

%build
./bootstrap.sh
%configure --disable-static
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%post
ORG=org.open-fcoe.libhbalinux
LIB=%{_libdir}/libhbalinux.so.2.0.2
STR="$ORG	$LIB"
CONF=%{_sysconfdir}/hba.conf
if test -f $CONF; then
  grep -E -q ^[[:space:]]*$ORG[[:space:]]+$LIB $CONF
  if test $? -ne 0; then
    echo $STR >> $CONF;
  fi
fi

%postun
ORG=org.open-fcoe.libhbalinux
CONF=%{_sysconfdir}/hba.conf
if test -f $CONF; then
  grep -v $ORG $CONF > %{_sysconfdir}/hba.conf.new
  mv %{_sysconfdir}/hba.conf.new %{_sysconfdir}/hba.conf
fi

%files -n %{libname}
%license COPYING
%doc README
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{devname}
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/%{name}.so

