%define major     32
%define libname   %mklibname hx %{major}
%define develname %mklibname hx -d

Name:           libhx
Version:        4.8
Release:        %mkrel 1
Summary:        A library for common data structures and low level operations
Group:          System/Libraries
License:        GPLv3+ and LGPLv2+
URL:            https://libhx.sourceforge.net/
Source0:        https://inai.de/files/libhx/libHX-%{version}.tar.xz
Source1:        https://inai.de/files/libhx/libHX-%{version}.tar.asc

%description
A library for:
- A+R/B trees to use for lists or maps (associative arrays)
- Deques (double-ended queues) (Stacks (LIFO) / Queues (FIFOs))
- platform independent opendir-style directory access
- platform independent dlopen-style shared library access
- auto-storage strings with direct access
- command line option (argv) parser
- shell-style config file parser
- platform independent random number generator with transparent
  /dev/urandom support
- various string, memory and zvec ops

%package -n %{libname}
Group:          System/Libraries
Summary:        General-purpose library

%description -n %{libname}
- A+R/B trees to use for lists or maps (associative arrays)
- Deques (double-ended queues) (Stacks (LIFO) / Queues (FIFOs))
- platform independent opendir-style directory access
- platform independent dlopen-style shared library access
- auto-storage strings with direct access
- command line option (argv) parser
- shell-style config file parser
- platform independent random number generator with transparent
  /dev/urandom support
- various string, memory and zvec ops

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n libHX-%{version}

%build
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

mkdir -p %{buildroot}%{_docdir}/libhx
install -m 644 doc/* %{buildroot}%{_docdir}/libhx/

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}
%{_libdir}/libHX_rtcheck.so

%files -n %{develname}
%{_includedir}/libHX.h
%{_includedir}/libHX/
%{_libdir}/libHX.so
%{_libdir}/pkgconfig/libHX.pc
%{_docdir}/libhx/
