%define major         1
%define libname       %mklibname icns %{major}
%define libname_devel %mklibname icns -d

Name:          libicns
Version:       0.8.1
Release:       %mkrel 9
Summary:       Library for manipulating MacOS X icns files
Group:         System/Libraries
License:       GPLv2, LGPLv2
URL:           https://icns.sourceforge.net/
Source:        https://sourceforge.net/projects/icns/files/%{name}-%{version}.tar.gz
Patch0:        support-libopenjp2.patch
Patch1:        libicns-0.8.1-gcc6.patch

BuildRequires: pkgconfig(jasper)
BuildRequires: pkgconfig(libopenjp2)
BuildRequires: pkgconfig(libpng)

%description
%{name} is a library providing functionality for easily reading and
writing MacOS X icns files.

%package -n %{libname}
Summary:          Library files for %{name}
Group:            System/Libraries
Provides:         %{name} = %{version}-%{release}

%description -n %{libname}
%{name} is a library providing functionality for easily reading and
writing MacOS X icns files.

%package -n %{libname_devel}
Group:         Development/C
Summary:       Devel package for %{name}
Requires:      %libname = %{version}-%{release}
Provides:      %{name}-devel = %{version}-%{release}

%description -n %{libname_devel}
%{name} is a library providing functionality for easily reading and
writing MacOS X icns files.

This package contains libraries and header files need for development.

%package -n libicns-utils
Group:         Graphics/Utilities
Summary:       Utilities for %{name}
Requires:      %{libname} = %{version}-%{release}

%description -n libicns-utils
Software for library for manipulating MacOS X .icns icon format.
Currently provides support for reading and writing icns files
in most sizes.

Also provides utilities for manipulating files in the .icns format:
* icns2png - convert Mac OS icns files to png images
* png2icns - convert png images to Mac OS icns files
* icontainer2icns - extract icns files from icontainers

%prep
%autosetup -p1

%build
export CPPFLAGS="${CPPFLAGS} `pkg-config --cflags libopenjp2`"
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/libicns.so.%{major}{,.*}

%files -n %{libname_devel}
%{_includedir}/icns.h
%{_libdir}/libicns.so
%{_libdir}/pkgconfig/libicns.pc
%doc src/apidocs.*

%files -n libicns-utils
%{_bindir}/icns2png
%{_bindir}/icontainer2icns
%{_bindir}/png2icns
%{_mandir}/man1/icns2png.1*
%{_mandir}/man1/icontainer2icns.1*
%{_mandir}/man1/png2icns.1*
%doc README
