%define api_version	2
%define lib_major	0
%define lib_name	%mklibname idl %{api_version} %{lib_major}
%define develname	%mklibname -d idl %{api_version}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	IDL parsing library
Name:		libidl
Version:        0.8.14
Release:	%mkrel 11
URL:		https://orbit-resource.sourceforge.net/
License:	LGPLv2+
Group:		System/Libraries
Source0:	https://download.gnome.org/sources/libIDL/%{url_ver}/libIDL-%{version}.tar.bz2
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:  pkgconfig(glib-2.0)

%description
libIDL is a small library for creating parse trees of CORBA v2.2
compliant Interface Definition Language (IDL) files, which is a
specification for defining interfaces which can be used between
different CORBA implementations.

%package -n %{lib_name}
Summary:	%{summary}
Group:		%{group}
Provides:	%{name} = %{version}-%{release}
Provides:	%{name}%{api_version} = %{version}-%{release}
Obsoletes:	%{_lib}IDL2_0 < 0.8.14-8

%description -n %{lib_name}
libIDL is a small library for creating parse trees of CORBA v2.2
compliant Interface Definition Language (IDL) files, which is a
specification for defining interfaces which can be used between
different CORBA implementations.

%package -n %develname
Summary:	Header files and libraries needed for libIDL development
Group:		Development/C
Conflicts:	ORBit-devel < 0.5.10
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}%{api_version}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	glib2-devel
Obsoletes:	%{_lib}IDL2-devel < 0.8.14-8

%description -n %develname
This package includes the header files and libraries needed for
developing or compiling programs using libIDL.

%prep
%setup -qn libIDL-%{version}

%build
# to recognize aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

rm -f %buildroot%_libdir/*.la

%files -n %{lib_name}
%doc AUTHORS README NEWS BUGS ChangeLog
%{_libdir}/libIDL-%{api_version}.so.%{lib_major}{,.*}

%files -n %develname
%doc tstidl.c
%{_bindir}/libIDL-config-2
%{_includedir}/*
%{_infodir}/*.info*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
