%define	major		0
%define	libname		%mklibname iec61883_ %{major}
%define	libnamedev	%mklibname iec61883 -d

Name:		libiec61883
Summary:	Streaming library for IEEE1394
Version:	1.2.0
Release:	%mkrel 17
License:	LGPLv2+
Group:		System/Libraries
Source:		https://linux1394.org/dl/%{name}-%{version}.tar.gz
Patch0:		libiec61883-1.2.0-automake-1.3.patch
URL:		https://linux1394.org/
BuildRequires:	pkgconfig(libraw1394) >= 1.2.0

%description
The libiec61883 library provides an higher level API for streaming DV,
MPEG-2 and audio over IEEE1394.  Based on the libraw1394 isochronous
functionality, this library acts as a filter that accepts DV-frames,
MPEG-2 frames or audio samples from the application and breaks these
down to isochronous packets, which are transmitted using libraw1394.

%package -n %{libname}
Group:		System/Libraries
Summary:	Streaming library for IEEE1394

%description -n %{libname}
The libiec61883 library provides an higher level API for streaming DV,
MPEG-2 and audio over IEEE1394.  Based on the libraw1394 isochronous
functionality, this library acts as a filter that accepts DV-frames,
MPEG-2 frames or audio samples from the application and breaks these
down to isochronous packets, which are transmitted using libraw1394.

%package -n %{libnamedev}
Summary:	Development libs for libiec61883
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}iec61883_0-devel < 1.2.0-9

%description -n %{libnamedev}
Development libraries needed to build applications against libiec61883

%package -n %{name}-utils
Summary:	Utilities for use with libiec61883
Group:		Communications/Mobile

%description -n	%{name}-utils
Utilities that make use of iec61883.

%prep
%setup -q
%patch -P 0 -p1

perl -pi -e's,noinst,bin,' examples/Makefile.am

%build
autoreconf -vfi
%configure --disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc AUTHORS COPYING NEWS README
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{libnamedev}
%doc examples/*.c
%{_libdir}/%{name}.so
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc

%files utils
%{_bindir}/*
%{_mandir}/*/*
