%define major 3
%define libname %mklibname ieee1284_ %major
%define develname %mklibname ieee1284 -d

Summary:	Cross-platform library for parallel port access
Name:		libieee1284
Version:	0.2.11
Release:	%mkrel 23
License:	LGPLv2+
Group:		System/Libraries
URL:		https://sourceforge.net/projects/libieee1284/
Source0:	https://downloads.sourceforge.net/libieee1284/%{name}-%{version}.tar.bz2
Patch1:		libieee1284-strict-aliasing.patch
BuildRequires:	pkgconfig(python)
BuildRequires:	xmlto

%description
libieee1284 is a cross-platform library for parallel port access

%package -n	%{libname}
Summary:        Cross-platform library for parallel port access
Group:          System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
libieee1284 is a cross-platform library for parallel port access

%package -n	%{develname}
Summary:        Development files for libieee1284
Group:          Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:       ieee1284-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}0-devel = %{version}-%{release}
Obsoletes:	%{_lib}ieee1284-static-devel < 0.2.11-18

%description -n	%{develname}
The %{name}-devel package includes the header files and .so libraries
necessary for developing programs which will access parallel port devices 
using the %{name} library.

If you are going to develop programs which will access parallel port
devices, you should install %{name}-devel.  You'll also need to have
the %{name} package installed.

%prep
%setup -q
%patch -P 1 -p1

%build
autoreconf -fiv
touch doc/interface.xml
%configure \
	--disable-static \
	--without-python
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc README
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc README AUTHORS ChangeLog INSTALL NEWS TODO
%{_bindir}/libieee1284_test
%{_includedir}/*
%{_libdir}/*.so
%{_mandir}/man3/*
