%define	major	4
%define	libname	%mklibname ifp %{major}
%define develname %mklibname -d ifp

Summary: 	iRiver driver library
Name: 		libifp
Version: 	1.0.0.2
Release: 	%mkrel 19
License: 	GPLv2+
Group: 		System/Libraries
Source0: 	%{name}-%{version}.tar.gz
Source1:        libifp.hotplug
Source2:        10-libifp.rules
Patch0:		libifp-1.0.0.2-human-readable.patch
Patch1:		libifp-1.0.0.2-warn-not-error.patch
Patch100:	libifp-1.0.0.2-fix-broken-configure.in.diff
Patch101:	libifp-1.0.0.2-fix-broken-configure-again.diff
Patch102:	libifp-fix-building-with-gcc14.patch

BuildRequires:	pkgconfig(libusb)
URL:		https://ifp-driver.sourceforge.net/

%description
An interface for IRiver's flash-based portable music players

%package -n	%{libname}
Summary:	iRiver driver library
Group:		System/Libraries

%description -n	%{libname}
Libraries for iRiver driver

%package -n	%{develname}
Summary:	iRiver driver library development files
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:	%mklibname -d ifp 4

%description -n	%{develname}
This package includes the header files and shared libraries
necessary for developing programs which will access iRiver using
the %{name} library.

If you are going to develop programs which will access iRiver devices,
you should install this package.

%prep
%setup -q
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure	\
	--with-libusb \
	--disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

install -D -m 0755 %{SOURCE1} %buildroot/sbin/libifp-hotplug
install -D -m 0644 %{SOURCE2} %buildroot%{_udevrulesdir}/10-libifp.rules

%files
%doc README ChangeLog TODO
%{_bindir}/ifpline
/sbin/*
%{_udevrulesdir}/*.rules

%files -n %{libname}
%{_libdir}/libifp.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libifp.so
%{_includedir}/ifp.h
%{_mandir}/man3/ifp.h.3*
