%define major      3
%define libname    %mklibname ilbc %{major}
%define libnamedev %mklibname ilbc -d

Summary:	Internet Low Bitrate Codec (iLBC) library
Name:		libilbc
Epoch:		1
Version:	3.0.4
Release:	%mkrel 2
License:	BSD-style
Group:		System/Libraries
URL:		https://github.com/TimothyGu/libilbc
Source0:	https://github.com/TimothyGu/libilbc/releases/download/v%{version}/libilbc-%{version}.tar.gz
Patch0:		ilbc-flags.patch
BuildRequires:	cmake
BuildRequires:	abseil-cpp-devel

%description
iLBC (internet Low Bitrate Codec) is a FREE speech codec suitable for robust
voice communication over IP. The codec is designed for narrow band speech and
results in a payload bit rate of 13.33 kbit/s with an encoding frame length of
30 ms and 15.20 kbps with an encoding length of 20 ms. The iLBC codec enables
graceful speech quality degradation in the case of lost frames, which occurs in
connection with lost or delayed IP packets.

%package -n	%{libname}
Summary:	Internet Low Bitrate Codec (iLBC) library
Group:		System/Libraries

# drop libilbc2
Obsoletes:	%{_lib}ilbc0 < 0.0.1-6

%description -n	%{libname}
iLBC (internet Low Bitrate Codec) is a FREE speech codec suitable for robust
voice communication over IP. The codec is designed for narrow band speech and
results in a payload bit rate of 13.33 kbit/s with an encoding frame length of
30 ms and 15.20 kbps with an encoding length of 20 ms. The iLBC codec enables
graceful speech quality degradation in the case of lost frames, which occurs in
connection with lost or delayed IP packets.

%package -n %{libnamedev}
Summary:	Development and header files for the iLBC library
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	ilbc-devel = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}

# drop libilbc2
Obsoletes:	%{_lib}ilbc2-devel < 0.0.1-6

%description -n %{libnamedev}
iLBC (internet Low Bitrate Codec) is a FREE speech codec suitable for robust
voice communication over IP. The codec is designed for narrow band speech and
results in a payload bit rate of 13.33 kbit/s with an encoding frame length of
30 ms and 15.20 kbps with an encoding length of 20 ms. The iLBC codec enables
graceful speech quality degradation in the case of lost frames, which occurs in
connection with lost or delayed IP packets.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

# symlinks for compatibility
ln -s ilbc.h %{buildroot}%{_includedir}/iLBC_decode.h
ln -s ilbc.h %{buildroot}%{_includedir}/iLBC_define.h
ln -s ilbc.h %{buildroot}%{_includedir}/iLBC_encode.h

rm -rf %{buildroot}%{_docdir}/libilbc

%files -n %{libname}
%doc CONTRIBUTING* README* NEWS*
%license COPYING
%{_libdir}/libilbc.so.%{major}{,.*}

%files -n %{libnamedev}
%{_bindir}/ilbc_test
%{_includedir}/*.h
%{_libdir}/libilbc.so
%{_libdir}/pkgconfig/libilbc.pc
