%define oname	imobiledevice-glue
%define major	0
%define api	1.0
%define libname	%mklibname %{oname} %{api} %{major}
%define devname	%mklibname %{oname} -d

Name:		libimobiledevice-glue
Version:	1.3.1
Release:	%mkrel %{?git:0.%{git}.}1
Summary:	Library for connecting to Apple iPhone and iPod touch
Group:		System/Libraries
License:	LGPLv2+
Url:		https://libimobiledevice.org/
Source0:	https://github.com/libimobiledevice/libimobiledevice-glue/releases/download/%{version}/libimobiledevice-glue-%{version}.tar.bz2

BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libplist-2.0) >= 2.3.0
BuildRequires:	pkgconfig(openssl)

%description
Library with common code used around the libimobiledevice project.

#------------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Library for connecting to Apple iPhone and iPod touch
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	%{oname} = %{version}-%{release}

%description -n	%{libname}
Library with common code used around the libimobiledevice project.

#------------------------------------------------------------------------------

%package -n	%{devname}
Summary:	Development package for %{name}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{devname}
Files for development with %{name}.

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install

%files -n %{libname}
%doc NEWS README.md
%license COPYING
%{_libdir}/%{name}-%{api}.so.%{major}{,.*}

%files -n %{devname}
%doc README.md
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/%{name}-%{api}.so
%{_includedir}/%{name}/
