# https://github.com/libimobiledevice/libimobiledevice
# git snapshot from commit 9e33a26264ab6abe9eea10b7aa11f948b4bde87e

# comment out when not a git snapshot
#define git	20190818

%define rel	11

%define oname		imobiledevice
%define major		6
%define api		1.0
%define libname		%mklibname %{oname} %{api} %{major}
%define libnamedev	%mklibname %{oname} -d

Name:		libimobiledevice
Version:	1.3.0
Release:	%mkrel %{?git:0.git%git.}%{rel}
Summary:	Library for connecting to Apple devices
Group:		System/Libraries
License:	LGPLv2+
URL:		https://libimobiledevice.org/
Source0:	https://www.libimobiledevice.org/downloads/%{name}-%{version}.tar.bz2
#Source0:	%%{name}-%%{version}-git%%{git}.tar.xz
Patch1:		0001-Fixed-debugserver_pxi-PyString_AsString-compatibility-with-Python3.patch
# initial support for iOS 14
Patch2:		0002-mobilebackup2-Set-DeviceLink-version-to-400-to-suppo.patch
Patch3:		0003-screenshotr-Set-DeviceLink-version-to-400-to-support.patch
Patch4:		0004-debugserver-Fix-service-startup-for-iOS-14b4.patch
Patch5:		libplist-2.3.0.patch
BuildRequires:	pkgconfig(libplist-2.0) >= 2.2.0
BuildRequires:	pkgconfig(libplist++-2.0) >= 2.2.0
BuildRequires:	pkgconfig(libusbmuxd-2.0) >= 2.0.2
BuildRequires:	pkgconfig(openssl) >= 1.0

Recommends:	usbmuxd

%description
libimobiledevice is a software library that talks the protocols to support
iPhone®, iPod Touch®, iPad® and Apple TV® devices.

Unlike other projects, it does not depend on using any existing proprietary
libraries and does not require jailbreaking. It allows other software to
easily access the device's filesystem, retrieve information about the device
and it's internals, backup/restore the device, manage SpringBoard® icons,
manage installed applications, retrieve addressbook/calendars/notes and
bookmarks and (using libgpod) synchronize music and video to the device.

#------------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Library for connecting to Apple devices
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
libimobiledevice is a software library that talks the protocols to support
iPhone®, iPod Touch®, iPad® and Apple TV® devices.

#------------------------------------------------------------------------------

%package -n	%{libnamedev}
Summary:	Development package for %{name}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{libnamedev}
Files for development with %{name}.

#------------------------------------------------------------------------------

%package -n	python3-imobiledevice
Summary:	Python 3 bindings for %{name}
Group:		Development/Python
BuildRequires:	python3-devel
BuildRequires:	python3-cython0
BuildRequires:	swig
%{?python_provide:%python_provide python3-imobiledevice}

%description -n python3-imobiledevice
Python 3 bindings for %{name}.

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
autoreconf -fi

%configure \
               --disable-static \
               PYTHON=%{__python3} \
               CYTHON=%{_bindir}/cython-3
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc AUTHORS README.md
%license COPYING.LESSER
%{_bindir}/idevice_id
%{_bindir}/idevicedebug
%{_bindir}/ideviceinfo
%{_bindir}/idevicepair
%{_bindir}/idevicesyslog
%{_bindir}/idevicebackup
%{_bindir}/ideviceimagemounter
%{_bindir}/ideviceenterrecovery
%{_bindir}/idevicenotificationproxy
%{_bindir}/idevicescreenshot
%{_bindir}/idevicebackup2
%{_bindir}/idevicedate
%{_bindir}/idevicedebugserverproxy
%{_bindir}/idevicediagnostics
%{_bindir}/ideviceprovision
%{_bindir}/idevicename
%{_bindir}/idevicecrashreport
%{_bindir}/idevicesetlocation
%{_mandir}/man1/idevice*.1.*

%files -n %{libname}
%{_libdir}/%{name}-%{api}.so.%{major}{,.*}

%files -n %{libnamedev}
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/%{name}-%{api}.so
%{_includedir}/%{name}/

%files -n python3-imobiledevice
%{python3_sitearch}/%{oname}.so
