%define api		1.0
%define major		1
%define libname		%mklibname insane %{major}
%define libname_g	%mklibname insane_gobject %{major}
%define girinsanename	%mklibname insane-gir %{api}
%define develname	%mklibname insane -d

Name:		libinsane
Version:	1.0.10
Release:	%mkrel 1
Summary:	Cross-platform access to image scanners
Group:		System/Libraries
License:	LGPLv3+
URL:		https://doc.openpaper.work/libinsane/latest/libinsane/index.html
Source0:	https://gitlab.gnome.org/World/OpenPaperwork/%{name}/-/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	doxygen
BuildRequires:	gcc
BuildRequires:  gtk-doc
BuildRequires:	meson
BuildRequires:	sane-backends
BuildRequires:	vala
BuildRequires:	valgrind
BuildRequires:	pkgconfig(sane-backends)
BuildRequires:	pkgconfig(cunit)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)

%description
Libinsane is the library to access scanners on both Linux and Windows. It's
cross-platform, cross-programming languages, cross-scanners :-). It takes care
of all the quirks of all the platforms and scanners.

#------------------------------------------------

%package -n	%{libname}
Summary:	elementary companion library for GTK+ and GLib
Group:		System/Libraries

%description -n	%{libname}
Libinsane is the library to access scanners on both Linux and Windows. It's
cross-platform, cross-programming languages, cross-scanners :-). It takes care
of all the quirks of all the platforms and scanners.

#------------------------------------------------

%package -n	%{libname_g}
Summary:	elementary companion library for GTK+ and GLib
Group:		System/Libraries

%description -n	%{libname_g}
Libinsane is the library to access scanners on both Linux and Windows. It's
cross-platform, cross-programming languages, cross-scanners :-). It takes care
of all the quirks of all the platforms and scanners.

#------------------------------------------------

%package -n	%{girinsanename}
Summary:	GObject Introspection interface description for Libinsane
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{girinsanename}
GObject Introspection interface description for Libinsane.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libname_g} = %{version}-%{release}
Requires:	%{girinsanename} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -p1

%build
%meson
%meson_build
%meson_build doc

%install
%meson_install

%check
%meson_test -v -t 5

%files -n %{libname}
%doc README.markdown ChangeLog
%license LICENSE
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{libname_g}
%{_libdir}/%{name}_gobject.so.%{major}{,.*}

%files -n %{girinsanename}
%{_libdir}/girepository-1.0/Libinsane-%{api}.typelib

%files -n %{develname}
%doc doc
%doc %{_datadir}/gtk-doc/html/libinsane-gobject/
%{_includedir}/%{name}/
%{_includedir}/%{name}-gobject/
%{_libdir}/%{name}.so
%{_libdir}/%{name}_gobject.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/Libinsane-%{api}.gir
%{_datadir}/vala/vapi/%{name}.deps
%{_datadir}/vala/vapi/%{name}.vapi
