%define major	2
%define api	1.0
%define libname	%mklibname instpatch %{api} %{major}
%define devname	%mklibname instpatch -d

Name:		libinstpatch
Version:	1.1.6
Release:	%mkrel 2
Summary:	Instrument file software library
License:	LGPLv2+
Group:		System/Libraries
URL:		https://github.com/swami/libinstpatch
Source0:	https://github.com/swami/libinstpatch/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	pkgconfig(sndfile)

%description
Library for processing digital sample based MIDI instrument "patch" files.
The types of files libInstPatch supports are used for creating
instrument sounds for wavetable synthesis. libInstPatch provides
an object framework (based on GObject) to load patch files into,
which can then be edited, converted, compressed and saved.

#-----------------------------------

%package -n %{libname}
Summary:	Instrument file software library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
Library for processing digital sample based MIDI instrument "patch" files.
The types of files libInstPatch supports are used for creating
instrument sounds for wavetable synthesis. libInstPatch provides
an object framework (based on GObject) to load patch files into,
which can then be edited, converted, compressed and saved.

%files -n %{libname}
%doc AUTHORS
%{_libdir}/%{name}-%{api}.so.%{major}{,.*}

#-----------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	instpatch-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development libraries and headers for %{name}.

%files -n %{devname}
%{_includedir}/%{name}-2/
%{_libdir}/%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc

#-----------------------------------

%prep
%autosetup

%build
%cmake
%cmake_build

%install
%cmake_install
