%global major   2
%define libname %mklibname ipt %major
%define devname %mklibname ipt -d

Name: libipt
Version: 2.1.2
Release: %mkrel 1
Summary: Intel Processor Trace Decoder Library
Group:	 Development/Tools
License: BSD
URL: https://github.com/intel/libipt
Source0: https://github.com/intel/libipt/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0: libipt-gcc11.patch
# c++ is required only for -DPTUNIT test "ptunit-cpp".
# pandoc is for -DMAN.
BuildRequires: gcc-c++ cmake
ExclusiveArch: %{ix86} x86_64

%description
The Intel Processor Trace (Intel PT) Decoder Library is Intel's reference
implementation for decoding Intel PT.  It can be used as a standalone library
or it can be partially or fully integrated into your tool.


%package -n %devname
Summary: Header files and libraries for Intel Processor Trace Decoder Library
Requires: %{libname} = %{version}-%{release}
Provides: ipt-devel = %{version}-%{release}
Provides: libipt-devel = %{version}-%{release}

%description -n %devname
The %{name}-devel package contains the header files and libraries needed to
develop programs that use the Intel Processor Trace (Intel PT) Decoder Library.

%package -n %libname
Summary: Intel Processor Trace Decoder Library
Group:	Development/C

%description -n %libname
The Intel Processor Trace (Intel PT) Decoder Library is Intel's reference
implementation for decoding Intel PT.  It can be used as a standalone library
or it can be partially or fully integrated into your tool.

%prep
%autosetup -p1 -n libipt-%{version}

%build
%cmake \
       -DPTUNIT:BOOL=ON \
       -DMAN:BOOL=OFF \
       -DDEVBUILD:BOOL=ON
%cmake_build

%install
%cmake_install

%global develdocs howto_libipt.md
(cd doc;cp -p %{develdocs} ..)

%check
%ctest

%files -n %libname
%doc README
%license LICENSE
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %devname
%doc %{develdocs}
%{_includedir}/*
%{_libdir}/%{name}.so
