%define major     0
%define libname   %mklibname iptcdata %major
%define develname %mklibname iptcdata -d

Name:           libiptcdata
Summary:        IPTC tag library
Version:        1.0.5
Release:        %mkrel 8
License:        LGPLv2+
Group:          System/Libraries
URL:            https://github.com/ianw/libiptcdata/
Source:         https://github.com/ianw/libiptcdata/releases/download/release_1_0_5/%{name}-%{version}.tar.gz
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(python3)

%description
libiptcdata is a library for parsing, editing, and saving IPTC data.

%package utils
Summary:        IPTC tag library
Group:          System/Libraries

%description utils
libiptcdata is a library for parsing, editing, and saving IPTC data.

%package i18n
Summary:        Translations of the IPTC tag library
Group:          System/Libraries
BuildArch:      noarch

%description i18n
libiptcdata is a library for parsing, editing, and saving IPTC data.

%package -n %libname
Summary:        IPTC tag library
Group:          System/Libraries
Requires:       %name-i18n >= %version

%description -n %libname
libiptcdata is a library for parsing, editing, and saving IPTC data.

%package -n %develname
Summary:        The files needed for libiptcdata application development
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %name-devel = %version-%release
Provides:       iptcdata-devel = %version-%release

%description -n %develname
This package contains the libraries and include files
that you can use to develop libiptcdata applications.

%package -n python3-iptcdata
Summary:        Python 3 bindings for libiptcdata
Group:          Development/Python

Obsoletes:      python-iptcdata < 1.0.4-12
Provides:       python-iptcdata = %version-%release

%description -n python3-iptcdata
python3-iptcdata is a library for parsing, editing, and saving IPTC data.

%prep
%setup -q

%build
export PYTHON_VERSION=%python3_version

%configure --enable-python --disable-static
%make_build

%install
%make_install
%find_lang %name
%find_lang iptc

find %{buildroot} -name '*.la' -delete

%files utils -f iptc.lang
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*

%files i18n -f %name.lang

%files -n %libname
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %develname
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libiptcdata
%{_datadir}/gtk-doc/html/libiptcdata

%files -n python3-iptcdata
%python3_sitearch/iptcdata.*
