%define major	1
%define libname	%mklibname ircclient %{major}
%define devname	%mklibname -d ircclient

Summary:	C library to create IRC clients
Name:		libircclient
Version: 	1.10
Release: 	%mkrel 3
License: 	GPLv2
Group:		System/Libraries
URL:		https://www.ulduzsoft.com/libircclient/
Source0:	https://downloads.sourceforge.net/libircclient/%{name}-%{version}.tar.gz
Patch1:		libircclient-1.5-include-rfc.patch
Patch2:		0001-Don-t-strip-shared-library.patch
BuildRequires:	pkgconfig(openssl)

%description
libircclient is a small but powerful library that implements the client-server
IRC protocol. It is designed to be small, fast, portable and compatible to RFC
standards, and most IRC clients. libircclient features include:

 * Full multi-threading support.
 * Single threads handles all the IRC processing.
 * Support for single-threaded applications, and socket-based
   applications, which use select()
 * Synchronous and asynchronous interfaces.
 * CTCP support with optional build-in reply code.
 * Flexible DCC support, including both DCC chat, and DCC file transfer.
 * Can both initiate and react to initiated DCC.
 * Can accept or decline DCC sessions asynchronously.
 * Plain C interface and implementation (possible to use from C++ code,
   obviously)
 * Compatible with RFC 1459 and most IRC clients.
 * Good documentation and examples available.

%package -n	%{libname}
Summary:	C library to create IRC clients
Group:		System/Libraries

%description -n %{libname}
libircclient is a small but powerful library that implements the client-server
IRC protocol. It is designed to be small, fast, portable and compatible to RFC
standards, and most IRC clients. libircclient features include:

 * Full multi-threading support.
 * Single threads handles all the IRC processing.
 * Support for single-threaded applications, and socket-based
   applications, which use select()
 * Synchronous and asynchronous interfaces.
 * CTCP support with optional build-in reply code.
 * Flexible DCC support, including both DCC chat, and DCC file transfer.
 * Can both initiate and react to initiated DCC.
 * Can accept or decline DCC sessions asynchronously.
 * Plain C interface and implementation (possible to use from C++ code,
   obviously)
 * Compatible with RFC 1459 and most IRC clients.
 * Good documentation and examples available.

%package -n	%{devname}
Summary:	C library to create IRC clients
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}ircclient-static-devel < 1.10

%description -n	%{devname}
libircclient is a small but powerful library that implements the client-server
IRC protocol. It is designed to be small, fast, portable and compatible to RFC
standards, and most IRC clients. libircclient features include:

 * Full multi-threading support.
 * Single threads handles all the IRC processing.
 * Support for single-threaded applications, and socket-based
   applications, which use select()
 * Synchronous and asynchronous interfaces.
 * CTCP support with optional build-in reply code.
 * Flexible DCC support, including both DCC chat, and DCC file transfer.
 * Can both initiate and react to initiated DCC.
 * Can accept or decline DCC sessions asynchronously.
 * Plain C interface and implementation (possible to use from C++ code,
   obviously)
 * Compatible with RFC 1459 and most IRC clients.
 * Good documentation and examples available.

%prep
%setup -q
%autopatch -p1

%build
%configure --enable-shared --enable-openssl --enable-ipv6
%make_build

%install
%make_install

%files -n %{libname}
%license LICENSE
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{devname}
%doc README Changelog THANKS
%{_libdir}/%{name}.so
%{_includedir}/*.h
