# https://github.com/libimobiledevice/libirecovery
# git snapshot from commit 1b9d9c3cdd3ef2f38198a21c356352f13641482d

# comment out when not a git snapshot
#define git	20190802

%define rel	1

%define major	5
%define api	1.0
%define libname	%mklibname irecovery %{api} %{major}
%define devname	%mklibname irecovery -d

Name:		libirecovery
Version:	1.2.0
Release:	%mkrel %{?git:0.git%git.}%{rel}
Summary:	Library and utility to talk to iBoot/iBSS via USB
Group:		System/Libraries
License:	LGPLv2+
Url:		https://www.libimobiledevice.org/
Source0:	https://github.com/libimobiledevice/libirecovery/releases/download/%{version}/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(libimobiledevice-glue-1.0)
BuildRequires:	pkgconfig(libusb)
BuildRequires:	pkgconfig(readline)

%description
The libirecovery library allows communication with iBoot/iBSS of iOS
devices via USB.

Features:

libirecovery is a cross-platform library which implements communication
to iBoot/iBSS found on Apple's iOS devices via USB. A command-line utility
named irecovery is also provided.

This is a fork of an older version from former openjailbreak.org and is
meant to be used with idevicerestore from the libimobiledevice project.

#-------------------------------------------------

%package -n	%{libname}
Group:		System/Libraries
Summary:	Library and utility to talk to iBoot/iBSS via USB

%description -n	%{libname}
The libirecovery library allows communication with iBoot/iBSS of iOS
devices via USB.

Features:

libirecovery is a cross-platform library which implements communication
to iBoot/iBSS found on Apple's iOS devices via USB. A command-line utility
named irecovery is also provided.

This is a fork of an older version from former openjailbreak.org and is
meant to be used with idevicerestore from the libimobiledevice project.

#-------------------------------------------------

%package -n	%{devname}
Summary:	Development package for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
Files for development with %{name}.

#-------------------------------------------------
%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc NEWS README.md
%license COPYING
%{_bindir}/irecovery
%{_udevrulesdir}/39-libirecovery.rules

%files -n %{libname}
%doc NEWS README.md
%license COPYING
%{_libdir}/%{name}-%{api}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/*.h
%{_libdir}/%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc
