%define major   10
%define libname %mklibname iscsi %major
# devname include major b/c open-iscsi generates another libiscsi:
%define devname %mklibname iscsi %major -d

# Conflict with iscsi-initiator-utils.
%global libiscsi_includedir %{_includedir}/iscsi
%global libiscsi_libdir %{_libdir}/iscsi

Name:           libiscsi
Summary:        iSCSI client library
# Epoch bump to unmask the packages previously hidden by open-iscsi's libiscsi packages (which are now renamed)
Epoch:          1
Version:        1.20.0
Release:        %mkrel 1
License:        LGPLv2+
Group:          System/Libraries
URL:            https://github.com/sahlberg/libiscsi
Source0:        https://github.com/sahlberg/libiscsi/archive/%{version}/%{name}-%{version}.tar.gz

Patch0001:      0001-configure-add-with-libgcrypt-option.patch
Patch0002:      0002-login-do-not-try-to-emulate-the-libgcrypt-API.patch
Patch0003:      0003-login-add-support-for-gnutls.patch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkgconfig(popt)
BuildRequires:  pkgconfig(cunit)
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  rdmacm-devel

%description
libiscsi is a library for attaching to iSCSI resources across
a network.


%package -n %libname
Summary:        iSCSI client library
Group:          System/Libraries
License:        GPLv2+

%description -n %libname
libiscsi is a library for attaching to iSCSI resources across
a network.

%files -n %libname
%license COPYING LICENCE-LGPL-2.1.txt
%doc README.md TODO
%dir %{libiscsi_libdir}
%{libiscsi_libdir}/libiscsi.so.%{major}{,.*}
%config %{_sysconfdir}/ld.so.conf.d/*


%package utils
Summary:        iSCSI Client Utilities
Group:          System/Base
License:        GPLv2+
Requires:       %{libname}%{?_isa} = %{epoch}:%{version}-%{release}

%description utils
The libiscsi-utils package provides a set of assorted utilities to connect
to iSCSI servers without having to set up the Linux iSCSI initiator.

%files utils
%license LICENCE-GPL-2.txt
%{_bindir}/iscsi-ls
%{_bindir}/iscsi-inq
%{_bindir}/iscsi-readcapacity16
%{_bindir}/iscsi-swp
%{_bindir}/iscsi-perf
%{_bindir}/iscsi-test-cu
%{_bindir}/iscsi-pr
%{_bindir}/iscsi-discard
%{_bindir}/iscsi-md5sum
%{_mandir}/man1/iscsi-ls.1.*
%{_mandir}/man1/iscsi-inq.1.*
%{_mandir}/man1/iscsi-md5sum.1.*
%{_mandir}/man1/iscsi-swp.1.*
%{_mandir}/man1/iscsi-test-cu.1.*


%package -n %devname
Summary:        iSCSI client development libraries
Group:          Development/C
Requires:       %{libname}%{?_isa} = %{epoch}:%{version}-%{release}
Provides:       libiscsi-devel = %{epoch}:%{version}-%{release}
Obsoletes:      %mklibname -d iscsi 4

%description -n %devname
The %devname package includes the header files for libiscsi.

%files -n %devname
%dir %{libiscsi_includedir}
%{libiscsi_includedir}/iscsi.h
%{libiscsi_includedir}/scsi-lowlevel.h
%{libiscsi_libdir}/libiscsi.so
%{_libdir}/pkgconfig/libiscsi.pc


#######################################################################

%prep
%autosetup -p1

%build
sh autogen.sh
%configure --libdir=%{libiscsi_libdir} \
           --disable-static \
           --disable-werror \
           --without-libgcrypt \
           --with-gnutls
%make_build

%install
%make_install pkgconfigdir=%{_libdir}/pkgconfig

mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d
echo %{libiscsi_libdir} > %{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf
