%define major		5
%define libname		%mklibname isds %{major}
%define develname	%mklibname isds -d

Summary:	The libisds is library for accessing CZ databox SOAP services
Name:		libisds
Version:	0.11.2
Release:	%mkrel 3
License:	LGPLv3
Group:		System/Libraries
URL:		http://xpisar.wz.cz/libisds/
Source0:	http://xpisar.wz.cz/libisds/dist/%{name}-%{version}.tar.xz
Patch1:		0001-Use-CURLOPT_XFERINFOFUNCTION-curl-option-if-available.patch
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	libgcrypt-devel
BuildRequires:	pkgconfig(expat)
BuildRequires:	gettext-devel
BuildRequires:	gpgme-devel
BuildRequires:	xsltproc

%description
Library for accessing ISDS (Informační systém datových schránek -
Data Box Information System) SOAP services as defined in Czech
ISDS Act (300/2008 Coll.) and implied documents.

%package	-n %{libname}
Summary:	The libisds is library for accessing CZ databox SOAP services
Group:		System/Libraries
Requires:	%{name}-i18n = %{version}

%description	-n %{libname}
Library for accessing ISDS (Informační systém datových schránek -
Data Box Information System) SOAP services as defined in Czech
ISDS Act (300/2008 Coll.) and implied documents.

%package	i18n
BuildArch:	noarch
Summary:	Translation files for %{name}
Group:		System/Libraries

%description	i18n
Translation files for %{name}.

%package	-n %{develname}
Summary:	Development files for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure --disable-static --with-libcurl
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -delete
%find_lang %{name}

%files -n %{libname}
%doc README AUTHORS NEWS TODO
%license COPYING
%{_libdir}/%{name}.so.%{major}{,.*}

%files i18n -f %{name}.lang

%files -n %{develname}
%{_includedir}/isds.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/isds.h.3.*
%{_mandir}/man3/libisds.3.*
%doc doc/*
