Name:          libjay-java
Version:       1.0.2
Release:       %mkrel 10
Summary:       Jay Java binding
Group:         Development/Java
License:       BSD
Url:           https://www.cs.rit.edu/~ats/projects/lp/doc/jay/package-summary.html
# svn export http://svn.codehaus.org/jruby/trunk/jay jay-1.0.2
# tar czf jay-1.0.2-src-svn.tar.gz jay-1.0.2
Source0:       jay-1.0.2-src-svn.tar.gz
BuildRequires: java-devel
BuildRequires: jpackage-utils
Requires:      jpackage-utils

%description
jay reads a grammar specification from a file and generates an LALR(1)
parser for it. A parser consists of a set of parsing tables and a driver
routine from a skeleton which is read from standard input. Suitable
skeletons exist for Java and C#.Tables and driver are written to standard 
output.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
jay reads a grammar specification from a file and generates an LALR(1)
parser for it. A parser consists of a set of parsing tables and a driver
routine from a skeleton which is read from standard input. Suitable
skeletons exist for Java and C#.Tables and driver are written to standard 
output.

This package contains javadoc for %{name}.

%package -n jay
Group:         Development/Java
Summary:       a LALR parser generator

%description -n jay
jay reads a grammar specification from a file and generates an LALR(1)
parser for it. A parser consists of a set of parsing tables and a driver
routine from a skeleton which is read from standard input. Suitable
skeletons exist for Java and C#.Tables and driver are written to standard 
output.

%prep
%setup -q -n jay-%{version}

for j in $(find . -name "*.jar"); do
   mv $j $j.no
done
for j in $(find . -name "*.class"); do
   rm -f $j
done

# do not strip debug files
sed -i -e 's|CFLAGS	= -s # -g|CFLAGS	= -g|' src/makefile

%build
mkdir -p classes javadoc
javac -source 1.8 -target 1.8 \
  -classpath classes -g \
  -d classes \
  -encoding iso-8859-1 \
  $(find yydebug -name "*.java")

jar cf yydebug/yydebug.jar -C classes .

make all

javadoc -d javadoc \
  -encoding iso-8859-1 \
  `find yydebug -name \*.java`

%install
mkdir -p %{buildroot}%{_bindir}/
install -pm 755 src/jay %{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{_javadir}/jay
mkdir -p %{buildroot}%{_javadir}/jay/arith
mkdir -p %{buildroot}%{_javadir}/jay/recover

mkdir -p %{buildroot}%{_datadir}/jay
mkdir -p %{buildroot}%{_datadir}/jay/arith
mkdir -p %{buildroot}%{_datadir}/jay/recover

install -pm 644 yydebug/yydebug.jar \
  %{buildroot}%{_javadir}/jay/yydebug-%{version}.jar
install -pm 644 java/arith/arith.jar \
  %{buildroot}%{_javadir}/jay/arith/arith-%{version}.jar
install -pm 644 java/arith/tables.jar \
  %{buildroot}%{_javadir}/jay/arith/tables-%{version}.jar
install -pm 644 java/recover/recover.jar \
  %{buildroot}%{_javadir}/jay/recover/recover-%{version}.jar
install -pm 644 java/recover/tables.jar \
  %{buildroot}%{_javadir}/jay/recover/tables-%{version}.jar

(
  cd %{buildroot}%{_javadir}/jay
  for jar in *-%{version}*; do
    jarname=`echo $jar| sed "s|-%{version}||g"`
    ln -sf ${jar} ${jarname}
    ln -sf ../java/jay/${jarname} %{buildroot}%{_datadir}/jay/${jarname}
  done
)

(
  cd %{buildroot}%{_javadir}/jay/arith
  for jar in *-%{version}*; do
    jarname=`echo $jar| sed "s|-%{version}||g"`
    ln -sf ${jar} ${jarname}
    ln -sf ../../java/jay/arith/${jarname} %{buildroot}%{_datadir}/jay/arith/${jarname}
  done
)

(
  cd %{buildroot}%{_javadir}/jay/recover
  for jar in *-%{version}*; do
    jarname=`echo $jar| sed "s|-%{version}||g"`
    ln -sf ${jar} ${jarname}
    ln -sf ../../java/jay/recover/${jarname} %{buildroot}%{_datadir}/jay/recover/${jarname}
  done
)

cp -pr java/skeleton.{java,tables} %{buildroot}%{_datadir}/jay/

mkdir -p %{buildroot}%{_mandir}/man1
xz -9 jay.1
install -pm 644 jay.1.xz %{buildroot}%{_mandir}/man1

mkdir -p %{buildroot}%{_javadocdir}/jay-%{version}/yydebug
cp -pr javadoc/* %{buildroot}%{_javadocdir}/jay-%{version}/yydebug
ln -s jay-%{version} %{buildroot}%{_javadocdir}/jay

%files
%dir %{_javadir}/jay
%{_javadir}/jay/yydebug-%{version}.jar
%{_javadir}/jay/yydebug.jar
%{_javadir}/jay/arith/arith-%{version}.jar
%{_javadir}/jay/arith/arith.jar
%{_javadir}/jay/arith/tables-%{version}.jar
%{_javadir}/jay/arith/tables.jar
%{_javadir}/jay/recover/recover-%{version}.jar
%{_javadir}/jay/recover/recover.jar
%{_javadir}/jay/recover/tables-%{version}.jar
%{_javadir}/jay/recover/tables.jar
%{_datadir}/jay/arith/arith.jar
%{_datadir}/jay/arith/tables.jar
%{_datadir}/jay/recover/recover.jar
%{_datadir}/jay/recover/tables.jar
%{_datadir}/jay/yydebug.jar
%{_datadir}/jay/skeleton.java
%{_datadir}/jay/skeleton.tables
%doc yydebug/package.html yydebug/doc-files/yyanim.gif

%files javadoc
%{_javadocdir}/jay-%{version}
%{_javadocdir}/jay

%files -n jay
%{_bindir}/jay
%{_mandir}/man1/jay.1*
%doc jay.pdf src/NEW_FEATURES
%doc src/NOTES src/README
%doc src/ACKNOWLEDGEMENTS package.html
%doc doc-files/copyright.html
