%global major 1
%global gmajor 1.0
%define libname %mklibname jcat %{major}
%define girname %mklibname jcat-gir %{gmajor}
%define devname %mklibname -d jcat

Summary:   Library for reading Jcat files
Group:     System/Libraries
Name:      libjcat
Version:   0.1.13
Release:   %mkrel 1
License:   LGPL-2.1-or-later
URL:       https://github.com/hughsie/libjcat
Source0:   https://github.com/hughsie/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: gtk-doc
BuildRequires: meson
BuildRequires: gobject-introspection-devel
BuildRequires: glib2-devel
BuildRequires: json-glib-devel
BuildRequires: gnutls-devel
BuildRequires: gnutls
BuildRequires: gpgme-devel
BuildRequires: vala

%description
This library allows reading and writing gzip-compressed JSON catalog files,
which can be used to store GPG, PKCS-7 and SHA-256 checksums for each file.

This provides equivalent functionality to the catalog files supported in
Microsoft Windows.

%package -n jcat-tool
Summary: Standalone detached signature utility
Group: Development/Other
Conflicts: %{_lib}jcat1 < 0.1.6

%description -n jcat-tool
Standalone detached signature utility.

%package -n %libname
Summary: Library for reading Jcat files
Group: System/Libraries

%description -n %libname
This library allows reading and writing gzip-compressed JSON catalog files,
which can be used to store GPG, PKCS-7 and SHA-256 checksums for each file.

This provides equivalent functionality to the catalog files supported in
Microsoft Windows.

%package -n %girname
Summary: GObject Introspection interface description for Jcat
Group: System/Libraries
Requires: %{libname} = %{version}-%{release}
Conflicts: %{_lib}jcat1 < 0.1.6

%description -n %girname
GObject Introspection interface description for Jcat.

%package -n %devname
Group: Development/C
Summary: Development package for %{name}
Requires: %{libname} = %{version}-%{release}
Requires: %{girname} = %{version}-%{release}

%description -n %devname
Files for development with %{name}.

%package tests
Summary: Files for installed tests

%description tests
Executable and data files for installed tests.

%prep
%setup -q

%build
%meson \
    -Dgtkdoc=true \
    -Dtests=true

%meson_build

%install
%meson_install

%check
%meson_test

%files -n jcat-tool
%doc README.md
%license LICENSE
%{_bindir}/jcat-tool
%{_datadir}/man/man1/jcat-tool.1*

%files -n %libname
%doc README.md
%license LICENSE
%{_libdir}/libjcat.so.%{major}{,.*}

%files -n %girname
%{_libdir}/girepository-1.0/Jcat-%{gmajor}.typelib

%files -n %devname
%doc %{_datadir}/gtk-doc/html/libjcat
%{_datadir}/gir-1.0/Jcat-%{gmajor}.gir
%{_includedir}/libjcat-1/
%{_libdir}/libjcat.so
%{_libdir}/pkgconfig/jcat.pc
%{_datadir}/vala/vapi/jcat.{deps,vapi}

%files tests
%doc README.md
%dir %{_libexecdir}/installed-tests/libjcat
%{_libexecdir}/installed-tests/libjcat/jcat-self-test
%{_libexecdir}/installed-tests/libjcat/colorhug/
%{_libexecdir}/installed-tests/libjcat/pki/
%dir %{_datadir}/installed-tests/libjcat
%{_datadir}/installed-tests/libjcat/*
