%global _hardened_build 1
%global upname joedog

%define major     0
%define libname   %mklibname joedog %{major}
%define develname %mklibname joedog -d

Name:           libjoedog
Version:        0.1.2
Release:        %mkrel 9
Summary:        Repack of the common code base of fido and siege as shared library
Group:          System/Libraries
License:        GPLv2+ and LGPLv2+
URL:            http://www.%{libname}.org/
Source0:        https://github.com/rmohr/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         libjoedog-c99.patch
BuildRequires:  libtool

%description
Siege is a library containing the common code base of siege and fido by Jeff
Fulmer. It consists mostly of convenience wrapper functions and a hash table
implementation.

#------------------------------------------------

%package -n     %{libname}
Summary:        Repack of the common code base of fido and siege as shared library
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

Obsoletes:      libjoedog < 0.1.2-8

%description -n %{libname}
Siege is a library containing the common code base of siege and fido by Jeff
Fulmer. It consists mostly of convenience wrapper functions and a hash table
implementation.

#------------------------------------------------

%package -n     %{develname}
Summary:        Development package for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{upname}-devel = %{version}-%{release}

Obsoletes:      libjoedog-devel < 0.1.2-8

%description -n %{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -p1
# old autotools want m4-dir to be present
mkdir -p m4

%build
autoreconf -vfi
%configure --disable-static
# dirty hack to force immediate binding with hardenend build having
# autocrap's libtool pass the needed ld-specs to the linker.
sed -i -e 's! \\\$compiler_flags !&%{?_hardening_ldflags} !' libtool
%make_build

%install
%make_install

install -Dpm 0644 config.h %{buildroot}%{_includedir}/%{upname}

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc README ChangeLog
%license COPYING
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{version}

%files -n %{develname}
%{_includedir}/%{upname}/
%{_libdir}/%{name}.so
