%define major		8
%define libname		%mklibname jpeg %{major}

%define major6		62
%define lib6name	%mklibname jpeg %{major6}

%define turbomajor	0
%define libturbo	%mklibname turbojpeg %{turbomajor}
%define develname	%mklibname jpeg -d

Summary:	A MMX/SSE2 accelerated library for manipulating JPEG image files
Name:		libjpeg
Epoch:		1
Version:	3.1.0
Release:	%mkrel 1
License:	wxWidgets
Group:		System/Libraries
URL:		https://libjpeg-turbo.org/
# Source is also at https://github.com/libjpeg-turbo/libjpeg-turbo
Source0:	https://github.com/libjpeg-turbo/libjpeg-turbo/releases/download/%{version}/libjpeg-turbo-%{version}.tar.gz
# These two allow automatic lossless rotation of JPEG images from a digital
# camera which have orientation markings in the EXIF data. After rotation
# the orientation markings are reset to avoid duplicate rotation when
# applying these programs again.
Source2:	https://jpegclub.org/jpegexiforient.c
Source3:	https://jpegclub.org/exifautotran.txt
# Mageia patches:
#
BuildRequires:	cmake
BuildRequires:	nasm

%description
The libjpeg package contains a shared library of functions for loading,
manipulating and saving JPEG format image files.

Install the libjpeg package if you need to manipulate JPEG files. You
should also install the jpeg-progs package.

%package -n	%{libname}
Summary:	A MMX/SSE2 accelerated library for manipulating JPEG image files
Group:		System/Libraries
Provides:	%{name} = %{epoch}:%{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with libjpeg-turbo.

%package -n     %{lib6name}
Summary:	A MMX/SSE2 accelerated library for manipulating JPEG image files
Group:		System/Libraries

%description -n %{lib6name}
This package contains the library needed to run programs dynamically
linked with libjpeg-turbo.

%package -n	%{libturbo}
Summary:	A MMX/SSE2 accelerated library for manipulating JPEG image files
Group:		System/Libraries

%description -n %{libturbo}
This package contains the library needed to run programs dynamically
linked with libjpeg-turbo.

%package -n	%{develname}
Summary:	Development tools for programs which will use the libjpeg library
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}
Requires:	%{libturbo} = %{epoch}:%{version}
Provides:	jpeg-devel = %{epoch}:%{version}-%{release}
Provides:	jpeg%{major}-devel = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	libjpeg-turbo-devel

Obsoletes:	%{_lib}jpeg-static-devel < 1:3.0.1-3

%description -n	%{develname}
The libjpeg-devel package includes the header files necessary for 
developing programs which will manipulate JPEG files using
the libjpeg library.

If you are going to develop programs which will manipulate JPEG images,
you should install libjpeg-devel.  You'll also need to have the libjpeg
package installed.

%package -n	jpeg-progs
Summary:	Programs for manipulating JPEG format image files
Group:		Graphics/Utilities
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	jpeg-progs = %{epoch}:%{version}-%{release}
Provides:	libjpeg-progs = %{epoch}:%{version}-%{release}

%description -n	jpeg-progs
The jpeg-progs package contains simple client programs for accessing 
the libjpeg functions.  Libjpeg client programs include cjpeg, djpeg, 
jpegtran, rdjpgcom and wrjpgcom.  Cjpeg compresses an image file into JPEG
format. Djpeg decompresses a JPEG file into a regular image file.  Jpegtran
can perform various useful transformations on JPEG files.  Rdjpgcom displays
any text comments included in a JPEG file.  Wrjpgcom inserts text
comments into a JPEG file.

%prep
%autosetup -p1 -n libjpeg-turbo-%{version}

%build
%define _vpath_builddir 6
%cmake \
    -DENABLE_SHARED:BOOL=ON \
    -DENABLE_STATIC:BOOL=OFF \
    -DCMAKE_SKIP_RPATH:BOOL=YES \
    -DCMAKE_SKIP_INSTALL_RPATH:BOOL=YES
%cmake_build

cd %{_builddir}/libjpeg-turbo-%{version}/

%define _vpath_builddir 8
%cmake  \
    -DWITH_JPEG8:BOOL=ON \
    -DENABLE_SHARED:BOOL=ON \
    -DENABLE_STATIC:BOOL=OFF \
    -DCMAKE_SKIP_RPATH:BOOL=YES \
    -DCMAKE_SKIP_INSTALL_RPATH:BOOL=YES
%cmake_build

cd %{_builddir}/libjpeg-turbo-%{version}/8
gcc %{optflags} -o jpegexiforient %{SOURCE2}

%check
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
%ctest

%install
%cmake_install

rm -fr %{buildroot}%{_datadir}/doc

install -m 755 8/jpegexiforient %{buildroot}%{_bindir}
install -m 755 %{SOURCE3} %{buildroot}%{_bindir}
cp -fP 6/libjpeg.so.* %{buildroot}%{_libdir}

%files -n %{libname}
%license LICENSE.md
%doc doc/coderules.txt doc/libjpeg.txt doc/structure.txt doc/usage.txt doc/wizard.txt
%{_libdir}/libjpeg.so.%{major}{,.*}

%files -n %{lib6name}
%license LICENSE.md
%{_libdir}/libjpeg.so.%{major6}{,.*}

%files -n %{libturbo}
%license LICENSE.md
%{_libdir}/libturbojpeg.so.%{turbomajor}{,.*}

%files -n %{develname}
%{_libdir}/libjpeg.so
%{_libdir}/libturbojpeg.so
%{_libdir}/pkgconfig/libjpeg.pc
%{_libdir}/pkgconfig/libturbojpeg.pc
%{_libdir}/cmake/libjpeg-turbo/
%{_includedir}/*.h

%files -n jpeg-progs
%{_bindir}/*
%{_mandir}/man1/*
