%define jsoncpp_major 1
%define libname       %mklibname jsonrpccpp %{jsoncpp_major}
%define develname     %mklibname jsonrpccpp -d

Name:           libjson-rpc-cpp
Version:        1.4.1
Release:        %mkrel 3
Summary:        C++ JSON Library
License:        Public Domain
Group:          System/Libraries
#Url:           http://jsoncpp.sourceforge.net/
URL:            https://github.com/cinemast/libjson-rpc-cpp
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
#To generate docs
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libmicrohttpd)
BuildRequires:  pkgconfig(hiredis)
BuildRequires:  pkgconfig(jsoncpp)
BuildRequires:  pkgconfig(argtable2)

%description
JsonCpp is a simple API to manipulate JSON value, handle serialization
and unserialization to string.

%package -n %libname
Summary:        JsonCpp library
Group:          System/Libraries

%description -n %libname
This framework provides cross platform JSON-RPC (remote procedure call)
support for C++. It is fully JSON-RPC 2.0 & 1.0 compatible.

%package -n     %{develname}
Summary:        Development files for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       json-rpc-cpp-devel = %{version}-%{release}
Provides:       libjson-rpc-cpp-devel = %{version}-%{release}

%description -n    %{develname}
It can also preserve existing comment in unserialization/serialization steps,
making it a convenient format to store user input files.

Files for building applications with %{name} support.

%prep
%autosetup -p1

%build
%cmake \
	-DCOMPILE_TESTS=NO \
	-DCOMPILE_STUBGEN=NO \
	-DFULL_PATH_LIBDIR=%{_libdir} \
	-DFULL_PATH_INCLUDEDIR=%{_includedir}
%cmake_build

%install
%cmake_install

%files -n %libname
%{_libdir}/libjsonrpccpp-*.so.%{jsoncpp_major}{,.*}

%files -n %develname
%doc AUTHORS.md CHANGELOG.md README.md
%license LICENSE.txt
%{_includedir}/jsonrpccpp/
%{_libdir}/libjsonrpccpp-*.so
%dir %{_libdir}/libjson-rpc-cpp/
%{_libdir}/libjson-rpc-cpp/cmake/
%{_libdir}/pkgconfig/*.pc
