%define major     1
%define libname   %mklibname kate %{major}
%define develname %mklibname kate -d

%bcond_without katedj

Summary:        Karaoke and text codec for embedding in ogg
Name:           libkate
Version:        0.4.3
Release:        %mkrel 2
License:        BSD
Group:          System/Libraries
Url:            https://gitlab.xiph.org/xiph/kate
Source0:        https://downloads.xiph.org/releases/kate/%{name}-%{version}.tar.gz
Patch4:         libkate-KateDJ-man.patch

BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  liboggz-tools
BuildRequires:  bison
BuildRequires:  byacc
BuildRequires:  flex
BuildRequires:  doxygen
%if %{with katedj}
BuildRequires:  python3-wxpython4
%endif

%description
Kate is an overlay codec, originally designed for karaoke and text,
that can be multiplexed in Ogg. Text and images can be carried by a
Kate stream, and animated. Most of the time, this would be multiplexed
with audio/video to carry subtitles, song lyrics (with or without
karaoke data), etc, but doesn't have to be.

Series of curves (splines, segments, etc) may be attached to various
properties (text position, font size, etc) to create animated
overlays. This allows scrolling or fading text to be defined. This can
even be used to draw arbitrary shapes, so hand drawing can also be
represented by a Kate stream.

%package -n %{libname}
Summary:        Karaoke and text codec for embedding in ogg
Group:          System/Libraries

%description -n %{libname}
Kate is an overlay codec, originally designed for karaoke and text,
that can be multiplexed in Ogg. Text and images can be carried by a
Kate stream, and animated. Most of the time, this would be multiplexed
with audio/video to carry subtitles, song lyrics (with or without
karaoke data), etc, but doesn't have to be.

Series of curves (splines, segments, etc) may be attached to various
properties (text position, font size, etc) to create animated
overlays. This allows scrolling or fading text to be defined. This can
even be used to draw arbitrary shapes, so hand drawing can also be
represented by a Kate stream.

%package -n %{develname}
Summary:        Karaoke and text codec for embedding in ogg
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{_lib}kate-static-devel < 0.4.1-14

%description -n %{develname}
Kate is an overlay codec, originally designed for karaoke and text,
that can be multiplexed in Ogg. Text and images can be carried by a
Kate stream, and animated. Most of the time, this would be multiplexed
with audio/video to carry subtitles, song lyrics (with or without
karaoke data), etc, but doesn't have to be.

Series of curves (splines, segments, etc) may be attached to various
properties (text position, font size, etc) to create animated
overlays. This allows scrolling or fading text to be defined. This can
even be used to draw arbitrary shapes, so hand drawing can also be
represented by a Kate stream.

%package tools
Summary:        Karaoke and text codec for embedding in ogg
Group:          Video/Utilities
Requires:       %{libname} = %{version}-%{release}

%if ! %{with katedj}
Obsoletes:      katedj < %{version}-%{release}
%endif

%description tools
Kate is an overlay codec, originally designed for karaoke and text,
that can be multiplexed in Ogg. Text and images can be carried by a
Kate stream, and animated. Most of the time, this would be multiplexed
with audio/video to carry subtitles, song lyrics (with or without
karaoke data), etc, but doesn't have to be.

Series of curves (splines, segments, etc) may be attached to various
properties (text position, font size, etc) to create animated
overlays. This allows scrolling or fading text to be defined. This can
even be used to draw arbitrary shapes, so hand drawing can also be
represented by a Kate stream.

%if %{with katedj}
%package -n katedj
Summary:        Editor and remixer for Kate streams in Ogg
Group:          Video/Utilities
BuildArch:      noarch
Requires:       liboggz-tools
Requires:       python3-wxpython4

%description -n katedj
KateDJ allows extracting Kate tracks embedded in an Ogg stream, editing
them, and rebuilding the Ogg stream after the Kate tracks are modified.
%endif

%prep
%autosetup -p1

# make autoreconf happy
sed -i -e 's,LIBTOOLFLAGS,AM_LIBTOOLFLAGS,g' Makefile.am */Makefile.am
sed -i -e 's,-Werror,-Wno-error,' configure.ac
sed -i -e 's,AC_PROG_LIBTOOL,AM_PROG_AR\nAC_PROG_LIBTOOL,' configure.ac

%build
autoreconf -vfi
%configure \
	--disable-static
%make_build

%install
%make_install

mkdir -p installed-docs
mv %{buildroot}%{_datadir}/doc/%{name}/html installed-docs
rm -rf %{buildroot}%{_datadir}/doc

%check
%__make check

%files tools
%{_bindir}/katalyzer
%{_bindir}/katedec
%{_bindir}/kateenc
%{_mandir}/man1/katalyzer.1*
%{_mandir}/man1/katedec.1*
%{_mandir}/man1/kateenc.1*

%files -n %{libname}
%doc README THANKS AUTHORS
%{_libdir}/libkate.so.%{major}{,.*}
%{_libdir}/liboggkate.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog installed-docs/*
%{_includedir}/kate/
%{_libdir}/libkate.so
%{_libdir}/liboggkate.so
%{_libdir}/pkgconfig/kate.pc
%{_libdir}/pkgconfig/oggkate.pc

%if %{with katedj}
%files -n katedj
%{_bindir}/KateDJ
%{python3_sitelib}/kdj/
%{_mandir}/man1/KateDJ.1.*
%endif
