#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%bcond_without qt5

%define rel 1

Name:           libkcddb
Epoch:          3
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Library for retrieving and sending cddb information
Group:          System/Libraries
License:        GPLv2
URL:            https://www.kde.org/applications/multimedia/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6KCMUtils)

%if %{with qt5}
BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Widgets)

BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5KCMUtils)
%endif
BuildRequires:  pkgconfig(libmusicbrainz5)


%description
A library for retrieving and sending cddb information.

#------------------------------------------------------------------------------

%package -n kcm_cddb
Summary:        KCM module for configuring cddb information
URL:            https://www.kde.org/applications/multimedia/
Group:          Sound/Utilities
Recommends:     kcm_cddb-handbook >= %{epoch}:%{version}

%description -n kcm_cddb
This package provides the KCM configuration tool for cddb.

%files -n kcm_cddb -f %name.lang
%_kf6_categoriesdir/libkcddb.*categories
%_qt6_plugindir/plasma/kcms/systemsettings_qwidgets/kcm_cddb.so
%_kf6_applicationsdir/kcm_cddb.desktop
%_kf6_datadir/config.kcfg/libkcddb5.kcfg

#-----------------------------------------------------------------------------

%package -n kcm_cddb-handbook
Summary:        Handbook package for kcm_cddb
Group:          Documentation
BuildArch:      noarch
Requires:       kcm_cddb >= %{epoch}:%{version}

%description -n kcm_cddb-handbook
This package provides the handbook for KCM cddb.

%files -n kcm_cddb-handbook
%docdir %_kf6_docdir/HTML/
%_kf6_docdir/HTML/*/kcontrol/cddbretrieval5

#------------------------------------------------------------------------------

%define kcddb_major 5
%define libkcddb %mklibname kcddb6_ %kcddb_major

%package -n %{libkcddb}
Summary:        %{name} library
Group:          System/Libraries
Requires:       kcm_cddb >= %{epoch}:%{version}

%description -n %{libkcddb}
A library for retrieving and sending cddb information.

%files -n %{libkcddb}
%_kf6_libdir/libKCddb6.so.%{kcddb_major}{,.*}

#------------------------------------------------------------------------------

%define libkcddb_devel %mklibname kcddb6 -d

%package -n %{libkcddb_devel}
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkcddb = %epoch:%version-%release
Provides:       %{name}-devel = %epoch:%version-%release
Provides:       kcddb-devel = %epoch:%version-%release
Provides:       kcddb6-devel = %epoch:%version-%release

%description -n %{libkcddb_devel}
A library for retrieving and sending cddb information.

This package contains header files needed if you wish to build applications
based on libkcddb.

%files -n %{libkcddb_devel}
%_includedir/KCddb6/
%_kf6_libdir/libKCddb6.so
%_kf6_libdir/cmake/KCddb6/
%_kf6_mkspecsdir/*.pri

#------------------------------------------------------------------------------
%if %{with qt5}

%package -n kf5-kcm_cddb
Summary:        KCM module for configuring cddb information
URL:            https://www.kde.org/applications/multimedia/
Group:          Sound/Utilities

%description -n kf5-kcm_cddb
This package provides the KCM configuration tool for cddb.

%files -n kf5-kcm_cddb
%_kf5_categoriesdir/libkcddb.*categories
%_qt5_plugindir/plasma/kcms/systemsettings_qwidgets/kcm_cddb.so

#-----------------------------------------------------------------------------

%define kf5cddb_major 5
%define libkf5cddb %mklibname kf5cddb %kf5cddb_major

%package -n %{libkf5cddb}
Summary:        %{name} library
Group:          System/Libraries
Requires:       kf5-kcm_cddb >= %{epoch}:%{version}

%description -n %{libkf5cddb}
A library for retrieving and sending cddb information.

%files -n %{libkf5cddb}
%_kf5_libdir/libKF5Cddb.so.%{kf5cddb_major}{,.*}

#------------------------------------------------------------------------------

%define libkf5cddb_devel %mklibname kf5cddb -d

%package -n %{libkf5cddb_devel}
Summary:        Devel stuff for libkf5cddb
Group:          Development/KDE and Qt
Requires:       %libkf5cddb = %epoch:%version-%release
Provides:       libkf5cddb-devel = %epoch:%version-%release
Provides:       kf5cddb-devel = %epoch:%version-%release

%description -n %{libkf5cddb_devel}
A library for retrieving and sending cddb information.

This package contains header files needed if you wish to build applications
based on libkf5cddb.

%files -n %{libkf5cddb_devel}
%_includedir/KCddb5/
%_kf5_includedir/KCddb/
%_kf5_libdir/libKF5Cddb.so
%_kf5_libdir/cmake/KF5Cddb/
%_kf5_mkspecsdir/*.pri
%endif

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%if %{with qt5}
mkdir %{name}_qt5 && pushd %{name}_qt5
%cmake_kf5 -DQT_MAJOR_VERSION=5 -S ..
%cmake_build
popd
%endif

%cmake_kf6 -DQT_MAJOR_VERSION=6
%cmake_build

%install
%if %{with qt5}
pushd %{name}_qt5
%cmake_install
popd
%endif
%cmake_install

%find_lang %{name} --all-name

