#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           libkcompactdisc
Epoch:          3
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        KDE library for playing & ripping CDs
Group:          Sound/Utilities
License:        GPLv2
Url:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Phonon4Qt6)

BuildRequires:  cmake(KF6Solid)
BuildRequires:  cmake(KF6I18n)

BuildRequires:  pkgconfig(alsa)

%description
KDE library for playing & ripping CDs.

#------------------------------------------------------------------------------

%package -n %name-common
Summary:        Common files for %name
Group:          System/Libraries

%description -n %name-common
Common files for %name.

%files -n %name-common -f %name.lang

#------------------------------------------------------------------------------


%define kcompactdisc_major 5
%define libkcompactdisc %mklibname kcompactdisc6_ %kcompactdisc_major

%package -n %libkcompactdisc
Summary:        KDE library for playing & ripping CDs
Group:          System/Libraries
Requires:       %name-common >= %epoch:%version-%release

%description -n %libkcompactdisc
KDE library for playing & ripping CDs.

%files -n %libkcompactdisc
%_kf6_libdir/libKCompactDisc6.so.%{kcompactdisc_major}{,.*}

#------------------------------------------------------------------------------

%define libkcompactdisc_devel %mklibname kcompactdisc6 -d

%package -n %{libkcompactdisc_devel}
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkcompactdisc = %epoch:%version-%release
Provides:       libkcompactdisc-devel = %epoch:%version-%release
Provides:       kcompactdisc-devel = %epoch:%version-%release

%description -n %{libkcompactdisc_devel}
KDE library for playing & ripping CDs.

This package contains header files needed if you wish to build applications
based on libkcompactdisc.

%files -n %{libkcompactdisc_devel}
%_includedir/KCompactDisc6/
%_kf6_libdir/libKCompactDisc6.so
%_kf6_libdir/cmake/KCompactDisc6/
%_kf6_mkspecsdir/qt_KCompactDisc.pri

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%cmake_install
%find_lang %name
