#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

# libkdcraw still needs a Qt5 build for e.g. Krita, kphotoalbum
%bcond_without qt5

%define rel 1

Name:           libkdcraw
Epoch:          2
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        C++ interface around LibRaw library
Group:          System/Libraries
License:        GPLv2
URL:            https://www.kde.org/applications/graphics/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%name-%version.tar.xz
# Branch Patch (100-200)

# Security Patch (500-600)

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Gui)

%if %{with qt5}
BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Gui)
%endif

BuildRequires:  pkgconfig(libraw)

%rename %name-common


%description
Libkdcraw is a C++ interface around LibRaw library used to decode RAW
picture files. More information about LibRaw can be found at
http://www.libraw.org.

%files
%doc README AUTHORS
%_kf6_categoriesdir/libkdcraw.*categories

#------------------------------------------------------------------------------

%define kdcraw_major 5
%define libkdcraw %mklibname kdcrawqt6_ %kdcraw_major

%package -n     %{libkdcraw}
Summary:        Kdcraw library
Group:          System/Libraries
Provides:       kf6dcraw = %epoch:%version-%release
Provides:       kf6kdcraw = %epoch:%version-%release
Requires:       %{name}

%description -n %{libkdcraw}
Libkf6dcraw is a C++ interface around LibRaw library used to decode RAW
picture files. More information about LibRaw can be found at
http://www.libraw.org.

%files -n %{libkdcraw}
%_kf6_libdir/libKDcrawQt6.so.%{kdcraw_major}{,.*}

#------------------------------------------------------------------------------

%define libkdcraw_devel %mklibname kdcrawqt6 -d

%package -n     %{libkdcraw_devel}
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkdcraw = %epoch:%version-%release
Provides:       %name-devel = %epoch:%version-%release
Provides:       kdcraw-devel = %epoch:%version-%release
Provides:       kdcraw-qt6-devel = %epoch:%version-%release

%description -n %{libkdcraw_devel}
Libkf6dcraw is a C++ interface around LibRaw library used to decode RAW
picture files. More information about LibRaw can be found at
http://www.libraw.org.

This package contains header files needed if you wish to build applications
based on %name.

%files -n %{libkdcraw_devel}
%_includedir/KDcrawQt6/
%_kf6_libdir/libKDcrawQt6.so
%_kf6_libdir/cmake/KDcrawQt6/

#------------------------------------------------------------------------------
%if %{with qt5}

%package -n kf5-%{name}
Summary:        C++ interface around LibRaw library
Group:          System/Libraries

%description -n kf5-%{name}
kf5-libkdcraw is a C++ interface around LibRaw library used to decode RAW
picture files. More information about LibRaw can be found at
http://www.libraw.org.

%files -n kf5-%{name}
%doc README AUTHORS
%_kf5_categoriesdir/libkdcraw.*categories

#------------------------------------------------------------------------------

%define kdcraw5_major 5
%define libkdcraw_qt5 %mklibname kf5kdcraw %kdcraw5_major

%package -n     %{libkdcraw_qt5}
Summary:        KF5 Kdcraw library
Group:          System/Libraries
Provides:       kf5dcraw = %epoch:%version-%release
Provides:       kf5kdcraw = %epoch:%version-%release
Requires:       kf5-%{name}

%description -n %{libkdcraw_qt5}
Libkf5dcraw is a C++ interface around LibRaw library used to decode RAW
picture files. More information about LibRaw can be found at
http://www.libraw.org.

%files -n %{libkdcraw_qt5}
%_kf5_libdir/libKF5KDcraw.so.%{kdcraw5_major}{,.*}

#------------------------------------------------------------------------------

%define libkdcraw_qt5_devel %mklibname kf5kdcraw -d

%package -n     %{libkdcraw_qt5_devel}
Summary:        Devel stuff for libkf5kdcraw
Group:          Development/KDE and Qt
Requires:       %libkdcraw_qt5 = %epoch:%version-%release
Provides:       kf5-kdcraw-devel = %epoch:%version-%release

%description -n %{libkdcraw_qt5_devel}
Libkf5dcraw is a C++ interface around LibRaw library used to decode RAW
picture files. More information about LibRaw can be found at
http://www.libraw.org.

This package contains header files needed if you wish to build applications
based on libkf5kdcraw.

%files -n %{libkdcraw_qt5_devel}
%_kf5_includedir/KDCRAW/
%_kf5_libdir/libKF5KDcraw.so
%_kf5_libdir/cmake/KF5KDcraw/
%endif

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%if %{with qt5}
%define _vpath_builddir build-qt5
%cmake_kf5 -DQT_MAJOR_VERSION=5
%cmake_build
%endif

%define _vpath_builddir build-qt6
%cmake_kf6 -DQT_MAJOR_VERSION=6
%cmake_build

%install
%if %{with qt5}
%define _vpath_builddir build-qt5
%cmake_install
%endif

%define _vpath_builddir build-qt6
%cmake_install
