#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           libkdegames
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        KDE - Games
Group:          Graphical desktop/KDE
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://games.kde.org/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickWidgets)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6ColorScheme)
BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6DNSSD)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sndfile)

%description
This packages provides common code and data for many KDE games.

#-------------------------------------------------------------------------------

%package common
Summary:        Common files needed by KDE games
Group:          Graphical desktop/KDE
BuildArch:      noarch
Provides:       kf6kdegames-common = %{epoch}:%{version}-%{release}

%description common
This package provides common files needed by KDE games such as carddecks for KDE
cardgames.

%files common -f %{name}6.lang
%_kf6_categoriesdir/libkdegames.categories
%_kf6_datadir/carddecks/

#------------------------------------------------------------------------------

%package corebindings
Summary:        Qml plugin for kdegames
Group:          Graphical desktop/KDE
Provides:       kf6kdegames-corebindings = %{epoch}:%{version}-%{release}

%description corebindings
Qml plugins for kdegames.

%files corebindings
%_kf6_qmldir/org/kde/games

#-------------------------------------------------------------------------------

%define libkdegames_major 6
%define libkdegames %mklibname kdegames6_ %libkdegames_major

%package -n %libkdegames
Summary:        Runtime Library for kdegames
Group:          System/Libraries
Requires:       kf6kdegames-common >= %{epoch}:%{version}-%{release}
Requires:       kf6kdegames-corebindings >= %{epoch}:%{version}-%{release}

%description -n %libkdegames
Runtime Library for kdegames.

%files -n %libkdegames
%_kf6_libdir/libKDEGames6.so.%{libkdegames_major}{,.*}

#-------------------------------------------------------------------------------

%define libkdegamesprivate_major 6
%define libkdegamesprivate %mklibname kdegames6private %libkdegamesprivate_major

%package -n %libkdegamesprivate
Summary:        Runtime Library for kdegames
Group:          System/Libraries

%description -n %libkdegamesprivate
Runtime Library for kdegames.

%files -n %libkdegamesprivate
%_kf6_libdir/libKDEGames6Private.so.%{libkdegamesprivate_major}{,.*}

#-------------------------------------------------------------------------------

%define libkdegames_devel %mklibname kdegames6 -d

%package -n %libkdegames_devel
Summary:        Headers files for libkdegames
Group:          Development/KDE and Qt
Provides:       kdegames-devel = %epoch:%version
Provides:       libkdegames-devel = %epoch:%version
Requires:       %libkdegames = %epoch:%version
Requires:       %libkdegamesprivate = %epoch:%version

%description -n %libkdegames_devel
Headers files needed to build applications based on kdegames applications.

%files -n %libkdegames_devel
%_includedir/KDEGames6/
%_kf6_libdir/cmake/KDEGames6/
%_kf6_libdir/*.so

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{name}6
