#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Lib for common kdepim apps
Name:           libkdepim
Epoch:          2
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Designer)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6WidgetsAddons)

BuildRequires:  boost-devel


%description
Lib for common kdepim apps.

%files -f %name.lang
%_kf6_categoriesdir/libkdepim.categories
%_kf6_categoriesdir/libkdepim.renamecategories
%_kf6_datadir/dbus-1/interfaces/org.kde.addressbook.service.xml
%_kf6_datadir/dbus-1/interfaces/org.kde.mailtransport.service.xml
%_qt6_plugindir/designer/kdepim6widgets.so

#--------------------------------------------------------------------

%define kpimlibkdepim_major 6
%define libkpimlibkdepim %mklibname kpim6libkdepim %{kpimlibkdepim_major}

%package -n %libkpimlibkdepim
Summary:        Lib for common kdepim apps
Group:          System/Libraries
Requires:       %name >= %epoch:%version-%release

%description -n %libkpimlibkdepim
Lib for common kdepim apps.

%files -n %libkpimlibkdepim
%_kf6_libdir/libKPim6Libkdepim.so.%{kpimlibkdepim_major}{,.*}

#--------------------------------------------------------------------

%define libkdepim_devel %mklibname kpim6libkdepim -d

%package -n %libkdepim_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkpimlibkdepim = %epoch:%version-%release

Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %libkdepim_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %libkdepim_devel
%_includedir/KPim6/Libkdepim/
%_kf6_libdir/libKPim6Libkdepim.so
%_kf6_libdir/cmake/KPim6Libkdepim/
%_kf6_libdir/cmake/KPim6MailTransportDBusService/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name

