Name:           libkdtree++
Version:        0.7.1
Release:        %mkrel 7
Summary:        C++ template container implementation of kd-tree sorting
URL:            http://libkdtree.alioth.debian.org/
License:        Artistic
Group:          System/Libraries
BuildRequires:  gcc-c++
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  pkgconfig(python3)
BuildRequires:  swig

Source0:        https://deb.debian.org/debian/pool/main/libk/libkdtree++/libkdtree++_%{version}+git20101123.orig.tar.xz#/libkdtree++-%{version}.tar.bz2

# Patches from Debian
Patch0:         close-file-handles.patch
Patch1:         fix-python3-incompatibilities.patch
Patch2:         enable-tests.patch
Patch3:         fix-headers-install-location.patch
Patch4:         rename-py-kdtree_test.py.patch
Patch5:         add-setup.py.patch
Patch6:         use-setup.py-in-cmake.patch
Patch7:         disable-improper-test.patch
Patch8:         gcc-5.patch
#Patch from Fedora
Patch9:         libkdtree++-0.7.0-pkgconfig.patch

%description
%{summary}.


%package devel
Summary:        C++ template container implementation of kd-tree sorting
Group:          System/Libraries
Provides:       libkdtree++-static = %{version}
BuildArch:      noarch

%description devel
%{summary}.


%package -n python3-libkdtree++
Summary:        Python 3 language bindings for libkdtree++
Group:          Development/Python
%{?python_provide:%python_provide python3-libkdtree++}

Obsoletes:      python2-libkdtree++ < 0.7.1-2

%description -n python3-libkdtree++
%{summary}.

%package examples
Summary:        Examples for libkdtree++
Group:          System/Libraries
Requires:       libkdtree++-devel = %{version}
BuildArch:      noarch

%description examples
%{summary}.

%prep
%autosetup -p1 -n %{name}

# convert files from ISO-8859-1 to UTF-8 encoding
for f in README
do
  iconv -fiso88591 -tutf8 $f >$f.new
  touch -r $f $f.new
  mv $f.new $f
done

%build
autoreconf -vfi
%configure
%__make

pushd python-bindings
%__make CPPFLAGS="%{optflags} -fPIC `pkg-config --cflags python3`"
popd

%check
pushd examples
%make_build CPPFLAGS="%{optflags}"
./test_kdtree
./test_hayne
popd

pushd python-bindings
%{__python3} py_kdtree_test.py
popd

%install
make install DESTDIR=%{buildroot}
install -d %{buildroot}%{python3_sitearch}
install -pm 0755 python-bindings/_kdtree.so %{buildroot}%{python3_sitearch}/
install -d %{buildroot}%{python3_sitelib}
install -pm 0644 python-bindings/kdtree.py %{buildroot}%{python3_sitelib}/

%files devel
%doc COPYING AUTHORS README NEWS TODO ChangeLog
%{_includedir}/kdtree++/
%{_datadir}/pkgconfig/*.pc

%files -n python3-libkdtree++
%doc COPYING AUTHORS README NEWS TODO ChangeLog
%{python3_sitearch}/_kdtree.so
%{python3_sitelib}/kdtree.py
%{python3_sitelib}/__pycache__/*

%files examples
%doc examples/CMakeLists.txt
%doc examples/Makefile
%doc examples/test*.cpp

