#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Library to parse, convert, and manipulate KVTML files
Name:           libkeduvocdocument
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6KIO)


%description
Library to parse, convert, and manipulate KVTML files.

#------------------------------------------------------------------------------

%package -n %name-common
Summary:        Common files for %name
Group:          System/Libraries

%description -n %name-common
Common files for %name.

%files -n %name-common -f %name.lang

#------------------------------------------------------------------------------

%define keduvocdocument_major 5
%define libkeduvocdocument %mklibname keduvocdocument %{keduvocdocument_major}

%package -n %libkeduvocdocument
Summary:        Library to parse, convert, and manipulate KVTML files
Group:          System/Libraries
Requires:       %name-common >= %version-%release

%description -n %libkeduvocdocument
Library to parse, convert, and manipulate KVTML files.

%files -n %libkeduvocdocument
%_kf6_libdir/libKEduVocDocument.so.%{keduvocdocument_major}{,.*}

#--------------------------------------------------------------------

%define keduvocdocument_devel %mklibname keduvocdocument -d

%package -n %keduvocdocument_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkeduvocdocument = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %keduvocdocument_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %keduvocdocument_devel
%_includedir/libkeduvocdocument/
%_kf6_libdir/cmake/libkeduvocdocument/
%_kf6_libdir/libKEduVocDocument.so

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name

