#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           libkexiv2
Summary:        Wrapper around exiv2 library
Epoch:          2
Version: 25.04.0
Release:        %mkrel %{rel}
Group:          System/Libraries
License:        GPLv2
URL:            https://www.kde.org/applications/graphics/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%name-%version.tar.xz
# Branch Patch (100-200)

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Xml)

BuildRequires:  pkgconfig(exiv2) >= 0.25

%description
Libkexiv2 is a wrapper around Exiv2 library to manipulate pictures
metadata as EXIF/IPTC and XMP.

%files
%_kf6_categoriesdir/libkexiv2.*categories

#------------------------------------------------------------------------------

%define kexiv2_major 0
%define libkexiv2 %mklibname kexiv2qt6_ %kexiv2_major

%package -n %{libkexiv2}
Summary:        %{name} library
Group:          System/Libraries
Requires:       %{name} >= %epoch:%version-%release

%description -n %{libkexiv2}
Libkexiv2 is a wrapper around Exiv2 library to manipulate pictures
metadata as EXIF/IPTC and XMP.

%files -n %{libkexiv2}
%{_kf6_libdir}/libKExiv2Qt6.so.%{kexiv2_major}
%{_kf6_libdir}/libKExiv2Qt6.so.5*

#------------------------------------------------------------------------------

%define libkexiv2_devel %mklibname kexiv2qt6 -d

%package -n %{libkexiv2_devel}
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkexiv2 = %epoch:%version-%release
Provides:       %name-devel = %epoch:%version-%release

%description -n %{libkexiv2_devel}
Libkexiv2 is a wrapper around Exiv2 library to manipulate pictures
metadata as EXIF/IPTC and XMP.

This package contains header files needed if you wish to build applications
based on libkf6exiv2.

%files -n %{libkexiv2_devel}
%{_includedir}/KExiv2Qt6/
%{_kf6_libdir}/*.so
%{_kf6_libdir}/cmake/KExiv2Qt6/

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%cmake_install
