#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:	Accessing various Google services via their public API
Name:		libkgapi
Version: 25.04.0
Release:	%mkrel %rel
License:	GPLv2+
Group:		Graphical desktop/KDE
URL:		https://www.kde.org/
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
Patch0:		0001-Build-saslplugin-as-a-module.patch

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Help)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)

BuildRequires:	cmake(KF6Wallet)
BuildRequires:	cmake(KF6CalendarCore)
BuildRequires:	cmake(KF6Contacts)

BuildRequires:	pkgconfig(libsasl2)

%description
LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
for various Google services.

Currently supported APIs:
  - Calendar API v3 (https://developers.google.com/google-apps/calendar)
  - Contacts API v3 (https://developers.google.com/google-apps/contacts/v3/)
  - Tasks API v1 (https://developers.google.com/google-apps/tasks)
  - Latitude API v1 (https://developers.google.com/latitude/v1/)
  - Static Google Maps API v2
    (https://developers.google.com/maps/documentation/staticmaps/)
  - Drive API v2 (https://developers.google.com/drive/v2/reference)

%files -f %{name}6_qt.lang
%{_kf6_categoriesdir}/libkgapi.categories

#--------------------------------------------------------------------

%define libkpimgapiblogger_major  6
%define libkpimgapiblogger        %mklibname kpim6gapiblogger %{libkpimgapiblogger_major}

%package -n	%{libkpimgapiblogger}
Summary:	Runtime library for %{name}
Group:		System/Libraries
Recommends:	%{name} = %{version}

%description -n	%{libkpimgapiblogger}
Runtime Library for %{name}.

%files -n %{libkpimgapiblogger}
%{_kf6_libdir}/libKPim6GAPIBlogger.so.%{libkpimgapiblogger_major}{,.*}

#----------------------------------------------------------------------

%define libkpimgapicalendar_major 6
%define libkpimgapicalendar       %mklibname kpim6gapicalendar %{libkpimgapicalendar_major}

%package -n	%{libkpimgapicalendar}
Summary:	Runtime library for %{name}
Group:		System/Libraries
Recommends:	%{name} = %{version}

%description -n	%{libkpimgapicalendar}
Runtime Library for %{name}.

%files -n %{libkpimgapicalendar}
%{_kf6_libdir}/libKPim6GAPICalendar.so.%{libkpimgapicalendar_major}{,.*}

#----------------------------------------------------------------------

%define libkpimgapipeople_major 6
%define libkpimgapipeople       %mklibname kpim6gapipeople %{libkpimgapipeople_major}

%package -n	%{libkpimgapipeople}
Summary:	Runtime library for %{name}
Group:		System/Libraries
Recommends:	%{name} = %{version}

%description -n	%{libkpimgapipeople}
Runtime Library for %{name}.

%files -n %{libkpimgapipeople}
%{_kf6_libdir}/libKPim6GAPIPeople.so.%{libkpimgapipeople_major}{,.*}

#----------------------------------------------------------------------

%define libkpimgapicore_major     6
%define libkpimgapicore           %mklibname kpim6gapicore %{libkpimgapicore_major}

%package -n	%{libkpimgapicore}
Summary:	Runtime library for %{name}
Group:		System/Libraries
Requires:	sasl2-plugin-kdexoauth2 >= %{version}
Recommends:	%{name} = %{version}

%description -n	%{libkpimgapicore}
Runtime Library for %{name}.

%files -n %{libkpimgapicore}
%{_kf6_libdir}/libKPim6GAPICore.so.%{libkpimgapicore_major}{,.*}

#----------------------------------------------------------------------

%define libkpimgapidrive_major    6
%define libkpimgapidrive          %mklibname kpim6gapidrive %{libkpimgapidrive_major}

%package -n	%{libkpimgapidrive}
Summary:	Runtime library for %{name}
Group:		System/Libraries
Recommends:	%{name} = %{version}

%description -n	%{libkpimgapidrive}
Runtime Library for %{name}.

%files -n %{libkpimgapidrive}
%{_kf6_libdir}/libKPim6GAPIDrive.so.%{libkpimgapidrive_major}{,.*}

#----------------------------------------------------------------------

%define libkpimgapilatitude_major 6
%define libkpimgapilatitude       %mklibname kpim6gapilatitude %{libkpimgapilatitude_major}

%package -n	%{libkpimgapilatitude}
Summary:	Runtime library for %{name}
Group:		System/Libraries
Recommends:	%{name} = %{version}

%description -n	%{libkpimgapilatitude}
Runtime Library for %{name}.

%files -n %{libkpimgapilatitude}
%{_kf6_libdir}/libKPim6GAPILatitude.so.%{libkpimgapilatitude_major}{,.*}

#----------------------------------------------------------------------

%define libkpimgapimaps_major     6
%define libkpimgapimaps           %mklibname kpim6gapimaps %{libkpimgapimaps_major}

%package -n	%{libkpimgapimaps}
Summary:	Runtime library for %{name}
Group:		System/Libraries
Recommends:	%{name} = %{version}

%description -n	%{libkpimgapimaps}
Runtime Library for %{name}.

%files -n %{libkpimgapimaps}
%{_kf6_libdir}/libKPim6GAPIMaps.so.%{libkpimgapimaps_major}{,.*}

#----------------------------------------------------------------------

%define libkpimgapitasks_major    6
%define libkpimgapitasks          %mklibname kpim6gapitasks %{libkpimgapitasks_major}

%package -n	%{libkpimgapitasks}
Summary:	Runtime library for %{name}
Group:		System/Libraries
Recommends:	%{name} = %{version}

%description -n	%{libkpimgapitasks}
Runtime Library for %{name}.

%files -n %{libkpimgapitasks}
%{_kf6_libdir}/libKPim6GAPITasks.so.%{libkpimgapitasks_major}{,.*}

#----------------------------------------------------------------------

# TODO This one replace libkdexoauth2 provided by kdepim-runtime
#      so should we obsoletes/conflicts the old one??

%define libkdexoauth2             %mklibname sasl2-plug-kdexoauth2

%package -n	%libkdexoauth2
Summary:	Cyrus SASL 2 plugin for %{name}
Group:		System/Libraries
Provides:	sasl2-plugin-kdexoauth2 = %{version}-%{release}
Provides:	sasl-plug-kdexoauth2 = %{version}-%{release}

%description -n	%libkdexoauth2
This package provides a Cyrus SASL plugin to use Google's XOAUTH
authentication for receiving and sending mail through Google servers.

%files -n %libkdexoauth2
# Don't remove this file (it is a plugin mga#23035)
%_kf6_libdir/sasl2/libkdexoauth2.so

#----------------------------------------------------------------------

%define libkgapi_devel         %mklibname kpim6gapi -d

%package -n	%{libkgapi_devel}
Summary:	Devel files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libkpimgapiblogger} = %{version}
Requires:	%{libkpimgapicalendar} = %{version}
Requires:	%{libkpimgapipeople} = %{version}
Requires:	%{libkpimgapidrive} = %{version}
Requires:	%{libkpimgapicore} = %{version}
Requires:	%{libkpimgapilatitude} = %{version}
Requires:	%{libkpimgapimaps} = %{version}
Requires:	%{libkpimgapitasks} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	kgapi-devel = %{version}-%{release}
Provides:	kpim6gapi-devel = %{version}-%{release}
Provides:	kpimgapi-devel = %{version}-%{release}
Provides:	libkpim6gapi-devel = %{version}-%{release}

%description -n %{libkgapi_devel}
Devel files for %{name}.

%files -n %{libkgapi_devel}
%{_includedir}/KPim6/*
%{_kf6_libdir}/libKPim6GAPI*.so
%{_kf6_libdir}/cmake/KPim6GAPI/

#---------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install

%find_lang_kf6 %{name}6_qt
