#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        This lib provides crypto for mails
Name:           libkleo
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://kontact.kde.org
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6ColorScheme)
BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Codecs)
BuildRequires:  cmake(KF6ItemModels)
BuildRequires:  cmake(KF6TextCustomEditor)

BuildRequires:  cmake(KPim6TextEdit)

BuildRequires:  cmake(QGpgmeQt6)
BuildRequires:  cmake(Gpgmepp)
BuildRequires:  boost-devel

%description
This lib provides crypto for mails.

%files -f %name.lang
%_kf6_sysconfdir/xdg/libkleopatrarc
%_kf6_categoriesdir/libkleo.categories
%_kf6_categoriesdir/libkleo.renamecategories
%_kf6_datadir/libkleopatra/

#--------------------------------------------------------------------

%define kpimlibkleo_major 6
%define libkpimlibkleo %mklibname kpim6libkleo %{kpimlibkleo_major}

%package -n %libkpimlibkleo
Summary:        This lib provides crypto for mails
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkpimlibkleo
This lib provides crypto for mails.

%files -n %libkpimlibkleo
%_kf6_libdir/libKPim6Libkleo.so.%{kpimlibkleo_major}{,.*}

#--------------------------------------------------------------------

%define kpimlibkleo_devel %mklibname kpim6libkleo -d

%package -n %kpimlibkleo_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkpimlibkleo = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kpimlibkleo_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kpimlibkleo_devel
%_includedir/KPim6/Libkleo/
%_kf6_libdir/libKPim6Libkleo.so
%_kf6_libdir/cmake/KPim6Libkleo/
%_kf6_datadir/KPim6Libkleo/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name

