#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           libkmahjongg
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Library used for loading and rendering of Mahjongg tilesets
Group:          Graphical desktop/KDE
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://games.kde.org/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Svg)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6I18n)

%description
This package provides the library for loading and rendering of Mahjongg tilesets
and associated backgrounds, used by KMahjongg and KShisen.

#------------------------------------------------------------------------------

%package -n     kmahjongglib
Summary:        Common files needed by KMahjongg and KShisen
Group:          Games/Other
BuildArch:      noarch

%description -n kmahjongglib
Common files needed by KMahjongg and KShisen.

%files -n kmahjongglib -f %{name}6.lang
%_kf6_categoriesdir/libkmahjongg.*categories
%_kf6_datadir/kmahjongglib/

#-------------------------------------------------------------------------------

%define libkmahjongglib_major 6
%define libkmahjongglib %mklibname kmahjongg6_ %{libkmahjongglib_major}

%package -n     %libkmahjongglib
Summary:        Runtime library for kmahjongg
Group:          System/Libraries
Requires:       kmahjongglib = %epoch:%version-%release

%description -n %libkmahjongglib
Runtime library for kmahjongg.

%files -n %libkmahjongglib
%_kf6_libdir/libKMahjongg6.so.%{libkmahjongglib_major}{,.*}

#-------------------------------------------------------------------------------

%define libkmahjongglib_d %mklibname kmahjongglib6 -d

%package -n %libkmahjongglib_d
Summary:        Headers files for libkmahjongg
Group:          Development/KDE and Qt
Requires:       %libkmahjongglib = %epoch:%version
Provides:       %{name}-devel = %epoch:%version-%release

%description -n %libkmahjongglib_d
Headers files needed to build applications based on kdegames applications.

%files -n %libkmahjongglib_d
%_includedir/KMahjongg6/
%_kf6_libdir/*.so
%_kf6_libdir/cmake/KMahjongglib6/

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{name}6
