#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:          libkomparediff2
Epoch:         1
Version: 25.04.0
Release:       %mkrel %{rel}
Summary:       Library to compare files and strings
Group:         System/Libraries
License:       GPLv2
URL:           https://invent.kde.org/sdk/libkomparediff2
Source:        https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz
# Branch Patch (100-200)

BuildRequires: kf6-rpm-macros

BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6Test)
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Widgets)

BuildRequires: cmake(KF6CoreAddons)
BuildRequires: cmake(KF6Config)
BuildRequires: cmake(KF6XmlGui)
BuildRequires: cmake(KF6I18n)
BuildRequires: cmake(KF6KIO)

%description
A shared library to compare files and strings using kdelibs and GNU diff,
used in Kompare and KDevelop.

#------------------------------------------------------------------------------

%package -n %name-common
Summary:        Common files for %name
Group:          System/Libraries

%description -n %name-common
Common files for %name.

%files -n %name-common -f %name.lang
%_kf6_categoriesdir/libkomparediff2.*categories

#------------------------------------------------------------------------------

%define komparediff2_major 6
%define libkomparediff2 %mklibname komparediff2_ %komparediff2_major

%package -n %{libkomparediff2}
Summary:        Library to compare files and strings
Group:          System/Libraries
Requires:       %name-common >= %epoch:%version-%release

%description -n %{libkomparediff2}
A shared library to compare files and strings using kdelibs and GNU diff,
used in Kompare and KDevelop.

%files -n %{libkomparediff2}
%_kf6_libdir/libkomparediff2.so.%{komparediff2_major}{,.*}

#------------------------------------------------------------------------------

%define libkomparediff2_devel %mklibname komparediff2 -d

%package -n %{libkomparediff2_devel}
Summary:       Library to compare files and strings
Group:         Development/KDE and Qt
Requires:      %libkomparediff2 = %epoch:%version-%release
Provides:      %name-devel = %epoch:%version-%release

%description -n %{libkomparediff2_devel}
A shared library to compare files and strings using kdelibs and GNU diff,
used in Kompare and KDevelop.

%files -n %{libkomparediff2_devel}
%_includedir/KompareDiff2/
%_kf6_libdir/cmake/KompareDiff2/
%_kf6_libdir/libkomparediff2.so

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %name
