#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           libksane
Epoch:          2
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        A library for dealing with scanners
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://invent.kde.org/graphics/libksane
Source:         https://download.kde.org/stable/release-service/%{version}/src/%name-%version.tar.xz
# Branch Patch (100-200)

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6Wallet)

BuildRequires:  cmake(KSaneCore6)

BuildRequires:  pkgconfig(sane-backends)


%description
LibKSane is a KDE interface for SANE library to control flat scanner.

%files -f %name.lang
%_kf6_iconsdir/hicolor/16x16/actions/*

#------------------------------------------------------------------------------

%define ksane_major 6
%define libksane %mklibname ksanewidgets6_ %ksane_major

%package -n %libksane
Summary:        A library for dealing with scanners
Group:          System/Libraries
Provides:       ksane = %epoch:%version-%release
Requires:       %name >= %epoch:%version-%release

%description -n %libksane
LibKSane is a KDE interface for SANE library to control flat scanners.

%files -n %libksane
%_kf6_libdir/libKSaneWidgets6.so.%{ksane_major}
%_kf6_libdir/libKSaneWidgets6.so.%{version}

#------------------------------------------------------------------------------

%define libksane_devel %mklibname ksanewidgets6 -d

%package -n %libksane_devel
Summary:        Devel stuff for %{name}
Group:          Development/KDE and Qt
Requires:       %libksane = %epoch:%version-%release
Provides:       %name-devel = %epoch:%version-%release

%description -n %libksane_devel
LibKSane is a KDE interface for SANE library to control flat scanner.

This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %libksane_devel
%_includedir/KSaneWidgets6/
%_kf6_libdir/cmake/KSaneWidgets6/
%_kf6_libdir/libKSaneWidgets6.so

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %name

