#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Display configuration library
Name:           libkscreen
Version: 6.3.4
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6WaylandClient)

BuildRequires:  pkgconfig(xrandr)
BuildRequires:  cmake(PlasmaWaylandProtocols)

# jq executable not found, zsh completions won't work at their full capacity
BuildRequires:  jq

%description
LibKScreen is a library that provides access to current configuration
of connected displays and ways to change the configuration.

%files -f libkscreen6_qt.lang
%_kf6_categoriesdir/libkscreen.categories
%_kf6_bindir/kscreen-doctor
%_kf6_plugindir/kscreen
%_kf6_libexecdir/kscreen_backend_launcher
%_kf6_datadir/dbus-1/services/org.kde.kscreen.service
%_userunitdir/plasma-kscreen.service
%_kf6_datadir/zsh/site-functions/_kscreen-doctor

#--------------------------------------------------------------------

%define kf6kscreen_major 8
%define libkf6kscreen %mklibname kf6kscreen %{kf6kscreen_major}

%package -n %libkf6kscreen
Summary:        Display configuration library
Group:          System/Libraries
Recommends:     %{name} >= %{version}-%{release}

%description -n %libkf6kscreen
LibKScreen is a library that provides access to current configuration
of connected displays and ways to change the configuration.

%files -n %libkf6kscreen
%_kf6_libdir/libKF6Screen.so.%{kf6kscreen_major}
%_kf6_libdir/libKF6Screen.so.%{version}

#--------------------------------------------------------------------

%define kf6kscreendpms_major 8
%define libkf6kscreendpms %mklibname kf6kscreendpms %{kf6kscreendpms_major}

%package -n %libkf6kscreendpms
Summary:        Display configuration library
Group:          System/Libraries
Recommends:     %{name} >= %{version}-%{release}

%description -n %libkf6kscreendpms
LibKScreen is a library that provides access to current configuration
of connected displays and ways to change the configuration.

%files -n %libkf6kscreendpms
%_kf6_libdir/libKF6ScreenDpms.so.%{kf6kscreen_major}
%_kf6_libdir/libKF6ScreenDpms.so.%{version}

#--------------------------------------------------------------------

%define kf6kscreen_devel %mklibname kf6kscreen -d

%package -n %kf6kscreen_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6kscreen = %{version}-%{release}
Requires:       %libkf6kscreendpms = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6kscreen_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6kscreen_devel
%_kf6_includedir/KScreen/
%_kf6_includedir/kscreen_version.h
%_kf6_libdir/libKF6Screen.so
%_kf6_libdir/libKF6ScreenDpms.so
%_kf6_libdir/pkgconfig/KF6Screen.pc
%_kf6_libdir/cmake/KF6Screen/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang_kf6 libkscreen6_qt
