#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        This lib manages sieve support
Name:           libksieve
Epoch:          2
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6UiTools)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6WebEngineWidgets)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6SyntaxHighlighting)
BuildRequires:  cmake(KF6Sonnet)
BuildRequires:  cmake(KF6TextEditTextToSpeech)
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  cmake(KPim6PimCommon)
BuildRequires:  cmake(KPim6Libkdepim)
BuildRequires:  cmake(KPim6IdentityManagementCore)
BuildRequires:  cmake(KPim6MailTransport)
BuildRequires:  cmake(KPim6IMAP)

BuildRequires:  cmake(KF6TextCustomEditor)
BuildRequires:  cmake(KF6TextAddonsWidgets)
BuildRequires:  cmake(KF6TextUtils)
BuildRequires:  cmake(KF6DocTools)

%description
This lib manages sieve support.

%files -f %name.lang
%_kf6_categoriesdir/libksieve.categories
%_kf6_categoriesdir/libksieve.renamecategories
%_kf6_datadir/knsrcfiles/ksieve_script.knsrc
%_kf6_datadir/sieve

#--------------------------------------------------------------------

%define kpimkmanagesieve_major 6
%define libkpimkmanagesieve %mklibname kpim6kmanagesieve %{kpimkmanagesieve_major}

%package -n %libkpimkmanagesieve
Summary:        This lib manages sieve support
Group:          System/Libraries
Requires:       %name = %epoch:%version

%description -n %libkpimkmanagesieve
This lib manages sieve support.

%files -n %libkpimkmanagesieve
%_kf6_libdir/libKPim6KManageSieve.so.%{kpimkmanagesieve_major}{,.*}

#--------------------------------------------------------------------

%define kpimksieve_major 6
%define libkpimksieve %mklibname kpim6ksieve %{kpimksieve_major}

%package -n %libkpimksieve
Summary:        This lib manages sieve support
Group:          System/Libraries
Requires:       %name = %epoch:%version

%description -n %libkpimksieve
This lib manages sieve support.

%files -n %libkpimksieve
%_kf6_libdir/libKPim6KSieve.so.%{kpimksieve_major}{,.*}

#--------------------------------------------------------------------

%define kpimksievecore_major 6
%define libkpimksievecore %mklibname kpim6ksievecore %{kpimksievecore_major}

%package -n %libkpimksievecore
Summary:        This lib manages sieve support
Group:          System/Libraries
Requires:       %name = %epoch:%version

%description -n %libkpimksievecore
This lib manages sieve support.

%files -n %libkpimksievecore
%_kf6_libdir/libKPim6KSieveCore.so.%{kpimksievecore_major}{,.*}

#--------------------------------------------------------------------

%define kpimksieveui_major 6
%define libkpimksieveui %mklibname kpim6ksieveui %{kpimksieveui_major}

%package -n %libkpimksieveui
Summary:        This lib manages sieve support
Group:          System/Libraries
Requires:       %name >= %epoch:%version

%description -n %libkpimksieveui
This lib manages sieve support.

%files -n %libkpimksieveui
%_kf6_libdir/libKPim6KSieveUi.so.%{kpimksieveui_major}{,.*}

#--------------------------------------------------------------------

%define libksieve_devel %mklibname kpim6ksieve -d

%package -n %libksieve_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkpimkmanagesieve = %epoch:%version-%release
Requires:       %libkpimksieve = %epoch:%version-%release
Requires:       %libkpimksievecore = %epoch:%version-%release
Requires:       %libkpimksieveui = %epoch:%version-%release

Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %libksieve_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %libksieve_devel
%_includedir/KPim6/KManageSieve/
%_includedir/KPim6/KSieveUi/
%_includedir/KPim6/KSieve/
%_includedir/KPim6/KSieveCore/
%_kf6_libdir/*.so
%_kf6_libdir/cmake/KPim6KManageSieve/
%_kf6_libdir/cmake/KPim6KSieveUi/
%_kf6_libdir/cmake/KPim6KSieve/
%_kf6_libdir/cmake/KPim6KSieveCore/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name
