#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Ksysguard libraries
Name:           libksysguard
Version: 6.3.4
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6OpenGL)
BuildRequires:  cmake(Qt6PrintSupport)
%ifarch aarch64 x86_64
BuildRequires:  cmake(Qt6WebEngineWidgets)
BuildRequires:  cmake(Qt6WebChannel)
%endif
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6UiPlugin)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6JobWidgets)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6Auth)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6GlobalAccel)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Package)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6Solid)

BuildRequires:  pkgconfig(libnl-3.0)
BuildRequires:  pkgconfig(libpcap)
BuildRequires:  lm_sensors-devel

Provides:       ksysguard = %version-%release


%description
Ksysguard libraries.

%files -f %name.lang
%_kf6_categoriesdir/libksysguard.categories
%dir %_libexecdir/ksysguard
%caps(cap_net_raw=ep) %_libexecdir/ksysguard/ksgrd_network_helper
%_kf6_plugindir/packagestructure/ksysguard_sensorface.so
%_qt6_plugindir/ksysguard/process/ksysguard_plugin_nvidia.so
%_qt6_plugindir/ksysguard/process/ksysguard_plugin_network.so
%_kf6_qmldir/org/kde/ksysguard/
%_kf6_datadir/dbus-1/system.d/org.kde.ksysguard.processlisthelper.conf
%_kf6_libexecdir/kauth/ksysguardprocesslist_helper
%_kf6_datadir/dbus-1/system-services/org.kde.ksysguard.processlisthelper.service
%_kf6_datadir/dbus-1/interfaces/org.kde.ksystemstats1.xml
%_kf6_datadir/polkit-1/actions/org.kde.ksysguard.processlisthelper.policy
%_kf6_datadir/ksysguard/
%_kf6_datadir/knsrcfiles/systemmonitor-*.knsrc

#--------------------------------------------------------------------

%define ksysguardformatter_major 2
%define libksysguardformatter %mklibname ksysguardformatter %{ksysguardformatter_major}

%package -n %libksysguardformatter
Summary:        Ksysguard libraries
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libksysguardformatter
Ksysguard libraries.

%files -n %libksysguardformatter
%{_kf6_libdir}/libKSysGuardFormatter.so.%{ksysguardformatter_major}{,.*}
%{_kf6_libdir}/libKSysGuardFormatter.so.%{version}

#--------------------------------------------------------------------

%define ksysguardsensorfaces_major 2
%define libksysguardsensorfaces %mklibname ksysguardsensorfaces %{ksysguardsensorfaces_major}

%package -n %libksysguardsensorfaces
Summary:        Ksysguard libraries
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libksysguardsensorfaces
Ksysguard libraries.

%files -n %libksysguardsensorfaces
%{_kf6_libdir}/libKSysGuardSensorFaces.so.%{ksysguardsensorfaces_major}{,.*}
%{_kf6_libdir}/libKSysGuardSensorFaces.so.%{version}

#--------------------------------------------------------------------

%define ksysguardsensors_major 2
%define libksysguardsensors %mklibname ksysguardsensors %{ksysguardsensors_major}

%package -n %libksysguardsensors
Summary:        Ksysguard libraries
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libksysguardsensors
Ksysguard libraries.

%files -n %libksysguardsensors
%{_kf6_libdir}/libKSysGuardSensors.so.%{ksysguardsensors_major}{,.*}
%{_kf6_libdir}/libKSysGuardSensors.so.%{version}

#--------------------------------------------------------------------

%define processcore_major 10
%define libprocesscore %mklibname processcore %{processcore_major}

%package -n %libprocesscore
Summary:        Ksysguard libraries
Group:          System/Libraries

%description -n %libprocesscore
Ksysguard libraries.

%files -n %libprocesscore
%{_kf6_libdir}/libprocesscore.so.%{processcore_major}{,.*}
%{_kf6_libdir}/libprocesscore.so.%{version}

#--------------------------------------------------------------------

%define ksysguardsystemstats_major 2
%define libksysguardsystemstats %mklibname ksysguardsystemstats %{ksysguardsystemstats_major}

%package -n %libksysguardsystemstats
Summary:        Ksysguard libraries
Group:          System/Libraries

%description -n %libksysguardsystemstats
Ksysguard libraries.

%files -n %libksysguardsystemstats
%{_kf6_libdir}/libKSysGuardSystemStats.so.%{ksysguardsystemstats_major}{,.*}
%{_kf6_libdir}/libKSysGuardSystemStats.so.%{version}
#--------------------------------------------------------------------

%define ksysguard_devel %mklibname ksysguard -d

%package -n %ksysguard_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %{version}-%{release}
Requires:       %libksysguardformatter = %{version}-%{release}
Requires:       %libksysguardsensorfaces = %{version}-%{release}
Requires:       %libksysguardsensors = %{version}-%{release}
Requires:       %libprocesscore = %{version}-%{release}
Requires:       %libksysguardsystemstats = %{version}-%{release}
Requires:       cmake(Qt6DBus)

Provides:       %name-devel = %{version}-%{release}

%description -n %ksysguard_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %ksysguard_devel
%_includedir/ksysguard/
%_kf6_libdir/cmake/KSysGuard/
%_kf6_libdir/*.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %name --all-name
