#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           libktorrent
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        BitTorrent program for KDE
Group:          Networking/File transfer
License:        GPLv2+
Url:            https://www.kde.org/applications/internet/ktorrent/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# Upstream branch patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Solid)

BuildRequires:  doxygen
BuildRequires:  git-core
BuildRequires:  boost-devel
BuildRequires:  pkgconfig(gmp)
BuildRequires:  pkgconfig(libgcrypt)

%description
KTorrent is a BitTorrent program for KDE. It's main features are:
 o Downloads torrent files
 o Upload speed capping, seeing that most people can't upload
   infinite amounts of data.
 o Internet searching using  The Bittorrent website's search engine
 o UDP Trackers

#-------------------------------------------------------------------------

%package        common
Summary:        Common files of libktorrent
Group:          System/Libraries
BuildArch:      noarch

%description    common
Common files for libktorrent, used by KTorrent, a BitTorrent program for KDE.

%files common -f %{name}.lang


#-------------------------------------------------------------------------

%define ktorrent_major 6
%define libktorrent %mklibname ktorrent6_ %ktorrent_major

%package -n     %libktorrent
Summary:        Ktorrent library
Group:          System/Libraries
Requires:       libktorrent-common >= %{version}

%description -n %libktorrent
KTorrent is a BitTorrent program for KDE. It's main features are:
 o Downloads torrent files
 o Upload speed capping, seeing that most people can't upload
   infinite amounts of data.
 o Internet searching using  The Bittorrent website's search engine
 o UDP Trackers

%files -n %libktorrent
%_kf6_libdir/libKTorrent6.so.%{ktorrent_major}
%_kf6_libdir/libKTorrent6.so.%{version}

#-------------------------------------------------------------------------

%define develname %mklibname ktorrent6 -d

%package -n     %{develname}
Summary:        Ktorrent plugin devel headers
Group:          Development/KDE and Qt
Requires:       %{libktorrent} = %{version}
Provides:       %{name}-devel = %{version}
Provides:       ktorrent-devel = %{version}

%description -n %{develname}
Ktorrent plugin devel headers.

%files -n %{develname}
%{_kf6_includedir}/libktorrent/
%{_kf6_libdir}/cmake/KTorrent6/
%{_kf6_libdir}/libKTorrent6.so

#-------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DLibGMP_INCLUDE_DIRS=%{multiarch_includedir}
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name
