# WARNING: This package is synced with FC
%define major 1
%define libname %mklibname langtag %{major}

%define gmajor 0
%define gapi 0.6
%define libgobject %mklibname langtag-gobject %{gmajor}
%define girname %mklibname langtag-gir %{gapi}

%define develname %mklibname -d langtag

Name: liblangtag
Version: 0.6.7
Release: %mkrel 2
Summary: An interface library to access tags for identifying languages
Group: System/Internationalization
License: LGPLv3+ or MPLv2.0
URL: https://bitbucket.org/tagoh/liblangtag/
Source0: https://bitbucket.org/tagoh/%{name}/downloads/%{name}-%{version}.tar.bz2
Patch0: liblangtag-noparallel-gir.patch
Patch2: fix-linking.diff

Requires: %{name}-data = %{version}-%{release}

BuildRequires: gtk-doc
BuildRequires: libtool
BuildRequires: pkgconfig(check)
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(libxml-2.0)

%description
%{name} is an interface library to access tags for identifying
languages.

Features:
* several subtag registry database supports:
  - language
  - extlang
  - script
  - region
  - variant
  - extension
  - grandfathered
  - redundant
* handling of the language tags
  - parser
  - matching
  - canonicalizing

%package -n %{libname}
Summary: Shared libraries for %{name}
Group: System/Internationalization
Conflicts: %{name} < 0.5.1
Requires: %{name} >= %{version}

%description -n %{libname}
%{name} is an interface library to access tags for identifying
languages.

%package data
Summary: %{name} data files
Group: System/Internationalization
License: Unicode
BuildArch: noarch
Conflicts: liblangtag < 0.6.2-1

%description data
The %{name}-data package contains data files for %{name}.

%package -n %{libgobject}
Summary: GObject libraries for %{name}
Group: System/Libraries
Obsoletes: liblangtag-gobject < 0.6.2-3

%description -n %{libgobject}
GObject based interface to access tags for identifying languages.

%package -n %{girname}
Summary: GObject Introspection interface description for LangTag
Group: System/Libraries
Requires: %{libgobject} = %{version}-%{release}
Conflicts: liblangtag-gobject < 0.6.2-3

%description -n %{girname}
GObject Introspection interface description for LangTag.

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/C
Obsoletes: %{name}-devel < %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}
Requires: %{libgobject} = %{version}-%{release}
Requires: %{girname} = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation of %{name} API
Group: Documentation
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.


%prep
%autosetup -p1

%build
%configure --disable-silent-rules --disable-static --enable-shared --enable-introspection
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -delete

%check
export LD_LIBRARY_PATH=`pwd`/liblangtag/.libs:`pwd`/liblangtag-gobject/.libs${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
%make_build check

%files
%doc AUTHORS NEWS README
%{_libdir}/%{name}/

%files data
%license COPYING
%{_datadir}/%{name}/

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{libgobject}
%{_libdir}/%{name}-gobject.so.%{gmajor}
%{_libdir}/%{name}-gobject.so.%{gmajor}.*

%files -n %{girname}
%{_libdir}/girepository-1.0/LangTag-%{gapi}.typelib

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/%{name}-gobject.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}-gobject.pc
%{_datadir}/gir-1.0/LangTag-%{gapi}.gir

%files doc
%license COPYING
%{_datadir}/gtk-doc/html/%{name}
