#
# Do not change to use an other upstream as this will break tomahawk and clementine build.
#
Name:           liblastfm
Version:        1.1.0
Release:        %mkrel 4
Summary:        Liblastfm is a collection of libraries to help you integrate Last.fm services
License:        GPLv3
Group:          System/Libraries
URL:            https://github.com/lastfm/liblastfm/
Source:         https://github.com/lastfm/%{name}/archive/%{version}.tar.gz
## upstream patches
Patch4:         liblastfm-1.0.9-fix-build-against-qt-5.11.0.patch
## other patches
Patch10:        d51ad3e759331d7d79c6675c5d22541280bf9a70.patch
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  ruby
BuildRequires:  cmake

%description
Liblastfm is a collection of libraries to help you integrate Last.fm services
into your rich desktop software. It is officially supported software developed
by Last.fm staff.

%define lastfm_major 1
%define lib5name %mklibname lastfm 5 %{lastfm_major}

%package -n     %{lib5name}
Group:          System/Libraries
Summary:        Liblastfm is a collection of libraries to help you integrate Last.fm services

%description -n %{lib5name}
Liblastfm is a collection of libraries to help you integrate Last.fm services
into your rich desktop software. It is officially supported software developed
by Last.fm staff. This version supports applications built with Qt5.

%files -n %{lib5name}
%{_libdir}/liblastfm5.so.%{lastfm_major}{,.*}

#---------------------------------------------------------------------

%define finger_major 1
%define lib5namefinger %mklibname lastfm_fingerprint 5 %{finger_major}

%package -n     %{lib5namefinger}
Group:          System/Libraries
Summary:        Liblastfm is a collection of libraries to help you integrate Last.fm services

%description -n %{lib5namefinger}
Liblastfm is a collection of libraries to help you integrate Last.fm services
into your rich desktop software. It is officially supported software developed
by Last.fm staff. This version supports applications built with Qt5.

%files -n %{lib5namefinger}
%{_libdir}/liblastfm_fingerprint5.so.%{finger_major}{,.*}

#---------------------------------------------------------------------

%define develname_qt5 %mklibname lastfm-qt5 -d

%package -n     %{develname_qt5}
Group:          Development/C
Summary:        %{name}-qt5 development header
Requires:       %{lib5name} = %{version}-%{release}
Requires:       %{lib5namefinger} = %{version}-%{release}
Provides:       %{name}-qt5-devel = %{version}-%{release}
Conflicts:      %{_lib}lastfm-devel < 1.0.9-5

%description -n %{develname_qt5}
Install this package if you want do compile applications and
using the libtag library.

%files -n %{develname_qt5}
%doc README COPYING
%{_libdir}/liblastfm5.so
%{_libdir}/liblastfm_fingerprint5.so
%{_includedir}/lastfm5/

#---------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%global _vpath_srcdir ..

mkdir Qt5
pushd Qt5
%cmake_qt5 -DBUILD_FINGERPRINT=ON -DBUILD_WITH_QT4=OFF
%cmake_build
popd

%install
%make_install -C Qt5/%{_vpath_builddir}

mv README.md README
