Name: liblayout
Version: 0.2.10
Release: %mkrel 15
Summary: CSS based layouting framework
License: LGPLv2+
Group:  System/Libraries 
Source: https://downloads.sourceforge.net/jfreereport/liblayout-%{version}.zip
Patch0: liblayout-0.2.10-remove-commons-logging.patch
URL: https://reporting.pentaho.org/
BuildRequires: ant, java-devel >= 0:1.6.0 , jpackage-utils, flute, libloader, xml-commons-apis
BuildRequires: librepository
BuildRequires: pentaho-libxml
BuildRequires: libfonts
BuildRequires: sac
BuildRequires: libbase >= 1.1.3
Requires: java >= 0:1.6.0 , jpackage-utils, flute, libloader >= 1.1.3
Requires: librepository >= 1.1.3, libfonts >= 1.1.3, sac, xml-commons-apis
Requires: pentaho-libxml, libbase >= 1.0.0
BuildArch: noarch

%description
LibLayout is a layouting framework. It is based on the Cascading StyleSheets
standard. The layouting expects to receive its content as a DOM structure
(although it does not rely on the W3C-DOM API).


%package javadoc
Summary: Javadoc for %{name}
Group:    Documentation 
Requires: %{name} = %{version}-%{release}
Requires: jpackage-utils

%description javadoc
Javadoc for %{name}.


%prep
%setup -q -c
%patch -P 0 -p1
find . -name "*.jar" -exec rm -f {} \;
mkdir -p lib
build-jar-repository -s -p lib flute libloader librepository libxml libfonts \
    sac jaxp libbase

%build
ant jar javadoc
for file in README.txt licence-LGPL.txt ChangeLog.txt; do
    tr -d '\r' < $file > $file.new
    mv $file.new $file
done

%install
mkdir -p %{buildroot}%{_javadir}
cp -p build/lib/%{name}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp build/api %{buildroot}%{_javadocdir}/%{name}

%files
%defattr(0644,root,root,0755)
%doc licence-LGPL.txt README.txt ChangeLog.txt
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}
