%global api 1.0
%global major 0
%define libname %mklibname ldm %{api} %{major}
%define devname %mklibname -d ldm %{api}

Name:           libldm
Version:        0.2.5
Release:        %mkrel 1
Summary:        A tool to manage Windows dynamic disks
Group:		System/Libraries
License:        LGPLv3+ and GPLv3+
URL:            https://github.com/mdbooth/libldm
Source0:        https://github.com/mdbooth/libldm/archive/%{name}-%{version}.tar.gz

BuildRequires:  glib2-devel >= 2.26.0
BuildRequires:  pkgconfig(json-glib-1.0) >= 0.14.0
BuildRequires:  pkgconfig(devmapper) >= 1.0
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(uuid)
BuildRequires:  readline-devel
BuildRequires:  gtk-doc

%description
libldm is a library for managing Microsoft Windows dynamic disks, which use
Microsoft's LDM metadata. It can inspect them, and also create and remove
device-mapper block devices which can be mounted. It includes ldmtool, which
exposes this functionality as a command-line tool.

libldm is released under LGPLv3+. ldmtool is released under GPLv3+.

%package        -n %libname
Summary:        A tool to manage Windows dynamic disks
Group:          System/Libraries
Obsoletes:      %{_lib}ldm0 < 0.2.3-6

%description    -n %libname
libldm is a library for managing Microsoft Windows dynamic disks, which use
Microsoft's LDM metadata. It can inspect them, and also create and remove
device-mapper block devices which can be mounted.

%package        -n %devname
Summary:        Development files for %{name}
Group:		Development/C
Requires:       %{libname}%{?_isa} = %{version}-%{release}
Provides:       libldm-devel = %{version}-%{release}
Provides:       libldm%{api}-devel = %{version}-%{release}
Obsoletes:      %{_lib}ldm-devel < 0.2.3-6

%description    -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
%autopatch -p1
sed -i -e 's/-Werror //' src/Makefile.*
gtkdocize
autoreconf -i

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static --enable-gtk-doc
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc COPYING.lgpl COPYING.gpl
%{_bindir}/ldmtool
%{_mandir}/man1/ldmtool.1*

%files -n %libname
%doc COPYING.lgpl COPYING.gpl
%{_libdir}/libldm-%{api}.so.%{major}{,.*}

%files -n %devname
%doc %{_datadir}/gtk-doc/*
%{_includedir}/*
%{_libdir}/libldm-%{api}.so
%{_libdir}/pkgconfig/ldm-%{api}.pc


