%define major		7
%define libname		%mklibname lo %{major}
%define develname	%mklibname lo -d

Summary:	Open Sound Control protocol
Name:		liblo
Version:	0.32
Release:	%mkrel 1
License:	LGPLv2+
Group:		Sound/Utilities
URL:		https://liblo.sourceforge.net/
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	doxygen

%description
LibLO is an implementation of the Open Sound Control protocol for POSIX
systems, started by Steve Harris.

%package -n %{libname}
Summary:	Dynamic libraries from %{name}
Group:		System/Libraries

%description -n %{libname}
Dynamic libraries from %{name}.

%package -n %{develname}
Summary:	Header files and static libraries from %{name}
Group:		Development/C
Requires:	%{libname} >= %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q

%build
%configure \
	--disable-static
# do not use ipv6 atm since it causes slowness when calling dssi objects
#	--enable-ipv6

%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

%files
%{_bindir}/*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS NEWS ChangeLog README
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
