Name:           libloader
Version:        1.1.6
Release:        %mkrel 17
Summary:        Resource Loading Framework
License:        LGPLv2+
Group:          Development/Java
Source0:        https://downloads.sourceforge.net/jfreereport/%{name}-%{version}.zip
URL:            https://reporting.pentaho.org/
Patch0:         libloader-1.1.2-fix-build.patch
Patch1:         libloader-1.1.2.java11.patch
Patch2:         libloader-1.1.6-remove-antcontrib-support.patch
Patch3:         libloader-1.1.3-remove-commons-logging.patch
BuildRequires:  ant
BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildRequires:  libbase >= 1.1.3
Requires:       java
Requires:       jpackage-utils
Requires:       libbase >= 1.1.3
BuildArch:      noarch

%description
LibLoader is a general purpose resource loading framework. It has been
designed to allow to load resources from any physical location and to
allow the processing of that content data in a generic way, totally
transparent to the user of that library.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}.


%prep
%setup -q -c
%patch -P 0 -p0 -b .build
%patch -P 1 -p1 -b .java11
%patch -P 2 -p1
%patch -P 3 -p1 -b .no_commons_logging

find . -name "*.jar" -exec rm -f {} \;
mkdir -p lib
build-jar-repository -s -p lib libbase

%build
ant jar javadoc
for file in README.txt licence-LGPL.txt ChangeLog.txt; do
    tr -d '\r' < $file > $file.new
    mv $file.new $file
done

%install
mkdir -p %{buildroot}%{_javadir}
cp -p ./dist/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp bin/javadoc/docs/api %{buildroot}%{_javadocdir}/%{name}

%files
%doc licence-LGPL.txt README.txt ChangeLog.txt
%{_javadir}/%{name}.jar

%files javadoc
%{_javadocdir}/%{name}
