%define major 0
%define libname %mklibname logging %{major}
%define develname %mklibname logging -d

Name:           liblogging
Version:        1.0.6
Release:        %mkrel 5
Summary:        An easy to use logging library
License:        BSD
Group:          System/Libraries
Url:            https://www.liblogging.org/
Source0:        https://download.rsyslog.com/liblogging/%{name}-%{version}.tar.gz
Patch0:         0001-support-build-with-gcc-14.patch
BuildRequires:  pkgconfig(libsystemd) >= 216

%description
Liblogging is an easy to use logging library.

It contains the Libstdlog component is used for standard logging
(syslog replacement) purposes via multiple channels.

%package -n %{libname}
Summary:        An easy to use logging library
Group:          System/Libraries

%description -n %{libname}
Liblogging is an easy to use logging library.

It contains the Libstdlog component is used for standard logging
(syslog replacement) purposes via multiple channels.

%package -n %{develname}
Summary:        Development files for LibLogging stdlog library
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}


%description -n %{develname}
The liblogging-devel package includes header files, libraries necessary for
developing programs which use liblogging library.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure \
  --disable-static \
  --enable-rfc3195 \
  --enable-journal

%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc COPYING
%{_libdir}/liblogging-rfc3195.so.%{major}{,.*}
%{_libdir}/liblogging-stdlog.so.%{major}{,.*}
%{_bindir}/stdlogctl
%{_mandir}/man1/stdlogctl*

%files -n %{develname}
%doc ChangeLog COPYING README
%doc rfc3195/doc/html
%{_libdir}/liblogging-rfc3195.so
%{_libdir}/liblogging-stdlog.so
%{_includedir}/%{name}
%{_libdir}/pkgconfig/liblogging-rfc3195.pc
%{_libdir}/pkgconfig/liblogging-stdlog.pc
%{_mandir}/man3/stdlog*
