%define major 	2
%define real_name lrdf
%define libname %mklibname %real_name %major
%define develname %mklibname %real_name -d

Name: 		liblrdf
Summary: 	Library for handling RDF descriptions of audio plugins
Version: 	0.6.1
Release: 	%mkrel 4

Source0:	https://github.com/swh/LRDF/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		liblrdf-0.5.0-automake-1.13.patch
URL:		https://github.com/swh/LRDF
License:	GPL
Group:		System/Libraries
BuildRequires:	pkgconfig(raptor2) >= 2.0.0
BuildRequires:	pkgconfig(openssl)

%description
liblrdf is a library for handling RDF (https://www.w3.org/RDF/)
descriptions of LADSPA (and potentially other format) plugins.

It allows grouping of plugins into trees for user selection and finer
description of plugins and ports than the .so format allows (for example
to indicate textual equivalents of integer port values). It also
provides named and described defaults and presets, metadata and general
semantic goodness.

%package -n %{libname}
Summary: Main library for %name
Group: System/Libraries
Provides: %{name} = %{version}-%{release}
Requires: %{name}-common >= %{version}

%description -n %{libname}
liblrdf is a library for handling RDF (https://www.w3.org/RDF/)
descriptions of LADSPA (and potentially other format) plugins.

It allows grouping of plugins into trees for user selection and finer
description of plugins and ports than the .so format allows (for example
to indicate textual equivalents of integer port values). It also
provides named and described defaults and presets, metadata and general
semantic goodness.

%package common
Summary: File used by %name
Group: System/Libraries
Obsoletes: %{_lib}lrdf2-common < 0.5.0

%description common
This packages contains various files required by %name.


%package -n %{develname}
Summary: Headers for developing programs that will use %name
Group: Development/C++
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}lrdf2-devel < 0.5.0

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use libraries from %name.

%prep
%setup -qn LRDF-%{version}
%autopatch -p1

%build
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files common
%{_datadir}/ladspa/rdf

%files -n %{develname}
%doc AUTHORS COPYING ChangeLog NEWS README
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
