%define major   2
%define libname %mklibname lxqt %{major}
%define devname %mklibname lxqt -d

Name:          liblxqt
Version:       2.1.0
Release:       %mkrel 1
Summary:       Core utility Libraries for the LXQt desktop
License:       GPLv2+ and LGPLv2+
Group:         System/Libraries
URL:           https://lxqt-project.org/
Source0:       https://github.com/lxqt/liblxqt/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: cmake(lxqt2-build-tools)

BuildRequires: cmake(KF6WindowSystem)
BuildRequires: cmake(PolkitQt6-1)
BuildRequires: cmake(qt6xdg)
BuildRequires: cmake(Qt6Xml)
BuildRequires: cmake(Qt6DBus)
BuildRequires: cmake(Qt6Help)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: pkgconfig(xscrnsaver)
BuildRequires: libapr
BuildRequires: libapr-util

%description
Core utility Libraries for the LXQt desktop.

%package -n %{libname}
Summary:       Core Libraries for the LXQt desktop
Group:         System/Libraries

%description -n %{libname}
Core Libraries for the LXQt desktop.

%package -n %{devname}
Summary:       Development files for %{name}
Group:         Development/C
Requires:      %libname = %version
Provides:      %name-devel = %version-%release
Provides:      lxqt-devel = %version-%release

Requires:      cmake(lxqt2-build-tools)

%description -n %{devname}
Development files (Headers etc.) for %{name}.

%prep
%autosetup -p1

%build
%cmake_qt6 -DLXQT_ETC_XDG_DIR=%{_sysconfdir}/xdg
%cmake_build

%install
%cmake_install

%files
%{_bindir}/lxqt-backlight_backend
%{_datadir}/lxqt/power.conf
%{_datadir}/polkit-1/actions/org.lxqt.backlight.pkexec.policy
%{_datadir}/lxqt/translations/liblxqt/

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/lxqt/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/cmake/lxqt/
