%define major		2
%define apiver		2
%define libname		%mklibname lzo %{apiver} %{major}
%define develname	%mklibname lzo -d

%define minilzo_major	0
%define minilzo_libname	%mklibname minilzo %{minilzo_major}

Summary:	Data compression library with very fast (de-)compression
Name:		liblzo
Version:	2.10
Release:	%mkrel 6
License:	GPLv2
Group:		System/Libraries
URL:		https://www.oberhumer.com/opensource/lzo/
Source0:	https://www.oberhumer.com/opensource/lzo/download/lzo-%{version}.tar.gz

%description
LZO is a portable lossless data compression library written in ANSI C. 
It offers pretty fast compression and *very* fast decompression. 
Decompression requires no memory. In addition there are slower
compression levels achieving a quite competitive compression ratio while 
still decompressing at this very high speed.

%package -n	%{libname}
Summary:	Data compression library with very fast (de-)compression
Group:		System/Libraries
Provides:	%{name}

%description -n %{libname}
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and *very* fast decompression.
Decompression requires no memory. In addition there are slower
compression levels achieving a quite competitive compression ratio while
still decompressing at this very high speed.

%package -n	%{minilzo_libname}
Summary:	Mini version of lzo for apps which don't need the full version
Group:		System/Libraries

%description -n %{minilzo_libname}
A small (mini) version of lzo for embedding into applications which don't need
full blown lzo compression support.

%package -n	%{develname}
Summary:	Headers files of liblzo library
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	%{minilzo_libname} = %{version}
Provides:	lzo-devel = %{version}-%{release}
Provides:	%{name}2-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	minilzo-devel = %{version}-%{release}
Obsoletes:	%mklibname lzo 2_2 -d

%description -n %{develname}
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and *very* fast decompression.
Decompression requires no memory. In addition there are slower
compression levels achieving a quite competitive compression ratio while
still decompressing at this very high speed.

%prep
%setup -qn lzo-%{version}

%build
export CONFIGURE_TOP=`pwd`

mkdir -p shared
cd shared
%configure	--enable-shared --disable-static
%make_build
cd ..

# build minilzo too (rhbz 439979)
gcc %{optflags} -fpic -Iinclude/lzo -o minilzo/minilzo.o -c minilzo/minilzo.c
gcc -g -shared -o libminilzo.so.%{minilzo_major} -Wl,-soname,libminilzo.so.%{minilzo_major} minilzo/minilzo.o

%check
cd shared
%__make check
%__make test

%install
%make_install -C shared

# we don't want these
find %{buildroot} -name '*.la' -delete

install -m755 shared/lzotest/lzotest -D %{buildroot}%{_bindir}/lzotest

install -m 755 libminilzo.so.%{minilzo_major} %{buildroot}%{_libdir}
ln -s libminilzo.so.%{minilzo_major} %{buildroot}%{_libdir}/libminilzo.so
install -p -m 644 minilzo/minilzo.h %{buildroot}%{_includedir}/lzo

rm -rf %{buildroot}%{_datadir}/doc/lzo

%files -n %{libname}
%doc AUTHORS NEWS README THANKS doc/LZO.TXT doc/LZO.FAQ
%{_libdir}/*%{apiver}.so.%{major}{,.*}

%files -n %{minilzo_libname}
%doc minilzo/README.LZO
%{_libdir}/libminilzo.so.%{minilzo_major}

%files -n %{develname}
%doc doc/LZOAPI.TXT doc/LZOTEST.TXT
%{_bindir}/lzotest
%{_libdir}/*.so
%{_libdir}/pkgconfig/lzo2.pc
%{_includedir}/*
