%define major           0
%define libname         %mklibname macaroons %{major}
%define develname       %mklibname macaroons -d


Name:		libmacaroons
Version:	0.3.0
Release:	%mkrel 4
Summary:	C library supporting generation and use of macaroons
Group:         System/Libraries
License:	BSD
URL:		https://github.com/rescrv/libmacaroons
Source0:	%url/archive/releases/%{version}/%{name}-%{version}.tar.gz
# Fix for the inspect() method triggering an assert on newer versions of libsodium.
# See the upstream PR: https://github.com/rescrv/libmacaroons/pull/52
Patch0:		libmacaroons-hex-encoding.patch

# Fix for the memory leak when the deserialize routine succeeds.
# See the upstream PR: https://github.com/rescrv/libmacaroons/pull/56
Patch1:		libmacaroons-deserialize-memleak.patch

BuildRequires:	libsodium-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	python3

%description
%{summary}

%package -n %{libname}
Summary:        %{summary}
Provides:       macaroons = %{version}-%{release}
Provides:       libmacaroons = %{version}-%{release}
Obsoletes:      %{_lib}macaroons1 < 0.3.0-2

%description -n %{libname}
%{summary}

%package -n %{develname}
Summary:	Development libraries linking against libmacaroons
Requires:	%{libname} = %{version}-%{release}
Provides:       libmacaroons-devel = %{version}-%{release}
Provides:       macaroons-devel = %{version}-%{release}

%description -n %{develname}
%{summary}

%prep
%setup -q -n %{name}-releases-%{version}
%autopatch -p1

%build
autoreconf -vfi
export PYTHON=%{__python3}
%configure --disable-static --disable-python-bindings
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%license LICENSE
%doc README
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/macaroons.h
