%define major   	1
%define libname 	%mklibname mal %{major}
%define develname	%mklibname mal -d

Name:		libmal
Version:	0.44.1
Release:	%mkrel 16
Summary:	MAL library for AvantGo
Group:		System/Libraries
License:	MPL
URL:		https://www.jlogday.com/code/libmal/
Source:		https://www.jlogday.com/code/libmal/%{name}-%{version}.tar.gz
Patch1:		libmal-0.44-lib64.patch
Patch2:		libmal-0.44-libtool.patch
Patch3:		libmal-0.44-64bit-fixes.patch
Patch4:		libmal-0.44-automake-1.13.patch
Patch5:		libmal-fix-building-with-gcc14.patch
Requires:	pilot-link
BuildRequires:	autoconf
BuildRequires:	pkgconfig(pilot-link) >= 0.12.0

%package -n	%{libname}
Summary:	MAL library for AvantGo
Group:		System/Libraries

%description 
libmal is really just a convenience library of the functions in Tom
Whittaker's malsync distribution, along with a few wrapper functions.


%description -n %{libname}
libmal is really just a convenience library of the functions in Tom
Whittaker's malsync distribution, along with a few wrapper functions. 


%package -n	%{develname}
Summary:	Development tools for programs which will use the %{name} library
Group:		Development/C
Requires:	%{libname} = %{version}-%release
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package includes the header files and libraries
necessary for developing programs using the %{name} library.

If you are going to develop programs which will use the %{name} library
you should install %{name}-devel.  You'll also need to have the %name
package installed.

%package	malsync
Summary:	Utility to update Palms from Avantgo and MobileLink web site
Group:		Communications/Mobile
Provides:	malsync

%description malsync
Malsync is a tool for updating Palm devices from the AvantGo and
MobileLink web sites.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --disable-static
%make_build CFLAGS="%{optflags}"

%install
%make_install
# Remove unpackaged copy of README
rm -f %{buildroot}%{_docdir}/libmal1/README

# don't ship .la
find %{buildroot} -name '*.la' -delete

%files malsync
%_bindir/malsync

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc README
%_includedir/libmal/
%{_libdir}/*.so
