%define api		0.2
%define major		0
%define libname		%mklibname manette %{api} %{major}
%define girmanettename	%mklibname manette-gir %{api}
%define develname	%mklibname manette -d

Name:		libmanette
Version:	0.2.12
Release:	%mkrel 1
Summary:	A simple GObject game controller library
License:	LGPLv2+
Group:		System/Libraries
URL:		https://gitlab.gnome.org/aplazas/libmanette/
Source0:	https://download.gnome.org/sources/libmanette/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	gcc
BuildRequires:	meson
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(hidapi-hidraw)
BuildRequires:	pkgconfig(libevdev)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(gobject-introspection-1.0)

%description
libmanette allows easy access to game controllers.

#------------------------------------------------

%package -n	%{libname}
Summary:	A simple GObject game controller library
Group:		System/Libraries

%description -n	%{libname}
libmanette allows easy access to game controllers.

#------------------------------------------------

%package -n	%{girmanettename}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries

%description -n	%{girmanettename}
GObject Introspection interface description for %{name}.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girmanettename} = %{version}-%{release}
Provides:	manette-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%files -n %{libname}
%doc README.md NEWS
%license COPYING
%{_libdir}/libmanette-%{api}.so.%{major}{,.*}

%files -n %{girmanettename}
%doc README.md NEWS
%{_libdir}/girepository-1.0/Manette-%{api}.typelib

%files -n %{develname}
%doc README.md NEWS
%{_bindir}/manette-test
%{_includedir}/libmanette/
%{_libdir}/libmanette-%{api}.so
%{_libdir}/pkgconfig/manette-%{api}.pc
%{_datadir}/gir-1.0/Manette-%{api}.gir
%{_datadir}/vala/vapi/manette-%{api}.deps
%{_datadir}/vala/vapi/manette-%{api}.vapi
