%define url_ver %(echo %{version}|cut -d. -f1,2)

%define major 6
%define gmajor 1.0
%define libname %mklibname matekbd %{major}
%define girname %mklibname matekbd-gir %{gmajor}
%define develname %mklibname -d matekbd

Summary: MATE keyboard libraries
Name:    libmatekbd
Version: 1.28.0
Release: %mkrel 1
License: LGPLv2+
Group:   System/Libraries
URL:     https://mate-desktop.org/
Source0: https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: intltool
BuildRequires: libxml2-utils
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(libxklavier)
BuildRequires: pkgconfig(gio-2.0)

%description
Files used by the MATE keyboard library.

%package -n %{libname}
Summary: Dynamic libraries for MATE applications
Group: System/Libraries
Requires: %{name} >= %{version}

%description -n %{libname}
MATE keyboard library.

%package -n %{girname}
Summary: GObject Introspection interface description for Matekdb
Group: System/Libraries
Requires: %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for Matekdb.

%package -n %{develname}
Summary: Development files and headers for %{name}
Group: Development/C
Provides: %{name}-devel = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}
Requires: %{girname} = %{version}-%{release}

%description -n %{develname}
Development files and headers needed in order to develop
applications using the MATE keyboard library.

%prep
%autosetup

%build
%configure \
   --disable-static          \
   --disable-schemas-compile \
   --enable-introspection    \
   --with-x
%make_build

%install
%make_install

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_datadir}/glib-2.0/schemas/org.mate.peripherals-keyboard-xkb.gschema.xml

%files -n %{libname}
%{_libdir}/libmatekbd*.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Matekbd-%{gmajor}.typelib

%files -n %{develname}
%{_includedir}/libmatekbd
%{_datadir}/gir-1.0/Matekbd-%{gmajor}.gir
%{_libdir}/pkgconfig/libmatekbd.pc
%{_libdir}/pkgconfig/libmatekbdui.pc
%{_libdir}/libmatekbdui.so
%{_libdir}/libmatekbd.so
