%define url_ver %(echo %{version}|cut -d. -f1,2)

%define major          0
%define libname        %mklibname matemixer %{major}
%define develname      %mklibname -d matemixer

# filter out plugin .so provides
%global __provides_exclude_from %{_libdir}/%{name}/.*\\.so

Summary:        A mixer library for MATE desktop
Name:           libmatemixer
Version:        1.28.0
Release:        %mkrel 1
Source0:        https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
License:        GPLv2+ and LGPLv2+
Group:          Sound/Mixers
URL:            https://www.mate-desktop.org

BuildRequires:  intltool
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
# Pulseaudio backend
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libpulse-mainloop-glib)
#Alsa backend
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(gthread-2.0)

%description
libmatemixer is a mixer library for MATE desktop. It provides an abstract API
allowing access to mixer functionality available in the PulseAudio, ALSA and
OSS sound systems.

%package -n %{libname}
Group:          System/Libraries
Summary:        %{summary}
Requires:       matemixer-backend

%description -n %{libname}
libmatemixer is a mixer library for MATE desktop. It provides an abstract API
allowing access to mixer functionality available in the PulseAudio, ALSA and
OSS sound systems.

%package -n     %{develname}
Group:          Development/C
Summary:        Devel files for Mate Mixer Library
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for Mate Mixer Library.

%package -n     matemixer-backend-pulse
Group:          System/Libraries
Summary:        PulseAudio backend for %{name}
Requires:       %{libname} = %{version}-%{release}
Provides:       matemixer-backend = %{version}-%{release}

%description -n matemixer-backend-pulse
libmatemixer is a mixer library for MATE desktop. It provides an abstract API
allowing access to mixer functionality available in the PulseAudio, ALSA and
OSS sound systems.

This package provides PulseAudio backend for libmatemixer. If you want to use
ALSA or OSS backend install matemixer-backend-alsa or matemixer-backend-oss
packages.

%package -n     matemixer-backend-alsa
Group:          System/Libraries
Summary:        ALSA backend for %{name}
Requires:       %{libname} = %{version}-%{release}
Provides:       matemixer-backend = %{version}-%{release}

%description -n matemixer-backend-alsa
libmatemixer is a mixer library for MATE desktop. It provides an abstract API
allowing access to mixer functionality available in the PulseAudio, ALSA and
OSS sound systems.

This package provides ALSA backend for libmatemixer. If you want to use
PulseAudio or OSS backend install matemixer-backend-pulse or
matemixer-backend-oss packages.

%package -n     matemixer-backend-oss
Group:          System/Libraries
Summary:        OSS backend for %{name}
Requires:       %{libname} = %{version}-%{release}
Provides:       matemixer-backend = %{version}-%{release}

%description -n matemixer-backend-oss
libmatemixer is a mixer library for MATE desktop. It provides an abstract API
allowing access to mixer functionality available in the PulseAudio, ALSA and
OSS sound systems.

This package provides OSS backend for libmatemixer. If you want to use
PulseAudio or ALSA backend install matemixer-backend-pulse or
matemixer-backend-alsa packages.

%prep
%autosetup

%build
%configure \
        --disable-static \
        --enable-oss
%make_build

%install
%make_install

%find_lang %{name}

%files -n %{libname} -f %{name}.lang
%doc AUTHORS COPYING README
%{_libdir}/%{name}.so.%{major}{,.*}
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/%{name}-null.so

%files -n matemixer-backend-pulse
%{_libdir}/%{name}/%{name}-pulse.so

%files -n matemixer-backend-alsa
%{_libdir}/%{name}/%{name}-alsa.so

%files -n matemixer-backend-oss
%{_libdir}/%{name}/%{name}-oss.so

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_libdir}/libmatemixer.so
%{_libdir}/pkgconfig/libmatemixer.pc
%{_includedir}/mate-mixer/
