%define url_ver %(echo %{version}|cut -d. -f1,2)

%define major          1
%define oname          mateweather
%define libname        %mklibname mateweather %{major}
%define develname      %mklibname -d mateweather

Summary:        MATE Weather applet library
Name:           libmateweather
Version:        1.28.0
Release:        %mkrel 2
License:        GPLv2+ and LGPLv2+
Group:          System/Libraries
URL:            https://www.mate-desktop.org
Source0:        https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:         libmateweather-1.18.0-mga-add_Kastamonu_Turkey.patch

BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  intltool
# for xmllint
BuildRequires:  libxml2-utils

%description
Weather library data files for the MATE panel applet.

%package -n %{libname}
Group:          System/Libraries
Summary:        MATE Weather applet library
Requires:       %{name} >= %{version}-%{release}

%description -n %{libname}
Weather library for the MATE panel applet.

%package -n %{develname}
Group:          Development/C
Summary:        MATE Weather applet library
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files with mateweather libraries.

%prep
%autosetup -p1

%build
%configure \
        --disable-static           \
        --disable-schemas-compile  \
        --enable-locations-compression \
        --enable-gtk-doc-html

%make_build

%install
%make_install

%find_lang %{name}

for xmlfile in %{buildroot}%{_datadir}/%{name}/Locations.*.xml.gz; do
echo "%lang($(basename $xmlfile|sed -e s/Locations.// -e s/.xml.gz//)) $(echo $xmlfile | sed s!%{buildroot}!!)" >> %{name}.lang
done

%files -f %{name}.lang
%doc AUTHORS COPYING README
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/Locations.xml*
%{_datadir}/%{name}/locations.dtd
%{_iconsdir}/hicolor/*/status/weather*
%{_datadir}/glib-2.0/schemas/org.mate.weather.gschema.xml

%files -n %{libname}
%{_libdir}/libmateweather.so.%{major}{,.*}

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_libdir}/libmateweather.so
%{_libdir}/pkgconfig/mateweather.pc
%{_includedir}/libmateweather
