%define major		7
%define libname		%mklibname matroska %{major}
%define develname	%mklibname matroska -d

Summary:	Matroska Audio/Video file format library
Name:		libmatroska
Version:	1.7.1
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.matroska.org/
Source0:	https://dl.matroska.org/downloads/libmatroska/%{name}-%{version}.tar.xz
BuildRequires:	cmake
BuildRequires:	pkgconfig(libebml) >= 1.4.2

%description
In short, matroska is a new Audio/Video file format. It is an advanced
and full featured format.

Advanced because it is based on EBML, a kind of XML equivalent, that
allow infinite extensibility of the format. And full featured because
it includes precise seeking, any audio/video/subtitle codec support
including VCM/ACM/DirectShow compatibility, timecode based format,
complex frame dependencies, chaptering, internationalisation, error
protection, tagging, file attachment, control track (to be defined),
menu (to be defined), etc. All these features are not yet implemented
but already defined in the format.

%package -n	%{libname}
Summary:	Matroska Audio/Video file format shared library
Group:		System/Libraries

%description -n	%{libname}
In short, matroska is a new Audio/Video file format. It is an advanced
and full featured format.

Advanced because it is based on EBML, a kind of XML equivalent, that
allow infinite extensibility of the format. And full featured because
it includes precise seeking, any audio/video/subtitle codec support
including VCM/ACM/DirectShow compatibility, timecode based format,
complex frame dependencies, chaptering, internationalisation, error
protection, tagging, file attachment, control track (to be defined),
menu (to be defined), etc. All these features are not yet implemented
but already defined in the format.

%package -n	%{develname}
Group:		Development/C++
Summary:	Matroska Audio/Video file format headers and static library
Requires:	%{libname} = %{version}
Provides:	libmatroska-devel = %{version}-%{release}

%description -n	%{develname}
In short, matroska is a new Audio/Video file format. It is an advanced
and full featured format.

Advanced because it is based on EBML, a kind of XML equivalent, that
allow infinite extensibility of the format. And full featured because
it includes precise seeking, any audio/video/subtitle codec support
including VCM/ACM/DirectShow compatibility, timecode based format,
complex frame dependencies, chaptering, internationalisation, error
protection, tagging, file attachment, control track (to be defined),
menu (to be defined), etc. All these features are not yet implemented
but already defined in the format.

This package contains the C++ headers and the static library needed
for development with Matroska.

%prep
%setup -q
chmod 644 LICENSE*

# fix end of line encoding
sed -i 's/\r//' LICENSE.LGPL

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%doc NEWS.md README.md LICENSE*
%{_includedir}/matroska
%{_libdir}/lib*.so
%{_libdir}/cmake/Matroska/
%{_libdir}/pkgconfig/libmatroska.pc
