%define major 		4
%define gmajor		1.0
%define libname		%mklibname mbim-glib %{major}
%define girname		%mklibname mbim-gir %{gmajor}
%define develname	%mklibname mbim-glib -d

Name:		libmbim
Version:	1.30.0
Release:	%mkrel 2
Summary:	MBIM modem protocol helper library
License:	GPLv2
Group:		System/Libraries
URL:		https://gitlab.freedesktop.org/mobile-broadband/libmbim/
Source0:	https://gitlab.freedesktop.org/mobile-broadband/libmbim/-/archive/%{version}/%{name}-%{version}.tar.bz2
BuildRequires:	meson >= 0.53
BuildRequires:	pkgconfig(bash-completion)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)

%description
The Mobile Broadband Interface Model (MBIM) is a new standard
to communicate with mobile broadband modem devices developed
by the USB Implementors Forum.

%package -n	%{libname}
Summary:	Libraries for %{name}
Group:		Development/C
Requires:	%{name}-utils >= %{version}-%{release}

%description -n	%{libname}
The Mobile Broadband Interface Model (MBIM) is a new standard
to communicate with mobile broadband modem devices developed
by the USB Implementors Forum.

This package contains MBIM shared libraries.

%package -n	%{girname}
Summary:	GObject Introspection interface description for Mbim
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{girname}
GObject Introspection interface description for Mbim.

%package -n	%{develname}
Summary:	Header files and development libraries for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	mbim-devel = %{version}-%{release}
Provides:	mbim-glib-devel = %{version}-%{release}

%description -n	%{develname}
The Mobile Broadband Interface Model (MBIM) is a new standard
to communicate with mobile broadband modem devices developed
by the USB Implementors Forum.

This package contains MBIM header files and development libraries.

%package utils
Summary:	MBIM command line utilities
License:	GPLv2
Group:		System/Base

%description utils
The Mobile Broadband Interface Model (MBIM) is a new standard
to communicate with mobile broadband modem devices developed
by the USB Implementors Forum.

This package contains MBIM command line utilities.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files -n %{libname}
%doc NEWS AUTHORS README.md
%{_libdir}/%{name}-glib.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Mbim-%{gmajor}.typelib

%files -n %{develname}
#doc %%{_datadir}/gtk-doc/html/%%{name}-glib/
%{_includedir}/%{name}-glib/
%{_libdir}/%{name}-glib.so
%{_libdir}/pkgconfig/mbim-glib.pc
%{_datadir}/gir-1.0/Mbim-%{gmajor}.gir

%files utils
%{_bindir}/mbimcli
%{_bindir}/mbim-network
%{_datadir}/bash-completion/completions/mbimcli
%{_libexecdir}/mbim-proxy
%{_mandir}/man1/mbimcli.1*
%{_mandir}/man1/mbim-network.1*
