%define major 4
%define libname	%mklibname mcrypt %{major}
%define develname %mklibname mcrypt -d

Summary:	Thread-safe data encryption library
Name:		libmcrypt
Version:	2.5.8
Release:	%mkrel 24
License:	LGPLv2+
Group:		System/Libraries
URL:		https://mcrypt.sourceforge.net/
Source0:	https://downloads.sourceforge.net/mcrypt/%{name}-%{version}.tar.gz
Patch1:		libmcrypt-2.5.8-automake-1.13.patch
Patch2:		libmcrypt-2.5.8-no-libltdl.patch
BuildRequires:	libtool-devel
BuildRequires:	automake
BuildRequires:	autoconf2.5

%description
Libmcrypt is a thread-safe library providing a uniform interface
to access several block and stream encryption algorithms.

Some algorithms which are supported:
SERPENT, RIJNDAEL, 3DES, GOST, SAFER+, CAST-256, RC2, XTEA, 3WAY,
TWOFISH, BLOWFISH, ARCFOUR, WAKE and more.

%package -n	%{libname}
Summary:	Thread-safe data encryption library
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description -n	%{libname}
Libmcrypt is a thread-safe library providing a uniform interface
to access several block and stream encryption algorithms.

Some algorithms which are supported:
SERPENT, RIJNDAEL, 3DES, GOST, SAFER+, CAST-256, RC2, XTEA, 3WAY,
TWOFISH, BLOWFISH, ARCFOUR, WAKE and more.

%package -n	%{develname}
Summary:	Header files and libraries for developing apps with libmcrypt
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}
Obsoletes:	%{libname}-devel
Obsoletes:	%{_lib}mcrypt-static-devel < 2.5.8-21

%description -n	%{develname}
This package contains the header files and libraries needed to
develop programs that use the libmcrypt library.

%prep
%setup -q
%autopatch -p1

%build
rm -rf libltdl
libtoolize --copy --force --install --ltdl
cp `aclocal --print-ac-dir`/libtool.m4 .
aclocal
autoconf
automake --foreign -acf

%ifarch %{arm} aarch64
export CFLAGS="%{optflags} -fsigned-char"
%endif
%configure \
    --enable-dynamic-loading \
    --disable-static \
    --enable-shared \
    --disable-ltdl-install

%make_build

%check
%__make check

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS COPYING.LIB ChangeLog INSTALL KNOWN-BUGS NEWS README THANKS TODO doc/README.* doc/*.c
%{_bindir}/libmcrypt-config
%{_libdir}/*.so
%{_includedir}/mcrypt.h
%dir %{_includedir}/mutils
%{_includedir}/mutils/mcrypt.h
%{_datadir}/aclocal/*.m4
%{_mandir}/man3/*

%files
%{_libdir}/%{name}/*.so
