%define oname	mediainfo

%define major	0
%define libname	%mklibname %{oname} %{major}
%define devname %mklibname %{oname} -d

Name:		libmediainfo
Version:	25.03
Release:	%mkrel 1
Summary:	Supplies technical and tag information about a video or audio file
Group:		System/Libraries
License:	BSD
URL:		https://mediaarea.net/
Source0:	https://mediaarea.net/download/source/libmediainfo/%{version}/libmediainfo_%{version}.tar.xz
BuildRequires:	dos2unix
BuildRequires:	doxygen
BuildRequires:	cmake
BuildRequires:	pkgconfig(libzen) >= 0.4.38
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libmms)
BuildRequires:  pkgconfig(tinyxml2)

%description
MediaInfo supplies technical and tag information about a video or
audio file.

%package -n %{libname}
Summary:	Supplies technical and tag information about a video or audio file
Group:		System/Libraries
Provides:	libmediainfo

%description -n %{libname}
MediaInfo supplies technical and tag information about a video or
audio file.

What information can I get from MediaInfo?
* General: title, author, director, album, track number, date, duration...
* Video: codec, aspect, fps, bitrate...
* Audio: codec, sample rate, channels, language, bitrate...
* Text: language of subtitle
* Chapters: number of chapters, list of chapters

AV1, DivX, XviD, H263, H.263, H264, x264, ASP, AVC, iTunes, MPEG-1,
MPEG1, MPEG-2, MPEG2, MPEG-4, MPEG4, MP4, M4A, M4V, QuickTime,
RealVideo, RealAudio, RA, RM, MSMPEG4v1, MSMPEG4v2, MSMPEG4v3,
VOB, DVD, WMA, VMW, ASF, 3GP, 3GPP, 3GP2

What format (container) does MediaInfo support?
* Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1,
  MPEG-2, MPEG-4, DVD (VOB) (Codecs: DivX, XviD, MSMPEG4, ASP,
  H.264, AVC...)
* Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF
* Subtitles: SRT, SSA, ASS, SAMI

This package contains the shared library for MediaInfo.

%package -n %{devname}
Summary:	Include files and mandatory libraries for development
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	mediainfo-devel = %{version}-%{release}

%description -n %{devname}
Include files and mandatory libraries for development.

%prep
%setup -q -n MediaInfoLib

# Rename files
cp Release/ReadMe_DLL_Linux.txt ReadMe.txt
mv History_DLL.txt History.txt
sed -i 's/.$//' *.txt Source/Example/*

find . -type f -exec chmod 644 {} ';'

rm -rf Project/MSCS20*

rm -rf Source/ThirdParty/tinyxml2


%build
pushd Project/CMake
	%cmake
	%cmake_build
popd

# generate docs
pushd Source/Doc
        doxygen -u 2> /dev/null
        doxygen Doxyfile
popd

%install
pushd Project/CMake
	%cmake_install
popd

# MediaInfoDLL headers
install -dm 755 %{buildroot}%{_includedir}/MediaInfo
install -m 644 Source/MediaInfo/*.h %{buildroot}%{_includedir}/MediaInfo
install -dm 755 %{buildroot}%{_includedir}/MediaInfoDLL
install -m 644 Source/MediaInfoDLL/*.h %{buildroot}%{_includedir}/MediaInfoDLL
install -m 644 Source/MediaInfoDLL/MediaInfoDLL.cs %{buildroot}%{_includedir}/MediaInfoDLL
install -m 644 Source/MediaInfoDLL/MediaInfoDLL.*.java %{buildroot}%{_includedir}/MediaInfoDLL
install -m 644 Source/MediaInfoDLL/MediaInfoDLL*.py %{buildroot}%{_includedir}/MediaInfoDLL

#we don't want these
find %{buildroot} -name '*.la' -delete


%files -n %{libname}
%doc History.txt License.html ReadMe.txt
%{_libdir}/libmediainfo.so.%{major}{,.*}

%files -n %{devname}
%doc Changes.txt Doc Source/Example
%{_includedir}/MediaInfo/
%{_includedir}/MediaInfoDLL/
%{_libdir}/libmediainfo.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/mediainfolib/
