%define	major            11
%define	util_major       2
%define	protocol_major   0
%define	hashkit_major    2
%define libname          %mklibname memcached %{major}
%define util_libname     %mklibname memcachedutil %{util_major}
%define protocol_libname %mklibname memcachedprotocol %{protocol_major}
%define hashkit_libname  %mklibname memcachedhashkit %{hashkit_major}
%define develname        %mklibname memcached -d

Summary:	A memcached C library and command line tools
Name:		libmemcached
Version:	1.1.4
Release:	%mkrel 1
Group:		System/Libraries
License:	BSD
URL:		https://awesomized.github.io/libmemcached/
Source0:	https://github.com/awesomized/libmemcached/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	memcached
BuildRequires:	python3dist(sphinx)
BuildRequires:	systemtap-sdt-devel
BuildRequires:	pkgconfig(libevent)
BuildRequires:	perl-devel
BuildRequires:	pkgconfig(libsasl2)
BuildRequires:	pkgconfig(openssl)

%description
libmemcached is a C client library to interface to a memcached server. It has
been designed to be light on memory usage, thread safe, and to provide full
access to server side methods. It also implements several command line tools:

memaslap   -  Load testing and benchmarking a server
memcapable -  Checking a Memcached server capibilities and compatibility
memcat     -  Copy the value of a key to standard output
memcp      -  Copy data to a server
memdump    -  Dumping your server
memerror   -  Translate an error code to a string
memexist   -  Check for the existance of a key
memflush   -  Flush the contents of your servers
memparse   -  Parse an option string
memping    -  Test to see if a server is available.
memrm      -  Remove a key(s) from the server
memslap    -  Generate testing loads on a memcached cluster
memstat    -  Dump the stats of your servers to standard output
memtouch   -  Touches a key

%package -n	%{libname}
Summary:	A memcached C library
Group:		System/Libraries

%description -n	%{libname}
libmemcached is a C client library to interface to a memcached server. It has
been designed to be light on memory usage, thread safe, and to provide
full access to server side methods.

%package -n	%{util_libname}
Summary:	A memcached C library
Group:		System/Libraries

%description -n	%{util_libname}
libmemcached is a C client library to interface to a memcached server. It has
been designed to be light on memory usage, thread safe, and to provide
full access to server side methods.

%package -n	%{protocol_libname}
Summary:	A memcached C library
Group:		System/Libraries

%description -n	%{protocol_libname}
libmemcached is a C client library to interface to a memcached server. It has
been designed to be light on memory usage, thread safe, and to provide
full access to server side methods.

%package -n	%{hashkit_libname}
Summary:	A memcached C library
Group:		System/Libraries

%description -n	%{hashkit_libname}
libmemcached is a C client library to interface to a memcached server. It has
been designed to be light on memory usage, thread safe, and to provide
full access to server side methods.

%package -n	%{develname}
Summary:	Library and header files for the libmemcached library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{util_libname} = %{version}-%{release}
Requires:	%{protocol_libname} = %{version}-%{release}
Requires:	%{hashkit_libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	memcached-devel = %{version}-%{release}

%description -n	%{develname}
This package contains the header files and development libraries
for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%autosetup -p1

%build
%cmake -DENABLE_SASL:BOOL=ON \
       -DBUILD_DOCS:BOOL=ON \
       -DBUILD_DOCS_MAN:BOOL=ON \
       -DBUILD_DOCS_MANGZ:BOOL=OFF \
       -DENABLE_DTRACE:BOOL=ON \
       -DENABLE_OPENSSL_CRYPTO:BOOL=ON \
       -DENABLE_HASH_HSIEH:BOOL=ON \
       -DENABLE_HASH_FNV64:BOOL=ON \
       -DENABLE_HASH_MURMUR:BOOL=ON \
       -DENABLE_MEMASLAP:BOOL=ON
%cmake_build

%install
%cmake_install

rm -f %{buildroot}%{_libdir}/libp9y.a
rm -f %{buildroot}%{_libdir}/cmake/*/p9y*

%files
%doc AUTHORS ChangeLog-1.1.md README.md TODO
%{_bindir}/*
%{_datadir}/libmemcached-awesome/
%{_mandir}/man1/*

%files -n %{libname}
%license LICENSE
%doc AUTHORS ChangeLog-1.1.md README.md TODO
%{_libdir}/*.so.%{major}{,.*}

%files -n %{util_libname}
%license LICENSE
%{_libdir}/libmemcachedutil.so.%{util_major}{,.*}

%files -n %{protocol_libname}
%license LICENSE
%{_libdir}/libmemcachedprotocol.so.%{protocol_major}{,.*}

%files -n %{hashkit_libname}
%license LICENSE
%{_libdir}/libhashkit.so.%{hashkit_major}{,.*}

%files -n %{develname}
%{_docdir}/libmemcached-awesome/
%{_includedir}/libmemcached/
%{_includedir}/libmemcached-1.0/
%{_includedir}/libhashkit/
%{_includedir}/libhashkit-1.0/
%{_includedir}/libmemcachedprotocol-0.0/
%{_includedir}/libmemcachedutil-1.0/
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/libmemcached-awesome/
%{_mandir}/man3/*
%{_datadir}/aclocal/ax_libmemcached.m4
