%define	major     3
%define	libname   %mklibname mikmod %{major}
%define develname %mklibname mikmod -d

Summary:	Sound library supporting multiple module formats and digital sound files
Name:		libmikmod
Version:	3.3.12
Release:	%mkrel 1
License:	LGPL-2.0-or-later
Group:		System/Libraries
URL:		https://mikmod.sourceforge.net/
Source0:	https://sourceforge.net/projects/mikmod/files/libmikmod/%{version}/%{name}-%{version}.tar.gz
Patch1:		0001-libmikmod-cmake-Install-documentation-and-autoconf-m.patch
BuildRequires:	cmake
BuildRequires:	texinfo
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(libpulse-simple)
BuildRequires:	pkgconfig(sndio)

%description
Libmikmod is a portable sound library, capable of playing samples as
well as module files, originally written by Jean-Paul Mikkers (MikMak)
for DOS. It has subsequently been hacked by many hands and now runs on
many Unix flavours.

It uses the OSS /dev/dsp driver including in all recent kernels for
output, as well as ALSA and EsounD, and will also write wav files.

Supported file formats include 669, AMF, APUN, DSM, FAR, GDM, IT, IMF,MOD,
MED, MTM, OKT, S3M, STM, STX, ULT, UNI and XM.

%package -n	%{libname}
Summary:	Sound library supporting multiple module formats and digital sound files
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
Libmikmod is a portable sound library, capable of playing samples as
well as module files, originally written by Jean-Paul Mikkers (MikMak)
for DOS. It has subsequently been hacked by many hands and now runs on
many Unix flavours.

It uses the OSS /dev/dsp driver including in all recent kernels for
output, as well as ALSA and EsounD, and will also write wav files.

Supported file formats include 669, AMF, APUN, DSM, FAR, GDM, IT, IMF,MOD,
MED, MTM, OKT, S3M, STM, STX, ULT, UNI and XM.

%package -n	%{develname}
Summary:	Development related files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Libmikmod is a portable sound library, capable of playing samples as
well as module files, originally written by Jean-Paul Mikkers (MikMak)
for DOS. It has subsequently been hacked by many hands and now runs on
many Unix flavours.

It uses the OSS /dev/dsp driver including in all recent kernels for
output, as well as ALSA and EsounD, and will also write wav files.

Supported file formats include 669, AMF, APUN, DSM, FAR, GDM, IT, IMF,MOD,
MED, MTM, OKT, S3M, STM, STX, ULT, UNI and XM.

Install the limikmod-devel package if you want to develop applications that
will use the limikmod library.

%prep
%autosetup -p2

%build
%cmake -DENABLE_SNDIO:BOOL=ON \
       -DENABLE_STATIC:BOOL=OFF
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc %{_docdir}/libmikmod/
%license COPYING.LESSER COPYING.LIB
%{_libdir}/libmikmod.so.%{major}{,.*}

%files -n %{develname}
%doc README TODO
%{_bindir}/libmikmod-config
%{_libdir}/pkgconfig/libmikmod.pc
%{_libdir}/*.so
%{_datadir}/aclocal/*
%{_includedir}/*
%{_mandir}/man1/*
%{_infodir}/*
