%define commit 78a874b30a4c3161251b8e12ffb6443f29005eb3
%define gitrel  %(c=%{commit}; echo ${c:0:7})

%define major   4
%define libname %mklibname mirisdr %{major}
%define devname %mklibname mirisdr -d

%define rel 1

Name:           libmirisdr
Version:        0.0.20240620
Release:        %mkrel -c %{gitrel} %{rel}
Summary:        Support programs for MRi2500
License:        GPLv2
Group:          Communications/Radio
URL:            https://github.com/f4exb/libmirisdr-4/
##TODO Try a more recent fork e.g. https://github.com/ericek111/libmirisdr-5
Source0:        https://api.github.com/repos/ericek111/libmirisdr-5/tarball/%{gitrel}#/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pkgconfig(libusb)

%description
Programs to control the Mirics MRi2500 based DVB dongle in raw mode, so
it can be used as a SDR receiver.

%package -n mirisdr-utils
Summary:        Support programs for MRi2500
License:        GPLv2
Group:          Communications/Radio

Obsoletes:      libmirisdr <= %{version}-%{release}

%description -n mirisdr-utils
Programs to control the Mirics MRi2500 based DVB dongle in raw mode, so
it can be used as a SDR receiver.

%package -n %{libname}
Summary:        SDR driver for MRi2500
Group:          System/Libraries

%description -n %{libname}
Library to run Mirics MRi2500 based DVB dongle as a SDR receiver.

%package -n %{devname}
Summary:        Development files for mirisdr
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Library headers and other development files for mirisdr driver.

%prep
%setup -q -n ericek111-libmirisdr-5-%{gitrel}

# remove buildtime from documentation
#sed -i 's|^HTML_TIMESTAMP         = YES|HTML_TIMESTAMP         = NO|' Doxyfile.in

# fix version in .pc
sed -i -e 's,\(^Version:\).*,\1 %{version},' libmirisdr.pc.in

# fix libdir in .pc
sed -i -e 's,\(^set(libdir \\${exec_prefix}/lib\),\1${LIB_SUFFIX},' CMakeLists.txt

%build
%cmake -DCMAKE_SKIP_INSTALL_RPATH=ON
%cmake_build

%install
%cmake_install

rm %{buildroot}%{_libdir}/libmirisdr.a

#install udev rules
install -Dpm644 mirisdr.rules %{buildroot}%{_udevrulesdir}/10-mirisdr.rules

%files -n mirisdr-utils
%{_bindir}/miri_*

%files -n %{libname}
%{_udevrulesdir}/10-mirisdr.rules
%{_libdir}/libmirisdr.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/libmirisdr.so
%{_includedir}/*.h
%{_libdir}/pkgconfig/libmirisdr.pc

