%define rel 9
%define _disable_ld_no_undefined 1

Name:           libmm-qt
Version:        1.0.1
Release:        %mkrel %{rel}
Summary:        Qt wrapper for ModemManager DBus API
License:        LGPLv2+
Group:          System/Libraries
Url:            https://projects.kde.org/projects/extragear/libs/libmm-qt
Source0:        https://download.kde.org/unstable/modemmanager-qt/%{version}/src/%{name}-%{version}.tar.xz
Patch0:         libmm-qt-1.0.1-optflags.patch
BuildRequires:  pkgconfig(QtCore) < 5.0.0
BuildRequires:  pkgconfig(ModemManager) >= 0.8
BuildRequires:  cmake


%description
Qt wrapper for ModemManager DBus API.

#------------------------------------------------------

%define libmodemmanager_major 0
%define libmodemmanager %mklibname modemmanagerqt %{libmodemmanager_major}

%package -n     %{libmodemmanager}
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %{libmodemmanager}
Runtime library for the Qt wrapper for ModemManager DBus API.

%files -n %{libmodemmanager}
%{_libdir}/libModemManagerQt.so.%{libmodemmanager_major}{,.*}
%{_libdir}/libModemManagerQt.so.1*

#-----------------------------------------------------

%define libmodemmanager_devel %mklibname modemmanagerqt -d

%package -n     %{libmodemmanager_devel}
Summary:        Devel files for %{name}
Group:          Development/KDE and Qt
Requires:       %{libmodemmanager} = %{version}-%{release}
Requires:       pkgconfig(ModemManager)

%description -n %{libmodemmanager_devel}
Header to build package against %{name}

%files -n %{libmodemmanager_devel}
%{_includedir}/ModemManagerQt
%{_libdir}/libModemManagerQt.so
%{_libdir}/pkgconfig/ModemManagerQt.pc

#------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt4
%cmake_build

%install
%cmake_install
