%global majorversion 2
%global minorversion 15
%global patchversion 0
%global majorminorversion %{majorversion}.%{minorversion}
%global nsversion %{majorversion}.0

%global libmodulemd_version %{majorminorversion}%{?patchversion:.%{patchversion}}

%global libname %mklibname modulemd %{majorversion}
%global devname %mklibname modulemd -d
%global girname %mklibname modulemd-gir %{nsversion}

%bcond_with check

Name:           libmodulemd
Version:        %{libmodulemd_version}
Release:        %mkrel 5
Summary:        Module metadata manipulation library
Group:          System/Packaging
# COPYING:	MIT
## not in any binary package
# contrib/coverity-modeling.c:	GPLv2+
# contrib/release-tools/semver:	GPLv3
License:        MIT
URL:            https://github.com/fedora-modularity/libmodulemd
Source0:        https://github.com/fedora-modularity/libmodulemd/releases/download/%{version}/modulemd-%{libmodulemd_version}.tar.xz
# Fix building with glib2-doc 2.79.0, in upstream after 2.15.0
Patch0:         modulemd-2.15.0-build-Move-computing-gtk-doc-module-paths-to-the-che.patch
Patch1:         modulemd-2.15.0-doc-Adapt-GLib-documentation-path-to-GLib-2.79.0.patch
# Fix building with glib2-doc 2.80.1, in upstream after 2.15.0,
# <https://github.com/fedora-modularity/libmodulemd/pull/619>.
Patch2:         modulemd-2.15.0-doc-Adapt-GLib-documentation-path-to-GLib-2.80.1.patch

BuildRequires:  meson >= 0.47.0
BuildRequires:  gcc
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(yaml-0.1)
BuildRequires:  pkgconfig(gtk-doc)
BuildRequires:  python3dist(pygobject)
BuildRequires:  python3dist(pygments)
BuildRequires:  rpm-devel
BuildRequires:  file-devel

%description
C library for manipulating module metadata files.


%package -n modulemd-validator
Summary:        Tool for validating modulemd data
Group:          System/Packaging
Requires:       %{libname}%{?_isa} = %{libmodulemd_version}-%{release}
# modulemd-v1 is gone
Obsoletes:      modulemd-validator-v1 < 1.8.16-3

%description -n modulemd-validator
The modulemd-validator tool provides the facility for verifying
constructed modulemd data is correct and usable.

%package -n python3-%{name}
Summary:        Python 3 bindings for %{name}
Group:          Development/Python
Requires:       %{girname}%{?_isa} = %{libmodulemd_version}-%{release}
Requires:       python3dist(pygobject)
Requires:       python3dist(six)

%description -n python3-%{name}
This package provides the Python 3 bindings for %{name}.

%package -n %{libname}
Summary:        Main library for %{name}
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Provides:       %{name}%{?_isa} = %{version}-%{release}
# modulemd-v1 is gone
Obsoletes:      %{mklibname modulemd 1} < 1.8.16-3

%description -n %{libname}
This package provides the main library for applications
that use %{name}.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname}%{?_isa} = %{libmodulemd_version}-%{release}
# modulemd-v1 is gone
Obsoletes:      %{mklibname modulemd-gir 1.0} < 1.8.16-3

%description -n %{girname}
This package provides the GObject Introspection typelib interface
for applications to use %{name}.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C
Provides:       %{name}-devel = %{libmodulemd_version}-%{release}
Provides:       %{name}-devel%{?_isa} = %{libmodulemd_version}-%{release}
Provides:       modulemd-devel = %{libmodulemd_version}-%{release}
Provides:       modulemd-devel%{?_isa} = %{libmodulemd_version}-%{release}
Requires:       %{libname}%{?_isa} = %{libmodulemd_version}-%{release}
Requires:       %{girname}%{?_isa} = %{libmodulemd_version}-%{release}
# modulemd-v1 is gone
Obsoletes:      %{mklibname modulemd 1 -d} < 1.8.16-3

%description -n %{devname}
This package provides files for developing applications to use %{name}.

%prep
%autosetup -p1 -n modulemd-%{libmodulemd_version}

%build
%meson \
    -Dlibmagic=enabled \
    -Drpmio=enabled \
    -Dskip_introspection=false \
    -Dtest_installed_lib=false \
    -Dwith_docs=true \
    -Dwith_manpages=enabled \
    -Dwith_py3=true \
    -Dwith_py2=false

%meson_build

%if %{with check}
%check
export LC_CTYPE=C.UTF-8
%meson_test -t 5
%endif

%install
%meson_install

%files -n modulemd-validator
%license COPYING
%doc NEWS README.md
%{_bindir}/modulemd-validator
%{_mandir}/man1/modulemd-validator.1*

%files -n python3-%{name}
%{python3_sitearch}/gi/overrides/Modulemd.py
%{python3_sitearch}/gi/overrides/__pycache__/Modulemd.*

%files -n %{libname}
%license COPYING
%doc README.md
%{_libdir}/%{name}.so.%{majorversion}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Modulemd-%{nsversion}.typelib

%files -n %{devname}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/modulemd-%{nsversion}.pc
%{_includedir}/modulemd-%{nsversion}/
%{_datadir}/gir-1.0/Modulemd-%{nsversion}.gir
%{_datadir}/gtk-doc/html/modulemd-%{nsversion}/
