%define oname	mowgli-2

%define major	0
%define libname	%mklibname mowgli 2 %{major}
%define devname	%mklibname -d mowgli 2

Summary:	Development framework with high performance algorithms
Name:		libmowgli
Version:	2.1.3
Release:	%mkrel 5
License:	BSD
Group:		System/Libraries
# This URL is no longer available
Url:		http://www.atheme-project.org/projects/mowgli.shtml
Source0:	https://github.com/atheme/libmowgli-2/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	openssl-devel

%description
mowgli is a development framework for C (like GLib), which provides
high performance and highly flexible algorithms. It can be used as a
supplement to GLib (to add additional functions (dictionaries,
hashes), or replace some of the slow GLib list manipulation
functions), or stand alone. It also provides a powerful hook system
and convenient logging for your code, as well as a high performance
block allocator.

%package -n %{libname}
Group:		System/Libraries
Summary:	Development framework library
Obsoletes:	%{_lib}mowgli-2_0 < 2.1.0

%description -n %{libname}
mowgli is a development framework for C (like GLib), which provides
high performance and highly flexible algorithms. It can be used as a
supplement to GLib (to add additional functions (dictionaries,
hashes), or replace some of the slow GLib list manipulation
functions), or stand alone. It also provides a powerful hook system
and convenient logging for your code, as well as a high performance
block allocator.

%package -n %{devname}
Group:		Development/C
Summary:	Development framework header files
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}
Obsoletes:	%{_lib}mowgli-2-devel < 2.1.0

%description -n %{devname}
mowgli is a development framework for C (like GLib), which provides
high performance and highly flexible algorithms. It can be used as a
supplement to GLib (to add additional functions (dictionaries,
hashes), or replace some of the slow GLib list manipulation
functions), or stand alone. It also provides a powerful hook system
and convenient logging for your code, as well as a high performance
block allocator.

%prep
%setup -q -n lib%{oname}-%{version}

%build
%configure \
	--with-openssl=%{_includedir}
%make_build

%install
%make_install

%files -n %{libname}
%{_libdir}/lib%{oname}.so.%{major}{,.*}

%files -n %{devname}
%doc AUTHORS
%{_libdir}/lib%{oname}.so
%{_libdir}/pkgconfig/lib%{oname}.pc
%{_includedir}/lib%{oname}/
