%define oname		mp4v2

%define major		2
%define libname		%mklibname mp4v2_ %{major}
%define develname	%mklibname mp4v2 -d

Summary:	Library for working with files using the mp4 container format
Name:		libmp4v2
Epoch:   	1
Version:	2.1.2
Release:	%mkrel 1
License:	MPLv1.1
Group:		System/Libraries
# https://code.google.com/archive/p/mp4v2/
URL:		https://mp4v2.org/
Source0:	https://github.com/enzo1982/mp4v2/releases/download/v%{version}/%{oname}-%{version}.tar.bz2

BuildRequires:	doxygen
BuildRequires:	locales-en
BuildRequires:	texinfo

%description
The libmp4v2 library provides an abstraction layer for working with files
using the mp4 container format. This library is developed by mpeg4ip project
and is an exact copy of the library distributed in the mpeg4ip package.

%package -n %{libname}
Summary:	Library for working with files using the mp4 container format
Group:		System/Libraries

%description -n %{libname}
The libmp4v2 library provides an abstraction layer for working with files
using the mp4 container format. This library is developed by mpeg4ip project
and is an exact copy of the library distributed in the mpeg4ip package.

%package -n %{develname}
Summary:	Development files for the mp4v2 library
Group:		Development/C++
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{oname}-devel = %{epoch}:%{version}-%{release}
Provides:	lib%{oname}-devel = %{epoch}:%{version}-%{release}

%description -n %{develname}
Development files and documentation needed to develop and compile programs
using the libmp4v2 library.

%package utils
Summary:	Command line utils to handle MP4 metadata
Group:		Sound/Utilities

%description utils
The libmp4v2 library provides an abstraction layer for working with files
using the mp4 container format. This library is developed by mpeg4ip project
and is an exact copy of the library distributed in the mpeg4ip package.

This contains the command line example utilities.

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

%build
%configure \
    --disable-static \
    --disable-dependency-tracking
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files utils
%doc README
%license COPYING
%{_bindir}/mp4art
%{_bindir}/mp4chaps
%{_bindir}/mp4extract
%{_bindir}/mp4file
%{_bindir}/mp4info
%{_bindir}/mp4subtitle
%{_bindir}/mp4tags
%{_bindir}/mp4track
%{_bindir}/mp4trackdump
%{_mandir}/man1/mp4art.1.*
%{_mandir}/man1/mp4chaps.1.*
%{_mandir}/man1/mp4file.1.*
%{_mandir}/man1/mp4subtitle.1.*
%{_mandir}/man1/mp4tags.1.*
%{_mandir}/man1/mp4track.1.*

%files -n %{libname}
%doc README
%license COPYING
%{_libdir}/lib%{oname}.so.%{major}{,.*}

%files -n %{develname}
%doc README
%{_includedir}/%{oname}/
%{_libdir}/lib%{oname}.so
%{_libdir}/pkgconfig/%{oname}.pc
