%define realname	mpc
%define libmajor	3
%define libname		%mklibname %{realname} %{libmajor}
%define libname_devel	%mklibname %{realname} -d

Summary:	Arithmetic of complex numbers with arbitrarily high precision and correct rounding
Name:		libmpc
Version:	1.3.1
Release:	%mkrel 3
License:	LGPLv3+
Group:		System/Libraries
URL:		https://www.multiprecision.org/mpc
Source0:	https://www.multiprecision.org/downloads/%{realname}-%{version}.tar.gz
BuildRequires:	pkgconfig(gmp) >= 5.0.0
BuildRequires:	pkgconfig(mpfr) >= 4.1.0

%description
Mpc is a C library for the arithmetic of complex numbers with arbitrarily
high precision and correct rounding of the result. It is built upon and
follows the same principles as Mpfr. The library is written by Andreas Enge,
Philippe Théveny and Paul Zimmermann and is distributed under the Gnu Lesser
General Public License, either version 2.1 of the licence, or (at your option)
any later version. The Mpc library has been registered in France by the
Agence pour la Protection des Programmes on 2003-02-05 under the number
IDDN FR 001 060029 000 R P 2003 000 10000.

%package	-n %{libname}
Summary:	Arithmetic of complex numbers with arbitrarily high precision and correct rounding
Group:		System/Libraries

%description	-n %{libname}
Mpc is a C library for the arithmetic of complex numbers with arbitrarily
high precision and correct rounding of the result. It is built upon and
follows the same principles as Mpfr. The library is written by Andreas Enge,
Philippe Théveny and Paul Zimmermann and is distributed under the Gnu Lesser
General Public License, either version 2.1 of the licence, or (at your option)
any later version. The Mpc library has been registered in France by the
Agence pour la Protection des Programmes on 2003-02-05 under the number
IDDN FR 001 060029 000 R P 2003 000 10000.

%package	-n %{libname_devel}
Summary:	Development headers and libraries for MPC
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	mpc-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %{libname_devel}
Development headers and libraries for MPC.

%prep
%setup -q -n %{realname}-%{version}

%build
%configure --disable-static
%make_build

%install
%make_install

%check
%make_build check

%files -n %{libname}
%doc AUTHORS NEWS README TODO
%license COPYING.LESSER
%{_libdir}/libmpc.so.%{libmajor}{,.*}

%files -n %{libname_devel}
%{_includedir}/mpc.h
%{_infodir}/mpc.info*
%{_libdir}/libmpc.so
