%define major       2
%define libname     %mklibname mpdclient %{major}
%define develname   %mklibname mpdclient -d

Name:           libmpdclient
Version:        2.22
Release:        %mkrel 1
Summary:        API library for interfacing MPD in the C, C++ & Objective C languages
Group:          System/Libraries
License:        BSD
Url:            https://www.musicpd.org/
Source0:        https://www.musicpd.org/download/libmpdclient/2/%{name}-%{version}.tar.xz
Source1:        https://www.musicpd.org/download/libmpdclient/2/%{name}-%{version}.tar.xz.sig
BuildRequires:	doxygen
BuildRequires:	meson
BuildRequires:	ninja

%description
A stable, documented, asynchronous API library for interfacing MPD in the C,
C++ & Objective C languages.

#-----------------------------------------------------------------------------

%package -n     %{libname}
Summary:        API library for interfacing MPD in the C, C++ & Objective C languages
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
A stable, documented, asynchronous API library for interfacing MPD in the C, 
C++ & Objective C languages.

%files -n %{libname}
%license LICENSES/*
%{_libdir}/%{name}.so.%{major}{,.*}

#-----------------------------------------------------------------------------

%package -n     %{develname}
Summary:        Devel headers for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       mpdclient-devel = %{version}-%{release}

%description -n %{develname}
Devel headers for libmpdclient.

%files -n %{develname}
%doc NEWS README*
%license LICENSES/*
%{_docdir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/mpd/
%{_libdir}/%{name}.so

#-----------------------------------------------------------------------------

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install
