%define major     0.2
%define libname   %mklibname msym %{major}
%define develname %mklibname msym -d

Name:           libmsym
Version:        0.2.3
Release:        %mkrel 9
Summary:        Molecular point group symmetry lib
License:        MIT
Group:          System/Libraries
Url:            https://github.com/mcodev31/libmsym
Source0:        https://github.com/mcodev31/libmsym/archive/v%{version}-paper/%{name}-%{version}.tar.gz
Patch0:         libmsym-0.2.3-fix-version.patch
BuildRequires:  cmake
BuildRequires:  pkgconfig(python3)

%description
libmsym is a C library dealing with point group symmetry in molecules.

#----------------------------------------------------

%package -n     %{libname}
Summary:        Molecular point group symmetry lib
Group:          System/Libraries

%description -n %{libname}
libmsym is a C library dealing with point group symmetry in molecules.

#----------------------------------------------------

%package -n     %{develname}
Summary:        Development package for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       msym-devel = %{version}-%{release}

%description -n %{develname}
Header files for development with %{name}.

#----------------------------------------------------

%package -n     python3-%{name}
Summary:        Python 3 bindings for %{name}
Group:          Development/Python
BuildArch:      noarch

%description -n python3-%{name}
Python 3 bindings for %{name}.

#----------------------------------------------------

%prep
%setup -q -n %{name}-%{version}-paper
%autopatch -p1

%build
%cmake \
        -DINSTALL_LIB_DIR=%{_libdir} \
        -DINSTALL_CMAKE_DIR=%{_libdir}/cmake/%{name} \
        -DMSYM_BUILD_PYTHON=ON \
        -DPYTHON=%{__python3} \
        -DMSYM_PYTHON_INSTALL_OPTS=--root="%{buildroot}"
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc README.md
%license LICENSE
%{_libdir}/libmsym.so.%{major}{,.*}

%files -n %{develname}
%doc README.md
%{_includedir}/%{name}/
%{_libdir}/libmsym.so
%{_libdir}/cmake/%{name}/

%files -n python3-%{name}
%doc bindings/python/README.md
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info
