%define api       5
%define major     1
%define libname   %mklibname musicbrainz %api %{major}
%define develname %mklibname musicbrainz %api -d

Name:		libmusicbrainz5
Version:	5.1.0
Release:	%mkrel 11
Summary:	A software library for accessing MusicBrainz servers
Group:		Sound/Utilities
License:	LGPLv2+
URL:		https://musicbrainz.org/doc/libmusicbrainz
Source0:	https://github.com/metabrainz/libmusicbrainz/archive/release-%{version}.tar.gz
Patch1:		0001-Don-t-emit-errors-unless-compiled-for-debug.patch
Patch2:		0002-libxml2-2-12.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(neon)

%description
The MusicBrainz client library allows applications to make metadata
lookup to a MusicBrainz server, generate signatures from WAV data and
create CD Index Disk ids from audio CD roms.

%package -n %{libname}
Summary:	A software library for accessing MusicBrainz servers
Group:		System/Libraries

%description -n %{libname}
The MusicBrainz client library allows applications to make metadata
lookup to a MusicBrainz server, generate signatures from WAV data and
create CD Index Disk ids from audio CD roms.

%package -n %develname
Summary:	Headers for developing programs that will use libmusicbrainz
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%develname
This package contains the headers that programmers will need to develop
applications which will use libmusicbrainz.

%prep
%autosetup -p1 -n libmusicbrainz-release-%{version}

%build
%cmake -B .
%make_build

%install
%make_install

%files -n %{libname}
%doc AUTHORS.txt NEWS.txt
%license COPYING.txt
%{_libdir}/libmusicbrainz%{api}.so.%{major}{,.*}

%files -n %develname
%{_includedir}/musicbrainz%{api}
%{_libdir}/*.so
%{_libdir}/pkgconfig/libmusicbrainz%{api}.pc
