%bcond_without	qt5
%bcond_without	qt6

Name:           libmygpo-qt
Version:        1.1.0
Release:        %mkrel 11
Summary:        Qt/C++ Library wrapping the gPodder.net Webservice
Group:          Graphical desktop/KDE
License:        GPLv3
URL:            https://github.com/gpodder/libmygpo-qt/
Source0:        http://stefan.derkits.at/files/libmygpo-qt/%{name}.%{version}.tar.gz
Patch1:         0001-Add-missing-Qt5Network-Qt5Test-make-BUILD_WITH_QT4-m.patch
Patch2:         0002-Fix-build-with-Qt-5.11_beta3-dropping-qt5_use_module.patch
Patch3:         0003-Move-MYGPO_BUILD_TESTS-option.patch
Patch4:         0004-Update-the-minimum-required-cmake-version-to-3.0.patch
Patch5:         0005-Fix-parsing-of-timestamp-for-EpisodeAction.patch
Patch6:         0006-Fix-timestamp-sent-to-gpodder.net-to-correspond-to-U.patch
Patch7:         0007-Fix-removeList-of-DeviceUpdates.patch
Patch8:         0008-Use-c-c-library-defined-ULLONG_MAX-instead-of-manual.patch
Patch9:         0009-Update-signals-and-slots-to-use-Q_SIGNALS-and-Q_SLOT.patch
Patch10:        0010-Bump-minimum-CMake-version-to-avoid-a-warning-during.patch
# https://github.com/gpodder/libmygpo-qt/pull/23
Patch20:        0001-Minimal-changes-to-make-Qt6-compilation-possible.patch
BuildRequires:  cmake
BuildRequires:  doxygen
# Qt5
%if %{with qt5}
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Network)
%endif
# Qt6
%if %{with qt6}
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
%endif

%description
libmygpo-qt is a Qt Library that wraps the gpodder.net Web API
(http://wiki.gpodder.org/wiki/Web_Services/API_2)

v1.0 wraps nearly every Request from the gpodder.net API except:
-) Simple API Calls Downloading subscription Lists & Uploading subscription
   Lists
-) Retrieving Subscription Changes (you should use "Retrieving Updates for a
   given Device" instead)

#-------------------------------------------------------------------------------
### Qt5 ###
%if %{with qt5}

%define mygpoqt5_major 1
%define libmygpo_qt5   %mklibname mygpo-qt5_ %{mygpoqt5_major}

%package -n %{libmygpo_qt5}
Summary:        Qt5/C++ Library wrapping the gPodder.net Webservice
Group:          Graphical desktop/KDE

Obsoletes:      %{_lib}mygpo-qt1 < 1.1.0-10

%description -n %{libmygpo_qt5}
Qt5/C++ Library wrapping the gPodder.net Webservice.

%files -n %{libmygpo_qt5}
%{_libdir}/libmygpo-qt5.so.%{mygpoqt5_major}{,.*}

#-------------------------------------------------------------------------------

%define mygpoqt5devel %mklibname mygpo-qt5 -d

%package -n %{mygpoqt5devel}
Summary:        Devel stuff for mygpo-qt5
Group:          Development/KDE and Qt
Requires:       %{libmygpo_qt5} = %{version}-%{release}
Provides:       mygpo-qt5-devel = %{version}-%{release}

Obsoletes:      %{_lib}mygpo-qt-devel < 1.1.0-10

%description -n %{mygpoqt5devel}
This package contains header files needed if you wish to build applications
based on mygpo-qt5.

%files -n %{mygpoqt5devel}
%{_qt5_includedir}/mygpo-qt/
%{_libdir}/pkgconfig/libmygpo-qt5.pc
%{_libdir}/libmygpo-qt5.so
%{_libdir}/cmake/mygpo-qt5/*.cmake
%dir %{_libdir}/cmake/mygpo-qt5
%endif

### End Qt5 ###

#-----------------------------------------------------------------------------

### Qt6 ###
%if %{with qt6}

%define mygpoqt6_major 1
%define libmygpo_qt6   %mklibname mygpo-qt6_ %{mygpoqt6_major}

%package -n %{libmygpo_qt6}
Summary:        Qt6/C++ Library wrapping the gPodder.net Webservice
Group:          Graphical desktop/KDE
Provides:       %{name} = %{version}-%{release}

%description -n %{libmygpo_qt6}
Qt6/C++ Library wrapping the gPodder.net Webservice.

%files -n %{libmygpo_qt6}
%{_libdir}/libmygpo-qt6.so.%{mygpoqt6_major}{,.*}

#-------------------------------------------------------------------------------

%define mygpoqt6devel %mklibname mygpo-qt6 -d

%package -n %{mygpoqt6devel}
Summary:        Devel stuff for %{name}
Group:          Development/KDE and Qt
Requires:       %{libmygpo_qt6} = %{version}-%{release}
Provides:       mygpo-qt6-devel = %{version}-%{release}

%description -n %{mygpoqt6devel}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{mygpoqt6devel}
%{_qt6_includedir}/mygpo-qt/
%{_libdir}/pkgconfig/libmygpo-qt6.pc
%{_libdir}/libmygpo-qt6.so
%{_libdir}/cmake/mygpo-qt6/*.cmake
%dir %{_libdir}/cmake/mygpo-qt6
%endif

### End Qt6 ###
#-----------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}.%{version}

%build
%global _vpath_srcdir ..

%if %{with qt5}
### Qt5 build ###
mkdir -p qt5
pushd qt5
%cmake_qt5 \
        -DBUILD_WITH_QT6=OFF \
        -DMYGPO_BUILD_TESTS=OFF \
        -DINCLUDE_INSTALL_DIR=%{_qt5_includedir}/mygpo-qt
%cmake_build
popd
%endif

%if %{with qt6}
### Qt6 build ###
mkdir -p qt6
pushd qt6
%cmake_qt6 \
        -DBUILD_WITH_QT6=ON \
        -DMYGPO_BUILD_TESTS=OFF \
        -DINCLUDE_INSTALL_DIR=%{_qt6_includedir}/mygpo-qt
%cmake_build
popd
%endif

%install
%if %{with qt5}
### Qt5 install ###
pushd qt5
%cmake_install
popd
%endif

%if %{with qt6}
### Qt6 install ###
pushd qt6
%cmake_install
popd
%endif
