#(eatdirt): crazy change upstream, api numbers removed in lib name and
#libtool release numbering reset to 0

%define         major           0
%define         libname         %mklibname mypaint %{major}

%define         geglmajor       0
%define         libname_gegl    %mklibname mypaint-gegl %{geglmajor}

%define         libdevelname    %mklibname -d mypaint

%define         gmajor          1.6
%define         girname         %mklibname mypaint-gir %{gmajor}
%define         girname_gegl    %mklibname mypaintgegl-gir %{gmajor}

%bcond_with gegl

Name:           libmypaint
Version:        1.6.1
Release:        %mkrel 8
Summary:        System libraries based on Mypaint
Group:          System/Libraries
License:        GPLv2+
URL:            https://github.com/mypaint/libmypaint
Source0:        https://github.com/mypaint/libmypaint/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:  gettext
BuildRequires:  perl(XML::Parser)
BuildRequires:  intltool
BuildRequires:  libgomp-devel
%if %{with gegl}
BuildRequires:  pkgconfig(babl-0.1)
BuildRequires:  pkgconfig(gegl-0.4)
%endif
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(json-c)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  python3-breathe
BuildRequires:  python3-sphinx

%description
System libraries based on Mypaint.


%package -n %{name}-i18n
Summary:        Internationalization and locale data for libmypaint
Group:          System/Libraries
BuildArch:      noarch

%description -n %{name}-i18n
Internationalization and locale data for libmypaint.


%package -n %{libname}
Summary:        System libraries based on Mypaint
Group:          System/Libraries

%description -n %{libname}
This is an independent release of libmypaint, the library associated
with Mypaint, as a separate module.

%if %{with gegl}
%package -n %{libname_gegl}
Summary:        System libraries based on Mypaint
Group:          System/Libraries

%description -n %{libname_gegl}
This is an independent release of libmypaint, the library associated
with Mypaint, as a separate module.
%endif

%package -n %{girname}
Summary:        GObject Introspection interface description for MyPaint
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for MyPaint.

%if %{with gegl}
%package -n %{girname_gegl}
Summary:        GObject Introspection interface description for MyPaintGegl
Group:          System/Libraries
Requires:       %{libname_gegl} = %{version}-%{release}

%description -n %{girname_gegl}
GObject Introspection interface description for MyPaintGegl.
%endif

%package -n %{libdevelname}
Summary:        Development files for libmypaint
Group:          Development/Other
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Requires:       %{girname} = %{version}-%{release}
%if %{with gegl}
Requires:       %{libname_gegl} = %{version}-%{release}
Requires:       %{girname_gegl} = %{version}-%{release}
%endif

%description -n %{libdevelname}
Development files for libmypaint.


%prep
%autosetup -p1

# Make sure the build uses python3
sed -i -e 's/python -c/python3 -c/g' configure

%build
%configure --enable-introspection=yes \
           %if %{without gegl}
           --disable-gegl \
           %endif
           --enable-openmp
%make_build


%install
%make_install

%find_lang %{name} --all-name
find %{buildroot}%{_libdir} -name '*.la' -delete

%files -n %{name}-i18n -f %{name}.lang


%files -n %{libname}
%doc README.md
%{_libdir}/libmypaint.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/MyPaint-%{gmajor}.typelib

%if %{with gegl}
%files -n %{libname_gegl}
%doc README.md
%{_libdir}/libmypaint-gegl.so.%{geglmajor}{,.*}

%files -n %{girname_gegl}
%{_libdir}/girepository-1.0/MyPaintGegl-%{gmajor}.typelib
%endif

%files -n %{libdevelname}
%{_includedir}/libmypaint/
%{_libdir}/libmypaint.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/MyPaint-%{gmajor}.gir
%if %{with gegl}
%{_includedir}/libmypaint-gegl/
%{_libdir}/libmypaint-gegl.so
%{_datadir}/gir-1.0/MyPaintGegl-%{gmajor}.gir
%endif
