%define major    1
%define lname    mysofa
%define lib_name %mklibname %{lname} %{major}
%define dev_name %mklibname %{lname} -d

Name:           libmysofa
Version:        1.3.3
Release:        %mkrel 2
Summary:        C functions for reading HRTFs
License:        BSD
Group:          Sound/Utilities
URL:            https://github.com/hoene/libmysofa
Source0:        https://github.com/hoene/libmysofa/archive/v%{version}/%{name}-%{version}.tar.gz
# for testing
BuildRequires:  nodejs
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(cunit)
BuildRequires:  pkgconfig(zlib)

%description
This is a simple set of C functions to read AES SOFA files, if they
contain HRTFs stored according to the AES69-2015 standard.

%package -n %{lib_name}
Summary:        Library files for %{name}
Group:          Sound/Utilities

%description -n %{lib_name}
This package contains the libraries of libmysofa, a set of functions
to read AEF SOFA files.

%package -n %{dev_name}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{lib_name} = %{version}-%{release}
Provides:       %{lname}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{dev_name}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package -n %{lname}-tools
Summary:        Tools for %{name}
Group:          Sound/Utilities
Requires:       %{lib_name} = %{version}-%{release}

%description -n mysofa-tools
Tools for %{name}.

%prep
%autosetup -p1

%build
%cmake -DCODE_COVERAGE:BOOL=OFF
%cmake_build

%install
%cmake_install

%check
cd build
make test || (cat Testing/Temporary/LastTest.log && exit 1)

%files -n %{lname}-tools
%license LICENSE
%doc README.md SECURITY.md
%{_bindir}/mysofa2json
%dir %{_datadir}/libmysofa
%{_datadir}/libmysofa/default.sofa
%{_datadir}/libmysofa/MIT_KEMAR_normal_pinna.sofa

%files -n %{lib_name}
%{_libdir}/lib%{lname}.so.%{major}{,.*}

%files -n %{dev_name}
%doc CODE_OF_CONDUCT.md
%{_includedir}/mysofa.h
%{_includedir}/mysofa_export.h
%{_libdir}/lib%{lname}.so
%{_libdir}/pkgconfig/lib%{lname}.pc
%{_libdir}/cmake/mysofa/
