%define major 0
%define libname %mklibname natspec %{major}
%define develname %mklibname natspec -d

Name: libnatspec
Version: 0.3.1
Release: %mkrel 5
License: LGPLv2
Group: System/Libraries
Url: https://github.com/vitlav/libnatspec
Summary: Library for national and language-specific issues
Source0: %{name}-%{version}.tar
BuildRequires: pkgconfig(popt)

%description
Library for national and language-specific issues.
This library provides useful functions for
mount, submount, mkisofs, multimedia players.
This library tries to help resolve charset hell (encoding problems)
in various programs depending on locale and messages.

%package -n %{libname}
Summary: Library for national and language-specific issues
Group: System/Libraries
Provides: %{name} = %{version}-%{release}

%description -n %{libname}
Library for national and language-specific issues.
This library provides useful functions for
mount, submount, mkisofs, multimedia players.
This library tries to help resolve charset hell (encoding problems)
in various programs depending on locale and messages.

%package -n %{develname}
Summary: Development package of library for national and language-specific issues
Group: Development/Other
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains the necessary include files
for developing applications with %{name}
This library tries to help resolve charset hell (encoding problems)
in various programs depending on locale and messages.

%package devel-examples
Summary: Examples of %{name} using
Group: Documentation

%description devel-examples
The %{name}-devel package contains examples of patches
for developing applications with %{name}

%prep
%setup -q

%build
autoreconf -fi
%configure
%make_build

%install
%make_install
rm -rf %{buildroot}%{_docdir}

# remove *.la files
find %{buildroot}%{_libdir} -type f -name "*.la" -delete -print

%files -n %{libname}
%doc AUTHORS README.md ChangeLog NEWS TODO README-ru.html
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*
%{_bindir}/*
%{_mandir}/man1/natspec*

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/*

%files devel-examples
%doc examples profile
