%global major   0
%define libname %mklibname ndp %{major}
%define devname %mklibname ndp -d

Name:           libndp
Version:        1.9
Release:        %mkrel 1
Summary:        Library for Neighbor Discovery Protocol
Group:          System/Libraries
License:        LGPLv2+
URL:            http://www.libndp.org/
Source:         http://www.libndp.org/files/libndp-%{version}.tar.gz

%description
This package contains a library which provides a wrapper
for IPv6 Neighbor Discovery Protocol.  It also provides a tool
named ndptool for sending and receiving NDP messages.

%package -n ndptool
Summary:        Tool for sending and receiving NDP messages
Group:          System/Networking

%description -n ndptool
ndptool is a tool which provides wrapper over Neighbor Discovery Protocol messages.

%package -n %{libname}
Summary:        Library for Neighbor Discovery Protocol
Group:          System/Libraries

%description -n %{libname}
This package contains a library which provides a wrapper
for IPv6 Neighbor Discovery Protocol.  It also provides a tool
named ndptool for sending and receiving NDP messages.

%package -n %{devname}
Summary:        Libraries and header files for libndp development
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       ndp-devel = %{version}-%{release}

%description -n %{devname}
The libndp-devel package contains the header files and libraries
necessary for developing programs using libndp.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install

%files -n ndptool
%license COPYING
%{_bindir}/ndptool
%{_mandir}/man8/ndptool.8*

%files -n %{libname}
%license COPYING
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/ndp.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
