%define _disable_ld_no_undefined 1

%define date 20180523
#define git 05cef1d
%define bdir 3.4

%define major 3
%define libname %mklibname ndpi %{major}
%define develname %mklibname ndpi -d
%define static %mklibname ndpi -s -d

%define rel 2

Summary:	Open source deep packet inspection
Name:		libndpi
Version:	3.4
Release:	%mkrel %{?git:0.git%{date}.}%{rel}
License:	LGPLv3
Group:		System/Libraries
URL:		https://www.ntop.org/products/ndpi/
Source0:	https://github.com/ntop/nDPI/archive/%{bdir}/%{name}-%{version}%{?git:git%date-%git}.tar.gz
Patch1:		ndpi-2.2-dont-configure.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	json-c-devel
BuildRequires:	pcap-devel

%description
nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
under the GPL license, its goal is to extend the original library by adding
new protocols that are otherwise available only on the paid version of OpenDPI.
In addition to Unix platforms, we also support Windows, in order to provide
you a cross-platform DPI experience. Furthermore, we have modified nDPI do be
more suitable for traffic monitoring applications, by disabling specific
features that slow down the DPI engine while being them un-necessary for
network traffic monitoring.

nDPI is used by both ntop and nProbe for adding application-layer detection of
protocols, regardless of the port being used. This means that it is possible
to both detect known protocols on non-standard ports (e.g. detect http non
ports other than 80), and also the opposite (e.g. detect Skype traffic on port
80). This is because nowadays the concept of port=application no longer holds.

%package -n	%{static}
Summary:	Open source deep packet inspection static library
Group:		System/Libraries
Provides:	ndpi-static-devel = %{version}-%{release}
Provides:	%{name}-static-devel

%description -n	%{static}
nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
under the GPL license, its goal is to extend the original library by adding
new protocols that are otherwise available only on the paid version of OpenDPI.
In addition to Unix platforms, we also support Windows, in order to provide
you a cross-platform DPI experience. Furthermore, we have modified nDPI do be
more suitable for traffic monitoring applications, by disabling specific
features that slow down the DPI engine while being them un-necessary for
network traffic monitoring.

nDPI is used by both ntop and nProbe for adding application-layer detection of
protocols, regardless of the port being used. This means that it is possible
to both detect known protocols on non-standard ports (e.g. detect http non
ports other than 80), and also the opposite (e.g. detect Skype traffic on port
80). This is because nowadays the concept of port=application no longer holds.

This package provides the static %{name} library.

%package -n	%{libname}
Summary:	Open source deep packet inspection library
Group:          System/Libraries
Obsoletes:	%{mklibname ndpi 1} < 1.6.0

%description -n	%{libname}
nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
under the GPL license, its goal is to extend the original library by adding
new protocols that are otherwise available only on the paid version of OpenDPI.
In addition to Unix platforms, we also support Windows, in order to provide
you a cross-platform DPI experience. Furthermore, we have modified nDPI do be
more suitable for traffic monitoring applications, by disabling specific
features that slow down the DPI engine while being them un-necessary for
network traffic monitoring.

nDPI is used by both ntop and nProbe for adding application-layer detection of
protocols, regardless of the port being used. This means that it is possible
to both detect known protocols on non-standard ports (e.g. detect http non
ports other than 80), and also the opposite (e.g. detect Skype traffic on port
80). This is because nowadays the concept of port=application no longer holds.

This package provides the shared %{name} library.

%package -n	%{develname}
Summary:	Header files and libraries for developing applications for nDPI
Group:		Development/C
Requires:	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}

%description -n	%{develname}
nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
under the GPL license, its goal is to extend the original library by adding
new protocols that are otherwise available only on the paid version of OpenDPI.
In addition to Unix platforms, we also support Windows, in order to provide
you a cross-platform DPI experience. Furthermore, we have modified nDPI do be
more suitable for traffic monitoring applications, by disabling specific
features that slow down the DPI engine while being them un-necessary for
network traffic monitoring.

nDPI is used by both ntop and nProbe for adding application-layer detection of
protocols, regardless of the port being used. This means that it is possible
to both detect known protocols on non-standard ports (e.g. detect http non
ports other than 80), and also the opposite (e.g. detect Skype traffic on port
80). This is because nowadays the concept of port=application no longer holds.


These are the header files and libraries for developing applications for %{name}.

%prep
%setup -q -n nDPI-%{bdir}
%autopatch -p1

sed -i src/lib/Makefile.in -e "s|^prefix *= .*|prefix = %{_prefix}|" -e "s|^libdir *= .*|libdir = %{_libdir}|"

%build
export LIBS="-lpthread"
export DESTDIR=%{buildroot}
./autogen.sh
%configure \
	--enable-shared \
	--enable-static

%make_build

%install
%make_install DESTDIR=%{buildroot}

%files
%{_bindir}/ndpiReader
%{_datadir}/ndpi/

%files -n %{libname}
%doc README* COPYING
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc README* CHANGELOG.md example
%{_includedir}/ndpi/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files -n %{static}
%{_libdir}/*.*a
