%define rname neon

%define	major		27
%define libname		%mklibname %{rname} %{major}
%define devname		%mklibname %{rname} -d
%define staticname	%mklibname %{rname} -d -s

%bcond_without	libproxy

Summary: 	An HTTP and WebDAV client library, with a C interface
Name: 		libneon
Version: 	0.34.0
Release: 	%mkrel 2
Group: 		Development/Other
License: 	GPLv2+ and LGPLv2+
URL:		https://notroj.github.io/neon/
Source0:	https://notroj.github.io/neon/neon-%{version}.tar.gz
BuildRequires:	pkgconfig(openssl) >= 0.9.7
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(krb5)
BuildRequires:	rootcerts
BuildRequires:	pkgconfig(zlib)
%if %{with libproxy}
BuildRequires:	pkgconfig(libproxy-1.0)
%endif
BuildRequires:	libtool
BuildRequires:	autoconf
BuildRequires:	multiarch-utils >= 1.0.3

%description
neon is an HTTP and WebDAV client library for Unix systems,
with a C language API. It provides high-level interfaces to
HTTP/1.1 and WebDAV  methods, and a low-level interface to
HTTP request/response handling, allowing new methods to be
easily implemented.

%package i18n
Summary:	Internationalization and locale data for %{name}
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
This package contains the internationalization and locale data for %{name}.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries
Requires:	rootcerts
Requires:	openssl >= 0.9.7
Requires:	%{name}-i18n >= %{version}

%description -n %{libname}
neon is an HTTP and WebDAV client library for Unix systems,
with a C language API. It provides high-level interfaces to
HTTP/1.1 and WebDAV  methods, and a low-level interface to
HTTP request/response handling, allowing new methods to be
easily implemented.

%package -n %{devname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	libneon-devel = %{version}-%{release}
Provides:	neon-devel = %{version}-%{release}

%description -n	%{devname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n %{staticname}
Summary:	Static %{name} library
Group:		Development/C++
Requires:	%{devname} = %{version}-%{release}
Provides:	libneon-static-devel = %{version}-%{release}
Provides:	neon-static-devel = %{version}-%{release}
Obsoletes:	%{_lib}neon0.27-static-devel < 0.30.0

%description -n	%{staticname}
Static %{name} library.

%prep
%autosetup -p1 -n %{rname}-%{version}

%build
%serverbuild
%configure \
    --enable-shared \
    --enable-static \
    --with-ssl=openssl \
    --enable-threadsafe-ssl=posix \
    --with-ca-bundle=%{_sysconfdir}/pki/tls/certs/ca-bundle.crt \
%if %{with libproxy}
    --with-libproxy \
%else
    --without-libproxy \
%endif
    --with-libxml2

%make_build

%install
%make_install

cp src/README README.neon

# fix this
rm -rf %{buildroot}%{_docdir}

find %{buildroot} -name *.la -delete

%multiarch_binaries %{buildroot}%{_bindir}/neon-config

%find_lang %{rname}

%check
export TEST_QUIET=0
make check

%files i18n -f %{rname}.lang

%files -n %{libname}
%doc doc/*.txt README.neon
%license src/COPYING.LIB
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{devname}
%doc AUTHORS BUGS doc/html NEWS README.md THANKS TODO
%multiarch %{multiarch_bindir}/neon-config
%{_bindir}/neon-config
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/neon.pc
%{_includedir}/neon/
%{_mandir}/man1/*
%{_mandir}/man3/*

%files -n %{staticname}
%{_libdir}/lib*.a
