%define major 1
%define libname %mklibname netfilter_log %{major}
%define libnamedevel %mklibname netfilter_log -d

Summary:	Netfilter userspace packet logging library
Name:		libnetfilter_log
Version:	1.0.2
Release:	%mkrel 2
Group:		System/Kernel and hardware
License:	GPL
URL:		https://www.netfilter.org/projects/libnetfilter_log/index.html
Source0:	https://www.netfilter.org/projects/libnetfilter_log/files/libnetfilter_log-%{version}.tar.bz2
Source1:	https://www.netfilter.org/projects/libnetfilter_log/files/libnetfilter_log-%{version}.tar.bz2.sig
BuildRequires:	pkgconfig(libnfnetlink) >= 0.0.41
BuildRequires:	pkgconfig(libmnl) >= 1.0.3
BuildRequires:	autoconf 
BuildRequires:	automake 
BuildRequires:	libtool

%description
libnetfilter_log is a userspace library providing interface to packets that
have been logged by the kernel packet filter. It is is part of a system that
deprecates the old syslog/dmesg based packet logging. This library has been
previously known as libnfnetlink_log.

%package -n	%{libname}
Summary:	Netfilter userspace packet logging library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	netfilter_log = %{version}-%{release}

%description -n	%{libname}
libnetfilter_log is a userspace library providing interface to packets that
have been logged by the kernel packet filter. It is is part of a system that
deprecates the old syslog/dmesg based packet logging. This library has been
previously known as libnfnetlink_log.

%package -n	%{libnamedevel}
Summary:        Development files for %{name}
Group:		Development/C
Provides:	netfilter_log-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n	%{libnamedevel}
This package contains the development files for %{name}.

%prep
%setup -q
%autopatch -p0

%build
autoreconf -fi
%configure \
    --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc COPYING
%{_libdir}/*.so.%{major}{,.*}

%files -n %{libnamedevel}
%{_includedir}/libnetfilter_log
%{_libdir}/*.so
%{_libdir}/pkgconfig/libnetfilter_log.pc
%{_libdir}/pkgconfig/libnetfilter_log_libipulog.pc
