%define	major 0
%define libname	%mklibname nfsidmap %{major}
%define devname %mklibname nfsidmap -d

Summary:	Library to help mapping id's, mainly for NFSv4
Name:		libnfsidmap
Version:	0.27
Release:	%mkrel 3
License:	BSD-like
Group:		System/Libraries
URL:		https://linux-nfs.org/wiki/index.php/Main_Page
Source0:	https://fedorapeople.org/~steved/%{name}/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:	openldap-devel
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig

%description
libnfsidmap is a library holding multiple methods of mapping
names to id's and visa versa, mainly for NFSv4.

When NFSv4 is using AUTH_GSS (which currently only supports
Kerberos v5), the NFSv4 server mapping functions MUST use
secure communications.

%package -n	%{libname}
Summary:	Library to help mapping id's, mainly for NFSv4
Group:		System/Libraries
Provides:	libnfsidmap = %{version}-%{release}
Provides:	nfsidmap = %{version}-%{release}
Obsoletes:  libnfsidmap-doc
# /etc/idmapd.conf was shipped in nfs-utils in mga5
Conflicts:      nfs-utils < 1:1.3.0-7

%description -n	%{libname}
libnfsidmap is a library holding multiple methods of mapping
names to id's and visa versa, mainly for NFSv4.

When NFSv4 is using AUTH_GSS (which currently only supports
Kerberos v5), the NFSv4 server mapping functions MUST use
secure communications.

%package -n	%{devname}
Summary:	Static library and header files for the nfsidmap library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	libnfsidmap-devel = %{version}-%{release}
Provides:	nfsidmap-devel  = %{version}-%{release}
Conflicts:	%{_lib}nfsidmap0 < 0.25-2
Obsoletes:	%{_lib}nfsidmap0-devel < 0.25-4

%description -n	%{devname}
libnfsidmap is a library holding multiple methods of mapping
names to id's and visa versa, mainly for NFSv4.

When NFSv4 is using AUTH_GSS (which currently only supports
Kerberos v5), the NFSv4 server mapping functions MUST use
secure communications.

This package contains the static libnfsidmap library and its
header files.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure \
	--disable-static \
	--with-pluginpath=%{_libdir}/libnfsidmap%{major}
%make_build

%install
%make_install

install -D -m 644 idmapd.conf %{buildroot}%{_sysconfdir}/idmapd.conf

find %{buildroot} -name "*.la" -delete

# to have %major in the plugin path - Anssi 12/2011
mv %{buildroot}%{_libdir}/%{name}{,%major}

%files -n %{libname}
%doc AUTHORS COPYING
%config(noreplace) %{_sysconfdir}/idmapd.conf
%{_libdir}/%{name}.so.%{major}{,.*}
%{_libdir}/%{name}%{major}
%{_mandir}/man5/*

%files -n %{devname}
%doc AUTHORS ChangeLog COPYING README
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libnfsidmap.pc
%{_mandir}/man3/*
