%define	major		10
%define gmajor		0.1
%define	oname		nice
%define	libname		%mklibname %{oname} %{major}
%define girname		%mklibname %{oname}-gir %{gmajor}
%define develname	%mklibname %{oname} -d

Name:		libnice
Version:	0.1.22
Release:	%mkrel 1
Summary:	Implementation of the IETF's ICE standard (RFC 5245)
License:	LGPLv2+ and MPLv1+
Group:		System/Libraries
URL:		https://libnice.freedesktop.org/
Source0:	https://libnice.freedesktop.org/releases/%{name}-%{version}.tar.gz
# Build against the new gupnp-igd
Patch0:		libnice-gupnp-1.6.patch
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gupnp-igd-1.6)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	meson

%description
Nice is an implementation of the IETF's draft Interactive Connectivity
Establishment standard (ICE). It provides GLib-based library, libnice.

ICE is useful for applications that want to establish peer-to-peer UDP
data streams. It automates the process of traversing NATs and provides
security against some attacks.

Existing standards that use ICE include the Session Initiation Protocol
(SIP) and Jingle, XMPP extension for audio/video calls.

Nice includes integration with GStreamer.

%package -n	%{libname}
Summary:	Dynamic libraries from %{oname}
Group:		System/Libraries

%description -n	%{libname}
Dynamic libraries from %{name}.

%package -n	%{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{girname}
GObject Introspection interface description for %{name}.

%package -n	%{develname}
Summary: 	Header files, libraries and development documentation for %{oname}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}
Provides:       lib%{oname}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains the development files, headers and documentation for
%{oname}.

%package	utils
Summary:	Utilities from %{oname}
Group:		Networking/Other

%description	utils
This package contains various tools from %{name}.

%package -n	gstreamer1.0-%{oname}
Summary:	Gstreamer elements from %{oname}
Group:		System/Libraries

%description -n	gstreamer1.0-%{oname}
Gstreamer 1.0 elements from %{oname}.

%prep
%setup -q
%autopatch -p1

%build
%meson

%meson_build

%install
%meson_install

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Nice-%{gmajor}.typelib

%files -n %{develname}
%license COPYING COPYING.LGPL COPYING.MPL
%doc AUTHORS NEWS README
%{_includedir}/%{oname}/
%{_includedir}/stun/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{oname}.pc
%{_datadir}/gir-1.0/Nice-%{gmajor}.gir

%files utils
%{_bindir}/stun*

%files -n gstreamer1.0-%{oname}
%{_libdir}/gstreamer-1.0/libgstnice.so
