%define major 1
%define libname %mklibname nids %{major}
%define develname %mklibname nids -d

Summary:	Library that provides functions of Network Intrusion Detection System
Name:		libnids
Version:	1.26
Release:	%mkrel 2
License:	GPL
Group:		Networking/Other
URL:		https://github.com/MITRECND/libnids/
Source0:	https://github.com/MITRECND/libnids/archive/%{name}-%{version}.tar.gz
Patch0:		libnids-1.18-libnet_config.diff
Patch1:		libnids-1.19-x86-pic.diff
Patch2:		libnids-1.24-no-inline.patch
BuildRequires:	libpcap-devel
BuildRequires:	net-devel >= 1.1.3
BuildRequires:	glib2-devel >= 2.2.0

%description
Libnids is an implementation of an E-component of Network Intrusion Detection
System. It emulates the IP stack of Linux 2.0.x. Libnids offers IP
defragmentation, TCP stream assembly and TCP port scan detection.

%package -n	%{libname}
Summary:	A shared Library that provides functions of Network Intrusion Detection System
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
Libnids is a library that provides a functionality of one of NIDS (Network
Intrusion Detection System) components, namely E-component. It means that
libnids code watches all local network traffic, cooks received datagrams a bit
(quite a bit ;)), and provides convenient information on them to analyzing
modules of NIDS.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname nids 1 -d}

%description -n	%{develname}
Libnids is a library that provides a functionality of one of NIDS (Network
Intrusion Detection System) components, namely E-component. It means that
libnids code watches all local network traffic, cooks received datagrams a bit
(quite a bit ;)), and provides convenient information on them to analyzing
modules of NIDS.

This package contains the static library and header files for %{name}.

%prep

%setup -q
%patch -P 0 -p0
%patch -P 1 -p0
%patch -P 2 -p1

# fix soname
perl -pi -e "s|^LIBSHARED.*|LIBSHARED = libnids.so.%{major}|g" src/Makefile.in

%build
autoreconf -vfi

export CFLAGS="%{optflags} -fPIC"

%configure \
    --enable-shared \
    --enable-static

%make_build shared static

%install
%makeinstall

mv %{buildroot}%{_libdir}/libnids.so.%{major} \
    %{buildroot}%{_libdir}/libnids.so.%{major}.0

ln -snf libnids.so.%{major}.0 %{buildroot}%{_libdir}/libnids.so.%{major}
ln -snf libnids.so.%{major} %{buildroot}%{_libdir}/libnids.so

rm -rf %{buildroot}%{_libdir}/*.a

%files -n %{libname}
%doc CHANGES README CREDITS MISC
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%doc CHANGES README CREDITS MISC doc/*
%{_libdir}/lib*.so
%{_includedir}/nids.h
%{_mandir}/man3/*
