# (tmb) temp disable doc
%define build_doc 0

# (wally) exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/libnl/.*\\.so

%define api	3
%define major	200
%define libname	%mklibname nl %{api} %{major}
%define devname	%mklibname nl %{api} -d

%define libcli		%mklibname nl-cli %{api} %{major}
%define libgenl		%mklibname nl-genl %{api} %{major}
%define libidiag	%mklibname nl-idiag %{api} %{major}
%define libnf		%mklibname nl-nf %{api} %{major}
%define libroute	%mklibname nl-route %{api} %{major}
%define libxfrm		%mklibname nl-xfrm %{api} %{major}

%define libnldir	%(echo libnl%{version}|sed -e 's/\\./_/g' -)

Summary:	A collection of libraries providing APIs to netlink protocol based kernel interfaces
Group:		System/Libraries
License:	LGPLv2
Name:		libnl3
Version:	3.11.0
Release:	%mkrel 1
URL:		https://www.infradead.org/~tgr/libnl/
Source:		https://github.com/thom311/libnl/releases/download/%{libnldir}/libnl-%{version}.tar.gz
BuildRequires:	flex
BuildRequires:	bison

%description
A collection of libraries providing APIs to netlink protocol based kernel
interfaces.

Netlink is a IPC mechanism primarily between the kernel and user space
processes. It was designed to be a more flexible successor to ioctl to
provide mainly networking related kernel configuration and monitoring
interfaces.

%package -n	%{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries
Requires:	%{name}-config >= %{version}-%{release}

%description -n	%{libname}
Core library implementing the fundamentals required to use the netlink
protocol such as socket handling, message construction and parsing,
and sending and receiving of data. This library is kept small and
minimalistic.

%package -n	%{libcli}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n	%{libcli}
Command Line Interface library for netlink sockets.

%package -n	%{libgenl}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n	%{libgenl}
API to the generic netlink protocol, an extended version of the netlink
protocol.

%package -n	%{libidiag}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n	%{libidiag}
Netlink Inet Diag Family Library.

%package -n	%{libnf}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n	%{libnf}
API to netlink based netfilter configuration and monitoring interfaces
(conntrack, log, queue).

%package -n	%{libroute}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n	%{libroute}
API to the configuration interfaces of the NETLINK_ROUTE family including
network interfaces, routes, addresses, neighbours, and traffic control.

%package -n	%{libxfrm}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n	%{libxfrm}
Netlink Routing Family Library.

%package -n	%{devname}
Summary:	Development files and headers for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libroute} = %{version}-%{release}
Requires:	%{libgenl} = %{version}-%{release}
Requires:	%{libidiag} = %{version}-%{release}
Requires:	%{libnf} = %{version}-%{release}
Requires:	%{libcli} = %{version}-%{release}
Requires:       %{libxfrm} = %{version}-%{release}
Requires:	kernel-headers
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < 3.2.21

%description -n	%{devname}
This package contains the development files and headers for %{name}.

%package	config
Summary:	Name maps for %{name}
Group:		System/Libraries
BuildArch:	noarch
Conflicts:	%{name} < 3.2.21

%description	config
This package contains configuration files for %{name}.

%package	tools
Summary:	Command line utilities to directly work with Netlink
Group:		System/Libraries
Obsoletes:	%{name}-cli < 3.2.21

%description	tools
Various test program with which the functionality of %{name} is
demonstrated.

%if %build_doc
%package	doc
Summary:	API documentation for libnl3
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description	doc
This package contains libnl3 API documentation.
%endif

%prep
%autosetup -p1 -n libnl-%{version}

%build
%configure --disable-static
%make_build

%if %build_doc
pushd doc
    # docs aren't parallel-make safe
    make gendoc
popd
%endif

%install
%make_install

%check
make check

%files -n %{libname}
%{_libdir}/libnl-%{api}.so.%{major}{,.*}

%files -n %{libgenl}
%{_libdir}/libnl-genl-%{api}.so.%{major}{,.*}

%files -n %{libidiag}
%{_libdir}/libnl-idiag-%{api}.so.%{major}{,.*}

%files -n %{libnf}
%{_libdir}/libnl-nf-%{api}.so.%{major}{,.*}

%files -n %{libroute}
%{_libdir}/libnl-route-%{api}.so.%{major}{,.*}

%files -n %{libxfrm}
%{_libdir}/libnl-xfrm-%{api}.so.%{major}{,.*}

%files -n %{libcli}
%{_libdir}/libnl-cli-%{api}.so.%{major}{,.*}
%dir %{_libdir}/libnl/
%dir %{_libdir}/libnl/cli/
%dir %{_libdir}/libnl/cli/cls
%dir %{_libdir}/libnl/cli/qdisc/
%{_libdir}/libnl/cli/cls/basic.so
%{_libdir}/libnl/cli/cls/cgroup.so
%{_libdir}/libnl/cli/qdisc/bfifo.so
%{_libdir}/libnl/cli/qdisc/blackhole.so
%{_libdir}/libnl/cli/qdisc/fq_codel.so
%{_libdir}/libnl/cli/qdisc/ingress.so
%{_libdir}/libnl/cli/qdisc/hfsc.so
%{_libdir}/libnl/cli/qdisc/htb.so
%{_libdir}/libnl/cli/qdisc/pfifo.so
%{_libdir}/libnl/cli/qdisc/plug.so

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/libnl-%{api}.so
%{_libdir}/libnl-cli-%{api}.so
%{_libdir}/libnl-genl-%{api}.so
%{_libdir}/libnl-idiag-%{api}.so
%{_libdir}/libnl-nf-%{api}.so
%{_libdir}/libnl-route-%{api}.so
%{_libdir}/libnl-xfrm-%{api}.so
%{_libdir}/pkgconfig/libnl-3.0.pc
%{_libdir}/pkgconfig/libnl-cli-3.0.pc
%{_libdir}/pkgconfig/libnl-genl-3.0.pc
%{_libdir}/pkgconfig/libnl-idiag-3.0.pc
%{_libdir}/pkgconfig/libnl-nf-3.0.pc
%{_libdir}/pkgconfig/libnl-route-3.0.pc
%{_libdir}/pkgconfig/libnl-xfrm-3.0.pc

%files config
%dir %{_sysconfdir}/libnl/
%config %{_sysconfdir}/libnl/classid
%config %{_sysconfdir}/libnl/pktloc

%files tools
%{_bindir}/*
%{_mandir}/man8/*.8.*

%if %build_doc
%files doc
%doc doc/*.html
%doc doc/*.css
%doc doc/stylesheets/*
%doc doc/images/*
%doc doc/images/icons/*
%doc doc/images/icons/callouts/*
%doc doc/api/*
%endif
