%define major		4
%define api		0.7
%define libname		%mklibname notify %{major}
%define gi_name		%mklibname notify-gir %{api}
%define develname	%mklibname notify -d

Summary:	Desktop notifications library
Name:		libnotify
Version:	0.8.6
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		https://developer.gnome.org/platform-overview/stable/tech-notify.html.en
Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gio-2.0) >= 2.26.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.26.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.90
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	docbook-xsl-ns
BuildRequires:	gi-docgen
BuildRequires:	meson
BuildRequires:	xmlto
BuildRequires:	xsltproc

%description
A library that sends desktop notifications to a notification daemon, as
defined in the Desktop Notifications spec. These notifications can be
used to inform the user about an event or display some form of
information without getting in the user's way.

%package -n %{libname}
Group:		System/Libraries
Summary:	Desktop notifications library - shared library

%description -n %{libname}
A library that sends desktop notifications to a notification daemon, as
defined in the Desktop Notifications spec. These notifications can be
used to inform the user about an event or display some form of
information without getting in the user's way.

%package -n %{gi_name}
Group:		System/Libraries
Summary:	GObject Introspection interface library for %{name}
Requires:	%{libname} = %{version}-%{release}

%description -n %{gi_name}
GObject Introspection interface library for %{name}.

%package -n %{develname}
Group:		Development/C
Summary:	Desktop notifications library - headers
Requires:	%{libname} = %{version}
Requires:	%{gi_name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d notify 1

%description -n %{develname}
A library that sends desktop notifications to a notification daemon, as
defined in the Desktop Notifications spec. These notifications can be
used to inform the user about an event or display some form of
information without getting in the user's way.


%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files
%doc AUTHORS NEWS
%license COPYING
%{_docdir}/libnotify/spec/
%{_bindir}/*
%{_mandir}/man1/notify-send.1*

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{gi_name}
%{_libdir}/girepository-1.0/Notify-%{api}.typelib

%files -n %develname
%doc %{_defaultdocdir}/%{name}-0/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gir-1.0/Notify-%{api}.gir
