%define major	0
%define api	0.15
%define libname	%mklibname nova %{api} %{major}
%define develname %mklibname nova -d

Name:       libnova
Version:    0.15.0
Release:    %mkrel 8
Summary:    General purpose astronomy & astrodynamics library
Group:      Sciences/Astronomy
License:    LGPLv2+
URL:        https://sourceforge.net/projects/libnova/
Source0:    https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:     libnova-0.15.0-cflags.patch

%description
Libnova is a general purpose, double precision, celestial mechanics,
astrometry and astrodynamics library

%files
%doc ChangeLog README AUTHORS NEWS COPYING
%{_bindir}/libnovaconfig

#--------------------------------------------------------------------

%package -n %{libname}
Summary:    Library files for %name
Group:      Development/KDE and Qt
# Obsolete wrongly named lib for smooth upgrades
Obsoletes:  %{_lib}nova14_0 < 0.14.0-3

%description -n %{libname}
Contains library files for nova

%files -n %{libname}
%{_libdir}/libnova-%{api}.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{develname}
Summary:    Development files for %name
Group:      Development/KDE and Qt
Requires:   %{libname} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}
Provides:   %{_lib}nova%{api}-devel = %{version}-%{release}
Provides:   nova-devel = %{version}-%{release}
Provides:   nova%{api}-devel = %{version}-%{release}
Obsoletes:  %{_lib}nova14-devel < 0.14.0-3

%description -n %{develname}
Contains library and header files for %nova

%files -n %{develname}
%doc COPYING examples/*.c
%{_includedir}/libnova/
%{_libdir}/libnova.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete
