%global libname %mklibname nss-pgsql

Summary: NSS library for postgresql
Name: libnss-pgsql
Version: 1.4.0
Release: %mkrel 17
Source0: https://downloads.sourceforge.net/sysauth-pgsql/%{name}-%{version}.tar.bz2
Patch0: libnss-pgsql.includedir.patch
Patch1: libnss-pgsql.readconfigsilentfailed.patch
Patch2:	libnss-pgsql-1.4.0-automake-1.13.patch
License: GPL
Group: System/Libraries
Url: https://sourceforge.net/projects/sysauth-pgsql
BuildRequires: libpq-devel
BuildRequires: postgresql-devel
BuildRequires: xmlto
BuildRequires: automake
BuildRequires: docbook-style-xsl

%description
This library provide the capability to have all classical
users definitions in a PostgreSQL server instead than in the
old plain text files in /etc passwd,group,shadow.

All is done without any trick or something like, simply
connecting to the nss (Name Service Switch) facility
offered by the libc (2.x) as nis and nisplus already did.

All without recompiling or touching any application
configurations. Just compile and install nss_postgresql
library and set up a PostgreSQL server.

%if "%{libname}" != "%{name}"
%package -n %{libname}
Summary: NSS library for postgresql
Group: System/Libraries

%description -n %{_lib}nss-pgsql
This library provide the capability to have all classical
users definitions in a PostgreSQL server instead than in the
old plain text files in /etc passwd,group,shadow.

All is done without any trick or something like, simply
connecting to the nss (Name Service Switch) facility
offered by the libc (2.x) as nis and nisplus already did.

All without recompiling or touching any application
configurations. Just compile and install nss_postgresql
library and set up a PostgreSQL server.
%endif

%prep
%setup -q
%patch -P 0 -p0 -b .pgsqlinclude
%patch -P 1 -p0 -b .readconfigsilentfailed
%patch -P 2 -p1

%build
autoreconf -vfi
%configure
%make_build CFLAGS="%{optflags} -fPIC"

%install
mkdir -p %{buildroot}/{%{_libdir},%{_sysconfdir}}
%make_install
install -m644 conf/nss-pgsql.conf %{buildroot}/%{_sysconfdir}/nss-pgsql.conf
install -m600 conf/nss-pgsql-root.conf %{buildroot}/%{_sysconfdir}/nss-pgsql-root.conf

rm -fr %{buildroot}/%{_prefix}/doc

%files -n %{libname}
%doc conf/dbschema.sql README* TODO AUTHORS 
%doc doc/caution.png doc/nss-pgsql.html
%{_libdir}/libnss_pgsql.*
%config(noreplace) %{_sysconfdir}/*.conf
