%define	major     6.3
%define libname   %mklibname ntirpc %{major}
%define develname %mklibname ntirpc -d

Name:		libntirpc
Version:	6.3
Release:	%mkrel 1
Summary:	New Transport Independent RPC Library
Group:		System/Libraries
License:	BSD
Url:		https://github.com/nfs-ganesha/ntirpc
Source0:	https://github.com/nfs-ganesha/ntirpc/archive/v%{version}/ntirpc-%{version}.tar.gz
BuildRequires:	cmake
%ifarch x86_64 aarch64
BuildRequires:	mold
%endif
# we should switch to rdma-core
#BuildRequires:	rdmacm-devel
BuildRequires:	pkgconfig(libnsl)
BuildRequires:	pkgconfig(liburcu)
BuildRequires:	pkgconfig(krb5)

%description
This package contains a new implementation of the original libtirpc,
transport-independent RPC (TI-RPC) library for NFS-Ganesha. It has
the following features not found in libtirpc:
 1. Bi-directional operation
 2. Full-duplex operation on the TCP (vc) transport
 3. Thread-safe operating modes
 3.1 new locking primitives and lock callouts (interface change)
 3.2 stateless send/recv on the TCP transport (interface change)
 4. Flexible server integration support
 5. Event channels (remove static arrays of xprt handles, new EPOLL/KEVENT
    integration)

%package -n	%{libname}
Summary:	Transport Independent RPC Library
Group:		System/Libraries

%description -n	%{libname}
This package contains a new implementation of the original libtirpc,
transport-independent RPC (TI-RPC) library for NFS-Ganesha. It has
the following features not found in libtirpc:
 1. Bi-directional operation
 2. Full-duplex operation on the TCP (vc) transport
 3. Thread-safe operating modes
 3.1 new locking primitives and lock callouts (interface change)
 3.2 stateless send/recv on the TCP transport (interface change)
 4. Flexible server integration support
 5. Event channels (remove static arrays of xprt handles, new EPOLL/KEVENT
    integration)

%package -n	%{develname}
Summary:	Development headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	ntirpc-devel%{?_isa} = %{version}-%{release}
Provides:	ntirpc-devel = %{version}-%{release}

%description -n	%{develname}
Development headers and auxiliary files for developing with %{name}.

%prep
%autosetup -p1 -n ntirpc-%{version}

%build
%cmake -DOVERRIDE_INSTALL_PREFIX=%{_prefix} \
       -DTIRPC_EPOLL=1 \
       -DUSE_GSS=ON \
       -DUSE_RPC_RDMA=OFF \
%ifarch x86_64 aarch64
       -DCMAKE_LINKER_TYPE=MOLD \
%endif
       %nil
%cmake_build

%install
%cmake_install

#install CMake files
mkdir -p %{buildroot}%{_libdir}/cmake/%{name}/
install -pm644 cmake/modules/FindNTIRPC.cmake %{buildroot}%{_libdir}/cmake/%{name}/
install -pm644 cmake/modules/LibFindMacros.cmake %{buildroot}%{_libdir}/cmake/%{name}/

%files -n %{libname}
%doc NEWS README
%license COPYING
%{_libdir}/libntirpc.so.%{major}

%files -n %{develname}
%{_libdir}/libntirpc.so
%{_includedir}/ntirpc/
%{_libdir}/pkgconfig/libntirpc.pc
%{_libdir}/cmake/%{name}/
