# WARNING: This package is synced with FC
%global major 0
%define libname %mklibname numbertext %major
%define devname %mklibname -d numbertext

Name:      libnumbertext
Version:   1.0.11
Release:   %mkrel 1
Summary:   Number to number name and money text conversion library
Group: System/Libraries

#The entire source code is dual license LGPLv3+ or BSD, except for
#the data files hr.sor, sr.sor and sh.sor which are tri license
#CC-BY-SA or LGPLv3+ or BSD
License:   (LGPLv3+ or BSD) and (LGPLv3+ or BSD or CC-BY-SA)
URL:       https://github.com/Numbertext/libnumbertext
Source:    https://github.com/Numbertext/libnumbertext/releases/download/%{version}/libnumbertext-%{version}.tar.xz

BuildRequires: autoconf, automake, libtool, gcc-c++

%description
Language-neutral NUMBERTEXT and MONEYTEXT functions for LibreOffice Calc

%package -n %libname
Summary: Number to number name and money text conversion library
Group: System/Libraries

%description -n %libname
Language-neutral NUMBERTEXT and MONEYTEXT functions for LibreOffice Calc

%package -n %devname
Requires: %libname = %{version}-%{release}
Summary: Files for developing with libnumbertext
Group: Development/C

%description -n %devname
Includes and definitions for developing with libnumbertext

%prep
%autosetup -p1

%build
autoreconf -v --install --force
%configure --disable-silent-rules --disable-static --disable-werror --with-pic
%make_build

%check
make check

%install
%make_install
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la



%files -n %libname
%doc AUTHORS ChangeLog NEWS THANKS
%license COPYING
%{_bindir}/spellout
%{_libdir}/*.so.*
%{_datadir}/libnumbertext

%files -n %devname
%{_includedir}/libnumbertext
%{_libdir}/pkgconfig/libnumbertext.pc
%{_libdir}/*.so

