# WARNING: This package is synced with FC
%global apiversion 0.1
%define fname odfgen
%define major 1
%define libname %mklibname %{fname} %{apiversion} %{major}
%define develname %mklibname -d %{fname} %{apiversion}

Name: libodfgen
Version: 0.1.8
Release: %mkrel 4
Summary: An ODF generator library

Group: System/Libraries
License: LGPLv2+ or MPLv2.0
URL: https://sourceforge.net/p/libwpd/wiki/libodfgen/
Source: https://downloads.sourceforge.net/libwpd/%{name}-%{version}.tar.xz
Patch0: includes.patch

BuildRequires: doxygen
BuildRequires: gcc-c++
BuildRequires: make
BuildRequires: pkgconfig(librevenge-0.0)
BuildRequires: pkgconfig(librevenge-stream-0.0)
BuildRequires: pkgconfig(libxml-2.0)

%description
%{name} is a library for generating ODF documents. It is directly
pluggable into input filters based on librevenge. It is used in
libreoffice or calligra, for example.

%package -n %{libname}
Summary: An ODF generator library
Group: System/Libraries
Obsoletes: %{_lib}odfgen1 < 0.1.6-3

%description -n %{libname}
%{name} is a library for generating ODF documents. It is directly
pluggable into input filters based on librevenge. It is used in
libreoffice or calligra, for example.

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/C
Requires: %{libname} = %{version}
Provides: %{fname}-devel = %{version}-%{release}
Provides: lib%{fname}-devel = %{version}-%{release}
Obsoletes: %{_lib}odfgen-devel < 0.1.6-3

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation of %{name} API
Group:	Documentation
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%configure --disable-silent-rules --disable-static
%make_build

%install
%make_install
rm -f %{buildroot}/%{_libdir}/*.la
# we install API docs directly from build
rm -rf %{buildroot}/%{_docdir}/%{name}

%files -n %{libname}
%doc README NEWS
%license COPYING.*
%{_libdir}/%{name}-%{apiversion}.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files doc
%license COPYING.*
%doc docs/doxygen/html
