%define         major           0
%define         libname         %mklibname ofa %{major}
%define         develname       %mklibname ofa -d

Summary:        Open Fingerprint Architecture library
Name:           libofa
Version:        0.9.3
Release:        %mkrel 25
License:        GPLv2
Group:          System/Libraries
URL:            https://code.google.com/p/musicip-libofa/
Source0:        http://musicip-libofa.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:         libofa-build-fix.patch
Patch1:         libofa-gcc47.diff
Patch2:         libofa-0.9.3-pkgconfig-drop-expat.patch
#fix missing curl/types.h (from OpenSuse)
Patch3:         libofa-curl-types.patch
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(expat)

%description
%{summary}



%package -n     %{libname}
Summary:        Open Fingerprint Architecture library
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
A client library that looks up and identifies audio files based on
existing fingerprints, created and provided by MusicIP.



%package -n     %{develname}
Summary:        Files needed for developing applications which use libofa
Group:          Development/C
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
###Obsoletes:   #mklibname ofa 0 -d < 0.9.0

%description -n %{develname}
The %{name}-devel package includes the header files and .so libraries
necessary for developing libofa enabled tagging applications. If you
are going to develop libofa enabled tagging applications you should
install %{name}-devel. You'll also need to have the %{name} package
installed.



%prep
%setup -q
%patch -P 0 -p0
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p0


%build
# to recognize aarch64
autoreconf -vfi

%configure \
	--disable-static
%make_build


%install
%make_install

find %{buildroot}%{_libdir} -name *.la -delete


%files -n %{libname}
%doc AUTHORS README COPYING
%{_libdir}/*.so.%{major}{,.*}


%files -n %{develname}
%{_includedir}/*
%{_libdir}/pkgconfig/libofa.pc
%{_libdir}/*.so
