%define major		7
%define libname		%mklibname ofx %{major}
%define develname	%mklibname ofx -d

Summary:	LibOFX library provides support for OFX command responses
Name:		libofx
Version:	0.10.9
Release:	%mkrel 1
Group:		System/Libraries
License:	GPLv2+
URL:		https://github.com/libofx/libofx
Source0:	https://github.com/libofx/libofx/releases/download/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	doxygen
BuildRequires:	gengetopt
BuildRequires:	graphviz
BuildRequires:	help2man
BuildRequires:	opensp-devel
BuildRequires:	pkgconfig(libxml++-2.6)
BuildRequires:	pkgconfig(glibmm-2.4)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libcurl)

%description
This is the LibOFX library.  It is a API designed to allow applications to
very easily support OFX command responses, usually provided by financial
institutions.  See http://www.ofx.net/ofx/default.asp for details and
specification. LibOFX is based on the excellent OpenSP library written by
James Clark, and now part of the OpenJADE http://openjade.sourceforge.net/
project.  OpenSP by itself is not widely distributed.  OpenJADE 1.3.1 includes
a version on OpenSP that will link, however, it has some major problems with
LibOFX and isn't recommended.  Since LibOFX uses the generic interface to
OpenSP, it should be compatible with all recent versions of OpenSP (It has
been developed with OpenSP-1.5pre5).  LibOFX is written in C++, but provides a
C style interface usable transparently from both C and C++ using a single
include file.

%package -n %{libname}
Summary:	Libraries for libofx
Group:		System/Libraries
# the librairies  need the DTD files to process OFX files
Requires:	%{name} => %{version}-%{release}

%description -n %{libname}
This package provides libraries to use libofx.

%package -n %{develname}
Group:		Development/C
Summary:	Libraries needed to develop for libofx
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{_lib}ofx2-devel < 0.8.2

%description -n %{develname}
Libraries needed to develop for libofx.

%prep
%setup -q
%autopatch -p1

%build
%configure \
    --disable-static \
    --with-opensp-libs=%{_libdir}

%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

#remove unpackaged files
rm -rf %{buildroot}%{_docdir}/libofx

%files
%doc AUTHORS NEWS README totest.txt
%license COPYING
%{_bindir}/*
%{_datadir}/libofx/
%{_mandir}/man1/ofxdump.1.*
%{_mandir}/man1/ofxconnect.1.*

%files -n %{libname}
%doc AUTHORS NEWS README totest.txt
%license COPYING
%{_libdir}/libofx.so.%{major}{,.*}

%files -n %{develname}
%doc doc/ofx_sample_files
%{_libdir}/libofx.so
%{_includedir}/libofx/
%{_libdir}/pkgconfig/libofx.pc
