%define major		0
%define libname		%mklibname ogg %{major}
%define develname	%mklibname ogg -d

Summary:	Ogg Bitstream Library
Name:		libogg
Version:	1.3.5
Release:	%mkrel 2
Group:		System/Libraries
License:	BSD
URL:		https://www.xiph.org/
Source:		https://downloads.xiph.org/releases/ogg/%{name}-%{version}.tar.xz
Patch1:		libogg-1.0-lib64.patch

%description
Libogg is a library for manipulating ogg bitstreams. It handles
both making ogg bitstreams and getting packets from ogg bitstreams.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	libogg-devel = %{version}-%{release}
Obsoletes:	%{mklibname ogg 0 -d}
Obsoletes:	%{_lib}ogg-static-devel < 1.3.3-2

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

rm -rf %{buildroot}%{_docdir}/libogg/

%files -n %{libname}
%doc AUTHORS CHANGES README.md
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc doc/*.html doc/*.png doc/*.txt
%{_includedir}/ogg
%{_libdir}/*.so
%{_datadir}/aclocal/*
%{_libdir}/pkgconfig/*
