%define	major     2
%define libname   %mklibname oggz %{major}
%define develname %mklibname oggz -d

Summary:	Simple programming interface for Ogg files and streams
Name:		liboggz
Version:	1.1.3
Release:	%mkrel 1
Group:		System/Libraries
License:	BSD-like
URL:		https://xiph.org/oggz/
Source0:	https://downloads.xiph.org/releases/liboggz/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(ogg) >= 1.0
BuildRequires:	doxygen
BuildRequires:	docbook-utils

%description
Oggz provides a simple programming interface for reading and writing Ogg files
and streams. Ogg is an interleaving data container developed by Monty at
Xiph.Org, originally to support the Ogg Vorbis audio format.

%package -n	%{libname}
Summary:	Simple programming interface for Ogg files and streams
Group:          System/Libraries

%description -n	%{libname}
Oggz provides a simple programming interface for reading and writing Ogg files
and streams. Ogg is an interleaving data container developed by Monty at
Xiph.Org, originally to support the Ogg Vorbis audio format.

%package -n	%{develname}
Summary:	Files needed for development using liboggz
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n	%{develname}
Oggz provides a simple programming interface for reading and writing Ogg files
and streams. Ogg is an interleaving data container developed by Monty at
Xiph.Org, originally to support the Ogg Vorbis audio format.

This package contains the header files and documentation needed for development
using liboggz.

%package	tools 
Summary:	Various tools using the liboggz library
Group:		Development/C
Requires:	%{libname} = %{version}

%description	tools
This package contains various tools using the liboggz library.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install

# cleanup
rm -rf %{buildroot}%{_docdir}/liboggz

%check
make check

%files -n %{libname}
%doc AUTHORS ChangeLog README
%license COPYING
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc doc/liboggz/html/*
%{_includedir}/oggz/
%{_libdir}/*.so
%{_libdir}/pkgconfig/oggz.pc

%files tools
%{_bindir}/oggz*
%{_mandir}/man1/*
