%define apiver 0.3
%define major 0
%define libname %mklibname oil %{apiver} %{major}
%define develname %mklibname oil -d

Summary:	Optimized functions for multimedia calculations
Name:		liboil
Version:	0.3.17
Release:	%mkrel 11
License:	BSD
Group:		System/Libraries
URL:		https://liboil.freedesktop.org
Source0:	https://liboil.freedesktop.org/download/%{name}-%{version}.tar.gz
BuildRequires:	gtk-doc
BuildRequires:	glib2-devel

%description
Liboil is a library of simple functions that are optimized for various
CPUs. These functions are generally loops implementing simple
algorithms, such as converting an array of N integers to
floating-point numbers or multiplying and summing an array of N
numbers. Clearly such functions are candidates for significant
optimization using various techniques, especially by using extended
instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).

%package -n %{libname}
Summary:	Optimized functions for multimedia calculations
Group:		System/Libraries
Requires:	%{name}-tools >= %{version}-%{release}
Obsoletes:	%mklibname oil 0.3

%description -n %{libname}
Liboil is a library of simple functions that are optimized for various
CPUs. These functions are generally loops implementing simple
algorithms, such as converting an array of N integers to
floating-point numbers or multiplying and summing an array of N
numbers. Clearly such functions are candidates for significant
optimization using various techniques, especially by using extended
instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).

%package -n %{develname}
Summary:	Optimized functions for multimedia calculations
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	liboil-devel = %{version}-%{release}
Obsoletes:	%mklibname oil 0.3 -d

%description -n %{develname}
Liboil is a library of simple functions that are optimized for various
CPUs. These functions are generally loops implementing simple
algorithms, such as converting an array of N integers to
floating-point numbers or multiplying and summing an array of N
numbers. Clearly such functions are candidates for significant
optimization using various techniques, especially by using extended
instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).

%package tools
Summary: Optimized functions for multimedia calculations
Group: System/Libraries

%description tools
Liboil is a library of simple functions that are optimized for various
CPUs. These functions are generally loops implementing simple
algorithms, such as converting an array of N integers to
floating-point numbers or multiplying and summing an array of N
numbers. Clearly such functions are candidates for significant
optimization using various techniques, especially by using extended
instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).

This contains the binaries that are bundled with %{name}.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%check
%__make check

%files -n %{libname}
%{_libdir}/liboil-%{apiver}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/liboil*
%{_libdir}/liboil*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/liboil

%files tools
%{_bindir}/*
