%global __requires_exclude devel\\(libadns|devel\\(libtcl

%define	major		4
%define libname		%mklibname oop %{major}
%define develname	%mklibname oop -d

%define glib2major	0
%define glib2lib	%mklibname oop-glib2_ %{glib2major}

%define tclmajor	0
%define tcllib		%mklibname oop-tcl %{tclmajor}

Summary:	A low-level event loop management library for POSIX-based OS'es
Name:		liboop
Version:	1.0.1
Release:	%mkrel 2
License:	LGPLv2
Group:		System/Libraries
URL:		https://www.lysator.liu.se/liboop/
Source0:	https://ftp.lysator.liu.se/pub/liboop/liboop-1.0.1.tar.gz
Patch0:		liboop-linkage_fix.diff
# Add 8.5 and 8.6 to tcl versions configure script detects - AdamW
# 2008/12
Patch1:		liboop-1.0-tcl86.patch
BuildRequires:	libtool
BuildRequires:	automake
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(tcl)

%description
Liboop is a low-level event loop management library for POSIX-based
operating systems. It supports the development of modular,
multiplexed applications which may respond to events from several
sources. It replaces the "select() loop" and allows the
registration of event handlers for file and network I/O, timers and
signals. Since processes use these mechanisms for almost all
external communication, liboop can be used as the basis for almost
any application.

%package -n	%{libname}
Summary:	A low-level event loop management library for POSIX-based OS'es
Group:          System/Libraries

%description -n	%{libname}
Liboop is a low-level event loop management library for POSIX-based
operating systems. It supports the development of modular,
multiplexed applications which may respond to events from several
sources. It replaces the "select() loop" and allows the
registration of event handlers for file and network I/O, timers and
signals. Since processes use these mechanisms for almost all
external communication, liboop can be used as the basis for almost
any application.

%package -n	%{glib2lib}
Summary:	A low-level event loop management library for POSIX-based OS'es
Group:		System/Libraries

%description -n %{glib2lib}
Liboop is a low-level event loop management library for POSIX-based
operating systems. It supports the development of modular,
multiplexed applications which may respond to events from several
sources. It replaces the "select() loop" and allows the
registration of event handlers for file and network I/O, timers and
signals. Since processes use these mechanisms for almost all
external communication, liboop can be used as the basis for almost
any application.

%package -n	%{tcllib}
Summary:	A low-level event loop management library for POSIX-based OS'es
Group:		System/Libraries
Conflicts:	%{_lib}oop4 < 1.0-19

%description -n %{tcllib}
Liboop is a low-level event loop management library for POSIX-based
operating systems. It supports the development of modular,
multiplexed applications which may respond to events from several
sources. It replaces the "select() loop" and allows the
registration of event handlers for file and network I/O, timers and
signals. Since processes use these mechanisms for almost all
external communication, liboop can be used as the basis for almost
any application.

%package -n	%{develname}
Summary:	Development library and header files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{glib2lib} = %{version}-%{release}
Requires:	%{tcllib} = %{version}-%{release}
Provides:	oop-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Liboop is a low-level event loop management library for POSIX-based
operating systems. It supports the development of modular,
multiplexed applications which may respond to events from several
sources. It replaces the "select() loop" and allows the
registration of event handlers for file and network I/O, timers and
signals. Since processes use these mechanisms for almost all
external communication, liboop can be used as the basis for almost
any application.

%prep

%setup -q
%autopatch -p1

%build
autoreconf -vfi
export CFLAGS="%{optflags} -fPIC"
%configure --disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/liboop.so.%{major}{,.*}

%files -n %{glib2lib}
%{_libdir}/liboop-glib2.so.%{glib2major}{,.*}

%files -n %{tcllib}
%{_libdir}/liboop-tcl.so.%{tclmajor}{,.*}

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
