#comment out if not git build
#define gdate 20150719

#rel to bump
%define rel 4

%define major 7
%define libname	%mklibname openraw %{major}
%define develname %mklibname -d openraw

Summary:	Camera RAW files decoding library
Name:		libopenraw
Version:	0.1.3
Release:	%mkrel %{?gdate:0.git%gdate.}%{rel}
License:	LGPLv3+
Group:		System/Libraries
Url:		https://libopenraw.freedesktop.org
%if 0%{?gdate:1}
Source0:	libopenraw-%{gdate}.tar.xz
%else
Source0: 	https://libopenraw.freedesktop.org/download/%{name}-%{version}.tar.bz2
%endif
BuildRequires:	autoconf-archive
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	doxygen
Requires(post):		gdk-pixbuf2.0
Requires(postun):	gdk-pixbuf2.0

%description
libopenraw is an ongoing project to provide a free software implementation
for camera RAW files decoding. One of the main reason is that dcraw is not
suited for easy integration into applications, and there is a need for an
easy to use API to build free software digital image processing application.

It also has the goal to address missing feature from dcraw like meta-data
decoding and easy thumbnail extraction.

%package -n	%{libname}
Summary:	Camera RAW files decoding library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
libopenraw is an ongoing project to provide a free software implementation
for camera RAW files decoding. One of the main reason is that dcraw is not
suited for easy integration into applications, and there is a need for an
easy to use API to build free software digital image processing application.

It also has the goal to address missing feature from dcraw like meta-data
decoding and easy thumbnail extraction.

%package -n	%{develname}
Summary:	Headers and links to compile against the "%{libname}" library
Group:		Development/C
Requires: 	%{libname} >= %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains all files which one needs to compile programs using
the "%{libname}" library.

%prep
%setup -qn %{name}-%{?gdate}%{?!gdate:%version}

sed -i -e 's|AM_CONFIG_HEADER|AC_CONFIG_HEADERS|g' configure.ac

%build
autoreconf -vfi
%configure \
	--disable-static \
	--disable-silent-rules
%make_build

%__make dox

%install
%make_install

find %{buildroot} -type f -name "*.la" -delete

%post
%{_bindir}/gdk-pixbuf-query-loaders --update-cache

%postun
%{_bindir}/gdk-pixbuf-query-loaders --update-cache

%files
%{_libdir}/gdk-pixbuf-2.0/*/loaders/*.so

%files -n %{libname}
%doc AUTHORS NEWS README ChangeLog TODO
%license COPYING*
%{_libdir}/libopenraw.so.%{major}
%{_libdir}/libopenraw.so.%{major}.*
%{_libdir}/libopenrawgnome.so.%{major}
%{_libdir}/libopenrawgnome.so.%{major}.*

%files -n %{develname}
%doc doc/doxygen/html/
%{_includedir}/libopenraw-0.1/
%{_libdir}/libopenraw.so
%{_libdir}/libopenrawgnome.so
%{_libdir}/pkgconfig/libopenraw-0.1.pc
%{_libdir}/pkgconfig/libopenraw-gnome-0.1.pc
