%define major	27
%define libname	%mklibname openshot %{major}
%define devname	%mklibname openshot -d

%define with_ruby	0

Name:		libopenshot
Epoch:		1
Version:	0.4.0
Release:	%mkrel 3
Summary:	Library for creating and editing videos
License:	LGPLv3+
Group:		System/Libraries
URL:		https://www.openshot.org/
Source0:	https://github.com/OpenShot/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		0001-Include-SOVERSION-in-VERSION.patch
Patch1:		libopenshot-0.3.0-find-babl-0.1.patch
Patch2:		libopenshot-0.3.0-magickcore-linking.patch

BuildRequires:	cmake
BuildRequires:	cppzmq-devel
BuildRequires:	doxygen
BuildRequires:	swig
BuildRequires:	ffmpeg-devel
%if %{with_ruby}
BuildRequires:	pkgconfig(ruby)
%endif
BuildRequires:	libopenshot-audio-devel >= 0.3.2
BuildRequires:	pkgconfig(ImageMagick) >= 7.0
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(babl-0.1)
BuildRequires:	pkgconfig(catch2)
BuildRequires:	pkgconfig(jsoncpp)
BuildRequires:	pkgconfig(opencv)
BuildRequires:	pkgconfig(protobuf)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(UnitTest++)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5MultimediaWidgets)
BuildRequires:	pkgconfig(Qt5Svg)

%description
OpenShot Library (libopenshot) is an open-source project
dedicated to delivering high quality video editing, animation,
and playback solutions to the world. For more information
visit <https://www.openshot.org/>.

#----------------------------------------------------

%package -n	%{libname}
Summary:	OpenShot Library
Group:		System/Libraries

%description -n	%{libname}
OpenShot Library (libopenshot) is an open-source project
dedicated to delivering high quality video editing, animation,
and playback solutions to the world. For more information
visit <https://www.openshot.org/>.
This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	openshot-devel = %{epoch}:%{version}-%{release}

%description -n	%{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%package -n	python3-%{name}
Summary:	Python 3 bindings for %{name}
Group:		Development/Python
%{?python_provide:%python_provide python3-%{name}}

%description -n	python3-%{name}
The python3-%{name} package contains python 3 bindings for
applications that use %{name}.

#----------------------------------------------------
%if %{with_ruby}
%package -n	ruby-%{name}
Summary:	Ruby bindings for %{name}
Group:		Development/Ruby

%description -n	ruby-%{name}
The ruby-%{name} package contains ruby bindings for
applications that use %{name}.
%endif
#----------------------------------------------------

%prep
%autosetup -p1

%build
%cmake -DDISABLE_BUNDLED_JSONCPP=ON
%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/libopenshot.so.%{major}
%{_libdir}/libopenshot.so.%{major}.%{version}

%files -n %{devname}
%doc AUTHORS README.md
%{_includedir}/%{name}/
%{_libdir}/libopenshot.so

%files -n python3-%{name}
%doc AUTHORS README.md
%{python3_sitearch}/*

%if %{with_ruby}
%files -n ruby-%{name}
%{ruby_vendorarchdir}/*
%endif
