%define api 0.4
%define major 0
%define fname liborcus

%define libname %mklibname orcus %api %major
%define develname %mklibname -d orcus%api

Name: liborcus0.4
Version: 0.3.0
Release: %mkrel 8
Summary: Standalone file import filter library for spreadsheet documents
Group: Office/Spreadsheet
License: MIT
URL: http://gitorious.org/orcus
Source: https://kohei.us/files/orcus/src/%{fname}_%{version}.tar.bz2
Patch0: liborcus_0.3.0-boost.patch
BuildRequires: boost-devel
BuildRequires: mdds-devel
BuildRequires: zlib-devel

%description
%{name} is a standalone file import filter library for spreadsheet
documents. Currently under development are ODS, XLSX and CSV import
filters.

%package -n %{libname}
Summary: Standalone file import filter library for spreadsheet documents
Group: Office/Spreadsheet

%description -n %{libname}
%{name} is a standalone file import filter library for spreadsheet
documents. Currently under development are ODS, XLSX and CSV import
filters.

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: orcus%api-devel = %{version}-%{release}
Provides: %{fname}-devel = %{version}-%{release}
Obsoletes: %{fname}-devel < %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package tools
Summary: Tools for working with Orcus
Group: Office/Spreadsheet
Requires: %{libname} = %{version}-%{release}

%description tools
Tools for working with Orcus.

%prep
%setup -q -n %{fname}_%{version}
%autopatch -p1

%build
# TODO spreadsheet-model requires ixion
%configure --disable-debug --disable-static --disable-werror --with-pic \
    --disable-spreadsheet-model --without-libzip
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make

%install
%make_install
rm -f %{buildroot}/%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS
%{_libdir}/%{fname}-%{api}.so.%{major}
%{_libdir}/%{fname}-%{api}.so.%{major}.*

%files -n %{develname}
%{_includedir}/%{fname}-%{api}
%{_libdir}/%{fname}-%{api}.so
%{_libdir}/pkgconfig/%{fname}-%{api}.pc

%files tools
%{_bindir}/orcus-xml-dump
