%define major 1
%define libname %mklibname otf %{major}
%define develname %mklibname -d otf

Name:           libotf
Summary:        Library for handling OpenType fonts
Version:        0.9.16
Release:        %mkrel 4
Group:		System/Internationalization
License:	LGPLv2+
URL:		https://savannah.nongnu.org/projects/m17n
Source0:	https://download.savannah.gnu.org/releases/m17n/%{name}-%{version}.tar.gz
BuildRequires:	freetype2-devel
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xaw7)
BuildRequires:	pkgconfig(xt)

%description
The library "libotf" provides the following facilities:
- Read Open Type Layout Tables from OTF file (currently supported tables are:
  head, name, cmap, GDEF, GSUB, and GPOS)
- Convert a Unicode character sequence to a glyph code sequence by using the
  above tables.

The combination of libotf and the FreeType library realizes CTL (Complex Text
Layout) by OpenType fonts.*

%package	tools
Summary:	Utilities of OpenType library
Group:		System/Internationalization
Obsoletes:	%{name}-example
Requires:	%{libname} = %{version}

%description	tools
Example tool from %name

%package -n	%{libname}
Summary:	Main OpenType library
Group:		System/Internationalization
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
Libotf library.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}otf0-devel

%description -n	%{develname}
Headers of %{name} for development.

%prep
%setup -q

%build
# to recognize aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%files tools
%doc COPYING
%{_bindir}/otf*

%files -n %{libname}
%doc COPYING
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/libotf-config
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/lib*.pc
