%define major 0
%define libname %mklibname owfat %{major}

Summary:	Reimplement libdjb under GPL
Name:		libowfat
Version:	0.32
Release:	%mkrel 1
License:	GPLv2
Group:		Development/C
URL:		https://www.fefe.de/libowfat/
Source0:	https://www.fefe.de/%{name}/%{name}-%{version}.tar.xz
Source1:	https://www.fefe.de/%{name}/%{name}-%{version}.tar.xz.sig
Patch0:		havescope.patch
Patch1:		libowfat-0.32-mga-extern.patch
Patch2:		libowfat-0.30-shared.patch
Patch3:		libowfat-0.30-fix-gcc10-build.patch

BuildRequires:	dietlibc-devel >= 0.32

%description
libowfat is a library of general purpose APIs extracted from Dan
Bernstein's software, reimplemented and covered by the GNU General
Public License Version 2 (no later versions).

The API has been slightly extended (for example, I provide a
uint32_read function, and I extended the socket API to support
IPv6) where I found it necessary or beneficial in a specific
project.

Many of the functions I implement here have since been placed in
the public domain, so there are other sources to get this code
(except for my extensions obviously).  The implementations here
may not be as portable as the original versions; I tend to focus
on the Single Unix Specification and not on some obsolete legacy
systems found in the basements of some vintage hardware clubs.

I also provide man pages for many functions, mostly extracted from
Dan's web documentation or documentation found in earlier versions
of his software.  For some reason, he abandoned man pages in favor
of HTML recently.

On July 4 2002, Dan also placed his DNS routines and supporting
low level functions in the public domain, so I copy them here
instead of reimplementing them.

http://online.securityfocus.com/archive/1/280642
has an online version of the bugtraq posting.

%package -n %{libname}
Summary:	Libowfat shared libraries
Group:		System/Servers

%description -n %{libname}
This package contains libowfat shared libraries.

%package -n	%{name}-devel
Group:		Development/C
Summary:	Headers and static lib for libowfat development
Requires:	%{libname} = %{version}-%{release}

%description -n	%{name}-devel
Install this package if you want do compile applications using the
libowfat library.

%prep
%setup -q
%autopatch -p1
# the source is (illegally) redefining some reserved macros
find . -name '*.[ch]' -print0 | xargs -0 sed -i -e 's/__pure__/PURE/g' -e 's/__deprecated__/DEPRECATED/g'

%build
%set_build_flags
%make_build -f GNUmakefile \
    OPT_REG="$CFLAGS -fPIC" \
	DIET=''

%install
make -f GNUmakefile \
	DIET='' \
	prefix=%{buildroot}%{_prefix} \
	MAN3DIR=%{buildroot}%{_mandir}/man3 \
    LIBDIR=%{buildroot}%{_libdir} \
    install

chmod 0755 %{buildroot}%{_libdir}/libowfat.so.%{version}
ln -s libowfat.so.%{version} %{buildroot}%{_libdir}/libowfat.so.%{major} 
ln -s libowfat.so.%{version} %{buildroot}%{_libdir}/libowfat.so

make -f GNUmakefile clean
rm -f Makefile
patch GNUmakefile -R -p1 < %{PATCH2}

make -f GNUmakefile \
    prefix="%{_libdir}/dietlibc" \
    DIET="%{_bindir}/diet -Os"

install -d %{buildroot}%{_libdir}/dietlibc
make -f GNUmakefile \
    prefix="%{buildroot}%{_libdir}/dietlibc" \
    LIBDIR="%{buildroot}%{_libdir}/dietlibc/lib" \
    DIET="%{_bindir}/diet -Os" \
    MAN3DIR="%{buildroot}%{_mandir}/man3" \
    install

# fix conflicting file (from openssl-devel)
mv %{buildroot}%{_mandir}/man3/buffer.3 \
    %{buildroot}%{_mandir}/man3/buffer-libowfat.3

%files -n %{libname}
%doc CHANGES README
%{_libdir}/libowfat.so.%{major}
%{_libdir}/libowfat.so.%{major}.*

%files -n %{name}-devel
%{_libdir}/libowfat.so
%{_includedir}/libowfat/*.h
%{_libdir}/dietlibc/lib/libowfat.a
%{_libdir}/dietlibc/include/libowfat/*.h
%{_mandir}/man3/*
