%define major		3
%define libname		%mklibname p11_ %major
%define develname	%mklibname p11 -d

Summary:	Small library on top of PKCS#11
Name:		libp11
Version:	0.4.12
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		https://github.com/OpenSC/libp11
Source:		https://github.com/OpenSC/%{name}/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz
Patch0:		libp11-openssl-3.1.patch
Patch1:		libp11-configure-treat-all-openssl-3.x-releases-the-same.patch

BuildRequires:	doxygen
BuildRequires:	pkgconfig(openssl)
BuildRequires:	libltdl-devel

%description
Libp11 is a library implementing a small layer on top of PKCS#11 API to make
using PKCS#11 implementations easier.


%package -n %libname
Summary:	Library files for libp11
Group:		System/Libraries

%description -n %libname
This package contains library files for libp11.


%package -n openssl-engine-%{name}
Summary:	Library Implementing a Small Layer on Top of PKCS#11 API
Group:		System/Libraries

%description -n openssl-engine-%{name}
Libp11 is a library implementing a small layer on top of PKCS#11 API to
make using PKCS#11 implementations easier.

The official name for PKCS#11 is "RSA Security Inc. PKCS #11
Cryptographic Token Interface (Cryptoki)".

Libp11 source code includes the official header files (version 2.20)
and thus is "derived from the RSA Security Inc. PKCS #11 Cryptographic
Token Interface (Cryptoki)".


%package -n %develname
Summary:	Development files for libp11
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %develname
This package contains files needed for development with libp11.


%prep
%autosetup -p1


%build
%configure --disable-static --enable-api-doc
%make_build


%install
%make_install

# Use %%{buildroot}%%{_docdir}/%%develname to install documentation in a standard location
mkdir %{buildroot}%{_docdir}/%develname
mv %{buildroot}%{_datadir}/doc/%{name}/api %{buildroot}%{_docdir}/%{develname}/
rm -rf %{buildroot}%{_datadir}/doc/%{name}/


%files -n %libname
%doc NEWS
%{_libdir}/*.so.%{major}{,.*}

%files -n openssl-engine-%{name}
%{_libdir}/engines-*/*.so

%files -n %develname
%doc examples
%{_docdir}/%{develname}/api/
%{_libdir}/*.so
%{_libdir}/pkgconfig/libp11.pc
%{_includedir}/*.h
