%define bigfov 0
# distro_section==tainted builds libpano with fov > 160 support 
# which is patent covered so disabled by default (for core section)

%if "%{?distro_section}" == "tainted"
%define bigfov 1
%endif

%define lib_major	3
%define libname		%mklibname pano13_ %{lib_major}
%define develname	%mklibname pano13 -d

# comment out if not pre release
#define prel	rc2

%define rel	1

Name:		libpano13
Version:	2.9.22
Release:	%mkrel %{?prel:0.%{prel}.}%{rel}
Summary:	Panorama Tools library
License:	GPLv2+
Group:		System/Libraries
URL:		https://panotools.sourceforge.net/
Source:		https://sourceforge.net/projects/panotools/files/libpano13/%{name}-%{version}//%{name}-%{version}%{?prel:_%{prel}}.tar.gz
BuildRequires:	java-devel
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	cmake

%description
Helmut Dersch's Panorama Tools.

%if %bigfov
This package is in the 'tainted' section because there is a patent if FOV is > 160.
%endif

%package tools
Summary:	Panorama Tools library
Group:		Graphics/Utilities

%description tools
Utilities for Helmut Dersch's Panorama Tools.

%package -n %{libname}
Summary:	Panorama Tools library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
Libraries for Helmut Dersch's Panorama Tools.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	pano13-devel = %{version}-%{release}

%description -n %{develname}
Developent headers for Helmut Dersch's Panorama Tools.

%prep
%setup -q

%build
export LIBS="-lm"
%if %bigfov
perl -pi -e "s|\#define\s+MAX_FISHEYE_FOV.*|\#define MAX_FISHEYE_FOV 3600|" filter.h
%endif
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
%cmake
%cmake_build

%install
%cmake_install

find %{buildroot}%{_libdir} -name '*.la' -delete

%files tools
%dir %{_datadir}/pano13/doc
%{_datadir}/pano13/doc/*
%{_bindir}/PT*
%{_bindir}/panoinfo
%{_mandir}/man1/*.1.*

%files -n %{libname}
%{_libdir}/libpano13.so.%{lib_major}{,.*}

%files -n %{develname}
%{_includedir}/pano13
%{_libdir}/libpano13.so
%{_libdir}/libpano13.a
%{_libdir}/pkgconfig/*.pc
