
Name:           libpasastro
Version:        1.4.3
Release:        %mkrel 1
Summary:        Pascal interface for standard astronomy libraries
Group:          Sciences/Astronomy
License:        GPL-2.0-or-later AND LGPL-2.1-only AND BSD-3-Clause
URL:            https://sourceforge.net/projects/libpasastro/
Source0:        https://github.com/pchev/libpasastro/archive/v%{version}/libpasastro-%{version}.tar.gz

# Patch to fix stripping and permissions of library files
# Since this is Fedora specific we don't ask upstream to include
Patch0:         libpasastro-1.0-fix-install.patch

Provides:       libpasgetdss = %{version}
Provides:       libpasplan404 = %{version}
Provides:       libpaswcs = %{version}

%description
Libpasastro provides shared libraries to interface Pascal program 
with standard astronomy libraries.
libpasgetdss.so : Interface with GetDSS to work with DSS images.
libpasplan404.so : Interface with Plan404 to compute planets position.
libpaswcs.so : Interface with libwcs to work with FITS WCS.

%prep
%autosetup -p1

# do not install docs, use %%doc macro
sed -i '/\$destdir\/share/d' ./install.sh

# fix library path in install.sh script on 64bit
sed -i 's/\$destdir\/lib/\$destdir\/%{_lib}/g' ./install.sh

%build
%make_build arch_flags="%{optflags}"

%install
%make_install PREFIX=%{buildroot}%{_prefix}

%files
%doc changelog copyright README.md
%{_libdir}/libpas*.so.1{,.*}
