%global __provides_exclude_from %{_datadir}/doc/gtk-doc/.*
%global __requires_exclude_from %{_datadir}/doc/gtk-doc/.*

%define oname		peas

%define api		2
%define major		0
%define libname		%mklibname %{oname} %{api} %{major}
%define develname	%mklibname %{oname} %{api} -d

%define girmajor	2
%define girname		%mklibname %{oname}-gir %{girmajor}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define mozjs_ver	128

%bcond_without	gjs

Name:		libpeas
Version:	2.0.7
Release:	%mkrel 1
Summary:	Library for plugin handling
Group:		System/Libraries
License:	LGPLv2+
URL:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/libpeas/%{url_ver}/libpeas-%{version}.tar.xz
BuildRequires:	gettext
BuildRequires:	pkgconfig(gio-2.0)
%if %{with gjs}
BuildRequires:	pkgconfig(gjs-1.0)
BuildRequires:	pkgconfig(mozjs-%{mozjs_ver})
%endif
BuildRequires:	pkgconfig(gladeui-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	vala
BuildRequires:	meson
BuildRequires:	gi-docgen
BuildRequires:	gettext-devel

%description
This is GNOME's plugin handling library.

#--------------------------------------------------------------------

%package -n lib%{oname}%{api}-data
Summary:	Library for plugin handling - data files
Group:		System/Libraries

%description -n lib%{oname}%{api}-data
This is GNOME's plugin handling library - data files

%files -n lib%{oname}%{api}-data -f libpeas-%{api}.lang

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	Library plugin handling
Group:		System/Libraries
Requires:	lib%{oname}%{api}-data >= %{version}-%{release}
Recommends:	lib%{oname}%{api}-loader-python3%{?_isa}

%description -n %{libname}
This is GNOME's plugin handling library.

%files -n %{libname}
%doc AUTHORS
%{_libdir}/libpeas-%{api}.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{libname}-loader-python3
Summary:	Loader library for libpeas plugins written in Python 3
Group:		System/Libraries
Provides:	lib%{oname}%{api}-loader-python3 = %{version}-%{release}
Provides:	lib%{oname}%{api}-loader-python3%{?_isa} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{libname}-loader-python3
This is GNOME's plugin handling library - Python 3 plugin loader part.

%files -n %{libname}-loader-python3
%doc AUTHORS
%{_libdir}/libpeas-%{api}/loaders/libpythonloader.so

#--------------------------------------------------------------------
%if %{with gjs}
%package -n %{libname}-loader-gjs
Summary:	GJS loader for libpeas
Group:		System/Libraries
Provides:	lib%{oname}%{api}-loader-gjs = %{version}-%{release}
Provides:	lib%{oname}%{api}-loader-gjs%{?_isa} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{libname}-loader-gjs
This package contains the GJS loader that is needed to
run JavaScript plugins that use libpeas.

%files -n %{libname}-loader-gjs
%{_libdir}/libpeas-%{api}/loaders/libgjsloader.so
%endif

#--------------------------------------------------------------------

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%files -n %{develname}
%{_includedir}/*
%{_docdir}/libpeas-%{api}
%{_libdir}/*.so
%{_libdir}/pkgconfig/libpeas-%{api}.pc
%{_datadir}/gir-1.0/Peas-%{api}.gir
%{_datadir}/vala/vapi/libpeas-%{api}.deps
%{_datadir}/vala/vapi/libpeas-%{api}.vapi


#--------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/Peas-%{girmajor}.typelib

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n libpeas-%{version}

%build
%meson \
  -Dvapi=true \
  -Dpython3=true \
  %{?without_gjs:-Dgjs=false} \
  -Dlua51=false \
  -Dgtk_doc=true
%meson_build

%install
%meson_install

%find_lang libpeas-%{api}
