%global __provides_exclude_from %{_datadir}/doc/gtk-doc/.*
%global __requires_exclude_from %{_datadir}/doc/gtk-doc/.*

%bcond_with python

%define oname		peas

%define api		1.0
%define major		0
%define libname		%mklibname %{oname} %{api} %{major}
%define libnamegtk	%mklibname %{oname}-gtk %{api} %{major}
%define develname	%mklibname %{oname} %{api} -d

%define girmajor	1.0
%define girname		%mklibname %{oname}-gir %{girmajor}
%define girnamegtk	%mklibname %{oname}-gtk-gir %{girmajor}

Name:		libpeas%{api}
Version:	1.36.0
Release:	%mkrel 10
Summary:	Library for plugin handling
Group:		System/Libraries
License:	LGPLv2+
URL:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/libpeas/%{url_ver}/libpeas-%{version}.tar.xz
BuildRequires:  git-core
BuildRequires:	gettext
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gladeui-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
%if %{with python}
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(pygobject-3.0)
%endif
BuildRequires:	vala
BuildRequires:	meson
BuildRequires:  gi-docgen
BuildRequires:	gettext-devel

%description
This is GNOME's plugin handling library.

#--------------------------------------------------------------------

%package -n lib%{oname}%{api}-data
Summary:	Library for plugin handling - data files
Group:		System/Libraries
Obsoletes:	libpeas-data < 1.36.0-3

%description -n lib%{oname}%{api}-data
This is GNOME's plugin handling library - data files

%files -n lib%{oname}%{api}-data -f libpeas-%{api}.lang
%{_datadir}/icons/hicolor/*/actions/*
%{_datadir}/glade/catalogs/libpeas-gtk.xml

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	Library plugin handling
Group:		System/Libraries
Requires:	lib%{oname}%{api}-data >= %{version}-%{release}
%if %{with python}
Recommends:	lib%{oname}%{api}-loader-python3%{?_isa}
%else
Obsoletes:	%{_lib}peas%{api}_%{major}-loader-python3 < %{version}-%{release}
%endif

%description -n %{libname}
This is GNOME's plugin handling library.

%files -n %{libname}
%doc AUTHORS
%{_libdir}/lib%{oname}-%{api}.so.%{major}{,.*}

#--------------------------------------------------------------------

%if %{with python}
%package -n %{libname}-loader-python3
Summary:	Loader library for libpeas plugins written in Python 3
Group:		System/Libraries
Provides:	lib%{oname}%{api}-loader-python3 = %{version}-%{release}
Provides:	lib%{oname}%{api}-loader-python3%{?_isa} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{libname}-loader-python3
This is GNOME's plugin handling library - Python 3 plugin loader part.

%files -n %{libname}-loader-python3
%doc AUTHORS
%{_libdir}/lib%{oname}-%{api}/loaders/libpython3loader.so
%endif

#--------------------------------------------------------------------

%package -n %{libnamegtk}
Summary:	Library plugin handling UI part
Group:		System/Libraries
Requires:	%{name}-data >= %{version}-%{release}

%description -n %{libnamegtk}
This is GNOME's plugin handling library - user interface part.

%files -n %{libnamegtk}
%{_libdir}/lib%{oname}-gtk-%{api}.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libnamegtk} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Requires:	%{girnamegtk} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%files -n %{develname}
#{_bindir}/peas-demo
#{_libdir}/peas-demo
%{_includedir}/*
%{_docdir}/lib%{oname}-%{api}
%{_docdir}/lib%{oname}-gtk-%{api}
%{_libdir}/*.so
%{_libdir}/pkgconfig/lib%{oname}-%{api}.pc
%{_libdir}/pkgconfig/lib%{oname}-gtk-%{api}.pc
%{_datadir}/gir-1.0/Peas-%{api}.gir
%{_datadir}/gir-1.0/PeasGtk-%{api}.gir

#--------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/Peas-%{girmajor}.typelib

#--------------------------------------------------------------------

%package -n %{girnamegtk}
Summary:	GObject Introspection interface description for %{name}-gtk
Group:		System/Libraries
Requires:	%{libnamegtk} = %{version}-%{release}

%description -n %{girnamegtk}
GObject Introspection interface description for %{name}-gtk.

%files -n %{girnamegtk}
%{_libdir}/girepository-1.0/PeasGtk-%{girmajor}.typelib

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n libpeas-%{version} -Sgit_am

%build
%meson \
  -Ddemos=false \
  -Dvapi=true \
  -Dpython2=false \
  -Dpython3=%{?with_python:true}%{!?with_python:false} \
  -Dgtk_doc=true
%meson_build

%install
%meson_install

%find_lang libpeas-%{api}
