%bcond_without python
%if %{with python}
%{?filter_setup:
%filter_provides_in %{python3_sitearch}/perfmon/.*\.so$
%filter_setup
}
%endif
%define lname      pfm
%define libmajor   4
%define libname    %mklibname %lname %libmajor
%define develname  %mklibname %lname -d
%define staticname %mklibname %lname -s -d

Name:		libpfm
Version:	4.13.0
Release:	%mkrel 2
Summary:	Library to encode performance events for use by perf tool
Group:		System/Libraries
License:	MIT
URL:		https://perfmon2.sourceforge.net/
Source0:	https://sourceforge.net/projects/perfmon2/files/libpfm4/%{name}-%{version}.tar.gz
Patch2:		libpfm-python3-setup.patch

%if %{with python}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	swig
%endif

%description
libpfm4 is a library to help encode events for use with operating system
kernels performance monitoring interfaces. The current version provides support
for the perf_events interface available in upstream Linux kernels since v2.6.31.

%package -n %libname
Summary:	Library to encode performance events for use by perf tool
Group:		System/Libraries
License:	MIT

%description -n %libname
libpfm4 is a library to help encode events for use with operating system
kernels performance monitoring interfaces. The current version provides support
for the perf_events interface available in upstream Linux kernels since
v2.6.31.

%package -n %develname
Summary:	Development library to encode performance events for perf_events based tools
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{lname}-devel = %{version}-%{release}

%description -n %develname
Development library and header files to create performance monitoring
applications for the perf_events interface.

%package -n %staticname
Summary:	Static library to encode performance events for perf_events based tools
Group:		Development/C
Requires:	%develname = %{version}-%{release}
Provides:	%{lname}-static-devel = %{version}-%{release}

%description -n %staticname
Static version of the libpfm library for performance monitoring applications
for the perf_events interface.

%if %{with python}
%package -n python3-libpfm
Summary:	Python 3 bindings for libpfm and perf_event_open system call
Group:		Development/Python
%{?python_provide:%python_provide python3-libpfm}
Provides:	%{name}-python = %{version}-%{release}
Provides:	%{name}-python%{?_isa} = %{version}-%{release}

%description -n python3-libpfm
Python 3 bindings for libpfm4 and perf_event_open system call.
%endif

%prep
%autosetup -p1

%build
%make_build OPTIM="%{optflags}" LDFLAGS="%{ldflags}"

%if %{with python}
pushd python
%pyproject_wheel
popd
%endif

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir} LDCONFIG=/bin/true

%if %{with python}
pushd python
%pyproject_install
popd
%endif

%files -n %libname
%doc README
%{_libdir}/lib*.so.%{libmajor}{,.*}

%files -n %develname
%{_includedir}/*
%{_mandir}/man3/*
%{_libdir}/lib*.so

%files -n %staticname
%{_libdir}/lib*.a

%if %{with python}
%files -n python3-libpfm
%{python3_sitearch}/perfmon-*.dist-info/
%{python3_sitearch}/perfmon/
%endif

