%define major		8
%define libname		%mklibname phonenumber %{major}
%define libgeocoding	%mklibname geocoding %{major}
%define devname		%mklibname phonenumber -d

Name:		libphonenumber
Version:	8.13.55
Release:	%mkrel 3
Summary:	Library for parsing, formatting, and validating international phone numbers
License:	ASL 2.0
Group:		System/Libraries
Url:		https://github.com/google/libphonenumber
Source0:	https://github.com/google/libphonenumber/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		libphonenumber-8.13.20-mga-link.patch
# Use official protobuf cmake target instead of
# custom one, fixes build with protobuf 23
Patch1:		0001-Use-find_package-for-protobuf.patch
BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	java
BuildRequires:	boost-devel
# required abseil-cpp built with -DCMAKE_POSITION_INDEPENDENT_CODE=ON
BuildRequires:	cmake(absl)
BuildRequires:	pkgconfig(gtest)
BuildRequires:	pkgconfig(icu-i18n) >= 4.4
BuildRequires:	pkgconfig(icu-uc) >= 4.4
BuildRequires:	pkgconfig(protobuf) >= 2.4

%description
Google's common Java, C++ and JavaScript library for parsing, formatting,
and validating international phone numbers.

#------------------------------------------------

%package -n	%{libname}
Summary:	Library for parsing, formatting, and validating international phone numbers
Group:		System/Libraries

%description -n	%{libname}
Google's common Java, C++ and JavaScript library for parsing, formatting,
and validating international phone numbers. The Java version is optimized
for running on smartphones, and is used by the Android framework since 4.0
(Ice Cream Sandwich).

#------------------------------------------------

%package -n	%{libgeocoding}
Summary:	Library for parsing, formatting, and validating international phone numbers
Group:		System/Libraries

%description -n	%{libgeocoding}
Google's common Java, C++ and JavaScript library for parsing, formatting,
and validating international phone numbers. The Java version is optimized
for running on smartphones, and is used by the Android framework since 4.0
(Ice Cream Sandwich).

#------------------------------------------------

%package -n	%{devname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} >= %{version}-%{release}
Requires:	%{libgeocoding} >= %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	phonenumber-devel = %{version}-%{release}

%description -n	%{devname}
This package provides libraries and header files for developing applications
that use libphonenumber.

#------------------------------------------------

%prep
%autosetup -p1

sed -i -e '/project/aset(CMAKE_CXX_STANDARD 20)' cpp/CMakeLists.txt

%build
cd cpp
touch src/phonenumbers/test_metadata.h
%cmake -DREGENERATE_METADATA=OFF \
       -DCMAKE_CXX_STANDARD=17
%cmake_build

%install
cd cpp
%cmake_install

find %{buildroot} -name '*.a' -delete

%files -n %{libname}
%license LICENSE*
%{_libdir}/libphonenumber.so.%{major}{,.*}

%files -n %{libgeocoding}
%license LICENSE*
%{_libdir}/libgeocoding.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/phonenumbers/
%{_libdir}/libgeocoding.so
%{_libdir}/libphonenumber.so
%{_libdir}/cmake/libphonenumber/
