%global major   1
%define libname %mklibname pipeline %major
%define devname %mklibname pipeline -d

%global gnulib_ver 20140202

Summary: A pipeline manipulation library
Name: libpipeline
Version: 1.5.8
Release: %mkrel 1
License: GPLv3+
Group: System/Libraries
URL: https://libpipeline.nongnu.org/
Source: https://download.savannah.gnu.org/releases/libpipeline/libpipeline-%{version}.tar.gz

BuildRequires: libtool
BuildRequires: pkgconfig(check)

# FPC exception for gnulib - copylib - https://fedorahosted.org/fpc/ticket/174
Provides: bundled(gnulib) = %{gnulib_ver}

%description
libpipeline is a C library for setting up and running pipelines of
processes, without needing to involve shell command-line parsing which is
often error-prone and insecure. This alleviates programmers of the need to
laboriously construct pipelines using lower-level primitives such as fork(2)
and execve(2).

%package -n %libname
Summary: Pipeline manipulation library
Group: System/Libraries

%description -n %libname
libpipeline is a C library for setting up and running pipelines of
processes, without needing to involve shell command-line parsing which is
often error-prone and insecure. This alleviates programmers of the need to
laboriously construct pipelines using lower-level primitives such as fork(2)
and execve(2).

%package -n %devname
Summary: Header files and libraries for pipeline manipulation library
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: pipeline-devel = %{version}-%{release}

%description -n %devname
libpipeline-devel contains the header files and libraries needed
to develop programs that use libpipeline library.

%prep
%setup -q

%build
%configure
%make_build

%check
make check

%install
%make_install

%files -n %libname
%license COPYING
%doc README.md ChangeLog
%{_libdir}/libpipeline.so.%{major}{,.*}

%files -n %devname
%{_libdir}/libpipeline.so
%{_libdir}/pkgconfig/libpipeline.pc
%{_includedir}/*.h
%{_mandir}/man3/*
