%define name libpki
%define version 0.6.7
%define release %mkrel 1

%define api 67
%define major 0
%define libname %mklibname pki %{api} %{major}
%define develname %mklibname pki -d

%define __libtoolize /bin/true

%define confdir %{_sysconfdir}/pki/%{name}

Summary: PKI wrapper library from OpenCA
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
Patch0: %{name}-0.6.7-locations.patch
License: GPLv2
Group: System/Libraries
URL: https://www.openca.org/projects/libpki/
BuildRequires: openssl-devel
BuildRequireS: openldap-devel
BuildRequires: libxml2-devel
BuildRequires: mysql-devel
BuildRequires: postgresql-devel
BuildRequires: doxygen
BuildRequires: latex
BuildRequires: perl

%description
LibPKI provides a library for PKI application development.  It
provides a high-level wrapper around an underlying cryptographic
library such as OpenSSL.

%package -n %{name}-tools
Summary: Tools for LibPKI
Group: System/Libraries
Requires: %{name} = %{version}

%description -n %{name}-tools
This package contains various PKI tools.

%package -n %{libname}
Summary: Main library for LibPKI
Group: System/Libraries
Provides: %{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with LibPKI.

%package -n %{develname}
Summary: Headers for developing programs using LibPKI
Group: Development/Other
Requires: %{name} = %{version}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers needed to build programs that will
use LibPKI.

%prep
%setup -q
%patch -P 0 -p1

%build
%configure --disable-static
%make all documentation

%install
rm -rf %{buildroot}
%makeinstall pkgconfigdir=%{buildroot}%{_libdir}/pkgconfig
# Fix directory locations
mkdir -p %{buildroot}%{confdir}
mv %{buildroot}%{_exec_prefix}/etc/libpki/* %{buildroot}%{confdir}/
mv %{buildroot}%{_exec_prefix}/etc/*.conf %{buildroot}%{confdir}/
rmdir %{buildroot}%{_exec_prefix}/etc/libpki
rmdir %{buildroot}%{_exec_prefix}/etc
rm -rf %{buildroot}%{_exec_prefix}/share/%{name}

%find_lang %name

%files -n %{name}-tools
%{_bindir}/pki-*
%{_bindir}/url-tool

%files -n %{libname}
%{_libdir}/%{name}.so.%{api}.%{api}.%{major}
%{confdir}/*.conf
%{confdir}/*.d
%{confdir}/*.xml
%doc AUTHORS ChangeLog COPYING NEWS README

%files -n %{develname}
%{_bindir}/%{name}-config
%{_includedir}/%{name}
%{_libdir}/%{name}.so
%{_libdir}/%{name}.so.%{api}
%{_libdir}/%{name}.la
%{_mandir}/man6/*
%{_libdir}/pkgconfig/%{name}.pc
