%define major   349
%define libname %mklibname placebo %{major}
%define devname %mklibname placebo -d

Name:		libplacebo
Version:	7.349.0
Release:	%mkrel 2
Summary:	Video rendering library
License:	LGPLv2.1+
Group:		System/Libraries
URL:            https://github.com/haasn/libplacebo
Source0:	https://code.videolan.org/videolan/libplacebo/-/archive/v%{version}/libplacebo-v%{version}.tar.bz2
Patch0:		libplacebo-6.338-demos-buildfix.patch

BuildRequires:	meson
BuildRequires:	glad2
BuildRequires:	glslc
BuildRequires:	glslang
BuildRequires:	glslang-devel
#BuildRequires:	pkgconfig(dovi)
BuildRequires:	pkgconfig(epoxy)
BuildRequires:	pkgconfig(glfw3)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libavcodec)
BuildRequires:	pkgconfig(libunwind)
BuildRequires:	pkgconfig(libxxhash)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(shaderc)
BuildRequires:	pkgconfig(SPIRV-Tools)
BuildRequires:	pkgconfig(vulkan)
BuildRequires:	python3-mako

%description
libplacebo is, in a nutshell, the core rendering algorithms and ideas of mpv
rewritten as an independent library.

As of today, libplacebo contains a large assortment of video processing
shaders, focusing on both quality and performance.

%package -n %{libname}
Summary:	Video rendering library
Group:		System/Libraries

%description -n %{libname}
libplacebo is, in a nutshell, the core rendering algorithms and ideas of mpv
rewritten as an independent library.

As of today, libplacebo contains a large assortment of video processing
shaders, focusing on both quality and performance.

%package -n %{devname}
Summary:	Development files for the %{name} video rendering library
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Provides:	placebo-devel = %{version}-%{release}

%description -n %{devname}
libplacebo is, in a nutshell, the core rendering algorithms and ideas of mpv
rewritten as an independent library.

As of today, libplacebo contains a large assortment of video processing
shaders, focusing on both quality and performance.

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%meson \
       -Dvulkan=enabled \
       -Dopengl=enabled \
       -Dshaderc=enabled \
       -Dlcms=enabled \
       -Dglslang=disabled \
       -Dd3d11=disabled \
       -Dlibdovi=disabled
%meson_build

%install
%meson_install

%files
%doc README.md
%{_bindir}/plplay

%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/libplacebo.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/libplacebo/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
