#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define min_version 5.240

%define rel 1

Summary:        Foundational libraries, components, and tools of the Plasma workspaces
Name:           libplasma
Version: 6.3.4
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz
## Upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6WaylandClient)
BuildRequires:  cmake(Qt6Xml)

BuildRequires:  cmake(KF6Archive) >= %min_version
BuildRequires:  cmake(KF6Config) >= %min_version
BuildRequires:  cmake(KF6ConfigWidgets) >= %min_version
BuildRequires:  cmake(KF6CoreAddons) >= %min_version
BuildRequires:  cmake(KF6GlobalAccel) >= %min_version
BuildRequires:  cmake(KF6GuiAddons) >= %min_version
BuildRequires:  cmake(KF6I18n) >= %min_version
BuildRequires:  cmake(KF6IconThemes) >= %min_version
BuildRequires:  cmake(KF6KIO) >= %min_version
BuildRequires:  cmake(KF6WindowSystem) >= %min_version
BuildRequires:  cmake(KF6Notifications) >= %min_version
BuildRequires:  cmake(KF6Package) >= %min_version
BuildRequires:  cmake(KF6KirigamiPlatform) >= %min_version
BuildRequires:  cmake(KF6KCMUtils) >= %min_version
BuildRequires:  cmake(KF6Svg) >= %min_version

BuildRequires:  cmake(PlasmaWaylandProtocols)

# Plasma
BuildRequires:  cmake(PlasmaActivities)

BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(sm)

Requires:       kirigami

%description
Foundational libraries, components, and tools of the Plasma workspaces.

#--------------------------------------------------------------------
# rename for mga10 plasma-framework as plasma6-framework in order to avoid adding an epoch
# and to ease upgrade, this can be reverted for mga11

%package -n plasma6-framework
Summary:        Foundational libraries, components, and tools of the Plasma workspaces
Group:          System/Base
Requires:       kirigami
Provides:       %{name}
# Renamed from plasma-framework
Obsoletes:      plasma-framework < 5.114.0-2
Provides:       plasma-framework = %{version}-%{release}

%description -n plasma6-framework
Foundational libraries, components, and tools of the Plasma workspaces.

%files -n plasma6-framework -f %{name}.lang
%_kf6_categoriesdir/plasma-framework.*categories
%_kf6_datadir/plasma/
%_kf6_qmldir/org/kde/plasma/
%_kf6_qmldir/org/kde/kirigami/styles/Plasma/*.qml
%_kf6_plugindir/kirigami/platform/KirigamiPlasmaStyle.so
%_kf6_plugindir/packagestructure/*.so
#_kf6_datadir/locale/*/LC_SCRIPTS/libplasma6/*.js
%dir %_kf6_datadir/kdevappwizard
%_kf6_datadir/kdevappwizard/templates/

#--------------------------------------------------------------------

%define plasmaquick_major 6
%define libplasmaquick %mklibname plasmaquick %{plasmaquick_major}

%package -n %libplasmaquick
Summary:        Foundational libraries, components, and tools of the Plasma workspaces
Group:          System/Libraries

%description -n %libplasmaquick
Foundational libraries, components, and tools of the Plasma workspaces.

%files -n %libplasmaquick
%_kf6_libdir/libPlasmaQuick.so.%{plasmaquick_major}
%_kf6_libdir/libPlasmaQuick.so.%{version}

#--------------------------------------------------------------------

%define plasma_major 6
%define libplasma %mklibname plasma %{plasma_major}

%package -n %libplasma
Summary:        Foundational libraries, components, and tools of the Plasma workspaces
Group:          System/Libraries

%description -n %libplasma
Foundational libraries, components, and tools of the Plasma workspaces.

%files -n %libplasma
%_kf6_libdir/libPlasma.so.%{plasma_major}
%_kf6_libdir/libPlasma.so.%{version}

#--------------------------------------------------------------------

%define plasma_devel %mklibname plasma -d

%package -n %plasma_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libplasmaquick = %version-%release
Requires:       %libplasma = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %plasma_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %plasma_devel
%_includedir/Plasma/
%_includedir/PlasmaQuick/
%_kf6_libdir/cmake/Plasma/
%_kf6_libdir/cmake/PlasmaQuick/
%_kf6_libdir/*.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name
