# https://github.com/libimobiledevice/libplist
# git snapshot from commit 025d042c6228ab41832bcb3ebbae070a76033a4c

# comment out when not a git snapshot
#define git	20190813

%define rel	2

#----------------------------------------------------------------------------

%define major		4
%define api		2.0
%define libname		%mklibname plist %{api} %{major}
%define libnamedev	%mklibname plist -d
%define libnamecxx	%mklibname plist++ %{api} %{major}
%define libnamecxxdev	%mklibname plist++ -d

#----------------------------------------------------------------------------

Name:		libplist
Version:	2.6.0
Release:	%mkrel %{?git:0.git%git.}%{rel}
Summary:	Library for manipulating Apple Binary and XML Property Lists
Group:		System/Libraries
License:	LGPLv2+
URL:		https://www.libimobiledevice.org/
Source0:	https://github.com/libimobiledevice/libplist/releases/download/%{version}/%{name}-%{version}.tar.bz2
#Source0:	https://github.com/libimobiledevice/libplist/archive/%%{version}/%%{name}-%%{version}.tar.gz
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	gcc-c++
BuildRequires:	libtool
BuildRequires:	make
BuildRequires:	automake
BuildRequires:	autoconf
Provides:	plistutil = %{version}

%description
libplist is a library for manipulating Apple Binary and XML Property Lists.

#----------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Library for manipulating Apple Binary and XML Property Lists
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
libplist is a library for manipulating Apple Binary and XML Property Lists.

#----------------------------------------------------------------------------

%package -n	%{libnamedev}
Summary:	Development package for libplist
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
%{name}, development headers and libraries.

#----------------------------------------------------------------------------

%package -n	%{libnamecxx}
Summary:	C++ binding for libplist
Group:		Development/C++
Requires:	%{name} >= %{version}-%{release}

%description -n %{libnamecxx}
C++ bindings for %{name}.

#----------------------------------------------------------------------------

%package -n	%{libnamecxxdev}
Summary:	Development package for libplist++
Group:		Development/C++
Requires:	%{libnamecxx} = %{version}-%{release}
Provides:	%{name}++-devel = %{version}-%{release}

%description -n %{libnamecxxdev}
%{name}, C++ development headers and libraries.

#----------------------------------------------------------------------------

%package -n	python3-plist
Summary:	Python 3 bindings for libplist
Group:		Development/Python
BuildRequires:	python3-cython
BuildRequires:	python3-devel
%{?python_provide:%python_provide python3-plist}
Requires:	python3

%description -n python3-plist
%{name}, python3 libraries and support.

#----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%configure \
		--disable-static \
		PYTHON=%{__python3} \
		CYTHON=%{_bindir}/cython-3
%__make

#----------------------------------------------------------------------------

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

#----------------------------------------------------------------------------

%files
%doc AUTHORS README.md
%license COPYING.LESSER
%{_bindir}/plistutil
%{_mandir}/man1/plistutil.1*

#----------------------------------------------------------------------------

%files -n %{libname}
%{_libdir}/%{name}-%{api}.so.%{major}{,.*}

#----------------------------------------------------------------------------

%files -n %{libnamedev}
%dir %{_includedir}/plist
%{_includedir}/plist/*.h
%{_includedir}/plist/cython/
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/%{name}-%{api}.so

#----------------------------------------------------------------------------

%files -n %{libnamecxx}
%{_libdir}/%{name}++-%{api}.so.%{major}{,.*}

#----------------------------------------------------------------------------

%files -n %{libnamecxxdev}
%{_libdir}/pkgconfig/%{name}++-%{api}.pc
%{_libdir}/%{name}++-%{api}.so

#----------------------------------------------------------------------------

%files -n python3-plist
%{python3_sitearch}/plist.so
