# NOTE After each new version please rebuild pngcrush to match with it (see mga#32318)

%define major		16
%define libname		%mklibname png %{major} %{major}
%define develname	%mklibname png -d

Summary:	A library of functions for manipulating PNG image format files
Name:		libpng
Epoch:		2
Version:	1.6.47
Release:	%mkrel 1
License:	zlib
Group:		System/Libraries
URL:		http://www.libpng.org/pub/png/libpng.html
Source0:	https://downloads.sourceforge.net/libpng/%{name}-%{version}.tar.xz
Patch0:		https://downloads.sourceforge.net/libpng-apng/libpng-%{version}-apng.patch.gz

BuildRequires:	cmake
BuildRequires:	pkgconfig(zlib)

%description
The libpng package contains a library of functions for creating and
manipulating PNG (Portable Network Graphics) image format files.  PNG is
a bit-mapped graphics format similar to the GIF format.  PNG was created to
replace the GIF format, since GIF uses a patented data compression
algorithm.

Libpng should be installed if you need to manipulate PNG format image
files.

%package -n	%{libname}
Summary:	A library of functions for manipulating PNG image format files
Group:		System/Libraries
Provides:	%{name} = %{epoch}:%{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with libpng.

%package -n	%{develname}
Summary:	Development tools for programs to manipulate PNG image format files
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}
Requires:	zlib-devel
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	png-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%{mklibname png 3 -d} < 1.2.30

%description -n	%{develname}
The libpng-devel package contains the header files and libraries
necessary for developing programs using the PNG (Portable Network
Graphics) library.

If you want to develop programs which will manipulate PNG image format
files, you should install libpng-devel.  You'll also need to install the
libpng package.

%prep
%autosetup -p1

sed -i 's|\${CMAKE_INSTALL_LIBDIR}/libpng|\${CMAKE_INSTALL_LIBDIR}/cmake/libpng|' CMakeLists.txt

%build
export CFLAGS="%{optflags} -O3 -funroll-loops -DPIC -fPIC"
%cmake -DPNG_SHARED:BOOL=ON \
       -DPNG_STATIC:BOOL=OFF \
       -DPNG_NO_STDIO=no \
       -DPNG_NO_CONSOLE_IO=no
%cmake_build

%install
%cmake_install

# multiarch
%multiarch_binaries %{buildroot}%{_bindir}/libpng%{major}-config

%files -n %{libname}
%{_libdir}/libpng%{major}.so.%{major}{,.*}

%files -n %{develname}
%doc libpng*.txt example.c README TODO CHANGES
%{_bindir}/libpng-config
%{_bindir}/libpng%{major}-config
%{_bindir}/png-fix-itxt
%{_bindir}/pngfix
%{multiarch_bindir}/libpng%{major}-config
%{_includedir}/*
%{_libdir}/libpng.so
%{_libdir}/libpng%{major}.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/libpng/
%{_libdir}/cmake/PNG/
%{_mandir}/man?/*
