%define major 0
%define libname	%mklibname png 12 %{major}
%define develname %mklibname png12 -d
%define staticname %mklibname png12 -d -s

Summary:	A library of functions for manipulating PNG image format files
Name:		libpng12
Version:	1.2.59
Release:	%mkrel 4
Epoch:		2
License:	zlib
Group:		System/Libraries
URL:		http://www.libpng.org/pub/png/libpng.html
Source:		https://downloads.sourceforge.net/libpng/libpng-%{version}.tar.xz
Patch0:		https://downloads.sourceforge.net/libpng-apng/libpng-%{version}-apng.patch.gz
Patch1:		libpng-1.2.36-pngconf-setjmp.patch
Patch2:		libpng-1.2.44-CVE-2008-6218.diff
Patch4:		libpng12-CVE-2013-6954.patch
Patch5:		libpng-1.2.50-CVE-2013-7353.patch
Patch6:		libpng-1.2.50-CVE-2013-7354.patch
Patch7:		CVE-2018-13785.patch
Patch8:		libpng-fix-build-with-gcc14.patch
BuildRequires: 	pkgconfig(zlib)

%description
The libpng package contains a library of functions for creating and
manipulating PNG (Portable Network Graphics) image format files.  PNG is
a bit-mapped graphics format similar to the GIF format.  PNG was created to
replace the GIF format, since GIF uses a patented data compression
algorithm.

Libpng should be installed if you need to manipulate PNG format image
files.

%package -n	%{libname}
Summary:	A library of functions for manipulating PNG image format files
Group:		System/Libraries
Obsoletes:	%{_lib}png3 < %{epoch}:%{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with libpng.

%package -n	%{develname}
Summary:	Development tools for programs to manipulate PNG image format files
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Conflicts:	%{_lib}png-devel < 2:1.5.4
Obsoletes:	%{_lib}png12-static-devel < %{epoch}:%{version}-%{release}

%description -n	%{develname}
The libpng-devel package contains the header files and libraries
necessary for developing programs using the PNG (Portable Network
Graphics) library.

If you want to develop programs which will manipulate PNG image format
files, you should install libpng-devel.  You'll also need to install the
libpng package.

%prep
%setup -qn libpng-%{version}
%patch -P 0 -p1 -b .apng
%patch -P 1 -p0 -b .pngconf-setjmp
%patch -P 2 -p0 -b .CVE-2008-6218
%patch -P 4 -p1 -b .CVE-2013-6954
%patch -P 5 -p0 -b .CVE-2013-7353
%patch -P 6 -p0 -b .CVE-2013-7354
%patch -P 7 -p1 -b .CVE-2018-13785
%patch -P 8 -p1 -b .gcc14

%build
./autogen.sh
%configure --with-pic --disable-static
%make_build

%check
make check

%install
%make_install

# remove unpackaged files
rm -rf %{buildroot}{%{_prefix}/man,%{_libdir}/lib*.la}
rm -f %{buildroot}%{_libdir}/libpng.*

# remove compat files, which is conflicts with libpng 1.5
rm -f %{buildroot}%{_libdir}/pkgconfig/libpng.pc
rm -f %{buildroot}%{_bindir}/libpng-config
rm -f %{buildroot}%{_includedir}/*.h
rm -f %{buildroot}%{_mandir}/*/*

#multiarch
%multiarch_binaries %{buildroot}%{_bindir}/libpng12-config

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc *.txt example.c README TODO CHANGES
%{_bindir}/libpng12-config
%{multiarch_bindir}/libpng12-config
%{_includedir}/libpng12
%{_libdir}/libpng12.so
%{_libdir}/pkgconfig/libpng12.pc
