%global major	1
%global gmajor	1.0

%define libname	%mklibname portal %{major}
%define girname	%mklibname xdp-gir %{gmajor}
%define devname %mklibname portal -d

%define gtklib3	%mklibname portal-gtk 3 %{major}
%define gtkgir3 %mklibname xdpgtk3-gir %{gmajor}
%define gtkdev3	%mklibname portal-gtk 3 -d

%define gtklib4	%mklibname portal-gtk 4 %{major}
%define gtkgir4	%mklibname xdpgtk4-gir %{gmajor}
%define gtkdev4	%mklibname portal-gtk 4 -d

%define qtlib5	%mklibname portal-qt 5 %{major}
%define qtdev5	%mklibname portal-qt 5 -d

%define qtlib6	%mklibname portal-qt 6 %{major}
%define qtdev6	%mklibname portal-qt 6 -d

Name:           libportal
Version:        0.9.0
Release:        %mkrel 1
Summary:        Flatpak portal library
Group:          System/Libraries
License:        LGPLv2+
Url:            https://github.com/flatpak/libportal
Source:         https://github.com/flatpak/libportal/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  gi-docgen
BuildRequires:  meson
BuildRequires:  vala
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)

%description
libportal provides GIO-style asynchronous APIs for most Flatpak portals.

%package -n %libname
Summary:        Flatpak portal library
Group:          System/Libraries

%description -n %libname
libportal provides GIO-style asynchronous APIs for most Flatpak portals.

%package -n     %{girname}
Summary:        GObject Introspection interface library for Xdp
Requires:       %{libname} = %{version}-%{release}
Conflicts:      %{_lib}portal1 < 0.6-2

%description -n %{girname}
GObject Introspection interface library for Xdp.

%package -n     %{gtkgir3}
Summary:        GObject Introspection interface library for XdpGtk3
Requires:       %{gtklib3} = %{version}-%{release}
Conflicts:      %{_lib}portal-gtk3 < 0.6-2

%description -n %{gtkgir3}
GObject Introspection interface library for XdpGtk3.

%package -n     %{gtkgir4}
Summary:        GObject Introspection interface library for XdpGtk4
Requires:       %{gtklib4} = %{version}-%{release}
Conflicts:      %{_lib}portal-gtk4 < 0.6-2

%description -n %{gtkgir4}
GObject Introspection interface library for XdpGtk4.

%package -n %{gtklib3}
Summary:        GTK+ 3 libraries for %name
Obsoletes:      libportal-gtk3 < 0.6-2

%description -n %{gtklib3}
libportal provides GIO-style asynchronous APIs for most Flatpak portals.

This package provides files for GTK+ 3 and %name.

%package -n %{gtklib4}
Summary:        GTK 4 libraries for %name
Obsoletes:      libportal-gtk4 < 0.6-2

%description -n %{gtklib4}
Libportal provides GIO-style asynchronous APIs for most Flatpak portals.

This package provides files for GTK 4 and %name.

%package -n %{qtlib5}
Summary:        Qt5 libraries for %name
Obsoletes:      libportal-qt5 < 0.6-2

%description -n %{qtlib5}
Libportal provides GIO-style asynchronous APIs for most Flatpak portals.

This package provides files for Qt5 and %name.

%package -n %{qtlib6}
Summary:        Qt6 libraries for %name

%description -n %{qtlib6}
Libportal provides GIO-style asynchronous APIs for most Flatpak portals.

This package provides files for Qt6 and %name.

%package -n %devname
Summary:        Development files and libraries for %name
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:       %{girname} = %{version}-%{release}
Provides:       portal-devel = %{version}-%{release}
Provides:       libportal-devel = %{version}-%{release}

%description -n %devname
Libportal provides GIO-style asynchronous APIs for most Flatpak portals.

This package provides files for development with %name.

%package -n %{gtkdev3}
Summary:        GTK+ 3 development files and libraries for %name
Requires:       %{gtklib3} = %{version}-%{release}
Requires:       %{gtkgir3} = %{version}-%{release}
Obsoletes:      libportal-gtk3-devel < 0.6-2
Provides:       libportal-gtk3-devel = %{version}-%{release}

%description -n %{gtkdev3}
Libportal provides GIO-style asynchronous APIs for most Flatpak portals.

This package provides files for development with GTK+ 3 and %name.

%package -n %{gtkdev4}
Summary:        GTK 4 development files and libraries for %name
Requires:       %{gtklib4} = %{version}-%{release}
Requires:       %{gtkgir4} = %{version}-%{release}
Obsoletes:      libportal-gtk4-devel < 0.6-2
Provides:       libportal-gtk4-devel = %{version}-%{release}

%description -n %{gtkdev4}
Libportal provides GIO-style asynchronous APIs for most Flatpak portals.

This package provides files for development with GTK 4 and %name.

%package -n %{qtdev5}
Summary:        Qt5 development files and libraries for %name
Requires:       %{qtlib5} = %{version}-%{release}
Obsoletes:      libportal-qt5-devel < 0.6-2
Provides:       libportal-qt5-devel = %{version}-%{release}

%description -n %{qtdev5}
Libportal provides GIO-style asynchronous APIs for most Flatpak portals.

This package provides files for development with Qt5 and %name.

%package -n %{qtdev6}
Summary:        Qt6 development files and libraries for %name
Requires:       %{qtlib6} = %{version}-%{release}
Provides:       libportal-qt6-devel = %{version}-%{release}

%description -n %{qtdev6}
Libportal provides GIO-style asynchronous APIs for most Flatpak portals.

This package provides files for development with Qt6 and %name.

%package devel-doc
Summary:        Development documentation for libportal
Group:          Documentation
BuildArch:      noarch

%description devel-doc
libportal provides GIO-style asynchronous APIs for most Flatpak portals.

This package provides development documentations for libportal.

%prep
%autosetup -p1

%build
%meson -Dtests=false
%meson_build

%install
%meson_install

%files -n %libname
%license COPYING
%doc README.md NEWS
%{_libdir}/libportal.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Xdp-%{gmajor}.typelib

%files -n %{gtklib3}
%{_libdir}/libportal-gtk3.so.%{major}{,.*}

%files -n %{gtkgir3}
%{_libdir}/girepository-1.0/XdpGtk3-%{gmajor}.typelib

%files -n %{gtklib4}
%{_libdir}/libportal-gtk4.so.%{major}{,.*}

%files -n %{gtkgir4}
%{_libdir}/girepository-1.0/XdpGtk4-%{gmajor}.typelib

%files -n %{qtlib5}
%{_libdir}/libportal-qt5.so.%{major}{,.*}

%files -n %{qtlib6}
%{_libdir}/libportal-qt6.so.%{major}{,.*}

%files -n %devname
%{_datadir}/gir-1.0/Xdp-1.0.gir
%{_datadir}/vala/vapi/libportal.deps
%{_datadir}/vala/vapi/libportal.vapi
%{_includedir}/libportal
%{_libdir}/libportal.so
%{_libdir}/pkgconfig/libportal.pc

%files -n %{gtkdev3}
%{_datadir}/gir-1.0/XdpGtk3-1.0.gir
%{_datadir}/vala/vapi/libportal-gtk3.deps
%{_datadir}/vala/vapi/libportal-gtk3.vapi
%{_includedir}/libportal-gtk3
%{_libdir}/libportal-gtk3.so
%{_libdir}/pkgconfig/libportal-gtk3.pc

%files -n %{gtkdev4}
%{_datadir}/gir-1.0/XdpGtk4-1.0.gir
%{_datadir}/vala/vapi/libportal-gtk4.deps
%{_datadir}/vala/vapi/libportal-gtk4.vapi
%{_includedir}/libportal-gtk4
%{_libdir}/libportal-gtk4.so
%{_libdir}/pkgconfig/libportal-gtk4.pc

%files -n %{qtdev5}
%{_includedir}/libportal-qt5/
%{_libdir}/libportal-qt5.so
%{_libdir}/pkgconfig/libportal-qt5.pc

%files -n %{qtdev6}
%{_includedir}/libportal-qt6/
%{_libdir}/libportal-qt6.so
%{_libdir}/pkgconfig/libportal-qt6.pc

%files devel-doc
%{_datadir}/doc/libportal-1
