%global _privatelibs libpxbackend-1.0[.]so.*
%global __provides_exclude ^(%{_privatelibs})$
%global __requires_exclude ^(%{_privatelibs})$|devel\\\(libpxbackend-1.0

%define major		1
%define gmajor		1.0
%define libname		%mklibname proxy %{major}
%define girname		%mklibname proxy-gir %{gmajor}
%define develname	%mklibname proxy -d

Name:           libproxy
Version:        0.5.9
Release:        %mkrel 1
Summary:        A library handling all the details of proxy configuration

Group:          System/Libraries
License:        LGPLv2+
URL:            https://libproxy.github.io/libproxy/
Source0:        https://github.com/libproxy/%{name}/archive/refs/tags/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gi-docgen
BuildRequires:  meson
BuildRequires:  vala-tools
BuildRequires:  pkgconfig(python3)

BuildRequires:  pkgconfig(duktape)
BuildRequires:  pkgconfig(gio-2.0) >= 2.71.3
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(libcurl)
# For config-gnome
BuildRequires:  pkgconfig(gsettings-desktop-schemas)


%description
libproxy offers the following features:

    * extremely small core footprint
    * minimal dependencies within libproxy core
    * only 4 functions in the stable-ish external API
    * dynamic adjustment to changing network topology
    * a standard way of dealing with proxy settings across all scenarios
    * a sublime sense of joy and accomplishment

%package -n     %{libname}
Group:          System/Libraries
Summary:        A library handling all the details of proxy configuration
Obsoletes:	%{_lib}proxy-kde < 0.5.8
Obsoletes:	%{_lib}proxy-gnome < 0.5.8
Obsoletes:	%{_lib}proxy-mozjs < 0.5.8
Obsoletes:	%{_lib}proxy-networkmanager < 0.5.8
Obsoletes:	%{_lib}proxy-webkit < 0.5.8
# (tv) Temporary for cauldron upgrade:
Provides:	%{_lib}proxy-gnome = %{version}-%{release}

%description -n %{libname}
libproxy offers the following features:

    * extremely small core footprint (< 35K)
    * no external dependencies within libproxy core
      (libproxy plugins may have dependencies)
    * only 3 functions in the stable external API
    * dynamic adjustment to changing network topology
    * a standard way of dealing with proxy settings across all scenarios
    * a sublime sense of joy and accomplishment

%package -n %{girname}
Summary:        GObject Introspection interface description for Libproxy
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Conflicts:      %{_lib}proxy1 < 0.5.8-2

%description -n %{girname}
GObject Introspection interface description for Libproxy.

%package        utils
Summary:        Binary to test %{name}
Group:          System/Networking
Requires:       %{libname} = %{version}-%{release}

%description    utils
The %{name}-utils package contains the proxy binary for %{name}.

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:       %{girname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1

%build
%meson \
  -Dconfig-gnome=true \
  -Dconfig-kde=true \
  -Dconfig-osx=false \
  -Dconfig-windows=false \
  -Dintrospection=true \
  -Dtests=true \
  -Dvapi=true
%meson_build


%install
%meson_install


%check
%meson_test

%files -n %{libname}
%doc README.md
%{_libdir}/libproxy.so.%{version}
%{_libdir}/libproxy.so.%{major}
%dir %{_libdir}/%{name}
%{_libdir}/libproxy/libpxbackend-1.0.so

%files -n %{girname}
%{_libdir}/girepository-1.0/Libproxy-%{gmajor}.typelib

%files utils
%{_bindir}/proxy
%{_mandir}/man8/proxy.8*

%files -n %{develname}
%doc %{_docdir}/libproxy-1.0/
%{_includedir}/libproxy/
%{_libdir}/*.so
%{_libdir}/pkgconfig/libproxy-1.0.pc
%{_datadir}/gir-1.0/Libproxy-1.0.gir
%{_datadir}/vala/vapi/libproxy-1.0.deps
%{_datadir}/vala/vapi/libproxy-1.0.vapi
