%define major		4
%define libname		%mklibname pst %{major}
%define develname	%mklibname pst -d

Summary:	Utilities to convert Outlook .pst files to other formats
Name:		libpst
Epoch:		1
Version:	0.6.76
Release:	%mkrel 14
License:	GPLv2+
Group:		Networking/Mail
URL:		https://www.five-ten-sg.com/libpst/
Source0:	https://www.five-ten-sg.com/libpst/packages/%{name}-%{version}.tar.gz
Patch1:		libpst-python3.10-3.13.patch
Patch2:		libpst-32bit.patch
BuildRequires:	ImageMagick
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gdlib)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(python3)
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(libgsf-1)

Requires:	ImageMagick
Requires:	%{libname} = %{epoch}:%{version}

%description
The Libpst utilities include readpst which can convert email messages
to both mbox and MH mailbox formats, pst2ldif which can convert the
contacts to .ldif format for import into ldap databases, and pst2dii
which can convert email messages to the DII load file format used by
Summation.

%package -n	%{libname}
Summary:	A shared library for .pst files support
Group:		System/Libraries

%description -n	%{libname}
Library needed for running libpst tools.

%package -n	%{develname}
Summary:	Library and header files for the libpst library
Group:		Development/C
Provides:	%{name}-devel = %{epoch}:%{version}
Requires:	%{libname} = %{epoch}:%{version}

%description -n	%{develname}
Library and header files for the libpst library.

%package -n python3-%name
Summary:	Python 3 binding for the libpst library
Group:		Development/Python
Requires:	%libname = %epoch:%version-%release

Provides:	python-libpst = %epoch:%version-%release

%description -n	python3-%name
Python 3 module for using pst files.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure \
  --enable-libpst-shared \
  --enable-shared \
  --disable-static \
  --with-boost-python=boost_python%{python3_version_nodots}
%make_build

%install
%make_install

%files
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%docdir %{_datadir}/doc/%{name}-%{version}
%{_datadir}/doc/%{name}-%{version}

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/libpst-4/
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n python3-%name
%{python3_sitearch}/_libpst.so
