%define bname     qalculate

%define major     23
%define libname   %mklibname %{bname} %{major}
%define develname %mklibname %{bname} -d

Summary:	The library for qalculate
Name:		libqalculate
Version:	5.5.1
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Libraries
URL:		https://qalculate.github.io/
Source0:	https://github.com/Qalculate/libqalculate/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	doxygen
BuildRequires:	intltool
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(mpfr)
BuildRequires:	pkgconfig(readline)

%description
Libraries needed by qalculator.

%package -n qalculate
Summary:	Qalculate! multi-purpose calculator CLI
Group:		Sciences/Mathematics

%description -n qalculate
Qalculate! is a multi-purpose desktop calculator. It is small and
simple to use but with much power and versatility underneath. Features
include customizable functions, units, arbitrary precision, plotting.

%package -n %{libname}
Group:		System/Libraries
Summary:	The library for qalculate
Requires:	%{name}-data >= %{version}-%{release}

%description -n %{libname}
Libraries needed by qalculate.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:       %{bname}-devel
Provides:	%{name}-devel

%description -n %{develname}
Headers and development files for %{name}.

%package data
Summary:	Data files for %{name}
Group:		System/Libraries
BuildArch:	noarch

%description data
Data files for %{name}.

%prep
%setup -q

%build
%configure \
	--disable-static
%make_build

%install
%make_install

%find_lang %{name}

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n qalculate
%{_bindir}/qalc
%{_mandir}/man1/qalc.1*

%files data -f %{name}.lang
%{_datadir}/%{bname}/
%{_docdir}/%{name}/

%files -n %{develname}
%doc AUTHORS ChangeLog NEWS README* TODO
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
