%define major     100
%define libname   %mklibname qb %{major}
%define develname %mklibname qb -d


Name:           libqb
Version:        2.0.8
Release:        %mkrel 2
Summary:        High performance client server library
Group:          System/Libraries
License:        LGPLv2+
URL:            https://github.com/ClusterLabs/libqb
Source0:        https://github.com/ClusterLabs/libqb/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  doxygen
BuildRequires:  procps
BuildRequires:  pkgconfig(check)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libsystemd)

%description
libqb is a library with the primary purpose of providing high performance
client server reusable features. It provides high performance logging,
tracing, ipc, and poll.

The initial features of libqb comes from the features of corosync that
were thought to useful to other projects.

%package -n %{libname}
Group:          System/Libraries
Summary:        Hight performance client server library

%description -n %{libname}
libqb is a library with the primary purpose of providing high performance
client server reusable features. It provides high performance logging,
tracing, ipc, and poll.

The initial features of libqb comes from the features of corosync that
were thought to useful to other projects.

%package -n %{develname}
Group:		Development/C
Summary:	Development files for libqb
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n %{develname}
This package contains libraries and header files for developing applications
that use %{name}.

%package -n     doxygen2man
Summary:        Program to create nicely-formatted man pages from Doxygen XML files

%description -n doxygen2man
This package contains a program to create nicely-formatted man pages from Doxygen XML files

%prep
%autosetup -p1

%build
NOCONFIGURE=1 ./autogen.sh
%configure \
  --disable-static \
  --enable-systemd-journal \
  --with-socket-dir=%{_rundir}
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete
rm -rf %{buildroot}%{_docdir}/*

%files -n %{libname}
%doc ChangeLog
%license COPYING
%{_libdir}/libqb.so.%{major}{,.*}

%files -n %{develname}
%doc README.markdown ChangeLog
%{_sbindir}/qb-blackbox
%{_includedir}/qb/
%{_libdir}/libqb.so
%{_libdir}/pkgconfig/libqb.pc
%{_mandir}/man3/qb*.3*
%{_mandir}/man8/qb-blackbox.8*

%files -n doxygen2man
%{_bindir}/doxygen2man
%{_mandir}/man1/doxygen2man.1*
