%define major 		5
%define gmajor		1.0
%define libname		%mklibname qmi-glib %{major}
%define girname		%mklibname qmi-gir %{gmajor}
%define develname	%mklibname qmi-glib -d

%bcond_with gtkdoc

Name:		libqmi
Version:	1.34.0
Release:	%mkrel 1
Summary:	Qualcomm MSM Interface (QMI) protocol helper library
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.freedesktop.org/wiki/Software/libqmi/
Source:		https://gitlab.freedesktop.org/mobile-broadband/libqmi/-/archive/%{version}/%{name}-%{version}.tar.bz2
BuildRequires:	meson
BuildRequires:	pkgconfig(bash-completion)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(mbim-glib)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(qrtr-glib)

%description
libqmi is a glib-based library for talking to WWAN modems and devices which
speak the Qualcomm MSM Interface (QMI) protocol.

%package -n	%{libname}
Summary:	Qualcomm MSM Interface (QMI) protocol helper library
Group:		Development/C
Requires:	%{name}-utils >= %{version}-%{release}

%description -n	%{libname}
This package contains the libraries that make it easier to use QMI functionality
from applications that use glib.

%package -n	%{girname}
Summary:	GObject Introspection interface description for Qmi
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{girname}
GObject Introspection interface description for Qmi.

%package -n	%{develname}
Summary:	Header files and development libraries for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	qmi-devel = %{version}-%{release}
Provides:	qmi-glib-devel = %{version}-%{release}

%description -n	%{develname}
This package contains the header and pkg-config files for development
applications using QMI functionality from applications that use glib.

%package utils
Summary:	QMI protocol command line utilities
Group:		System/Base
License:	GPLv2+

%description utils
This package contains the utilities that make it easier to use QMI functionality
from the command line.

%prep
%autosetup -p1

%build
%meson -Dudevdir=%{_udevrulesdir}
%meson_build

%install
%meson_install

%check
%meson_test

%files -n %{libname}
%doc AUTHORS NEWS
%{_libdir}/%{name}-glib.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Qmi-%{gmajor}.typelib

%files -n %{develname}
%if %{with gtkdoc}
%doc %{_datadir}/gtk-doc/html/libqmi-glib/
%endif
%{_includedir}/%{name}-glib/
%{_libdir}/%{name}-glib.so
%{_libdir}/pkgconfig/qmi-glib.pc
%{_datadir}/gir-1.0/Qmi-%{gmajor}.gir

%files utils
%{_bindir}/qmicli
%{_bindir}/qmi-firmware-update
%{_bindir}/qmi-network
%{_datadir}/bash-completion/completions/qmicli
%{_libexecdir}/qmi-proxy
%{_mandir}/man1/qmicli.1*
%{_mandir}/man1/qmi-firmware-update.1*
%{_mandir}/man1/qmi-network.1*
