%define major	0
%define gmajor	1.0
%define libname	%mklibname qrtr-glib %{major}
%define girname	%mklibname qrtr-gir %{gmajor}
%define devname	%mklibname qrtr-glib -d

Name:		libqrtr-glib
Version:	1.2.2
Release:	%mkrel 1
Summary:	Support library to use and manage the QRTR (Qualcomm IPC Router) bus
Group:		System/Libraries
License:	LGPLv2+
URL:		https://freedesktop.org/software/libqrtr-glib
Source:		https://gitlab.freedesktop.org/mobile-broadband/libqrtr-glib/-/archive/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:	meson
BuildRequires:	gcc
BuildRequires:	glib2-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	python3

%description
This package contains the libraries that make it easier to use and
manage the QRTR (Qualcomm IPC Router) bus.

%package -n %{libname}
Summary:	Support library to use and manage the QRTR (Qualcomm IPC Router) bus

%description -n %{libname}
This package contains the libraries that make it easier to use and
manage the QRTR (Qualcomm IPC Router) bus.

%package -n %{girname}
Summary:	GObject Introspection interface description for Qrtr
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for Qrtr.

%package -n %{devname}
Summary:	Header files for adding QRTR support to applications that use glib
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	libqrtr-glib-devel = %{version}-%{release}
Provides:	qrtr-glib-devel = %{version}-%{release}

%description -n %{devname}
This package contains the header and pkg-config files for development
applications using QRTR functionality from applications that use glib.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files -n %{libname}
%license LICENSES/LGPL-2.1-or-later.txt
%doc NEWS AUTHORS README.md
%{_libdir}/libqrtr-glib.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Qrtr-%{gmajor}.typelib

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/libqrtr-glib/
%{_includedir}/libqrtr-glib/
%{_libdir}/libqrtr-glib.so
%{_libdir}/pkgconfig/qrtr-glib.pc
%{_datadir}/gir-1.0/Qrtr-%{gmajor}.gir
