%define major         4
%define libname       %mklibname qt6xdg %{major}
%define libloadername %mklibname qt6xdgiconloader %{major}
%define devname       %mklibname qt6xdg -d

%define rel 3

Name:          libqtxdg
Version:       4.1.0
Release:       %mkrel %rel
Summary:       Library providing freedesktop.org specs implementations for Qt
License:       LGPLv2+
Group:         System/Libraries
URL:           https://lxqt-project.org/
Source0:       https://github.com/lxqt/libqtxdg/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: cmake(lxqt2-build-tools)
# BuildRequires: cmake(lxqt2-menu-data)
BuildRequires: ninja
BuildRequires: magic-devel

BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: cmake(Qt6Xml)
BuildRequires: cmake(Qt6Help)
BuildRequires: cmake(Qt6Test)
BuildRequires: cmake(Qt6DBus)
BuildRequires: cmake(Qt6Svg)

BuildRequires: qttools6

%description
Library providing freedesktop.org specs implementations for Qt.

%files
%{_qt6_plugindir}/iconengines/libQt6XdgIconPlugin.so
%{_sysconfdir}/xdg/*.conf

#--------------------------------------------------------------------

%package -n %{libname}
Summary:       Library providing freedesktop.org specs implementations for Qt
Group:         System/Libraries

Requires:      %name = %version-%release

%description -n %{libname}
Library providing freedesktop.org specs implementations for Qt.

%files -n %{libname}
%{_libdir}/libQt6Xdg.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{libloadername}
Summary:       Library providing freedesktop.org specs implementations for Qt
Group:         System/Libraries

%description -n %{libloadername}
Library providing freedesktop.org specs implementations for Qt.

%files -n %{libloadername}
%{_libdir}/libQt6XdgIconLoader.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{devname}
Summary:       Development files for %{name}
Group:         Development/C
Requires:      %libname = %version
Requires:      %libloadername = %version
Provides:      %name-devel = %version-%release
Provides:      lib%name-devel = %version-%release
Provides:      cmake(Qt6Xdg) = %version-%release

%description -n %{devname}
Development files (Headers etc.) for %{name}, a library providing
freedesktop.org specs implementations for Qt.

%files -n %{devname}
%{_includedir}/*
%{_libdir}/libQt6Xdg.so
%{_libdir}/libQt6XdgIconLoader.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/cmake/qt6xdg
%{_datadir}/cmake/qt6xdgiconloader

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_qt6 -DBUILD_TESTS=on
%cmake_build

%install
%cmake_install

