%define major		0
%define fversion	%{version}
%define build_plf	0
%define libname		%mklibname quicktime %{major}
%define develname	%mklibname quicktime -d

%if "%{?distro_section}" == "tainted"
%define build_plf	1
%endif

Summary:	A library for manipulating QuickTime files
Name:		libquicktime
Version:	1.2.4
Release:	%mkrel 33
%if %{build_plf}
License:	GPLv2+
%else
License:	LGPLv2+
%endif
Group:		System/Libraries
URL:		https://libquicktime.sourceforge.net/
Source0:	https://prdownloads.sourceforge.net/libquicktime/%{name}-%{fversion}.tar.gz
# Patches from Debian:
# https://www.deb-multimedia.org/pool/main/libq/libquicktime-dmo/libquicktime-dmo
Patch3:		03_ffmpeg-2.0.patch
Patch4:		04_ffmpeg-3.0.patch
Patch5:		05_CVE-2016-2399.patch
Patch6:		06_CVE-2017-9122.patch
Patch7:		07_ffmpeg-4.0.patch
Patch50:	libquicktime-autoconf.patch
Patch51:	libquicktime-1.2.4-implicit-func-decl.patch
Patch52:	fix-gcc14-build.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	doxygen
#BuildRequires:	ffmpeg-devel
BuildRequires:	sndio-devel
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(xaw7)
BuildRequires:	pkgconfig(xv)
BuildRequires:	pkgconfig(schroedinger-1.0)

%description
Libquicktime is a library for reading and writing QuickTime files
on UNIX systems. Video CODECs supported by this library are OpenDivX, MJPA,
JPEG Photo, PNG, RGB, YUV 4:2:2, and YUV 4:2:0 compression.  Supported
audio CODECs are Ogg Vorbis, IMA4, ulaw, and any linear PCM format.

Libquicktime is based on the quicktime4linux library.  Libquicktime add
features such as a GNU build tools-based build process and dynamically
loadable CODECs.

%if %{build_plf}
This package is in the 'tainted' section as it violates some patents.
%endif

%package -n %{libname}
Summary:	Shared library of libquicktime
Group:		System/Libraries

%description -n %{libname}
Libquicktime is a library for reading and writing QuickTime files
on UNIX systems. Video CODECs supported by this library are OpenDivX, MJPA,
JPEG Photo, PNG, RGB, YUV 4:2:2, and YUV 4:2:0 compression.  Supported
audio CODECs are Ogg Vorbis, IMA4, ulaw, and any linear PCM format.

Libquicktime is based on the quicktime4linux library.  Libquicktime add
features such as a GNU build tools-based build process and dynamically
loadable CODECs.


%package -n %{develname}
Summary:	Header files and development documentation for libquicktime
Group:		Development/C
Provides:	libquicktime-devel = %{version}-%{release}
Provides:	quicktime-devel = %{version}-%{release}
Provides:	quicktime-static-devel = %{version}-%{release}
Provides:	%{libname}-static-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n %{develname}
Header files and development documentation for libquicktime.


%package dv
Summary:	Libquicktime plugin supporting the DV codec
Group:		System/Libraries
Requires:	%{name} = %{version}
BuildRequires:	pkgconfig(libdv) >= 0.103

%description dv
Libquicktime plugin supporting the DV codec.

%package progs
Summary:	Useful tools to operate at QuickTime files
Group:		Video/Utilities
Requires:	%{name} = %{version}

%description progs
Useful tools to operate on QuickTime files.

%if 0
# faac is not in core or tainted
%package faac
Summary:	Libquicktime plugin for encoding AAC
Group:		System/Libraries
Requires:	%{name} = %{version}
BuildRequires:	libfaac-devel

%description faac
This is a libquicktime plugin for AAC encoding based on faac.

This package is in the 'tainted' section as it violates some patents.
%endif

%package lame
Summary:	Libquicktime plugin supporting the MP3 codec
Group:		System/Libraries
Requires:	%{name} = %{version}
BuildRequires:	lame-devel

%description lame
This is a libquicktime plugin supporting the MP3 codec based on lame.


%if %{build_plf}
%package faad
Summary:	Libquicktime plugin for decoding AAC
Group:		System/Libraries
Requires:	%{name} = %{version}
BuildRequires:	pkgconfig(faad2)

%description faad
This is a libquicktime plugin for AAC decoding based on faad2.

This package is in the 'tainted' section as it violates some patents.

%package x264
Summary:	Libquicktime plugin for encoding H.264/MPEG-4 streams
Group:		System/Libraries
Requires:	%{name} = %{version}
BuildRequires:	pkgconfig(x264)

%description x264
This is a libquicktime plugin for encoding H.264/MPEG-4 streams.

This package is in the 'tainted' section as it violates some patents.
%endif

%prep
%autosetup -p1 -n %{name}-%{fversion}

%build
# to recognize aarch64
autoreconf -vfi

%configure \
	--with-libdv \
	--with-ffmpeg=no \
%ifarch x86_64 aarch64
	--with-pic \
%endif
%if %{build_plf}
	--enable-gpl
%endif

%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/libquicktime/*a
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/libquicktime/lqt_opendivx.so

%find_lang %{name}

%files -f %{name}.lang
%doc README
%{_docdir}/%{name}/apiref/
%dir %{_libdir}/libquicktime/
%{_libdir}/libquicktime/lqt_audiocodec.so
#{_libdir}/libquicktime/lqt_ffmpeg.so
%{_libdir}/libquicktime/lqt_mjpeg.so
%{_libdir}/libquicktime/lqt_png.so
%{_libdir}/libquicktime/lqt_videocodec.so
%{_libdir}/libquicktime/lqt_rtjpeg.so
%{_libdir}/libquicktime/lqt_schroedinger.so
%{_libdir}/libquicktime/lqt_vorbis.so

%files dv
%{_libdir}/libquicktime/lqt_dv.so

%files -n %{libname}
%{_libdir}/libquicktime.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/lib*.so
%{_includedir}/lqt
%{_libdir}/pkgconfig/*.pc

%files progs
%doc README TODO
%{_bindir}/libquicktime_config
%{_bindir}/lqtplay
%{_bindir}/lqtremux
%{_bindir}/lqt_transcode
%{_bindir}/qt*
%{_mandir}/man1/lqtplay.1*

%if 0
%files faac
%{_libdir}/libquicktime/lqt_faac.so
%endif

%files lame
%{_libdir}/libquicktime/lqt_lame.so

%if %{build_plf}
%files faad
%{_libdir}/libquicktime/lqt_faad2.so

%files x264
%{_libdir}/libquicktime/lqt_x264.so
%endif
