%define major		0.9
%define libname		%mklibname quotientqt6_ %{major}
%define develname	%mklibname quotientqt6 -d

Name:		libquotient
Version:	0.9.3
Release:	%mkrel 1
Summary:	Qt library to write cross-platform clients for Matrix
Group:		System/Libraries
License:	LGPLv2+
URL:		https://github.com/quotient-im/libQuotient
Source0:	%{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Keychain)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Multimedia)
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Test)

BuildRequires:	ninja-build
BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	gcc
# for e2ee support
BuildRequires:	cmake(Olm)
BuildRequires:	cmake(Qt6Sql)
BuildRequires:	pkgconfig(openssl)

%description
The Quotient project aims to produce a Qt-based SDK to develop applications
for Matrix. libQuotient is a library that enables client applications. It is
the backbone of Quaternion, Spectral and other projects. Versions 0.5.x and
older use the previous name - libQMatrixClient.

#------------------------------------------------

%package -n	%{libname}
Summary:	Qt6 library to write cross-platform clients for Matrix
Group:		System/Libraries

%description -n	%{libname}
The Quotient project aims to produce a Qt6-based SDK to develop applications
for Matrix. libQuotient is a library that enables client applications. It is
the backbone of Quaternion, Spectral and other projects. Versions 0.5.x and
older use the previous name - libQMatrixClient.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	quotient-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -n libQuotient-%{version}

rm -rf 3rdparty

%build
%cmake -G Ninja \
    -DCMAKE_BUILD_TYPE=Release \
    -DQuotient_INSTALL_TESTS:BOOL=OFF
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_datadir}/ndk-modules

%check
%ctest --exclude-regex 'testolmaccount|testkeyverification'

%files -n %{libname}
%license COPYING
%doc README.md CONTRIBUTING.md SECURITY.md
%{_libdir}/libQuotientQt6.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/Quotient/
%{_libdir}/cmake/QuotientQt6/
%{_libdir}/pkgconfig/QuotientQt6.pc
%{_libdir}/libQuotientQt6.so
