%define realname qwt
%define major    5

Name:           libqwt5
Version:        5.2.3
Release:        %mkrel 5
Summary:        2D plotting widget extension to the Qt4 GUI
License:        Qwt License 1.0
Group:          System/Libraries
Url:            https://sourceforge.net/projects/qwt
Source:         https://downloads.sourceforge.net/qwt/%realname-%version.tar.bz2
Patch0:         qwt-5.2.3-qwtconfig-installbase.patch
BuildRequires:  pkgconfig(QtCore)

%description
Qwt is an extension to the Qt GUI library from Troll Tech AS.
The Qwt library contains widgets and components which are
primarily useful for technical and scientific purposes.
It includes a 2-D plotting widget, different kinds of sliders,
and much more.

#------------------------------------------------------------------------------
%define libname %mklibname qwt %{major}

%if "%_lib" != "lib"
%package -n     %libname
Summary:        2D plotting widget extension to the Qt4 GUI
Group:          System/Libraries

%description -n %libname
Qwt is an extension to the Qt4 GUI library from Troll Tech AS.
The Qwt library contains widgets and components which are
primarily useful for technical and scientific purposes.
It includes a 2-D plotting widget, different kinds of sliders,
and much more.

This package provides the runtime library.
%endif

%files -n %libname
%doc CHANGES COPYING README
%{_qt4_libdir}/libqwt.so.%{major}{,.*}

#------------------------------------------------------------------------------

%define libnamedev %mklibname qwt5 -d

%package -n     %libnamedev
Summary:        Development tools for programs which uses Qwt Widget set
Group:          System/Libraries
Requires:       %libname = %version
Provides:       libqwt5-devel = %version-%release
Provides:       qwt5-devel =  %{version}-%{release}
Conflicts:      libqwt-devel >= 6.0.1

%description -n %libnamedev
The %libnamedev package contains the header files and static libraries
necessary for developing programs using the Qwt Widget set

If you want to develop programs which will use this set of widgets,
you should install this package. You need also to install the libqwt package.

%files -n %libnamedev
%doc COPYING
%doc examples
%docdir %{_qt4_docdir}/html/
%{_qt4_docdir}/html/qwt/
%{_qt4_includedir}/*
%{_qt4_libdir}/*.so
%{_mandir}/man3/*

#------------------------------------------------------------------------------

%prep
%setup -q -n %realname-%version
%autopatch -p1

%build
%qmake_qt4 CONFIG+=QwtSVGItem CONFIG+=install-qt
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

#libqwt_designer_plugin.so conflicts with libqwt6
rm %{buildroot}%{_qt4_plugindir}/designer/libqwt_designer_plugin.so

mkdir -p %{buildroot}%{_mandir}/man3/
install -m 0644 doc/man/man3/* %{buildroot}%{_mandir}/man3/

mv %{buildroot}%{_qt4_docdir}/html/html %{buildroot}%{_qt4_docdir}/html/qwt
