%define libname_major 4
%define libname       %mklibname rabbitmq %{libname_major}
%define develname     %mklibname rabbitmq -d

Name:      librabbitmq
Summary:   Client library for AMQP
Version:   0.15.0
Release:   %mkrel 1
License:   MIT
Group:     System/Libraries
URL:       https://github.com/alanxz/rabbitmq-c
Source0:   https://github.com/alanxz/rabbitmq-c/archive/v%{version}/rabbitmq-c-%{version}.tar.gz
BuildRequires: cmake
BuildRequires: pkgconfig(openssl)
# For tools
BuildRequires: pkgconfig(popt)
# For man page
BuildRequires: xmlto

%description
This is a C-language AMQP client library for use with AMQP servers
speaking protocol versions 0-9-1.

%package -n %libname
Summary:    Header files and development libraries for %{name}
Group:      System/Libraries

%description -n %libname
This package contains the header files and development libraries
for %{name}.

%package -n %develname
Summary:    Header files and development libraries for %{name}
Group:      Development/Other
Requires:   %libname = %{version}-%{release}
Provides:   rabbitmq-devel = %{version}-%{release}

%description -n %develname
This package contains the header files and development libraries
for %{name}.

%package tools
Summary:    Example tools built using the librabbitmq package
Group:      Development/Other
Requires:   %libname = %{version}

%description tools
This package contains example tools built using %{name}.

It provides:
amqp-consume        Consume messages from a queue on an AMQP server
amqp-declare-queue  Declare a queue on an AMQP server
amqp-delete-queue   Delete a queue from an AMQP server
amqp-get            Get a message from a queue on an AMQP server
amqp-publish        Publish a message on an AMQP server

%prep
%autosetup -p1 -n rabbitmq-c-%{version}

# Copy sources to be included in -devel docs.
cp -pr examples Examples

	
# This test requires a running server
sed -e '/test_basic/d' -i tests/CMakeLists.txt

%build
# static lib required for tests
%cmake \
  -DBUILD_TOOLS:BOOL=ON \
  -DBUILD_TOOLS_DOCS:BOOL=ON \
  -DBUILD_STATIC_LIBS:BOOL=ON \
  -S .

%cmake_build

%install
%cmake_install

rm %{buildroot}%{_libdir}/librabbitmq.a

%check
: check .pc is usable
grep @ %{buildroot}%{_libdir}/pkgconfig/librabbitmq.pc && exit 1
grep %{version} %{buildroot}%{_libdir}/pkgconfig/librabbitmq.pc || exit 1

: upstream tests
%ctest

%files -n %libname
%license LICENSE
%{_libdir}/librabbitmq.so.%{libname_major}
%{_libdir}/librabbitmq.so.%{version}

%files -n %develname
%doc AUTHORS THANKS *.md
%{_libdir}/librabbitmq.so
%{_libdir}/cmake/rabbitmq-c/
%{_includedir}/amqp*
%{_includedir}/rabbitmq-c/
%{_libdir}/pkgconfig/librabbitmq.pc

%files tools
%{_bindir}/amqp-*
%{_mandir}/man1/amqp-*.1*
%{_mandir}/man7/librabbitmq-tools.7*

