%define major		0
%define libname		%mklibname raqm %{major}
%define develname	%mklibname raqm -d

Name:		libraqm
Version:	0.10.2
Release:	%mkrel 1
License:	MIT
Group:		System/Libraries
Summary:	Complex Textlayout Library
URL:		https://github.com/HOST-Oman/libraqm
Source:		https://github.com/HOST-Oman/libraqm/releases/download/v%{version}/raqm-%{version}.tar.xz

BuildRequires:	gcc
BuildRequires:	meson
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(harfbuzz)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	gtk-doc
# needed for testsuite
BuildRequires:	locales-en

%description
Library that encapsulates the logic for complex
text layout and provides a convenient API.

#------------------------------------------------

%package -n	%{libname}
Summary:	Complex Textlayout Library
Group:		System/Libraries

%description -n	%{libname}
Library that encapsulates the logic for complex
text layout and provides a convenient API.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	raqm-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -p1 -n raqm-%{version}

%build
%meson -Ddocs=true
%meson_build

%install
%meson_install

%check
export LC_ALL=en_US.UTF-8
%meson_test

%files -n %{libname}
%license COPYING
%{_libdir}/libraqm.so.%{major}{,.*}

%files -n %{develname}
%license COPYING
%doc AUTHORS NEWS README.md
%{_includedir}/raqm.h
%{_includedir}/raqm-version.h
%{_libdir}/libraqm.so
%{_libdir}/pkgconfig/raqm.pc
%{_datadir}/gtk-doc/html/raqm
