%define oname	LibRaw

%define major		23
%define lib_raw		%mklibname raw %{major}
%define lib_raw_r	%mklibname raw_r %{major}
%define devname		%mklibname raw -d

Summary:	Library for reading RAW files obtained from digital photo cameras
Name:		libraw
Version:	0.21.4
Release:	%mkrel 1
License:	LGPLv2 or CDDL
Group:		System/Libraries
URL:		https://www.libraw.org/
Source0:	https://www.libraw.org/data/%{oname}-%{version}.tar.gz
BuildRequires:	libgomp-devel
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(jasper)

%description
LibRaw is a library for reading RAW files obtained from digital photo
cameras (CRW/CR2, NEF, RAF, DNG, and others).

#-------------------------------------------------------------------------------

%package tools
Summary:	Tools available in %name
Group:		Graphics/Utilities
Obsoletes:	%{name} < %{version}-%{release}

%description tools
This packages provides tools to manipulate raw files.

%files tools
%{_bindir}/4channels
%{_bindir}/dcraw_emu
%{_bindir}/dcraw_half
%{_bindir}/half_mt
%{_bindir}/mem_image
%{_bindir}/multirender_test
%{_bindir}/postprocessing_benchmark
%{_bindir}/raw-identify
%{_bindir}/rawtextdump
%{_bindir}/simple_dcraw
%{_bindir}/unprocessed_raw

#-------------------------------------------------------------------------------

%package -n %{lib_raw}
Summary:	Raw image decoder library (non-thread-safe)
Group:		System/Libraries

%description -n %{lib_raw}
LibRaw is a library for reading RAW files obtained from digital photo
cameras (CRW/CR2, NEF, RAF, DNG, and others).

%files -n %{lib_raw}
%license LICENSE.*
%doc README.md
%{_libdir}/libraw.so.%{major}{,.*}

#-------------------------------------------------------------------------------

%package -n %{lib_raw_r}
Summary:	Raw image decoder library (thread-safe)
Group:		System/Libraries

%description -n %{lib_raw_r}
LibRaw is a library for reading RAW files obtained from digital photo
cameras (CRW/CR2, NEF, RAF, DNG, and others).

%files -n %{lib_raw_r}
%license LICENSE.*
%doc README.md
%{_libdir}/libraw_r.so.%{major}{,.*}

#-------------------------------------------------------------------------------
 
%package -n %{devname}
Summary:	LibRaw development libraries
Group:		Development/C
Requires:	%{lib_raw} = %{version}-%{release}
Requires:	%{lib_raw_r} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < %{version}-%{release}

%description -n %{devname}
LibRaw development files and headers.

%files -n %{devname}
%doc Changelog.* README*
%{_includedir}/libraw/
%{_libdir}/libraw.so
%{_libdir}/libraw_r.so
%{_libdir}/pkgconfig/libraw.pc
%{_libdir}/pkgconfig/libraw_r.pc

#-------------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{oname}-%{version}

%build
#autoreconf -if
%configure \
	--disable-static \
	--enable-jasper \
	--enable-jpeg \
	--enable-lcms \
	--enable-openmp
%make_build

%install
%make_install

# let files section handle docs
rm -fr %{buildroot}%{_datadir}/doc/*

