%define	major		11
%define	libname		%mklibname raw1394_ %{major}
%define	develname	%mklibname raw1394 -d

Name:		libraw1394
Version:	2.1.2
Release:	%mkrel 5
License:	LGPLv2+
Group:		System/Libraries
Source0:	https://www.kernel.org/pub/linux/libs/ieee1394/%{name}-%{version}.tar.xz
URL:		https://sourceforge.net/projects/libraw1394/
Summary:	FireWire interface
Requires(post): coreutils

%description
libraw1394 is the only supported interface to the kernel side raw1394 of
the Linux IEEE-1394 subsystem, which provides direct access to the connected
1394 buses to user space.  Through libraw1394/raw1394, applications can
directly send to and receive from other nodes without requiring a kernel driver
for the protocol in question.

The reason for making a library the interface to the kernel is to avoid
a program dependency on the kernel version, which would hinder development and
optimization of raw1394.  If development changed the protocol and made it
incompatible with previous versions only the libraw1394 has to be upgraded to
match the kernel version (instead of all applications).

%package	utils
Group:		Communications/Serial
Summary:	Some small Firewire utilities
Obsoletes:	libraw1394_8-utils < 1.3.0-16

%description	utils
This package contains a few utilities to send and receive raw data over
Firewire (ieee1394).

%package -n	%{libname}
Group:		System/Libraries
Summary:	FireWire interface shared library
# technically not correct, but provides a way to get rid of the old and unused lib
Obsoletes:	%{_lib}raw1394_8 < 1.3.0-16

%description -n %{libname}
libraw1394 is the only supported interface to the kernel side raw1394 of
the Linux IEEE-1394 subsystem, which provides direct access to the connected
1394 buses to user space.  Through libraw1394/raw1394, applications can
directly send to and receive from other nodes without requiring a kernel driver
for the protocol in question.

The reason for making a library the interface to the kernel is to avoid
a program dependency on the kernel version, which would hinder development and
optimization of raw1394.  If development changed the protocol and made it
incompatible with previous versions only the libraw1394 has to be upgraded to
match the kernel version (instead of all applications).

This package contains the shared library to run applications linked
with %{name}.

%package -n	%{develname}
Summary:	Development and include files for libraw1394
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}raw1394_8-devel < 1.3.0-16
Obsoletes:	%{_lib}raw1394-static-devel < 2.1.2-3

%description -n	%{develname}
libraw1394 is the only supported interface to the kernel side raw1394 of
the Linux IEEE-1394 subsystem, which provides direct access to the connected
1394 buses to user space.  Through libraw1394/raw1394, applications can
directly send to and receive from other nodes without requiring a kernel driver
for the protocol in question.

This archive contains the header-files for libraw1394 development.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files utils
%doc README AUTHORS
%{_bindir}/*
%{_mandir}/man*/*

%files -n %{libname}
%{_libdir}/libraw1394.so.%{major}{,.*}

%files -n %{develname}
%doc README NEWS AUTHORS
%{_includedir}/libraw1394
%{_libdir}/libraw1394.so
%{_libdir}/pkgconfig/%{name}.pc
