%define major           1
%define libname         %mklibname rdkafka %{major}
%define develname       %mklibname rdkafka -d

Name:		librdkafka
Version:	1.8.0
Release:	%mkrel 1
Summary:	The Apache Kafka C library
Group:          System/Libraries

License:	BSD
URL:		https://github.com/edenhill/librdkafka
Source0:	https://github.com/edenhill/librdkafka/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:  openssl-devel
BuildRequires:  cyrus-sasl-devel
BuildRequires:  lz4-devel

%description
Librdkafka is a C/C++ library implementation of the Apache Kafka protocol,
containing both Producer and Consumer support.
It was designed with message delivery reliability and high performance in mind,
current figures exceed 800000 messages/second for the producer and 3 million
messages/second for the consumer.

%package -n %{libname}
Summary:	The Apache Kafka C library

%description -n %{libname}
Librdkafka is a C/C++ library implementation of the Apache Kafka protocol,
containing both Producer and Consumer support.
It was designed with message delivery reliability and high performance in mind,
current figures exceed 800000 messages/second for the producer and 3 million
messages/second for the consumer.

%package -n %{develname}
Summary:	The Apache Kafka C library (Development Environment)
Requires:	%{libname} = %{version}-%{release}
Provides:       rdkafka-devel = %{version}-%{release}
Provides:       librdkafka-devel = %{version}-%{release}


%description -n %{develname}
librdkafka is a C/C++ library implementation of the Apache Kafka protocol,
containing both Producer and Consumer support.
This package contains headers and libraries required to build applications
using librdkafka.

%prep
%setup -q
%autopatch -p1

%build
%configure --enable-lz4 \
           --enable-ssl \
           --enable-sasl \
	    --source-deps-only

%make_build

%check
make check

%install
%make_install

# we don't want these
find %{buildroot} -name '*.*a' -delete -print
rm -rf %{buildroot}%{_libdir}/pkgconfig/*-static.pc

%files -n %{libname}
%{_libdir}/librdkafka.so.%{major}{,.*}
%{_libdir}/librdkafka++.so.%{major}{,.*}

%files -n %{develname}
%dir %{_includedir}/librdkafka
%{_includedir}/librdkafka/*
%{_libdir}/librdkafka.so
%{_libdir}/librdkafka++.so
%{_libdir}/pkgconfig/rdkafka.pc
%{_libdir}/pkgconfig/rdkafka++.pc
%{_docdir}/librdkafka/*
