%define major    1
%define libname  %mklibname rdmacm %major
%define libdevel %mklibname rdmacm -d

Name:           librdmacm
Version:        1.1.0
Release:        %mkrel 5
Summary:        Userspace RDMA Connection Manager
Group:          System/Libraries
License:        GPLv2 or BSD
Url:            https://www.openfabrics.org/
Source0:        https://www.openfabrics.org/downloads/rdmacm/%{name}-%{version}.tar.gz
Patch0:         librdmacm-1.1.0-linking.patch
ExcludeArch:    s390 s390x
BuildRequires:  libibverbs-devel > 1.1.4
BuildRequires:  chrpath

%description
librdmacm provides a userspace RDMA Communication Management API.

%package -n     %libname
Summary:        Userspace RDMA Connection Manager
Group:          System/Libraries

%description -n %libname
librdmacm provides a userspace RDMA Communication Management API.

%package -n     %libdevel
Summary:        Development files for the librdmacm library
Group:          System/Libraries
Provides:       %name-devel = %{version}-%{release}
Provides:       rdmacm-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %libdevel
Development files for the librdmacm library.

%package        utils
Summary:        Examples for the librdmacm library
Group:          System/Libraries

%description    utils
Example test programs for the librdmacm library.

%prep
%setup -q
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

# remove unpackaged files from the buildroot
find %{buildroot} -name '*.la' -delete
# kill rpaths
chrpath -d %{buildroot}%{_bindir}/*

%files -n %libname
%{_libdir}/librdmacm.so.%{major}{,.*}
%dir %{_libdir}/rsocket
%{_libdir}/rsocket/librspreload.so.%{major}{,.*}
%doc AUTHORS COPYING README

%files -n %libdevel
%{_libdir}/lib*.so
%{_libdir}/rsocket/librspreload.so
%{_includedir}/*
%{_mandir}/man3/*
%{_mandir}/man7/*

%files utils
%{_bindir}/*
%{_mandir}/man1/*
