Name:		librepcb
Version:	1.3.0
Release:	%mkrel 1
Summary:	A powerful, innovative and intuitive EDA tool for everyone
License:	GPLv3+
Group:		Sound/Players
URL:		https://librepcb.org
Source0:	https://download.librepcb.org/releases/%{version}/%{name}-%{version}-source.zip
BuildRequires:	cargo-rpm-macros
BuildRequires:	cmake
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6OpenGL)
BuildRequires:	cmake(Qt6OpenGLWidgets)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6QuickControls2)
BuildRequires:	cmake(Qt6Sql)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)
BuildRequires:	cmake(OpenCASCADE)
BuildRequires:	cmake(QuaZip-Qt6)
BuildRequires:	pkgconfig(fontobene-qt6)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(gmock)
BuildRequires:	pkgconfig(gtest)
BuildRequires:	pkgconfig(muparser)
BuildRequires:	pkgconfig(polyclipping)
BuildRequires:	pkgconfig(sfml-graphics)

Requires:	qtbase6-database-plugin-sqlite
Requires:	shared-mime-info

%description
LibrePCB is a free EDA software to develop printed circuit boards.

%prep
%autosetup -p1

pushd ./libs/librepcb/rust-core/
%cargo_prep
popd

find . -name "Cargo.lock" -delete

%generate_buildrequires
pushd ./libs/librepcb/rust-core/ > /dev/null
%cargo_generate_buildrequires -t
popd > /dev/null

%build
%cmake_qt6 \
	-DQT_MAJOR_VERSION=6 \
	-DUNBUNDLE_DXFLIB=OFF \
	-DUNBUNDLE_HOEDOWN=OFF \
	-DUNBUNDLE_FONTOBENE_QT=ON \
	-DUNBUNDLE_GTEST=ON \
	-DUNBUNDLE_MUPARSER=ON \
	-DUNBUNDLE_POLYCLIPPING=ON \
	-DUNBUNDLE_QUAZIP=ON
%cmake_build

%install
%cmake_install

%files
%doc AUTHORS.md CONTRIBUTING.md README.md
%license LICENSE.txt
%{_bindir}/%{name}
%{_bindir}/%{name}-cli
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/*/*.svg
%{_metainfodir}/org.%{name}.LibrePCB.metainfo.xml
%{_datadir}/mime/packages/org.%{name}.LibrePCB.xml
