%define	major		0
%define libname		%mklibname resample %{major}
%define develname	%mklibname resample -d

Summary:	A real-time library for sampling rate conversion
Name:		libresample
Version:	0.1.3
Release:	%mkrel 19
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www-ccrma.stanford.edu/~jos/resample/Available_Software.html
Source0:	https://ccrma.stanford.edu/~jos/resample/%{name}-%{version}.tgz
Patch0:		libresample-shared.diff
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	libtool

%description
libresample is a real-time library for sampling rate conversion.

%package	tools
Summary:	Various tools using the libresample library
Group:          Sound/Utilities

%description	tools
libresample is a real-time library for sampling rate conversion.

This package contains various tools that uses the libresample library.

 * compareresample
 * resample-sndfile
 * testresample

%package -n	%{libname}
Summary:	A real-time library for sampling rate conversion
Group:		System/Libraries

%description -n	%{libname}
libresample is a real-time library for sampling rate conversion.

%package -n	%{develname}
Summary:	Static library and header files for the libevent library
Group:		Development/C
Provides:	resample-devel = %{version}-%{release}
Provides:	libresample-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n	%{develname}
libresample is a real-time library for sampling rate conversion.

This package contains the static libresample library and its header files.

%prep

%setup -q
%autopatch -p0

%build
export CC="%{__cc}"
export CFLAGS="%{optflags} -fPIC"
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete

%files tools
%{_bindir}/compareresample
%{_bindir}/resample-sndfile
%{_bindir}/testresample

%files -n %{libname}
%doc LICENSE.txt README.txt
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
