%define srcname    rttopo
%define major      1
%define libname    %mklibname %{srcname} %{major}
%define libnamedev %mklibname %{srcname} -d

Name:           librttopo
Version:        1.1.0
Release:        %mkrel 2
Summary:        Create and manage SQL/MM topologies
Group:          System/Libraries
License:        GPLv2+
URL:            https://git.osgeo.org/gitea/rttopo/librttopo
Source0:        https://git.osgeo.org/gitea/rttopo/librttopo/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  geos-devel
BuildRequires:  libtool
BuildRequires:  make

%description
The RT Topology Library exposes an API to create and manage standard
(ISO 13249 aka SQL/MM) topologies using user-provided data stores.

%package -n %{libname}
Summary:        Create and manage SQL/MM topologies
Group:          System/Libraries

%description -n %{libname}
The RT Topology Library exposes an API to create and manage standard
(ISO 13249 aka SQL/MM) topologies using user-provided data stores.

%package -n %{libnamedev}
Summary:        Development files for %{name}
Group:          Development/Databases
Requires:       %{libname} = %{version}-%{release}
Provides:       %{srcname}-devel = %{version}-%{release}

%description -n %{libnamedev}
Development files needed to build software using %{name}.

%prep
%autosetup -p1 -n %{name}

%build
autoreconf -ifv
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%license COPYING
%doc CREDITS NEWS.md README.md TODO
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{libnamedev}
%{_includedir}/%{name}.h
%{_includedir}/%{name}_geom.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/rttopo.pc
