%global apiversion 0.0
%global major 0
%global lname rvngabw
%global libname %mklibname %lname %major
%global libnamedevel %mklibname -d %lname %major

Name: librvngabw
Version: 0.0.1
Release: %mkrel 1
Summary: An AbiWord document generator library
Group: Development/C++
License: LGPLv2+ or MPLv2.0
URL: https://sourceforge.net/projects/librvngabw/
Source: https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz

BuildRequires: doxygen
BuildRequires: pkgconfig(librevenge-0.0)

%description
%{name} is a library for generating AbiWord documents. It is directly
pluggable into import filters based on librevenge.

%package -n %libname
Summary: An AbiWord document generator library
Group: Development/C++

%description -n %libname
%{name} is a library for generating AbiWord documents. It is directly
pluggable into import filters based on librevenge.

%package -n %libnamedevel
Summary: Development files for %{name}
Requires: %{libname} = %{version}-%{release}
Provides: %{lname}-devel = %{version}-%{release}
Group: Development/C++

%description -n %libnamedevel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation of %{name} API
BuildArch: noarch
Group: Development/C++

%description doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q

%build
%configure --disable-silent-rules --disable-static --disable-werror --with-sharedptr=c++11
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
autoreconf -fi
%make_build

%install
%make_install
rm -f %{buildroot}/%{_libdir}/*.la
# we install API docs directly from build
rm -rf %{buildroot}/%{_docdir}/%{name}

%files -n %libname
%{_libdir}/%{name}-%{apiversion}.so.%{major}
%{_libdir}/%{name}-%{apiversion}.so.%{major}.*

%files -n %libnamedevel
%doc README NEWS
%license COPYING.LGPL COPYING.MPL
%doc ChangeLog
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files doc
%license COPYING.LGPL COPYING.MPL
%doc docs/doxygen/html

