%define major		1
%define libname		%mklibname searpc %{major}
%define develname	%mklibname searpc -d

# checkout by commit for a valid persistent source link
# the corresponding git tag is v3.3-latest
%define commit		783141fb694f3bd1f8bd8a783670dd25a53b9fc1
%define date		20230527
%define shortcommit	%(c=%{commit}; echo ${c:0:7})

Name:		libsearpc
Version:	3.3.0
Release:	%mkrel 0.git%{date}.3
Summary:	Simple C language RPC framework based on GObject system
License:	GPLv3+
Group:		Networking/File transfer
URL:		https://github.com/haiwen/libsearpc
#Source0:	https://github.com/haiwen/libsearpc/archive/v%%{version}/%%{name}-%%{version}.tar.gz
Source0:	https://github.com/haiwen/libsearpc/archive/%{commit}/%{name}-%{version}%{?date:-%{date}git%{shortcommit}}.tar.gz
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(jansson)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(simplejson)

%description
Searpc is a simple C language RPC framework based on GObject system.
Searpc handles the serialization/deserialization part of RPC, the
transport part is left to users. It is part of seafile project.

#----------------------------------------------------

%package -n	%{libname}
Summary:	Simple C language RPC framework based on GObject system
Group:		System/Libraries
Requires:	python3dist(pysearpc) >= %{version}-%{release}

%description -n	%{libname}
Searpc is a simple C language RPC framework based on GObject system.
Searpc handles the serialization/deserialization part of RPC, the
transport part is left to users. It is part of seafile project.
This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	searpc-devel = %{version}-%{release}

%description -n	%{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%package -n	python3-pysearpc
Summary:	Python 3 bindings for %{name}
Group:		Development/Python
BuildArch:	noarch
Requires:	python3dist(simplejson)
Provides:	python3dist(pysearpc) = %{version}-%{release}
Provides:	python%{python3_version}dist(pysearpc) = %{version}-%{release}
%{?python_provide:%python_provide python3-pysearpc}

%description -n	python3-pysearpc
Searpc is a simple C language RPC framework based on GObject system.
Searpc handles the serialization/deserialization part of RPC, the
transport part is left to users. It is part of seafile project.
This package contains the python 3 bindings for %{name}.

#----------------------------------------------------

%prep
%setup -qn %{name}-%{commit}
%autopatch -p1

sed -i -e /\(DESTDIR\)/d libsearpc.pc.in

NOCONFIGURE=1 ./autogen.sh

%build
export PYTHON=%{__python3}

%configure \
	--disable-static \
	--disable-compile-demo \
	--with-python3
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

# python shebangs
%py3_shebang_fix %{buildroot}%{_bindir}

%files -n %{libname}
%{_libdir}/libsearpc.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS README.markdown
%license LICENSE*
%{_includedir}/*
%{_libdir}/libsearpc.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n python3-pysearpc
%doc AUTHORS README.markdown
%{_bindir}/searpc-codegen.py
%{python3_sitearch}/pysearpc/
