%define oname		secret

%define api		1
%define major		0
%define gi_major	1
%define libname		%mklibname %{oname} %{api} %{major}
%define develname	%mklibname -d %{oname}
%define girname		%mklibname %{oname}-gir %{gi_major}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		libsecret
Version:	0.21.7
Release:	%mkrel 1
Summary:	Library for storing and retrieving passwords and other secrets
Group:		System/Libraries
License:	LGPLv2+
URL:		https://wiki.gnome.org/Projects/Libsecret
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	pkgconfig(bash-completion)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	intltool
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	xsltproc
BuildRequires:	docbook-dtds
BuildRequires:	docbook-xsl
BuildRequires:	docbook-style-xsl
BuildRequires:	libxml2-utils
BuildRequires:	gi-docgen
BuildRequires:	meson
BuildRequires:	vala-tools

%description
libsecret is a library for storing and retrieving passwords and other secrets.
It communicates with the "Secret Service" using DBus. gnome-keyring and
KSecretService are both implementations of a Secret Service.

%package tools
Group:		System/Base
Summary:	Tools for libsecret
Requires:	%{name}-i18n >= %{version}-%{release}

Conflicts:	bash-completion < 2:2.16.0

%description tools
libsecret is a library for storing and retrieving passwords and other secrets.
It communicates with the "Secret Service" using DBus. gnome-keyring and
KSecretService are both implementations of a Secret Service.

%package i18n
Summary:	Library for the secret protocol - translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
libsecret is a library for storing and retrieving passwords and other secrets.
It communicates with the "Secret Service" using DBus. gnome-keyring and
KSecretService are both implementations of a Secret Service.

%package -n %{libname}
Summary:	Library for the secret protocol
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}-%{release}
Requires:	%{name}-tools >= %{version}-%{release}
Obsoletes:	%{_lib}%{oname}0 < 0.6.1

# Upstream skypeforlinux requires 'libsecret' explicitly
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
libsecret is a library for storing and retrieving passwords and other secrets.
It communicates with the "Secret Service" using DBus. gnome-keyring and
KSecretService are both implementations of a Secret Service.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}

%description -n %{develname}
This package contains libraries and header files for
developing applications that use %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for secret
Group:		System/Libraries
Conflicts:	%{_lib}secret7
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for secret.

%prep
%autosetup -p1

%build
%meson
%meson_build


%install
%meson_install

%find_lang %{name}

%files i18n -f %{name}.lang

%files tools
%{_bindir}/secret-tool
%{_datadir}/bash-completion/completions/secret-tool
%{_mandir}/man1/secret-tool.1*

%files -n %{libname}
%{_libdir}/%{name}-%{api}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/pkgconfig/%{name}-unstable.pc
%{_datadir}/gir-1.0/Secret-%{gi_major}.gir
%{_datadir}/vala/vapi/*
%doc %{_docdir}/libsecret-1

%files -n %{girname}
%{_libdir}/girepository-1.0/Secret-%{gi_major}.typelib
