Name:           libserializer
Version:        1.1.6
Release:        %mkrel 18
Summary:        JFreeReport General Serialization Framework
License:        LGPLv2+
Group:          Development/Java
URL:            https://reporting.pentaho.org/
Source0:        https://downloads.sourceforge.net/jfreereport/%{name}-%{version}.zip
Patch0:         %{name}-1.1.2-fix-build.patch
Patch1:         %{name}-1.1.2.java11.patch
Patch2:         libserializer-1.1.6-remove-antcontrib-support.patch
Patch3:         %{name}-1.1.2-remove-commons-logging.patch
BuildRequires:  ant
BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildRequires:  libbase
Requires:       java
Requires:       jpackage-utils
Requires:       libbase
BuildArch:      noarch

%description
Libserializer contains a general serialization framework that simplifies the
task of writing custom Java serialization handlers.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}.


%prep
%setup -q -c
%patch -P 0 -p0 -b .build
%patch -P 1 -p1 -b .java11
%patch -P 2 -p1
%patch -P 3 -p1

find . -name "*.jar" -exec rm -f {} \;
mkdir -p lib
build-jar-repository -s -p lib libbase

%build
ant jar javadoc

%install
mkdir -p %{buildroot}%{_javadir}
cp -p dist/libserializer-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp bin/javadoc/docs/api %{buildroot}%{_javadocdir}/%{name}

%files
%doc ChangeLog.txt licence-LGPL.txt README.txt
%{_javadir}/%{name}.jar

%files javadoc
%{_javadocdir}/%{name}
