Name:           libserialport
Version:        0.1.2
Release:        %mkrel 1
Summary:        Library for accessing serial ports
License:        LGPLv3+
URL:            https://sigrok.org/wiki/%{name}
Group:          Development/C
Source0:        https://sigrok.org/download/source/%{name}/%{name}-%{version}.tar.gz
# https://sigrok.org/bugzilla/show_bug.cgi?id=1687
#Patch0:         0001-HACK-don-t-even-check-for-termiox.patch

BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  autoconf 
BuildRequires:  automake 
BuildRequires:  libtool

%description
libserialport is a minimal library written in C that is intended to take care
of the OS-specific details when writing software that uses serial ports.

By writing your serial code to use libserialport, you enable it to work
transparently on any platform supported by the library.

The operations that are supported are:

- Port enumeration (obtaining a list of serial ports on the system).
- Opening and closing ports.
- Setting port parameters (baud rate, parity, etc).
- Reading, writing and flushing data.
- Obtaining error information.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        doc
Summary:        API documentation for %{name}
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}
Provides:       bundled(jquery)

%description    doc
The %{name}-doc package contains documentation for developing software
with %{name}.


%prep
%autosetup -p1

autoreconf -vif


%build
%configure --disable-static
%make_build

# This builds documentation for the -doc package
make %{?_smp_mflags} doc


%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%files
%doc COPYING README
%{_libdir}/%{name}.so.0*

%files devel
%{_includedir}/%{name}.h
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/%{name}.so

%files doc
%doc doxy/html-api/
