%define major     0
%define libname   %mklibname sfdo %{major}
%define develname %mklibname sfdo -d

Name:           libsfdo
Version:        0.1.3
Release:        %mkrel 4
Summary:        A collection of libraries implementing freedesktop.org specifications
Group:          System/Libraries

License:        BSD-2-Clause
URL:            https://gitlab.freedesktop.org/vyivel/libsfdo
Source:         %{url}/-/archive/v%{version}/%{name}-v%{version}.tar.gz

BuildRequires:  meson
BuildRequires:  gcc

%description
%{summary}.

%package  -n %{libname}
Summary:        A collection of libraries implementing freedesktop.org specifications
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Provides:       sfdo = %{version}-%{release}

%description  -n %{libname}
%{summary}.

%package -n %{develname}
Summary:        Development libraries and header files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       sfdo-devel = %{version}-%{release}


%description -n %{develname}
%{summary}.

%prep
%autosetup -n %{name}-v%{version}

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/libsfdo-*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/sfdo-*.h
%{_libdir}/libsfdo-*.so
%{_libdir}/pkgconfig/libsfdo-*.pc
