%define major	3
%define libname	%mklibname shout-idjc %{major}
%define devname	%mklibname shout-idjc -d

Name:		libshout-idjc
Version:	2.4.6
Release:	%mkrel 1
Summary:	Libshout with extensions for IDJC
Group:		System/Libraries
License:	LGPL-2.1+
URL:		https://sourceforge.net/projects/libshoutidjc.idjc.p/
Source0:	https://downloads.sf.net/libshoutidjc.idjc.p/libshout-idjc-%{version}-r1.tar.gz
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(openssl)

%description
This is a modified version of libshout, with extensions for IDJC.

%package -n shoutidjc
Summary:	Broadcast streaming library with IDJC extensions (source client)
Group:		Development/Tools

%description -n shoutidjc
Broadcast streaming library with IDJC extensions (source client).

%package -n %{libname}
Summary:	Libshout with extensions for IDJC
Group:		System/Libraries

%description -n %{libname}
This is a modified version of libshout, with extensions for IDJC.

%package -n %{devname}
Summary:	Development files for libshout with extensions for IDJC
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	shout-idjc-devel = %{version}-%{release}

%description -n %{devname}
Libshout-idjc is a modified version of libshout, with extensions for IDJC.
This package contains the development files for the library.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

rm -rf %{buildroot}%{_datadir}/doc/libshout-idjc/COPYING

# we don't have ckport tool ATM
rm -rf %{buildroot}%{_libdir}/ckport/

%files -n shoutidjc
%{_bindir}/shoutidjc
%{_mandir}/man1/shoutidjc.1.*

%files -n %{libname}
%license COPYING
%docdir %{_datadir}/doc/libshout-idjc
%doc %{_datadir}/doc/libshout-idjc/
%{_libdir}/libshout-idjc.so.%{major}{,.*}

%files -n %{devname}
%docdir %{_datadir}/doc/libshout-idjc
%doc %{_datadir}/doc/libshout-idjc/
%{_includedir}/shoutidjc
%{_libdir}/libshout-idjc.so
%{_libdir}/pkgconfig/shout-idjc.pc
