%global apiver  1.0
%global major   1
%define libname %mklibname shumate %{apiver} %major
%define girname %mklibname shumate-gir %{apiver}
%define devname %mklibname shumate %{apiver} -d

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then ver = string.gsub(ver, "~.*", "");print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:           libshumate
Version:        1.4.0
Release:        %mkrel 1
Summary:        GTK widget to display maps
Group:          System/Libraries
# shumate/shumate-viewport.c and shumate/shumate-viewport.h are
# LGPL-2.0-or-later while the rest of the code is LGPL-2.1-or-later
License:        LGPL-2.1-or-later AND LGPL-2.0-or-later
URL:            https://gitlab.gnome.org/GNOME/libshumate
Source0:        https://download.gnome.org/sources/libshumate/%{url_ver}/libshumate-%{tarball_version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gperf
BuildRequires:  meson
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gi-docgen)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libprotobuf-c)
BuildRequires:  pkgconfig(libsoup-3.0)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(sysprof-capture-4)
BuildRequires:  pkgconfig(vapigen)
# Support graphical tests in non-graphical environment
BuildRequires:  x11-server-xvfb
BuildRequires:  at-spi2-core
BuildRequires:  dbus-x11

%description
libshumate is a GTK widget displaying interactive maps. Various map
sources can be used together with the possibility to draw custom
overlays, markers and lines on top of the maps. Bindings to other
languages are provided using GObject Introspection.

%package        -n %libname
Summary:        Library for %{name}
Group:          System/Libraries
# (tv) for translations & the like:
Requires:       %{name} >= %{version}-%{release}

%description    -n %libname
Library for %{name}.

%package        -n %{girname}
Summary:        GObject Introspection interface library for Shumate
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description    -n %{girname}
GObject Introspection interface library for Shumate.


%package        -n %devname
Summary:        Development files for %{name}
Group:          Development/GNOME and GTK+
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{_lib}shumate-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Requires:       %{girname} = %{version}-%{release}
Obsoletes:      %{_lib}shumate-devel < 1.0.1

%description    -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        doc
Summary:        Documentation files for %{name}
# urlmap.js is LGPL-2.1-or-later, generated html docs are (Apache-2.0 OR
# GPL-3.0-or-later) and misc other files are MIT
License:        LGPL-2.1-or-later AND (Apache-2.0 OR GPL-3.0-or-later) AND MIT
BuildArch:      noarch

%description    doc
This package contains developer documentation for %{name}.


%prep
%autosetup -p1 -n libshumate-%{tarball_version}


%build
%meson
%meson_build


%install
%meson_install

%find_lang shumate1


%check
%if 0
%{shrink:xvfb-run -w 10 -d %meson_test}
%endif

%files -f shumate1.lang
%license COPYING
%doc AUTHORS NEWS README.md

%files -n %libname
%{_libdir}/libshumate-%{apiver}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Shumate-%{apiver}.typelib

%files -n %devname
%{_includedir}/shumate-%{apiver}/
%{_libdir}/libshumate-%{apiver}.so
%{_libdir}/pkgconfig/shumate-%{apiver}.pc
%{_datadir}/gir-1.0/Shumate-%{apiver}.gir
%{_datadir}/vala/vapi/shumate-%{apiver}.{deps,vapi}

%files doc
%license COPYING
%{_docdir}/libshumate-%{apiver}/
