%define spmajor     6
%define libname     %mklibname sidplayfp %{spmajor}
%define develname   %mklibname sidplayfp -d
%define stilmajor   0
%define libnamestil %mklibname stilview %stilmajor

Summary:        A Commodore 64 music player and SID chip emulator library
Name:           libsidplayfp
Version:        2.12.0
Release:        %mkrel 1
License:        GPLv2+
Group:          System/Libraries
URL:            https://github.com/libsidplayfp/libsidplayfp
Source0:        https://github.com/libsidplayfp/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  doxygen
BuildRequires:  xa
BuildRequires:  pkgconfig(libgcrypt)
BuildRequires:  pkgconfig(libftdi1)

Provides:       bundled(md5-deutsch-c++)

%description
This is a cycle-based version of a C64 music playing library
developed by Simon White. This library provides no internal
SID emulation. Instead a means to drive any external SID hardware or
emulation has been provided using the SID Builder Classes.

A ReSID Builder Class using a modified version of ReSID 0.13
is included in this package. Alternative/updated classes can be
obtained from the SIDPlay2 homepage.

This is a fork of the original libsidplay2 aimed at improved sound quality.

%package -n %libname
Summary:        A Commodore 64 music player and SID chip emulator library
Group:          System/Libraries

%description -n %libname
This is a cycle-based version of a C64 music playing library
developed by Simon White. This library provides no internal
SID emulation. Instead a means to drive any external SID hardware or
emulation has been provided using the SID Builder Classes.

%package -n %libnamestil
Summary:        A Commodore 64 STIL music archive viewer library
Group:          System/Libraries

%description -n %libnamestil
This is a library for accessing the Sid Tune Information List, which is part
of the High Voltage Sid Collection, a huge collection of Commodore 64 SID
music files.

%package -n %develname
Summary:        Development headers and libraries for %{libname}
Group:          Development/C++
Requires:       %{libname} = %{version}
Requires:       %{libnamestil} = %{version}
Provides:       libsidplayfp-devel = %{version}-%release

%description -n %develname
This package includes the header and library files necessary
for developing applications to use %{libname}.

%prep
%setup -q

%build
%configure --disable-static --enable-shared
%make_build

%install
%make_install

%files -n %libname
%doc AUTHORS NEWS README TODO
%license COPYING
%{_libdir}/libsidplayfp.so.%{spmajor}{,.*}

%files -n %libnamestil
%license COPYING
%{_libdir}/libstilview.so.%{stilmajor}{,.*}

%files -n %develname
%{_includedir}/sidplayfp/
%{_includedir}/stilview/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/libsidplay*.pc
%{_libdir}/pkgconfig/libstilview.pc
