%define major		2
%define libname		%mklibname sigsegv %{major}
%define develname	%mklibname sigsegv -d

Summary:	Library for handling page faults in user mode
Name:		libsigsegv
Version:	2.14
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Libraries
URL:		https://libsigsegv.sourceforge.net/
Source0:	https://ftp.gnu.org/gnu/libsigsegv/%{name}-%{version}.tar.gz

%description
This is a library for handling page faults in user mode. A page fault
occurs when a program tries to access to a region of memory that is
currently not available. Catching and handling a page fault is a useful
technique for implementing:
  - pageable virtual memory,
  - memory-mapped access to persistent databases,
  - generational garbage collectors,
  - stack overflow handlers,
  - distributed shared memory,

%package -n %{libname}
Summary:	Library for handling page faults in user mode
Group:		System/Libraries

%description -n %{libname}
This is a library for handling page faults in user mode. A page fault
occurs when a program tries to access to a region of memory that is
currently not available. Catching and handling a page fault is a useful
technique for implementing:
  - pageable virtual memory,
  - memory-mapped access to persistent databases,
  - generational garbage collectors,
  - stack overflow handlers,
  - distributed shared memory,

%package -n %{develname}
Summary:	Development libraries and header files for %{name} 
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Libraries and header files for %{name} development.

%prep
%setup -q

%build
autoreconf -vfi
%configure \
    --libdir=/%{_lib} \
    --enable-shared \
    --disable-static
%make_build

%check
%__make check

%install
%make_install

rm -f %{buildroot}/%{_lib}/*.la
rm -f %{buildroot}/%{_lib}/*.so

install -d %{buildroot}%{_libdir}
ln -s /%{_lib}/libsigsegv.so.%{major} %{buildroot}%{_libdir}/libsigsegv.so

%files -n %{libname}
%doc AUTHORS ChangeLog NEWS README
/%{_lib}/lib*.so.%{major}*

%files -n %{develname}
%{_libdir}/lib*.so
%{_includedir}/*
