%global major   0
%define libname %mklibname slirp %major
%define devname %mklibname slirp -d

Name:           libslirp
Version:        4.8.0
Release:        %mkrel 1
Summary:        A general purpose TCP-IP emulator
Group:          Emulators

# check the SPDX tags in source files for details
License:        BSD and MIT
URL:            https://gitlab.freedesktop.org/slirp/%{name}
Source0:        %{url}/-/archive/v%{version}/%{name}-v%{version}.tar.gz

BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  pkgconfig(glib-2.0)

%description
A general purpose TCP-IP emulator used by virtual machine hypervisors
to provide virtual networking services.


%package        -n %libname
Summary:        A general purpose TCP-IP emulator
Group:          System/Libraries

%description    -n %libname
A general purpose TCP-IP emulator used by virtual machine hypervisors
to provide virtual networking services.

%package        -n %devname
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname}%{?_isa} = %{version}-%{release}
Provides:       slirp-devel = %{version}-%{release}

%description    -n %devname
The %{devname} package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n libslirp-v%{version}


%build
%meson
%meson_build


%install
%meson_install


%files -n %libname
%license COPYRIGHT
%doc README.md
%{_libdir}/%{name}.so.%{major}{,.*}


%files -n %devname
%dir %{_includedir}/slirp/
%{_includedir}/slirp/*
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/slirp.pc
