%define	major		1
%define	libname		%mklibname slz %{major}
%define	develname	%mklibname slz -d
%define	staticname	%mklibname slz -d -s
%define utilname	slz-utils


Summary:	The SLZ stateless compression library
Name:		libslz
Version:	1.2.1
Release:	%mkrel 1
Group:		System/Libraries
License:	MIT
URL:		https://www.libslz.org/
Source:		https://github.com/wtarreau/libslz/archive/v%{version}/%{name}-%{version}.tar.gz
#Source0:	https://github.com/wtarreau/libslz/archive/refs/tags/v% {version}.tar.gz

BuildRequires:	make


%description
SLZ is a fast and memory-less stream compressor which produces an output that
can be decompressed with zlib or gzip. It does not implement decompression at
all, zlib is perfectly fine for this.

The purpose is to use SLZ in situations where a zlib-compatible stream is
needed and zlib's resource usage would be too high while the compression ratio
is not critical. The typical use case is in HTTP servers and gateways which
have to compress many streams in parallel with little CPU resources to assign
to this task, and without having to limit the compression ratio due to the
memory usage. In such an environment, the server's memory usage can easily be
divided by 10 and the CPU usage by 3.


%package -n	%{libname}
Summary:	The slz compression library
Group:		System/Libraries
Provides:	libslz = %{version}-%{release}
Provides:	libslz1 = %{version}-%{release}
Provides:	slz = %{version}-%{release}

%description -n	%{libname}
The slz compression library provides stateless compression functions used by
HAProxy high availability TCP/HTTP load balancer and proxy.


%package -n	%{develname}
Summary:	Header files and libraries for developing apps which will use slz
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	libslz-devel = %{version}-%{release}
Provides:	slz-devel = %{version}-%{release}

%description -n	%{develname}
The slz-devel package contains the header files and libraries needed to
develop programs that use the slz compression library.

Install the slz-devel package if you want to develop applications that
will use the slz library.


%package -n	%{staticname}
Summary:	Static libraries for developing apps which will use slz
Group:		Development/C
Requires:	%{develname} = %{version}-%{release}
Provides:	libslz-static-devel = %{version}-%{release}
Provides:	slz-static-devel = %{version}-%{release}

%description -n	%{staticname}
The slz-static-devel package contains the static libraries needed to develop
programs that use the slz compression library.

Install the slz-static-devel package if you want to develop applications that
will use the slz library statically.


%package -n %{utilname}
Summary:	Utilities for working with slz library
Group:		Text tools

%description -n %{utilname}
Slz-utils contains a couple of command line utilities for working with slz
library.


%prep
%autosetup -p1


%build
%make_build


%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir}


%files -n %{libname}
%doc README
%{_libdir}/libslz.so.%{major}{,.*}


%files -n %{develname}
%doc README
%{_libdir}/libslz.so
%{_includedir}/slz.h


%files -n %{staticname}
%{_libdir}/libslz.a


%files -n %{utilname}
%{_bindir}/zdec
%{_bindir}/zenc
