%define major	6
%define libname	%mklibname sm %{major}
%define devname	%mklibname sm -d

Name:		libsm
Summary: 	X Session Management Library
Version:	1.2.6
Release:	%mkrel 1
Group:		Development/X11
License:	MIT
URL:		https://xorg.freedesktop.org
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libSM-%{version}.tar.xz

BuildRequires:	pkgconfig(ice) >= 1.0.0
BuildRequires:	x11-proto-devel >= 1.0.0
BuildRequires:	x11-util-macros >= 1.0.1
BuildRequires:	pkgconfig(xtrans) >= 1.0.0
BuildRequires:	pkgconfig(uuid)

%description
This is the X Session Management Library.

#-----------------------------------------------------------

%package -n	%{libname}
Summary:	X Session Management Library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This is the X Session Management Library.

#-----------------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/X11
Requires:	%{libname} = %{version}-%{release}
Provides:	libsm-devel = %{version}-%{release}

%description -n %{devname}
Development files for %{name}.

#-----------------------------------------------------------

%prep
%setup -q -n libSM-%{version}

%build
%configure	\
	--x-includes=%{_includedir} \
	--x-libraries=%{_libdir} \
	--disable-static

%make_build

%install
%make_install

mv %{buildroot}%{_defaultdocdir}/libSM installed-docs

%files -n %{devname}
%doc installed-docs/*
%{_libdir}/libSM.so
%{_libdir}/pkgconfig/sm.pc
%{_includedir}/X11/SM/SM.h
%{_includedir}/X11/SM/SMlib.h
%{_includedir}/X11/SM/SMproto.h

%files -n %{libname}
%{_libdir}/libSM.so.%{major}{,.*}
