%define major 2
%define libname %mklibname smbios %major
%define devname %mklibname smbios -d

Name:           libsmbios
Version:        2.4.3
Release:        %mkrel 3
Summary:        Libraries to get information from standard BIOS tables
License:        GPLv2+
Url:            https://linux.dell.com/libsmbios/main/
Group:          System/Kernel and hardware
Source0:        https://github.com/dell/libsmbios/archive/v%{version}/libsmbios-%{version}.tar.gz
Patch0001:      0001-libsmbios-fix-more-places-with-loop-iterators-with-b.patch
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(cppunit)
BuildRequires:  doxygen
BuildRequires:  help2man
ExclusiveArch:  %{ix86} x86_64

%description
Libsmbios is a library and utilities that can be used by client programs
to get information from standard BIOS tables, such as the SMBIOS table.

%package -n %devname
Summary:        Development files for libsmios
Group:          Development/C
Requires:       %libname = %{version}

%description -n %devname
Libsmbios is a library and utilities that can be used by client programs to get
information from standard BIOS tables, such as the SMBIOS table.

This package contains the necessary files to compile new client programs
against libsmbios.

%package -n %libname
Summary:        Libraries to get information from standard BIOS tables
Group:          System/Kernel and hardware

%description -n %libname
Libsmbios is a library and utilities that can be used by client programs
to get information from standard BIOS tables, such as the SMBIOS table.

%package -n smbios-utils-bin
Summary:        Binary utilities that use libsmbios
Group:          System/Kernel and hardware

%description -n smbios-utils-bin
Get BIOS information, such as System product name, product id, service tag and
asset tag.

%prep
%autosetup -p1

%build
[ -e ./configure ] || PACKAGE_VERSION=%{version} ./autogen.sh --no-configure
%configure \
  --disable-rpath \
  --disable-libsmbios_cxx \
  --disable-graphviz \
  --disable-python

%make_build

%install
%make_install

mkdir -p %{buildroot}%{_includedir}
cp -a src/include/*  %{buildroot}/%{_includedir}/
cp -a out/public-include/* %{buildroot}/%{_includedir}/
rm -f %{buildroot}/%{_libdir}/lib*.{la,a}

%find_lang libsmbios

%files -n %devname
%{_includedir}/smbios/
%{_includedir}/smbios_c/
%exclude   /usr/include/Makefile.am
%{_libdir}/libsmbios_c.so
%{_libdir}/pkgconfig/libsmbios_c*.pc

%files -n %libname -f libsmbios.lang
%{_libdir}/libsmbios_c.so.%{major}{,.*}

%files -n smbios-utils-bin
%doc COPYING-GPL COPYING-OSL README.md
%{_sbindir}/smbios-get-ut-data
%{_sbindir}/smbios-state-byte-ctl
%{_sbindir}/smbios-sys-info-lite
%{_sbindir}/smbios-upflag-ctl
%{_mandir}/man1/*
