%define libnamedev       %mklibname snark -d
%define libnamestaticdev %mklibname snark -s -d

Name:           libsnark
Version:        20140603
Release:        %mkrel 23
Summary:        A C++ library for zkSNARK proofs
Group:		System/Libraries
License:        MIT
URL:            https://github.com/scipr-lab/libsnark/
Source0:        https://github.com/scipr-lab/libsnark/archive/%{name}-master.zip
Patch0:		libsnark-makefile.patch
Patch1:         libsnark-gcc7.patch
Patch2:		libsnark-rpath.patch
# ate-paring (aka zm-static-devel) won't compile under i586 or ARM
ExclusiveArch:	x86_64
BuildRequires:	gmp-devel
BuildRequires:	zm-static-devel
BuildRequires:	pkgconfig(libprocps)
BuildRequires:	gmpxx-devel
BuildRequires:	libboost-devel
BuildRequires:	pkgconfig(openssl)

%description
This library implements zkSNARK schemes, which are a cryptographic method for
proving/verifying, in zero knowledge, the integrity of computations.


%package        -n %libnamedev
Summary:        Development files for %{name}
Provides:	snark-devel

%description    -n %libnamedev
This library implements zkSNARK schemes, which are a cryptographic method for
proving/verifying, in zero knowledge, the integrity of computations.

%package        -n %libnamestaticdev
Summary:        Development files for %{name}
Provides:	snark-static-devel

%description    -n %libnamestaticdev
This library implements zkSNARK schemes, which are a cryptographic method for
proving/verifying, in zero knowledge, the integrity of computations.


%prep
%setup -q  -n libsnark-master
%autopatch -p1

%build
%make_build lib OPTFLAGS="%{optflags} -march=native -mtune=native"

%install
%make_install PREFIX=%{buildroot}%{_prefix} LIBDIR=%{buildroot}%{_libdir}
%make_install PREFIX=%{buildroot}%{_prefix} LIBDIR=%{buildroot}%{_libdir} STATIC=1

%files -n %libnamedev
%doc README.md AUTHORS
%license LICENSE
%{_includedir}/libsnark/
%{_libdir}/libsnark.so

%files -n %libnamestaticdev
%{_libdir}/libsnark.a

