%define api_version     2.4
%define lib_major	1
%define lib_name	%mklibname soup %{api_version} %{lib_major}
%define gi_name		%mklibname soup-gir %{api_version}
%define develname	%mklibname -d soup %{api_version}

%define build_doc       1

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	SOAP (Simple Object Access Protocol) implementation
Name:		libsoup%{api_version}
Version:	2.74.3
Release:	%mkrel 4
License:	LGPLv2
Group:		System/Libraries
URL:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/libsoup/%{url_ver}/libsoup-%{version}.tar.xz
Patch0:		CVE-2024-52530.patch
Patch1:		CVE-2024-52531-1.patch
Patch2:		CVE-2024-52531-2.patch
Patch3:		CVE-2024-52532-1.patch
Patch4:		CVE-2024-52532-2.patch
BuildRequires:	git
BuildRequires:	intltool
BuildRequires:	meson
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(krb5-gssapi)
BuildRequires:	pkgconfig(libbrotlidec)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libpsl)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(sysprof-capture-4)
BuildRequires:	samba-winbind-clients
BuildRequires:	pkgconfig(vapigen)
Requires:	glib-networking

%if %{build_doc}
BuildRequires:	gtk-doc
%endif

%description
Soup is a SOAP (Simple Object Access Protocol) implementation in C.

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

%package i18n
Summary:	Library for soup - translations
Group:		System/Internationalization
BuildArch:	noarch
Obsoletes:	libsoup-i18n < 2.74.3-2

%description i18n
Soup is a SOAP (Simple Object Access Protocol) implementation in C.

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package contains translations used by soup.

%package -n %{lib_name}
Summary:	Libraries for soup
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}-%{release}
# NTLM authentication
Recommends:	samba-winbind-clients

%description -n %{lib_name}
Soup is a SOAP (Simple Object Access Protocol) implementation in C.

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package contains libraries used by soup.

%package -n %{gi_name}
Summary:	GObject Introspection interface library for libsoup
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}

%description -n %{gi_name}
GObject Introspection interface library for libsoup.

%package -n %{develname}
Summary:	Development libraries, header files and utilities for soup
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	%{gi_name} = %{version}
Obsoletes:	%{_lib}soup-devel < 2.74.3-2

%description -n %{develname}
Soup is a SOAP (Simple Object Access Protocol) implementation in C.

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package contains the files necessary to develop applications with soup.

%prep
%autosetup -p1 -n libsoup-%{version}

%build
%meson \
	-Dtls_check=false \
%if %{build_doc}
	-Dgtk_doc=true \
%endif
	%nil

%meson_build

%install
%meson_install
%find_lang libsoup

%files i18n -f libsoup.lang

%files -n %{lib_name}
%{_libdir}/libsoup-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libsoup-gnome-%{api_version}.so.%{lib_major}{,.*}

%files -n %{gi_name}
%{_libdir}/girepository-1.0/Soup-%{api_version}.typelib
%{_libdir}/girepository-1.0/SoupGNOME-%{api_version}.typelib

%files -n %{develname}
%doc README COPYING AUTHORS NEWS
%doc %{_datadir}/gtk-doc/html/libsoup-%{api_version}/
%{_datadir}/gir-1.0/Soup-%{api_version}.gir
%{_datadir}/gir-1.0/SoupGNOME-%{api_version}.gir
%{_libdir}/libsoup-%{api_version}.so
%{_libdir}/libsoup-gnome-%{api_version}.so
%{_libdir}/pkgconfig/libsoup-%{api_version}.pc
%{_libdir}/pkgconfig/libsoup-gnome-%{api_version}.pc
%{_includedir}/libsoup-%{api_version}/
%{_includedir}/libsoup-gnome-%{api_version}/
%{_datadir}/vala/vapi/libsoup-%{api_version}.deps
%{_datadir}/vala/vapi/libsoup-%{api_version}.vapi
