%define srcname    spatialindex
%define major      6
%define libname    %mklibname %{srcname} %{major}
%define libnamedev %mklibname %{srcname} -d

Name:           lib%{srcname}
Version:        1.9.3
Release:        %mkrel 5
Summary:        Spatial indexing libraries
Group:          System/Libraries
License:        MIT
Url:            https://libspatialindex.org/
Source0:        https://github.com/libspatialindex/libspatialindex/releases/download/%{version}/%{srcname}-src-%{version}.tar.bz2
BuildRequires:  cmake

%description
Spatial indexing libraries.

%package -n %{libname}
Summary:        Spatial indexing libraries
Group:          System/Libraries
Provides:       libspatialindex%{?_isa} = %{version}-%{release}
Provides:       libspatialindex = %{version}-%{release}

%description -n %{libname}
Spatial indexing libraries.
The purpose of this library is to provide:
- An extensible framework that will support robust spatial indexing methods.
- Support for sophisticated spatial queries. Range, point location, nearest
  neighbor and k-nearest neighbor as well as parametric queries (defined by
  spatial constraints) should be easy to deploy and run.
- Easy to use interfaces for inserting, deleting and updating information.
- Wide variety of customization capabilities. Basic index and storage
  characteristics like the page size, node capacity, minimum fan-out,
  splitting algorithm, etc. should be easy to customize.
- Index persistence. Internal memory and external memory structures should be
  supported. Clustered and non-clustered indices should be easy to be
persisted.

%package -n %{libnamedev}
Summary:        Development files for %{name}
Group:          Development/Databases
Requires:       %{libname} = %{version}-%{release}
Provides:       %{srcname}-devel = %{version}-%{release}

%description -n %{libnamedev}
Development files needed to build software using %{name}.

%prep
%setup -q -n %{srcname}-src-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license COPYING
%doc AUTHORS ChangeLog 
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{libnamedev}
%{_includedir}/spatialindex*
%{_libdir}/*.so
