%define srcname    spatialite
%define major      8
%define libname    %mklibname %{srcname} %{major}
%define libnamedev %mklibname %{srcname} -d

Name:           libspatialite
Version:        5.1.0
Release:        %mkrel 3
Summary:        SQLite Spatial SQL extension
License:        GPLv2
Group:          System/Libraries
Url:            https://www.gaia-gis.it/fossil/libspatialite/index

Source0:        https://www.gaia-gis.it/gaia-sins/libspatialite-sources/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(freexl)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(minizip)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  geos-devel
BuildRequires:  pkgconfig(proj)
BuildRequires:  pkgconfig(rttopo)

%description
SpatiaLite is an open source library intended to extend the SQLite core to
support fully fledged Spatial SQL capabilities.

%package -n %{libname}
Summary:        SQLite Spatial SQL extension
Group:          System/Libraries

%description -n %{libname}
SpatiaLite is an open source library intended to extend the SQLite core to
support fully fledged Spatial SQL capabilities.
SQLite is intrinsically simple and lightweight:
- a single lightweight library implementing the full SQL engine
- standard SQL implementation: almost complete SQL-92
- no complex client/server architecture
- a whole database simply corresponds to a single monolithic file (no size
  limits)
- any DB-file can be safely exchanged across different platforms, because the
  internal architecture is universally portable
- no installation, no configuration
SpatiaLite is smoothly integrated into SQLite to provide a complete and
powerful Spatial DBMS (mostly OGC-SFS compliant).
Using SQLite + SpatiaLite you can effectively deploy an alternative open
source Spatial DBMS roughly equivalent to PostgreSQL + PostGIS.

%package -n %{libnamedev}
Summary:        Development files for %{name}
Group:          Development/Databases
Requires:       %{libname} = %{version}-%{release}
Provides:       %{srcname}-devel = %{version}-%{release}

%description -n %{libnamedev}
Development files needed to build software using %{name}.

%prep
%setup -q

%build
%configure --enable-static=no
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{libnamedev}
%{_includedir}/spatialite*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
