%define		major		9
%define		libname		%mklibname spectrum %{major}
%define		develname	%mklibname spectrum -d

Summary:	A library for ZX Spectrum emulator files support
Name:		libspectrum
Version:	1.5.0
Release:	%mkrel 2
License:	GPLv2
Group:		System/Libraries
URL:		https://fuse-emulator.sourceforge.net/
Source0:	https://sourceforge.net/projects/fuse-emulator/files/libspectrum/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(audiofile)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	bzip2

%description
libspectrum is a library designed to make the input and output
of some ZX Spectrum emulator files slightly easier.

%package -n	%{libname}
Summary:	Shared library of libspectrum
Group:		System/Libraries

%description -n	%{libname}
libspectrum is a library designed to make the input and output
of some ZX Spectrum emulator files slightly easier.
This package contains the shared library to run applications based on
libspectrum.

%package -n	%{develname}
Summary:	Libraries, includes, etc. to develop libspectrum applications 
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Libraries, include files, etc. you can use to develop libspectrum applications.


%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

%multiarch_includes %{buildroot}%{_includedir}/libspectrum.h

find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc AUTHORS README THANKS
%{_libdir}/libspectrum.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog
%{_mandir}/man3/libspectrum.3*
%{_libdir}/libspectrum.so
%{_includedir}/libspectrum.h
%{_libdir}/pkgconfig/libspectrum.pc
%multiarch %{_includedir}/multiarch-*/libspectrum.h
