%define	major   2
%define libname %mklibname spf2_ %{major}
%define devname %mklibname spf2 -d

Summary:	Implementation of the SPF specification
Name:		libspf2
Version:	1.2.11
Release:	%mkrel -c git20210609 3
License:	BSD
Group:		System/Libraries
URL:		https://www.libspf2.org/
#Source0:	http://www.libspf2.org/spf/%%{name}-%%{version}.tar.gz
Source0:	https://github.com/shevek/libspf2/archive/refs/heads/master.zip
Patch0:		libspf2-1.2.11-mga-varargs.patch
Patch1:		libspf2-1.2.10-no-static.patch
Patch2:		0001-remove-libreplace-unneeded-on-Linux.patch
Patch3:		0002-add-include-string-for-memset.patch
Patch4:		CVE-2023-42118-and-other-fixes.patch

%description
libspf2 is an implementation of the SPF (Sender Policy Framework)
specification as found at:
http://www.ietf.org/internet-drafts/draft-mengwong-spf-00.txt

SPF allows email systems to check SPF DNS records and make sure
that an email is authorized by the administrator of the domain
name that it is coming from. This prevents email forgery, commonly
used by spammers, scammers, and email viruses/worms.

A lot of effort has been put into making it secure by design, and
a great deal of effort has been put into the regression tests.

%package -n	%{libname}
Summary:	Implementation of the SPF specification
Group:		System/Libraries
Obsoletes:	%{_lib}spf2 < 1.2.10-3

%description -n	%{libname}
libspf2 is an implementation of the SPF (Sender Policy Framework)
specification as found at:
http://www.ietf.org/internet-drafts/draft-mengwong-spf-00.txt

SPF allows email systems to check SPF DNS records and make sure
that an email is authorized by the administrator of the domain
name that it is coming from. This prevents email forgery, commonly
used by spammers, scammers, and email viruses/worms.

A lot of effort has been put into making it secure by design, and
a great deal of effort has been put into the regression tests.

%package -n	%{devname}
Summary:	Development tools needed to build programs that use libspf2
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
This package contains the header files and static libraries
necessary for developing programs using the libspf2
(Sender Policy Framework) library.

%package -n	spf2-utils
Summary:	Programs for making SPF queries using libspf2
Group:		System/Servers

%description -n	spf2-utils
Programs for making SPF queries and checking their results using
libspf2.

%prep
%autosetup -p1 -n %{name}-master

%build
autoreconf -fi
%configure \
	--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

# install all headers
install -m0644 src/include/*.h %{buildroot}%{_includedir}/spf2/

# these binaries are needed by the tests above
rm -f %{buildroot}%{_bindir}/*_static

# rename the binaries to prevent file conflicts
pushd %{buildroot}%{_bindir}
    for f in *; do mv ${f} ${f}2; done
popd

%files -n %{libname}
%doc README TODO
%license LICENSES
%{_libdir}/libspf2.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/libspf2.so
%{_includedir}/spf2/

%files -n spf2-utils
%license LICENSES
%{_bindir}/spfd2
%{_bindir}/spfquery2
%{_bindir}/spftest2
%{_bindir}/spf_example2
