%define oname     spnav

%define lib_major 0
%define lib_name  %mklibname %{oname} %{lib_major}
%define develname %mklibname %{oname} -d

Name:           libspnav
Version:        1.2
Release:        %mkrel 1
Summary:        library to access 3D-input-devices
Group:          System/Libraries
License:        BSD
Url:            https://spacenav.sourceforge.net/
Source0:        https://github.com/FreeSpacenav/libspnav/releases/download/v%{version}/%{name}-%{version}.tar.gz
Patch0:         libspnav-1.2-linking+pkgconfig.patch
BuildRequires:  pkgconfig(x11)

%description
The libspnav library is provided as a replacement of the magellan
library. It provides a cleaner, and more orthogonal interface.
libspnav supports both the original X11 protocol for communicating
with the driver, and the new alternative non-X protocol. Programs
that choose to use the X11 protocol, are automatically compatible
with either the free spacenavd driver or the official 3dxserv, as
if they were using the magellan SDK.

Also, libspnav provides a magellan API wrapper on top of the new API.
So, any applications that were using the magellan library, can switch
to libspnav without any changes. And programmers that are familiar
with the magellan API can continue using it with a free library
without the restrictions of the official SDK.

#--------------------------------------------------------------------

%package -n %lib_name
Group:          System/Libraries
Summary:        Library to access 3D-input-devices

%description -n %lib_name
The libspnav library is provided as a replacement of the magellan
library. It provides a cleaner, and more orthogonal interface.
libspnav supports both the original X11 protocol for communicating
with the driver, and the new alternative non-X protocol. Programs
that choose to use the X11 protocol, are automatically compatible
with either the free spacenavd driver or the official 3dxserv, as
if they were using the magellan SDK.

Also, libspnav provides a magellan API wrapper on top of the new API.
So, any applications that were using the magellan library, can switch
to libspnav without any changes. And programmers that are familiar
with the magellan API can continue using it with a free library
without the restrictions of the official SDK.

%files -n %lib_name
%{_libdir}/libspnav.so.%{lib_major}{,.*}

#--------------------------------------------------------------------

%package -n %develname
Group:          Development/C
Summary:        Development files for %{name}
Requires:       %lib_name = %{version}-%{release}
Provides:       %{oname}-devel = %{version}-%{release}
Provides:       lib%{oname}-devel = %{version}-%{release}

%description -n %develname
libspnav - library to access 3D-input-devices.

This package contains development files for %{name}.

%files -n %develname
%doc examples
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/spnav.pc

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
sed -i "s/libdir=lib/libdir=%{_lib}/g" configure
%configure --disable-static
%make_build

%install
%make_install

# Remove static library
find %{buildroot} -name '*.a' -delete
