%define major     1
%define libname   %mklibname srtp 2 %{major}
%define develname %mklibname srtp2 -d

Summary:	An implementation of the Secure Real-time Transport Protocol (SRTP)
Name:		libsrtp
Version:	2.6.0
Release:	%mkrel 1
Group:		System/Libraries
License:	BSD
URL:		https://github.com/cisco/libsrtp
Source0:	https://github.com/cisco/libsrtp/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pcap-devel

%description
This package provides an implementation of the Secure Real-time
Transport Protocol (SRTP), the Universal Security Transform (UST), and
a supporting cryptographic kernel.

%package -n	%{libname}
Summary:	An implementation of the Secure Real-time Transport Protocol (SRTP)
Group:		System/Libraries

%description -n	%{libname}
This package provides an implementation of the Secure Real-time
Transport Protocol (SRTP), the Universal Security Transform (UST), and
a supporting cryptographic kernel.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	pcap-devel
Provides:	srtp-devel = %{version}-%{release}
Provides:	srtp2-devel = %{version}-%{release}

%description -n	%{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
%configure
%make_build shared_library

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%license LICENSE
%doc README*
%{_libdir}/libsrtp2.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/srtp2/
%{_libdir}/*.so
%{_libdir}/pkgconfig/libsrtp2.pc
