%define shortname	statgrab
%define major		10
%define libname		%mklibname %{shortname} %{major}
%define libnamedevel	%mklibname %{shortname} -d

Name:		libstatgrab
Version:	0.92.1
Release:	%mkrel 2
Summary:	Make system statistics
License:	LGPLv2+ and GPLv2+
Group:		Monitoring
URL:		https://www.i-scream.org/libstatgrab/
Source0:	ftp://ftp.uk.i-scream.org/pub/i-scream/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}.nochmod.patch
BuildRequires:	pkgconfig(ncurses)


%description
Libstatgrab is a library that provides cross platform access to statistics
about the system on which it's run. It's written in C and presents a selection
of useful interfaces which can be used to access key system statistics. The
current list of statistics includes CPU usage, memory utilisation, disk usage,
process counts, network traffic, disk I/O, and more.

The current list of platforms is Solaris 2.x, Linux, and FreeBSD 4.x/5.x.
The aim is to extend this to include as many operating systems as possible.

The package also includes a couple of useful tools. The first, saidar,
provides a curses-based interface to viewing the current state of the
system. The second, statgrab, gives a sysctl-style interface to the
statistics gathered by libstatgrab. This extends the use of libstatgrab
to people writing scripts or anything else that can't easily make C
function calls. Included with statgrab is a script to generate an MRTG
configuration file to use statgrab.

%package -n	%{shortname}-tools
Summary:	Tools from %{name} to monitoring the system
Group:		Monitoring
License:	GPLv2+

%description -n %{shortname}-tools
Libstatgrab is a library that provides cross platform access to statistics
about the system on which it's run. It's written in C and presents a selection
of useful interfaces which can be used to access key system statistics. The
current list of statistics includes CPU usage, memory utilisation, disk usage,
process counts, network traffic, disk I/O, and more.

The current list of platforms is Solaris 2.x, Linux , and FreeBSD 4.x/5.x.
The aim is to extend this to include as many operating systems as possible.

The package also includes a couple of useful tools. The first, saidar,
provides a curses-based interface to viewing the current state of the
system. The second, statgrab, gives a sysctl-style interface to the
statistics gathered by libstatgrab. This extends the use of libstatgrab
to people writing scripts or anything else that can't easily make C
function calls. Included with statgrab is a script to generate an MRTG
configuration file to use statgrab.

%package -n	%{libname}
Summary:	The %{name} libraries
Group:		System/Libraries
License:	LGPLv2+
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{libnamedevel}
Summary:	The development files from %{name} libraries
Group:		Development/Other
License:	LGPLv2+
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n %{libnamedevel}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q
%autopatch -p0

%build
%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

rm -rf %{buildroot}%{_docdir}/%{name}

%files -n %{shortname}-tools
%doc AUTHORS README ChangeLog NEWS
%{_bindir}/saidar
%{_bindir}/%{shortname}*
%{_mandir}/man1/*
%{_mandir}/man3/*

%files -n %{libname}
%doc AUTHORS README ChangeLog NEWS
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{libnamedevel}
%doc AUTHORS README ChangeLog NEWS
%{_libdir}/%{name}.so
%{_includedir}/*
%{_libdir}/pkgconfig/%{name}.pc
