%define major		0
%define libname		%mklibname stemmer %{major}
%define develname	%mklibname stemmer -d

Summary:	The C version of the libstemmer library
Name:		libstemmer
Version:	2.2.0
Release:	%mkrel 2
Group:		System/Libraries
License:	BSD
URL:		https://snowballstem.org/
Source0:	https://snowballstem.org/dist/libstemmer_c-%{version}.tar.gz
Patch1:		libstemmer-shared-lib.patch

%description
Snowball is a small string processing language designed for
creating stemming algorithms for use in Information Retrieval.  This
package contains all you need to include the snowball stemming algorithms
into a C project of your own.

%package -n	%{libname}
Summary:	The C version of the libstemmer library
Group:		System/Libraries

%description -n %{libname}
This package contains the files to dynamically link against the C version
of the libstemmer library.

%package -n	%{develname}
Summary:	Library and header files for the libstemmer library
Group:		Development/C
Provides:	%{name}-devel%{?_isa} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{develname}
This package contains the libstemmer library and its header
files.

%package -n	stemwords
Summary:	The stemwords utility using the libstemmer library
Group:		System/Libraries

%description -n	stemwords
The stemwords utility using the libstemmer library.

%prep
%autosetup -n libstemmer_c-%{version} -p1

%build
make libstemmer.so stemwords \
    CFLAGS="%{optflags} -Wall -Iinclude -fPIC -DPIC -D_REENTRANT" \
    LDFLAGS="%{ldflags}"

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}/%{name}
install -p -D -m 755 libstemmer.so.%{major}.0.0 %{buildroot}%{_libdir}/
ln -s libstemmer.so.%{major}.0.0 %{buildroot}%{_libdir}/libstemmer.so.0
ln -s libstemmer.so.%{major}.0.0 %{buildroot}%{_libdir}/libstemmer.so
install -p -D -m 644 include/* %{buildroot}%{_includedir}/%{name}/
install -p -D -m 644 src_c/*.h %{buildroot}%{_includedir}/%{name}/
install -p -D -m 644 runtime/*.h %{buildroot}%{_includedir}/%{name}/
install -p -D -m 644 libstemmer/*.h %{buildroot}%{_includedir}/%{name}/
install -p -D -m 755 stemwords %{buildroot}%{_bindir}/

# fix location
perl -pi -e "s|\.\./src_c/||g" %{buildroot}%{_includedir}/%{name}/modules.h

%files -n %{libname}
%license COPYING
%doc README NEWS
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{develname}
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/%{name}.so

%files -n stemwords
%{_bindir}/stemwords
