%define oname	stroke

%define major		0
%define libname		%mklibname %{oname} %{major}
%define develname	%mklibname %{oname} -d

Summary:	Stroke interface library
Name:		libstroke
Version:	0.5.1
Release:	%mkrel 26
License:	GPLv2
Group:		System/Libraries
URL:		https://www.etla.net/libstroke/
Source0:	https://etla.net/libstroke/%{name}-%{version}.tar.gz
Patch0:		libstroke-0.5.1-fix-underquoted-calls.patch
Patch1:		libstroke-linkage_fix.diff
Patch2:		libstroke-0.5.1-no_gtk1.patch
Patch3:		libstroke-0.5.1-dup-defination.patch
Patch4:		libstroke-0.5.1-drop-unused-comments.patch
Patch5:		libstroke-0.5.1-automake-1.13.patch
Patch6:		fix-implicit-declarations.patch
BuildRequires:	pkgconfig(x11)

%description
LibStroke is a stroke interface library. Strokes are motions
of the mouse that can be interpreted by a program as a command.  Strokes
are used extensively in CAD programs.

%package -n	%{libname}
Summary:	Stroke interface library
Group:		System/Libraries

%description -n	%{libname}
LibStroke is a stroke interface library. Strokes are motions
of the mouse that can be interpreted by a program as a command.  Strokes
are used extensively in CAD programs.

%package -n	%{develname}
Summary:	Development libraries for libStroke
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
LibStroke is a stroke interface library. Strokes are motions
of the mouse that can be interpreted by a program as a command.  Strokes
are used extensively in CAD programs.

%prep
%setup -q
%patch -P 0 -p1 -b .underquoted
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p0
%patch -P 4 -p0
%patch -P 5 -p1 -b .automake-1_13
%patch -P 6 -p1 -b .gcc14

%build
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc README AUTHORS NEWS
%{_libdir}/libstroke.so.%{major}{,.*}

%files -n %{develname}
%doc TODO
%{_datadir}/aclocal/*
%{_libdir}/libstroke.so
%{_includedir}/*
