%define gittag		0907a9034eaf2a57e8e4a9439f793f3f05d446cd
%define major		0
%define libname		%mklibname tar %{major}
%define develname	%mklibname tar -d

Summary:	C library for manipulating tar files
Name:		libtar
Version:	1.2.20
Release:	%mkrel 13
License:	BSD
Group:		System/Libraries
URL:		http://www.feep.net/libtar/
Source0:	https://repo.or.cz/w/libtar.git/snapshot/%{gittag}.tar.gz
Patch0:		libtar-1.2.20-includes.diff
Patch1:		libtar-1.2.20-CVE-2013-4420.patch
Patch2:		libtar-1.2.20-CVE-2021-33643-CVE-2021-33644.patch
Patch4:		libtar-1.2.20-CVE-2021-33645-CVE-2021-33646.patch
BuildRequires:	pkgconfig(zlib)

%description
libtar is a library for manipulating tar files from within C programs.
Here are some of its features:

  * Handles both POSIX tar file format and the GNU extensions.
  * API provides functions for easy use, such as tar_extract_all().
  * Also provides functions for more granular use, such as
    tar_append_regfile().

%package -n %libname
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %libname
This package contains the shared library for %{name}.

%package -n %develname
Summary:	Development files and headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Obsoletes:	%{name}-devel < %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %develname
This package contains the shared library and the C headers needed to
build applications with libtar.

%prep
%setup -qn %{name}
%autopatch -p1

# do not strip debug files
sed -i -e 's|@INSTALL_PROGRAM@ -s|@INSTALL_PROGRAM@|' lib/Makefile.in
sed -i -e 's|@INSTALL_PROGRAM@ -s|@INSTALL_PROGRAM@|' libtar/Makefile.in

%build
export CFLAGS="%{optflags} -fPIC"
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%{_bindir}/libtar

%files -n %{libname}
%{_libdir}/libtar.so.%{major}
%{_libdir}/libtar.so.%{major}.*

%files -n %{develname}
%doc README ChangeLog* COPYRIGHT TODO
%{_libdir}/libtar.so
%{_includedir}/libtar*.h
%{_mandir}/man3/*.3*
