%define major		6
%define libname		%mklibname tasn1_ %{major}
%define develname	%mklibname tasn1 -d

Summary:	The ASN.1 library used in GNUTLS
Name:		libtasn1
Version:	4.20.0
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
Url:		https://www.gnu.org/software/libtasn1/
Source0:	https://ftp.gnu.org/gnu/libtasn1/%{name}-%{version}.tar.gz
Source1:	https://ftp.gnu.org/gnu/libtasn1/%{name}-%{version}.tar.gz.sig
Patch1:		libtasn1-3.4-rpath.patch
BuildRequires:	bison
BuildRequires:	texinfo
%ifnarch %arm %mips aarch64
BuildRequires:	valgrind
%endif

%description
Libtasn1 is an implementation of the ASN.1 standard used by GnuTLS and others.

%package -n	%{libname}
Summary:	The ASN.1 library used in GNUTLS
Group:		System/Libraries

%description -n	%{libname}
Libtasn1 is an implementation of the ASN.1 standard used by GnuTLS and others.

%package	tools
Summary:	Command line ASN.1 tools
Group:		Text tools
License:	GPLv3+

%description	tools
Libtasn1 is an implementation of the ASN.1 standard used by GnuTLS and others.

This contains the command line tools to work with ASN.1 data.

%package -n	%{develname}
Summary:	The ASN.1 development files
Group:		Development/C
Requires:	libtasn1-tools = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Libtasn1 is an implementation of the ASN.1 standard used by GnuTLS and others.

This contains development files and headers for %{name}.

%prep
%autosetup -p1

%build
%configure \
	--disable-static \
	--disable-silent-rules \
%ifnarch %arm %mips aarch64
	--enable-valgrind-tests
%endif

%make_build

%install
%make_install

%check
#make check

%files tools
%doc NEWS README.md THANKS
%{_bindir}/asn*
%{_mandir}/man1/asn*

%files -n %{libname}
%{_libdir}/libtasn1.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS ChangeLog
%{_includedir}/libtasn1.h
%{_libdir}/libtasn1.so
%{_libdir}/pkgconfig/libtasn1.pc
%{_infodir}/libtasn1.info*
%{_mandir}/man3/*
