%define major   1
%define libname %mklibname tcod %{major}
%define devname %mklibname tcod -d

Name:           libtcod
Version:        1.24.0
Release:        %mkrel 1
Summary:        Color console, input management and other tools for roguelike games
Group:          System/Libraries
License:        BSD
URL:            https://github.com/libtcod/libtcod
Source0:        https://github.com/libtcod/libtcod/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         libtcod-1.15.1-autotools.patch
Patch1:         0001-Fix-erroneous-examples-of-SDL2-header-includes.patch

BuildRequires:  pkgconfig(sdl2)
#BuildRequires:  pkgconfig(libutf8proc)
BuildRequires:  pkgconfig(zlib)

Provides:       bundled(libutf8proc)
Provides:       bundled(lodepng)

%description
libtcod, a.k.a. "The Doryen Library", is a free, fast, portable and
uncomplicated API for roguelike developers providing an advanced
true color console, input, and lots of other utilities frequently
used in roguelikes.

#----------------------------------------------------------------------

%package -n     %{libname}
Summary:        Color console, input management and other tools for roguelike games
Group:          System/Libraries

%description -n %{libname}
libtcod, a.k.a. "The Doryen Library", is a free, fast, portable and
uncomplicated API for roguelike developers providing an advanced
true color console, input, and lots of other utilities frequently
used in roguelikes.

%files -n       %{libname}
%{_libdir}/%{name}*.so.%{major}{,.*}

#----------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development headers for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains development headers and libraries for %{name}.

%files -n       %{devname}
%doc CHANGELOG.md
%license LIBTCOD-CREDITS.txt LICENSE.txt
%{_includedir}/%{name}.h*
%{_includedir}/%{name}/
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------

%prep
%autosetup -p1

rm -rf src/vendor/zlib

%build
%global optflags %{optflags} -Wno-incompatible-pointer-types
cd buildsys/autotools
autoreconf -vfi
%configure
%make_build

%install
cd buildsys/autotools
%make_install

find %{buildroot}%{_libdir} -name "*.la" -delete -o -name "*.a" -delete
