%define major 1
%define libname %mklibname termkey %{major}
%define develname %mklibname termkey -d

Name: libtermkey
Version: 0.22
Release: %mkrel 5
Summary: Library for easy processing of keyboard entry
# the licensing breakdown is described in detail in the LICENSE file
License: MIT and BSD and ISC
Group: Development/C
URL: https://www.leonerd.org.uk/code/libtermkey/
Source0: https://www.leonerd.org.uk/code/libtermkey/%{name}-%{version}.tar.gz
BuildRequires: pkgconfig(unibilium)
BuildRequires: libtool

%description
This library allows easy processing of keyboard entry from terminal-based
programs. It handles all the necessary logic to recognize special keys, UTF-8
combining, and so on, with a simple interface.

%package -n %{libname}
Summary: Library for easy processing of keyboard entry
Group: System/Libraries

%description -n %{libname}
This library allows easy processing of keyboard entry from terminal-based
programs. It handles all the necessary logic to recognize special keys, UTF-8
combining, and so on, with a simple interface.

%package -n %{develname}
Summary: Development libraries for libtermkey
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Obsoletes: %{_lib}termkey-static-devel < 0.20-3
Obsoletes: %{_lib}termkey0 < 0.20-3

%description -n %{develname}
Development libraries for libtermkey.

%prep
%setup -q

%build
%set_build_flags
%make_build PREFIX=%{_prefix} LIBDIR=%{_libdir}

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir}

#we don't want these
find %{buildroot} \( -name "*.a" -o -name "*.la" \) -delete

%check
# Tests are currently disabled because some require network access
# Working with upstream to split these out
#./run-tests
#./run-benchmarks

%files -n %{libname}
%{_libdir}/libtermkey.so.%{major}
%{_libdir}/libtermkey.so.%{major}.*

%files -n %{develname}
%{_libdir}/libtermkey.so
%{_libdir}/pkgconfig/termkey.pc
%{_includedir}/termkey*.h
%{_mandir}/man?/termkey*.?*
