%global commit0 7775f096618d5fb15ebf9386c14dabe6fbc68cb1
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global date 20210101

%define major	2
%define libname	%mklibname tgvoip %{major}
%define devname	%mklibname tgvoip -d

Name:		libtgvoip
Version:	2.4.4
Release:	%mkrel %{?date:0.git%date.}2
Summary:	VoIP library for Telegram clients
License:	BSD
Group:		System/Libraries
URL:		https://github.com/ars3niy/libtgvoip
Source0:	%{url}/archive/%{commit0}/%{name}-%{version}-%{shortcommit0}.tar.gz
Patch1:		0001-Add-shared-soname-lib-and-fix-linking-issue.patch

BuildRequires:	cmake
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(opus)
BuildRequires:	pkgconfig(webrtc-audio-processing)

%description
Provides VoIP library for Telegram clients.

%package -n	%{libname}
Summary:	VoIP library for Telegram clients
Group:		System/Libraries

%description -n	%{libname}
VoIP library for Telegram clients.

%package -n	%{devname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	tgvoip-devel = %{version}-%{release}

%description -n %{devname}
Header files for development with %{name}.

%prep
%autosetup -n %{name}-%{commit0} -p1

%build
%cmake
%cmake_build

%install
%cmake_install

# provides a pkgconfig file
mkdir -p %{buildroot}%{_libdir}/pkgconfig

cat <<EOF >tgvoip.pc
prefix=%{_prefix}
exec_prefix=\${prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name: tgvoip
Description: VoIP library for Telegram clients
URL: %{url}
Version: %{version}
Requires: opus
Conflicts:
Libs: -L\${libdir} -ltgvoip -lpthread
Libs.private: -ldl -lm -lopus -lcrypto -lwebrtc_audio_processing
Cflags: -I\${includedir}/tgvoip
EOF

install -m 0644 tgvoip.pc %{buildroot}%{_libdir}/pkgconfig

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/tgvoip/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/*.pc
