%define major      0
%define libname    %mklibname thai %{major}
%define libnamedev %mklibname thai -d

Summary:	Thai language support routines
Name:		libthai
Version:	0.1.29
Release:	%mkrel 2
License:	LGPLv2
Group:		System/Libraries
URL:		https://linux.thai.net/
Source:		https://linux.thai.net/pub/thailinux/software/libthai/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(datrie-0.2)
# for trietool:
BuildRequires:	trietool

%description
LibThai is a set of Thai language support routines aimed to ease
developers' tasks to incorporate Thai language support in their applications.
It includes important Thai-specific functions e.g. word breaking, input and
output methods as well as basic character and string supports.

%package -n     %{libname}
Summary:        Thai language support routines
Group:          System/Libraries
Requires:       thai-data

%description -n %{libname}
LibThai is a set of Thai language support routines aimed to ease
developers' tasks to incorporate Thai language support in their applications.
It includes important Thai-specific functions e.g. word breaking, input and
output methods as well as basic character and string supports.

%package -n     thai-data
Summary:        Thai language support data 
Group:          System/Libraries
Requires:       thai-data

%description -n thai-data
Data stuff for libthai.

%package -n     %{libnamedev}
Summary:        Thai language support routines
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       thai-devel = %{version}-%{release}

%description -n %{libnamedev}
The libthai-devel package includes the header files and developer docs
for the libthai package.

Install libthai-devel if you want to develop programs which will use
libthai.

%prep
%setup -q

%build
%configure --disable-static --disable-doxygen-doc
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc README AUTHORS COPYING ChangeLog
%{_libdir}/lib*.so.%{major}{,.*}
%{_libdir}/lib*.so.%{major}

%files -n %{libnamedev}
%{_includedir}/thai
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*

%files -n thai-data
%{_datadir}/libthai
