%define _disable_ld_no_undefined 1

%define fversion %{version}
%define major      0
%define decmajor   1
%define encmajor   1
%define libname    %mklibname theora %major
%define libnamedec %mklibname theoradec %decmajor
%define libnameenc %mklibname theoraenc %decmajor
%define develname  %mklibname theora -d

Summary: Theora video compression codec
Name: libtheora
Version: 1.1.1
Release: %mkrel 16
License: BSD
Group: System/Libraries
URL: https://www.theora.org/
Source0: https://downloads.xiph.org/releases/theora/%{name}-%{fversion}.tar.bz2
#gw this is from texlive, it is not part of tetex
Source1: ltablex.sty
Patch0: libtheora-1.1.1-linking.patch

BuildRequires: automake >= 1.7.9
BuildRequires: autoconf2.5 >= 2.54
BuildRequires: pkgconfig(vorbis) >= 1.0.1
BuildRequires: pkgconfig(sdl)
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(libpng)

%description
Ogg Theora is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed video format.

%package -n %{libname}
Summary: Theora video compression codec
Group: System/Libraries
Provides: %{name} = %{version}-%{release}

%description -n %{libname}
Ogg Theora is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed video format.

%package -n %{libnamedec}
Summary: Theora video decoder
Group: System/Libraries

%description -n %{libnamedec}
Ogg Theora is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed video format.

%package -n %{libnameenc}
Summary: Theora video encoder
Group: System/Libraries

%description -n %{libnameenc}
Ogg Theora is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed video format.

%package -n %develname
Summary: Headers for developing programs that will use %{name}
Group: Development/C
Requires: libogg-devel >= 1.0.1
Requires: %libname = %version
Requires: %libnameenc = %version
Requires: %libnamedec = %version
Provides: %name-devel = %version-%release
Obsoletes: %mklibname -d theora 0

%description -n %develname
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n theora-tools
Summary:	Command line tools for Theora videos
Group:		Video/Utilities

%description -n theora-tools
This package contains simple command line tools for use
with theora bitstreams.

%prep
%autosetup -p1 -n %name-%fversion

cp %SOURCE1 doc/spec/

#fix build against libpng
sed -i -e 's,png_sizeof,sizeof,g' ./examples/png2theora.c

%build
autoreconf -vfi -Im4
%configure \
	--disable-static
%make_build

%install
rm -rf %{buildroot} installed-docs
%make_install docdir=%_datadir/doc/libtheora
mv %buildroot%_datadir/doc/libtheora installed-docs
rm -f installed-docs/doxygen-build.stamp

#tools
install -Dpm 755 examples/.libs/dump_video %{buildroot}%{_bindir}/theora_dump_video
install -Dpm 755 examples/.libs/encoder_example %{buildroot}%{_bindir}/theora_encode
install -Dpm 755 examples/.libs/player_example %{buildroot}%{_bindir}/theora_player
install -Dpm 755 examples/.libs/png2theora %{buildroot}%{_bindir}/png2theora

%check
make check

%files -n %libname
%doc README COPYING
%_libdir/libtheora.so.%{major}{,.*}

%files -n %libnamedec
%doc README COPYING
%_libdir/libtheoradec.so.%{decmajor}{,.*}

%files -n %libnameenc
%doc README COPYING
%_libdir/libtheoraenc.so.%{encmajor}{,.*}

%files -n %develname
%doc installed-docs/*
%_includedir/theora/
%_libdir/libtheora.so
%_libdir/libtheoradec.so
%_libdir/libtheoraenc.so
%_libdir/pkgconfig/theora.pc
%_libdir/pkgconfig/theoradec.pc
%_libdir/pkgconfig/theoraenc.pc

%files -n theora-tools
%{_bindir}/*
