%define major 6
%define libname %mklibname tiff %{major}
%define develname %mklibname tiff -d
%define staticdevelname %mklibname tiff -d -s

#define prerel rc2

Summary:	A library of functions for manipulating TIFF format image files
Name:		libtiff
Version:	4.7.0
Release:	%mkrel %{?prerel:0.%prerel.}1
License:	BSD-like
Group:		System/Libraries
URL:		http://www.simplesystems.org/%{name}/
Source0:	https://download.osgeo.org/%{name}/tiff-%{version}%{?prerel}.tar.xz
#
# Security Patches
# P100 -> ...
#
Patch101:	libtiff-CVE-2015-7554.patch
Patch102:	libtiff-CVE-2018-12900.patch
BuildRequires:	jbig-devel
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(freeglut)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(libzstd)
BuildRequires:	pkgconfig(libwebp)

%description
The libtiff package contains a library of functions for manipulating TIFF
(Tagged Image File Format) image format files. TIFF is a widely used file
format for bitmapped images. TIFF files usually end in the .tif extension
and they are often quite large.

%package	progs
Summary:	Binaries needed to manipulate TIFF format image files
Group:		Graphics/Utilities
Requires:	%{libname} = %{version}
Obsoletes:	libtiff3-progs
Provides:	libtiff3-progs = %{version}-%{release}

%description	progs
This package provides binaries needed to manipulate TIFF format image files.

%package -n	%{libname}
Summary:	A library of functions for manipulating TIFF format image files
Group:		System/Libraries
Obsoletes:	%{name} < %{version}
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
The libtiff package contains a library of functions for manipulating TIFF
(Tagged Image File Format) image format files. TIFF is a widely used file
format for bitmapped images. TIFF files usually end in the .tif extension
and they are often quite large.

%package -n	%{develname}
Summary:	Development tools for programs which will use the libtiff library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	tiff-devel = %{version}-%{release}
Obsoletes:	%{mklibname tiff 3 -d}

%description -n	%{develname}
This package contains the header files and .so libraries for developing
programs which will manipulate TIFF format image files using the libtiff
library.

%package -n	%{staticdevelname}
Summary:	Static libraries for programs which will use the libtiff library
Group:		Development/C
Requires:	%{develname} = %{version}
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	tiff-static-devel = %{version}-%{release}
Obsoletes:	%{mklibname tiff 3 -d -s}

%description -n	%{staticdevelname}
This package contains the static libraries for developing
programs which will manipulate TIFF format image files using the libtiff
library.

%prep
%setup -q -n tiff-%{version}
%autopatch -p1

%build
#./autogen.sh
%configure --enable-static --with-docdir=%{_datadir}/doc/%{develname} --enable-ld-version-script
%make_build

%check
LD_LIBRARY_PATH=$PWD:$LD_LIBRARY_PATH make check

%install
%make_install

find %{buildroot}%{_libdir} -name '*.la' -delete

# remove man pages for programs that are not provided anymore
rm -f %{buildroot}%{_mandir}/man1/rgb2ycbcr.1*
rm -f %{buildroot}%{_mandir}/man1/thumbnail.1*

# multiarch policy
%multiarch_includes %{buildroot}%{_includedir}/tiffconf.h

%files progs
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc %{_datadir}/doc/%{develname}
%{_includedir}/*.h*
%{multiarch_includedir}/tiffconf.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*

%files -n %{staticdevelname}
%{_libdir}/*.a
