%define major 5
%define libname %mklibname tiger %major
%define develname %mklibname -d tiger
%define staticname %mklibname -s -d tiger

Summary: Text rendering library for Kate streams
Name: libtiger
Version: 0.3.4
Release: %mkrel 12
Source0: http://libtiger.googlecode.com/files/%{name}-%{version}.tar.gz
Patch: libtiger-0.3.3-fix-linking.patch
Patch1: libtiger-0.3.4-automake-fix.patch
License: LGPLv2+
Group: System/Libraries
Url: https://code.google.com/p/libtiger/
BuildRequires: pkgconfig(python)
BuildRequires: pkgconfig(kate)
BuildRequires: pkgconfig(pango)
BuildRequires: doxygen

%description
libtiger is a rendering library for Kate streams using Pango and Cairo.

%package -n %libname
Group: System/Libraries
Summary: Text rendering library for Kate streams

%description -n %libname
libtiger is a rendering library for Kate streams using Pango and Cairo.

%package -n %develname
Group: Development/C
Summary: Text rendering library for Kate streams
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release

%description -n %develname
libtiger is a rendering library for Kate streams using Pango and Cairo. 

%package -n %staticname
Group: Development/C
Summary: Text rendering library for Kate streams
Requires: %develname = %version-%release
Provides: %name-static-devel = %version-%release

%description -n %staticname
libtiger is a rendering library for Kate streams using Pango and Cairo.

%prep
%setup -q
%autopatch -p1
autoreconf -fi

%build
%configure
%make_build

%install
rm -rf %{buildroot} installed-docs
%make_install

rm -f %{buildroot}%{_libdir}/*.la
mkdir -p installed-docs
mv %buildroot%_datadir/doc/%name/html installed-docs
rm -rf %buildroot%_datadir/doc

%files -n %libname
%doc README THANKS AUTHORS
%_libdir/libtiger.so.%{major}*

%files -n %develname
%doc ChangeLog installed-docs/*
%_libdir/libtiger.so
%_libdir/pkgconfig/tiger.pc
%_includedir/tiger

%files -n %staticname
%_libdir/libtiger.a
