%define major 1
%define libname %mklibname tomcrypt %{major}
%define libname_devel %mklibname tomcrypt -d

%define tommath_version 1.0

Name:           libtomcrypt
Version:        1.18.2
Release:        %mkrel 6
Summary:        Comprehensive, portable cryptographic toolkit
Group:          System/Libraries
License:        Public Domain
URL:            https://www.libtom.net/LibTomCrypt/
Source0:        https://github.com/libtom/libtomcrypt/releases/download/v%{version}/crypt-%{version}.tar.xz
Patch0:         libtomcrypt-CVE-2019-17362.patch
BuildRequires:  ghostscript
BuildRequires:  ghostscript-dvipdf
BuildRequires:  latex
BuildRequires:  libtool
BuildRequires:  tetex-dvips
BuildRequires:  tetex-latex
BuildRequires:  texlive-texmf
BuildRequires:  pkgconfig(libtommath) >= %{tommath_version}

%description
A comprehensive, modular and portable cryptographic toolkit that
provides developers with a vast array of well known published block
ciphers, one-way hash functions, chaining modes, pseudo-random number
generators, public key cryptography and a plethora of other routines.

Designed from the ground up to be very simple to use. It has a modular
and standard API that allows new ciphers, hashes and PRNGs to be added
or removed without change to the overall end application. It features
easy to use functions and a complete user manual which has many source
snippet examples.

%package -n	%{libname}
Summary:        Comprehensive, portable cryptographic toolkit
Group:          System/Libraries

%description -n %{libname}
A comprehensive, modular and portable cryptographic toolkit that
provides developers with a vast array of well known published block
ciphers, one-way hash functions, chaining modes, pseudo-random number
generators, public key cryptography and a plethora of other routines.

Designed from the ground up to be very simple to use. It has a modular
and standard API that allows new ciphers, hashes and PRNGs to be added
or removed without change to the overall end application. It features
easy to use functions and a complete user manual which has many source
snippet examples.

%package -n	%{libname_devel}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:       tommath-devel >= %{tommath_version}
Provides:       tomcrypt-devel = %{version}-%{release}

%description -n %{libname_devel}
The %{libname_devel} package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%autopatch -p1

# Fix pkgconfig path
sed -i \
    -e 's|^libdir=.*|libdir=%{_libdir}|g' \
    %{name}.pc.in

%build
%set_build_flags
export CFLAGS="%{optflags} -DLTM_DESC -DUSE_LTM"
%make_build -f makefile docs
%make_build LIBPATH=%{_libdir} -f makefile.shared

%check
%__make LIBPATH=%{_libdir} -f makefile.shared test
./test

%install
%make_install INSTALL_OPTS="-m 755" PREFIX=%{_prefix} INCPATH=%{_includedir} LIBPATH=%{_libdir} -f makefile.shared

find %{buildroot} -name "*.la" -delete
find %{buildroot} -name '*.a' -delete

%files -n %{libname}
%doc LICENSE
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{libname_devel}
%doc doc/crypt.pdf
%{_includedir}/tomcrypt*.h
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
