%define major		1
%define libname		%mklibname tommath %{major}
%define libname_devel	%mklibname tommath -d

Summary:	Portable number theoretic multiple-precision integer library
Name:		libtommath
Version:	1.3.0
Release:	%mkrel 1
Group:		System/Libraries
License:	Public Domain
URL:		https://www.libtom.net/LibTomMath/
Source0:	https://github.com/libtom/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:	ghostscript
BuildRequires:	libtool
BuildRequires:	libtiff-progs

%description
A free open source portable number theoretic multiple-precision integer
library written entirely in C. (phew!). The library is designed to
provide a simple to work with API that provides fairly efficient
routines that build out of the box without configuration.

%package -n	%{libname}
Summary:	Portable number theoretic multiple-precision integer library
Group:		System/Libraries

%description -n	%{libname}
A free open source portable number theoretic multiple-precision integer
library written entirely in C. (phew!). The library is designed to
provide a simple to work with API that provides fairly efficient
routines that build out of the box without configuration.

%package -n	%{libname_devel}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	tommath-devel = %{version}-%{release}

%description -n %{libname_devel}
The %{libname_devel} package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%autopatch -p1

# Fix permissions on installed library
sed -i -e 's/644 $(LIBNAME)/755 $(LIBNAME)/g' makefile.shared

# Fix pkgconfig path
sed -i \
    -e 's|^libdir=.*|libdir=%{_libdir}|g' \
    %{name}.pc.in

%build
%set_build_flags
%make_build LIBPATH=%{_libdir} -f makefile.shared

%install
%make_install PREFIX=%{_prefix} INCPATH=%{_includedir} LIBPATH=%{_libdir} -f makefile.shared

find %{buildroot} -name "*.*a" -delete

%files -n %{libname}
%license LICENSE
%{_libdir}/*.so.%{major}{,.*}

%files -n %{libname_devel}
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
