%define shortname	torrent-rasterbar
%define major		2.0
%define libname		%mklibname %{shortname} %{major}
%define develname	%mklibname %{shortname} -d

%global binding		1
%define url_ver	        %(echo %{version}|sed 's/[.]/_/g')

Summary:	The Rasterbar BitTorrent library
Name:		libtorrent-rasterbar
Version:	2.0.10
Release:	%mkrel 5
License:	BSD
Group:		System/Libraries
URL:		https://libtorrent.org/
Source0:	https://github.com/arvidn/libtorrent/releases/download/v%{version}/libtorrent-rasterbar-%{version}.tar.gz
Patch2:		0001-pkgconfig-dir.patch
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(python3)

%description
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible.

%package -n %{libname}
Group:		System/Libraries
Summary:	The Rasterbar BitTorrent library

%description -n %{libname}
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible.

%package -n python3-%{name}
Group:		System/Libraries
Summary:	The Rasterbar BitTorrent library's Python 3 bindings
Requires:	%{libname} = %{version}-%{release}
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible. This package contains Python 3 bindings.

%package -n %{develname}
Group:		Development/C
Summary:	The Rasterbar BitTorrent library's development headers
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible. This package contains development libraries and headers.

%prep
%setup -q
%autopatch -p1

%build
export PYTHON=%{__python3}

%global _smp_nthreads_max 4
%cmake -G Ninja \
	-Dbuild_tests=ON \
	-Dbuild_tools=ON \
%if %binding
	-Dpython-bindings=ON \
	-Dpython-egg-info=ON \
	-Dpython-install-system-dir=ON \
%else
	-Dpython-bindings=OFF \
%endif

%cmake_build

%install
%cmake_install

# Written version is malformed
sed -i 's/^Version:.*/Version: %{version}/' %{buildroot}%{python3_sitearch}/libtorrent.egg-info/PKG-INFO

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{version}

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/libtorrent
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/cmake/Modules/FindLibtorrentRasterbar.cmake
%{_libdir}/cmake/LibtorrentRasterbar/

%if %binding
%files -n python3-%{name}
%{python3_sitearch}/*.so
%{python3_sitearch}/*.egg-info
%endif
