%define major   0
%define libname %mklibname tpms %major
%define devname %mklibname tpms -d

Name:           libtpms
Version:        0.10.0
Release:        %mkrel 2
Group:          System/Libraries
Summary:        Library providing Trusted Platform Module (TPM) functionality
License:        BSD
Url:            https://github.com/stefanberger/libtpms
Source0:        https://github.com/stefanberger/libtpms/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0001:      0001-tpm2-Add-padding-to-OBJECT-for-32bit-targets.patch

BuildRequires:  pkgconfig(openssl)
BuildRequires:  gawk
BuildRequires:  sed
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  libtool
BuildRequires:  bash
BuildRequires:  coreutils
BuildRequires:  gcc-c++

%description
A library providing TPM functionality for VMs.
Targeted for integration into Qemu.

%package        -n %libname
Summary:        Library for libtpms
Group:          System/Libraries

%description   -n %libname
A library providing TPM functionality for VMs.
Targeted for integration into Qemu.

%package        -n %devname
Summary:        Include files for libtpms
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description   -n %devname
Libtpms header files and documentation.

%prep
%autosetup -p1

%build
NOCONFIGURE=1 sh autogen.sh
%configure --disable-static --with-tpm2 --with-openssl
%make_build

%install
%make_install

%check
make check

%files -n %libname
%license LICENSE
%doc README CHANGES
%{_libdir}/lib*.so.%{major}{,*}

%files -n %devname
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*
