%define libname      %mklibname txc-dxtn
%define devellibname %mklibname txc-dxtn -d

Name:           libtxc_dxtn
Summary:        S3 Texture Compression (S3TC) extension for Mesa
# fix update from mdv/plf:
Epoch:          1
Version:        1.0.1
Release:        %mkrel 13
Group:          System/Libraries
License:        BSD
URL:            https://dri.freedesktop.org/wiki/S3TC
Source0:        https://cgit.freedesktop.org/~mareko/libtxc_dxtn/snapshot/libtxc_dxtn-%{version}.tar.gz
BuildRequires:  mesagl-devel

%description
An open source implementation of the S3 Texture Compression (S3TC)
for use with the open source OpenGL implementation Mesa.

This provides the GLX extension GL_EXT_texture_compression_s3tc.

This package is in the "tainted" section because S3TC is covered by software
patents.

#-----------------------------------------------------------

%package -n     %{devellibname}
Summary:        S3 Texture Compression (S3TC) extension for Mesa
Group:          System/Libraries
Requires:       %{libname} = %{epoch}:%{version}

%description -n %{devellibname}
An open source implementation of the S3 Texture Compression (S3TC)
for use with the open source OpenGL implementation Mesa.

This provides the GLX extension GL_EXT_texture_compression_s3tc.

This package is in the "tainted" section because S3TC is covered by software
patents.

%package -n     %{libname}
Summary:        S3 Texture Compression (S3TC) extension for Mesa
Group:          System/Libraries
Provides:       %{name} = %{version}
Conflicts:      %{_lib}txc-dxtn-devel < 1.0.1-3

%description -n %{libname}
An open source implementation of the  S3 Texture Compression (S3TC)
for use with the open source OpenGL implementation Mesa.

This provides the GLX extension GL_EXT_texture_compression_s3tc.

This package is in the "tainted" section because S3TC is covered by software
patents.

#-----------------------------------------------------------

%prep
%setup -q
mkdir -p m4

%build
NOCONFIGURE=1 ./autogen.sh
%configure
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc Changelog
%{_libdir}/%{name}.so

%files -n %{devellibname}
%doc Changelog
%{_includedir}/txc_dxtn.h
