%define major     6
%define libname   %mklibname unibreak %{major}
%define develname %mklibname unibreak -d

%define           altver 6_1

Name:           libunibreak
Version:        6.1
Release:        %mkrel 1
Summary:        Unicode line-breaking library
License:        Zlib
Group:          System/Libraries
URL:            https://github.com/adah1972/libunibreak
Source0:        https://github.com/adah1972/libunibreak/releases/download/libunibreak_%{altver}/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig

%description
Libunibreak is the successor of liblinebreak, an implementation of the line
breaking algorithm as described in Unicode 6.0.0 Standard Annex 14, Revision
26, available at http://www.unicode.org/reports/tr14/tr14-26.html

It is designed to be used in a generic text renderer. FBReader is one
real-world example, and you may also check some simple sample code, like
showbreak and breaktext.

#------------------------------------------------

%package -n %{libname}
Summary:        Unicode line-breaking library
Group:          System/Libraries

%description -n %{libname}
Libunibreak is an implementation of the line breaking and word breaking
algorithm as described in Unicode Standard Annex 14 and Unicode Standard
Annex 29.

#------------------------------------------------

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	unibreak-devel = %{version}-%{release}

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#------------------------------------------------

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure \
	--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -print -delete

%files -n %{libname}
%license LICENCE
%doc AUTHORS NEWS README.md
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{develname}
%license LICENCE
%doc AUTHORS NEWS README.md
%{_includedir}/*
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
