%define lib_major	2
%define lib_name	%mklibname unicap %{lib_major}
%define develname	%mklibname unicap -d

Summary:	Library to access different kinds of ( video ) capture devices
Name:		libunicap
Version:	0.9.12
Release:	%mkrel 17
License:	GPLv2+
Group:		System/Libraries
Url:		https://unicap-imaging.org/
Source0:	https://unicap-imaging.org/downloads/%{name}-%{version}.tar.gz
Patch0:		unicap-0.9.6-v4l1.patch
Patch1:		libunicap-0.9.12-link.patch
Patch2:		libunicap-0.9.12-includes.patch
Patch3:		libunicap-0.9.12-memerrs.patch
Patch4:		libunicap-0.9.12-arraycmp.patch
Patch5:		libunicap-0.9.12-warnings.patch
Patch6:		libunicap-bz641623.patch
Patch7:		libunicap-bz642118.patch
Patch8:		libunicap-0.9.12-udevrules-dir.patch
Patch9:		libunicap-0.9.12-datadirname.patch
Patch10:	libunicap-0.9.12-gcc10.patch
Patch11:	libunicap-de-encoding.patch
Patch12:	libunicap-gcc14-fix.patch

BuildRequires:	pkgconfig(libraw1394)
BuildRequires:	gtk-doc
BuildRequires:	intltool

%description
unicap is a library to access different kinds of ( video ) capture devices.

%package -n %{lib_name}
Summary:	Dynamic libraries for Unicap
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{lib_name}
unicap is a library to access different kinds of ( video ) capture devices.

%package -n %{develname}
Summary:	Static libraries, include files for Unicap
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}

%description -n %{develname}
Static library and headers file
needed in order to develop applications using unicap.

%prep
%setup -q
%patch -P 0 -p0
%patch -P 1 -p0
%patch -P 2 -p1
%patch -P 3 -p1
%patch -P 4 -p1
%patch -P 5 -p1
%patch -P 6 -p1
%patch -P 7 -p1
%patch -P 8 -p0
%patch -P 9 -p1
%patch -P 10 -p1
%patch -P 11 -p1
%patch -P 12 -p1

sed -i -e 's/\(SYSFS\|ATTRS\)/ATTRS/g' data/50-euvccam.rules

# fix build with autoconf 2.69d
sed -i -e 's/AM_GNU_GETTEXT.*/AM_GNU_GETTEXT([external])\nAM_GNU_GETTEXT_REQUIRE_VERSION([0.21])/' configure.*

%build
autoreconf -vfi

%configure --disable-v4l --disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang unicap

%files -f unicap.lang
%{_udevrulesdir}/*
%{_libdir}/unicap%{lib_major}

%files -n %{lib_name}
%{_libdir}/*.so.%{lib_major}{,.*}

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/libunicap
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
