%define major      5
%define libname    %mklibname unistring %{major}
%define develname  %mklibname unistring -d

Summary:        GNU Unicode string library
Name:           libunistring
Version:        1.2
Release:        %mkrel 2
License:        LGPLv3+ or GPLv2
Group:          System/Libraries
Url:            https://www.gnu.org/software/libunistring/
Source0:        https://ftp.gnu.org/gnu/libunistring/%{name}-%{version}.tar.xz
BuildRequires:  locales-fr
BuildRequires:  texinfo

%description
This library implements Unicode strings (in three flavours: UTF-8
strings, UTF-16 strings, UTF-32 strings), together with functions for
Unicode charactets (character names, classifications, properties) and
functions for string processing (formatted output, width, word breaks,
line breaks, normalization, case folding, regular expressions).

%package -n     %{libname}
Group:          System/Libraries
Summary:        GNU Unicode string library

%description -n %{libname}
This library implements Unicode strings (in three flavours: UTF-8
strings, UTF-16 strings, UTF-32 strings), together with functions for
Unicode charactets (character names, classifications, properties) and
functions for string processing (formatted output, width, word breaks,
line breaks, normalization, case folding, regular expressions).

%package -n     %{develname}
Group:          Development/C
Summary:        GNU Unicode string library - development files
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       unistring-devel = %{version}-%{release}

%description -n %{develname}
This library implements Unicode strings (in three flavours: UTF-8
strings, UTF-16 strings, UTF-32 strings), together with functions for
Unicode charactets (character names, classifications, properties) and
functions for string processing (formatted output, width, word breaks,
line breaks, normalization, case folding, regular expressions).

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install

rm -rf %{buildroot}%{_docdir}/%{name}

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc AUTHORS NEWS README HACKING DEPENDENCIES THANKS ChangeLog
%{_libdir}/libunistring.so.%{major}{,.*}

%files -n %{develname}
%doc doc/*.html
%{_libdir}/libunistring.so
%{_infodir}/libunistring.info*
%{_includedir}/unistring
%{_includedir}/*.h
