%define major     17
%define libname   %mklibname upnp %{major}

%define ixmlmajor 11
%define libixml   %mklibname ixml %{ixmlmajor}

%define develname %mklibname upnp -d

Summary:        Library and tools for the UPnP protocol
Name:           libupnp
Version:        1.14.20
Release:        %mkrel 2
License:        BSD
Group:          System/Libraries
URL:            https://github.com/pupnp/pupnp
Source0:        https://github.com/pupnp/pupnp/releases/download/release-%{version}/%{name}-%{version}.tar.bz2
Patch1:         libupnp-CMake.patch
BuildRequires:  cmake
BuildRequires:  pkgconfig(openssl)

%description
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.

%package -n	%{libname}
Summary:        Library and tools for the UPnP protocol
Group:          System/Libraries

%description -n	%{libname}
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.

%package -n	%{libixml}
Summary:        Library and tools for the UPnP protocol
Group:          System/Libraries

%description -n	%{libixml}
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.

%package -n	%{develname}
Summary:        Header files and static libraries from %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libixml} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n	%{develname}
Libraries and includes files for developing programs based on %{name}.

%prep
%autosetup -p1

%build
%cmake -DUPNP_BUILD_STATIC:BOOL=OFF \
       -DUPNP_BUILD_SAMPLES:BOOL=OFF \
       -DUPNP_ENABLE_UNSPECIFIED_SERVER:BOOL=ON \
       -DUPNP_ENABLE_IPV6:BOOL=ON
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc COPYING ChangeLog THANKS
%{_libdir}/libupnp.so.%{major}{,.*}

%files -n %{libixml}
%{_libdir}/libixml.so.%{ixmlmajor}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/IXML/
%{_libdir}/cmake/UPNP/
