%global major   2
%define libname %mklibname uring %major
%define devname %mklibname uring -d

Name:           liburing
Version:        2.8
Release:        %mkrel 1
Summary:        Linux-native io_uring I/O access library
Group:          System/Libraries
License:        (GPLv2 with exceptions and LGPLv2+) or MIT
URL:            https://git.kernel.dk/cgit/liburing/
Source0:        https://brick.kernel.dk/snaps/%{name}-%{version}.tar.gz
Source1:        https://brick.kernel.dk/snaps/%{name}-%{version}.tar.gz.asc
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  make

%description
Provides native async IO for the Linux kernel, in a fast and efficient
manner, for both buffered and O_DIRECT.

%package -n %libname
Summary:        Linux-native io_uring I/O access library
Group:          System/Libraries

%description -n %libname
Provides native async IO for the Linux kernel, in a fast and efficient
manner, for both buffered and O_DIRECT.

%package -n %devname
Group:          Development/C
Summary:        Development files for Linux-native io_uring I/O access library
Requires:       %{libname}%{_isa} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       uring-devel = %{version}-%{release}

%description -n %devname
This package provides header files to include and libraries to link with
for the Linux-native io_uring.

%prep
%autosetup -p1

%build
%set_build_flags
./configure --prefix=%{_prefix} --libdir=%{_libdir} --libdevdir=%{_libdir} --mandir=%{_mandir} --includedir=%{_includedir}

%make_build

%install
%make_install

find %{buildroot} -name '*.a' -delete

%files -n %libname
%{_libdir}/liburing.so.%{major}{,.*}
%{_libdir}/liburing-ffi.so.%{major}{,.*}
%license COPYING

%files -n %devname
%{_includedir}/liburing/
%{_includedir}/liburing.h
%{_libdir}/liburing.so
%{_libdir}/liburing-ffi.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}-ffi.pc
%{_mandir}/man2/*
%{_mandir}/man3/*
%{_mandir}/man7/*
