%define api 0.1
%define major 4
%define libname		%mklibname usb-compat %{api} %{major}
%define devellibname	%mklibname -d usb-compat %{api}
%define sdevellibname	%mklibname -s -d usb-compat %{api}

Summary:	A library which allows userspace access to USB devices
Name:		libusb-compat
Version:	0.1.5
Release:	%mkrel 11
Source0:	https://downloads.sourceforge.net/libusb/%{name}-%{version}.tar.bz2
License:	LGPLv2+
Group:		System/Libraries
URL:		http://libusb.wiki.sourceforge.net/Libusb1.0
BuildRequires:	doxygen
BuildRequires:	pkgconfig(libusb-1.0) >= 0.9.1

%description
A compatibility layer allowing applications written for libusb-0.1 to work
with libusb-1.0. libusb-compat-0.1 attempts to look, feel, smell and walk
like libusb-0.1.

%package -n %{libname}
Summary:	%{summary}
Group:		System/Libraries
Requires(pre):	filesystem >= 2.1.9-18

%description -n %{libname}
A compatibility layer allowing applications written for libusb-0.1 to work
with libusb-1.0. libusb-compat-0.1 attempts to look, feel, smell and walk
like libusb-0.1.

%package -n %{devellibname}
Summary:	Development files for libusb-0.1
Group:		Development/C
Requires(pre):	filesystem >= 2.1.9-18
Requires:	%{libname} = %{version}-%{release}
Provides:	libusb-devel = %{version}-%{release}
Provides:	libusb0.1-devel = %{version}-%{release}
Provides:	usb-compat-devel = %{version}-%{release}
Provides:	usb0.1-devel = %{version}-%{release}

%description -n %{devellibname}
This package contains the header files, libraries  and documentation needed to
develop applications that use libusb-0.1.

%package -n %{sdevellibname}
Summary:	Static development files for libusb-0.1
Group:		Development/C
Requires(pre):	filesystem >= 2.1.9-18
Requires:	%{devellibname} = %{version}-%{release}
Provides:	libusb0.1-static-devel = %{version}-%{release}
Provides:	libusb-static-devel = %{version}-%{release}

%description -n %{sdevellibname}
This package contains static libraries to develop applications that use
libusb0.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install
%multiarch_binaries %{buildroot}%{_bindir}/libusb-config

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS COPYING README NEWS
%{_libdir}/libusb-%{api}.so.%{major}{,.*}

%files -n %{devellibname}
%doc examples/*.c
%{_libdir}/pkgconfig/libusb.pc
%{_includedir}/usb.h
%{_libdir}/libusb.so
%{multiarch_bindir}/libusb-config
%{_bindir}/libusb-config

%files -n %{sdevellibname}
%{_libdir}/libusb.a
