%define api 1.0
%define major 0
%define libname %mklibname usb %{api} %{major}
%define devellibname %mklibname -d usb %{api}
%define fversion 1.0.27
#define pre rc3
%define fpre %{?pre:-%{pre}}

Summary:	Library for accessing USB devices
Name:		libusb
Version:	%{fversion}%{?pre:~%{pre}}
Release:	%mkrel 1

Source0:	https://github.com/libusb/libusb/releases/download/v%{fversion}/libusb-%{fversion}%{fpre}.tar.bz2
License:	LGPLv2+
Group:		System/Libraries
URL:		https://libusb.info/

BuildRequires:	doxygen
BuildRequires:	pkgconfig(udev)

%description
This package provides a way for applications to access USB devices.

Libusb is a C library that gives applications easy access to USB devices on
many different operating systems.

Note that this library is not compatible with the original libusb-0.1 series,
if you need libusb-0.1 compatibility install the libusb-compat package.


%package -n	%{libname}
Summary:	%{summary}
Group:		System/Libraries
Requires(pre):	filesystem >= 2.1.9-18
Obsoletes:	%{_lib}usbx1.0_0 < 1.0.13

%description -n	%{libname}
This package provides a way for applications to access USB devices.

Libusb is a C library that gives applications easy access to USB devices on
many different operating systems.

Note that this library is not compatible with the original libusb-0.1 series,
if you need libusb-0.1 compatibility install the libusb-compat package.


%package -n	%{devellibname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:	libusb1-devel = %{version}
Provides:	libusbx-devel = %{version}
Provides:	%{name}-devel = %{version}
Provides:	usb1-devel = %{version}
Provides:	usb1.0-devel = %{version}
Obsoletes:	%{_lib}usb1.0-static-devel <= 1.0.9
Obsoletes:	%{_lib}usbx1.0-devel < 1.0.13
Requires(pre):	filesystem >= 2.1.9-18

%description -n	%{devellibname}
The %{devellibname} package contains libraries and header files for
developing applications that use %{name}.


%package	devel-doc
Summary:	Development documentation for %{name}
Group:		Development/C
BuildArch:	noarch
Requires:	pkgconfig(libusb-1.0) = %{fversion}
Provides:	libusbx-devel-doc

%description	devel-doc
This package contains API documentation for %{name}.


%package        tests-examples
Summary:        Tests and examples for %{name}
Requires:       %{libname}%{?_isa} = %{version}-%{release}

%description tests-examples
This package contains tests and examples for %{name}.


%prep
%autosetup -p1 -n %{name}-%{fversion}%{fpre}


%build
%configure --disable-static --enable-examples-build
%make_build

pushd doc
  doxygen -u doxygen.cfg
  make docs
popd

pushd tests
  make
popd


%install
%make_install

install -Dpm 755 examples/.libs/testlibusb \
    $RPM_BUILD_ROOT%{_bindir}/libusb-test-libusb

# Some examples are very device-specific / require specific hw and miss --help
# So we only install a subset of more generic / useful examples
for i in fxload listdevs xusb; do
    install -m 755 examples/.libs/$i \
        $RPM_BUILD_ROOT%{_bindir}/libusb-example-$i
done

%check
LD_LIBRARY_PATH=libusb/.libs $RPM_BUILD_ROOT%{_bindir}/libusb-test-libusb
LD_LIBRARY_PATH=libusb/.libs $RPM_BUILD_ROOT%{_bindir}/libusb-example-listdevs

%files -n %{libname}
%license COPYING
%doc AUTHORS README ChangeLog
%{_libdir}/libusb-%{api}.so.%{major}{,.*}

%files -n %{devellibname}
%{_libdir}/pkgconfig/libusb-%{api}.pc
%{_includedir}/libusb-%{api}
%{_libdir}/libusb-%{api}.so

%files devel-doc
%doc doc/api-1.0 examples/*.c

%files tests-examples
%{_bindir}/libusb-example-fxload
%{_bindir}/libusb-example-listdevs
%{_bindir}/libusb-example-xusb
%{_bindir}/libusb-test-libusb
