# https://github.com/libimobiledevice/libusbmuxd
# git snapshot from commit b097ea39f391f5c2c83d8f4687843a3634f7cd54

# comment out when not a git snapshot
#define git	20190802

%define rel	1

%define major	7
%define api	2.0
%define libname	%mklibname usbmuxd %{api} %{major}
%define devname	%mklibname usbmuxd -d

Name:		libusbmuxd
Version:	2.1.0
Release:	%mkrel %{?git:0.git%git.}%{rel}
Summary:	Client library USB multiplex daemon for Apple's iOS devices
Group:		System/Libraries
License:	LGPLv2+
Url:		https://www.libimobiledevice.org/
Source0:	https://www.libimobiledevice.org/downloads/%{name}-%{version}.tar.bz2
#Source0:	https://github.com/libimobiledevice/libusbmuxd/archive/%%{version}/%%{name}-%%{version}.tar.gz
BuildRequires:	pkgconfig(libplist-2.0) >= 2.2.0
BuildRequires:	pkgconfig(libimobiledevice-glue-1.0)

%description
libusbmuxd is the client library used for communicating with Apple's iPod Touch,
iPhone, iPad and Apple TV devices. It allows multiple services on the device to
be accessed simultaneously.

#-------------------------------------------------

%package -n	%{libname}
Group:		System/Libraries
Summary:	Library to access the usbmuxd daemon

%description -n	%{libname}
libusmuxd is used to communicate with the usbmuxd daemon by apps wishing to 
interact with Apple's iPod Touch and iPhone.

#-------------------------------------------------

%package -n	%{devname}
Summary:	Development package for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
Files for development with %{name}.

#-------------------------------------------------
%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%{_bindir}/inetcat
%{_bindir}/iproxy
%{_mandir}/man1/inetcat.1*
%{_mandir}/man1/iproxy.1*

%files -n %{libname}
%doc README.md AUTHORS
%license COPYING
%{_libdir}/%{name}-%{api}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/*.h
%{_libdir}/%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc
