%define	major		1
%define libname		%mklibname user %{major}
%define develname	%mklibname user -d

# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so

%bcond_with selinux

Summary:	A user and group account administration library
Name:		libuser
Version:	0.64
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Configuration
# VCS: https://fedorahosted.org/libuser/browser
URL:		https://pagure.io/libuser
Source0:	http://releases.pagure.org/libuser/%{name}-%{version}.tar.gz
# crypt returns *0 if key is small than 22 and rounds are not given
Patch2:		libuser-0.64-fix_blowfish.patch
Patch3:		libuser-0.62-create-homedir-segfault.patch
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel
BuildRequires:	openldap-devel
BuildRequires:	linuxdoc-tools
BuildRequires:	pam-devel
BuildRequires:	popt-devel
%if %{with selinux}
BuildRequires:	selinux-devel
%endif
BuildRequires:	bison
BuildRequires:	openssl
BuildRequires:	locales-en
BuildRequires:	python3-devel
BuildRequires:	bison
BuildRequires:	gtk-doc

Requires:	coreutils
Requires(pre):	coreutils

%description
The libuser library implements a standardized interface for manipulating
and administering user and group accounts.  The library uses pluggable
back-ends to interface to its data sources.

Sample applications modeled after those included with the shadow password
suite are included.

%package -n python3-%{name}
Group:		Development/Python
Summary:	Library bindings for python3
Requires:	%{libname} = %{version}-%{release}

Obsoletes:	libuser-python3 < 0.62-15
Provides:	libuser-python3 = %{version}-%{release}

%description -n python3-%{name}
This package contains the python3 library for python3 applications that
use libuser.

%package ldap
Group:		System/Libraries
Summary:	Libuser ldap library
Requires:	%{libname} = %{version}-%{release}

%description ldap
This package contains the libuser ldap library.

%package -n %{libname}
Group:		System/Libraries
Summary:	The actual libraries for libuser
Requires:	%{name} = %{version}-%{release}

%description -n	%{libname}
This is the actual library for the libuser library.

%package -n %{develname}
Group:		Development/C
Summary:	Files needed for developing applications which use libuser
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The libuser-devel package contains header files, static libraries, and other
files useful for developing applications with libuser.

%prep
%autosetup -p1

%build
./autogen.sh
%configure \
	--with-ldap \
	--with-python \
	--with-popt \
	--without-sasl \
	--disable-rpath \
%if %{with selinux}
	--with-selinux \
%endif
	--enable-gtk-doc \
	--with-html-dir=%{_datadir}/gtk-doc/html \
	PYTHON=%{__python3}
%make_build

%install
%make_install

%find_lang %{name}

# Remove unpackaged files
rm -rf  %{buildroot}%{python3_sitearch}/*a \
        %{buildroot}%{_libdir}/%{name}/*.la \
        %{buildroot}%{_libdir}/*.la

%if 0
%check
make check

LD_LIBRARY_PATH=%{buildroot}%{_libdir}:${LD_LIBRARY_PATH}
export LD_LIBRARY_PATH

# Verify that all python modules load, just in case.
pushd %{buildroot}%{python3_sitearch}/
# The Python 3 module only supports UTF-8
LC_ALL=en_US.UTF-8 \
%{__python3} -c "import libuser"
popd
%endif

# (mga6) fix update to 0.62 or to CVE-2015-3246:
%triggerin -n %{libname} -- %{libname} <= 0.62-8.mga6
rm -f /etc/shadow.lock

%files -f %{name}.lang
%doc AUTHORS NEWS README TODO docs/*.txt python/modules.txt
%config(noreplace) %{_sysconfdir}/libuser.conf
%{_bindir}/*
%{_sbindir}/*
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/libuser_files.so
%{_libdir}/%{name}/libuser_shadow.so
%{_mandir}/man5/*
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libuser.so.%{major}{,.*}

%files -n python3-%{name}
%{python3_sitearch}/*.so

%files ldap
%{_libdir}/%{name}/libuser_ldap.so

%files -n %{develname}
%{_includedir}/libuser/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gtk-doc/html/*
