%define major	0
%define libname	%mklibname utempter %{major}
%define devname	%mklibname utempter -d

Summary:	A privileged helper for utmp/wtmp updates
Name:		libutempter
Version:	1.2.1
Release:	%mkrel 3
License:	LGPLv2+
Group:		System/Libraries
URL:		ftp://ftp.altlinux.org/pub/people/ldv/utempter
Source0:	ftp://ftp.altlinux.org/pub/people/ldv/utempter/%{name}-%{version}.tar.gz
Patch0:		libutempter-pierelro.patch
Patch1:		libutempter-1.2.0-sanitize-linking-naming.patch

Requires(pre):	shadow-utils

%rename		utempter

%description
The utempter library provides interface for terminal emulators such as
screen and xterm to record user sessions to utmp and wtmp files.

%package -n	%{libname}
Summary:	Library used by %{name}
Group:		System/Libraries

%description -n	%{libname}
The utempter library provides interface for terminal emulators such as
screen and xterm to record user sessions to utmp and wtmp files.

%package -n	%{devname}
Summary:	Devel files for %{name}
Group:		Development/C
Provides:	utempter-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{devname}
This package contains development files required to build
utempter-based software.

%prep
%setup -q
%autopatch -p1

%build
%make_build CFLAGS="%{optflags}" libdir="%{_libdir}" libexecdir="%{_libexecdir}"

%install
%make_install libdir="%{_libdir}" libexecdir="%{_libexecdir}"

mkdir -p %{buildroot}%{_sbindir}
ln -sf %{_libexecdir}/utempter/utempter %{buildroot}%{_sbindir}/utempter

rm -f %{buildroot}%{_libdir}/*.a

%pre
{
    %{_sbindir}/groupadd -g 22 -r -f utmp || :
    %{_sbindir}/groupadd -g 35 -r -f utempter || :
}

%files
%doc README COPYING
%dir %attr(755,root,utempter) %{_libexecdir}/utempter
%attr(2711,root,utmp) %{_libexecdir}/utempter/utempter
%{_sbindir}/utempter
%{_mandir}/man3/*

%files -n %{libname}
%{_libdir}/libutempter.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/libutempter.so
%{_includedir}/utempter.h
