%define major           1
%define libname         %mklibname uv %{major}
%define develname       %mklibname uv -d
%define staticdevelname %mklibname uv -d -s

Name:           libuv
Version:        1.50.0
Release:        %mkrel 1
Summary:        Platform layer for node.js
# the licensing breakdown is described in detail in the LICENSE file
License:        MIT and BSD and ISC
Group:          Development/C
URL:            https://libuv.org/
Source0:        https://dist.libuv.org/dist/v%{version}/%{name}-v%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

%description
libuv is a new platform layer for Node. Its purpose is to abstract IOCP on
Windows and libev on Unix systems. We intend to eventually contain all
platform differences in this library.

%package -n     %{libname}
Summary:        Platform layer for node.js
Group:          Development/C
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
libuv is a new platform layer for Node. Its purpose is to abstract IOCP on
Windows and libev on Unix systems. We intend to eventually contain all
platform differences in this library.

%package -n     %{develname}
Summary:        Development libraries for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Development libraries for %{name}.

%package -n     %{staticdevelname}
Summary:        Platform layer for node.js - static library
Group:          Development/C
Requires:       %{develname} = %{version}-%{release}

%description -n %{staticdevelname}
Static library (.a) version of %{name}.

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
NOCONFIGURE=1 ./autogen.sh
%configure
%make_build

%install
%make_install

%check
# Tests are currently disabled because some require network access
# Working with upstream to split these out
#./run-tests
#./run-benchmarks

%files -n %{libname}
%doc README.md AUTHORS LICENSE
%{_libdir}/libuv.so.%{major}{,.*}

%files -n %{develname}
%doc README.md AUTHORS LICENSE
%{_libdir}/libuv.so
%{_libdir}/pkgconfig/libuv.pc
%{_includedir}/uv*.h
%{_includedir}/uv/

%files -n %{staticdevelname}
%{_libdir}/libuv.a
