%bcond_with bootstrap

%define major		2
%define libname		%mklibname va %{major}
%define develname	%mklibname va -d

Name:		libva
Version:	2.22.0
Release:	%mkrel 1
Summary:	Video Acceleration (VA) API for Linux
Group:		System/Libraries
License:	MIT
URL:		https://github.com/intel/libva
Source0:	https://github.com/intel/libva/archive/%{version}/%{name}-%{version}.tar.gz
%if %{without bootstrap}
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(gl)
%endif
BuildRequires:	pkgconfig(libdrm)
BuildRequires:	pkgconfig(wayland-client)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	meson

%description
Libva is a library providing the VA API video acceleration API.

%package -n	%{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n	%{libname}
Libva is a library providing the VA API video acceleration API.

%package -n	%{develname}
Summary:	Development headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Libva is a library providing the VA API video acceleration API. This
package contains libraries and header files for developing applications
that use %{name}.

%prep
%setup -q

%build
%meson \
	-Dwith_glx=%{?with_bootstrap:no}%{?!with_bootstrap:yes}
%meson_build

%install
%meson_install

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}{,.*}
%if %{without bootstrap}
%{_libdir}/%{name}-glx.so.%{major}{,.*}
%endif
%{_libdir}/%{name}-drm.so.%{major}{,.*}
%{_libdir}/%{name}-wayland.so.%{major}{,.*}
%{_libdir}/%{name}-x11.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/va
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/%{name}*.pc
