%define major           1
%define libname         %mklibname vdpau-va-gl %{major}

Name:           libvdpau-va-gl
Version:        0.4.2
Release:        %mkrel 5
Summary:        VDPAU driver with OpenGL/VAAPI back-end
Group:          System/Kernel and hardware

License:        LGPLv3
URL:            https://github.com/i-rinat/libvdpau-va-gl
Source0:        https://github.com/i-rinat/libvdpau-va-gl/archive/v%{version}.tar.gz

ExclusiveArch:  %ix86 x86_64

BuildRequires:  cmake
BuildRequires:  pkgconfig(vdpau)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libswscale)
BuildRequires:  pkgconfig(libva-glx)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)

Requires:       libva-intel-driver

%description 
VDPAU driver with OpenGL/VAAPI back-end.

%package -n %{libname}
Summary:        Shared library for %{name}
Group:          System/Libraries
Obsoletes:      libvdpau-va-gl < 0.3.4-4

%description -n %{libname}
VDPAU driver with OpenGL/VAAPI back-end.

%prep
%setup -q
%autopatch -p1

%build
%cmake \
  -DLIB_INSTALL_DIR=%{_libdir}/vdpau 
%cmake_build

%install
%cmake_install

#This automatically enable vdpau backend on intel i965
ln -s libvdpau_va_gl.so.1 %{buildroot}%{_libdir}/vdpau/libvdpau_i965.so.1


%files -n %{libname}
%doc ChangeLog LICENSE README.md
%{_libdir}/vdpau/libvdpau_va_gl.so.1
%exclude %{_libdir}/vdpau/libvdpau_va_gl.so
%exclude %{_libdir}/vdpau/*.la
#Hack - See above
%{_libdir}/vdpau/libvdpau_i965.so.1
