%define major 1
%define libname %mklibname verto %{major}
%define devname %mklibname -d verto

%define glib_major 1
%define glib_libname %mklibname verto-glib %{glib_major}
%define glib_devname %mklibname verto-glib -d

%define libevent_major 1
%define libevent_libname %mklibname verto-libevent %{libevent_major}
%define libevent_devname %mklibname verto-libevent -d

%define libev_major 1
%define libev_libname %mklibname verto-libev %{libev_major}
%define libev_devname %mklibname verto-libev -d

%define tevent_major 1
%define tevent_libname %mklibname verto-tevent %{tevent_major}
%define tevent_devname %mklibname verto-tevent -d

Name:           libverto
Version:        0.3.2
Release:        %mkrel 5
Summary:        Main loop abstraction library
Group:          System/Libraries
License:        MIT
URL:            https://fedorahosted.org/libverto/
Source0:        https://fedorahosted.org/releases/l/i/%{name}/%{name}-%{version}.tar.gz
Patch1:         libverto-0.2.6-configure-libev.patch
BuildRequires:  glib2-devel
BuildRequires:  pkgconfig(libevent)
BuildRequires:  pkgconfig(libev)
	
%description
libverto provides a way for libraries to expose asynchronous interfaces
without having to choose a particular event loop, offloading this
decision to the end application which consumes the library.

%package -n %{libname}
Summary:    Libraries for %{name}
Group:      System/Libraries
Obsoletes:  %tevent_libname < 0.3.2
Obsoletes:  %tevent_devname < 0.3.2

%description -n %{libname}
Libraries for %{name}.

%package -n %{devname}
Summary:    Development files for %{name}
Group:      Development/C
Provides:   %{name}-devel = %{version}-%{release}
Provides:   verto-devel = %{version}-%{release}
Requires:   %{libname} = %{version}-%{release}

%description -n %{devname}
Header files and development libraries for %{name}.

%package -n %{glib_libname}
Summary:    glib module for %{name}
Group:      System/Libraries
Requires:   %{libname} = %{version}-%{release}

%description -n %{glib_libname}
Module for %{name} which provides integration with glib.

This package does NOT yet provide %{name}-module-base.

%package -n %{glib_devname}
Summary:    Development files for %{name}-glib
Group:      Development/C
Requires:   %{glib_libname} = %{version}-%{release}
Provides:   libverto-glib-devel = %{version}-%{release}

%description -n %{glib_devname}
This package contains libraries and header files for
developing applications that use %{name}-glib.

%package -n %{libevent_libname}
Summary:    libevent module for %{name}
Group:      System/Libraries
Requires:   %{libname} = %{version}-%{release}
Provides:   %{name}-module-base = %{version}-%{release}

%description -n %{libevent_libname}
Module for %{name} which provides integration with libevent.

%package -n %{libevent_devname}
Summary:    Development files for %{name}-libevent
Group:      Development/C
Requires:   %{libevent_libname} = %{version}-%{release}
Provides:   libverto-libevent-devel = %{version}-%{release}

%description -n %{libevent_devname}
This package contains libraries and header files for
developing applications that use %{name}-libevent.

%package -n %{libev_libname}
Summary:    libev module for %{name}
Group:      System/Libraries
Requires:   %{libname} = %{version}-%{release}
Provides:   %{name}-module-base = %{version}-%{release}

%description -n %{libev_libname}
Module for %{name} which provides integration with libev.

This package provides %{name}-module-base since it supports io, timeout
and signal.

%package -n %{libev_devname}
Summary:    Development files for %{name}-libev
Group:      Development/C
Requires:   %{libev_libname} = %{version}-%{release}
Provides:   libverto-libev-devel = %{version}-%{release}

%description -n %{libev_devname}
This package contains libraries and header files for
developing applications that use %{name}-libev.

This package provides %{name}-module-base since it supports io, timeout
and signal.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name *.la | xargs rm -f

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/verto.h
%{_includedir}/verto-module.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n %{glib_libname}
%{_libdir}/%{name}-glib.so.%{glib_major}{,.*}

%files -n %{glib_devname}
%{_includedir}/verto-glib.h
%{_libdir}/%{name}-glib.so
%{_libdir}/pkgconfig/%{name}-glib.pc

%files -n %{libevent_libname}
%{_libdir}/%{name}-libevent.so.%{libevent_major}{,.*}

%files -n %{libevent_devname}
%{_includedir}/verto-libevent.h
%{_libdir}/%{name}-libevent.so
%{_libdir}/pkgconfig/%{name}-libevent.pc

%files -n %{libev_libname}
%{_libdir}/%{name}-libev.so.%{libev_major}{,.*}

%files -n %{libev_devname}
%{_includedir}/verto-libev.h
%{_libdir}/%{name}-libev.so
%{_libdir}/pkgconfig/%{name}-libev.pc
