# Please keep this package in sync with FC

%global with_mingw 0
%if 0%{?mageia}
%global with_mingw 0%{!?_without_mingw:1}
%endif

%define oname		virt

%define api		1.0
%define major		0

%define libname_glib		%mklibname %{oname}-glib %{api} %{major}
%define develname_glib		%mklibname %{oname}-glib %{api} -d

%define libname_gconfig		%mklibname %{oname}-gconfig %{api} %{major}
%define develname_gconfig	%mklibname %{oname}-gconfig %{api} -d

%define libname_gobject		%mklibname %{oname}-gobject %{api} %{major}
%define develname_gobject	%mklibname %{oname}-gobject %{api} -d


%define girmajor	1.0
%define girname_glib		%mklibname %{oname}-glib-gir %{girmajor}
%define girname_gconfig		%mklibname %{oname}-gconfig-gir %{girmajor}
%define girname_gobject		%mklibname %{oname}-gobject-gir %{girmajor}

Name:		libvirt-glib
Version:	5.0.0
Release:	%mkrel 2
Summary:	libvirt glib integration for events
Group:		System/Libraries
License:	LGPLv2+
URL:		https://libvirt.org/
Source0:	https://libvirt.org/sources/glib/%{name}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	pkgconfig(glib-2.0) >= 2.38.0
BuildRequires:	pkgconfig(libvirt) >= 1.2.5
BuildRequires:	gobject-introspection-devel
BuildRequires:	pkgconfig(libxml-2.0)
# Hack due to https://bugzilla.redhat.com/show_bug.cgi?id=613466
BuildRequires:	libtool
BuildRequires:	vala
BuildRequires:	vala-tools
BuildRequires:	gettext
BuildRequires:	gtk-doc

%if %{with_mingw}
BuildRequires:  mingw32-filesystem
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-glib2
BuildRequires:  mingw32-libvirt

BuildRequires:  mingw64-filesystem
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-glib2
BuildRequires:  mingw64-libvirt
%endif


%description
This package provides integration between libvirt and the glib
event loop.


# ---------------------------------------------------------------------------


%package -n %{libname_glib}
Group:		System/Libraries
Summary:	libvirt object APIs for processing object configuration
Provides:	%{mklibname %{oname}-glib %{major}} = %{version}-%{release}

%description -n %{libname_glib}
This package provides APIs for processing the object configuration
data.

%files -n %{libname_glib} -f %name.lang
%doc README COPYING AUTHORS NEWS
%{_libdir}/libvirt-glib-%{api}.so.%{major}{,.*}


%package -n %{develname_glib}
Group:		System/Libraries
Summary:	libvirt glib integration for events development files
Requires:	%{libname_glib} = %{version}-%{release}
Requires:	%{girname_glib} = %{version}-%{release}
Provides:	%{name}-glib-devel = %version-%release
Provides:	%{oname}-glib-devel = %{version}-%{release}

%description -n %{develname_glib}
This package provides development header files and libraries for
integration between libvirt and the glib event loop.

%files -n %{develname_glib}
%doc examples/event-test.c
%{_libdir}/libvirt-glib-%{api}.so
%{_libdir}/pkgconfig/libvirt-glib-%{api}.pc
%dir %{_includedir}/libvirt-glib-%{api}
%dir %{_includedir}/libvirt-glib-%{api}/libvirt-glib
%{_includedir}/libvirt-glib-%{api}/libvirt-glib/libvirt-glib.h
%{_includedir}/libvirt-glib-%{api}/libvirt-glib/libvirt-glib-*.h
%{_datadir}/gir-1.0/LibvirtGLib-%{girmajor}.gir
%{_datadir}/gtk-doc/html/Libvirt-glib
%{_datadir}/vala/vapi/libvirt-glib-%{api}.deps
%{_datadir}/vala/vapi/libvirt-glib-%{api}.vapi


%package -n %{girname_glib}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname_glib} = %{version}-%{release}

%description -n %{girname_glib}
GObject Introspection interface description for %{name}.

%files -n %{girname_glib}
%{_libdir}/girepository-1.0/LibvirtGLib-%{girmajor}.typelib


# ---------------------------------------------------------------------------


%package -n %{libname_gconfig}
Group:		System/Libraries
Summary:	libvirt object APIs for processing object configuration
Provides:	%{mklibname %{oname}-gconfig %{major}} = %{version}-%{release}

%description -n %{libname_gconfig}
This package provides APIs for processing the object configuration
data.

%files -n %{libname_gconfig}
%{_libdir}/libvirt-gconfig-%{api}.so.%{major}{,.*}


%package -n %{develname_gconfig}
Group:		System/Libraries
Summary:	libvirt object APIs for processing object configuration development files
Requires:	%{libname_gconfig} = %{version}-%{release}
Requires:	%{girname_gconfig} = %{version}-%{release}
Provides:	%{name}-gconfig-devel = %version-%release
Provides:	%{oname}-gconfig-devel = %{version}-%{release}

%description -n %{develname_gconfig}
This package provides development header files and libraries for
the object configuration APIs.

%files -n %{develname_gconfig}
%doc examples/event-test.c
%{_libdir}/libvirt-gconfig-%{api}.so
%{_libdir}/pkgconfig/libvirt-gconfig-%{api}.pc
%dir %{_includedir}/libvirt-gconfig-%{api}
%dir %{_includedir}/libvirt-gconfig-%{api}/libvirt-gconfig
%{_includedir}/libvirt-gconfig-%{api}/libvirt-gconfig/libvirt-gconfig.h
%{_includedir}/libvirt-gconfig-%{api}/libvirt-gconfig/libvirt-gconfig-*.h
%{_datadir}/gir-1.0/LibvirtGConfig-%{girmajor}.gir
%{_datadir}/gtk-doc/html/Libvirt-gconfig
%{_datadir}/vala/vapi/libvirt-gconfig-%{api}.deps
%{_datadir}/vala/vapi/libvirt-gconfig-%{api}.vapi


%package -n %{girname_gconfig}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname_gconfig} = %{version}-%{release}

%description -n %{girname_gconfig}
GObject Introspection interface description for %{name}.

%files -n %{girname_gconfig}
%{_libdir}/girepository-1.0/LibvirtGConfig-%{girmajor}.typelib


# ---------------------------------------------------------------------------


%package -n %{libname_gobject}
Group:		System/Libraries
Summary:	libvirt object APIs for managing virtualization hosts
Provides:	%{mklibname %{oname}-gobject %{major}} = %{version}-%{release}

%description -n %{libname_gobject}
This package provides APIs for managing virtualization host
objects.

%files -n %{libname_gobject}
%{_libdir}/libvirt-gobject-%{api}.so.%{major}{,.*}

%package -n %{develname_gobject}
Group:		System/Libraries
Summary:	libvirt object APIs for managing virtualization hosts development files
Requires:	%{libname_gobject} = %{version}-%{release}
Requires:	%{girname_gobject} = %{version}-%{release}
Requires:	%{develname_glib} = %{version}-%{release}
Requires:	%{develname_gconfig} = %{version}-%{release}
Provides:	%{name}-gobject-devel = %version-%release
Provides:	%{oname}-gobject-devel = %{version}-%{release}

%description -n %{develname_gobject}
This package provides development header files and libraries for
managing virtualization host objects.

%files -n %{develname_gobject}
%doc examples/event-test.c
%{_libdir}/libvirt-gobject-%{api}.so
%{_libdir}/pkgconfig/libvirt-gobject-%{api}.pc
%dir %{_includedir}/libvirt-gobject-%{api}
%dir %{_includedir}/libvirt-gobject-%{api}/libvirt-gobject
%{_includedir}/libvirt-gobject-%{api}/libvirt-gobject/libvirt-gobject.h
%{_includedir}/libvirt-gobject-%{api}/libvirt-gobject/libvirt-gobject-*.h
%{_datadir}/gir-1.0/LibvirtGObject-%{girmajor}.gir
%{_datadir}/gtk-doc/html/Libvirt-gobject
%{_datadir}/vala/vapi/libvirt-gobject-%{api}.vapi
%{_datadir}/vala/vapi/libvirt-gobject-%{api}.deps


%package -n %{girname_gobject}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname_gobject} = %{version}-%{release}

%description -n %{girname_gobject}
GObject Introspection interface description for %{name}.

%files -n %{girname_gobject}
%{_libdir}/girepository-1.0/LibvirtGObject-%{girmajor}.typelib


# ---------------------------------------------------------------------------


%if %{with_mingw}
%package -n mingw32-libvirt-glib
Summary: MingwGW Windows libvirt-gconfig virtualization library
BuildArch: noarch
Requires: pkgconfig

%package -n mingw32-libvirt-gconfig
Summary: MingwGW Windows libvirt-gconfig virtualization library
BuildArch: noarch
Requires: pkgconfig

%package -n mingw32-libvirt-gobject
Summary: MingwGW Windows libvirt-gobject virtualization library
BuildArch: noarch
Requires: pkgconfig

%package -n mingw64-libvirt-glib
Summary: MingwGW Windows libvirt-gconfig virtualization library
BuildArch: noarch
Requires: pkgconfig

%package -n mingw64-libvirt-gconfig
Summary: MingwGW Windows libvirt-gconfig virtualization library
BuildArch: noarch
Requires: pkgconfig

%package -n mingw64-libvirt-gobject
Summary: MingwGW Windows libvirt-gobject virtualization library
BuildArch: noarch
Requires: pkgconfig

%description -n mingw32-libvirt-glib
MinGW Windows libvirt-glib virtualization library.

%description -n mingw32-libvirt-gconfig
MinGW Windows libvirt-gconfig virtualization library.

%description -n mingw32-libvirt-gobject
MinGW Windows libvirt-gobject virtualization library.


%description -n mingw64-libvirt-glib
MinGW Windows libvirt-glib virtualization library.

%description -n mingw64-libvirt-gconfig
MinGW Windows libvirt-gconfig virtualization library.

%description -n mingw64-libvirt-gobject
MinGW Windows libvirt-gobject virtualization library.

%{?mingw_debug_package}
%endif

%prep
%autosetup -p1


%build
%meson -Drpath=disabled
%meson_build

%if %{with_mingw}
%mingw_meson -Drpath=disabled -Ddocs=disabled -Dintrospection=disabled -Dvapi=disabled
%mingw_ninja
%endif

%install
%meson_install

%find_lang %{name}

%if %{with_mingw}
%mingw_ninja_install

%mingw_debug_install_post

%mingw_find_lang libvirt-glib
%endif

%check
%meson_test

%if %{with_mingw}
%files -n mingw32-libvirt-glib -f mingw32-libvirt-glib.lang
%doc README COPYING AUTHORS NEWS
%{mingw32_bindir}/libvirt-glib-1.0-0.dll

%{mingw32_libdir}/libvirt-glib-1.0.dll.a

%{mingw32_libdir}/pkgconfig/libvirt-glib-1.0.pc

%dir %{mingw32_includedir}/libvirt-glib-1.0
%dir %{mingw32_includedir}/libvirt-glib-1.0/libvirt-glib
%{mingw32_includedir}/libvirt-glib-1.0/libvirt-glib/libvirt-glib.h
%{mingw32_includedir}/libvirt-glib-1.0/libvirt-glib/libvirt-glib-*.h

%files -n mingw64-libvirt-glib -f mingw64-libvirt-glib.lang
%doc README COPYING AUTHORS NEWS
%{mingw64_bindir}/libvirt-glib-1.0-0.dll

%{mingw64_libdir}/libvirt-glib-1.0.dll.a

%{mingw64_libdir}/pkgconfig/libvirt-glib-1.0.pc

%dir %{mingw64_includedir}/libvirt-glib-1.0
%dir %{mingw64_includedir}/libvirt-glib-1.0/libvirt-glib
%{mingw64_includedir}/libvirt-glib-1.0/libvirt-glib/libvirt-glib.h
%{mingw64_includedir}/libvirt-glib-1.0/libvirt-glib/libvirt-glib-*.h



%files -n mingw32-libvirt-gconfig
%{mingw32_bindir}/libvirt-gconfig-1.0-0.dll

%{mingw32_libdir}/libvirt-gconfig-1.0.dll.a

%{mingw32_libdir}/pkgconfig/libvirt-gconfig-1.0.pc

%dir %{mingw32_includedir}/libvirt-gconfig-1.0
%dir %{mingw32_includedir}/libvirt-gconfig-1.0/libvirt-gconfig
%{mingw32_includedir}/libvirt-gconfig-1.0/libvirt-gconfig/libvirt-gconfig.h
%{mingw32_includedir}/libvirt-gconfig-1.0/libvirt-gconfig/libvirt-gconfig-*.h

%files -n mingw64-libvirt-gconfig
%{mingw64_bindir}/libvirt-gconfig-1.0-0.dll

%{mingw64_libdir}/libvirt-gconfig-1.0.dll.a

%{mingw64_libdir}/pkgconfig/libvirt-gconfig-1.0.pc

%dir %{mingw64_includedir}/libvirt-gconfig-1.0
%dir %{mingw64_includedir}/libvirt-gconfig-1.0/libvirt-gconfig
%{mingw64_includedir}/libvirt-gconfig-1.0/libvirt-gconfig/libvirt-gconfig.h
%{mingw64_includedir}/libvirt-gconfig-1.0/libvirt-gconfig/libvirt-gconfig-*.h



%files -n mingw32-libvirt-gobject
%{mingw32_bindir}/libvirt-gobject-1.0-0.dll

%{mingw32_libdir}/libvirt-gobject-1.0.dll.a

%{mingw32_libdir}/pkgconfig/libvirt-gobject-1.0.pc

%dir %{mingw32_includedir}/libvirt-gobject-1.0
%dir %{mingw32_includedir}/libvirt-gobject-1.0/libvirt-gobject
%{mingw32_includedir}/libvirt-gobject-1.0/libvirt-gobject/libvirt-gobject.h
%{mingw32_includedir}/libvirt-gobject-1.0/libvirt-gobject/libvirt-gobject-*.h

%files -n mingw64-libvirt-gobject
%{mingw64_bindir}/libvirt-gobject-1.0-0.dll

%{mingw64_libdir}/libvirt-gobject-1.0.dll.a

%{mingw64_libdir}/pkgconfig/libvirt-gobject-1.0.pc

%dir %{mingw64_includedir}/libvirt-gobject-1.0
%dir %{mingw64_includedir}/libvirt-gobject-1.0/libvirt-gobject
%{mingw64_includedir}/libvirt-gobject-1.0/libvirt-gobject/libvirt-gobject.h
%{mingw64_includedir}/libvirt-gobject-1.0/libvirt-gobject/libvirt-gobject-*.h

%endif
