%global major 5
%define api   1.0
%define girapi  1.0
%define libname %mklibname virt-sandbox %api %major
%define girname %mklibname virt-sandbox-gir %{girapi}
%define devname %mklibname virt-sandbox -d

%define libvirt_version 1.0.2


Name: libvirt-sandbox
Version: 0.8.0
Release: %mkrel 6
Summary: Libvirt application sandbox framework
Group: Development/Tools
License: LGPLv2+
URL: https://libvirt.org/
Source0: ftp://libvirt.org/libvirt/sandbox/%{name}-%{version}.tar.gz
BuildRequires: pkgconfig(libvirt-gobject-1.0) >= 0.2.1
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: glibc-static-devel
# For /usr/bin/pod2man:
BuildRequires: perl
BuildRequires: intltool
BuildRequires: pkgconfig(libselinux)
BuildRequires: pkgconfig(glib-2.0) >= 2.32.0
BuildRequires: pkgconfig(liblzma) >= 5.0.0
BuildRequires: pkgconfig(zlib) >= 1.2.0
BuildRequires: libtirpc-devel
BuildRequires: rpcgen
BuildRequires: zlib-static-devel

#Requires: libselinux-python
Requires: %{libname} = %{version}-%{release}

%package -n %libname
Group: Development/C
Summary: Libvirt application sandbox framework libraries
# So we get the full libvirtd daemon, not just client libs
Requires: %{mklibname virt 0} >= %{libvirt_version}

Obsoletes: %{_lib}virt-sandbox5 < 0.8.0-2

%package -n %girname
Summary: GObject Introspection interface library for %{name}
Group: System/Libraries

Conflicts: %{libname} < 0.8.0-2

%package -n %devname
Group: Development/C
Summary: Libvirt application sandbox framework development files
Requires: %{libname} = %{version}-%{release}
Requires: %{girname} = %{version}-%{release}
Provides: virt-sandbox-devel = %{version}-%{release}

%description
This package provides a command for running applications within
a sandbox using libvirt.

%description -n %libname
This package provides a framework for building application sandboxes
using libvirt.

%description -n %girname
GObject Introspection interface library for %{name}.

%description -n %devname
This package provides development header files and libraries for
the libvirt sandbox

%prep
%setup -q

%build
%configure --enable-introspection
%make_build


%install
chmod a-x examples/*.py examples/*.pl examples/*.js
%make_install
rm -f $RPM_BUILD_ROOT%{_libdir}/libvirt-sandbox-1.0.a
rm -f $RPM_BUILD_ROOT%{_libdir}/libvirt-sandbox-1.0.la

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/virt-sandbox
%{_mandir}/man1/virt-sandbox.1*
%dir %{_sysconfdir}/libvirt-sandbox
%dir %{_sysconfdir}/libvirt-sandbox/scratch
%config %{_sysconfdir}/libvirt-sandbox/scratch/README
%{_libexecdir}/libvirt-sandbox-init-common
%{_libexecdir}/libvirt-sandbox-init-lxc
%{_libexecdir}/libvirt-sandbox-init-qemu

%files -n %libname
%doc README COPYING AUTHORS ChangeLog NEWS
%{_libdir}/libvirt-sandbox-%{api}.so.%{major}{,.*}

%files -n %girname
%{_libdir}/girepository-1.0/LibvirtSandbox-%{girapi}.typelib

%files -n %devname
%doc examples/virt-sandbox.pl
%doc examples/virt-sandbox.py
%doc examples/virt-sandbox.js
%doc examples/virt-sandbox-mkinitrd.py
%{_libdir}/libvirt-sandbox-1.0.so
%{_libdir}/pkgconfig/libvirt-sandbox-1.0.pc
%dir %{_includedir}/libvirt-sandbox-1.0
%dir %{_includedir}/libvirt-sandbox-1.0/libvirt-sandbox
%{_includedir}/libvirt-sandbox-1.0/libvirt-sandbox/libvirt-sandbox.h
%{_includedir}/libvirt-sandbox-1.0/libvirt-sandbox/libvirt-sandbox-*.h
%{_datadir}/gir-1.0/LibvirtSandbox-%{girapi}.gir
%{_datadir}/gtk-doc/html/Libvirt-sandbox
