# WARNING: This package is synced with FC
%global apiversion	0.1
%global major	1
%global libname	%mklibname visio %{apiversion} %{major}
%global devname	%mklibname visio -d

Name:		libvisio
Version:	0.1.8
Release:	%mkrel 3
Summary:	A library for import of Microsoft Visio diagrams
Group:		System/Libraries
License:	MPLv2.0
URL:		https://wiki.documentfoundation.org/DLP/Libraries/libvisio
Source0:	https://dev-www.libreoffice.org/src/%{name}/%{name}-%{version}.tar.xz
BuildRequires:	boost-devel
BuildRequires:	doxygen
BuildRequires:	gperf
BuildRequires:	help2man
BuildRequires:	perl
BuildRequires:	pkgconfig(cppunit)
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(librevenge-0.0)
BuildRequires:	pkgconfig(librevenge-generators-0.0)
BuildRequires:	pkgconfig(librevenge-stream-0.0)
BuildRequires:	pkgconfig(libxml-2.0)

%description
%{name} is library providing ability to interpret and import
Microsoft Visio diagrams into various applications. You can find it
being used in Libreoffice.

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	A library for import of Microsoft Visio diagrams
Group:		System/Libraries

%description -n %{libname}
%{name} is library providing ability to interpret and import
Microsoft Visio diagrams into various applications. You can find it
being used in LibreOffice.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary:	Documentation of %{name} API
Group:		Documentation
BuildArch:	noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%package tools
Summary:	Tools to transform Microsoft Visio diagrams into other formats
Group:		Publishing

%description tools
Tools to transform Microsoft Visio diagrams into other formats.
Currently supported: XHTML, raw, plain text.

%prep
%autosetup -p1

%build
%configure --disable-static --disable-silent-rules
%make_build


%install
%make_install

# rhbz#1001240 we install API docs directly from build
rm -rf %{buildroot}%{_docdir}/%{name}

# generate and install man pages
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
for tool in vsd2raw vss2text vsd2xhtml vss2raw vsd2text vss2xhtml; do
    help2man -N -S '%{name} %{version}' -o ${tool}.1 %{buildroot}%{_bindir}/${tool}
done
install -m 0755 -d %{buildroot}%{_mandir}/man1
install -m 0644 vsd2*.1 vss2*.1 %{buildroot}%{_mandir}/man1


%check
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
make check

%files -n %{libname}
%doc AUTHORS README NEWS
%license COPYING.*
%{_libdir}/%{name}-%{apiversion}.so.%{major}{,.*}

%files -n %{devname}
%doc ChangeLog
%{_includedir}/%{name}-%{apiversion}/
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files doc
%license COPYING.*
%doc docs/doxygen/html

%files tools
%{_bindir}/vsd2raw
%{_bindir}/vsd2text
%{_bindir}/vsd2xhtml
%{_bindir}/vss2raw
%{_bindir}/vss2text
%{_bindir}/vss2xhtml
%{_mandir}/man1/vsd2raw.1*
%{_mandir}/man1/vsd2text.1*
%{_mandir}/man1/vsd2xhtml.1*
%{_mandir}/man1/vss2raw.1*
%{_mandir}/man1/vss2text.1*
%{_mandir}/man1/vss2xhtml.1*

