%define api       0.4
%define major     0
%define libname   %mklibname visual %{api} %{major}
%define develname %mklibname visual -d

Name:           libvisual
Version:        0.4.2
Release:        %mkrel 1
Summary:        Audio visualisation framework
License:        LGPLv2+
Group:          System/Libraries
Url:            http://libvisual.org/
Source0:        https://github.com/Libvisual/libvisual/releases/download/libvisual-%{version}/%{name}-%{version}.tar.bz2
BuildRequires:  pkgconfig(sdl)

%description
Libvisual is a library that acts as a middle layer between
applications that want audio visualisation and audio visualisation
plugins.

Libvisual is aimed at developers who have a need for audio
visualisation and those who actually write the visualisation plugins.

%files
%{_bindir}/lv-tool-0.4
%{_mandir}/man1/lv-tool-0.4.1.*

#--------------------------------------------------------------------

%package -n %{libname}
Summary:        Shared library of the audio visualisation framework
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Recommends:     libvisual-plugins

%description -n %{libname}
Libvisual is a library that acts as a middle layer between
applications that want audio visualisation and audio visualisation
plugins.

Libvisual is aimed at developers who have a need for audio
visualisation and those who actually write the visualisation plugins.

%files -n %{libname} -f %{name}-%{api}.lang
%doc AUTHORS README NEWS TODO
%license COPYING
%{_libdir}/libvisual-%{api}.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{develname}
Summary:        Header files of the audio visualisation framework
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       libvisual-devel = %{version}-%{release}

%description -n %{develname}
Libvisual is a library that acts as a middle layer between
applications that want audio visualisation and audio visualisation
plugins.

Libvisual is aimed at developers who have a need for audio
visualisation and those who actually write the visualisation plugins.

%files -n %{develname}
%doc AUTHORS ChangeLog TODO
%license COPYING
%{_includedir}/libvisual-%{api}/
%{_libdir}/*.so
%{_libdir}/pkgconfig/libvisual-%{api}.pc

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%configure --disable-static \
           --disable-examples
%make_build

%install
%make_install

%find_lang %{name}-%{api}
