%define	major		1
%define	libname		%mklibname vmime %{major}
%define develname	%mklibname vmime -d

# comment out when not pre-release
%define prel		20220326

%define rel		2

Summary:	A powerful C++ class library for working with MIME/Internet messages
Name:		libvmime
Version:	0.9.2
Release:	%mkrel %{?prel:15.git%prel.}%{rel}
License:	GPLv3
Group:		System/Libraries
URL:		https://www.vmime.org/
Source0:	https://github.com/kisli/vmime/archive/v%{version}/vmime-%{?prel:%prel}%{?!prel:%version}.tar.%{?prel:xz}%{?!prel:gz}
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	pkgconfig(libgsasl)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(zlib)


%description
VMime is a powerful C++ class library for parsing, generating or
editing Internet RFC-[2]822 and MIME messages. VMime is designed
to provide a fast and an easy way to manipulate Internet mail
messages.

It also includes support for using messaging protocols (POP3, IMAP,
SMTP and maildir) with a lot of features supported: listing folders,
downloading and adding messages to folders, extracting parts from
message, getting and setting message flags and a lot more.

This package contains an old and deprecated version of libvmime.
You need it only if the software you are using hasn't been updated
to work with the newer version and the newer API.

%package -n	%{libname}
Summary:	Library associated with ncpfs
Group:		System/Libraries

%description -n	%{libname}
VMime is a powerful C++ class library for parsing, generating or
editing Internet RFC-[2]822 and MIME messages. VMime is designed
to provide a fast and an easy way to manipulate Internet mail
messages.

It also includes support for using messaging protocols (POP3, IMAP,
SMTP and maildir) with a lot of features supported: listing folders,
downloading and adding messages to folders, extracting parts from
message, getting and setting message flags and a lot more.

This package contains an old and deprecated version of libvmime.
You need it only if the software you are using hasn't been updated
to work with the newer version and the newer API.

%package -n	%{develname}
Summary:	Development files for the libvmime library
Group:		Development/C++
Requires:	%{libname} >= %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The libvmime package includes header files and libraries necessary
for developing programs which use the libvmime C++ class library.

This package contains an old and deprecated version of libvmime.
You need it only if the software you are using hasn't been updated
to work with the newer version and the newer API.

%prep
%autosetup -p1 -n vmime-%{?prel}%{?!prel:%version}

%build
%cmake -DVMIME_SENDMAIL_PATH:STRING=%{_sbindir}/sendmail \
       -DVMIME_BUILD_STATIC_LIBRARY:BOOL=OFF
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc AUTHORS README
%license COPYING
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS README
%license COPYING
%{_libdir}/%{name}.so
%{_includedir}/vmime/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/vmime/
