%define up_name     LibVNCServer
%define major       1
%define libname     %mklibname vncserver %{major}
%define develname   %mklibname vncserver -d

Name:		libvncserver
Version:	0.9.15
Release:	%mkrel 1
Summary:	An easy API to write one's own VNC server
Group:		System/Libraries
License:	GPLv2
URL:		https://libvnc.github.io
Source0:	https://github.com/LibVNC/libvncserver/archive/%{up_name}-%{version}.tar.gz
Patch0:		libvncserver-0.9.15-fix-libraries-path.patch

BuildRequires:	cmake
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(lzo2)
BuildRequires:	ffmpeg-devel
BuildRequires:	gettext-devel
BuildRequires:	libgcrypt-devel

%description
LibVNCServer makes writing a VNC server (or more correctly, a program
exporting a framebuffer via the Remote Frame Buffer protocol) easy.

It is based on OSXvnc, which in turn is based on the original Xvnc by
ORL, later AT&T research labs in UK.

It hides the programmer from the tedious task of managing clients and
compression schemata.

%package -n	%{libname}
Summary:	An easy API to write one's own VNC server
Group:		System/Libraries

%description -n	%{libname}
LibVNCServer makes writing a VNC server (or more correctly, a program
exporting a framebuffer via the Remote Frame Buffer protocol) easy.

It is based on OSXvnc, which in turn is based on the original Xvnc by
ORL, later AT&T research labs in UK.

It hides the programmer from the tedious task of managing clients and
compression schemata.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	vncserver-devel = %{version}-%{release}

%description -n	%{develname}
Static libraries and header files for LibVNCServer.

%prep
%autosetup -p1 -n %{name}-%{up_name}-%{version}

#nuke bundled minilzo
rm -f common/lzodefs.h common/lzoconf.h commmon/minilzo.h common/minilzo.c

%build
%cmake -Dlib=%{_lib}
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc AUTHORS ChangeLog NEWS.md README.md SECURITY.md
%license COPYING
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{version}

%files -n %{develname}
%{_includedir}/rfb/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/LibVNCServer/
%{_libdir}/*.so
