%define lib_name_orig  libvorbis
%define lib_major      0
%define libname        %mklibname vorbis %{lib_major}
%define libnamedev     %mklibname vorbis -d
%define lib_enc_major  2
%define lib_enc_name   %mklibname vorbisenc %{lib_enc_major}
%define lib_file_major 3
%define lib_file_name  %mklibname vorbisfile %{lib_file_major}
%define oggver         1.1.4

Name:		libvorbis
Summary:	The Vorbis General Audio Compression Codec
Version:	1.3.7
Release:	%mkrel 3
Group:		System/Libraries
License:	BSD
URL:		https://www.xiph.org/
Source:		https://downloads.xiph.org/releases/vorbis/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(ogg) >= %{oggver}
BuildRequires:	glibc-static-devel

%description
Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed audio format for audio and music at fixed 
and variable bitrates from 16 to 128 kbps/channel.

Find some free Ogg Vorbis music here: http://www.vorbis.com/music.html

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	oggvorbis = %{version}-%{release}
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{libnamedev}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{lib_enc_name} = %{version}-%{release}
Requires:	%{lib_file_name} = %{version}-%{release}
Requires:	libogg-devel >= %{oggver}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	%{name}%{lib_major}-devel = %{version}-%{release}
Provides:	oggvorbis-devel = %{version}-%{release}

%description -n	%{libnamedev}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n	%{lib_enc_name}
Summary:	Encoder specialized library for %{name}
Group:		System/Libraries

%description -n	%{lib_enc_name}
This package contains the library needed for some programs using the
encoder capability of %{name}.

%package -n	%{lib_file_name}
Summary:	File operations specialized library for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{lib_file_name}
This package contains the library needed for some programs using the
file operations capability of %{name}.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install

mv %{buildroot}%{_datadir}/doc installed-docs

%files -n %{libname}
%doc AUTHORS
%{_libdir}/%{lib_name_orig}.so.%{lib_major}{,.*}

%files -n %{lib_enc_name}
%{_libdir}/%{lib_name_orig}enc.so.%{lib_enc_major}{,.*}

%files -n %{lib_file_name}
%{_libdir}/%{lib_name_orig}file.so.%{lib_file_major}{,.*}

%files -n %{libnamedev}
%doc installed-docs
%{_includedir}/vorbis/
%{_libdir}/*.so
%{_datadir}/aclocal/vorbis.m4
%{_libdir}/pkgconfig/*
