%define major	0
%define libname	%mklibname vterm %{major}
%define devname	%mklibname vterm -d

%define url_ver	%(echo %{version} | cut -d. -f1,2)

Name:           libvterm
Version:        0.3.3
Release:        %mkrel 1
Summary:        An abstract library implementation of a VT220/xterm/ECMA-48 terminal emulator
Group:		System/Libraries
License:        MIT
URL:            https://www.leonerd.org.uk/code/libvterm/
Source0:        https://launchpad.net/libvterm/trunk/v%(echo %{version} | cut -d\. -f1,2)/+download/libvterm-%{version}.tar.gz
BuildRequires:  libtool

%description
An abstract C99 library which implements a VT220 or xterm-like
terminal emulator. It does not use any particular graphics toolkit or
output system. Instead, it invokes callback function pointers that
its embedding program should provide it to draw on its behalf.

%package -n %{libname}
Summary:	An abstract library implementation of a VT220/xterm/ECMA-48 terminal emulator

%description -n %{libname}
An abstract C99 library which implements a VT220 or xterm-like
terminal emulator. It does not use any particular graphics toolkit or
output system. Instead, it invokes callback function pointers that
its embedding program should provide it to draw on its behalf.

%package -n %{devname}
Summary:        Development files needed for %{name}
Group:		Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:	vterm-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
%{summary}.

%package tools
Summary:        Tools for %{name}

%description tools
%{summary}.

%prep
%setup -q

%build
%set_build_flags
%make_build PREFIX=%{_prefix} LIBDIR=%{_libdir}

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir}

#we don't want these
find %{buildroot} \( -name "*.la" -o -name "*.a" \) -delete

%check
make test CFLAGS="%{optflags}"

%files -n %{libname}
%license LICENSE
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{devname}
%{_libdir}/%{name}.so
%{_includedir}/vterm*.h
%{_libdir}/pkgconfig/vterm.pc

%files tools
%{_bindir}/unterm
%{_bindir}/vterm-ctrl
%{_bindir}/vterm-dump
