%define major		1
%define libname		%mklibname wbxml %{major}
%define develname	%mklibname wbxml -d

Summary:	WBXML parser and compiler library
Name:		libwbxml
Version:	0.11.10
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://libwbxml.opensync.org
Source:		https://github.com/libwbxml/libwbxml/archive/%{name}-%{version}.tar.gz
Requires:	expat >= 2.0.1
BuildRequires:	cmake
BuildRequires:	pkgconfig(expat) >= 2.0.1
BuildRequires:	pkgconfig(check)

%description
The WBXML Library (libwbxml) contains a library and its associated tools to
parse, encode and handle WBXML documents. The WBXML format is a binary
representation of XML, defined by the Wap Forum, and used to reduce bandwidth
in mobile communications. 

%package -n	%{libname}
Group:		System/Libraries
License:	LGPLv2+
Summary:	Library for parsing WAP Binary XML

%description -n	%{libname}
The WBXML Library (libwbxml) contains a library and its associated tools to
parse, encode and handle WBXML documents. The WBXML format is a binary
representation of XML, defined by the Wap Forum, and used to reduce bandwidth
in mobile communications. 

This package contains just the library for use by other applications.

%package -n	%{develname}
Group:		Development/C
License:	LGPLv2+
Summary:	Library for developing applications that parse WAP Binary XML
Requires:	%{libname} = %{version}-%{release}
Provides:	wbxml-devel = %{version}-%{release}

%description -n	%{develname}
The WBXML Library (libwbxml) contains a library and its associated tools to
parse, encode and handle WBXML documents. The WBXML format is a binary
representation of XML, defined by the Wap Forum, and used to reduce bandwidth
in mobile communications. 

This package contains the headers and other development files required to
compile applications that need to parse WBXML.

%prep
%autosetup -p1 -n %{name}-%{name}-%{version}
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc BUGS COPYING GNU-LGPL README
%doc References THANKS TODO ChangeLog
%exclude %{_docdir}/%{name}/INSTALL
%{_bindir}/*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc README References TODO
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libwbxml2.pc
%{_libdir}/cmake/libwbxml2/
