%define major           7
%define libname         %mklibname webp %{major}
%define devname         %mklibname webp -d

%define mux_major       3
%define muxlibname      %mklibname webpmux %{mux_major}

%define demux_major     2
%define demuxlibname    %mklibname webpdemux %{demux_major}

%define decoder_major   3
%define decoderlibname  %mklibname webpdecoder %{decoder_major}

%define sharpyuv_major  0
%define sharpyuvlibname %mklibname sharpyuv %{sharpyuv_major}

# comment out when not pre-release
#define prel rc2

%define rel 1

Name:           libwebp
Version:        1.5.0
Release:        %mkrel %{?prel:0.%prel.}%{rel}
Summary:        Library and tools for the WebP graphics format
Group:          Development/C
# Additional IPR is licensed as well. See PATENTS file for details
License:        BSD
URL:            https://webmproject.org/
Source0:        http://downloads.webmproject.org/releases/webp/%{name}-%{version}%{?prel:-%{prel}}.tar.gz
Patch1:         libwebp-cmake-config-location.patch
BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  giflib-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig(freeglut)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  swig

%description
WebP is an image format that does lossy compression of digital
photographic images. WebP consists of a codec based on VP8, and a
container based on RIFF. Webmasters, web developers and browser
developers can use WebP to compress, archive and distribute digital
images more efficiently.

%package tools
Group:          Development/Other
Summary:        The WebP command line tools

%description tools
Command line tools for the WebP image format.

%package -n     %{libname}
Group:          System/Libraries
Summary:        Library for the WebP format

%description -n %{libname}
Shared library for the WebP image format.

%package -n     %{muxlibname}
Group:          System/Libraries
Summary:        Library for the WebP format with support for muxing

%description -n %{muxlibname}
Shared library for the WebP image format with support for muxing.

%package -n     %{demuxlibname}
Group:          System/Libraries
Summary:        Library for the WebP format with support for demuxing

%description -n %{demuxlibname}
Shared library for the WebP image format with support for demuxing.

%package -n     %{decoderlibname}
Group:          System/Libraries
Summary:        Library for the WebP format with support for decoding

%description -n %{decoderlibname}
Shared library for the WebP image format with support for decoding.

%package -n     %{sharpyuvlibname}
Group:          System/Libraries
Summary:        Library for the WebP format with support for sharpyuv

%description -n %{sharpyuvlibname}
Shared library for the WebP image format with support for sharpyuv.

%package -n     %{devname}
Group:          Development/C
Summary:        Development files for libwebp, a library for the WebP format
Requires:       %{libname} = %{version}-%{release}
Requires:       %{muxlibname} = %{version}-%{release}
Requires:       %{demuxlibname} = %{version}-%{release}
Requires:       %{decoderlibname} = %{version}-%{release}
Requires:       %{sharpyuvlibname} = %{version}-%{release}
Provides:       webp-devel = %{version}-%{release}

%description -n %{devname}
Development headers and libraries for the WebP libraries.

%prep
%autosetup -p1 -n %{name}-%{version}%{?prel:-%{prel}}

%build
%cmake -GNinja \
  -DCMAKE_SKIP_INSTALL_RPATH:BOOL=ON
%cmake_build

%install
%cmake_install

%files tools
%{_bindir}/*webp*
%{_mandir}/man1/*webp*.1.*

%files -n %{libname}
%doc README.md PATENTS NEWS AUTHORS
%license COPYING
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{muxlibname}
%doc README.md
%{_libdir}/%{name}mux.so.%{mux_major}{,.*}

%files -n %{demuxlibname}
%doc README.md
%{_libdir}/%{name}demux.so.%{demux_major}{,.*}

%files -n %{decoderlibname}
%doc README.md
%{_libdir}/%{name}decoder.so.%{decoder_major}{,.*}

%files -n %{sharpyuvlibname}
%doc README.md
%{_libdir}/libsharpyuv.so.%{sharpyuv_major}{,.*}

%files -n %{devname}
%doc README.md
%{_libdir}/%{name}.so
%{_libdir}/%{name}mux.so
%{_libdir}/%{name}demux.so
%{_libdir}/%{name}decoder.so
%{_libdir}/libsharpyuv.so
%{_includedir}/webp/
%{_libdir}/cmake/WebP/
%{_libdir}/pkgconfig/%{name}*.pc
%{_libdir}/pkgconfig/libsharpyuv.pc
