%define major     19
%define libname   %mklibname websockets %{major}
%define develname %mklibname websockets -d

Name:           libwebsockets
Version:        4.3.5
Release:        %mkrel 1
Summary:        A lightweight C library for Websockets
Group:          System/Libraries
# base64-decode.c and ssl-http2.c is under MIT license with FPC exception.
# sha1-hollerbach is under BSD
# https://fedorahosted.org/fpc/ticket/546
# Test suite is licensed as Public domain (CC-zero)
License:        LGPLv2 and Public Domain and BSD and MIT and zlib
URL:            https://libwebsockets.org/
Source0:        https://github.com/warmcat/libwebsockets/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         libwebsockets-4.2.0-fix-build.patch

BuildRequires:  cmake
BuildRequires:  git-core
BuildRequires:  openssl
BuildRequires:  pkgconfig(libev)
BuildRequires:  pkgconfig(libuv)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(zlib)

Provides:       bundled(sha1-hollerbach)
Provides:       bundled(base64-decode)
Provides:       bundled(ssl-http2)

%description
This is the libwebsockets C library for lightweight websocket clients
and servers.

#------------------------------------------------

%package -n     %{libname}
Summary:        A lightweight C library for Websockets
Group:          System/Libraries

%description -n %{libname}
This is the libwebsockets C library for lightweight websocket clients
and servers.

#------------------------------------------------

%package -n     %{develname}
Summary:        Development package for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       websockets-devel = %{version}-%{release}

%description -n %{develname}
Header files for development with %{name}.

#------------------------------------------------

%package tests
Summary:        Tests to use with %{name}
Group:          System/Libraries

%description tests
This package contains the tests for %{name} applications.

#------------------------------------------------

%prep
%autosetup -p1

%build
%cmake \
    -DLWS_SUPPRESS_DEPRECATED_API_WARNINGS=ON \
    -DLWS_WITH_HTTP2=ON \
    -DLWS_IPV6=ON \
    -DLWS_WITH_ZIP_FOPS=ON \
    -DLWS_WITH_SOCKS5=ON \
    -DLWS_WITH_RANGES=ON \
    -DLWS_WITH_ACME=ON \
    -DLWS_WITH_LIBEV=ON \
    -DLWS_WITH_LIBUV=ON \
    -DLWS_WITH_LIBEVENT=OFF \
    -DLWS_WITH_FTS=ON \
    -DLWS_WITH_THREADPOOL=OFF \
    -DLWS_UNIX_SOCK=ON \
    -DLWS_WITH_HTTP_PROXY=ON \
    -DLWS_WITH_DISKCACHE=ON \
    -DLWS_WITH_EXTERNAL_POLL=ON \
    -DLWS_WITH_LWSAC=ON \
    -DLWS_LINK_TESTAPPS_DYNAMIC=ON \
    -DLWS_WITHOUT_BUILTIN_GETIFADDRS=ON \
    -DLWS_WITH_BUNDLED_ZLIB_DEFAULT=OFF \
    -DLWS_WITHOUT_BUILTIN_SHA1=ON \
    -DLWS_WITH_STATIC=OFF \
    -DLWS_WITHOUT_CLIENT=OFF \
    -DLWS_WITHOUT_SERVER=OFF \
    -DLWS_WITHOUT_TESTAPPS=OFF \
    -DLWS_WITHOUT_TEST_SERVER=OFF \
    -DLWS_WITHOUT_TEST_SERVER_EXTPOLL=OFF \
    -DLWS_WITHOUT_TEST_PING=OFF \
    -DLWS_WITHOUT_TEST_CLIENT=OFF \
    -DLWS_WITHOUT_EXTENSIONS=OFF \
    -DLWS_WITH_SQLITE3=ON \
    -DDISABLE_WERROR=ON \
    -DLIBEV_INCLUDE_DIRS=%{_includedir}/libev

%cmake_build

%install
%cmake_install

find %{buildroot} -name '*_static.pc' -delete

%files -n %{libname}
%doc README.md changelog
%license LICENSE
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc READMEs/README.coding.md READMEs/ changelog
%license LICENSE
%{_includedir}/*.h
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/%{name}-evlib_ev.so
%{_libdir}/%{name}-evlib_uv.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/libwebsockets/

%files tests
%doc READMEs/README.coding.md READMEs/README.test-apps.md
%license LICENSE
%{_bindir}/%{name}-test-*
%{_datadir}/%{name}-test-server/
