%define api       0.2
%define major     7
%define libname   %mklibname wmf %{api} %{major}
%define develname %mklibname wmf -d

Summary:	A library to convert wmf files
Name:		libwmf
Version:	0.2.13
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphics/Utilities
URL:		https://github.com/caolanm/libwmf
Source:		https://github.com/caolanm/libwmf/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		1f87c35bc2a36fdca760a4577761d30d9cc876e2.patch
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.22
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(x11)


%description
libwmf is a library for unix like machines that can convert wmf
files into other formats, currently it supports a gd binding
to convert to gif, and an X one to draw direct to an X window
or pixmap.

%package -n	%{libname}
Summary:	A library to convert wmf files. - library files
Group:		System/Libraries
Requires:	urw-fonts
Requires(post):	gdk-pixbuf2.0
Requires(postun): gdk-pixbuf2.0

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with libwmf.

%package -n	%{develname}
Summary:	A library to convert wmf files. - development environment
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	libwmf-devel = %{version}-%{release}
Provides:	libwmf%{api}-devel = %{version}-%{release}
Obsoletes:	libwmf-devel < %{version}-%{release}

%description -n %{develname}
libwmf is a library for unix like machines that can convert wmf
files into other formats, currently it supports a gd binding
to convert to gif, and an X one to draw direct to an X window
or pixmap.

Install libwmf-devel if you need to compile an application with libwmf
support.

%prep
%autosetup -p1

%build
autoreconf -fi -Ipatches
%configure --disable-static
%make_build

%install
rm -rf %{buildroot} installed-docs
%make_install

# remove gd headers
rm -rf %{buildroot}%{_includedir}/libwmf/gd
# remove files that should not be installed
find doc -name "Makefile*" -delete
# remove anything relevant to fonts.
rm -rf %{buildroot}%{_bindir}/libwmf-fontmap %{buildroot}%{_datadir}/libwmf
# remove static libraries.
find %{buildroot} -name *.la | xargs rm

# multiarch support
%multiarch_binaries %{buildroot}%{_bindir}/libwmf-config

%post -n %{libname}
%{_bindir}/gdk-pixbuf-query-loaders --update-cache

%postun -n %{libname}
if [ -x  %{_bindir}/gdk-pixbuf-query-loaders ]; then
%{_bindir}/gdk-pixbuf-query-loaders --update-cache
fi

%files
# beware not to take gd files here!
%license COPYING
%{_bindir}/wmf2*

%files -n %{libname}
# beware not to take gd files here!
%license COPYING
%{_libdir}/libwmf*-%{api}.so.%{major}{,.*}
%{_libdir}/gdk-pixbuf-2.0/*/loaders/io-wmf.*

%files -n %{develname}
# beware not to take gd files here!
%doc CREDITS README NEWS
%doc doc/*.html
%doc doc/*.png
%doc doc/*.gif
%doc doc/html
%doc doc/caolan
%doc ChangeLog
%license COPYING
%{_bindir}/libwmf-config
%multiarch %{multiarch_bindir}/libwmf-config
%{_libdir}/libwmf.so
%{_libdir}/libwmflite.so
%{_libdir}/pkgconfig/libwmf.pc
%{_includedir}/libwmf/
