%define api_version	3
%define lib_major	0
%define api		3.0
%define libname		%mklibname wnck %{api_version} %{lib_major}
%define girname		%mklibname wnck-gir %{api}
%define libnamedev	%mklibname wnck %{api_version} -d

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Libwnck is Window Navigator Construction Kit
Name:		libwnck
Version:	43.2
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# fix wnck-pager
Patch0:		libwnck_0001-Revert-pager-do-not-change-workspace-size-from-size_.patch
# https://gitlab.gnome.org/GNOME/libwnck/-/merge_requests/10
Patch1:		libwnck_0001-Expose-window-scaling-factor_v43.1.patch
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libstartup-notification-1.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xres)
BuildRequires:	gtk-doc
BuildRequires:	gettext
BuildRequires:	meson
Provides:	libwnck3 = %{version}-%{release}
Provides:	libwnck3%{?_isa} = %{version}-%{release}
Obsoletes:	libwnck3 < 43.1-2

%description
libwnck is Window Navigator Construction Kit, i.e. a library to use
for writing pagers and taskslists and stuff.

%package -n %{libname}
Summary:	Libwnck is Window Navigator Construction Kit
Group:		System/Libraries
Requires:	%{name}%{?_isa} >= %{version}-%{release}

%description -n %{libname}
libwnck is Window Navigator Construction Kit, i.e. a library to use
for writing pagers and taskslists and stuff.

%package -n %{girname}
Summary:	GObject Introspection interface library for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface library for %{name}.

%package -n %{libnamedev}
Summary:	Development libraries and include files for %{name}
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-%{api_version}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}

%description -n %{libnamedev}
libwnck is Window Navigator Construction Kit, i.e. a library to use
for writing pagers and taskslists and stuff.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

rm -rf %{buildroot}%{_datadir}/locale/{be@latin,bn_IN,si}

%find_lang libwnck-3.0

%files -f libwnck-3.0.lang
%license COPYING
%doc AUTHORS README NEWS
%{_bindir}/wnckprop
%{_bindir}/wnck-urgency-monitor

%files -n %{libname}
%license COPYING
%{_libdir}/libwnck-%{api_version}.so.%{lib_major}{,.*}

%files -n %{girname}
%license COPYING
%{_libdir}/girepository-1.0/Wnck-%{api}.typelib

%files -n %{libnamedev}
%doc %{_datadir}/gtk-doc/html/libwnck-3.0
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/Wnck-%{api}.gir
