# WARNING: This package is synced with FC
%global apiversion	0.10
%define lib_major	10
%define lib_name	%mklibname wpd %{apiversion} %{lib_major}
%define develname	%mklibname -d wpd 

Name:		libwpd
Summary:	A library for import of WordPerfect documents
Version:	0.10.3
Release:	%mkrel 3
Source:		https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Patch0: %{name}-gcc11.patch
URL:		https://libwpd.sourceforge.net/
License:	LGPLv2+ or MPLv2.0
Group:		System/Libraries
BuildRequires:	boost-devel
BuildRequires:	doxygen
BuildRequires: gcc-c++
BuildRequires:	help2man
BuildRequires:	pkgconfig(librevenge-0.0)
BuildRequires:	pkgconfig(librevenge-generators-0.0)
BuildRequires:	pkgconfig(librevenge-stream-0.0)
BuildRequires:	pkgconfig(zlib)

%description
%{name} is a library for import of WordPerfect documents.

%package   	tools
Summary:	Tools to transform WordPerfect documents into other formats
Group:		Office/Word processor
Obsoletes:	%{name}0.8-tools

%description tools
Tools to transform WordPerfect documents into other formats.
Currently supported: HTML, raw, text.

%package -n	%{lib_name}
Summary:	A library for import of WordPerfect documents
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{lib_name}
Libwpd is a library for reading/writing WordPerfect files.
It is designed to be used by another program (e.g.: a word
processor) as an in-process component.
It supports fileimport of all versions of WordPerfect.

%package -n	%{develname}
Summary:	Files for developing with libwpd
Group:		Development/Other
Requires:	%{lib_name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-%{apiversion}-devel = %{version}-%{release}
Obsoletes:	libwpd0-devel
Obsoletes:	%{_lib}wpd0.8-devel

%description -n	%{develname}
Includes and definitions for developing with libwpd.

%package doc
Summary: Documentation of %{name} API
BuildArch: noarch
Conflicts: %{develname} < %version-%release

%description doc
The %{name}-doc package contains API documentation for %{name}.

%prep
%autosetup -p1

%build
%configure --disable-static --disable-silent-rules
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la
# we install API docs directly from build
rm -rf $RPM_BUILD_ROOT/%{_docdir}/%{name}

# generate and install man pages
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
for tool in wpd2html wpd2raw wpd2text; do
    help2man -N -S '%{name} %{version}' -o ${tool}.1 %{buildroot}%{_bindir}/${tool}
done
install -m 0755 -d %{buildroot}/%{_mandir}/man1
install -m 0644 wpd2*.1 %{buildroot}/%{_mandir}/man1

%files -n %{lib_name}
%doc CREDITS NEWS README
%license COPYING.LGPL COPYING.MPL
%{_libdir}/libwpd-%{apiversion}.so.%{lib_major}
%{_libdir}/libwpd-%{apiversion}.so.%{lib_major}.*

%files tools
%{_bindir}/wpd2html
%{_bindir}/wpd2raw
%{_bindir}/wpd2text
%{_mandir}/man1/wpd2html.1*
%{_mandir}/man1/wpd2raw.1*
%{_mandir}/man1/wpd2text.1*

%files -n %{develname}
%doc HACKING TODO
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc
%{_includedir}/%{name}-%{apiversion}

%files doc
%license COPYING.LGPL COPYING.MPL
%doc docs/doxygen/html
%doc docs/%{name}.dia
%doc docs/%{name}.png

