# WARNING: This package is synced with FC
%global apiversion      0.3
%define lib_major       3
%define lib_name        %mklibname wpg %{apiversion} %{lib_major}
%define lib_name_devel  %mklibname wpg -d

Name:           libwpg
Epoch:          1
Version:        0.3.4
Release:        %mkrel 1
Summary:        A library for import of WordPerfect Graphics images
Group:          System/Libraries
License:        LGPLv2+ or MPLv2.0
URL:            https://libwpg.sourceforge.net/
Source0:        https://download.sourceforge.net/libwpg/%{name}-%{version}.tar.xz
BuildRequires:  doxygen
BuildRequires:  help2man
BuildRequires:  perl
BuildRequires:  perl(Getopt::Std)
BuildRequires:  boost-devel
BuildRequires:  pkgconfig(librevenge-0.0)
BuildRequires:  pkgconfig(librevenge-generators-0.0)
BuildRequires:  pkgconfig(librevenge-stream-0.0)
BuildRequires:  pkgconfig(libwpd-0.10)

%description
%{name} is a library for import of images in WPG
(WordPerfect Graphics) format. WPG is the format used among others in
Corel software, such as WordPerfect and Presentations.

%package -n %{lib_name}
Summary:  A library for import of WordPerfect Graphics images
Group:  System/Libraries
Obsoletes: %{_lib}wpg-0.2_2 < 1:0.2.1-2

%description -n %{lib_name}
%{name} is a library for import of images in WPG
(WordPerfect Graphics) format. WPG is the format used among others in
Corel software, such as WordPerfect and Presentations.

%package -n %{lib_name_devel}
Summary: Files for developing with libwpg
Group: Development/C++
Requires: %{lib_name} = %{epoch}:%{version}-%{release}
Provides: libwpg-devel = %{epoch}:%{version}-%{release}

%description -n %{lib_name_devel}
The %{lib_name_devel} package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation of %{name} API
Group: Development/C++
BuildArch: noarch
Obsoletes: %{name}-doc
Provides: %{name}-doc

%description doc
The %{name}-doc package contains API documentation for %{name}.

%package tools
Summary: Tools to convert WordPerfect Graphics images to other formats
Group: Publishing
# wpg2svgbatch.pl says "GPL", without specifying version, and points to
# https://www.gnu.org/copyleft/gpl.html . I assume this means "any
# version".
License:        (LGPLv2+ or MPLv2.0) and GPL+

%description tools
Tools to convert WordPerfect Graphics images to other formats. Supported
are: SVG, raw.

%prep
%setup -q

%build
%configure --disable-static --disable-silent-rules
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'
# we install API docs directly from build
rm -rf %{buildroot}/%{_docdir}/%{name}

# generate and install man pages
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
for tool in wpg2raw wpg2svg; do
    help2man -N -S '%{name} %{version}' -o ${tool}.1 %{buildroot}%{_bindir}/${tool}
done
help2man -N -S '%{name} %{version}' -n 'batch convert WordPerfect Graphics files into SVG' \
    --help-option=-h --version-string='wpg2svgbatch.pl %{version}' \
    -o wpg2svgbatch.pl.1 ./src/conv/svg/wpg2svgbatch.pl
install -m 0755 -d %{buildroot}/%{_mandir}/man1
install -m 0644 wpg2*.1 %{buildroot}/%{_mandir}/man1

%files -n %{lib_name}
%doc AUTHORS NEWS
%license COPYING.LGPL COPYING.MPL
%{_libdir}/libwpg-%{apiversion}.so.%{lib_major}{,.*}

%files -n %{lib_name_devel}
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files doc
%license COPYING.LGPL COPYING.MPL
%doc docs/doxygen/html

%files tools
%{_bindir}/wpg2raw
%{_bindir}/wpg2svg
%{_bindir}/wpg2svgbatch.pl
%{_mandir}/man1/wpg2raw.1*
%{_mandir}/man1/wpg2svg.1*
%{_mandir}/man1/wpg2svgbatch.pl.1*

