# WARNING: This package is synced with FC
%global apiversion      0.4
%define lib_major       4
%define lib_name        %mklibname wps %{apiversion} %{lib_major}
%define lib_name_devel  %mklibname wps -d

Name:		libwps
Epoch:		1
Version:	0.4.14
Release:	%mkrel 1
Summary:	A library for import of Microsoft Works documents
Group:		Office/Utilities
License:	LGPLv2+ or MPLv2.0
URL:		https://libwps.sourceforge.net/
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
BuildRequires:	doxygen
BuildRequires:	help2man
BuildRequires:	pkgconfig(librevenge-0.0)
BuildRequires:	pkgconfig(librevenge-generators-0.0)
BuildRequires:	pkgconfig(librevenge-stream-0.0)

%description
%{name} is a library for import of Microsoft Works text documents,
spreadsheets and (in a limited way) databases. Full list of supported
formats is available at
https://sourceforge.net/p/libwps/wiki/Home/#recognized-formats .


%package	-n %{lib_name_devel}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{lib_name} = %{epoch}:%{version}-%{release}
Provides:	libwps-devel = %{epoch}:%{version}-%{release}

%description -n %{lib_name_devel}
The %{lib_name_devel} package contains libraries and header files for
developing applications that use %{name}.

%package	tools
Summary:	Tools to transform Microsoft Works documents into other formats
Requires:	%{lib_name} = %{epoch}:%{version}-%{release}
Group:		Publishing

%description tools
Tools to transform Microsoft Works documents into other formats.
Currently supported: CSV, HTML, raw, text

%package	-n %{lib_name}
Summary:	Library for reading and converting Microsoft Works word processor documents
Group:		System/Libraries
Obsoletes:	%mklibname wps- 0.1 1

%description -n %{lib_name}
%{name} is a library for import of Microsoft Works text documents,
spreadsheets and (in a limited way) databases.

%package	doc
Requires:	libwps-devel = %{epoch}:%{version}-%{release}
Summary:	Documentation of %{name} API
Group:		Development/C++
BuildArch:	noarch
Obsoletes:	%name-docs
Provides:	%name-docs

%description doc
The %{name}-doc package contains documentation files for %{name}

%prep
%autosetup -p1

%build
%configure --disable-silent-rules --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete
# we install API docs directly from build
rm -rf %{buildroot}%{_defaultdocdir}/%{name}

export LD_LIBRARY_PATH=%{buildroot}%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
for tool in wks2csv wks2raw wks2text wps2html wps2raw wps2text; do
    help2man -S '%{name} %{version}' -N -o ${tool}.1 %{buildroot}%{_bindir}/${tool}
done
install -m 0755 -d %{buildroot}%{_mandir}/man1
install -m 0644 wks2*.1 wps2*.1 %{buildroot}%{_mandir}/man1

%files -n %{lib_name}
%doc CREDITS NEWS README
%license COPYING.LGPL COPYING.MPL
%{_libdir}/libwps*-%{apiversion}.so.%{lib_major}{,.*}

%files -n %{lib_name_devel}
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files tools
%{_bindir}/*
%{_mandir}/man1/wks2csv.1*
%{_mandir}/man1/wks2raw.1*
%{_mandir}/man1/wks2text.1*
%{_mandir}/man1/wps2html.1*
%{_mandir}/man1/wps2raw.1*
%{_mandir}/man1/wps2text.1*

%files doc
%license COPYING.LGPL COPYING.MPL
%doc docs/doxygen/html
