%define major		1
%define libname		%mklibname x86_ %{major}
%define develname	%mklibname x86 -d

Name:		libx86
Version:	1.1
Release:	%mkrel 41
Summary:	Hardware-independent library for executing real-mode x86 code
Group:		System/Libraries
License:	MIT
URL:		https://www.codon.org.uk/~mjg59/libx86/
Source0:	https://www.codon.org.uk/~mjg59/libx86/downloads/%{name}-%{version}.tar.gz
# Fedora patches:
Patch0:		libx86-add-pkgconfig.patch
# Attempt to make selinux happy by not mmap'ing the zero page. 
# but also fix segfault (mga#13676):
Patch1:		libx86-mmap-offset.patch
# patch from  https://bugs.debian.org/cgi-bin/bugreport.cgi?msg=34;filename=libx86-libc-test.patch.txt;att=1;bug=570676
# debian control portion removed as it fails to apply and we do not need it anyway
# fix on !x86:
Patch2:		libx86-libc-test.patch
# fix invalid HLT opcode
Patch5:         libx86-1.1-24-fix-invalid-hlt-opcode.patch
# fix build by passing -fPIC to the sub-make for the shared lib
Patch6:		libx86-1.1-staticsharedcflags.patch
Patch7:		libx86-0.99-ifmask.patch
# fix mmap failures due to /dev/zero and /dev/mem no longer allowing exec permission
# (martinw) reverted for now, as it seems to cause problems on some hardware
Patch8:		libx86-1.1-fix-mmap-permissions.patch
Patch9:		libx86-c99.patch
Patch10:	libx86-c99-2.patch 
ExcludeArch:    ppc %{power64} s390 s390x %{sparc} aarch64 armv7hl


%description
It's often useful to be able to make real-mode x86 BIOS calls from userland.
lrmi provides a simple interface to this for x86 machines, but this doesn't
help on other platforms.

libx86 provides the lrmi interface, but will also run on platforms such as
amd64 and alpha.

%package -n	%{libname}
Summary:	Hardware-independent library for executing real-mode x86 code
Group:		System/Libraries
Obsoletes:	%{_lib}x861 < 1.1-34

%description -n	%{libname}
It's often useful to be able to make real-mode x86 BIOS calls from userland.
lrmi provides a simple interface to this for x86 machines, but this doesn't
help on other platforms.

libx86 provides the lrmi interface, but will also run on platforms such as
amd64 and alpha.

This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains the static library and header file necessary for
development of programs that will use libx86 to make real-mode x86 calls.

%prep
%setup -q
%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 5 -p1 -b .hlt
%patch -P 6 -p1 -b .pic
%patch -P 7 -p0 -b .ifmask
#patch -P 8 -p1 -b .mmap
%patch -P 9 -p1 -b .c99
%patch -P 10 -p1 -b .c99-2


%build
%ifarch %{ix86}
%make_build CFLAGS="%{optflags} -fPIC"
%else
%make_build BACKEND="x86emu" CFLAGS="%{optflags} -fPIC -DX86EMU"
%endif

%install
make install DESTDIR=%{buildroot} LIBDIR=%{_libdir}
rm $RPM_BUILD_ROOT/%{_libdir}/*.a

%files -n %{libname}
%doc COPYRIGHT
%{_libdir}/libx86.so.%{major}

%files -n %{develname}
%{_libdir}/libx86.so
%{_includedir}/libx86.h
%{_libdir}/pkgconfig/x86.pc
