%define major	6
%define libxau	%mklibname xau %{major}
%define devxau	%mklibname xau -d

Name:		libxau
Summary:	X authorization file management library
Version:	1.0.12
Release:	%mkrel 1
Group:		Development/X11
License:	MIT
URL:		https://xorg.freedesktop.org
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libXau-%{version}.tar.xz

BuildRequires:	x11-proto-devel >= 1.0.0
BuildRequires:	x11-util-macros >= 1.0.1

%description
X authorization file management library.

#-----------------------------------------------------------

%package -n %{libxau}
Summary:	X authorization file management library
Group:		System/Libraries
Provides:	%{name} = %{version}

%description -n %{libxau}
X authorization file management library.

%files -n %{libxau}
%{_libdir}/libXau.so.%{major}{,.*}

#-----------------------------------------------------------

%package -n %{devxau}
Summary:	Development files for %{name}
Group:		Development/X11
Requires:	%{libxau} = %{version}-%{release}
Provides:	libxau-devel = %{version}-%{release}

%description -n %{devxau}
Development files for %{name}.

%pre -n %{devxau}
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files -n %{devxau}
%{_libdir}/pkgconfig/xau.pc
%{_includedir}/X11/Xauth.h
%{_libdir}/libXau.so
%{_mandir}/man3/Xau*

#-----------------------------------------------------------

%prep
%autosetup -p1 -n libXau-%{version}

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--disable-static

%make_build

%install
%make_install
