%define major       7
%define libxaw7     %mklibname xaw %{major}
%define libxawdevel %mklibname xaw -d

Name:           libxaw
Summary:        X Athena Widgets Library
Version:        1.0.16
Release:        %mkrel 1
Group:          System/Libraries
License:        MIT
URL:            https://xorg.freedesktop.org
Source0:        https://xorg.freedesktop.org/releases/individual/lib/libXaw-%{version}.tar.xz

BuildRequires:  pkgconfig(x11) >= 1.0.0
BuildRequires:  pkgconfig(xau) >= 1.0.0
BuildRequires:  pkgconfig(xext) >= 1.0.0
BuildRequires:  pkgconfig(xmu) >= 1.0.0
BuildRequires:  pkgconfig(xpm) >= 3.5.4.2
BuildRequires:  pkgconfig(xt) >= 1.0.0
BuildRequires:  x11-proto-devel >= 1.0.0
BuildRequires:  x11-util-macros >= 1.3.0
BuildRequires:  groff

%description
Xaw is the classic X Athena Widget Set, a widget set based on the
X Toolkit Intrinsics (Xt) Library.

#-----------------------------------------------------------

%package -n %{libxaw7}
Group:          System/Libraries
Summary:        X Athena Widgets Library
Requires:       x11-data-bitmaps
# (walluck): FIXME: we wouldn't provide this but for the packages that incorrectly require it
Provides:       libxaw7 = %{version}-%{release}

%description -n %{libxaw7}
Xaw is the classic X Athena Widget Set, a widget set based on the
X Toolkit Intrinsics (Xt) Library.

%files -n %{libxaw7}
%{_libdir}/libXaw.so.%{major}
%{_libdir}/libXaw7.so.%{major}{,.*}

#-----------------------------------------------------------

%package -n %{libxawdevel}
Summary:        Development files for %{name}
Group:          Development/X11
Requires:       %{libxaw7} = %{version}-%{release}
Provides:       xaw-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{libxawdevel}
Development files for %{name}.

%files -n %{libxawdevel}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%dir %{_includedir}/X11/Xaw
%{_includedir}/X11/Xaw/*
%{_mandir}/man3/Xaw.3.*
%dir %{_docdir}/libXaw
%{_docdir}/libXaw/*

#-----------------------------------------------------------

%prep
%setup -q -n libXaw-%{version}

%build
%configure \
	--disable-xaw6 \
	--disable-static
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete
