%define major 1
%define libxcomposite %mklibname xcomposite %{major}
%define devxcomposite %mklibname xcomposite -d

Name: libxcomposite
Summary: X Composite Library
Version: 0.4.6
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: https://xorg.freedesktop.org
Source0: https://xorg.freedesktop.org/releases/individual/lib/libXcomposite-%{version}.tar.xz
BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: pkgconfig(xext) >= 1.0.0
BuildRequires: pkgconfig(xfixes) >= 3.0.1.2
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
X Composite Library

#-----------------------------------------------------------

%package -n %{libxcomposite}
Summary: X Composite Library
Group: Development/X11
Provides: %{name} = %{version}
Provides: libXcomposite%_isa = %{version}

%description -n %{libxcomposite}
X Composite  Library

%files -n %{libxcomposite}
%{_libdir}/libXcomposite.so.%{major}
%{_libdir}/libXcomposite.so.%{major}.*

#-----------------------------------------------------------

%package -n %{devxcomposite}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxcomposite} = %{version}-%{release}
Provides: libxcomposite-devel = %{version}-%{release}
Obsoletes: %{_lib}xcomposite1-devel < 0.4.4-4
Obsoletes: %{_lib}xcomposite1-static-devel < 0.4.4-4

%description -n %{devxcomposite}
Development files for %{name}

%files -n %{devxcomposite}
%{_libdir}/libXcomposite.so
%{_libdir}/pkgconfig/xcomposite.pc
%{_includedir}/X11/extensions/Xcomposite.h
%{_mandir}/man3/*

#-----------------------------------------------------------

%prep
%setup -q -n libXcomposite-%{version}

%build
#to recognize aarch64
autoreconf -vfi

%configure	--disable-static
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete
