%define major     1
%define libname   %mklibname xcursor %{major}
%define develname %mklibname xcursor -d

Name:           libxcursor
Summary:        X Cursor Library
Version:        1.2.3
Release:        %mkrel 1
Group:          Development/X11
License:        MIT
URL:            https://xorg.freedesktop.org
Source0:        https://www.x.org/releases/individual/lib/libXcursor-%{version}.tar.xz

BuildRequires:  pkgconfig(x11) >= 1.0.0
BuildRequires:  pkgconfig(xfixes) >= 3.0.1.2
BuildRequires:  pkgconfig(xrender) >= 0.9.0.2
BuildRequires:  x11-proto-devel >= 1.0.0
BuildRequires:  x11-util-macros >= 1.0.1

%description
X Cursor Library.

#-----------------------------------------------------------

%package -n %{libname}
Summary:        X Cursor Library
Group:          System/Libraries
Provides:       %{name} = %{version}

%description -n %{libname}
X Cursor Library.

%files -n %{libname}
%{_libdir}/libXcursor.so.%{major}{,.*}

#-----------------------------------------------------------

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/X11
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for %{name}.

%files -n %{develname}
%{_libdir}/libXcursor.so
%{_libdir}/pkgconfig/xcursor.pc
%{_includedir}/X11/Xcursor/Xcursor.h
%{_mandir}/man3/*

#-----------------------------------------------------------

%prep
%setup -q -n libXcursor-%{version}

%build
%configure	--disable-static
%make_build

%install
%make_install
