%global major	0
%define libname	%mklibname xcvt %major
%define devname	%mklibname xcvt -d

Name:		libxcvt
Version:	0.1.3
Release:	%mkrel 1
Summary:	VESA CVT standard timing modelines generator
Group:		System/X11
License:	MIT
URL:		https://gitlab.freedesktop.org/xorg/lib/libxcvt/
Source0:	https://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.xz

BuildRequires:	gcc
BuildRequires:	meson

%description
libxcvt is a library providing a standalone version of the X server
implementation of the VESA CVT standard timing modelines generator.

%package -n %libname
Summary:	VESA CVT standard timing modelines generator
Group:		System/Libraries

%description -n %libname
libxcvt is a library providing a standalone version of the X server
implementation of the VESA CVT standard timing modelines generator.

%package -n %devname
Group:		Development/C
Summary:	Development package
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package -n cvt
Summary:	Command line tool to calculate VESA CVT mode lines
Conflicts:	x11-server-common < 1.21

%description -n cvt
A standalone version of the command line tool cvt copied from the Xorg
implementation and is meant to be a direct replacement to the version
provided by the Xorg server.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson
%meson_build

%install
%meson_install

%files -n %libname
%doc COPYING
%{_libdir}/libxcvt.so.%{major}{,.*}

%files -n %devname
%{_libdir}/pkgconfig/libxcvt.pc
%dir %{_includedir}/libxcvt
%{_includedir}/libxcvt/*.h
%{_libdir}/libxcvt.so

%files -n cvt
%{_bindir}/cvt
%{_mandir}/man1/cvt.1*
