%define major 1
%define libname %mklibname xdamage %{major}
%define develname %mklibname xdamage -d

Name: libxdamage
Summary: X Damage Library
Version: 1.1.6
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: https://xorg.freedesktop.org
Source0: https://xorg.freedesktop.org/releases/individual/lib/libXdamage-%{version}.tar.xz

BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: pkgconfig(xfixes) >= 3.0.1.2
BuildRequires: x11-proto-devel >= 1.2.0
BuildRequires: x11-util-macros >= 1.0.1

%description
X Damage Library.

#-----------------------------------------------------------

%package -n %{libname}
Summary: X Damage Library
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libname}
X Damage Library.

%files -n %{libname}
%{_libdir}/libXdamage.so.%{major}
%{_libdir}/libXdamage.so.%{major}.*

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}xdamage-static-devel < 1.1.4-4

%description -n %{develname}
Development files for %{name}

%files -n %{develname}
%{_libdir}/libXdamage.so
%{_libdir}/pkgconfig/xdamage.pc
%{_includedir}/X11/extensions/Xdamage.h

#-----------------------------------------------------------

%prep
%setup -q -n libXdamage-%{version}

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete
