%define major 1
%define libxdg %mklibname xdg-basedir %{major}
%define libdev %mklibname xdg-basedir -d

Name:		libxdg-basedir
Version:	1.2.0
Release:	%mkrel 10
Summary:	The XDG Base Directory specification defines where files should be looked for
Group:		System/Libraries
License:	MIT
URL:		https://www.ohloh.net/p/libxdg-basedir
Source0:	https://n.ethz.ch/~nevillm/download/libxdg-basedir/libxdg-basedir-%{version}.tar.gz

BuildRequires:	doxygen

%description
The XDG Base Directory Specification defines where should user files be looked
for by defining one or more base directories relative in with they should be
located.

This library implements functions to list the directories according to the
specification and provides a few higher-level functions.

#------------------------------------------------------------------------------
%package -n %{libxdg}
Summary:	The XDG Base Directory specification defines where files should be looked for
Group:		System/Libraries
Provides:	%{name} = %{version}

%description -n %{libxdg}
The XDG Base Directory Specification defines where should user files be looked
for by defining one or more base directories relative in with they should be
located

%files -n %{libxdg}
%_libdir/libxdg-basedir.so.%{major}
%_libdir/libxdg-basedir.so.%{major}.*

#------------------------------------------------------------------------------
%package -n %{libdev}
Summary:	Development Files for %{name}
Group:		Development/Other
Requires:	%{name} = %{version}
Provides:	xdg-basedir-devel = %{version}-%{release}
Obsoletes:	%{_lib}xdg-basedir-static-devel < 1.2.0-6

%description -n %{libdev}
Development Files for %{name}

%files -n %{libdev}
%_includedir/basedir.h
%_includedir/basedir_fs.h
%_libdir/libxdg-basedir.so
%_libdir/pkgconfig/libxdg-basedir.pc

#------------------------------------------------------------------------------
%prep
%setup -q -n libxdg-basedir-%{version}

%build
# to recognize aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete
