%define major 6
%define libxdmcp %mklibname xdmcp %{major}
%define devxdmcp %mklibname xdmcp -d

Name: libxdmcp
Summary: X Display Manager Control Protocol library
Version: 1.1.5
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: https://xorg.freedesktop.org
Source0: https://xorg.freedesktop.org/releases/individual/lib/libXdmcp-%{version}.tar.xz

BuildRequires: pkgconfig(libbsd)
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
X Display Manager Control Protocol library

#-----------------------------------------------------------

%package -n %{libxdmcp}
Summary: Shared library of %{name}
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libxdmcp}
X Display Manager Control Protocol library.

%files -n %{libxdmcp}
%{_libdir}/libXdmcp.so.%{major}
%{_libdir}/libXdmcp.so.%{major}.*

#-----------------------------------------------------------

%package -n %{devxdmcp}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxdmcp} = %{version}-%{release}
Provides: libxdmcp-devel = %{version}-%{release}
Obsoletes: %{_lib}xdmcp6-devel < 1.1.1-4
Obsoletes: %{_lib}xdmcp6-static-devel < 1.1.1-4

%description -n %{devxdmcp}
Development files for %{name}

%files -n %{devxdmcp}
%{_datadir}/doc/libXdmcp/xdmcp.xml
%{_libdir}/libXdmcp.so
%{_libdir}/pkgconfig/xdmcp.pc
%{_includedir}/X11/Xdmcp.h

%prep
%setup -q -n libXdmcp-%{version}

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--without-xmlto \
		--disable-static

%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete
