%define major		2
%define libxft 		%mklibname xft %{major}
%define develname	%mklibname xft -d

Name:		libxft
Summary:	X FreeType library
Version:	2.3.8
Release:	%mkrel 1
Group:		Development/X11
License:	MIT
URL:		https://xorg.freedesktop.org
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libXft-%{version}.tar.xz

BuildRequires:	pkgconfig(fontconfig) >= 2.3.93
BuildRequires:	pkgconfig(xau) >= 1.0.0
BuildRequires:	pkgconfig(xrender) >= 0.9.0.2
BuildRequires:	x11-util-macros >= 1.0.1

%description
X FreeType library.

#-----------------------------------------------------------

%package -n	%{libxft}
Summary:	X FreeType library
Group:		Development/X11
Provides:	%{name} = %{version}

%description -n %{libxft}
X FreeType library.

%files -n %{libxft}
%{_libdir}/libXft.so.%{major}
%{_libdir}/libXft.so.%{version}

#-----------------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/X11
Requires:	%{libxft} = %{version}
Provides:	xft2-devel = %{version}-%{release}
Provides:	libxft-devel = %{version}-%{release}
Obsoletes:	%{mklibname -s -d xft} < 2.2.0-2

%description -n %{develname}
Development files for %{name}.

%files -n %{develname}
%{_libdir}/libXft.so
%{_libdir}/pkgconfig/xft.pc
%{_includedir}/X11/Xft/Xft.h
%{_includedir}/X11/Xft/XftCompat.h
%{_mandir}/man3/Xft*.*

#-----------------------------------------------------------

%prep
%setup -q -n libXft-%{version}

%build
%configure	--x-includes=%{_includedir} \
		--x-libraries=%{_libdir} \
		--disable-static
%make_build

%install
%make_install
