%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

%define major       6
%define libxi       %mklibname xi %{major}
%define libxi_devel %mklibname xi -d

Name:           libxi
Summary:        X Input Extension Library
Version:        1.8.2
Release:        %mkrel 1
Group:          System/Libraries
License:        MIT
URL:            https://xorg.freedesktop.org
Source0:        https://xorg.freedesktop.org/releases/individual/lib/libXi-%{version}.tar.xz
BuildRequires:  pkgconfig(x11) >= 1.3
BuildRequires:  pkgconfig(xext) >= 1.1
BuildRequires:  x11-proto-devel >= 7.5
BuildRequires:  x11-util-macros >= 1.0.1
BuildRequires:  pkgconfig(xfixes)
%if !%{bootstrap}
# necessary for building the man pages
BuildRequires:  xmlto
BuildRequires:  asciidoc
BuildRequires:  docbook-dtd412-xml
%endif

%description
X Input Extension Library.

#-----------------------------------------------------------

%package -n %{libxi}
Summary:        X Input Extension Library
Group:          System/Libraries
Provides:       %{name} = %{version}

%description -n %{libxi}
X Input Extension Library.

%files -n %{libxi}
%{_libdir}/libXi.so.%{major}{,.*}

#-----------------------------------------------------------

%package -n %{libxi_devel}
Summary:        Development files for %{name}
Group:          Development/X11
Requires:       %{libxi} = %{version}-%{release}
Provides:       libxi-devel = %{version}-%{release}
Obsoletes:      %{_lib}xi-static-devel < 1.7.2-2

%description -n %{libxi_devel}
Development files for %{name}.

%files -n %{libxi_devel}
%doc %{_datadir}/doc/libXi
%{_libdir}/libXi.so
%{_libdir}/pkgconfig/xi.pc
%{_includedir}/X11/extensions/*.h
%{_mandir}/man3/X*

#-----------------------------------------------------------

%prep
%setup -q -n libXi-%{version}

%build
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete
