%define major 1
%define libxinerama %mklibname xinerama %{major}
%define devxinerama %mklibname xinerama -d

Name: libxinerama
Summary: The Xinerama Library
Version: 1.1.5
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: https://xorg.freedesktop.org
Source0: https://xorg.freedesktop.org/releases/individual/lib/libXinerama-%{version}.tar.xz
BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: pkgconfig(xext) >= 1.0.0
BuildRequires: x11-proto-devel >= 7.5
BuildRequires: x11-util-macros >= 1.0.1

%description
The Xinerama Library

#-----------------------------------------------------------

%package -n %{libxinerama}
Summary: The Xinerama Library
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libxinerama}
The Xinerama Library

%files -n %{libxinerama}
%{_libdir}/libXinerama.so.%{major}
%{_libdir}/libXinerama.so.%{major}.*

#-----------------------------------------------------------

%package -n %{devxinerama}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxinerama} = %{version}-%{release}
Provides: libxinerama-devel = %{version}-%{release}
Conflicts: %{_lib}xinerama1 < 1.1.1-3
Obsoletes: %{_lib}xinerama1-devel < 1.1.3-2
Obsoletes: %{_lib}xinerama1-static-devel < 1.1.3-2

%description -n %{devxinerama}
Development files for %{name}

%files -n %{devxinerama}
%{_libdir}/libXinerama.so
%{_libdir}/pkgconfig/xinerama.pc
%{_includedir}/X11/extensions/*.h
%{_mandir}/man3/*

#-----------------------------------------------------------

%prep
%setup -q -n libXinerama-%{version}

%build
%configure  --disable-static
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete
