%define up_name		libXISF

%define major		0
%define libname		%mklibname xisf %{major}
%define develname	%mklibname xisf -d

Name:		libxisf
Version:	0.2.13
Release:	%mkrel 1
Summary:	Library to read/write PixInsight XISF files
License:	GPLv3+
Group:		System/Libraries
URL:		https://gitea.nouspiro.space/nou/libXISF
Source0:	https://gitea.nouspiro.space/nou/libXISF/archive/v%{version}/%{up_name}-v%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	pkgconfig(liblz4)
BuildRequires:	pkgconfig(libzstd)
BuildRequires:	pkgconfig(pugixml)
BuildRequires:	pkgconfig(zlib)

%description
C++ library that can read and write XISF files produced by PixInsight.

#------------------------------------------------

%package -n	%{libname}
Summary:	Library to read/write PixInsight XISF files
Group:		System/Libraries

%description -n	%{libname}
C++ library that can read and write XISF files produced
by PixInsight.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	xisf-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -p1 -n libxisf

%build
%cmake -DUSE_BUNDLED_LIBS=OFF
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc README.md
%license LICENSE
%{_libdir}/libXISF.so.%{major}
%{_libdir}/libXISF.so.%{version}

%files -n %{develname}
%doc README.md
%{_includedir}/libXISF_global.h
%{_includedir}/libxisf.h
%{_libdir}/libXISF.so
%{_libdir}/pkgconfig/libxisf.pc
