%define oname		xklavier

%define major		16
%define gmajor		1.0
%define libname		%mklibname %{oname} %{major}
%define develname	%mklibname %{oname} -d
%define girname		%mklibname %{oname}-gir %{gmajor}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		libxklavier
Summary:	X Keyboard support library
Version:	5.4
Release:	%mkrel 6
License:	LGPLv2+
Group:		System/Libraries
Url:		https://gswitchit.sourceforge.net/
#Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# (ngompa): The source moved, for now...
Source:		https://people.freedesktop.org/~svu/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(xkbfile)
BuildRequires:	pkgconfig(iso-codes)

%description
This library allows you simplify XKB-related development.

%package -n %{libname}
Summary:	X Keyboard support library
Group:		System/Libraries
Requires:	iso-codes

%description -n %{libname}
This library allows you simplify XKB-related development.

%package -n %{develname}
Summary:	Libraries, includes, etc to develop libxklavier applications
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{_lib}xklavier8-devel
Obsoletes:	%{_lib}xklavier11-devel
Obsoletes:	%{_lib}xklavier-static-devel < 5.1-2

%description  -n %{develname}
Libraries, include files, etc you can use to develop libxklavier
applications.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q

%build
%configure \
	--disable-static \
	--with-xkb-base=%{_datadir}/X11/xkb/ \
	--with-xkb-bin-base=%{_bindir}/ \
	--enable-introspection=yes
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%license COPYING.LIB
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/libxklavier/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_includedir}/*
%{_datadir}/gir-1.0/Xkl-%{gmajor}.gir

%files -n %{girname}
%{_libdir}/girepository-1.0/Xkl-%{gmajor}.typelib
