%define oname	libxml++

%define major       2
%define api_version 2.6
%define libname     %mklibname xml++ %{api_version} %major
%define libnamedev  %mklibname xml++ %{api_version} -d

Name: 		libxml++%{api_version}
Summary: 	C++ interface for working with XML files
Version:	2.42.3
Release: 	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		https://libxmlplusplus.sourceforge.net/
Source:		https://download.gnome.org/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.xz
BuildRequires:	pkgconfig(glibmm-2.4) >= 2.4.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6.1
BuildRequires:	doxygen
BuildRequires:	meson

%description
libxml++ is a C++ interface for working with XML files, using libxml
(gnome-xml) to parse and write the actual XML files. It has a simple
but complete API.

%package	-n %{libname}
Summary: 	C++ interface for working with XML files
Group:		System/Libraries

%description	-n %{libname}
libxml++ is a C++ interface for working with XML files, using libxml
(gnome-xml) to parse and write the actual XML files. It has a simple
but complete API.

%package	-n %{libnamedev}
Summary:	Headers for developing programs that will use %oname
Group:		Development/C++
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description	-n %{libnamedev}
This package contains the headers that programmers will need to develop
applications which will use libraries from %oname.

%prep
%autosetup -p1 -n %{oname}-%{version}

%build
%meson \
	-Dbuild-documentation=true
%meson_build

%install
%meson_install

%files -n %{libname}
%license COPYING
%doc NEWS README.md
%{_libdir}/libxml++-%{api_version}.so.%{major}{,.*}

%files -n %{libnamedev}
%doc ChangeLog NEWS README.md
%doc %_datadir/doc/%oname-%{api_version}/reference
%doc %_datadir/doc/%oname-%{api_version}/manual/html
%_datadir/devhelp/books/%oname-%{api_version}/%oname-%{api_version}.devhelp2
%{_includedir}/*
%dir %_libdir/libxml++-%{api_version}
%_libdir/libxml++-%{api_version}/include/libxml++config.h
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
