%define api		2.0
%define major		2
%define libname		%mklibname xml 2 %{major}
%define develname	%mklibname xml 2 -d

%bcond_without check

Summary:	Library providing XML and HTML support
Name:		libxml2
# WARNING: Please rebuild perl-XML-LibXML when you upload a new version else
#          you'll break a ton of perl packages' testsuite!!!!!
Version:	2.13.6
Release:	%mkrel 1
License:	MIT
Group: 		System/Libraries
URL:		http://www.xmlsoft.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# Patch from openSUSE.
# See:  https://bugzilla.gnome.org/show_bug.cgi?id=789714
Patch1:         libxml2-2.12.0-python3-unicode-errors.patch

BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(readline)

%description
This library allows you to manipulate XML files. It includes support
for reading, modifying and writing XML and HTML files. There is DTDs
support: this includes parsing and validation even with complex DtDs,
either at parse time or later once the document has been modified. The
output can be a simple SAX stream or and in-memory DOM-like
representations. In this case one can use the built-in XPath and
XPointer implementation to select subnodes or ranges. A flexible
Input/Output mechanism is available, with existing HTTP and FTP modules
and combined to a URI library.

%package -n	%{libname}
Summary:	Shared libraries providing XML and HTML support
Group: 		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
This library allows you to manipulate XML files. It includes support
for reading, modifying and writing XML and HTML files. There is DTDs
support: this includes parsing and validation even with complex DtDs,
either at parse time or later once the document has been modified.

%package	utils
Summary:	Utilities to manipulate XML files
Group:		System/Libraries
Provides:	xmllint = %{version}-%{release}
Provides:	xmlcatalog = %{version}-%{release}

%description	utils
This packages contains utils to manipulate XML files.

%package	python3
Summary:	Python bindings for the libxml2 library
Group:		Development/Python
Requires:	python3 >= %{python3_version}
Provides:	python3-%{name} = %{version}-%{release}
%{?python_provide:%python_provide python3-%{name}}

%description	python3
The libxml2-python3 package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libxml2 library to manipulate XML files.

This library allows you to manipulate XML files. It includes support
for reading, modifying and writing XML and HTML files. There is DTDs
support: this includes parsing and validation even with complex DtDs,
either at parse time or later once the document has been modified.

%package -n	%{develname}
Summary:	Libraries, includes, etc. to develop XML and HTML applications
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Libraries, include files, etc you can use to develop XML applications.
This library allows you to manipulate XML files. It includes support
for reading, modifying and writing XML and HTML files. There is DTDs
support: this includes parsing and validation even with complex DtDs,
either at parse time or later once the document has been modified.

%prep
%setup -q
%autopatch -p1

# Prep py3 docs
mkdir py3doc
cp doc/*.py py3doc
sed -i 's|#!/usr/bin/python |#!%{__python3} |' py3doc/*.py

# Remove files generated by python/generator.py to force regenerating them
# rm python/{libxml2-py.c,libxml2-py.h,libxml2-export.c}

%build
autoreconf -vfi
%configure \
  --disable-static \
  --with-legacy
%make_build

%install
%make_install

#only do it here if check aren't done
%if ! %{with check}
  # clean before packaging documentation
  make clean -C example
  rm -rf example/{.deps,Makefile}
  gzip -9 doc/libxml2-api.xml
%endif

# remove unpackaged files
rm -rf	%{buildroot}%{_prefix}/doc \
 	%{buildroot}%{_datadir}/doc

%if %{with check}
%check
# all tests must pass
# use TARBALLURL_2="" TARBALLURL="" TESTDIRS="" to disable xstc test which are using remote tarball
make TARBALLURL_2="" TARBALLURL="" TESTDIRS="" check

#need to do that after check otherwise it will fail
# clean before packaging documentation
make clean -C example
rm -rf example/.deps
gzip -9 doc/libxml2-api.xml
%endif

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files utils
%doc README.md
%license Copyright
%{_bindir}/xmlcatalog
%{_bindir}/xmllint
%{_mandir}/man1/xmlcatalog*
%{_mandir}/man1/xmllint*

%files python3
%doc README.md
%license Copyright
%doc py3doc/*.py
%doc python/libxml2class.txt
%doc python/tests/*.py
%{python3_sitearch}/*
%{python3_sitelib}/*


%files -n %{develname}
%doc NEWS README.md
%license Copyright
%doc doc/libxml2-api.xml.gz
%doc %{_datadir}/gtk-doc/html/*
%{_bindir}/xml2-config
%{_libdir}/*.so
%{_libdir}/pkgconfig/libxml-%{api}*.pc
%{_libdir}/cmake/libxml2/
%{_mandir}/man1/xml2-config*
%{_includedir}/*
%{_datadir}/aclocal/*
