%define major     2
%define libname   %mklibname xmlb %major
%define devname   %mklibname xmlb -d

%define gir_major 2.0
%define girname   %mklibname xmlb-gir %{gir_major}

%global glib2_version 2.45.8

Summary:        Library for querying compressed XML metadata
Name:           libxmlb
Group:          System/Libraries
Version:        0.3.22
Release:        %mkrel 1
License:        LGPL-2.1-or-later
URL:            https://github.com/hughsie/libxmlb
Source0:        https://github.com/hughsie/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  meson
BuildRequires:  gtk-doc
BuildRequires:  pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires:  libstemmer-devel
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(libzstd)
BuildRequires:  python3-setuptools

# needed for the self tests
BuildRequires:  shared-mime-info

Requires:       shared-mime-info

%description
XML is slow to parse and strings inside the document cannot be memory mapped as
they do not have a trailing NUL char. The libxmlb library takes XML source, and
converts it to a structured binary representation with a deduplicated string
table -- where the strings have the NULs included.

This allows an application to mmap the binary XML file, do an XPath query and
return some strings without actually parsing the entire document. This is all
done using (almost) zero allocations and no actual copying of the binary data.

%package -n %{libname}
Summary:        Library for querying compressed XML metadata
Group:          System/Libraries

%description -n %{libname}
XML is slow to parse and strings inside the document cannot be memory mapped as
they do not have a trailing NUL char. The libxmlb library takes XML source, and
converts it to a structured binary representation with a deduplicated string
table -- where the strings have the NULs included.

This allows an application to mmap the binary XML file, do an XPath query and
return some strings without actually parsing the entire document. This is all
done using (almost) zero allocations and no actual copying of the binary data.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{devname}
Group:          Development/C
Summary:        Development package for %{name}
Requires:       %{libname} = %{version}-%{release}
Requires:       %{girname} = %{version}-%{release}
Provides:       libxmlb-devel = %{version}-%{release}

%description -n %{devname}
Files for development with %{name}.

%package tests
Summary:        Files for installed tests
Group:          System/Libraries

%description tests
Executable and data files for installed tests.

%prep
%autosetup -p1

%build
%meson \
    -Dgtkdoc=true \
    -Dtests=true

%meson_build

%check
%meson_test

%install
%meson_install

%files
%doc README.md
%license LICENSE
%{_bindir}/xb-tool
%{_mandir}/man1/xb-tool.1*

%files -n %{libname}
%doc README.md
%license LICENSE
%{_libdir}/libxmlb.so.%{major}{,.*}

%files -n %{girname}
%license LICENSE
%{_libdir}/girepository-1.0/Xmlb-%{gir_major}.typelib

%files -n %{devname}
%{_datadir}/gir-1.0/Xmlb-%{gir_major}.gir
%{_datadir}/gtk-doc/html/libxmlb
%{_includedir}/libxmlb-2/
%{_libdir}/libxmlb.so
%{_libdir}/pkgconfig/xmlb.pc

%files tests
%{_libexecdir}/installed-tests/libxmlb/
%dir %{_datadir}/installed-tests/libxmlb
%{_datadir}/installed-tests/libxmlb/libxmlb.test
