%define major     2
%define libxrandr %mklibname xrandr %{major}
%define devxrandr %mklibname xrandr -d

Name:           libxrandr
Summary:        X RandR Library
Version:        1.5.4
Release:        %mkrel 1
Group:          System/Libraries
License:        MIT
URL:            https://xorg.freedesktop.org
Source0:        https://xorg.freedesktop.org/releases/individual/lib/libXrandr-%{version}.tar.xz
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  x11-proto-devel
BuildRequires:  x11-util-macros

%description
X RandR Library.

#-----------------------------------------------------------

%package -n %{libxrandr}
Summary:        X RandR Library
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Provides:       %{name}%{?_isa} = %{version}-%{release}

%description -n %{libxrandr}
X RandR Library.

%files -n %{libxrandr}
%{_libdir}/libXrandr.so.%{major}{,.*}

#-----------------------------------------------------------

%package -n %{devxrandr}
Summary:        Development files for %{name}
Group:          Development/X11
Requires:       %{libxrandr} = %{version}-%{release}
Provides:       libxrandr-devel = %{version}-%{release}
Provides:       xrandr-devel = %{version}-%{release}

%description -n %{devxrandr}
Development files for %{name}.

%files -n %{devxrandr}
%{_libdir}/libXrandr.so
%{_libdir}/pkgconfig/xrandr.pc
%{_includedir}/X11/extensions/Xrandr.h
%{_mandir}/man3/XRR*.3*
%{_mandir}/man3/Xrandr.3*

#-----------------------------------------------------------

%prep
%setup -q -n libXrandr-%{version}

%build
%configure --disable-static
%make_build

%install
%make_install
