%define major      1
%define libxrender %mklibname xrender %{major}
%define devxrender %mklibname xrender -d

Name:		libxrender
Summary:	X Render Library
Version:	0.9.12
Release:	%mkrel 1
Group:		Development/X11
License:	MIT
URL:		https://xorg.freedesktop.org
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libXrender-%{version}.tar.xz
# (fc) disable Xrender on DMX (Mdk bug #19925)
Patch0:		libXrender-0.9.1-dmx.patch
BuildRequires:	pkgconfig(x11) >= 1.0.0
BuildRequires:	x11-proto-devel >= 1.0.0
BuildRequires:	x11-util-macros >= 1.0.1

%description
X Render Library.

#-----------------------------------------------------------

%package -n %{libxrender}
Summary:	X Render Library
Group:		System/Libraries
Provides:	%{name} = %{version}

%description -n %{libxrender}
X Render Library.

%files -n %{libxrender}
%{_libdir}/libXrender.so.%{major}{,.*}

#-----------------------------------------------------------

%package -n %{devxrender}
Summary:	Development files for %{name}
Group:		Development/X11
Requires:	%{libxrender} = %{version}-%{release}
Provides:	libxrender-devel = %{version}-%{release}

%description -n %{devxrender}
Development files for %{name}.

%files -n %{devxrender}
%{_libdir}/libXrender.so
%{_libdir}/pkgconfig/xrender.pc
%{_includedir}/X11/extensions/Xrender.h
%dir %{_docdir}/libXrender
%{_docdir}/libXrender/*

#-----------------------------------------------------------

%prep
%autosetup -p1 -n libXrender-%{version}

%build
%configure	--disable-static
%make_build

%install
%make_install
