%define major   1
%define libxres %mklibname xres %{major}
%define devxres %mklibname xres -d

Name: libxres
Summary:  X Resource Information Extension Library
Version: 1.2.2
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: https://xorg.freedesktop.org
Source0: https://xorg.freedesktop.org/releases/individual/lib/libXres-%{version}.tar.xz

BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: pkgconfig(xext) >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
X Resource Information Extension Library

#-----------------------------------------------------------

%package -n %{libxres}
Summary:  X Resource Information Extension Library
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libxres}
X Resource Information Extension Library

%files -n %{libxres}
%{_libdir}/libXRes.so.%{major}{,.*}

#-----------------------------------------------------------

%package -n %{devxres}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxres} = %{version}-%{release}
Provides: libxres-devel = %{version}-%{release}
Obsoletes: %{_lib}xres1-devel < 1.0.7-2
Obsoletes: %{_lib}xres1-static-devel < 1.0.7-2

%description -n %{devxres}
Development files for %{name}

%files -n %{devxres}
%{_libdir}/libXRes.so
%{_libdir}/pkgconfig/xres.pc
%{_includedir}/X11/extensions/XRes.h
%{_mandir}/man3/XRes*

#-----------------------------------------------------------

%prep
%setup -q -n libXres-%{version}

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--disable-static

%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete
