%define major 1
%define libxscrnsaver %mklibname xscrnsaver %{major}
%define devxscrnsaver %mklibname xscrnsaver -d

Name: libxscrnsaver
Summary:  The XScrnSaver Library
Version: 1.2.4
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: https://xorg.freedesktop.org
Source0: https://xorg.freedesktop.org/releases/individual/lib/libXScrnSaver-%{version}.tar.xz

BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: pkgconfig(xext) >= 1.0.0
BuildRequires: x11-util-macros

%description
The XScrnSaver Library

#-----------------------------------------------------------

%package -n %{libxscrnsaver}
Summary:  The XScrnSaver Library
Group: Development/X11
Provides: %{name} = %{version}
Provides: libXScrnSaver = %{version}

%description -n %{libxscrnsaver}
The XScrnSaver Library

%files -n %{libxscrnsaver}
%{_libdir}/libXss.so.%{major}{,.*}

#-----------------------------------------------------------

%package -n %{devxscrnsaver}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxscrnsaver} = %{version}-%{release}
Provides: libxscrnsaver-devel = %{version}-%{release}
Obsoletes: %{_lib}xscrnsaver1-devel < 1.2.2-3
Obsoletes: %{_lib}xscrnsaver1-static-devel < 1.2.2-3

%description -n %{devxscrnsaver}
Development files for %{name}

%files -n %{devxscrnsaver}
%{_libdir}/libXss.so
%{_libdir}/pkgconfig/xscrnsaver.pc
%{_mandir}/man3/XScreenSaver*
%{_mandir}/man3/Xss*
%{_includedir}/X11/extensions/scrnsaver.h

#-----------------------------------------------------------

%prep
%setup -q -n libXScrnSaver-%{version}

%build
#to recognize aarch64
autoreconf -vfi
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--disable-static

%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

