# Please rebuild perl-XML-LibXSLT  when you update this library to a new version

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define xml_version_required 2.9.10

%define major       1
%define libname     %mklibname xslt %{major}

%define exslt_major 0
%define exslt_lib   %mklibname exslt %{exslt_major}

%define develname   %mklibname xslt -d

# now ported to python3
%bcond_without python

# exclude python module .so from provides
%global __provides_exclude_from ^%{python3_sitearch}/.*\\.so

Name:           libxslt
Version:        1.1.43
Release:        %mkrel 2
Summary:        Library providing XSLT support
License:        MIT
Group:          System/Libraries
URL:            https://gitlab.gnome.org/GNOME/libxslt
Source0:        https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(libxml-2.0) >= %{xml_version_required}
BuildRequires:  pkgconfig(libgcrypt)

%if %{with python}
BuildRequires:  python3
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-libxml2 >= %{xml_version_required}
%endif

Requires:       libxml2 >= %{xml_version_required}

%description
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism.

%package -n     xsltproc
Summary:        XSLT processor using libxslt
Group:          System/Libraries
Provides:       libxslt-proc = %{version}-%{release}
Requires:       docbook-style-xsl

%description -n xsltproc
This package provides an XSLT processor based on the libxslt C library.
It allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism.

%package -n     %{libname}
Summary:        Library providing XSLT support
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism.

%package -n     %{exslt_lib}
Summary:        Extension library for XSLT
Group:          System/Libraries

%description -n %{exslt_lib}
The libexslt library is used to provide extensions to XSLT functions. These
extensions come from the EXSLT project.

%if %{with python}
%package -n     python3-%{name}
Summary:        Python bindings for the libxslt library
Group:          Development/Python
Requires:       %{libname} = %{version}-%{release}
Requires:       python3-libxml2 >= %{xml_version_required}
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
This package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libxslt library to apply XSLT transformations.

This library allows to parse stylesheets, uses the libxml2-python
to load and save XML and HTML files. Direct access to XPath and
the XSLT transformation context are possible to extend the XSLT language
with XPath functions written in Python.
%endif

%package -n     %{develname}
Summary:        Libraries, includes, etc. to develop XML and HTML applications
Group:          Development/C
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Requires:       %{exslt_lib} = %{version}-%{release}
Requires:       libxml2-devel >= %{xml_version_required}

%description -n %{develname}
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism.

%prep
%autosetup -p1

mkdir -p python/examples
install -Dpm644 python/tests/*.{py,xml,xsl} python/examples

%build
%configure --disable-static %{?with_python:--with-python}%{!?with_python:--without-python}
%make_build

%install
%make_install

%check
make tests

%files -n xsltproc
%doc AUTHORS README.md
%{_bindir}/xsltproc
%{_mandir}/man1/*

%files -n %{libname}
%doc AUTHORS NEWS README.md FEATURES TODO
%license Copyright
%{_libdir}/libxslt.so.%{major}{,.*}

%files -n %{exslt_lib}
%license Copyright
%{_libdir}/libexslt.so.%{exslt_major}{,.*}

%if %{with python}
%files -n python3-%{name}
%doc AUTHORS README.md FEATURES python/examples python/libxsltclass.txt
%license Copyright
%{python3_sitearch}/*.so
%{python3_sitelib}/*.py*
%{python3_sitelib}/__pycache__/*.py*
%endif

%files -n %{develname}
#doc doc/*.html doc/tutorial doc/html
%doc %{_datadir}/doc/%{name}
%doc %{_datadir}/gtk-doc/html/libxslt/
%doc %{_datadir}/gtk-doc/html/libexslt/
%{_libdir}/libxslt.so
%{_libdir}/libexslt.so
%{_libdir}/*.sh
%{_includedir}/libxslt/
%{_includedir}/libexslt/
%{_bindir}/xslt-config
%{_libdir}/cmake/libxslt/
%{_libdir}/pkgconfig/libxslt.pc
%{_libdir}/pkgconfig/libexslt.pc
#{_datadir}/aclocal/*
%{_mandir}/man3/libxslt.3*
%{_mandir}/man3/libexslt.3*
