%define major   6
%define libxtst %mklibname xtst %major
%define devxtst %mklibname xtst -d

Name:           libxtst
Summary:        The Xtst Library
Version:        1.2.5
Release:        %mkrel 1
Group:          Development/X11
License:        MIT
URL:            https://xorg.freedesktop.org
Source0:        https://xorg.freedesktop.org/releases/individual/lib/libXtst-%{version}.tar.xz
BuildRequires:  pkgconfig(x11) >= 1.0.0
BuildRequires:  pkgconfig(xext) >= 1.0.0
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xi) >= 1.3
BuildRequires:  x11-proto-devel >= 7.5
BuildRequires:  x11-util-macros >= 1.0.1
BuildRequires:  xmlto
BuildRequires:  docbook-dtd412-xml

%description
The Xtst Library.

#-----------------------------------------------------------

%package -n %{libxtst}
Summary:        The Xtst Library
Group:          System/Libraries
Provides:       %{name} = %{version}

%description -n %{libxtst}
The Xtst Library

%files -n %{libxtst}
%{_libdir}/libXtst.so.%{major}{,.*}

#-----------------------------------------------------------

%package -n %{devxtst}
Summary:        Development files for %{name}
Group:          Development/X11
Requires:       %{libxtst} = %{version}-%{release}
Provides:       libxtst-devel = %{version}-%{release}

%description -n %{devxtst}
Development files for %{name}.

%files -n %{devxtst}
%{_libdir}/libXtst.so
%{_libdir}/pkgconfig/xtst.pc
%{_includedir}/X11/extensions/*.h
%{_mandir}/man3/XTest*
%{_docdir}/libXtst/

#-----------------------------------------------------------

%prep
%setup -q -n libXtst-%{version}

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--disable-static

%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete
