%define major 1
%define libxv %mklibname xv %{major}
%define devxv %mklibname xv -d

Name:           libxv
Summary:        The Xv Library
Version:        1.0.13
Release:        %mkrel 1
Group:          System/Libraries
License:        MIT
URL:            https://xorg.freedesktop.org
Source0:        https://xorg.freedesktop.org/releases/individual/lib/libXv-%{version}.tar.xz

BuildRequires:  pkgconfig(x11) >= 1.0.0
BuildRequires:  pkgconfig(xext) >= 1.0.0
BuildRequires:  x11-proto-devel >= 1.0.0
BuildRequires:  x11-util-macros >= 1.0.1

%description
The  Xv  extension provides support for video adaptors attached to an X
display. Clients use Xv to gain access and manage sharing of a
display's video resources.

#-----------------------------------------------------------

%package -n %{libxv}
Summary:        The Xv Library
Group:          System/Libraries
Provides:       %{name} = %{version}

%description -n %{libxv}
The  Xv  extension provides support for video adaptors attached to an X
display. Clients use Xv to gain access and manage sharing of a
display's video resources.

%files -n %{libxv}
%{_libdir}/libXv.so.%{major}{,.*}

#-----------------------------------------------------------

%package -n %{devxv}
Summary:        Development files for %{name}
Group:          Development/X11
Requires:       %{libxv} = %{version}-%{release}
Provides:       libxv-devel = %{version}-%{release}
Provides:       xv-devel = %{version}-%{release}

%description -n %{devxv}
Development files for %{name}.

%files -n %{devxv}
%{_libdir}/libXv.so
%{_libdir}/pkgconfig/xv.pc
%{_includedir}/X11/extensions/Xvlib.h
%{_mandir}/man3/Xv*

#-----------------------------------------------------------

%prep
%setup -q -n libXv-%{version}

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--disable-static

%make_build

%install
%make_install
