%define major   1
%define libxvmc %mklibname xvmc %{major}
%define devxvmc %mklibname xvmc -d

Name:           libxvmc
Summary:        The XvMC Library
Version:        1.0.14
Release:        %mkrel 1
Group:          Development/X11
License:        MIT
URL:            https://xorg.freedesktop.org
Source0:        https://www.x.org/releases/individual/lib/libXvMC-%{version}.tar.xz

BuildRequires:  pkgconfig(x11) >= 1.0.0
BuildRequires:  pkgconfig(xext) >= 1.0.0
BuildRequires:  pkgconfig(xv) >= 1.0.1
BuildRequires:  x11-proto-devel >= 1.0.0
BuildRequires:  x11-util-macros >= 1.0.1

%description
The XvMC Library.

#-----------------------------------------------------------

%package -n %{libxvmc}
Summary:        The XvMC Library
Group:          System/Libraries
Provides:       %{name} = %{version}

%description -n %{libxvmc}
The XvMC Library.

%files -n %{libxvmc}
%{_libdir}/libXvMC.so.%{major}{,.*}
%{_libdir}/libXvMCW.so.%{major}{,.*}

#-----------------------------------------------------------

%package -n %{devxvmc}
Summary:        Development files for %{name}
Group:          Development/X11
Requires:       %{libxvmc} = %{version}-%{release}
Provides:       libxvmc-devel = %{version}-%{release}

%description -n %{devxvmc}
Development files for %{name}.

%files -n %{devxvmc}
%{_libdir}/libXvMCW.so
%{_libdir}/libXvMC.so
%{_libdir}/pkgconfig/xvmc.pc
%{_libdir}/pkgconfig/xvmc-wrapper.pc
%{_includedir}/X11/extensions/XvMClib.h
%{_includedir}/X11/extensions/vldXvMC.h
%dir %{_docdir}/libXvMC
%{_docdir}/libXvMC/XvMC_API.txt

#-----------------------------------------------------------

%prep
%autosetup -p1 -n libXvMC-%{version}

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--disable-static

%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete
