%define     major        16
%define     libname      %mklibname  yui-gtk %{major}
%define     develname    %mklibname yui-gtk -d

Name:       libyui-gtk
Version:    2.52.5
Release:    %mkrel 4
Summary:    UI abstraction library - GTK plugin
License:    LGPLv2+
Group:      System/Libraries
URL:        https://github.com/libyui/libyui-gtk
Source0:    https://github.com/libyui/libyui-gtk/archive/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:    png-devel
BuildRequires:    yui-devel >= 3.0.4
BuildRequires:    gtk+3.0-devel
BuildRequires:    libgdk_pixbuf2.0-devel
BuildRequires:    boost-devel
BuildRequires:    sane-devel
BuildRequires:    cmake
BuildRequires:    doxygen
BuildRequires:    ghostscript
BuildRequires:    graphviz

%description
%{summary}

#-----------------------------------------------------------------------

%package -n %libname
Summary:        %{summary}
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Provides:       %{name}%{?_isa} = %{version}-%{release}
Provides:       %{name}%{major} = %{version}-%{release}
Provides:       %{name}%{major}%{?_isa} = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs
dynamically linked with libyui-gtk.

%files -n %libname
%doc COPYING*
%{_libdir}/yui/libyui-gtk.so.%{major}{,.*}

#-----------------------------------------------------------------------

%package -n %develname
Summary:        %{summary} header files
Group:          Development/Other
Requires:       libyui-devel
Requires:       %{name} = %{version}-%{release}
Provides:       yui-gtk-devel = %{version}-%{release}

%description -n %develname
This package provides headers files for libyui-ncurses development.

%files -n %develname
%{_includedir}/yui/
%{_libdir}/yui/libyui-gtk.so
%{_libdir}/pkgconfig/libyui-gtk.pc

#-----------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install
