%define         major        16
%define         libname      %mklibname yui-mga-gtk %{major}
%define         develname    %mklibname yui-mga-gtk -d

Name:           libyui-mga-gtk
Version:        1.2.0
Release:        %mkrel 12
Summary:        UI abstraction library - Mageia extension Gtk plugin
License:        LGPLv2+
Group:          System/Libraries
Url:            https://github.com/manatools/libyui-mga-gtk
Source0:        %{name}-%{version}.tar.gz
Patch0:         00-libyui-gtk-dep.patch

BuildRequires:    pkgconfig(libyui)
BuildRequires:    pkgconfig(libyui-gtk)
BuildRequires:    pkgconfig(libyui-mga)
BuildRequires:    pkgconfig(gtk+-3.0)
BuildRequires:    cmake
BuildRequires:    boost-devel
BuildRequires:    ghostscript
BuildRequires:    graphviz

%description
%{summary}.

#-----------------------------------------------------------------------

%package -n %libname
Summary:        %{summary}
Group:          System/Libraries
Requires:       libyui
Provides:       %{name} = %{version}-%{release}
Provides:       %{name}%{?_isa} = %{version}-%{release}
Provides:       %{name}%{major} = %{version}-%{release}
Provides:       %{name}%{major}%{?_isa} = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs
dynamically linked with libyui-mga-gtk.

%files -n %libname
%doc COPYING*
%{_libdir}/yui/libyui-mga-gtk.so.%{major}{,.*}

#-----------------------------------------------------------------------

%package -n %develname
Summary:        %{summary} header files
Group:          Development/Other
Requires:       libyui-devel
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       yui-mga-gtk-devel = %{version}-%{release}

%description -n %develname
This package provides headers files for libyui-mga-gtk development.

%files -n %develname
%{_includedir}/yui/mga/gtk/
%{_libdir}/yui/libyui-mga-gtk.so

#-----------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install
