%define         major        16
%define         libname      %mklibname yui-mga-ncurses %{major}
%define         develname    %mklibname yui-mga-ncurses -d

Name:           libyui-mga-ncurses
Version:        1.2.0
Release:        %mkrel 3
Summary:        UI abstraction library - Mageia extension ncurses plugin
License:        LGPLv2+
Group:          System/Libraries
Url:            https://github.com/manatools/libyui-mga-ncurses
Source0:        https://github.com/manatools/libyui-mga-ncurses/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:    pkgconfig(libyui)
BuildRequires:    pkgconfig(libyui-ncurses)
BuildRequires:    pkgconfig(libyui-mga)
BuildRequires:    pkgconfig(ncursesw)
BuildRequires:    pkgconfig(ncurses)
BuildRequires:    cmake
BuildRequires:    boost-devel

%description
%{summary}.

#-----------------------------------------------------------------------

%package -n %libname
Summary:        %{summary}
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Provides:       %{name}%{?_isa} = %{version}-%{release}
Provides:       %{name}%{major} = %{version}-%{release}
Provides:       %{name}%{major}%{?_isa} = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs
dynamically linked with libyui-mga-ncurses.

%files -n %libname
%doc COPYING*
%{_libdir}/yui/libyui-mga-ncurses.so.%{major}{,.*}


#-----------------------------------------------------------------------

%package -n %develname
Summary:        %{summary} header files
Group:          Development/Other
Requires:       libyui-devel
Requires:       %{libname} = %{version}-%{release}
Provides:       yui-mga-ncurses-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %develname
This package provides headers files for libyui-mga-ncurses development.

%files -n %develname
%{_includedir}/yui/mga/ncurses/
%{_libdir}/yui/libyui-mga-ncurses.so

#-----------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install
