%define         major        16
%define         libname      %mklibname yui-mga-qt %{major}
%define         develname    %mklibname yui-mga-qt -d

Name:           libyui-mga-qt
Version:        1.2.0
Release:        %mkrel 3
Summary:        UI abstraction library - Qt plugin
License:        LGPLv2+
Group:          System/Libraries
Url:            https://github.com/manatools/libyui-mga-qt
Source0:        https://github.com/manatools/libyui-mga-qt/archive/%{name}-%{version}.tar.gz
Patch0:         00_libyui-qt-dep.patch

BuildRequires:    pkgconfig(libpng)
BuildRequires:    pkgconfig(libyui)
BuildRequires:    pkgconfig(libyui-qt)
BuildRequires:    pkgconfig(libyui-mga)
# TODO Check ...
BuildRequires:    pkgconfig(Qt5X11Extras)
BuildRequires:    pkgconfig(Qt5Svg)
# ... TODO Check
BuildRequires:    cmake
BuildRequires:    boost-devel

BuildRequires:    ghostscript
BuildRequires:    graphviz
BuildRequires:    pkgconfig(fontconfig)

%description
%{summary}.

#-----------------------------------------------------------------------

%package -n %libname
Summary:        %{summary}
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Provides:       %{name}%{?_isa} = %{version}-%{release}
Provides:       %{name}%{major} = %{version}-%{release}
Provides:       %{name}%{major}%{?_isa} = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs
dynamically linked with libyui-mga-qt.

%files -n %libname
%doc COPYING*
%{_libdir}/yui/libyui-mga-qt.so.%{major}{,.*}


#-----------------------------------------------------------------------

%package -n %develname
Summary:        %{summary} header files
Group:          Development/KDE and Qt
Requires:       libyui-devel
Requires:       %{name} = %{version}-%{release}
Provides:       yui-mga-qt-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %develname
This package provides headers files for libyui-mga-qt development.

%files -n %develname
%{_includedir}/yui/mga/qt/
%{_libdir}/yui/libyui-mga-qt.so

#-----------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install
