%define         major        16
%define         libname      %mklibname yui-mga %{major}
%define         develname    %mklibname -d yui-mga

Name:           libyui-mga
Version:        1.2.1
Release:        %mkrel 5
Summary:        UI abstraction library - Mageia extension widget base plugin
License:        LGPLv2+
Group:          System/Libraries
Url:            https://github.com/manatools/libyui-mga
Source0:        https://github.com/manatools/libyui-mga/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:    pkgconfig(libpng)
BuildRequires:    pkgconfig(libyui)
BuildRequires:    cmake
BuildRequires:    boost-devel
BuildRequires:    ghostscript
BuildRequires:    graphviz

%description
%{summary}

#-----------------------------------------------------------------------

%package -n %libname
Summary:        %{summary}
Group:          System/Libraries
Requires:       libyui
Provides:       %{name} = %{version}-%{release}
Provides:       %{name}%{?_isa} = %{version}-%{release}
Provides:       %{name}%{major} = %{version}-%{release}
Provides:       %{name}%{major}%{?_isa} = %{version}-%{release}
Obsoletes:	%{_lib}yui15-mga < 1.2.1-3

%description -n %libname
This package contains the library needed to run programs
dynamically linked with libyui-mga.

%files -n %libname
%doc COPYING*
%{_libdir}/libyui-mga.so.%{major}{,.*}

#-----------------------------------------------------------------------

%package -n %develname
Summary:        %{summary} header files
Group:          Development/C++
Requires:       libyui-devel
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       yui-mga-devel = %{version}-%{release}

%description -n %develname
This package provides headers files for libyui-mga development.

%files -n %develname
%{_includedir}/yui
%{_libdir}/libyui-mga.so
%{_libdir}/pkgconfig/libyui-mga.pc

#-----------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake \
    -DBUILD_EXAMPLES=NO
%cmake_build

%install
%cmake_install
