%define major	0
%define libname	%mklibname zen %{major}
%define devname	%mklibname zen -d

Name:		libzen
Version:	0.4.41
Release:	%mkrel 1
Summary:	Shared library for mediainfo
Group:		System/Libraries
License:	BSD
URL:		https://github.com/MediaArea/ZenLib
Source0:	https://github.com/MediaArea/ZenLib/archive/v%{version}/ZenLib-%{version}.tar.gz
Patch0:		libzen-0.4.41-linking.patch
BuildRequires:	dos2unix
BuildRequires:	doxygen
BuildRequires:	cmake

%description
Shared library for libmediainfo and mediainfo-gui.

%package -n %{libname}
Summary:	Shared library for mediainfo
Group:		System/Libraries
Provides:	libzen = %{version}-%{release}
Provides:	zenlib = %{version}-%{release}

%description -n %{libname}
Shared library for libmediainfo and mediainfo-gui.

%package -n %{devname}
Summary:	Include files and libraries for development
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	zenlib-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Include files and mandatory libraries for development.

%prep
%setup -q -n ZenLib-%{version}
%autopatch -p1

#fix EOLs and rights
dos2unix *.txt Source/Doc/*.html
chmod 644 *.txt Source/Doc/*.html

%build
pushd Project/CMake
	%cmake
	%cmake_build
popd

# generate docs
pushd Source/Doc
	doxygen -u 2> /dev/null
	doxygen Doxyfile
popd

%install
pushd Project/CMake/build
	%make_install
popd


%files -n %{libname}
%doc *.txt
%{_libdir}/libzen.so.%{major}{,.*}

%files -n %{devname}
%doc Source/Doc/Documentation.html
%doc Doc/*
%{_includedir}/ZenLib
%{_libdir}/libzen.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/zenlib/
