%define major   9
%define libname %mklibname zim %{major}
%define devname %mklibname zim -d

Name:           libzim
Version:        9.2.3
Release:        %mkrel 2
Summary:        Reference implementation of the ZIM specification
Group:          System/Libraries
License:        GPL-2.0-only AND Apache-2.0 AND BSD-3-Clause
URL:            https://github.com/openzim/libzim
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
Patch1:         0001-Fix-build-with-ICU-76.patch

BuildRequires:  meson
BuildRequires:  pkgconfig(gtest)
BuildRequires:  pkgconfig(icu-i18n)
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(libzstd)
BuildRequires:  pkgconfig(xapian-core)
BuildRequires:  pkgconfig(zlib)

%description
The ZIM library is the reference implementation for the ZIM file
format. It's a solution to read and write ZIM files on many systems
and architectures.

#------------------------------------------------

%package -n     %{libname}
Summary:        Reference implementation of the ZIM specification
Group:          System/Libraries
Provides:       zimlib = %{version}-%{release}

%description -n %{libname}
The ZIM library is the reference implementation for the ZIM file
format. It's a solution to read and write ZIM files on many systems
and architectures.

#------------------------------------------------

%package -n     %{devname}
Summary:        Development package for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       zim-devel = %{version}-%{release}

%description -n %{devname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -p1

%build
%meson -Dwerror=false
%meson_build

%install
%meson_install

%files -n %{libname}
%doc AUTHORS ChangeLog README.md
%license COPYING
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/zim
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
