%define oname		zypp
%define major		1735
%define libname		%mklibname %oname %major
%define develname	%mklibname %oname -d

Name:		libzypp
Version:	17.36.1
Release:	%mkrel 3
Summary:	Zypp package management library
License:	GPLv2+
Group:		System/Libraries
URL:		https://en.opensuse.org/Zypp
Source0:        https://github.com/openSUSE/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
# configure libzypp to keep multiple kernel packages with the same name
Patch2:		0001-fix-default-config-to-support-multiple-installed-ker.patch
# Patches backported from upstream
#
BuildRequires:	asciidoc
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(gpgme)
BuildRequires:	graphviz
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	fcgi-devel
BuildRequires:	pkgconfig(libproxy-1.0)
BuildRequires:	pkgconfig(libsolv)
BuildRequires:	pkgconfig(udev)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	nginx
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(rpm)
BuildRequires:	zsync
BuildRequires:	cmake(yaml-cpp)
BuildRequires:	pkgconfig(sigc++-2.0)
BuildRequires:	pkgconfig(readline)

%description
ZYpp is a Linux software management engine with a powerful dependency
resolver and a convenient package management API.


%package -n %{oname}-common
Group:		System/Libraries
Summary:	Configuration files and utilities for %{name}

%description -n %{oname}-common
Configuration files and utilities for %{name}.


%package -n %{libname}
Group:		System/Libraries
Summary:	Zypp package manager library
Requires:	%{oname}-common = %{version}
Requires:	libsolv-tools

%description -n %{libname}
ZYpp is a Linux software management engine with a powerful dependency
resolver and a convenient package management API.


%package -n %{develname}
Group:		Development/C
Summary:	Development files for %{name}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	libsolv-devel

%description -n %{develname}
Header files and development libraries for %{name}.


%package doc
Group:		Development/C
Summary:	Development documentation for %{name}
Requires:	%{name}-devel >= %{version}-%{release}
BuildArch:	noarch

%description doc
API documentation for %{name} generated using by doxygen.


%prep
%autosetup -p1

%build
%cmake -DFEDORA:BOOL=TRUE \
       -DENABLE_BUILD_DOCS=ON \
       -DENABLE_BUILD_TRANS=ON \
       -DDISABLE_MEDIABACKEND_TESTS=ON
%cmake_build

%install
%cmake_install

%find_lang zypp

%files -n %{oname}-common -f zypp.lang
%dir %{_sysconfdir}/%{oname}
%config(noreplace) %{_sysconfdir}/%{oname}/%{oname}.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/zypp-history.lr
%{_mandir}/man5/locks.5.*
# not sure about the following
%{_sysconfdir}/%{oname}/systemCheck
%{_sysconfdir}/%{oname}/needreboot
%{_bindir}/zypp-NameReqPrv
%{_libexecdir}/zypp/zypp-rpm
%{_datadir}/%{oname}/
%{_mandir}/man1/zypp-NameReqPrv.1.*

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/zypp{,-*}/
%{_libdir}/%{name}.so
%{_libdir}/%{name}-tui.a
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/Zypp/

%files doc
#doc build/doc/autodoc/html
%doc %dir %_defaultdocdir/packages/libzypp
%doc %_defaultdocdir/packages/libzypp/*
