Name:           lierolibre
Version:        0.5
Release:        %mkrel 32
Summary:        Old-school duel shooter in wormholes based on the classic Liero game
Group:          Games/Shooter
License:        BSD and WTFPL
URL:            https://launchpad.net/lierolibre
Source0:        https://launchpad.net/lierolibre/trunk/%{version}/+download/%{name}-%{version}.tar.xz
Patch0:         lierolibre-0.5-mga-cfg-utf8.patch
Patch1:         adapt-to-new-libconfig.patch
### for arm build (patch2,3,4)
Patch2:         0001-Use-unaligned-access-define-over-checking-arch.patch
Patch3:         0002-At-least-try-building-for-other-archs-than-x86.patch
Patch4:         0003-Remove-unknown-arch-warning.patch

BuildRequires:  boost-devel
BuildRequires:  imagemagick
BuildRequires:  pkgconfig(libconfig++)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  sox

%description
Liero is a simple game. Pick your five weapons, and unleash your inner fury.
The game is always played one versus one on a map of your choice, and yes,
you have to play with someone who is right next to you.

To shoot is of course easy enough to figure out, but if you want to step up
your game, you need to figure out things like how to swing yourself to safety
with the ninja rope, to use timed weapons for area denial, to hunt without
being hunted, to ambush, hit and run, and control that darn guided missile.

Lierolibre is a 100% free fork of Liero, and stays true to the original
gameplay.

%prep
%setup -q
%autopatch -p1
sed -i -e 's/Name=lierolibre/Name=Lierolibre/g' data/lierolibre.desktop

%build
%configure \
        --bindir=%{_gamesbindir} \
        --datadir=%{_gamesdatadir}
%make_build

%install
%make_install

%files
%doc ChangeLog README NEWS AUTHORS
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}*
%{_gamesdatadir}/%{name}/*
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_libexecdir}/%{name}/%{name}
%{_mandir}/man6/*
