%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^typelib\\(AppIndicator3

%define peas_api	1.0

Summary:	A News Aggregator For RSS/RDF Feeds For GTK/GNOME
Name:		liferea
Epoch:		1
Version:	1.15.9c
Release:	%mkrel 1
License:	GPLv2+
Group:		Networking/News
URL:		https://lzone.de/liferea/
Source0:	https://github.com/lwindolf/%{name}/releases/download/v1.15.9/%{name}-%{version}.tar.bz2

BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libpeas-%{peas_api})
BuildRequires:	pkgconfig(libpeas-gtk-%{peas_api})
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(webkit2gtk-4.1)
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	gettext-devel

Requires:	gsettings-desktop-schemas
Requires:	glib-networking

Recommends:	dconf

%description
Liferea (abbreviation of Linux Feed Reader) is a desktop feed reader/news
aggregator that brings together all of the content from your favorite
subscriptions into a simple interface that makes it easy to organize and browse
feeds. Its GUI is similar to a desktop mail/news client, with an embedded web
browser.

It supports RSS/RDF, Atom feeds and OCS or OPML directories.

%prep
%autosetup -p1

# Add Planet Mageia feed
# TODO: use the https: URLs instead
sed -i -e 's@^\(.*http://planet\.gnome\.org.*\)$@\1\n\t\t\t\t<outline text="Planet Mageia" htmlUrl="http://planet.mageia.org/" xmlUrl="http://planet.mageia.org/en/?type=atom10" />@' opml/*.opml

%build
%ifarch %{arm32} %{ix86}
export CPPFLAGS="-D__USE_TIME_BITS64"
%endif
%configure
%make_build

%install
%make_install

desktop-file-install --vendor="" \
  --add-category="GTK;GNOME" \
  --remove-category="Feed" \
  --set-key="Version" \
  --set-value="1.0" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# icons
mkdir -p %{buildroot}%{_iconsdir} %{buildroot}%{_liconsdir}
install -D -m 644 pixmaps/16x16/net.sourceforge.liferea.png %{buildroot}%{_miconsdir}/%{name}.png
install -D -m 644 pixmaps/32x32/net.sourceforge.liferea.png %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 644 pixmaps/48x48/net.sourceforge.liferea.png %{buildroot}%{_liconsdir}/%{name}.png

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/%{name}
%{_mandir}/man1/%{name}*
%{_mandir}/it/man1/%{name}*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_libdir}/%{name}/*
%{_datadir}/glib-2.0/schemas/net.sf.liferea.gschema.xml
%{_datadir}/metainfo/net.sourceforge.liferea.appdata.xml
%{_datadir}/GConf/gsettings/liferea.convert
%{_datadir}/dbus-1/services/net.sourceforge.liferea.service
