Name:		light-locker
Version:	1.9.0
Release:	%mkrel 6
Summary:	A simple session locker
License:	GPLv2+
Group:		Graphical desktop/Other
Url:		https://github.com/the-cavalry/light-locker
Source0:	https://github.com/the-cavalry/light-locker/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		0001-GSMonitor-use-modern-GObject-syntax.patch
Patch2:		0002-GSManager-use-modern-GObject-syntax.patch
Patch3:		0003-GsWindow-use-modern-GObject-syntax.patch
Patch4:		0004-LLConfig-use-modern-GObject-syntax.patch
Patch5:		0005-GSGrab-use-modern-GObject-syntax.patch
Patch11:	0001-GsListenerDBus-stop-listening-to-Sleeping-and-Resumi.patch
BuildRequires:	intltool
BuildRequires:	meson
BuildRequires:	pkgconfig(xxf86vm)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(xscrnsaver)
BuildRequires:	pkgconfig(libsystemd)
Requires:	lightdm >= 1.7.0

%description
light-locker is a simple locker (forked from gnome-screensaver) that aims to
have simple, sane, secure defaults and be well integrated with the desktop
while not carrying any desktop-specific dependencies.

It relies on lightdm for locking and unlocking your session with
logind/systemd.

%prep
%setup -q
%autopatch -p1

%build
%meson
%meson_build

%install
%meson_install

# fix .desktop file
desktop-file-edit \
	--remove-key=NotShownIn \
	--add-not-show-in=GNOME \
		%{buildroot}%{_sysconfdir}/xdg/autostart/light-locker.desktop

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS MAINTAINERS NEWS README.md
%{_bindir}/light-locker
%{_bindir}/light-locker-command
%{_sysconfdir}/xdg/autostart/light-locker.desktop
%{_mandir}/man1/light-locker*
%{_datadir}/glib-2.0/schemas/apps.light-locker.gschema.xml
