Summary:	The Light Display Manager (GTK+ greeter)
Name:		lightdm-gtk-greeter
Version:	2.0.9
Release:	%mkrel 1
License:	GPLv3+
Group:		Graphical desktop/Other
URL:		https://github.com/Xubuntu/lightdm-gtk-greeter
Source0:	https://github.com/Xubuntu/lightdm-gtk-greeter/releases/download/lightdm-gtk-greeter-%{version}/lightdm-gtk-greeter-%{version}.tar.gz
Source1:	lightdm-gtk-greeter.conf
Source2:	lightdm-default-user.svg
BuildRequires:	pkgconfig(gmodule-export-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(liblightdm-gobject-1)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(libxklavier)
BuildRequires:	gtk-doc
BuildRequires:	intltool >= 0.35.0
BuildRequires:	gettext-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	git-core
# for xdt-csource
BuildRequires:	xfce4-dev-tools

%description
A LightDM greeter that uses the GTK+ toolkit.

%package common
Summary:	Common files for the Light Display Manager
Group:		Graphical desktop/Other
BuildArch:	noarch
# For mga logo:
Requires:	desktop-common-data
# For icons in top right corner
Requires:	adwaita-icon-theme
# For icons in HighContrast mode
Requires:	gnome-themes-standard
Conflicts:	%{name} < 1.5.1

%description common
This package contains the common files for the Light Display Manager.

%package -n lightdm-gtk3-greeter
Summary:        The Light Display Manager (GTK3 greeter)
Group:          Graphical desktop/Other
Provides:	lightdm-greeter
Requires:	lightdm-gtk-greeter-common = %{version}-%{release}
Requires:	lightdm
Requires(post):         update-alternatives
Requires(postun):	update-alternatives
Recommends:	lightdm-gtk-greeter-settings

%description -n lightdm-gtk3-greeter
A LightDM greeter that uses the GTK3 toolkit.

#-------------------------------------------------------------------------

%prep
%autosetup -p1 -Sgit_am

%build
%configure \
	--disable-static \
	--disable-libindicator \
	--disable-indicator-services-command \
	--enable-kill-on-sigterm \
	--with-libxklavier \
	--enable-at-spi-command=%{_libexecdir}/at-spi-bus-launcher
%make_build

%install
%make_install

# default conf
install -Dpm644 %{_sourcedir}/lightdm-gtk-greeter.conf \
	%{buildroot}%{_sysconfdir}/lightdm/lightdm-gtk-greeter.conf.d/50-%{_real_vendor}.conf

# rename gtk3 greeter
mv %{buildroot}%{_sbindir}/%{name} %{buildroot}%{_sbindir}/lightdm-gtk3-greeter

# install .desktop files
mv %{buildroot}%{_datadir}/xgreeters/lightdm-gtk-greeter.desktop \
	%{buildroot}%{_datadir}/xgreeters/lightdm-gtk3-greeter.desktop

# fix .desktop files
sed -i -e 's,%{name},lightdm-gtk3-greeter,g' %{buildroot}%{_datadir}/xgreeters/lightdm-gtk3-greeter.desktop

# default user icon
install -Dpm644 %{_sourcedir}/lightdm-default-user.svg \
	%{buildroot}%{_datadir}/%{name}/default-user-image.svg

# symlink badges to work with our session files
pushd %{buildroot}%{_iconsdir}/hicolor/scalable/places
	ln -s xfce_badge-symbolic.svg 06xfce4_badge-symbolic.svg
	ln -s lxde_badge-symbolic.svg 04lxde_badge-symbolic.svg
	ln -s kde_badge-symbolic.svg 01kde_badge-symbolic.svg
	ln -s kde_badge-symbolic.svg 02plasma_badge-symbolic.svg
	ln -s gnome_badge-symbolic.svg 02gnome_badge-symbolic.svg
	ln -s gnome_badge-symbolic.svg 03gnome_classic_badge-symbolic.svg
	ln -s mate_badge-symbolic.svg 10mate_badge-symbolic.svg
	ln -s wmaker-common_badge-symbolic.svg 03windowmaker_badge-symbolic.svg
	ln -s wmaker-common_badge-symbolic.svg windowmaker_badge-symbolic.svg
popd

# handle docs in files section
rm -rf %{buildroot}%{_docdir}

%find_lang %{name}

%post -n lightdm-gtk3-greeter
%{_sbindir}/update-alternatives \
        --install %{_datadir}/xgreeters/lightdm-greeter.desktop \
        lightdm-greeter \
        %{_datadir}/xgreeters/lightdm-gtk3-greeter.desktop \
        20

%postun	-n lightdm-gtk3-greeter
if [ $1 -eq 0 ]; then
%{_sbindir}/update-alternatives \
        --remove lightdm-greeter \
        %{_datadir}/xgreeters/lightdm-gtk3-greeter.desktop
fi


%files common -f %{name}.lang
%doc NEWS
%config(noreplace) %{_sysconfdir}/lightdm/lightdm-gtk-greeter.conf
%dir %{_sysconfdir}/lightdm/lightdm-gtk-greeter.conf.d/
%config %{_sysconfdir}/lightdm/lightdm-gtk-greeter.conf.d/50-%{_real_vendor}.conf
%{_iconsdir}/hicolor/scalable/places/*.svg
%{_datadir}/%{name}/default-user-image.svg

%files -n lightdm-gtk3-greeter
%{_sbindir}/lightdm-gtk3-greeter
%{_datadir}/xgreeters/lightdm-gtk3-greeter.desktop
%ghost %{_datadir}/xgreeters/lightdm-greeter.desktop
%ghost %{_sysconfdir}/alternatives/lightdm-greeter
