
# Turn off the brp-python-bytecompile script
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')
%define systemddir /usr/lib/systemd/system

Name:		lightsd
Version:	1.1.2
Release:	%mkrel 1
Summary:	A centralized daemon to control LIFX bulbs
License:	GPLv3
Group:		Networking/Other
Source0:	https://github.com/lopter/%{name}/archive/%{name}-%{version}.tar.gz
URL:		https://github.com/lopter/lightsd
BuildRequires:	libevent-devel >= 2.0.19
BuildRequires:	cmake >= 2.8.9

%description
lightsd acts a central point of control for your LIFX WiFi bulbs. lightsd should be a small, simple and fast daemon exposing an easy to use protocol inspired by how musicpd works.

%prep
%setup

%build
CFLAGS='-O2 -g -pipe -Wformat -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector --param=ssp-buffer-size=4 -fPIC'
export CFLAGS
CXXFLAGS='-O2 -g -pipe -Wformat -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector --param=ssp-buffer-size=4 -fPIC'
export CXXFLAGS
FFLAGS='-O2 -g -pipe -Wformat -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector --param=ssp-buffer-size=4 -fPIC'
export FFLAGS
LDFLAGS=' -Wl,--as-needed -Wl,--no-undefined -Wl,-z,relro -Wl,-O1 -Wl,--build-id -Wl,--enable-new-dtags'
export LDFLAGS
mkdir build
cd build
cmake .. -DLGTD_RUNTIME_DIRECTORY=/run/lightsd -DCMAKE_INSTALL_PREFIX:PATH=/usr -DCMAKE_BUILD_TYPE=release -DCMAKE_SKIP_RPATH:BOOL=ON '-DCMAKE_MODULE_LINKER_FLAGS=-Wl,--as-needed  -Wl,-z,relro -Wl,-O1 -Wl,--build-id -Wl,--enable-new-dtags'
%make lightsd

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_bindir}
cp -R examples %{buildroot}%{_datadir}/%{name}/
cp share/lightsc.sh %{buildroot}%{_datadir}/%{name}/
cp build/core/lightsd %{buildroot}%{_bindir}/
mkdir -p %{buildroot}%{systemddir}
cp dist/lightsd.service %{buildroot}%{systemddir}/

%post
if [ $1 = 1 ]; then
      getent group lightsd >/dev/null || groupadd -r lightsd
      getent passwd lightsd >/dev/null || useradd -r -d / -g lightsd lightsd
      systemctl start lightsd
fi

%postun
if [ $1 = 0 ]; then
      groupdel lightsd
      userdel lightsd
      systemctl stop lightsd
fi
if [ $1 = 1 ]; then
      systemctl restart lightsd
fi


%files
%doc COPYING README.rst docs/protocol.rst
%{systemddir}/lightsd.service
%{_datadir}/%{name}/examples/alert
%{_datadir}/%{name}/examples/lightsc.py
%{_datadir}/%{name}/examples/toggle
%{_datadir}/%{name}/lightsc.sh
%{_bindir}/lightsd