# Following modules bring no additionnal dependencies
# Other ones go into separate packages
%define base_modules	mod_access.so,mod_accesslog.so,mod_alias.so,mod_cgi.so,mod_dirlisting.so,mod_evhost.so,mod_expire.so,mod_extforward.so,mod_fastcgi.so,mod_indexfile.so,mod_openssl.so,mod_proxy.so,mod_redirect.so,mod_rewrite.so,mod_rrdtool.so,mod_scgi.so,mod_setenv.so,mod_simple_vhost.so,mod_sockproxy.so,mod_vhostdb.so,mod_wstunnel.so,mod_ssi.so,mod_staticfile.so,mod_status.so,mod_userdir.so

Name:		lighttpd
Version:	1.4.69
Release:	%mkrel 3
Summary:	A fast webserver with minimal memory-footprint
License:	BSD
Group:		System/Servers
URL:		https://lighttpd.net/
Source0:	https://download.lighttpd.net/lighttpd/releases-1.4.x/%{name}-%{version}.tar.xz
Source2:	lighttpd.service
Source3:	lighttpd.tmpfiles
Source4:	php.d-lighttpd.ini
Patch0:		lighttpd-defaultroot.patch
Patch2:		lighttpd-1.4.41-ssi-index-page-fix.patch
BuildRequires:	attr-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	gdbm-devel
BuildRequires:	pkgconfig(lua)
BuildRequires:	pkgconfig(libmemcached)
BuildRequires:	pkgconfig(nettle)
BuildRequires:	openldap-devel
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(zlib)
Requires(pre):	webserver-base
Requires:       webserver-base
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Provides:	webserver
Obsoletes:	%{name}-mod_compress < 1.4.56
Obsoletes:	%{name}-mod_authn_mysql < 1.4.64
Obsoletes:	%{name}-mod_mysql_vhost < 1.4.64
Obsoletes:	%{name}-mod_cml < 1.4.64
Obsoletes:	%{name}-mod_geoip < 1.4.64
Obsoletes:	%{name}-mod_trigger_b4_dl < 1.4.64
# Moved {_sysconfdir}/lighttpd/conf.d/auth.conf from main package to
# the mod_auth package
Conflicts:	%{name} < 1.4.68-3

%description
Security, speed, compliance, and flexibility--all of these describe LightTPD
which is rapidly redefining efficiency of a webserver; as it is designed and
optimized for high performance environments. With a small memory
footprint compared to other web-servers, effective management of the
cpu-load, and advanced feature set (FastCGI, CGI, Auth,
Output-Compression, URL-Rewriting and many more) LightTPD is the
perfect solution for every server that is suffering load problems.

This packages contains the server and base modules :
%(for mod in $(echo %base_modules | tr ',' '\n'); do echo ${mod%%.so}; done)

%package mod_ajp13
Summary:	AJPv13 Tomcat connector module for %{name}
Group:		System/Servers
Requires:	%{name}

%description mod_ajp13
AJPv13 Tomcat connector module for %{name}.

%package mod_auth
Summary:	Authentication module for %{name}
Group:		System/Servers
Requires:	%{name}
Requires:	%{name}-mod_authn_file = %{version}

%description mod_auth
lighttpd supports both authentication methods described by RFC 2617:

 - basic
 - digest

Depending on the method lighttpd provides various way to store the credentials
used for the authentication.

for basic auth:
 - plain (mod_authn_file)
 - htpasswd (mod_authn_file)
 - htdigest (mod_authn_file)
 - ldap (mod_authn_ldap)

for digest auth:
 - plain (mod_authn_file)
 - htdigest (mod_authn_file)

%package mod_authn_file
Summary:	Authentication module for lighttpd that uses files
Group:		System/Servers
Requires:	%{name}

%description mod_authn_file
Authentication module for lighttpd that uses files.

%package mod_authn_ldap
Summary:        Authentication module for lighttpd that uses a LDAP
Group:          System/Servers
Requires:       %{name}

%description mod_authn_ldap
Authentication module for lighttpd that uses a LDAP.

%package mod_deflate
Summary:	Output Compression module for %{name}
Group:		System/Servers
Requires:	%{name}

%description mod_deflate
Output compression reduces the network load and can improve the
overall throughput of the webserver.

mod_deflate differs from mod_compress in that mod_deflate can compress
any output from lighttpd static or dynamic. mod_deflate does not support
caching compressed output like mod_compress.

%package mod_webdav
Summary:	WebDAV module for %{name}
Group:		System/Servers
Requires:	%{name}

%description mod_webdav
The WebDAV module for %{name} is a very minimalistic implementation of
RFC 2518.

%package mod_magnet
Summary:	Module to control the request handling in %{name}
Group:		System/Servers
Requires:	%{name}

%description mod_magnet
mod_magnet can attract a request in several stages in the request-handling.

* either at the same level as mod_rewrite, before any parsing of the URL is
  done
* or at a later stage, when the doc-root is known and the physical-path is
  already setup

Keep in mind that the magnet is executed in the core of lighty. EVERY long-
running operation is blocking ALL connections in the server. You are warned.
For time-consuming or blocking scripts use mod_fastcgi and friends.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure \
  --libdir=%{_libdir}/%{name}/ \
  --with-attr \
  --with-bzip2 \
  --with-gdbm \
  --with-ldap \
  --with-lua \
  --with-memcached \
  --with-nettle \
  --with-openssl \
  --with-pcre2 \
  --with-webdav-props
%make_build

%install
%make_install

install -d -m 755 %{buildroot}%{_unitdir}
install -m 644 %{SOURCE2} %{buildroot}%{_unitdir}

install -d -m 755 %{buildroot}%{_prefix}/lib/tmpfiles.d/
install -m 644 %{SOURCE3} %{buildroot}%{_prefix}/lib/tmpfiles.d/lighttpd.conf

install -d -m 755 %{buildroot}%{_sysconfdir}/php.d
install -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/php.d/lighttpd.ini

install -d -m 755 %{buildroot}%{_sysconfdir}/lighttpd
install -d -m 755 %{buildroot}%{_sysconfdir}/lighttpd/conf.d
install -m 644 doc/config/*.conf %{buildroot}%{_sysconfdir}/lighttpd
install -m 644 doc/config/conf.d/*.conf %{buildroot}%{_sysconfdir}/lighttpd/conf.d

install -d -m 750 %{buildroot}%{_var}/lib/lighttpd/sockets

perl -pi \
    -e 's!.*server.username[\t ]*= .*$!server.username = "apache"!;' \
    -e 's!.*server.groupname[\t ]*= .*$!server.groupname = "apache"!;' \
    -e 's!^server.document-root.*$!server.document-root = "%{_var}/www/html"!;' \
    -e 's!^var.state_dir.*$!var.state_dir   = "/run/lighttpd"!;' \
    -e 's!^server.errorlog.*$!server.errorlog = "%{_logdir}/lighttpd/error.log"!;' \
    %{buildroot}%{_sysconfdir}/lighttpd/lighttpd.conf

perl -pi \
    -e 's!^accesslog.filename.*$!accesslog.filename = "%{_logdir}/lighttpd/access.log"!' \
    %{buildroot}%{_sysconfdir}/lighttpd/conf.d/access_log.conf

sed -i \
    -e '/cgi.fix_pathinfo/d' \
    %{buildroot}%{_sysconfdir}/lighttpd/conf.d/fastcgi.conf

sed -i \
    -e 's!\(.*\"bin-path\"\).*php5.*!\1 => \"/usr/bin/php-fcgi",!g' \
    %{buildroot}%{_sysconfdir}/lighttpd/conf.d/fastcgi.conf

mkdir -p %{buildroot}%{_logdir}/lighttpd

mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
cat > %{buildroot}%{_sysconfdir}/logrotate.d/%{name} <<EOF
%{_logdir}/%{name}/*.log {
    size=20M
    rotate 5
    weekly
    missingok
    notifempty
    postrotate
        /usr/bin/killall -HUP lighttpd &>/dev/null || :
    endscript
}
EOF

rm -f %{buildroot}%{_libdir}/%{name}/*.la

echo %{_libdir}/%{name}/{%{base_modules}} | tr ' ' '\n' > base.list
for i in doc/outdated/*.txt
do
	mod=`cat "$i" | tr -d '\\r' | sed -n "s/^Module:.*\\(mod_.*\\)$/\\1/p"`
	if [ -z "$mod" ]
	then
		echo  "%doc $i" >> base.list
	else
		if echo "%{base_modules}" | grep "$mod" > /dev/null
		then
			echo "%doc $i" >> base.list
		else
			echo "%doc $i" >> "$mod"
		fi
	fi
done

%post
# Fix rights on logs after upgrade, else the server can not start
if [ $1 -gt 1 ]; then
	if grep '^server.username = "apache"' %{_sysconfdir}/lighttpd/lighttpd.conf >/dev/null; then
		if [ `stat -c %U /var/log/lighttpd/` != "apache" ]; then
			chown -R apache /var/log/lighttpd/
		fi
	fi
fi
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}

%files -f base.list
%doc doc/config/lighttpd.conf README INSTALL NEWS COPYING AUTHORS
%{_unitdir}/lighttpd.service
%{_prefix}/lib/tmpfiles.d/lighttpd.conf
%dir %{_sysconfdir}/lighttpd/
%dir %{_sysconfdir}/lighttpd/conf.d/
%dir %attr(0750,apache,apache) %{_var}/lib/lighttpd/
%dir %attr(0750,apache,apache) %{_var}/lib/lighttpd/sockets/
%config(noreplace) %{_sysconfdir}/lighttpd/*.conf
%config(noreplace) %{_sysconfdir}/lighttpd/conf.d/*.conf
%exclude %{_sysconfdir}/lighttpd/conf.d/auth.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/php.d/lighttpd.ini
%attr(0755,apache,apache) %{_logdir}/lighttpd
%{_mandir}/*/*
%{_sbindir}/*

%files mod_ajp13
%{_libdir}/%{name}/mod_ajp13.so

%files mod_auth -f mod_auth
%config(noreplace) %{_sysconfdir}/lighttpd/conf.d/auth.conf
%{_libdir}/%{name}/mod_auth.so

%files mod_authn_file
%{_libdir}/%{name}/mod_authn_file.so

%files mod_authn_ldap
%{_libdir}/%{name}/mod_authn_ldap.so
%{_libdir}/%{name}/mod_vhostdb_ldap.so

%files mod_deflate
%{_libdir}/%{name}/mod_deflate.so

%files mod_webdav -f mod_webdav
%config(noreplace) %{_sysconfdir}/lighttpd/conf.d/webdav.conf
%{_libdir}/%{name}/mod_webdav.so

%files mod_magnet -f mod_magnet
%config(noreplace) %{_sysconfdir}/lighttpd/conf.d/magnet.conf
%{_libdir}/%{name}/mod_magnet.so

