%define lib_api         0
%define lib_major       0
%define lib_name        %mklibname %{name} %{lib_api} %{lib_major}
%define lib_name_devel  %mklibname %{name} -d

Name:           lilv
Version:        0.24.26
Release:        %mkrel 2
Summary:        LV2 plugin library for applications and hosts
License:        ISC License (ISC)
Group:          System/Libraries
URL:            https://drobilla.net/software/lilv
Source0:        https://download.drobilla.net/%{name}-%{version}.tar.xz

BuildRequires:  doxygen
BuildRequires:  meson
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinxygen
BuildRequires:  python3-sphinx-lv2-theme
BuildRequires:  pkgconfig(sord-0) >= 0.16.16
BuildRequires:  pkgconfig(lv2) >= 1.18.0
BuildRequires:  pkgconfig(sratom-0) >= 0.6.16
BuildRequires:  pkgconfig(serd-0) >= 0.32.0
BuildRequires:  pkgconfig(sndfile) >= 1.2.2

Obsoletes:      slv2 < 0.6.6-17

%description
LV2 plugin library for applications and hosts.


%package -n %{lib_name}
Summary:        LV2 plugin library for applications and hosts
Group:          System/Libraries
Obsoletes:      %{_lib}lilv0 < 0.24.20

%description -n %{lib_name}
Lilv is a library to make the use of LV2 plugins as simple as possible
for applications. Lilv is the successor to SLV2, rewritten to be
significantly faster and have minimal dependencies.


%package -n %{lib_name_devel}
Summary:        Headers for the lilv LV2 library
Group:          System/Libraries
Requires:       %{lib_name} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{lib_name_devel}
Development files needed to build applications against lilv.


%package -n python3-%{name}
Summary:        Python 3 bindings for %{name}
Group:          Development/Python
Requires:       %{name}%{_isa} = %{version}-%{release}
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
%{name} is a lightweight C library for Resource Description Syntax which
supports reading and writing Turtle and NTriples.

This package contains the python3 libraries for %{name}.


%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files -n %{name}
%doc README.md
%license COPYING
%{_bindir}/lv2info
%{_bindir}/lv2ls
%{_bindir}/lv2bench
%{_bindir}/lv2apply
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/bash_completion.d/lilv
%{_mandir}/man1/lv2apply.1*
%{_mandir}/man1/lv2bench.1*
%{_mandir}/man1/lv2info.1*
%{_mandir}/man1/lv2ls.1*
%{_docdir}/%{name}-%{lib_api}/

%files -n %{lib_name}
%license COPYING
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}{,.*}

%files -n %{lib_name_devel}
%{_libdir}/lib%{name}-%{lib_api}.so
%dir %{_includedir}/%{name}-%{lib_api}
%dir %{_includedir}/%{name}-%{lib_api}/%{name}
%{_includedir}/%{name}-%{lib_api}/%{name}/*.h
%{_includedir}/%{name}-%{lib_api}/%{name}/*.hpp
%{_libdir}/pkgconfig/%{name}-%{lib_api}.pc

%files -n python3-%{name}
%{python3_sitelib}/%{name}.*
%{python3_sitelib}/__pycache__/*
