%global upstreamver 2024-08-28

Name:           limnoria
Version:        20240828
Release:        %mkrel 2
Summary:        A modified version of Supybot (an IRC bot) with enhancements and bug fixes
Group:          Networking/IRC
License:        BSD and GPLv2 and GPLv2+
#
# The bulk of the package is BSD.
# Parts of the Math plugin are GPLv2+
# The Dict plugin is GPLv2+
#
URL:            https://github.com/ProgVal/Limnoria
Source0:        https://github.com/progval/Limnoria/archive/refs/tags/master-%{upstreamver}.tar.gz

BuildArch:      noarch

# Provide the upper case version also to avoid confusion
Provides:       Limnoria = %{version}-%{release}
Provides:       supybot = %{version}-%{release}

BuildRequires:  python3-devel
BuildRequires:  python3-chardet
BuildRequires:  python3-pytz
BuildRequires:  python3-dateutil
BuildRequires:  python3-gnupg
BuildRequires:  python3-feedparser
BuildRequires:  python3-sqlalchemy
BuildRequires:  python3-pysocks
BuildRequires:  python3-mock
BuildRequires:  python3-ecdsa

Requires:  python3-chardet
Requires:  python3-pytz
Requires:  python3-dateutil
Requires:  python3-gnupg
Requires:  python3-feedparser
Requires:  python3-sqlalchemy
Requires:  python3-pysocks
Requires:  python3-mock
Requires:  python3-ecdsa

%description
Supybot is a robust (it doesn't crash), user friendly (it's easy to configure)
and programmer friendly (plugins are extremely easy to write) Python IRC bot.
It aims to be an adequate replacement for most existing IRC bots. It includes a
very flexible and powerful ACL system for controlling access to commands, as
well as more than 50 built-in plugins providing around 400 actual commands.

Limnoria is a project which continues development of Supybot (you can call it a
fork) by fixing bugs and adding features (see the list of added features for
more details).

%prep
%autosetup -n Limnoria-master-%{upstreamver}

%build
# remove stray python bits from debug plugin
sed -i 1"s|#!/usr/bin/python||" plugins/Debug/plugin.py

# This should be set to the day of the release.
# It's gets added as 'version' and is based on build time, not release time.
SOURCE_DATE_EPOCH=`date --date=%{version} +\%s`
export SOURCE_DATE_EPOCH

%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files supybot

%files -f %{pyproject_files}
%doc ChangeLog CONTRIBUTING.md README.md RELNOTES
%license LICENSE.md
%{_bindir}/limnoria
%{_bindir}/limnoria-adduser
%{_bindir}/limnoria-botchk
%{_bindir}/limnoria-plugin-create
%{_bindir}/limnoria-plugin-doc
%{_bindir}/limnoria-reset-password
%{_bindir}/limnoria-test
%{_bindir}/limnoria-wizard
%{_mandir}/man1/limnoria-adduser.1.*
%{_mandir}/man1/limnoria-botchk.1.*
%{_mandir}/man1/limnoria-plugin-create.1.*
%{_mandir}/man1/limnoria-plugin-doc.1.*
%{_mandir}/man1/limnoria-reset-password.1.*
%{_mandir}/man1/limnoria-test.1.*
%{_mandir}/man1/limnoria-wizard.1.*
%{_mandir}/man1/limnoria.1.*

%{_bindir}/supybot
%{_bindir}/supybot-adduser
%{_bindir}/supybot-botchk
%{_bindir}/supybot-plugin-create
%{_bindir}/supybot-plugin-doc
%{_bindir}/supybot-test
%{_bindir}/supybot-wizard
%{_bindir}/supybot-reset-password
%{_mandir}/man1/supybot-adduser.1.*
%{_mandir}/man1/supybot-botchk.1.*
%{_mandir}/man1/supybot-plugin-create.1.*
%{_mandir}/man1/supybot-plugin-doc.1.*
%{_mandir}/man1/supybot-test.1.*
%{_mandir}/man1/supybot-wizard.1.*
%{_mandir}/man1/supybot.1.*
%{_mandir}/man1/supybot-reset-password.1.*
