Summary:	Lincity - A City Simulation Game
Name:		lincity-ng
Version:	2.13.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Games/Strategy
# http://lincity-ng.berlios.de/
URL:		https://github.com/lincity-ng/lincity-ng
Source:		https://github.com/lincity-ng/lincity-ng/releases/download/%{name}-%{version}/%{name}-%{version}-Source.tar.xz
Patch0:		lincity-ng-mga-fix-data-games-dir.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(libxml++-5.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	mesagl-devel
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	pkgconfig(SDL2_gfx)
BuildRequires:	pkgconfig(physfs)
# for compress .wav files
BuildRequires:	vorbis-tools

Requires:	fonts-ttf-dejavu
Provides:	lincity

%description
Lincity is a city simulation game. Build your city up from a primitive village
to an advanced civilization.  Build a sustainable economy, or build rockets to
escape from a pollution ridden and resource starved planet.

LinCity-NG is a polished and improved version of the classic LinCity game with
a new iso-3D graphics engine, with a completely redone and modern GUI.

%prep
%autosetup -p1 -n %{name}-%{version}-Source

sed -i 's|-unknown)|-%{release})|' CMakeLists.txt

%build
# NOTE shared libs should absolutely set to OFF
%cmake -DCMAKE_INSTALL_BINDIR=%{_gamesbindir} \
       -DCMAKE_INSTALL_APPDATADIR=%{_gamesdatadir}/%{name} \
       -DCMAKE_INSTALL_MANDIR=%{_mandir}/man6 \
       -DFULL_PROJECT_VERSION=%{version}-%{release} \
       -DBUILD_SHARED_LIBS:BOOL=OFF \
       -DCMAKE_POSITION_INDEPENDENT_CODE:BOOL=ON
%cmake_build

%install
%cmake_install

# Make a symlink to system font, rather than include a copy of DejaVu Sans
ln -fs %{_datadir}/fonts/TTF/dejavu/DejaVuSans.ttf %{buildroot}%{_gamesdatadir}/%{name}/fonts/sans.ttf

# clean-up of duplicate and unneeded files
rm -rf %{buildroot}%{_docdir}/%{name}/COPYING*
rm -rf %{buildroot}%{_gamesdatadir}/%{name}/lincity-ng.desktop
rm -rf %{buildroot}%{_gamesdatadir}/%{name}/lincity-ng.png
rm -rf %{buildroot}%{_gamesdatadir}/%{name}/README.md
rm -rf %{buildroot}%{_gamesdatadir}/%{name}/RELNOTES
rm -rf %{buildroot}%{_gamesdatadir}/%{name}/images/tiles/extend.sh

%files
%doc CHANGELOG.md CONTRIBUTING.md README.md doc/*.xml
%license COPYING*
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_gamesdatadir}/%{name}/
%{_mandir}/man6/lincity-ng.6.xz
