%define major   0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:          lingot
Version:       1.1.1
Release:       %mkrel 1
Summary:       A musical instrument tuner
Group:         Sound/Utilities
License:       GPLv2+
URL:           https://savannah.nongnu.org/projects/lingot
Source0:       https://download.savannah.gnu.org/releases/%{name}/%{name}-%{version}.tar.gz

BuildRequires: pkgconfig(libglade-2.0)
BuildRequires: intltool
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(fftw3)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(jack)
BuildRequires: pkgconfig(libpulse)

%description
LINGOT is a musical instrument tuner. It's accurate, easy to use, and highly
configurable. Originally conceived to tune electric guitars, it can now be used
to tune other instruments.

It looks like an analogue tuner, with a gauge indicating the relative shift to
a certain note, found automatically as the closest note to the estimated
frequency.

%package -n %{libname}
Summary:         Shared library for %{name}
Group:           System/Libraries

%description -n %{libname}
Shared library for %{name}.

%package -n %{devname}
Summary:        Development headers files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the headers and shared libraries for %{name}.
NOTE: The library is currently experimental and its interface is
subject to change.

%prep
%autosetup -p0

%build
%configure --disable-static
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING NEWS README README.config THANKS
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.nongnu.%{name}.desktop
%{_metainfodir}/org.nongnu.%{name}.appdata.xml
%{_iconsdir}/hicolor/scalable/apps/org.nongnu.%{name}.svg
%{_mandir}/man1/%{name}.1.*

%files -n %{libname}
%license COPYING
%{_libdir}/liblingot.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/lingot/
%{_libdir}/liblingot.so
%{_libdir}/pkgconfig/lingot.pc
