%define lib_major       5
%define lib_name        %mklibname link-grammar %{lib_major}
%define develname	%mklibname link-grammar -d

%bcond_without python3

Summary:	A syntactic parser of English
Name:		link-grammar
Version:	5.12.4
Release:	%mkrel 2
Group:		Office/Utilities
License:	BSD-like
URL:		https://opencog.github.io/link-grammar-website/
Source0:	https://www.gnucash.org/link-grammar/downloads/%{version}/%{name}-%{version}.tar.gz
%if %{with python3}
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools
%endif
BuildRequires:	java-devel
BuildRequires:	java-openjdk-headless
BuildRequires:	m4
BuildRequires:	ant
BuildRequires:	swig
BuildRequires:	flex
BuildRequires:	graphviz
BuildRequires:	autoconf-archive
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(hunspell)
BuildRequires:	pkgconfig(libedit)
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	pkgconfig(sqlite3)

%description
The Link Grammar Parser is a syntactic parser of English, based
on link grammar, an original theory of English syntax. Given a
sentence, the system assigns to it a syntactic structure, which
consists of a set of labeled links connecting pairs of words.
The parser also produces a "constituent" representation of a
sentence (showing noun phrases, verb phrases, etc.).

%package -n %{lib_name}
Summary:	A syntactic parser of English
Group:		System/Libraries

%description -n %{lib_name}
The Link Grammar Parser is a syntactic parser of English, based
on link grammar, an original theory of English syntax. Given a
sentence, the system assigns to it a syntactic structure, which
consists of a set of labeled links connecting pairs of words.
The parser also produces a "constituent" representation of a
sentence (showing noun phrases, verb phrases, etc.).

%package -n %{develname}
Summary:	Support files necessary to compile applications with link-grammar
Group:		Development/C
Requires:	%{lib_name} = %{version}
Requires:	link-grammar
Provides:	link-grammar-devel = %{version}-%{release}

%description -n %{develname}
Libraries and header files necessary to compile applications using
link-grammar.

%package -n python3-%{name}
Summary:        Python 3 files for link-grammar
Group:          Development/Python
Requires:       %{lib_name} = %{version}
Requires:       link-grammar
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
Python 3 files for link-grammar.

%package -n %{name}-java
Summary:        Java bindings for link-grammar
Group:          Development/Java
Requires:       %{lib_name} = %{version}
Requires:       link-grammar

%description -n %{name}-java
Java bindings for link-grammar.

%prep
%autosetup -p1

%build
%configure \
	--disable-static \
	--with-hunspell-dictdir=/usr/share/hunspell \
%if %{with python3}
	PYTHON=%{__python3} \
	--enable-python-bindings
%else
	--disable-python-bindings
%endif
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files
%doc README*
%license LICENSE
%{_bindir}/*
%{_datadir}/link-grammar/
%{_mandir}/man1/*

%files -n %{name}-java
%{_datadir}/java/*

%files -n %{lib_name}
%{_libdir}/lib*.so.%{lib_major}{,.*}

%files -n %{develname}
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/link-grammar.pc
%{_includedir}/link-grammar/

%if %{with python3}
%files -n python3-%{name}
%{python3_sitelib}/linkgrammar.pth
%{python3_sitelib}/linkgrammar/
%{python3_sitearch}/linkgrammar/
%endif
