Summary:	Lynx-like text WWW browser
Name:		links
Version:	2.30
Release:	%mkrel 1
License:	GPLv2+
Group:		Networking/WWW
URL:		http://links.twibright.com/
Source0:	http://links.twibright.com/download/links-%{version}.tar.bz2
Source4:	links.cfg
Patch0:		links-0.96-no-weird-unhx-ing-of-command-line-args.patch
Patch1:		links-current-color-by-default--and-vt100-frames.patch
Patch2:		links-2.15-CVE-2006-5925--disable-SMB.patch
Patch3:		links2_better_verification.diff
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(libavif)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libevent)
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(libzstd)
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	gpm-devel
BuildRequires:	pkgconfig(zlib)
Provides:	webclient
Requires:	links-common = %{version}

%description
Links is a text based WWW browser, at first look similar to Lynx, but
somehow different:

- renders tables and frames
- displays colors as specified in current HTML page
- uses drop-down menu (like in Midnight Commander)
- can download files in background
- partially handle Javascript

%package graphic
Summary:	Lynx-like text/X11 WWW browser
Group:		Networking/WWW
Requires:	links-common = %{version}
Provides:	webclient, links = %{version}-%{release}
Requires:	indexhtml

%description graphic
Links is a text/X11 based WWW browser, at first look similar to Lynx, but
somehow different:

- renders tables and frames
- displays colors as specified in current HTML page
- uses drop-down menu (like in Midnight Commander)
- can download files in background
- partially handle Javascript

%package common
Summary:	Lynx-like text/X11 WWW browser
Group:		Networking/WWW
Requires:	links-common = %{version}
Conflicts:	links < 2.1-0.pre18.5mdk, links-graphic < 2.1-0.pre18.5mdk

%description common
Common files for links and links-graphi

%prep
%setup	-q
%patch 0 -p1
%patch 1 -p1
%patch 2 -p1
%patch 3 -p1

%build
%configure --enable-graphics
%make_build

cp -f links links-graphic

make clean
%configure
%make_build

cp -f links links-text

%install
%make_install

rm -f %{buildroot}%{_bindir}/links
install links-graphic links-text %{buildroot}%{_bindir}

install -D -m 644 %{SOURCE4} %{buildroot}/etc/links.cfg

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Links
Comment=Lynx-like text/graphic Web browser
Exec=/usr/bin/links-graphic /usr/share/indexhtml/index.html
Icon=web_browser_section
Terminal=true
Type=Application
Categories=Network;WebBrowser;
EOF

%triggerpostun -- links
if [ ! -e /usr/bin/links ]; then
  update-alternatives --auto links
fi

%triggerpostun graphic -- links
if [ ! -e /usr/bin/links ]; then
  update-alternatives --auto links
fi

%post
update-alternatives --install /usr/bin/links links /usr/bin/links-text 10

%postun
if [ "$1" = "0" ]; then
  update-alternatives --remove links /usr/bin/links-text || :
fi

%post graphic
update-alternatives --install /usr/bin/links links /usr/bin/links-graphic 20

%postun graphic
if [ "$1" = "0" ]; then
  update-alternatives --remove links /usr/bin/links-graphic || :
fi

%files
%{_bindir}/links-text

%files graphic
%{_bindir}/links-graphic
%{_datadir}/applications/*

%files common
%doc AUTHORS ChangeLog README SITES
%config(noreplace) /etc/links.cfg
%{_mandir}/*/*
