%global ispell_rev	05574fe160222c3d0b6283c1433c9b087271fad1

Name:		linphone-desktop
Version:	5.2.0
Release:	%mkrel 1
Summary:	Voice over IP Application
License:	GPLv2+
Group:		Communications/Telephony
URL:		https://www.linphone.org/
Source0:	https://github.com/BelledonneCommunications/linphone-desktop/archive/%{version}/linphone-desktop-%{?gitdate}%{!?gitdate:%version}.tar.%{?gitdate:xz}%{!?gitdate:gz}
Source1:	https://gitlab.linphone.org/BC/public/external/ispell/-/archive/%{ispell_rev}/ispell-%{ispell_rev}.tar.gz
Patch1:		0001-Fix-build.patch
Patch2:		0001-Use-system-CA-Bundle.patch
Patch3:		0001-Fix-RPATH.patch
BuildRequires:	git-core
BuildRequires:	ninja
BuildRequires:	cmake
BuildRequires:	cmake(BCToolbox)
BuildRequires:	cmake(BelCard)
BuildRequires:	cmake(LibLinphone)
BuildRequires:	cmake(Qt5)
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	cmake(Qt5Quick)
BuildRequires:	cmake(Qt5QuickCompiler)
BuildRequires:	cmake(Qt5Widgets)
BuildRequires:	cmake(Qt5QuickControls2)
BuildRequires:	cmake(Qt5Svg)
BuildRequires:	cmake(Qt5LinguistTools)
BuildRequires:	cmake(Qt5Concurrent)
BuildRequires:	cmake(Qt5Test)
BuildRequires:	cmake(Qt5Qml)
#
BuildRequires:  cmake(Qt5Multimedia)
BuildRequires:	qtbase5-common-devel
Requires:	mediastreamer >= 1:2.16.1
Requires:	qtdeclarative5
Requires:	qtquickcontrols25
Requires:	qtquickcontrols5
Requires:	qtgraphicaleffects5

Provides:	linphone = %{version}-%{release}
Obsoletes:	linphone < 4.1.1
Obsoletes:	linphoneqt < 4.2.2

Provides:	bundled(ispell) = 3.4.05

%description
Linphone is a free VoIP and video softphone based on the SIP protocol.

%prep
%autosetup -n %{name}-%{?gitdate}%{!?gitdate:%version} -p1 -Sgit -a1

# Use CMake configs to find libs
for f in BCToolbox Belcard LibLinphone LinphoneCxx Mediastreamer2; do
  rm -rf linphone-app/cmake/Find${f}.cmake
done

# Missing submodule
rm -rf external/ispell
ln -sf ../ispell-%{ispell_rev} external/ispell

# Fool build system a bit to get proper version output with 'linphone -v'
%{_bindir}/git tag -a %{version} -m "%{version}"

%build
export CXXFLAGS="%{build_cxxflags} -Wno-deprecated-declarations"
%cmake -GNinja \
	-DLINPHONEAPP_INSTALL_PREFIX:PATH=%{_prefix} \
	-DLINPHONE_QT_ONLY:BOOL=ON \
	-DENABLE_APP_PACKAGE_ROOTCA=OFF \
	-DENABLE_BUILD_VERBOSE:BOOL=ON \
	-DENABLE_UPDATE_CHECK:BOOL=OFF \
	-DENABLE_NON_FREE_CODECS:BOOL=OFF \
	-DENABLE_QT_KEYCHAIN:BOOL=OFF
%cmake_build

%install
%cmake_install

# Move to a better location
mv %{buildroot}%{_libdir}/libISpell.so \
   %{buildroot}%{_libdir}/linphone/

# Not needed
rm -rf %{buildroot}%{_bindir}/qt.conf
rm -rf %{buildroot}%{_datadir}/linphone/rootca.pem

%files
%license LICENSE*
%doc README.md CHANGELOG.md
%{_bindir}/linphone
%{_libdir}/linphone/
%{_datadir}/applications/linphone.desktop
%{_iconsdir}/hicolor/*/apps/linphone.{png,svg}
%{_datadir}/linphone/
%{_includedir}/LinphoneApp/
