%define major     1
%define libname   %mklibname atm %{major}
%define develname %mklibname atm -d

Summary:	Tools and libraries for ATM networking
Name:		linux-atm
Version:	2.5.2
Release:	%mkrel 15
License:	GPLv2+
Group:		System/Networking
Url:		https://linux-atm.sourceforge.net/
Source0:	https://downloads.sourceforge.net/project/linux-atm/linux-atm/%{version}/%{name}-%{version}.tar.xz
Patch1:		linux-atm-2.5.0-format_not_a_string_literal_and_no_format_arguments.patch
Patch2:		linux-atm-2.5.0-open-macro.patch
Patch3:		linux-atm-2.5.0-disable-ilmdiag.patch
Patch4:		linux-atm-2.5.2-remove-headers-crude-hack.patch
Patch5:		linux-atm-2.5.2-siocgstamp.patch
Patch6:		linux-atm-c99.patch
Patch7:		linux-atm-use_socklen_t.patch
BuildRequires:	bison
BuildRequires:	flex

%description
Tools and libraries to support ATM (Asynchronous Transfer Mode)
networking and some types of DSL modems.

%package -n %{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
This package contains libraries needed to run programs linked with %{name}.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libatm-devel = %{version}-%{release}
Provides:	atm-devel = %{version}-%{release}

%description -n	%{develname}
This package contains development files needed to compile programs which
use %{name}.

%prep
%autosetup -p1

%build
# to recognize aarch64
autoreconf -vfi

%configure \
	--disable-static \
	--enable-shared \
	--enable-cisco \
	--enable-mpoa_1_1 \
	--enable-multipoint

%make_build -j1

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

install -m 0644 src/config/hosts.atm %{buildroot}/etc/
# no firmware on core repository
rm -f %{buildroot}/lib/firmware/*

%files
%doc README AUTHORS ChangeLog NEWS THANKS BUGS
%config(noreplace) %{_sysconfdir}/atmsigd.conf
%config(noreplace) %{_sysconfdir}/hosts.atm
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man4/*
%{_mandir}/man7/*
%{_mandir}/man8/*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
