#
# spec file for package linux_pcnfsd2 (Version 1.6)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

# norootforbuild


Name:           linux_pcnfsd2
License:        zlib
Group:          Networking/File transfer
Requires:       net-tools
AutoReqProv:    on
Version:        1.6
Release:        %mkrel 7
Summary:        RPC Server That Supports ONC Clients
Source:         linux_pcnfsd2.tar.gz
Source1:        pcnfsd
Source2:        sysconfig.pcnfsd
Patch1:         linux_pcnfsd2.dif
Patch2:         linux_pcnfsd2-format-security.patch
Patch3:         linux_pcnfsd2-libtirpc.patch
Patch4:         linux_pcnfsd2-1.6-mga-ipv6-rpc.patch
Patch5:         linux_pcnfsd2-fix-build-with-gcc14.patch
Url:            https://build.opensuse.org/package/show/openSUSE:Leap:42.1/linux_pcnfsd2
BuildRequires:  pkgconfig(libtirpc)

%description
RPC server that supports ONC clients on PC (DOS, OS/2, Macintosh, and
other) systems.

%prep
%setup -q -n %{name}
%patch -P 1
%patch -P 2 -p1 -b .FMT
%patch -P 3 -p1
%patch -P 4 -p1
%patch -P 5 -p1

%build
make -f Makefile.linux

%install
install -d -m 755 $RPM_BUILD_ROOT{/usr/sbin,%{_mandir}/man8}
install linux/clnt.pcnfsd linux/rpc.pcnfsd $RPM_BUILD_ROOT/usr/sbin
install -m 644 pcnfsd.8c $RPM_BUILD_ROOT/%{_mandir}/man8
ln -sf pcnfsd.8c.gz $RPM_BUILD_ROOT/%{_mandir}/man8/rpc.pcnfsd.8c.gz
install -d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 %{S:2} $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -d $RPM_BUILD_ROOT/etc/init.d
install -m 744 %{S:1} $RPM_BUILD_ROOT/etc/init.d/
ln -sf ../../etc/init.d/pcnfsd $RPM_BUILD_ROOT/usr/sbin/rcpcnfsd

%post
%_post_service pcnfsd

%preun
%_preun_service pcnfsd

%files
%doc README
%doc %{_mandir}/man8/*
/usr/sbin/*
%config /etc/init.d/*
/var/adm/fillup-templates/sysconfig.pcnfsd

