%global udevdir %(pkg-config --variable=udevdir udev)

Name:		linuxconsoletools
Version:	1.8.1
Release:	%mkrel 2
Summary:	Tools for connecting joysticks & legacy devices to the kernel's input subsystem
Group:		System/Kernel and hardware
License:	GPLv2+
URL:		https://sourceforge.net/projects/linuxconsole/
Source:		https://downloads.sourceforge.net/linuxconsole/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(sdl2)
BuildRequires:  systemd pkgconfig(libudev)
Obsoletes:	input-utils < %{version}
Provides:	input-utils = %{version}

%description
This package contains utilities for testing and configuring joysticks,
connecting legacy devices to the kernel's input subsystem (providing support
for serial mice, touchscreens etc.), and test the input event layer.

%prep
%setup -q

%build
%set_build_flags
%make_build PREFIX=%{_prefix}

# moving helper scripts from /usr/share/joystick to /usr/libexec/joystick
sed -i "s|%{_datadir}/joystick|%{_libexecdir}/joystick|g" utils/jscal-restore utils/jscal-store

%install
%make_install PREFIX=%{_prefix}

# moving helper scripts from /usr/share/joystick to /usr/libexec/joystick
install -d -m 0755 %{buildroot}%{_libexecdir}/joystick
mv -f %{buildroot}%{_datadir}/joystick/* %{buildroot}%{_libexecdir}/joystick/

# fixing udev dir
mv -f %{buildroot}/lib %{buildroot}/usr/

# fixing man permissions
chmod -x %{buildroot}%{_mandir}/man1/*

%files
%doc README NEWS
%license COPYING
%{_bindir}/*
%{_libexecdir}/joystick/*
%{_mandir}/man1/*
%{udevdir}/js-set-enum-leds
%{_udevrulesdir}/80-stelladaptor-joystick.rules
