Summary: A text formatting package based on SGML
Name: linuxdoc-tools
Version: 0.9.82
Release: %mkrel 3
License: Copyright only
Group: Publishing
Url: https://gitlab.com/agmartin/linuxdoc-tools
Source: https://gitlab.com/agmartin/linuxdoc-tools/-/archive/%{version}/linuxdoc-tools-%{version}.tar.gz
Patch02: 0002-downstream-Added-fix-to-have-lib64-in-perl-path-on-6.patch
Patch3: linuxdoc-tools-c99.patch
Patch4: linuxdoc-tools-c89.patch
Requires: jade
Requires: groff
Requires: latex
#gw needed by sgml2info
Requires: texinfo
BuildRequires:	flex
BuildRequires:	openjade
BuildRequires:	sgml-common
BuildRequires:	groff-for-man
Provides: sgml-tools
Provides: linuxdoc-sgml

%description
Linuxdoc-tools is a text formatting suite based on SGML (Standard
Generalized Markup Language), using the LinuxDoc document type.
Linuxdoc-tools allows you to produce LaTeX, HTML, GNU info, LyX, RTF,
plain text (via groff), and other format outputs from a single SGML
source.  Linuxdoc-tools is intended for writing technical software
documentation.

%prep
%autosetup -p1

%build
# fix warnings on aarch64
autoreconf -vfi

%configure --with-installed-nsgmls --with-installed-iso-entities --disable-docs
# Packaging brain-damage
( cd entity-map
  autoreconf -vfi
  %configure --enable-docs pdf
)
%make_build

%install
%make_install perl5libdir=%{perl_vendorlib}

#Copy license files for parts into docdir
mkdir -p %{buildroot}%{_docdir}/%{name}/sgmls-1.1
cp -p sgmls-1.1/LICENSE %{buildroot}%{_docdir}/%{name}/sgmls-1.1/LICENSE
mkdir -p %{buildroot}%{_docdir}/%{name}/iso-entities
cp -p iso-entities/COPYING %{buildroot}%{_docdir}/%{name}/iso-entities/COPYING
mkdir -p %{buildroot}%{_docdir}/%{name}/entity-map
cp -p entity-map/COPYING %{buildroot}%{_docdir}/%{name}/entity-map/COPYING
cp -p COPYING %{buildroot}%{_docdir}/%{name}

# Some files need moving around.
rm -f %{buildroot}%{_datadir}/%{name}/epsf.*
rm -f %{buildroot}%{_datadir}/%{name}/url.sty
install -d %{buildroot}%{_datadir}/texmf/tex/latex/misc
mv %{buildroot}%{_datadir}/%{name}/*.sty \
    %{buildroot}%{_datadir}/texmf/tex/latex/misc

%post
[ -x %{_bindir}/texhash ] && /usr/bin/env - %{_bindir}/texhash > /dev/null 2>&1
exit 0

%postun
[ -x %{_bindir}/texhash ] && /usr/bin/env - %{_bindir}/texhash > /dev/null 2>&1
exit 0

%files
%doc %{_docdir}/%{name}
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/entity-map/
%{_datadir}/texmf/tex/latex/misc/*.sty
%{perl_vendorlib}/Text/EntityMap.pm
%{perl_vendorlib}/LinuxDocTools.pm
%{perl_vendorlib}/LinuxDocTools
%{_mandir}/*/*
