%define	major		7
%define	libname		%mklibname %{name} %major
%define	develname	%mklibname %{name} -d

%define toolchain clang

Name:           linuxsampler
Summary:        Professional grade software audio sampler
Version:        2.3.1
Release:        %mkrel 1
License:        GPLv2
Group:          Sound/Midi
URL:            https://www.linuxsampler.org/
Source0:        https://download.linuxsampler.org/packages/linuxsampler-%{version}.tar.bz2
Patch0:         linuxsampler-0001-aarch64-fix.patch
Patch1:         linuxsampler-gcc14.patch

BuildRequires:	pkgconfig(gig) >= 4.4.1
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(dssi)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	bison-devel-static
BuildRequires:	doxygen
BuildRequires:	pkgconfig(lv2) >= 1.18.10
BuildRequires:	perl(XML::Parser)
BuildRequires:	flex
%if "%{toolchain}" == "clang"
BuildRequires:  clang
%endif
Requires:       jackit
Requires:       liblscp
Requires:       gig
Requires:       lv2

Conflicts: 	%{mklibname %{name} 6}

%description
LinuxSampler is a free software audio sampler with professional grade
features. It offers disk streaming capability, real-time instrument
scripts, and supports the following three sampler formats:
 - GigaStudio 4, previously known as Gigasampler (.gig)
 - SFZ2 (.sfz)
 - SoundFont 2 (.sf2)

%files
%doc README.urpmi AUTHORS ChangeLog NEWS
%{_bindir}/%{name}
%{_bindir}/lscp*
%{_bindir}/ls_instr_script
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/lscp*.1.*
%{_localstatedir}/lib/%{name}/*.db

#--------------------------------------------------------------------

%package -n %{libname}
Group:		System/Libraries
Summary:	Libraries for %{name}
Provides:	lib%{name} = %{version}-%{release}
Conflicts:	%{_lib}%{name}5 < 2.2.0

%description -n %{libname}
Libraries from %{name}.

%files -n %{libname}
%config %{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf
%{_libdir}/%{name}/lib%{name}.so.%{major}{,.*}
%{_libdir}/lv2/%{name}.lv2/*.so
%{_libdir}/lv2/%{name}.lv2/*.ttl
%{_libdir}/dssi/*.so
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%dir %{_libdir}/lv2/%{name}.lv2

#--------------------------------------------------------------------

%package -n %{develname}
Group:		Development/Other
Summary:	Libraries for %{name}
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Development libraries from %{name}.

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/%{name}/lib%{name}.so

#--------------------------------------------------------------------

%prep
%autosetup -p1


%build
autoreconf -fi
%configure
%make_build
make docs

%install
%make_install

# (tv) fix conflicts with nilfs-utils:
mv %{buildroot}%{_bindir}/lscp{,-linuxsampler}
mv %{buildroot}%{_mandir}/man1/lscp{,-linuxsampler}.1

# ld.so.conf.d config for libraries outside the standard search path (mga#28229)
mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d/
cat > %{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf << EOF
%{_libdir}/%{name}/
EOF

cat > README.urpmi <<EOF
WARNING
-------
LinuxSampler is licensed under the GNU GPL with the exception that 
USAGE of the source code, libraries and applications FOR COMMERCIAL 
HARDWARE OR SOFTWARE PRODUCTS IS NOT ALLOWED  without prior written 
permission by the LinuxSampler authors. If you have questions on the 
subject, that are not yet covered by the FAQ, please contact us. 
EOF

find %{buildroot} -regex ".*\(a\|la\)$" -delete
