Name: 		liquidwar
Version: 	5.6.5
Release: 	%mkrel 7
Summary:	Unique multiplayer wargame
License:	GPLv2+
Group:		Games/Arcade
URL: 		https://www.ufoot.org/liquidwar/v5
Source0:	https://www.ufoot.org/download/liquidwar/v5/%{version}/%{name}-%{version}.tar.gz
Source11:	%{name}-16.png
Source12:	%{name}-32.png
Source13:	%{name}-48.png
Patch0:		liquidwar-5.6.5-python3.patch
Patch1:         gcc10.patch

BuildRequires:	pkgconfig(python3)
# Main allegro4 package contains dev tools
BuildRequires:	allegro4
BuildRequires:	allegro4-devel
# for buildinfo files
BuildRequires:	texinfo

%description
Liquid War is a wargame. But it is different from common wargames.

When playing Liquid War, one has to eat one's opponent. There can be from
2 to 6 players. There are no weapons, the only thing you have to do is to
move a cursor in a 2-D battlefield. This cursor is followed by your army,
which is composed by a great many little fighters. Fighters are represented
by small colored squares. All the fighters who have the same color belong
to the same team. One very often controls several thousands fighters at the
same time. And when fighters from different teams meet, they eat each
other, it is as simple as that.


%prep
%setup -q
%patch -P 0 -p0
%patch -P 1 -p1

# do not strip the binaries please
sed -i 's/install\(\s\+-c\)\?\s\+-s/install/g' Makefile.in

%build
%configure \
  --disable-doc-pdf \
  --disable-doc-ps \
  --disable-doc-info \
%ifnarch %ix86
  --disable-asm \
%endif
  LDFLAGS="%{ldflags} -lm"
  CFLAGS="%{optflags}"
  PYTHON="%{__python3}"

%make_build

# make docs utf-8
gzip -cd doc/info/%{name}.info.gz | \
  iconv -f ISO-8859-1 -t UTF8 > doc/info/%{name}.info
gzip -f doc/info/%{name}.info

%install
perl -pi -e 's#install_custom_texture install_icon install_gpl#install_custom_texture #' Makefile
%make_install

# icons
install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

rm -rf %{buildroot}%{_datadir}/doc/liquidwar %{buildroot}%{_datadir}/pixmaps

# remove unused links
rm -rf %{buildroot}%{_bindir}

%files
%doc COPYING doc/html/*.html
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}/
%{_mandir}/man6/*
%{_infodir}/*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/*
