# Comment out when not a git snapshot
#global commit      b4c815c0ed7e2140bc4a239be01f01c00b9cf431
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitdate     20210323

%define major     0
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

%define rel 1

Name:           litehtml
Version:        0.9
Release:        %mkrel %{?commit:0.git%{gitdate}.}%{rel}
Summary:        Fast and lightweight HTML/CSS rendering engine
Group:          System/Libraries
License:        BSD-3-Clause
URL:            https://github.com/litehtml/litehtml
%if 0%{?commit:1}
Source0:        https://github.com/litehtml/litehtml/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
%else
Source0:        https://github.com/litehtml/litehtml/archive/v%{version}/%{name}-%{version}.tar.gz
%endif
# Downstream patch
# The Fedora gumbo-parser package does not contain a cmake module,
# so don't look for it
Patch10:        litehtml_gumbo.patch
# Add some stuff needed for qt-creator
Patch11:        litehtml_qtcreator.patch

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(gumbo)
BuildRequires:	pkgconfig(gtest)
# for /usr/bin/xxd
BuildRequires:  vim-common

%description
litehtml is the lightweight HTML rendering engine with CSS2/CSS3 support.
Note that litehtml itself does not draw any text, pictures or other graphics
and that litehtml does not depend on any image/draw/font library.

%package -n     %{libname}
Summary:        Fast and lightweight HTML/CSS rendering engine
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
litehtml is the lightweight HTML rendering engine with CSS2/CSS3 support.
Note that litehtml itself does not draw any text, pictures or other graphics
and that litehtml does not depend on any image/draw/font library.

%package -n     %{develname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1 -n %{name}-%{?commit}%{!?commit:%version}

# Ensure no bundled gumbo and xxd are used
rm -rf src/gumbo
rm -rf xxd

# Since 1.13.0, gtest requires C++14 or later
sed -r -i 's/(CXX_STANDARD[[:blank:]]+)11/\114/' CMakeLists.txt

%build
%cmake -DBUILD_TESTING=ON \
       -DEXTERNAL_GUMBO=ON \
       -DEXTERNAL_GTEST=ON
%cmake_build

%install
%cmake_install

%check
%ctest

%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}/
