Name:           littlewizard
Version:        1.2.2
Release:        %mkrel 11
Summary:        Development Environment for Children
License:        GPLv2
Group:          Development/Tools
Url:            https://littlewizard.sourceforge.net/
Source0:        https://sourceforge.net/projects/%{name}/files/%{name}/%{version}/%{name}-%{version}.tar.bz2
Source1:        littlewizard.1
Source2:        ru.po
# wget -nH -p -k https://littlewizard.sourceforge.net/tutorial.html
Source3:        tutorial.tar
Source4:        examples.tar
Patch0:         %{name}-%{version}-do-not-override-toolbar-style.patch
Patch1:         %{name}-desktop.patch
BuildRequires:  gcc-c++
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libxml-2.0) >= 2.4

%description
Little Wizard is created especially for primary school children. It allows to
learn programming using the main elements of contemporary computer languages,
including: variables, expressions, loops, conditionals, and logical blocks.
Every element of the language is represented by an intuitive icon. Little
Wizard can be programmed without using the keyboard - only using the mouse.
Little Wizard ships with example files and a tutorial.

%package devel
Summary:        Development headers and files for %{name}
Group:          Development/C++
Requires:       %{name} = %{version}

%description devel
The %{name}-devel package contains libraries and header files for
%{name} development.

%prep
%setup -q
%patch -P 0 -p0
%patch -P 1 -p0

cp -f %{SOURCE2} ./po/

sed -i -e "s|AM_CONFIG_HEADER|AC_CONFIG_HEADERS|g" ./configure.in
sed -i -e "s|AM_PROG_CC_STDC|AC_PROG_CC|g" ./configure.in

%build
autoreconf -fi
%configure --disable-static
%make_build

mkdir tutorial
mkdir examples
tar -C tutorial -x -f %{SOURCE3}
tar -x -f %{SOURCE4}

%install
%make_install

# removing useless files
rm -rf %{buildroot}%{_bindir}/littlewizardtest
rm -rf %{buildroot}%{_prefix}/doc/littlewizard
rm -rf %{buildroot}%{_libdir}/*.*a

# man page
mkdir -p %{buildroot}%{_mandir}/man1
install -m644 %{SOURCE1} %{buildroot}%{_mandir}/man1

# examples
mkdir -p %{buildroot}%{_datadir}/%{name}/examples
cp -a ./examples/* %{buildroot}%{_datadir}/%{name}/examples/

# icons
mv %{buildroot}/%{_datadir}/icons/gnome %{buildroot}/%{_datadir}/icons/Adwaita

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README TODO tutorial/*
%dir %{_datadir}/icons/Adwaita/48x48/mimetypes
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/Adwaita/48x48/mimetypes/gnome-mime-application-x-%{name}.png
%{_datadir}/icons/Adwaita/scalable/mimetypes/gnome-mime-application-x-%{name}.svg
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}
%{_libdir}/liblanguage.so.*
%{_libdir}/liblw.so.*
%{_mandir}/man1/littlewizard.1.*

%files devel
%{_includedir}/*
%{_libdir}/liblanguage.so
%{_libdir}/liblw.so
