# Weird libraries with circular interdependencies
%define _disable_ld_no_undefined 1

%define basicusage_major	2
%define libname_basicusage	%mklibname basicusageenvironment %{basicusage_major}
%define usageenvironment_major	3
%define libname_usage		%mklibname usageenvironment %{usageenvironment_major}
%define groupsock_major		30
%define libname_groupsock	%mklibname groupsock %{groupsock_major}
%define livemedia_major		116
%define libname_livemedia	%mklibname livemedia %{livemedia_major}
%define develname		%mklibname %{name} -d

Name:		live
Version:	2024.11.28
Release:	%mkrel 1
Summary:	LIVE555 Streaming Media Library
License:	LGPL-3.0-or-later AND GPL-3.0-or-later
Group:		System/Libraries
URL:		http://www.live555.com/liveMedia/
Source0:	http://live555.com/liveMedia/public/%{name}.%{version}.tar.gz
Patch0:		live-synchronous-interface.patch
Patch1:		01_propagate_cflags.patch
Patch2:		02_ip_mreq_source.patch
Patch3:		03_add-pkgconfig-file.patch
Patch4:		04_fix-link-more-lib.patch
BuildRequires:	pkgconfig(openssl)
Provides:	live555 = %{version}-%{release}

%description
This code forms a set of C++ libraries for multimedia streaming, using
open standard protocols (RTP/RTCP, RTSP, SIP). These libraries - which
can be compiled for Unix (including Linux and Mac OS X), Windows, and
QNX (and other POSIX-compliant systems) - can be used to build
streaming applications.

This package contains the example apps of LIVE555.

%package -n %{libname_basicusage}
Summary:	Shared Basic Usage Environment library for LIVE555 Streaming Media
Group:		System/Libraries

%description -n %{libname_basicusage}
Shared Basic Usage Environment library for LIVE555 Streaming Media.

%package -n %{libname_usage}
Summary:	Shared Usage Environment library for LIVE555 Streaming Media
Group:		System/Libraries

%description -n %{libname_usage}
Shared Usage Environment library for LIVE555 Streaming Media.

%package -n %{libname_groupsock}
Summary:	Shared groupsock library for LIVE555 Streaming Media
Group:		System/Libraries

%description -n %{libname_groupsock}
Shared groupsock library for LIVE555 Streaming Media.

%package -n %{libname_livemedia}
Summary:	Shared live Media library for LIVE555 Streaming Media
Group:		System/Libraries

%description -n %{libname_livemedia}
Shared live Media library for LIVE555 Streaming Media.

%package -n %{develname}
Summary:	Development files of the LIVE555 Streaming Media Library
Group:		Development/C++
Requires:	%{libname_basicusage} = %{version}-%{release}
Requires:	%{libname_usage} = %{version}-%{release}
Requires:	%{libname_groupsock} = %{version}-%{release}
Requires:	%{libname_livemedia} = %{version}-%{release}
Provides:	live555-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This code forms a set of C++ libraries for multimedia streaming, using
open standard protocols (RTP/RTCP, RTSP, SIP). These libraries - which
can be compiled for Unix (including Linux and Mac OS X), Windows, and
QNX (and other POSIX-compliant systems) - can be used to build
streaming applications.

This package contains all needed files to build programs based on LIVE555.

%prep
%autosetup -p1 -n %{name}

sed -i -e "s|-O2|%{optflags}|" config.linux-with-shared-libraries

%build
%set_build_flags
# C++20 is because of:
# BasicTaskScheduler.cpp:191:40: error: 'struct std::atomic_flag' has no member named 'test'
export CXXFLAGS="-std=c++20 %{optflags}"

./genMakefiles linux-with-shared-libraries
%__make clean
%make_build

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir}

#Fix library dependency detection
chmod +x %{buildroot}%{_libdir}/*.so*

%files
%doc README
%license COPYING COPYING.LESSER
%{_bindir}/MPEG2TransportStreamIndexer
%{_bindir}/live555MediaServer
%{_bindir}/live555HLSProxy
%{_bindir}/live555ProxyServer
%{_bindir}/mikeyParse
%{_bindir}/openRTSP
%{_bindir}/playSIP
%{_bindir}/registerRTSPStream
%{_bindir}/sapWatch
%{_bindir}/test*
%{_bindir}/vobStreamer

%files -n %{libname_basicusage}
%{_libdir}/libBasicUsageEnvironment.so.%{basicusage_major}{,.*}

%files -n %{libname_usage}
%{_libdir}/libUsageEnvironment.so.%{usageenvironment_major}{,.*}

%files -n %{libname_groupsock}
%{_libdir}/libgroupsock.so.%{groupsock_major}{,.*}

%files -n %{libname_livemedia}
%{_libdir}/libliveMedia.so.%{livemedia_major}{,.*}

%files -n %{develname}
%doc README
%{_libdir}/libBasicUsageEnvironment.so
%{_libdir}/libgroupsock.so
%{_libdir}/libliveMedia.so
%{_libdir}/libUsageEnvironment.so
%{_libdir}/pkgconfig/live555.pc
%{_includedir}/BasicUsageEnvironment/
%{_includedir}/groupsock/
%{_includedir}/liveMedia/
%{_includedir}/UsageEnvironment/
