%global _default_patch_fuzz 2

#global checkout 036e314

%define major 1
%define libname %mklibname lldp_clif %major
%define devname %mklibname lldp_clif -d
%define _legacy_common_support 1

%define rel 1

Name:               lldpad
Version:            1.1.1
Release:            %mkrel %{rel}%{?checkout:.git%{checkout}}
Summary:            Intel LLDP Agent
Group:              System/Networking
License:            GPLv2
URL:                https://github.com/intel/openlldp
Source0:            https://github.com/intel/openlldp/archive/refs/tags/v%{version}.tar.gz


BuildRequires:      automake autoconf libtool
BuildRequires:      flex >= 2.5.33
BuildRequires:      kernel-headers >= 2.6.32
BuildRequires:      pkgconfig(libconfig) >= 1.3.2
BuildRequires:      libnl3-devel
BuildRequires:      readline-devel
BuildRequires:      systemd
# For macro definition:
BuildRequires:      pkgconfig(libsystemd)
Requires:           readline
Requires:           %{libname}%{?_isa} = %{version}-%{release}

Requires(post):     systemd
Requires(preun):    systemd
Requires(postun):   systemd

%description
This package contains the Linux user space daemon and configuration tool for
Intel LLDP Agent with Enhanced Ethernet support for the Data Center.

%package -n %{libname}
Summary:            Library for applications using LLDP
Group:              System/Libraries

%description -n %{libname}
This package provides the libraries for applications
to support LLDP.

%package -n %{devname}
Summary:            Development files for %{name}
Group:              Development/C
Requires:           %{libname}%{?_isa} = %{version}-%{release}
Provides:           dcbd-devel = %{version}-%{release}
Provides:           %{name}-devel = %{version}-%{release}
Provides:           %{name}-devel%{?_isa} = %{version}-%{release}

%description -n %{devname}
This package contains header files for developing applications
that use %{name}.

%prep
%autosetup -p1 -n openlldp-%{version}

%build
./bootstrap.sh
CFLAGS=${CFLAGS:-%optflags -Wno-error}; export CFLAGS;
%configure --disable-static
# fix the hardened build flags
sed -i -e 's! \\\$compiler_flags !&\\\$CFLAGS \\\$LDFLAGS !' libtool
%make_build

%install
%make_install
mkdir -p %{buildroot}%{_sharedstatedir}/%{name}
rm -f %{buildroot}%{_libdir}/liblldp_clif.la


%post
%systemd_post %{name}.service %{name}.socket

%preun
%systemd_preun %{name}.service %{name}.socket

%postun
%systemd_postun_with_restart %{name}.service %{name}.socket

%files
%license COPYING
%doc README ChangeLog
%{_sbindir}/*
%dir %{_sharedstatedir}/%{name}
%{_unitdir}/%{name}.service
%{_unitdir}/%{name}.socket
%{_sysconfdir}/bash_completion.d/*
%{_mandir}/man8/*

%files -n %{libname}
%license COPYING
%{_libdir}/liblldp_clif.so.%{major}
%{_libdir}/liblldp_clif.so.%{major}.*

%files -n %{devname}
%{_includedir}/*
%{_mandir}/man3/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/liblldp_clif.so

