#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
# Also, make sure to rebuild openldap after updating this package.
#

%define rel 1

# The files themselves are in several subdirectories and need to be prefixed wit this.

%global archive_path libraries/lib%{name}

Summary:        Memory-mapped key-value database
Name:           lmdb
Version:        0.9.33
Release:        %mkrel %{rel}
License:        GPLv2+
Group:          System/Base
URL:            https://symas.com/mdb/
Source0:        https://git.openldap.org/openldap/openldap/-/archive/LMDB_%{version}/openldap-LMDB_%{version}.tar.gz
Source1:        lmdb.pc.in
# Patch description in the corresponding file
Patch0:         lmdb-make.patch
# Fedora S390 build-time hack only:
#Patch1: lmdb-s390-check.patch

BuildRequires:  doxygen

%description
LMDB is an ultra-fast, ultra-compact key-value embedded data
store developed by for the OpenLDAP Project. By using memory-mapped files,
it provides the read performance of a pure in-memory database while still
offering the persistence of standard disk-based databases, and is only limited
to the size of the virtual address space.

%files
%{_bindir}/*
%{_mandir}/man1/*

#--------------------------------------------------------------------

%define major   0
%define liblmdb %mklibname lmdb %{major}

%package -n %{liblmdb}
Summary:        Memory-mapped key-value database
Group:          System/Libraries

%description -n %{liblmdb}
LMDB is an ultra-fast, ultra-compact key-value embedded data
store developed by for the OpenLDAP Project. By using memory-mapped files,
it provides the read performance of a pure in-memory database while still
offering the persistence of standard disk-based databases, and is only limited
to the size of the virtual address space.

%files -n %{liblmdb}
%{_libdir}/liblmdb.so.%{major}{,.*}

#--------------------------------------------------------------------

%define lmdb_devel %mklibname lmdb -d

%package -n %{lmdb_devel}
Summary:        Devel stuff for %{name}
Group:          Development/KDE and Qt
Requires:       %{liblmdb} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{lmdb_devel}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{lmdb_devel}
%{_libdir}/liblmdb.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*.h

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n openldap-LMDB_%{version}

%build
pushd %{archive_path}
%set_build_flags
%make_build XCFLAGS="%{build_cflags}"
# Build doxygen documentation
doxygen
# remove unpackaged files
rm -f Doxyfile
rm -rf man # Doxygen generated manpages
popd

%install
pushd %{archive_path}
# make install expects existing directory tree
mkdir -m 0755 -p %{buildroot}{%{_bindir},%{_includedir}}
mkdir -m 0755 -p %{buildroot}{%{_libdir}/pkgconfig,%{_mandir}/man1}

%make_install prefix=%{_prefix} libdir=%{_libdir} mandir=%{_mandir}
popd

# Install pkgconfig file
sed -e 's:@PREFIX@:%{_prefix}:g' \
    -e 's:@EXEC_PREFIX@:%{_exec_prefix}:g' \
    -e 's:@LIBDIR@:%{_libdir}:g' \
    -e 's:@INCLUDEDIR@:%{_includedir}:g' \
    -e 's:@PACKAGE_VERSION@:%{version}:g' \
    %{SOURCE1} >lmdb.pc
install -Dpm 0644 -t %{buildroot}%{_libdir}/pkgconfig lmdb.pc
