%define major 8
%define libname %mklibname lmfit %{major}
%define devname %mklibname lmfit -d

%define commit 33b4e89ce165091ac03747d750246748

Name:           lmfit
Version:        8.2.2
Release:        %mkrel 3
Summary:        Levenberg-Marquardt least-squares minimization and curve fitting
Group:          Development/C
# software is BSD, documentation is CC-BY
License:        BSD and CC-BY
URL:            https://jugit.fz-juelich.de/mlz/lmfit
Source0:        https://jugit.fz-juelich.de/mlz/lmfit/uploads/%{commit}/lmfit-%{version}.tgz
Patch1:         lib64.patch
Patch2:         lmfit-8.2.2-correct-library-versioning.patch
BuildRequires:  cmake

%description
C/C++ library for Levenberg-Marquardt least-squares minimization and curve
fitting.

%package -n %{libname}
Summary:        Levenberg-Marquardt least-squares minimization and curve fitting
Group:          System/Libraries

%description -n %{libname}
C/C++ library for Levenberg-Marquardt least-squares minimization and curve
fitting.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < 8.0

%description -n %{devname}
Development files for %{name}.

%prep
%setup -q
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license COPYING
%doc CHANGELOG
%{_libdir}/liblmfit.so.%{major}{,.*}

%files -n %{devname}
%{_docdir}/lmfit/
%{_includedir}/*.h
%{_libdir}/liblmfit.so
%{_libdir}/pkgconfig/lmfit.pc
%{_mandir}/man?/*
