%define Werror_cflags %{nil}

# comment out when not pre-release
#define prel    rc8

%define rel     9

Summary:        Linux MultiMedia Studio
Name:           lmms
Version:        1.2.2
Release:        %mkrel %{?prel:0.%prel.}%{rel}
Group:          Sound/Mixers
License:        GPLv2+
URL:            https://lmms.io/
Source0:        https://github.com/LMMS/lmms/releases/download/v%{version}%{?prel:-%{prel}}/%{name}_%{version}%{?prel:.%{prel}}.tar.xz
Patch1:         lmms-1.2.2-kwidgetsaddons.patch
Patch2:         lmms-1.2.2-plugin-path.patch
BuildRequires:  bash-completion
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  git
BuildRequires:  icoutils
BuildRequires:  fltk-devel
BuildRequires:  lame-devel
BuildRequires:  SDL_sound-devel
BuildRequires:  soundio-devel
BuildRequires:  stk-devel
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(gig)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(fluidsynth)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(sndio)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(xinerama)

Recommends:     ladspa-plugins-swh

%description
LMMS aims to be a free alternative to popular (but commercial and
closed- source) programs like FruityLoops/FL Studio, Cubase and Logic
allowing you to produce music with your computer.This includes
creation of loops, synthesizing and mixing sounds, arranging samples,
having fun with your MIDI-keyboard and much more...

LMMS combines the features of a tracker-/sequencer-program and those
of powerful synthesizers, samplers, effects etc. in a modern,
user-friendly and easy to use graphical user-interface.

Features:

* Song-Editor for arranging the song
* creating beats and basslines using the Beat-/Bassline-Editor
* easy-to-use piano-roll for editing patterns and melodies
* instrument and effect-plugins
* support for hosting VST(i)- and LADSPA-plugins (instruments/effects)
* automation-editor
* MIDI-support

%package devel
Summary:        Development package for %{name}
Group:          Development/C

%description devel
Development files and headers for %{name}.

%prep
%autosetup -p1 -n %{name}%{?prel:~%{prel}}

# remove spurious x-bits
find . -type f -exec chmod 0644 {} \;

%build
%cmake \
      -DWANT_QT5=ON \
      -DWANT_SDL:BOOL=ON \
      -DWANT_PORTAUDIO:BOOL=ON \
      -DWANT_CAPS:BOOL=ON \
      -DWANT_TAP:BOOL=ON \
      -DWANT_SWH:BOOL=ON \
      -DWANT_CALF:BOOL=ON \
      -DWANT_VST_NOWINE:BOOL=ON \
      -DWANT_CARLA:BOOL=OFF \
      -DCMAKE_INSTALL_LIBDIR=%{_lib}

%cmake_build


%install
%cmake_install


%files
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_libdir}/%{name}/
%{_mandir}/man?/%{name}.1*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.svg
%{_iconsdir}/hicolor/*/mimetypes/application-x-%{name}-project.png
%{_iconsdir}/hicolor/*/mimetypes/application-x-%{name}-project.svg
%{_datadir}/bash-completion/completions/%{name}

%files devel
%{_includedir}/%{name}/
%{_libdir}/libqx11embedcontainer.a
