Name:          lnav
Version:       0.12.4
Release:       %mkrel 1
Group:         Monitoring
Summary:       Curses-based tool for viewing and analyzing log files
License:       BSD
URL:           https://lnav.org
Source0:       https://github.com/tstack/lnav/releases/download/v%{version}/%{name}-%{version}.tar.bz2
BuildRequires: gcc-c++
BuildRequires: re2c
BuildRequires: gpm-devel
BuildRequires: pkgconfig(bzip2)
BuildRequires: pkgconfig(libarchive)
BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(ncurses)
BuildRequires: pkgconfig(ncursesw)
BuildRequires: pkgconfig(openssl)
BuildRequires: pkgconfig(readline)
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(libpcre2-8)
BuildRequires: openssh

%description
lnav is an enhanced log file viewer that takes advantage of any semantic
information that can be gleaned from the files being viewed, such as
timestamps and log levels. Using this extra semantic information, it can
do things like interleaving messages from different files, generate
histograms of messages over time, and providing hotkeys for navigating
through the file. It is hoped that these features will allow the user to
quickly and efficiently zero in on problems.

%prep
%autosetup -p1

%build
%configure --disable-static --disable-silent-rules
%make_build

%install
%make_install

%files
%doc AUTHORS NEWS.md README README.md
%license LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
