Name:           lndir
Version:        1.0.5
Release:        %mkrel 1
Summary:        Create a shadow directory of symbolic links to another directory tree
Group:          System/X11
License:        MIT
URL:            https://xorg.freedesktop.org
Source0:        https://xorg.freedesktop.org/releases/individual/util/%{name}-%{version}.tar.xz

BuildRequires:  x11-util-macros >= 1.0.1
BuildRequires:  x11-proto-devel

%description
The lndir program makes a shadow copy of a directory tree, except that
the shadow is not populated with real files but instead with symbolic links
pointing at the real files in the source directory tree. This is usually
useful for maintaining source code for different machine architectures. You
create a shadow directory containing links to the real source, which you will
have usually mounted from a remote machine. You can build in the shadow tree,
and the object files will be in the shadow directory, while the source files
in the shadow directory are just symlinks to the real files.

%prep
%autosetup

%build
%configure
%make_build

%install
%make_install

%files
%{_bindir}/lndir
%{_mandir}/man1/lndir.*
