%define _disable_ld_no_undefined 1

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global systemd_units localsearch-3.service localsearch-control-3.service localsearch-writeback-3.service

Name:		localsearch
Version:	3.9.0
Release:	%mkrel 1
Summary:	Filesystem indexer and metadata extractor
Group:		Graphical desktop/GNOME

# libtracker-extract is LGPLv2+; the miners are a mix of GPLv2+ and LGPLv2+ code
License:	GPLv2+ and LGPLv2+
URL:		https://gnome.pages.gitlab.gnome.org/localsearch
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	asciidoc
BuildRequires:	meson
BuildRequires:	giflib-devel
BuildRequires:	intltool
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	systemd
BuildRequires:	pkgconfig(enca)
BuildRequires:	pkgconfig(exempi-2.0)
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(gexiv2)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:	pkgconfig(gstreamer-tag-1.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(gupnp-dlna-2.0)
BuildRequires:	pkgconfig(gupnp-dlna-gst-2.0)
BuildRequires:	pkgconfig(icu-i18n)
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(libavformat)
BuildRequires:	pkgconfig(libcue)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libgsf-1)
BuildRequires:	pkgconfig(libgxps)
BuildRequires:	pkgconfig(libiptcdata)
BuildRequires:	pkgconfig(libnm)
BuildRequires:	pkgconfig(libosinfo-1.0)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libseccomp)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	pkgconfig(taglib_c)
BuildRequires:	pkgconfig(totem-plparser)
BuildRequires:	pkgconfig(tinysparql-3.0) >= %{url_ver}
BuildRequires:	pkgconfig(upower-glib)
BuildRequires:	pkgconfig(vorbisfile)
BuildRequires:	pkgconfig(zlib)

Requires:	tinysparql%{?_isa} >= %{url_ver}

Obsoletes:	tracker-miners < 3.7.3-2
Provides:	tracker-miners = %{version}-%{release}

%description
LocalSearch offers a series of D-Bus services to index filesystem
resources, and expose this data so it can be queried in arbitrary
manners from consumers. LocalSearch is the indexer and search
engine that powers desktop search for core GNOME components.


%prep
%autosetup -p1


%build
%meson -Dfunctional_tests=false \
       -Dmp3=true
%meson_build


%install
%meson_install

%find_lang %{name}3


%post
%systemd_user_post %{systemd_units}

%files -f %{name}3.lang
%license COPYING
%doc AUTHORS NEWS README.md
%{_bindir}/%{name}
%{_libdir}/%{name}-3.0/
%{_libexecdir}/%{name}*
%{_datadir}/dbus-1/interfaces/org.freedesktop.Tracker3*
%{_datadir}/dbus-1/services/org.freedesktop.Tracker*
%{_datadir}/dbus-1/services/org.freedesktop.LocalSearch*
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/%{name}3/
%{_mandir}/man1/%{name}*.1*
%{_sysconfdir}/xdg/autostart/%{name}*.desktop
%{_userunitdir}/%{name}*.service
