# comment out when not a pre-release
#%%define prever rc3

%define api             2.1
%define major           9
%define libname         %mklibname %{name} %{api} %{major}
%define develname       %mklibname %{name} -d
%define staticdevelname %mklibname %{name} -s -d

%define rel 1

Name:           log4cplus
Version:        2.1.1
Release:        %mkrel %{?prever:0.%{prever}.}%{rel}
Summary:        Logging Framework for C++
Group:          System/Libraries
License:        ASL 2.0
URL:            https://sourceforge.net/projects/log4cplus
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}%{?prever:-%{prever}}.tar.xz
Source1:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}%{?prever:-%{prever}}.tar.xz.sig
Source2:        codesign.key
BuildRequires:  gnupg2

%description
log4cplus is a simple to use C++ logging API providing thread-safe, flexible,
and arbitrarily granular control over log management and configuration. It is
modeled after the Java log4j API.

%package -n %{libname}
Summary:        Logging Framework for C++
Group:          System/Libraries

%description -n %{libname}
log4cplus is a simple to use C++ logging API providing thread-safe, flexible,
and arbitrarily granular control over log management and configuration. It is
modeled after the Java log4j API.

%package -n %{develname}
Summary:        Development files for log4cplus C++ logging framework
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains headers and libraries needed to develop applications
using log4cplus logging framework.

%package -n %{staticdevelname}
Summary:        Static development files for log4cplus C++ logging framework
Group:          Development/C++
Requires:       %{develname} = %{version}-%{release}
Provides:       %{name}-static-devel = %{version}-%{release}
Obsoletes:      %{_lib}log4cplus-static < 2.0.8-2

%description -n %{staticdevelname}
This package contains static libraries needed to develop applications
using log4cplus logging framework.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%setup -q %{?prever:-n %{name}-%{version}-%{prever}}

%build
%configure --enable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc README.md ChangeLog
%license LICENSE
%{_libdir}/liblog4cplus-%{api}.so.%{major}{,.*}
%{_libdir}/liblog4cplusU-%{api}.so.%{major}{,.*}

%files -n %{develname}
%dir %{_includedir}/log4cplus
%dir %{_includedir}/log4cplus/boost
%dir %{_includedir}/log4cplus/config
%dir %{_includedir}/log4cplus/helpers
%dir %{_includedir}/log4cplus/internal
%dir %{_includedir}/log4cplus/spi
%dir %{_includedir}/log4cplus/thread
%dir %{_includedir}/log4cplus/thread/impl
%{_libdir}/lib*.so
%{_includedir}/log4cplus/*.h*
%{_includedir}/log4cplus/boost/*.h*
%{_includedir}/log4cplus/config/*.h*
%{_includedir}/log4cplus/helpers/*.h*
%{_includedir}/log4cplus/internal/*.h*
%{_includedir}/log4cplus/spi/*.h*
%{_includedir}/log4cplus/thread/*.h*
%{_includedir}/log4cplus/thread/impl/*.h*
%{_libdir}/pkgconfig/log4cplus.pc

%files -n %{staticdevelname}
%{_libdir}/lib*.a
