%define major	15
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:          log4cxx
Version:       1.3.0
Release:       %mkrel 1
Summary:       A port to C++ of the Apache Log4j project
Group:         System/Libraries
License:       ASL 2.0
Url:           https://logging.apache.org/log4cxx/
Source0:       https://archive.apache.org/dist/logging/log4cxx/%{version}/apache-log4cxx-%{version}.tar.gz
BuildRequires: cmake
BuildRequires: doxygen
BuildRequires: zip
BuildRequires: pkgconfig(apr-1)
BuildRequires: pkgconfig(apr-util-1)

%description
Apache Log4cxx is a popular logging package written in C++. One of its distinctive
features is the notion of inheritance in loggers. Using a logger hierarchy it
is possible to control which log statements are output at arbitrary
granularity. This helps reduce the volume of logged output and minimize the
cost of logging.

%package -n %{libname}
Summary:       A port to C++ of the Apache Log4j project
Group:         System/Libraries

%description -n %{libname}
Apache Log4cxx is a popular logging package written in C++. One of its distinctive
features is the notion of inheritance in loggers. Using a logger hierarchy it
is possible to control which log statements are output at arbitrary
granularity. This helps reduce the volume of logged output and minimize the
cost of logging.

%package -n %{devname}
Group:         Development/C++
Summary:       Libraries and headers for %{name}
Requires:      %{libname} = %{version}-%{release}
Provides:      %{name}-devel = %{version}-%{release}

%description -n %{devname}
A port to C++ of the Apache Log4j project.

This package contains libraries and header files need for development.

%prep
%autosetup -p1 -n apache-log4cxx-%{version}

%build
%cmake -DBUILD_SITE=ON
%cmake_build

%install
%cmake_install

%check
%ifnarch aarch64 %{arm}
%ctest
%endif

%files -n %{libname}
%doc KEYS LICENSE NOTICE
%{_libdir}/liblog4cxx.so.%{major}{,.*}

%files -n %{devname}
%doc %{_vpath_builddir}/src/site/html/
%{_includedir}/log4cxx/
%{_libdir}/liblog4cxx.so
%{_libdir}/pkgconfig/liblog4cxx.pc
%{_libdir}/cmake/log4cxx/
