Name:		log4net
URL:		https://logging.apache.org/log4net/
License:	ASL 2.0
Group:		Development/Other
Version:	2.0.8
Release:	%mkrel 7
Summary:	A .NET framework for logging
Source:		https://archive.apache.org/dist/logging/log4net/source/%{name}-%{version}-src.zip
Source1:	log4net.pc
# https://github.com/apache/logging-log4net/commit/d0b4b0157d4af36b23c24a23739c47925c3bd8d7
Patch0:         d0b4b0157d4af36b23c24a23739c47925c3bd8d7.patch 
BuildRequires:	mono-data-sqlite
BuildRequires:	pkgconfig(mono)
BuildArch:	noarch

%description
log4net is a tool to help the programmer output log statements to a
variety of output targets. log4net is a port of the excellent log4j
framework to the .NET runtime

%package devel
Summary:	A .NET framework for logging
Group:		Development/Other
Requires:	%{name} = %{version}
Requires:	pkgconfig

%description devel
log4net is a tool to help the programmer output log statements to a
variety of output targets. log4net is a port of the excellent log4j
framework to the .NET runtime

%prep
%setup -q
%autopatch -p1
sed -i 's/\r//' NOTICE
sed -i 's/\r//' README.txt
sed -i 's/\r//' LICENSE
# Remove prebuilt dll files
rm -rf bin/

# Fix for mono 4
find . -name "*.sln" -print -exec sed -i 's/Format Version 10.00/Format Version 11.00/g' {} \;
find . -name "*.csproj" -print -exec sed -i 's#ToolsVersion="3.5"#ToolsVersion="4.0"#g; s#<TargetFrameworkVersion>.*</TargetFrameworkVersion>##g; s#<PropertyGroup>#<PropertyGroup><TargetFrameworkVersion>v4.5</TargetFrameworkVersion>#g' {} \;

# Use system mono.snk key
sed -i -e 's!"..\\..\\..\\log4net.snk")]!"/etc/pki/mono/mono.snk")]!' src/AssemblyInfo.cs
sed -i -e 's!|| SSCLI)!|| SSCLI || MONO)!' src/AssemblyInfo.cs

%build
# ASF recommend using nant to build log4net
xbuild /property:Configuration=Debug /property:DefineConstants=DEBUG,MONO,STRONG src/log4net.vs2010.csproj
#nant -buildfile:log4net.build -t:mono-2.0 compile-all

%install
mkdir -p %{buildroot}/%{_datadir}/pkgconfig
cp %{S:1} %{buildroot}/%{_datadir}/pkgconfig
mkdir -p $RPM_BUILD_ROOT/%{_monogacdir}
gacutil -i build/bin/net/*/debug/log4net.dll -f -package log4net -root ${RPM_BUILD_ROOT}/%{_prefix}/lib

%files
%{_monogacdir}/log4net
%{_monodir}/log4net
%doc LICENSE NOTICE README.txt

%files devel
%{_datadir}/pkgconfig/log4net.pc


