#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           lokalize
Summary:        Computer-Aided Translation Tool
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://apps.kde.org/lokalize/
Source:         https://download.kde.org/stable/release-service/%version/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6Sonnet)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6Crash)

BuildRequires:  pkgconfig(hunspell)
BuildRequires:  python3

Requires:       qtbase6-database-plugin-sqlite
Requires:       sonnet

Recommends:     python3dist(translate-toolkit)


%description
Lokalize is a computer-aided translation system that focuses on
productivity and performance. The translator does only creative work
(of delivering message in his/her mother language in laconic and
easy to understand form). Lokalize implies a paragraph-by-paragraph
translation approach (when translating documentation) and
message-by-message approach (when translating GUI strings).


%files -f %name.lang
%_kf6_categoriesdir/lokalize.categories
%_kf6_bindir/lokalize
%_kf6_applicationsdir/*.desktop
%_kf6_metainfodir/org.kde.lokalize.appdata.xml
%_kf6_datadir/lokalize/
%_kf6_datadir/config.kcfg/lokalize.kcfg
%_kf6_iconsdir/*/*/apps/lokalize.*
%_kf6_knotificationsdir/lokalize.notifyrc

#------------------------------------------------------------------------------

%package handbook
Summary:        %name handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %name >= %{version}-%{release}

%description handbook
This package provides %name handbook.

%files handbook
%doc %_kf6_docdir/HTML/*/%name

#------------------------------------------------------------------------------


%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %name
