%global provider org.gnome.Lollypop

Name:           lollypop
Version:        1.4.41
Release:        %mkrel 2
Summary:        Music player for GNOME
Group:          Sound/Players
License:        GPLv3+
URL:            https://gitlab.gnome.org/World/lollypop
Source0:        https://adishatz.org/lollypop/%{name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  gobject-introspection-devel
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(appstream-glib)
BuildRequires:  python3-devel
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  meson
BuildRequires:  pkgconfig(pygobject-3.0) >= 3.29.1
BuildRequires:  pkgconfig(libsoup-3.0)
BuildRequires:  pkgconfig(libhandy-1)
Requires:       gdk-pixbuf2.0
Requires:       gstreamer1.0-plugins-base
Requires:       gobject-introspection
Requires:       gtk+3.0
Recommends:     kid3-qt
Requires:       libnotify >= 0.7.6
Requires:       python3-gobject
Requires:       python3-cairo
Requires:       python3-dbus
Requires:       pango
Requires:       totem-pl-parser
Requires:       gstreamer1.0-plugins-good
Requires:       python3-pillow
Requires:       python3-beautifulsoup4
Recommends:     yt-dlp
# last.fm support
Recommends:     python3-pylast

%description
Lollypop is a new GNOME music playing application.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome
chmod +x %{buildroot}%{_bindir}/*%{name}*

%check
#meson_test failed on koji build server with
#url-not-found : <screenshot> failed to connect: Cannot resolve hostname
desktop-file-validate %{buildroot}%{_datadir}/applications/%{provider}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/*.appdata.xml

%files -f %{name}.lang
%doc AUTHORS README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/%{name}.gresource
%{_libexecdir}/%{name}-sp
%{_metainfodir}/%{provider}.*.xml
%{_datadir}/applications/%{provider}.desktop
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/icons/hicolor/*/apps/%{provider}.png
%{_datadir}/icons/hicolor/*/apps/%{provider}*.svg
%{_datadir}/icons/hicolor/*/actions/%{provider}*.svg
%{_datadir}/dbus-1/services/%{provider}.SearchProvider.service
%{_datadir}/gnome-shell/search-providers/%{provider}.SearchProvider.ini
%{python3_sitelib}/%{name}
%{_mandir}/man1/%{name}.1*
