Name:           lordsawar
Version:        0.3.2
Release:        %mkrel 5
Summary:        Turn-based strategy game in a fantasy setting
Group:          Games/Strategy
License:        GPLv3+
URL:            https://www.nongnu.org/lordsawar
Source0:        https://download.savannah.gnu.org/releases/%{name}/%{name}-%{version}.tar.gz
Patch0:         lordsawar-armyproto-fix.patch

BuildRequires:  intltool
BuildRequires:  pkgconfig(glibmm-2.4)
BuildRequires:  pkgconfig(gstreamermm-1.0)
BuildRequires:  pkgconfig(gtkmm-3.0)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(libxml++-2.6)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(sigc++-2.0)
Requires:       %{name}-data >= %{version}

%description
LordsAWar! is a 2D turn-based strategy game where up to 8 players strive
for control of as many cities as possible. Produce new armies in cities
to conquer nearby cities. Using the income from those cities, make more
armies to take more cities. Send a hero to a temple to get a quest,
or maybe search a nearby ruin instead.

Play with others or against the computer.

%files -f %{name}.lang
%doc AUTHORS README COPYING TODO
%{_gamesbindir}/%{name}*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}*.png
%{_mandir}/man6/%{name}*.6*

#----------------------------------------------------------------------

%package data
Summary:        Arch-independent data files for the LordsAWar! game
BuildArch:      noarch

%description data
This package contains arch-independent data files for the LorsAWar! game.

%files data
%{_gamesdatadir}/%{name}/

#----------------------------------------------------------------------

%prep
%autosetup -p1
# Fix path where the game will look for its data
# The actual install step will be fixed manually, thanks autotools for being so patch-friendly
sed -i 's|\$datadir/lordsawar|\$datadir/games/lordsawar|' configure*

%build
autoreconf -vfi
CXXFLAGS="%{optflags} -std=gnu++11" \
%configure \
    --bindir=%{_gamesbindir}

%make_build LORDSAWAR_DATADIR="%{_gamesdatadir}/%{name}"

%install
%make_install LORDSAWAR_DATADIR="%{_gamesdatadir}/%{name}"

install -d %{buildroot}%{_gamesdatadir}
mv %{buildroot}%{_datadir}/%{name} %{buildroot}%{_gamesdatadir}

# Remove not really useful tool for normal users
# https://lists.debian.org/debian-devel-games/2015/07/msg00006.html
rm -f %{buildroot}%{_gamesbindir}/%{name}-upgrade-file

mv %{buildroot}%{_datadir}/appdata/%{name}-appdata.xml %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml
%find_lang %{name}
