%define api_version	1
%define lib_major	0
%define lib_name	%mklibname %{name}- %{api_version} %{lib_major}
%define devel_name	%mklibname %{name} -d

Summary:	C library for programming with the Jabber protocol
Name:		loudmouth
Version:	1.5.4
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
URL:		https://github.com/mcabber/loudmouth/
Source0:	https://mcabber.com/files/loudmouth/loudmouth-%{version}.tar.bz2

BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gnutls) >= 1.0.0
BuildRequires:	pkgconfig(libidn)
BuildRequires:	gtk-doc

%description
Loudmouth is a lightweight and easy-to-use C library for programming with the
Jabber protocol. It's designed to be easy to get started with and yet
extensible to let you do anything the Jabber protocol allows.

%package -n %{lib_name}
Summary:	%{summary}
Group:		%{group}

%description -n %{lib_name}
Loudmouth is a lightweight and easy-to-use C library for programming with the
Jabber protocol. It's designed to be easy to get started with and yet
extensible to let you do anything the Jabber protocol allows.

%package -n %{devel_name}
Summary:	Libraries and include files for loudmouth
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-%{api_version}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	glib2-devel
Obsoletes:	%mklibname -d %{name}- 1 0

%description -n %{devel_name}
Loudmouth is a lightweight and easy-to-use C library for programming with the
Jabber protocol. It's designed to be easy to get started with and yet
extensible to let you do anything the Jabber protocol allows.

This package includes libraries and header files for developing
Loudmouth applications.

%prep
%setup -q

%build
%configure --enable-gtk-doc --with-asyncns --disable-static --with-compile-warnings=yes
%make_build -j4

%install
%make_install

#we dont' want these
find %{buildroot} -name "*.la" -delete

%files -n %{lib_name}
%{_libdir}/*-%{api_version}.so.%{lib_major}{,.*}

%files -n %{devel_name}
%doc README AUTHORS NEWS
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
