Name:           love
Version:        11.5
Release:        %mkrel 1
Summary:        A free 2D game engine which enables easy game creation in Lua
Group:          Development/Other
License:        zlib
Url:            https://love2d.org
Source0:        https://github.com/love2d/love/releases/download/%{version}/%{name}-%{version}-linux-src.tar.gz

BuildRequires:  pkgconfig(physfs)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libgme)
BuildRequires:  pkgconfig(libmodplug)
BuildRequires:  pkgconfig(libmpg123)
BuildRequires:  pkgconfig(luajit)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(theora)
BuildRequires:  pkgconfig(vorbisfile)
BuildRequires:  pkgconfig(zlib)

%description
LÖVE is an open source, cross platform 2D game engine which uses the
Lua scripting language. LÖVE can be used to make games of any license
allowing it to be used for both free and non-free projects.

%files
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.svg
%{_iconsdir}/hicolor/scalable/mimetypes/application-x-%{name}-game.svg
%{_libdir}/lib%{name}-%{version}.so
%{_mandir}/man1/%{name}.1*

#----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%configure \
  --bindir=%{_gamesbindir} \
  --with-lua=luajit \
  --enable-gme \
  --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete
rm -f %{buildroot}%{_libdir}/lib%{name}.so
