%define major   0.5
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           lpcnetfreedv
Version:        0.5
Release:        %mkrel 2
Summary:        LPCNet for FreeDV
Group:          Communications/Radio
License:        BSD
URL:            https://github.com/drowe67/LPCNet
Source0:        https://github.com/drowe67/LPCNet/archive/refs/tags/v%{version}/%{name}-%{version}.tar.gz
Source1:        https://rowetel.com/downloads/deep/lpcnet_191005_v1.0.tgz

Patch0:         lpcnetfreedv-libm.patch

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  sox

%description
Experimental version of LPCNet that has been used to develop FreeDV 2020 - a HF
radio Digial Voice mode for over the air experimentation with Neural Net speech
coding. Possibly the first use of Neural Net speech coding in real world
operation.

%package -n %{libname}
Summary:        LPCNet for FreeDV shared libraries
Group:          System/Libraries

%description -n %{libname}
%{summary}.

%package -n %{devname}
Summary:        LPCNet for FreeDV development files and tools
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:       lpcnetfreedv-devel = %{version}-%{release}

%description -n %{devname}
%{summary}.

%prep
%autosetup -p1 -n LPCNet-%{version}

%build
# Add model data archive to the build directory so CMake finds it.
mkdir -p %{_vpath_builddir}
cp -a %{SOURCE1} %{_vpath_builddir}/

%cmake

%cmake_build

%check
pushd build
    ctest --verbose --output-on-failure
popd

%install
%cmake_install

%files -n %{libname}
%license COPYING
%doc README.md
%{_libdir}/lib%{name}.so.%{major}

%files -n %{devname}
%{_bindir}/*
%{_includedir}/lpcnet/
%{_libdir}/cmake/lpcnetfreedv/
%{_libdir}/lib%{name}.so
