Name:      lpsolve
Summary:   A Mixed Integer Linear Programming (MILP) solver
Version:   5.5.2.11
Release:   %mkrel 1
Group:     System/Libraries
License:   LGPLv2+
URL:       https://sourceforge.net/projects/lpsolve
Source:    https://downloads.sourceforge.net/lpsolve/lp_solve_%{version}_source.tar.gz

# Use system-wide compiler, compiler and linker flags
Patch0:     lp_solve-5.5.2.11-Respect-CC-CFLAGS-and-LDFLAGS.patch
# Port to C99, GCC 14 will remove support for previous standards, proposed to
# an upstream <https://groups.google.com/g/lp_solve/c/WjVf0dxrwfQ/m/rKMwf57tAwAJ>.
Patch1:     lp_solve-5.5.2.11-Port-to-C99.patch
# Do not duplicate library code in the the tool
Patch2:     lp_solve-5.5.2.11-Link-a-tool-to-a-shared-library.patch

%description
Mixed Integer Linear Programming (MILP) solver lpsolve solves pure linear,
(mixed) integer/binary, semi-continuous and special ordered sets (SOS) models.

%package devel
Requires: lpsolve = %{version}-%{release}
Summary: Files for developing with lpsolve
Group: Development/C

%description devel
Includes and definitions for developing with lpsolve.

%prep
%autosetup -p1 -n lp_solve_5.5

%build
%set_build_flags
cd lpsolve55
sh -x ccc
rm bin/ux*/liblpsolve55.a
cd ../lp_solve
sh -x ccc

%install
install -d %{buildroot}%{_bindir} %{buildroot}%{_libdir} %{buildroot}%{_includedir}/lpsolve
install -p -m 755 \
        lp_solve/bin/ux*/lp_solve %{buildroot}%{_bindir}
install -p -m 755 \
        lpsolve55/bin/ux*/liblpsolve55.so %{buildroot}%{_libdir}
install -p -m 644 \
        lp*.h %{buildroot}%{_includedir}/lpsolve

%files
%doc README.txt
%{_bindir}/lp_solve
%{_libdir}/*.so

%files devel
%{_includedir}/lpsolve
