Summary:        The lrz and lsz modem communications programs
Name:           lrzsz
Version:        0.12.21
Release:        %mkrel 26
License:        GPLv2
Group:          Communications/Dial-Up
URL:            https://www.ohse.de/uwe/software/lrzsz.html
Source:         %{name}-%{version}.tar.bz2
Patch1:         lrzsz-0.12.20-glibc21.patch
Patch2:         lrzsz-0.12.20-CVE-2018-10195.patch
Patch5:         lrzsz-configure-c99.patch
Patch6:         lrzsz-c99.patch

%description
Lrzsz (consisting of lrz and lsz) is a cosmetically modified
zmodem/ymodem/xmodem package built from the public-domain version of the
rzsz package.  Lrzsz was created to provide a working GNU copylefted
Zmodem solution for Linux systems.

You should install lrzsz if you're also installing a Zmodem communications
program that uses lrzsz.  If you're installing minicom, you need to install
lrzsz.

%prep
%autosetup -p1

# because of time skew between various generated files, autotools are
# forced to run. In the process, gettext-devel is required but new
# gettext-devel is not compatible with lrzsz, thus autotools will fail
touch aclocal.m4
touch Makefile.in
touch stamp-h.in
touch */Makefile.in

%build
%configure	--disable-pubdir \
		--enable-syslog \
		--program-transform-name=s/l//
%make_build

%install
%make_install prefix=%{buildroot}%{_prefix} datadir=%{buildroot}%{_datadir}

for m in rb rx; do ln -s rz.1 %{buildroot}%{_mandir}/man1/$m.1; done
for m in sb sx; do ln -s sz.1 %{buildroot}%{_mandir}/man1/$m.1; done

%find_lang %name

%files -f %name.lang
%{_bindir}/*
%{_mandir}/man1/*
