Summary: Linux Standard Base tools
Name: lsb-release
Version: 3.3
Release: %mkrel 1
License: GPLv2+
Group: System/Base
URL: https://github.com/thkukuk/lsb-release_os-release
Source: https://github.com/thkukuk/lsb-release_os-release/releases/download/v%{version}/lsb-release-%{version}.tar.gz
BuildArch: noarch
BuildRequires: mageia-release >= 8-0.20
Requires(pre): filesystem >= 2.1.9-18

%description
LSB version query program

This program forms part of the required functionality of the LSB (Linux
Standard Base) specification.

The program queries the installed state of the distribution to display certain
properties such as the version of the LSB against which the distribution claims
compliance as well. It can also attempt to display the name and release of the
distribution along with an identifier of who produces the distribution.

%prep
%setup -q -n %{name}_os-release-%{version}
%autopatch -p1

%build
make

%install
%make_install INSTALL_ROOT=%{buildroot}%{_prefix}

mkdir -p %{buildroot}/%{_sysconfdir}/%{name}.d
mkdir -p %{buildroot}/%{_sysconfdir}
cat > %{buildroot}/%{_sysconfdir}/lsb-release << EOF
LSB_VERSION=
DISTRIB_ID="%{distribution}"
DISTRIB_RELEASE=%{product_version}
DISTRIB_CODENAME=mga%{product_version}
DISTRIB_DESCRIPTION="%{distribution} %{product_version}"
EOF

%files
%doc README
%{_bindir}/lsb-release
%{_bindir}/lsb_release
%{_mandir}/man1/lsb-release.1*
%{_mandir}/man1/lsb_release.1*
%config(noreplace) %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}.d
