%define realversion B.0%{version}

Name:		lshw
Version:	2.18
Release:	%mkrel 4
Summary:	A HardWare LiSter
License:	GPLv2
Url:		https://ezix.org/project/wiki/HardwareLiSter
Source0:	https://ezix.org/software/files/%{name}-%{realversion}.tar.gz
Source1:	org.ezix.lshw.gui.policy
Source2:	lshw-gui
Patch0:		lshw-B.02.18-build.patch
Group:		System/Kernel and hardware
Requires:	ldetect-lst >= 0.1.282
BuildRequires:	pkgconfig(sqlite3)

%description
lshw (HardWare LiSter) is a small tool to provide detailed information
on the hardware configuration of the machine.
It can report:
- exact memory configuration
- firmware version
- mainboard configuration
- CPU version and speed
- cache configuration
- bus speed
- ...
on DMI-capable x86 or EFI (IA-64) systems.

%package gui
Summary:	HardWare LiSter (GUI Frontend)
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}
Requires:	gtk2
BuildRequires:	gtk2-devel
%description gui
This package provides a graphical user interface to lshw.

%prep
%setup -q -n %{name}-%{realversion}
%autopatch -p1
# Ugly since 2.07 default rights are messed
find -type f | xargs chmod 644
find -type d | xargs chmod 755

%build
make SQLITE=1 gui

%install
%makeinstall DESTDIR=%{buildroot} SQLITE=1
%make_build install-gui DESTDIR=%{buildroot} SQLITE=1

# packaged as part of ldetect-lst
rm -f %{buildroot}%{_datadir}/lshw/{oui.txt,*.ids}

mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps/
install -D -m 0644 src/gui/artwork/logo.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

mkdir -p %{buildroot}%{_datadir}/applications/
install -D -m 0644 src/gui/integration/gtk-%{name}.desktop %{buildroot}%{_datadir}/applications/
sed -i 's@/usr/share/lshw/artwork/logo.svg@%{name}@g' %{buildroot}%{_datadir}/applications/gtk-%{name}.desktop
sed -i 's@/usr/bin/gtk-%{name}@%{_sbindir}/%{name}-gui@g' %{buildroot}%{_datadir}/applications/gtk-%{name}.desktop
sed -i 's@Application;System;X-Red-Hat-Base;X-Fedora;@Application;GTK;System;@g' %{buildroot}%{_datadir}/applications/gtk-%{name}.desktop 

install -D -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/polkit-1/actions/org.ezix.lshw.gui.policy
install -D -m 0755 %{SOURCE2} %{buildroot}%{_sbindir}/%{name}-gui

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING README.md docs/*
%{_sbindir}/%{name}
%{_datadir}/%{name}/manuf.txt
%{_mandir}/man1/%{name}.*

%files gui
%doc COPYING
%{_sbindir}/gtk-%{name}
%{_sbindir}/%{name}-gui
%{_datadir}/%{name}
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/gtk-%{name}.desktop
%{_datadir}/polkit-1/actions/org.ezix.%{name}.gui.policy
