#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           lskat
Summary:        Lieutenant Skat card game
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
License:        GPLv2 and LGPLv2 and GFDL
Group:          Games/Cards
URL:            https://apps.kde.org/lskat/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(KDEGames6)

Requires:       kf6kdegames-common
Requires:       kf6kdegames-corebindings
Recommends:     lskat-handbook

%description
Lieutenant Skat (from German "Offiziersskat") is a fun and engaging card game for
two players, where the second player is either live opponent, or a built in
artificial intelligence.

%files -f %name.lang
%_kf6_categoriesdir/lskat.*categories
%_kf6_bindir/lskat
%_kf6_applicationsdir/org.kde.lskat.desktop
%_kf6_datadir/lskat/
%_kf6_iconsdir/hicolor/*/apps/lskat.png
%_kf6_metainfodir/org.kde.lskat.appdata.xml

#------------------------------------------------------------------------------

%package -n lskat-handbook
Summary:        lskat handbook
Group:          Documentation
BuildArch:      noarch
Requires:       lskat >= %{epoch}:%{version}-%{release}

%description -n lskat-handbook
This package provides the lskat handbook.

%files -n lskat-handbook
%_kf6_docdir/HTML/*/lskat

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
