%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Summary:	Lists files open by processes
Name:		lsof
Version:	4.99.4
Release:	%mkrel 1
# Sendmail .. lib/snpf.c
# LGPLv2+  .. lib/regex.c, regex.h
License:	zlib and Sendmail and LGPLv2+
Group:		Monitoring
Url:		https://github.com/lsof-org/lsof
Source0:	https://github.com/lsof-org/lsof/releases/download/%{version}/%{name}-%{version}.tar.gz
# BZ#1260300 - move lsof man page to section 1
Patch3:		lsof-man-page-section.patch
BuildRequires:	gcc
BuildRequires:	groff
BuildRequires:	pkgconfig(libselinux)
BuildRequires:	pkgconfig(libtirpc)

%description
Lsof's name stands for LiSt Open Files, and it does just that. It lists
information about files that are open by the processes running on a UNIX
system.

#------------------------------------------------

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %{libname}
Shared library for %{name}.

#------------------------------------------------

%package -n %{devname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -p1

%build
%configure --enable-security \
           --enable-no-sock-security \
           --disable-static
%make_build

# rebase to 4.93 introduced change in Lsof.8 with unhandled .so inclusion
soelim -r Lsof.8 > lsof.1

%install
%make_install

install -m 0644 lsof.1 -D %{buildroot}%{_mandir}/man1/lsof.1
rm -rf %{buildroot}%{_mandir}/man8/lsof.8*

%files
%doc 00*
%{_bindir}/%{name}
%{_mandir}/man1/lsof.1*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/lsof.h
%{_includedir}/lsof_fields.h
%{_libdir}/lib%{name}.so
