%define major	%{version}
%define libname	%mklibname lsp-dsp-lib %{major}
%define devname	%mklibname lsp-dsp-lib -d

Name:		lsp-dsp-lib
Version:	0.5.13
Release:	%mkrel 4
Summary:	DSP library for signal processing
License:	LGPLv3+
Group:		System/Libraries
URL:		https://github.com/sadko4u/lsp-dsp-lib
Source0:	https://github.com/sadko4u/lsp-dsp-lib/releases/download/%{version}/%{name}-%{version}-src.tar.gz

BuildRequires:	make

%description
This library provides set of functions that perform SIMD-optimized
computing on several hardware architectures.

%package -n %{libname}
Summary:	DSP library for digital signal processing (and more)
Group:		System/Libraries

%description -n %{libname}
This library provides set of functions that perform SIMD-optimized
computing on several hardware architectures.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development libraries and headers for %{name}.

%prep
%setup -q -n %{name}

sed -i 's|\$(MAKE) -s|\$(MAKE)|' Makefile
sed -i 's|\$(MAKE) -s|\$(MAKE)|' src/Makefile

%build
%make_build config \
%ifarch %{arm}
  ARCHITECTURE=arm32 \
%endif
  CFLAGS_EXT="%{optflags}" CXXFLAGS_EXT="%{optflags}" \
  LDFLAGS="%{ldflags}" SO_FLAGS_EXT="%{ldflags}" EXE_FLAGS_EXT="%{ldflags}" \
  PREFIX=%{_prefix} \
  LIBDIR=%{_libdir}
%make_build

%install
%make_install

find %{buildroot} -name '*.a' -delete

%files -n %{libname}
%license COPYING
%{_libdir}/lib%{name}-%{version}.so

%files -n %{devname}
%{_includedir}/lsp-plug.in
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lsp-dsp-lib.pc
