%define lib_name	%mklibname %{name}
%define lib_name_devel	%mklibname %{name} -d

Name:		lsp-plugins
Summary:	A collection of plugins which aim to bring new, non existing plugins to Linux
Version:	1.2.21
Release:	%mkrel 1
License:	LGPLv3
Group:		System/Libraries
URL:		https://lsp-plug.in/
Source0:	 https://github.com/%{name}/%{name}/releases/download/%{version}/%{name}-src-%{version}.tar.gz
Patch1:         lsp-plugins-x86.patch

BuildRequires:	ladspa-devel >= 1.13
BuildRequires:	php-cli >= 8.0.12
BuildRequires:	pkgconfig(cairo) >= 1.14
BuildRequires:	pkgconfig(gstreamer-audio-1.0)
BuildRequires:	pkgconfig(jack) >= 1.9.5
BuildRequires:	pkgconfig(lv2) >= 1.18.10
BuildRequires:	pkgconfig(sndfile) >= 1.0.25
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(gl)

Requires:	%{lib_name} >= %{version}-%{release}


%description
LSP (Linux Studio Plugins) is a collection of open-source plugins currently
compatible with LADSPA, LV2 and LinuxVST formats.
Standalone plugins for JACK are provided since version 1.0.8.
Experimental support of ARMv7 added since version 1.1.4.


%package -n %{lib_name}
Summary:	Library for the lsp-plugins library
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{lib_name}
Library for %{name}.


%package -n %{lib_name_devel}
Summary:	Headers for the lsp-plugins library
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{lib_name_devel}
Development files needed to build applications against %{name}.

%prep
%autosetup -p1 -n %{name}

%build
%set_build_flags
make config PREFIX=%{_prefix} LIBDIR=%{_libdir} BINDIR=%{_bindir} SHAREDDIR=%{_datadir} INCDIR=%{_includedir} \
 VERBOSE=1 \
 INSTALL_HEADERS=1 \
 ADD_FEATURES=xdg

%make_build

%install
%make_install 
	
rm %{buildroot}%{_libdir}/*.a

mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/categories
cp -a %{buildroot}%{_iconsdir}/hicolor/scalable/apps/lsp-plugins.svg \
      %{buildroot}%{_iconsdir}/hicolor/scalable/categories/lsp-plugins.svg

%files
%doc %{_docdir}/%{name}/
%{_bindir}/*
%{_datadir}/desktop-directories/%{name}.directory
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/lsp-plugins.{png,svg}
%{_iconsdir}/hicolor/scalable/categories/lsp-plugins.svg
%{_sysconfdir}/xdg/menus/applications-merged/%{name}.menu

%files -n %{lib_name}
%{_libdir}/liblsp-r3d-glx-*.so
%{_libdir}/clap/%{name}.clap
%{_libdir}/gstreamer-1.0/*.so
%{_libdir}/ladspa/%{name}-ladspa.so
%{_libdir}/lv2/%{name}.lv2/
%{_libdir}/vst/%{name}.vst/
%{_libdir}/vst3/%{name}.vst3/
%{_libdir}/%{name}/

%files -n %{lib_name_devel}
%{_includedir}/lsp-plug.in/
%{_libdir}/pkgconfig/*.pc
