Name:		lsyncd
Version:	2.3.1
Release:	%mkrel 2
Summary:	Live Syncing (Mirror) Daemon
Group:		Networking/File transfer
License:	GPLv2+
URL:		https://github.com/axkibe/lsyncd
Source0:	https://github.com/axkibe/lsyncd/archive/release-%{version}/%{name}-release-%{version}.tar.gz
Source1:	%{name}.service
Source2:	%{name}.sysconfig
Source3:	%{name}.logrotate
Source4:	%{name}.conf
Patch0:		lsyncd-2.2.3-mga-fix-manpage.patch
Patch1:		cmake-define-LUA_COMPAT_5_3.patch
# Revert upstream change as it is not recommended and broke build:
# https://github.com/lsyncd/lsyncd/commit/d779eb434f9d2482e9217af830f3334df94473d0
Patch2:		0001-revert_Allow-lsyncd-to-be-build-in-the-source-folder-without-breaking.patch
BuildRequires:	cmake
BuildRequires:	asciidoc
BuildRequires:	pkgconfig(lua)
Requires:	lua%{lua_version}
Requires:	rsync
Requires(post):		rpm-helper
Requires(preun):	rpm-helper

%description
Lsyncd watches a local directory trees event monitor interface (inotify
or fsevents). It aggregates and combines events for a few seconds and then
spawns one (or more) process(es) to synchronize the changes. By default this
is rsync. Lsyncd is thus a light-weight live mirror solution that is
comparatively easy to install not requiring new filesystems or block devices
and does not hamper local filesystem performance.

Rsync+ssh is an advanced action configuration that uses a SSH to act file and
directory moves directly on the target instead of re-transmitting the move
destination over the wire.

Fine-grained customization can be achieved through the config file. Custom
actionconfigs can even be written from scratch in cascading layers ranging
from shellscripts to code written in the Lua language. This way simple,
powerful and flexible configurations can be achieved.


%prep
%setup -q -n %{name}-release-%{version}
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

install -p -d -m 0755 %{buildroot}%{_var}/log/%{name}
install -p -D -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/lsyncd.service
install -p -D -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/lsyncd
install -p -D -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/lsyncd
install -p -D -m 0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc ChangeLog README.md examples/*
%license COPYING
%config(noreplace) %{_sysconfdir}/lsyncd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/lsyncd
%config(noreplace) %{_sysconfdir}/logrotate.d/lsyncd
%{_bindir}/%{name}
%{_unitdir}/%{name}.service
%dir %{_var}/log/%{name}
%{_mandir}/man1/%{name}.1*
%_defaultdocdir/%name
