Name:		ltl2ba
Version:	1.3
Release:	%mkrel 2
Summary:	Fast translation from LTL formulas to Buchi automata

Group:		Sciences/Computer science
License:	GPLv2+
URL:		https://www.lsv.ens-cachan.fr/~gastin/ltl2ba/
Source0:	https://www.lsv.ens-cachan.fr/~gastin/ltl2ba/%{name}-%{version}.tar.gz

%description
Translate from Linear temporal logic (LTL) formulas to Buchi automata.
LTL is a type of formal logic that extends formal logic with
qualifiers involving time.
A Buchi automaton is the extension of a finite state automaton
to infinite inputs, and are useful for specifying behavior
of non-terminating systems (such as hardware or operating systems).
A Buchi automaton accepts an infinite input sequence if and only if
there exists a run of the automaton which visits at least one of the
final states infinitely often.

The implementation is based on the translation algorithm by Gastin and Oddoux,
presented at the CAV Conference, held in 2001, Paris, France 2001.


%prep
%setup -q -n %{name}-%{version}

iconv -f latin1 -t utf8 README > README.utf8
mv README.utf8 README

# honor user CFLAGS thus fixing empty debugsourcefiles.list
perl -pi -e 's/^(CFLAGS.*)-O3(.*)/$1\$\(RPM_OPT_FLAGS\)$2/' Makefile

%build
%make_build


%check
# Trivial test, primarily to make sure it compiled into something executable:
./ltl2ba -f "true"

%install
mkdir -p %{buildroot}%{_bindir}
install -m 0755 ltl2ba %{buildroot}%{_bindir}


%files
%doc README
%license LICENSE
%{_bindir}/ltl2ba
