%define snapshot 0
%define git 37ecc41

Summary:	Track runtime library calls from dynamically linked executables
Name:		ltrace
Version:	0.7.3
Release:	%mkrel 11
License:	GPLv2+
Group:		Development/Other
URL:		http://ltrace.alioth.debian.org/
%if %{snapshot}
# snapshot from https://anonscm.debian.org/gitweb/?p=collab-maint/ltrace.git
Source0:	ltrace-%{git}.tar.gz
%else
Source0:	http://alioth.debian.org/frs/download.php/file/3947/%{name}-%{version}.tar.bz2
%endif
# Work around a recently-added GCC warning (from fedora)
Patch1:		ltrace-0.7.2-unused-typedef.patch
# fix error: "_GNU_SOURCE" redefined
Patch2:		ltrace-0.7.0-gnu-source.patch
Patch3:		ltrace-0.7.3-gcc5.patch
Patch4:		ltrace-0.7.3-deprecated-readdir_r.patch
ExclusiveArch:	%{ix86} x86_64 ppc sparc alpha
BuildRequires:	elfutils-devel

%description
Ltrace is a debugging program which runs a specified command until the command
exits. While the command is executing, ltrace intercepts and records both the
dynamic library calls called by the executed process and the signals received
by the executed process. Ltrace can also intercept and print system calls
executed by the process.

You should install ltrace if you need a sysadmin tool for tracking the
execution of processes.

%prep

%if %{snapshot}
%setup -q -n %{name}-%{git}
%else
%setup -q
%endif

%patch -P 1 -p1
%patch -P 2 -p0
%patch -P 3 -p1 -b .need_data
%patch -P 4 -p1

%build
export CFLAGS="%{optflags} -D_GNU_SOURCE=1"
%if %{snapshot}
./autogen.sh
%else
autoreconf -fi
%endif

%configure
%make_build

%install
%make_install

rm -f %{buildroot}%{_docdir}/%{name}/INSTALL

%files
%doc COPYING CREDITS NEWS README TODO
%config(noreplace) %{_sysconfdir}/ltrace.conf
%{_bindir}/ltrace
%{_mandir}/man1/ltrace.1*
%{_mandir}/man5/ltrace.conf.5*
