%define _disable_ld_no_undefined 1

%define major   1
%define libname %mklibname lttng-ust %major
%define devname %mklibname lttng-ust -d

%define ctl_major   5
%define libname_ctl %mklibname lttng-ust-ctl %ctl_major

Name:           lttng-ust
Version:        2.13.8
Release:        %mkrel 2
License:        LGPLv2 and GPLv2 and MIT
Group:          Development/C
Summary:        LTTng Userspace Tracer library
URL:            https://lttng.org/
Source0:        https://lttng.org/files/lttng-ust/%{name}-%{version}.tar.bz2
Patch0:         lttng-gen-tp-shebang.patch

BuildRequires:  texinfo
BuildRequires:  libtool
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  systemtap-sdt-devel
BuildRequires:  pkgconfig(liburcu) >= 0.12.0
BuildRequires:  pkgconfig(uuid)
# Numactl is not available on armhf
%ifnarch %{arm}
BuildRequires:  pkgconfig(numa)
%endif

%description
This library may be used by user space applications to generate
tracepoints using LTTng.

%package -n %{libname}
Summary:        LTTng Userspace Tracer library
Group:          Development/C

%description -n %{libname}
This library provides support for developing programs using
LTTng userspace tracing.

%package -n %{libname_ctl}
Summary:        LTTng Userspace CTL Tracer library
Group:          Development/C

%description -n %{libname_ctl}
This library provides support for developing programs using
LTTng userspace CTL tracing.

%package -n %{devname}
Summary:        LTTng Userspace Tracer library headers and development files
Group:          Development/C
Provides:       lttng-ust-devel = %{version}-%{release}
Requires:       %{libname}%{?_isa} = %{version}-%{release}
Requires:       %{libname_ctl}%{?_isa} = %{version}-%{release}
Requires:       userspace-rcu-devel
Requires:       systemtap-sdt-devel

%description -n %{devname}
This library provides support for developing programs using
LTTng userspace tracing.

%package -n python3-lttngust
Summary:        Python 3 bindings for LTTng UST
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
%{?python_provide:%python_provide python3-lttngust}

%description -n python3-lttngust
The python3-lttngust package contains libraries needed to instrument
applications that use %{name}'s Python logging backend.

%prep
%autosetup -p1

sed -i -e '/SUBDIRS/s:examples::' doc/Makefile.am

%build
#Reinitialize libtool with the fedora version to remove Rpath
autoreconf -vif

%ifarch %{arm}
export CPPFLAGS="-DUATOMIC_NO_LINK_ERROR -DSTAP_SDT_ARG_CONSTRAINT=g"
%endif

%configure \
%ifarch %{arm}
        --disable-numa \
%endif
        --docdir=%{_docdir}/%{name} \
        --disable-static \
        --enable-python-agent \
        --with-sdt

%make_build

%install
%make_install

%files
%{_mandir}/man3/do_tracepoint.3.*
%{_mandir}/man3/lttng-ust.3.*
%{_mandir}/man3/lttng-ust-cyg-profile.3.*
%{_mandir}/man3/lttng-ust-dl.3.*
%{_mandir}/man3/lttng_ust_do_tracepoint.3.*
%{_mandir}/man3/lttng_ust_tracef.3.*
%{_mandir}/man3/lttng_ust_tracelog.3.*
%{_mandir}/man3/lttng_ust_tracepoint.3.*
%{_mandir}/man3/lttng_ust_tracepoint_enabled.3.*
%{_mandir}/man3/lttng_ust_vtracef.3.*
%{_mandir}/man3/lttng_ust_vtracelog.3.*
%{_mandir}/man3/tracef.3.*
%{_mandir}/man3/tracelog.3.*
%{_mandir}/man3/tracepoint.3.*
%{_mandir}/man3/tracepoint_enabled.3.*
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/ChangeLog
%{_docdir}/%{name}/java-agent.txt
%{_docdir}/%{name}/LICENSE
%{_docdir}/%{name}/README.md

%files -n %libname
%{_libdir}/*.so.%{major}{,.*}

%files -n %libname_ctl
%{_libdir}/*.so.%{ctl_major}{,.*}

%files -n %devname
%{_bindir}/lttng-gen-tp
%{_mandir}/man1/lttng-gen-tp.1.*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/lttng-ust*.pc

%files -n python3-lttngust
%{python3_sitelib}/lttngust/
%{python3_sitelib}/lttngust-*.egg-info
