%{!?lua_compat_version: %global lua_compat_version 5.1}
%{!?lua_compat_libdir: %global lua_compat_libdir %{_libdir}/lua/%{lua_compat_version}}
%{!?lua_compat_pkgdir: %global lua_compat_pkgdir %{_datadir}/lua/%{lua_compat_version}}
%{!?lua_compat_builddir: %global lua_compat_builddir %{_builddir}/lua%{lua_compat_version}-bitop-%{version}-%{release}}

Name:           lua-bitop
Version:        1.0.2
Release:        %mkrel 1
Summary:        C extension module for Lua which adds bit-wise operations on numbers
Group:          Development/Other
License:        MIT
URL:            https://bitop.luajit.org/
Source0:        https://bitop.luajit.org/download/LuaBitOp-%{version}.tar.gz
Patch1:         LuaBitOp-1.0.2-makefile.patch

%description
Lua BitOp is a C extension module for Lua 5.1/5.2 which adds bitwise operations
on numbers.

%package -n lua%{lua_compat_version}-bitop
Summary:	C extension module for Lua %{lua_compat_version} which adds bit-wise operations on numbers
BuildRequires:	pkgconfig(lua-%{lua_compat_version})

%description -n lua%{lua_compat_version}-bitop
Lua BitOp is a C extension module for Lua %{lua_compat_version} which adds bitwise operations
on numbers.

%prep
%autosetup -p1 -n LuaBitOp-%{version}

%build
%set_build_flags
%make_build INCLUDES="-I%{_includedir}/lua-%{lua_compat_version}" LUALIB="-llua-%{lua_compat_version}"

%install
install -D -p -m 0755 bit.so %{buildroot}%{lua_compat_libdir}/bit.so

%check
make test LUA=lua%{lua_compat_version}

%files -n lua%{lua_compat_version}-bitop
%doc README doc/
%{lua_compat_libdir}/bit.so
