%{?!lua_compat_version: %global lua_compat_version 5.1}
%{?!lua_compat_pkgdir: %global lua_compat_pkgdir %{_datadir}/lua/%{lua_compat_version}}
%{?!lua_compat_libdir: %global lua_compat_libdir %{_libdir}/lua/%{lua_compat_version}}
%{?!lua_compat_includedir: %global lua_compat_includedir %{_includedir}/lua-%{lua_compat_version}}

%global luapkgname compat53

Name:           lua-%{luapkgname}
Version:        0.10
Release:        %mkrel 2
Summary:        Compatibility module providing Lua-5.3-style APIs for Lua %{lua_compat_version}
License:        MIT
Group:          Development/Other
URL:            https://github.com/keplerproject/lua-compat-5.3
Source0:        https://github.com/keplerproject/lua-compat-5.3/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  pkgconfig
BuildRequires:  lua%{lua_compat_version}-devel

%description
This is a small module that aims to make it easier to write code in a
Lua-5.3-style that is compatible with Lua 5.1, Lua 5.2, and Lua 5.3. This does
not make Lua 5.2 (or even Lua 5.1) entirely compatible with Lua 5.3, but it
brings the API closer to that of Lua 5.3.

%package -n lua%{lua_compat_version}-%{luapkgname}
Summary:        Compatibility module providing Lua-5.3-style APIs for Lua %{lua_compat_version}
Requires:       lua(abi) = %{lua_compat_version}

%description -n lua%{lua_compat_version}-%{luapkgname}
This is a small module that aims to make it easier to write code in a
Lua-5.3-style that is compatible with Lua 5.1, Lua 5.2, and Lua 5.3. This does
not make Lua 5.2 (or even Lua 5.1) entirely compatible with Lua 5.3, but it
brings the API closer to that of Lua 5.3.

%package -n lua%{lua_compat_version}-bit32
Summary:	Lua 5.2 bit manipulation library for lua %{lua_compat_version}

%description -n lua%{lua_compat_version}-bit32
bit32 is the native Lua 5.2 bit manipulation library. It is compatible with Lua
5.1, 5.2 and 5.3.

%package -n lua%{lua_compat_version}-%{luapkgname}-devel
Summary:        Development files for lua %{lua_compat_version} compat53 module

%description -n lua%{lua_compat_version}-%{luapkgname}-devel
Development files for lua %{lua_compat_version} compat53 module

%prep
%setup -q -n lua-compat-5.3-%{version}

%build
CFLAGS="%{?optflags} -fPIC $(pkg-config --cflags lua-%{lua_compat_version})"
LDFLAGS="%{?build_ldflags}"
LIBS="$(pkg-config --libs lua-%{lua_compat_version})"

gcc $CFLAGS -c lutf8lib.c -o lutf8lib.o
gcc $CFLAGS -c lstrlib.c -o lstrlib.o
gcc $CFLAGS -c ltablib.c -o ltablib.o
gcc $CFLAGS -DLUA_COMPAT_BITLIB -c lbitlib.c -o lbitlib.o

gcc -shared $LDFLAGS -o utf8.so lutf8lib.o $LIBS
gcc -shared $LDFLAGS -o string.so lstrlib.o $LIBS
gcc -shared $LDFLAGS -o table.so ltablib.o $LIBS
gcc -shared $LDFLAGS -o bit32.so lbitlib.o $LIBS

%install
PKGDIR=%{buildroot}/%{lua_compat_pkgdir}
LIBDIR=%{buildroot}/%{lua_compat_libdir}

install -d -m 0755 "$PKGDIR/%{luapkgname}"
install -d -m 0755 "$LIBDIR/%{luapkgname}"
install -p -m 0644 %{luapkgname}/{init,module}.lua -t "$PKGDIR/%{luapkgname}/"
install -p -m 0755 {utf8,string,table}.so -t "$LIBDIR/%{luapkgname}/"
install -p -m 0755 bit32.so -t "$LIBDIR/"

install -d -m 0755 %{buildroot}%{lua_compat_includedir}/c-api
install -m 0644 -p -t %{buildroot}%{lua_compat_includedir}/c-api c-api/*
install -m 0644 lprefix.h %{buildroot}%{lua_compat_includedir}/lprefix.h

%files -n lua%{lua_compat_version}-%{luapkgname}
%license LICENSE
%doc README.md
%{lua_compat_pkgdir}/%{luapkgname}/
%{lua_compat_libdir}/%{luapkgname}/

%files -n lua%{lua_compat_version}-bit32
%license LICENSE
%doc README.md
%{lua_compat_libdir}/bit32.so

%files -n lua%{lua_compat_version}-%{luapkgname}-devel
%license LICENSE
%doc README.md
%{lua_compat_includedir}/*
