%define         luaver 5.3
%define         git 2f8e553

Name:           lua-ffi
Version:        20180311
Release:        %mkrel -c git%{git} 1
Summary:        FFI package for Ravi and Lua 5.3
Group:          Development/C
License:        MIT and BSD
URL:            https://github.com/dibyendumajumdar/ravi-ffi
Source0:        https://github.com/dibyendumajumdar/ravi-ffi/archive/master/lua-ffi-git%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  lua%{luaver}
BuildRequires:  lua%{luaver}-devel
Requires:       lua%{luaver}

%description
This is a library for calling C function and manipulating C types from Ravi.
It is designed to be interface compatible with the FFI library in LuaJIT's
ffi. It can parse C function declarations and struct definitions that have
been directly copied out of C header files and into lua source as a string.

This project is a fork of https://github.com/facebook/luaffifb which is a
fork of https://github.com/jmckaskill/luaffi.

%prep
%autosetup -n ravi-ffi-master

%build
%set_build_flags
export LDFLAGS="%{optflags}"
cmake -DUSE_LUA53=ON -DLUA_EXE=/usr/bin/lua5.3 -DLUA_INCLUDE_DIR=/usr/include -DLUA_LIBRARIES=/usr/lib64
%__make

%install
%__install -d %{buildroot}%{_libdir}/lua/%{luaver}/
%__install -m 0755 ffi.so %{buildroot}%{_libdir}/lua/%{luaver}/

%files
%doc README.md
%{_libdir}/lua/%{luaver}/ffi.so
