%define realver 1_8_0

Name:           lua-filesystem
Version:        %(echo %{realver} | tr '_' '.')
Release:        %mkrel 5
Summary:        FileSystem library for the Lua programming language

Group:          Development/Other
License:        MIT
URL:            https://keplerproject.github.io/luafilesystem
Source0:        https://github.com/keplerproject/luafilesystem/archive/v%{realver}/%{name}-%{version}.tar.gz
Patch1:		lua-filesystem-linking.patch
BuildRequires:  pkgconfig(lua)

%description
LuaFileSystem is a Lua library developed to complement the set of functions
related to file systems offered by the standard Lua distribution.
It offers a portable way to access the underlying directory structure
and file attributes.

%prep
%autosetup -p1 -n luafilesystem-%{realver}

%build
%make_build \
    CFLAGS="%{optflags} -fPIC" \
    LIB_OPTION="%{ldflags} -shared" \
    LIBS="-llua"

%install
%make_install \
    PREFIX=%{_prefix} \
    LUA_LIBDIR=%{lua_libdir} \
    LUA_DIR=%{lua_pkgdir}

%files
%doc README.md doc/us/*
%{lua_libdir}/lfs.so
