%define oname   lgi

%{!?lua_compat_version: %global lua_compat_version 5.1}
%{!?lua_compat_libdir: %global lua_compat_libdir %{_libdir}/lua/%{lua_compat_version}}
%{!?lua_compat_pkgdir: %global lua_compat_pkgdir %{_datadir}/lua/%{lua_compat_version}}
%{!?lua_compat_builddir: %global lua_compat_builddir %{_builddir}/lua%{lua_compat_version}-lpeg-%{version}-%{release}}

%bcond_without compat

Name:           lua-lgi
Version:        0.9.2
Release:        %mkrel 9
Summary:        Dynamic Lua binding to GObject libraries using GObject-Introspection
Group:          Development/Other
License:        MIT
URL:            https://github.com/pavouk/lgi
Source0:        https://github.com/pavouk/lgi/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         lua-lgi-0.8.0-mga-lua-linking-and-libname.patch
# From Fedora
Patch50:        lgi-0.9.2-lua54.patch
Patch51:        lgi-0.9.2-fix-gobject-warnings.patch
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(libffi)
BuildRequires:  pkgconfig(lua)

%description
LGI is gobject-introspection based dynamic Lua binding to GObject based
libraries. It allows using GObject-based libraries directly from Lua.

%if %{with compat}
%package -n lua%{lua_compat_version}-lgi
Summary:	Dynamic Lua binding to GObject libraries using GObject-Introspection
BuildRequires:  pkgconfig(lua-5.1)

%description -n lua%{lua_compat_version}-lgi
LGI is gobject-introspection based dynamic Lua binding to GObject based
libraries. It allows using GObject-based libraries directly from Lua.
%endif

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

%if %{with compat}
rm -rf %{lua_compat_builddir}
cp -a . %{lua_compat_builddir}
sed -i -e '/PKGS/s/lua/lua-5.1/g' -e 's/-llua/-llua-5.1/' %{lua_compat_builddir}/lgi/Makefile

%endif

%build
%set_build_flags
%make_build

%if %{with compat}
pushd %{lua_compat_builddir}
%make_build
popd
%endif

%install
%make_install \
    PREFIX=%{_prefix} \
    LUA_LIBDIR=%{lua_libdir} \
    LUA_SHAREDIR=%{lua_pkgdir} \
    LUA_VERSION=%{lua_version}

%if %{with compat}
pushd %{lua_compat_builddir}
%make_install \
    PREFIX=%{_prefix} \
    LUA_LIBDIR=%{lua_compat_libdir} \
    LUA_SHAREDIR=%{lua_compat_pkgdir} \
    LUA_VERSION=%{lua_compat_version}
popd
%endif

%files
%doc README.md docs/*
%{lua_libdir}/lgi/corelgilua.so
%{lua_pkgdir}/lgi*

%if %{with compat}
%files -n lua%{lua_compat_version}-lgi
%doc README.md docs/*
%{lua_compat_libdir}/lgi/corelgilua.so
%{lua_compat_pkgdir}/lgi*
%endif
