%{!?lua_compat_version: %global lua_compat_version 5.1}
%{!?lua_compat_libdir: %global lua_compat_libdir %{_libdir}/lua/%{lua_compat_version}}
%{!?lua_compat_pkgdir: %global lua_compat_pkgdir %{_datadir}/lua/%{lua_compat_version}}
%{!?lua_compat_builddir: %global lua_compat_builddir %{_builddir}/lua%{lua_compat_version}-lpeg-%{version}-%{release}}

%bcond_without compat

Name:           lua-lpeg
Version:        1.0.2
Release:        %mkrel 6
Summary:        Parsing Expression Grammars for Lua
Group:          Development/Other
License:        MIT
URL:            https://www.inf.puc-rio.br/~roberto/lpeg/
Source0:        https://www.inf.puc-rio.br/~roberto/lpeg/lpeg-%{version}.tar.gz
Patch1:         lpeg-linking.patch
BuildRequires:  pkgconfig(lua)

%description
LPeg is a new pattern-matching library for Lua, based on Parsing Expression
Grammars (PEGs).

%if %{with compat}
%package -n lua%{lua_compat_version}-lpeg
Summary:        Parsing Expression Grammars for Lua
BuildRequires:  lua%{lua_compat_version}-devel

%description -n lua%{lua_compat_version}-lpeg
LPeg is a new pattern-matching library for Lua, based on Parsing Expression
Grammars (PEGs).
%endif

%prep
%autosetup -n lpeg-%{version} -p1

chmod -x test.lua

%if %{with compat}
rm -rf %{lua_compat_builddir}
cp -a . %{lua_compat_builddir}
%endif

%build
%set_build_flags
%make_build COPT="%{optflags}" LUALIB=-llua

%if %{with compat}
pushd %{lua_compat_builddir}
%make_build COPT="-I%{_includedir}/lua-%{lua_compat_version} %{optflags}" LUALIB=-llua-%{lua_compat_version}
%endif

%install
mkdir -p %{buildroot}%{lua_libdir}
mkdir -p %{buildroot}%{lua_pkgdir}
install -p lpeg.so %{buildroot}%{lua_libdir}/lpeg.so.%{version}
ln -s lpeg.so.%{version} %{buildroot}%{lua_libdir}/lpeg.so
install -p -m 0644 re.lua %{buildroot}%{lua_pkgdir}

%if %{with compat}
pushd %{lua_compat_builddir}
mkdir -p %{buildroot}%{lua_compat_libdir}
mkdir -p %{buildroot}%{lua_compat_pkgdir}
install -p lpeg.so %{buildroot}%{lua_compat_libdir}/lpeg.so.%{version}
ln -s lpeg.so.%{version} %{buildroot}%{lua_compat_libdir}/lpeg.so
install -p -m 0644 re.lua %{buildroot}%{lua_compat_pkgdir}
popd
%endif

%check
lua test.lua

%files
%doc HISTORY lpeg.html re.html lpeg-128.gif test.lua
%{lua_libdir}/lpeg.so
%{lua_libdir}/lpeg.so.%{version}
%{lua_pkgdir}/re.lua

%if %{with compat}
%files -n lua%{lua_compat_version}-lpeg
%doc HISTORY lpeg.html re.html lpeg-128.gif test.lua
%{lua_compat_libdir}/lpeg.so
%{lua_compat_libdir}/lpeg.so.%{version}
%{lua_compat_pkgdir}/re.lua
%endif
