%global libmpack_version 1.0.5

%{!?lua_compat_version: %global lua_compat_version 5.1}
%{!?lua_compat_libdir: %global lua_compat_libdir %{_libdir}/lua/%{lua_compat_version}}
%{!?lua_compat_pkgdir: %global lua_compat_pkgdir %{_datadir}/lua/%{lua_compat_version}}
%{!?lua_compat_builddir: %global lua_compat_builddir %{_builddir}/lua%{lua_compat_version}-mpack-%{version}-%{release}}

%bcond_without compat

Name:           lua-mpack
Version:        1.0.9
Release:        %mkrel 2
License:        MIT
Summary:        Implementation of MessagePack for Lua
Group:          Development/Other
Url:            https://github.com/libmpack/libmpack-lua
Source0:        https://github.com/libmpack/libmpack-lua/archive/%{version}/libmpack-lua-%{version}.tar.gz
Source1:        https://github.com/libmpack/libmpack/archive/%{libmpack_version}/libmpack-%{libmpack_version}.tar.gz
Source2:        test_mpack.lua
BuildRequires:  libtool
BuildRequires:  lua-devel

%description
mpack is a small binary serialization/RPC library that implements
both the msgpack and msgpack-rpc specifications.

%if %{with compat}
%package -n lua%{lua_compat_version}-mpack
Summary:        Implementation of MessagePack for Lua
BuildRequires:  lua%{lua_compat_version}-devel

%description -n lua%{lua_compat_version}-mpack
mpack is a small binary serialization/RPC library that implements
both the msgpack and msgpack-rpc specifications.
%endif

%prep
%setup -q -n libmpack-lua-%{version}
%autopatch -p1

mkdir mpack-src
pushd mpack-src
tar xfz %{SOURCE1} --strip-components=1
popd

rm -rf %{lua_compat_builddir}
cp -a . %{lua_compat_builddir}

%build
%set_build_flags
%make_build \
     USE_SYSTEM_LUA=yes \
     MPACK_LUA_VERSION=%{lua_version} \
     LIBS="$(pkg-config --libs lua)" \
     LUA_INCLUDE="$(pkg-config --cflags lua)"

%if %{with compat}
pushd %{lua_compat_builddir}
%make_build \
     USE_SYSTEM_MPACK=no \
     USE_SYSTEM_LUA=yes \
     MPACK_LUA_VERSION=%{lua_compat_version}.x \
     LIBS="$(pkg-config --libs lua-%{lua_compat_version})" \
     LUA_INCLUDE="$(pkg-config --cflags lua-%{lua_compat_version})"
popd
%endif

%install
%make_install \
     USE_SYSTEM_LUA=yes \
     LUA_CMOD_INSTALLDIR=%{lua_libdir}

%if %{with compat}
pushd %{lua_compat_builddir}
%make_install \
     USE_SYSTEM_LUA=yes \
     LUA_CMOD_INSTALLDIR=%{lua_compat_libdir}
popd
%endif

%check
lua %{SOURCE2}

%files
%doc README.md
%{lua_libdir}/mpack.so

%if %{with compat}
%files -n lua%{lua_compat_version}-mpack
%doc README.md
%{lua_compat_libdir}/mpack.so
%endif
