Name:           lua-sec
Version:        1.3.2
Release:        %mkrel 1
Summary:        OpenSSL binding for LuaSocket
Group:          Development/Other
License:        MIT
URL:            https://github.com/brunoos/luasec/wiki
Source0:        https://github.com/brunoos/luasec/archive/refs/tags/v%{version}.tar.gz#/luasec-%{version}.tar.gz
BuildRequires:  pkgconfig(lua)
BuildRequires:  pkgconfig(openssl)
Requires:       lua%{lua_version}
Requires:       lua-socket

%description
LuaSec is a binding for OpenSSL library to provide TLS/SSL communication. This
version delegates to LuaSocket the TCP connection establishment between the
client and server. Then LuaSec uses this connection to start a secure TLS/SSL
session.

%prep
%autosetup -p1 -n luasec-%{version}

# Fix linking
perl -p -i -e "s|-lluasocket|-lluasocket -llua|" src/Makefile

%build
%make_build linux \
    LIB_PATH="-L%{_libdir}"

%install
%make_install \
    LUACPATH=%{lua_libdir} \
    LUAPATH=%{lua_pkgdir}

%files
%doc CHANGELOG samples/*
%{lua_libdir}/ssl.so
%{lua_pkgdir}/ssl*
