%define oname   luasql

Name:           lua-sql
Version:        2.6.0
Release:        %mkrel 2
Summary:        Database connectivity for the Lua programming language
Group:          Development/Other
License:        MIT
URL:            https://keplerproject.github.io/luasql/
Source0:        https://github.com/keplerproject/luasql/archive/%{version}.tar.gz#/luasql-%{version}.tar.gz
BuildRequires:  pkgconfig(lua)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  mariadb-devel
BuildRequires:  postgresql-devel
Requires:       %{name}-sqlite = %{version}-%{release}
Requires:       %{name}-mysql = %{version}-%{release}
Requires:       %{name}-postgresql = %{version}-%{release}
Recommends:     %{name}-doc = %{version}-%{release}

%description
LuaSQL is a simple interface from Lua to a DBMS. This package of LuaSQL
supports MySQL, SQLite and PostgreSQL databases. You can execute arbitrary SQL
statements and it allows for retrieving results in a row-by-row cursor fashion.

%files

#------------------------------------------------------------------

%package        doc
Summary:        Documentation for LuaSQL
Group:          Development/Other

%description    doc
LuaSQL is a simple interface from Lua to a DBMS. This package contains the
documentation for LuaSQL.

%files doc
%doc README doc/us/*

#------------------------------------------------------------------

%package        sqlite
Summary:        SQLite database connectivity for the Lua programming language
Group:          Development/Other

%description    sqlite
LuaSQL is a simple interface from Lua to a DBMS. This package provides access
to SQLite databases.

%files          sqlite
%dir %{lua_libdir}/%{oname}
%{lua_libdir}/%{oname}/sqlite3.so

#------------------------------------------------------------------

%package        mysql
Summary:        MySQL database connectivity for the Lua programming language
Group:          Development/Other

%description    mysql
LuaSQL is a simple interface from Lua to a DBMS. This package provides access
to MySQL databases.

%files          mysql
%dir %{lua_libdir}/%{oname}
%{lua_libdir}/%{oname}/mysql.so

#------------------------------------------------------------------

%package        postgresql
Summary:        PostgreSQL database connectivity for the Lua programming language
Group:          Development/Other

%description    postgresql
LuaSQL is a simple interface from Lua to a DBMS. This package provides access
to PostgreSQL databases.

%files          postgresql
%dir %{lua_libdir}/%{oname}
%{lua_libdir}/%{oname}/postgres.so

#------------------------------------------------------------------

%prep
%autosetup -n luasql-%{version} -p1


%build
export LIB_OPTION="%{ldflags} -shared"
%make_build sqlite3 PREFIX=%{_prefix} DRIVER_INCS_sqlite3="`pkg-config --cflags sqlite3`" DRIVER_LIBS_sqlite3="-llua `pkg-config --libs sqlite3`" DEFS="%{optflags} -fPIC -std=c99 -DLUA_COMPAT_APIINTCASTS"
%make_build postgres PREFIX=%{_prefix} DRIVER_INCS_postgres="" DRIVER_LIBS_postgres="-llua -lpq" DEFS="%{optflags} -fPIC -std=c99 -DLUA_COMPAT_APIINTCASTS" WARN=
%make_build mysql PREFIX=%{_prefix} DRIVER_INCS_mysql="`mysql_config --include`" DRIVER_LIBS_mysql="-llua `mysql_config --libs`" DEFS="%{optflags} -fPIC -std=c99 -DLUA_COMPAT_APIINTCASTS"


%install
%make_install PREFIX=%{buildroot}%{_prefix} LUA_LIBDIR=%{buildroot}%{lua_libdir} LUA_DIR=%{buildroot}%{lua_pkgdir} T=sqlite3
%make_install PREFIX=%{buildroot}%{_prefix} LUA_LIBDIR=%{buildroot}%{lua_libdir} LUA_DIR=%{buildroot}%{lua_pkgdir} T=postgres
%make_install PREFIX=%{buildroot}%{_prefix} LUA_LIBDIR=%{buildroot}%{lua_libdir} LUA_DIR=%{buildroot}%{lua_pkgdir} T=mysql
