%define	major	5.1
%define	libname %mklibname lua %{major}

Summary:	Powerful, light-weight programming language
Name:		lua5.1
Version:	5.1.5
Release:	%mkrel 22
License:	MIT
URL:		https://www.lua.org/
Group:		Development/Other
Source0:	https://www.lua.org/ftp/lua-%{version}.tar.gz
Patch1:		lua-5.1-dynlib.patch
Patch2:		lua-5.1-modules_path.patch
# https://bugs.mageia.org/show_bug.cgi?id=14038
Patch3:		lua5.1-5.1.5-upstream-fix-stack-overflow-CVE-2014-5461.patch
BuildRequires:  readline-devel
Requires:	%{libname} = %{version}
Conflicts:	lua < 5.1.4-11
Provides:	lua(abi) = %{major}

%description
Lua is a programming language originally designed for extending applications,
but also frequently used as a general-purpose, stand-alone language. Lua
combines simple procedural syntax (similar to Pascal) with powerful data
description constructs based on associative arrays and extensible semantics.
Lua is dynamically typed, interpreted from bytecodes, and has automatic memory
management, making it ideal for configuration, scripting, and rapid
prototyping. Lua is implemented as a small library of C functions, written in
ANSI C, and compiles unmodified in all known platforms. The implementation
goals are simplicity, efficiency, portability, and low embedding cost.

%package -n	%{libname}
Summary:	Powerful, light-weight programming language
Group:		System/Libraries

%description -n	%{libname}
Lua is a programming language originally designed for extending applications,
but also frequently used as a general-purpose, stand-alone language. Lua
combines simple procedural syntax (similar to Pascal) with powerful data
description constructs based on associative arrays and extensible semantics.
Lua is dynamically typed, interpreted from bytecodes, and has automatic memory
management, making it ideal for configuration, scripting, and rapid
prototyping. Lua is implemented as a small library of C functions, written in
ANSI C, and compiles unmodified in all known platforms. The implementation
goals are simplicity, efficiency, portability, and low embedding cost.

This package includes the libraries.

%package -n	%{libname}-devel
Summary:	Powerful, light-weight programming language
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
# to have the same provides on all arches
Provides:	lua%{major}-devel = %{version}-%{release}


%description -n	%{libname}-devel
Lua is a programming language originally designed for extending applications,
but also frequently used as a general-purpose, stand-alone language. Lua
combines simple procedural syntax (similar to Pascal) with powerful data
description constructs based on associative arrays and extensible semantics.
Lua is dynamically typed, interpreted from bytecodes, and has automatic memory
management, making it ideal for configuration, scripting, and rapid
prototyping. Lua is implemented as a small library of C functions, written in
ANSI C, and compiles unmodified in all known platforms. The implementation
goals are simplicity, efficiency, portability, and low embedding cost.

This package contains the headers and development files for lua.


%package -n	%{libname}-devel-static
Summary:	Powerful, light-weight programming language
Group:		Development/Other
Requires:	%{libname}-devel = %{version}
# to have the same provides on all arches
Provides:	lua%{major}-devel-static = %{version}-%{release}
# conflict with other versions
Conflicts:	lua-devel-static

%description -n	%{libname}-devel-static
Lua is a programming language originally designed for extending applications,
but also frequently used as a general-purpose, stand-alone language. Lua
combines simple procedural syntax (similar to Pascal) with powerful data
description constructs based on associative arrays and extensible semantics.
Lua is dynamically typed, interpreted from bytecodes, and has automatic memory
management, making it ideal for configuration, scripting, and rapid
prototyping. Lua is implemented as a small library of C functions, written in
ANSI C, and compiles unmodified in all known platforms. The implementation
goals are simplicity, efficiency, portability, and low embedding cost.

This package contains the headers and development files for lua.


%prep
%setup -q -n lua-%{version}
%autopatch -p1

sed -i -e "s|/usr/local|%{_prefix}|g" Makefile
sed -i -e "s|/lib|/%{_lib}|g" Makefile
sed -i -e "s|/usr/local|%{_prefix}|g" src/luaconf.h
sed -i -e "s|/lib|/%{_lib}|g" src/luaconf.h
sed -i -e "s|/man/man1|/share/man/man1|g" Makefile
sed -i -e "s|\$(V)|%{major}|g" src/Makefile

%build
sed -i 's/-lncurses/-lncursesw/g' */Makefile*
%make_build linux CFLAGS="%{optflags} -fPIC -DLUA_USE_LINUX" MYLDFLAGS="%{ldflags}"
sed -i -e "s#/usr/local#%{_prefix}#" etc/lua.pc
sed -i -e 's/-lreadline -lncurses //g' etc/lua.pc

%install
%make_install INSTALL_TOP=%{buildroot}%{_prefix} INSTALL_LIB=%{buildroot}%{_libdir} INSTALL_MAN=%{buildroot}%{_mandir}/man1 INSTALL_INC=%{buildroot}%{_includedir}/lua-%{major}
install -d %{buildroot}%{_libdir}/lua/%{major}/
install -d %{buildroot}%{_datadir}/lua/%{major}/
install -p -m 644 test/*.lua %{buildroot}%{_datadir}/lua/%{major}/

install -p -m 755 src/liblua.so.%{major}* %{buildroot}%{_libdir}
ln -s liblua.so.%{major} %{buildroot}%{_libdir}/liblua-%{major}.so

mv %{buildroot}%{_libdir}/liblua{,-%{major}}.a

install -d %{buildroot}%{_libdir}/pkgconfig/
install -p -m 644 etc/lua.pc %{buildroot}%{_libdir}/pkgconfig/lua-%{major}.pc

# to avoid conflict with other versions
mv %{buildroot}%{_bindir}/lua %{buildroot}%{_bindir}/lua%{major}
ln -s lua%{major} %{buildroot}%{_bindir}/lua-%{major}
mv %{buildroot}%{_bindir}/luac %{buildroot}%{_bindir}/luac%{major}
ln -s luac%{major} %{buildroot}%{_bindir}/luac-%{major}

# to avoid conflict with other versions
mv %{buildroot}%{_mandir}/man1/lua.1 %{buildroot}/%{_mandir}/man1/lua%{major}.1
mv %{buildroot}%{_mandir}/man1/luac.1 %{buildroot}/%{_mandir}/man1/luac%{major}.1

%triggerun -- lua5.1 < 5.1.5-18
if [[ -e  %{_localstatedir}/lib/alternatives/lua ]]; then
   %{_sbindir}/update-alternatives --remove-all lua 2> /dev/null ||:
fi

%files
%doc COPYRIGHT HISTORY INSTALL README
%doc doc/*.html doc/*.gif
%{_bindir}/lua*%{major}
%dir %{_libdir}/lua/
%{_libdir}/lua/%{major}
%{_datadir}/lua/%{major}/*.lua
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/liblua.so.%{major}

%files -n %{libname}-devel
%{_includedir}/lua-%{major}/
%{_libdir}/pkgconfig/lua-%{major}.pc
%{_libdir}/liblua-%{major}.so

%files -n %{libname}-devel-static
%{_libdir}/liblua-%{major}.a
