%define major		2
%define api		5.1
%define libluajit	%mklibname %{name} %{api} %{major}
%define devluajit	%mklibname %{name} %{api} -d

%define	tarname		LuaJIT

Name:			luajit
Version:		2.1.1716656478
Release:		%mkrel 1
Summary:		Just-In-Time Compiler for the Lua programming language
Group:			Development/Other
License:		MIT
Url:			https://luajit.org/luajit.html
Source:			%{tarname}-%{version}.tar.xz
Source1:		gettarball.sh
BuildRequires:		git-core
Requires:		%{name}-common = %{version}-%{release}

%description
LuaJIT has been successfully used as a scripting middle-ware in games, 3D
modelers, numerical simulations, trading platforms and many other specialty
applications.

%files
%doc COPYRIGHT README
%{_bindir}/%{name}-%{version}
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%package common
Summary:	Just-In-Time Compiler for the Lua programming language
Group:		System/Libraries
BuildArch:	noarch
Obsoletes:	%{_lib}luajit-5.1-common < 2.0.3-3

%description common
LuaJIT has been successfully used as a scripting middle-ware in games, 3D
modelers, numerical simulations, trading platforms and many other specialty
applications.

%files common
%{_datadir}/%{name}-%(cut -d. -f1,2 <<< %{version})/jit/*.lua

%package -n %{libluajit}
Summary:	Just-In-Time Compiler for the Lua programming language
Group:		System/Libraries
Requires:	%{name}-common = %{version}-%{release}
Obsoletes:	%{_lib}luajit-5.1_2 < 2.0.3-3

%description -n %{libluajit}
LuaJIT has been successfully used as a scripting middle-ware in games, 3D
modelers, numerical simulations, trading platforms and many other specialty
applications.

%files -n %{libluajit}
%{_libdir}/lib%{name}*.so.%{major}
%{_libdir}/lib%{name}*.so.%{version}

%package -n %{devluajit}
Summary:	Just-In-Time Compiler for the Lua programming language
Group:		Development/Other
Requires:	%{libluajit} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{tarname}-devel = %{version}-%{release}
Obsoletes:	%{_lib}luajit-5.1-devel < 2.0.3-3

%description -n %{devluajit}
This package contains header files needed by developers.

%files -n %{devluajit}
%{_includedir}/luajit*/
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/libluajit-%{api}.so

%prep
%autosetup -p1 -n %{tarname}-%{version}

%build
%ifarch	x86_64 aarch64
%make_build amalg \
 	Q= E=@: PREFIX=%{_prefix} MULTILIB=%{_lib} \
	TARGET_CFLAGS=-DMULTIARCH_PATH='\"%{_libdir}/\"' \
	CCDEBUG="%{optflags}" \
	XCFLAGS="-DLUAJIT_ENABLE_LUA52COMPAT" \
	BUILDMODE=dynamic \
	TARGET_STRIP=:
%else
%make_build amalg \
	Q= E=@: PREFIX=%{_prefix} MULTILIB=%{_lib} \
	INSTALL_LIB="%{buildroot}%{_libdir}" \
	CCDEBUG="%{optflags}" \
	XCFLAGS="-DLUAJIT_ENABLE_LUA52COMPAT" \
	BUILDMODE=dynamic \
	TARGET_STRIP=:
%endif

%install
%make_install PREFIX=%{_prefix} MULTILIB=%{_lib} INSTALL_LIB=%{buildroot}%{_libdir}

ln -sf %{_libdir}/libluajit-%{api}.so.%{version} %{buildroot}%{_libdir}/libluajit-%{api}.so

ln -sf %{_bindir}/luajit-%{version} %{buildroot}%{_bindir}/luajit

# We don't package static libraries
rm -rf %{buildroot}%{_libdir}/libluajit-%{api}.a
