Name:           luarocks
Version:        3.10.0
Release:        %mkrel 1
License:        MIT
Summary:        A package manager for Lua modules
Group:          Development/Other
Url:            https://luarocks.org/
Source0:        https://luarocks.org/releases/%{name}-%{version}.tar.gz
Patch1:         luarocks-3.5.0-dynamic_libdir.patch
BuildArch:      noarch
BuildRequires:  pkgconfig(lua)
Requires:       lua%{lua_version}
Requires:       lua-sec
Requires:       unzip
Requires:       zip
Suggests:	pkgconfig(lua)

%description
LuaRocks allows you to install Lua modules as self-contained packages called
"rocks", which also contain version dependency information. This information is
used both during installation, so that when one rock is requested all rocks it
depends on are installed as well, and at run time, so that when a module is
required, the correct version is loaded. LuaRocks supports both local and
remote repositories, and multiple local rocks trees.

%prep
%autosetup -p1

%build
./configure \
  --prefix=%{_prefix} \
  --lua-version=%{lua_version} \
  --with-lua=%{_prefix}
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_prefix}/lib/luarocks/rocks-%{lua_version}

%files
%license COPYING
%doc README.md
%dir %{_sysconfdir}/luarocks
%config(noreplace) %{_sysconfdir}/luarocks/config-%{lua_version}.lua
%{_bindir}/luarocks
%{_bindir}/luarocks-admin
%{_prefix}/lib/luarocks
%{lua_pkgdir}/luarocks
