%define oname	LucenePlusPlus

%define major      0
%define libname    %mklibname %{name} %{major}
%define libcontrib %mklibname %{name}-contrib %{major}
%define devname    %mklibname %{name} -d

Name:		lucene++
Summary:	C++ port of the popular Java Lucene library
Version:	3.0.9
Release:	%mkrel 3
License:	LGPLv3+ and ASL2.0
Group:		System/Libraries
Url:		https://github.com/luceneplusplus/LucenePlusPlus
Source0:	https://github.com/luceneplusplus/LucenePlusPlus/archive/rel_%{version}/%{oname}-rel_%{version}.tar.gz
# From upstream:
Patch0:		0001-Fix-build-with-boost-1.85.0.patch
Patch1:		0001-Migrate-to-boost-asio-io_context.patch
BuildRequires:	cmake
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(libzstd)
BuildRequires:	pkgconfig(bzip2)

%description
Lucene++ is an up to date C++ port of the popular Java Lucene library,
a high-performance, full-featured text search engine.

#------------------------------------------------

%package -n %{libname}
Summary:	C++ port of the popular Java Lucene library
Group:		System/Libraries

%description -n %{libname}
Lucene++ is an up to date C++ port of the popular Java Lucene library,
a high-performance, full-featured text search engine.

#------------------------------------------------

%package -n %{libcontrib}
Summary:	C++ port of the popular Java Lucene Contrib library
Group:		System/Libraries

# ease upgrade mga9 -> mga10
Conflicts:	%{_lib}lucene++0 < 3.0.7-25

%description -n %{libcontrib}
Lucene++ is an up to date C++ port of the popular Java Lucene Contrib library,
a high-performance, full-featured text search engine.

#------------------------------------------------

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libcontrib} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{name}.

#------------------------------------------------

%prep
%autosetup -p1 -n %{oname}-rel_%{version}

%build
%cmake \
        -DINSTALL_GTEST=OFF \
        -DENABLE_TEST=OFF
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license *.license
%doc README* AUTHORS
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{version}

%files -n %{libcontrib}
%license *.license
%doc README* AUTHORS
%{_libdir}/lib%{name}-contrib.so.%{major}
%{_libdir}/lib%{name}-contrib.so.%{version}

%files -n %{devname}
%license *.license
%doc README* AUTHORS REQUESTS
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/lib%{name}*.pc
%{_libdir}/cmake/lib%{name}*/
%{_libdir}/lib%{name}*.so
