Name:           lugaru
Version:        1.2
Release:        %mkrel 4
Summary:        Ninja rabbit fighting game
Group:          Games/Arcade
License:        GPLv2+ and CC-BY-SA
URL:            https://osslugaru.gitlab.io
Source0:        https://bitbucket.org/osslugaru/lugaru/downloads/%{name}-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(vorbisfile)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(zlib)

Requires:       %{name}-data >= %{version}

%description
Lugaru (pronounced Loo-GAH-roo) is a cross-platform third-person action game.
The main character, Turner, is an anthropomorphic rebel bunny rabbit with
impressive combat skills. In his quest to find those responsible for
slaughtering his village, he uncovers a far-reaching conspiracy involving the
corrupt leaders of the rabbit republic and the starving wolves from a nearby
den. Turner takes it upon himself to fight against their plot and save his
fellow rabbits from slavery.

%package data
Summary:        Arch-independent data files for the Lugaru game
BuildArch:      noarch

%description data
This package contains arch-independent data files for the game Lugaru.

%prep
%setup -q
%autopatch -p1

%build
%cmake \
  -DSYSTEM_INSTALL=ON \
  -DCMAKE_INSTALL_BINDIR=%{_gamesbindir} \
  -DCMAKE_INSTALL_DATADIR=%{_gamesdatadir} \
  -DLUGARU_VERSION_RELEASE="%{vendor} %{version}-%{release}"

%cmake_build

%install
%cmake_install

# We handle docs and license files manually
rm -rf %{buildroot}%{_docdir}

%files
%doc Docs/* AUTHORS README.md RELEASE-NOTES.md
%license CONTENT-LICENSE.txt COPYING.txt
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/128x128/apps/%{name}.png
%{_mandir}/man6/%{name}.6*

%files data
%{_gamesdatadir}/%{name}/
