%define appdate	20240910

Name:		luit
Version:	2.0.%{appdate}
Release:	%mkrel 1
Summary:	Locale and ISO 2022 support for Unicode terminals
Group:		Development/X11
License:	MIT
URL:		https://invisible-island.net/luit/
Source0:	https://invisible-island.net/archives/%{name}/%{name}-%{appdate}.tgz
BuildRequires:	groff
BuildRequires:	libx11-common
BuildRequires:	x11-font-encodings
BuildRequires:	pkgconfig(fontenc)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(zlib)

%description
Luit is a filter that can be run between an arbitrary application and a UTF-8
terminal emulator. It will convert application output from the locale's
encoding into UTF-8, and convert terminal input from UTF-8 into the locale's
encoding.

%prep
%autosetup -p1 -n %{name}-%{appdate}

%build
%configure \
	--enable-fontenc \
	--with-encodings-dir=%{_datadir}/fonts/encodings/encodings.dir \
	--with-locale-alias=%{_datadir}/X11/locale/locale.alias

%make_build

%install
%make_install

%files
%license COPYING
%doc %{name}.log.html
%{_bindir}/luit
%{_mandir}/man1/luit.1*
