Name:		luminance-hdr
Version:	2.6.1.1
Release:	%mkrel 16
Summary:	A graphical tool for creating and tone-mapping HDR images
Group:		Graphics/Editors and Converters
License:	GPLv2+
URL:		https://qtpfsgui.sourceforge.net/
Source0:	https://downloads.sourceforge.net/qtpfsgui/%{name}-%{version}.tar.bz2
Patch1:		luminance-hdr-missing-includes.patch
Patch2:		luminance-hdr-openexr3.patch
Patch3:		luminance-hdr-exiv2-0.28.patch
Patch4:		luminance-hdr-boost-1.85.patch
# Remove clamp redefinition
Patch5:		luminance-hdr-clamp.patch
# remove hardcoded reference to c++11
Patch6:		luminance-hdr-fix-boost-1.87.0-compilation.patch
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	git-core
BuildRequires:	libgomp-devel
BuildRequires:	imagemagick
# for lrelease
BuildRequires:	qttools5
BuildRequires:	pkgconfig(CCfits)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5WebEngineCore)
BuildRequires:	pkgconfig(Qt5WebEngineWidgets)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libraw_r)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(gsl)
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(eigen3)
BuildRequires:	pkgconfig(OpenEXR)
Provides:	qtpfsgui
Requires:	qt5-database-plugin-sqlite
Recommends:	hugin

%description
Luminance is a graphical program for assembling bracketed photos into High
Dynamic Range (HDR) images.  It also provides a number of tone-mapping
operators for creating low dynamic range versions of HDR images.

%prep
%autosetup -p1

# convert to UTF-8
mv Changelog Changelog.old
iconv --from-code=ISO-8859-1 --to-code=UTF-8 --output Changelog Changelog.old

%build
%cmake_qt5 \
	-DBUILD_SHARED_LIBS:BOOL=OFF
%cmake_build

%install
%cmake_install

#icon
install -Dpm644 images/luminance.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

#desktop file
desktop-file-edit \
	--remove-key="Encoding" \
	--add-category="Graphics" \
		%{buildroot}%{_datadir}/applications/net.sourceforge.qtpfsgui.LuminanceHDR.desktop

%files
%doc README* Changelog AUTHORS BUGS TODO
%{_datadir}/%{name}/
%{_bindir}/%{name}*
%{_datadir}/applications/net.sourceforge.qtpfsgui.LuminanceHDR.desktop
%{_datadir}/appdata/net.sourceforge.qtpfsgui.LuminanceHDR.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.*
