%define scummvmdir %{_datadir}/scummvm/

Name:           lure-es
Version:        1.1
Release:        %mkrel 10
Summary:        Lure of the Temptress - Adventure game in Spanish
Group:          Games/Adventure
License:        Freeware
URL:            https://revolution.co.uk/games_catalog/lure-of-the-temptress-copy/
Source:		https://downloads.sourceforge.net/scummvm/%{name}-%{version}.zip
Source1:	%{name}.png
BuildRequires:	unzip
BuildArch:      noarch
Requires:       scummvm

%description
Lure of the Temptress was Revolution's very first adventure game and work began
on it in 1989, even before Revolution's inception as an actual games
development company. From the start our aim was to consider the contemporary
adventures of the day and then bring something new to the genre. From this came
the Virtual Theatre engine. VT allowed in-game characters to wander around the
gameworld independently of each other, living their own lives and doing their own
thing. Another feature allowed the player to give direct orders to Helper
characters - in this case Ratpouch - who would then go off to perform the task.

The result is a quirky and entertaining adventure game that kicked off
Revolution's fondness for characterisation and in-game humour.


%prep
%setup -q -n %{name}
sed -i 's/\r//g' README


%install
mkdir -p %{buildroot}/%{scummvmdir}/%{name}
install -p -m 644 *.VGA %{buildroot}/%{scummvmdir}/%{name}
mkdir -p %{buildroot}/%{_iconsdir}
install -m 0644 %{_sourcedir}/%{name}.png %{buildroot}%{_iconsdir}/

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Lure of the Temptress (Spanish)
Comment=%summary
Exec=%_gamesbindir/scummvm -p%{scummvmdir}/%{name} lure
Icon=%name
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;AdventureGame;
EOF

%clean

%files
%defattr(-,root,root)
%doc *.txt Manual.pdf README
%{scummvmdir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_iconsdir}/%{name}.png
