# Had to be made archful for 32-bit vulkan drivers
%define debug_package %{nil}

%define rdnsname net.lutris.Lutris

Name:           lutris
Version:        0.5.18
Release:        %mkrel 2
Summary:        Install and play any video game easily
Group:          Games/Other
License:        GPLv3+
URL:            https://lutris.net
Source0:        https://lutris.net/releases/%{name}_%{version}.tar.xz

# https://github.com/lutris/lutris/issues/3282
Patch0:         0001-status_icon-Use-AyatanaAppIndicator3-continuation-fo.patch

Patch1:         0001-webconnect_dialog-Only-use-WebKit2-4.1.patch

BuildRequires:  meson
BuildRequires:  gettext
BuildRequires:  python3-devel
BuildRequires:  python3-gobject3
BuildRequires:  python3-setuptools

# See https://github.com/lutris/lutris/blob/master/INSTALL.rs
# Validate that generated python3dist and typelib deps match the above.
# Those don't seem to be auto-generated.
Requires:       python3dist(distro)
Requires:       python3dist(lxml)
Requires:       python3dist(pillow)
Requires:       python3dist(setproctitle)

Requires:       xrandr

Recommends:     cabextract
Recommends:     curl
Recommends:     fluid-soundfont-gs
Recommends:     p7zip
Recommends:     psmisc

Recommends:     %{_lib}mesagl1
Recommends:     %{_lib}mesavulkan-drivers
Recommends:     %{_lib}vulkan-loader1
%ifarch x86_64
Recommends:     libmesagl1
Recommends:     libmesavulkan-drivers
Recommends:     libvulkan-loader1
%endif

%description
Lutris is a gaming platform for GNU/Linux. Its goal is to make
gaming on Linux as easy as possible by taking care of installing
and setting up the game for the user. The only thing you have to
do is play the game. It aims to support every game that is playable
on Linux.

%prep
%autosetup -p1 -n %{name}

# drop precompiled pycache
rm -rf $(find . -name "__pycache__" -type d -print)

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%meson -Dpython.bytecompile=-1
%meson_build

%install
%pyproject_install
%pyproject_save_files lutris

%meson_install

%find_lang %{name}

# Should not be needed, but it seems installing 32-bit libraries does not
# trigger it on x86_64
%post -p /sbin/ldconfig

%files -f %{name}.lang -f %{pyproject_files}
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{rdnsname}.desktop
%{_metainfodir}/%{rdnsname}.metainfo.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1.*

%pycached %{python3_sitelib}/lutris/optional_settings.py
