%global commit  10acf03046d980f96ed192d5acb9deb812f5c639
%define oname   openAV-Fabla

Name:           lv2-fabla
Version:        1.3.2
Release:        %mkrel -c git20211211 1
Summary:        An LV2 drum sampler
Group:          Sound/Midi
License:        GPLv2+
URL:            http://openavproductions.com/fabla/
Source0:        https://github.com/openAVproductions/%{oname}/archive/%{oname}-%{commit}.zip
#Patch0:         lv2-fabla-1.3.2-fix-compatibility-with-lv2-1.18.patch
BuildRequires:  pkgconfig(ntk)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(cairomm-1.0)
BuildRequires:  pkgconfig(lv2)
BuildRequires:  cmake
Requires:       lv2

%description
%{name} is a drum sampler plugin instrument. It is ideal for loading up your
favorite sampled sounds and bashing away on a MIDI controller. Or if it’s
crafty beat programming your after that’s cool too! The ADSR envelope allows
the shaping of hi-hats and kicks while the compressor beefs up the sound for
those thumping kicks!
Additional presets can be found at:
   https://github.com/harryhaaren/openAV-presets

%prep
%setup -q -n openAV-Fabla-%{commit}
%autopatch -p1
sed -i -e  's|lib/|%{_lib}/|g'  -e 's|\-Wall|%{optflags}|g' CMakeLists.txt
%ifnarch %{ix86} x86_64
sed -i -e 's|-msse2 -mfpmath=sse||g' CMakeLists.txt
%endif

%build
%cmake
%cmake_build

%install
mkdir -p %{buildroot}%{_libdir}/lv2

%cmake_install

%files
%doc README.md CHANGELOG LICENSE
%{_libdir}/lv2/*
