Name:		lv2
Version:	1.18.10
Release:	%mkrel 4
Summary:	Audio Plugin Standard
Group:		System/Libraries
# lv2specgen template.html is CC-AT-SA
License:	ISC License (ISC)
URL:		https://lv2plug.in/
Source0:	https://lv2plug.in/spec/lv2-%{version}.tar.xz

BuildRequires:	pkgconfig(sndfile) >= 1.0.0
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-lxml
BuildRequires:	python3-markdown
BuildRequires:	python3-pygments
BuildRequires:	python3-rdflib
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	doxygen
BuildRequires:	meson
BuildRequires:	asciidoc
BuildRequires:	codespell
BuildRequires:	pkgconfig(sord-0)
BuildRequires:	pkgconfig(serd-0)
BuildRequires:	serd
BuildRequires:	sord

%description
LV2 is a standard for plugins and matching host applications, mainly
targeted at audio processing and generation.

There are a large number of open source and free software synthesis
packages in use or development at this time. This API ('LV2') attempts
to give programmers the ability to write simple 'plugin' audio
processors in C/C++ and link them dynamically ('plug') into a range of
these packages ('hosts').  It should be possible for any host and any
plugin to communicate completely through this interface.

LV2 is a successor to LADSPA, created to address the limitations of
LADSPA which many hosts have outgrown.

%package	devel
Summary:	API for the LV2 Audio Plugin Standard
Group:		Development/C

Requires:	%{name} = %{version}-%{release}

%description	devel
lv2-devel contains the lv2.h header file and headers for all of the
LV2 specification extensions and bundles.

Definitive technical documentation on LV2 plug-ins for both the host
and plug-in is contained within copious comments within the lv2.h
header file.


%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%pretrans devel -p <lua>
-- Define the path to the symlink being replaced below.
path = "%{_includedir}/lv2"
path2 = path .. "/atom"
st = posix.stat(path2)
if st and st.type == "link" then
  os.execute("rm -rf " .. path)
end

%files
%doc %{_docdir}/%{name}/
%{_libdir}/%{name}/
%{_bindir}/lv2specgen.py
%{_bindir}/lv2_validate
%{_datadir}/lv2specgen/

%files devel
%{_includedir}/%{name}.h
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc
