# "fix" underlinking:
%define _disable_ld_no_undefined 1

%define	lvmversion	2.03.22
%define	dmversion	1.02.196
%define	_usrsbindir	%{_prefix}/sbin
%define	_sbindir	/sbin
%define	dmmajor		1.02
%define	cmdmajor	2.03
%define	appmajor	2.2

%global enable_lvmdbusd 1

%global systemd_version 247-1

%define	dmlibname	%mklibname devmapper %dmmajor
%define	dmdevelname	%mklibname devmapper -d
%define	event_libname	%mklibname devmapper-event %dmmajor
%define	event_develname	%mklibname devmapper-event -d
%define cmdlibname	%mklibname lvm2cmd %cmdmajor
%define cmddevelname	%mklibname lvm2cmd -d

%define	build_cluster 0
%define	build_dmeventd 1

#requirements for cluster
%define corosync_version 1.2.0
%define openais_version 1.1.1
%define cluster_version 3.0.6

%{?_with_dmeventd: %{expand: %%global build_dmeventd 1}}
%{?_without_dmeventd: %{expand: %%global build_dmeventd 0}}
%{?_with_cluster: %{expand: %%global build_cluster 1}}
%{?_without_cluster: %{expand: %%global build_cluster 0}}

%if %build_dmeventd
%define dm_req	%{event_libname}
%define dm_req_d	%{event_develname}
%else
%define dm_req	%{dmlibname}
%define dm_req_d	%{dmdevelname}
%endif

Summary:	Logical Volume Manager administration tools
Name:		lvm2
Version:	%{lvmversion}
Release:	%mkrel 4
License:	GPLv2 and LGPL2.1
Group:		System/Kernel and hardware
URL:		http://sources.redhat.com/lvm2/
Source0:	ftp://sourceware.org/pub/lvm2/releases/LVM2.%{lvmversion}.tgz
# Mageia patches:
Patch50:		lvm2-2.02.98-alternatives.patch
BuildConflicts:	device-mapper-devel < %{dmversion}
BuildRequires:	libblkid-devel >= 2.24
BuildRequires:	libaio-devel
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(libsystemd)
%if %{enable_lvmdbusd}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-dbus
BuildRequires:	python3-pyudev
%endif
BuildRequires:	thin-provisioning-tools
#BuildRequires:	autoconf
BuildRequires:	sed
Conflicts:	lvm
Conflicts:	lvm1
BuildRequires:	glibc-static-devel
%if %build_dmeventd
# install plugins as well
Requires:	%{cmdlibname} = %{lvmversion}-%{release}
%endif
Requires:	dmsetup >= %{dmversion}
Requires:	%{dm_req} >= %{dmversion}
Requires:	thin-provisioning-tools
Requires(post):	systemd-units >= %{systemd_required_version}

%description
LVM2 includes all of the support for handling read/write operations on
physical volumes (hard disks, RAID-Systems, magneto optical, etc.,
multiple devices (MD), see mdadm(8) or even loop devices, see losetup(8)),
creating volume groups (kind of virtual disks) from one or more physical
volumes and creating one or more logical volumes (kind of logical partitions)
in volume groups.

%package -n	%{cmdlibname}
Summary:	LVM2 command line library
Group:		System/Kernel and hardware
Requires:	%{dm_req} >= %{dmversion}
Conflicts:	%{mklibname lvm2cmd 2.02}
# Avoid devel deps on library due to autoreq picking these plugins up as devel libs
%global __requires_exclude_from %_libdir/libdevmapper-event-lvm2(mirror|raid|snapshot|thin|vdo).so

%description -n	%{cmdlibname}
The lvm2 command line library allows building programs that manage
lvm devices without invoking a separate program.

%package -n	%{cmddevelname}
Summary:	Development files for LVM2 command line library
Group:		System/Kernel and hardware
Requires:	%{cmdlibname} = %{lvmversion}-%{release}
Requires:	%{dm_req_d} = %{dmversion}-%{release}
Provides:	liblvm2cmd-devel = %{lvmversion}-%{release}
Obsoletes:	%{mklibname lvm2cmd %cmdmajor -d}

%description -n	%{cmddevelname}
The lvm2 command line library allows building programs that manage
lvm devices without invoking a separate program.
This package contains the header files for building with lvm2cmd.

%if %build_cluster
%package -n	clvmd
Summary:	cluster LVM daemon
Group:		System/Kernel and hardware
BuildRequires:	cluster-devel >= %{cluster_version}
BuildRequires:	openais-devel >= %{openais_version}
BuildRequires:	corosync-devel >= %{corosync_version}
Requires:	cman >= %{cluster_version}
Requires:	%{dm_req} >= %{dmversion}

%description -n	clvmd
clvmd is the daemon that distributes LVM metadata updates around a
cluster. It must be running on all nodes in the cluster and will give
an error if a node in the cluster does not have this daemon running.
%endif

%package -n	dmsetup
Summary:	Device mapper setup tool
Version:	%{dmversion}
Group:		System/Kernel and hardware
Provides:	device-mapper = %{dmversion}-%{release}
%if %{build_dmeventd}
Provides:	dmeventd = %{dmversion}-%{release}
%endif
Requires:	%{dm_req} = %{dmversion}-%{release}
BuildRequires:	pkgconfig(udev)
Requires:	udev
Requires(pre):	rpm-helper

%description -n	dmsetup
Dmsetup manages logical devices that use the device-mapper driver.  
Devices are created by loading a table that specifies a target for
each sector (512 bytes) in the logical device.

%package -n	%{dmlibname}
Summary:	Device mapper library
Version:	%{dmversion}
Group:		System/Kernel and hardware

%description -n	%{dmlibname}
The device-mapper driver enables the definition of new block
devices composed of ranges of sectors of existing devices.  This
can be used to define disk partitions - or logical volumes.

This package contains the shared libraries required for running
programs which use device-mapper.

%package -n	%{dmdevelname}
Summary:	Device mapper development library
Version:	%{dmversion}
Group:		Development/C
Provides:	device-mapper-devel = %{dmversion}-%{release}
Provides:	libdevmapper-devel = %{dmversion}-%{release}
Requires:	%{dmlibname} = %{dmversion}-%{release}
Requires:	pkgconfig
Conflicts:	device-mapper-devel < %{dmversion}-%{release}
Obsoletes:	%{mklibname devmapper %dmmajor -d}

%description -n	%{dmdevelname}
The device-mapper driver enables the definition of new block
devices composed of ranges of sectors of existing devices.  This
can be used to define disk partitions - or logical volumes.

This package contains the header files and development libraries
for building programs which use device-mapper.

%if %{build_dmeventd}

%package -n	%{event_libname}
Summary:	Device mapper event library
Version:	%{dmversion}
Group:		System/Kernel and hardware
Provides:	device-mapper-event = %{dmversion}-%{release}
Provides:	libdevmapper-event = %{dmversion}-%{release}
Requires:	%{dmlibname} >= %{dmversion}

%description -n	%{event_libname}
The device-mapper-event library allows monitoring of active mapped devices.

This package contains the shared libraries required for running
programs which use device-mapper-event.

%package -n	%{event_develname}
Summary:	Device mapper event development library
Version:	%{dmversion}
Group:		Development/C
Provides:	device-mapper-event-devel = %{dmversion}-%{release}
Provides:	libdevmapper-event-devel = %{dmversion}-%{release}
Requires:	%{event_libname} = %{dmversion}-%{release}
Requires:	%{dmdevelname} = %{dmversion}-%{release}
Requires:	pkgconfig
Conflicts:	device-mapper-event-devel < %{dmversion}-%{release}
Obsoletes:	%{mklibname devmapper-event %dmmajor -d}

%description -n	%{event_develname}
The device-mapper-event library allows monitoring of active mapped devices.

This package contains the header files and development libraries
for building programs which use device-mapper-event.
%endif

%prep
%autosetup -p1 -n LVM2.%{lvmversion}

%build
%if %{enable_lvmdbusd}
%global configure_lvmdbusd --enable-dbus-service --enable-notify-dbus
%endif

datelvm=`awk -F '[.() ]*' '{printf "%s.%s.%s:%s\n", $1,$2,$3,$(NF-1)}' VERSION`
datedm=`awk -F '[.() ]*' '{printf "%s.%s.%s:%s\n", $1,$2,$3,$(NF-1)}' VERSION_DM`
if [ "${datelvm%:*}" != "%{lvmversion}" -o "${datedm%:*}" != "%{dmversion}" -o \
 "%{release}" = "%{mkrel 1}" -a "${datelvm#*:}" != "${datedm#*:}" ]; then
	echo "ERROR:	you should not be touching this package" 1>&2
	echo "	without full understanding of relationship between device-mapper" 1>&2
	echo "	and lvm2 versions" 1>&2
	exit 1
fi
%if %{build_dmeventd}
%define _disable_ld_as_needed 1
%endif
%define common_configure_parameters --with-default-dm-run-dir=/run --with-default-run-dir=/run/lvm --with-default-pid-dir=/run --with-default-locking-dir=/run/lock/lvm --with-user=`id -un` --with-group=`id -gn` --disable-selinux --with-device-uid=0 --with-device-gid=6 --with-device-mode=0660 %{?configure_lvmdbusd}
export MODPROBE_CMD=/usr/sbin/modprobe

%configure %{common_configure_parameters} \
	--disable-static_link --enable-readline \
	--enable-fsadm --enable-pkgconfig \
	--with-usrlibdir=%{_libdir} --libdir=%{_libdir} \
	--enable-cmdlib \
	--enable-dependency-tracking \
%if %build_cluster
	--with-clvmd=cman,openais,corosync \
%endif
%if %{build_dmeventd}
	--enable-dmeventd \
	--with-dmeventd-path=/sbin/dmeventd \
%endif
	--enable-udev_sync --enable-udev_rules \
	--with-udevdir=%{_udevrulesdir} \
# 20090926 no translations yet:	--enable-nls
# end of configure options
%make_build

%install
# (tv) fix "ERROR: ambiguous python shebang in /sbin/lvmdbusd":
grep /bin/python3 daemons/lvmdbusd/lvmdbusd || perl -pi -e 's@^(#!/usr/bin/python)@${1}3@' daemons/lvmdbusd/lvmdb.py daemons/lvmdbusd/lvmdbusd
%make_install
make install_system_dirs DESTDIR=$RPM_BUILD_ROOT
make install_systemd_units DESTDIR=$RPM_BUILD_ROOT
make install_systemd_generators DESTDIR=$RPM_BUILD_ROOT
make install_tmpfiles_configuration DESTDIR=$RPM_BUILD_ROOT

install -d %{buildroot}/etc/lvm/archive
install -d %{buildroot}/etc/lvm/backup
install -d %{buildroot}/etc/lvm/cache
touch %{buildroot}/etc/lvm/cache/.cache

%if %build_cluster
install -m 0755 scripts/lvmconf.sh %{buildroot}%{_usrsbindir}/lvmconf
%endif

#compatibility links
ln %{buildroot}%{_sbindir}/lvm %{buildroot}%{_sbindir}/lvm2

##move .so links in /usr/lib
#for solink in %%{buildroot}%%{_libdir}/*.so; do
#	if [ "${solink%%libdevmapper-event-lvm2*.so}" == "${solink}" ]; then
#		_target=`readlink ${solink}`
#		ln -s ../../%%{_libdir}/${_target##*/} %%{buildroot}%%{_libdir}/${solink##*/}
#		rm ${solink}
#	fi
#done

#hack permissions of libs
chmod u+w %{buildroot}%{_libdir}/*.so.* %{buildroot}%{_sbindir}/*
%if %build_cluster
chmod u+w  %{buildroot}%{_usrsbindir}/*
%endif

#hack trick strip_and_check_elf_files
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}:${LD_LIBRARY_PATH}

%pre
if [ -L /sbin/lvm -a -L /etc/alternatives/lvm ]; then
	update-alternatives --remove lvm /sbin/lvm2
fi

%post
%_tmpfilescreate %{name}
%systemd_post blk-availability.service lvm2-monitor.service
if [ "$1" = "1" ] ; then
	# enable and start lvm2-monitor.service on completely new installation only, not on upgrades
	systemctl enable --now lvm2-monitor.service > /dev/null 2>&1 || :
fi

%if %build_cluster
%post -n clvmd
%_post_service clvmd
%{_usrsbindir}/lvmconf --lockinglibdir %{_libdir}

%preun -n clvmd
%_preun_service clvmd
if [ "$1" = 0 ]; then
        %{_usrsbindir}/lvmconf --disable-cluster
fi
%endif

%files
%defattr(644,root,root,755)
%doc README VERSION WHATS_NEW
%attr(755,root,root) %{_sbindir}/blkdeactivate
%attr(755,root,root) %{_sbindir}/fsadm
%attr(755,root,root) %{_sbindir}/lvm
%attr(755,root,root) %{_sbindir}/lvm2
%attr(755,root,root) %{_sbindir}/lvchange
%if %build_cluster
%attr(755,root,root) %{_sbindir}/lvmconf
%endif
%attr(755,root,root) %{_sbindir}/lvmconfig
%attr(755,root,root) %{_sbindir}/lvmdevices
%attr(755,root,root) %{_sbindir}/lvconvert
%attr(755,root,root) %{_sbindir}/lvcreate
%attr(755,root,root) %{_sbindir}/lvdisplay
%attr(755,root,root) %{_sbindir}/lvmdump
%attr(755,root,root) %{_sbindir}/lvm_import_vdo
%attr(755,root,root) %{_sbindir}/lvextend
%attr(755,root,root) %{_sbindir}/lvmdiskscan
%attr(755,root,root) %{_sbindir}/lvmsadc
%attr(755,root,root) %{_sbindir}/lvmsar
%attr(755,root,root) %{_sbindir}/lvreduce
%attr(755,root,root) %{_sbindir}/lvremove
%attr(755,root,root) %{_sbindir}/lvrename
%attr(755,root,root) %{_sbindir}/lvresize
%attr(755,root,root) %{_sbindir}/lvs
%attr(755,root,root) %{_sbindir}/lvscan
%attr(755,root,root) %{_sbindir}/pvchange
%attr(755,root,root) %{_sbindir}/pvck
%attr(755,root,root) %{_sbindir}/pvcreate
%attr(755,root,root) %{_sbindir}/pvdisplay
%attr(755,root,root) %{_sbindir}/pvmove
%attr(755,root,root) %{_sbindir}/pvremove
%attr(755,root,root) %{_sbindir}/pvresize
%attr(755,root,root) %{_sbindir}/pvs
%attr(755,root,root) %{_sbindir}/pvscan
%attr(755,root,root) %{_sbindir}/vgcfgbackup
%attr(755,root,root) %{_sbindir}/vgcfgrestore
%attr(755,root,root) %{_sbindir}/vgchange
%attr(755,root,root) %{_sbindir}/vgck
%attr(755,root,root) %{_sbindir}/vgconvert
%attr(755,root,root) %{_sbindir}/vgcreate
%attr(755,root,root) %{_sbindir}/vgdisplay
%attr(755,root,root) %{_sbindir}/vgexport
%attr(755,root,root) %{_sbindir}/vgextend
%attr(755,root,root) %{_sbindir}/vgimport
%attr(755,root,root) %{_sbindir}/vgimportclone
%attr(755,root,root) %{_sbindir}/vgimportdevices
%attr(755,root,root) %{_sbindir}/vgmerge
%attr(755,root,root) %{_sbindir}/vgmknodes
%attr(755,root,root) %{_sbindir}/vgreduce
%attr(755,root,root) %{_sbindir}/vgremove
%attr(755,root,root) %{_sbindir}/vgrename
%attr(755,root,root) %{_sbindir}/vgs
%attr(755,root,root) %{_sbindir}/vgscan
%attr(755,root,root) %{_sbindir}/vgsplit
%attr(755, -, -) %{_libexecdir}/lvresize_fs_helper
%{_unitdir}/blk-availability.service
%{_unitdir}/lvm2-monitor.service
%dir %{_sysconfdir}/lvm
%{_sysconfdir}/lvm/profile/vdo-small.profile
%config(noreplace) %{_sysconfdir}/lvm/lvm.conf
%config(noreplace) %{_sysconfdir}/lvm/lvmlocal.conf
%dir %{_sysconfdir}/lvm/profile
%config(noreplace) %{_sysconfdir}/lvm/profile/command_profile_template.profile
%config(noreplace) %{_sysconfdir}/lvm/profile/metadata_profile_template.profile
%config(noreplace) %{_sysconfdir}/lvm/profile/thin-generic.profile
%config(noreplace) %{_sysconfdir}/lvm/profile/thin-performance.profile
%config(noreplace) %{_sysconfdir}/lvm/profile/cache-mq.profile
%config(noreplace) %{_sysconfdir}/lvm/profile/cache-smq.profile
%config(noreplace) %{_sysconfdir}/lvm/profile/lvmdbusd.profile
%attr(700,root,root) %dir %{_sysconfdir}/lvm/archive
%attr(700,root,root) %dir %{_sysconfdir}/lvm/backup
%attr(700,root,root) %dir %{_sysconfdir}/lvm/cache
%attr(600,root,root) %ghost %{_sysconfdir}/lvm/cache/.cache
%{_tmpfilesdir}/%{name}.conf
%{_mandir}/man5/*
%{_mandir}/man7/*
%{_mandir}/man8/*
%{_udevrulesdir}/11-dm-lvm.rules
%{_udevrulesdir}/69-dm-lvm.rules

%files -n %{cmdlibname}
%defattr(644,root,root,755)
%{_libdir}/liblvm2cmd.so.*
%if %{build_dmeventd}
%dir /%{_libdir}/device-mapper
%{_libdir}/device-mapper/libdevmapper-event-lvm2mirror.so
%{_libdir}/device-mapper/libdevmapper-event-lvm2raid.so
%{_libdir}/device-mapper/libdevmapper-event-lvm2snapshot.so
%{_libdir}/device-mapper/libdevmapper-event-lvm2thin.so
%{_libdir}/device-mapper/libdevmapper-event-lvm2vdo.so
%{_libdir}/libdevmapper-event-lvm2.so.*
%{_libdir}/libdevmapper-event-lvm2mirror.so
%{_libdir}/libdevmapper-event-lvm2raid.so
%{_libdir}/libdevmapper-event-lvm2snapshot.so
%{_libdir}/libdevmapper-event-lvm2thin.so
%{_libdir}/libdevmapper-event-lvm2vdo.so
%endif

%files -n %{cmddevelname}
%defattr(644,root,root,755)
%{_includedir}/lvm2cmd.h
%attr(755,root,root) %{_libdir}/liblvm2cmd.so

%if %build_cluster
%files -n clvmd
%defattr(755, root,root)
%{_usrsbindir}/clvmd
%{_usrsbindir}/lvmconf
%attr(644,root,root) %{_mandir}/man8/clvmd.8*
%endif

##############################################################################
# LVM D-Bus daemon
##############################################################################
%if %{enable_lvmdbusd}

%package dbusd
Summary: LVM2 D-Bus daemon
License: GPLv2
BuildArch: noarch
Requires: lvm2 >= %{?epoch}:%{version}-%{release}
Requires: dbus
Requires: python3-dbus
Requires: python3-pyudev
Requires: python3-gobject
Requires(post): systemd-units >= %{systemd_version}
Requires(preun): systemd-units >= %{systemd_version}
Requires(postun): systemd-units >= %{systemd_version}

%description dbusd

Daemon for access to LVM2 functionality through a D-Bus interface.

%post dbusd
%systemd_post lvm2-lvmdbusd.service

%preun dbusd
%systemd_preun lvm2-lvmdbusd.service

%files dbusd
%defattr(555,root,root,-)
%{_sbindir}/lvmdbusd
%defattr(444,root,root,-)
%{_sysconfdir}/dbus-1/system.d/com.redhat.lvmdbus1.conf
%{_datadir}/dbus-1/system-services/com.redhat.lvmdbus1.service
%{_mandir}/man8/lvmdbusd.8.*
%{_unitdir}/lvm2-lvmdbusd.service
%{python3_sitelib}/lvmdbusd/*

%endif

%files -n dmsetup
%defattr(644,root,root,755)
%doc INSTALL README VERSION_DM WHATS_NEW_DM
%attr(755,root,root) %{_sbindir}/dmsetup
%attr(755,root,root) %{_sbindir}/dmstats
%if %{build_dmeventd}
%attr(755,root,root) %{_sbindir}/dmeventd
%endif
%{_unitdir}/dm-event.service
%{_unitdir}/dm-event.socket
%{_mandir}/man8/dmsetup.8*
%{_udevrulesdir}/10-dm.rules
%{_udevrulesdir}/13-dm-disk.rules
%{_udevrulesdir}/95-dm-notify.rules

%files -n %{dmlibname}
%defattr(755,root,root)
%{_libdir}/libdevmapper.so.*

%files -n %{dmdevelname}
%defattr(644,root,root,755)
%{_libdir}/libdevmapper.so
%{_includedir}/libdevmapper.h
%{_libdir}/pkgconfig/devmapper.pc

%if %{build_dmeventd}
%defattr(755,root,root)
%files -n %{event_libname}
%{_libdir}/libdevmapper-event.so.*

%files -n %{event_develname}
%defattr(644,root,root,755)
%{_includedir}/libdevmapper-event.h
%{_libdir}/libdevmapper-event.so
%{_libdir}/libdevmapper-event-lvm2.so
%{_libdir}/pkgconfig/devmapper-event.pc
%endif
