%define rel	1

Summary:        A set of default configuration for LXDE
Name:           lxde-common
Version:        0.99.3
Release:        %mkrel %{rel}
BuildArch:      noarch
License:        GPLv2+
Group:          Graphical desktop/Other
Source0:        https://github.com/lxde/%{name}/archive/refs/tags/%{version}.tar.gz
Source1:        hide-desktop-file.sh
Patch102:       %{name}-0.5.5-add-mcc-to-panel.patch
Patch103:       %{name}-0.99.3-mga-lxpanel-customization.patch
Patch106:       %{name}-0.5.5-default-theme.patch
Patch107:       %{name}-0.99.2-mga-copy-pcmanfm-conf-file.patch
# This patch adds mageia specific .desktop files to desktop
# and should fix mga#5941
Patch108:       %{name}-0.5.6-add-mageia-desktop-icons.patch
Patch109:       %{name}-0.5.6-mga-add-lxpanel-config.patch
Patch110:       %{name}-0.99.1-mga-make-lxde-logout-visible-for-lxpanel.patch
Patch111:       %{name}-0.5.6-mga-correct-pcmanfm-conf-path.patch
Patch114:       %{name}-0.99.0-mga-lxde-screenlock-visibility.patch
Patch115:       %{name}-0.99.2-mga-set-default-wallpaper.patch
Patch116:       %{name}-0.99.0-mga-correct-autostart-script.patch
Patch117:       %{name}-0.99.0-mga-kill-remaining-processes-on-logout.patch
Patch118:       %{name}-0.99.2-mga-use-desktop-common-data-menu.patch
Patch120:       %{name}-0.99.2-mga-add-script-hiding-desktop-files.patch
Patch122:       %{name}-0.99.0-mga-force-reloading-kb-conf.patch
Patch123:       %{name}-0.99.2-mga-gtk3-lxde-settings.patch
Patch124:       %{name}-0.99.2-mga-config-multimedia-keys.patch
URL:            https://www.lxde.org/
BuildRequires:  xsltproc
BuildRequires:  docbook-style-xsl
BuildRequires:  intltool
Requires:       openbox
Requires:       lxpanel
Requires:       lxsession >= 0.4.1
Requires:       pcmanfm >= 0.9.8
Requires:       lxterminal
Requires:       lxde-icon-theme
Requires:       mageia-lxde-config >= 0.5
Requires:       mate-notification-daemon
Requires:       gnome-screenshot
Requires:       libnotify
# Use register.desktop from desktop-common-data package (mga#12667)
Requires:       desktop-common-data
# Requirement for hide-desktop-file.sh
Requires:       desktop-file-utils
Recommends:     xscreensaver

Requires(post): mageia-theme
Conflicts:	desktop-common-data < 1:3.10-2

%description
This package provides a set of default configuration for LXDE.

%prep
%setup -q
%patch -P 102 -p1
%patch -P 103 -p1
%patch -P 106 -p1
%patch -P 107 -p1
%patch -P 108 -p1
%patch -P 109 -p1
%patch -P 110 -p1
%patch -P 111 -p1
%patch -P 114 -p1
%patch -P 115 -p1
%patch -P 116 -p1
%patch -P 117 -p1
%patch -P 118 -p1
%patch -P 120 -p1
%patch -P 122 -p1
%patch -P 123 -p1
%patch -P 124 -p1

%build
./autogen.sh
%configure --enable-man
%make_build

%install
%make_install

# shipped with %{_vendor}-lxde-config
rm -f %{buildroot}%{_sysconfdir}/xdg/lxsession/LXDE/desktop.conf

# pcmanfm package brings the only pcmanfm.conf that we should use
# patch correct-pcmanfm-conf-path make startlxde use it
rm %{buildroot}%{_sysconfdir}/xdg/pcmanfm/LXDE/pcmanfm.conf

# add a script to hide a desktop file because of bug mga#14059
install -m755 %{SOURCE1} %{buildroot}%{_bindir}
ln -s hide-desktop-file.sh %{buildroot}%{_bindir}/show-desktop-file.sh

%posttrans
# (ovitters) In posttrans, $1 is always equal to 1, even in the upgrade case.
# So just run this always:
if [ -e %{_datadir}/xsessions/04LXDE.desktop ]; then
	rm -rf %{_datadir}/xsessions/04LXDE.desktop
fi

%files
%config %{_sysconfdir}/xdg/lxsession/LXDE/autostart
%{_sysconfdir}/xdg/*
%{_bindir}/*
%{_datadir}/applications/lxde-logout.desktop
%{_datadir}/applications/lxde-screenlock.desktop
%{_datadir}/lxde
%{_datadir}/xsessions/LXDE.desktop
%{_mandir}/man1/*
