%define rel	6

Name:           lxdm
Version:        0.5.3
Release:        %mkrel 8.git20190224.%{rel}
Summary:        GUI login manager for LXDE
License:        GPLv2+
Group:          Graphical desktop/Other
URL:            https://www.lxde.org/
#Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Source0:        %{name}-86852db.tar.xz
Source1:        27%{name}.conf
Source2:        %{name}.service
Patch0:         %{name}-86852db-mga-customization.patch
# LXDM fails to work on minimal installation with default vt autodetection;
# Unlike kdm it selects vt7 but X then quits when the user tries to log in.
# Probably some conflict with systemd/plymouth but did not investigate this
# further as the workaround is acceptable. Mageia bug #3578. -Anssi 12/2011
#
# changed that to let it use vt1 after discussing with coling on irc
# -obgr_seneca 02/2012
Patch2:         %{name}-0.5.0-mga-use_vt1.patch
Patch4:         %{name}-0.4.1-source-etc-profile.patch
# (dams) fix pam.d to enable xguest account (mga #4950)
# (cg) and proper session registration (mga #9799)
Patch5:         %{name}-0.5.3-pam.patch
Patch7:         %{name}-0.5.0-mga-resetX.patch
Patch9:         %{name}-0.5.0-mga-display-faces.patch

BuildRequires:  intltool
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pam-devel
BuildRequires:  iso-codes
BuildRequires:  gtk+3-devel

Requires:       iso-codes
# for --generate in Source1:
Requires:       desktop-common-data >= 1:2-1
# for workaround mga#3714
# see https://bugs.mageia.org/show_bug.cgi?id=3714#c6
Requires:       mkxauth
Requires:       %{name}-theme-mageia

Provides:       dm

%description
A lightweight dropped-in replacement for GDM or KDM.

%prep
%setup -qn %{name}-86852db
%autopatch -p1

# use /run instead of /var/run
sed -i -e 's,/var/run,%{_rundir},g' $(grep -rl /var/run)

# systemd tmpfiles.d conf
cat << EOF > tempfiles.%{name}.conf
d %{_rundir}/%{name} 0755 root root
EOF

rm -f data/%{name}.conf

%build
./autogen.sh
%configure --enable-gtk3
%make_build

%install
%make_install

# dm conf file
install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/X11/dm.d/27%{name}.conf

install -Dpm 644 tempfiles.%{name}.conf %{buildroot}%{_prefix}/lib/tmpfiles.d/%{name}.conf
install -Dpm 644 %{SOURCE2} %{buildroot}%{_unitdir}/%{name}.service

%find_lang %{name}

%files -f %{name}.lang
%dir %{_sysconfdir}/%{name}
%{_sysconfdir}/%{name}/Xsession
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/%{name}/LoginReady
%config(noreplace) %{_sysconfdir}/%{name}/PostLogin
%config(noreplace) %{_sysconfdir}/%{name}/PostLogout
%config(noreplace) %{_sysconfdir}/%{name}/PreLogin
%config(noreplace) %{_sysconfdir}/%{name}/PreReboot
%config(noreplace) %{_sysconfdir}/%{name}/PreShutdown
%config(noreplace) %{_datadir}/X11/dm.d/27%{name}.conf
%{_sysconfdir}/pam.d/*
%{_libexecdir}/%{name}-greeter-gdk
%{_libexecdir}/%{name}-greeter-gtk
%{_libexecdir}/%{name}-numlock
%{_libexecdir}/%{name}-session
%{_sbindir}/%{name}*
%{_datadir}/%{name}
%{_bindir}/*
%{_prefix}/lib/tmpfiles.d/%{name}.conf
%{_unitdir}/%{name}.service
