%define rel	1

Name:           lxlauncher
Version:        0.2.8
Release:        %mkrel %{rel}
Epoch:          1
Summary:	Open source replacement for Asus Launcher of EeePC
License:	GPLv2+
Group:		Graphical desktop/Other
Url:            https://lxde.sourceforge.net/

Source0: 	https://github.com/lxde/%name/archive/refs/tags/%{version}.tar.gz

Patch1:		lxlauncher-0.2.1-nocharwrap.patch
# fix looking for icon names containing a dot which does not mark an extension, like ooo-writer3.0
# to be submitted upstream
Patch2:		lxlauncher-0.2-iconext.patch
Patch3:		fix-invisible-icons.patch

BuildRequires:	gtk+3-devel
BuildRequires:	pkgconfig(libmenu-cache)
BuildRequires:	gnome-common
BuildRequires:	pkgconfig(libstartup-notification-1.0)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	intltool

Requires:	desktop-common-data
Recommends:	lxde-icon-theme

%description
LXLauncher is part of LXDE project. It's designed for Asus EeePC as an
open source replacement for Asus Launcher included in EeePC provided by
Xandros. LXLauncher is standard-compliant and desktop-independent. It
follows freedesktop.org specs, so newly added applications will
automatically show up in the launcher, and vice versa for the removed ones.

%prep
%setup -q
%patch -P 1 -p0 -b .charwrap
%patch -P 2 -p1 -b .iconext
%patch -P 3 -p1 -b .invible-icons

%build
./autogen.sh
%configure --enable-gtk3
# (Fedora) workarond for build loop
touch -r po/Makefile po/stamp-it
%make_build

%install
%make_install

%{find_lang} %{name}

%files -f %{name}.lang
%{_bindir}/%name
%{_datadir}/desktop-directories/lxde-*.directory
%{_sysconfdir}/xdg/menus/lxlauncher-applications.menu
%{_sysconfdir}/xdg/lxlauncher
%{_mandir}/man1/*
