%define major 0
%define libname %mklibname %name %major

%define rel	1

Name:		lxpanel
Version:	0.11.1
Release:	%mkrel %{rel}
Summary:	Lightweight X11 desktop panel based on fbpanel
License:	GPLv2+
Group:		Graphical desktop/Other
URL:		https://www.lxde.org/

Source0:	https://github.com/lxde/%{name}/archive/refs/tags/%{version}.tar.gz
Patch4:		mga-fix-bug-30631.patch
Patch5:		mga-fix-deiconify.patch
Patch8:		mga-fix-bug-31002.patch
Patch9:		de37ccb92d25ba4b4741d4d33559618be0f3b91e.patch
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gdk-pixbuf-xlib-2.0)
BuildRequires:	pkgconfig(libmenu-cache)
BuildRequires:	pkgconfig(libwnck-3.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(libfm-gtk3)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	intltool
BuildRequires:	docbook-to-man
BuildRequires:	gettext-devel
BuildRequires:	libiw-devel
BuildRequires:	automake
BuildRequires:	pkgconfig(keybinder)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(keybinder-3.0)
BuildRequires:	pkgconfig(xkbfile)

Requires:	desktop-common-data
Requires:	libnotify
Recommends:	pcmanfm

%description
LXPanel is a lightweight X11 desktop panel contains:
1. User-friendly application menu automatically generated from *.desktop
   files on the system.
2. Launcher bar (Small icons clicked to launch apps)
3. Task bar supporting urgency hint (Can flash when gaim gets new
   incoming messages)
4. Notification area (System tray)
5. Digital clock
6. Run dialog (A dialog let you type a command and run, can be called in
   external programs)
7. Volume control plug-in (optional, written by jserv)
8. lxpanelctl, an external controller let you control lxpanel in other
   programs.

%package devel
Summary:	Development files for lxpanel
Group:		Graphical desktop/Other
Requires:	%{name} = %{version}

%description devel
This package contains development files needed for building lxde plugins.

%package -n %libname
Summary:	Lxpanel library package
Group:		Graphical desktop/Other
Requires:	%{name} = %{version}

%description -n %libname
Library for access to the API.

%prep
%setup -q
%autopatch -p1

%build
./autogen.sh
%configure \
	--enable-gtk3
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_bindir}/lxpanelctl
%dir %{_sysconfdir}/xdg/%{name}/
%{_sysconfdir}/xdg/%{name}/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/batt.so
%{_libdir}/%{name}/plugins/cpu.so
%{_libdir}/%{name}/plugins/cpufreq.so
%{_libdir}/%{name}/plugins/deskno.so
%{_libdir}/%{name}/plugins/kbled.so
%{_libdir}/%{name}/plugins/monitors.so
%{_libdir}/%{name}/plugins/netstat.so
%{_libdir}/%{name}/plugins/netstatus.so
%{_libdir}/%{name}/plugins/thermal.so
%{_libdir}/%{name}/plugins/volume.so
%{_libdir}/%{name}/plugins/weather.so
%{_libdir}/%{name}/plugins/xkb.so
%{_datadir}/%{name}
%{_mandir}/man1/*

%files devel
%{_includedir}/%{name}
%{_libdir}/%{name}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n %libname
%{_libdir}/%{name}/lib%{name}.so.%{major}{,.*}
