# git snapshot from commit af75989ac78eeb86a2abf961e9da5911c4f397da

# comment out when not a git snapshot
#define git	20190821

%define rel	1

Summary:	A simple & lightweight desktop-agnostic Qt file archiver
Name:		lxqt-archiver
Version:	1.1.0
Release:	%mkrel %{?git:0.git%git.}%{rel}
License:	GPLv2
Group:		Graphical desktop/KDE
Url:		https://lxqt-project.org/
Source0:	https://github.com/lxqt/lxqt-archiver/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:  cmake(lxqt2-build-tools)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	cmake(fm-qt6)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Help)
BuildRequires:	cmake(Qt6Widgets)

# for handling rpm files (mga#31682)
# https://github.com/lxqt/lxqt-archiver/pull/193
Requires:	bsdtar

%description
This is only a front-end (a graphical interface) to archiving programs
like tar and zip. The supported file types are:

  * 7-Zip Compressed File (.7z)
  * WinAce Compressed File (.ace)
  * ALZip Compressed File (.alz)
  * AIX Small Indexed Archive  (.ar)
  * ARJ Compressed Archive (.arj)
  * Cabinet File (.cab)
  * UNIX CPIO Archive (.cpio)
  * Debian Linux Package (.deb) [Read-only mode]
  * ISO-9660 CD Disc Image (.iso) [Read-only mode]
  * Java Archive (.jar)
  * Java Enterprise archive (.ear)
  * Java Web Archive (.war)
  * LHA Archive (.lzh, .lha)
  * WinRAR Compressed Archive (.rar)
  * RAR Archived Comic Book (.cbr)
  * RPM Linux Package (.rpm) [Read-only mode]
  * Tape Archive File:
    + uncompressed (.tar) or compressed with:
      o gzip (.tar.gz , .tgz)
      o bzip (.tar.bz , .tbz)
      o bzip2 (.tar.bz2 , .tbz2)
      o compress (.tar.Z , .taz)
      o lrzip (.tar.lrz , .tlrz)
      o lzip (.tar.lz , .tlz)
      o lzop (.tar.lzo , .tzo)
      o 7zip (.tar.7z)
      o xz (.tar.xz)
  * Stuffit Archives (.bin, .sit)
  * ZIP Archive (.zip)
  * ZIP Archived Comic Book (.cbz)
  * ZOO Compressed Archive File (.zoo)
  * Single files compressed with gzip, bzip, bzip2, compress, lrzip, lzip,
    lzop, rzip, xz.

%files
%doc AUTHORS LICENSE README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

#----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_qt6
%cmake_build

%install
%cmake_install
