#define scmrev 0
%define rel 1

Name: lxqt-common
Version: 0.11.0
%if 0%{?scmrev:1}
# rm -rf lxqt-common && git clone git://git.lxde.org/git/lxde/lxqt-common && cd lxqt-common/ 
# git archive --prefix=lxqt-common-$(date +%Y%m%d)/ --format=tar HEAD | xz > ../lxqt-common-$(date +%Y%m%d).tar.xz
Release: %mkrel -c %{scmrev} %rel
Source0: %{name}-%{scmrev}.tar.xz
%else
Release: %mkrel %rel
Source0: http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
%endif
# (doktor5000) if the locations of our default configuration files changes, following patch needs to be adapted
# see upstream bugs https://github.com/lxde/lxde-qt/issues/250
# and https://github.com/lxde/lxqt/issues/349 / https://github.com/lxde/lxqt/issues/385
# ensure existence of default config files, copy to XDG_CONFIG_HOME on startlxqt run
Patch0: lxqt-common-0.10.0-mga-add-pcmanfm-lxqt-config-files.patch
Summary: Common files for the LXQt desktop
URL: https://lxqt.org/
License: GPL
Group: Graphical desktop/KDE
BuildRequires: cmake
BuildRequires: pkgconfig(lxqt)
BuildRequires: pkgconfig(Qt5Help)
BuildRequires: desktop-common-data
BuildArch: noarch
# for the mageia wallpaper
Requires: mageia-theme
Obsoletes: razorqt-data < 0.5.3-1
Obsoletes: razorqt-desktop < 0.5.3-1
Conflicts: desktop-common-data < 1:3.10-2

%description
Common files for the LXQt desktop including configuration.

%prep
%if 0%{?scmrev:1}
%setup -q -n %{name}-%{scmrev}
%else
%setup -q
%endif

%autopatch -p1

%build
%cmake_qt5
%make

%install
%cmake_install

# remove useless empty file to make rpmlint happy
rm -f %{buildroot}%{_datadir}/lxqt/themes/flat/lxqt-power/.directory 

# FIXME: try to use Mageia wallpaper as default pcmanfm wallpaper when no theme is used
# sed -i 's|^Wallpaper=.*|Wallpaper=%{_datadir}/mga/backgrounds/default.jpg|' %{buildroot}%{_sysconfdir}/pcmanfm-qt/lxqt/settings.conf

# FIXME: undefine default pcmanfm wallpaper to use wallpaper from theme
#sed -i 's|^Wallpaper=.*$|Wallpaper=|' %{buildroot}%{_sysconfdir}/pcmanfm-qt/lxqt/settings.conf
# FIXME: set wallpaper to fill entire screen
#sed -i 's|^WallpaperMode=.*$|WallpaperMode=stretch|' %{buildroot}%{_sysconfdir}/pcmanfm-qt/lxqt/settings.conf


# create our own theme
%define sourcetheme kde-plasma
%define themename Mga-plasma

cp -a %{buildroot}%{_datadir}/lxqt/themes/%{sourcetheme} %{buildroot}%{_datadir}/lxqt/themes/%{themename}

# filter out unwanted stuff
grep -v -E 'margin: 1px 2px 1px 2px;|border: 1px solid #004e6c;|border-radius: 3px;|background: qlineargradient\(x1:1' %{buildroot}%{_datadir}/lxqt/themes/%{sourcetheme}/lxqt-panel.qss > %{buildroot}%{_datadir}/lxqt/themes/%{themename}/lxqt-panel.qss

# use Mageia cauldron icon for main menu
cp %{_datadir}/icons/large/mageia.png %{buildroot}%{_datadir}/lxqt/themes/%{themename}/
sed -i 's/qproperty-icon: url(mainmenu.svg);/qproperty-icon: url(mageia.png);/' %{buildroot}%{_datadir}/lxqt/themes/%{themename}/lxqt-panel.qss

# use our custom theme as default
sed -i 's/^theme=.*$/theme=%{themename}/' %{buildroot}%{_sysconfdir}/xdg/lxqt/lxqt.conf

# use Mageia wallpaper as default theme background - has to be located within theme directory
sed -i 's|file=.*$|file=default.png|' %{buildroot}%{_datadir}/lxqt/themes/%{themename}/wallpaper.cfg

# symlink default Mageia wallpaper into theme directory
ln -sf %{_datadir}/mga/backgrounds/default.png %{buildroot}%{_datadir}/lxqt/themes/%{themename}/default.png

%posttrans
# (ovitters) In posttrans, $1 is always equal to 1, even in the upgrade case.
# So just run this always:
if [ -e %{_datadir}/xsessions/13LXQT.desktop ]; then
	rm -rf %{_datadir}/xsessions/13LXQT.desktop
fi

%files
%{_datadir}/lxqt/themes
%{_sysconfdir}/xdg/lxqt
%{_sysconfdir}/xdg/menus/lxqt-applications.menu
%{_sysconfdir}/xdg/pcmanfm-qt
%{_sysconfdir}/xdg/openbox/lxqt-rc.xml
%{_bindir}/startlxqt
%{_datadir}/desktop-directories/lxqt-leave.directory
%{_datadir}/desktop-directories/lxqt-settings.directory
%{_datadir}/lxqt/graphics
%{_iconsdir}/hicolor/scalable/places/start-here-lxqt.svg
%{_iconsdir}/hicolor/scalable/apps/lxqt.svg
%{_sysconfdir}/xdg/autostart/*.desktop
%{_datadir}/kdm/sessions/lxqt.desktop
%{_datadir}/xsessions/lxqt.desktop
%{_mandir}/man1/startlxqt.1.*

