%define rel 1

Name:          lxqt-config
Version:       2.1.1
Release:       %mkrel %rel
Summary:       Config panel for the LXQt desktop
License:       LGPLv2+
Group:         Graphical desktop/KDE
URL:           https://lxqt-project.org/
Source0:       https://github.com/lxqt/lxqt-config/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: cmake(lxqt-menu-data)
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6Help)
BuildRequires: cmake(Qt6Svg)
BuildRequires: cmake(Qt6SvgWidgets)
BuildRequires: cmake(qt6xdg)
BuildRequires: cmake(Qt6Concurrent)
BuildRequires: cmake(lxqt)
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xcursor)
BuildRequires: pkgconfig(xi)
BuildRequires: pkgconfig(xorg-libinput)
BuildRequires: cmake(KF6WindowSystem) >= 5.5
BuildRequires: cmake(KF6Screen)
BuildRequires: desktop-file-utils
# xrandr binary required for lxqt-config-monitor
Requires:      xrandr
Requires:      libkscreen

%description
Config panel for the LXQt desktop.

%prep
%autosetup -p1

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

for lang in brightness; do
if [ -f %{buildroot}%{_datadir}/applications/lxqt-config-${lang}.desktop ]; then
sed -i "/^GenericName.*/d" %{buildroot}%{_datadir}/applications/lxqt-config-${lang}.desktop
sed -i "/^Comment.*/d" %{buildroot}%{_datadir}/applications/lxqt-config-${lang}.desktop
fi
done

%files
%{_bindir}/lxqt-config
%{_bindir}/lxqt-config-appearance
%{_bindir}/lxqt-config-brightness
%{_bindir}/lxqt-config-file-associations
%{_bindir}/lxqt-config-input
%{_bindir}/lxqt-config-locale
%{_bindir}/lxqt-config-monitor
%dir %{_libdir}/lxqt-config
%{_libdir}/lxqt-config/lib*.so
%{_datadir}/applications/lxqt-config*.desktop
%{_iconsdir}/hicolor/48x48/apps/brightnesssettings.svg
%{_datadir}/lxqt/icons
%{_mandir}/man1/lxqt-config-appearance.1*
%{_mandir}/man1/lxqt-config.1*
%{_mandir}/man1/lxqt-config-input.1*
%{_datadir}/lxqt/translations/lxqt-config-appearance/
%{_datadir}/lxqt/translations/lxqt-config-brightness/
%{_datadir}/lxqt/translations/lxqt-config-cursor/
%{_datadir}/lxqt/translations/lxqt-config-file-associations/
%{_datadir}/lxqt/translations/lxqt-config-input/
%{_datadir}/lxqt/translations/lxqt-config-locale/
%{_datadir}/lxqt/translations/lxqt-config-monitor/
%{_datadir}/lxqt/translations/lxqt-config/
