%define major     2
%define libname   %mklibname lxqt-globalkeys %{major}
%define uiname    %mklibname lxqt-globalkeys-ui %{major}
%define devname   %mklibname lxqt-globalkeys -d
%define uidevname %mklibname lxqt-globalkeys-ui -d

%define rel 1

Name:         lxqt-globalkeys
Version: 2.1.0
Release:      %mkrel %rel
Summary:       Global keys config module for LXQt
License:       LGPLv2+
Group:         Graphical desktop/KDE
URL:           https://lxqt-project.org/
Source0:       https://github.com/lxqt/lxqt-globalkeys/releases/download/%{version}/%{name}-%{version}.tar.xz
# (daviddavid) add a custom globalkeyshortcuts configuration as default
Source1:       globalkeyshortcuts.conf

# Upstream patches

BuildRequires: cmake
BuildRequires: cmake(lxqt)
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: cmake(Qt6DBus)
BuildRequires: cmake(Qt6LinguistTools)

%description
Global keys config module for LXQt.

%package -n %{libname}
Summary:       The LXQt globalkeys library
Group:         System/Libraries

%description -n %{libname}
The LXQt globalkeys library.

%package -n %{uiname}
Summary:       The LXQt globalkeys UI library
Group:         System/Libraries

%description -n %{uiname}
The LXQt globalkeys UI library.

%package -n %{devname}
Summary:       Development files for the LXQt globalkeys library
Group:         Development/C
Requires:      %libname = %version
Provides:      %name-devel = %version-%release
Provides:      lib%name-devel = %version-%release

%description -n %{devname}
Development files for the LXQt globalkeys library.

%package -n %{uidevname}
Summary:       Development files for the LXQt globalkeys UI library
Group:         Development/C
Requires:      %libname = %version
Requires:      %uiname = %version
Provides:      %uiname-devel = %version-%release
Provides:      lib%name-devel = %version-%release

%description -n %{uidevname}
Development files for the LXQt globalkeys UI library.

%prep
%autosetup -p1

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

# (daviddavid) add a custom globalkeyshortcuts configuration as default
mkdir -p %{buildroot}%{_sysconfdir}/xdg/lxqt
cp %{SOURCE1} %{buildroot}%{_sysconfdir}/xdg/lxqt/globalkeyshortcuts.conf

%files
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_sysconfdir}/xdg/autostart/lxqt-globalkeyshortcuts.desktop
%{_sysconfdir}/xdg/lxqt/globalkeyshortcuts.conf
%{_datadir}/lxqt/globalkeyshortcuts.conf
%{_datadir}/lxqt/translations/lxqt-config-globalkeyshortcuts/

%files -n %{libname}
%{_libdir}/liblxqt-globalkeys.so.%{major}{,.*}

%files -n %{uiname}
%{_libdir}/liblxqt-globalkeys-ui.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/liblxqt-globalkeys.so
%{_includedir}/lxqt-globalkeys
%{_libdir}/pkgconfig/lxqt-globalkeys.pc
%{_datadir}/cmake/lxqt-globalkeys

%files -n %{uidevname}
%{_libdir}/liblxqt-globalkeys-ui.so
%{_includedir}/lxqt-globalkeys-ui
%{_libdir}/pkgconfig/lxqt-globalkeys-ui.pc
%{_datadir}/cmake/lxqt-globalkeys-ui
