# Comment out when not a git archive
#define git_commit	4bb794c5fd632ada72a3428ea660adab3bb71cb7
#define git_date	20230527

%define rel 2

Name:		lxqt-menu-data
Version:	2.1.0
Release:	%mkrel %{?git_date:0.git%git_date.}%{rel}
Summary:	Menu files for LXQt Panel, Configuration Center and PCManFM-Qt/libfm-qt
License:	LGPLv2+
Group:		Graphical desktop/KDE
URL:		https://lxqt-project.org
Source0:	https://github.com/lxqt/lxqt-menu-data/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildArch:	noarch

BuildRequires:	cmake
BuildRequires:	intltool
BuildRequires:	cmake(lxqt2-build-tools)
BuildRequires:	cmake(Qt6LinguistTools)

# ease upgrade mga9 -> mga10 (mga#33813)
Conflicts:	lxqt-panel < 1.3.0-2

%description
Freedesktop.org compliant menu files for LXQt Panel, Configuration
Center and PCManFM-Qt/libfm-qt.

Runtime and build dependency for lxqt-panel, lxqt-config and pcmanfm-qt.

Replacement for and partially based on lxmenu-data (LXDE).

%prep
%autosetup -p1 -n %{name}%{?git_date:-%git_commit}%{!?git_date:-%version}

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSE
%{_sysconfdir}/xdg/menus/lxqt-applications.menu
%{_sysconfdir}/xdg/menus/lxqt-applications-compact.menu
%{_sysconfdir}/xdg/menus/lxqt-applications-fm.menu
%{_sysconfdir}/xdg/menus/lxqt-config.menu
%{_datadir}/desktop-directories/lxqt*.directory
%{_datadir}/cmake/%{name}/
