Name:          lxqt-panel
Version:       2.1.4
Release:       %mkrel 1
Summary:       Panel for the LXQt desktop
License:       LGPLv2+
Group:         Graphical desktop/KDE
URL:           https://lxqt-project.org/
Source0:       https://github.com/lxqt/lxqt-panel/releases/download/%{version}/%{name}-%{version}.tar.xz
# (doktor5000) add a custom panel configuration as default
# (daviddavid) modified/improved as of 20200524
Source1:       panel.conf

Patch0:        lxqt-panel-fix-desktop-entry.patch

BuildRequires: cmake
BuildRequires: cmake(lxqt-menu-data)
BuildRequires: cmake(lxqt2-build-tools)
BuildRequires: cmake(lxqt)
BuildRequires: cmake(lxqt-globalkeys) >= 0.10.0
BuildRequires: cmake(lxqt-globalkeys-ui) >= 0.10.0

BuildRequires: pkgconfig(sysstat-qt6)

BuildRequires: cmake(Qt6Concurrent)
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Help)

BuildRequires: cmake(KF6Solid) >= 5.5.0
BuildRequires: cmake(KF6GuiAddons)
BuildRequires: cmake(LayerShellQt)

BuildRequires: pkgconfig(libpulse)
BuildRequires: pkgconfig(icu-uc)
BuildRequires: pkgconfig(libstatgrab)
BuildRequires: pkgconfig(libmenu-cache)
BuildRequires: pkgconfig(xcomposite)
BuildRequires: pkgconfig(xdamage)
BuildRequires: lm_sensors-devel
BuildRequires: pkgconfig(xrender)
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(xcb-util)
BuildRequires: pkgconfig(xkbcommon)
BuildRequires: pkgconfig(xkbcommon-x11)
BuildRequires: pkgconfig(libmenu-cache)
BuildRequires: cmake(dbusmenu-lxqt)
BuildRequires: cmake(lxqt-globalkeys-ui)
BuildRequires: pkgconfig(xtst)

# (doktor5000) require qt6 plugins as otherwise menu and tasklist misbehave and display incorrectly
Requires:      kwindowsystem
Requires:      lxqt-themes
Requires:      lxqt-menu-data
Requires:      desktop-common-data

%description
Panel for the LXQt desktop.

%prep
%autosetup -p1

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

# (doktor5000) add a custom panel configuration as default
mkdir -p %{buildroot}%{_sysconfdir}/xdg/lxqt
cp %{SOURCE1} %{buildroot}%{_sysconfdir}/xdg/lxqt/panel.conf

%files
%{_sysconfdir}/xdg/autostart/lxqt-panel.desktop
%{_sysconfdir}/xdg/lxqt/panel.conf
%{_bindir}/%{name}
%{_datadir}/lxqt/%{name}/
%{_datadir}/lxqt/panel.conf
%{_includedir}/lxqt
%{_libdir}/%{name}
%{_mandir}/man1/lxqt-panel.1.*
%{_datadir}/lxqt/translations/lxqt-panel/
%{_datadir}/lxqt/panel/qeyes-types/
%{_datadir}/applications/%{name}.desktop
