Name:          lxqt-session
Version:       2.1.1
Release:       %mkrel 2
Summary:       Session manager for the LXQt desktop
License:       LGPLv2+
Group:         Graphical desktop/KDE
URL:           https://lxqt-project.org/
Source0:       https://github.com/lxqt/lxqt-session/releases/download/%{version}/%{name}-%{version}.tar.xz
# (daviddavid) add a custom lxqt configuration as default
Source1:       lxqt.conf
# Default mageia customization patches
Patch1:        0001-Use-openbox-by-default.patch
Patch2:        1.1.0-Fix-default-themes.patch
Patch3:        session-1.2.0-fix-desktop-without-blank-line.patch

BuildRequires: cmake
BuildRequires: cmake(lxqt)
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6LinguistTools)
BuildRequires: cmake(qt6xdg) >= 2.0.0
BuildRequires: cmake(LayerShellQt)
BuildRequires: pkgconfig(libproc2)
BuildRequires: pkgconfig(libudev)
BuildRequires: pkgconfig(xext)

BuildRequires: qtxdg-tools
BuildRequires: xdg-user-dirs
BuildRequires: libapr
BuildRequires: libapr-util
BuildRequires: git

Requires:      breeze-icons

%description
Session manager for the LXQt desktop.

%prep
%autosetup -p1

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

# (daviddavid) add a custom lxqt configuration as default
mkdir -p %{buildroot}%{_sysconfdir}/xdg/lxqt
cp %{SOURCE1} %{buildroot}%{_sysconfdir}/xdg/lxqt/lxqt.conf

%files
%{_sysconfdir}/xdg/lxqt/lxqt.conf
%{_bindir}/lxqt-leave
%{_bindir}/lxqt-session
%{_bindir}/lxqt-config-session
%{_bindir}/startlxqt
%{_sysconfdir}/xdg/autostart/lxqt-xscreensaver-autostart.desktop
%{_datadir}/lxqt/lxqt.conf
%{_datadir}/lxqt/session.conf
%{_datadir}/lxqt/windowmanagers.conf
%{_datadir}/lxqt/waylandwindowmanagers.conf
%{_datadir}/applications/lxqt-leave.desktop
%{_datadir}/applications/lxqt-config-session.desktop
%{_datadir}/applications/lxqt-hibernate.desktop
%{_datadir}/applications/lxqt-lockscreen.desktop
%{_datadir}/applications/lxqt-logout.desktop
%{_datadir}/applications/lxqt-reboot.desktop
%{_datadir}/applications/lxqt-shutdown.desktop
%{_datadir}/applications/lxqt-suspend.desktop
%{_datadir}/xsessions/lxqt.desktop
%{_mandir}/man1/*
%{_datadir}/lxqt/translations/lxqt-config-session/
%{_datadir}/lxqt/translations/lxqt-leave/
%{_datadir}/lxqt/translations/lxqt-session/
