%define srcname lxqt_wallet

%define major   6.0.0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           lxqt-wallet
Version:        4.0.2
Release:        %mkrel 1
Summary:        Create a kwallet like functionality for LXQt
Group:          Graphical desktop/KDE
License:        BSD-2-Clause
URL:            https://github.com/lxqt/lxqt_wallet/
Source0:        https://github.com/lxqt/lxqt_wallet/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(libgcrypt)
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  cmake(lxqt)
BuildRequires:  cmake(KF6Wallet)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Widgets)

%description
This project seeks to give a functionality for secure storage
of information that can be presented in key-values pair like
user names-passwords pairs.

Currently the project can store the information in KDE's kwallet,
GNOME's secret service or in an internal system that use libgcrypt
as its cryptographic backend.

The internal secure storage system allows the functionality to
be provided without dependencies on KDE or GNOME libraries.

This project is designed to be used by other projects simply by
adding the source folder in the build system and start using it.

#------------------------------------------------

%package -n     %{libname}
Summary:        Create a kwallet like functionality for LXQt
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}

%description -n %{libname}
This project seeks to give a functionality for secure storage
of information that can be presented in key-values pair like
user names-passwords pairs.

Currently the project can store the information in KDE's kwallet,
GNOME's secret service or in an internal system that use libgcrypt
as its cryptographic backend.

The internal secure storage system allows the functionality to
be provided without dependencies on KDE or GNOME libraries.

This project is designed to be used by other projects simply by
adding the source folder in the build system and start using it.

#------------------------------------------------

%package -n     %{devname}
Summary:        Development files for %{name}
Group:          Development/KDE and Qt
Requires:       %{libname} = %{version}-%{release}
Requires:       cmake(lxqt)
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -p1

cp -p backend/README README-backend
cp -p frontend/README README-frontend

%build
%cmake_qt6

%cmake_build

%install
%cmake_install

%find_lang %{name} --with-qt

%files -f %{name}.lang
%license LICENSE
%doc README.md changelog
%{_bindir}/%{srcname}-cli

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}

%files -n %{devname}
%doc README-*
%{_includedir}/lxqt/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
