%define rel	1

Summary:	The default X11 session manager of LXDE
Name:		lxsession
Version:	0.5.6
Release:	%mkrel %{rel}
License:	GPLv2+
Group:		Graphical desktop/Other
Source0:	https://github.com/lxde/%{name}/archive/refs/tags/%{version}.tar.gz
# Patch from https://sourceforge.net/p/lxde/bugs/760/#29fe/6196 to correct reload option behavior
Patch1000:	%{name}-0.5.2-git9f8d6133-reload.patch
Patch1002:	%{name}-0.5.2-notify-daemon-default.patch
Patch18:	lxsession-ayatana.patch
Patch19:	lxsession-0.5.4-load-settings-nullcheck.patch
Patch20:	mga-improve-French-translation.patch
URL:		https://www.lxde.org/
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(polkit-agent-1)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(ayatana-appindicator3-0.1)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	xsltproc
BuildRequires:	docbook-xsl
BuildRequires:	intltool
BuildRequires:	vala
Requires:	desktop-common-data
Requires:	polkit-agent

Provides:	lxde-session-manager = %{version}
Provides:	%{name}-edit = %{version}
Obsoletes:	%{name}-edit < %{version}

%description
LXSession is lightweight session manager, and it's not tied to "any" desktop
environment. It's desktop-independent and can be used with any window manager.
With proper configuration, you can make your own desktop environment with
LXSession. This is very useful to the users and developers of non-mainstream
window managers and desktop environments.

%package -n lxpolkit
Summary:	Simple PolicyKit authentication agent
Group:		Graphical desktop/Other
Provides:	polkit-agent
Conflicts:	%{name} < 0.5.3

%description -n lxpolkit
LXPolKit is a simple PolicyKit authentication agent developed for LXDE, the
Lightweight X11 Desktop Environment.

%prep
%autosetup -p1

%build
%global optflags %(echo "%{optflags} -Wno-implicit-function-declaration")

./autogen.sh
%configure --enable-advanced-notifications --enable-gtk3
%make_build

%install
%make_install

# to fix this bug: https://sourceforge.net/p/lxde/bugs/692
mkdir -p %{buildroot}%{_datadir}/app-install/desktop

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/lxlock
%{_bindir}/%{name}
%{_bindir}/%{name}-logout
%{_bindir}/lxclipboard
%{_bindir}/%{name}-default
%{_bindir}/%{name}-default-apps
%{_bindir}/%{name}-default-terminal
%{_bindir}/%{name}-edit
%{_bindir}/%{name}-db
%{_bindir}/%{name}-xdg-autostart
%{_bindir}/lxsettings-daemon
%{_datadir}/app-install/desktop
%{_datadir}/applications/%{name}-default-apps.desktop
%{_datadir}/applications/%{name}-edit.desktop
%{_datadir}/%{name}/images
%{_datadir}/%{name}/ui/%{name}-default-apps.ui
%{_datadir}/%{name}/ui/%{name}-edit.ui
%{_libexecdir}/%{name}/%{name}-xsettings
%{_mandir}/man1/*

%files -n lxpolkit
%{_bindir}/lxpolkit
%{_sysconfdir}/xdg/autostart/lxpolkit.desktop
%{_datadir}/%{name}/ui/lxpolkit.ui
