%define rel	1

Summary:	Lightweight VTE-based terminal emulator
Name:		lxterminal
Version:	0.4.1
Release:	%mkrel %{rel}
License:	GPLv2+
Group:		Graphical desktop/Other
Source0:	https://github.com/lxde/%{name}/archive/refs/tags/%{version}.tar.gz
Patch1:		%{name}-0.1.9-fix-default-font-color.patch
Patch2:		%{name}-master-mga-update-translations.patch
URL:		https://lxde.sourceforge.net/
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(vte-2.91)
BuildRequires:	intltool
BuildRequires:	docbook-to-man
BuildRequires:	docbook-style-xsl
BuildRequires:	xsltproc

%description
Desktop-independent VTE-based terminal emulator without any unnecessary
dependencies.
 
Feature:
* Support Multi-tab.
* It doesn't have any unnecessary dependencies.
* All instances share the same process to reduce memory usage.
* It has correct behavior with nice performance when resizing window,
  tab and VTE stuff.
* Using UNIX socket instead of D-bus to accomplish all instances share
  the same process.

%prep
%setup -q
cp data/lxterminal.conf.in data/lxterminal.conf
%patch -P1 -p0
%patch -P2 -p1

%build
autoreconf -vi
%configure --enable-gtk3 --enable-man
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_mandir}/man1/*
