%define __python %{__python3}

Name:           lybniz
Version:        3.0.4
Release:        %mkrel 10
Summary:        A function graph plotter
Group:          Sciences/Mathematics
License:        BSD
URL:            https://github.com/thomasfuhringer/lybniz
Source0:        https://github.com/thomasfuhringer/lybniz/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         0001-Fix-build-with-setuptools60.patch
Patch1:         0001-add-French_update-Polish.patch

BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  git-core
BuildRequires:  hicolor-icon-theme
Requires:       python3
Requires:       python3-cairo
Requires:       python3-gobject3
Requires:       yelp

%description
Lybniz is an easy to use mathematical function graph plotter using
Python on GTK.

%prep
%autosetup -S git

%build
%py3_build

%install
%py3_install

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog.txt PKG-INFO README.md
%license LICENSE
%{python3_sitelib}/%{name}*
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}*
%{_datadir}/icons/hicolor/scalable/apps/%{name}*
%{_datadir}/applications/*.desktop
%{_datadir}/gnome/help/%{name}
%{_mandir}/man1/%{name}.*
