%define	oname	lzma
%define	pre	alpha
%define	major	2
%define libname %mklibname %{oname} %{major}
%define libdev  %mklibname -d %{oname}

Summary: 	LZMA utils
Name: 		%{oname}-utils
Version: 	4.999.6
Release: 	%mkrel %{?pre:0.%{pre}.}4
License: 	GPL
Group:		Archiving/Compression
Source0:	https://tukaani.org/lzma/%{oname}-%{version}%{?pre}.tar.lzma
#Patch0:		lzma-4.999.3alpha-use-lzma_alone-format-by-default.patch
Patch1:		lzma-4.999.6alpha-bump-liblzma-major.patch
BuildRequires:	zlib-devel diffutils
#Obsoletes:	lzma
#Provides:	lzma = %{version}-%{release}
URL:		https://tukaani.org/lzma/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
LZMA provides very high compression ratio and fast decompression. The
core of the LZMA utils is Igor Pavlov's LZMA SDK containing the actual
LZMA encoder/decoder. LZMA utils add a few scripts which provide
gzip-like command line interface and a couple of other LZMA related
tools. Also provides:

- Average compression ratio 30% better than that of gzip and 15%
  better than that of bzip2.

- Decompression speed is only little slower than that of gzip, being
  two to five times faster than bzip2.

- In fast mode, compresses faster than bzip2 with a comparable
  compression ratio.

- Achieving the best compression ratios takes four to even twelve
  times longer than with bzip2. However. this doesn't affect
  decompressing speed.

- Very similar command line interface than what gzip and bzip2 have.

%package -n	%{libname}
Summary:	Libraries for decoding LZMA compression
Group:		System/Libraries
License:	LGPL

%description -n	%{libname}
Libraries for decoding LZMA compression.

%package -n	%{libdev}
Summary:	Devel libraries & headers for liblzma
Group:		Development/C
License:	LGPL
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{oname}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n %{libdev}
Devel libraries & headers for liblzma.

%prep
%setup -q -n %{oname}-%{version}%{?pre}
#%patch -P 0 -p1 -b .lzma_alone
%patch -P 1 -p1 -b .bump_major


%build
CFLAGS="%{optflags} -O3 -funroll-loops" \
%configure
%make

%install
rm -rf %{buildroot}
%make_install
rm -f %{buildroot}%{_libdir}/*.la
%find_lang %{oname}

# I'll omit the tools for now since it will replace old lzma utils version,
# will do some more testing of it first to avoid breakage..
rm -rf %{buildroot}%{_bindir} %{buildroot}%{_mandir}

# let's ship the lzma util with a different, non-conflicting name for people
# to test.
install -m755 src/lzma/lzma -D %{buildroot}%{_bindir}/%{name}

%check
make check

%clean
rm -rf %{buildroot}

%files -f %{oname}.lang
%defattr(-,root,root)
%doc README THANKS
%{_bindir}/*
#%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*

%files -n %{libdev}
%defattr(644,root,root,755)
%defattr(-,root,root)
%{_includedir}/%{oname}.h
%dir %{_includedir}/%{oname}
%{_includedir}/%{oname}/*.h
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/%{oname}.pc



