Summary: LZO fast file compressor
Name: lzop
Version: 1.04
Release: %mkrel 4
Source0: https://www.lzop.org/download/%{name}-%{version}.tar.gz
License: GPLv2+
Group: Archiving/Compression
BuildRequires: liblzo-devel >= 2.00
URL: https://www.oberhumer.com/opensource/lzop/

%description
lzop is a file compressor similar to gzip. Its main advantages over gzip
are much higher compression and decompression speed at the cost
of compression ratio.

lzop was designed with the following goals in mind:
  1) speed (both compression and decompression)
  2) reasonable drop-in compatibility to gzip
  3) portability

%prep
%autosetup -p1

%build
autoreconf -fi
export CPPFLAGS="-D_FILE_OFFSET_BITS=64 -I%{_includedir}/lzo"
%configure
%make_build

%install
%make_install

%files
%doc README COPYING AUTHORS NEWS THANKS doc/lzop.ps doc/lzop.html
%{_bindir}/lzop
%{_mandir}/man1/lzop.1*
%exclude %{_datadir}/doc/%{name}/%{name}.{tex,pod,man,txt}
