%define m17n_db_version   1.5.1
%define libotf_version    0.9.5

%define major     0
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           m17n-lib
Summary:        Multilingual text processing library
Version:        1.8.4
Release:        %mkrel 2
Group:          System/Internationalization
License:        LGPLv2+
URL:            https://savannah.nongnu.org/projects/m17n
Source0:        https://download.savannah.gnu.org/releases/m17n/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(m17n-db) >= %{m17n_db_version}
BuildRequires:  pkgconfig(libthai)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(xt)
BuildRequires:  pkgconfig(gdlib)
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(anthy) >= 6300d
BuildRequires:  pkgconfig(libotf) >= %{libotf_version}
# (tv) for AM_GNU_GETTEXT:
BuildRequires:  gettext-devel

# NOTE: medit and mdump require this font otherwise you get a SIGFPE
# because the font is not found, thus generating a tab_width=0 in
# layout_glyph_string() and then a division-by-zero.
# --> the bug is rather in the library and should be handled there.
Requires:       fonts-ttf-freefont

Requires:       m17n-db >= %{m17n_db_version}
Requires:       libotf >= %{libotf_version}

%description
The m17n library is a multilingual text processing library for the C
language.


%package -n     %{libname}
Summary:        The m17n library
Group:          System/Internationalization

%description -n %{libname}
m17n library.

%package -n     %{develname}
Summary:        Headers of m17n for development
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Headers of %{name} for development.

%prep
%setup -q

%build
%configure --disable-static
%__make

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/m17n-conv
%{_bindir}/m17n-date
%{_bindir}/m17n-dump
%{_bindir}/m17n-edit
%{_bindir}/m17n-view
%{_libdir}/m17n/*/*.so

%files -n %{libname}
%{_libdir}/libm17n*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
