# Doesn't require any BIOS/copyrighted material, so it can go in core.

%define debug_package %{nil}

#define date 20231227
#define gitcommit 90093ce3b353ff0fbe3277eb5d75130debdf0fab

Name:             m64py
Version:          0.3.0
Release:          %mkrel 1
Summary:          A Qt6 frontend for Mupen64Plus
License:          GPLv3
Group:            Emulators
Url:              https://m64py.sourceforge.net/
Source0:         https://sourceforge.net/projects/m64py/files/%{name}-%{version}/%{name}-%{version}.tar.gz
#Source0:          https://github.com/mupen64plus/mupen64plus-ui-python/archive/%{gitcommit}/mupen64plus-ui-python-%{gitcommit}.tar.gz

BuildRequires:    python3-qt6-devel
BuildRequires:    pkgconfig(python3)
# for rcc
BuildRequires:    cmake(Qt6)
# for lrelease
BuildRequires:    qttools6

Requires:         %{_lib}mupen64plus2 >= 2.0
Requires:         %{_lib}sdl2.0_0
Requires:         mupen64plus >= 2.0

%description
M64Py is a Qt6 front-end (GUI) for Mupen64Plus 2.0, a cross-platform
plugin-based Nintendo 64 emulator. The front-end is written in Python
and it provides a user-friendly interface over Mupen64Plus shared library.

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files m64py

%files -f %{pyproject_files}
%license AUTHORS COPYING LICENSES
%doc CHANGELOG README.rst
%{_bindir}/%{name}
%{_datadir}/applications/net.sourceforge.m64py.M64Py.desktop
%{_datadir}/icons/hicolor/96x96/apps/net.sourceforge.m64py.M64Py.png
%{_metainfodir}/net.sourceforge.m64py.M64Py.metainfo.xml
