%define major		12
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		mac
Version:	10.93
Release:	%mkrel 2
Summary:	Monkey's Audio Codec (MAC) utility
# Nonfree license (as per clause 3): http://www.monkeysaudio.com/license.html
License:	BSD-3-Clause
Group:		Sound/Editors and Converters
Url:		https://monkeysaudio.com
Source0:	%{url}/files/MAC_%(echo "%{version}" | tr -d .)_SDK.zip
Source1:	mac-permission_to_redistribute.txt

BuildRequires:	cmake
BuildRequires:	libstdc++-devel
%ifarch %{ix86} x86_64
BuildRequires:	yasm
%endif


%description
Monkey's Audio Codec is a lossless audio codec w/ good
correspondence of compression (and decompression) ratio
and time.

Monkey's Audio Codec can be used for personal, educational
and non-commercial purposes. Commercial usage requires
prior written permission from Monkey's Audio author.
See License.htm before usage.

This version is patched for shntool support.

This package is in nonfree repository because of its license.

#------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Monkey's Audio Codec library
Group:		System/Libraries

%description -n %{libname}
Monkey's Audio Codec library.

Monkey's Audio Codec is a lossless audio codec w/ good
correspondence of compression (and decompresssion) ratio
and time.

Monkey's Audio Codec can be used for personal, educational
and non-commercial purposes. Commercial usage requires
prior written permission from Monkey's Audio author.
See License.htm before usage.

This version is patched for shntool support.

This package is in nonfree repository because of its license.

#------------------------------------------------------------------------

%package -n	%{develname}
Summary:	Monkey's Audio Codec development files
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files (headers etc) needed to develop software with %{libname}.

This version is patched for shntool support.

This package is in nonfree repository because of its license.

#------------------------------------------------------------------------
%prep
%autosetup -c %{name}

# Drop prebuilt binaries and unused vendored dependencies
rm -r '3rd Party' Shared/{32,64} Source/'DirectShow Filter'

# Convert readme to UTF-8 and fix EOL encoding
iconv -f iso8859-1 -t utf-8 Readme.txt > Readme.txt.conv && \
  mv -f Readme.txt.conv Readme.txt
sed -i 's/\r$//' Readme.txt

# Copy permission to redistribute
cp -pr %{SOURCE1} .

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc Readme.txt
%license License.txt
%{_bindir}/%{name}

%files -n %{libname}
%doc mac-permission_to_redistribute.txt Readme.txt
%license License.txt
%{_libdir}/libMAC.so.%{major}{,.*}

%files -n %{develname}
%doc Readme.txt
%{_includedir}/MAC/
%{_libdir}/libMAC.so
