%define rname Maelstrom

Summary:	SDL port of Maelstrom asteroids game
Name:		maelstrom
Version:	3.0.7
Release:	%mkrel 1
License:	GPLv2
Group:		Games/Arcade
URL:		https://www.libsdl.org/projects/Maelstrom/
Source0:	https://www.libsdl.org/projects/Maelstrom/src/%{rname}-%{version}.tar.gz
Source10:	%{rname}.16.png
Source11:	%{rname}.32.png
Source12:	%{rname}.48.png
Patch1:		%{rname}-3.0.6-scorefile.patch
Patch2:		%{rname}-3.0.7-datadir.patch
Patch3:		%{rname}-3.0.6-gcc3.4.patch
Patch4:		%{rname}-missing-include.patch
BuildRequires:	pkgconfig(SDL2_net)
BuildRequires:	pkgconfig(sdl2)
%rename		%{rname}

%description
Maelstrom is a rockin' asteroids game ported from the Macintosh
Originally written by Andrew Welch of Ambrosia Software, and ported
to UNIX and then SDL by Sam Lantinga <slouken@devolution.com>

%prep
%setup -q -n %{rname}-%{version}
%patch -P 1 -b .scores
%patch -P 2 -p1 -b .datadir
%patch -P 3 -p1
%patch -P 4 -p1 -b .include

mv configure.in configure.ac
touch ChangeLog NEWS AUTHORS README

%build
autoreconf -vfi
%configure bindir=%{_gamesbindir} datadir=%{_gamesdatadir}
%make_build

%install
%make_install install-binPROGRAMS bindir=%{_gamesbindir}

mkdir -p %{buildroot}%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mageia-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_gamesbindir}/%{rname}
Name=%{rname}
Comment=Asteroids game
Categories=Game;ArcadeGame;
Icon=%{rname}
EOF

mkdir -p %{buildroot}%{_miconsdir}
mkdir -p %{buildroot}%{_liconsdir}
install -m 644 %{SOURCE10} %{buildroot}%{_miconsdir}/%{name}.png
install -m 644 %{SOURCE11} %{buildroot}%{_iconsdir}/%{name}.png
install -m 644 %{SOURCE12} %{buildroot}%{_liconsdir}/%{name}.png

mkdir -p %{buildroot}%{_localstatedir}/lib/games/

rm -rf %{buildroot}%{_gamesdatadir}/%{rname}/%{rname}

%files
%doc CREDITS.txt README* Changelog Docs
%license COPYING
%attr(2755,root,games) %{_gamesbindir}/%{rname}*
%{_gamesdatadir}/%{rname}/
%{_datadir}/applications/mageia-*.desktop
%{_iconsdir}/*.png
%{_miconsdir}/*
%{_liconsdir}/*
%ghost %config(noreplace) %attr(0664,root,games) %{_localstatedir}/lib/games/Maelstrom-Scores
