%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		maeparser
Version:	1.3.1
Release:	%mkrel 6
Summary:	Maestro file parser
License:	MIT
Group:		System/Libraries
URL:		https://github.com/schrodinger/maeparser
Source0:	https://github.com/schrodinger/maeparser/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		maeparser-fix-cmake-install-dir.patch

BuildRequires:	cmake
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(zlib)

%description
maeparser is a parser for Schrodinger Maestro files.

#------------------------------------------------

%package -n	%{libname}
Summary:	Maestro file parser
Group:		System/Libraries

%description -n	%{libname}
maeparser is a parser for Schrodinger Maestro files.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc README.md
%license LICENSE.txt
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc README.md
%license LICENSE.txt
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}/
