%define libdrakx %{_prefix}/lib/libDrakX

Name:		mageia-doc
Summary:	%{_vendor} documentation
Version:	9.1
Release:	%mkrel 2

License:	CC-BY-SA
Group:		Documentation
Url:		https://docteam.mageia.org.uk
# archive built from soft/mageia-doc
# extract tag:
# svn export svn+ssh://${USER}@svn.mageia.org/svn/soft/mageia-doc/tags/${PKGNAME}-${VERSION}
# build the compressed archive:
# tar cvJf ${PKGNAME}-${VERSION}{.tar.xz,}
Source0:	%{name}-%{version}.tar.xz

# mcc help definitions
%define mcchelp			mcc
%define insthelp		installer
%define livehelp		draklive
%define netinsthelp		netinstall

%define DOCDIRS	%mcchelp %insthelp %livehelp %netinsthelp
%define LANGS	ca cs de el en eo es et eu fr he hr hu id it ja nb nl pl pt_br ro ru sk sl sq sr sv tg tr uk zh_cn

BuildArch:	noarch
BuildRequires:	wget
BuildRequires:	desktop-file-utils

%description
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the menus.

#------------------------------------------------
### MCC ###

%package mcc-common
Summary:	The %{_vendor} Control Center manuals: common part
Group:		Documentation
Requires:	%{name}-common >= %{version}-%{release}
# because of the symlink in install stage
Requires:	%{name}-mcc-en

%description mcc-common
This package contains a part of common documentation for MCC help.

%package mcc-ca
Summary:	The %{_vendor} Control Center manuals in Catalan
Group:		Documentation
Requires:	locales-ca
Requires:	%{name}-mcc-common >= %{version}-%{release}

%description mcc-ca
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package mcc-cs
Summary:	The %{_vendor} Control Center manuals in Czech
Group:		Documentation
Requires:	locales-cs
Requires:	%{name}-mcc-common >= %{version}-%{release}

%description mcc-cs
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package mcc-de
Summary:	The %{_vendor} Control Center manuals in German
Group:		Documentation
Requires:	locales-de
Requires:	%{name}-mcc-common >= %{version}-%{release}

%description mcc-de
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package mcc-el
Summary:	The %{_vendor} Control Center manuals in Greek
Group:		Documentation
Requires:	locales-el
Requires:	%{name}-mcc-common >= %{version}-%{release}

%description mcc-el
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package mcc-en
Summary:	The %{_vendor} Control Center manuals in English
Group:		Documentation
Requires:	locales-en
Requires:	%{name}-mcc-common >= %{version}-%{release}

%description mcc-en
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package mcc-eo
Summary:	The %{_vendor} Control Center manuals in Esperanto
Group:		Documentation
Requires:	locales-eo
Requires:	%{name}-mcc-common >= %{version}-%{release}

%description mcc-eo
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package mcc-es
Summary:	The %{_vendor} Control Center manuals in Spanish
Group:		Documentation
Requires:	locales-es
Requires:	%{name}-mcc-common >= %{version}-%{release}

%description mcc-es
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package mcc-et
Summary:	The %{_vendor} Control Center manuals in Estonian
Group:		Documentation
Requires:	locales-et
Requires:	%{name}-mcc-common >= %{version}-%{release}

%description mcc-et
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package mcc-eu
Summary:	The %{_vendor} Control Center manuals in Euskara
Group:		Documentation
Requires:	locales-eu
Requires:	%{name}-mcc-common >= %{version}-%{release}

%description mcc-eu
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package mcc-fr
Summary:	The %{_vendor} Control Center manuals in French
Group:		Documentation
Requires:	locales-fr
Requires:	%{name}-mcc-common >= %{version}-%{release}

%description mcc-fr
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package mcc-hu
Summary:	The %{_vendor} Control Center manuals in Hungarian
Group:		Documentation
Requires:	locales-hu
Requires:	%{name}-mcc-common >= %{version}-%{release}

%description mcc-hu
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package mcc-id
Summary:	The %{_vendor} Control Center manuals in Indonesian
Group:		Documentation
Requires:	locales-id
Requires:	%{name}-mcc-common >= %{version}-%{release}

%description mcc-id
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package mcc-it
Summary:	The %{_vendor} Control Center manuals in Italian
Group:		Documentation
Requires:	locales-it
Requires:	%{name}-mcc-common >= %{version}-%{release}

%description mcc-it
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package mcc-ja
Summary:	The %{_vendor} Control Center manuals in Japanese
Group:		Documentation
Requires:	locales-ja
Requires:	%{name}-mcc-common >= %{version}-%{release}

%description mcc-ja
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package mcc-nb
Summary:	The %{_vendor} Control Center manuals in Bokmal Norwegian
Group:		Documentation
Requires:	locales-no
Requires:	%{name}-mcc-common >= %{version}-%{release}

%description mcc-nb
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package mcc-nl
Summary:	The %{_vendor} Control Center manuals in Dutch
Group:		Documentation
Requires:	locales-nl
Requires:	%{name}-mcc-common >= %{version}-%{release}

%description mcc-nl
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package mcc-pl
Summary:	The %{_vendor} Control Center manuals in Polish
Group:		Documentation
Requires:	locales-pl
Requires:	%{name}-mcc-common >= %{version}-%{release}

%description mcc-pl
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package mcc-pt_br
Summary:	The %{_vendor} Control Center manuals in Brazilian Portuguese
Group:		Documentation
Requires:	locales-pt
Requires:	%{name}-mcc-common >= %{version}-%{release}

%description mcc-pt_br
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package mcc-ro
Summary:	The %{_vendor} Control Center manuals in Romanian
Group:		Documentation
Requires:	locales-ro
Requires:	%{name}-mcc-common >= %{version}-%{release}

%description mcc-ro
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package mcc-ru
Summary:	The %{_vendor} Control Center manuals in Russian
Group:		Documentation
Requires:	locales-ru
Requires:	%{name}-mcc-common >= %{version}-%{release}

%description mcc-ru
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package mcc-sl
Summary:	The %{_vendor} Control Center manuals in Slovenian
Group:		Documentation
Requires:	locales-sl
Requires:	%{name}-mcc-common >= %{version}-%{release}

%description mcc-sl
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package mcc-sq
Summary:	The %{_vendor} Control Center manuals in Albanian
Group:		Documentation
Requires:	locales-sq
Requires:	%{name}-mcc-common >= %{version}-%{release}

%description mcc-sq
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package mcc-sv
Summary:	The %{_vendor} Control Center manuals in Swedish
Group:		Documentation
Requires:	locales-sv
Requires:	%{name}-mcc-common >= %{version}-%{release}

%description mcc-sv
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package mcc-tr
Summary:	The %{_vendor} Control Center manuals in Turkish
Group:		Documentation
Requires:	locales-tr
Requires:	%{name}-mcc-common >= %{version}-%{release}

%description mcc-tr
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package mcc-uk
Summary:	The %{_vendor} Control Center manuals in Ukrainian
Group:		Documentation
Requires:	locales-uk
Requires:	%{name}-mcc-common >= %{version}-%{release}

%description mcc-uk
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package mcc-zh_CN
Summary:	The %{_vendor} Control Center manuals in Chinese Simplified
Group:		Documentation
Requires:	locales-zh
Requires:	%{name}-mcc-common >= %{version}-%{release}

%description mcc-zh_CN
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

### END of MCC ###

#------------------------------------------------
### Installer ###

%package installer-common
Summary:	The %{_vendor} Installer manuals: common part
Group:		Documentation
Requires:	%{name}-common >= %{version}-%{release}
# because of the symlink in install stage
Requires:	%{name}-installer-en

%description installer-common
This package contains a part of common documentation for installer help.

%package installer-ca
Summary:	The %{_vendor} Installer manuals in Catalan
Group:		Documentation
Requires:	locales-ca
Requires:	%{name}-installer-common >= %{version}-%{release}

%description installer-ca
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-cs
Summary:	The %{_vendor} Installer manuals in Czech
Group:		Documentation
Requires:	locales-cs
Requires:	%{name}-installer-common >= %{version}-%{release}

%description installer-cs
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-de
Summary:	The %{_vendor} Installer manuals in German
Group:		Documentation
Requires:	locales-de
Requires:	%{name}-installer-common >= %{version}-%{release}

%description installer-de
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-el
Summary:	The %{_vendor} Installer manuals in Greek
Group:		Documentation
Requires:	locales-el
Requires:	%{name}-installer-common >= %{version}-%{release}

%description installer-el
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-en
Summary:	The %{_vendor} Installer manuals in English
Group:		Documentation
Requires:	locales-en
Requires:	%{name}-installer-common >= %{version}-%{release}

%description installer-en
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-eo
Summary:	The %{_vendor} Installer manuals in Esperanto
Group:		Documentation
Requires:	locales-eo
Requires:	%{name}-installer-common >= %{version}-%{release}

%description installer-eo
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-es
Summary:	The %{_vendor} Installer manuals in Spanish
Group:		Documentation
Requires:	locales-es
Requires:	%{name}-installer-common >= %{version}-%{release}

%description installer-es
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-et
Summary:	The %{_vendor} Installer manuals in Estonian
Group:		Documentation
Requires:	locales-et
Requires:	%{name}-installer-common >= %{version}-%{release}

%description installer-et
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-eu
Summary:	The %{_vendor} Installer manuals in Euskara
Group:		Documentation
Requires:	locales-eu
Requires:	%{name}-installer-common >= %{version}-%{release}

%description installer-eu
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-fr
Summary:	The %{_vendor} Installer manuals in French
Group:		Documentation
Requires:	locales-fr
Requires:	%{name}-installer-common >= %{version}-%{release}

%description installer-fr
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-hr
Summary:	The %{_vendor} Installer manuals in Croatian
Group:		Documentation
Requires:	locales-hr
Requires:	%{name}-installer-common >= %{version}-%{release}

%description installer-hr
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-id
Summary:	The %{_vendor} Installer manuals in Indonesian
Group:		Documentation
Requires:	locales-id
Requires:	%{name}-installer-common >= %{version}-%{release}

%description installer-id
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-it
Summary:	The %{_vendor} Installer manuals in Italian
Group:		Documentation
Requires:	locales-it
Requires:	%{name}-installer-common >= %{version}-%{release}

%description installer-it
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-ja
Summary:	The %{_vendor} Installer manuals in Japanese
Group:		Documentation
Requires:	locales-ja
Requires:	%{name}-installer-common >= %{version}-%{release}

%description installer-ja
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-nb
Summary:	The %{_vendor} Installer manuals in Norwegian Bokmål
Group:		Documentation
Requires:	locales-no
Requires:	%{name}-installer-common >= %{version}-%{release}

%description installer-nb
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-nl
Summary:	The %{_vendor} Installer manuals in Dutch
Group:		Documentation
Requires:	locales-nl
Requires:	%{name}-installer-common >= %{version}-%{release}

%description installer-nl
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-pl
Summary:	The %{_vendor} Installer manuals in Polish
Group:		Documentation
Requires:	locales-pl
Requires:	%{name}-installer-common >= %{version}-%{release}

%description installer-pl
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-pt_br
Summary:	The %{_vendor} Installer manuals in Brazilian Portuguese
Group:		Documentation
Requires:	locales-pt
Requires:	%{name}-installer-common >= %{version}-%{release}

%description installer-pt_br
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-ro
Summary:	The %{_vendor} Installer manuals in Romanian
Group:		Documentation
Requires:	locales-ro
Requires:	%{name}-installer-common >= %{version}-%{release}

%description installer-ro
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-ru
Summary:	The %{_vendor} Installer manuals in Russian
Group:		Documentation
Requires:	locales-ru
Requires:	%{name}-installer-common >= %{version}-%{release}

%description installer-ru
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-sk
Summary:	The %{_vendor} Installer manuals in Slovak
Group:		Documentation
Requires:	locales-sk
Requires:	%{name}-installer-common >= %{version}-%{release}

%description installer-sk
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-sl
Summary:	The %{_vendor} Installer manuals in Slovenian
Group:		Documentation
Requires:	locales-sl
Requires:	%{name}-installer-common >= %{version}-%{release}

%description installer-sl
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-sq
Summary:	The %{_vendor} Installer manuals in Albanian
Group:		Documentation
Requires:	locales-sq
Requires:	%{name}-installer-common >= %{version}-%{release}

%description installer-sq
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-sr
Summary:	The %{_vendor} Installer manuals in Serbian
Group:		Documentation
Requires:	locales-sr
Requires:	%{name}-installer-common >= %{version}-%{release}

%description installer-sr
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.


%package installer-sv
Summary:	The %{_vendor} Installer manuals in Swedish
Group:		Documentation
Requires:	locales-sv
Requires:	%{name}-installer-common >= %{version}-%{release}

%description installer-sv
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-tr
Summary:	The %{_vendor} Installer manuals in Turkish
Group:		Documentation
Requires:	locales-tr
Requires:	%{name}-installer-common >= %{version}-%{release}

%description installer-tr
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-uk
Summary:	The %{_vendor} Installer manuals in Ukrainian
Group:		Documentation
Requires:	locales-uk
Requires:	%{name}-installer-common >= %{version}-%{release}

%description installer-uk
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package installer-zh_CN
Summary:	The %{_vendor} Installer manuals in Chinese (simplified)
Group:		Documentation
Requires:	locales-zh_CN
Requires:	%{name}-installer-common >= %{version}-%{release}

%description installer-zh_CN
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

### END of Installer ###

#------------------------------------------------
### Draklive ###

%package draklive-common
Summary:	The %{_vendor} Live Installer manuals: common part
Group:		Documentation
Requires:	%{name}-common >= %{version}-%{release}
# because of the symlink in install stage
Requires:	%{name}-draklive-en

%description draklive-common
This package contains a part of common documentation for Live Installer help.

%package draklive-cs
Summary:	The %{_vendor} Installer manuals in Czech
Group:		Documentation
Requires:	locales-cs
Requires:	%{name}-draklive-common >= %{version}-%{release}

%description draklive-cs
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package draklive-de
Summary:	The %{_vendor} Live Installer manuals in German
Group:		Documentation
Requires:	locales-de
Requires:	%{name}-draklive-common >= %{version}-%{release}

%description draklive-de
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package draklive-el
Summary:	The %{_vendor} Live Installer manuals in Greek
Group:		Documentation
Requires:	locales-el
Requires:	%{name}-draklive-common >= %{version}-%{release}

%description draklive-el
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package draklive-en
Summary:	The %{_vendor} Live Installer manuals in English
Group:		Documentation
Requires:	locales-en
Requires:	%{name}-draklive-common >= %{version}-%{release}

%description draklive-en
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package draklive-es
Summary:	The %{_vendor} Live Installer manuals in Spanish
Group:		Documentation
Requires:	locales-es
Requires:	%{name}-draklive-common >= %{version}-%{release}

%description draklive-es
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package draklive-et
Summary:	The %{_vendor} Live Installer manuals in Estonian
Group:		Documentation
Requires:	locales-et
Requires:	%{name}-draklive-common >= %{version}-%{release}

%description draklive-et
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package draklive-eu
Summary:	The %{_vendor} Live Installer manuals in Euskara
Group:		Documentation
Requires:	locales-eu
Requires:	%{name}-draklive-common >= %{version}-%{release}

%description draklive-eu
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package draklive-fr
Summary:	The %{_vendor} Live Installer manuals in French
Group:		Documentation
Requires:	locales-fr
Requires:	%{name}-draklive-common >= %{version}-%{release}

%description draklive-fr
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package draklive-he
Summary:	The %{_vendor} Live Installer manuals in Hebrew
Group:		Documentation
Requires:	locales-he
Requires:	%{name}-draklive-common >= %{version}-%{release}

%description draklive-he
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package draklive-hr
Summary:	The %{_vendor} Live Installer manuals in Croatian
Group:		Documentation
Requires:	locales-hr
Requires:	%{name}-draklive-common >= %{version}-%{release}

%description draklive-hr
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package draklive-ja
Summary:	The %{_vendor} Live Installer manuals in Japanese
Group:		Documentation
Requires:	locales-ja
Requires:	%{name}-draklive-common >= %{version}-%{release}

%description draklive-ja
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package draklive-nb
Summary:	The %{_vendor} Live Installer manuals in Norwegian Bokmål
Group:		Documentation
Requires:	locales-no
Requires:	%{name}-draklive-common >= %{version}-%{release}

%description draklive-nb
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package draklive-nl
Summary:	The %{_vendor} Live Installer manuals in Dutch
Group:		Documentation
Requires:	locales-nl
Requires:	%{name}-draklive-common >= %{version}-%{release}

%description draklive-nl
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package draklive-pt_br
Summary:	The %{_vendor} Live Installer manuals in Brazilian Portuguese
Group:		Documentation
Requires:	locales-pt
Requires:	%{name}-draklive-common >= %{version}-%{release}

%description draklive-pt_br
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package draklive-ro
Summary:	The %{_vendor} Live Installer manuals in Romanian
Group:		Documentation
Requires:	locales-ro
Requires:	%{name}-draklive-common >= %{version}-%{release}

%description draklive-ro
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package draklive-ru
Summary:	The %{_vendor} Live Installer manuals in Russian
Group:		Documentation
Requires:	locales-ru
Requires:	%{name}-draklive-common >= %{version}-%{release}

%description draklive-ru
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package draklive-sk
Summary:	The %{_vendor} Live Installer manuals in Slovaque
Group:		Documentation
Requires:	locales-sk
Requires:	%{name}-draklive-common >= %{version}-%{release}

%description draklive-sk
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package draklive-sl
Summary:	The %{_vendor} Live Installer manuals in Slovenian
Group:		Documentation
Requires:	locales-sl
Requires:	%{name}-draklive-common >= %{version}-%{release}

%description draklive-sl
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package draklive-sq
Summary:	The %{_vendor} Live Installer manuals in Albanian
Group:		Documentation
Requires:	locales-sq
Requires:	%{name}-draklive-common >= %{version}-%{release}

%description draklive-sq
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package draklive-sv
Summary:	The %{_vendor} Live Installer manuals in Swedish
Group:		Documentation
Requires:	locales-sv
Requires:	%{name}-draklive-common >= %{version}-%{release}

%description draklive-sv
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package draklive-tr
Summary:	The %{_vendor} Live Installer manuals in Turkish
Group:		Documentation
Requires:	locales-tr
Requires:	%{name}-draklive-common >= %{version}-%{release}

%description draklive-tr
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package draklive-uk
Summary:	The %{_vendor} Live Installer manuals in Ukranian
Group:		Documentation
Requires:	locales-uk
Requires:	%{name}-draklive-common >= %{version}-%{release}

%description draklive-uk
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package draklive-zh_CN
Summary:	The %{_vendor} Live Installer manuals in Chinese (simplified)
Group:		Documentation
Requires:	locales-zh_CN
Requires:	%{name}-draklive-common >= %{version}-%{release}

%description draklive-zh_CN
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

### END of Draklive ###

#------------------------------------------------
### Netinstall ###

%package netinstall-common
Summary:	The %{_vendor} Network Installer manuals: common part
Group:		Documentation
Requires:	%{name}-common >= %{version}-%{release}
# because of the symlink in install stage
Requires:	%{name}-netinstall-en

%description netinstall-common
This package contains a part of common documentation for Network Installer help.

%package netinstall-ca
Summary:	The %{_vendor} Network Installer manuals in Catalan
Group:		Documentation
Requires:	locales-ca
Requires:	%{name}-netinstall-common >= %{version}-%{release}

%description netinstall-ca
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package netinstall-cs
Summary:	The %{_vendor} Network Installer manuals in Czech
Group:		Documentation
Requires:	locales-cs
Requires:	%{name}-netinstall-common >= %{version}-%{release}

%description netinstall-cs
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package netinstall-de
Summary:	The %{_vendor} Network Installer manuals in German
Group:		Documentation
Requires:	locales-de
Requires:	%{name}-netinstall-common >= %{version}-%{release}

%description netinstall-de
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package netinstall-el
Summary:	The %{_vendor} Network Installer manuals in Greek
Group:		Documentation
Requires:	locales-el
Requires:	%{name}-netinstall-common >= %{version}-%{release}

%description netinstall-el
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package netinstall-en
Summary:	The %{_vendor} Network Installer manuals in English
Group:		Documentation
Requires:	locales-en
Requires:	%{name}-netinstall-common >= %{version}-%{release}

%description netinstall-en
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package netinstall-es
Summary:	The %{_vendor} Network Installer manuals in Spanish
Group:		Documentation
Requires:	locales-es
Requires:	%{name}-netinstall-common >= %{version}-%{release}

%description netinstall-es
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package netinstall-et
Summary:	The %{_vendor} Network Installer manuals in Estonian
Group:		Documentation
Requires:	locales-et
Requires:	%{name}-netinstall-common >= %{version}-%{release}

%description netinstall-et
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package netinstall-eu
Summary:	The %{_vendor} Network Installer manuals in Euskara
Group:		Documentation
Requires:	locales-eu
Requires:	%{name}-netinstall-common >= %{version}-%{release}

%description netinstall-eu
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package netinstall-fr
Summary:	The %{_vendor} Network Installer manuals in French
Group:		Documentation
Requires:	locales-fr
Requires:	%{name}-netinstall-common >= %{version}-%{release}

%description netinstall-fr
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package netinstall-hu
Summary:	The %{_vendor} Network Installer manuals in Hungarian
Group:		Documentation
Requires:	locales-hu
Requires:	%{name}-netinstall-common >= %{version}-%{release}

%description netinstall-hu
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package netinstall-ja
Summary:	The %{_vendor} Network Installer manuals in Japanese
Group:		Documentation
Requires:	locales-ja
Requires:	%{name}-netinstall-common >= %{version}-%{release}

%description netinstall-ja
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package netinstall-nb
Summary:	The %{_vendor} Network Installer manuals in Norwegian Bokmål
Group:		Documentation
Requires:	locales-no
Requires:	%{name}-netinstall-common >= %{version}-%{release}

%description netinstall-nb
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package netinstall-nl
Summary:	The %{_vendor} Network Installer manuals in Dutch
Group:		Documentation
Requires:	locales-nl
Requires:	%{name}-netinstall-common >= %{version}-%{release}

%description netinstall-nl
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package netinstall-pt_br
Summary:	The %{_vendor} Network Installer manuals in Brazilian Portuguese
Group:		Documentation
Requires:	locales-pt
Requires:	%{name}-netinstall-common >= %{version}-%{release}

%description netinstall-pt_br
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package netinstall-ru
Summary:	The %{_vendor} Network Installer manuals in Russian
Group:		Documentation
Requires:	locales-ru
Requires:	%{name}-netinstall-common >= %{version}-%{release}

%description netinstall-ru
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package netinstall-sl
Summary:	The %{_vendor} Network Installer manuals in Slovenian
Group:		Documentation
Requires:	locales-sl
Requires:	%{name}-netinstall-common >= %{version}-%{release}

%description netinstall-sl
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package netinstall-sq
Summary:	The %{_vendor} Network Installer manuals in Albanian
Group:		Documentation
Requires:	locales-sq
Requires:	%{name}-netinstall-common >= %{version}-%{release}

%description netinstall-sq
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package netinstall-sv
Summary:	The %{_vendor} Network Installer manuals in Swedish
Group:		Documentation
Requires:	locales-sv
Requires:	%{name}-netinstall-common >= %{version}-%{release}

%description netinstall-sv
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package netinstall-tg
Summary:	The %{_vendor} Network Installer manuals in Tadjik
Group:		Documentation
Requires:	locales-tg
Requires:	%{name}-netinstall-common >= %{version}-%{release}

%description netinstall-tg
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package netinstall-tr
Summary:	The %{_vendor} Network Installer manuals in Turkish
Group:		Documentation
Requires:	locales-tr
Requires:	%{name}-netinstall-common >= %{version}-%{release}

%description netinstall-tr
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package netinstall-uk
Summary:	The %{_vendor} Network Installer manuals in Ukrainian
Group:		Documentation
Requires:	locales-uk
Requires:	%{name}-netinstall-common >= %{version}-%{release}

%description netinstall-uk
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

%package netinstall-zh_CN
Summary:	The %{_vendor} Network Installer manuals in Chinese Simplified
Group:		Documentation
Requires:	locales-zh
Requires:	%{name}-netinstall-common >= %{version}-%{release}

%description netinstall-zh_CN
This package contains some useful documentation for %{_vendor} systems.
This documentation is directly accessible through the main menu.

#------------------------------------------------

### END of Netinstall ###

%package common
Summary:	Common data for all %{_vendor} specific documentation
Group:		Documentation

%description common
This package contains common images, styles and scripts for all %{_vendor}
specific documentation, plus the index file matching Help IDs to HTML
help pages.

%prep
#%%setup -q -c %%{name}-%%{version} -a 1
%setup -q

%build
# Satisfy rpmlint

%install
install -d -m 0755 %{buildroot}%{_menudir}
DESTDIR=%{buildroot}%{_docdir}

# install common
install -D -m 0755 common/doc-open.sh %{buildroot}%{_bindir}/doc-open.sh
install -d -m 0755 $DESTDIR/mageia/common
cp %mcchelp/common/*.* $DESTDIR/mageia/common/
cp -R %mcchelp/common/images $DESTDIR/mageia/common/
cp -R %mcchelp/common/css $DESTDIR/mageia/common/
cp -R %mcchelp/common/jquery $DESTDIR/mageia/common/

# install common to mcc
install -d -m 0755 $DESTDIR/mageia/common/mcc
install -d -m 0755 $DESTDIR/mageia/common/mcc/images
install -d -m 0755 $DESTDIR/mageia/common/mcc/search
cp %mcchelp/en/images/*.* $DESTDIR/mageia/common/mcc/images/
cp %mcchelp/en/search/*.* $DESTDIR/mageia/common/mcc/search/
ln -s %{_docdir}/mageia/en/mcc/images/ $DESTDIR/mageia/common/mcc/images/
ln -s %{_docdir}/mageia/en/mcc/search/ $DESTDIR/mageia/common/mcc/search/

# install common to installer
install -d -m 0755 $DESTDIR/mageia/common/installer
install -d -m 0755 $DESTDIR/mageia/common/installer/images
install -d -m 0755 $DESTDIR/mageia/common/installer/search
cp %insthelp/en/images/*.* $DESTDIR/mageia/common/installer/images/
cp %insthelp/en/search/*.* $DESTDIR/mageia/common/installer/search/
ln -s %{_docdir}/mageia/en/installer/images/ $DESTDIR/mageia/common/installer/images/
ln -s %{_docdir}/mageia/en/installer/search/ $DESTDIR/mageia/common/installer/search/

# install common to draklive
install -d -m 0755 $DESTDIR/mageia/common/draklive
install -d -m 0755 $DESTDIR/mageia/common/draklive/images
install -d -m 0755 $DESTDIR/mageia/common/draklive/search
cp %livehelp/en/images/*.* $DESTDIR/mageia/common/draklive/images/
cp %livehelp/en/search/*.* $DESTDIR/mageia/common/draklive/search/
ln -s %{_docdir}/mageia/en/draklive/images/ $DESTDIR/mageia/common/draklive/images/
ln -s %{_docdir}/mageia/en/draklive/search/ $DESTDIR/mageia/common/draklive/search/

# install common to netinstall
install -d -m 0755 $DESTDIR/mageia/common/netinstall
install -d -m 0755 $DESTDIR/mageia/common/netinstall/images
install -d -m 0755 $DESTDIR/mageia/common/netinstall/search
cp %netinsthelp/en/images/*.* $DESTDIR/mageia/common/netinstall/search
cp %netinsthelp/en/search/*.* $DESTDIR/mageia/common/netinstall/images
ln -s %{_docdir}/mageia/en/netinstall/images/ $DESTDIR/mageia/common/netinstall/images/
ln -s %{_docdir}/mageia/en/netinstall/search/ $DESTDIR/mageia/common/netinstall/search/

# make applications directory
mkdir -p %{buildroot}%{_datadir}/applications

# make khelpcenter plugins directory
mkdir -p %{buildroot}%{_datadir}/khelpcenter/plugins

# install every manual
for manualdir in %DOCDIRS;
do
	# install manuals for each language
	for lang in %LANGS;
	do
		if [[ -d "$manualdir/$lang" ]];
		then
			install -d -m 0755 $DESTDIR/mageia/$lang/
			install -d -m 0755 $DESTDIR/mageia/$lang/$manualdir/

			cp -R $manualdir/$lang/* $DESTDIR/mageia/$lang/$manualdir/

			if [[ -e "$manualdir/help-desktop/%{name}-help-$manualdir-$lang.desktop" ]]; then
				cp $manualdir/help-desktop/%{name}-help-$manualdir-$lang.desktop %{buildroot}%{_datadir}/khelpcenter/plugins/
				sed -i -e 's|@VENDOR@|%{_vendor}|g' \
					-e 's|@BINDIR@|%{_bindir}|g' \
					-e 's|@DOCDIR@|%{_docdir}|g' %{buildroot}%{_datadir}/khelpcenter/plugins/%{name}-help-$manualdir-$lang.desktop
			fi
		fi
	done
	if [[ -e "common/$manualdir/%{name}-$manualdir.desktop" ]]; then
        cp common/$manualdir/%{name}-$manualdir.desktop %{buildroot}%{_datadir}/applications/
        sed -i -e 's|@VENDOR@|%{_vendor}|g' \
            -e 's|@BINDIR@|%{_bindir}|g' \
            -e 's|@DOCDIR@|%{_docdir}|g' %{buildroot}%{_datadir}/applications/%{name}-$manualdir.desktop

        desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}-$manualdir.desktop
        fi
done

# symlink common stuff
for lang in %LANGS;
do
	if [[ -d "$DESTDIR/mageia/$lang" ]]; then
		ln -s %{_docdir}/mageia/common $DESTDIR/mageia/$lang/
	fi
done


# install ctxhelp.pm which tells drakhelp which HTML help page
# corresponds to which application help button
install -d -m 0755 %{buildroot}/%{libdrakx}/
install -m 0644 %mcchelp/ctxhelp.pm %{buildroot}/%{libdrakx}/
install -d -m 0755 %{buildroot}%{_sbindir}/

# install NEWS files
for news in %DOCDIRS;
do
	cp $news/NEWS $DESTDIR/mageia/common/NEWS.$news
done

%files common
%{libdrakx}/ctxhelp.pm
%doc %{_docdir}/mageia/common/main.js
%doc %{_docdir}/mageia/common/NEWS.*
%doc %{_docdir}/mageia/common/images/
%doc %{_docdir}/mageia/common/css/
%doc %{_docdir}/mageia/common/jquery/
%dir %{_docdir}/mageia
%dir %{_docdir}/mageia/common
# need common/doc-open.sh in bin directory
%{_bindir}/doc-open.sh

%files mcc-common
%{_datadir}/applications/%{name}-mcc.desktop
%doc %{_docdir}/mageia/common/mcc/images/*
%doc %{_docdir}/mageia/common/mcc/search/*

%files mcc-ca
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-mcc-ca.desktop
%dir %{_docdir}/mageia/ca
%dir %{_docdir}/mageia/ca/mcc
%doc %{_docdir}/mageia/ca/mcc/*
%{_docdir}/mageia/ca/common

%files mcc-cs
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-mcc-cs.desktop
%dir %{_docdir}/mageia/cs
%dir %{_docdir}/mageia/cs/mcc
%doc %{_docdir}/mageia/cs/mcc/*
%{_docdir}/mageia/cs/common

%files mcc-de
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-mcc-de.desktop
%dir %{_docdir}/mageia/de
%dir %{_docdir}/mageia/de/mcc
%doc %{_docdir}/mageia/de/mcc/*
%{_docdir}/mageia/de/common

%files mcc-el
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-mcc-el.desktop
%dir %{_docdir}/mageia/el
%dir %{_docdir}/mageia/el/mcc
%doc %{_docdir}/mageia/el/mcc/*
%{_docdir}/mageia/el/common

%files mcc-en
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-mcc-en.desktop
%dir %{_docdir}/mageia/en
%dir %{_docdir}/mageia/en/mcc
%doc %{_docdir}/mageia/en/mcc/*
%{_docdir}/mageia/en/common

%files mcc-eo
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-mcc-eo.desktop
%dir %{_docdir}/mageia/eo
%dir %{_docdir}/mageia/eo/mcc
%doc %{_docdir}/mageia/eo/mcc/*
%{_docdir}/mageia/eo/common

%files mcc-es
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-mcc-es.desktop
%dir %{_docdir}/mageia/es
%dir %{_docdir}/mageia/es/mcc
%doc %{_docdir}/mageia/es/mcc/*
%{_docdir}/mageia/es/common

%files mcc-et
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-mcc-et.desktop
%dir %{_docdir}/mageia/et
%dir %{_docdir}/mageia/et/mcc
%doc %{_docdir}/mageia/et/mcc/*
%{_docdir}/mageia/et/common

%files mcc-eu
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-mcc-eu.desktop
%dir %{_docdir}/mageia/eu
%dir %{_docdir}/mageia/eu/mcc
%doc %{_docdir}/mageia/eu/mcc/*
%{_docdir}/mageia/eu/common

%files mcc-fr
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-mcc-fr.desktop
%dir %{_docdir}/mageia/fr
%dir %{_docdir}/mageia/fr/mcc
%doc %{_docdir}/mageia/fr/mcc/*
%{_docdir}/mageia/fr/common

%files mcc-hu
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-mcc-hu.desktop
%dir %{_docdir}/mageia/hu
%dir %{_docdir}/mageia/hu/mcc
%doc %{_docdir}/mageia/hu/mcc/*
%{_docdir}/mageia/hu/common

%files mcc-id
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-mcc-id.desktop
%dir %{_docdir}/mageia/id
%dir %{_docdir}/mageia/id/mcc
%doc %{_docdir}/mageia/id/mcc/*
%{_docdir}/mageia/id/common

%files mcc-it
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-mcc-it.desktop
%dir %{_docdir}/mageia/it
%dir %{_docdir}/mageia/it/mcc
%doc %{_docdir}/mageia/it/mcc/*
%{_docdir}/mageia/it/common

%files mcc-ja
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-mcc-ja.desktop
%dir %{_docdir}/mageia/ja
%dir %{_docdir}/mageia/ja/mcc
%doc %{_docdir}/mageia/ja/mcc/*
%{_docdir}/mageia/ja/common

%files mcc-nb
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-mcc-nb.desktop
%dir %{_docdir}/mageia/nb
%dir %{_docdir}/mageia/nb/mcc
%doc %{_docdir}/mageia/nb/mcc/*
%{_docdir}/mageia/nb/common

%files mcc-nl
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-mcc-nl.desktop
%dir %{_docdir}/mageia/nl
%dir %{_docdir}/mageia/nl/mcc
%doc %{_docdir}/mageia/nl/mcc/*
%{_docdir}/mageia/nl/common

%files mcc-pl
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-mcc-pl.desktop
%dir %{_docdir}/mageia/pl
%dir %{_docdir}/mageia/pl/mcc
%doc %{_docdir}/mageia/pl/mcc/*
%{_docdir}/mageia/pl/common

%files mcc-pt_br
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-mcc-pt_br.desktop
%dir %{_docdir}/mageia/pt_br
%dir %{_docdir}/mageia/pt_br/mcc
%doc %{_docdir}/mageia/pt_br/mcc/*
%{_docdir}/mageia/pt_br/common

%files mcc-ro
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-mcc-ro.desktop
%dir %{_docdir}/mageia/ro
%dir %{_docdir}/mageia/ro/mcc
%doc %{_docdir}/mageia/ro/mcc/*
%{_docdir}/mageia/ro/common

%files mcc-ru
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-mcc-ru.desktop
%dir %{_docdir}/mageia/ru
%dir %{_docdir}/mageia/ru/mcc
%doc %{_docdir}/mageia/ru/mcc/*
%{_docdir}/mageia/ru/common

%files mcc-sl
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-mcc-sl.desktop
%dir %{_docdir}/mageia/sl
%dir %{_docdir}/mageia/sl/mcc
%doc %{_docdir}/mageia/sl/mcc/*
%{_docdir}/mageia/sl/common

%files mcc-sq
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-mcc-sq.desktop
%dir %{_docdir}/mageia/sq
%dir %{_docdir}/mageia/sq/mcc
%doc %{_docdir}/mageia/sq/mcc/*
%{_docdir}/mageia/sq/common

%files mcc-sv
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-mcc-sv.desktop
%dir %{_docdir}/mageia/sv
%dir %{_docdir}/mageia/sv/mcc
%doc %{_docdir}/mageia/sv/mcc/*
%{_docdir}/mageia/sv/common

%files mcc-tr
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-mcc-tr.desktop
%dir %{_docdir}/mageia/tr
%dir %{_docdir}/mageia/tr/mcc
%doc %{_docdir}/mageia/tr/mcc/*
%{_docdir}/mageia/tr/common

%files mcc-uk
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-mcc-uk.desktop
%dir %{_docdir}/mageia/uk
%dir %{_docdir}/mageia/uk/mcc
%doc %{_docdir}/mageia/uk/mcc/*
%{_docdir}/mageia/uk/common

%files mcc-zh_CN
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-mcc-zh_cn.desktop
%dir %{_docdir}/mageia/zh_cn
%dir %{_docdir}/mageia/zh_cn/mcc
%doc %{_docdir}/mageia/zh_cn/mcc/*
%{_docdir}/mageia/zh_cn/common

%files installer-common
%{_datadir}/applications/%{name}-installer.desktop
%doc %{_docdir}/mageia/common/installer/images/*
%doc %{_docdir}/mageia/common/installer/search/*

%files installer-ca
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-installer-ca.desktop
%dir %{_docdir}/mageia/ca
%dir %{_docdir}/mageia/ca/installer
%doc %{_docdir}/mageia/ca/installer/*
%{_docdir}/mageia/ca/common

%files installer-cs
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-installer-cs.desktop
%dir %{_docdir}/mageia/cs
%dir %{_docdir}/mageia/cs/installer
%doc %{_docdir}/mageia/cs/installer/*
%{_docdir}/mageia/cs/common

%files installer-de
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-installer-de.desktop
%dir %{_docdir}/mageia/de
%dir %{_docdir}/mageia/de/installer
%doc %{_docdir}/mageia/de/installer/*
%{_docdir}/mageia/de/common

%files installer-el
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-installer-el.desktop
%dir %{_docdir}/mageia/el
%dir %{_docdir}/mageia/el/installer
%doc %{_docdir}/mageia/el/installer/*
%{_docdir}/mageia/el/common

%files installer-en
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-installer-en.desktop
%dir %{_docdir}/mageia/en
%dir %{_docdir}/mageia/en/installer
%doc %{_docdir}/mageia/en/installer/*
%{_docdir}/mageia/en/common

%files installer-eo
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-installer-eo.desktop
%dir %{_docdir}/mageia/eo
%dir %{_docdir}/mageia/eo/installer
%doc %{_docdir}/mageia/eo/installer/*
%{_docdir}/mageia/eo/common

%files installer-es
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-installer-es.desktop
%dir %{_docdir}/mageia/es
%dir %{_docdir}/mageia/es/installer
%doc %{_docdir}/mageia/es/installer/*
%{_docdir}/mageia/es/common

%files installer-et
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-installer-et.desktop
%dir %{_docdir}/mageia/et
%dir %{_docdir}/mageia/et/installer
%doc %{_docdir}/mageia/et/installer/*
%{_docdir}/mageia/et/common

%files installer-eu
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-installer-eu.desktop
%dir %{_docdir}/mageia/eu
%dir %{_docdir}/mageia/eu/installer
%doc %{_docdir}/mageia/eu/installer/*
%{_docdir}/mageia/eu/common

%files installer-fr
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-installer-fr.desktop
%dir %{_docdir}/mageia/fr
%dir %{_docdir}/mageia/fr/installer
%doc %{_docdir}/mageia/fr/installer/*
%{_docdir}/mageia/fr/common

%files installer-hr
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-installer-hr.desktop
%dir %{_docdir}/mageia/hr
%dir %{_docdir}/mageia/hr/installer
%doc %{_docdir}/mageia/hr/installer/*
%{_docdir}/mageia/hr/common

%files installer-id
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-installer-id.desktop
%dir %{_docdir}/mageia/id
%dir %{_docdir}/mageia/id/installer
%doc %{_docdir}/mageia/id/installer/*
%{_docdir}/mageia/id/common

%files installer-it
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-installer-it.desktop
%dir %{_docdir}/mageia/it
%dir %{_docdir}/mageia/it/installer
%doc %{_docdir}/mageia/it/installer/*
%{_docdir}/mageia/it/common

%files installer-ja
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-installer-ja.desktop
%dir %{_docdir}/mageia/ja
%dir %{_docdir}/mageia/ja/installer
%doc %{_docdir}/mageia/ja/installer/*
%{_docdir}/mageia/ja/common

%files installer-nb
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-installer-nb.desktop
%dir %{_docdir}/mageia/nb
%dir %{_docdir}/mageia/nb/installer
%doc %{_docdir}/mageia/nb/installer/*
%{_docdir}/mageia/nb/common

%files installer-nl
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-installer-nl.desktop
%dir %{_docdir}/mageia/nl
%dir %{_docdir}/mageia/nl/installer
%doc %{_docdir}/mageia/nl/installer/*
%{_docdir}/mageia/nl/common

%files installer-pl
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-installer-pl.desktop
%dir %{_docdir}/mageia/pl
%dir %{_docdir}/mageia/pl/installer
%doc %{_docdir}/mageia/pl/installer/*
%{_docdir}/mageia/pl/common

%files installer-pt_br
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-installer-pt_br.desktop
%dir %{_docdir}/mageia/pt_br
%dir %{_docdir}/mageia/pt_br/installer
%doc %{_docdir}/mageia/pt_br/installer/*
%{_docdir}/mageia/pt_br/common

%files installer-ro
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-installer-ro.desktop
%dir %{_docdir}/mageia/ro
%dir %{_docdir}/mageia/ro/installer
%doc %{_docdir}/mageia/ro/installer/*
%{_docdir}/mageia/ro/common

%files installer-ru
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-installer-ru.desktop
%dir %{_docdir}/mageia/ru
%dir %{_docdir}/mageia/ru/installer
%doc %{_docdir}/mageia/ru/installer/*
%{_docdir}/mageia/ru/common

%files installer-sk
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-installer-sk.desktop
%dir %{_docdir}/mageia/sk
%dir %{_docdir}/mageia/sk/installer
%doc %{_docdir}/mageia/sk/installer/*
%{_docdir}/mageia/sk/common

%files installer-sl
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-installer-sl.desktop
%dir %{_docdir}/mageia/sl
%dir %{_docdir}/mageia/sl/installer
%doc %{_docdir}/mageia/sl/installer/*
%{_docdir}/mageia/sl/common

%files installer-sq
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-installer-sq.desktop
%dir %{_docdir}/mageia/sq
%dir %{_docdir}/mageia/sq/installer
%doc %{_docdir}/mageia/sq/installer/*
%{_docdir}/mageia/sq/common

%files installer-sr
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-installer-sr.desktop
%dir %{_docdir}/mageia/sr
%dir %{_docdir}/mageia/sr/installer
%doc %{_docdir}/mageia/sr/installer/*
%{_docdir}/mageia/sr/common

%files installer-sv
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-installer-sv.desktop
%dir %{_docdir}/mageia/sv
%dir %{_docdir}/mageia/sv/installer
%doc %{_docdir}/mageia/sv/installer/*
%{_docdir}/mageia/sv/common

%files installer-tr
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-installer-tr.desktop
%dir %{_docdir}/mageia/tr
%dir %{_docdir}/mageia/tr/installer
%doc %{_docdir}/mageia/tr/installer/*
%{_docdir}/mageia/tr/common

%files installer-uk
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-installer-uk.desktop
%dir %{_docdir}/mageia/uk
%dir %{_docdir}/mageia/uk/installer
%doc %{_docdir}/mageia/uk/installer/*
%{_docdir}/mageia/uk/common

%files installer-zh_CN
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-installer-zh_cn.desktop
%dir %{_docdir}/mageia/zh_cn
%dir %{_docdir}/mageia/zh_cn/installer
%doc %{_docdir}/mageia/zh_cn/installer/*
%{_docdir}/mageia/zh_cn/common

%files draklive-common
%{_datadir}/applications/%{name}-draklive.desktop
%doc %{_docdir}/mageia/common/draklive/images/*
%doc %{_docdir}/mageia/common/draklive/search/*

%files draklive-cs
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-draklive-cs.desktop
%dir %{_docdir}/mageia/cs
%dir %{_docdir}/mageia/cs/draklive
%doc %{_docdir}/mageia/cs/draklive/*
%{_docdir}/mageia/cs/common

%files draklive-de
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-draklive-de.desktop
%dir %{_docdir}/mageia/de
%dir %{_docdir}/mageia/de/draklive
%doc %{_docdir}/mageia/de/draklive/*
%{_docdir}/mageia/de/common

%files draklive-el
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-draklive-el.desktop
%dir %{_docdir}/mageia/el
%dir %{_docdir}/mageia/el/draklive
%doc %{_docdir}/mageia/el/draklive/*
%{_docdir}/mageia/el/common

%files draklive-en
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-draklive-en.desktop
%dir %{_docdir}/mageia/en
%dir %{_docdir}/mageia/en/draklive
%doc %{_docdir}/mageia/en/draklive/*
%{_docdir}/mageia/en/common

%files draklive-es
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-draklive-es.desktop
%dir %{_docdir}/mageia/es
%dir %{_docdir}/mageia/es/draklive
%doc %{_docdir}/mageia/es/draklive/*
%{_docdir}/mageia/es/common

%files draklive-et
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-draklive-et.desktop
%dir %{_docdir}/mageia/et
%dir %{_docdir}/mageia/et/draklive
%doc %{_docdir}/mageia/et/draklive/*
%{_docdir}/mageia/et/common

%files draklive-eu
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-draklive-eu.desktop
%dir %{_docdir}/mageia/eu
%dir %{_docdir}/mageia/eu/draklive
%doc %{_docdir}/mageia/eu/draklive/*
%{_docdir}/mageia/eu/common

%files draklive-fr
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-draklive-fr.desktop
%dir %{_docdir}/mageia/fr
%dir %{_docdir}/mageia/fr/draklive
%doc %{_docdir}/mageia/fr/draklive/*
%{_docdir}/mageia/fr/common

%files draklive-he
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-draklive-he.desktop
%dir %{_docdir}/mageia/he
%dir %{_docdir}/mageia/he/draklive
%doc %{_docdir}/mageia/he/draklive/*
%{_docdir}/mageia/he/common

%files draklive-hr
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-draklive-hr.desktop
%dir %{_docdir}/mageia/hr
%dir %{_docdir}/mageia/hr/draklive
%doc %{_docdir}/mageia/hr/draklive/*
%{_docdir}/mageia/hr/common

%files draklive-ja
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-draklive-ja.desktop
%dir %{_docdir}/mageia/ja
%dir %{_docdir}/mageia/ja/draklive
%doc %{_docdir}/mageia/ja/draklive/*
%{_docdir}/mageia/ja/common

%files draklive-nb
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-draklive-nb.desktop
%dir %{_docdir}/mageia/nb
%dir %{_docdir}/mageia/nb/draklive
%doc %{_docdir}/mageia/nb/draklive/*
%{_docdir}/mageia/nb/common

%files draklive-nl
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-draklive-nl.desktop
%dir %{_docdir}/mageia/nl
%dir %{_docdir}/mageia/nl/draklive
%doc %{_docdir}/mageia/nl/draklive/*
%{_docdir}/mageia/nl/common

%files draklive-pt_br
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-draklive-pt_br.desktop
%dir %{_docdir}/mageia/pt_br
%dir %{_docdir}/mageia/pt_br/draklive
%doc %{_docdir}/mageia/pt_br/draklive/*
%{_docdir}/mageia/pt_br/common

%files draklive-ro
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-draklive-ro.desktop
%dir %{_docdir}/mageia/ro
%dir %{_docdir}/mageia/ro/draklive
%doc %{_docdir}/mageia/ro/draklive/*
%{_docdir}/mageia/ro/common

%files draklive-ru
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-draklive-ru.desktop
%dir %{_docdir}/mageia/ru
%dir %{_docdir}/mageia/ru/draklive
%doc %{_docdir}/mageia/ru/draklive/*
%{_docdir}/mageia/ru/common

%files draklive-sk
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-draklive-sk.desktop
%dir %{_docdir}/mageia/sk
%dir %{_docdir}/mageia/sk/draklive
%doc %{_docdir}/mageia/sk/draklive/*
%{_docdir}/mageia/sk/common

%files draklive-sl
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-draklive-sl.desktop
%dir %{_docdir}/mageia/sl
%dir %{_docdir}/mageia/sl/draklive
%doc %{_docdir}/mageia/sl/draklive/*
%{_docdir}/mageia/sl/common

%files draklive-sq
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-draklive-sq.desktop
%dir %{_docdir}/mageia/sq
%dir %{_docdir}/mageia/sq/draklive
%doc %{_docdir}/mageia/sq/draklive/*
%{_docdir}/mageia/sq/common

%files draklive-sv
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-draklive-sv.desktop
%dir %{_docdir}/mageia/sv
%dir %{_docdir}/mageia/sv/draklive
%doc %{_docdir}/mageia/sv/draklive/*
%{_docdir}/mageia/sv/common

%files draklive-tr
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-draklive-tr.desktop
%dir %{_docdir}/mageia/tr
%dir %{_docdir}/mageia/tr/draklive
%doc %{_docdir}/mageia/tr/draklive/*
%{_docdir}/mageia/tr/common

%files draklive-uk
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-draklive-uk.desktop
%dir %{_docdir}/mageia/uk
%dir %{_docdir}/mageia/uk/draklive
%doc %{_docdir}/mageia/uk/draklive/*
%{_docdir}/mageia/uk/common

%files draklive-zh_CN
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-draklive-zh_cn.desktop
%dir %{_docdir}/mageia/zh_cn
%dir %{_docdir}/mageia/zh_cn/draklive
%doc %{_docdir}/mageia/zh_cn/draklive/*
%{_docdir}/mageia/zh_cn/common

%files netinstall-common
%{_datadir}/applications/%{name}-netinstall.desktop
%doc %{_docdir}/mageia/common/netinstall/images/*
%doc %{_docdir}/mageia/common/netinstall/search/*

%files netinstall-ca
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-netinstall-ca.desktop
%dir %{_docdir}/mageia/ca
%dir %{_docdir}/mageia/ca/netinstall
%doc %{_docdir}/mageia/ca/netinstall/*
%{_docdir}/mageia/ca/common

%files netinstall-cs
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-netinstall-cs.desktop
%dir %{_docdir}/mageia/cs
%dir %{_docdir}/mageia/cs/netinstall
%doc %{_docdir}/mageia/cs/netinstall/*
%{_docdir}/mageia/cs/common

%files netinstall-de
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-netinstall-de.desktop
%dir %{_docdir}/mageia/de
%dir %{_docdir}/mageia/de/netinstall
%doc %{_docdir}/mageia/de/netinstall/*
%{_docdir}/mageia/de/common

%files netinstall-el
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-netinstall-el.desktop
%dir %{_docdir}/mageia/el
%dir %{_docdir}/mageia/el/netinstall
%doc %{_docdir}/mageia/el/netinstall/*
%{_docdir}/mageia/el/common

%files netinstall-en
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-netinstall-en.desktop
%dir %{_docdir}/mageia/en
%dir %{_docdir}/mageia/en/netinstall
%doc %{_docdir}/mageia/en/netinstall/*
%{_docdir}/mageia/en/common

%files netinstall-es
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-netinstall-es.desktop
%dir %{_docdir}/mageia/es
%dir %{_docdir}/mageia/es/netinstall
%doc %{_docdir}/mageia/es/netinstall/*
%{_docdir}/mageia/es/common

%files netinstall-et
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-netinstall-et.desktop
%dir %{_docdir}/mageia/et
%dir %{_docdir}/mageia/et/netinstall
%doc %{_docdir}/mageia/et/netinstall/*
%{_docdir}/mageia/et/common

%files netinstall-eu
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-netinstall-eu.desktop
%dir %{_docdir}/mageia/eu
%dir %{_docdir}/mageia/eu/netinstall
%doc %{_docdir}/mageia/eu/netinstall/*
%{_docdir}/mageia/eu/common

%files netinstall-fr
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-netinstall-fr.desktop
%dir %{_docdir}/mageia/fr
%dir %{_docdir}/mageia/fr/netinstall
%doc %{_docdir}/mageia/fr/netinstall/*
%{_docdir}/mageia/fr/common

%files netinstall-hu
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-netinstall-hu.desktop
%dir %{_docdir}/mageia/hu
%dir %{_docdir}/mageia/hu/netinstall
%doc %{_docdir}/mageia/hu/netinstall/*
%{_docdir}/mageia/hu/common

%files netinstall-ja
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-netinstall-ja.desktop
%dir %{_docdir}/mageia/ja
%dir %{_docdir}/mageia/ja/netinstall
%doc %{_docdir}/mageia/ja/netinstall/*
%{_docdir}/mageia/ja/common

%files netinstall-nb
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-netinstall-nb.desktop
%dir %{_docdir}/mageia/nb
%dir %{_docdir}/mageia/nb/netinstall
%doc %{_docdir}/mageia/nb/netinstall/*
%{_docdir}/mageia/nb/common

%files netinstall-nl
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-netinstall-nl.desktop
%dir %{_docdir}/mageia/nl
%dir %{_docdir}/mageia/nl/netinstall
%doc %{_docdir}/mageia/nl/netinstall/*
%{_docdir}/mageia/nl/common

%files netinstall-pt_br
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-netinstall-pt_br.desktop
%dir %{_docdir}/mageia/pt_br
%dir %{_docdir}/mageia/pt_br/netinstall
%doc %{_docdir}/mageia/pt_br/netinstall/*
%{_docdir}/mageia/pt_br/common

%files netinstall-ru
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-netinstall-ru.desktop
%dir %{_docdir}/mageia/ru
%dir %{_docdir}/mageia/ru/netinstall
%doc %{_docdir}/mageia/ru/netinstall/*
%{_docdir}/mageia/ru/common

%files netinstall-sl
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-netinstall-sl.desktop
%dir %{_docdir}/mageia/sl
%dir %{_docdir}/mageia/sl/netinstall
%doc %{_docdir}/mageia/sl/netinstall/*
%{_docdir}/mageia/sl/common

%files netinstall-sq
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-netinstall-sq.desktop
%dir %{_docdir}/mageia/sq
%dir %{_docdir}/mageia/sq/netinstall
%doc %{_docdir}/mageia/sq/netinstall/*
%{_docdir}/mageia/sq/common

%files netinstall-sv
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-netinstall-sv.desktop
%dir %{_docdir}/mageia/sv
%dir %{_docdir}/mageia/sv/netinstall
%doc %{_docdir}/mageia/sv/netinstall/*
%{_docdir}/mageia/sv/common

%files netinstall-tg
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-netinstall-tg.desktop
%dir %{_docdir}/mageia/tg
%dir %{_docdir}/mageia/tg/netinstall
%doc %{_docdir}/mageia/tg/netinstall/*
%{_docdir}/mageia/tg/common

%files netinstall-tr
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-netinstall-tr.desktop
%dir %{_docdir}/mageia/tr
%dir %{_docdir}/mageia/tr/netinstall
%doc %{_docdir}/mageia/tr/netinstall/*
%{_docdir}/mageia/tr/common

%files netinstall-uk
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-netinstall-uk.desktop
%dir %{_docdir}/mageia/uk
%dir %{_docdir}/mageia/uk/netinstall
%doc %{_docdir}/mageia/uk/netinstall/*
%{_docdir}/mageia/uk/common

%files netinstall-zh_CN
%dir %{_datadir}/khelpcenter
%dir %{_datadir}/khelpcenter/plugins
%{_datadir}/khelpcenter/plugins/%{name}-help-netinstall-zh_cn.desktop
%dir %{_docdir}/mageia/zh_cn
%dir %{_docdir}/mageia/zh_cn/netinstall
%doc %{_docdir}/mageia/zh_cn/netinstall/*
%{_docdir}/mageia/zh_cn/common
