%define debug_package %{nil}

%define uname bootloader-theme

Summary: %_vendor graphical boot theme
Name:    mageia-gfxboot-theme
Version: 4.5.14.11
Release: %mkrel 3
License: GPL
Group: System/Boot and Init
URL: https://gitweb.mageia.org/software/design/bootloader-theme/
Source0: https://gitweb.mageia.org/software/design/bootloader-theme/snapshot/%{uname}-%{version}.tar.xz
Source1: grub-gfxmenu

BuildRequires: gfxboot-devel
Requires(post): perl-Archive-Cpio
ExclusiveArch: %ix86 x86_64
Obsoletes: mandriva-gfxboot-theme

%description
This package provides the Mageia gfxboot theme. This theme is used by the
%_vendor installation to initialized the CDROM boot, and by installed system
to boot.

%prep
%autosetup -n %{uname}-%{version}

%build
#gfxboot binary is needed for the build and is in /usr/sbin
#make sure we only build one task at a time since po generation is broken
#otherwise
PATH="$PATH:/usr/sbin" make

%install
dest=%{buildroot}%{_datadir}/gfxboot/themes/%_vendor
install -d $dest/install $dest/boot
install bootlogo bootlogo.dir/* $dest/install/
install message $dest/boot/

# install grub-gfxmenu
install -d %{buildroot}%{_sbindir}
install %{SOURCE1} %{buildroot}%{_sbindir}

%post
if [ "$1" -gt 1 ]; then
   %{_sbindir}/grub-gfxmenu --update-gfxmenu
fi

%files
%{_sbindir}/grub-gfxmenu
%{_datadir}/gfxboot/themes/%{_vendor}/
