%define source_date 20150505

%define rel 13

Name: mageia-kde4-config
Summary: %_vendor KDE 4 configuration
Version: 5
# TO BE REMOVED BEFORE RELEASE
# For config changes in svn ( tarball date changes ) increment major.
# For updates without touch to tarball date, increment minor
Release: %mkrel -c %{source_date} %{rel}
URL: https://gitweb.mageia.org/software/desktop/kde/config
Group: Graphical desktop/KDE
BuildRequires: kde4-macros
BuildRequires: inkscape
# to recreate the tarball use the Makefile available on https://gitweb.mageia.org/software/desktop/kde/config
Source0: %{name}-%{version}.%{source_date}.tar.xz
Source1: kde4-firstsetup.sh
Source2: org.kde.home.desktop
Source3: kde-mimeapps.list
License: GPLv2
BuildArch: noarch

%description
This package regroups all specific %_vendor config file for KDE.
(kicker config etc.)

#------------------------------------------------------------------------------

%package common
Group: Graphical desktop/KDE
Summary: Common configs used for %_vendor theme
Requires: urw-fonts
Requires: desktop-common-data
Requires: %_real_vendor-theme-screensavers
Requires(post): update-alternatives
# Needed to ease upgrade since we moved the default ksplash in /usr/share/ksplash/Themes and Air&Houros Theme were only rename with 2:4.6.1-7
Conflicts: kdebase4-workspace < 2:4.6.1-7
# Obsoletes iaora theme
Obsoletes: kde4-style-iaora-common < 0.3.2-2
Obsoletes: kde4-style-iaora < 0.3.2-2
Obsoletes: qt4-style-iaora < 0.3.2-2

%description common
common configs used for %_vendor theme.


%files common
%config %_sysconfdir/pam.d/kdm
%config %_sysconfdir/pam.d/kdm-np
%config %_sysconfdir/pam.d/kscreensaver
%config %_sysconfdir/pam.d/kcheckpass
%dir %_localstatedir/lib/%_real_vendor/
%dir %_localstatedir/lib/%_real_vendor/kde4-profiles
%dir %_localstatedir/lib/%_real_vendor/kde4-profiles/common
%_localstatedir/lib/%_real_vendor/kde4-profiles/common/*
%exclude %_localstatedir/lib/%_real_vendor/kde4-profiles/common/share/config/kdm
#{_datadir}/applications/kde-mimeapps.list
%_datadir/kde4/env/*
%attr(0755,root,root) %_datadir/dist/desktop-files/default/org.kde.home.desktop
%_kde_appsdir/kdm/themes
%_kde_appsdir/ksplash/Themes/

%post common
if [ -f %_sysconfdir/kde4rc -a ! -h %_sysconfdir/kde4rc ]; then
    mv %_sysconfdir/kde4rc %_sysconfdir/kde4rc.rpmold
fi
update-alternatives --install %_sysconfdir/kde4rc kde4-config %_localstatedir/lib/%_real_vendor/kde4-profiles/common/kde4rc 1

%postun common
if [ "$1" = "0" ]; then
    if ! [ -e %_localstatedir/lib/%_real_vendor/kde4-profiles/common/kde4rc ]; then
        update-alternatives --remove kde4-config %_localstatedir/lib/%_real_vendor/kde4-profiles/common/kde4rc
    fi
fi

#------------------------------------------------------------------------------

%package -n vanilla-kde4-config
Group: Graphical desktop/KDE
Summary: Default configs used for upstream KDE
Requires: urw-fonts
Provides: kde4-config-file = %version-%release
Requires: desktop-common-data
Requires: %_real_vendor-kde4-config-common = %version-%release
Requires: oxygen-icon-theme
Requires(post): update-alternatives
Requires(post): perl-MDK-Common 
Requires(post): ccp
# vanilla uses the kde default wallpaper
Recommends: kde-wallpapers

%description -n vanilla-kde4-config
Default configs used for upstream KDE.


%files -n vanilla-kde4-config
%_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/


%post -n vanilla-kde4-config
if [ -f %_sysconfdir/kde4rc -a ! -h %_sysconfdir/kde4rc ]; then
    mv %_sysconfdir/kde4rc %_sysconfdir/kde4rc.rpmold
fi
update-alternatives --install %_sysconfdir/kde4rc kde4-config %_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/kde4rc 9

mkdir -p %_kde_configdir/kdm
if [ -f %_kde_configdir/kdm/kdmrc -a ! -h %_kde_configdir/kdm/kdmrc ]; then
	mv %_kde_configdir/kdm/kdmrc %_kde_configdir/kdm/kdmrc.rpmold
fi
if [ -f %_kde_configdir/kdm/backgroundrc -a ! -h %_kde_configdir/kdm/backgroundrc ]; then
	mv %_kde_configdir/kdm/backgroundrc %_kde_configdir/kdm/backgroundrc.rpmold
fi
update-alternatives --install \
	%_kde_configdir/kdm/kdmrc kdm4-config \
	%_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/share/config/kdm/kdmrc \
	9 \
	--slave \
	%_kde_configdir/kdm/backgroundrc \
	kdm4-background-config \
	%_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/share/config/kdm/backgroundrc

ccp -b -i --type ini --set NoOrphans -o %_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/share/config/kdm/kdmrc -n %_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/share/config/kdm/kdmrc.rpmnew > /dev/null 2>&1

# As kdmrc is a config(noreplace), make sure that the poweroff commande is OK.
perl -MMDK::Common -e 'update_gnomekderc("%_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/share/config/kdm/kdmrc", Shutdown, HaltCmd, "/usr/bin/poweroff")'
# Switch user id boundary to 1000+
perl -MMDK::Common -e 'update_gnomekderc("%_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/share/config/kdm/kdmrc", "X-*-Greeter", MinShowUID, 1000)'

%postun -n vanilla-kde4-config
if [ "$1" = "0" ]; then
    if ! [ -e %_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/kde4rc ]; then
        update-alternatives --remove kde4-config %_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/kde4rc
    fi
    if ! [ -e %_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/share/config/kdmrc ]; then
        update-alternatives --remove kdm4-config %_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/share/config/kdmrc
    fi
fi


#------------------------------------------------------------------------------

%package -n Default-kde4-config
Summary: %_vendor KDE configuration
Group: Graphical desktop/KDE
Provides: kde4-config-file = %version-%release
Requires: %_real_vendor-theme
Requires: %_real_vendor-kde4-config-common = %version-%release
Requires: desktop-common-data
Provides:  %_real_vendor-kdm4-config = %version-%release
Requires(post): update-alternatives
Requires(post): perl-MDK-Common 
Requires(post): ccp
# used by photos activity template
Recommends: plasma-applet-frame
# there's a dynamic configuration for telepathy
Recommends: telepathy-kde-desktop-applets
Recommends: qt5-style-oxygen
Recommends: oxygen-gtk
Recommends: oxygen-gtk3

%description -n Default-kde4-config
This package regroups all specific %_vendor config file for KDE.

%files -n Default-kde4-config
%dir %_localstatedir/lib/%_real_vendor/kde4-profiles/Default
%_kde_services/plasma-layout-org.mageia.plasma-desktop.defaultPanel.desktop
%_kde_services/plasma-layout-org.mageia.plasma-desktop.classicPanel.desktop
%_localstatedir/lib/%_real_vendor/kde4-profiles/Default/*
%config(noreplace) %_localstatedir/lib/%_real_vendor/kde4-profiles/Default/share/config/kdm/backgroundrc
%config(noreplace) %_localstatedir/lib/%_real_vendor/kde4-profiles/Default/share/config/kdm/kdmrc


%post -n Default-kde4-config
if [ -f %_sysconfdir/kde4rc -a ! -h %_sysconfdir/kde4rc ]; then
    mv %_sysconfdir/kde4rc %_sysconfdir/kde4rc.rpmold
fi
update-alternatives --install %_sysconfdir/kde4rc kde4-config %_localstatedir/lib/%_real_vendor/kde4-profiles/Default/kde4rc 20

mkdir -p %_kde_configdir/kdm
if [ -f %_kde_configdir/kdm/kdmrc -a ! -h %_kde_configdir/kdm/kdmrc ]; then
	mv %_kde_configdir/kdm/kdmrc %_kde_configdir/kdm/kdmrc.rpmold
fi
if [ -f %_kde_configdir/kdm/backgroundrc -a ! -h %_kde_configdir/kdm/backgroundrc ]; then
	mv %_kde_configdir/kdm/backgroundrc %_kde_configdir/kdm/backgroundrc.rpmold
fi
update-alternatives --install \
	%_kde_configdir/kdm/kdmrc kdm4-config \
	%_localstatedir/lib/%_real_vendor/kde4-profiles/Default/share/config/kdm/kdmrc \
	10 \
	--slave \
	%_kde_configdir/kdm/backgroundrc \
	kdm4-background-config \
	%_localstatedir/lib/%_real_vendor/kde4-profiles/Default/share/config/kdm/backgroundrc
ccp -b -i --type ini --set NoOrphans -o %_localstatedir/lib/%_real_vendor/kde4-profiles/Default/share/config/kdm/kdmrc -n %_localstatedir/lib/%_real_vendor/kde4-profiles/Default/share/config/kdm/kdmrc.rpmnew > /dev/null 2>&1

# As kdmrc is a config(noreplace), make sure that the poweroff commande is OK.
perl -MMDK::Common -e 'update_gnomekderc("%_localstatedir/lib/%_real_vendor/kde4-profiles/Default/share/config/kdm/kdmrc", Shutdown, HaltCmd, "/usr/bin/poweroff")'
# Switch user id boundary to 1000+
perl -MMDK::Common -e 'update_gnomekderc("%_localstatedir/lib/%_real_vendor/kde4-profiles/Default/share/config/kdm/kdmrc", "X-*-Greeter", MinShowUID, 1000)'

%postun -n Default-kde4-config
if [ "$1" = "0" ]; then
    if ! [ -e %_localstatedir/lib/%_real_vendor/kde4-profiles/Default/kde4rc ]; then
        update-alternatives --remove kde4-config %_localstatedir/lib/%_real_vendor/kde4-profiles/Default/kde4rc
    fi
    if ! [ -e %_localstatedir/lib/%_real_vendor/kde4-profiles/Default/share/config/kdmrc ]; then
        update-alternatives --remove kdm4-config %_localstatedir/lib/%_real_vendor/kde4-profiles/Default/share/config/kdmrc
    fi
fi


#------------------------------------------------------------------------------

%prep
%setup -q

%install
# Create profile dirs
mkdir -p %buildroot/%_datadir/applications
mkdir -p %buildroot/%_datadir/kde4/env
mkdir -p %buildroot/%_datadir/dist/desktop-files/default
mkdir -p %buildroot/%_kde_appsdir/kdm
mkdir -p %buildroot/%_kde_appsdir/plasma/layout-templates/
mkdir -p %buildroot/%_kde_services
mkdir -p %buildroot/%_kde_configdir/kdm
mkdir -p %buildroot/%_localstatedir/lib/%_real_vendor

# We keep this common as we use the same theme for all mageia flavours
mv kde4-profiles/common/share/config/kdm/themes %buildroot/%{_kde_appsdir}/kdm
mv kde4-profiles/common/etc  %buildroot/
mv kde4-profiles %buildroot/%_localstatedir/lib/%_real_vendor 
 
for name in Default ; do
	pushd %buildroot/%_localstatedir/lib/%_real_vendor/kde4-profiles/$name/share/apps/%_real_vendor/pics/
		icondir=%buildroot/%_localstatedir/lib/%_real_vendor/kde4-profiles/$name/share/icons
		mkdir -p $icondir/oxygen/scalable/places/
		cp mgabutton.svg $icondir/oxygen/scalable/places/

		for RES in 16 22 32 48 64 128 256; do 
			mkdir -p  $icondir/oxygen/${RES}x${RES}/places
			inkscape -z -w ${RES} -h ${RES} mgabutton.svg --export-filename $icondir/oxygen/${RES}x${RES}/places/mgabutton.png
		done
	popd
	echo "[Directories-default]" > %buildroot%_localstatedir/lib/%_real_vendor/kde4-profiles/$name/kde4rc
	echo "prefixes=/var/lib/%_real_vendor/kde4-profiles/common,%_localstatedir/lib/%_real_vendor/kde4-profiles/$name" >> %buildroot%_localstatedir/lib/%_real_vendor/kde4-profiles/$name/kde4rc
done
# Set up the default mageia panel
cp %buildroot/%_localstatedir/lib/%_real_vendor/kde4-profiles/Default/share/apps/plasma/layout-templates/org.mageia.plasma-desktop.defaultPanel/metadata.desktop \
	%buildroot/%_kde_services/plasma-layout-org.mageia.plasma-desktop.defaultPanel.desktop
cp %buildroot/%_localstatedir/lib/%_real_vendor/kde4-profiles/Default/share/apps/plasma/layout-templates/org.mageia.plasma-desktop.classicPanel/metadata.desktop \
        %buildroot/%_kde_services/plasma-layout-org.mageia.plasma-desktop.classicPanel.desktop

# Create kde4rc and the mgabutton.png for vanilla flavor

echo "[Directories-default]" > %buildroot%_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/kde4rc
echo "prefixes=/var/lib/%_real_vendor/kde4-profiles/vanilla" >> %buildroot%_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/kde4rc
icondir=%buildroot/%_localstatedir/lib/%_real_vendor/kde4-profiles/vanilla/share/icons
 mkdir -p $icondir/oxygen/scalable/places/
   for RES in 16 22 32 48 64 128 256; do
       mkdir -p  $icondir/oxygen/${RES}x${RES}/places
       ln -s %_kde_iconsdir/oxygen/${RES}x${RES}/places/start-here-kde.png $icondir/oxygen/${RES}x${RES}/places/mgabutton.png
   done

# Create kde4rc for common (used when kde4-config-file is not installed, eg with Plasma 5)
echo "[Directories-default]" > %buildroot%_localstatedir/lib/%_real_vendor/kde4-profiles/common/kde4rc
echo "prefixes=/var/lib/%_real_vendor/kde4-profiles/common" >> %buildroot%_localstatedir/lib/%_real_vendor/kde4-profiles/common/kde4rc

# Install kde4 firstsetup script in /usr/share/kde4/env to be sourced on kde start

	install -m 755 %SOURCE1 %buildroot/%_datadir/kde4/env

# Install .desktop files in /usr/share/dist/desktop-files/default folder
	install -m 755 %SOURCE2 %buildroot/%_datadir/dist/desktop-files/default

# Install kde-mimeapps.list in /usr/share/applications
#    install -m 644 %SOURCE3 %buildroot/%_datadir/applications


# move Mageia Ksplash theme to /usr/share/apps/ksplash folder

mkdir -p %{buildroot}/%_kde_appsdir/ksplash/Themes
mv %{buildroot}/%_localstatedir/lib/%_real_vendor/kde4-profiles/common/share/apps/ksplash/Themes/Default %{buildroot}/%_kde_appsdir/ksplash/Themes/

#Remove the netbook profile
rm -fr %buildroot%_localstatedir/lib/%_real_vendor/kde4-profiles/netbook

