%define         source_date 20241221

Name:           mageia-plasma-config
Version:        10
Release:        %mkrel 0.2
Summary:        %_vendor Plasma configuration
License:        GPLv2
Group:          Graphical desktop/KDE
URL:            https://www.mageia.org/
Source0:        %{name}-%{version}.%{source_date}.tar.xz
BuildArch:      noarch

BuildRequires:  kf6-rpm-macros
BuildRequires:  plasma-workspace

Obsoletes:      mageia-plasma5-config < 9-8
Provides:       mageia-plasma5-config = %{version}-%{release}

%description
This package regroups all specific %_vendor config file for Plasma.

%files
%_iconsdir/mgabutton.svg
%_iconsdir/breeze*/places/*/*
%_sysconfdir/Trolltech.conf
%_sysconfdir/xdg/ksplashrc
%dir %_sysconfdir/xdg/plasma-workspace/
%dir %_sysconfdir/xdg/plasma-workspace/env/
%_sysconfdir/xdg/plasma-workspace/env/plasma6-firstsetup.sh
%_sysconfdir/xdg/plasma-workspace/env/env.sh
%{_sysconfdir}/xdg/kdeglobals
%{_sysconfdir}/xdg/kcm-about-distrorc
%{_sysconfdir}/xdg/kdebugrc
%_datadir/plasma/look-and-feel/org.mageia.breeze.desktop
%dir %_var/lib/plasma6-profiles
%_var/lib/plasma6-profiles/common

#--------------------------------------------------------------------

%prep
%autosetup

%build
#Nothing to do here

%install
cp -frv etc %buildroot
chmod -Rv 755 %buildroot%_sysconfdir/xdg/plasma-workspace/env/
for i in 16 22 32 64  ; do
        mkdir -p %buildroot%_iconsdir/breeze/places/$i
        cp  usr/share/icons/mgabutton.svg %buildroot%_iconsdir/breeze/places/$i

        mkdir -p %buildroot%_iconsdir/breeze-dark/places/$i
        cp  usr/share/icons/mgabutton.svg %buildroot%_iconsdir/breeze-dark/places/$i
done

cp usr/share/icons/mgabutton.svg %buildroot%_iconsdir

mkdir -p %buildroot%_datadir/plasma/look-and-feel/
pushd %buildroot%_datadir/plasma/look-and-feel/
        mkdir -p %buildroot%_datadir/plasma/look-and-feel/org.mageia.breeze.desktop/contents/previews/
        mkdir -p %buildroot%_datadir/plasma/look-and-feel/org.mageia.breeze.desktop/contents/splash/images/
        mkdir -p %buildroot%_datadir/plasma/look-and-feel/org.mageia.breeze.desktop/contents/components/artwork/
# Symlink to default.png to get correct aspect ratio image
        ln -sf %{_datadir}/mga/backgrounds/default.png %{buildroot}%{_datadir}/plasma/look-and-feel/org.mageia.breeze.desktop/contents/splash/images/background.png
# remove/replace items to be customized
        ln -sf %{_datadir}/mga/backgrounds/default.png %{buildroot}%{_datadir}/plasma/look-and-feel/org.mageia.breeze.desktop/contents/components/artwork/background.png
# Replace with Mageia KSplash
        cp -frv %_builddir/%name-%version/usr/share/plasma/look-and-feel/org.mageia.breeze.desktop/contents/splash %buildroot%_datadir/plasma/look-and-feel/org.mageia.breeze.desktop/contents
        cp -frv %_builddir/%name-%version/usr/share/plasma/look-and-feel/org.mageia.breeze.desktop/contents/previews/splash.png %buildroot%_datadir/plasma/look-and-feel/org.mageia.breeze.desktop/contents/previews/splash.png
       cp -frv %_builddir/%name-%version/usr/share/plasma/look-and-feel/org.mageia.breeze.desktop/metadata.desktop %buildroot%_datadir/plasma/look-and-feel/org.mageia.breeze.desktop/
       cp -frv %_builddir/%name-%version/usr/share/plasma/look-and-feel/org.mageia.breeze.desktop/metadata.json %buildroot%_datadir/plasma/look-and-feel/org.mageia.breeze.desktop/
popd

mkdir -p %buildroot%_var/lib/
cp -frv var/lib/plasma6-profiles %buildroot%_var/lib/

# fix icon permission
find %buildroot -not -type d -a \( -type f -name '*.png' -o -name '*.qml' \) -perm /u=x,g=x,o=x -exec chmod -x '{}' \;
