Name:		mageia-prime
Version:	0.4
Release:	%mkrel 16
Summary:	An NVidia Prime configuration tool
Group:		Development/X11
URL:		https://github.com/ghibo/%{name}
Source0:	%{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		0001-A-round-of-code-fixing-including.patch
Patch2:		0002-Fix-glxspheres64-in-README.md-doc.patch
Patch3:		0003-Fix-indentation.patch
Patch4:		0004-Add-support-for-using-the-intel-driver-from-x11-driv.patch
Patch5:		0005-Don-t-install-dnf-packages-interactively.patch
Patch6:		0006-Implement-autodetecting-of-nvidia390-or-nvidia-curre.patch
Patch7:		0007-Exits-and-not-just-warning-if-not-having-root-privil.patch
Patch8:		0008-Add-option-f-to-avoid-re-using-preserved-xorg.conf.patch
Patch9:		0009-Add-a-missed-brace.patch
Patch10:	0010-Fix-typo.patch
Patch11:	0011-Add-an-option-to-print-options-available.patch
Patch12:	0012-Add-option-y-for-quick-installation-uninstallation-s.patch
Patch13:	0013-add-more-checks-to-xrandr-setprovideroutputsource-ar.patch
Patch14:	0014-sync-names-in-printed-help.patch
Patch15:	0015-Drop-support-for-driver-nvidia390-add-support-for-dr.patch
Patch16:	0016-Add-support-for-lspci-output-containing-pci-domain.patch
License:	GPLv3

Requires:	kmod
Recommends:	dnf
Recommends:	dnf-command(install)
Recommends:	dnf-command(config-manager)
Requires:	urpmi
Requires:	drakxtools-backend
# /bin/update-grub
Requires:	grub2-common
# /bin/lspcidrake
Requires:	ldetect-lst
# /bin/lspci
Requires:	pciutils
# systemctl
Requires:	systemd-units
Requires:	xrandr
# avoid interference with bumblebee modules
Conflicts:	bumblebee
# non-x86_64 archs no longer have proprietary NVidia drivers.
ExclusiveArch:	x86_64

%description
A tool for easily configuring NVidia Prime (Optimus) under Mageia GNU/Linux.

%prep
%setup -q
%autopatch -p1

%build
%make_build CFLAGS="%{optflags} -Wall -pedantic -D_GNU_SOURCE"

%install
%make_install

%files
%doc README.md
%license LICENSE
%{_bindir}/mageia-prime-offload
%{_bindir}/mageia-prime-offload-run
%{_bindir}/mageia-prime-install-packages-large
%{_sbindir}/mageia-prime-install
%{_sbindir}/mageia-prime-uninstall
