# Set this to 1 when in devel stage
# Set this back to 0 when at RC stage
%define am_i_cauldron 1

%if "%{distro_arch}" == "x86_64"
%global secondary_distarch i686
%endif

Name:     mageia-repos
# When Cauldron becomes new release, Version must match new release
Version:  10
# During Cauldron devel, it should be 0.0.X
# During release candidate, it should be 0.1.X
# Before final release, bump to 1
Release:  %mkrel 0.0.6
Summary:  Mageia package repositories
Group:    System/Packaging
License:  MIT

# Mageia GPG key
Source0:  RPM-GPG-KEY-Mageia

# Mageia release repo config templates
Source1:  mageia-core-repo
Source2:  mageia-extrasect-repo
Source3:  mageia-core-srcrepo
Source4:  mageia-extrasect-srcrepo

# Cauldron repo config templates
Source5:  cauldron-core-repo
Source6:  cauldron-extrasect-repo
Source7:  cauldron-core-srcrepo
Source8:  cauldron-extrasect-srcrepo

Provides: mageia-repos(%{version})
Provides: mageia-repos(releasever) = %{version}
Requires: system-release(releasever) >= %{version}
Requires: mageia-repos-pkgprefs = %{version}-%{release}
Requires: mageia-repos-keys = %{version}-%{release}

%if %am_i_cauldron
Requires: mageia-repos-cauldron = %{version}-%{release}
%else
# At RC stage, after switching off am_i_cauldron, add the appropriate Obsoletes
Obsoletes: mageia-repos-cauldron < %{version}-1
%endif

%description
Mageia package repository files for DNF and PackageKit with GPG public keys


%package keys
Summary:  Mageia repository GPG keys
Group:    System/Packaging
# GPG keys are architecture independent
BuildArch: noarch

%description keys
Mageia GPG keys for validating packages from Mageia repositories by
DNF and PackageKit.

%package pkgprefs
# (ngompa): See the following page on why this exists:
# https://fedoraproject.org/wiki/PackagingDrafts/ProvidesPreferences#Distribution_preference
Summary:  Mageia repository package preferences
Group:    System/Packaging
# Preferences list is architecture independent
BuildArch: noarch

########## base ################################################################
# webfetch
Suggests: curl

# webclient
Suggests: lynx

# bootloader
Suggests: grub2

# vim
Suggests: vim-minimal

# always prefer perl-base over weird packages auto-providing same modules (perl-PathTools, perl-Tk, , perl-PDL...)
Suggests: perl-base

# libGL.so.1 (also provided by proprietary drivers)
# use lib(64)gl1 if preferred libGL.so.1 (other than proprietary drivers) is placed into lib(64)gl1
Suggests: libgl11
Suggests: lib64gl1

# libEGL.so.1 (also provided by proprietary drivers)
# use lib(64)egl1 if preferred libEGL.so.1 (other than proprietary drivers) is placed into lib(64)egl1
Suggests: libegl1
Suggests: lib64egl1

# libGLESv2.so.2
Suggests: lib64glesv22
Suggests: libglesv22

# libGLESv1_CM.so.1
Suggests: libglesv1_cm1
Suggests: lib64glesv1_cm1

# pkgconfig(gl) and pkgconfig(egl) could be provided in multiple places across media sources
# (even older media sources). Choose here the preferred one.
Suggests: libglvnd-devel
Suggests: lib64glvnd-devel

# prefer openssl over libressl
Suggests: libopenssl1.0.0
Suggests: lib64openssl1.0.0

# prefer openssl over quictls
Suggests: libopenssl3
Suggests: libopenssl-devel
Suggests: lib64openssl3
Suggests: lib64openssl-devel

# prefer gtk3 over gtk4 (and gtk2) when installing for example python3-gobject3
Suggests: libgtk-gir3.0
Suggests: lib64gtk-gir3.0

# prefer openssh-askpass over openssh-askpass-gnome (for keychain)
Suggests: openssh-askpass

# python 3
Suggests: python3

# initrd
Suggests: dracut

########## multimedia ##########################################################
# festival-voice
Suggests: festvox-kallpc16k

# gnome-speech-driver
Suggests: gnome-speech-driver-espeak

# esound
Suggests: pulseaudio-esound-compat

# task-sound: prefer task-pulseaudio over task-pipewire
Suggests: task-pulseaudio

# pulseaudio-daemon: prefer pulseaudio over pipewire-pulseaudio
Suggests: pulseaudio

# gst-install-plugins-helper
Suggests: packagekit-gstreamer-plugin

# libbaconvideowidget.so.0 (totem backend)
Suggests: libbaconvideowidget-gstreamer0
Suggests: lib64baconvideowidget-gstreamer0

# phonon-backend: prefer phonon-vlc over phonon-gstreamer
Suggests: phonon-vlc

# phonon4qt5-backend: prefer phonon4qt5-vlc over phonon4qt5-gstreamer
Suggests: phonon4qt5-vlc

# mate backend
Suggests: matemixer-backend-pulse

########## devel ###############################################################
# xemacs-extras provides ctags, prefer simple ctags
Suggests: ctags

# prefer openssl-devel over libressl-devel
Suggests: libopenssl-devel
Suggests: lib64openssl-devel

# prefer gcc over gcc3.3
# (gcc-cpp and gcc-c++ are no more needed, but keeping just in case)
Suggests: gcc-cpp
Suggests: gcc
Suggests: gcc-c++
Suggests: libstdc++-devel

# prefer urpmi-debuginfo-install over dnf-utils
# (when using urpmi, this is preferred, dnf will prefer dnf-utils)
#Suggests: urpmi-debuginfo-install
Suggests: dnf-utils

# prefer over lib(64)ossp_uuid packages
Suggests: libuuid-devel
Suggests: lib64uuid-devel

# prefer MIT krb5 over heimdal
Suggests: libkrb53-devel
Suggests: lib64krb53-devel

########## servers #############################################################
# sendmail-command and mail-server
Suggests: postfix

# webserver
Suggests: apache

# nfs-server
Suggests: nfs-utils

# ftpserver
Suggests: proftpd

# postgresql
Suggests: libpq5
Suggests: lib64pq5

# syslog-daemon
Suggests: rsyslog

# vnc
Suggests: tigervnc

# x2goserver database backend
Suggests: x2goserver-sqlite

########## various #############################################################
# sane (also provided by saned)
Suggests: sane-backends

# virtual-notification-daemon
Suggests: notification-daemon

# sgml-tools
# (the other choice is linuxdoc-tools which requires docbook-utils anyway)
Suggests: docbook-utils

# input method
Suggests: ibus
Suggests: pyzy-db-open-phrase
Suggests: ibus-ui-gtk3
# plasma-applet-kimpanel-backend: prefer plasma-applet-kimpanel-backend-ibus to plasma-applet-kimpanel-backend-scim
# plasma-applet-kimpanel-backend-ibus (removed due to bug 8459)

# drupal database storage
Suggests: drupal-mysql

# polkit-agent
Suggests: mate-polkit

# java
Suggests: java-11-openjdk
Suggests: java-11-openjdk-devel

# java-plugin
Suggests: icedtea-web

# kde-display-management: prefer kscreen to krandr for mga4
Suggests: kscreen

# lightdm greeter
Suggests: lightdm-gtk3-greeter

# prefer netcat-traditional over netcat-openbsd since it is explicitely required by task-printing
# and the netcat packages are conflicting
Suggests: netcat-traditional

# mate menu layout
Suggests: matemenu-mageia-layout

# Time::HiRes is in perl too:
Suggests: perl-Time-HiRes

# prefer desktop agnostic libreoffice plugin
Suggests: libreoffice-x11

# prefer free packages over nvidia-nsight
Suggests: qt-creator
Suggests: libhyphen0
Suggests: lib64hyphen0
Suggests: libjpeg8
Suggests: lib64jpeg8
Suggests: libpng12_0
Suggests: lib64png12_0

# prefer nss over firefox/firefox-beta
Suggests: libnss3
Suggests: lib64nss3
Suggests: libnspr4
Suggests: lib64nspr4

# prefer dkms-nvidia-current over dkms-nvidia-current-open
Suggests: dkms-nvidia-current

# prefer dkms-nvidia-newfeature over dkms-nvidia-newfeature-open
Suggests: dkms-nvidia-newfeature

%description pkgprefs
This package supplies DNF and PackageKit with global
preferences for packages in which multiple options are possible.


%package cauldron
Summary:        Cauldron repo definitions
Group:          System/Packaging
Requires:       mageia-repos = %{version}-%{release}

%description cauldron
This package provides the Cauldron repo definitions


%prep
# Nothing to prepare

%build
# Nothing to build

%install
# Install the GPG key
mkdir -p %{buildroot}%{_sysconfdir}/pki/rpm-gpg
install %{S:0} -pm 0644 %{buildroot}%{_sysconfdir}/pki/rpm-gpg

# Install the repositories
mkdir -p %{buildroot}%{_sysconfdir}/yum.repos.d

## Create the repositories for various sections
install %{S:1} -pm 0644 %{buildroot}%{_sysconfdir}/yum.repos.d/mageia-%{distro_arch}.repo
install %{S:3} -pm 0644 %{buildroot}%{_sysconfdir}/yum.repos.d/mageia-%{distro_arch}-source.repo
install %{S:4} -pm 0644 %{buildroot}%{_sysconfdir}/yum.repos.d/mageia-nonfree-%{distro_arch}-source.repo
install %{S:4} -pm 0644 %{buildroot}%{_sysconfdir}/yum.repos.d/mageia-tainted-%{distro_arch}-source.repo
install %{S:2} -pm 0644 %{buildroot}%{_sysconfdir}/yum.repos.d/mageia-nonfree-%{distro_arch}.repo
install %{S:2} -pm 0644 %{buildroot}%{_sysconfdir}/yum.repos.d/mageia-tainted-%{distro_arch}.repo

## Create the repositories for Cauldron
install %{S:5} -pm 0644 %{buildroot}%{_sysconfdir}/yum.repos.d/cauldron-%{distro_arch}.repo
install %{S:7} -pm 0644 %{buildroot}%{_sysconfdir}/yum.repos.d/cauldron-%{distro_arch}-source.repo
install %{S:8} -pm 0644 %{buildroot}%{_sysconfdir}/yum.repos.d/cauldron-nonfree-%{distro_arch}-source.repo
install %{S:8} -pm 0644 %{buildroot}%{_sysconfdir}/yum.repos.d/cauldron-tainted-%{distro_arch}-source.repo
install %{S:6} -pm 0644 %{buildroot}%{_sysconfdir}/yum.repos.d/cauldron-nonfree-%{distro_arch}.repo
install %{S:6} -pm 0644 %{buildroot}%{_sysconfdir}/yum.repos.d/cauldron-tainted-%{distro_arch}.repo

## Fill in the correct values for the installed repo files
sed -e "s/@DIST_ARCH@/%{distro_arch}/g" -i %{buildroot}%{_sysconfdir}/yum.repos.d/*%{distro_arch}*.repo

sed -e "s/@DIST_SECTION@/nonfree/g" \
    -e "s/@DIST_SECTION_NAME@/Nonfree/g" \
    -i %{buildroot}%{_sysconfdir}/yum.repos.d/*nonfree*%{distro_arch}*.repo

sed -e "s/@DIST_SECTION@/tainted/g" \
    -e "s/@DIST_SECTION_NAME@/Tainted/g" \
    -i %{buildroot}%{_sysconfdir}/yum.repos.d/*tainted*%{distro_arch}*.repo

## Disable all nonfree and tainted repositories by default
sed -e "s/enabled=1/enabled=0/g" -i %{buildroot}%{_sysconfdir}/yum.repos.d/*nonfree*%{distro_arch}*.repo
sed -e "s/enabled=1/enabled=0/g" -i %{buildroot}%{_sysconfdir}/yum.repos.d/*tainted*%{distro_arch}*.repo

## For architectures with a secondary arch, we need to create repositories for them, too
%if %{defined secondary_distarch}
for d in %{secondary_distarch}; do
  ### Create the repositories for various sections, excluding sources (as they are identical to primary arch ones)
  install %{S:1} -pm 0644 %{buildroot}%{_sysconfdir}/yum.repos.d/mageia-${d}.repo
  install %{S:2} -pm 0644 %{buildroot}%{_sysconfdir}/yum.repos.d/mageia-nonfree-${d}.repo
  install %{S:2} -pm 0644 %{buildroot}%{_sysconfdir}/yum.repos.d/mageia-tainted-${d}.repo

  ### Create the repositories for Cauldron, excluding sources (as they are identical to primary arch ones)
  install %{S:5} -pm 0644 %{buildroot}%{_sysconfdir}/yum.repos.d/cauldron-${d}.repo
  install %{S:6} -pm 0644 %{buildroot}%{_sysconfdir}/yum.repos.d/cauldron-nonfree-${d}.repo
  install %{S:6} -pm 0644 %{buildroot}%{_sysconfdir}/yum.repos.d/cauldron-tainted-${d}.repo

  ### Fill in the correct values for the installed repo files
  sed -e "s/@DIST_ARCH@/${d}/g" -i %{buildroot}%{_sysconfdir}/yum.repos.d/*${d}*.repo

  sed -e "s/@DIST_SECTION@/nonfree/g" \
    -e "s/@DIST_SECTION_NAME@/Nonfree/g" \
    -i %{buildroot}%{_sysconfdir}/yum.repos.d/*nonfree*${d}*.repo

  sed -e "s/@DIST_SECTION@/tainted/g" \
    -e "s/@DIST_SECTION_NAME@/Tainted/g" \
    -i %{buildroot}%{_sysconfdir}/yum.repos.d/*tainted*${d}*.repo

  ### Disable all secondary arch repositories by default
  sed -e "s/enabled=1/enabled=0/g" -i %{buildroot}%{_sysconfdir}/yum.repos.d/*${d}*.repo
done
%endif


%check
%if %am_i_cauldron
case %release in 
    0.*) ;;
    *)
    echo "Cauldron distro should have this package with release < %{mkrel 1}"
    exit 1
    ;;
esac
%endif


%files
%dir %{_sysconfdir}/yum.repos.d
%config(noreplace) %{_sysconfdir}/yum.repos.d/mageia*.repo

%files keys
%dir %{_sysconfdir}/pki/rpm-gpg
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-Mageia

%files cauldron
%config(noreplace) %{_sysconfdir}/yum.repos.d/cauldron*.repo

%files pkgprefs


