%define gitname	MageiaSync
%define oname	mageiaSync

Name:		mageiasync
Version:	0.6.3
Release:	%mkrel 1
Summary:	A frontend to rsync for Mageia usage
License:	GPLv3
Group:		Development/Python
URL:		https://gitweb.mageia.org/qa/MageiaSync/about/
Source0:	https://gitweb.mageia.org/qa/MageiaSync/snapshot/%{gitname}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:	qttools6

Requires:	python3-qt6-core
Requires:	python3-qt6-gui
Requires:	python3-qt6-widgets
Requires:	python3-gnupg
Requires:	rsync

Obsoletes:	python-mageiasync < 0.4.7-2
Provides:	python-mageiasync = %{version}-%{release}

%description
A tool for downloading ISO images from repository (mirror) or Mageia
testing repository. It uses rsync at main. Its aim is to be a tool
like dorsync with GUI.


%prep
%autosetup -n %{gitname}-%{version} -p1

%build
%pyproject_wheel

%install
%pyproject_install

%files
%doc CHANGELOG LICENSE README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{python3_sitelib}/%{oname}
%{python3_sitelib}/%{name}-%{version}*.dist-info
