Name:           magicrescue
Version:        1.1.10
Release:        %mkrel 3
Summary:        Tries to recover files
License:        GPLv2+
Group:          File tools
URL:            https://github.com/jbj/magicrescue
Source0:        https://github.com/jbj/magicrescue/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  gdbm-devel
Conflicts:      safecat
Requires:       binutils
Requires:       gzip
Requires:       mencoder
Requires:       mpg123

%global __requires_exclude  %{?__requires_exclude}|^perl\\(laola.pl\\)

%description
Magic Rescue scans a block device for file types it knows how to recover and
calls an external program to extract them.  It looks at "magic bytes" in file
contents, so it can be used both as an undelete utility and for recovering a
corrupted drive or partition.  As long as the file data is there, it will find
it. It works on any file system.

%prep
%setup -q

# fix man install path
sed -i 's|\$(INSTALLDIR)/man/man1|\$(INSTALLDIR)/share/man/man1|g' Makefile.in

%build
%configure
%make_build

%install
%make_install

# move binaries from /usr/share
mv %{buildroot}%{_datadir}/magicrescue/tools/inputseek %{buildroot}%{_bindir}
mv %{buildroot}%{_datadir}/magicrescue/tools/safecat %{buildroot}%{_bindir}
mv %{buildroot}%{_datadir}/magicrescue/tools/textextract %{buildroot}%{_bindir}


%files
%doc README.md
%license COPYING
%{_bindir}/*
%{_datadir}/magicrescue/
%{_mandir}/man1/*
