%define upstream_name    App-Magpie
%define upstream_version 2.010

Name:       magpie
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    MAGeia Perl Integration Easy
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz
Patch1:     magpie-2.010-shlomif-tweaks.patch
Patch2:     use-make-install.patch
Patch3:     use-make_build.patch
Patch4:     do-not-kill-mklibname.patch
Patch5:     fix-for-rpm-4.19.0.patch

BuildRequires: perl(App::Cmd::Setup)
BuildRequires: perl(CPAN::Mini)
BuildRequires: perl(CPAN::Recent::Uploads)
BuildRequires: perl(Config::Tiny)
BuildRequires: perl(DateTime)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter::Lite)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::HomeDir::PathClass)
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::pushd)
BuildRequires: perl(Find::Lib)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(List::AllUtils)
BuildRequires: perl(MetaCPAN::Client)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(MooseX::SemiAffordanceAccessor)
BuildRequires: perl(MooseX::Singleton)
BuildRequires: perl(ORDB::CPAN::Mageia)
BuildRequires: perl(Parallel::ForkManager)
BuildRequires: perl(Parse::CPAN::Meta) >= 1.440.100
BuildRequires: perl(Parse::CPAN::Packages::Fast)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(RRDTool::OO)
BuildRequires: perl(Readonly)
BuildRequires: perl(Template)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::Padding)
BuildRequires: perl(URPM)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildRequires: perl(version) >= 1:0.870.0
BuildArch:  noarch

Requires:   bm
Requires:   mgarepo
%description
CPAN holds a lot of great modules - but it can be difficult for the user to
install if she's not familiar with the process. Therefore, Linux
distribution usually package quite a lot of them, for them to be easily
installable.

Mageia Linux is no exception, and ships more than 2500 packages holding
Perl distributions (at the time of writing). Maintaining those packages is
a daunting task - and cannot be done only by hand.

This distribution is therefore a set of scripts helping maintaining Perl
packages within Mageia. They can be somehow coupled or used independently.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test || :

%install
./Build install --destdir=%{buildroot}
# Permanentize the sha-bang.
# See: https://wiki.mageia.org/en/Perl_policy#Executables .
perl -i -lpe 's{^(#\!/usr/bin/perl).*}{$1} if $. == 1' %{buildroot}/%{_bindir}/*

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/magpie
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*
