%global par_name mahout
%global src_name %(s="%{name}-%{version}" ; echo $s | sed -e 's!-!_!g')

Name:		%{par_name}-collection-codegen-plugin
Version:	1.0
Release:	%mkrel 16
Summary:	Maven Mojo to generate code for Mahout Collections

Group:		Development/Java
License:	ASL 2.0
URL:		https://%{par_name}.apache.org/
Source0:	https://www.apache.org/dist/%{par_name}/%{name}-%{version}/%{src_name}_sources.jar
Source1:	https://www.apache.org/dist/%{par_name}/%{name}-%{version}/%{src_name}.pom

Patch0:		mahout-collection-codegen-plugin-1.0-mga-fix-for-new-FileSetManager.patch

BuildArch:	noarch

BuildRequires:	maven-local
BuildRequires:	mvn(org.apache:apache:pom:)
BuildRequires:	mvn(org.apache.maven:maven-plugin-api)
BuildRequires:	mvn(org.apache.maven:maven-project)
BuildRequires:	mvn(org.apache.maven.shared:file-management)
BuildRequires:	mvn(org.apache.velocity:velocity)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)

Requires:	maven

%description
The Apache Mahout project's goal is to build a scalable machine
learning library.

This package contains the Maven plugin used to generate code
for Mahout Collections.


%package javadoc
Summary:	API documentation for %{name}

%description javadoc
This package provides the %{summary}.


%prep
%setup -Tqc
_TOPLEVEL=$(pwd)

# Prepare the sources
mkdir -p src/main/java
pushd src/main/java
%jar -xf %SOURCE0
cp -p META-INF/LICENSE META-INF/NOTICE ${_TOPLEVEL}
rm -rf META-INF
popd
find . -depth -type f -name '*.jar' -print0 | xargs -0 rm -f

%autopatch -p1

# Prepare maven pom.xml
install -pm0644 %{SOURCE1} pom.xml
%pom_add_plugin org.apache.maven.plugins:maven-jar-plugin . "
<configuration>
  <archive>
    <manifest>
      <addDefaultImplementationEntries>true</addDefaultImplementationEntries>
      <addDefaultSpecificationEntries>true</addDefaultSpecificationEntries>
    </manifest>
  </archive>
</configuration>"
%pom_add_plugin org.apache.maven.plugins:maven-plugin-plugin . "
<configuration>
  <skipErrorNoDescriptorsFound>true</skipErrorNoDescriptorsFound>
</configuration>"


%build
%mvn_file :%{name} %{name}
%mvn_build -- -Dproject.build.sourceEncoding=UTF-8


%install
%mvn_install


%files -f .mfiles
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE
