Summary:	Helper application and MIME type associations for file types
Name:		mailcap
Version:	2.1.54
Release:	%mkrel 1
License:	Public Domain and MIT
Group:		System/Networking
URL:		https://pagure.io/mailcap
Source0:	https://pagure.io/releases/mailcap/%{name}-%{version}.tar.xz
Patch0:		mailcap-2.1.42-mga-mailcap-modifications.patch
# the test script is written in python
BuildRequires:	python3
BuildArch:	noarch

%description
The mailcap file is used by the metamail program.  Metamail reads the
mailcap file to determine how it should display non-text or multimedia
material.  Basically, mailcap associates a particular type of file
with a particular program that a mail agent or other program can call
in order to handle the file.

Mailcap should be installed to allow certain programs to be able to
handle non-text files.

Also included in this package is the mime.types file which contains a
list of MIME types and their filename "extension" associations, used
by several applications e.g. to determine MIME types for filenames.

%prep
%setup -q
%autopatch -p1

%build
%make_build

%install
%make_install sysconfdir=%{_sysconfdir} mandir=%{_mandir}

rm -f %{buildroot}%{_sysconfdir}/nginx/mime.types

%files
%config(noreplace) %{_sysconfdir}/mailcap
%config(noreplace) %{_sysconfdir}/mime.types
%{_mandir}/man5/mailcap.*
