#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Support lib for mail apps
Name:           mailcommon
Epoch:          2
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# FIXME missing 32bit support for messagelib
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6UiPlugin)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6ItemModels)
BuildRequires:  cmake(KF6ItemViews)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6SyntaxHighlighting)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6Codecs)

BuildRequires:  cmake(KPim6Akonadi) >= 6.2.80
BuildRequires:  cmake(KPim6AkonadiMime)
BuildRequires:  cmake(KPim6Libkdepim)
BuildRequires:  cmake(KPim6MailImporter)
BuildRequires:  cmake(KPim6MailTransport)
BuildRequires:  cmake(KPim6MessageComposer)
BuildRequires:  cmake(KPim6MessageList)
BuildRequires:  cmake(KPim6MessageCore)
BuildRequires:  cmake(KPim6MessageViewer)
BuildRequires:  cmake(KPim6Mime)
BuildRequires:  cmake(KPim6PimCommonAkonadi)
BuildRequires:  cmake(KPim6TemplateParser)
BuildRequires:  cmake(KPim6AkonadiContactWidgets)
BuildRequires:  cmake(KPim6IdentityManagementCore)
BuildRequires:  cmake(KF6TextCustomEditor)
BuildRequires:  cmake(KPim6PimCommonActivities)

BuildRequires:  cmake(Phonon4Qt6)
BuildRequires:  cmake(Gpgmepp)
BuildRequires:  cmake(QGpgmeQt6)

BuildRequires:  xsltproc


%description
Support lib for mail apps.

%files -f %name.lang
%_kf6_categoriesdir/mailcommon.categories
%_kf6_categoriesdir/mailcommon.renamecategories
%_qt6_plugindir/designer/mailcommon6widgets.so

#--------------------------------------------------------------------

%define kpimmailcommon_major 6
%define libkpimmailcommon %mklibname kpim6mailcommon %{kpimmailcommon_major}

%package -n %libkpimmailcommon
Summary:        Support lib for mail apps
Group:          System/Libraries

Requires:       %name >= %epoch:%version

%description -n %libkpimmailcommon
Support lib for mail apps.

%files -n %libkpimmailcommon
%_kf6_libdir/libKPim6MailCommon.so.%{kpimmailcommon_major}{,.*}

#--------------------------------------------------------------------

%define mailcommon_devel %mklibname kpim6mailcommon -d

%package -n %mailcommon_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkpimmailcommon = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %mailcommon_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %mailcommon_devel
%_includedir/KPim6/MailCommon/
%_kf6_libdir/*.so
%_kf6_libdir/cmake/KPim6MailCommon/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name

