Summary:	Maildrop mail filter/mail delivery agent
Name:		maildrop
Version:	3.1.6
Release:	%mkrel 1
License:	GPLv3
Group:		System/Servers
URL:		https://www.courier-mta.org/maildrop/
Source0:	https://sourceforge.net/projects/courier/files/maildrop/%{version}/maildrop-%{version}.tar.bz2
Source1:	https://sourceforge.net/projects/courier/files/maildrop/%{version}/maildrop-%{version}.tar.bz2.sig
BuildRequires:	gdbm-devel
BuildRequires:	pam-devel
BuildRequires:	courier-authlib-devel
BuildRequires:	courier-unicode-devel
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	pkgconfig(libidn2)
Requires:	courier-authdaemon

%description
Maildrop is a combination mail filter/mail delivery agent.
Maildrop reads the message to be delivered to your mailbox,
optionally reads instructions from a file how filter incoming
mail, then based on these instructions may deliver mail to an
alternate mailbox, or forward it, instead of dropping the
message into your mailbox.

Maildrop uses a structured, real, meta-programming language in
order to define filtering instructions.  Its basic features are
fast and efficient.  At sites which carry a light load, the
more advanced, CPU-demanding, features can be used to build
very sophisticated mail filters.  Maildrop deployments have
been reported at sites that support as many as 30,000
mailboxes.

Maildrop mailing list:
https://lists.sourceforge.net/lists/listinfo/courier-maildrop

This version is compiled with support for GDBM database files,
maildir enhancements (folders+quotas), and courier authlib
support.

%package	devel
Summary:	Development tools for handling E-mail messages
Group:		Development/C

%description	devel
The maildrop-devel package contains the libraries and header files
that can be useful in developing software that works with or processes
E-mail messages.

Install the maildrop-devel package if you want to develop applications
which use or process E-mail messages.

%prep
%autosetup -p1

%build
autoreconf -vfi
autoreconf -vfi libs/numlib/

export MAILBOT="%{_bindir}/mailbot"
export CFLAGS="%{optflags} -DLDAP_DEPRECATED"
export CXXFLAGS="%{optflags} -DLDAP_DEPRECATED"

# configure and make the standard maildrop
%configure --disable-shared --with-devel \
    --with-etcdir=%{_sysconfdir}/maildrop \
    --with-db=gdbm --enable-maildirquota --with-trashquota \
    --enable-restrict-trusted=0 --enable-maildrop-uid=root --enable-maildrop-gid=mail \
    --enable-sendmail=%{_sbindir}/sendmail --enable-tempdir=.tmp --enable-smallmsg=8192 \
    --enable-global-timeout=300 --enable-keep-fromline=1 --enable-syslog=1 --with-dirsync \
    --enable-authlib \
    --enable-trusted-users="root mail daemon postfix postmaster uucp qmaild sendmail mmdf vpopmail" \
    --with-default-maildrop="./Maildir"
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

install -d %{buildroot}%{_sysconfdir}/maildrop/maildroprcs

install -m644 libs/maildir/quotawarnmsg %{buildroot}%{_sysconfdir}/maildrop/quotawarnmsg

cat > %{buildroot}%{_sysconfdir}/maildrop/autoresponsesquota <<EOF
#100000000S,10000C
EOF

cat > %{buildroot}%{_sysconfdir}/maildrop/maildirfilterconfig <<EOF
MAILDIRFILTER=../.mailfilter
MAILDIR=./Maildir
EOF

cat > %{buildroot}%{_sysconfdir}/maildrop/maildirshared <<EOF
#
EOF

cat > %{buildroot}%{_sysconfdir}/maildrop/maildroprc <<EOF
#logfile "/var/log/maildrop.log"
EOF

# fix html docs for proper docs inclusion
rm -rf html
mv %{buildroot}%{_datadir}/doc/maildrop/html html

# fix so that these won't conflict with the courier-imap package
mv %{buildroot}%{_bindir}/deliverquota %{buildroot}%{_bindir}/deliverquota-maildrop
mv %{buildroot}%{_bindir}/maildirmake %{buildroot}%{_bindir}/maildirmake-maildrop

mv %{buildroot}%{_mandir}/man1/maildirmake.1 %{buildroot}%{_mandir}/man1/maildirmake-maildrop.1
mv %{buildroot}%{_mandir}/man8/deliverquota.8 %{buildroot}%{_mandir}/man8/deliverquota-maildrop.8

%files
%doc NEWS UPGRADE ChangeLog libs/maildir/README* html
%doc maildroptips.txt
%doc README.html UPGRADE.html

%attr(0755,root,mail) %dir %{_sysconfdir}/maildrop
%attr(0700,root,mail) %dir %{_sysconfdir}/maildrop/maildroprcs

%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/maildrop/autoresponsesquota
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/maildrop/maildirfilterconfig
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/maildrop/maildirshared
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/maildrop/maildroprc
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/maildrop/quotawarnmsg

%attr(0755,root,mail) %{_bindir}/lockmail
%attr(0755,root,mail) %{_bindir}/maildrop
%attr(0755,root,root) %{_bindir}/deliverquota-maildrop
%attr(0755,root,root) %{_bindir}/mailbot
%attr(0755,root,root) %{_bindir}/maildirmake-maildrop
%attr(0755,root,root) %{_bindir}/makedatprog
%attr(0755,root,root) %{_bindir}/makemime
%attr(0755,root,root) %{_bindir}/reformime
%{_bindir}/maildirkw
%{_bindir}/maildirwatch

%attr(0755,root,root) %{_bindir}/makedat
%attr(0755,root,root) %{_bindir}/reformail

%attr(0644,root,root) %{_mandir}/man[1578]/*

%files devel
%attr(0644,root,root) %{_mandir}/man3/*
%attr(0644,root,root) %{_includedir}/*.h
%attr(0755,root,root) %{_libdir}/*.a

