#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Mail importer library
Name:           mailimporter
Epoch:          2
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Xml)

BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)

BuildRequires:  cmake(KPim6Akonadi)
BuildRequires:  cmake(KPim6Mime)
BuildRequires:  cmake(KPim6AkonadiMime)
BuildRequires:  cmake(KPim6PimCommon) >= 5.240


%description
Mail importer library.

%files -f %name.lang
%_kf6_categoriesdir/mailimporter.categories
%_kf6_categoriesdir/mailimporter.renamecategories

#--------------------------------------------------------------------

%define kpimmailimporter_major 6
%define libkpimmailimporter %mklibname kpim6mailimporter %{kpimmailimporter_major}

%package -n %libkpimmailimporter
Summary:        Mail importer library
Group:          System/Libraries

Requires:       %name >= %epoch:%version-%release

%description -n %libkpimmailimporter
Mail importer library.

%files -n %libkpimmailimporter
%_kf6_libdir/libKPim6MailImporter.so.%{kpimmailimporter_major}{,.*}

#--------------------------------------------------------------------

%define kpimmailimporterakonadi_major 6
%define libkpimmailimporterakonadi %mklibname kpim6mailimporterakonadi %{kpimmailimporterakonadi_major}

%package -n %libkpimmailimporterakonadi
Summary:        Mail importer library
Group:          System/Libraries

Requires:       %name >= %epoch:%version-%release

%description -n %libkpimmailimporterakonadi
Mail importer library.

%files -n %libkpimmailimporterakonadi
%_kf6_libdir/libKPim6MailImporterAkonadi.so.%{kpimmailimporterakonadi_major}{,.*}

#--------------------------------------------------------------------

%define mailimporter_devel %mklibname kpim6mailimporter -d

%package -n %mailimporter_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %epoch:%version-%release
Requires:       %libkpimmailimporter = %epoch:%version-%release
Requires:       %libkpimmailimporterakonadi = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %mailimporter_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %mailimporter_devel
%_includedir/KPim6/MailImporter/
%_includedir/KPim6/MailImporterAkonadi/
%_kf6_libdir/*.so
%_kf6_libdir/cmake/KPim6MailImporter/
%_kf6_libdir/cmake/KPim6MailImporterAkonadi/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name
