Name:           makeself
Version:        2.5.0
Release:        %mkrel 1
Summary:        Make self-extractable archives on Unix
Group:          Development/Other
License:        GPLv2+
URL:            https://makeself.io/
Source0:        https://github.com/megastep/%{name}/archive/release-%{version}/%{name}-release-%{version}.tar.gz
# This patch changes the path to the sourced header script
Patch0:         move_header.patch
Patch1:         0001-Remove-stale-makeself.lsm-reference-from-README.patch
BuildArch:      noarch
BuildRequires:  glibc

Requires:       gzip

Recommends:     gnupg
Recommends:     openssl
Recommends:     bzip2
Recommends:     lz4
Recommends:     pigz
Recommends:     xz
Recommends:     zstd

%description
makeself.sh is a shell script that generates a self-extractable
tar.gz archive from a directory. The resulting file appears as a shell
script, and can be launched as is. The archive will then uncompress
itself to a temporary directory and an arbitrary command will be
executed (for example an installation script). This is pretty similar
to archives generated with WinZip Self-Extractor in the Windows world.

%prep
%setup -q -n %{name}-release-%{version}
%autopatch -p1

%build
iconv -f iso8859-1 -t utf-8 %{name}.1 > %{name}.1.conv && mv -f %{name}.1.conv %{name}.1

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libexecdir}
mkdir -p %{buildroot}%{_mandir}/man1

install -p -m 755 %{name}.sh %{buildroot}%{_bindir}/%{name}
install -p -m 644 %{name}-header.sh %{buildroot}%{_libexecdir}
install -p -m 644 %{name}.1 %{buildroot}%{_mandir}/man1

%files
%doc README.md
%license COPYING
%{_bindir}/*
%{_libexecdir}/*
%{_mandir}/man1/*
