Name:           maliit-framework
Version:        2.3.0
Release:        %mkrel 1
Summary:        Input method framework

Group:          System/Libraries
License:        LGPLv2
URL:            https://maliit.github.io/
Source0:        https://github.com/maliit/framework/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: cmake

BuildRequires: doxygen
BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(libsystemd)
BuildRequires: pkgconfig(libudev)

BuildRequires: cmake(Qt5Core)
BuildRequires: cmake(Qt5DBus)
BuildRequires: cmake(Qt5Gui)
BuildRequires: cmake(Qt5Quick)
BuildRequires: cmake(Qt5WaylandClient)
BuildRequires: cmake(Qt5Widgets)
BuildRequires: cmake(Qt5XkbCommonSupport)

BuildRequires: pkgconfig(wayland-client)
BuildRequires: pkgconfig(wayland-protocols)

Obsoletes:     maliit-framework-gtk2 < 2.0.0
Obsoletes:     maliit-framework-qt4 < 2.0.0
Obsoletes:     maliit-framework-gtk3 < 2.0.0

%description
Maliit provides a flexible and cross-platform input method framework. It has a
plugin-based client-server architecture where applications act as clients and
communicate with the Maliit server via input context plugins. The communication
link currently uses D-Bus.

%package qt5
Summary: Input method module for Qt 5 based on Maliit framework
Group: Development/C++
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description qt5
Input method module for Qt 5 based on Maliit framework.

%package devel
Summary: Development files
Group: System/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%package docs
Summary: Documentation files for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
Requires: gtk-doc
BuildArch: noarch

%description docs
This package contains developer documentation for %{name}.

%package examples
Summary: Tests and examples for %{name}
Group: Development/C
Requires: %{name} = %{version}-%{release}
Requires: %{name}-qt5 = %{version}-%{release}

%description examples
This package contains tests and examples for %{name}.

%prep
%autosetup -n framework-%{version} -p1

%build
%cmake -Denable-examples=ON \
       -Denable-tests=OFF \
       -Denable-dbus-activation=ON

%cmake_build

%install
%cmake_install

%files
%license LICENSE.LGPL
%doc README.md NEWS
%{_bindir}/maliit-server
%{_libdir}/libmaliit*.so.2*
%{_datadir}/dbus-1/services/org.maliit.server.service

%files qt5
%{_libdir}/qt5/plugins/platforminputcontexts/libmaliitplatforminputcontextplugin.so
%{_libdir}/qt5/plugins/wayland-shell-integration/libinputpanel-shell.so

%files devel
%{_includedir}/maliit-2/
%{_libdir}/cmake/MaliitGLib/
%{_libdir}/cmake/MaliitPlugins/
%{_libdir}/libmaliit*.so
%{_libdir}/pkgconfig/maliit*.pc
%{_libdir}/qt5/mkspecs/features/*.prf

%files docs
%{_datadir}/doc/maliit-framework-doc/
%{_datadir}/doc/maliit-framework/

%files examples
%{_bindir}/maliit-exampleapp-plainqt
