Name:		manafirewall
Version:	0.0.3
Release:	%mkrel 5
Summary:	manafirewall is the manatools firewalld configuration tool 
Group:		System/Packaging
License:	GPLv3+
URL:		https://github.com/manatools/%{name}
Source0:	%{url}/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		00-checked_items.patch


BuildArch:	noarch

BuildRequires:	cmake			>= 3.4.0
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	appstream-util
BuildRequires:	pkgconfig
BuildRequires:	python3-devel		>= 3.4.0
BuildRequires:	python3-yaml
BuildRequires:	python3-yui

Requires:	hicolor-icon-theme
Requires:	python3-yaml
Requires:	python3-yui
Requires:	python3-manatools
Requires:	python3-firewall
Requires:	firewalld
# Ensure base TUI deps are installed
Requires:	libyui-ncurses
Requires:	libyui-mga-ncurses
# Suggest users to select a GUI
Recommends:	%{name}-gui

%description
%{name} is the graphical configuration tool for firewalld based on python 
manatools and libYui (Suse widget abstraction library), to be run using 
Qt 5, GTK+ 3, or ncurses interfaces.

%package qt
Summary:	Qt frontend for %{name}
Group:		System/Packaging
Provides:	%{name}-gui = %{version}-%{release}
Requires:	%{name}-common = %{version}-%{release}
Requires:	libyui-qt
Requires:	libyui-mga-qt
Supplements:	(%{name} and qtbase5-common)

%description qt
This package pulls in the dependencies to run %{name} with a Qt5 GUI.

%package gtk
Summary:	GTK+ frontend for %{name}
Group:		System/Packaging
Provides:	%{name}-gui = %{version}-%{release}
Requires:	%{name}-common = %{version}-%{release}
Requires:	libyui-gtk
Requires:	libyui-mga-gtk
Supplements:	(%{name} and gtk+3)

%description gtk
This package pulls in the dependencies to run %{name} with a GTK+3 GUI.

%package common
Summary:	Shared files for Qt and GTK+ flavours of %{name}
Group:		System/Packaging
# It's silly to install this without the actual program...
Requires:	%{name} = %{version}-%{release}
# Without this requirement, it's possible to have desktop files installed
# that won't do anything, since there's no GUI deps installed.
Requires:	%{name}-gui

%description common
This package contains shared files used by the Qt and GTK+ flavours of
%{name}, which are not strictly necessary for the ncurses flavour of the
main %{name} package.

%prep
%autosetup -p1


%build
%cmake	-DCHECK_RUNTIME_DEPENDENCIES=ON				\
	-Wno-dev
%cmake_build


%install
%cmake_install

%find_lang %{name}

%check
# Validate desktop-files.
%{_bindir}/desktop-file-validate				\
	%{buildroot}%{_datadir}/applications/*.desktop


%files -f %{name}.lang
%doc README.md TODO.md 
%license AUTHORS LICENSE
%{_bindir}/%{name}
%{python3_sitelib}/%{name}/

%files qt
# No files

%files gtk
# No files

%files common
%{_datadir}/applications/*%{name}*.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}*
%{_metainfodir}/org.mageia.manafirewall.metainfo.xml
