Name:		manaplus
Version:	2.1.3.17
Release:	%mkrel 3
Summary:	A client for Evol Online and The Mana World: 2D MMORPG
Group:		Games/Other
License:	GPLv2+
Url:		https://manaplus.org/
Source0:	http://download.evolonline.org/manaplus/download/%{version}/%{name}-%{version}.tar.xz
Source1:	http://download.evolonline.org/manaplus/download/%{version}/%{name}-%{version}.tar.xz.sig
Patch01:	manaplus-1.9.3.23-stdheaders-build-fix.patch
Patch02:	02-gcc-13.diff
Patch04:	04-Fix-pointer-type-in-dumplibs.cpp.diff
Patch05:	05-Add-missing-include-for-libxml.diff

BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_net)
BuildRequires:	pkgconfig(SDL_ttf)
BuildRequires:	pkgconfig(SDL_gfx)
BuildRequires:	pkgconfig(physfs)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(gl)
BuildRequires:	gettext-devel

Provides:	manaworld-client = %{version}-%{release}

Recommends:	evol-client = %{version}-%{release}
Recommends:	mumble
Recommends:	xsel

%description
ManaPlus is extended client for Evol Online, The Mana World and similar
servers based on eAthena fork.
As a 2D style game, Evol Online aims to create a friendly environment where
people can escape reality and interact with others while enjoying themselves
through a fantasy style game.
The Mana World (TMW) is a serious effort to create an innovative free and
open source MMORPG. TMW uses 2D graphics and aims to create a large and
diverse interactive world.

%package -n evol-client
Summary:	Evol Online branding and theme in manaplus
BuildArch:	noarch

Provides:	evolonline-client = %{version}-%{release}
Requires:	manaplus = %{version}-%{release}

%description -n evol-client
This package is part of manaplus and gives branding information inside
ManaPlus for Evol Online server.

%prep
%autosetup -p1

%build
%configure --bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir} \
		--disable-rpath
%make_build

%install
%make_install
%make_build DESTDIR=%{buildroot} -C data/evol branding

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING docs/*.txt NEWS README
%{_gamesbindir}/%{name}
%{_gamesbindir}/dyecmd
%exclude %{_gamesdatadir}/%{name}/data/evol
%{_gamesdatadir}/%{name}
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}test.desktop
%{_datadir}/metainfo/%{name}.metainfo.xml
%{_mandir}/man6/%{name}*

%files -n evol-client
%{_datadir}/applications/evol.desktop
%{_datadir}/icons/evol-client.png
%{_gamesdatadir}/%{name}/data/evol
