%define uname   MangoHud
%define uversion 0.7.2
%define srcname %{uname}-v%{uversion}
%define rdnsname io.github.flightlessmango.mangohud

Name:           mangohud
Version:        0.7.2
Release:        %mkrel 3
Summary:        A Vulkan overlay layer for monitoring FPS, temperatures, CPU/GPU load and more
Group:          System/Libraries
License:        MIT
URL:            https://github.com/flightlessmango/MangoHud
# DFSG tarball excludes nonfree nvml.h
Source0:        https://github.com/flightlessmango/MangoHud/releases/download/v%{uversion}/%{srcname}-Source-DFSG.tar.xz

BuildRequires:  appstream
BuildRequires:  glslang
BuildRequires:  meson
BuildRequires:  libstdc++-static-devel
BuildRequires:  pkgconfig(cmocka)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(glfw3)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(nlohmann_json)
BuildRequires:  pkgconfig(spdlog)
BuildRequires:  pkgconfig(vulkan)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  python3dist(mako)

Requires:       %{_lib}vulkan-loader1

Provides:       bundled(imgui)
Provides:       bundled(vulkan-headers)

%description
A Vulkan overlay layer for monitoring FPS, temperatures, CPU/GPU load and more.

To enable the MangoHud Vulkan overlay layer, set `MANGOHUD=1` in the shell,
or use the `mangohud` command to launch programs.
See '%{_docdir}/%{name}' for configuration details.

The `goverlay` package provides a third-party GUI frontend for MangoHud.

%prep
%autosetup -p1 -n %{srcname}

%build
%meson \
  -Dmangoapp=true \
  -Dmangoapp_layer=true \
  -Dmangohudctl=true \
  -Dinclude_doc=true \
  -Duse_system_spdlog=enabled \
  -Dwith_wayland=enabled \
  -Dwith_nvml=disabled \
  -Dwith_xnvctrl=disabled
# NVML is nonfree, XNVCtrl is not packaged yet (but could be enabled if it is)

%meson_build

%install
%meson_install

# Handled below. We still need -Dinclude_doc which governs other desktop data.
rm -rf %{buildroot}%{_docdir}

# python shebang
%py3_shebang_fix %{buildroot}%{_bindir}/mangoplot

%files
%doc README.md data/%{uname}.conf
%license LICENSE
%{_bindir}/%{name}*
%{_bindir}/mangoapp
%{_bindir}/mangoplot
%{_metainfodir}/%{rdnsname}.metainfo.xml
%{_datadir}/vulkan/implicit_layer.d/*Mango*.json
%{_iconsdir}/hicolor/scalable/apps/%{rdnsname}.svg
%{_libdir}/%{name}/
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/mangoapp.1.*
