Name:		manslide
Summary:	Graphical slideshow creation program
Version:	2.0.3
Release:	%mkrel 18
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-mga-default-lang.patch
Patch1:		%{name}-%{version}-mga-english.patch
Patch2:		%{name}-%{version}-mga-qt5.patch
Patch3:		%{name}-%{version}-mga-qttranslations.patch
URL:		https://qt-apps.org/content/show.php/Manslide?content=55945
Group:		Graphics/Photography
License:	GPLv2+

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5Widgets)
Requires:	sox
Requires:	imagemagick
Requires:	mencoder
Requires:	mplayer
Requires:	netpbm
Requires:	mjpegtools
Requires:	vorbis-tools
Requires:	qttranslations5

%description
Manslide is a slideshow creation application which makes it easy to
produce attractive slideshows with optional background music. Manslide
uses the QT5 toolkit.

%prep
%setup -q
%autopatch -p1
rename M m Manslide.pro
%{_qt5_bindir}/moc mainfrm.h > moc_mainfrm.cpp
%{_qt5_bindir}/moc tetrahedron.h > moc_tetrahedron.cpp
# fix spurious-executable-perm
chmod -x *.cpp
chmod -x *.h
# fix non-readable 0600L
chmod 644 BIB_ManSlide/Luma/double_horizontal.png

%build
%qmake_qt5
%make_build

%install
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m644 icone.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
install -m755 %{name} -D %{buildroot}%{_datadir}/%{name}/%{name}
install -m644 *.qm %{buildroot}%{_datadir}/%{name}/
cp -R Interface %{buildroot}%{_datadir}/%{name}/
cp -R BIB_ManSlide %{buildroot}%{_datadir}/%{name}/
install -d %{buildroot}%{_bindir}
ln -s %{_datadir}/%{name}/%{name} %{buildroot}%{_bindir}/%{name}

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Manslide
GenericName=Slideshow generator
GenericName[ru]=Создание слайдшоу
GenericName[cy]=Cynhyrchydd sioesau tryloywderau
GenericName[et]=Slaidiseansi looja
GenericName[hu]=Diasorozat-készítő
GenericName[ja]=スライドショー作成ツール
GenericName[nl]=Generator/datum
GenericName[pl]=Generator prezentacji
GenericName[tl]=Panglikha ng Code
GenericName[uz@Latn]=Slayd shou
GenericName[it]=Creatore di presentazioni
Comment=Graphical slideshow creation program
Comment[ru]=Программа создания графического слайдшоу
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Graphics;Qt;Photography;
EOF

%files
%{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
