%bcond_without qt

#global _disable_ld_no_undefined 1

%global forgeurl https://github.com/mapnik/mapnik
#global commit 2e1b32512b1f8b52331994f2a809d8a383c0c984

%global rel 4

%define major 4.0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

%global variant_version 1.2.0
%global geometry_version 2.0.3
%global polylabel_version 1.1.0
%global protozero_version 1.7.0

Name:      mapnik
Version:   4.0.5
%forgemeta
Release:   %mkrel %{?commit:0%{?distprefix}.}%{rel}
Summary:   Free Toolkit for developing mapping applications
Group:     Geography
License:   LGPLv2+
URL:       https://mapnik.org
%if 0%{?commit:1}
Source0:   %{forgesource}
%else
Source0:   https://github.com/mapnik/mapnik/archive/v%{version}.tar.gz#/mapnik-v%{version}.tar.gz
%endif
Source1:   https://github.com/mapbox/variant/archive/v%{variant_version}.tar.gz#/variant-%{variant_version}.tar.gz
Source2:   https://github.com/mapbox/geometry.hpp/archive/v%{geometry_version}.tar.gz#/geometry.hpp-%{geometry_version}.tar.gz
Source3:   https://github.com/mapbox/polylabel/archive/v%{polylabel_version}.tar.gz#/polylabel-%{polylabel_version}.tar.gz
Source4:   https://github.com/mapbox/protozero/archive/v%{protozero_version}.tar.gz#/protozero-%{protozero_version}.tar.gz
Source11:  no_date_footer.html
Source12:  mapnik-data.license
Source13:  mapnik-viewer.desktop
###
# Allow the viewer to be built against uninstalled libraries
Patch3:    mapnik-rpath.patch
# Build against the system version of sparsehash
Patch4:    mapnik-system-sparsehash.patch
Patch10:   mapnik-boost-includes.patch
Patch11:   mapnik-missing-includes.patch
Patch50:   mapnik-viewer-build-option.patch
Patch51:   mapnik-boost-1.85.patch
ExcludeArch:   %{ix86}
BuildRequires: cmake
BuildRequires: postgresql-devel
BuildRequires: postgis
BuildRequires: proj
BuildRequires: proj-devel
BuildRequires: doxygen
BuildRequires: libltdl-devel
%if %{with qt}
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: desktop-file-utils
%endif
BuildRequires: boost-devel
BuildRequires: cairomm-devel
BuildRequires: libicu-devel
BuildRequires: pkgconfig(libtiff-4)
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(libsparsehash)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: gdal
BuildRequires: pkgconfig(gdal)
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(harfbuzz)
BuildRequires: pkgconfig(libwebp)
BuildRequires: pkgconfig(protobuf)
BuildRequires: pkgconfig(libwebp)
BuildRequires: pkgconfig(pixman-1)
BuildRequires: pkgconfig(expat)
BuildRequires: pkgconfig(zlib)
Requires:  fonts-ttf-dejavu
Requires: %{libname} = %{version}-%{release}

# Bundled version has many local patches and upstream is essentially dead
Provides: bundled(agg) = 2.4

# removed upstream for a while
Obsoletes: mapnik-python < 3.0.22-5

%description
Mapnik is a Free Toolkit for developing mapping applications.
It's written in C++. It can comfortably be used for both desktop
and web development, which was something I wanted from the beginning.

Mapnik is about making beautiful maps. It uses the AGG library
and offers world class anti-aliasing rendering with subpixel
accuracy for geographic data. It is written from scratch in
modern C++ and doesn't suffer from design decisions made a decade
ago. When it comes to handling common software tasks such as memory
management, filesystem access, regular expressions, parsing and so
on, Mapnik doesn't re-invent the wheel, but utilises best of breed
industry standard libraries from boost.org

%package -n %{libname}
Summary: Mapnik is a Free toolkit for developing mapping applications
Group: System/Libraries
Obsoletes: %{_lib}mapnik2_3 < 3.0.17-2

%description -n %{libname}
Mapnik is a Free Toolkit for developing mapping applications.
It's written in C++. It can comfortably be used for both desktop
and web development, which was something I wanted from the beginning.

Mapnik is about making beautiful maps. It uses the AGG library
and offers world class anti-aliasing rendering with subpixel
accuracy for geographic data. It is written from scratch in
modern C++ and doesn't suffer from design decisions made a decade
ago. When it comes to handling common software tasks such as memory
management, filesystem access, regular expressions, parsing and so
on, Mapnik doesn't re-invent the wheel, but utilises best of breed
industry standard libraries from boost.org


%package -n %{develname}
Summary: Mapnik is a Free toolkit for developing mapping applications
Group: Development/C++
Requires: %{name} = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{name}-devel < 3.0.22-5

%description -n %{develname}
Mapnik is a Free Toolkit for developing mapping applications.
It's written in C++. It can comfortably be used for both desktop
and web development, which was something I wanted from the beginning.

Mapnik is about making beautiful maps. It uses the AGG library
and offers world class anti-aliasing rendering with subpixel
accuracy for geographic data. It is written from scratch in
modern C++ and doesn't suffer from design decisions made a decade
ago. When it comes to handling common software tasks such as memory
management, filesystem access, regular expressions, parsing and so
on, Mapnik doesn't re-invent the wheel, but utilises best of breed
industry standard libraries from boost.org

%package utils
License:  GPLv2+
Summary:  Utilities distributed with the Mapnik spatial visualization library
Group:    Geography
Requires: %{name} = %{version}-%{release}

%description utils
Miscellaneous utilities distributed with the Mapnik spatial visualization
library.

%prep
%setup -q -b1 -b2 -b3 -b4 %{?forgesetupargs}%{!?forgesetupargs:-n %{name}-%{version}}
%autopatch -p1

# submodules are missing from source tarball
rm -rf deps/mapbox/variant
ln -sf %{_builddir}/variant-%{variant_version} deps/mapbox/variant
rm -rf deps/mapbox/geometry
ln -sf %{_builddir}/geometry.hpp-%{geometry_version} deps/mapbox/geometry
rm -rf deps/mapbox/polylabel
ln -sf %{_builddir}/polylabel-%{polylabel_version} deps/mapbox/polylabel
rm -rf deps/mapbox/protozero
ln -sf %{_builddir}/protozero-%{protozero_version} deps/mapbox/protozero

# Update default
sed -i -e "/LIBDIR_SCHEMA_DEFAULT/s/'lib'/'%{_lib}'/" SConstruct

%build
%cmake -DFONTS_INSTALL_DIR=share/fonts \
       -DUSE_BOOST_FILESYSTEM=ON \
       -DBUILD_DEMO_VIEWER=%{?with_qt:ON}%{!?with_qt:OFF} \
       -DBUILD_DEMO_CPP=OFF \
       -DBUILD_BENCHMARK=OFF \
       -DBUILD_TESTING=OFF
%cmake_build

%install
%cmake_install

# get rid of fonts use external instead
rm -rf %{buildroot}%{_datadir}/fonts

rm -rf %{buildroot}%{_bindir}/viewer.ini
rm -rf %{buildroot}%{_includedir}/{mapbox,protozero}

# install more utils
%if %{with qt}
install -p -m 644 %{SOURCE12} demo/data/
# install desktop file
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE13}
%endif

# install pkgconfig file
cat > %{name}.pc <<EOF
prefix=%{_prefix}
exec_prefix=%{_prefix}
includedir=%{_includedir}

Name: %{name}
Description: Free Toolkit for developing mapping applications
Version: %{version}
Libs: -lmapnik
Cflags: -I${includedir}/%{name}
EOF

mkdir -p %{buildroot}%{_datadir}/pkgconfig/
install -p -m 644 %{name}.pc %{buildroot}%{_datadir}/pkgconfig

%check
# export test enviroment
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH%{buildroot}%{_libdir}

pushd test/
./run ||:
popd

%files
%doc AUTHORS.md CHANGELOG.md
%license COPYING
%{_libdir}/%{name}/

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{version}

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/libmapnikjson.a
%{_libdir}/libmapnikwkt.a
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/lib%{name}*.pc
%{_datadir}/pkgconfig/%{name}.pc

%files utils
%{_bindir}/geometry_to_wkb
%{_bindir}/pgsql2sqlite
%{_bindir}/shapeindex
%{_bindir}/svg2png
%{_bindir}/mapnik-render
%{_bindir}/mapnik-index
%if %{with qt}
%{_bindir}/mapnik-viewer
%{_datadir}/applications/mapnik-viewer.desktop
%endif
