#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:          marble
Summary:       A virtual globe and world atlas
Version: 25.04.0
Release:       %mkrel %{rel}
Group:         Geography
License:       LGPLv2
URL:           https://apps.kde.org/marble/
Source:        https://download.kde.org/stable/release-service/%version/src/%{name}-%version.tar.xz

## upstreamable patches

#Branch patchs 100->200

#Trunk Patchs 200->300

#Mageia Patchs 500->600

BuildRequires: kf6-rpm-macros

BuildRequires: cmake(Qt6Core5Compat)
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Help)
BuildRequires: cmake(Qt6Xml)
BuildRequires: cmake(Qt6Network)
BuildRequires: cmake(Qt6Test)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: cmake(Qt6Quick)
%ifarch aarch64 x86_64
BuildRequires: cmake(Qt6WebChannel)
BuildRequires: cmake(Qt6WebEngineWidgets)
BuildRequires: cmake(Qt6WebEngineQuick)
%endif
BuildRequires: cmake(Qt6Svg)
BuildRequires: cmake(Qt6SvgWidgets)
BuildRequires: cmake(Qt6Sql)
BuildRequires: cmake(Qt6Concurrent)
BuildRequires: cmake(Qt6PrintSupport)
BuildRequires: cmake(Qt6DBus)
BuildRequires: cmake(Qt6Positioning)
# only used from >= 16.08.0
BuildRequires: cmake(Qt6SerialPort)

BuildRequires: cmake(KF6CoreAddons)
BuildRequires: cmake(KF6I18n)
BuildRequires: cmake(KF6Config)
BuildRequires: cmake(KF6Crash)
BuildRequires: cmake(KF6Parts)
BuildRequires: cmake(KF6DocTools)
BuildRequires: cmake(KF6KIO)
BuildRequires: cmake(KF6Runner)
BuildRequires: cmake(Plasma)

BuildRequires: pkgconfig(phonon4qt6)

BuildRequires: cmake(absl)
BuildRequires: pkgconfig(libgps) >= 3.23-1
BuildRequires: pkgconfig(shapelib)
BuildRequires: libwlocate-devel
# Optional
BuildRequires: pkgconfig(protobuf)

Recommends:    marble-handbook

Requires:      marble-frontend = %{version}
Requires:      marble-data


%description
Marble is a Virtual Globe and World Atlas that you can use to learn more
about Earth: You can pan and zoom around and you can look up places and
roads. A mouse click on a place label will provide the respective
Wikipedia article.

%files -f %name.lang
%_kf6_categoriesdir/marble.categories
%_kf6_applicationsdir/marble_geojson.desktop
%_kf6_applicationsdir/marble_gpx.desktop
%_kf6_applicationsdir/marble_kml.desktop
%_kf6_applicationsdir/marble_kmz.desktop
%_kf6_applicationsdir/marble_shp.desktop
%_kf6_datadir/mime/packages/geo.xml
%_kf6_iconsdir/hicolor/*/apps/marble.png
%_kf6_qmldir/org/kde/marble/
%dir %_kf6_libdir/marble
%_kf6_libdir/marble/plugins/
%_qt6_plugindir/*.so
%_kf6_plugindir/krunner/plasma_runner_marble.so

#------------------------------------------------------------------------------

%package data
Summary:       Marble Widget data
Group:         Geography
BuildArch:     noarch

%description data
%{summary}.

%files data
%_kf6_datadir/marble/

#------------------------------------------------------------------------------

%package kde
Summary:       The KDE optimized frontend for Marble and several Plasmoids/Wallpapers
Group:         Graphical desktop/KDE
Requires:      %{name} = %{version}
Requires:      plasma-desktop
Provides:      marble-frontend = %{version}

Conflicts:     marble < 24.11.80-1

%description kde
The KDE frontend for the Marble map viewer. It also includes several
plasmoids and wallpapers for Plasma.

%files kde
%_kf6_bindir/marble
%_kf6_applicationsdir/org.kde.marble.desktop
%_kf6_applicationsdir/marble_geo.desktop
%_kf6_applicationsdir/marble_worldwind.desktop
%_kf6_datadir/config.kcfg/marble.kcfg
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.worldclock/
%_kf6_datadir/plasma/wallpapers/org.kde.plasma.worldmap/
%_kf6_datadir/kxmlgui5/marble/
%_kf6_metainfodir/org.kde.marble.appdata.xml
%_kf6_metainfodir/org.kde.plasma.worldclock.appdata.xml
%_kf6_metainfodir/org.kde.plasma.worldmap.appdata.xml

#------------------------------------------------------------------------------

%package qt
Summary:       Qt Frontend for Marble
Group:         Geography
Requires:      %{name} = %{version}
Provides:      marble-frontend = %{version}

Conflicts:     marble < 24.11.80-1

%description qt
The Qt frontend for the Marble map viewer.

%files qt
%_kf6_bindir/marble-qt
%_kf6_applicationsdir/org.kde.marble-qt.desktop

#------------------------------------------------------------------------------

%package maps
Summary:       Map and Behaim Globe widget for mobile form factors
Group:         Geography
Requires:      %{name} = %{version}

Conflicts:     marble < 24.11.80-1

%description maps
Marble is a generic geographical map widget and framework for KDE
applications. The Marble widget shows the earth as a sphere but does not
require hardware acceleration.  A minimal set of geographical data is
included, so it can be used without an internet connection.
This package is part of the KDE education module.

%files maps
%_kf6_bindir/marble-maps
%_kf6_applicationsdir/org.kde.marble.maps.desktop
%_kf6_metainfodir/org.kde.marble.maps.appdata.xml
%_kf6_iconsdir/hicolor/scalable/apps/org.kde.marble.maps.svg
#
%_kf6_bindir/marble-behaim
%_kf6_applicationsdir/org.kde.marble.behaim.desktop
%_kf6_iconsdir/hicolor/scalable/apps/org.kde.marble.behaim.svg
%_kf6_metainfodir/org.kde.marble.behaim.appdata.xml

#------------------------------------------------------------------------------

%define marblewidget_major 28
%define libversion %(echo %{version}|cut -d. -f1)
%define libmarblewidget %mklibname marblewidget-qt6_ %{marblewidget_major}

%package -n %libmarblewidget
Summary:       Runtime library for marble
Group:         System/Libraries

%description -n %libmarblewidget
Runtime library for marble.

%files -n %libmarblewidget
%_kf6_libdir/libmarblewidget-qt6.so.%{marblewidget_major}
%_kf6_libdir/libmarblewidget-qt6.so.%{libversion}*

#------------------------------------------------------------------------------

%define astro_major 1
%define libversion %(echo %{version}|cut -d. -f1)
%define libastro %mklibname astro %{astro_major}

%package -n %libastro
Summary:       Runtime library for marble
Group:         System/Libraries

%description -n %libastro
Runtime library for marble.

%files -n %libastro
%_kf6_libdir/libastro.so.%{astro_major}
%_kf6_libdir/libastro.so.%{libversion}*

#--------------------------------------------------------------------

%package devel
Summary:       Devel stuff for %{name}
Group:         Development/KDE and Qt
Requires:      %libmarblewidget = %version-%release
Requires:      %libastro = %version-%release

%description  devel
Files needed to build applications based on %{name}.

%files devel
%_includedir/marble/
%_includedir/astro/
%_kf6_libdir/libastro.so
%_kf6_libdir/libmarblewidget-qt6.so
%_kf6_libdir/cmake/Marble/
%_kf6_libdir/cmake/Astro/
%_kf6_mkspecsdir/*.pri

#--------------------------------------------------------------------

%package handbook
Summary:       %{name} Handbook
Group:         Documentation
BuildArch:     noarch

%description handbook
This package provides %{name} Handbook.

%files handbook
%doc %_kf6_docdir/HTML/*/marble/

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6 \
  -DBUILD_QT_AND_KDE:BOOL=ON \
  -DMARBLE_DATA_PATH:PATH="%{_datadir}/marble/data" \
  -DMARBLE_PRI_INSTALL_DIR="%_kf6_mkspecsdir" \
  -DWITH_DESIGNER_PLUGIN:BOOL=OFF

%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%_kf6_applicationsdir/marble_thumbnail_*.desktop

%find_lang %name --all-name --with-qt
