%define url_ver %(echo %{version}|cut -d. -f1,2)

%define major 2
%define libname %mklibname marco-private %{major}
%define develname %mklibname -d marco-private

%define oname mate-window-manager

Summary:       MATE window manager
Name:          marco
Version:       1.28.1
Release:       %mkrel 1
URL:           https://www.mate-desktop.org/
Source0:       https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
License:       LGPLv2+ and GPLv2+
Group:         Graphical desktop/MATE

BuildRequires: intltool
BuildRequires: itstool
BuildRequires: libxml2-utils
BuildRequires: zenity
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(libcanberra-gtk3)
BuildRequires: pkgconfig(mate-desktop-2.0) >= %{url_ver}
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(libgtop-2.0)
BuildRequires: pkgconfig(libstartup-notification-1.0)
BuildRequires: pkgconfig(pangoxft)
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xdamage)
BuildRequires: pkgconfig(xpresent)
BuildRequires: pkgconfig(rarian)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(glu)
BuildRequires: pkgconfig(xres)

Requires:      zenity
Requires:      %{libname} = %{version}-%{release}
Requires:      mate-settings-daemon-schemas

%description
A window manager for MATE Desktop.

%package -n %{libname}
Summary:       Libraries for Mate window manager
Group:         System/Libraries

%description -n %{libname}
This package contains libraries used by Mate window manager.

%package -n %{develname}
Summary:       Libraries and include files with Mate window manager
Group:         Development/C
Requires:      %{libname} = %{version}-%{release}
Provides:      %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package provides the necessary development libraries and include
files to allow you to develop with Mate window manager.

%prep
%autosetup

%build
%configure \
        --disable-static           \
        --disable-schemas-compile  \
        --with-x

%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc README NEWS HACKING
%{_bindir}/marco
%{_bindir}/marco-message
%{_bindir}/marco-theme-viewer
%{_datadir}/applications/marco.desktop
%{_datadir}/themes/ClearlooksRe/
%{_datadir}/themes/Dopple-Left/
%{_datadir}/themes/Dopple/
%{_datadir}/themes/DustBlue/
%{_datadir}/themes/Spidey-Left/
%{_datadir}/themes/Spidey/
%{_datadir}/themes/Splint-Left/
%{_datadir}/themes/Splint/
%{_datadir}/themes/WinMe/
%{_datadir}/themes/eOS/
%{_datadir}/themes/Atlanta/
%{_datadir}/themes/Esco/
%{_datadir}/themes/Gorilla/
%{_datadir}/themes/Motif/
%{_datadir}/themes/Raleigh/
%{_datadir}/marco/
%{_datadir}/mate-control-center/keybindings/50-marco*.xml
%{_datadir}/help/C/creating-marco-themes
%{_datadir}/mate/wm-properties/
%{_datadir}/glib-2.0/schemas/org.mate.marco.gschema.xml
%{_mandir}/man1/marco.1*
%{_mandir}/man1/marco-message.1*

%files -n %{libname}
%{_libdir}/libmarco-private.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog
%{_bindir}/marco-window-demo
%{_includedir}/marco-1
%{_libdir}/libmarco-private.so
%{_libdir}/pkgconfig/libmarco-private.pc
%{_mandir}/man1/marco-theme-viewer.1*
%{_mandir}/man1/marco-window-demo.1*
