%global url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	ODBC driver library for connecting to MariaDB and MySQL servers
Name:		mariadb-connector-odbc
Version:	3.1.15
Release:	%mkrel 1
Group:		Development/Databases
License:	LGPLv2+
URL:		https://mariadb.com/kb/en/library/mariadb-connector-odbc/
Source0:	https://downloads.mariadb.org/interstitial/connector-odbc-%{version}/mariadb-connector-odbc-%{version}-src.tar.gz
Patch0:		libraries_include_path.patch
BuildRequires:	cmake
BuildRequires:	mariadb-devel
BuildRequires:	unixODBC-devel
BuildRequires:	pkgconfig(openssl)
Requires(preun):	unixODBC
Requires(post):		unixODBC
Requires:	unixODBC
Provides:	mysql-connector-odbc
Obsoletes:	mysql-connector-odbc < 5.3.2-5

%description
MariaDB Connector/ODBC is a standardized database driver using the industry
standard Open Database Connectivity (ODBC) API.

It supports ODBC Standard 3.5, can be used as a drop-in replacement for
MySQL Connector/ODBC, and it supports both Unicode and ANSI modes.

%prep
%setup -q -n %{name}-%{version}-src
%autopatch -p1

%build
export CFLAGS="%{optflags} -pthread -I%{_includedir}/mysql"
%cmake \
	-DMARIADB_LINK_DYNAMIC:BOOL=TRUE \
	-DWITH_OPENSSL:BOOL=TRUE \
	-DINSTALL_DOCDIR="%{_docdir}/%{name}" \
	-DINSTALL_LICENSEDIR="%{_licensedir}/%{name}"

%cmake_build

%install
%cmake_install

# not needed?
rm -rf %{buildroot}%{_libdir}/pkgconfig/libmaodbc.pc

mkdir -p %{buildroot}%{_datadir}/%{name}/
cat >> %{buildroot}%{_datadir}/%{name}/%{name}.ini << EOF
[MariaDB ODBC 3.1 Driver]
Driver = %{_libdir}/mariadb/libmaodbc.so
Description = MariaDB Connector/ODBC v3.1
EOF

rm -rf %{buildroot}%{_docdir}

%preun
if [[ $1 -eq 0 ]] ; then
  if [[ -x %{_bindir}/odbcinst ]]; then
    %{_bindir}/odbcinst -v -d -u -n 'MariaDB ODBC 3.1 Driver'
  fi
fi

%post
if [[ $1 -eq 1 ]] ; then
  if [[ -x %{_bindir}/odbcinst ]]; then
    %{_bindir}/odbcinst -v -d -i -f %{_datadir}/%{name}/%{name}.ini
  fi
fi

%triggerun -- mariadb-connector-odbc < 3.1.13
if [[ -x %{_bindir}/odbcinst ]]; then
  %{_bindir}/odbcinst -v -d -u -n 'MariaDB ODBC 3.1 Driver'
  %{_bindir}/odbcinst -v -d -i -f %{_datadir}/%{name}/%{name}.ini
fi

%files
%license COPYING
%doc README
%dir %{_libdir}/mariadb/
%{_libdir}/mariadb/libmaodbc.so
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/%{name}.ini
