%define upstream_name	 HTML-Mason
%define upstream_version 1.60

# useless stuff pulled by ./eg/MyApp/MasonWithSession.pm
# Apache::Request is dead
%global __requires_exclude perl\\((Apache::Request|MasonX::Request::PlusApacheSession)\\)
%global __provides_exclude perl\\(My

%{?perl_default_filter}

Name:       mason
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Powerful Perl-based web site development and delivery engine
License:    GPL/Artistic
Group:      Networking/WWW
Url:        http://masonhq.com/
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     HTML-Mason-1.32-netdisco.diff

BuildRequires: perl(CGI) >= 2.460.0
BuildRequires: perl(Cache::Cache) >= 1.0.0
BuildRequires: perl(Class::Container) >= 0.70.0
BuildRequires: perl(Exception::Class) >= 1.150.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(Log::Any) >= 0.80.0
BuildRequires: perl(Params::Validate) >= 0.700.0
BuildRequires: perl(Scalar::Util) >= 1.10.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: apache-mod_perl
BuildRequires: perl-libapreq2
Requires:   apache-mod_perl
Requires:   perl-HTML-Parser
Requires:   perl-libapreq2
Provides:   perl-HTML-Mason = %{version}-%{release}
Obsoletes:  perl-HTML-Mason
BuildArch:  noarch

%description
Mason allows web pages and sites to be constructed from shared, reusable
building blocks called components. Components contain a mix of Perl and HTML,
and can call each other and pass values back and forth like subroutines.
Components increase modularity and eliminate repetitive work: common design
elements (headers, footers, menus, logos) can be extracted into their own
components where they need be changed only once to affect the whole site.

Other Mason features include a graphical site previewing utility, an HTML/data
caching model, and the ability to walk through requests with the Perl debugger.

%prep

%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p0

%build
export APACHE=%{_sbindir}/httpd
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install
rm -rf %{buildroot}%{_bindir}
install -d %{buildroot}/var/cache/%{name}
install -d %{buildroot}/var/www/%{name}

%check
make test

%files
%doc CREDITS Changes INSTALL LICENSE META.json META.yml MYMETA.yml UPGRADE eg samples
%{perl_vendorlib}/HTML
%attr(-,apache,apache) /var/cache/%{name}
/var/www/%{name}
%{_mandir}/man*/*
