#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           massif-visualizer
Summary:        Tool for visualizing massif data
Version: 25.04.0
Release:        %mkrel %{rel}
License:        GPLv2
Group:          Graphical desktop/KDE
Url:            https://apps.kde.org/massif-visualizer/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6I18n)

BuildRequires:  cmake(KChart6)
BuildRequires:  cmake(KGraphViewerPart) >= 2.5.0

BuildRequires:  pkgconfig(shared-mime-info)

%description
Massif Visualizer is a tool that - *who would guess that* - visualizes massif
data. You run your application in Valgrind with `--tool=massif` and the open
the generated `massif.out.pid` in this application. You can also compress the
log with Gzip or Bzip2 and open it transparently with the visualizer.


%files -f %{name}.lang
%doc AUTHORS
%license COPYING
%{_kf6_bindir}/%{name}
%{_kf6_applicationdir}/org.kde.%{name}.desktop
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_datadir}/%{name}/
%{_kf6_datadir}/config.kcfg/%{name}-settings.kcfg
%{_kf6_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_kf6_datadir}/mime/packages/massif.xml

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name
