%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:       mate-applets
Version:    1.28.1
Release:    %mkrel 1
Summary:    MATE Desktop panel applets
Group:      Graphical desktop/MATE
License:    GPLv2+ and LGPLv2+
URL:        https://mate-desktop.org/
Source0:    https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: intltool
BuildRequires: mate-common
BuildRequires: pkgconfig(libgtop-2.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(mate-settings-daemon) >= %{url_ver}
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(libnotify)
BuildRequires: pkgconfig(libmatepanelapplet-4.0) >= %{url_ver}
BuildRequires: pkgconfig(libnl-genl-3.0)
BuildRequires: pkgconfig(mate-desktop-2.0) >= %{url_ver}
BuildRequires: pkgconfig(mateweather) >= %{url_ver}
BuildRequires: pkgconfig(polkit-gobject-1)
BuildRequires: pkgconfig(upower-glib)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(pygobject-3.0)
BuildRequires: libiw-devel
%ifarch %{ix86} x86_64
BuildRequires: cpupower-devel
%endif
BuildRequires: pkgconfig(libxklavier)
BuildRequires: itstool
BuildRequires: pkgconfig(libnm)
BuildRequires: yelp-tools
BuildRequires: pkgconfig(gucharmap-2.90)
BuildRequires: pkgconfig(libwnck-3.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(gtksourceview-4)

Requires: polkit-agent
Requires: usermode-consoleonly
# (akien) typelib() requires seem too loose, on mga5 to mga6 upgrades
# urpmi may stay happy keeping the mga5 package, leading to upgrade issues
Requires: %{_lib}mate-panel-applet-gir4.0 >= %{url_ver}

Provides: mate-netspeed-applet = %{version}-%{release}

%description
MATE Desktop panel applets.

%prep
%autosetup -p1

# switch to gtksourceview-4
sed -i -e 's/gtksourceview-3.0/gtksourceview-4/g' configure.ac

%build
autoreconf -fi
%configure \
      --disable-schemas-compile \
      --disable-static \
      --with-x \
      --enable-polkit \
      --enable-ipv6 \
      --enable-stickynotes \
      --enable-frequency-selector \
      --libexecdir=%{_libexecdir}/mate-applets

%make_build

%install
%make_install

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc AUTHORS README
%license COPYING
%config(noreplace) %{_sysconfdir}/sound/events/mate-battstat_applet.soundlist
%{_bindir}/mate-*
%{_datadir}/polkit-1/actions/org.mate.cpufreqselector.policy
%{_datadir}/dbus-1/system.d/org.mate.CPUFreqSelector.conf
%{_datadir}/dbus-1/system-services/org.mate.CPUFreqSelector.service
%{_datadir}/pixmaps/mate-cpufreq-applet
%{_libexecdir}/mate-applets
%{_mandir}/man?/*
%{_datadir}/mate-applets/
%{_datadir}/mate-panel/applets/
%{_datadir}/dbus-1/services/org.mate.panel.*.service
%{_datadir}/glib-2.0/schemas/org.mate.*.gschema.xml
%{_datadir}/icons/hicolor/*x*/apps/*.png
%{_datadir}/icons/hicolor/*x*/devices/*.png
%{_datadir}/icons/hicolor/*x*/status/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg
