%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:           mate-calc
Version:        1.28.0
Release:        %mkrel 2
Summary:        MATE Desktop calculator
License:        GPLv2+
Group:          Graphical desktop/MATE
URL:            https://mate-desktop.org/
Source0:        https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  itstool
BuildRequires:  libmpc-devel
BuildRequires:  mate-common >= %{url_ver}
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gmodule-export-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(mpfr)

%description
mate-calc is a powerful graphical calculator with financial, logical and
scientific modes. It uses a multiple precision package to do its arithmetic to
give a high degree of accuracy.

%prep
%autosetup

%build
%configure --disable-schemas-compile
%make_build

%install
%make_install

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README*
%{_mandir}/man1/mate*.1*
%{_bindir}/mate-calc*
%{_datadir}/applications/mate-calc.desktop
%{_datadir}/glib-2.0/schemas/org.mate.calc.gschema.xml
%{_datadir}/metainfo/mate-calc.appdata.xml
