%define url_ver      %(echo %{version}|cut -d. -f1,2)

Summary: MATE control center
Name:    mate-control-center
Version: 1.28.0
Release: %mkrel 3
License: GPLv2+
Group:   Graphical desktop/MATE
URL:     https://mate-desktop.org
Source0: https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
# (fc) display icons when control-center is not started from MATE (Mdk bug #16767)
Patch0:  gnome-control-center-2.27.90-menulocation.patch
# (fc) force default dpi to 96, don't use X server value
# was: gnome-control-center-2.23.6-forcedpi.patch
Patch1:  mate-control-center-1.20.0-mga-forcedpi.patch
# (fc) fix markup (GNOME bug #597006) (Fedora)
Patch2:  mate-control-center-1.28.0-fix-markup.patch
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires:  pkgconfig(libcanberra-gtk3)
BuildRequires:  itstool
#for xmllint
BuildRequires:  libxml2-utils
BuildRequires:	intltool
BuildRequires:	mate-common >= %{url_ver}
BuildRequires:	yelp-tools
BuildRequires:	pkgconfig(accountsservice)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.36.0
BuildRequires:  pkgconfig(libmarco-private) >= %{url_ver}
BuildRequires:  pkgconfig(libmate-menu) >= %{url_ver}
BuildRequires:  pkgconfig(libmatekbd) >= %{url_ver}
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(mate-desktop-2.0) >= %{url_ver}
BuildRequires:  pkgconfig(mate-settings-daemon) >= %{url_ver}
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(xscrnsaver)
BuildRequires:  pkgconfig(dconf) >= 0.13.4
BuildRequires:  pkgconfig(xi) >= 1.5
BuildRequires:  pkgconfig(libxklavier) >= 5.2
BuildRequires:  pkgconfig(polkit-gobject-1)
BuildRequires:  pkgconfig(udisks2)
#BuildRequires:  menu-messages
BuildRequires:  pkgconfig(ayatana-appindicator3-0.1) >= 0.0.13

Requires:   mate-settings-daemon >= %{url_ver}
Requires:   gnome-keyring
Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils

# No more libs/devel pkg
Obsoletes:      %{_lib}mate-window-settings-devel < 1.28.0

%description
MATE Control-center is a configuration tool for easily
setting up your MATE environment.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure \
           --with-x \
           --disable-static          \
           --disable-schemas-compile \
           --disable-update-mimedb

%make_build

%install
%make_install

rm -f %{buildroot}%{_datadir}/applications/mimeinfo.cache

mkdir -p %{buildroot}%{_datadir}/mate-background-properties

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc AUTHORS NEWS README
%config(noreplace) %{_sysconfdir}/xdg/menus/matecc.menu
%{_bindir}/mate-*
%{_sbindir}/mate-display-properties-install-systemwide
%{_datadir}/polkit-1/actions/org.mate.randr.policy
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/mate-*/
%{_datadir}/applications/*.desktop
%{_datadir}/desktop-directories/*
%{_datadir}/glib-2.0/schemas/org.mate.control-center.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.control-center.keybinding.gschema.xml
%{_datadir}/mime/packages/mate-theme-package.xml
%{_datadir}/thumbnailers/mate-font-viewer.thumbnailer
%{_datadir}/man/man1/mate-*.1*
# no devel
%{_libdir}/pkgconfig/mate-*.pc
