%define url_ver %(echo %{version}|cut -d. -f1,2)

%define api 2
%define major 17
%define gmajor 2.0
%define libname %mklibname %{name} %{api} %{major}
%define girname %mklibname matedesktop-gir %{gmajor}
%define develname %mklibname %{name} -d

Name:     mate-desktop
Version:  1.28.2
Release:  %mkrel 1
License:  GPLv2+ and LGPLv2+ and MIT
Summary:  Library with common APIs for various MATE modules
URL:      https://mate-desktop.org/
Group:    Graphical desktop/MATE
Source0:  https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Source1:  mate-mga.gschema.override
# Default application associations (mga#18522)
Source2:  mate-mimeapps.list

BuildRequires: mate-common >= %{url_ver}
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(libstartup-notification-1.0)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(dconf)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(xrandr)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(gtk-doc)
BuildRequires: pkgconfig(librsvg-2.0)
BuildRequires: intltool
BuildRequires: iso-codes
BuildRequires: librsvg
BuildRequires: autoconf-archive

Requires: xdg-user-dirs-gtk
Requires: libnotify
Requires: mate-panel
Requires: yelp
Requires: mate-notification-daemon
Requires: %{name}-schemas = %{version}-%{release}

Recommends: mate-user-guide

%description
This package contains some data files and other shared components of the
MATE user environment.

%package schemas
Summary: Gsettings schemas for %{name}
Group: Graphical desktop/MATE
BuildArch: noarch

%description schemas
This package contains gsettings schemas for %{name} package
and atril (MATE Desktop document viewer).

%package -n %{libname}
Summary: Mate desktop internal libraries
Group: System/Libraries

%description -n %{libname}
This package contains an internal library
(libmatedesktop) used to implement some portions of the MATE
desktop.

%package -n %{girname}
Summary: GObject Introspection interface description for MateDesktop
Group: System/Libraries
Requires: %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for MateDesktop.

%package -n %{develname}
Summary: MATE module API library development files
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Requires: %{girname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contain the development library with common API for various MATE modules.

%prep
%autosetup

%build
# Needed for above patches
NOCONFIGURE=1 ./autogen.sh
%configure \
     --enable-gtk-doc                                      \
     --disable-schemas-compile                             \
     --with-x                                              \
     --disable-static                                      \
     --with-pnp-ids-path="%{_datadir}/hwdata/pnp.ids"      \
     --enable-gtk-doc-html                                 \
     --enable-introspection=yes
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

install -D -m 0644 %{_sourcedir}/mate-mga.gschema.override %{buildroot}%{_datadir}/glib-2.0/schemas/

install -D -m 0644 %{_sourcedir}/mate-mimeapps.list %{buildroot}%{_datadir}/applications/

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc AUTHORS NEWS README
%license COPYING COPYING.LIB
%{_bindir}/mate-about
%{_bindir}/mate-color-select
%{_datadir}/applications/mate-about.desktop
%{_datadir}/applications/mate-color-select.desktop
%{_datadir}/applications/mate-mimeapps.list
%{_datadir}/mate-about/
%{_mandir}/man1/mate-about.1*
%{_mandir}/man1/mate-color-select.1*
%{_datadir}/icons/hicolor/*/apps/mate-desktop.png
%{_datadir}/icons/hicolor/*/apps/mate-desktop-symbolic.svg
%{_datadir}/icons/hicolor/*/apps/mate-desktop.svg
%{_datadir}/xdg-desktop-portal/mate-portals.conf

%files schemas
%{_datadir}/glib-2.0/schemas/org.mate.*.gschema.xml
%{_datadir}/glib-2.0/schemas/mate-mga.gschema.override

%files -n %{libname}
%{_libdir}/libmate-desktop-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/MateDesktop-%{gmajor}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/mate-desktop/
%{_datadir}/gir-1.0/MateDesktop-2.0.gir
%{_libdir}/libmate-desktop-2.so
%{_libdir}/pkgconfig/mate-desktop-2.0.pc
%{_includedir}/mate-desktop-2.0/
