Summary:    An application dock applet for the MATE panel
Name:       mate-dock-applet
Version:    21.10.0
Release:    %mkrel 2
Group:      Graphical desktop/MATE
License:    GPLv3
Url:        https://github.com/ubuntu-mate/mate-dock-applet/
Source0:    https://github.com/ubuntu-mate/mate-dock-applet/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:     mate-dock-applet-21.10.0-remove-typelib-Wnck-from-gtk2.patch
BuildArch:  noarch

BuildRequires: python3
BuildRequires: pkgconfig(glib-2.0)

Requires: python3
Requires: mate-panel >= 1.20.0
Requires: python3dist(pyxdg)
Requires: python3-cairo
Requires: python3-gobject3
Requires: python3dist(pillow)
Requires: python3-xlib

%description
MATE Dock Applet is a MATE Panel applet that displays
running application windows as icons. The applet features
options to pin applications to the dock, supports multiple
workspaces, and can be added to any MATE Panel, regardless
of size and orientation

%prep
%autosetup -p1 -n %{name}-%{version}

#Fix applet path, no includes libs so move to datadir
sed -i "s|libdir|datadir|g" src/Makefile.am

%build
autoreconf -fi
%configure --with-gtk3
%make_build

%install
%make_install
%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog README
%{_datadir}/dbus-1/services/org.mate.panel.applet.DockAppletFactory.service
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.dock.gschema.xml
%{_datadir}/mate-panel/applets/org.mate.panel.DockApplet.mate-panel-applet
%{_datadir}/mate-applets/mate-dock-applet/

