%define url_ver %(echo %{version}|cut -d. -f1,2)
%define upstream_name   mate-icon-theme-faenza

Name: mate-faenza-icon-theme
Version: 1.20.0
Release: %mkrel 4
Summary: MATE Desktop faenza icon theme
Group:  Graphical desktop/MATE
# Add Atilla ÖNTAŞ creation of Mageia icon license which is derived from
# https://www.mageia.org/en/about/media/ svg format logo
# by Julie Guennegues
License: GPLv2+ and Creative Commons Attribution-ShareAlike
URL: https://mate-desktop.org/
Source0: https://pub.mate-desktop.org/releases/%{url_ver}/%{upstream_name}-%{version}.tar.xz
Source1: mageia_distributor_logos.tar.xz
Source2: mageia22.png
Source3: mageia24.png
BuildArch: noarch
BuildRequires: hicolor-icon-theme

Requires: mate-icon-theme
Requires: mate-themes

%description
This package contains the Faenza and Faenza-Drak icon themes for MATE.
Addition of Mageia distribution icon.

%package dark
Summary: MATE Desktop faenza icon theme, dark variant
Group: Graphical desktop/MATE
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description dark
This icon theme uses Faenza and Faience icon themes by ~Tiheum and some
icons customized for MATE by Rowen Stipe. Also, there are some icons
from Mint-X-F and Faenza-Fresh icon packs.

%package gray
Summary: MATE Desktop faenza icon theme, gray variant
Group: Graphical desktop/MATE
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description gray
This icon theme uses Faenza and Faience icon themes by ~Tiheum and some
icons customized for MATE by Rowen Stipe. Also, there are some icons
from Mint-X-F and Faenza-Fresh icon packs.

%prep
%autosetup -n %{upstream_name}-%{version} -a 1

%build

%install
#Install Mageia icons and create symlinks:
install -m644 distributor-logo-mageia.svg matefaenza/places/scalable/distributor-logo-mageia.svg
install -m644 distributor-logo-mageia.svg matefaenza/places/scalable/start-here-mageia.svg

matefaenza_dirs="22 24 32 48 64 96"

for svg in $matefaenza_dirs; do
   install -m644 distributor-logo-mageia-${svg}.png matefaenza/places/${svg}/distributor-logo-mageia.png
   rm -f matefaenza/places/${svg}/{distributor-logo.png,start-here.png}
   cp matefaenza/places/${svg}/distributor-logo-mageia.png matefaenza/places/${svg}/distributor-logo.png
   cp matefaenza/places/${svg}/distributor-logo-mageia.png matefaenza/places/${svg}/start-here-mageia.png
done

#matefaenza_color_dirs="matefaenzadark matefaenzagray"
#for i in $matefaenza_color_dirs; do
#  install -m644 {_sourcedir}/mageia22.png $i/places/22/start-here-mageia.png
#  install -m644 {_sourcedir}/mageia24.png $i/places/24/start-here-mageia.png
#  rm -f $i/start-here.png
#done

install -m644 %{_sourcedir}/mageia22.png matefaenzadark/places/22/start-here-mageia.png
install -m644 %{_sourcedir}/mageia24.png matefaenzadark/places/24/start-here-mageia.png
rm -f matefaenzadark/start-here.png

find matefaenza* -type d -exec chmod 755 {} \;
find matefaenza* -type f -exec chmod 644 {} \;

install -d -m 755 %{buildroot}%{_iconsdir}
cp -pr matefaenzadark matefaenzagray matefaenza %{buildroot}%{_iconsdir}

for icons in $matefaenza_dirs; do
   pushd %{buildroot}%{_iconsdir}/matefaenza/places/$icons
   ln -sf distributor-logo-mageia.png mageia-logo.png
   ln -sf distributor-logo-mageia.png start-here.png
   popd
done

pushd %{buildroot}%{_iconsdir}/matefaenza/places/scalable
ln -sf distributor-logo-mageia.svg mageia-logo.svg
popd

#for i in $matefaenza_color_dirs; do
#   pushd {buildroot}{_iconsdir}/$i/places/22/
#   ln -sf start-here-mageia.png start-here.png
#   popd
#   pushd {buildroot}{_iconsdir}/$i/places/24/
#   ln -sf start-here-mageia.png start-here.png
#   popd
#done
pushd %{buildroot}%{_iconsdir}/matefaenzadark/places/22/
ln -sf start-here-mageia.png start-here.png
popd
pushd %{buildroot}%{_iconsdir}/matefaenzadark/places/24/
ln -sf start-here-mageia.png start-here.png
popd

%post
%update_icon_cache matefaenza

%post dark
%update_icon_cache matefaenzadark

%post gray
%update_icon_cache matefaenzagray

%files
%doc ChangeLog README
%license COPYING
%{_iconsdir}/matefaenza/
%ghost %{_iconsdir}/matefaenza/icon-theme.cache

%files dark
%{_iconsdir}/matefaenzadark/
%ghost %{_iconsdir}/matefaenzadark/icon-theme.cache

%files gray
%{_iconsdir}/matefaenzagray/
%ghost %{_iconsdir}/matefaenzagray/icon-theme.cache
