
%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary: MATE desktop default icons
Name: mate-icon-theme
Version: 1.28.0
Release: %mkrel 1
# Add Mageia icon license
License: GPLv2+ and LGPLv2+ and Creative Commons Attribution-ShareAlike
Group: Graphical desktop/MATE
URL:  https://www.mate-desktop.org/
Source0: https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Source1: mageia-pngs-2016.tar.xz
BuildArch: noarch
BuildRequires: intltool
BuildRequires: icon-naming-utils >= 0.8.7
Requires: hicolor-icon-theme

%description
Default icon theme for MATE Desktop.

%prep
%autosetup -a 1

%build
%configure --enable-icon-mapping
%make_build

%install
%make_install

touch %{buildroot}%{_iconsdir}/mate/icon-theme.cache
touch %{buildroot}%{_iconsdir}/menta/icon-theme.cache

# Install Mageia icon
icon_dirs="16x16 22x22 24x24 32x32 48x48"
scales="16 22 24 32 48"
for i in $icon_dirs; do
  pushd %{buildroot}%{_iconsdir}/mate/$i/places
  mv start-here.png start-here-mate.png
  popd
  pushd %{buildroot}%{_iconsdir}/menta/$i/places
  mv start-here.png start-here-mate.png
  popd
done

for i in $scales; do
  install -m644 start-here-${i}.png %{buildroot}%{_iconsdir}/mate/${i}x${i}/places/start-here.png
  install -m644 start-here-${i}.png %{buildroot}%{_iconsdir}/menta/${i}x${i}/places/start-here.png
done

# automatic gtk icon cache update on rpm installs/removals
%transfiletriggerin --  %{_iconsdir}/mate/
%update_icon_cache mate

%transfiletriggerin --  %{_iconsdir}/menta/
%update_icon_cache menta

%transfiletriggerpostun --  %{_iconsdir}/mate/
%update_icon_cache mate

%transfiletriggerpostun --  %{_iconsdir}/menta/
%update_icon_cache menta

%files
%doc README TODO
%{_iconsdir}/mate/*/
%{_iconsdir}/mate/index.theme
%ghost %{_iconsdir}/mate/icon-theme.cache
%{_iconsdir}/menta/*/
%{_iconsdir}/menta/index.theme
%ghost %{_iconsdir}/menta/icon-theme.cache
