%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:      MATE Panel applet indicator
Name:         mate-indicator-applet
Version:      1.28.0
Release:      %mkrel 1
License:      LGPLv2+ and GPLv3
Group:        Graphical desktop/MATE
URL:          https://mate-desktop.org/
Source0:      https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: intltool
BuildRequires: mate-common
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(ayatana-indicator3-0.4)
BuildRequires: pkgconfig(libayatana-ido3-0.4)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(libmatepanelapplet-4.0) >= %{url_ver}
BuildRequires: pkgconfig(x11)

Requires:      mate-panel >= %{url_ver}

%description
A small applet to display information from various applications consistently in
the panel. The indicator applet exposes Ayatana Indicators in the MATE Panel.
Ayatana Indicators are an initiative by Canonical to provide crisp and clean
system and application status indication. They take the form of an icon and
associated menu, displayed (usually) in the desktop panel. Existing indicators
include the Message Menu, Battery Menu and Sound menu.

%prep
%autosetup

%build
%configure \
	--disable-static \
	--with-ayatana-indicators
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog
%license COPYING
%{_libexecdir}/mate-indicator-applet*
%{_datadir}/dbus-1/services/*.service
%{_datadir}/mate-panel/applets/*.mate-panel-applet
%{_iconsdir}/hicolor/*/*/*
