%define url_ver      %(echo %{version}|cut -d. -f1,2)

Summary:        MATE media programs
Name:           mate-media
Version:        1.28.1
Release:        %mkrel 2
License:        GPLv2+ and LGPLv2+
Group:          Graphical desktop/MATE
URL:            https://mate-desktop.org/
Source0:        https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libcanberra-gtk3)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(mate-desktop-2.0) >= %{url_ver}
BuildRequires:  pkgconfig(libmatemixer) >= %{url_ver}
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(libmatepanelapplet-4.0) >= %{url_ver}

%description
Media utilities for the MATE desktop, including an audio mixer.

%prep
%autosetup

%build
%configure \
        --disable-static \
        --disable-schemas-compile

%make_build

%install
%make_install

%find_lang %{name} --all-name

%files -f %{name}.lang
%doc AUTHORS NEWS README
%license COPYING
%{_mandir}/man1/*
%{_bindir}/mate-volume-control
%{_datadir}/%{name}/
%{_datadir}/sounds/mate/
%{_datadir}/applications/mate-volume-control.desktop
%{_sysconfdir}/xdg/autostart/mate-volume-control-status-icon.desktop
%{_bindir}/mate-volume-control-status-icon
%{_libexecdir}/mate-volume-control-applet
%{_datadir}/dbus-1/services/org.mate.panel.applet.GvcAppletFactory.service
%{_datadir}/mate-panel/applets/org.mate.applets.GvcApplet.mate-panel-applet
