%define url_ver	%(echo %{version}|cut -d. -f1,2)

%define major     2
%define libname   %mklibname mate-menu %{major}
%define develname %mklibname mate-menu -d

%define gi_major  2.0
%define girname   %mklibname mate-menu-gir %{gi_major}

Summary:        MATE menu library
Name:           mate-menus
Version:        1.28.0
Release:        %mkrel 1
License:        GPLv2+ and LGPLv2+
URL:            https://mate-desktop.org/
Group:          System/Libraries
Source0:        https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
# (fc) 2.16.0-2mdv unclutter preferences/settings menu
Patch0:         mate-menus-1.6.0-mga-uncluttermenu.patch
Patch1:         mate-menus-1.6.0-mga-l10n.patch

BuildRequires:  mate-common >= %{url_ver}
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  autoconf-archive

Requires:       matemenu-layout >= %{version}-%{release}

%description
The package contains an implementation of the draft "Desktop Menu
Specification" from freedesktop.org:
https://www.freedesktop.org/Standards/menu-spec

Also contained here are the MATE menu layout configuration files,
.directory files and assorted menu related utility programs.

%package -n %{libname}
Group:      System/Libraries
Summary:    MATE menu library

%description -n %{libname}
The package contains an implementation of the draft "Desktop Menu
Specification" from freedesktop.org:
https://www.freedesktop.org/Standards/menu-spec

%package -n %{girname}
Summary:    GObject Introspection interface description for %{name}
Group:      System/Libraries
Requires:   %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n matemenu-vanilla-layout
Group:      Graphical desktop/MATE
Summary:    MATE Desktop vanilla menu layout
Requires:   %{name} = %{version}-%{release}
Requires(post): update-alternatives
Requires(postun): update-alternatives
Provides:   matemenu-layout = %{version}-%{release}

%description -n matemenu-vanilla-layout
This package contains upstream mate menu layout.
If you want to Mageia branded menu layout please
install matemenu-mageia-layout package

%package -n matemenu-mageia-layout
Group:      Graphical desktop/MATE
Summary:    MATE Desktop Mageia branded menu layout
Requires:   %{name} = %{version}-%{release}
Requires:   desktop-common-data
Requires(post): update-alternatives
Requires(postun): update-alternatives
Provides:   matemenu-layout = %{version}-%{release}

%description -n matemenu-mageia-layout
This package contains Mageia branded mate menu layout.
If you want to upstream vanilla menu layout please
install matemenu-vanilla-layout package

%package -n %{develname}
Group:      Development/C
Summary:    MATE menu library development files
Requires:   %{libname} = %{version}-%{release}
Requires:   %{girname} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{develname}
The package contains an implementation of the draft "Desktop Menu
Specification" from freedesktop.org:
https://www.freedesktop.org/Standards/menu-spec

%prep
%autosetup -p1

%build
NOCONFIGURE=1 ./autogen.sh
%configure \
      --disable-static \
      --enable-introspection=yes
%make_build

%install
%make_install

# Move mate menu layout to new name
mv -f %{buildroot}%{_sysconfdir}/xdg/menus/mate-applications.menu %{buildroot}%{_sysconfdir}/xdg/menus/mate-vanilla-applications.menu

%find_lang %name --with-gnome --all-name

%post -n matemenu-vanilla-layout
%{_sbindir}/update-alternatives --install \
        %{_sysconfdir}/xdg/menus/mate-applications.menu matemenu \
        %{_sysconfdir}/xdg/menus/mate-vanilla-applications.menu 9

%postun -n matemenu-vanilla-layout
if [ $1 -eq 0 ]; then
    %{_sbindir}/update-alternatives --remove matemenu  %{_sysconfdir}/xdg/menus/mate-vanilla-applications.menu
fi

%post -n matemenu-mageia-layout
%{_sbindir}/update-alternatives --install \
        %{_sysconfdir}/xdg/menus/mate-applications.menu matemenu \
        %{_sysconfdir}/xdg/menus/applications.menu 10

%postun -n matemenu-mageia-layout
if [ $1 -eq 0 ]; then
    %{_sbindir}/update-alternatives --remove matemenu  %{_sysconfdir}/xdg/menus/applications.menu
fi

%files -f %{name}.lang
%doc AUTHORS README
%license COPYING
%dir %{_sysconfdir}/xdg/menus
%config(noreplace) %{_sysconfdir}/xdg/menus/mate-preferences-categories.menu
%config(noreplace) %{_sysconfdir}/xdg/menus/mate-settings.menu
%{_datadir}/%{name}/
%dir %{_datadir}/mate/desktop-directories/
%{_datadir}/mate/desktop-directories/mate-*.directory

%files -n %{libname}
%{_libdir}/libmate-menu.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/MateMenu-%{gi_major}.typelib

%files -n matemenu-vanilla-layout
%config(noreplace) %{_sysconfdir}/xdg/menus/mate-vanilla-applications.menu
%{_datadir}/mate/desktop-directories/mate-menu-applications.directory
%ghost %{_sysconfdir}/xdg/menus/mate-applications.menu

%files -n matemenu-mageia-layout
%ghost %{_sysconfdir}/xdg/menus/mate-applications.menu

%files -n %{develname}
%{_libdir}/libmate-menu.so
%{_includedir}/mate-menus
%{_libdir}/pkgconfig/libmate-menu.pc
%{_datadir}/gir-1.0/MateMenu-%{gi_major}.gir
