%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:        MATE Desktop window management tool
Name:           mate-netbook
Version:        1.26.0
Release:        %mkrel 3
License:        GPLv3
Group:          Graphical desktop/MATE
URL:            https://mate-desktop.org/
Source0:        https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:    intltool
BuildRequires:    itstool
BuildRequires:    yelp-tools
BuildRequires:    pkgconfig(glib-2.0)
BuildRequires:    pkgconfig(libfakekey)
BuildRequires:    pkgconfig(libmatepanelapplet-4.0) >= %{url_ver}
BuildRequires:    pkgconfig(mate-desktop-2.0) >= %{url_ver}
BuildRequires:    pkgconfig(xtst)
BuildRequires:    pkgconfig(gtk+-3.0)
BuildRequires:    pkgconfig(libwnck-3.0)

Requires:         mate-panel >= %{url_ver}

%description
This package provides a simple window management tool which provides the
following functionality:
 * Allow to set basic rules for window types;
 * Allow exceptions to the rules based on string matching for window
   name and window class;
 * Allows reversing of rules when the user manually changes something;
 * Re-decorates windows on un-maximize

%prep
%autosetup

%build
%configure --libexecdir=%{_libexecdir}/%{name}

%make_build

%install
%make_install

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc ChangeLog README
%{_sysconfdir}/xdg/autostart/mate-maximus-autostart.desktop
%{_bindir}/mate-maximus
%dir %{_libexecdir}/%{name}/
%{_libexecdir}/%{name}/mate-window-picker-applet
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/mate-panel/
%{_mandir}/man1/mate-maximus.1*
