%define url_ver %(echo %{version}|cut -d. -f1,2)

#filter out engine .so provides
%global __provides_exclude_from %{_libdir}/%{name}/engines/.*\\.so

Summary:       Notification daemon for MATE Desktop
Name:          mate-notification-daemon
Version:       1.28.3
Release:       %mkrel 1
License:       GPLv2+
Group:         System/Servers
URL:           https://mate-desktop.org/
Source0:       https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:        mate-notification-daemon-1.28.0-no-exit-on-idle.patch
BuildRequires: intltool
BuildRequires: pkgconfig(mate-desktop-2.0) >= %{url_ver}
BuildRequires: pkgconfig(libmatepanelapplet-4.0) >= %{url_ver}
BuildRequires: pkgconfig(gtk-layer-shell-0)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(libnotify)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(libwnck-3.0)
BuildRequires: pkgconfig(libcanberra-gtk3)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: libxml2-utils
Requires:      libnotify
Provides:      virtual-notification-daemon
Recommends:    notification-daemon-engine-nodoka

%description
A daemon that displays passive pop-up notifications as per the
Desktop Notifications spec (http://galago.info/specs/notification/index.php).

%prep
%autosetup -p1

%build
%configure \
     --disable-static \
     --disable-schemas-compile
%make_build

%install
%make_install

# We don't need these
rm -f %{buildroot}%{_libdir}/mate-notification-daemon/engines/*.la
rm -fr %{buildroot}%{_datadir}/MateConf

# Do not install the DBus service file because multiple programs
# can provide org.freedesktop.Notifications (e.g. gnome-shell,
# GNOME notification-daemon, Ubuntu notify-osd, XFCE notifyd)
# but only one can run at a given time.  The supported solution is
# for none of them to register for DBus autostart, but leave the
# session manager to launch the service provider for the given desktop.
#
# See: https://bugzilla.redhat.com/show_bug.cgi?id=484945#c33
rm -rf %{buildroot}%{_datadir}/dbus-1/services/org.freedesktop.mate.Notifications.service

# Autostart
mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
cat << EOF > %{buildroot}%{_sysconfdir}/xdg/autostart/%{name}.desktop
[Desktop Entry]
Type=Application
Name=Notification daemon for MATE Desktop
Exec=%{_libexecdir}/mate-notification-daemon
Icon=mate-notification-properties
OnlyShowIn=MATE;
EOF

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc AUTHORS README
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_bindir}/mate-notification-properties
%{_datadir}/applications/mate-notification-properties.desktop
%{_libexecdir}/mate-notification-daemon
%{_datadir}/icons/hicolor/*/apps/mate-notification-properties.*
%{_datadir}/glib-2.0/schemas/org.mate.NotificationDaemon.gschema.xml
%{_libdir}/mate-notification-daemon/
%{_mandir}/man1/mate-notification-properties.1.*

#panel applet
%{_libexecdir}/mate-notification-applet
%{_datadir}/dbus-1/services/org.mate.panel.applet.MateNotificationAppletFactory.service
%{_datadir}/mate-panel/applets/org.mate.applets.MateNotificationApplet.mate-panel-applet
