%define url_ver %(echo  %{version}|cut -d. -f1,2)

# filter panel applet .so from provides
%global __provides_exclude_from %{_libdir}/mate-panel/.*\\.so

%define api         4
%define major       1
%define libname     %mklibname mate-panel-applet %{api} %{major}
%define develname   %mklibname -d mate-panel-applet

%define gi_major    4.0
%define girname     %mklibname mate-panel-applet-gir %{gi_major}

Summary: The core programs for the MATE GUI desktop environment
Name:    mate-panel
Version: 1.28.4
Release: %mkrel 1
License: GPLv2+ and LGPLv2+
Group:   Graphical desktop/MATE
URL:     https://mate-desktop.org/
Source0: https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Source3: mate-panel-mga.gschema.override

# (fc) use xlock instead of xscreensaver to lock root desktop
Patch0:  mate-panel-1.20.0-mga-rootlock.patch
# ensure net_applet role is network
Patch1:  mate-panel-1.18.0-mga-netapplet.patch
# Adds about-mageia in context menu
Patch2:  mate-panel-1.17.0-mga-about-mageia.patch
# Modify mageia layout to fix mga#20794
Patch3: mate-panel-1.18.2-mga-mageia_layout.patch

BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(libwnck-3.0)
BuildRequires: pkgconfig(libcanberra-gtk3)
BuildRequires: mate-common >= %{url_ver}
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(pango)
BuildRequires: pkgconfig(mateweather) >= %{url_ver}
BuildRequires: pkgconfig(libmate-menu) >= %{url_ver}
BuildRequires: pkgconfig(librsvg-2.0)
BuildRequires: pkgconfig(mate-desktop-2.0) >= %{url_ver}
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(dconf)
BuildRequires: itstool
BuildRequires: yelp-tools

Requires: desktop-common-data
Requires: mate-session-manager
Requires: mate-desktop >= %{url_ver}
Requires: mate-menus >= %{url_ver}
Requires: mate-screensaver
Requires: mate-polkit
Requires: caja-schemas
# For settings schema 'ca.desrt.dconf-editor.Settings' (mga#33361)
Requires: dconf-editor

#(patch0)
Requires: xlockmore

Recommends: mate-applets

%description
MATE (yerba maté) is a user-friendly set of applications and desktop
tools to be used in conjunction with a window manager for the X Window
System.

The MATE panel packages provides the mate panel, menus and some
basic applets for the panel.

%package -n %{libname}
Summary: %{summary}
Group: System/Libraries

%description -n %{libname}
Panel libraries for running MATE panels.

%package -n %{girname}
Summary: GObject Introspection interface description for %{name}
Group: System/Libraries
Requires: %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{develname}
Summary: Static libraries, include files for MATE panel
Group: Development/C
Provides: %{name}-devel = %{version}-%{release}
Provides: libmate-panel-applet-devel = %{version}-%{release}
Provides: libmate-panel-applet%{api}-devel = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}
Requires: %{girname} = %{version}-%{release}

%description -n %{develname}
Panel libraries and header files for creating MATE panels.

%prep
%autosetup -p1

%build
#libexecdir needed for gnome conflicts
%configure \
           --disable-static                       \
           --disable-schemas-compile              \
           --with-x                               \
           --libexecdir=%{_libexecdir}/mate-panel \
           --with-in-process-applets=all          \
           --enable-introspection

%make_build

%install

%make_install

#remove old files
find %{buildroot} -name '*.la' -delete

# Install Mageia panel layout and corresponding gschema override
install -D -m 0644 %{_sourcedir}/mate-panel-mga.gschema.override %{buildroot}%{_datadir}/glib-2.0/schemas/

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_mandir}/man1/*
%{_bindir}/mate-desktop-item-edit
%{_bindir}/mate-panel
%{_bindir}/mate-panel-test-applets
%{_datadir}/glib-2.0/schemas/org.mate.panel.*.xml
%{_datadir}/glib-2.0/schemas/mate-panel-mga.gschema.override
%{_datadir}/applications/mate-panel.desktop
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/mate-panel/
%{_libdir}/mate-panel/libclock-applet.so
%{_libdir}/mate-panel/libfish-applet.so
%{_libdir}/mate-panel/libnotification-area-applet.so
%{_libdir}/mate-panel/libwnck-applet.so

%files -n %{libname}
%dir %{_libdir}/mate-panel/
%{_libdir}/libmate-panel-applet-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/MatePanelApplet-%{gi_major}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/libmate-panel-applet-%{api}.so
%{_includedir}/mate-panel-4.0/
%{_libdir}/pkgconfig/libmatepanelapplet-4.0.pc
%{_datadir}/gir-1.0/MatePanelApplet-4.0.gir
