%define url_ver %(echo %{version}|cut -d. -f1,2)

%define major         0
%define api           1
%define gi_major      1.0
%define libname       %mklibname polkit-gtk-mate %{api} %{major}
%define develname     %mklibname -d polkit-gtk-mate
%define girname       %mklibname polkitgtkmate-gir %{gi_major}

Summary:        PolicyKit integration for the MATE desktop
Name:           mate-polkit
Version:        1.28.1
Release:        %mkrel 1
License:        LGPLv2+
Group:          System/Libraries
URL:            https://mate-desktop.org/
Source0:        https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
# This patch enables mate-polkit autostart in various Desktops and Window Managers
# desktop-file-utils can not be used because of Openbox incompability.
Patch0:         mate-polkit-1.10.2-mga-other_DEs_autostart.patch
BuildRequires:  intltool
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(ayatana-appindicator3-0.1)
BuildRequires:  pkgconfig(polkit-agent-1)
BuildRequires:  pkgconfig(polkit-gobject-1)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  mate-common >= %{url_ver}

Requires:       dbus-x11
Requires:       accountsservice

Provides:       polkit-agent
Provides:       polkit-mate = %{version}-%{release}
Provides:       polkit-gnome = %{version}-%{release}

%description
PolicyKit authentication agent for MATE desktop.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure  \
        --disable-static       \
        --enable-accountsservice \
        --enable-appindicator
%make_build

%install
%make_install

%find_lang %{name}

find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%doc AUTHORS README
%{_sysconfdir}/xdg/autostart/polkit-mate-authentication-agent-1.desktop
%{_libexecdir}/polkit-mate-authentication-agent-1
