%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:           mate-power-manager
Version:        1.28.1
Release:        %mkrel 1
Summary:        MATE Power Manager
License:        GPLv2+
Group:          Graphical desktop/MATE
URL:            https://www.mate-desktop.org
Source0:        https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  itstool
BuildRequires:  mate-common >= %{url_ver}
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libcanberra-gtk3)
BuildRequires:  pkgconfig(libwnck-3.0)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libmatepanelapplet-4.0) >= %{url_ver}
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(gnome-keyring-1)
BuildRequires:  pkgconfig(upower-glib)
BuildRequires:  pkgconfig(mate-desktop-2.0) >= %{url_ver}
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(xproto)
BuildRequires:  autoconf-archive
BuildRequires:  polkit-devel

Requires:      mate-icon-theme >= %{url_ver}
Requires:      upower

%description
MATE Power Manager uses the information and facilities provided by UPower
displaying icons and handling user callbacks in an interactive MATE session.

%prep
%autosetup

%build
autoreconf -fi
%configure \
        --disable-schemas-compile

%make_build

%install
%make_install

rm -f %{buildroot}%{_datadir}/icons/hicolor/icon-theme.cache

%find_lang %{name} --with-gnome --all-name

%files  -f %{name}.lang
%doc AUTHORS README
%license COPYING
%{_mandir}/man1/mate-power-*.*
%{_bindir}/mate-power-manager
%{_bindir}/mate-power-preferences
%{_bindir}/mate-power-statistics
%{_sbindir}/mate-power-backlight-helper
%{_datadir}/applications/mate-*.desktop
%{_datadir}/dbus-1/services/*.service
%{_datadir}/mate-power-manager/
%{_datadir}/icons/hicolor/*/apps/mate-*.*
%{_datadir}/polkit-1/actions/org.mate.power.policy
%{_datadir}/mate-panel/applets/org.mate.BrightnessApplet.mate-panel-applet
%{_datadir}/mate-panel/applets/org.mate.InhibitApplet.mate-panel-applet
%{_datadir}/glib-2.0/schemas/org.mate.power-manager.gschema.xml
%{_sysconfdir}/xdg/autostart/mate-power-manager.desktop
%{_libexecdir}/mate-brightness-applet
%{_libexecdir}/mate-inhibit-applet
