%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:           mate-screensaver
Version:        1.28.0
Release:        %mkrel 1
Summary:        MATE Screensaver
License:        GPLv2+ and LGPLv2+
Group:          Graphical desktop/MATE
URL:            https://mate-desktop.org/
Source0:        https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Source1:        xscreensaver-themed.desktop.in
Source2:        mate-screensaver-mga.gschema.override
# (vdanen) drops setgid calls to work with tcb auth
Patch0:         mate-screensaver-1.19.0-mga-drop_setgid.patch

BuildRequires:  intltool
BuildRequires:  pam-devel
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libmate-menu) >= %{url_ver}
BuildRequires:  pkgconfig(libmatekbdui) >= %{url_ver}
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(mate-desktop-2.0) >= %{url_ver}
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xxf86vm)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(xscrnsaver)
BuildRequires:  pkgconfig(x11)
BuildRequires:  libxml2-utils

Requires:   gnome-keyring
Requires:   mate-backgrounds
Requires:   mate-power-manager
Requires:   libxslt-proc
Requires:   dbus-x11
Requires:   mageia-theme-screensavers

%description
mate-screensaver is a screen saver and locker that aims to have
simple, sane, secure defaults and be well integrated with the desktop.

%package devel
Summary: Development files for mate-screensaver
Group:   Development/C
Requires: %{name} = %{version}

%description devel
Development files for mate-screensaver

%prep
%autosetup -p1

%build
%configure                      \
            --with-x                \
            --disable-schemas-compile \
            --with-mit-ext          \
            --with-xf86gamma-ext    \
            --with-libgl            \
            --with-shadow           \
            --enable-locking        \
            --with-systemd          \
            --enable-pam
%make_build

%install
%make_install

sed -ie 's@XSL=${DIST_BIN}/xscreensaver-config.xsl@XSL=%{_datadir}/mate-screensaver/xscreensaver-config.xsl@' \
        data/migrate-xscreensaver-config.sh
sed -ie 's@b=`basename ${FILE} .xml`@b=xscreensaver-`basename ${FILE} .xml`@' \
        data/migrate-xscreensaver-config.sh

install -m755 data/migrate-xscreensaver-config.sh %{buildroot}%{_datadir}/mate-screensaver
install -m644 data/xscreensaver-config.xsl %{buildroot}%{_datadir}/mate-screensaver

# Add Magia default screensaver
install -m644 %{_sourcedir}/xscreensaver-themed.desktop.in %{buildroot}%{_datadir}/applications/screensavers/xscreensaver-themed.desktop

# Do we need this doc?
rm -fr %{buildroot}%{_docdir}/mate-screensaver-1.6.0

%find_lang %{name} --with-gnome

%triggerin -- xscreensaver-base xscreensaver-gl xscreensaver-extrusion xscreensaver-matrix
(  cd %{_datadir}/applications/screensavers ; \
  for f in %{_datadir}/xscreensaver/config/*.xml; do
    %{_datadir}/mate-screensaver/migrate-xscreensaver-config.sh $f > /dev/null 2>&1
  done)

%triggerun -- xscreensaver-base
[ "$2" = 0 ] || exit 0
(cd %{_datadir}/applications/screensavers; \
for f in $(rpm -ql xscreensaver-base | grep '%{_datadir}/xscreensaver/config/'); do
  rm -f xscreensaver-$(basename $f .xml).desktop
done)

%triggerun -- xscreensaver-gl
[ "$2" = 0 ] || exit 0
(cd %{_datadir}/applications/screensavers; \
for f in $(rpm -ql xscreensaver-gl | grep '%{_datadir}/xscreensaver/config/'); do
  rm -f xscreensaver-$(basename $f .xml).desktop
done)

%triggerun -- xscreensaver-extrusion
[ "$2" = 0 ] || exit 0
(cd %{_datadir}/applications/screensavers; \
for f in $(rpm -ql xscreensaver-extrusion | grep '%{_datadir}/xscreensaver/config/'); do
  rm -f xscreensaver-$(basename $f .xml).desktop
done)

%triggerun -- xscreensaver-matrix
[ "$2" = 0 ] || exit 0
(cd %{_datadir}/applications/screensavers; \
for f in $(rpm -ql xscreensaver-matrix | grep '%{_datadir}/xscreensaver/config/'); do
  rm -f xscreensaver-$(basename $f .xml).desktop
done)

%files -f %{name}.lang
%doc AUTHORS NEWS README COPYING
%{_bindir}/mate-screensaver*
%config(noreplace) %{_sysconfdir}/pam.d/mate-screensaver
%config(noreplace) %{_sysconfdir}/xdg/menus/mate-screensavers.menu
%{_sysconfdir}/xdg/autostart/mate-screensaver.desktop
%{_libexecdir}/mate-screensaver-*
%{_libexecdir}/mate-screensaver
%{_datadir}/applications/mate-screensaver-preferences.desktop
%{_datadir}/applications/screensavers/*.desktop
%{_datadir}/mate-screensaver
%{_datadir}/backgrounds/cosmos/
%{_datadir}/pixmaps/*-logo-white.svg
%{_datadir}/desktop-directories/mate-screensaver.directory
%{_datadir}/glib-2.0/schemas/org.mate.screensaver.gschema.xml
%{_datadir}/mate-background-properties/cosmos.xml
%{_datadir}/dbus-1/services/org.mate.ScreenSaver.service
%{_mandir}/man1/*

%files devel
%{_libdir}/pkgconfig/*
