%define url_ver   %(echo %{version}|cut -d. -f1,2)

%global __provides_exclude_from %{_libdir}/mate-sensors-applet/plugins/.*\\.so

%define major     0
%define libname   %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Summary:        Detailed hardware monitoring applet for MATE
Name:           mate-sensors-applet
Version:        1.28.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/MATE
URL:            https://mate-desktop.org/
Source0:        https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:         mate-sensors-applet-fix-linkage.patch

BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  mate-common >= %{url_ver}
BuildRequires:  xsltproc
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(libatasmart)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libmatepanelapplet-4.0) >= %{url_ver}
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  lm_sensors-devel
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(udisks2)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  autoconf-archive

%description
MATE Sensors Applet is an applet for the MATE Panel to display readings
from hardware sensors, including CPU and system temperatures, fan speeds and
voltage readings under Linux.

Interfaces via the Linux kernel i2c modules.

%package -n %{libname}
Summary:    mate-sensors-applet libraries
Group:      System/Libraries

%description -n %{libname}
This is the shared library parts of %{name}.

%package -n %{develname}
Summary:    Development files for %{name}
Group:      Development/C
Requires:   %{libname} = %{version}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains development files for %{name}.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure \
    --disable-static \
    --enable-libnotify

%make_build

%install
%make_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_libexecdir}/mate-sensors-applet
%{_libdir}/mate-sensors-applet/
%{_datadir}/mate-sensors-applet/ui/
%{_datadir}/pixmaps/mate-sensors-applet/
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/dbus-1/services/org.mate.panel.applet.SensorsAppletFactory.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/mate-panel/applets/org.mate.applets.SensorsApplet.mate-panel-applet

%files -n %{libname}
%{_libdir}/libmate-sensors-applet-plugin.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog
%{_includedir}/mate-sensors-applet/*
%{_libdir}/libmate-sensors-applet-plugin.so
