%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:        The mate desktop programs for the MATE GUI desktop environment
Name:           mate-session-manager
Version:        1.28.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/MATE
URL:            https://mate-desktop.org/
Source0:        https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Source1:        startmate
Source2:        materc
Source5:        mate-lightdm.conf

BuildRequires:  intltool
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(xtrans)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(mate-desktop-2.0) >= %{url_ver}
BuildRequires:  pkgconfig(upower-glib)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(glesv2)

Requires:       mate-polkit >= %{url_ver}
Requires:       mate-settings-daemon >= %{url_ver}
Requires:       desktop-common-data

%description
MATE (yerba maté) is a user-friendly set of applications and desktop
tools to be used in conjunction with a window manager for the X Window
System.

The MATE Session Manager restores a set session (group of applications)
when you log into MATE.

%prep
%autosetup -p1

%build
#NOCONFIGURE=1 ./autogen.sh
%configure \
           --disable-static          \
           --enable-upower           \
           --with-systemd            \
           --disable-schemas-compile \
           --with-default-wm=marco   \
           --enable-ipv6
%make_build


%install
%make_install

# Use our startmate script to log in a MATE session
install -D -m 755 %{_sourcedir}/startmate %{buildroot}%{_bindir}/startmate
install -D -m 755 %{_sourcedir}/materc %{buildroot}%{_sysconfdir}/materc

sed -i -e "0,/Exec=mate-session/ s/Exec=mate-session/Exec=startmate/" %{buildroot}%{_datadir}/xsessions/mate.desktop

# Pre-select MATE session in lightdm greeter when booting mageia first time after install (mga#12248)
install -m644 %{_sourcedir}/mate-lightdm.conf -D %{buildroot}%{_sysconfdir}/lightdm/lightdm.conf.d/54-mageia-mate.conf

%find_lang %{name}

%post
if [ "$1" = "2" -a -r /etc/sysconfig/desktop ]; then
  sed -i -e "s|^DESKTOP=Mate$|DESKTOP=MATE|g" %{_sysconfdir}/sysconfig/desktop
fi

%posttrans
if [ "$1" -eq 1 ]; then
    if [ -e %{_datadir}/xsessions/10MATE.desktop ]; then
        rm -rf %{_datadir}/xsessions/10MATE.desktop
    fi
fi

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_sysconfdir}/lightdm/lightdm.conf.d/54-mageia-mate.conf
%{_sysconfdir}/materc
%{_bindir}/mate-session
%{_bindir}/startmate
%{_bindir}/mate-session-properties
%{_bindir}/mate-wm
%{_bindir}/mate-session-save
%{_bindir}/mate-session-inhibit
%{_datadir}/mate-session-manager/gsm-inhibit-dialog.ui
%{_datadir}/mate-session-manager/session-properties.ui
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/applications/mate-session-properties.desktop
%{_datadir}/glib-2.0/schemas/org.mate.session.gschema.xml
%{_datadir}/xsessions/mate.desktop
%{_mandir}/man1/*
%{_libexecdir}/mate-session-check-accelerated
%{_libexecdir}/mate-session-check-accelerated-gl-helper
%{_libexecdir}/mate-session-check-accelerated-gles-helper
%{_datadir}/%{name}/hardware-compatibility
%if 0
%{_docdir}/%{name}/dbus/mate-session.html
%endif
