%bcond_without bootstrap

%define url_ver %(echo %{version}|cut -d. -f1,2)

# filter out plugin .so provides
%global __provides_exclude_from %{_libdir}/%{name}/.*\\.so

Summary:       MATE Desktop settings daemon
Name:          mate-settings-daemon
Version:       1.28.0
Release:       %mkrel 1
License:       GPLv2+
Group:         Graphical desktop/MATE
URL:           https://mate-desktop.org/
Source0:       https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:        mate-settings-daemon-1.10.0-mga-fix_underlinking.patch

BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(libcanberra-gtk3)
BuildRequires: intltool
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(fontconfig)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(ice)
BuildRequires: pkgconfig(dconf)
BuildRequires: pkgconfig(mate-desktop-2.0) >= %{url_ver}
BuildRequires: pkgconfig(libmatekbd) >= %{url_ver}
BuildRequires: pkgconfig(libnotify)
BuildRequires: pkgconfig(libxklavier)
BuildRequires: pkgconfig(nss)
BuildRequires: pkgconfig(polkit-gobject-1)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xfixes)
BuildRequires: pkgconfig(xi)
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(libmatemixer) >= %{url_ver}
BuildRequires: pkgconfig(libpulse)

%if %{without bootstrap}
Requires:      mate-control-center >= %{url_ver}
%endif

# We don't have mate-settings-daemon-pulse or mate-settings-daemon-gstreamer:
Requires:      matemixer-backend >= %{url_ver}

Requires:      mate-settings-daemon-schemas >= %{version}-%{release}

%description
MATE settings daemon manages the configuration of the desktop in the
background.

%package -n %{name}-devel
Summary:    Include files for the MATE settings daemon
Group:      Development/GNOME and GTK+
Requires:   %{name} = %{version}-%{release}

%description -n	%{name}-devel
Include files for the MATE settings daemon

%package schemas
Summary:    Gsettings schemas for %{name}
Group:      Graphical desktop/MATE

%description schemas
This package contains gsettings schemas for %{name} package.

%prep
%autosetup -p1

%build
# Neeed by patch0
autoreconf -fi
%configure                         \
   --enable-pulse                      \
   --disable-static                    \
   --disable-schemas-compile           \
   --enable-polkit                     \
   --with-x                            \
   --with-nssdb                        \
   --enable-profiling

%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README ChangeLog
%{_sysconfdir}/xdg/autostart/mate-settings-daemon.desktop
%dir %{_sysconfdir}/xrdb
%{_sysconfdir}/xrdb/*.ad
%{_libdir}/%{name}/liba11y-keyboard.so
%{_libdir}/%{name}/liba11y-settings.so
%{_libdir}/%{name}/libsound.so
%{_libdir}/%{name}/libkeybindings.so
%{_libdir}/%{name}/libmpris.so
%{_libdir}/%{name}/libxrandr.so
%{_libdir}/%{name}/libbackground.so
%{_libdir}/%{name}/libkeyboard.so
%{_libdir}/%{name}/libsmartcard.so
%{_libdir}/%{name}/libxrdb.so
%{_libdir}/%{name}/libclipboard.so
%{_libdir}/%{name}/libxsettings.so
%{_libdir}/%{name}/libhousekeeping.so
%{_libdir}/%{name}/libmouse.so
%{_libdir}/%{name}/libtyping-break.so
%{_libdir}/%{name}/libmedia-keys.so
%{_libdir}/%{name}/*.mate-settings-plugin
%{_libdir}/%{name}/librfkill.so
%{_udevrulesdir}/61-mate-settings-daemon-rfkill.rules
%{_libexecdir}/*
%{_datadir}/dbus-1/services/org.mate.SettingsDaemon.service
%{_datadir}/dbus-1/system-services/org.mate.SettingsDaemon.DateTimeMechanism.service
%{_datadir}/dbus-1/system.d/org.mate.SettingsDaemon.DateTimeMechanism.conf
%{_iconsdir}/hicolor/*/apps/msd-xrandr.*
%{_datadir}/%{name}/
%{_datadir}/mate-control-center/keybindings/50-accessibility.xml
%{_datadir}/polkit-1/actions/org.mate.settingsdaemon.datetimemechanism.policy
%{_mandir}/man1/mate-settings-daemon.1*
%{_mandir}/man1/msd-datetime-mechanism.1*
%{_mandir}/man1/msd-locate-pointer.1*

%files -n %{name}-devel
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/*

%files schemas
%{_datadir}/glib-2.0/schemas/org.mate.*.xml
