%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:        Simple process monitor for MATE
Name:           mate-system-monitor
Version:        1.28.1
Release:        %mkrel 2
License:        GPLv2+
Group:          Graphical desktop/MATE
URL:            https://mate-desktop.org/
Source0:        https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  mate-common >= %{url_ver}
BuildRequires:  pkgconfig(dconf)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libgtop-2.0)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(glibmm-2.4)
BuildRequires:  pkgconfig(giomm-2.4)
BuildRequires:  itstool
BuildRequires:  pkgconfig(libwnck-3.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtkmm-3.0)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  polkit-devel

Requires:       polkit-agent
Requires:       mate-desktop >= %{url_ver}

%description
MATE-system-monitor is a simple process and system monitor.

%prep
%autosetup

%build
%configure \
        --disable-static \
        --disable-schemas-compile \
        --enable-systemd

%make_build

%install
%make_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_bindir}/mate-system-monitor
%{_datadir}/applications/mate-system-monitor.desktop
%{_datadir}/pixmaps/mate-system-monitor/
%{_datadir}/glib-2.0/schemas/org.mate.system-monitor.*.xml
%{_datadir}/metainfo/mate-system-monitor.appdata.xml
%{_libexecdir}/mate-system-monitor/msm-kill
%{_libexecdir}/mate-system-monitor/msm-renice
%{_datadir}/polkit-1/actions/org.mate.mate-system-monitor.policy
%{_mandir}/man1/*
