%define url_ver    %(echo %{version}|cut -d. -f1,2)

Name:           mate-terminal
Summary:        MATE terminal emulator
Version:        1.28.1
Release:        %mkrel 1
URL:            https://mate-desktop.org/
License:        GPLv2+
Group:          Graphical desktop/MATE
Source0:        https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
# (fc) add -geometry support
Patch0:         gnome-terminal-2.25.3-geometry.patch
# (fc) change default background (grey on black)
Patch2:         mate-terminal-1.19.1-background.patch

BuildRequires: intltool
BuildRequires: itstool
BuildRequires: mate-common >= %{url_ver}
BuildRequires: xmllint
BuildRequires: yelp-tools
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(vte-2.91)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(dconf)
BuildRequires: pkgconfig(mate-desktop-2.0) >= %{url_ver}
BuildRequires: autoconf-archive

%description
Mate-terminal is a terminal emulator for MATE. It supports translucent
backgrounds, opening multiple terminals in a single window (tabs) and
clickable URLs.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure \
        --disable-static \
        --disable-schemas-compile
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/mate-terminal/

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc AUTHORS NEWS README ChangeLog
%license COPYING
%{_mandir}/man1/*
%{_bindir}/mate-terminal
%{_bindir}/mate-terminal.wrapper
%{_datadir}/mate-terminal/
%{_datadir}/applications/mate-terminal.desktop
%{_datadir}/glib-2.0/schemas/org.mate.terminal.gschema.xml
%{_datadir}/metainfo/mate-terminal.appdata.xml
