Name:       mate-tweak
Summary:    Mate desktop configuration tool
Version:    22.10.0
Release:    %mkrel 2
License:    GPLv2+
Group:      Graphical desktop/MATE
URL:        https://github.com/ubuntu-mate/mate-tweak
Source0:    https://github.com/ubuntu-mate/mate-tweak/archive/%{version}.tar.gz
# Extracted from https://launchpad.net/ubuntu/+archive/primary/+files/ubuntu-mate-settings_16.10.7.tar.xz
# with additions of mageia-fresh, maggy and maggy-fresh layouts
Source1:    panel-layouts.tar.xz
Patch1:     mate-tweak-18.04.13-mga-fix_applet_paths.patch
Patch3:     mate-tweak-18.04.1-mga-maggy_layout.patch
Patch4:     mate-tweak-18.04.1-mga-guake.patch
BuildArch:  noarch

BuildRequires: python3-devel
BuildRequires: python3-distutils-extra
BuildRequires: intltool

Requires: mate-applets
Requires: mate-panel
Requires: mesa-demos
Requires: python3-configobj
Requires: python3-distro
Requires: python3-gobject3
Requires: python3-psutil
Requires: python3-setproctitle
Requires: wmctrl

Recommends: brisk-menu
Recommends: compiz
Recommends: guake
Recommends: mate-dock-applet
Recommends: mate-menu
Recommends: mate-netbook
Recommends: plank
Recommends: synapse

%description
Configures some aspects of the MATE desktop not exposed via the
MATE Control Center applets.

Settings that can be handled via MATE Tweak:
 * Show/hide standard desktop icons.
 * Panel fine-tuning (icon visibility, in menus and on buttons,
   icon size, button labelling, contex menus, etc.).
 * Window manager fine-tuning.

%prep
%autosetup -p1 -a 1

# We don't provide xdg-su. Change it to use polkit.
sed -i "s|'xdg-su', '-c |'pkexec', '|g" %{name}
sed -i '/polkit/d' setup.py

# Change installation location to libexec
for i in "mate-tweak data/org.mate.mate-tweak.policy"; do
    sed -i "s|/usr/lib/mate-tweak|%{_libexecdir}/mate-tweak|g" $i
done

sed -i "s|/lib/mate-tweak|/libexec/mate-tweak|g" setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
# move files now installed in python3_sitelib
mkdir -p %{buildroot}%{_datadir}/man
mv -f %{buildroot}%{python3_sitelib}%{_datadir}/applications %{buildroot}%{_datadir}/
mv -f %{buildroot}%{python3_sitelib}%{_datadir}/man/man1 %{buildroot}%{_datadir}/man/
mv -f %{buildroot}%{python3_sitelib}/usr/libexec %{buildroot}/usr

# Install panel layouts:
mkdir -p %{buildroot}%{_datadir}/mate-panel/layouts
cp -f panel-layouts/*.layout %{buildroot}%{_datadir}/mate-panel/layouts/

# (tv) remove too generic file name:
rm -f %buildroot/%{python3_sitelib}/setup.py
rm -fr %buildroot/%{python3_sitelib}/__pycache__/setup.c*

%find_lang %{name}

%files -f %{name}.lang
%doc README.md
%{_bindir}/mate-tweak
%{_bindir}/marco-compton
%{_bindir}/marco-glx
%{_bindir}/marco-picom
%{_bindir}/marco-xr_glx_hybrid
%{_bindir}/marco-xrender
%{_bindir}/marco-no-composite
%{_datadir}/applications/*.desktop
%{_datadir}/mate-panel/layouts/
%{_mandir}/man1/mate-tweak.1*
%{_mandir}/man1/marco-*.1*
%{_libexecdir}/mate-tweak/
%{python3_sitelib}/*dist-info

