%define url_ver %(echo %{version}|cut -d. -f1,2)

%global __provides_exclude_from %{_libdir}/caja/extensions-2.0/.*\\.so

Name:           mate-user-share
Version:        1.28.0
Release:        %mkrel 2
License:        GPLv2+
Summary:        MATE  user file sharing
URL:            https://mate-desktop.org/
Group:          System/Servers
Source0:        https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  apache-devel
BuildRequires:  itstool
BuildRequires:  libxml2-utils
BuildRequires:  itstool
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  hicolor-icon-theme
BuildRequires:  mate-common >= %{url_ver}
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(libcaja-extension) >= %{url_ver}
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  perl(XML::Parser)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(sm)
BuildRequires:  yelp-tools
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gdk-x11-3.0)
BuildRequires:  pkgconfig(libcanberra-gtk3)

Recommends:     apache-mod_dav
Recommends:     apache-mod_dnssd

%description
This program enables user to share directories through Webdav.

This package does not provide bluetooth support. Use a generic
tool to get bluetooth support.

%prep
%autosetup

%build
autoreconf -fi
%configure \
	--disable-static \
	--disable-bluetooth \
	--disable-schemas-compile
%make_build

%install
%make_install

# remove obsolete bluetooth stuff
rm -fr  %{buildroot}%{_sysconfdir}/xdg/autostart/mate-user-share-obex*

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc ChangeLog README
%{_sysconfdir}/xdg/autostart/mate-user-share-webdav.desktop
%{_bindir}/mate-file-share-properties
%{_libexecdir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/mate-user-share-properties.desktop
%{_datadir}/icons/hicolor/*/apps/mate-obex-server.png
%{_datadir}/glib-2.0/schemas/org.mate.FileSharing.gschema.xml
%{_mandir}/man1/mate-file-share-properties.1*
#caja extension
%{_libdir}/caja/extensions-2.0/libcaja-user-share.so
%{_datadir}/caja/extensions/libcaja-user-share.caja-extension
