%define url_ver %(echo %{version}|cut -d. -f1,2)

%define major 6
%define libname %mklibname matedict %{major}
%define develname %mklibname -d matedict

Summary: MATE utility programs such as file search and calculator
Name: mate-utils
Version: 1.28.0
Release: %mkrel 1
Group: Graphical desktop/MATE
License: GPLv2+ and LGPLv2+
URL: https://mate-desktop.org/
Source0: https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Source1: mate-system-log.wrapper
Source2: org.mageia-mate-system-log.policy.in

BuildRequires: pkgconfig(mate-desktop-2.0) >= %{url_ver}
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(ice)
BuildRequires: pkgconfig(libgtop-2.0)
BuildRequires: pkgconfig(libmatepanelapplet-4.0) >= %{url_ver}
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xmu)
BuildRequires: pkgconfig(popt)
BuildRequires: pkgconfig(dri)
BuildRequires: pkgconfig(librsvg-2.0)
BuildRequires: yelp-tools
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: inkscape
BuildRequires: librsvg
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(libcanberra-gtk3)
BuildRequires: pkgconfig(udisks2)

Requires: mate-dictionary = %{version}-%{release}
Requires: mate-screenshot = %{version}-%{release}
Requires: mate-search-tool = %{version}-%{release}
Requires: mate-system-log = %{version}-%{release}
Requires: mate-disk-usage-analyzer = %{version}-%{release}
Requires: mate-utils-common = %{version}-%{release}
Requires: polkit

%description
MATE Desktop utilities is a collection of small applications
all there to make your day just that little bit brighter
- System Log Viewer, Search Tool, Dictionary.

%package common
Summary: Common files for %{name}
BuildArch: noarch
Requires: mate-desktop-schemas

%description common
MATE Desktop utilities is a collection of small applications
all there to make your day just that little bit brighter
- System Log Viewer, Search Tool, Dictionary.

This package provides common files for Mate Desktop utilities.

%package -n mate-system-log
Summary: A log file viewer for the MATE desktop
Requires: %{name}-common = %{version}-%{release}

%description -n mate-system-log
An application that lets you view various system log files.

%package -n mate-screenshot
Summary: A utility to take a screen-shot of the desktop
Requires: %{name}-common = %{version}-%{release}

%description -n mate-screenshot
An application that let you take a screen-shot of your desktop.

%package -n mate-dictionary
Summary: A dictionary for MATE Desktop
Requires: %{name}-common = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}

%description -n mate-dictionary
A dictionary application for MATE Desktop.

%package -n mate-search-tool
Summary: A file searching tool for MATE Desktop
Requires: %{name}-common = %{version}-%{release}

%description -n mate-search-tool
An application to search for files on your computer.

%package -n mate-disk-usage-analyzer
Summary: A disk usage analyzing tool for MATE Desktop
Requires: %{name}-common = %{version}-%{release}

%description -n mate-disk-usage-analyzer
An application to help analyze disk usage.

%package -n mate-disk-image-mounter
Summary: A disk image mounter for MATE Desktop
Requires: %{name}-common = %{version}-%{release}

%description -n mate-disk-image-mounter
An application to mount images.

%package -n %{libname}
Group: System/Libraries
Summary:MATE dictionary shared library

%description -n %{libname}
This is the shared library required by the MATE Dictionary.

%package -n %{develname}
Group: Development/C
Summary: MATE dictionary library development files
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
Shared library required by the MATE Dictionary.

%prep
%autosetup

%build
%configure \
    --disable-static \
    --disable-schemas-compile \
    --enable-gdict-applet \
    --enable-ipv6=yes \
    --with-x

%make_build

%install
%make_install

# make mate-system-log use polkit:
mkdir -p %{buildroot}%{_libexecdir}
mv %{buildroot}%{_bindir}/mate-system-log %{buildroot}%{_libexecdir}
install -m 755 %{_sourcedir}/mate-system-log.wrapper %{buildroot}%{_bindir}/mate-system-log
install -m 644 -D %{_sourcedir}/org.mageia-mate-system-log.policy.in %{buildroot}%{_datadir}/polkit-1/actions/org.mageia.mate-system-log.policy

%find_lang %{name} --with-gnome
%find_lang mate-disk-usage-analyzer --with-gnome
%find_lang mate-dictionary --with-gnome
%find_lang mate-search-tool --with-gnome
%find_lang mate-system-log --with-gnome

%files

%files common -f %{name}.lang
%license COPYING COPYING.libs
%doc NEWS README*

%files -n mate-system-log -f mate-system-log.lang
%{_bindir}/mate-system-log
%{_libexecdir}/mate-system-log
%{_datadir}/polkit-1/actions/org.mageia.mate-system-log.policy
%{_datadir}/glib-2.0/schemas/org.mate.system-log.gschema.xml
%{_datadir}/applications/mate-system-log.desktop
%{_datadir}/icons/hicolor/*/apps/mate-system-log.png
%{_datadir}/icons/hicolor/scalable/apps/mate-system-log-symbolic.svg
%{_mandir}/man1/mate-system-log.1.*

%files -n mate-screenshot
%{_bindir}/mate-screenshot
%{_bindir}/mate-panel-screenshot
%{_datadir}/applications/mate-screenshot.desktop
%{_mandir}/man1/mate-screenshot.1.*
%{_mandir}/man1/mate-panel-screenshot.1.*
%{_datadir}/glib-2.0/schemas/org.mate.screenshot.gschema.xml
%{_datadir}/metainfo/mate-screenshot.appdata.xml

%files -n mate-dictionary -f mate-dictionary.lang
%doc mate-dictionary/AUTHORS
%doc mate-dictionary/README*
%{_bindir}/mate-dictionary
%{_datadir}/applications/mate-dictionary.desktop
%{_datadir}/mate-dict/
%{_datadir}/mate-dictionary/
%{_libexecdir}/mate-dictionary-applet
%{_mandir}/man1/mate-dictionary.1.*
%{_datadir}/glib-2.0/schemas/org.mate.dictionary.gschema.xml
%{_datadir}/mate-panel/applets/org.mate.DictionaryApplet.mate-panel-applet
%{_datadir}/dbus-1/services/org.mate.panel.applet.DictionaryAppletFactory.service
%{_datadir}/gtk-doc/html/mate-dict
%{_datadir}/metainfo/mate-dictionary.appdata.xml

%files -n mate-search-tool -f mate-search-tool.lang
%{_bindir}/mate-search-tool
%{_datadir}/applications/mate-search-tool.desktop
%{_mandir}/man1/mate-search-tool.1.*
%{_datadir}/glib-2.0/schemas/org.mate.search-tool.gschema.xml
%{_datadir}/pixmaps/mate-search-tool/
%{_datadir}/metainfo/mate-search-tool.appdata.xml

%files -n mate-disk-usage-analyzer -f mate-disk-usage-analyzer.lang
%doc baobab/AUTHORS
%doc baobab/README*
%{_bindir}/mate-disk-usage-analyzer
%{_datadir}/applications/mate-disk-usage-analyzer.desktop
%{_mandir}/man1/mate-disk-usage-analyzer.1.*
%{_datadir}/glib-2.0/schemas/org.mate.disk-usage-analyzer.gschema.xml
%{_datadir}/icons/hicolor/*/apps/mate-disk-usage-analyzer.*
%{_datadir}/metainfo/mate-disk-usage-analyzer.appdata.xml

%files -n mate-disk-image-mounter
%{_bindir}/mate-disk-image-mounter
%{_datadir}/applications/mate-disk-image-mounter.desktop

%files -n %{libname}
%_libdir/libmatedict.so.%{major}*

%files -n %{develname}
%{_libdir}/libmatedict.so
%{_libdir}/pkgconfig/mate-dict*.pc
%{_includedir}/mate-dict
