Name:		mathomatic
Version:	16.0.5
Release:	%mkrel 11
Summary:	General purpose CAS (Computer Algebra System)
License:	LGPLv2
Group:		Sciences/Mathematics
URL:		https://www.mathomatic.org/
Source0:	http://mathomatic.orgserve.de/%{name}-%{version}.tar.bz2
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(readline)

%description
Mathomatic is a portable, general purpose CAS (Computer Algebra System)
written entirely in C. It is free software (GNU LGPL license). This is a
console mode application and library that easily compiles and runs under
any operating system with a C compiler. There are no dependencies other
than the standard C libraries. Mathomatic has been under development
since 1986 and now stands at 16,000 lines of highly efficient code. The
author is George Gesslein II.

%prep
%autosetup -p1

cat > makefile.lib << EOF
all:
EOF
mkdir -p lib
cp -a makefile.lib lib/makefile
mkdir -p %{name}_secure
mkdir -p %{name}_secure/lib
cp -a makefile.lib %{name}_secure/lib/makefile
cp -a *.[ch] makefile VERSION changes.txt makenews.sh %{name}_secure

%build
sed -e 's|-O3 |%{optflags} |' makefile > makefile.opt
%make_build CC=%{__cc} READLINE=1 LDFLAGS="%{ldflags}" AOUT=%{name} -f makefile.opt
%make_build CC=%{__cc} READLINE=1 LDFLAGS="%{ldflags}" AOUT=%{name} -f makefile.opt check
pushd %{name}_secure
ln -s ../%{name}.1 .
ln -s ../rmath.1 .
ln -s ../doc .
ln -s ../primes .
sed -e 's|-O3 |%{optflags} -DSECURE -DTIMEOUT_SECONDS=3600 |' makefile > makefile.secure
%make_build CC=%{__cc} READLINE=1 LDFLAGS="%{ldflags}" AOUT=%{name}_secure -f makefile.secure
popd

%install
%make_install prefix=%{_prefix} docdir=%{_docdir}/%{name}

rm -rf %{buildroot}%{_docdir}/%{name}
install -m 755 %{name}_secure/%{name}_secure %{buildroot}%{_bindir}/%{name}_secure
%{_bindir}/desktop-file-validate %{buildroot}%{_datadir}/applications/mathomatic.desktop

%files
%doc changes.txt README.txt VERSION doc/ tests/
%{_bindir}/%{name}
%{_bindir}/%{name}_secure
%{_mandir}/man1/mathomatic.1*
%{_datadir}/applications/mathomatic.desktop
%{_datadir}/pixmaps/mathomatic.png
%{_datadir}/pixmaps/mathomatic.xpm
