%define major     13
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:        MAT File I/O Library
Name:           matio
Version:        1.5.27
Release:        %mkrel 2
License:        LGPLv2+
Group:          System/Libraries
Url:            https://sourceforge.net/projects/matio/
Source0:        https://downloads.sourceforge.net/matio/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(zlib)
BuildRequires:  doxygen
BuildRequires:  dvips
BuildRequires:  latex
BuildRequires:  hdf5-devel

%description
matio is an ISO C library (with a limited Fortran 90 interface)
for reading and writing Matlab MAT files.

%package -n     %{libname}
Summary:        MAT File I/O Library
Group:          System/Libraries
Provides:       lib%{name} = %{version}-%{release}

%description -n %{libname}
matio is an ISO C library (with a limited Fortran 90 interface)
for reading and writing Matlab MAT files.

%package -n     %{develname}
Summary:        Development files for %{name}
Group:          Development/C++
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
Development files and headers for %{name}.

%prep
%autosetup -p1

sed -i -e '/Requires\.private/d' matio.pc.in

%build
sh ./autogen.sh
%configure \
    --enable-shared \
    --disable-static \
    --disable-silent-rules \
    --enable-extended-sparse=yes \
    %if "%{_lib}" != "lib"
    --with-libdir-suffix=lib64
    %endif

%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

rm -rf %{buildroot}%{_docdir}/matio

%files
%license COPYING
%doc NEWS README
%{_bindir}/matdump
%{_mandir}/man3/*

%files -n %{libname}
%license COPYING
%{_libdir}/*%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc NEWS README 
%{_includedir}/*.h
%{_libdir}/*%{name}.so
%{_libdir}/pkgconfig/*.pc
