%bcond_with     itext

Name:           maven-doxia
Epoch:          0
Version:        1.12.0
Release:        %mkrel 1
Group:          Development/Java
Summary:        Content generation framework
License:        ASL 2.0

URL:            https://maven.apache.org/doxia/
Source0:        https://repo1.maven.org/maven2/org/apache/maven/doxia/doxia/%{version}/doxia-%{version}-source-release.zip
Source1:        https://repo1.maven.org/maven2/org/apache/maven/doxia/doxia/%{version}/doxia-%{version}-source-release.zip.asc
Source2:        https://downloads.apache.org/maven/KEYS

# Build against iText 2.x
# https://issues.apache.org/jira/browse/DOXIA-53
Patch0:         0001-Fix-itext-dependency.patch

# Build against commons-configuration 2.x
Patch1:         0002-Commons-configuration2.patch

# Build against flexmark 0.60+
Patch2:         0003-Update-to-flexmark-0.60.patch

BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

BuildRequires:  gnupg2
BuildRequires:  maven-local
BuildRequires:  mvn(com.vladsch.flexmark:flexmark)
BuildRequires:  mvn(com.vladsch.flexmark:flexmark-ext-abbreviation)
BuildRequires:  mvn(com.vladsch.flexmark:flexmark-ext-autolink)
BuildRequires:  mvn(com.vladsch.flexmark:flexmark-ext-definition)
BuildRequires:  mvn(com.vladsch.flexmark:flexmark-ext-escaped-character)
BuildRequires:  mvn(com.vladsch.flexmark:flexmark-ext-gfm-strikethrough)
BuildRequires:  mvn(com.vladsch.flexmark:flexmark-ext-tables)
BuildRequires:  mvn(com.vladsch.flexmark:flexmark-ext-typographic)
BuildRequires:  mvn(com.vladsch.flexmark:flexmark-ext-wikilink)
BuildRequires:  mvn(com.vladsch.flexmark:flexmark-util)
BuildRequires:  mvn(commons-collections:commons-collections)
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.commons:commons-configuration2)
BuildRequires:  mvn(org.apache.commons:commons-lang3)
BuildRequires:  mvn(org.apache.commons:commons-text)
BuildRequires:  mvn(org.apache.httpcomponents:httpclient)
BuildRequires:  mvn(org.apache.httpcomponents:httpcore)
BuildRequires:  mvn(org.apache.maven:maven-parent:pom:)
BuildRequires:  mvn(org.apache.maven.plugins:maven-invoker-plugin)
BuildRequires:  mvn(org.apache.xmlgraphics:fop)
BuildRequires:  mvn(org.codehaus.modello:modello-maven-plugin)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  mvn(org.codehaus.plexus:plexus-container-default)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.xmlunit:xmlunit-core)
BuildRequires:  mvn(org.xmlunit:xmlunit-matchers)

%if %{with itext}
BuildRequires:  mvn(com.lowagie:itext)
%endif

%description
Doxia is a content generation framework which aims to provide its users
with powerful techniques for generating static and dynamic content.
Doxia can be used to generate static sites in addition to being
incorporated into dynamic content generation systems like blogs, wikis
and content management systems.

%package core
Summary: Core module for %{name}

%description core
This package provides %{summary}.

%package logging-api
Summary: Logging-api module for %{name}

%description logging-api
This package provides %{summary}.

%package module-apt
Summary: APT module for %{name}

%description module-apt
This package provides %{summary}.

%package module-confluence
Summary: Confluence module for %{name}

%description module-confluence
This package provides %{summary}.

%package module-docbook-simple
Summary: Simplified DocBook module for %{name}

%description module-docbook-simple
This package provides %{summary}.

%package module-fml
Summary: FML module for %{name}

%description module-fml
This package provides %{summary}.

%package module-fo
Summary: FO module for %{name}

%description module-fo
This package provides %{summary}.

%if %{with itext}
%package module-itext
Summary: iText module for %{name}

%description module-itext
This package provides %{summary}.
%endif

%package module-latex
Summary: Latex module for %{name}

%description module-latex
This package provides %{summary}.

%package module-markdown
Summary: Markdown module for %{name}

%description module-markdown
This package provides %{summary}.

%package module-rtf
Summary: RTF module for %{name}

%description module-rtf
This package provides %{summary}.

%package modules
Summary: Doxia modules for several markup languages

%description modules
This package provides %{summary}.

%package module-twiki
Summary: TWiki module for %{name}

%description module-twiki
This package provides %{summary}.

%package module-xdoc
Summary: XDoc module for %{name}

%description module-xdoc
This package provides %{summary}.

%package module-xhtml
Summary: XHTML module for %{name}

%description module-xhtml
This package provides %{summary}.

%package module-xhtml5
Summary: XHTML5 module for %{name}

%description module-xhtml5
This package provides %{summary}.

%package sink-api
Summary: Sink-api module for %{name}

%description sink-api
This package provides %{summary}.

%package tests
Summary: Tests for %{name}

%description tests
This package provides %{summary}.

%package test-docs
Summary: Test-docs module for %{name}

%description test-docs
This package provides %{summary}.

%package javadoc
Summary: Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%{gpgverify} --data=%{SOURCE0} --signature=%{SOURCE1} --keyring=%{SOURCE2}
%autosetup -p1 -n doxia-%{version}

for f in $(find . -name '*.java' -o -name '*.xml'); do
  sed -i.orig 's/\r//' $f
  touch -r $f.orig $f
  rm -f $f.orig
done

# we don't have clirr-maven-plugin
%pom_remove_plugin org.codehaus.mojo:clirr-maven-plugin pom.xml

# we don't have maven-install-plugin
%pom_remove_plugin :maven-install-plugin doxia-modules/doxia-module-markdown

# complains
%pom_remove_plugin :apache-rat-plugin

# use java 5 generics in modello plugin
%pom_xpath_inject "pom:plugin[pom:artifactId[text()='modello-maven-plugin']]"\
"/pom:executions/pom:execution/pom:configuration" \
"<useJava5>true</useJava5>" doxia-modules/doxia-module-fml/pom.xml

# build for java 8 at a minimum
%pom_xpath_set '//pom:javaVersion' 8

# we don't have maven-clean-plugin or maven-site-plugin
%pom_xpath_remove '//pom:goals' doxia-modules/doxia-module-markdown

# Fix build issue with plexus-containers 2.2.0
%pom_add_dep com.google.inject:guice::test

# requires network
rm doxia-core/src/test/java/org/apache/maven/doxia/util/XmlValidatorTest.java

%mvn_package :::tests: tests

%if %{without itext}
%pom_disable_module doxia-module-itext doxia-modules
sed -i '/doxia-module-itext/d' doxia-modules/pom.xml
%endif

%build
%mvn_build -s

%install
%mvn_install

%files -f .mfiles-doxia
%doc README.md
%license LICENSE NOTICE
%files core -f .mfiles-doxia-core
%files logging-api -f .mfiles-doxia-logging-api
%license LICENSE NOTICE
%files module-apt -f .mfiles-doxia-module-apt
%files module-confluence -f .mfiles-doxia-module-confluence
%files module-docbook-simple -f .mfiles-doxia-module-docbook-simple
%files module-fml -f .mfiles-doxia-module-fml
%files module-fo -f .mfiles-doxia-module-fo
%if %{with itext}
%files module-itext -f .mfiles-doxia-module-itext
%endif
%files module-latex -f .mfiles-doxia-module-latex
%files module-markdown -f .mfiles-doxia-module-markdown
%files module-rtf -f .mfiles-doxia-module-rtf
%files modules -f .mfiles-doxia-modules
%files module-twiki -f .mfiles-doxia-module-twiki
%files module-xdoc -f .mfiles-doxia-module-xdoc
%files module-xhtml -f .mfiles-doxia-module-xhtml
%files module-xhtml5 -f .mfiles-doxia-module-xhtml5
%files sink-api -f .mfiles-doxia-sink-api
%files test-docs -f .mfiles-doxia-test-docs
%files tests -f .mfiles-tests
%license LICENSE NOTICE
%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE


