Name:           maven-help-plugin
Version:        2.2
Release:        %mkrel 6
Summary:        Plugin to to get relative information about a project or the system

Group:          Development/Java
License:        ASL 2.0
URL:            https://maven.apache.org/plugins/maven-help-plugin/
Source0:        https://repo1.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip
Patch0:         maven3-api-fixes.patch
Patch1:         reduce-exception.patch
BuildArch: noarch

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: plexus-utils
BuildRequires: ant
BuildRequires: junit-addons
BuildRequires: maven-local
BuildRequires: maven-install-plugin
BuildRequires: maven-plugin-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-plugin-testing-harness
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: xstream
BuildRequires: jpackage-utils
BuildRequires: plexus-containers-component-metadata
BuildRequires: maven-plugin-tools-generators
BuildRequires: mvn(org.apache.maven.plugins:maven-docck-plugin)

Requires: ant
Requires: maven
Requires: jpackage-utils
Requires: java-headless
Requires: xstream
Requires: maven-plugin-tools-generators

Obsoletes: maven2-plugin-help < 0:%{version}-%{release}
Provides: maven2-plugin-help = 0:%{version}-%{release}

%description
The Maven Help Plugin is used to get relative information about a project
or the system. It can be used to get a description of a particular plugin,
including the plugin's mojos with their parameters and component requirements,
the effective POM and effective settings of the current build,
and the profiles applied to the current project being built.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires: jpackage-utils

%description javadoc
API documentation for %{name}.


%prep
%setup -q
%patch -P 0 -b.maven3-api-fixes
%patch -P 1 -b.reduce-exception

# Use compatibility API
%pom_remove_dep org.apache.maven:maven-plugin-parameter-documenter
%pom_add_dep org.apache.maven:maven-compat

# Add missing test deps
%pom_add_dep net.sf.cglib:cglib:any:test

# In newer versions of maven-plugin-tools the PluginUtils.toText()
# static method was moved to GeneratorUtils class.
%pom_add_dep org.apache.maven.plugin-tools:maven-plugin-tools-generators
sed -i "s|PluginUtils.toText|org.apache.maven.tools.plugin.generator.GeneratorUtils.toText|" \
    src/main/java/org/apache/maven/plugins/help/DescribeMojo.java

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE
