Name:          maven-ipojo-plugin
Version:       1.8.2
Release:       %mkrel 5
Summary:       Apache Felix iPOJO Maven Plugin
Group:         Development/Java
License:       ASL 2.0
URL:           https://felix.apache.org/site/ipojo-maven-plug-in.html
Source0:       https://www.apache.org/dist/felix/maven-ipojo-plugin-1.8.2-project.tar.gz

# change org.codehaus.mojo in org.apache.rat
Patch0:        maven-ipojo-plugin-1.8.2-pom.patch
# change maven-artifact maven-plugin-api version 2.0 >> 3.0.3
Patch1:        maven-ipojo-plugin-1.8.2-maven3.patch

BuildRequires: felix-parent
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: felix-ipojo-manipulator
BuildRequires: felix-ipojo-metadata

BuildRequires: apache-rat-plugin
BuildRequires: maven
BuildRequires: maven-archiver
BuildRequires: maven-checkstyle-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-surefire-provider-junit4

BuildRequires: plexus-utils
BuildRequires: xerces-j2

Requires:      maven
Requires:      maven-archiver
Requires:      felix-ipojo-manipulator
Requires:      felix-ipojo-metadata
Requires:      plexus-utils
Requires:      xerces-j2

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Maven Plugin to package iPOJO-powered bundles.

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE NOTICE

#--------------------------------------------------------------------

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%files javadoc
%{_javadocdir}/%{name}

#--------------------------------------------------------------------

%prep
%setup -q -n maven-ipojo-plugin-%{version}
%patch -P 0 -p0
%patch -P 1 -p0

%build
mvn-rpmbuild -e install javadoc:aggregate
%install
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

