%global realname castor-maven-plugin
Name:          maven-plugin-castor
Version:       2.1
Release:       %mkrel 1
Summary:       Castor Maven Plugin (MOJO)
Group:         Development/Java
License:       ASL 2.0
Url:           http://mojo.codehaus.org/castor-maven-plugin/
Source0:       https://repo1.maven.org/maven2/org/codehaus/mojo/castor-maven-plugin/2.1/castor-maven-plugin-2.1-source-release.zip
#Source1:       ...
#Patch0:        ...
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: mojo-parent

BuildRequires: apache-commons-io
BuildRequires: castor >= 1.3.1-0
BuildRequires: castor-xml >= 1.3.1-0
BuildRequires: maven-changes-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-gpg-plugin
BuildRequires: maven-plugin-testing-harness
BuildRequires: maven-pmd-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-plugin-cobertura 
BuildRequires: plexus-compiler
BuildRequires: plexus-utils
BuildRequires: velocity

Requires:      apache-commons-io
Requires:      castor >= 1.3.1-0
Requires:      castor-xml >= 1.3.1-0
Requires:      velocity
Requires:      plexus-compiler
Requires:      plexus-utils

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
The Castor plugin is a Maven plugin that provides the functionality of
Castor's XML SourceGenerator for generating Java beans and associated marshallers
and unmarshallers from XML schema files.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}

%prep
%setup -q -n %{realname}-%{version}

%build
# testGenerate(org.codehaus.mojo.castor.MappingMojoTest): Component descriptor cannot be found in the component repository
# testGenerate(org.codehaus.mojo.castor.MappingsMojoTest): Component descriptor cannot be found in the component repository
mvn-rpmbuild -e -Dmaven.test.failure.ignore=true install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
cp -p target/%{realname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}
