Name:          maven-plugin-emma
Version:       1.2
Release:       %mkrel 1
Summary:       Maven Emma Plugin (Sonatype)
Group:         Development/Java
License:       MIT
Url:           https://github.com/sonatype/emma-maven-plugin/
# mkdir -p emma-maven-plugin-1.2
# git clone git://github.com/sonatype/emma-maven-plugin.git
# cd emma-maven-plugin
# git archive emma-maven-plugin-1.2 | tar -x -C ../emma-maven-plugin-1.2
# cd ..
# tar czf emma-maven-plugin-1.2-src-git.tar.gz emma-maven-plugin-1.2
Source0:       emma-maven-plugin-1.2-src-git.tar.gz
# TODO rebuild maven-shared
Source1:       maven-filtering.depmap
# mvn3 apis
Patch0:        emma-maven-plugin-1.2-pom.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: sonatype-plugins-parent

BuildRequires: emma
BuildRequires: maven-shared-reporting-api
BuildRequires: maven-shared-reporting-impl
BuildRequires: plexus-utils

BuildRequires: maven
BuildRequires: maven-antrun-plugin
BuildRequires: maven-changes-plugin
BuildRequires: maven-clean-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-invoker-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-project
BuildRequires: maven-shared-reporting-api
BuildRequires: maven-shared-reporting-impl

Requires:      emma
Requires:      maven
Requires:      maven-project
Requires:      maven-shared-reporting-api
Requires:      maven-shared-reporting-impl
Requires:      plexus-utils
Requires:      sonatype-plugins-parent

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
EMMA plugin for Maven 2 (Sonatype).

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n emma-maven-plugin-%{version}
%patch -P 0 -p0

find \( -name '*.jar' -o -name '*.class' \) -exec rm -f '{}' \;

for d in AUTHORS LICENSE NOTICE TODO ; do
  iconv -f iso8859-1 -t utf-8 $d.txt > $d.txt.conv && mv -f $d.txt.conv $d.txt
  sed -i 's/\r//' $d.txt
done

%build

mvn-rpmbuild \
  -Dmaven.local.depmap.file="%{SOURCE1}" \
  install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/emma-maven-plugin-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc AUTHORS.txt LICENSE.txt NOTICE.txt TODO.txt

%files javadoc
%{_javadocdir}/%{name}