Name:           maven-rar-plugin
Version:        2.3
Release:        %mkrel 5
Summary:        Plugin to create Resource Adapter Archive which can be deployed to a J2EE server
Group:          Development/Java
License:        ASL 2.0
URL:            https://maven.apache.org/plugins/maven-rar-plugin/
Source0:        https://archive.apache.org/dist/maven/plugins/%{name}-%{version}-source-release.zip

BuildArch:      noarch

BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  plexus-utils
BuildRequires:  ant
BuildRequires:  maven-local
BuildRequires:  jpackage-utils
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)

Obsoletes:      maven2-plugin-rar <= 0:2.0.8
Provides:       maven2-plugin-rar = 1:%{version}-%{release}

%description
A resource adapter is a system-level software driver that
a Java application to connect to an enterprise
information system (EIS).The RAR plugin has the capability
to store these resource adapters to an archive
(Resource Adapter Archive or RAR) which can be deployed to
 a J2EE server.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Documentation

%description    javadoc
API documentation for %{name}.

%prep
%setup -q 

# Fix deps to build against maven 3
%pom_remove_dep org.apache.maven:maven-project
%pom_add_dep org.apache.maven:maven-compat
%pom_add_dep org.apache.maven:maven-core

%mvn_file : %{name}

%build
%mvn_build -- -Dmaven.test.failure.ignore=true

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE DEPENDENCIES

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE
