Name:           maven-reporting-api
Version:        3.1.1
Release:        %mkrel 2
Group:          Development/Java
Epoch:          1
Summary:        API to manage report generation
License:        Apache-2.0
URL:            https://maven.apache.org/shared/maven-reporting-api
Source0:        https://archive.apache.org/dist/maven/reporting/%{name}-%{version}-source-release.zip
# Source file signature
Source1:        https://archive.apache.org/dist/maven/reporting/%{name}-%{version}-source-release.zip.asc
# Apache Maven public key
Source2:        https://www.apache.org/dist/maven/KEYS

BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

BuildRequires:  gnupg2
BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildRequires:  mvn(org.apache.maven.doxia:doxia-sink-api)

%{?javadoc_package}

%description
API to manage report generation.  Maven-reporting-api is included in the
Maven 2.x core distribution, but was moved to shared components to
achieve report decoupling from the Maven 3 core.

%prep
%{gpgverify} --data=%{SOURCE0} --signature=%{SOURCE1} --keyring=%{SOURCE2}
%autosetup

# Compile for JDK 8 at a minimum
%pom_xpath_set '//pom:javaVersion' 8

# Fix end of line encoding
sed -i.orig 's/\\r//' README.md
touch -r README.md.orig README.md
rm README.md.orig

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE NOTICE

