Name:          maven-scm-provider-svnjava
Version:       1.13
Release:       %mkrel 3
Summary:       Implementation of Maven SCM using svnkit
Group:         Development/Java
License:       ASL 2.0
Url:           https://code.google.com/a/apache-extras.org/p/maven-scm-provider-svnjava/
# svn export http://svn.codespot.com/a/apache-extras.org/maven-scm-provider-svnjava/tags/maven-scm-provider-svnjava-1.13
# tar czf maven-scm-provider-svnjava-1.13-src-svn.tar.gz maven-scm-provider-svnjava-1.13
Source0:       maven-scm-provider-svnjava-1.13-src-svn.tar.gz
BuildRequires: bsf
BuildRequires: bsh2
BuildRequires: jna
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-enforcer
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-gpg-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-scm
BuildRequires: maven-scm-test
BuildRequires: maven-release-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-site-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: plexus-containers-component-metadata
BuildRequires: plexus-utils
BuildRequires: sonatype-oss-parent
BuildRequires: svnkit >= 1.3.5
# org.maven.ide.eclipse lifecycle-mapping 0.10.0
Requires:      jna
Requires:      java
Requires:      jpackage-utils
Requires:      maven-scm
Requires:      svnkit >= 1.3.5

BuildArch:     noarch

%description
Maven SCM Subversion Provider - Java Impl.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
Implementation of Maven SCM using svnkit.

This package contains javadoc for %{name}

%prep
%setup -q -n maven-scm-provider-svnjava-%{version}

%build

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

mvn-rpmbuild \
  -e \
  -Dmaven.test.skip=true \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
   install javadoc:javadoc
   
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}/maven-scm
install -pm 644 target/maven-scm-provider-svnjava-%{version}.jar \
  %{buildroot}%{_javadir}/maven-scm/provider-svnjava.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.maven-scm-provider-svnjava.pom
%add_maven_depmap JPP.maven-scm-provider-svnjava.pom maven-scm/provider-svnjava.jar

mkdir -p %{buildroot}%{_javadocdir}/maven-scm-provider-svnjava
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/maven-scm-provider-svnjava

%post
%update_maven_depmap

%preun
%update_maven_depmap

%files
%{_javadir}/maven-scm/provider-svnjava.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/maven-scm-provider-svnjava

