%global project_version 1.0-alpha-2

Name:           maven-stage-plugin
Version:        1.0
Release:        %mkrel 0.6.alpha2.7
Summary:        Plugin to copy artifacts from one repository to another
Group:          Development/Java
License:        ASL 2.0
URL:            https://maven.apache.org/plugins/maven-stage-plugin/
# svn export http://svn.apache.org/repos/asf/maven/plugins/tags/maven-stage-plugin-1.0-alpha-2/
# tar jcf maven-stage-plugin-1.0-alpha-2.tar.bz2 maven-stage-plugin-1.0-alpha-2/
Source0:        %{name}-%{project_version}.tar.bz2

# Migrating from plexus-maven-plugin to plexus-containers-component-metadata
Patch0:         %{name}-plexus-maven-plugin.patch

BuildArch:      noarch

BuildRequires:  plexus-containers-component-metadata
BuildRequires:  ant
BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  jpackage-utils
BuildRequires:  maven-local
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-plugin-plugin
BuildRequires:  maven-plugin-testing-harness
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  maven-wagon-http-lightweight
BuildRequires:  maven-wagon-ssh
BuildRequires:  plexus-utils

Requires:       ant
Requires:       maven

Obsoletes:      maven2-plugin-stage <= 0:2.0.8
Provides:       maven2-plugin-stage = 1:%{version}-%{release}

%description
The Maven Stage Plugin copies artifacts from one repository to another.
Its main use is for copying artifacts from a staging repository to
the real repository.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Documentation

%description    javadoc
API documentation for %{name}.


%prep
%setup -q -n %{name}-%{project_version}
%autopatch -p1

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc
