%define with_test 0

Name:          maven-taglib-plugin
Version:       2.4
Release:       %mkrel 1
Summary:       Maven Taglib Plugin
Group:         Development/Java
License:       Artistic
Url:           https://maven-taglib.sourceforge.net/m2/
# svn checkout https://maven-taglib.svn.sourceforge.net/svnroot/maven-taglib/m2-taglib-plugin/tags/maven-taglib-plugin-2.4 maven-taglib-plugin-2.4
# tar czf maven-taglib-plugin-2.4-src-svn.tar.gz maven-taglib-plugin-2.4
Source0:       maven-taglib-plugin-2.4-src-svn.tar.gz

Patch0:        maven-taglib-plugin-2.4-TagreferenceMojo.patch
Patch1:        maven-taglib-plugin-2.4-pom.patch
# require plexus-container-default 1.0-alpha-[4, 9)
Patch2:        maven-taglib-plugin-2.4-no-maven-embedder.patch

BuildRequires: java-devel 
BuildRequires: jpackage-utils

BuildRequires: apache-commons-beanutils
BuildRequires: apache-commons-collections
BuildRequires: apache-commons-lang
BuildRequires: jdom
BuildRequires: junit
BuildRequires: servletapi5
BuildRequires: tomcat5-jsp-2.0-api
BuildRequires: tlddoc

BuildRequires: maven
BuildRequires: maven-changes-plugin
BuildRequires: maven-compiler-plugin
%if %with_test
BuildRequires: maven-embedder
%endif
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-license-plugin
BuildRequires: maven-plugin-jxr
BuildRequires: maven-plugin-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-shared-reporting-impl
BuildRequires: maven-surefire-plugin
BuildRequires: plexus-archiver
BuildRequires: plexus-utils

BuildRequires: apache-commons-beanutils
BuildRequires: apache-commons-collections
BuildRequires: apache-commons-lang
BuildRequires: jdom
BuildRequires: plexus-archiver
BuildRequires: plexus-utils
BuildRequires: tlddoc
BuildRequires: servletapi5
BuildRequires: tomcat5-jsp-2.0-api
BuildRequires: forge-parent

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
M2 plugin for jsp tag libraries developers for the generation,
documentation and testing of jsp tag libraries.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}

%prep
%setup -q -n maven-taglib-plugin-%{version}
%patch -P 0 -p0
%patch -P 1 -p0
%if !%with_test
%patch -P 2 -p0
%endif

%build

mvn-rpmbuild \
  -e \
%if !%with_test
  -Dmaven.test.skip=true \
%endif
   install javadoc:javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}/

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavendepmapfragdir}/*
%{_mavenpomdir}/*
%doc LICENSE.txt

%files javadoc
%{_javadocdir}/%{name}
