Name:           maven-toolchains-plugin
Version:        1.0
Release:        %mkrel 12
Group:          Development/Java
Summary:        Maven plugin for sharing configuration across projects
License:        ASL 2.0
URL:            https://maven.apache.org/plugins/maven-toolchains-plugin/
Source0:        https://repo1.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip
Patch0:         0001-Port-to-Eclipse-Sisu.patch

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugins:pom:)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-toolchain)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)

%description
The Toolchains Plugins allows to share configuration across plugins. For
example to make sure the plugins like compiler, surefire, javadoc, webstart
etc. all use the same JDK for execution. Similarly to maven-enforcer-plugin, it
allows to control environmental constraints in the build.

%package        javadoc
Summary:        API documentation for %{name}
Group:          Documentation

%description    javadoc
The API documentation of %{name}.

%prep
%setup -q

%autopatch -p1

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE
