# avoid dependency on X11 libraries
%define without_x	1

Summary:	A user-friendly file manager and visual shell
Name:		mc
Version:	4.8.33
Release:	%mkrel 1
License:	GPLv3+
Group:		File tools
URL:		https://midnight-commander.org/
Source0:	http://ftp.midnight-commander.org/%{name}-%{version}.tar.xz
Source1:	mc-bashrc
Patch0:		mc-4.8.23-decent_defaults.patch
Patch2:		mc-4.8.7-use_okular_for_pdf_files.diff
# Patch by Derek Jennings to fix mga#1304 by spawning subshell with IGNOREBOTH
Patch3:		mc-4.8.32-mga-subshell.patch
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	libgpm-devel >= 0.18
BuildRequires:	pam-devel
BuildRequires:	pkgconfig(slang)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	bison
BuildRequires:	doxygen
BuildRequires:	pkgconfig(libssh2) >= 1.2.5
%if ! %{without_x}
BuildRequires:	X11-devel
%endif
BuildRequires:	gettext-devel

Requires:	groff
Requires:	python3-boto3

%description
Midnight Commander is a visual shell much like a file manager, only with way
more features.  It is text mode, but also includes mouse support if you are
running GPM.  Its coolest feature is the ability to ftp, view tar, zip
files, and poke into RPMs for specific files.

%prep
%autosetup -p1

sed -i 's:|hxx|:|hh|hpp|hxx|:' misc/syntax/Syntax.in

# fix mc-wrapper.sh
perl -p -i -e 's/rm -f \"/rm -rf \"/g' contrib/mc-wrapper.sh.in

%build
export X11_WWW="www-browser"
export CFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -Wno-strict-aliasing"

autoreconf -fi
%configure \
    PYTHON=%{__python3} \
    --with-debug \
    --enable-dependency-tracking \
    --without-included-gettext \
    --without-included-slang \
    --with-screen=slang \
    --with-search-engine=glib \
    --enable-nls \
    --enable-charset \
    --enable-largefile \
    --disable-rpath \
    --with-mcfs \
    --enable-vfs-smb \
    --enable-vfs-sftp \
    --enable-vfs-mcfs \
    --enable-extcharset \
    --with-mmap \
%if %{without_x}
    --without-x
%endif

%make_build

%install
%make_install

install -m644 contrib/mc.sh -D %{buildroot}%{_sysconfdir}/profile.d/20mc.sh
install -m644 contrib/mc.csh -D %{buildroot}%{_sysconfdir}/profile.d/20mc.csh
install -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/mc/mc-bashrc

%{find_lang} %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README
%license COPYING
%dir %{_libexecdir}/mc
%dir %{_libexecdir}/mc/extfs.d
%dir %{_libexecdir}/mc/ext.d
%dir %{_libexecdir}/mc/shell
%dir %{_datadir}/mc
%dir %{_datadir}/mc/skins
%dir %{_datadir}/mc/syntax
%dir %{_datadir}/mc/hints
%dir %{_datadir}/mc/help
%dir %{_datadir}/mc/examples
%dir %{_datadir}/mc/examples/macros.d
%{_sysconfdir}/profile.d/*
%{_sysconfdir}/mc/
%{_bindir}/mc
%{_bindir}/mcdiff
%{_bindir}/mcedit
%{_bindir}/mcview
%{_libexecdir}/mc/cons.saver
%{_libexecdir}/mc/mc*.*sh
%{_libexecdir}/mc/extfs.d/*
%{_libexecdir}/mc/ext.d/*
%{_libexecdir}/mc/shell/*
%{_datadir}/mc/mc.charsets
%{_datadir}/mc/mc.lib
%{_datadir}/mc/help/*
%{_datadir}/mc/hints/*
%{_datadir}/mc/skins/*
%{_datadir}/mc/syntax/*
%{_datadir}/mc/examples/macros.d/*
%{_mandir}/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%lang(ru) %{_mandir}/ru/man1/*
%lang(sr) %{_mandir}/sr/man1/*
