Name:		mcelog
Version:	175
Release:	%mkrel 2
Summary:	The kernel machine check logger
License:	GPLv2
Group:		System/Kernel and hardware
Url:		https://www.mcelog.org/
Source0:	https://github.com/andikleen/mcelog/archive/v%{version}/%{name}-%{version}.tar.gz
Source10:	mcelog.service
ExclusiveArch:	%ix86 x86_64

%description
mcelog is the user space backend for logging machine check errors
reported by the hardware to the kernel. The kernel does the immediate
actions (like killing processes etc.) and mcelog decodes the errors
and manages various other advanced error responses like
offlining memory, CPUs or triggering events.

It primarily handles machine checks and thermal events, which
are reported for errors detected by the CPU.

%prep
%setup -q

%build
%make_build \
	CFLAGS="%{optflags}" \
	LDFLAGS="%{ldflags}"

%install
%make_install

install -Dpm644 mcelog.logrotate %{buildroot}/%{_sysconfdir}/logrotate.d/%{name}

# Don't install as we prefer systemd service
#install -Dpm755 mcelog.cron %{buildroot}/%{_sysconfdir}/cron.hourly/%{name}

#systemd
install -Dpm644 %{_sourcedir}/mcelog.service %{buildroot}%{_unitdir}/%{name}.service

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc README.md README.releases CHANGES
%{_sbindir}/mcelog
%{_mandir}/man8/mcelog.8*
%{_mandir}/man5/mcelog.conf.5*
%{_mandir}/man5/mcelog.triggers.5*
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/mcelog/mcelog.conf
%{_sysconfdir}/mcelog/bus-error-trigger
%{_sysconfdir}/mcelog/cache-error-trigger
%{_sysconfdir}/mcelog/dimm-error-trigger
%{_sysconfdir}/mcelog/iomca-error-trigger
%{_sysconfdir}/mcelog/page-error-trigger
%{_sysconfdir}/mcelog/page-error-post-sync-soft-trigger
%{_sysconfdir}/mcelog/page-error-pre-sync-soft-trigger
%{_sysconfdir}/mcelog/unknown-error-trigger
%{_sysconfdir}/mcelog/socket-memory-error-trigger
%{_sysconfdir}/mcelog/page-error-counter-replacement-trigger
%{_unitdir}/%{name}.service
