Summary:        Comic book viewer
Name:           mcomix
Version:        3.1.0
Release:        %mkrel 2
License:        GPLv2+
Group:          Graphics/Viewers
URL:            https://sourceforge.net/p/mcomix/wiki/Home/
Source0:        https://downloads.sourceforge.net/mcomix/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  desktop-file-utils

Recommends:     unrar

%description
MComix is a user-friendly, customizable image viewer.
It is specifically designed to handle comic books
(both Western comics and manga) and supports a variety
of container formats (including CBR, CBZ, CB7, CBT, LHA
and PDF). MComix is a fork of Comix.

%prep
%setup -q

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mcomix

# application meta files are no longer copied automatically by the installation process
cp -a share %{buildroot}%{_prefix}

desktop-file-install --vendor='' \
	--dir %buildroot%_datadir/applications \
	--add-category='GNOME;GTK' \
	%buildroot%_datadir/applications/*.desktop

%files -f %{pyproject_files}
%doc ChangeLog.md README.md
%license COPYING
%{_bindir}/mcomix
%{_metainfodir}/mcomix.metainfo.xml
%{_datadir}/applications/mcomix.desktop
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/mime/packages/mcomix.xml
%{_mandir}/man1/mcomix.1*
