%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d
%define staticdevelname	%mklibname %{name} -d -s

Name:			mcpp
Summary:    		Alternative C-*/C++ preprocessor
Version:    		2.7.2.1
Release:    		%mkrel 1
License:    		BSD
Group:      		Development/C++
URL:			https://mcpp.sourceforge.net/
Source:     		https://github.com/museoa/mcpp/archive/%{version}/%{name}-%{version}.tar.gz
# merge fixes from https://github.com/jbrandwood/mcpp
Patch2:			0002-Apply-Fedora-mcpp-man.patch.patch
Patch3:			0003-Apply-Fedora-mcpp-c99.patch.patch
Patch4:			0004-Fix-build-with-GCC-14.x-by-splitting-a-NULL-assignme.patch
Patch5:			0005-Fix-discards-const-qualifier-compiler-warnings.patch
Patch6:			0006-Fix-error-C4703-on-VS-2019-build.patch
Patch7:			0007-Apply-suggested-fix-for-https-sourceforge.net-p-mcpp.patch
Patch8:			0008-Apply-suggested-fix-for-parentheses-bug-get_ch-call-.patch
Patch9:			0009-Apply-suggested-fix-for-MCPP-bug-conditional-operato.patch
Patch10:		0010-Add-an-fclose-to-fix-system.c-3686-error-Resource-le.patch
Patch11:		0011-Fix-zero-exit-status-after-fatal-error-when-using-th.patch
Patch12:		0012-Convert-Japanese-documentation-from-EUC-JP-encoding-.patch
Patch13:		0013-Remove-bogus-extra-in-error-messages-about-an-option.patch
Patch14:		0014-Add-newlines-to-both-version-and-usage-so-that-error.patch
Patch15:		0015-Update-configure.ac-syntax-for-modern-versions-of-GN.patch
Patch16:		0016-Regenerate-build-system-with-autoconf-2.71-and-autom.patch
Patch17:		0017-Add-.gitignore-file.patch
Patch18:		0018-Apply-modified-Debian-02-gniibe-fixes.patch-to-fix-f.patch
Patch19:		0019-Apply-modified-Debian-04-gniibe-fix-12.patch-to-fix-.patch
Patch20:		0020-Apply-modified-Debian-03-gniibe-fix-11.patch-to-fix-.patch
Patch21:		0021-Apply-modified-Debian-05-gniibe-fix-13.patch-to-fix-.patch
Patch22:		0022-Fix-heap-use-after-free-in-substitute-causes-segfaul.patch
Patch23:		0023-Apply-modified-Debian-06-gniibe-fix-autotools.patch-.patch
Patch24:		0024-Apply-modified-Gentoo-libmcpp-2.7.2-fix-configure-ch.patch
Patch25:		0025-Apply-Gentoo-libmcpp-2.7.2-fix-build-system.patch-to.patch

%description
The C/C++ preprocessor defines and expands macros and processes '#if',
'#include', and some other directives.

MCPP is an alternative C/C++ preprocessor with the highest conformance
to standards. It supports multiple standards: K&R, ISO C90, ISO C99, and
ISO C++98. MCPP is especially useful for debugging a source program which uses
complicated macros and also useful for checking portability of a source file.

Although mcpp could be built as a replacement of GCC's resident
preprocessor, or as a stand-alone program without using the library build of
mcpp, this package only installs a program named 'mcpp' which links
to the shared library of mcpp and does not run as part of GCC.

%files
%license LICENSE
%doc NEWS README
%{_bindir}/*
%{_mandir}/man1/*

#-------------------------------------------------------------------------

%package		manual
Summary:		Documentation for %{name}
Group:			Documentation
BuildArch:		noarch

%description		manual
This package provides the documentation for %{name}.

%files			manual
%{_defaultdocdir}/%{name}/*.html
%{_defaultdocdir}/%{name}/doc-jp/
%{_defaultdocdir}/%{name}/mcpp-summary.pdf

#-------------------------------------------------------------------------

%package -n		%{libname}
Summary:		Libraries for %{name}
Group:			System/Libraries

%description -n		%{libname}
This package provides the libraries for mcpp.

%files -n		%{libname}
%{_libdir}/*.so.%{major}{,.*}

#-------------------------------------------------------------------------

%package -n		%{develname}
Summary:		Development files for %{name}
Group:			Development/Other
Requires:		%{libname} = %{version}-%{release}
Provides:		%{name}-devel = %{version}-%{release}

%description -n 	%{develname}
This package contains development files for %{name}.

%files -n		%{develname}
%{_libdir}/*.so
%{_includedir}/*

#-------------------------------------------------------------------------

%package -n		%{staticdevelname}
Summary:		Static development files for %{name}
Group:			Development/Other
Requires:		%{develname} = %{version}-%{release}
Provides:		%{name}-static-devel = %{version}-%{release}

%description -n		%{staticdevelname}
This package contains static development files for %{name}.

%files -n		%{staticdevelname}
%{_libdir}/*.a

#-------------------------------------------------------------------------

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --enable-mcpplib
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete
