#define git %%{nil}

Name:		mdadm
Version:	4.3
Release:	%mkrel 2
Summary:	A tool for managing Soft RAID under Linux
Group:		System/Kernel and hardware
License:	GPLv2+
URL:		https://www.kernel.org/pub/linux/utils/raid/mdadm/
Source0:	https://www.kernel.org/pub/linux/utils/raid/mdadm/mdadm-%{!?git:%version}%{?git:%git}.tar.xz
# fixes from uptream

# From Fedora
Source1:	mdadm-raid-check
# From Fedora, modified because our initscripts do not use incremental assembly
# modification can be reverted only _after_ initscripts has been fixed and a
# conflict for older inistcripts is added (bluca)
Source2:	mdadm.rules
Source3:	mdadm-raid-check-sysconfig
Source5:	mdadm-cron
Source4:	mdmonitor.service
Source8:	mdmonitor-takeover.service
Source9:	%{name}-tmpfiles.conf

# Build without -Werror.
Patch00:     disable-Werror.patch

Requires(pre):   filesystem >= 2.1.9-18
Requires(post):  systemd >= %{systemd_required_version}
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
# udev rule used to be in udev package
Conflicts:	udev < 145-2
BuildRequires:	groff
BuildRequires:	systemd-devel
BuildRequires:	pkgconfig(libudev)

%description
mdadm is a program that can be used to create, manage, and monitor
Linux MD (Software RAID) devices.

As such is provides similar functionality to the raidtools packages.
The particular differences to raidtools is that mdadm is a single
program, and it can perform (almost) all functions without a
configuration file (that a config file can be used to help with
some common tasks).

%prep
%autosetup -p1 %{?git:-n %name}

echo "PROGRAM %{_sbindir}/mdadm-syslog-events" >> mdadm.conf-example

%build
make SYSCONFDIR="%{_sysconfdir}" CXFLAGS="%{optflags} -Wno-error=format-truncation -Wno-error=restrict -Wno-format-overflow"

%install
%make_install MANDIR=%{_mandir} BINDIR=%{_sbindir} UDEVDIR=%{_prefix}/lib/udev
install -Dp -m 644 mdadm.conf-example %{buildroot}%{_sysconfdir}/mdadm.conf
install -Dp -m 755 %{SOURCE1} %{buildroot}%{_sbindir}/raid-check
install -Dp -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/raid-check
install -Dp -m 644 %{SOURCE5} %{buildroot}%{_sysconfdir}/cron.d/raid-check
install -Dp misc/syslog-events %{buildroot}%{_sbindir}/mdadm-syslog-events

install -d -m 755 %{buildroot}%{_unitdir}
install -m 644 %{SOURCE4} %{buildroot}%{_unitdir}
install -m 644 %{SOURCE8} %{buildroot}%{_unitdir}
# (cg) Mask the sysvinit script
ln -s mdmonitor.service %{buildroot}%{_unitdir}/mdadm.service

install -D -p -m 644 %{SOURCE9} %{buildroot}%{_tmpfilesdir}/%{name}.conf

%preun
%_preun_service mdadm

%post
%_tmpfilescreate %{name}
ENABLE=
[ ! -f /var/lib/rpm-helper/systemd-migration/mdadm ] && ENABLE=yes
%_post_service mdadm
if [ "$ENABLE" = "yes" -a -L %{_sysconfdir}/systemd/system/multi-user.target.wants/mdmonitor.service -a ! -L %{_sysconfdir}/systemd/system/sysinit.target.wants/mdmonitor-takeover.service ]; then
  systemctl --quiet enable mdmonitor-takeover.service
fi

%files
%doc TODO ChangeLog README.initramfs ANNOUNCE*
%{_sbindir}/mdadm
%{_sbindir}/mdadm-syslog-events
%{_sbindir}/mdmon
%{_sbindir}/raid-check
%config(noreplace) %{_sysconfdir}/cron.d/raid-check
%config(noreplace,missingok) %{_sysconfdir}/mdadm.conf
%config(noreplace) %{_sysconfdir}/sysconfig/raid-check
%{_udevrulesdir}/01-md-raid-creating.rules
%{_udevrulesdir}/63-md-raid-arrays.rules
%{_udevrulesdir}/64-md-raid-assembly.rules
%{_udevrulesdir}/69-md-clustered-confirm-device.rules
%{_tmpfilesdir}/%{name}.conf
%{_unitdir}/mdadm.service
%{_unitdir}/mdmonitor.service
%{_unitdir}/mdmonitor-takeover.service
%dir %ghost %attr(0700, root, root) %{_rundir}/%{name}
%ghost %attr(0660, -, -) %{_rundir}/%{name}/mdadm.pid
%{_mandir}/man*/md*
