# WARNING: This package is synced with FC
# header-only library
%global debug_package %{nil}

%global apiversion 3.0

Name:		mdds
Version:	3.0.0
Release:	%mkrel 1
Summary:	A collection of multi-dimensional data structures and indexing algorithms

Group:		Development/C
License:	MIT
URL:		https://gitlab.com/mdds/mdds
Source0:	https://gitlab.com/mdds/mdds/-/archive/%{version}/mdds-%{version}.tar.bz2
# https://gitlab.com/mdds/mdds/-/merge_requests/94
Patch0:	 include.patch

BuildRequires: boost-devel
BuildRequires: gcc-c++
BuildRequires: autoconf
BuildRequires: automake
# (tv) thus fixing configure not finding /usr/lib64/libgomp.spec
BuildRequires: libgomp-devel
# (tv) this package won't pass mga BS if noarch tag is not on the main pkg even
# though no such package will ever be generated:
BuildArch: noarch

%description
%{name} is a collection of multi-dimensional data structures and
indexing algorithms.
 
%package devel
Group: Development/C
Summary: Headers for %{name}
BuildArch: noarch
Requires: boost-devel
Provides: %{name}-static = %{version}-%{release}

%description devel
%{name} is a collection of multi-dimensional data structures and
indexing algorithms.

It implements the following data structures:
* segment tree
* flat segment tree 
* rectangle set
* point quad tree
* multi type matrix
* multi type vector

See README.md for a brief description of the structures.

%prep
%autosetup -p0

%build
./autogen.sh
%configure

%install
%make_install
rm -rf %{buildroot}%{_docdir}/%{name}

%check
%make_build check

%files devel
%{_includedir}/%{name}-%{apiversion}
%{_datadir}/pkgconfig/%{name}-%{apiversion}.pc
%doc AUTHORS README.md
%license LICENSE
