Name:           meandmyshadow
Version:        0.5a
Release:        %mkrel 5
Summary:        Puzzle/platform game where you try to reach the exit by solving puzzles
Group:          Games/Arcade
License:        GPLv3+
URL:            https://meandmyshadow.sourceforge.net/
Source0:        https://downloads.sourceforge.net/meandmyshadow/%{name}-%{version}-src.tar.gz
Patch0:         meandmyshadow-0.5a-no-SDL2MAIN_LIBRARY.patch
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_ttf)
BuildRequires:  pkgconfig(SDL2_gfx)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(lua) >= 5.2
BuildRequires:  cmake

%description
Me and My Shadow is a free libre puzzle/platform game in which
you try to reach the exit by solving puzzles. Spikes, moving
blocks, fragile blocks and much more stand between you and the exit.
Record your moves and let your shadow mimic them to reach blocks you
couldn't reach alone.

%prep
%setup -q
%autopatch -p1
sed -i "/Version/d" %{name}.desktop

%build
%cmake -DBINDIR=%{_gamesbindir} \
       -DDATAROOTDIR=%{_gamesdatadir} \
       -DDESKTOPDIR=%{_datadir}/applications/ \
       -DICONDIR=%{_iconsdir}
%cmake_build

%install
%cmake_install

%files
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
