Name:		media-player-info
Version:	26
Release:	%mkrel 1
Summary:	Data files describing media player capabilities
Group:		System/Kernel and hardware
License:	BSD
URL:		https://gitlab.freedesktop.org/media-player-info/media-player-info
Source0:	https://gitlab.freedesktop.org/media-player-info/media-player-info/-/archive/%{version}/%{name}-%{version}.tar.bz2
BuildRequires:	python3
BuildRequires:	pkgconfig(udev)
BuildRequires:	locales
BuildArch:	noarch

%description
This is the freedesktop.org media player information database.

This package contains udev rules to identify media players as well as a
compilation of .mpi files describing the media player capabilities of these
devices. This information used to live in hal-info, but it has been moved to
its own package as part of the "halectomy".

%prep
%setup -q

%build
./autogen.sh
%configure --with-udevdir=%{_prefix}/lib/udev
%make_build

%install
%make_install

%files
%doc NEWS AUTHORS
%license COPYING
%{_datadir}/%{name}/
%{_udevrulesdir}/*
%{_udevhwdbdir}/20-usb-media-players.hwdb
%{_metainfodir}/org.freedesktop.media_player_info.metainfo.xml
