%define major		11
%define libname		%mklibname mediastreamer 2 %{major}
%define develname	%mklibname mediastreamer 2 -d

%bcond_with ffmpeg

Summary:	Audio/video real-time streaming library
Name:		mediastreamer2
# mediastreamer was broken out from linphone which provided lib[64]mediastreamer4-3.8.1-1.mga5
Epoch:		1
Version:	5.3.5
Release:	%mkrel 6
License:	GPLv2+
Group:		Communications/Telephony
URL:		https://linphone.org/technical-corner/mediastreamer2
Source0:	https://gitlab.linphone.org/BC/public/mediastreamer2/-/archive/%{version}/mediastreamer2-%{version}.tar.gz
Patch3:		mediastreamer-cmake-config-location.patch
Patch4:		mediastreamer-system-OpenGL.patch
Patch5:		mediastreamer-soname.patch
Patch6:		mediastreamer-FindAom.patch
Patch7:		mediastreamer-FindDav1d.patch
BuildRequires:	bcmatroska2-devel >= 0.23-4.git20210209.1
BuildRequires:	cmake
BuildRequires:	ninja
%if %{with ffmpeg}
BuildRequires:	ffmpeg-devel
%endif
BuildRequires:	gsm-devel
BuildRequires:	libpcap-devel
BuildRequires:	libv4l-devel
BuildRequires:	cmake(bcg729)
BuildRequires:	cmake(BCToolbox) >= %{version}
BuildRequires:	cmake(BZRTP) >= %{version}
BuildRequires:	cmake(Ortp) >= %{version}
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(aom)
BuildRequires:	pkgconfig(dav1d)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(libbcg729)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libsrtp2)
BuildRequires:	pkgconfig(libupnp)
BuildRequires:	pkgconfig(opus)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(speexdsp)
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(vpx)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xv)
BuildRequires:	pkgconfig(zxing)
BuildRequires:	vim-common

Obsoletes:      mediastreamer < 1:4.3.1-2
Provides:       mediastreamer = %{epoch}:%{version}-%{release}

%description
Mediastreamer2 is a powerful lightweight streaming engine for voice/video
telephony applications.

%package -n	%{libname}
Summary:	Audio/video real-time streaming library
Group:		System/Libraries

%description -n	%{libname}
Mediastreamer2 is a powerful lightweight streaming engine for voice/video
telephony applications.

%package -n	%{develname}
Summary:	Headers, libraries and docs for the mediastreamer2 library
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}

%description -n	%{develname}
This package contains header files and development libraries needed to
develop programs using the mediastreamer2 library.

%prep
%autosetup -p1 -n mediastreamer2-%{version}

# fix version
sed -i -e '/project/s/\(VERSION\)\s\+[0-9]\+\(\.[0-9]\+\)\+/\1 %{version}/' CMakeLists.txt

# drop bundled OpenGL includes
rm -rf include/OpenGL

%build
%cmake -GNinja \
  -DCMAKE_SKIP_INSTALL_RPATH:BOOL=YES \
  -DENABLE_STATIC:BOOL=NO \
  -DENABLE_STRICT:BOOL=NO \
  -DENABLE_UNIT_TESTS:BOOL=NO \
  -DENABLE_FFMPEG:BOOL=%{?with_ffmpeg:YES}%{?!with_ffmpeg:NO}
%cmake_build

%install
%cmake_install

# for plugins
mkdir -p %{buildroot}%{_libdir}/mediastreamer/plugins/

# remove unwanted docs, generated if doxygen is installed
rm -rf %{buildroot}%{_docdir}/mediastreamer*

%files
%license LICENSE*
%doc CHANGELOG* README*
%{_bindir}/%{name}-mediastream
%{_bindir}/%{name}-mkvstream
#{_bindir}/msaudiocmp
%dir %{_datadir}/images/
%{_datadir}/images/nowebcamCIF.jpg

%files -n %{libname}
%{_libdir}/libmediastreamer2.so.%{major}
%{_libdir}/libmediastreamer2.so.%{version}

%dir %{_libdir}/mediastreamer/plugins/

%files -n %{develname}
%{_includedir}/mediastreamer2/
%{_libdir}/libmediastreamer2.so
%{_libdir}/cmake/Mediastreamer2/
