Name:           mediawriter
Version:        5.2.4
Release:        %mkrel 1
Summary:        Write Fedora Images to Portable Media
Group:          File tools
License:        GPLv2+
URL:            https://github.com/FedoraQt/MediaWriter
Source0:        https://github.com/FedoraQt/MediaWriter/archive/%{version}/MediaWriter-%{version}.tar.gz

Provides:       liveusb-creator = %{version}-%{release}
Obsoletes:      liveusb-creator < 4.1.5

BuildRequires:  gettext
BuildRequires:  cmake
BuildRequires:  pkgconfig(appstream-glib)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  qtbase6-qtpaths
BuildRequires:  pkgconfig(liblzma)

Requires:       qt6-qtdeclarative
Requires:       qt6-qtsvg

Requires:       polkit
Requires:       udisks2

%description
A tool to write images of Fedora media to portable drives
like flash drives or memory cards.

%prep
%autosetup -p1 -n MediaWriter-%{version}

%build
%cmake

%cmake_build

%install
%cmake_install

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/org.fedoraproject.MediaWriter.appdata.xml

%files
%doc README.md
%license LICENSE*
%{_bindir}/%{name}
%{_libexecdir}/%{name}/
%{_metainfodir}/org.fedoraproject.MediaWriter.appdata.xml
%{_datadir}/applications/org.fedoraproject.MediaWriter.desktop
%{_datadir}/icons/hicolor/*/apps/org.fedoraproject.MediaWriter.png
