# Doesn't require any BIOS/copyrighted material, so it can go in core.

Name:           mednafen
Version:        1.32.1
Release:        %mkrel 1
Summary:        Command-line-driven multi-system emulator utilizing OpenGL and SDL
Group:          Emulators
License:        GPLv2+
URL:            https://mednafen.github.io
Source0:        https://mednafen.github.io/releases/files/%{name}-%{version}.tar.xz

BuildRequires:  bison
BuildRequires:  musepack-devel
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(lzo2)
BuildRequires:  pkgconfig(libzstd)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(zlib)
# Recommend a front-end (mednaffe or qmednafen)
Recommends:     mednafen-frontend

%description
Mednafen is a portable, command-line-driven multi-system emulator utilizing
OpenGL and SDL. Mednafen has the ability to remap hotkey functions and
virtual system inputs to a keyboard, a joystick, or both simultaneously.

The following systems are supported:
 - Apple II/II+
 - Atari Lynx
 - GameBoy (Color)
 - GameBoy Advance
 - Neo Geo Pocket (Color)
 - Nintendo Entertainment System
 - PC Engine/TurboGrafx 16 (CD)
 - PC-FX
 - Sega Game Gear
 - Sega Genesis/Megadrive
 - Sega Master System
 - Sega Saturn (experimental, x86_64 only)
 - Sony Playstation
 - Super Nintendo Entertainment System/Super Famicom
 - SuperGrafx
 - Virtual Boy
 - WonderSwan

Warning: No GUI.

%files -f %{name}.lang
%doc ChangeLog TODO Documentation/*
%{_bindir}/%{name}

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}

%build
%configure --enable-psx \
           --with-external-mpcdec \
           --with-external-lzo \
           --with-external-libzstd
%make_build

#TODO --with-external-tremor --with-external-trio

%install
%make_install

# Clear doc folder from unneeded bits
pushd Documentation
rm -rf  docgen.inc \
        generate.sh \
        Makefile* \
        *.php
popd

%find_lang %{name}
