# Doesn't require any BIOS/copyrighted material, so it can go in core.

Name:           mednaffe
Version:        0.9.3
Release:        %mkrel 1
Summary:        Multi-platform front-end (GUI) for the Mednafen emulator (GTK+ 3)
Group:          Emulators
License:        GPLv3+
URL:            https://github.com/AmatCoder/mednaffe/
Source0:        https://github.com/AmatCoder/mednaffe/releases/download/%{version}/%{name}-%{version}.tar.gz
Patch1:         0001-Fix-scaling-of-images#156.patch
Patch2:         0002-Fix-regression-in-commit-8021b8e-Now-images-can-be-reduced.patch

BuildRequires:  pkgconfig(gtk+-3.0)
Requires:       mednafen
Provides:       mednafen-frontend

%description
Mednaffe is a front-end (GUI) for mednafen emulator.

Its main features are:

  * It is written in C language.
  * Available for Linux and Windows.
  * The only dependency is GTK 3.
  * GPLv3 licensed.


%prep
%autosetup -p1

%build
%configure --enable-gtk3
%make_build

%install
%make_install

rm -rf %{buildroot}%{_datadir}/pixmaps
rm -rf %{buildroot}%{_docdir}/mednaffe/COPYING

%files
%doc AUTHORS ChangeLog README
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
