%define _disable_ld_no_undefined 1

Name:		medusa
Version:	2.3
Release:	%mkrel 1
Summary:	Medusa Parallel Network Login Auditor
License:	GPLv2
Group:		Security
URL:		http://www.foofus.net/jmk/medusa/medusa.html
Source0:	https://github.com/jmk-foofus/medusa/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  afpfs-ng-devel
BuildRequires:  apr-devel
BuildRequires:  pkgconfig(libssh2)
BuildRequires:  subversion-devel
BuildRequires:  postgresql-devel
BuildRequires:  pkgconfig(libgcrypt)
BuildRequires:  pkgconfig(freerdp2)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  ncpfs-devel

%description
Medusa is intended to be a speedy, massively parallel, modular, login
brute-forcer. The goal is to support as many services which allow remote
authentication as possible. The author considers following items as some of the
key features of this application:
* Thread-based parallel testing. Brute-force testing can be performed against
  multiple hosts, users or passwords concurrently.
* Flexible user input. Target information (host/user/password) can be specified
  in a variety of ways. For example, each item can be either a single entry or
  a file containing multiple entries. Additionally, a combination file format
  allows the user to refine their target listing.
* Modular design. Each service module exists as an independent .mod file. This
  means that no modifications are necessary to the core application in order to
  extend the supported list of services for brute-forcing.

%prep
%autosetup

sed -e "s:\$_dir/libssh2.so:%{_libdir}/libssh2.so:" -i configure.ac
sed -e "s:/usr/local/lib:%{_libdir}:" -i configure.ac

%build
autoreconf -vfi
%configure --enable-module-afp=yes
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog NEWS README.md TODO docs/*.html
%license COPYING
%{_bindir}/medusa
%{_libdir}/medusa/
%{_mandir}/man1/medusa.1*
