%define	oname	megaglest

Name:		megaglest-data
Version:	3.13.0
Release:	%mkrel 5
Summary:	Data files for MegaGlest
License:	GPLv3
Group:		Games/Strategy
URL:		https://megaglest.org/
Source:		https://github.com/MegaGlest/megaglest-data/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	cmake
Requires:	megaglest >= %{version}

Conflicts:	megaglest < 3.12.0

%description
Data files required for playing MegaGlest.

%prep
%setup -q -n %{oname}-%{version}
# Fix desktop files since we install games binaries in /usr/games
perl -pi -e 's,^Exec=([^/]+)$,Exec=%{_gamesbindir}/$1,' others/desktop/%{oname}*.desktop

%build
%cmake \
       -DMEGAGLEST_DATA_INSTALL_PATH=share/games/%{oname}/ \
       -DMEGAGLEST_ICON_INSTALL_PATH=share/icons/hicolor/48x48/apps/
%cmake_build

%install
%cmake_install

rm -f %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{oname}.xpm

# Remove unused Debian menu
rm -rf %{buildroot}%{_datadir}/menu

%files
%doc docs
%{_gamesdatadir}/%{oname}/
%{_datadir}/appdata/%{oname}*.appdata.xml
%{_datadir}/applications/%{oname}*.desktop
%{_iconsdir}/hicolor/48x48/apps/%{oname}.png
