%define _legacy_common_support 1

Name:		megaglest
Version:	3.13.0
Release:	%mkrel 17
Summary:	A free 3D real time strategy game in a fantasy setting
License:	GPLv3
Group:		Games/Strategy
URL:		https://megaglest.org/
Source0:	https://github.com/MegaGlest/megaglest-source/releases/download/%{version}/%{name}-source-%{version}.tar.xz
Patch0:		megaglest-source-3.13.0-mga-ssl-linking.patch

BuildRequires:	cmake
BuildRequires:	help2man
BuildRequires:	libircclient-devel
BuildRequires:	pkgconfig(miniupnpc)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(ftgl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libvlc)
BuildRequires:	pkgconfig(lua) >= 5.2
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_net)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(xerces-c)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	wxgtk3.0-devel

Requires:	%{name}-data >= %{version}

%description
MegaGlest is a 3D-real-time strategy game, where you control the armies of
one of seven different factions: Tech, Magic, Egyptians, Indians, Norsemen,
Persian or Romans.

A game of MegaGlest takes place on a map of varying size, such as large
plains and fields, with terrain features like rivers, mountains, seas, or
cliffs. Players must establish settlements to gain resources, defend
against other players, and train units to explore the map and attack
enemies. Different resources have to be gathered by every faction. This can
be energy, food, gold, housing, stone and wood.

Choose a faction and create its different units and buildings while
developing your factions' unique abilities over the course of the game.
But beware: strategy matters, so chose wisely when deciding which units to
use when and where if you want a chance to beat the enemy.

%prep
%autosetup -p1

%build
%cmake -DMEGAGLEST_BIN_INSTALL_PATH=games/ \
       -DMEGAGLEST_DATA_INSTALL_PATH=share/games/%{name}/
%cmake_build

%install
%cmake_install

%files
%doc docs/CHANGELOG.txt docs/README.txt docs/AUTHORS.source_code.txt docs/COPYRIGHT.source_code.txt
%{_gamesbindir}/%{name}*
%{_gamesdatadir}/%{name}/
%{_mandir}/man6/%{name}*.6*
