Name:		megamario
Version:	1.7
Release:	%mkrel 10
Summary:	Super Mario 1 clone
Group:		Games/Arcade
License:	LGPL+
# This site is defunct as of 2024
URL:		https://www.megamario.de/
Source0:	https://downloads.sourceforge.net/mmario/MegaMario_v%{version}_full.zip
Patch0:		megamario-1.7-compile-fix.patch
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_ttf)
BuildRequires:	ImageMagick
BuildRequires:	desktop-file-utils
Requires:	hicolor-icon-theme

%description
MegaMario is a clone of the well know platform game Super Mario Bros 1,
In the game you play Mario, and your task is to free his brother Luigi,
who was captured by the evil Bowser.

%prep
%setup -q -c
%autopatch -p1
sed -i 's/\r//' *.txt *.desktop

%build
%make_build PREFIX=%{_prefix} CFLAGS="$RPM_OPT_FLAGS -fsigned-char"
convert -transparent '#FF00FF' data/gfx/characters/small/player1r.PNG %{name}.png
sed -i "s/Icon=.*/Icon=megamario/" %{name}.desktop
sed -i "/Encoding/d" %{name}.desktop

%install
make install PREFIX=%{buildroot}%{_prefix}
# cruft removal
rm %{buildroot}%{_datadir}/megamario/levels/1/1
rm %{buildroot}%{_datadir}/megamario/levels/11/mai
rm %{buildroot}%{_datadir}/megamario/save.sav

mkdir -p %{buildroot}%{_datadir}/{applications,pixmaps}
install -p -m 0644 %{name}.desktop %{buildroot}%{_datadir}/applications/
install -p -m 0644 %{name}.png %{buildroot}%{_datadir}/pixmaps/

# Fix mga#11749
pushd %{buildroot}%{_datadir}/%{name}/gfx/background
ln -s Iceland.jpg iceland.jpg
ln -s canyon.jpg Canyon.jpg
popd
%files
%doc CONTROLS.txt readme.txt fixes_v%{version}.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/
