%global _compldir %{_datadir}/bash-completion/completions
%global snapshot 20241028

Name:           megatools
Version:        1.11.1
Release:        %mkrel -c %{snapshot} 1
Summary:        Command line client for MEGA
Group:          Networking/File transfer
License:        GPL-3.0-or-later
URL:            https://megatools.megous.com/

Source0:        http://megatools.megous.com/builds/builds/%{name}-%{version}.%{snapshot}.tar.gz
Source1:        http://megatools.megous.com/builds/builds/%{name}-%{version}.%{snapshot}.tar.gz.asc

BuildRequires:  meson
BuildRequires:  asciidoc
BuildRequires:  docbook2x
BuildRequires:  fuse-devel
BuildRequires:  glib2-devel
BuildRequires:  gmp-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(openssl)

%description
Megatools is a collection of programs for accessing Mega service from a command
line of your desktop or server.

Megatools allow you to copy individual files as well as entire directory trees
to and from the cloud. You can also perform streaming downloads for example to
preview videos and audio files, without needing to download the entire file.

You can register an account using a "megareg" tool, with the benefit of having
true control of your encryption keys.

Megatools are robust and optimized for fast operation - as fast as Mega servers
allow. Memory requirements and CPU utilization are kept at minimum.

%prep
%autosetup -n %{name}-%{version}.%{snapshot}

%build
%meson
%meson_build

%install
%meson_install

# Bash completion
install -D -m644 -p contrib/bash-completion/%{name} %{buildroot}%{_compldir}/%{name}

# Let RPM pick up the docs at assembly time
rm -fr %{buildroot}%{_docdir}/%{name}

%check
%meson_test

%files
%license LICENSE
%doc NEWS README TODO
%{_bindir}/mega*
%{_compldir}/*
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*
