Summary:	Visual diff and merge tool
Name:		meld
Epoch:		2
Version:	3.23.0
Release:	%mkrel 1
# vc is BSD
License:	GPLv2+ and BSD
Group:		File tools
URL:		https://meldmerge.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch2:		0001-Make-sure-typelib-GtkSource-4-is-called.patch
BuildArch:	noarch
BuildRequires:	appstream-util
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	git-core
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	meson
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtksourceview-4)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	pkgconfig(py3cairo)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(distro)

Requires:	python3-gobject3
Requires:	patch

%description
Meld is a visual diff and merge tool targeted at developers. It helps you
compare files, directories, and version controlled projects. It provides two-
and three-way comparison of both files and directories, and the tabbed interface
allows you to open many diffs at once.
Meld has has support for many popular version control systems including Git,
Mercurial, Bazaar, SVN and CVS. The diff viewer lets you edit files in place
(diffs update dynamically), and a middle column shows detailed changes and
allows merges. The margins show location of changes for easy navigation.


%prep
%autosetup -Sgit_am -p1

cp meld/vc/COPYING meld/vc/COPYING.vc

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

desktop-file-install --vendor="" \
	--remove-category="Application" \
	--add-category="GTK"\
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*

%files -f %{name}.lang
%license meld/vc/COPYING.vc
%license COPYING
%doc README* NEWS
%{_bindir}/meld
%{_datadir}/meld/
%{_datadir}/applications/org.gnome.Meld.desktop
%{_iconsdir}/hicolor/*/apps/org.gnome.Meld*.svg
%{_datadir}/mime/packages/org.gnome.Meld.xml
%{_metainfodir}/org.gnome.Meld.appdata.xml
%{_datadir}/glib-2.0/schemas/org.gnome.Meld.gschema.xml
%{_mandir}/man1/meld.1*
%{python3_sitelib}/meld/
