%global _with_test 0

Summary:        High-performance memory object caching system
Name:           memcached
Version:        1.6.38
Release:        %mkrel 1
License:        BSD
Group:          System/Servers
URL:            https://memcached.org/
Source0:        https://memcached.org/files/%{name}-%{version}.tar.gz
Source1:        %{name}-tmpfiles.conf
Source2:        memcached.sysconfig
Source3:        memcached.logrotate
Source4:        memcached@.service
Source5:        memcached.target
Requires(post):  systemd >= %{systemd_required_version}
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Requires:       cyrus-sasl sasl-plug-plain sasl-plug-crammd5
BuildRequires:  autoconf2.5
BuildRequires:  automake
BuildRequires:  doxygen
BuildRequires:  pkgconfig(libevent)
BuildRequires:  pkgconfig(libsasl2)
BuildRequires:  cyrus-sasl
BuildRequires:  sasl-plug-plain
BuildRequires:  sasl-plug-crammd5
# Required by test suite
BuildRequires:  sasl-plug-sasldb
BuildRequires:  libxslt-proc
BuildRequires:  perl-devel

%description
memcached is a flexible memory object caching daemon designed to alleviate
database load in dynamic web applications by storing objects in memory. It's
based on libevent to scale to any size needed, and is  specifically optimized
to avoid swapping and always use non-blocking I/O.

%package        devel
Summary:        Files needed for development using memcached protocol
Group:          Development/C
Requires:       %{name} = %{version}-%{release}

%description    devel
Install memcached-devel if you are developing C/C++ applications that require
access to the memcached binary include files.

%prep
%setup -q

%build
%serverbuild

%configure \
%ifarch x86_64
--enable-extstore \
--enable-64bit
%endif
#disable extstore on 32bit, due to bug #319 (github)

#--enable-sasl
%make_build
make docs

%if %_with_test
%check
export PATH="$PATH:/sbin:/usr/sbin"
# whitespace tests fail locally on fedpkg systems now that they use git
rm -f t/whitespace.t

# Parts of the test suite only succeed as non-root.
if [ `id -u` -ne 0 ]; then
  # remove failing test that doesn't work in
  # build systems
  rm -f t/daemonize.t
fi
make test
%endif

%install
%makeinstall

install -m644 %{SOURCE1} -D %{buildroot}%{_tmpfilesdir}/%{name}.conf
install -m644 %{SOURCE2} -D %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -m644 %{SOURCE3} -D %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
install -m755 scripts/%{name}-tool %{buildroot}%{_bindir}/%{name}-tool

install -m644 %{SOURCE4} -D %{buildroot}%{_unitdir}/%{name}@.service
install -m644 %{SOURCE5} -D %{buildroot}%{_unitdir}/%{name}.target

%post
%_tmpfilescreate %{name}
%_post_service %{name} %{name}.target

%preun
%_preun_service %{name} %{name}.target

%pre
%_pre_useradd %{name} /dev/null /bin/false

%postun
%_postun_userdel %{name}

%files
%doc AUTHORS* COPYING ChangeLog NEWS
%doc doc/CONTRIBUTORS doc/protocol.txt doc/readme.txt
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_bindir}/%{name}-tool
%{_bindir}/%{name}
%{_tmpfilesdir}/%{name}.conf
%{_unitdir}/%{name}*.service
%{_unitdir}/%{name}.target
%{_mandir}/man1/%{name}.1*

%files devel
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
