Summary:	Specialized memcpy checker with low overhead
Name:		memstomp
Version:	0.1.4
Release:	%mkrel 11
License:	LGPLv3+ with exception
Group:		Development/Tools
URL:		https://fedorapeople.org/gitweb?p=wcohen/public_git/memstomp/
Source0:	%{name}.tar.xz
Patch0:		memstomp-testsuite.patch
Patch1:		memstomp-man.patch
Patch2:		memstomp-rh961495.patch
Patch3:		memstomp-rh962763.patch
Patch4:		memstomp-quietmode.patch
Patch5:		memstomp-rh1093173.patch
Patch6:		memstomp-rh1133815.patch
Patch7:		memstomp-implicit-int.patch
Patch8:		bfd-api-change.patch
Patch9:		memstomp-PTR.patch
Patch10:	memstomp-sframe.patch

BuildRequires:	binutils-devel

%description
Memstomp checks the operation of memcpy. In particular memstomp warns
when memcpy is used to copy overlapping regions of memory (such as the
problem encountered in
https://bugzilla.redhat.com/show_bug.cgi?id=638477)

Just use it as prefix for your usual command line and it will check
memcpy used in all child processes. Note that valgrind can perform
this type of check also. Memstomp merely lowers the overhead for this
type of check.

%prep
%autosetup -p1 -n %{name}

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

%files
%doc README
%{_bindir}/memstomp
%{_libdir}/libmemstomp-backtrace-symbols.so
%{_libdir}/libmemstomp.so
%{_mandir}/man1/memstomp.1.*
