# Prevent stripping
%global __spec_install_post /usr/lib/rpm/brp-compress
# Turn off debuginfo package
%global debug_package %{nil}

%ifarch %ix86
%global build_dir build32
%endif
%ifarch x86_64
%global build_dir build64
%endif

# Comment out if not a pre-release
#define	prel	beta3

%define	rel	1

Name:		memtest86+
Version:	7.00
Release:	%mkrel %{?prel:0.%prel.}%{rel}
License:	GPLv2
Summary:	Stand-alone memory tester for x86 and x86-64 computers
Group:		System/Kernel and hardware
URL:		https://memtest.org
Source0:	https://github.com/memtest86plus/memtest86plus/archive/refs/tags/v%{version}%{?prel:-%prel}.tar.gz
Source1:	20_memtest86+

ExclusiveArch:	%{ix86} x86_64
BuildRequires:	binutils
BuildRequires:	gcc
Requires(post):	drakxtools-backend
Requires(preun):drakxtools-backend
Obsoletes:      pcmemtest < 1.6

%description
Memtest86+ is a stand-alone memory tester for x86 and x86-64 architecture
computers. It provides a more thorough memory check than that provided by
BIOS memory tests.

Memtest86+ can be loaded and run either directly by a PC BIOS (legacy or UEFI)
or via an intermediate bootloader that supports the Linux 16-bit, 32-bit,
64-bit, or EFI handover boot protocol. It should work on any Pentium class or
later 32-bit or 64-bit CPU.

%prep
%setup -q -n memtest86plus-%{version}%{?prel:-%prel}
%autopatch -p1
pwd
%if %{defined prel}
  sed -i 's/GIT_HASH "unknown"/GIT_HASH "%{prel}"/' %{build_dir}/Makefile
%else
  sed -i 's/GIT_HASH "unknown"/GIT_HASH "release"/' %{build_dir}/Makefile
%endif

%build
cd %{build_dir}
# Regular build flags are not wanted for this binary
make

%install
mkdir -p %{buildroot}/boot
mkdir -p %{buildroot}/%{_sysconfdir}/grub.d

install -m644 %{build_dir}/memtest.efi -D %{buildroot}/boot/memtest
install -D -m 755 %{SOURCE1} %{buildroot}/%{_sysconfdir}/grub.d/

%post
if [ $1 -eq 1 ]; then
    if [ -x /usr/sbin/bootloader-config ]; then
        /usr/sbin/bootloader-config --action add-entry --label Memtest86+ --image /boot/memtest || :
    fi
fi
if [ -d /boot/EFI/EFI ]; then
    mkdir -p /boot/EFI/EFI/memtest
    cp /boot/memtest /boot/EFI/EFI/memtest/bootx64.efi
fi

%preun
if [ $1 -eq 0 ]; then
    if [ -x /usr/sbin/bootloader-config ]; then
        /usr/sbin/bootloader-config --action remove-entry --label Memtest86+ || :
    fi
    if [ -f /boot/memtest -a -f /boot/EFI/EFI/memtest/bootx64.efi ]; then
        if cmp -s /boot/memtest /boot/EFI/EFI/memtest/bootx64.efi; then
	    rm /boot/EFI/EFI/memtest/bootx64.efi
        fi
    fi
fi

%postun
if [ $1 -eq 0 ]; then
    # update-grub2 automatically generates menu entries, so we need to run it
    # after the image has been deleted.
    if [ -x /usr/sbin/detectloader -a -x /usr/bin/update-grub2 ]; then
        loader=$(/usr/sbin/detectloader)
        if [ x$loader = xGRUB2 ]; then
            /usr/bin/update-grub2 || :
        fi
    fi
fi

%files
%doc README.md
/boot/memtest
%{_sysconfdir}/grub.d/20_memtest86+
