# we don't want the auto require to add require on /usr/bin/ocaml
%global __requires_exclude %{_bindir}/ocaml

Name:           menhir
Version:        20240715
Release:        %mkrel 1
Summary:        Menhir is a LR(1) parser generator for OCaml
License:        LGPL and QPL with static compilation exception
Group:          Development/OCaml
URL:            https://pauillac.inria.fr/~fpottier/menhir/
Source0:        https://gitlab.inria.fr/fpottier/menhir/-/archive/%{version}/menhir-%{version}.tar.bz2
BuildRequires:  ocaml
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-findlib

Provides:       ocaml-menhir = %{version}-%{release}

%description
Menhir is a LR(1) parser generator for OCaml. It is mostly compatible
with the standard ocamlyacc and has the following enhancements:

- it accepts LR(1) grammars,
- it offers parameterized nonterminal symbols as well as a library of
  standard definitions,
- it explains conflicts in terms of the grammar,
- it allows grammar specifications to be split over multiple files and
  parametrized by OCaml modules,
- it produces reentrant parsers.

%package     -n ocaml-menhirlib
Summary:        Runtime library for parsers produced by Menhir
# The library is LGPL-2.0-only with a linking exception.
License:        LGPL-2.0-only WITH OCaml-LGPL-linking-exception

%description -n ocaml-menhirlib
This package contains the runtime library for parsers produced by Menhir.

%package     -n ocaml-menhirlib-devel
Summary:        Development files for ocaml-menhirlib
# The library is LGPL-2.0-only with a linking exception.
License:        LGPL-2.0-only WITH OCaml-LGPL-linking-exception
Requires:       ocaml-menhirlib%{?_isa} = %{version}-%{release}

%description -n ocaml-menhirlib-devel
This ocaml-menhirlib-devel package contains libraries and signature
files for building applications with a parser produced by Menhir.

%prep
%autosetup

%build
%dune_build

%install
%dune_install -s

# We do not install *.ml files by default, but this one is needed
cp -p _build/default/lib/pack/menhirLib.ml %{buildroot}%{ocamldir}/menhirLib

rm -rf %{buildroot}%{ocamldir}/coq-menhirlib/

%files
%doc doc/manual.html doc/manual.pdf doc/manual*.png
%license LICENSE
%{_bindir}/menhir
%{_mandir}/man1/menhir.1*
%{ocamldir}/menhir/
%{ocamldir}/menhirCST/
%{ocamldir}/menhirSdk/

%files -n ocaml-menhirlib -f .ofiles-menhirLib
%license LICENSE

%files -n ocaml-menhirlib-devel -f .ofiles-menhirLib-devel
%{ocamldir}/menhirLib/menhirLib.ml
