Summary:	A library to speed up freedesktop.org application menus
Name:		menu-cache
Version:	1.1.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Other
URL:		https://www.lxde.org
Source0:	https://github.com/lxde/%name/archive/refs/tags/%version.tar.gz
# mga#14636
Patch0:		%{name}-1.0.0-mga-use-menu-messages.patch

BuildRequires:	pkgconfig(gio-2.0) >= 2.15.2
BuildRequires:	pkgconfig(glib-2.0) >= 2.16.0
BuildRequires:	pkgconfig(libfm-extra)
BuildRequires:	intltool
BuildRequires:	gtk-doc

%description
Libmenu-cache is a library creating and utilizing caches to speed up
freedesktop.org application menus.
It can be used as a replacement of libgnome-menu of gnome-menus.

Advantages:
1. Faster loading of menus.
2. Ease of use. (API is very similar to that of libgnome-menu)
3. Lightweight runtime library. (Parsing of the menu definition files
   are done by menu-cache-gen when the menus are really changed.)
4. Less unnecessary and complicated file monitoring.
5. Greatly reduced disk I/O.

%files
%{_libexecdir}/menu-cache*

#----------------------------------------------------------------------

%define major 3
%define libname %mklibname %{name} %{major}
%package -n %{libname}
Group:		Graphical desktop/Other
Requires:	%{name} >= %{version}
Summary:	Contains shared libraries for %{name}

%description -n %{libname}
This package contains shared libraries for %{name}.

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

#----------------------------------------------------------------------

%define develname %mklibname -d %{name}
%package -n %{develname}
Group:		Graphical desktop/Other
Requires:	%{libname} = %{version}
Summary:	Contains development files for %{name}
Provides:	%{name}-devel = %{version}
Provides:	lib{%name}-devel = %{version}

%description -n %{develname}
This package contains development files for %{name}.

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/%{name}
%{_libdir}/pkgconfig/*.pc

#----------------------------------------------------------------------
%prep
%autosetup -p1

%build
./autogen.sh
%configure --disable-static
%make_build

%install
%make_install

# remove la files
find %{buildroot}%{_libdir} -name *.la -delete
