%global __requires_exclude typelib\\(LaunchpadIntegration\\)

Name:		menulibre
Epoch:		1
Version:	2.3.2
Release:	%mkrel 7
Summary:	Advanced menu editor
License:	GPLv3
Group:		Graphical desktop/Other
Url:		https://bluesabre.org/menulibre/
Source0:	https://github.com/bluesabre/menulibre/releases/download/menulibre-%{version}/menulibre-%{version}.tar.gz
Patch1:		menulibre-xdg_config_dirs.patch
Patch2:		menulibre-mga-dirs.patch
BuildArch:	noarch
BuildRequires:	intltool
BuildRequires:	locales
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	python3
BuildRequires:	python3-distutils-extra
BuildRequires:	python3-psutil
Requires:	python3-gobject
Requires:	python3-psutil

%description
An advanced menu editor that provides modern features in a clean, easy-to-use
interface.

%prep
%autosetup -p1

%build
#nothing

%install
LC_ALL=C.UTF-8 %{__python3} setup.py install \
	--root=%{buildroot}

# not needed
rm -rf %{buildroot}%{python3_sitelib}/__pycache__/
rm -rf %{buildroot}%{python3_sitelib}/uninstall.py

# fix .desktop file
desktop-file-edit \
	--remove-only-show-in=Pantheon \
	--remove-only-show-in=Budgie \
		%{buildroot}%{_datadir}/applications/menulibre.desktop

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS NEWS README.md
%{_bindir}/%{name}
%{_bindir}/%{name}-menu-validate
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_metainfodir}/menulibre.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.svg
%{_mandir}/man1/%{name}*
%{python3_sitelib}/%{name}{,_lib}/
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info
