### NOTE don't forget to update also tortoisehg to the same version

Summary:   A fast, lightweight distributed source control management system
Name:      mercurial
Version:   6.9.4
Release:   %mkrel 1
License:   GPLv2+
Group:     Development/Other
URL:       https://mercurial-scm.org/
Source0:   https://mercurial-scm.org/release/%{name}-%{version}.tar.gz

BuildRequires: xmlto-notex
BuildRequires: asciidoc
BuildRequires: pkgconfig(python3)
BuildRequires: python3dist(docutils)

Provides: hg = %{version}-%{release}

%description
Mercurial is a fast, lightweight source control management system
designed for efficient handling of very large distributed
projects.


%prep
%autosetup

%build
HGPYTHON3=1 %py3_build
PYTHON=%{python3} %make_build doc

%install
HGPYTHON3=1 %py3_install

make install-doc DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir}

install contrib/hg-ssh       $RPM_BUILD_ROOT%{_bindir}

bash_completion_dir=$RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
mkdir -p $bash_completion_dir
install -m 644 contrib/bash_completion $bash_completion_dir/mercurial.sh

zsh_completion_dir=$RPM_BUILD_ROOT%{_datadir}/zsh/site-functions
mkdir -p $zsh_completion_dir
install -m 644 contrib/zsh_completion $zsh_completion_dir/_mercurial

lisp_dir=$RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp
mkdir -p $lisp_dir
install -m 644 contrib/mercurial.el $lisp_dir
install -m 644 contrib/mq.el $lisp_dir
install -m 644 contrib/hgk %{buildroot}%{_bindir}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/mercurial/hgrc.d

%py3_shebang_fix %{buildroot}%{_bindir}/hg-ssh

%files
%doc CONTRIBUTORS doc/README doc/hg*.txt doc/hg*.html *.cgi contrib/*.fcgi
%license COPYING
%doc %attr(644,root,root) contrib/*.svg
%{_mandir}/man*/*
%dir %{_sysconfdir}/mercurial
%dir %{_sysconfdir}/mercurial/hgrc.d
%{_sysconfdir}/bash_completion.d/mercurial.sh
%{_datadir}/zsh/site-functions/_hg
%{_datadir}/zsh/site-functions/_mercurial
%{_datadir}/bash-completion/completions/hg
%{_datadir}/emacs/site-lisp/*.el
%{_bindir}/hg
%{_bindir}/hg-ssh
%{_bindir}/hgk
%{python3_sitearch}/mercurial
%{python3_sitearch}/mercurial*.egg-info
%{python3_sitearch}/hgdemandimport
%{python3_sitearch}/hgext
%{python3_sitearch}/hgext3rd
