%ifarch aarch64 x86_64
%bcond_without	webengine
%else
%bcond_with	webengine
%endif

Name:		merkaartor
Version:	0.20.0
Release:	%mkrel 3
Summary:	Openstreetmap mapping program
License:	GPLv2+
Group:		Sciences/Other
URL:		https://www.merkaartor.be/
Source0:	https://github.com/openstreetmap/merkaartor/archive/%{version}/%{name}-%{version}.tar.gz
# https://github.com/openstreetmap/merkaartor/pull/291
Patch0:		merkaartor-0.19.0-CMAKE_INSTALL_LIBDIR.patch
# https://github.com/openstreetmap/merkaartor/pull/292
Patch1:		merkaartor-0.20.0-system-qtsingleapplication.patch
BuildRequires:	cmake
BuildRequires:	qttools6
BuildRequires:	qttranslations6
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6NetworkAuth)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Xml)
%if %{with webengine}
BuildRequires:	cmake(Qt6WebEngineWidgets)
%endif
BuildRequires:	qtsingleapplication-qt6-devel
BuildRequires:	pkgconfig(gdal)
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(libgps) >= 3.23-1
BuildRequires:	pkgconfig(libproxy-1.0)
BuildRequires:	pkgconfig(proj)
BuildRequires:	pkgconfig(protobuf)
BuildRequires:	pkgconfig(sqlite3)

%description
Merkaartor is an openstreetmap (https://www.openstreetmap.org) mapping
program. Merkaartor focuses on providing a visually pleasing but
performant editing environment for free geographical data.

%prep
%autosetup -p1

%build
%cmake \
	-DZBAR=OFF \
	-DGEOIMAGE=ON \
	-DGPSD=ON \
	%{?with_webengine:-DWEBENGINE=ON} \
	-DUSE_SYSTEM_QTSINGLEAPPLICATION=ON \
	-DCMAKE_PREFIX_PATH=%{_libdir}/cmake/Qt6/
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-qt

%files -f %{name}.lang
%doc AUTHORS CHANGELOG HACKING.md README.md
%license LICENSE*
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.xml
%{_datadir}/applications/*.desktop
%{_metainfodir}/*.xml
%{_libdir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png
