#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           merkuro
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Calendar Application
License:        GPL-3.0-only
Group:          Graphical desktop/KDE
URL:            https://apps.kde.org/merkuro.calendar
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# FIXME missing 32bit support for akonadi-calendar
ExclusiveArch:  aarch64 x86_64

# Upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core) >= 6.7
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6QuickTest)
BuildRequires:  cmake(Qt6Location)

BuildRequires:  cmake(KF6CalendarCore)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6Contacts)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6ItemModels)
BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6QQC2DesktopStyle)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6Crash)

BuildRequires:  cmake(KF6KirigamiAddons)
BuildRequires:  cmake(KPim6Libkleo)
BuildRequires:  cmake(KF6Holidays)

BuildRequires:  cmake(Plasma)
BuildRequires:  pkgconfig(gpgme)
BuildRequires:  git-core

BuildRequires:  cmake(KPim6MessageComposer)
BuildRequires:  cmake(KPim6Akonadi)
BuildRequires:  cmake(KPim6AkonadiCalendar)
BuildRequires:  cmake(KPim6AkonadiContactCore)
BuildRequires:  cmake(KPim6AkonadiMime)
BuildRequires:  cmake(KPim6CalendarUtils)
BuildRequires:  cmake(KPim6IdentityManagementCore)
BuildRequires:  cmake(KPim6IdentityManagementQuick)
BuildRequires:  cmake(KPim6MailCommon)
BuildRequires:  cmake(KPim6MailTransport)
BuildRequires:  cmake(KPim6MimeTreeParserCore)
BuildRequires:  cmake(KPim6Mbox)
BuildRequires:  cmake(KPim6Mime)
BuildRequires:  cmake(KPim6Libkdepim)
BuildRequires:  cmake(KPim6PimCommonAkonadi)

Requires:       kalendarac
Requires:       akonadi-kde
Requires:       kdepim-addons
Requires:       kirigami
Requires:       kirigami-addons
Requires:       kitemmodels
Requires:       qt6-qtlocation

Provides:       kalendar = 1:%{version}
Obsoletes:      kalendar < 1:23.04.4

%description
Calendar application using Akonadi to sync with external
services (NextCloud, GMail, ...).

%files -f %{name}.lang
%license LICENSES/*
%{_kf6_categoriesdir}/akonadi.quick.categories
%{_kf6_categoriesdir}/merkuro.categories
%{_kf6_categoriesdir}/merkuro.contact.categories
%{_kf6_bindir}/merkuro-mail
%{_kf6_bindir}/merkuro-calendar
%{_kf6_bindir}/merkuro-contact
%{_kf6_applicationsdir}/org.kde.merkuro.desktop
%{_kf6_applicationsdir}/org.kde.merkuro.contact.desktop
%{_kf6_applicationsdir}/org.kde.merkuro.mail.desktop
%{_kf6_applicationsdir}/org.kde.merkuro.calendar.desktop
%{_kf6_iconsdir}/hicolor/*/apps/org.kde.merkuro.*.png
%{_kf6_qmldir}/org/kde/akonadi/
%dir %{_kf6_qmldir}/org/kde/merkuro/
%{_kf6_qmldir}/org/kde/merkuro/contact/
%{_kf6_qmldir}/org/kde/merkuro/components/
%{_kf6_metainfodir}/org.kde.merkuro.metainfo.xml
%{_kf6_metainfodir}/org.kde.merkuro.calendar.metainfo.xml
%{_kf6_metainfodir}/org.kde.merkuro.mail.metainfo.xml
%{_kf6_metainfodir}/org.kde.merkuro.contact.metainfo.xml
# plasmoid
%{_kf6_metainfodir}/org.kde.merkuro.contact.applet.appdata.xml
%{_kf6_datadir}/plasma/plasmoids/org.kde.merkuro.contact.applet/
%{_kf6_knotificationsdir}/merkuro.mail.notifyrc

#------------------------------------------------------------------------------

%define libmerkurocomponents_major 6
%define libmerkurocomponents %mklibname merkurocomponents %{libmerkurocomponents_major}

%package -n %libmerkurocomponents
Summary:        Runtime library for %name
Group:          System/Libraries

%description -n %libmerkurocomponents
Runtime library for %name.

%files -n %libmerkurocomponents
%_kf6_libdir/libMerkuroComponents.so.%{libmerkurocomponents_major}
%_kf6_libdir/libMerkuroComponents.so.%{version}

#-------------------------------------------------------------------------------

%define libmerkurocontact_major 6
%define libmerkurocontact %mklibname merkuro-contact %{libmerkurocontact_major}

%package -n %libmerkurocontact
Summary:        Runtime library for %name
Group:          System/Libraries

%description -n %libmerkurocontact
Runtime library for %name.

%files -n %libmerkurocontact
%_kf6_libdir/libmerkuro_contact.so.%{libmerkurocontact_major}
%_kf6_libdir/libmerkuro_contact.so.%{version}

#-------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-man --all-name

rm -rf %{buildroot}%{_kf6_libdir}/*.so
