#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Libs for messages
Name:           messagelib
Epoch:          2
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://kontact.kde.org
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:  aarch64 x86_64

## upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6UiTools)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6WebEngineWidgets)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Codecs)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Contacts)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6ItemViews)
BuildRequires:  cmake(KF6JobWidgets)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6Sonnet)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6SyntaxHighlighting)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6ColorScheme)
BuildRequires:  cmake(KF6TextTemplate)

BuildRequires:  cmake(KF6CalendarCore)
BuildRequires:  cmake(KPim6Akonadi)
BuildRequires:  cmake(KPim6AkonadiMime)
BuildRequires:  cmake(KPim6AkonadiContactWidgets)
BuildRequires:  cmake(KPim6GrantleeTheme)
BuildRequires:  cmake(KPim6Gravatar) >= 5.240
BuildRequires:  cmake(KPim6IdentityManagementWidgets)
BuildRequires:  cmake(KPim6Libkleo)
BuildRequires:  cmake(KPim6MailTransport)
BuildRequires:  cmake(KPim6Mbox)
BuildRequires:  cmake(KPim6Mime)
BuildRequires:  cmake(KPim6PimCommonAkonadi) >= 5.240
BuildRequires:  cmake(KPim6TextEdit)
BuildRequires:  cmake(KPim6Libkdepim)
BuildRequires:  cmake(KF6TextEditTextToSpeech)

BuildRequires:  cmake(KF6TextAutoCorrectionWidgets)
BuildRequires:  cmake(KF6TextUtils)
BuildRequires:  cmake(KF6TextCustomEditor)
BuildRequires:  cmake(KF6TextAddonsWidgets)
BuildRequires:  cmake(KPim6AkonadiSearch)

# Support for the GIT revision number in messagecomposer-version.h
BuildRequires:  git
BuildRequires:  cmake(Gpgmepp)
BuildRequires:  cmake(QGpgmeQt6)
BuildRequires:  cmake(Qca-qt6)

Requires:       ktexttemplate
Requires:       qca-qt6

%description
Libs for messages.

%files -f %name.lang
%_kf6_datadir/messageviewer
%_kf6_datadir/libmessageviewer
%_kf6_datadir/org.kde.syntax-highlighting/syntax/kmail-template.xml
%_kf6_categoriesdir/messagelib.categories
%_kf6_categoriesdir/messagelib.renamecategories
%_kf6_datadir/knsrcfiles/messageviewer_header_themes.knsrc
%_kf6_datadir/config.kcfg/customtemplates_kfg.kcfg
%_kf6_datadir/config.kcfg/templatesconfiguration_kfg.kcfg
%_kf6_knotificationsdir/messageviewer.notifyrc
%_kf6_datadir/messagelist
%_qt6_plugindir/pim6/messageviewer/kf6/ktexttemplate/messageviewer_ktexttemplate_extension.so
%_qt6_plugindir/pim6/messageviewer/headerstyle/messageviewer_defaultgrantleeheaderstyleplugin.so

#--------------------------------------------------------------------

%define kpimmessagecomposer_major 6
%define libkpimmessagecomposer %mklibname kpim6messagecomposer %{kpimmessagecomposer_major}

%package -n %libkpimmessagecomposer
Summary:        Libs for messages
Group:          System/Libraries

Requires:       %name >= %epoch:%version

%description -n %libkpimmessagecomposer
Libs for messages.

%files -n %libkpimmessagecomposer
%_kf6_libdir/libKPim6MessageComposer.so.%{kpimmessagecomposer_major}{,.*}

#--------------------------------------------------------------------

%define kpimmessagecore_major 6
%define libkpimmessagecore %mklibname kpim6messagecore %{kpimmessagecore_major}

%package -n %libkpimmessagecore
Summary:        Libs for messages
Group:          System/Libraries

Requires:       %name >= %epoch:%version

%description -n %libkpimmessagecore
Libs for messages.

%files -n %libkpimmessagecore
%_kf6_libdir/libKPim6MessageCore.so.%{kpimmessagecore_major}{,.*}

#--------------------------------------------------------------------

%define kpimmessagelist_major 6
%define libkpimmessagelist %mklibname kpim6messagelist %{kpimmessagelist_major}

%package -n %libkpimmessagelist
Summary:        Libs for messages
Group:          System/Libraries

Requires:       %name >= %epoch:%version

%description -n %libkpimmessagelist
Libs for messages.

%files -n %libkpimmessagelist
%_kf6_libdir/libKPim6MessageList.so.%{kpimmessagelist_major}{,.*}

#--------------------------------------------------------------------

%define kpimmessageviewer_major 6
%define libkpimmessageviewer %mklibname kpim6messageviewer %{kpimmessageviewer_major}

%package -n %libkpimmessageviewer
Summary:        Libs for messages
Group:          System/Libraries

Requires:       %name >= %epoch:%version

%description -n %libkpimmessageviewer
Libs for messages.

%files -n %libkpimmessageviewer
%_kf6_libdir/libKPim6MessageViewer.so.%{kpimmessageviewer_major}{,.*}

#--------------------------------------------------------------------

%define kpimtemplateparser_major 6
%define libkpimtemplateparser %mklibname kpim6templateparser %{kpimtemplateparser_major}

%package -n %libkpimtemplateparser
Summary:        Libs for messages
Group:          System/Libraries

Requires:       %name >= %epoch:%version

%description -n %libkpimtemplateparser
Libs for messages.

%files -n %libkpimtemplateparser
%_kf6_libdir/libKPim6TemplateParser.so.%{kpimtemplateparser_major}{,.*}

#--------------------------------------------------------------------

%define kpimmimetreeparser_major 6
%define libkpimmimetreeparser %mklibname kpim6mimetreeparser %{kpimmimetreeparser_major}

%package -n %libkpimmimetreeparser
Summary:        Libs for messages
Group:          System/Libraries

Requires:       %name >= %epoch:%version

%description -n %libkpimmimetreeparser
Libs for messages.

%files -n %libkpimmimetreeparser
%_kf6_libdir/libKPim6MimeTreeParser.so.%{kpimmimetreeparser_major}{,.*}

#--------------------------------------------------------------------

%define kpimwebengineviewer_major 6
%define libkpimwebengineviewer %mklibname kpim6webengineviewer %{kpimwebengineviewer_major}

%package -n %libkpimwebengineviewer
Summary:        Libs for messages
Group:          System/Libraries

Requires:       %name >= %epoch:%version

%description -n %libkpimwebengineviewer
Libs for messages.

%files -n %libkpimwebengineviewer
%_kf6_libdir/libKPim6WebEngineViewer.so.%{kpimwebengineviewer_major}{,.*}

#--------------------------------------------------------------------

%define messagelib_devel %mklibname kpim6messagelib -d

%package -n %messagelib_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkpimmessagecomposer = %epoch:%version-%release
Requires:       %libkpimmessagecore = %epoch:%version-%release
Requires:       %libkpimmessagelist = %epoch:%version-%release
Requires:       %libkpimmessageviewer = %epoch:%version-%release
Requires:       %libkpimtemplateparser = %epoch:%version-%release
Requires:       %libkpimmimetreeparser = %epoch:%version-%release
Requires:       %libkpimwebengineviewer = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %messagelib_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %messagelib_devel
%_includedir/KPim6/MessageViewer/
%_includedir/KPim6/MessageComposer/
%_includedir/KPim6/MessageCore/
%_includedir/KPim6/MessageList/
%_includedir/KPim6/MimeTreeParser/
%_includedir/KPim6/TemplateParser/
%_includedir/KPim6/WebEngineViewer/
%_kf6_libdir/*.so
%_kf6_libdir/cmake/KPim6MessageViewer/
%_kf6_libdir/cmake/KPim6TemplateParser/
%_kf6_libdir/cmake/KPim6MessageComposer/
%_kf6_libdir/cmake/KPim6MessageCore/
%_kf6_libdir/cmake/KPim6MessageList/
%_kf6_libdir/cmake/KPim6MimeTreeParser/
%_kf6_libdir/cmake/KPim6WebEngineViewer/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name

