%define lib_major  3
%define libname    %mklibname %{name} %{lib_major}
%define libnamedev %mklibname %{name} -d

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:    Metacity window manager
Name:       metacity
Version:    3.54.0
Release:    %mkrel 1
License:    GPLv2+
Group:      Graphical desktop/GNOME
URL:        https://wiki.gnome.org/Metacity
Source0:    https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(pangoxft)
BuildRequires: pkgconfig(gsettings-desktop-schemas)
BuildRequires: pkgconfig(libcanberra-gtk3)
BuildRequires: pkgconfig(libgtop-2.0)
BuildRequires: pkgconfig(libstartup-notification-1.0)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xcomposite)
BuildRequires: pkgconfig(xfixes)
BuildRequires: pkgconfig(xrandr)
BuildRequires: pkgconfig(xrender)
BuildRequires: pkgconfig(xres)
BuildRequires: pkgconfig(xcursor)
BuildRequires: pkgconfig(xdamage)
BuildRequires: pkgconfig(xpresent)
BuildRequires: gettext
BuildRequires: itstool
BuildRequires: yelp-tools
BuildRequires: zenity

Requires:   zenity
Requires:   %{name}-schemas

Conflicts:  %{name}-schemas < 3.37.1-1

%description
Metacity is a window manager for the GNOME Desktop.

%package -n %{name}-schemas
Summary:        Gsettings schemas for %{name}
Group:          Graphical desktop/GNOME

%description -n %{name}-schemas
Gsettings schemas for %{name}.

%package -n %{libname}
Summary:        Libraries for Metacity
Group:          System/Libraries
Obsoletes:      %{_lib}metacity-private1 < 3.26.0

%description -n %{libname}
This package contains libraries used by Metacity.

%package -n %{libnamedev}
Summary:        Libraries and include files with Metacity
Group:          Development/GNOME and GTK+
Requires:       %{name} = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Obsoletes:      %{_lib}metacity-private-devel < 3.26.0

%description -n %{libnamedev}
This package provides the necessary development libraries and include
files to allow you to develop with Metacity.


%prep
%autosetup

%build
%configure --disable-static \
           --disable-schemas-compile
%make_build

%install
%make_install

%find_lang %{name} --with-gnome --all-name

find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%doc README NEWS HACKING
%license COPYING
%{_bindir}/*
%{_datadir}/gnome-control-center/keybindings/50-metacity*.xml
%{_datadir}/applications/metacity.desktop
%{_mandir}/man1/*

%files -n %{name}-schemas
%{_datadir}/glib-2.0/schemas/org.gnome.metacity.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.metacity.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.metacity.keybindings.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.metacity.theme.gschema.xml

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{lib_major}{,.*}

%files -n %{libnamedev}
%doc ChangeLog
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/lib%{name}.pc
