Name:		mftrace
Epoch:		2
Version:	1.2.20
Release:	%mkrel 3
Summary:	Generates scalable fonts for TeX
Group:		Publishing
License:	GPLv2
URL:		https://lilypond.org/mftrace/
Source0:	https://lilypond.org/downloads/sources/mftrace/mftrace-%{version}.tar.gz
Patch0:		mftrace-1.2.20-man.patch

BuildRequires:	potrace
BuildRequires:	python3-devel

Requires:	fontforge
Requires:	potrace
Requires:	python3
Requires:	t1utils
Requires:	tetex

%description
mftrace is a small Python program that lets you trace a TeX bitmap
font into a PFA or PFB font (A PostScript Type1 Scalable Font) or TTF
(TrueType) font. It is licensed under the GNU GPL.

Scalable fonts offer many advantages over bitmaps, as they allow
documents to render correctly at many printer resolutions. Moreover,
Ghostscript can generate much better PDF, if given scalable PostScript
fonts.

%prep
%autosetup -p1

sed -i -e "s|-Wall -O2|%{optflags}|" GNUmakefile.in

%build
export PYTHON=%{__python3}
%configure
%make_build

%install
%make_install

%files
%{_bindir}/%{name}
%{_bindir}/gf2pbm
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}/
