Name:           mgaonline
Version:        3.33
Release:        %mkrel 2
Summary:        %{_vendor} Online Update Tool
Group:          System/Configuration
License:        GPLv2+
URL:            https://www.mageia.org
# The sources are maintained in the git repository here:
# https://gitweb.mageia.org/software/mgaonline/
Source0:        https://gitweb.mageia.org/software/mgaonline/snapshot/%{name}-%{version}.tar.xz
#
Patch0:		mgaonline-3.31-no-ionice-background.patch
Patch1:		mgaonline-use-red-updates-icon.patch

# for LWP::UserAgent:
Requires:       perl-libwww-perl
Requires:       drakxtools-curses >= 16.0
# for gurpmi.addmedia & update API:
Requires:       rpmdrake
# For adding restricted media:
Requires:       perl-Crypt-SSLeay
# for good gurpmi:
Requires:       urpmi >= 7.5
Requires:       gurpmi
Requires:       libdrakx-net >= 2.6
# For the systray applet
Requires:       typelib(StatusNotifier) >= 1.0
Requires:       typelib(Rsvg)

BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  perl_checker

BuildArch:      noarch

# No file conflicts, just for upgrade:
Obsoletes:      mdkonline < %{version}-%{release}
Provides:       mdkonline = %{version}-%{release}

%description
The %{_vendor} Online Update tool allows users to be kept informed about
security updates, hardware support/enhancements and other high value services.
The package include :
* Update daemon which allows you to install security updates
  automatically,
* A desktop-agnostic systray applet for security updates notification
  and installation.


%prep
%autosetup -p1

%build
perl -pi -e 's!my \$ver = 1;!my \$ver = '"'%{version}-%{release}'"';!' mgaapplet

%install
%make_install

# compat symlink for moved icon
ln -sf %{_iconsdir}/hicolor/32x32/apps/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png

#symbolic link to drakonline and older path
mkdir -p %{buildroot}%{_prefix}/X11R6/bin/

mkdir -p %{buildroot}%{_sysconfdir}/cron.daily/
touch %{buildroot}%{_sysconfdir}/cron.daily/mgaupdate

#if %mdkversion < 201100
mkdir -p %{buildroot}%{_sysconfdir}/X11/xinit.d
cat > %{buildroot}%{_sysconfdir}/X11/xinit.d/mgaapplet <<EOF
#!/bin/sh
DESKTOP=\$1
case \$DESKTOP in
   IceWM|Fluxbox) exec /usr/bin/mgaapplet;;
esac
EOF

chmod +x %{buildroot}%{_sysconfdir}/X11/xinit.d/mgaapplet
#endif

# install lang
%find_lang %{name}

mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
cat > %{buildroot}%{_sysconfdir}/xdg/autostart/%{_real_vendor}-%{name}.desktop <<EOF
[Desktop Entry]
Name=%{_vendor} Online Applet
Comment=Applet for %{_vendor} Online
Exec=%{_bindir}/mgaapplet
Icon=mgaonline
Type=Application
StartupNotify=true
Categories=Settings;Network;
X-KDE-autostart-after=kdesktop
EOF

%files -f %{name}.lang
%doc COPYING
%{_bindir}/mgaapplet
%{_bindir}/mgaapplet-config
%{_bindir}/mgaapplet-update-checker
%{_bindir}/mgaapplet-upgrade-helper
%{_bindir}/mgaupdate
%{_bindir}/urpmi.update
%{_libexecdir}/mgaapplet-config
%{_libexecdir}/mgaapplet-upgrade-helper
%{_libexecdir}/mgaupdate
%{_datadir}/polkit-1/actions/*.policy
%dir %{_prefix}/lib/libDrakX/drakfirsttime
%{_prefix}/lib/libDrakX/drakfirsttime/*.pm
%{_sysconfdir}/xdg/autostart/%{_real_vendor}-%{name}.desktop
%{_iconsdir}/%{name}.png
%{_iconsdir}/hicolor/*/actions/%{name}-*.*
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/mime/packages/mgaonline.xml
%{_datadir}/mimelnk/application/x-mga-exec.desktop
%{_sysconfdir}/X11/xinit.d/mgaapplet
%ghost %config(noreplace) %{_sysconfdir}/cron.daily/mgaupdate
%config(noreplace) %{_sysconfdir}/sysconfig/mgaapplet
