%define Uname	MgaRepo

Name:		mgarepo
# ONLY OFFICIAL SOURCE IS Mageia gitweb
Version:	1.14.6
Release:	%mkrel 3
Summary:	Tools for Mageia repository access and management
Group:		Development/Other
License:	GPLv2+
URL:		https://wiki.mageia.org/en/Mgarepo
# tarball needs to be created manually if new version has not been tagged yet
# git clone git://git.mageia.org/software/build-system/mgarepo; cd mgarepo && make dist
Source0:	https://gitweb.mageia.org/software/build-system/mgarepo/snapshot/%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)

Requires:	openssh-clients
Requires:	python3dist(httplib2)
Requires:	python3dist(tqdm)
Requires:	python3dist(rpm)
Requires:	rpm-build
Requires:	rpm-mageia-setup-build
Requires:	subversion
Requires:	wget

Conflicts:	%{name}-ldap < 1.14.5-2

%description
Tools for Mageia repository access and management.

It is a fork of repsys :
<http://archive.openmandriva.org/wiki/en/index.php?title=Repsys>

%package	ldap
Summary:	Mgarepo plug-in to retrieve maintainer information from LDAP
Group:		Development/Other
Requires:	%{name} = %{version}
Requires:	python3dist(ldap3)

%description	ldap
A mgarepo plugin that allows retrieving maintainer information shown in
changelogs from a LDAP server.

See %{name} --help-plugin ldapusers for more information.

%prep
%setup -q
%autopatch -p1

%build
%pyproject_wheel

%install
%pyproject_install

mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_datadir}/%{name}/
mkdir -p %{buildroot}%{_bindir}/
install -m 0755 create-srpm %{buildroot}%{_datadir}/%{name}/create-srpm
install -m 0755 %{name}-ssh %{buildroot}%{_bindir}/%{name}-ssh
install -m 0644 %{name}.conf %{buildroot}%{_sysconfdir}
rm -f %{buildroot}%{python3_sitelib}/%{_datadir}/%{name}/create-srpm
rm -f %{buildroot}%{python3_sitelib}/%{_sysconfdir}/%{name}.conf

%files
%doc CHANGES %{name}-example.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_bindir}/%{name}-ssh
%{_datadir}/%{name}
%{_mandir}/*/*
%{python3_sitelib}/%{Uname}
%exclude %{python3_sitelib}/%{Uname}/plugins/ldapusers.py*
%exclude %{python3_sitelib}/%{Uname}/plugins/__pycache__/ldapusers*
%{python3_sitelib}/*.dist-info
%{_datadir}/bash-completion/completions/%{name}

%files ldap
%doc README.LDAP
%dir %{python3_sitelib}/%{Uname}/plugins/__pycache__/
%pycached %{python3_sitelib}/%{Uname}/plugins/ldapusers.py
