%define major     2
%define libname   %mklibname mhash %{major}
%define develname %mklibname mhash -d

Summary:        Thread-safe hash library
Name:           mhash
Version:        0.9.9.9
Release:        %mkrel 18
Group:          System/Libraries
License:        LGPLv2+
URL:            https://mhash.sourceforge.net/
Source0:        https://prdownloads.sourceforge.net/mhash/%{name}-%{version}.tar.gz
Source1:        %{name}.pc

Patch2:         mhash-0.9.9.9-align.patch
Patch3:         mhash-0.9.9.9-force64bit-tiger.patch
# Taken from Gentoo: 
# http://mirror.its.uidaho.edu/pub/gentoo-portage/app-crypt/mhash/files/mhash-0.9.9-fix-snefru-segfault.patch
Patch4:         mhash-0.9.9.9-fix-snefru-segfault.patch
# Taken from Gentoo:
# http://mirror.its.uidaho.edu/pub/gentoo-portage/app-crypt/mhash/files/mhash-0.9.9-fix-mem-leak.patch
Patch5:         mhash-0.9.9.9-fix-mem-leak.patch
# Taken from Gentoo:
# http://mirror.its.uidaho.edu/pub/gentoo-portage/app-crypt/mhash/files/mhash-0.9.9-fix-whirlpool-segfault.patch
Patch6:         mhash-0.9.9.9-fix-whirlpool-segfault.patch
# Taken from Gentoo:
# http://mirror.its.uidaho.edu/pub/gentoo-portage/app-crypt/mhash/files/mhash-0.9.9-autotools-namespace-stomping.patch
Patch7:         mhash-0.9.9.9-autotools-namespace-stomping.patch
# Taken from openpkg:
# https://www.mail-archive.com/openpkg-cvs@openpkg.org/msg26353.html
Patch8:         mhash-0.9.9.9-maxint.patch
# Taken from Jitesh Shah
# http://ftp.uk.linux.org/pub/armlinux/fedora/diffs-f11/mhash/0001-Alignment-fixes.patch
Patch9:         mhash-0.9.9.9-alignment.patch
# Fix keygen_test
Patch10:        mhash-0.9.9.9-keygen_test_fix.patch
# Fix hmac_test
Patch11:        mhash-0.9.9.9-mga-hmac_test.patch
# Taken from Gentoo:
# https://gitweb.gentoo.org/repo/gentoo.git/tree/app-crypt/mhash/files/mhash-0.9.9.9-cast-temp-64bit.patch
Patch12:        mhash-0.9.9.9-cast-temp-64bit.patch 

%description
Mhash is a thread-safe hash library, implemented in C, and provides a uniform
interface to a large number of hash algorithms (MD5, SHA-1, HAVAL, RIPEMD128,
RIPEMD160, TIGER, GOST). These algorithms can be used to compute checksums,
message digests, and other signatures. The HMAC support implements the basics
for message authentication,  following RFC 2104.

%package -n     %{libname}
Summary:        Thread-safe hash library
Group:          System/Libraries

%description -n %{libname}
Mhash is a thread-safe hash library, implemented in C, and provides a uniform
interface to a large number of hash algorithms (MD5, SHA-1, HAVAL, RIPEMD128,
RIPEMD160, TIGER, GOST). These algorithms can be used to compute checksums,
message digests, and other signatures. The HMAC support implements the basics
for message authentication,  following RFC 2104.

%package -n     %{develname}
Summary:        Header files and libraries for developing apps which will use mhash
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Mhash is a thread-safe hash library, implemented in C, and provides a uniform
interface to a large number of hash algorithms (MD5, SHA-1, HAVAL, RIPEMD128,
RIPEMD160, TIGER, GOST). These algorithms can be used to compute checksums,
message digests, and other signatures. The HMAC support implements the basics
for message authentication,  following RFC 2104.

The mhash-devel package contains the header files and libraries needed to
develop programs that use the mhash library.

Install the mhash-devel package if you want to develop applications that will
use the mhash library.

%prep
%autosetup -p1

%build
autoreconf -fis

%configure \
    --disable-static \
    --enable-shared

# If this exits, the multiarch patch needs an update.
grep 'define SIZEOF_' include/mutils/mhash_config.h && exit 1

%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

# install _all_ headers
install -m0644 include/*.h %{buildroot}%{_includedir}/
install -m0644 include/mutils/*.h %{buildroot}%{_includedir}/mutils/

# Eliminate some autoheader definitions which should not enter a public API.
# There are more which wait for a fix upstream.
sed -i 's!\(#define \(PACKAGE\|VERSION \).*\)!/* \1 */!g' ${RPM_BUILD_ROOT}%{_includedir}/mutils/mhash_config.h

mkdir %{buildroot}%{_libdir}/pkgconfig
install -m0644 %{SOURCE1} %{buildroot}%{_libdir}/pkgconfig
sed -i -e 's!\(prefix=\)!\1%{_bindir}!' -e 's!\(libdir=\)!\1%{_libdir}!' -e 's!\(includedir=\)!\1%{_includedir}!' -e 's!\(Version: \)!\1%{version}!' %{buildroot}%{_libdir}/pkgconfig/%{name}.pc

%check
%__make check

%files -n %{libname}
%license COPYING
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS ChangeLog NEWS README TODO doc/*.c doc/skid2* 
%{_includedir}/*.h
%dir %{_includedir}/mutils
%{_includedir}/mutils/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/*
