%define upstream_version 2.1-14
%global debug_package %{nil}

Summary:   Intel / AMD CPU Microcode Utility
Name:      microcode_ctl
Version:   2.1
Release:   %mkrel 11
Group:     System/Kernel and hardware
License:   GPLv2
Url:       https://pagure.io/microcode_ctl
Source0:   https://releases.pagure.org/microcode_ctl/%{name}-%{upstream_version}.tar.xz
# Intel firmware downloader (Debian)
Source2:   update-intel-microcode
Source3:   update-intel-microcode.8
# AMDl firmware downloader
Source4:   update-amd-microcode
Source5:   update-amd-microcode.8
# needed by firmware downloaders
Recommends:  curl
# we have microcode packaged
Recommends:  microcode
Requires(post): rpm-helper
Requires(preun): rpm-helper
ExclusiveArch: %ix86 x86_64

%description
Since PentiumPro, Intel CPU are made of a RISC chip and of a microcode whose
purpose is to decompose "old" ia32 instruction into new RISC ones.
P6 family is concerned: PPro, PII, Celeron, PIII, Celeron2, Core 2, ...
Recent kernels have the ability to update this microcode.

The microcode update is volatile and needs to be uploaded on each system
boot, i.e. it doesn't reflash your cpu permanently.
Reboot and it reverts back to the old microcode.

This package also support updating latest AMD CPU microcode.

%prep
%setup -q -n %{name}-%{upstream_version}

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p %{buildroot}%{_mandir}/man8
mkdir -p %{buildroot}%{_sbindir}
%make_install INSDIR=%{_sbindir} PREFIX=/usr
# do not ship non-free firmware in this package
rm -rf %buildroot/lib/firmware
# install intel firmware downloader 
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_sbindir}
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_mandir}/man8
# install AMD firmware downloader 
install -m 755 %{SOURCE4} $RPM_BUILD_ROOT%{_sbindir}
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_mandir}/man8
#
mkdir -p $RPM_BUILD_ROOT/lib/firmware/amd-ucode 
mkdir -p $RPM_BUILD_ROOT/lib/firmware/intel-microcode

%files
%doc README
%_sbindir/*
%_mandir/man8/*
/lib/firmware/amd-ucode
/lib/firmware/intel-microcode

%preun
%_preun_service %{name}
