Name:		million
Version:	1.0.2
Release:	%mkrel 6
Summary:	Game "Who want to be a millionaire" (Russian version)
Group:		Games/Puzzles
License:	GPLv3
URL:		http://dansoft.krasnokamensk.ru/more.html?id=1012
# http://dansoft.krasnokamensk.ru/data/1012/million_source.tar.gz
Source0:	%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	imagemagick
Requires:	qtbase5-database-plugin-sqlite

%description
Who want to be a millionaire? To game after watching TV show?
This is Russian version of the game. Other languages are not supported.

%prep
%setup -q

%build
%qmake_qt5 DEFINES=_ONLYRUSSIAN
%make_build CFLAGS="%{optflags}"

%install
# install binary
%__mkdir_p %{buildroot}%{_bindir}
cp Bin/%{name} %{buildroot}%{_bindir}/

# install game data
%__mkdir_p %{buildroot}%{_datadir}/%{name}
cp Bin/%{name}.db %{buildroot}%{_datadir}/%{name}/
cp -r Bin/sounds %{buildroot}%{_datadir}/%{name}/

# create and install icons
for N in 16 32 48 64 128; do convert images/logo.png -scale ${N}x${N}! ${N}.png; done
%__install -D 16.png -m 644 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%__install -D 32.png -m 644 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%__install -D 48.png -m 644 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%__install -D 64.png -m 644 %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
%__install -D 128.png -m 644 %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png

# XDG menu entry
%__mkdir_p %{buildroot}%{_datadir}/applications
%__install -m 644 %{name}.desktop %{buildroot}%{_datadir}/applications/

%files
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
