%define major   2
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           mimalloc
Version:        2.1.7
Release:        %mkrel 1
Summary:        A general purpose allocator with excellent performance
Group:          System/Libraries
License:        MIT
URL:            https://github.com/microsoft/mimalloc
Source0:        https://github.com/microsoft/mimalloc/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++

%description
mimalloc (pronounced "me-malloc") is a general purpose allocator with excellent
performance characteristics. Initially developed by Daan Leijen for the run-time
systems of the Koka and Lean languages.

mimalloc is a drop-in replacement for malloc and can be used in other programs
without code changes, for example, on dynamically linked ELF-based systems
(Linux, BSD, etc.) you can use it as:

LD_PRELOAD=%{_libdir}/libmimalloc.so  myprogram

%package -n %{libname}
Summary:        A general purpose allocator with excellent performance
Group:          System/Libraries

%description -n %{libname}
mimalloc (pronounced "me-malloc") is a general purpose allocator with excellent
performance characteristics. Initially developed by Daan Leijen for the run-time
systems of the Koka and Lean languages.

mimalloc is a drop-in replacement for malloc and can be used in other programs
without code changes, for example, on dynamically linked ELF-based systems
(Linux, BSD, etc.) you can use it as:

LD_PRELOAD=%{_libdir}/libmimalloc.so  myprogram

%package -n %{devname}
Summary:        Development headers and library for %name
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development headers and library for mimalloc.

%prep
%autosetup -p1
# Remove unneded binary from sources
rm -rf bin

%build
%cmake \
    -DMI_BUILD_OBJECT=OFF \
    -DMI_BUILD_STATIC=OFF \
    -DMI_BUILD_TESTS=OFF \
    -DMI_INSTALL_TOPLEVEL=ON \
    -DMI_OVERRIDE=OFF
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license LICENSE
%doc readme.md
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}/
%{_includedir}/%{name}*.h
