#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Parser for MIME trees
Name:           mimetreeparser
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://kontact.kde.org
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

## upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6UiTools)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6PrintSupport)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Codecs)
BuildRequires:  cmake(KF6CalendarCore)
BuildRequires:  cmake(KF6WidgetsAddons)

BuildRequires:  cmake(KPim6Mime)
BuildRequires:  cmake(KPim6Mbox)
BuildRequires:  cmake(KPim6Libkleo)

# Support for the GIT revision number in mimetreeparserng_version.h
BuildRequires:  git
BuildRequires:  cmake(Gpgmepp)


%description
Parser for MIME trees.

%files -f %{name}.lang
%_kf6_categoriesdir/mimetreeparser.categories
%_kf6_qmldir/org/kde/pim/mimetreeparser/

#--------------------------------------------------------------------

%define kpimmimetreeparsercore_major 6
%define libkpimmimetreeparsercore %mklibname kpim6mimetreeparsercore %{kpimmimetreeparsercore_major}

%package -n %libkpimmimetreeparsercore
Summary:        Parser for MIME trees
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkpimmimetreeparsercore
Parser for MIME trees.

%files -n %libkpimmimetreeparsercore
%_kf6_libdir/libKPim6MimeTreeParserCore.so.%{kpimmimetreeparsercore_major}{,.*}

#--------------------------------------------------------------------

%define kpimmimetreeparserwidgets_major 6
%define libkpimmimetreeparserwidgets %mklibname kpim6mimetreeparserwidgets %{kpimmimetreeparserwidgets_major}

%package -n %libkpimmimetreeparserwidgets
Summary:        Parser for MIME trees
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkpimmimetreeparserwidgets
Parser for MIME trees.

%files -n %libkpimmimetreeparserwidgets
%_kf6_libdir/libKPim6MimeTreeParserWidgets.so.%{kpimmimetreeparserwidgets_major}{,.*}

#--------------------------------------------------------------------

%define mimetreeparser_devel %mklibname kpim6mimetreeparser -d

%package -n %mimetreeparser_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkpimmimetreeparsercore = %version-%release
Requires:       %libkpimmimetreeparserwidgets = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %mimetreeparser_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %mimetreeparser_devel
%_includedir/KPim6/MimeTreeParserCore/
%_includedir/KPim6/MimeTreeParserWidgets/
%_kf6_libdir/*.so
%_kf6_libdir/cmake/KPim6MimeTreeParserCore/
%_kf6_libdir/cmake/KPim6MimeTreeParserWidgets/
%_kf6_mkspecsdir/qt_MimeTreeParserCore.pri
%_kf6_mkspecsdir/qt_MimeTreeParserWidgets.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name
