# Avoids to generate debug packages
%global debug_package %{nil}

Summary:	Busybox version suited for Mindi
Name:		mindi-busybox
Version:	1.25.1
Release:	%mkrel 2
License:	GPLv2
Group:		Archiving/Backup
Url:		http://www.mondorescue.org
Source0:	ftp://ftp.mondorescue.org/src/%{name}-%{version}.tar.gz
Patch0:		mindi-busybox-1.25.1-git-stime.patch
ExcludeArch:	ppc

%description
This package provides a busybox version suited for Mindi.

%prep
%setup -q
%autopatch -p1

%build
%set_build_flags
make oldconfig V=1
make busybox SKIP_STRIP=y V=1

%install
export DESTDIR=${RPM_BUILD_ROOT}%{_libdir}/mindi/rootfs
make -j"$RPM_BUILD_NCPUS" CONFIG_PREFIX=$DESTDIR install SKIP_STRIP=y V=1
./mondo-install.sh
# The brp-strip step that runs next fails if run in parallel because it tries
# to strip the same binary simultaneously because of hard links.
RPM_BUILD_NCPUS=1

%check
cd testsuite
SKIP_KNOWN_BUGS=1 ./runtest

%files
%doc ChangeLog LICENSE AUTHORS README TODO NEWS
%{_libdir}/mindi/rootfs
