#
# $Id$
#
# Avoids to generate debug packages
%global debug_package %{nil}

Summary:	Mindi creates emergency boot disks/CDs using your kernel, tools and modules
Name:		mindi
Version:	3.0.2
Release:	%mkrel 3
License:	GPL
Group:		Archiving/Backup
Url:		http://www.mondorescue.org
Source:		ftp://ftp.mondorescue.org/src/%{name}-%{version}.tar.gz
# Not yet possible as busybox is a binary that should go alongside
# BuildArch:	noarch
Requires:	bash
Requires:	bzip2 >= 0.9
Requires:	mkisofs
Requires:	ncurses
Requires:	binutils
Requires:	gawk
Requires:	dosfstools
Requires:	mindi-busybox >= 1.21.1
Requires:	parted
Requires:	perl-MondoRescue
Requires:	mtools
Requires:	syslinux
Requires:	perl-Module-ScanDeps
Requires:	perl-IO-Interface
ExclusiveArch:	x86_64 i586
 
# Not on all systems
#Conflicts:	bonnie++

%description
Mindi takes your kernel, modules, tools and libraries, and puts them on N
bootable disks (or 1 bootable CD image). You may then boot from the disks/CD
and do system maintenance - e.g. format partitions, backup/restore data,
verify packages, etc.

It is part of the MondoRescue suite for which it creates boot media.
Homepage: http://www.mondorescue.org

%prep
%setup -q

%build

%install
export DONT_RELINK=1

export HEAD=${RPM_BUILD_ROOT}
export PREFIX=%{_exec_prefix}
export CONFDIR=%{_sysconfdir}
export MANDIR=%{_mandir}
export SBINDIR=%{_sbindir}
#export DOCDIR=%%{_docdir}
export LIBDIR=%{_libdir}
export CACHEDIR=%{_var}/cache/%{name}
export PKGBUILDMINDI="true"

./install.sh

%files
%config(noreplace) %{_sysconfdir}/%{name}
%doc ChangeLog COPYING README TODO README.* NEWS 
#svn.log
%{_mandir}/man8/*
%{_libdir}/%{name}/
%{_sbindir}/*
%{_var}/cache/%{name}
