%define game_version 5.8.0

Name:		minetest
Version:	5.11.0
Release:	%mkrel 1
Summary:	Open source voxel game engine and InfiniMiner/Minecraft-inspired game
Group:		Games/Simulation
License:	LGPLv2+ and CC-BY-SA 3.0
URL:		https://luanti.org
Source0:	https://github.com/luanti-org/luanti/archive/%{version}/%{name}-%{version}.tar.gz
Source1:	https://github.com/luanti-org/minetest_game/archive/%{game_version}/%{name}_game-%{game_version}.tar.gz

BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	gmp-devel
BuildRequires:	spatialindex-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(jsoncpp)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(hiredis)
BuildRequires:	pkgconfig(leveldb)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libzstd)
BuildRequires:	pkgconfig(luajit)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(vorbisfile)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(zlib)

# Extra deps for irrlichtMT:
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xxf86vm)

%description
Minetest in an open source voxel game engine. You can play one of the many
games designed by its community, mod a game to your liking, make your own
game, or play on a multiplayer server.

The base package comes with the default Minetest game and some pre-installed
mods, which should provide a gaming experience similar to Minecraft.

%prep
%autosetup -p1 -n luanti-%{version} -a 1

# purge bundled jsoncpp and lua, and gmp
rm -rf lib/jsoncpp lib/lua lib/gmp

%build
%cmake \
	-DBUILD_SHARED_LIBS:BOOL=OFF \
	-DCUSTOM_BINDIR:STRING=%{_gamesbindir} \
	-DCUSTOM_LOCALEDIR:STRING=%{_datadir}/locale \
	-DCUSTOM_SHAREDIR:STRING=%{_gamesdatadir}/luanti \
	-DENABLE_CURL:BOOL=ON \
	-DENABLE_FREETYPE:BOOL=ON \
	-DENABLE_GETTEXT:BOOL=ON \
	-DENABLE_LEVELDB:BOOL=ON \
	-DENABLE_REDIS:BOOL=ON \
	-DENABLE_SOUND:BOOL=ON \
	-DENABLE_SPATIAL:BOOL=ON \
	-DENABLE_SYSTEM_GMP:BOOL=ON \
	-DENABLE_SYSTEM_JSONCPP:BOOL=ON
%cmake_build

%install
%cmake_install

install -d %{buildroot}%{_gamesdatadir}/luanti/games/%{name}_game
cp -r %{name}_game-%{game_version}/* %{buildroot}%{_gamesdatadir}/luanti/games/%{name}_game

rm -rf %{buildroot}%{_gamesdatadir}/luanti/client/serverlist/.gitignore

%find_lang luanti

%files -f luanti.lang
%doc doc/*.{txt,md} doc/*.png README.md minetest.conf.example
%doc %{_docdir}/luanti/
%license LICENSE.txt
%{_gamesbindir}/%{name}
%{_gamesbindir}/luanti
%{_gamesdatadir}/luanti/
%{_datadir}/applications/net.minetest.%{name}.desktop
%{_metainfodir}/net.minetest.%{name}.metainfo.xml
%{_iconsdir}/hicolor/*/apps/luanti.*
%{_mandir}/man6/luanti.6*
%{_mandir}/man6/luantiserver.6*
