Name:           minetestmapper
Version:        20250408
Release:        %mkrel 1
Summary:        Generates a overview image of a minetest map
Group:          Games/Simulation
License:        BSD
URL:            https://github.com/minetest/minetestmapper
Source0:        https://github.com/minetest/minetestmapper/archive/%{version}/minetestmapper-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(gdlib)
BuildRequires:  pkgconfig(leveldb)
BuildRequires:  pkgconfig(hiredis)
BuildRequires:  pkgconfig(libpq) >= 15
BuildRequires:  pkgconfig(libzstd)

# Wants minetest for ownership of /usr/share/minetest.
# But there's no reason it should *require* minetest.
Recommends:     minetest

%description
Generates a overview image of a minetest map. This is a port of
minetestmapper.py to C++, that is both faster and provides more
details than the deprecated Python script.

%prep
%autosetup -p1

%build
%cmake -DENABLE_LEVELDB=ON \
       -DENABLE_REDIS=ON \
       -DENABLE_POSTGRESQL=ON
%cmake_build

%install
%cmake_install

# Install colors.txt into /usr/share/minetest.
mkdir -p %{buildroot}%{_datadir}/minetest
cp -a colors.txt %{buildroot}%{_datadir}/minetest/

# Remove copy of license from docdir.
rm -rf %{buildroot}%{_pkgdocdir}/COPYING

%files
%license COPYING
%doc AUTHORS README.rst
%{_bindir}/minetestmapper
%{_datadir}/luanti/
%{_datadir}/minetest/
%{_mandir}/man6/minetestmapper.6*
