%define major 1
%define libname %mklibname ming %{major}
%define develname %mklibname ming -d
%define _legacy_common_support 1

Summary:	An SWF output library
Name:		ming
Version:	0.4.9
Release:	%mkrel -c git20200723 1
License:	LGPLv2
Group:		System/Libraries
URL:		http://www.libming.org/
#Source0:	https://prdownloads.sourceforge.net/ming/%%{name}-%%{version}.tar.bz2
Source0:	https://github.com/libming/libming/archive/master.zip
# make ming-config multilib-compatible
Patch0:		ming-multilib.patch
# install perl modules to vendorarch dir and link dynamically with libming.so
Patch1:		ming-perl.patch
# fix parallel make calls to bison causing generated code corruption
# https://github.com/libming/libming/issues/49
Patch2:		ming-parallel-make.patch
# drop -dev from version, perl doesn't like it
Patch4:		ming-version.patch
Patch5:		ming-fix-building-with-gcc14.patch
BuildRequires:	bison
BuildRequires:	chrpath
BuildRequires:	flex
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	multiarch-utils >= 1.0.3
BuildRequires:	perl-devel
BuildRequires:	pkgconfig(libpng)
BuildRequires:	giflib-devel
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xau)
BuildRequires:	pkgconfig(xdmcp)
BuildRequires:	pkgconfig(xcb)

# gotta conflict here, otherwise stuff will be linked against installed libs...
BuildConflicts:	ming-devel

%description
Ming is a c library for generating SWF ("Flash") format movies. This
package only contains the basic c-based library.

%package -n	%{libname}
Summary:	Ming - an SWF output library
Group:		System/Libraries
Obsoletes:	python-SWF < %{version}-%{release}

%description -n	%{libname}
Ming is a c library for generating SWF ("Flash") format movies.
This package only contains the basic c-based library.

%package -n	%{develname}
Summary:	Ming development files
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}
Provides:	%{name}-devel = %{version}
Obsoletes:	%{libname}-devel = %{version}

%description -n	%{develname}
The %{name}-devel package contains the header files
and static libraries necessary for developing programs using the
%{name}-devel library (C and C++).

%package -n	perl-SWF
Summary:	Ming perl module
Group:		Development/Perl
Provides:       perl-ming
Obsoletes:      perl-ming
Requires:	%{libname} = %{version}-%{release}

%description -n	perl-SWF
Ming perl module - perl wrapper for the Ming library.

%package -n	%{name}-utils
Summary:	Ming utilities
Group:		File tools
Requires:	%{libname} = %{version}-%{release}

%description -n %{name}-utils
This package contains various ming utilities.

%prep
%setup -qn libming-master
%autopatch -p1

%build
./autogen.sh
autoreconf -fi
%configure --disable-static \
           --disable-python
%make_build

pushd perl_ext
    perl Makefile.PL LIBS="-L%{_libdir} -ljpeg -lpng -lz -lm -lgif" INSTALLDIRS=vendor </dev/null
    make
#    make test
popd

%check
%make_build check

%install
%make_install

# install the perl extension
%make_install -C perl_ext

# fix docs
cp perl_ext/README perl_ext.README
cp util/README util.README
chmod 644 NEWS HISTORY INSTALL *README* TODO

# cleanup
rm -rf %{buildroot}%{perl_vendorlib}/*/auto/SWF/include

# nuke rpath
find %{buildroot}%{perl_vendorarch} -name "*.so" | xargs chmod 0755
find %{buildroot}%{perl_vendorarch} -name "*.so" | xargs chrpath -d

find %{buildroot} -name '*.la' -delete

%multiarch_binaries %{buildroot}%{_bindir}/ming-config

%files -n %{libname}
%doc NEWS HISTORY README TODO
%{_libdir}/libming.so.%{major}{,.*}

%files -n %{develname}
%defattr(644,root,root,755)
%{multiarch_bindir}/ming-config
%{_bindir}/ming-config
%{_libdir}/libming.so
%{_libdir}/pkgconfig/libming.pc
%{_includedir}/*
#%%{_mandir}/man3/Ming_*
#%%{_mandir}/man3/destroySWFMovie.3*
#%%{_mandir}/man3/newSWF*

%files -n perl-SWF
%doc perl_ext.README perl_ext/examples
%{perl_vendorarch}/SWF
%{perl_vendorarch}/SWF.pm
%{perl_vendorarch}/auto/SWF
%{_mandir}/man3*/SWF*

%files -n %{name}-utils
%doc util.README
%{_bindir}/dbl2png
%{_bindir}/gif2dbl
%{_bindir}/gif2mask
%{_bindir}/listaction
%{_bindir}/listaction_d
%{_bindir}/listfdb
%{_bindir}/listjpeg
%{_bindir}/listmp3
%{_bindir}/listswf
%{_bindir}/listswf_d
%{_bindir}/makefdb
%{_bindir}/makeswf
%{_bindir}/png2dbl
%{_bindir}/raw2adpcm
%{_bindir}/swftocxx
%{_bindir}/swftoperl
%{_bindir}/swftophp
%{_bindir}/swftopython
%{_bindir}/swftotcl
