%{?mingw_package_header}

Summary:        MinGW Windows port of the GNOME 2.x Desktop Configuration Database System
Name:           mingw-GConf2
Version:        3.2.6
Release:        %mkrel 11
License:        LGPLv2 or MPLv1.1
Group:          Development/Other
URL:            https://www.gnome.org/
Source:         https://download.gnome.org/sources/GConf/3.2/GConf-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  mingw32-zlib
BuildRequires:  mingw32-gtk3
BuildRequires:  mingw32-glib2
BuildRequires:  mingw32-libxml2
BuildRequires:  mingw32-dbus
BuildRequires:  mingw32-dbus-glib
BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-binutils

BuildRequires:  mingw64-zlib
BuildRequires:  mingw64-gtk3
BuildRequires:  mingw64-glib2
BuildRequires:  mingw64-libxml2
BuildRequires:  mingw64-dbus
BuildRequires:  mingw64-dbus-glib
BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-binutils

BuildRequires:  intltool
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  gnome-common
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  gtk-doc
BuildRequires:  pkgconfig(gobject-introspection-1.0)

%description
MinGW Windows port of GConf, the GNOME configuration database. It
is used by the GNOME 2.x Desktop platform.


# Win32
%package -n mingw32-GConf2
Summary:        MinGW Windows port of the GNOME 2.x Desktop Configuration Database System

%description -n mingw32-GConf2
MinGW Windows port of GConf, the GNOME configuration database. It
is used by the GNOME 2.x Desktop platform.

%package -n mingw32-GConf2-static
Summary:        MinGW Windows port of the GNOME 2.x Desktop Configuration Database System
Requires:       mingw32-GConf2 = %{version}-%{release}
Group:          Development/Other

%description -n mingw32-GConf2-static
Static version of the MinGW Windows GConf2 library.

# Win64
%package -n mingw64-GConf2
Summary:        MinGW Windows port of the GNOME 2.x Desktop Configuration Database System

%description -n mingw64-GConf2
MinGW Windows port of GConf, the GNOME configuration database. It
is used by the GNOME 2.x Desktop platform.

%package -n mingw64-GConf2-static
Summary:        MinGW Windows port of the GNOME 2.x Desktop Configuration Database System
Requires:       mingw64-GConf2 = %{version}-%{release}
Group:          Development/Other

%description -n mingw64-GConf2-static
Static version of the MinGW Windows GConf2 library.


%{?mingw_debug_package}


%prep
%setup -q -n GConf-%{version}
autoreconf --install --force

%build
export MINGW32_CFLAGS="%{mingw32_cflags} -Wno-incompatible-pointer-type"
export MINGW32_CXXFLAGS="%{mingw32_cflags} -Wno-incompatible-pointer-type"
export MINGW64_CFLAGS="%{mingw64_cflags} -Wno-incompatible-pointer-type"
export MINGW64_CXXFLAGS="%{mingw64_cflags} -Wno-incompatible-pointer-type"
%mingw_configure --enable-shared --disable-static \
	--without-openldap --disable-defaults-service \
	--with-gtk=3.0 --disable-orbit
%mingw_make_build


%install
%mingw_make_install

mv $(find $RPM_BUILD_ROOT%{mingw32_libdir} -name '*.dll') $RPM_BUILD_ROOT%{mingw32_bindir}
mv $(find $RPM_BUILD_ROOT%{mingw64_libdir} -name '*.dll') $RPM_BUILD_ROOT%{mingw64_bindir}

find $RPM_BUILD_ROOT -name '*.la' -delete

rm -f $RPM_BUILD_ROOT%{mingw32_sysconfdir}/xdg/autostart/gsettings-data-convert.desktop
rm -f $RPM_BUILD_ROOT%{mingw64_sysconfdir}/xdg/autostart/gsettings-data-convert.desktop
rm -rf $RPM_BUILD_ROOT%{mingw32_mandir}/man1
rm -rf $RPM_BUILD_ROOT%{mingw64_mandir}/man1

%mingw_find_lang GConf2

for f in $(find %{buildroot} -type f); do
	sed -i -e 's,#!/usr/bin/env python,#!/usr/bin/python3,' "${f}"
done

# Win32
%files -n mingw32-GConf2 -f mingw32-GConf2.lang
%doc COPYING README
%{mingw32_sysconfdir}/gconf/2/path
%{mingw32_sysconfdir}/gconf/gconf.xml.*
%{mingw32_bindir}/gconf-merge-tree.exe
%{mingw32_bindir}/gconftool-2.exe
%{mingw32_bindir}/gsettings-data-convert.exe
%{mingw32_bindir}/gsettings-schema-convert
%{mingw32_bindir}/libgconf-2-4.dll
%{mingw32_bindir}/libgconfbackend-oldxml.dll
%{mingw32_bindir}/libgconfbackend-xml.dll
%{mingw32_bindir}/libgsettingsgconfbackend.dll
%{mingw32_libexecdir}/gconfd-2.exe
%dir %{mingw32_includedir}/gconf/
%dir %{mingw32_includedir}/gconf/2/
%{mingw32_includedir}/gconf/2/gconf
%{mingw32_libdir}/libgconf-2.dll.a
%{mingw32_libdir}/gio/modules/libgsettingsgconfbackend.dll.a
%dir %{mingw32_libdir}/GConf/
%dir %{mingw32_libdir}/GConf/2/
%{mingw32_libdir}/GConf/2/libgconfbackend-oldxml.dll.a
%{mingw32_libdir}/GConf/2/libgconfbackend-xml.dll.a
%{mingw32_libdir}/pkgconfig/gconf-2.0.pc
%{mingw32_datadir}/aclocal/gconf-2.m4
%{mingw32_datadir}/dbus-1/services/org.gnome.GConf.service
%dir %{mingw64_datadir}/sgml/gconf/
%{mingw32_datadir}/sgml/gconf/gconf-1.0.dtd

# Win64
%files -n mingw64-GConf2 -f mingw64-GConf2.lang
%doc COPYING README
%dir %{mingw64_sysconfdir}/gconf/
%dir %{mingw64_sysconfdir}/gconf/2/
%{mingw64_sysconfdir}/gconf/2/path
%{mingw64_sysconfdir}/gconf/gconf.xml.*
%{mingw64_bindir}/gconf-merge-tree.exe
%{mingw64_bindir}/gconftool-2.exe
%{mingw64_bindir}/gsettings-data-convert.exe
%{mingw64_bindir}/gsettings-schema-convert
%{mingw64_bindir}/libgconf-2-4.dll
%{mingw64_bindir}/libgconfbackend-oldxml.dll
%{mingw64_bindir}/libgconfbackend-xml.dll
%{mingw64_bindir}/libgsettingsgconfbackend.dll
%{mingw64_libexecdir}/gconfd-2.exe
%dir %{mingw64_includedir}/gconf/
%dir %{mingw64_includedir}/gconf/2/
%{mingw64_includedir}/gconf/2/gconf
%{mingw64_libdir}/libgconf-2.dll.a
%{mingw64_libdir}/gio/modules/libgsettingsgconfbackend.dll.a
%dir %{mingw64_libdir}/GConf/
%dir %{mingw64_libdir}/GConf/2/
%{mingw64_libdir}/GConf/2/libgconfbackend-oldxml.dll.a
%{mingw64_libdir}/GConf/2/libgconfbackend-xml.dll.a
%{mingw64_libdir}/pkgconfig/gconf-2.0.pc
%{mingw64_datadir}/aclocal/gconf-2.m4
%{mingw64_datadir}/dbus-1/services/org.gnome.GConf.service
%dir %{mingw64_datadir}/sgml/gconf/
%{mingw64_datadir}/sgml/gconf/gconf-1.0.dtd



