%{?mingw_package_header}

%define libname SDL2_mixer

Name:           mingw-%{libname}
Version:        2.8.1
Release:        %mkrel 1
Summary:        MinGW Windows port of Simple DirectMedia Layer's Sample Mixer Library

License:        zlib
Group:          Development/Other
URL:            https://www.libSDL.org/projects/SDL_mixer/
Source0:        https://www.libSDL.org/projects/SDL_mixer/release/%{libname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-SDL2
BuildRequires:  mingw32-libmodplug
BuildRequires:  mingw32-libvorbis
BuildRequires:  mingw32-flac

BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-SDL2
BuildRequires:  mingw64-libmodplug
BuildRequires:  mingw64-libvorbis
BuildRequires:  mingw64-flac

%description
A simple multi-channel audio mixer for SDL2. It supports 4 channels of
16 bit stereo audio, plus a single channel of music, mixed by the popular
MikMod MOD library.


# Win32
%package -n mingw32-%{libname}
Summary:        MinGW Windows port of Simple DirectMedia Layer's Sample Mixer Library

%description -n mingw32-%{libname}
A simple multi-channel audio mixer for SDL2. It supports 4 channels of
16 bit stereo audio, plus a single channel of music, mixed by the popular
MikMod MOD library.

# Win64
%package -n mingw64-%{libname}
Summary:        MinGW Windows port of Simple DirectMedia Layer's Sample Mixer Library

%description -n mingw64-%{libname}
A simple multi-channel audio mixer for SDL2. It supports 4 channels of
16 bit stereo audio, plus a single channel of music, mixed by the popular
MikMod MOD library.

%{?mingw_debug_package}


%prep
%setup -q -n %{libname}-%{version}


%build
%mingw_configure \
    --disable-static \
    --enable-music-mod

%mingw_make_build


%install
%mingw_make_install

# Drop all .la files
find %{buildroot} -name "*.la" -delete


# Win32
%files -n mingw32-%{libname}
%doc README.txt CHANGES.txt
%license LICENSE.txt
%{mingw32_bindir}/%{libname}.dll
%{mingw32_libdir}/lib%{libname}.dll.a
%{mingw32_libdir}/cmake/SDL2_mixer/
%{mingw32_libdir}/pkgconfig/%{libname}.pc
%{mingw32_includedir}/SDL2

# Win64
%files -n mingw64-%{libname}
%doc README.txt CHANGES.txt
%license LICENSE.txt
%{mingw64_bindir}/%{libname}.dll
%{mingw64_libdir}/lib%{libname}.dll.a
%{mingw64_libdir}/cmake/SDL2_mixer/
%{mingw64_libdir}/pkgconfig/%{libname}.pc
%{mingw64_includedir}/SDL2
