%{?mingw_package_header}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:           mingw-adwaita-icon-theme
Version:        48.0
Release:        %mkrel 1
Summary:        Adwaita icon theme for MingGW
Group:          Development/Other

License:        LGPLv3+ or CC-BY-SA
URL:            https://www.gnome.org/
Source0:        https://download.gnome.org/sources/adwaita-icon-theme/%{url_ver}/adwaita-icon-theme-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  meson
BuildRequires:  mingw32-filesystem
BuildRequires:  mingw64-filesystem
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  intltool
BuildRequires:  librsvg2
# (tv) for /usr/bin/gtk-encode-symbolic-svg:
BuildRequires:  pkgconfig(gtk+-3.0)

%description
This package contains the Adwaita icon theme used by the GNOME desktop.
This is the MinGW version of this package.

%package -n mingw32-adwaita-icon-theme
Summary:        MinGW Adwaita icon theme for MingGW
Group:          Development/Other
Requires:       pkgconfig

%description -n mingw32-adwaita-icon-theme
This package contains the icons and pkgconfig file for applications that use
the Adwaita icon theme.

%package -n mingw64-adwaita-icon-theme
Summary:        MinGW Adwaita icon theme for MingGW
Group:          Development/Other
Requires:       pkgconfig

%description -n mingw64-adwaita-icon-theme
This package contains the icons and pkgconfig file for applications that use
the Adwaita icon theme.

%prep
%setup -q -n adwaita-icon-theme-%{version}


%build
%mingw_meson
%mingw_ninja


%install
%mingw_ninja_install


%files -n mingw32-adwaita-icon-theme
%license %{mingw32_datadir}/licenses/adwaita-icon-theme/COPYING
%license %{mingw32_datadir}/licenses/adwaita-icon-theme/COPYING_CCBYSA3
%license %{mingw32_datadir}/licenses/adwaita-icon-theme/COPYING_LGPL
%doc AUTHORS NEWS
%{mingw32_datadir}/pkgconfig/adwaita-icon-theme.pc
%dir %{mingw32_datadir}/icons/Adwaita
%{mingw32_datadir}/icons/Adwaita/16x16
%{mingw32_datadir}/icons/Adwaita/cursors
%{mingw32_datadir}/icons/Adwaita/scalable
%{mingw32_datadir}/icons/Adwaita/index.theme
%{mingw32_datadir}/icons/Adwaita/symbolic
%ghost %{mingw32_datadir}/icons/Adwaita/icon-theme.cache

%files -n mingw64-adwaita-icon-theme
%license %{mingw64_datadir}/licenses/adwaita-icon-theme/COPYING
%license %{mingw64_datadir}/licenses/adwaita-icon-theme/COPYING_CCBYSA3
%license %{mingw64_datadir}/licenses/adwaita-icon-theme/COPYING_LGPL
%doc AUTHORS NEWS
%{mingw64_datadir}/pkgconfig/adwaita-icon-theme.pc
%dir %{mingw64_datadir}/icons/Adwaita
%{mingw64_datadir}/icons/Adwaita/16x16
%{mingw64_datadir}/icons/Adwaita/cursors
%{mingw64_datadir}/icons/Adwaita/scalable
%{mingw64_datadir}/icons/Adwaita/index.theme
%{mingw64_datadir}/icons/Adwaita/symbolic
%ghost %{mingw64_datadir}/icons/Adwaita/icon-theme.cache

