%{?mingw_package_header}

Name:           mingw-cairomm
Version:        1.14.5
Release:        %mkrel 1
Summary:        MinGW Windows C++ API for the cairo graphics library

License:        LGPLv2+
Group:          Development/Other
URL:            https://www.cairographics.org/
Source0:        https://www.cairographics.org/releases/cairomm-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  meson

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-cairo
BuildRequires:  mingw32-libsigc++20

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-cairo
BuildRequires:  mingw64-libsigc++20

%description
Cairomm is the C++ API for the cairo graphics library. It offers all the power
of cairo with an interface familiar to C++ developers, including use of the 
Standard Template Library where it makes sense.


# Win32
%package -n mingw32-cairomm
Summary:        MinGW Windows C++ API for the cairo graphics library

%description -n mingw32-cairomm
Cairomm is the C++ API for the cairo graphics library. It offers all the power
of cairo with an interface familiar to C++ developers, including use of the
Standard Template Library where it makes sense.

# Win64
%package -n mingw64-cairomm
Summary:        MinGW Windows C++ API for the cairo graphics library

%description -n mingw64-cairomm
Cairomm is the C++ API for the cairo graphics library. It offers all the power
of cairo with an interface familiar to C++ developers, including use of the
Standard Template Library where it makes sense.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n cairomm-%{version}


%build
%mingw_meson -D build-documentation=false
%mingw_ninja

%install
%mingw_ninja_install

rm -rf %{buildroot}%{mingw32_datadir}/{devhelp,doc}
rm -rf %{buildroot}%{mingw64_datadir}/{devhelp,doc}


# Win32
%files -n mingw32-cairomm
%license COPYING
%{mingw32_bindir}/libcairomm-1.0-1.dll
%{mingw32_libdir}/libcairomm-1.0.dll.a
%{mingw32_libdir}/pkgconfig/cairomm-1.0.pc
%{mingw32_libdir}/pkgconfig/cairomm-ft-1.0.pc
%{mingw32_libdir}/pkgconfig/cairomm-pdf-1.0.pc
%{mingw32_libdir}/pkgconfig/cairomm-png-1.0.pc
%{mingw32_libdir}/pkgconfig/cairomm-ps-1.0.pc
%{mingw32_libdir}/pkgconfig/cairomm-svg-1.0.pc
%{mingw32_libdir}/pkgconfig/cairomm-win32-1.0.pc
%{mingw32_libdir}/pkgconfig/cairomm-win32-font-1.0.pc
%{mingw32_includedir}/cairomm-1.0
%{mingw32_libdir}/cairomm-1.0/


# Win64
%files -n mingw64-cairomm
%license COPYING
%{mingw64_bindir}/libcairomm-1.0-1.dll
%{mingw64_libdir}/libcairomm-1.0.dll.a
%{mingw64_libdir}/pkgconfig/cairomm-1.0.pc
%{mingw64_libdir}/pkgconfig/cairomm-ft-1.0.pc
%{mingw64_libdir}/pkgconfig/cairomm-pdf-1.0.pc
%{mingw64_libdir}/pkgconfig/cairomm-png-1.0.pc
%{mingw64_libdir}/pkgconfig/cairomm-ps-1.0.pc
%{mingw64_libdir}/pkgconfig/cairomm-svg-1.0.pc
%{mingw64_libdir}/pkgconfig/cairomm-win32-1.0.pc
%{mingw64_libdir}/pkgconfig/cairomm-win32-font-1.0.pc
%{mingw64_includedir}/cairomm-1.0
%{mingw64_libdir}/cairomm-1.0/

