%{?mingw_package_header}

Name:           mingw-celt051
Version:        0.5.1.3
Release:        %mkrel 20
Summary:        An audio codec for use in low-delay speech and audio communication

Group:          Development/Other
License:        BSD
# Files without license header are confirmed to be BSD. Will be fixed in later release
# https://lists.xiph.org/pipermail/celt-dev/2009-February/000063.html
URL:            https://www.celt-codec.org/
Source0:        https://downloads.xiph.org/releases/celt/celt-%{version}.tar.gz

# Some tests need libcelt but are not explicitly linked against it.
# Windows cross builds fail because of that (native linux builds
# don't for some mysterious reason).  Fix it.
Patch1:         celt051-tests-makefile-fix.patch

# Fixes "libtool: link: warning: undefined symbols not allowed in
# i686-pc-mingw32 shared libraries"
Patch2:         celt051-build-a-dll-for-win32.patch

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-libogg

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-libogg

BuildRequires:  pkgconfig
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkgconfig(ogg)


%description
CELT (Constrained Energy Lapped Transform) is an ultra-low delay audio 
codec designed for realtime transmission of high quality speech and audio. 
This is meant to close the gap between traditional speech codecs 
(such as Speex) and traditional audio codecs (such as Vorbis). 

# Win32
%package -n mingw32-celt051
Summary:        An audio codec for use in low-delay speech and audio communication
Requires:       pkgconfig

%description -n mingw32-celt051
CELT (Constrained Energy Lapped Transform) is an ultra-low delay audio
codec designed for realtime transmission of high quality speech and audio.
This is meant to close the gap between traditional speech codecs
(such as Speex) and traditional audio codecs (such as Vorbis).

%package -n mingw32-celt051-static
Summary:        Static version of the CELT ultra-low delay audio codec library
Requires:       mingw32-celt051 = %{version}-%{release}

%description -n mingw32-celt051-static
Static version of the CELT ultra-low delay audio codec library.

# Win64
%package -n mingw64-celt051
Summary:        An audio codec for use in low-delay speech and audio communication
Requires:       pkgconfig

%description -n mingw64-celt051
CELT (Constrained Energy Lapped Transform) is an ultra-low delay audio
codec designed for realtime transmission of high quality speech and audio.
This is meant to close the gap between traditional speech codecs
(such as Speex) and traditional audio codecs (such as Vorbis).

%package -n mingw64-celt051-static
Summary:        Static version of the CELT ultra-low delay audio codec library
Requires:       mingw64-celt051 = %{version}-%{release}

%description -n mingw64-celt051-static
Static version of the CELT ultra-low delay audio codec library.


%{?mingw_debug_package}


%prep
%setup -q -n celt-%{version}
%autopatch -p1


%build
%global mingw32_cflags %mingw32_cflags -std=gnu89
%global mingw64_cflags %mingw64_cflags -std=gnu89
autoreconf -i -f
%mingw_configure
%mingw_make_build


%install
%mingw_make_install

# Remove .la files
find $RPM_BUILD_ROOT -name "*.la" -delete


# Win32
%files -n mingw32-celt051
%doc COPYING README TODO
%{mingw32_bindir}/celtenc051.exe
%{mingw32_bindir}/celtdec051.exe
%{mingw32_bindir}/libcelt051-0.dll
%{mingw32_includedir}/celt051
%{mingw32_libdir}/libcelt051.dll.a
%{mingw32_libdir}/pkgconfig/celt051.pc

%files -n mingw32-celt051-static
%{mingw32_libdir}/libcelt051.a

# Win64
%files -n mingw64-celt051
%doc COPYING README TODO
%{mingw64_bindir}/celtenc051.exe
%{mingw64_bindir}/celtdec051.exe
%{mingw64_bindir}/libcelt051-0.dll
%{mingw64_includedir}/celt051
%{mingw64_libdir}/libcelt051.dll.a
%{mingw64_libdir}/pkgconfig/celt051.pc

%files -n mingw64-celt051-static
%{mingw64_libdir}/libcelt051.a


