%global __strip %{mingw32_strip}
%global __objdump %{mingw32_objdump}

Name:           mingw-cppunit
Version:        1.12.1
Release:        %mkrel 21
Summary:        MinGW Windows C++ unit testing framework

Group:          Development/Java
License:        LGPLv2+
URL:            https://cppunit.sourceforge.net/
Source0:        https://downloads.sourceforge.net/cppunit/cppunit-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 23
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-binutils
Requires: pkgconfig

%description
CppUnit is the C++ port of the famous JUnit framework for unit testing.
Test output is in XML for automatic testing and GUI based for supervised 
tests.

MinGW Windows C++ unit testing framework.


%package -n mingw32-cppunit
Summary:        MinGW Windows C++ unit testing framework

%description -n mingw32-cppunit
CppUnit is the C++ port of the famous JUnit framework for unit testing.
Test output is in XML for automatic testing and GUI based for supervised
tests.

MinGW Windows C++ unit testing framework.


%prep
%setup -q -n cppunit-%{version}
for file in THANKS ChangeLog NEWS; do
   iconv -f latin1 -t utf8 < $file > ${file}.utf8
   touch -c -r $file ${file}.utf8
   mv ${file}.utf8 $file
done


%build
%global mingw_build_win64 0
%mingw_configure --disable-static --disable-doxygen
%mingw_make_build


%install
%mingw_make_install

# Remove the .la files
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/*.la


%files -n mingw32-cppunit
%doc AUTHORS COPYING NEWS README THANKS ChangeLog TODO BUGS doc/FAQ
%{mingw32_bindir}/cppunit-config
%{mingw32_bindir}/DllPlugInTester.exe
%{mingw32_includedir}/cppunit/
%{mingw32_bindir}/libcppunit-*.dll
%{mingw32_libdir}/pkgconfig/cppunit.pc
%{mingw32_libdir}/libcppunit.dll.a
%{mingw32_datadir}/aclocal/cppunit.m4
%exclude %{mingw32_mandir}/man1/cppunit-config.1


