%{?mingw_package_header}

Summary:	MinGW build of GLib bindings for D-Bus
Name:		mingw-dbus-glib
Version:	0.112
Release:	%mkrel 2
License:	AFL and GPLv2+
Group:		Development/Other
URL:		https://www.freedesktop.org/wiki/Software/dbus/
Source:		https://dbus.freedesktop.org/releases/dbus-glib/dbus-glib-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	mingw32-dbus
BuildRequires:	mingw32-glib2
BuildRequires:	mingw32-expat
BuildRequires:	mingw32-pkg-config
BuildRequires:	mingw32-filesystem >= 95
BuildRequires:	mingw32-gcc
BuildRequires:	mingw32-gcc-c++
BuildRequires:	mingw32-binutils

BuildRequires:	mingw64-dbus
BuildRequires:	mingw64-glib2
BuildRequires:	mingw64-expat
BuildRequires:	mingw64-pkg-config
BuildRequires:	mingw64-filesystem >= 95
BuildRequires:	mingw64-gcc
BuildRequires:	mingw64-gcc-c++
BuildRequires:	mingw64-binutils

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig(dbus-glib-1)


%description
D-Bus is a message bus system, a simple way for applications to talk to
one another. D-Bus supplies both a system daemon and a
per-user-log in-session daemon. Also, the message bus is built on top of
a general one-to-one message passing framework, which can be used by
any two apps to communicate directly (without going through the message
bus daemon).


# Win32
%package -n mingw32-dbus-glib
Summary:	MinGW build of GLib bindings for D-Bus

%description -n mingw32-dbus-glib
D-Bus is a message bus system, a simple way for applications to talk to
one another. D-Bus supplies both a system daemon and a
per-user-log in-session daemon. Also, the message bus is built on top of
a general one-to-one message passing framework, which can be used by
any two apps to communicate directly (without going through the message
bus daemon).

%package -n mingw32-dbus-glib-static
Summary:	MinGW build of GLib bindings for D-Bus static build
Requires:	mingw32-dbus-glib = %{version}-%{release}

%description -n mingw32-dbus-glib-static
Static version of the MinGW Windows D-Bus Message Bus System

# Win64
%package -n mingw64-dbus-glib
Summary:	MinGW build of GLib bindings for D-Bus

%description -n mingw64-dbus-glib
D-Bus is a message bus system, a simple way for applications to talk to
one another. D-Bus supplies both a system daemon and a
per-user-log in-session daemon. Also, the message bus is built on top of
a general one-to-one message passing framework, which can be used by
any two apps to communicate directly (without going through the message
bus daemon).

%package -n mingw64-dbus-glib-static
Summary:	MinGW build of GLib bindings for D-Bus static build
Requires:	mingw64-dbus-glib = %{version}-%{release}

%description -n mingw64-dbus-glib-static
Static version of the MinGW Windows D-Bus Message Bus System


%{?mingw_debug_package}


%prep
%setup -q -n dbus-glib-%{version}


%build
autoreconf --install --force
%mingw_configure --enable-static --enable-shared \
	--with-dbus-binding-tool=`which dbus-binding-tool` \
	--disable-bash-completion \
	--disable-abstract-sockets
%mingw_make %{?_smp_mflags}


%install
%mingw_make_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -delete

rm -r ${RPM_BUILD_ROOT}%{mingw32_mandir}/man1/	# Duplicates native versions
rm -r ${RPM_BUILD_ROOT}%{mingw64_mandir}/man1/

# Win32
%files -n mingw32-dbus-glib
%doc COPYING README NEWS
%{mingw32_bindir}/libdbus-glib-1-2.dll
%{mingw32_includedir}/dbus-1.0/dbus/*.h
%{mingw32_libdir}/libdbus-glib-1.dll.a
%{mingw32_libdir}/pkgconfig/dbus-glib-1.pc
%{mingw32_bindir}/dbus-binding-tool.exe

%files -n mingw32-dbus-glib-static
%{mingw32_libdir}/libdbus-glib-1.a

# Win64
%files -n mingw64-dbus-glib
%doc COPYING README NEWS
%{mingw64_bindir}/libdbus-glib-1-2.dll
%{mingw64_includedir}/dbus-1.0/dbus/*.h
%{mingw64_libdir}/libdbus-glib-1.dll.a
%{mingw64_libdir}/pkgconfig/dbus-glib-1.pc
%{mingw64_bindir}/dbus-binding-tool.exe

%files -n mingw64-dbus-glib-static
%{mingw64_libdir}/libdbus-glib-1.a


