%global __strip %{mingw32_strip}
%global __objdump %{mingw32_objdump}

Name:           mingw-dirac
Version:        1.0.2
Release:        %mkrel 21
Summary:        Dirac is an open source video codec

Group:          Development/Other
License:        MPLv1.1 or GPLv2+ or LGPLv2+
URL:            https://dirac.sourceforge.net/
Source0:        https://downloads.sourceforge.net/dirac/dirac-%{version}.tar.gz
Patch0:         dirac-1.0.2-mingw32-gcc44.patch
Patch1:         dirac-1.0.2-mingw-w64-compatibility.patch
BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 23
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-binutils

%description
MinGW Windows dirac compression library.


%package -n mingw32-dirac
Summary:        Dirac is an open source video codec

%description -n mingw32-dirac
MinGW Windows dirac compression library.


%prep
%setup -q -n dirac-%{version}
%patch -P 0 -p1 -b .gcc44
%patch -P 1 -p0 -b .mingw-w64
rm util/conversion/common/setstdiomode.cpp
touch util/conversion/common/setstdiomode.cpp

%build
%global mingw_build_win64 0

# Make sure the compilation also succeeds when mingw32-cppunit is installed
export ac_cv_header_cppunit_TestRunner_h=no

%mingw_configure \
  --program-prefix=dirac_ \
  --program-transform-name=s,dirac_dirac_,dirac_, \
  --enable-overlay \
  --disable-static

%mingw_make_build


%install
%mingw_make_install

# Remove .la files
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/*.la

# Remove docs
rm -rf $RPM_BUILD_ROOT%{mingw32_datadir}/doc
rm -rf $RPM_BUILD_ROOT%{mingw64_datadir}/doc


%files -n mingw32-dirac
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%exclude %{mingw32_bindir}/dirac_create_dirac_testfile.pl
%{mingw32_bindir}/dirac_*.exe
%{mingw32_includedir}/dirac/
%{mingw32_bindir}/libdirac_decoder-0.dll
%{mingw32_bindir}/libdirac_encoder-0.dll
%{mingw32_libdir}/pkgconfig/dirac.pc
%{mingw32_libdir}/libdirac_decoder.dll.a
%{mingw32_libdir}/libdirac_encoder.dll.a

