%{?mingw_package_header}

%global pkgname eigen3

Name:           mingw-%{pkgname}
Version:        3.3.9
Release:        %mkrel 2
Summary:        MinGW lightweight C++ template library for vector and matrix math
BuildArch:      noarch
Group:          Development/Other
# See COPYING.README
License:        MPLv2.0 and LGPLv2+ and BSD
URL:            https://eigen.tuxfamily.org/index.php?title=Main_Page
Source0:        https://gitlab.com/libeigen/eigen/-/archive/%{version}/eigen-%{version}.tar.bz2
# Since we are crosscompiling, read the comment in the file for details
Source1:        TryRunResults.cmake

# Fix cmake error due to buggy FindCUDA.cmake
# CMake Error at /usr/share/cmake/Modules/FindCUDA.cmake:675 (find_host_program):
#  Unknown CMake command "find_host_program".
# See https://gitlab.kitware.com/cmake/cmake/issues/16509
Patch0:         eigen_disable-cuda.patch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-gcc-gfortran
BuildRequires:  mingw32-fftw
BuildRequires:  mingw32-gmp
BuildRequires:  mingw32-mpfr

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-gcc-gfortran
BuildRequires:  mingw64-fftw
BuildRequires:  mingw64-gmp
BuildRequires:  mingw64-mpfr

BuildRequires:  cmake

%description
%{summary}

# Mingw32
%package -n mingw32-%{pkgname}
Summary:                %{summary}

%description -n mingw32-%{pkgname}
%{summary}

# Mingw64
%package -n mingw64-%{pkgname}
Summary:                %{summary}

%description -n mingw64-%{pkgname}
%{summary}


%prep
%autosetup -p1 -n eigen-%{version}


%build
mkdir build_win32
pushd build_win32
%mingw32_cmake -C%{SOURCE1} -DEIGEN_BUILD_PKGCONFIG:BOOL=ON -DINCLUDE_INSTALL_DIR=include/%{pkgname} -DCMAKEPACKAGE_INSTALL_DIR=share/cmake/%{pkgname} -DEIGEN_TEST_CXX11=ON
popd

mkdir build_win64
pushd build_win64
%mingw64_cmake -C%{SOURCE1} -DEIGEN_BUILD_PKGCONFIG:BOOL=ON -DINCLUDE_INSTALL_DIR=include/%{pkgname} -DCMAKEPACKAGE_INSTALL_DIR=share/cmake/%{pkgname} -DEIGEN_TEST_CXX11=ON
popd
# Just as a sanity check
#mingw_make #{?_smp_mflags} buildtests


%install
%mingw_make_install


%files -n mingw32-%{pkgname}
%license COPYING.BSD COPYING.LGPL COPYING.MPL2 COPYING.README
%{mingw32_includedir}/%{pkgname}
%{mingw32_datadir}/pkgconfig/%{pkgname}.pc
%{mingw32_datadir}/cmake/%{pkgname}/

%files -n mingw64-%{pkgname}
%license COPYING.BSD COPYING.LGPL COPYING.MPL2 COPYING.README
%{mingw64_includedir}/%{pkgname}
%{mingw64_datadir}/pkgconfig/%{pkgname}.pc
%{mingw64_datadir}/cmake/%{pkgname}/

