%{?mingw_package_header}

%global pkgname enchant2

Name:          mingw-%{pkgname}
Version:       2.8.2
Release:       %mkrel 3
Summary:       MinGW Windows %{pkgname} library
Group:         Development/Other
License:       LGPLv2+
BuildArch:     noarch
URL:           https://github.com/AbiWord/enchant
Source0:       https://github.com/AbiWord/enchant/releases/download/v%{version}/enchant-%{version}.tar.gz

BuildRequires: mingw32-filesystem >= 131
BuildRequires: mingw32-gcc
BuildRequires: mingw32-gcc-c++
BuildRequires: mingw32-binutils
BuildRequires: mingw32-glib2
BuildRequires: mingw32-hunspell
BuildRequires: mingw32-nuspell

BuildRequires: mingw64-filesystem >= 131
BuildRequires: mingw64-gcc
BuildRequires: mingw64-gcc-c++
BuildRequires: mingw64-binutils
BuildRequires: mingw64-glib2
BuildRequires: mingw64-hunspell
BuildRequires: mingw64-nuspell

BuildRequires: groff

%description
MinGW Windows %{pkgname} library.


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows %{pkgname} library

Obsoletes:     mingw32-enchant < 1.6.1-4
Obsoletes:     mingw32-enchant-static < 1.6.1-4

%description -n mingw32-%{pkgname}
MinGW Windows %{pkgname} library.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows %{pkgname} library

Obsoletes:     mingw64-enchant < 1.6.1-4
Obsoletes:     mingw64-enchant-static < 1.6.1-4

%description -n mingw64-%{pkgname}
MinGW Windows %{pkgname} library.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n enchant-%{version}


%build
MINGW32_CONFIGURE_ARGS="--with-hunspell-dir=%{mingw32_datadir}/myspell" \
MINGW64_CONFIGURE_ARGS="--with-hunspell-dir=%{mingw64_datadir}/myspell" \
%mingw_configure --disable-static --with-nuspell --without-hspell --enable-relocatable

MINGW32_MAKE_ARGS="pkgdatadir=%{mingw32_datadir}/enchant-2" \
MINGW64_MAKE_ARGS="pkgdatadir=%{mingw64_datadir}/enchant-2" \
%mingw_make_build


%install
MINGW32_MAKE_ARGS="pkgdatadir=%{mingw32_datadir}/enchant-2" \
MINGW64_MAKE_ARGS="pkgdatadir=%{mingw64_datadir}/enchant-2" \
%mingw_make_install
find %{buildroot} -name '*.la' -delete

# Drop the man-pages
rm -rf %{buildroot}%{mingw32_datadir}/{doc,man}
rm -rf %{buildroot}%{mingw64_datadir}/{doc,man}


%files -n mingw32-%{pkgname}
%license COPYING.LIB
%{mingw32_bindir}/enchant-lsmod-2.exe
%{mingw32_bindir}/enchant-2.exe
%{mingw32_bindir}/libenchant-2-2.dll
%{mingw32_includedir}/enchant-2/
%dir %{mingw32_libdir}/enchant-2/
%{mingw32_libdir}/enchant-2/enchant_hunspell.dll
%{mingw32_libdir}/enchant-2/enchant_hunspell.dll.a
%{mingw32_libdir}/enchant-2/enchant_nuspell.dll
%{mingw32_libdir}/enchant-2/enchant_nuspell.dll.a
%{mingw32_libdir}/libenchant-2.dll.a
%{mingw32_libdir}/pkgconfig/enchant-2.pc
%{mingw32_datadir}/enchant-2-2/

%files -n mingw64-%{pkgname}
%license COPYING.LIB
%{mingw64_bindir}/enchant-lsmod-2.exe
%{mingw64_bindir}/enchant-2.exe
%{mingw64_bindir}/libenchant-2-2.dll
%{mingw64_includedir}/enchant-2/
%dir %{mingw64_libdir}/enchant-2/
%{mingw64_libdir}/enchant-2/enchant_hunspell.dll
%{mingw64_libdir}/enchant-2/enchant_hunspell.dll.a
%{mingw64_libdir}/enchant-2/enchant_nuspell.dll
%{mingw64_libdir}/enchant-2/enchant_nuspell.dll.a
%{mingw64_libdir}/libenchant-2.dll.a
%{mingw64_libdir}/pkgconfig/enchant-2.pc
%{mingw64_datadir}/enchant-2-2/


