%{?mingw_package_header}

Name:           mingw-freeglut
Version:        3.6.0
Release:        %mkrel 1
Summary:        MinGW alternative to the OpenGL Utility Toolkit (GLUT)

License:        MIT
Group:          Development/Other

URL:            https://freeglut.sourceforge.net/
Source0:        https://downloads.sourceforge.net/freeglut/freeglut-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils

BuildRequires:  make
BuildRequires:  cmake


%description
freeglut is a completely open source alternative to the OpenGL Utility
Toolkit (GLUT) library with an OSI approved free software
license. GLUT was originally written by Mark Kilgard to support the
sample programs in the second edition OpenGL 'RedBook'. Since then,
GLUT has been used in a wide variety of practical applications because
it is simple, universally available and highly portable.

freeglut allows the user to create and manage windows containing
OpenGL contexts on a wide range of platforms and also read the mouse,
keyboard and joystick functions.

# Win32
%package -n mingw32-freeglut
Summary:    MinGW alternative to the OpenGL Utility Toolkit (GLUT)

%description -n mingw32-freeglut
freeglut is a completely open source alternative to the OpenGL Utility
Toolkit (GLUT) library with an OSI approved free software
license. GLUT was originally written by Mark Kilgard to support the
sample programs in the second edition OpenGL 'RedBook'. Since then,
GLUT has been used in a wide variety of practical applications because
it is simple, universally available and highly portable.

freeglut allows the user to create and manage windows containing
OpenGL contexts on a wide range of platforms and also read the mouse,
keyboard and joystick functions.

# Win64
%package -n mingw64-freeglut
Summary:    MinGW alternative to the OpenGL Utility Toolkit (GLUT)

%description -n mingw64-freeglut
freeglut is a completely open source alternative to the OpenGL Utility
Toolkit (GLUT) library with an OSI approved free software
license. GLUT was originally written by Mark Kilgard to support the
sample programs in the second edition OpenGL 'RedBook'. Since then,
GLUT has been used in a wide variety of practical applications because
it is simple, universally available and highly portable.

freeglut allows the user to create and manage windows containing
OpenGL contexts on a wide range of platforms and also read the mouse,
keyboard and joystick functions.


%{?mingw_debug_package}


%prep
%setup -q -n freeglut-%{version}


%build
%mingw_cmake -DFREEGLUT_REPLACE_GLUT:BOOL=ON
%mingw_make %{?_smp_mflags}


%install
%mingw_make_install

# No mingw32-freeglut-static as libglut.a is already part of mingw32-crt
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/libglut.a
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/libglut.a


%files -n mingw32-freeglut
%license COPYING
%doc AUTHORS ChangeLog README.md
%{mingw32_bindir}/libglut.dll
%{mingw32_libdir}/libglut.dll.a
%dir %{mingw32_includedir}/GL/
%{mingw32_includedir}/GL/freeglut.h
%{mingw32_includedir}/GL/freeglut_ext.h
%{mingw32_includedir}/GL/freeglut_std.h
%{mingw32_includedir}/GL/freeglut_ucall.h
%{mingw32_includedir}/GL/glut.h
%dir %{mingw32_libdir}/cmake/FreeGLUT/
%{mingw32_libdir}/cmake/FreeGLUT/FreeGLUT*.cmake
%{mingw32_libdir}/pkgconfig/glut.pc

%files -n mingw64-freeglut
%license COPYING
%doc AUTHORS ChangeLog README.md
%{mingw64_bindir}/libglut.dll
%{mingw64_libdir}/libglut.dll.a
%dir %{mingw64_includedir}/GL/
%{mingw64_includedir}/GL/freeglut.h
%{mingw64_includedir}/GL/freeglut_ext.h
%{mingw64_includedir}/GL/freeglut_std.h
%{mingw64_includedir}/GL/glut.h
%{mingw64_includedir}/GL/freeglut_ucall.h
%dir %{mingw64_libdir}/cmake/FreeGLUT/
%{mingw64_libdir}/cmake/FreeGLUT/FreeGLUT*.cmake
%{mingw64_libdir}/pkgconfig/glut.pc

