%{?mingw_package_header}

Name:           mingw-gdbm
Version:        1.19
Release:        %mkrel 1
Summary:        MinGW port of GNU database routines

License:        GPL-3.0-or-later
Group:          Development/Other
URL:            https://www.gnu.org/software/gdbm/
Source0:        https://ftp.gnu.org/gnu/gdbm/gdbm-%{version}.tar.gz

# Win32 support.  This is not upstream, various distributions
# maintaining their own versions.  This patch does not work with the
# latest upstream version (1.23).
Patch:          gdbm-1.15-win32.patch

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-gettext

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-gettext

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  gettext-devel
BuildRequires:  texinfo


%description
Gdbm is a GNU database indexing library, including routines which use
extensible hashing.  Gdbm works in a similar way to standard UNIX dbm
routines.  Gdbm is useful for developers who write C applications and
need access to a simple and efficient database or who are building C
applications which will use such a database.

This is the MinGW Windows port of the libraries and development tools.


# Win32
%package -n mingw32-gdbm
Summary:        MinGW port of GNU database routines

%description -n mingw32-gdbm
Gdbm is a GNU database indexing library, including routines which use
extensible hashing.  Gdbm works in a similar way to standard UNIX dbm
routines.  Gdbm is useful for developers who write C applications and
need access to a simple and efficient database or who are building C
applications which will use such a database.

This is the MinGW Windows port of the libraries and development tools.

%package -n mingw32-gdbm-static
Summary:        Static version of the MinGW Windows GDBM library
Requires:       mingw32-gdbm = %{version}-%{release}
Group:          Development/Other

%description -n mingw32-gdbm-static
Static version of the MinGW Windows GDBM library.

# Win64
%package -n mingw64-gdbm
Summary:        MinGW port of GNU database routines

%description -n mingw64-gdbm
Gdbm is a GNU database indexing library, including routines which use
extensible hashing.  Gdbm works in a similar way to standard UNIX dbm
routines.  Gdbm is useful for developers who write C applications and
need access to a simple and efficient database or who are building C
applications which will use such a database.

This is the MinGW Windows port of the libraries and development tools.

%package -n mingw64-gdbm-static
Summary:        Static version of the MinGW Windows GDBM library
Requires:       mingw64-gdbm = %{version}-%{release}
Group:          Development/Other

%description -n mingw64-gdbm-static
Static version of the MinGW Windows GDBM library.


%{?mingw_debug_package}


%global _default_patch_fuzz 2
%prep
%autosetup -n gdbm-%{version} -p1

autoreconf --install --force


%build
%mingw_configure
%mingw_make %{?_smp_mflags} V=1


%install
%mingw_make install DESTDIR=$RPM_BUILD_ROOT

# Native Fedora package seems to fluff this, but as far as I
# can tell they are trying to create <gdbm/gdbm.h> which
# links to <gdbm.h>.
pushd $RPM_BUILD_ROOT%{mingw32_includedir}
mkdir gdbm
cd gdbm
ln -s ../gdbm.h
popd

pushd $RPM_BUILD_ROOT%{mingw64_includedir}
mkdir gdbm
cd gdbm
ln -s ../gdbm.h
popd

# Remove man page and info file which duplicate what is in native package.
rm -r $RPM_BUILD_ROOT%{mingw32_mandir}
rm -r $RPM_BUILD_ROOT%{mingw32_infodir}
rm -r $RPM_BUILD_ROOT%{mingw64_mandir}
rm -r $RPM_BUILD_ROOT%{mingw64_infodir}

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete

%mingw_find_lang gdbm


%files -n mingw32-gdbm -f mingw32-gdbm.lang
%{mingw32_bindir}/libgdbm-6.dll
%{mingw32_bindir}/gdbm_dump.exe
%{mingw32_bindir}/gdbm_load.exe
%{mingw32_bindir}/gdbmtool.exe
%{mingw32_includedir}/gdbm.h
%{mingw32_includedir}/gdbm/
%{mingw32_libdir}/libgdbm.dll.a

%files -n mingw32-gdbm-static
%{mingw32_libdir}/libgdbm.a

%files -n mingw64-gdbm -f mingw64-gdbm.lang
%{mingw64_bindir}/libgdbm-6.dll
%{mingw64_bindir}/gdbm_dump.exe
%{mingw64_bindir}/gdbm_load.exe
%{mingw64_bindir}/gdbmtool.exe
%{mingw64_includedir}/gdbm.h
%{mingw64_includedir}/gdbm/
%{mingw64_libdir}/libgdbm.dll.a

%files -n mingw64-gdbm-static
%{mingw64_libdir}/libgdbm.a


