%{?mingw_package_header}

Name:       mingw-gmp
Version:    6.3.0
Release:    %mkrel 1

Summary:    Cross-compiled GNU arbitrary precision library
License:    LGPLv3+ or GPLv2+
Group:      Development/Other
URL:        https://gmplib.org/
Source0:    https://ftp.gnu.org/gnu/gmp/gmp-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-gcc-c++

BuildRequires:  libtool


%description
The gmp package contains GNU MP, a library for arbitrary precision
arithmetic, signed integers operations, rational numbers and floating
point numbers. GNU MP is designed for speed, for both small and very
large operands. GNU MP is fast because it uses fullwords as the basic
arithmetic type, it uses fast algorithms, it carefully optimizes
assembly code for many CPUs' most common inner loops, and it generally
emphasizes speed over simplicity/elegance in its operations.

Install the gmp package if you need a fast arbitrary precision
library.


# Mingw32
%package -n mingw32-gmp
Summary: Cross-compiled GNU arbitrary precision library


%description -n mingw32-gmp
The gmp package contains GNU MP, a library for arbitrary precision
arithmetic, signed integers operations, rational numbers and floating
point numbers. GNU MP is designed for speed, for both small and very
large operands. GNU MP is fast because it uses fullwords as the basic
arithmetic type, it uses fast algorithms, it carefully optimizes
assembly code for many CPUs' most common inner loops, and it generally
emphasizes speed over simplicity/elegance in its operations.

Install the gmp package if you need a fast arbitrary precision
library.


# Mingw64
%package -n mingw64-gmp
Summary: Cross-compiled GNU arbitrary precision library


%description -n mingw64-gmp
The gmp package contains GNU MP, a library for arbitrary precision
arithmetic, signed integers operations, rational numbers and floating
point numbers. GNU MP is designed for speed, for both small and very
large operands. GNU MP is fast because it uses fullwords as the basic
arithmetic type, it uses fast algorithms, it carefully optimizes
assembly code for many CPUs' most common inner loops, and it generally
emphasizes speed over simplicity/elegance in its operations.

Install the gmp package if you need a fast arbitrary precision
library.


%?mingw_debug_package


%prep
%setup -q -n gmp-%{version}


%build
%mingw_configure \
    --enable-shared \
    --disable-static \
    --enable-mpbsd \
    --enable-cxx
export LD_LIBRARY_PATH=`pwd`/.libs
%mingw_make_build


%install
export LD_LIBRARY_PATH=`pwd`/.libs
%mingw_make_install

# Clean out files that should not be part of the rpm.
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/lib{gmp,mp,gmpxx}.la
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/lib{gmp,mp,gmpxx}.la

# Remove documentation which duplicates that found in the native package.
rm -r $RPM_BUILD_ROOT/%{mingw32_prefix}/share
rm -r $RPM_BUILD_ROOT/%{mingw64_prefix}/share


# Win32
%files -n mingw32-gmp
%license COPYING COPYING.LESSERv3 COPYINGv2 COPYINGv3
%doc NEWS README
%{mingw32_bindir}/libgmp-10.dll
%{mingw32_bindir}/libgmpxx-4.dll
%{mingw32_libdir}/libgmp.dll.a
%{mingw32_libdir}/libgmpxx.dll.a
%{mingw32_libdir}/pkgconfig/gmp.pc
%{mingw32_libdir}/pkgconfig/gmpxx.pc
%{mingw32_includedir}/gmp.h
%{mingw32_includedir}/gmpxx.h


# Win64
%files -n mingw64-gmp
%license COPYING COPYING.LESSERv3 COPYINGv2 COPYINGv3
%doc NEWS README
%{mingw64_bindir}/libgmp-10.dll
%{mingw64_bindir}/libgmpxx-4.dll
%{mingw64_libdir}/libgmp.dll.a
%{mingw64_libdir}/libgmpxx.dll.a
%{mingw64_libdir}/pkgconfig/gmp.pc
%{mingw64_libdir}/pkgconfig/gmpxx.pc
%{mingw64_includedir}/gmp.h
%{mingw64_includedir}/gmpxx.h


