%{?mingw_package_header}

%define build_experimental	0
%define build_amrwb	0
%define build_faac	0
%define build_faad	0
%define build_xvid	0
%define build_dts	0
%define build_dirac	0
%define build_gme	1
%define build_x265	0
%define build_voamrwbenc 0
%define build_voaacenc 0

%if "%{?distro_section}" == "tainted"
%define build_amrwb	0
%define build_faac	0
%define build_faad	1
%define build_xvid	0
%define build_dts	1
%define build_x265	1
%define build_voamrwbenc 1
%define build_voaacenc 1
%endif

%global	gstreamer	gstreamer
%global         api_version     1.0
%global	gstreamer_version %{version}

Summary:	Cross compiled GStreamer plug-ins "bad"
Name:		mingw-gstreamer-plugins-bad-free
Version:	1.26.0
Release:	%mkrel 1
Group:		Development/Other
License:	LGPLv2+ and LGPLv2
URL:		https://gstreamer.freedesktop.org/
Source:		https://gstreamer.freedesktop.org/src/gst-plugins-bad/gst-plugins-bad-%{version}.tar.xz

BuildArch:	noarch

BuildRequires:  meson
BuildRequires:  orc

BuildRequires:	mingw32-filesystem >= 95
BuildRequires:	mingw64-filesystem >= 95
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw64-gcc-c++
BuildRequires:	mingw32-gstreamer >= %{gstreamer_version}
BuildRequires:	mingw64-gstreamer >= %{gstreamer_version}
BuildRequires:	mingw32-gstreamer-plugins-base >= %{gstreamer_version}
BuildRequires:	mingw64-gstreamer-plugins-base >= %{gstreamer_version}
BuildRequires:	mingw32-bzip2
BuildRequires:	mingw64-bzip2
BuildRequires:	mingw32-gettext
BuildRequires:	mingw64-gettext
BuildRequires:	mingw32-orc
BuildRequires:	mingw64-orc
BuildRequires:	mingw32-winpthreads
BuildRequires:	mingw64-winpthreads
BuildRequires:	mingw32-SDL
BuildRequires:	mingw64-SDL
BuildRequires:	mingw32-jasper
BuildRequires:	mingw64-jasper
BuildRequires:	mingw32-libgcrypt
BuildRequires:	mingw64-libgcrypt


# For glib-genmarshal
BuildRequires:	glib2-devel


%description
GStreamer is a streaming media framework, based on graphs of elements which
operate on media data.

This package contains plug-ins that aren't tested
well enough, or the code is not of good enough quality.


# Mingw32
%package -n mingw32-gstreamer-plugins-bad-free
Summary:	%{summary}
Requires:	mingw32-gstreamer >= %{gstreamer_version}

%description -n mingw32-gstreamer-plugins-bad-free
GStreamer is a streaming media framework, based on graphs of elements which
operate on media data.

This package contains plug-ins that aren't tested
well enough, or the code is not of good enough quality.


# Mingw64
%package -n mingw64-gstreamer-plugins-bad-free
Summary:	%{summary}
Requires:	mingw64-gstreamer >= %{gstreamer_version}

%description -n mingw64-gstreamer-plugins-bad-free
GStreamer is a streaming media framework, based on graphs of elements which
operate on media data.

This package contains plug-ins that aren't tested
well enough, or the code is not of good enough quality.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n gst-plugins-bad-%{version}

%build
%mingw_meson                                                            \
    -Dpackage-name='%{_vendor} MinGW GStreamer-plugins-bad package'    \
    -Dpackage-origin='https://www.%{_real_vendor}.org/'                  \
    -D doc=disabled \
    -D orc=enabled \
    -D tests=disabled \
    -D examples=disabled

%mingw_ninja


%install
%mingw_ninja_install

# Clean out files that should not be part of the rpm.
rm -f %{buildroot}%{mingw32_libdir}/*.la
rm -f %{buildroot}%{mingw32_libdir}/gstreamer-%{api_version}/*.la
rm -f %{buildroot}%{mingw64_libdir}/*.la
rm -f %{buildroot}%{mingw64_libdir}/gstreamer-%{api_version}/*.la
rm -f %{buildroot}%{mingw32_libdir}/*%{api_version}.a
rm -f %{buildroot}%{mingw32_libdir}/gstreamer-%{api_version}/*.a
rm -f %{buildroot}%{mingw64_libdir}/*%{api_version}.a
rm -f %{buildroot}%{mingw64_libdir}/gstreamer-%{api_version}/*.a
rm -rf %{buildroot}%{mingw32_libdir}/gstreamer-%{api_version}/include
rm -rf %{buildroot}%{mingw64_libdir}/gstreamer-%{api_version}/include

%mingw_find_lang gstreamer-plugins-bad-free --all-name


# Mingw32
%files -n mingw32-gstreamer-plugins-bad-free -f mingw32-gstreamer-plugins-bad-free.lang
%doc AUTHORS COPYING README.md REQUIREMENTS

%{mingw32_bindir}/gst-transcoder-1.0.exe
%{mingw32_datadir}/gstreamer-%{api_version}/encoding-profiles/

# libraries
%{mingw32_bindir}/libgst*-%{api_version}-0.dll

# bad plugins
%{mingw32_libdir}/gstreamer-%{api_version}/libgst*.dll

# %files devel
# plugin helper library headers
%dir %{mingw32_includedir}/gstreamer-%{api_version}/gst/interfaces
%{mingw32_includedir}/gstreamer-%{api_version}/gst/*/*.h


%{mingw32_libdir}/libgst*-%{api_version}.dll.a

%{mingw32_libdir}/pkgconfig/gstreamer-*.pc
%{mingw32_datadir}/gstreamer-%{api_version}/presets/*.prs

# Mingw64
%files -n mingw64-gstreamer-plugins-bad-free -f mingw64-gstreamer-plugins-bad-free.lang
%doc AUTHORS COPYING README.md REQUIREMENTS

%{mingw64_bindir}/gst-transcoder-1.0.exe
%{mingw64_datadir}/gstreamer-%{api_version}/encoding-profiles

# libraries
%{mingw64_bindir}/libgst*-%{api_version}-0.dll

# bad plugins
%{mingw64_libdir}/gstreamer-%{api_version}/libgst*.dll

# %files devel
# plugin helper library headers
%dir %{mingw64_includedir}/gstreamer-%{api_version}/gst/interfaces
%{mingw64_includedir}/gstreamer-%{api_version}/gst/*/*.h

%{mingw64_libdir}/libgst*-%{api_version}.dll.a

%{mingw64_libdir}/pkgconfig/*-%{api_version}.pc
%{mingw64_datadir}/gstreamer-%{api_version}/presets/*.prs


