%{?mingw_package_header}

%global         api_version      1.0

Name:		mingw-gstreamer-plugins-base
Version:        1.26.0
Release:	%mkrel 1
Summary:        Cross compiled GStreamer1 media framework base plug-ins
Group:          Sound/Utilities
License:        LGPLv2+
URL:            https://gstreamer.freedesktop.org/
Source:         https://gstreamer.freedesktop.org/src/gst-plugins-base/gst-plugins-base-%{version}.tar.xz

BuildArch:	noarch

BuildRequires:  gettext
BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  orc

BuildRequires:	mingw32-filesystem >= 95
BuildRequires:	mingw32-gcc
BuildRequires:	mingw32-binutils
BuildRequires:	mingw32-gettext
BuildRequires:	mingw32-gcc-c++
BuildRequires:	mingw32-gstreamer >= %{version}
BuildRequires:	mingw32-libogg >= 1.0
BuildRequires:	mingw32-libvorbis >= 1.0
BuildRequires:  mingw32-libtheora
BuildRequires:  mingw32-orc
BuildRequires:	mingw32-gtk3
BuildRequires:	mingw32-pango
BuildRequires:  mingw32-libxml2

BuildRequires:	mingw64-filesystem >= 95
BuildRequires:	mingw64-gcc
BuildRequires:	mingw64-binutils
BuildRequires:	mingw64-gettext
BuildRequires:	mingw64-gcc-c++
BuildRequires:	mingw64-gstreamer >= %{version}
BuildRequires:	mingw64-libogg >= 1.0
BuildRequires:	mingw64-libvorbis >= 1.0
BuildRequires:  mingw64-libtheora
BuildRequires:  mingw64-orc
BuildRequires:	mingw64-gtk3
BuildRequires:	mingw64-pango
BuildRequires:  mingw64-libxml2

BuildRequires:  perl
# We need glib-mkenums
BuildRequires:	pkgconfig(glib-2.0)


%description
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related. Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of well-maintained base plug-ins.


# Win32
%package -n mingw32-gstreamer-plugins-base
Summary:	Cross compiled GStreamer media framework base plug-ins
Requires:	mingw32-gstreamer >= %{version}

%description  -n mingw32-gstreamer-plugins-base
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of well-maintained base plug-ins.

# Win64
%package -n mingw64-gstreamer-plugins-base
Summary:	Cross compiled GStreamer media framework base plug-ins
Requires:	mingw64-gstreamer >= %{version}

%description  -n mingw64-gstreamer-plugins-base
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of well-maintained base plug-ins.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n gst-plugins-base-%{version}


%build
%mingw_meson                                                           \
    -Dpackage-name='%{_vendor} MinGW GStreamer-plugins-base package'   \
    -Dpackage-origin='https://www.%{_real_vendor}.org'                  \
    -D doc=disabled \
    -D orc=enabled \
    -D tremor=disabled \
    -D tests=disabled \
    -D examples=disabled

%mingw_ninja


%install
%mingw_ninja_install

# Drop man pages
rm -rf %{buildroot}%{mingw32_mandir}
rm -rf %{buildroot}%{mingw64_mandir}

# Drop import libs for plugins
rm -rf %{buildroot}%{mingw32_libdir}/gstreamer-%{api_version}/*.dll.a
rm -rf %{buildroot}%{mingw64_libdir}/gstreamer-%{api_version}/*.dll.a

%mingw_find_lang gst-plugins-base-%{api_version}


# Win32
%files -n mingw32-gstreamer-plugins-base -f mingw32-gst-plugins-base-%{api_version}.lang
%license COPYING
%doc AUTHORS README.md REQUIREMENTS

%{mingw32_bindir}/gst-device-monitor-%{api_version}.exe
%{mingw32_bindir}/gst-play-%{api_version}.exe
%{mingw32_bindir}/gst-discoverer-%{api_version}.exe
%{mingw32_bindir}/libgstallocators-%{api_version}-0.dll
%{mingw32_bindir}/libgstapp-%{api_version}-0.dll
%{mingw32_bindir}/libgstaudio-%{api_version}-0.dll
%{mingw32_bindir}/libgstfft-%{api_version}-0.dll
%{mingw32_bindir}/libgstgl-%{api_version}-0.dll
%{mingw32_bindir}/libgstpbutils-%{api_version}-0.dll
%{mingw32_bindir}/libgstriff-%{api_version}-0.dll
%{mingw32_bindir}/libgstrtp-%{api_version}-0.dll
%{mingw32_bindir}/libgstrtsp-%{api_version}-0.dll
%{mingw32_bindir}/libgstsdp-%{api_version}-0.dll
%{mingw32_bindir}/libgsttag-%{api_version}-0.dll
%{mingw32_bindir}/libgstvideo-%{api_version}-0.dll

%{mingw32_includedir}/gstreamer-%{api_version}/

%{mingw32_libdir}/gstreamer-%{api_version}/*.dll
%{mingw32_libdir}/gstreamer-%{api_version}/include
%{mingw32_libdir}/libgstallocators-%{api_version}.dll.a
%{mingw32_libdir}/libgstapp-%{api_version}.dll.a
%{mingw32_libdir}/libgstaudio-%{api_version}.dll.a
%{mingw32_libdir}/libgstfft-%{api_version}.dll.a
%{mingw32_libdir}/libgstgl-%{api_version}.dll.a
%{mingw32_libdir}/libgstpbutils-%{api_version}.dll.a
%{mingw32_libdir}/libgstriff-%{api_version}.dll.a
%{mingw32_libdir}/libgstrtp-%{api_version}.dll.a
%{mingw32_libdir}/libgstrtsp-%{api_version}.dll.a
%{mingw32_libdir}/libgstsdp-%{api_version}.dll.a
%{mingw32_libdir}/libgsttag-%{api_version}.dll.a
%{mingw32_libdir}/libgstvideo-%{api_version}.dll.a

%{mingw32_libdir}/pkgconfig/*.pc

%{mingw32_datadir}/gst-plugins-base

# Win64
%files -n mingw64-gstreamer-plugins-base -f mingw64-gst-plugins-base-%{api_version}.lang
%license COPYING
%doc AUTHORS README.md REQUIREMENTS

%{mingw64_bindir}/gst-device-monitor-%{api_version}.exe
%{mingw64_bindir}/gst-play-%{api_version}.exe
%{mingw64_bindir}/gst-discoverer-%{api_version}.exe
%{mingw64_bindir}/libgstallocators-%{api_version}-0.dll
%{mingw64_bindir}/libgstapp-%{api_version}-0.dll
%{mingw64_bindir}/libgstaudio-%{api_version}-0.dll
%{mingw64_bindir}/libgstfft-%{api_version}-0.dll
%{mingw64_bindir}/libgstgl-%{api_version}-0.dll
%{mingw64_bindir}/libgstpbutils-%{api_version}-0.dll
%{mingw64_bindir}/libgstriff-%{api_version}-0.dll
%{mingw64_bindir}/libgstrtp-%{api_version}-0.dll
%{mingw64_bindir}/libgstrtsp-%{api_version}-0.dll
%{mingw64_bindir}/libgstsdp-%{api_version}-0.dll
%{mingw64_bindir}/libgsttag-%{api_version}-0.dll
%{mingw64_bindir}/libgstvideo-%{api_version}-0.dll

%{mingw64_includedir}/gstreamer-%{api_version}/

%{mingw64_libdir}/gstreamer-%{api_version}/*.dll
%{mingw64_libdir}/gstreamer-%{api_version}/include
%{mingw64_libdir}/libgstallocators-%{api_version}.dll.a
%{mingw64_libdir}/libgstapp-%{api_version}.dll.a
%{mingw64_libdir}/libgstaudio-%{api_version}.dll.a
%{mingw64_libdir}/libgstfft-%{api_version}.dll.a
%{mingw64_libdir}/libgstgl-%{api_version}.dll.a
%{mingw64_libdir}/libgstpbutils-%{api_version}.dll.a
%{mingw64_libdir}/libgstriff-%{api_version}.dll.a
%{mingw64_libdir}/libgstrtp-%{api_version}.dll.a
%{mingw64_libdir}/libgstrtsp-%{api_version}.dll.a
%{mingw64_libdir}/libgstsdp-%{api_version}.dll.a
%{mingw64_libdir}/libgsttag-%{api_version}.dll.a
%{mingw64_libdir}/libgstvideo-%{api_version}.dll.a

%{mingw64_libdir}/pkgconfig/*.pc

%{mingw64_datadir}/gst-plugins-base

