%{?mingw_package_header}

# first two digits of version
%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')

%define po_package gtksourceview-3.0

Name:           mingw-gtksourceview3
Version:        3.24.11
Release:        %mkrel 4
Summary:        MinGW Windows library for viewing source files

# the library itself is LGPL, some .lang files are GPL
License:        LGPLv2+ and GPLv2+
Group:          Development/Other
URL:            https://www.gtk.org/
Source0:        https://download.gnome.org/sources/gtksourceview/%{release_version}/gtksourceview-%{version}.tar.xz
# Fix assignment to incompatible pointer type
Patch0:         gtksourceview-incompat-pointer-type.patch

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw64-binutils
BuildRequires:  mingw32-gettext
BuildRequires:  mingw64-gettext
BuildRequires:  mingw32-gtk3
BuildRequires:  mingw64-gtk3
BuildRequires:  mingw32-libxml2
BuildRequires:  mingw64-libxml2

# Native one for msgfmt
BuildRequires:  gettext
# Native one for glib-genmarshal and glib-mkenums
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  intltool

%description
GtkSourceView is a text widget that extends the standard GTK+
GtkTextView widget. It improves GtkTextView by implementing
syntax highlighting and other features typical of a source code editor.

This package contains the MinGW Windows cross compiled GtkSourceView library,
version 3.


%package -n     mingw32-gtksourceview3
Summary:        MinGW Windows library for viewing source files

%description -n mingw32-gtksourceview3
GtkSourceView is a text widget that extends the standard GTK+
GtkTextView widget. It improves GtkTextView by implementing
syntax highlighting and other features typical of a source code editor.

This package contains the MinGW Windows cross compiled GtkSourceView library,
version 3.


%package -n     mingw64-gtksourceview3
Summary:        MinGW Windows library for viewing source files

%description -n mingw64-gtksourceview3
GtkSourceView is a text widget that extends the standard GTK+
GtkTextView widget. It improves GtkTextView by implementing
syntax highlighting and other features typical of a source code editor.

This package contains the MinGW Windows cross compiled GtkSourceView library,
version 3.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n gtksourceview-%{version}


%build
%mingw_configure \
  --disable-static \
  --disable-gtk-doc \
  --disable-introspection

%mingw_make_build


%install
%mingw_make_install

# Remove .la files
rm %{buildroot}%{mingw32_libdir}/*.la
rm %{buildroot}%{mingw64_libdir}/*.la

# Remove documentation that duplicates what's in the native package
rm -rf %{buildroot}%{mingw32_datadir}/gtk-doc
rm -rf %{buildroot}%{mingw64_datadir}/gtk-doc

%mingw_find_lang %{po_package}


%files -n mingw32-gtksourceview3 -f mingw32-%{po_package}.lang
%license COPYING
%{mingw32_bindir}/libgtksourceview-3.0-1.dll
%{mingw32_includedir}/gtksourceview-3.0/
%{mingw32_libdir}/libgtksourceview-3.0.dll.a
%{mingw32_libdir}/pkgconfig/gtksourceview-3.0.pc
%{mingw32_datadir}/gtksourceview-3.0/

%files -n mingw64-gtksourceview3 -f mingw64-%{po_package}.lang
%license COPYING
%{mingw64_bindir}/libgtksourceview-3.0-1.dll
%{mingw64_includedir}/gtksourceview-3.0/
%{mingw64_libdir}/libgtksourceview-3.0.dll.a
%{mingw64_libdir}/pkgconfig/gtksourceview-3.0.pc
%{mingw64_datadir}/gtksourceview-3.0/


