%{?mingw_package_header}

%global pkgname gtkspell3

Name:          mingw-%{pkgname}
Version:       3.0.10
Release:       %mkrel 4
Summary:       MinGW Windows GtkSpell3 library
License:       GPLv2+
Group:         Development/Other
BuildArch:     noarch
URL:           https://gtkspell.sourceforge.net/
Source0:       https://downloads.sourceforge.net/gtkspell/%{pkgname}-%{version}.tar.xz

BuildRequires: intltool

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc
BuildRequires: mingw32-enchant2
BuildRequires: mingw32-gettext
BuildRequires: mingw32-gtk3

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc
BuildRequires: mingw64-enchant2
BuildRequires: mingw64-gettext
BuildRequires: mingw64-gtk3


%description
MinGW Windows GtkSpell3 library.


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows GtkSpell3 library

%description -n mingw32-%{pkgname}
MinGW Windows GtkSpell3 library.


%package -n mingw32-%{pkgname}-static
Summary:       Static version of the MinGW Windows GtkSpell3 library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-static
Static version of the MinGW Windows GtkSpell3 library.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows GtkSpell3 library

%description -n mingw64-%{pkgname}
MinGW Windows GtkSpell3 library.


%package -n mingw64-%{pkgname}-static
Summary:       Static version of the MinGW Windows GtkSpell3 library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-static
Static version of the MinGW Windows GtkSpell3 library.


%{?mingw_debug_package}


%prep
%setup -q -n %{pkgname}-%{version}


%build
%mingw_configure
%mingw_make_build


%install
%mingw_make_install

# Delete *.la files
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%mingw_find_lang %{pkgname}


%files -n mingw32-%{pkgname} -f mingw32-%{pkgname}.lang
%license COPYING
%{mingw32_bindir}/libgtkspell3-3-0.dll
%{mingw32_includedir}/gtkspell-3.0/
%{mingw32_libdir}/libgtkspell3-3.dll.a
%{mingw32_libdir}/pkgconfig/gtkspell3-3.0.pc

%files -n mingw32-%{pkgname}-static
%{mingw32_libdir}/libgtkspell3-3.a

%files -n mingw64-%{pkgname} -f mingw64-%{pkgname}.lang
%license COPYING
%{mingw64_bindir}/libgtkspell3-3-0.dll
%{mingw64_includedir}/gtkspell-3.0/
%{mingw64_libdir}/libgtkspell3-3.dll.a
%{mingw64_libdir}/pkgconfig/gtkspell3-3.0.pc

%files -n mingw64-%{pkgname}-static
%{mingw64_libdir}/libgtkspell3-3.a


