%{?mingw_package_header}

%global pkgname libcharset

Name:          mingw-%{pkgname}
Version:       1.17
Summary:       MinGW Windows libcharset library
Release:       %mkrel 1
Group:         Development/Other

BuildArch:     noarch
License:       LGPLv2+
URL:           https://www.haible.de/bruno/packages-libcharset.html
Source0:       https://ftp.gnu.org/pub/gnu/libiconv/libiconv-%{version}.tar.gz

BuildRequires: make
BuildRequires: automake autoconf libtool libtool-ltdl-devel bison flex

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc


%description
MinGW Windows libcharset library.


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows libcharset library

%description -n mingw32-%{pkgname}
MinGW Windows libcharset library.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows libcharset library

%description -n mingw64-%{pkgname}
MinGW Windows libcharset library.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n libiconv-%{version}


%build
(
cd libcharset
%mingw_configure --disable-static
%mingw_make_build
)


%install
(
cd libcharset
%mingw_make_install
)

find %{buildroot} -name *.la -delete


%files -n mingw32-%{pkgname}
%license libcharset/COPYING.LIB
%{mingw32_bindir}/libcharset-1.dll
%{mingw32_includedir}/*.h
%{mingw32_libdir}/libcharset.dll.a

%files -n mingw64-%{pkgname}
%license libcharset/COPYING.LIB
%{mingw64_bindir}/libcharset-1.dll
%{mingw64_includedir}/*.h
%{mingw64_libdir}/libcharset.dll.a
