%{?mingw_package_header}

%global pkgname libgeotiff

Name:      mingw-%{pkgname}
Version:   1.7.3
Release:   %mkrel 2
Summary:   MinGW Windows %{pkgname} library

Group:     Development/Other
License:   MIT
URL:       https://trac.osgeo.org/geotiff/
BuildArch: noarch
Source0:   https://download.osgeo.org/geotiff/%{pkgname}/%{pkgname}-%{version}.tar.gz
# Honour LIB_SUFFIX
# Honour GEOTIFF_INCLUDE_SUBDIR
# Add version suffix to mingw library
# Fix cmake module install dir
# Don't install docs
Patch0:    libgeotiff_cmake.patch

BuildRequires: cmake

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc-c++
BuildRequires: mingw32-binutils
BuildRequires: mingw32-libtiff
BuildRequires: mingw32-libjpeg
BuildRequires: mingw32-proj
BuildRequires: mingw32-zlib

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc-c++
BuildRequires: mingw64-binutils
BuildRequires: mingw64-libtiff
BuildRequires: mingw64-libjpeg
BuildRequires: mingw64-proj
BuildRequires: mingw64-zlib


%description
%{summary}.


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows %{pkgname} library
Obsoletes:     mingw32-%{pkgname}-static < 1.6.0-4

%description -n mingw32-%{pkgname}
%{summary}.


%package -n mingw32-%{pkgname}-tools
Summary:       Tools for the MinGW Windows %{pkgname} library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-tools
%{summary}.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows %{pkgname} library
Obsoletes:     mingw64-%{pkgname}-static < 1.6.0-4

%description -n mingw64-%{pkgname}
%{summary}.


%package -n mingw64-%{pkgname}-tools
Summary:       Tools for the MinGW Windows %{pkgname} library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-tools
%{summary}.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n %{pkgname}-%{version}


%build
MINGW32_CMAKE_ARGS=-DCMAKE_INSTALL_INCLUDEDIR=%{mingw32_includedir}/%{pkgname} \
MINGW64_CMAKE_ARGS=-DCMAKE_INSTALL_INCLUDEDIR=%{mingw64_includedir}/%{pkgname} \
%mingw_cmake
%mingw_make_build


%install
%mingw_make_install

# install pkgconfig files
mkdir -p %{buildroot}%{mingw32_libdir}/pkgconfig/
cat > %{buildroot}%{mingw32_libdir}/pkgconfig/%{pkgname}.pc <<EOF
prefix=%{mingw32_prefix}
exec_prefix=%{mingw32_prefix}
libdir=%{mingw32_libdir}
includedir=%{mingw32_includedir}/%{pkgname}

Name: %{pkgname}
Description: GeoTIFF file format library
Version: %{version}
Libs: -L\${libdir} -lgeotiff
Cflags: -I\${includedir}
EOF

mkdir -p %{buildroot}%{mingw64_libdir}/pkgconfig/
cat > %{buildroot}%{mingw64_libdir}/pkgconfig/%{pkgname}.pc <<EOF
prefix=%{mingw64_prefix}
exec_prefix=%{mingw64_prefix}
libdir=%{mingw64_libdir}
includedir=%{mingw64_includedir}/%{pkgname}

Name: %{pkgname}
Description: GeoTIFF file format library
Version: %{version}
Libs: -L\${libdir} -lgeotiff
Cflags: -I\${includedir}
EOF

%mingw_debug_install_post


%files -n mingw32-%{pkgname}
%doc ChangeLog README
%license COPYING
%{mingw32_bindir}/libgeotiff-5.dll
%{mingw32_includedir}/%{pkgname}/
%{mingw32_datadir}/*
%{mingw32_libdir}/libgeotiff.dll.a
%{mingw32_libdir}/pkgconfig/libgeotiff.pc
%{mingw32_libdir}/cmake/GeoTIFF/

%files -n mingw32-%{pkgname}-tools
%{mingw32_bindir}/*.exe

%files -n mingw64-%{pkgname}
%doc ChangeLog README
%license COPYING
%{mingw64_bindir}/libgeotiff-5.dll
%{mingw64_includedir}/%{pkgname}/
%{mingw64_datadir}/*
%{mingw64_libdir}/libgeotiff.dll.a
%{mingw64_libdir}/pkgconfig/libgeotiff.pc
%{mingw64_libdir}/cmake/GeoTIFF/

%files -n mingw64-%{pkgname}-tools
%{mingw64_bindir}/*.exe


