%{?mingw_package_header}

%global _pkg_name libgsf

Summary:	MinGW build of structured file editing library
Name:		mingw-%{_pkg_name}
Version:	1.14.53
Release:	%mkrel 1
License:	LGPLv2+
Group:		Development/Other
URL:		https://www.gnome.org/
Source:		https://download.gnome.org/sources/libgsf/1.14/libgsf-%{version}.tar.xz

BuildArch:	noarch

BuildRequires:	mingw32-zlib
BuildRequires:	mingw32-glib2
BuildRequires:	mingw32-libxml2
BuildRequires:	mingw32-gettext
BuildRequires:	mingw32-bzip2
BuildRequires:	mingw32-filesystem >= 95
BuildRequires:	mingw32-gcc
BuildRequires:	mingw32-gcc-c++
BuildRequires:	mingw32-binutils

BuildRequires:	mingw64-zlib
BuildRequires:	mingw64-glib2
BuildRequires:	mingw64-libxml2
BuildRequires:	mingw64-gettext
BuildRequires:	mingw64-bzip2
BuildRequires:	mingw64-filesystem >= 95
BuildRequires:	mingw64-gcc
BuildRequires:	mingw64-gcc-c++
BuildRequires:	mingw64-binutils

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	intltool
BuildRequires:	gtk-doc


%description
MinGW Windows port of the library for reading and writing structured files.


# Win32
%package -n mingw32-%{_pkg_name}
Summary:	%{summary}

%description -n mingw32-%{_pkg_name}
MinGW Windows port of the library for reading and writing structured files.

%package -n mingw32-%{_pkg_name}-static
Summary:	%{summary}
Requires:	mingw32-%{_pkg_name} = %{version}-%{release}

%description -n mingw32-%{_pkg_name}-static
Static version of the MinGW Windows libgsf library.

# Win64
%package -n mingw64-%{_pkg_name}
Summary:	%{summary}

%description -n mingw64-%{_pkg_name}
MinGW Windows port of the library for reading and writing structured files.

%package -n mingw64-%{_pkg_name}-static
Summary:	%{summary}
Requires:	mingw64-%{_pkg_name} = %{version}-%{release}

%description -n mingw64-%{_pkg_name}-static
Static version of the MinGW Windows libgsf library.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n %{_pkg_name}-%{version}


%build
autoreconf -vfi
%mingw_configure --enable-static --enable-shared \
	--without-python --disable-gtk-doc
%mingw_make_build


%install
%mingw_make_install

rm -r ${RPM_BUILD_ROOT}%{mingw32_mandir}/man1/
rm -r ${RPM_BUILD_ROOT}%{mingw64_mandir}/man1/

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete

%mingw_find_lang %{_pkg_name}

# Win32
%files -n mingw32-%{_pkg_name} -f mingw32-%{_pkg_name}.lang
%doc COPYING README ChangeLog
%{mingw32_bindir}/libgsf-1-114.dll
%{mingw32_bindir}/libgsf-win32-1-114.dll
%{mingw32_bindir}/gsf.exe
%{mingw32_bindir}/gsf-office-thumbnailer.exe
%{mingw32_bindir}/gsf-vba-dump.exe
%{mingw32_libdir}/libgsf-1.dll.a
%{mingw32_libdir}/libgsf-win32-1.dll.a
%{mingw32_libdir}/pkgconfig/libgsf-1.pc
%{mingw32_libdir}/pkgconfig/libgsf-win32-1.pc
%{mingw32_includedir}/libgsf-1/gsf
%{mingw32_includedir}/libgsf-1/gsf-win32
%{mingw32_datadir}/thumbnailers/gsf-office.thumbnailer

%files -n mingw32-%{_pkg_name}-static
%{mingw32_libdir}/libgsf-win32-1.a
%{mingw32_libdir}/libgsf-1.a

# Win64
%files -n mingw64-%{_pkg_name} -f mingw64-%{_pkg_name}.lang
%doc COPYING README ChangeLog
%{mingw64_bindir}/libgsf-1-114.dll
%{mingw64_bindir}/libgsf-win32-1-114.dll
%{mingw64_bindir}/gsf.exe
%{mingw64_bindir}/gsf-office-thumbnailer.exe
%{mingw64_bindir}/gsf-vba-dump.exe
%{mingw64_libdir}/libgsf-1.dll.a
%{mingw64_libdir}/libgsf-win32-1.dll.a
%{mingw64_libdir}/pkgconfig/libgsf-1.pc
%{mingw64_libdir}/pkgconfig/libgsf-win32-1.pc
%{mingw64_includedir}/libgsf-1/gsf
%{mingw64_includedir}/libgsf-1/gsf-win32
%{mingw64_datadir}/thumbnailers/gsf-office.thumbnailer

%files -n mingw64-%{_pkg_name}-static
%{mingw64_libdir}/libgsf-win32-1.a
%{mingw64_libdir}/libgsf-1.a


