%define mingw_build_win64 0
%define __strip %{mingw32_strip}
%define __objdump %{mingw32_objdump}

Summary: Library of Optimized Inner Loops, CPU optimized functions
Name: mingw-liboil
Version: 0.3.17
Release: %mkrel 6
# See COPYING which details everything, various BSD licenses apply
License: BSD
Group: Development/Other
URL: https://liboil.freedesktop.org/
Source: https://liboil.freedesktop.org/download/liboil-%{version}.tar.gz


BuildArch: noarch

BuildRequires: mingw32-filesystem >= 40
BuildRequires: mingw32-gcc
BuildRequires: mingw32-binutils
BuildRequires: mingw32-glib2
BuildRequires: pkgconfig


%description
Liboil is a library of simple functions that are optimized for various CPUs.
These functions are generally loops implementing simple algorithms, such as
converting an array of N integers to floating-poing numbers or multiplying
and summing an array of N numbers. Clearly such functions are candidates for
significant optimization using various techniques, especially by using
extended instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).


%package -n mingw32-liboil
Summary:        Library of Optimized Inner Loops, CPU optimized functions
Requires:       pkgconfig

%description -n mingw32-liboil
Liboil is a library of simple functions that are optimized for various CPUs.
These functions are generally loops implementing simple algorithms, such as
converting an array of N integers to floating-poing numbers or multiplying
and summing an array of N numbers. Clearly such functions are candidates for
significant optimization using various techniques, especially by using
extended instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).


%prep
%setup -q -n liboil-%{version}
%autopatch -p0


%build
%mingw_configure
%mingw_make %{?_smp_mflags}


%install
%mingw_make DESTDIR=$RPM_BUILD_ROOT install

# Remove static libraries but DON'T remove *.dll.a files.
rm $RPM_BUILD_ROOT%{mingw32_libdir}/liboil-0.3.a
rm $RPM_BUILD_ROOT%{mingw32_libdir}/liboil-0.3.la

# Remove manpages which duplicate Fedora native.
rm -rf $RPM_BUILD_ROOT%{_mingw_mandir} 

# Remove documentation too.
rm -rf $RPM_BUILD_ROOT%{mingw32_datadir}/gtk-doc


%files -n mingw32-liboil
%doc AUTHORS COPYING BUG-REPORTING NEWS README
%{mingw32_bindir}/oil-bugreport.exe
%{mingw32_includedir}/*
%{mingw32_bindir}/liboil-0.3*.dll
%{mingw32_libdir}/liboil-0.3*.dll.a
%{mingw32_libdir}/pkgconfig/liboil-0.3*.pc


