%?mingw_package_header

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:           mingw-libsigc++20
Version:        2.10.6
Release:        %mkrel 2
Summary:        MinGW Windows port of the typesafe signal framework for C++

License:        LGPLv2+
Group:          Development/Other
URL:            https://libsigc.sourceforge.net/
Source0:        https://download.gnome.org/sources/libsigc++/%{url_ver}/libsigc++-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  meson

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw32-binutils
BuildRequires:  mingw64-binutils

BuildRequires:  m4

%description
This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. Originally
part of the Gtk-- widget set, libsigc++ is now a separate library to
provide for more general use. It is the most complete library of its
kind with the ability to connect an abstract callback to a class
method, function, or function object. It contains adaptor classes for
connection of dissimilar callbacks and has an ease of use unmatched by
other C++ callback libraries.

Package GTK-- (gtkmm), which is a C++ binding to the GTK+ library,
starting with version 1.1.2, uses libsigc++.


# Win32
%package -n mingw32-libsigc++20
Summary:        MinGW Windows port of the typesafe signal framework for C++

%description -n mingw32-libsigc++20
This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. Originally
part of the Gtk-- widget set, libsigc++ is now a separate library to
provide for more general use. It is the most complete library of its
kind with the ability to connect an abstract callback to a class
method, function, or function object. It contains adaptor classes for
connection of dissimilar callbacks and has an ease of use unmatched by
other C++ callback libraries.

Package GTK-- (gtkmm), which is a C++ binding to the GTK+ library,
starting with version 1.1.2, uses libsigc++.

%package -n mingw32-libsigc++20-static
Summary:        Static cross compiled version of the libsigc++ library
Requires:       mingw32-libsigc++20 = %{version}-%{release}

%description -n mingw32-libsigc++20-static
Static cross compiled version of the libsigc++ library.

# Win64
%package -n mingw64-libsigc++20
Summary:        MinGW Windows port of the typesafe signal framework for C++

%description -n mingw64-libsigc++20
This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. Originally
part of the Gtk-- widget set, libsigc++ is now a separate library to
provide for more general use. It is the most complete library of its
kind with the ability to connect an abstract callback to a class
method, function, or function object. It contains adaptor classes for
connection of dissimilar callbacks and has an ease of use unmatched by
other C++ callback libraries.

Package GTK-- (gtkmm), which is a C++ binding to the GTK+ library,
starting with version 1.1.2, uses libsigc++.

%package -n mingw64-libsigc++20-static
Summary:        Static cross compiled version of the libsigc++ library
Requires:       mingw64-libsigc++20 = %{version}-%{release}

%description -n mingw64-libsigc++20-static
Static cross compiled version of the libsigc++ library.


%?mingw_debug_package


%prep
%setup -q -n libsigc++-%{version}


%build
%mingw_meson --default-library=both -Dbuild-documentation=false
%mingw_ninja


%install
%mingw_ninja_install

chmod a-x %{buildroot}%{mingw32_libdir}/libsigc-2.0.dll.a
chmod a-x %{buildroot}%{mingw64_libdir}/libsigc-2.0.dll.a


# Win32
%files -n mingw32-libsigc++20
%license COPYING
%{mingw32_bindir}/libsigc-2.0-0.dll
%{mingw32_libdir}/libsigc-2.0.dll.a
%{mingw32_libdir}/pkgconfig/sigc++-2.0.pc
%{mingw32_includedir}/sigc++-2.0
%{mingw32_libdir}/sigc++-2.0

%files -n mingw32-libsigc++20-static
%{mingw32_libdir}/libsigc-2.0.a

# Win64
%files -n mingw64-libsigc++20
%license COPYING
%{mingw64_bindir}/libsigc-2.0-0.dll
%{mingw64_libdir}/libsigc-2.0.dll.a
%{mingw64_libdir}/pkgconfig/sigc++-2.0.pc
%{mingw64_includedir}/sigc++-2.0
%{mingw64_libdir}/sigc++-2.0

%files -n mingw64-libsigc++20-static
%{mingw64_libdir}/libsigc-2.0.a


