%{?mingw_package_header}

%global pkgname openjpeg

Name:          mingw-%{pkgname}
Version:       1.5.2
Release:       %mkrel 6
Summary:       MinGW Windows OpenJPEG library

License:       BSD
Group:         Development/Other
URL:           https://code.google.com/p/openjpeg/
BuildArch:     noarch
Source0:       http://openjpeg.googlecode.com/files/%{pkgname}-%{version}.tar.gz
# The replace the OPJ_CHECK_LIB macro with PKG_CHECK_MODULES, since OPJ_CHECK_LIB searches in /usr/include and screws up the build...
Patch0:        openjpeg-1.5_tiff-pkgconfig.patch
# CVE-2013-1447, see rhbz#1037945
Patch1:        rhbz1037945_CVE-2013-1447.patch
# CVE-2013-6887, see rhbz#1037948
Patch2:        rhbz1037948_CVE-2013-6887.patch
# CVE-2014-0158, see rhbz#1082997
Patch3:        rhbz1082997_CVE-2014-0158.patch

BuildRequires: autoconf 
BuildRequires: automake 
BuildRequires: libtool 
BuildRequires: dos2unix

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-pkg-config
BuildRequires: mingw32-gcc
BuildRequires: mingw32-lcms2
BuildRequires: mingw32-libtiff
BuildRequires: mingw32-libpng
BuildRequires: mingw32-zlib

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-pkg-config
BuildRequires: mingw64-gcc
BuildRequires: mingw64-lcms2
BuildRequires: mingw64-libtiff
BuildRequires: mingw64-libpng
BuildRequires: mingw64-zlib


%description
MinGW Windows OpenJPEG library.


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows OpenJPEG library

%description -n mingw32-%{pkgname}
MinGW Windows OpenJPEG library.


%package -n mingw32-%{pkgname}-static
Summary:       Static version of the MinGW Windows OpenJPEG library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-static
Static version of the MinGW Windows OpenJPEG library.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows OpenJPEG library

%description -n mingw64-%{pkgname}
MinGW Windows OpenJPEG library.


%package -n mingw64-%{pkgname}-static
Summary:       Static version of the MinGW Windows OpenJPEG library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-static
Static version of the MinGW Windows OpenJPEG library.


%{?mingw_debug_package}


%prep
%setup -q -n %{pkgname}-%{version}

# Fix CRLF line endings
dos2unix libopenjpeg/opj_malloc.h

%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1


%build
# Needed for Patch0
autoreconf -i

%mingw_configure --disable-doc
%mingw_make %{?_smp_mflags} V=1


%install
%mingw_make DESTDIR=%{buildroot} install

# Delete *.la files
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# Delete doc files
rm -rf %{buildroot}%{mingw32_docdir}
rm -rf %{buildroot}%{mingw64_docdir}

# Delete man files
rm -rf %{buildroot}%{mingw32_mandir}
rm -rf %{buildroot}%{mingw64_mandir}

# Delete exe files
rm -f %{buildroot}%{mingw32_bindir}/*.exe
rm -f %{buildroot}%{mingw64_bindir}/*.exe


%files -n mingw32-%{pkgname}
%doc CHANGES LICENSE
%{mingw32_bindir}/libopenjpeg-1.dll
%{mingw32_includedir}/openjpeg-1.5
%{mingw32_libdir}/libopenjpeg.dll.a
%{mingw32_libdir}/pkgconfig/libopenjpeg.pc
%{mingw32_libdir}/pkgconfig/libopenjpeg1.pc

%files -n mingw32-%{pkgname}-static
%{mingw32_libdir}/libopenjpeg.a

%files -n mingw64-%{pkgname}
%doc CHANGES LICENSE
%{mingw64_bindir}/libopenjpeg-1.dll
%{mingw64_includedir}/openjpeg-1.5
%{mingw64_libdir}/libopenjpeg.dll.a
%{mingw64_libdir}/pkgconfig/libopenjpeg.pc
%{mingw64_libdir}/pkgconfig/libopenjpeg1.pc

%files -n mingw64-%{pkgname}-static
%{mingw64_libdir}/libopenjpeg.a


