%{?mingw_package_header}

Name:           mingw-p11-kit
Version:        0.23.20
Release:        %mkrel 4
Summary:        MinGW Library for loading and sharing PKCS#11 modules

License:        BSD
Group:          Development/Other
URL:            https://p11-glue.freedesktop.org/p11-kit.html
Source0:        https://github.com/p11-glue/p11-kit/archive/%{version}/p11-kit-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-libffi
BuildRequires:  mingw32-libtasn1

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-libffi
BuildRequires:  mingw64-libtasn1

BuildRequires:  meson
BuildRequires:  libtasn1-tools

# Yes, really ...
BuildRequires:  pkgconfig

# For native /usr/bin/msgfmt etc.
BuildRequires:  gettext-devel
# For native GTK HTML documentation
BuildRequires:  gtk-doc


%description
p11-kit provides a way to load and enumerate PKCS#11 modules, as well as
a standard configuration setup for installing PKCS#11 modules in such a
way that they're discoverable.  This library is cross-compiled for MinGW.


%package -n mingw32-p11-kit
Summary:        MinGW Library for loading and sharing PKCS#11 modules
Requires:       pkgconfig

%description -n mingw32-p11-kit
p11-kit provides a way to load and enumerate PKCS#11 modules, as well as
a standard configuration setup for installing PKCS#11 modules in such a
way that they're discoverable.  This library is cross-compiled for MinGW.

%package -n mingw64-p11-kit
Summary:        MinGW Library for loading and sharing PKCS#11 modules
Requires:       pkgconfig

%description -n mingw64-p11-kit
p11-kit provides a way to load and enumerate PKCS#11 modules, as well as
a standard configuration setup for installing PKCS#11 modules in such a
way that they're discoverable.  This library is cross-compiled for MinGW.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n p11-kit-%{version}


%build
%mingw_meson
%mingw_ninja


%install
%mingw_ninja_install
rm -f $RPM_BUILD_ROOT%{mingw32_datadir}/info/dir
rm -f $RPM_BUILD_ROOT%{mingw64_datadir}/info/dir

# Remove gtk-doc pages which duplicate stuff in Fedora already.
rm -rf $RPM_BUILD_ROOT%{mingw32_datadir}/gtk-doc
rm -rf $RPM_BUILD_ROOT%{mingw64_datadir}/gtk-doc

%mingw_find_lang p11-kit

%files -n mingw32-p11-kit -f mingw32-p11-kit.lang
%license COPYING
%{mingw32_bindir}/libp11-kit-0.dll
%{mingw32_bindir}/p11-kit.exe
%{mingw32_bindir}/trust.exe
%{mingw32_libdir}/libp11-kit.dll.a
%{mingw32_libexecdir}/p11-kit/
%dir %{mingw32_libdir}/pkcs11
%{mingw32_libdir}/pkcs11/p11-kit-trust.dll
%{mingw32_libdir}/pkcs11/p11-kit-trust.dll.a
%{mingw32_libdir}/pkgconfig/p11-kit-1.pc
%{mingw32_includedir}/p11-kit-1/
%{mingw32_datadir}/p11-kit
%{mingw32_sysconfdir}/pkcs11

%files -n mingw64-p11-kit -f mingw64-p11-kit.lang
%license COPYING
%{mingw64_bindir}/libp11-kit-0.dll
%{mingw64_bindir}/p11-kit.exe
%{mingw64_bindir}/trust.exe
%{mingw64_libdir}/libp11-kit.dll.a
%{mingw64_libexecdir}/p11-kit/
%dir %{mingw64_libdir}/pkcs11
%{mingw64_libdir}/pkcs11/p11-kit-trust.dll
%{mingw64_libdir}/pkcs11/p11-kit-trust.dll.a
%{mingw64_libdir}/pkgconfig/p11-kit-1.pc
%{mingw64_includedir}/p11-kit-1/
%{mingw64_datadir}/p11-kit
%{mingw64_sysconfdir}/pkcs11


