Name:           mingw-pkg-config
Version:        0.28
Release:        %mkrel 9
Summary:        A tool for determining compilation options

License:        GPLv2+
Group:          Development/Other
URL:            https://pkgconfig.freedesktop.org
Source0:        https://www.freedesktop.org/software/pkgconfig/releases/pkg-config-%{version}.tar.gz
Patch0:		pkg-config-0.28-automake-1.13.patch

BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw64-filesystem >= 95


%description
The pkgconfig tool determines compilation options. For each required
library, it reads the configuration file and outputs the necessary
compiler and linker flags.


# Mingw32
%package -n mingw32-pkg-config
Summary:        A tool for determining compilation options for the win32 target
Requires:       mingw32-filesystem >= 95

%description -n mingw32-pkg-config
The pkgconfig tool determines compilation options. For each required
library, it reads the configuration file and outputs the necessary
compiler and linker flags.

# Mingw64
%package -n mingw64-pkg-config
Summary:        A tool for determining compilation options for the win64 target
Requires:       mingw64-filesystem >= 95

%description -n mingw64-pkg-config
The pkgconfig tool determines compilation options. For each required
library, it reads the configuration file and outputs the necessary
compiler and linker flags.


%prep
%setup -q -n pkg-config-%{version}
%autopatch -p1

%build
cp -f /usr/share/aclocal/glib-gettext.m4 glib/m4macros/glib-gettext.m4
autoreconf -fi
ls > list
cat list
mkdir build_win32
for i in `cat list` ; do cp -frv $i build_win32 ; done
pushd build_win32
    %configure \
        --disable-shared \
        --disable-host-tool \
        --program-prefix=%{mingw32_target}- \
        --with-pc-path=%{mingw32_libdir}/pkgconfig:%{mingw32_datadir}/pkgconfig

%make_build
popd

mkdir build_win64
for i in `cat list` ; do cp -frv $i build_win64 ; done
pushd build_win64
    %configure \
        --disable-shared \
        --disable-host-tool \
        --program-prefix=%{mingw64_target}- \
        --with-pc-path=%{mingw64_libdir}/pkgconfig:%{mingw64_datadir}/pkgconfig

%make_build
popd


%install
%make_install -C build_win32
%make_install -C build_win64

# These files conflict with ordinary pkg-config.
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/aclocal
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/doc/pkg-config


%files -n mingw32-pkg-config
%doc AUTHORS README NEWS COPYING pkg-config-guide.html
%{_bindir}/%{mingw32_target}-pkg-config
%{_mandir}/man1/%{mingw32_target}-pkg-config.1*

%files -n mingw64-pkg-config
%doc AUTHORS README NEWS COPYING pkg-config-guide.html
%{_bindir}/%{mingw64_target}-pkg-config
%{_mandir}/man1/%{mingw64_target}-pkg-config.1*


