%{?mingw_package_header}

%global pkgname proj

Name:          mingw-%{pkgname}
Version:       9.5.1
Release:       %mkrel 1
Summary:       Cartographic projection software (PROJ.4)

Group:         Development/Other
BuildArch:     noarch
License:       MIT
URL:           https://github.com/OSGeo/proj.4
Source0:       https://github.com/OSGeo/PROJ/releases/download/%{version}/%{pkgname}-%{version}.tar.gz

BuildRequires: make
BuildRequires: cmake

BuildRequires: mingw32-curl
BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc-c++
BuildRequires: mingw32-libtiff
BuildRequires: mingw32-sqlite

BuildRequires: mingw64-curl
BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc-c++
BuildRequires: mingw64-libtiff
BuildRequires: mingw64-sqlite

BuildRequires: pkgconfig(sqlite3)
BuildRequires: sqlite3-tools

%description
Proj and invproj perform respective forward and inverse transformation of
cartographic data to or from Cartesian data with a wide range of selectable
projection functions. Proj docs: http://www.remotesensing.org/dl/new_docs/


%package -n mingw32-%{pkgname}
Summary:       Cartographic projection software (PROJ.4)
Group:         Development/Other

Obsoletes:     mingw32-%{pkgname}-static < 6.3.2-3

%description -n mingw32-%{pkgname}
Proj and invproj perform respective forward and inverse transformation of
cartographic data to or from Cartesian data with a wide range of selectable
projection functions. Proj docs: http://www.remotesensing.org/dl/new_docs/


%package -n mingw64-%{pkgname}
Summary:       Cartographic projection software (PROJ.4)
Group:         Development/Other

Obsoletes:     mingw64-%{pkgname}-static < 6.3.2-3

%description -n mingw64-%{pkgname}
Proj and invproj perform respective forward and inverse transformation of
cartographic data to or from Cartesian data with a wide range of selectable
projection functions. Proj docs: http://www.remotesensing.org/dl/new_docs/


%{?mingw_debug_package}


%prep
%autosetup -p1 -n %{pkgname}-%{version}


%build
%mingw_cmake -DBUILD_TESTING=OFF
%mingw_make_build


%install
%mingw_make_install

# Remove unneeded files
rm -rf %{buildroot}%{mingw32_docdir}
rm -rf %{buildroot}%{mingw32_mandir}
rm -rf %{buildroot}%{mingw64_docdir}
rm -rf %{buildroot}%{mingw64_mandir}

%mingw_debug_install_post


%files -n mingw32-%{pkgname}
%license COPYING
%{mingw32_bindir}/libproj_9.dll
%{mingw32_bindir}/*.exe
%{mingw32_libdir}/libproj.dll.a
%{mingw32_libdir}/cmake/proj/
%{mingw32_libdir}/cmake/proj4/
%{mingw32_libdir}/pkgconfig/proj.pc
%{mingw32_includedir}/*.h
%{mingw32_includedir}/proj/
%{mingw32_datadir}/%{pkgname}/

%files -n mingw64-%{pkgname}
%license COPYING
%{mingw64_bindir}/libproj_9.dll
%{mingw64_bindir}/*.exe
%{mingw64_libdir}/libproj.dll.a
%{mingw64_libdir}/cmake/proj/
%{mingw64_libdir}/cmake/proj4/
%{mingw64_libdir}/pkgconfig/proj.pc
%{mingw64_includedir}/*.h
%{mingw64_includedir}/proj/
%{mingw64_datadir}/%{pkgname}/


