%{?mingw_package_header}

Name:           mingw-speex
Version:        1.2.0
Release:        %mkrel 4
Summary:        Voice compression format (codec)
Group:          Development/Other
License:        BSD
URL:            https://www.speex.org/
Source0:        https://downloads.xiph.org/releases/speex/speex-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-libogg

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-libogg

%description
Speex is a patent-free compression format designed especially for
speech. It is specialized for voice communications at low bit-rates in
the 2-45 kbps range. Possible applications include Voice over IP
(VoIP), Internet audio streaming, audio books, and archiving of speech
data (e.g. voice mail).


%package -n mingw32-speex
Summary:        Voice compression format (codec)
Group:          Development/Other

%description -n mingw32-speex
Speex is a patent-free compression format designed especially for
speech. It is specialized for voice communications at low bit-rates in
the 2-45 kbps range. Possible applications include Voice over IP
(VoIP), Internet audio streaming, audio books, and archiving of speech
data (e.g. voice mail).

This is the MinGW version, built for the win32 target.


%package -n mingw32-speex-tools
Summary:        The tools package for mingw32-speex
Group:          Development/Other
Requires:       mingw32-speex = %{version}-%{release}

%description -n mingw32-speex-tools
Speex is a patent-free compression format designed especially for
speech. It is specialized for voice communications at low bit-rates in
the 2-45 kbps range. Possible applications include Voice over IP
(VoIP), Internet audio streaming, audio books, and archiving of speech
data (e.g. voice mail).

This package contains tools files for the MinGW version of speex, built
for the win32 target.


%package -n mingw64-speex
Summary:        Voice compression format (codec)
Group:          Development/Other

%description -n mingw64-speex
Speex is a patent-free compression format designed especially for
speech. It is specialized for voice communications at low bit-rates in
the 2-45 kbps range. Possible applications include Voice over IP
(VoIP), Internet audio streaming, audio books, and archiving of speech
data (e.g. voice mail).

This is the MinGW version, built for the win64 target.


%package -n mingw64-speex-tools
Summary:        The tools package for mingw64-speex
Group:          Development/Other
Requires:       mingw64-speex = %{version}-%{release}

%description -n mingw64-speex-tools
Speex is a patent-free compression format designed especially for
speech. It is specialized for voice communications at low bit-rates in
the 2-45 kbps range. Possible applications include Voice over IP
(VoIP), Internet audio streaming, audio books, and archiving of speech
data (e.g. voice mail).

This package contains tools files for the MinGW version of speex, built
for the win64 target.


%{?mingw_debug_package}


%prep
%setup -q -n speex-%{version}


%build
%global mingw32_cflags %mingw32_cflags -std=gnu89
%global mingw64_cflags %mingw64_cflags -std=gnu89

%mingw_configure --disable-static --enable-binaries

# Remove rpath from speexenc and speexdec
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' build_win32/libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' build_win32/libtool
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' build_win64/libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' build_win64/libtool

# Fix libtool to recognize win64 archives
sed -i 's|file format pe-i386(\.\*architecture: i386)?|file format pe-x86-64|g' build_win64/libtool

%{mingw_make} %{?_smp_mflags}


%install
%{mingw_make} DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/libspeex*.la
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/libspeex*.la
rm -f $RPM_BUILD_ROOT%{mingw32_docdir}/speex/manual.pdf
rm -f $RPM_BUILD_ROOT%{mingw64_docdir}/speex/manual.pdf
rm -rf $RPM_BUILD_ROOT%{mingw32_mandir}
rm -rf $RPM_BUILD_ROOT%{mingw64_mandir}


%files -n mingw32-speex
%license COPYING
%doc AUTHORS TODO ChangeLog README
%{mingw32_bindir}/libspeex-1.dll
%{mingw32_includedir}/speex
%{mingw32_datadir}/aclocal/speex.m4
%{mingw32_libdir}/pkgconfig/speex*.pc
%{mingw32_libdir}/libspeex.dll.a

%files -n mingw32-speex-tools
%{mingw32_bindir}/speexenc.exe
%{mingw32_bindir}/speexdec.exe

%files -n mingw64-speex
%license COPYING
%doc AUTHORS TODO ChangeLog README
%{mingw64_bindir}/libspeex-1.dll
%{mingw64_includedir}/speex
%{mingw64_datadir}/aclocal/speex.m4
%{mingw64_libdir}/pkgconfig/speex*.pc
%{mingw64_libdir}/libspeex.dll.a

%files -n mingw64-speex-tools
%{mingw64_bindir}/speexenc.exe
%{mingw64_bindir}/speexdec.exe
