%{?mingw_package_header}

%global pkgname spirv-headers
%global srcname SPIRV-Headers

%global sdkver 1.4.304.0

%define rel 2


Name:          mingw-%{pkgname}
# Check include/spirv/unified1/spirv.core.grammar.json for the proper version number.
Version:       1.6.4
Release:       %mkrel %{rel}.sdk%{sdkver}
Summary:       MinGW Windows %{pkgname}

Group:         Development/Other
License:       MIT
BuildArch:     noarch
URL:           https://github.com/KhronosGroup/%{srcname}
Source0:       %url/archive/vulkan-sdk-%{sdkver}/%{srcname}-vulkan-sdk-%{sdkver}.tar.gz

BuildRequires: cmake
BuildRequires: ninja

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc-c++

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc-c++


%description
MinGW Windows %{pkgname}.


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows %{pkgname}

%description -n mingw32-%{pkgname}
MinGW Windows %{pkgname}.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows %{pkgname}

%description -n mingw64-%{pkgname}
MinGW Windows %{pkgname}.



%prep
%autosetup -p1 -n %{srcname}-vulkan-sdk-%{sdkver}


%build
%mingw_cmake -G Ninja
%mingw_ninja


%install
%mingw_ninja_install


%files -n mingw32-%{pkgname}
%{mingw32_includedir}/spirv/
%{mingw32_datadir}/cmake/SPIRV-Headers/
%{mingw32_datadir}/pkgconfig/SPIRV-Headers.pc


%files -n mingw64-%{pkgname}
%{mingw64_includedir}/spirv/
%{mingw64_datadir}/cmake/SPIRV-Headers/
%{mingw64_datadir}/pkgconfig/SPIRV-Headers.pc


