%{?mingw_package_header}

# Only build the 32 bit package.
%global mingw_build_win32 1
%global mingw_build_win64 0

Name:		mingw-srvany
Version:	1.1
Release:	%mkrel 2
Summary:	Utility for creating services for Windows
Group:		Development/Other

License:	GPLv2+
BuildArch:	noarch

URL:		https://github.com/rwmjones/rhsrvany
Source0:        https://github.com/rwmjones/rhsrvany/archive/refs/tags/v%{version}.tar.gz#/rhsrvany-%{version}.tar.gz
Source1:	COPYING

# Needed because we build from the git version, using autoreconf.
BuildRequires:  make
BuildRequires:	automake 
BuildRequires:	autoconf 
BuildRequires:	libtool

BuildRequires:	mingw32-filesystem
BuildRequires:	mingw32-gcc
BuildRequires:	mingw32-gcc-c++
# Prevent iurt to schedule it on arm-noarch:
ExclusiveArch: %{ix86} x86_64


%description
Utility for creating a service from any MinGW Windows binary


%package -n mingw32-srvany
Summary:	Utility for creating services for Windows
Group:		Development/Other


%description -n mingw32-srvany
Utility for creating a service from any MinGW Windows binary


%{?mingw_debug_package}


%package redistributable
Summary:	Utility for creating services for Windows
# previously provided symlinks to the mingw32 path
Conflicts:	virt-v2v < 1:2.3.5-4


%description redistributable
srvany is a utility for creating a service from any MinGW Windows binary.
This package contains the binaries without any mingw toolchain dependencies,
for use with virt-v2v.


%prep
%setup -q -n rhsrvany-%{version}
cp %{SOURCE1} .


%build
autoreconf -i
%{mingw32_configure}
%make_build


%install
make DESTDIR=$RPM_BUILD_ROOT install
# redistributable
make DESTDIR=$RPM_BUILD_ROOT install bindir=%{_datadir}/virt-tools


%files -n mingw32-srvany
%doc COPYING
%{mingw32_bindir}/rhsrvany.exe
%{mingw32_bindir}/pnp_wait.exe


%files redistributable
%doc COPYING
%dir %{_datadir}/virt-tools/
%{_datadir}/virt-tools/rhsrvany.exe
%{_datadir}/virt-tools/pnp_wait.exe
# duplicate debuginfo
%exclude /usr/lib/debug%{_datadir}/virt-tools/*.debug

