Summary:	A DLNA/UPnP-AV Media server (aka ReadyMedia)
Name:		minidlna
Version:	1.3.3
Release:	%mkrel 2
Group:		Networking/Other
License:	GPLv2
URL:		https://sourceforge.net/projects/minidlna/
Source0:	https://downloads.sourceforge.net/minidlna/%{name}-%{version}.tar.gz
Source1:	minidlna.tmpfiles.conf
Source2:	minidlna.service
Patch0:		minidlna-rundir.patch
# Add compatibility with FFMPEG 7.0
# https://sourceforge.net/p/minidlna/git/merge-requests/58/
Patch1:		0001-Add-compatibility-with-FFMPEG-7.0.patch
BuildRequires:	pkgconfig(libavcodec)
BuildRequires:	pkgconfig(libavformat)
BuildRequires:	pkgconfig(libavutil)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(id3tag)
BuildRequires:	pkgconfig(flac)
Requires(pre):		rpm-helper
Requires(post):		rpm-helper
Requires(preun):	rpm-helper
Provides:	readydlna = %{version}-%{release}
Provides:	readymedia = %{version}-%{release}

%description
MiniDLNA (aka ReadyMedia) is a simple server software with the aim of being fully
compliant with DLNA/UPnP-AV clients. MiniDLNA serves multimedia content
such as music, video and pictures to compatible clients on the network.

%prep
%autosetup -p1

%build
%configure \
	--with-log-path=%{_logdir} \
	--with-db-path=%{_localstatedir}/cache/%{name} \
	--with-os-name=%{_vendor} \
	--with-os-version=%{product_release} \
	--with-os-url=https://www.%{_real_vendor}.org \
	--disable-silent-rules
%make_build

%install
%make_install

#config
install -Dpm0644 %{name}.conf %{buildroot}%{_sysconfdir}/minidlna.conf

#man pages
install -Dpm0644 minidlna.conf.5 %{buildroot}%{_mandir}/man5/%{name}.conf.5
install -Dpm0644 minidlnad.8 %{buildroot}%{_mandir}/man8/%{name}d.8

#systemd related
install -Dpm0644 %{_sourcedir}/minidlna.tmpfiles.conf \
	%{buildroot}%{_tmpfilesdir}/%{name}.conf
install -Dpm0644 %{_sourcedir}/minidlna.service \
	%{buildroot}%{_unitdir}/%{name}.service

#for cache
install -d -m 0755 %{buildroot}%{_localstatedir}/cache/%{name}/
touch %{buildroot}%{_localstatedir}/cache/%{name}/files.db

%find_lang %{name}

%pre
%_pre_useradd %{name} /run/%{name} /sbin/nologin
%_pre_groupadd %{name} %{name}

%post
%create_ghostfile %{_localstatedir}/cache/%{name}/files.db %{name} %{name} 0644
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}
%_postun_groupdel %{name} %{name}

%files -f %{name}.lang
%doc README
%license LICENCE.miniupnpd
%config(noreplace) %{_sysconfdir}/minidlna.conf
%dir %attr(-,minidlna,minidlna) %{_localstatedir}/cache/%{name}/
%ghost %attr(-,minidlna,minidlna) %{_localstatedir}/cache/%{name}/files.db
%{_sbindir}/minidlnad
%{_mandir}/man?/%{name}*
%{_unitdir}/%{name}.service
%{_tmpfilesdir}/%{name}.conf
