%define major     18
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:        Library and tool to control NAT in UPnP-enabled routers
Name:           miniupnpc
Version:        2.2.8
Release:        %mkrel 2
License:        LGPLv2+
Group:          System/Libraries
URL:            http://miniupnp.free.fr/
Source:         http://miniupnp.free.fr/files/%{name}-%{version}.tar.gz
# taken from Fedora
Source1:        USAGE
Patch1:         miniupnpc-fix-pkgconfig-libdir-path.patch

BuildRequires:  cmake

%description
miniupnpc is an implementation of a UPnP client library, enabling
applications to access the services provided by an UPnP "Internet
Gateway Device" present on the network. In UPnP terminology, it is
a UPnP Control Point.

%package -n     %{libname}
Summary:        Library and tool to control NAT in UPnP-enabled routers
Group:          System/Libraries

%description -n %{libname}
miniupnpc is an implementation of a UPnP client library, enabling
applications to access the services provided by an UPnP "Internet
Gateway Device" present on the network. In UPnP terminology, it is
a UPnP Control Point.

%package -n     %{develname}
Summary:        Header files, libraries and development documentation for miniupnpc
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the header files and development documentation for
miniupnpc. If you like to develop programs using miniupnpc, you will need
to install miniupnpc-devel.

%package -n     python3-%{name}
Summary:        Python3 interface to %{name}
Requires:       %{libname} = %{version}-%{release}
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{name}
This package contains python3 interfaces to %{name}.

%prep
%autosetup -p2

cp -a %{SOURCE1} .

%build
%cmake -DCMAKE_SKIP_INSTALL_RPATH:BOOL=YES \
       -DCMAKE_SKIP_RPATH:BOOL=YES \
       -DUPNPC_BUILD_STATIC=FALSE
%cmake_build

### build python3 bindings
%pyproject_wheel

%install
%cmake_install

%pyproject_install
%pyproject_save_files miniupnpc

mv %{buildroot}%{_bindir}/upnpc-shared %{buildroot}%{_bindir}/upnpc
mv %{buildroot}%{_bindir}/upnp-listdevices-shared %{buildroot}%{_bindir}/upnp-listdevices
rm -f %{buildroot}%{_bindir}/external-ip.sh

%check
%make_build CPPFLAGS="-DMINIUPNPC_SET_SOCKET_TIMEOUT -I./include" check

%files
%doc Changelog.txt README USAGE
%license LICENSE
%{_bindir}/upnpc
%{_bindir}/upnp-listdevices
%{_mandir}/man3/miniupnpc.3*

%files -n %{libname}
%license LICENSE
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{version}

%files -n %{develname}
%{_includedir}/miniupnpc/
%{_libdir}/*.so
%{_libdir}/cmake/miniupnpc/
%{_libdir}/pkgconfig/miniupnpc.pc

%files -n python3-%{name} -f %{pyproject_files}
