%define major      1
%define libname    %mklibname minizip %{major}
%define devname    %mklibname minizip -d

%define major_ng   4
%define libname_ng %mklibname minizip-ng %{major_ng}
%define devname_ng %mklibname minizip-ng -d

# when building for old releases,
# set bcond_with replace_minizip
# to avoid replacing traditional minizip from zlib source contrib
%bcond_without replace_minizip

Name:           minizip-ng
Version:        4.0.9
Release:        %mkrel 1
Summary:        Fork of the popular zip manipulation library found in the zlib distribution
Group:          System/Libraries
License:        zlib
URL:            https://github.com/nmoinvaz/minizip-ng
Source0:        https://github.com/nmoinvaz/minizip-ng/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(libbsd)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(bzip2)
BuildRequires:  pkgconfig(libzstd)
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(openssl)

%description
minizip-ng is a zip manipulation library written in C.

The motivation behind this fork has been the need for new features and bug
fixes to the original library which had not been maintained for a long period
of time. The code has been largely refactored and rewritten in order to help
improve maintainability and readability. A compatibility layer has been
provided for consumers of the original minizip library.

%if %{with replace_minizip}
%package -n %{libname}
Summary:    Fork of the popular zip manipulation library found in the zlib distribution
Group:      System/Libraries
Provides:   %{mklibname %{name} %{major}} = %{version}-%{release}

%description -n %{libname}
minizip-ng is a zip manipulation library written in C.

The motivation behind this fork has been the need for new features and bug
fixes to the original library which had not been maintained for a long period
of time. The code has been largely refactored and rewritten in order to help
improve maintainability and readability. A compatibility layer has been
provided for consumers of the original minizip library.

This package provides this compatibility layer (compat).

%package -n %{devname}
Summary:    Development files for %{name}
Requires:   %{libname} = %{version}-%{release}
Provides:   minizip-devel = %{version}-%{release}

%description -n %{devname}
Development files for %{name} library compatibility layer (compat).
%endif

%package -n %{libname_ng}
Summary:    Fork of the popular zip manipulation library found in the zlib distribution
Group:      System/Libraries

%description -n %{libname_ng}
minizip-ng is a zip manipulation library written in C.

The motivation behind this fork has been the need for new features and bug
fixes to the original library which had not been maintained for a long period
of time. The code has been largely refactored and rewritten in order to help
improve maintainability and readability. A compatibility layer has been
provided for consumers of the original minizip library.

%package -n %{devname_ng}
Summary:    Development files for %{name}
Requires:   %{libname_ng} = %{version}-%{release}
Provides:   minizip-ng-devel = %{version}-%{release}

%description -n %{devname_ng}
Development files for %{name} library.

%prep
%autosetup -p 1 -n %{name}-%{version}

%build
%if %{with replace_minizip}
%define _vpath_builddir %{_target_platform}-build-compat
%cmake -GNinja \
  -DMZ_BUILD_TESTS:BOOL=ON \
  -DSKIP_INSTALL_BINARIES:BOOL=ON \
  -DMZ_FORCE_FETCH_LIBS:BOOL=OFF \
  -DMZ_COMPAT:BOOL=ON
%cmake_build
%endif

%define _vpath_builddir %{_target_platform}-build-ng
%cmake -GNinja \
  -DMZ_BUILD_TESTS:BOOL=ON \
  -DSKIP_INSTALL_BINARIES:BOOL=ON \
  -DMZ_FORCE_FETCH_LIBS:BOOL=OFF \
  -DMZ_COMPAT:BOOL=OFF
%cmake_build

%install
%if %{with replace_minizip}
%define _vpath_builddir %{_target_platform}-build-compat
%cmake_install
%endif

%define _vpath_builddir %{_target_platform}-build-ng
%cmake_install

%if %{with replace_minizip}
%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/libminizip.so.%{major}
%{_libdir}/libminizip.so.%{version}

%files -n %{devname}
%{_libdir}/libminizip.so
%{_libdir}/pkgconfig/minizip.pc
%{_libdir}/cmake/minizip/
%{_includedir}/minizip/
%endif

%files -n %{libname_ng}
%license LICENSE
%doc README.md
%{_libdir}/libminizip-ng.so.%{major_ng}{,.*}

%files -n %{devname_ng}
%{_libdir}/libminizip-ng.so
%{_libdir}/pkgconfig/minizip-ng.pc
%{_includedir}/minizip-ng/
%{_libdir}/cmake/minizip-ng/
