#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        A KDE Software for Music Education
Name:           minuet
Epoch:          2
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://minuet.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Svg)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  pkgconfig(fluidsynth)


%description
A KDE Software for Music Education.

%files -f %name.lang
%_kf6_bindir/%name
%_kf6_datadir/%name/
%_kf6_metainfodir/org.kde.minuet.metainfo.xml
%_kf6_applicationsdir/org.kde.minuet.desktop
%dir %_qt6_plugindir/minuet
%_qt6_plugindir/minuet/minuetfluidsynthsoundcontroller.so
%_kf6_iconsdir/*/*/*/*

#--------------------------------------------------------------------

%define minuetinterfaces_major 0
%define libminuetinterfaces %mklibname minuetinterfaces %{minuetinterfaces_major}

%package -n %libminuetinterfaces
Summary:        This lib manages sieve support
Group:          System/Libraries

%description -n %libminuetinterfaces
This lib manages sieve support.

%files -n %libminuetinterfaces
%_kf6_libdir/libminuetinterfaces.so.%{minuetinterfaces_major}{,.*}

#--------------------------------------------------------------------

%define libminuetinterfaces_devel %mklibname minuetinterfaces -d

%package -n %libminuetinterfaces_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libminuetinterfaces = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %libminuetinterfaces_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %libminuetinterfaces_devel
%_kf6_libdir/libminuetinterfaces.so
%_includedir/minuet/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DQT_MAJOR_VERSION=6
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html --all-name
