%define name2     diffie

%define major     1
%define libname2  %mklibname %{name2} %{major}
%define develname %mklibname %{name2} -d

%define _legacy_common_support 1

Name: mirrordir
Summary: Easy to use ftp mirroring package
Version: 0.10.49
Release: %mkrel 33
Group: Networking/File transfer
License: GPLv2+
URL: ftp://ftp.obsidian.co.za/pub/mirrordir/
Source: ftp://ftp.obsidian.co.za/pub/mirrordir/mirrordir-%{version}.tar.bz2
Patch0: mirrordir-0.10.49-confpath.patch
Patch1: mirrordir-zlib-1.1.3-zfree.patch
Patch2: mirrordir-0.10.49-varargs.patch
Patch3: mirrordir-0.10.49-64bit-fixes.patch
Patch4: mirrordir-0.10.49-pam_pwdb.patch
# (tv) use system zlib:
Patch5: mirrordir-use-system-libs.patch
Patch6: mirrordir-0.10.49-fix-str-fmt.patch
Patch7: mirrordir-0.10.49-fix-install.patch
Patch8: mirrordir-0.10.49-automake-1.13.patch
Patch9: mirrordir-0.10.49-mga-noinline.patch
Patch10: mirrordir-0.10.49-mga-excl.patch
Patch11: mirrordir-0.10.49-mga-fix-buffer-overflow.patch
Patch12: mirrordir-0.10.49-gcc14.patch

BuildRequires: automake
BuildRequires: autoconf
BuildRequires: pkgconfig(zlib)

Requires: %{libname2} = %{version}

%description
Easy to use ftp mirroring package - simply use
mirrordir ftp://some.where.com/dir /some/local/dir

%package -n %{libname2}
Summary: The diffie library, necessary to run mirrordir
Group: System/Libraries

%description -n %{libname2}
The diffie library, necessary to run mirrordir.

%package -n %{develname}
Summary: Static version of the diffie library
Group: Development/C
Requires: %{libname2} = %{version}
Provides: lib%{name2}-devel = %{version}
Provides: %{name}-devel = %{version}

%description -n %{develname}
Static version of the diffie library.

%prep
%autosetup -p1

%build
autoreconf -sfi
%configure \
	--disable-static \
	--enable-zlib \
	CFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE"
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS BUGS README NEWS THANKS TODO
%license COPYING
%{_bindir}/*
%dir %{_sysconfdir}/mirrordir
%config(noreplace) %{_sysconfdir}/mirrordir/*
%config(noreplace) %{_sysconfdir}/secure*
%config(noreplace) %{_sysconfdir}/pam.d/*
%{_mandir}/man*/*

%files -n %{libname2}
%doc AUTHORS BUGS README NEWS THANKS TODO
%license COPYING
%{_libdir}/lib%{name2}.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS BUGS README NEWS THANKS TODO
%license COPYING
%{_libdir}/lib%{name2}.so
