Name:		mirrormagic
Version:	3.3.1
Release:	%mkrel 3
Summary:	A puzzle game with mirrors and ray of lights
License:	GPLv2+
Group:		Games/Puzzles
URL:		https://www.artsoft.org/mirrormagic/
# This is a rebuild of the tarball with the binaries
Source0:	https://www.artsoft.org/RELEASES/linux/mirrormagic/%{name}-%{version}-linux.tar.gz
Source1:	%{name}-16x16.png
Source2:	%{name}-32x32.png
Source3:	%{name}-48x48.png
Patch1:		mirrormagic-build-flags.patch
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(SDL2_net)

%description
This game was first released as "Mindbender" in the year 1989 on the Amiga
(with ports on other computer systems) and is in fact a clone of the C64
game "Deflektor".

%prep
%autosetup -p1

# drop bundled libs
rm -rf ./lib/*

%build
make clean
%make_build PROGBASE=%{name} \
            BASE_PATH=%{_gamesdatadir}/%{name}

%install
# Install stuff
install -D -m755 %{name} %{buildroot}%{_gamesbindir}/%{name}.wrapped
install -d %{buildroot}%{_gamesdatadir}/%{name}
cp -a graphics levels sounds music %{buildroot}%{_gamesdatadir}/%{name}

cat << EOF > %{buildroot}%{_gamesbindir}/%{name}
#!/bin/sh
cd %{_gamesdatadir}/%{name}
exec %{_gamesbindir}/%{name}.wrapped
EOF
chmod 755 %{buildroot}%{_gamesbindir}/%{name}

# Menu
mkdir -p %{buildroot}%{_datadir}/applications/
cat << EOF > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
[Desktop Entry]
Name=Mirror Magic
Comment=Puzzle game where you steer a beam of light using mirrors
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Type=Application
Categories=Game;LogicGame;
EOF

# Icon
install -D -m0644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -D -m0644 %{SOURCE2} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -D -m0644 %{SOURCE3} %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%files
%doc CREDITS
%license COPYING
%{_gamesbindir}/%{name}*
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
