%bcond_without bundled_shoutidjc

Summary:	Music DJing software
Name:		mixxx
Version:	2.5.0
Release:	%mkrel 2
Group:		Sound/Players
License:	GPLv2+
URL:		https://mixxx.org/
Source0:	https://github.com/mixxxdj/mixxx/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		desktop-file-qpa-platform-xcb.patch
BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	icoutils
BuildRequires:	imagemagick
BuildRequires:	sed
BuildRequires:	ffmpeg-devel
BuildRequires:	ladspa-devel
BuildRequires:	hidapi-devel
BuildRequires:	mesaegl-devel
BuildRequires:	cmake(microsoft.gsl)
BuildRequires:	cmake(Qt6Keychain)
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Help)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6OpenGL)
BuildRequires:	cmake(Qt6OpenGLWidgets)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6LabsQmlModels)
BuildRequires:	cmake(Qt6Qml)
BuildRequires:	cmake(Qt6Quick)
BuildRequires:	cmake(Qt6QuickWidgets)
BuildRequires:	cmake(Qt6QuickControls2)
BuildRequires:	cmake(Qt6QuickControls2Impl)
BuildRequires:	cmake(Qt6QuickLayouts)
BuildRequires:	cmake(Qt6QuickShapesPrivate)
BuildRequires:	cmake(Qt6ShaderTools)
BuildRequires:	cmake(Qt6Sql)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6SvgWidgets)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(audiofile)
BuildRequires:	pkgconfig(benchmark)
BuildRequires:	pkgconfig(djinterop) >= 0.22.1
BuildRequires:	pkgconfig(gtest)
BuildRequires:	pkgconfig(libchromaprint)
BuildRequires:	pkgconfig(libebur128)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(libgpod-1.0)
BuildRequires:	pkgconfig(libkeyfinder)
BuildRequires:	pkgconfig(libmodplug)
BuildRequires:	pkgconfig(lilv-0)
BuildRequires:	pkgconfig(lv2)
BuildRequires:	pkgconfig(mp4v2)
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(openssl)
%if %{with bundled_shoutidjc}
Provides:	bundled(shout-idjc) = 2.4.1
%else
BuildRequires:	pkgconfig(shout-idjc) >= 2.4.6
%endif
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(soundtouch)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(id3tag)
BuildRequires:	pkgconfig(taglib) >= 2
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(opusfile)
BuildRequires:	pkgconfig(libusb)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(portmidi)
BuildRequires:	pkgconfig(protobuf)
BuildRequires:	pkgconfig(rubberband)
BuildRequires:	pkgconfig(upower-glib)
BuildRequires:	pkgconfig(wavpack)

Requires:	qt6-database-plugin-sqlite
Recommends:	faad2
Recommends:	lv2

%description
Mixxx allows DJs to mix music live with a clean, simple interface.
Furthermore, Mixxx has a number of key features to help DJs in the mix:
Beat estimation, parallel visual displays, and support for various DJ
hardware controllers.

Mixxx can be controlled through the GUI using the mouse, or by
connecting MIDI devices to the computer. Commercial and custom build
MIDI controllers can be used. The mapping between functions and MIDI
controller values are done in text files.

%prep
%autosetup -p1

# drop bundled libs
rm -rf \
  lib/benchmark \
  lib/googletest \
  lib/hidapi \
  lib/keyfinder-install \
  lib/libebur128 \
%if ! %{with bundled_shoutidjc}
  lib/libshout-idjc \
%endif
  %nil

%build
%cmake -GNinja \
       -DKEYFINDER:BOOL=ON
%cmake_build

%install
%cmake_install

# not needed
rm -rf %{buildroot}%{_datadir}/pixmaps

# handle docs in files section
rm -rf %{buildroot}%{_datadir}/doc/mixxx/

%files
%license LICENSE COPYING
%doc README*
%doc res/Mixxx-Keyboard-Shortcuts.pdf
%{_bindir}/mixxx
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/mixxx/
%{_datadir}/applications/org.mixxx.Mixxx.desktop
%{_metainfodir}/org.mixxx.Mixxx.metainfo.xml
%{_udevrulesdir}/69-mixxx-usb-uaccess.rules
