%define api       2.2
%define major     0
%define libname   %mklibname %{name} %{api} %{major}
%define develname %mklibname %{name} -d

Name:		mjpegtools
Version:	2.2.1
Release:	%mkrel 2
Summary:	Tools for recording, editing, playing back and mpeg-encoding video under linux
License:	GPLv2+
Group:		Video/Utilities
Url:		https://mjpeg.sourceforge.net/
Source0:	https://downloads.sourceforge.net/mjpeg/%{name}-%{version}.tar.gz
Patch1:		mjpegtools-use-grep-F-instead-of-deprecated-fgrep.patch
Patch4:		mjpegtools-1.9.0-link.patch
BuildRequires:	autoconf
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(SDL_gfx)
BuildRequires:	pkgconfig(xxf86dga)
BuildRequires:	pkgconfig(libquicktime)
BuildRequires:	nasm
BuildRequires:	pkgconfig(libdv) >= 0.99
BuildRequires:	pkgconfig(libpulse)

%description
The MJPEG-tools are a basic set of utilities for recording, editing, 
playing back and encoding (to mpeg) video under linux. Recording can
be done with zoran-based MJPEG-boards (LML33, Iomega Buz, Pinnacle
DC10(+), Marvel G200/G400), these can also playback video using the
hardware. With the rest of the tools, this video can be edited and
encoded into mpeg1/2 or divx video.

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	libmjpegtools = %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q
%patch -P 1 -p1
#%%patch -P 4 -p0

%build
# build i686/mmx dynamic library
%ifarch %{ix86}
mkdir build-i686
pushd build-i686
CONFIGURE_TOP=.. %configure \
  --enable-simd-accel \
  --without-v4l \
  --disable-static
%__make
popd
%endif
# build regular package

%if "%{_target_cpu}" == "i686"
%else
mkdir build-%{_target_cpu}
%endif

pushd build-%{_target_cpu}
CONFIGURE_TOP=.. %configure \
  --disable-simd-accel \
  --without-v4l \
  --disable-static
%__make
popd

%install
%ifarch %{ix86}
pushd build-i686
%make_install
popd
mkdir -p %{buildroot}/%{_libdir}/sse2
mv %{buildroot}/%{_libdir}/*.so.* %{buildroot}/%{_libdir}/sse2
%endif
pushd build-%{_target_cpu}
%make_install
popd

find %{buildroot} -name '*.la' -delete

cp mpeg2enc/mpeg2syntaxcodes.h %{buildroot}%{_includedir}/mjpegtools/

%files
%doc AUTHORS BUGS ChangeLog CHANGES HINTS NEWS PLANS README* TODO
%license COPYING
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/mjpeg-howto.info*

%files -n %{libname}
%doc AUTHORS
%license COPYING
%{_libdir}/lib*-%{api}.so.%{major}{,.*}
%ifarch %{ix86}
%{_libdir}/sse2/lib*-%{api}.so.%{major}{,.*}
%endif

%files -n %{develname}
%doc AUTHORS
%license COPYING
%{_includedir}/mjpegtools/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_mandir}/man5/yuv4mpeg.5*
