Name: mkcomposecache
Version: 1.2.2
Release: %mkrel 1
Summary: Used for creating global (system-wide) Compose cache files
Group: System/X11
URL: https://xorg.freedesktop.org
Source: https://www.x.org/releases/individual/app/%{name}-%{version}.tar.xz
License: MIT

BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: pkgconfig(x11)

%description
mkcomposecache is used for creating global (system-wide) Compose cache files.

Compose cache files help with application startup times and memory usage,
especially in locales with large Compose tables (e.g. all UTF-8 locales).

The tool only makes sense with libX11 1.0.2 and higher.
Included is a script mkallcomposecaches.sh that creates global cache
files for all supported locales.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

%files
%{_sbindir}/mkcomposecache
%{_mandir}/man8/mkcomposecache.*
