Name: mkfontdir
Version: 1.0.7
Release: %mkrel 9
Summary: Create an index of X font files in a directory
Group: Development/X11
Source: https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
License: MIT
BuildArch: noarch

# mkfontdir is currently nothing more than a call to mkfontscale
Requires: mkfontscale

%description
Mkfontdir creates an index of X font files in a directory.

For each directory argument, mkfontdir reads all of the font files in the
directory searching for properties named "FONT", or (failing that) the name of
the file stripped of its suffix. These are converted to lower case and used as
font names, and, along with the name of the font file, are written out to the
file "fonts.dir" in the directory. The X server and font server use "fonts.dir"
to find font files.

%prep
%setup -q

%build
# configure does not like noarch and all of it and the makefile is just
# do run this sed command in the end...
sed -e "s|@bindir[@]|%_bindir|g" mkfontdir.in > mkfontdir

%install
mkdir -p %{buildroot}%{_bindir}
install -m0755 mkfontdir %{buildroot}%{_bindir}/mkfontdir

%files
%{_bindir}/mkfontdir
