Name:           mkfontscale
Version:        1.2.3
Release:        %mkrel 1
Summary:        Create an index of scalable font files for X
Group:          Development/X11
License:        MIT
URL:            https://xorg.freedesktop.org
Source:         https://www.x.org/releases/individual/app/%{name}-%{version}.tar.xz
# add a few extra encodings
Patch0:         mkfontscale-1.2.3-mdv.patch

BuildRequires:  pkgconfig(fontenc) >= 1.0.1
BuildRequires:  pkgconfig(freetype2) >= 2.1.10
BuildRequires:  pkgconfig(x11) >= 1.0.0
BuildRequires:  x11-util-macros >= 1.0.1

Provides:       mkfontdir = %version-%release

%description
For each directory argument, mkfontscale reads all of the scalable font files
in the directory. For every font file found, an X11 font name (XLFD) is
generated, and is written together with the file name to a file fonts.scale in
the directory.

%prep
%autosetup -p1

# Fixes:
# /usr/include/features.h:194:3: warning: #warning "_BSD_SOURCE and
# _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
sed -i -e 's/_BSD_SOURCE/_DEFAULT_SOURCE/g' Makefile.*

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

%files
%doc README.md
%license COPYING
%{_bindir}/*
%{_mandir}/man1/*
