# the compiler crashed with the default, try with -j6
#global _smp_ncpus_max 6

Summary:	Matroska multimedia file utils
Name:		mkvtoolnix
Version:	91.0
Release:	%mkrel 1
License:	GPLv2+ and LGPLv2+
Group:		Video/Editors and Converters
URL:		https://mkvtoolnix.download
Source0:	https://mkvtoolnix.download/sources/%{name}-%{version}.tar.xz
Source1:	https://mkvtoolnix.download/sources/%{name}-%{version}.tar.xz.sig
Source2:	https://mkvtoolnix.download/gpg-pub-moritzbunkus.txt
BuildRequires:	gnupg2
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Multimedia)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(fmt)
BuildRequires:	pkgconfig(pugixml)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(libcmark)
BuildRequires:	pkgconfig(libmatroska) >= 1.7.1
BuildRequires:	pkgconfig(libebml)
BuildRequires:	json-devel
BuildRequires:	liblzo-devel
BuildRequires:	libmagic-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	utf8cpp-devel
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(expat)
BuildRequires:	boost-devel
BuildRequires:	gcc-c++
BuildRequires:	multiarch-utils
BuildRequires:	ruby-rake
#for generating the man pages:
BuildRequires:	docbook-style-xsl
BuildRequires:	xsltproc
BuildRequires:	po4a
BuildRequires:	pkgconfig(gmp)
# bundles a modified avilib
Provides:	bundled(avilib) = 0.6.10
# https://www.bunkus.org/videotools/librmff/index.html
Provides:	bundled(librmff) = 0.6.0

%description
These tools allow information about (mkvinfo) or extraction
from (mkvdemux) or creation of (mkvmerge) or the splitting of
(mkvsplit) Matroska files.

%package gui
Summary:	QT Graphical interface for Matroska container manipulation
Requires:	%{name} = %{version}-%{release}
Requires:	hicolor-icon-theme

%description gui
Mkvtoolnix is a set of utilities to mux and demux audio, video and subtitle
streams into and from Matroska containers.
This package contains the QT graphical interface for these utilities.

%prep
gpg2 --import --import-options import-minimal --no-default-keyring --keyring ./gpg-keyring.gpg %{S:2}
gpgv2 --keyring ./gpg-keyring.gpg %{S:1} %{S:0}
%autosetup -p1
rm -rf lib/{boost,fmt,libebml,libmatroska,nlohmann-json,pugixml,utf8-cpp}
rm -rf rake.d/vendor drake

%build
%configure \
  --disable-optimization \
  --disable-update-check \
  --with-extra-includes=/usr/include/ebml,/usr/include/matroska \
  --with-boost-libdir=%{_libdir}
rake %{?_smp_mflags} V=1

%install
rake install DESTDIR=%{buildroot} TOOLS=1
install -pm 755 src/tools/{base64tool,diracparser,ebml_validator,vc1parser} %{buildroot}%{_bindir}

%find_lang %{name}
%find_lang mkvextract --with-man
%find_lang mkvmerge --with-man
%find_lang mkvpropedit --with-man
%find_lang mkvinfo --with-man
cat mkv{extract,info,merge,propedit}.lang >> mkvtoolnix.lang

%find_lang mkvtoolnix-gui --with-man


%files -f %{name}.lang
%license COPYING
%doc AUTHORS README.md
%{_bindir}/base64tool
%{_bindir}/diracparser
%{_bindir}/ebml_validator
%{_bindir}/mkvextract
%{_bindir}/mkvinfo
%{_bindir}/mkvmerge
%{_bindir}/mkvpropedit
%{_bindir}/vc1parser
%{_mandir}/man1/mkvextract.1*
%{_mandir}/man1/mkvinfo.1*
%{_mandir}/man1/mkvmerge.1*
%{_mandir}/man1/mkvpropedit.1*

%files gui -f mkvtoolnix-gui.lang
%{_bindir}/mkvtoolnix-gui
%{_mandir}/man1/mkvtoolnix-gui.1*
%{_datadir}/applications/org.bunkus.mkvtoolnix-gui.desktop
%{_datadir}/metainfo/org.bunkus.mkvtoolnix-gui.appdata.xml
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/mime/packages/org.bunkus.mkvtoolnix-gui.xml
%{_datadir}/mkvtoolnix
