%define enable_check	0

Summary:	A utility for finding files by name via a central database
Name:		mlocate
Version:	0.26
Release:	%mkrel 15
License:	GPLv2+
Group:		File tools
URL:		https://pagure.io/mlocate
Source0:	https://releases.pagure.org/mlocate/%{name}-%{version}.tar.xz
Source1:	updatedb.conf
Source2:	mlocate-run-updatedb
Source3:	mlocate-updatedb.service
Source4:	mlocate-updatedb.timer
BuildRequires:	pkgconfig(libsystemd)
Requires(pre):	shadow-utils
# standard systemd requires
%{?systemd_requires}
Provides:	bundled(gnulib)

%description
Mlocate is a locate/updatedb implementation.  It keeps a database of
all existing files, and allows you to lookup files by name.

The 'm' stands for "merging": updatedb reuses the existing database to avoid
rereading most of the file system, which makes updatedb faster and does not
trash the system caches as much as traditional locate implementations.

%prep
%setup -q

%build
%configure \
	--localstatedir=%{_localstatedir}/lib \
	--disable-rpath

%make_build

%install
%make_install

# install config file:
install -D -p -m 644 %{_sourcedir}/updatedb.conf %{buildroot}%{_sysconfdir}/updatedb.conf

# install systemd files:
install -D -p -m 750 %{_sourcedir}/mlocate-run-updatedb %{buildroot}%{_libexecdir}/mlocate-run-updatedb
install -D -p -m 644 %{_sourcedir}/mlocate-updatedb.service %{buildroot}%{_unitdir}/mlocate-updatedb.service
install -D -p -m 644 %{_sourcedir}/mlocate-updatedb.timer %{buildroot}%{_unitdir}/mlocate-updatedb.timer

# for %ghost:
touch %{buildroot}%{_localstatedir}/lib/mlocate/mlocate.db

%find_lang %{name}

%pre
if [ "$1" = "1" ]; then
	%{_sbindir}/groupadd -r -f mlocate
fi

%post
%create_ghostfile %{_localstatedir}/lib/mlocate/mlocate.db root mlocate 0640
%systemd_post mlocate-updatedb.timer
systemctl start mlocate-updatedb.timer
systemctl start mlocate-updatedb.service

%preun
%systemd_preun mlocate-updatedb.timer

%postun
%systemd_postun_with_restart mlocate-updatedb.timer

%if %{enable_check}
%check
make check
%endif

%files -f %{name}.lang
%doc AUTHORS NEWS README
%config(noreplace) %{_sysconfdir}/updatedb.conf
%attr(2711,root,mlocate) %{_bindir}/locate
%{_unitdir}/mlocate-updatedb.service
%{_unitdir}/mlocate-updatedb.timer
%{_libexecdir}/mlocate-run-updatedb
%{_bindir}/updatedb
%{_mandir}/man*/*
%dir %attr(0750,root,mlocate) %{_localstatedir}/lib/mlocate
%ghost %attr(0640,root,mlocate) %{_localstatedir}/lib/mlocate/mlocate.db
