%define majorkik       16
%define libnamekik     %mklibname kik %{majorkik}
%define majormkf       16
%define libnamemkf     %mklibname mkf %{majormkf}

%define _disable_ld_no_undefined 1

Summary:        Multi Lingual TERMinal emulator for X
Name:           mlterm
Version:        3.9.3
Release:        %mkrel 1
License:        BSD style
Group:          Terminals
URL:            https://mlterm.sourceforge.net/
Source0:        https://prdownloads.sourceforge.net/mlterm/mlterm-%{version}.tar.gz
Patch0:         disable_rpath.diff
# https://github.com/arakiken/mlterm/commit/f971955cf54a721e6a53191c3b86fbdab4bfbfd5
Patch1:         mlterm-gcc14-f971955.patch
# https://github.com/arakiken/mlterm/commit/3d38b723e0e4a6dd434af2d49aca53890982a828
Patch2:         mlterm-gcc14-3d38b72.patch
# https://github.com/arakiken/mlterm/commit/08ba9859717ed27384675bd687a35f4504701f27
Patch3:         mlterm-gcc14-08ba985.patch
# https://github.com/arakiken/mlterm/commit/8aef4fae3add8e8acfafde831e0034f1b2879dea
Patch4:         mlterm-gcc14-8aef4fa.patch
# https://github.com/arakiken/mlterm/commit/20ab931d5055dc5835154a75ca672fade478549f
Patch5:         mlterm-gcc14-20ab931.patch
# https://github.com/arakiken/mlterm/commit/79f4b0883dc62af26a9afb2c26dc4a068c2a7f9e
Patch6:         mlterm-gcc14-79f4b08.patch

BuildRequires:  ccache
BuildRequires:  imagemagick
BuildRequires:  canna-devel
BuildRequires:  coreutils
BuildRequires:  scim-devel
BuildRequires:  uim-devel
BuildRequires:  utempter-devel
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(fcitx)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(gail)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(harfbuzz)
BuildRequires:  pkgconfig(ibus-1.0)
BuildRequires:  pkgconfig(libssh2)
BuildRequires:  pkgconfig(m17n-core)
BuildRequires:  pkgconfig(vte-2.91)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xkbcommon)
Requires:       ncurses-extraterms
Obsoletes:      %libnamekik <= %{version}-%{release}
Obsoletes:      %libnamemkf <= %{version}-%{release}

%description
mlterm is a multi-lingual terminal emulator written from
scratch, which supports various character sets and encodings
in the world.  It also supports various unique feature such as
anti-alias using FreeType, multiple windows, scrollbar API,
scroll by mouse wheel, automatic selection of encoding,
and so on. Multiple xims are also supported.
You can dynamically change various xims.
NOTE: mlterm has good config tools.
Press Ctrl + right click or Ctrl + left click to run them.

%package canna
Summary:        Canna plugin for mlterm
Group:          Terminals
Provides:       locale(scim:ja;ko;ar;he)

%description canna
A plugin to use the canna input methods directly from mlterm.

%package ibus
Summary:        Ibus plugin for mlterm
Group:          Terminals
Provides:       locale(scim:ja;ko;ar;he)

%description ibus
A plugin to use the ibus input methods directly from mlterm.

%package scim
Summary:        SCIM plugin for mlterm
Group:          Terminals
Provides:       locale(scim:ja;ko;ar;he)

%description scim
A plugin to use the SCIM input methods directly from mlterm.

%package uim
Summary:        An uim plugin for mlterm
Group:          Terminals
Provides:       locale(uim:ja;ko;ar;he)

%description uim
A plugin to use the uim input methods directly from mlterm.

%package m17n
Summary:        A m17n plugin for mlterm
Group:          Terminals
Provides:       locale(m17n:ja;ko;zh;ar;he)

%description m17n
A plugin to use the m17n input methods directly from mlterm.


%prep
%autosetup -p1

%build
%configure \
        --disable-static \
        --disable-utmp \
        --enable-anti-alias \
        --enable-fribidi \
        --enable-ssh2 \
        --enable-vt52 \
        --enable-ind \
        --enable-m17nlib \
        --enable-ibus \
        --disable-fcitx \
        --enable-canna \
        --enable-scim \
        --enable-uim \
        --disable-rpath \
        --with-gtk=4.0 \
        --with-tools=mlclient,mlcc,mlfc,mlmenu,mlterm-zoom,mlimgloader,mlconfig \
        --with-scrollbars=sample,extra,pixmap_engine \
        --with-type-engines=xcore,xft,cairo \
        --with-imagelib=gdk-pixbuf \
        --enable-optimize-redrawing

%make_build

%install
%make_install

install -m 644 contrib/tool/mlterm-menu/menu %{buildroot}%{_sysconfdir}/mlterm/
install -D -m644 "contrib/icon/%{name}-icon.svg" \
  "%{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg"
install -D -m644 "contrib/icon/%{name}-icon-trans.svg" \
  "%{buildroot}%{_iconsdir}/hicolor/scalable/apps/mlclient.svg"

# install menu entry.
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop <<EOF
[Desktop Entry]
Name=Mlterm
Comment=A multi-lingual terminal emulator
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=System;TerminalEmulator;
EOF

# remove unnecessary files
find %{buildroot} -name "*.la" -delete

%files
%doc ChangeLog README doc/{en,ja}
%license LICENCE
%config(noreplace) %{_sysconfdir}/mlterm/
%{_bindir}/mlcc
%{_bindir}/mlclient
%{_bindir}/mlterm
%{_bindir}/mlclientx
%{_bindir}/mlfc
%dir %{_libdir}/%{name}/
%{_libdir}/libmef.so*
%{_libdir}/libpobl.so*
%{_libdir}/libmlterm_coreotl.so
%{_libdir}/mef/
%{_libdir}/%{name}/*.so
%exclude %{_libdir}/mlterm/libim-canna.so
%exclude %{_libdir}/mlterm/libim-ibus.so
%exclude %{_libdir}/mlterm/libim-scim.so
%exclude %{_libdir}/mlterm/libim-uim.so
%exclude %{_libdir}/mlterm/libim-m17nlib.so

%{_libexecdir}/%{name}/
%{_datadir}/%{name}/
%{_mandir}/man1/*
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/*.svg

%files canna
%{_libdir}/mlterm/libim-canna.so

%files ibus
%{_libdir}/mlterm/libim-ibus.so

%files scim
%{_libdir}/mlterm/libim-scim.so

%files uim
%{_libdir}/mlterm/libim-uim.so

%files m17n
%{_libdir}/mlterm/libim-m17nlib.so
