%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Build infrastructure and utilities for GNOME C++ bindings
Name:		mm-common
Version:	1.0.6
Release:	%mkrel 1
License:	GPLv2+
Group:		Development/GNOME and GTK+
Url:		https://www.gtkmm.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	curl
BuildRequires:	wget
BuildRequires:	meson

%description
The mm-common module provides the build infrastructure and utilities
shared among the GNOME C++ binding libraries.  It is only a required
dependency for building the C++ bindings from the gnome.org version
control repository.  An installation of mm-common is not required for
building tarball releases, unless configured to use maintainer-mode.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%files
%doc OVERVIEW.md README.md NEWS
%license COPYING
%{_docdir}/%{name}/skeletonmm*
%_bindir/mm-common-prepare
%_bindir/mm-common-get
%_datadir/aclocal/*.m4
%_datadir/%name/
%_datadir/pkgconfig/*.pc
%_mandir/man1/*.1*
