%define name                    mmc-wizard
%define version                 1.0
%define release                 %mkrel 14
%global __requires_exclude pear\\(graph|pear\\(includes|pear\\(modules|pear\\(license.php\\)

Summary:          MMC Wizard interface 
Name:             %{name}
Version:          %{version}
Release:          %{release}
License:          GPL
Group:            System/Servers
URL:              https://mds.mandriva.org/
Source0:          %{name}-%{version}.tar.bz2
Source1:          %{name}.conf
Source3:          %{name}
Source4:          %{name}.desktop
Source5:          %{name}.png
Source6:          %{name}.sh
Source7:          perm.local
Requires:         apache-mod_php
Requires:         php-ldap
Requires:         php-xmlrpc
Requires:         php-iconv
Requires:         php-gd
Requires:         perl-RPC-XML
Requires:         php-pear-XML_RPC2
Requires:         php-curl
Requires:         php-pear-File_Passwd
Requires:         apache-mod_ssl
Requires:         apache-mod_authnz_external
Requires:         perl-Config-IniFiles
Requires:         perl-NetAddr-IP
Requires:         pwauth
Requires(post):   rpm-helper
Requires(postun): rpm-helper
BuildArch:        noarch
#BuildRequires:    apache-base >= 2.0.54

%description
Mandriva Serveur Setup

%prep

%setup -q -n %{name}-%{version}
# cleanup
find . -name .svn | xargs rm -rf

%build 

%pre
if [ -e "%_datadir/mmc-wizard/bundle/mds.xml" ]; then 
    cp %_datadir/mmc-wizard/bundle/mds.xml %_datadir/mmc-wizard/bundle/mds.xml.old
fi

%post
%_datadir/mmc-wizard/create_wizard_db.sh
rm -fr %_datadir/mmc-wizard/stacks/others/
rm -fr %_datadir/mmc-wizard/bundle/mds.xml.old

%_post_webapp
%_post_service %{name}
chown apache.apache %{_logdir}/%{name}/
chown apache.apache %{_datadir}/%{name}/bundle/mds.xml
# Do we need to do this in this package ?
%{_initrddir}/%{name} restart
%{_initrddir}/httpd restart

%preun
%_preun_service %{name}

%postun
%_postun_webapp

%files
%defattr(-,root,root,0755)
%{_datadir}/%{name}/*
%{_sbindir}/%{name}.pl
%{_sbindir}/mandriva-setup-mds.sh
%{_sbindir}/mandriva-setup-smb.sh
%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
%{_sysconfdir}/security/msec/perm.local
%{_initrddir}/%{name}
%{_datadir}/mdk/desktop/server/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_sysconfdir}/profile.d/*
%{_logdir}/%{name}/
%{_var}/lib/%{name}/

#--------------------------------------------------------------------

%install
mkdir -p %{buildroot}%{_datadir}/%{name}/
mkdir -p %{buildroot}%{_logdir}/%{name}/
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_datadir}/mdk/desktop/server/
mkdir -p %{buildroot}%{_datadir}/applications/
mkdir -p %{buildroot}%{_datadir}/pixmaps/
mkdir -p %{buildroot}%{_var}/lib/mmc-wizard/

cp -r * %{buildroot}%{_datadir}/%{name}/

mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/
mkdir -p %{buildroot}%{_initrddir}
mkdir -p %{buildroot}%{_sysconfdir}/security/msec/
mkdir -p %{buildroot}%{_sysconfdir}/profile.d/

cp dit-mds/mandriva-setup-mds.sh %{buildroot}%{_sbindir}
cp dit-mds/mandriva-setup-smb.sh %{buildroot}%{_sbindir}
cp mmc-wizard.pl %{buildroot}%{_sbindir}

install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/
install -m 644 %{SOURCE7} %{buildroot}%{_sysconfdir}/security/msec/
install -m 700 %{SOURCE3} %{buildroot}%{_initrddir}

###### Icon and Desktop link 
install -m 644 %{SOURCE4} %{buildroot}%{_datadir}/mdk/desktop/server/%{name}.desktop
install -m 644 %{SOURCE4} %{buildroot}%{_datadir}/applications/%{name}.desktop
install -m 644 %{SOURCE5} %{buildroot}%{_datadir}/pixmaps/%{name}.png
install -m 744 %{SOURCE6} %{buildroot}%{_sysconfdir}/profile.d/

