Name:		mmv
Version:	2.10
Release:	%mkrel 1
Summary:	Move/copy/append/link multiple files

Group:		File tools
License:	GPLv2+
URL:		https://github.com/rrthomas/mmv
Source0:	https://github.com/rrthomas/mmv/releases/download/v%{version}/%{name}-%{version}.tar.gz

%description
This is mmv, a program to move/copy/append/link multiple files
according to a set of wildcard patterns. This multiple action is
performed safely, i.e. without any unexpected deletion of files due to
collisions of target names with existing filenames or with other
target names. Furthermore, before doing anything, mmv attempts to
detect any errors that would result from the entire set of actions
specified and gives the user the choice of either aborting before
beginning, or proceeding by avoiding the offending parts.

%prep
%autosetup -p1

%build
%configure
%make_build CONF="%{optflags} -fpie" LDCONF="%{ldflags} -pie"

%install
%make_install

ln -s mmv.1%{_extension} %{buildroot}%{_mandir}/man1/mcp.1%{_extension}
ln -s mmv.1%{_extension} %{buildroot}%{_mandir}/man1/mad.1%{_extension}
ln -s mmv.1%{_extension} %{buildroot}%{_mandir}/man1/mln.1%{_extension}

%files
%license COPYING
%doc AUTHORS ChangeLog README.md
%{_bindir}/mmv
%{_bindir}/mcp
%{_bindir}/mad
%{_bindir}/mln
%{_mandir}/man1/*

