%define oname   Mnemosyne

Name:           mnemosyne
Version:        2.11
Release:        %mkrel 2
Summary:        Flash-card learning tool which optimizes the learning process
Group:          Education
License:        AGPLv3 and LGPLv3
URL:            https://mnemosyne-proj.org
# see also      https://github.com/mnemosyne-proj/mnemosyne
Source0:        https://github.com/mnemosyne-proj/mnemosyne/archive/refs/tags/%{version}.tar.gz
Patch0:         mnemosyne-mga-fix-install.patch
ExclusiveArch:  x86_64 aarch64
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python3-cheroot
Requires:       python3-cherrypy
Requires:       python3-decorator
Requires:       python3-matplotlib-qt6
Requires:       python3-qt6-core
Requires:       python3-qt6-gui
Requires:       python3-qt6-multimedia
Requires:       python3-qt6-sql
Requires:       python3-qt6-widgets
# not provided on 32 bits arches
Recommends:     python3-qt6-webenginewidgets
Requires:       python3-webob
Requires:       python3-googletrans
Requires:       python3-gtts
Requires:       python3-argon2-cffi

%description
Mnemosyne resembles a traditional flash-card program but with an
important twist: it uses a sophisticated algorithm to schedule the best
time for a card to come up for review.

The Mnemosyne project is also a research project into the nature of long-term
memory, to which you can freely choose to participate by sending anonymous
data to a central server for analysis.

Optional dependency:
* texlive: enables entering formulas using LaTeX syntax.
Use the following syntax in a card: <$>LaTeX formula</$>

%prep
%autosetup -p1

cp openSM2sync/LICENSE LICENSE.openSM2sync

%generate_buildrequires
%pyproject_buildrequires

%build
# pyproject macros install lang files under site-packages, what is wrong
%py3_build
# building .mo files
make -C po

%install
%py3_install

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog
%license LICENSE.openSM2sync
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{oname}-%{version}*.egg-info
%{python3_sitelib}/openSM2sync/
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
