%define major		3
%define libname		%mklibname mnogosearch %{major}
%define develname	%mklibname mnogosearch -d

%bcond_without unixODBC
%bcond_without freetds
%bcond_with mysql

Summary:	Another one web indexing and searching system for a small domain or intranet
Name:		mnogosearch
Version:	3.4.1
Release:	%mkrel 7
License:	GPLv2
Group:		System/Servers
URL:		http://www.mnogosearch.org/
Source0:	http://www.mnogosearch.org/Download/mnogosearch-%{version}.tar.gz
Source1:	mnogosearch-dbgen
Source2:	mnogosearch-Mysql-database
Patch0:		mnogosearch-local_button.diff
Patch1:		mnogosearch-3.2.16-udm-config.patch
Patch2:		mnogosearch-soname.diff
Patch3:		mnogosearch-3.2.11-docs_fix.patch
Patch4:		mnogosearch-3.4.1-fix-install.patch
Patch5:		mnogosearch-3.4.1-mariadb.patch
Patch6:		mnogosearch-3.4.1-mariadb-10.9.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	openjade
BuildRequires:	docbook-utils
Conflicts:	gnusearch
%if %{with mysql}
BuildRequires:	mysql-devel >= 5.1
%endif
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	multiarch-utils >= 1.0.3
%if %{with unixODBC}
BuildRequires:	pkgconfig(odbc)
%endif
%if %{with freetds}
BuildRequires:	freetds-devel
%endif

Requires:	apache

%description
mnoGoSearch (formerly known as UdmSearch) is a full-featured Web search engine
that you can use to build search engines over HTTP, HTTPS, FTP, and NTTP
servers, local files, and database big text fields. It supports Oracle, MS SQL
Server, MySQL, PostgreSQL, InterBase/Firebird, Openlink Virtuoso, Intersystems
Cach, iODBC, EasySoft ODBC, and unixODBC database backends. It has XML, HTML,
and TEXT built-in support, and external converters support for other document
types. An automatic language/charset guesser for more 70 language/charset
combinations is included, along with basic authorization support, and you may
index password-protected intranet HTTP servers with proxy authorization
support.

mnoGoSearch is built with MySQL support.

%package -n	%{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries

%description -n	%{libname}
This package contains the %{name} library files.

%package -n	%{develname}
Summary:	Development headers and libraries for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains the %{name} development files.

%prep

%setup -q -n mnogosearch-%{version}
%patch -P 2 -p0
%patch -P 3 -p0
%patch -P 4 -p0
%patch -P 5 -p1
%patch -P 6 -p1

# CVS cleanup
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# fix one weird bug...
echo "SUBDIRS= mysql pgsql sqlite cache" > create/Makefile.am

cp %{SOURCE1} mnogosearch-dbgen
cp %{SOURCE2} mysql.sql

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" configure*

%build

autoreconf -fi

%serverbuild
%configure \
    --disable-static \
    --sysconfdir=%{_sysconfdir}/mnogosearch  \
    --datadir=%{_datadir}/mnogosearch  \
    --enable-syslog \
    --enable-syslog=LOG_LOCAL6 \
    --localstatedir=%{_var}/lib/mnogosearch \
    --with-sqlite3 \
    --enable-parser \
    --enable-mp3 \
    --enable-file \
    --enable-http \
    --enable-ftp \
    --enable-news \
    --with-zlib \
    --with-readline \
    %{?with_unixODBC:--with-unixODBC} \
    %{?with_freetds:--with-freetds=/usr} \
    %{?with_mysql:--with-mysql} \
    --with-extra-charsets=all \
    --disable-mysql-fulltext-plugin
%__make

%install
# don't fiddle with the initscript!
export DONT_GPRINTIFY=1

install -d %{buildroot}%{_includedir}/%{name}-%{version}
install -d %{buildroot}%{_infodir}
install -d %{buildroot}%{_var}/lib
install -d %{buildroot}%{_sysconfdir}/cron.daily
install -d %{buildroot}%{_var}/www/cgi-bin
install -d %{buildroot}%{_var}/www/html
install -d %{buildroot}%{_var}/www/icons

%make_install

mv -f %{buildroot}%{_bindir}/*.cgi %{buildroot}%{_var}/www/cgi-bin/

(cd %{buildroot}%{_sysconfdir}/%{name}
echo "#"> locals
for f in *-dist ; do
    mv -f $f `basename $f -dist`
done
)

install -m0755 mnogosearch-dbgen %{buildroot}%{_sysconfdir}/cron.daily/

# fix one tiny bug
perl -pi -e "s|/usr/local/mnogosearch/sbin/indexer|%{_bindir}/indexer|g" %{buildroot}%{_sysconfdir}/mnogosearch/indexer.conf

# fix docs
rm -rf html; mkdir -p html
cp -p doc/*.html html/

# rename this file
mv %{buildroot}%{_bindir}/udm-config %{buildroot}%{_bindir}/%{name}-%{version}-config

# move headers in place (P2 should help finding this)
mv %{buildroot}%{_includedir}/*.h %{buildroot}%{_includedir}/%{name}-%{version}/

# cleanup
rm -rf %{buildroot}/usr/doc
rm -rf %{buildroot}%{_datadir}/%{name}/sqlite
rm -rf %{buildroot}%{_datadir}/%{name}/pgsql

#we don't want these
find %{buildroot} -name "*.la" -delete

%multiarch_binaries %{buildroot}%{_bindir}/%{name}-%{version}-config
%multiarch_includes %{buildroot}%{_includedir}/%{name}-%{version}/udm_config.h
%multiarch_includes %{buildroot}%{_includedir}/%{name}-%{version}/udm_autoconf.h

%files
%doc ChangeLog README TODO html doc/samples
%license COPYING
%{_bindir}/indexer
%{_bindir}/mconv
%{_bindir}/mguesser
%{_var}/www/cgi-bin/*
%dir %{_var}/lib/mnogosearch/
%dir %{_sysconfdir}/mnogosearch/
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mnogosearch/indexer.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mnogosearch/langmap.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mnogosearch/stopwords.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mnogosearch/*.htm
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mnogosearch/locals
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mnogosearch/node.xml
%{_sysconfdir}/cron.daily/*
%{_datadir}/mnogosearch/
%{_mandir}/man?/*

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%multiarch %{multiarch_bindir}/mnogosearch-%{version}-config
%multiarch %{multiarch_includedir}/mnogosearch-%{version}/udm_config.h
%multiarch %{multiarch_includedir}/mnogosearch-%{version}/udm_autoconf.h
%{_bindir}/mnogosearch-%{version}-config
%dir %{_includedir}/mnogosearch-%{version}/
%{_includedir}/mnogosearch-%{version}/*.h
%{_libdir}/*.so
