%undefine _hardened_build

# comment out when not a pre-release
%define prel	alpha3

%define rel	6

Name:		moc
Version:	2.6
Release:	%mkrel %{?prel:0.%{prel}.}%{rel}
Summary:	Music on Console - Console audio player for Linux/UNIX
License:	GPLv2
Group:		Sound/Players
URL:		https://moc.daper.net/
# tarball come from revision 3005 from svn://svn.daper.net/moc/trunk
Source0:	https://ftp.daper.net/pub/soft/moc/unstable/%{name}-%{version}%{?prel:-%prel}.tar.xz
Patch1:		0001-Refreshed-opus-patch-from-Tomasz-Golinski-tomaszg-al.patch
Patch2:		0002-Adapted-the-opus-patch-to-config.example.in.patch
Patch3:		0003-The-AX_PATH_BDB_NO_OPTIONS-is-broken.patch
Patch4:		0004_playtime_perc.patch
Patch5:		0005-avcodec-include.patch
Patch6:		0006-uncast-warnings.patch
Patch7:		0007-cur-dts.patch
Patch8:		0008-Rename-configure.in-to-configure.ac.patch
Patch9:		0009-Add-https-to-is_url.patch
# from fedora
Patch20:	ffmpeg6.patch
# https://www.mail-archive.com/debian-bugs-dist@lists.debian.org/msg1991260.html
# slightly modified
Patch21:	moc-svn3005-ffmpeg7.patch

BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(libavformat)
BuildRequires:	pkgconfig(taglib)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(id3tag)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(libmodplug)
BuildRequires:	pkgconfig(wavpack)
BuildRequires:	pkgconfig(opus)
BuildRequires:	pkgconfig(popt)
BuildRequires:	db-devel
BuildRequires:	gettext-devel
BuildRequires:	libtool-devel
BuildRequires:	magic-devel
BuildRequires:	musepack-devel

%description
MOC (music on console) is a console audio player for LINUX/UNIX designed to be
powerful and easy to use. You just need to select a file from some directory
using the menu similar to Midnight Commander, and MOC will start playing all
files in this directory beginning from the chosen file.

%prep
%autosetup -p1 -n %{name}-%{version}%{?prel:-%prel}

%build
# fix build on aarch64
autoreconf -vfi

%configure \
	--disable-static \
	--with-oss --with-alsa --with-jack --with-aac --with-mp3 \
	--with-musepack --with-vorbis --with-flac --with-wavpack \
	--with-sndfile --with-modplug --with-ffmpeg --with-speex \
	--with-samplerate --with-curl --with-rcc
%make_build

%install
%make_install

rm -rf %{buildroot}%{_datadir}/doc

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc README README_equalizer AUTHORS config.example keymap.example NEWS
%license COPYING
%{_bindir}/%{name}*
%{_datadir}/%{name}/
%{_libdir}/%{name}/
%{_mandir}/man1/%{name}*
