Name:     mock-mageia-configs
Version:  10
Release:  %mkrel 3
Summary:  Extra configs for Mageia for Mock
URL:      https://mageia.org/
Group:    System/Packaging
License:  MIT

# Mageia release mock config templates
Source0:  mageia-release-extrasect-mockcfg

# Cauldron mock config templates
Source100:  cauldron-extrasect-mockcfg

Requires: mock-core-configs >= 40.2-3

BuildArch: noarch

%description
This package provides Mock configuration files to build packages
for extra repository sections (nonfree, tainted, etc.)


%prep
# Nothing to prepare

%build
# Nothing to build

%install
# Install the configs
mkdir -p %{buildroot}%{_sysconfdir}/mock

# Distribution releases to generate configs for
i586_DISTRO_RELEASES=(8 9)
DISTRO_RELEASES=(10)
CAULDRON_RELEASE=10

# Distribution architectures to generate configs for
DISTRO_ARCHES=(x86_64 i686 armv7hl aarch64)


for DISTRO_ARCH in ${DISTRO_ARCHES[@]}; do
   for DISTRO_RELEASE in ${i586_DISTRO_RELEASES[@]}; do
       ## Create the configuration files for various sections
       install %{S:0} -pm 0644 %{buildroot}%{_sysconfdir}/mock/mageia-${DISTRO_RELEASE}-${DISTRO_ARCH/i686/i586}-nonfree.cfg
       install %{S:0} -pm 0644 %{buildroot}%{_sysconfdir}/mock/mageia-${DISTRO_RELEASE}-${DISTRO_ARCH/i686/i586}-tainted.cfg
       sed -e "s/@RELEASEVER@/${DISTRO_RELEASE}/g" -i %{buildroot}%{_sysconfdir}/mock/mageia-${DISTRO_RELEASE}-*.cfg
       sed -e "s/@DIST_ARCH@/${DISTRO_ARCH/i686/i586}/g" -i %{buildroot}%{_sysconfdir}/mock/mageia-${DISTRO_RELEASE}-${DISTRO_ARCH/i686/i586}-*.cfg
   done

   for DISTRO_RELEASE in ${DISTRO_RELEASES[@]}; do
       ## Create the configuration files for various sections
       install %{S:0} -pm 0644 %{buildroot}%{_sysconfdir}/mock/mageia-${DISTRO_RELEASE}-${DISTRO_ARCH}-nonfree.cfg
       install %{S:0} -pm 0644 %{buildroot}%{_sysconfdir}/mock/mageia-${DISTRO_RELEASE}-${DISTRO_ARCH}-tainted.cfg
       sed -e "s/@RELEASEVER@/${DISTRO_RELEASE}/g" -i %{buildroot}%{_sysconfdir}/mock/mageia-${DISTRO_RELEASE}-${DISTRO_ARCH}-*.cfg
       sed -e "s/@DIST_ARCH@/${DISTRO_ARCH}/g" -i %{buildroot}%{_sysconfdir}/mock/mageia-${DISTRO_RELEASE}-${DISTRO_ARCH}-*.cfg
   done

   ## Cauldron confogurations
   install %{S:100} -pm 0644 %{buildroot}%{_sysconfdir}/mock/mageia-cauldron-${DISTRO_ARCH}-nonfree.cfg
   install %{S:100} -pm 0644 %{buildroot}%{_sysconfdir}/mock/mageia-cauldron-${DISTRO_ARCH}-tainted.cfg

   ln -sf mageia-cauldron-${DISTRO_ARCH}-nonfree.cfg %{buildroot}%{_sysconfdir}/mock/mageia-${CAULDRON_RELEASE}-${DISTRO_ARCH}-nonfree.cfg
   ln -sf mageia-cauldron-${DISTRO_ARCH}-tainted.cfg %{buildroot}%{_sysconfdir}/mock/mageia-${CAULDRON_RELEASE}-${DISTRO_ARCH}-tainted.cfg

   ## Fill in the correct values for the installed repo files
   sed -e "s/@DIST_ARCH@/${DISTRO_ARCH}/g" -i %{buildroot}%{_sysconfdir}/mock/mageia-cauldron-${DISTRO_ARCH}-*.cfg
done

for DISTRO in ${i586_DISTRO_RELEASES[@]} ${DISTRO_RELEASES[@]/${CAULDRON_RELEASE}/cauldron}; do
   sed -e "s/@DIST_SECTION@/nonfree/g" \
       -e "s/@DIST_SECTION_NAME@/Nonfree/g" \
       -i %{buildroot}%{_sysconfdir}/mock/mageia-${DISTRO}-*-nonfree.cfg

   sed -e "s/@DIST_SECTION@/tainted/g" \
       -e "s/@DIST_SECTION_NAME@/Tainted/g" \
       -i %{buildroot}%{_sysconfdir}/mock/mageia-${DISTRO}-*-tainted.cfg
done

%files
%defattr(0644, root, mock)
%config(noreplace) %{_sysconfdir}/mock/*.cfg
