Summary:       Modem Manager GUI
Name:          modem-manager-gui
Version:       0.0.20
Release:       %mkrel 4
License:       GPLv3
Group:         Communications/Mobile
URL:           https://linuxonly.ru
Source0:       https://download.tuxfamily.org/gsf/source/%{name}-%{version}.tar.gz
Patch0:        modem-manager-gui-0.0.20-mga-fix-meson-build.patch
# MMGUI crashes with some new versions of NetworkManager.
# Patch taken from Debian:
# https://salsa.debian.org/debian/modem-manager-gui/-/raw/master/debian/patches/fix_segfault_on_DNS_entries.patch
Patch4:        0004-fix-segfault-on-DNS-entries.patch
BuildRequires: pkgconfig(gtk+-3.0) >= 3.4.0
BuildRequires: pkgconfig(glib-2.0) >= 2.32.1
BuildRequires: libgdbm-devel >= 1.10
BuildRequires: po4a >= 0.45
BuildRequires: itstool >= 1.2.0
BuildRequires: meson
BuildRequires: pkgconfig(gtkspell3-3.0) >= 3.0.6
BuildRequires: pkgconfig(ayatana-appindicator3-0.1)

Requires:      modemmanager >= 0.5.0.0
Requires:      gtkspell3 >= 3.0.6
Recommends:    libnotify >= 0.7.5
Recommends:    libcanberra0 >= 0.28
Recommends:    evolution-data-server >= 3.4.1
Recommends:    mobile-broadband-provider-info >= 20120614

%description
This program is a simple graphical interface for Modem Manager
daemon dbus interface.
Current features:
- View device information: Operator name, Mode, IMEI, IMSI,
  Signal level.
- Send and receive SMS messages with long messages
  concatenation and store messages in database.
- Send USSD requests and read answers in GSM7 and UCS2 formats
  converted to system UTF8 charset.
- Scan available mobile networks.

%prep
%setup -qn %{name}
%autopatch -p1

sed -i 's|0.0.19.1|%{version}|' meson.build

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-man --with-gnome

%files -f %{name}.lang
%doc LICENSE AUTHORS Changelog
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/polkit-1/actions/ru.linuxonly.%{name}.policy
%{_mandir}/man1/%{name}.1*
%{_sysconfdir}/NetworkManager/dispatcher.d/95-mmgui-timestamp-notifier
