#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define rel 1

Summary:        KDE Frameworks 6 Tier 1 Qt wrapper for ModemManager API
Name:           modemmanager-qt
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  pkgconfig(ModemManager)
BuildRequires:  pkgconfig(libnm)

%description
KDE Frameworks 6 Tier 1 Qt wrapper for ModemManager API.

%files
%_kf6_categoriesdir/modemmanagerqt.*categories

#--------------------------------------------------------------------

%define kf6modemmanagerqt_major 6
%define libkf6modemmanagerqt %mklibname kf6modemmanagerqt %{kf6modemmanagerqt_major}

%package -n %libkf6modemmanagerqt
Summary:        KDE Frameworks 6 Tier 1 Qt wrapper for ModemManager API
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkf6modemmanagerqt
KDE Frameworks 6 Tier 1 Qt wrapper for ModemManager API.

%files -n %libkf6modemmanagerqt
%_kf6_libdir/libKF6ModemManagerQt.so.%{kf6modemmanagerqt_major}
%_kf6_libdir/libKF6ModemManagerQt.so.%{version}

#--------------------------------------------------------------------

%define modemmanagerqt_devel %mklibname kf6modemmanager-qt -d

%package -n %modemmanagerqt_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6modemmanagerqt = %version-%release
Provides:       %name-devel = %{version}-%{release}
Requires:       pkgconfig(ModemManager)

%description -n %modemmanagerqt_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %modemmanagerqt_devel
%_kf6_includedir/ModemManagerQt/
%_kf6_libdir/cmake/KF6ModemManagerQt/
%_kf6_libdir/libKF6ModemManagerQt.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

