%global _disable_ld_no_undefined 1

%global _udevrulesdir /usr/lib/udev

%define oname	ModemManager

# exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/%{oname}/.*\\.so

%define api		1.0
%define major		0
%define glibname	%mklibname mm-glib %{major}
%define glibdevel	%mklibname mm-glib -d
%define girname		%mklibname %{name}-gir %{api}

Summary:	Mobile broadband modem management service
Name:		modemmanager
Version:	1.22.0
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Networking
URL:		https://www.freedesktop.org/wiki/Software/ModemManager/
Source:		https://gitlab.freedesktop.org/mobile-broadband/ModemManager/-/archive/%{version}/ModemManager-%{version}.tar.gz
BuildRequires:	meson
BuildRequires:	intltool
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(bash-completion)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(mbim-glib)
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	pkgconfig(qmi-glib)
BuildRequires:	pkgconfig(vapigen)

Requires:	usb_modeswitch

%description
The %{oname} service provides a consistent API to operate many different
modems, including mobile broadband (3G) devices.

%package devel
Summary:	Headers for adding %{oname} support to applications
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains various headers for accessing some %{oname} functionality
from applications.

%package -n %{girname}
Summary:	GObject introspection interface for %{oname}
Group:		System/Libraries
Requires:	%{glibname} = %{version}-%{release}

%description -n %{girname}
GObject introspection interface for %{oname}.

%package -n %{glibname}
Summary:	Libraries for adding %{oname} support to applications that use glib
Group:		System/Libraries

%description -n %{glibname}
This package contains the libraries that make it easier to use some %{oname}
functionality from applications that use glib.

%package -n %{glibdevel}
Summary:	Libraries and headers for adding %{oname} support to applications that use glib
Group:		System/Libraries
Provides:	%{name}-glib-devel = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{glibname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}

%description -n %{glibdevel}
This package contains various headers for accessing some %{oname} functionality
from glib applications.

%prep
%setup -q -n %{oname}-%{version}

%build
%meson \
  -Dudevdir=%{_udevrulesdir} \
  -Dsystemdsystemunitdir=%{_unitdir} \
  -Dpolkit=permissive \
  -Dintrospection=true \
  -Dvapi=true \
  -Dgtk_doc=true
%meson_build

%if 0
%check
%meson_test
%endif

%install
%meson_install

%find_lang %{name} --all-name

%post
%_post_service %{oname}

%preun
%_preun_service %{oname}

%files -f %{name}.lang
%doc README AUTHORS
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.%{oname}1.conf
%{_datadir}/dbus-1/system-services/org.freedesktop.%{oname}1.service
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/polkit-1/actions/org.freedesktop.ModemManager1.policy
%{_sbindir}/%{oname}
%{_bindir}/mmcli
%{_udevrulesdir}/rules.d/*.rules
%{_unitdir}/%{oname}.service
%{_mandir}/man1/mmcli.1*
%{_mandir}/man8/*
%{_datadir}/icons/hicolor/22x22/apps/%{oname}.png
%{_datadir}/bash-completion/completions/mmcli
%{_datadir}/%{oname}/
#plugins
%{_libdir}/%{oname}/

%files devel
%doc %{_datadir}/gtk-doc/html/ModemManager/
%{_includedir}/%{oname}/
%{_libdir}/pkgconfig/%{oname}.pc

%files -n %{glibname}
%{_libdir}/libmm-glib.so.%{major}{,.*}

%files -n %{glibdevel}
%doc %{_datadir}/gtk-doc/html/libmm-glib/
%{_includedir}/libmm-glib/
%{_libdir}/libmm-glib.so
%{_libdir}/pkgconfig/mm-glib.pc
%{_datadir}/gir-1.0/%{oname}-%{api}.gir
%{_datadir}/vala/vapi/libmm-glib.*

%files -n %{girname}
%{_libdir}/girepository-1.0/%{oname}-%{api}.typelib
