Name:           mold
Version:        2.35.1
Release:        %mkrel 1
Summary:        A Modern Linker (mold)
License:        AGPLv3
Group:          Development/Other
Url:            https://github.com/rui314/mold
Source0:        https://github.com/rui314/mold/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		mold-xxhash.patch
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  mimalloc-devel
BuildRequires:  pkgconfig(libzstd)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(libxxhash)
BuildRequires:  pkgconfig(tbb)

%description
mold is a faster drop-in replacement for existing Unix linkers.
It is several times faster than LLVM lld linker, the second-fastest
open-source linker originally created by the same developer.

mold is designed to increase developer productivity by reducing
build time, especially in rapid debug-edit-rebuild cycles.

%prep
%autosetup -p1

# Make sure to use system libraries.
rm -rf third-party/{mimalloc,zlib,zstd,tbb,xxhash}

%build
%cmake \
  -DMOLD_USE_SYSTEM_MIMALLOC=ON \
  -DMOLD_USE_SYSTEM_TBB=ON \
  -DBUILD_SHARED_LIBS=OFF
%cmake_build

%install
%cmake_install

# Handled below.
rm -rf %{buildroot}%{_docdir}/mold

%files
%doc README.md
%license LICENSE
%{_bindir}/mold
%{_bindir}/ld.mold
%dir %{_libdir}/mold/
%{_libexecdir}/mold/ld
%{_libdir}/mold/mold-wrapper.so
%{_mandir}/man1/ld.mold.1*
%{_mandir}/man1/mold.1*
