Name:           moleinvasion
Version:        0.4
Release:        %mkrel 12
Summary:        Jump'n run game with Tux
License:        GPLv2+
Group:          Games/Arcade
URL:            https://moleinvasion.tuxfamily.org/
Source0:        https://download.tuxfamily.org/minvasion/packages/MoleInvasion-%{version}.tar.bz2
Patch0:         moleinvasions-fix-build.diff
Patch1:         moleinvasion-0.4-opengl.patch
Patch2:         moleinvasion-0.4-fno-common.patch
Patch3:         moleinvasion-0.4-gcc14.patch
BuildRequires:  SDL_mixer
BuildRequires:  GL-devel
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(tcl)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(SDL_ttf)
BuildRequires:  pkgconfig(sdl)

%description
This is a classic jump and run game where Tux must deal with Moles.

%prep
%autosetup -p1

%build
%set_build_flags
make -C src

%install
%make_install install-data -C src

# man pages
mkdir -p %{buildroot}%{_mandir}/man6/
cp debian/*.6 %{buildroot}%{_mandir}/man6/

# desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Name=Mole Invasion
Icon=%{_gamesdatadir}/%{name}/gfx/icon.xpm
Exec=%{_gamesbindir}/%{name}
Terminal=false
Categories=Game;ActionGame;
EOF

%files
%{_gamesbindir}/*
%{_mandir}/man6/*
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
