#
# $Id: mondo.spec 1892 2008-03-22 00:57:27Z bruno $
#

Summary:	MondoRescue is a GPL Disaster Recovery and Cloning Solution
Summary(fr):	Un programme pour créer un media de sauvegarde/restauration ou de clonage
Summary(it):	Un programma per utenti Linux per creare un CD/tape di rescue
Summary(sp):	Un programa por crear una CD/cinta de restoracion/rescate

Name:		mondo
Epoch:		1
Version:	3.2.2
Release:	%mkrel 6
License:	GPLv2
Group:		Archiving/Backup
Url:		http://www.mondorescue.org
Source:		ftp://ftp.mondorescue.org/src/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(libnewt) >= 0.50
BuildRequires:	gcc-c++
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool

ExclusiveArch:	x86_64 i586 ia64
Obsoletes:	libmondo

Requires:	mindi >= 2.1.4
Requires:	bzip2 >= 0.9
Requires:	afio
Requires:	mkisofs
Requires:	binutils
Requires:	newt >= 0.50
Requires:	buffer
Requires:	cdrecord
Requires:	parted
Requires:	net-tools

%description
Mondo is a GPL disaster recovery solution to create backup media
(CD, DVD, tape, network images) that can be used to redeploy the
damaged system, as well as deploy similar or less similar systems.

%description -l fr
Objectif
""""""""
Mondo est une solution GPL de sauvegarde en cas de désastre pour 
créer des médias (CD, DVD, bande, images réseau) qui peuvent être 
utilisés pour redéployer le système endommagé, aussi bien que des 
systèmes similaires, ou moins similaires.

%description -l it
Scopo
"""""
Mondo e' un programma che permette a qualsiasi utente Linux
di creare un cd di rescue/restore (o piu' cd qualora l'installazione
dovesse occupare piu' di 2Gb circa). Funziona con gli azionamenti di
nastro, ed il NFS, anche.

%description -l sp
Objectivo
"""""""""
Mondo es un programa que permite cualquier usuario de Linux a crear una CD
de restoracion/rescate (o CDs, si su instalacion es >2GO aprox.).  Funciona
con cintas y NFS, tambien.

%prep
%setup -q

%build
%define _legacy_common_support 1
./bootstrap
export CFLAGS="%{optflags} -fgnu89-inline"
%configure

%make_build VERSION=%{version}

%install
%make_install

mkdir -p %{buildroot}%{_var}/cache/%{name}

%files
%doc ChangeLog 
#svn.log
%doc COPYING README* TODO AUTHORS NEWS*
%doc docs/en/mondorescue-howto.html docs/en/mondorescue-howto.pdf

%{_sbindir}/*
%{_datadir}/%{name}/
%{_libdir}/%{name}/
%{_mandir}/man8/*
%{_var}/cache/%{name}
