Summary:		Process monitor and restart utility
Name:			monit
Version:		5.34.4
Release:		%mkrel 1
License: 		GPLv3+
Group: 			Monitoring
URL: 			https://www.tildeslash.com/monit/
Source0: 		https://mmonit.com/monit/dist/%{name}-%{version}.tar.gz
Patch0:			monit-5.8-lsb-init.patch
BuildRequires:		flex
BuildRequires:		bison
BuildRequires:		systemd
BuildRequires:		pam-devel
BuildRequires:		pkgconfig(openssl)
Requires(post):		rpm-helper
Requires(preun):	rpm-helper

%description
Monit is a utility for managing and monitoring processes,
files, directories and devices on a Unix system. Monit conducts
automatic maintenance and repair and can execute meaningful causal
actions in error situations.

%prep
%autosetup -p1

%build
%configure
%make_build

# enable logging
# sed -i 's|^# set logfile|set logfile|' monitrc

%install
%make_install

install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}.d
install -m 600 monitrc %{buildroot}%{_sysconfdir}/monitrc

# systemd service file
mkdir -p %{buildroot}%{_unitdir}
install -m0644 system/startup/monit.service %{buildroot}%{_unitdir}/%{name}.service

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc CHANGES COPYING
%config(noreplace) %{_sysconfdir}/monitrc
%dir %{_sysconfdir}/%{name}.d
%{_unitdir}/%{name}.service
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
