%define uname	FlickrNet
%define oname	flickrnet
%define hname	flickr-net
%define shortver %{expand:%(echo "%{version}" |rev| cut -d. -f2-|rev)}
Name:		mono-flickrnet
Summary:	Flickr.Net API Library
Version:	3.24.0
Release:	%mkrel 4
License:	LGPLv2+
Group:		Development/Other
URL:		https://github.com/samjudson/%{hname}
Source0:	https://github.com/samjudson/%{hname}/archive/%{shortver}/%{hname}-%{version}.tar.gz
Patch0:		mono-flickrnet-3.17.0-mga-AssemblyInfo.cs.patch

BuildArch:	noarch
BuildRequires:	pkgconfig(mono)

%description
The Flickr.Net API is a .Net Library for accessing the Flickr API.
Written entirely in C# it can be accessed from with any .Net language.

%prep
%setup -qn %{hname}-%{shortver}
%autopatch -p1
find . -name "*.sln" -print -exec sed -i 's/Format Version 10.00/Format Version 11.00/g' {} \;
find . -name "*.csproj" -print -exec sed -i 's#ToolsVersion="3.5"#ToolsVersion="4.0"#g; s#<TargetFrameworkVersion>.*</TargetFrameworkVersion>##g; s#<PropertyGroup>#<PropertyGroup><TargetFrameworkVersion>v4.5</TargetFrameworkVersion>#g' {} \;


%build
pushd %{uname}
xbuild %{uname}.csproj
popd

cat << EOF > %{oname}.pc
prefix=%{_prefix}
assemblies_dir=\${prefix}/lib/mono/%{oname}
Libraries=\${assemblies_dir}/%{uname}.dll
 
Name: %{uname}
Description: Flickr.Net API Library
Version: %{version}
Libs: -r:\${assemblies_dir}/%{uname}.dll
EOF

%install
gacutil -i %{uname}/bin/Debug/%{uname}.dll -package %{oname} -root %{buildroot}%{_prefix}/lib
%__mkdir -p %{buildroot}%{_datadir}/pkgconfig
cp %{oname}.pc %{buildroot}%{_datadir}/pkgconfig/

%files
%{_prefix}/lib/mono/%{oname}
%{_prefix}/lib/mono/gac/%{uname}
%{_datadir}/pkgconfig/%{oname}.pc
