%define monodir      %_prefix/lib/mono
%define monodocdir   %_prefix/lib/monodoc
%define monover      4.0
%define pkgconfigdir %_datadir/pkgconfig

Summary:        A collection of tools for mono applications
Name:           mono-tools
Version:        4.2
Release:        %mkrel 12
License:        GPLv2 and LGPLv2
Group:          Development/Other
Url:            https://www.mono-project.com/Main_Page
Source0:        https://download.mono-project.com/sources/%{name}/%{name}-%{version}.tar.gz
Source1:        gsharp.svg
Patch1:         mono-tools-2.11-disable-gendarme-webdoc-build.patch
Patch2:         gsharp_icon.patch
# Patch from http://lists.ximian.com/pipermail/mono-list/2013-December/050567.html and
# https://build.opensuse.org/package/view_file/home:tpokorra:mono/mono-tools/docbrowser.patch?expand=1
# Thanks to openSUSE.
Patch3:  mono-tools-4.2-docbrowser.patch
Patch4:  mono-tools-4.2-sharpziplib.patch
Patch5:  mono-tools-4.2-fix-xml-wellformed-comment.patch	
Patch6:  mono-tools-4.2-fix-cecil.patch
Patch7:  mono-tools-4.2-nunit.patch

BuildArch:      noarch
#gw it needs System.Xml.Linq:
BuildRequires:  glade-sharp2
BuildRequires:  glib-gettextize
BuildRequires:  gnome-sharp2-devel
BuildRequires:  pkgconfig(gapi-2.0)
BuildRequires:  pkgconfig(libgdiplus)
BuildRequires:  mono-data
BuildRequires:  mono-data-oracle
BuildRequires:  mono-winforms
BuildRequires:  pkgconfig(mono) >= 4.0
BuildRequires:  pkgconfig(cecil)
BuildRequires:  nunit
BuildRequires:  pkgconfig(nunit)
BuildRequires:  pkgconfig(monodoc)
BuildRequires:  pkgconfig(aspnetwebstack)
BuildRequires:  pkgconfig(sharpziplib)
BuildRequires:  zip

Requires(post): monodoc >= %monover
Requires:       monodoc >= %monover

%global __requires_exclude lib.*gtk

%description
Mono Tools is a collection of development and testing programs and
utilities for use with Mono.

%prep
%setup -q
%patch -P1 -p1 -b .disable_gendarme
%patch -P2 -p0 -b .gsharp_icon
%patch -P3 -p1 -b .docbrowser
%patch -P4 -p1
%patch -P5 -p1
%patch -P6 -p1
%patch -P7 -p1

for i in `find . -name "*.am"`;
do
	sed -i -e 's|-define:DEBUG|-define:DEBUG -sdk:4|g' $i
done

#find . -name "Makefile.in" -print -exec sed -i "s#GMCS#MCS#g; s#DMCS#MCS#g" {} \;
#find . -name "configure" -print -exec sed -i "s#GMCS#MCS#g; s#DMCS#MCS#g" {} \;
sed -i "s#mono-nunit#nunit#g" configure
sed -i "s#mono-nunit#nunit#g" gendarme/rules/Test.Rules/Makefile.in
mv configure.in configure.ac
rm -f configure

%build
autoconf
%configure --libdir=%{_prefix}/lib --build=%{_build}
#gw parallel make fails in 2.2
%__make DMCS=mcs GMCS=mcs

%install
%make_install pkgconfigdir=%pkgconfigdir

%find_lang %name

#gw it needs Mono.WebBrowser which needs gluezilla
rm -f %buildroot%monodocdir/MonoWebBrowserHtmlRender.dll
touch %buildroot%monodocdir/monodoc.index

mkdir -p %buildroot%_iconsdir
cp %{SOURCE1} %buildroot%_iconsdir

%files -f %name.lang
%doc AUTHORS README ChangeLog
%_bindir/emveepee
%_bindir/minvoke
%_bindir/monodoc
%_bindir/mperfmon
%_bindir/gasnview
%_bindir/gd2i
%_bindir/gendarme
%_bindir/gendarme-wizard
%_bindir/gsharp
%_bindir/gui-compare
%_bindir/create-native-map
%_bindir/mprof*
%_prefix/lib/create-native-map
%dir %_prefix/lib/minvoke/
%_prefix/lib/minvoke/minvoke.exe
%dir %_prefix/lib/%name
%_prefix/lib/%name/emveepee.exe*
%_prefix/lib/%name/mprof*
%_prefix/lib/%name/Mono.Profiler*
%_mandir/man1/*
%_mandir/man5/*
%_prefix/lib/gendarme
%_prefix/lib/gsharp
%_prefix/lib/gui-compare
%_prefix/lib/mperfmon
%_iconsdir/gsharp.*
%monodir/1.0/*
%monodocdir/browser.exe
%monodocdir/sources/Gendarme*
%monodocdir/sources/gendarme*
%monodocdir/web
%pkgconfigdir/*.pc
%_datadir/applications/gendarme-wizard.desktop
%_datadir/applications/gsharp.desktop
%_datadir/applications/monodoc.desktop
%_datadir/pixmaps/*
%_datadir/icons/hicolor/*/apps/*
%ghost %monodocdir/monodoc.index
