%global _with_bootstrap 0
%bcond_with bootstrap

%ifarch s390x
# workaround https://github.com/mono/mono/issues/9009#issuecomment-477073609
%undefine _hardened_build
%endif
%if 0%{?el6} || 0%{?mageia} < 6
# see https://fedorahosted.org/fpc/ticket/395, it was added to el7
%global mono_arches %{ix86} x86_64 sparc sparcv9 ia64 %{arm} alpha s390x ppc ppc64 ppc64le
%global _monodir %{_prefix}/lib/mono
%global _monogacdir %{_monodir}/gac
%endif
%if 0%{?el7}
# somehow _monodir and _monogacdir is missing in 7.5
%global _monodir %{_prefix}/lib/mono
%global _monogacdir %{_monodir}/gac
%endif

%if 0%{?rhel}%{?el6}%{?el7} || %{with bootstrap}
# to resolve: "ERROR: No build ID note found"
%undefine _missing_build_ids_terminate_build
%endif

%if 0%{?mageia}
# workaround for underlinking
%define _disable_ld_no_undefined 1
# Turn off the brp-python-bytecompile automagic
%global _python_bytecompile_extra 0
%endif


%global xamarinrelease 182
Name:           mono
Version:        6.12.0
Release:        %mkrel 5
Summary:        Cross-platform, Open Source, .NET development framework

Group:          Development/C#
License:        MIT
URL:            https://www.mono-project.com/
Source0:        https://download.mono-project.com/sources/mono/mono-%{version}.%{xamarinrelease}.tar.xz
# This key was generated by Tom "spot" Callaway <tcallawa@redhat.com> on Dec 1, 2009
# by running the following command:
# sn -k mono.snk
# You should not regenerate this unless you have a really, really, really good reason.
Source1:        mono.snk
# These scripts were taken from rpm-build in Fedora 30
# They're significantly different from what is included in the mono sources.
Source2:        mono-find-provides
Source3:        mono-find-requires
Source4:        mono.attr
Patch0:         mono-6.6.0-ignore-reference-assemblies.patch
Patch1:         mono-4.2.1-ppc.patch
Patch2:         mono-5.10.0-find-provides.patch
Patch3:         mono-4.2-fix-winforms-trayicon.patch
Patch4:         mono-6.6.0-aarch64.patch
Patch5:         mono-6.6.0-roslyn-binaries.patch
Patch6:         mono-5.18.0-use-mcs.patch
Patch7:         mono-5.18.0-reference-assemblies-fix.patch
Patch8:         mono-5.18.0-sharpziplib-parent-path-traversal.patch
# Fix NRE bug in api-doc-tools: https://github.com/mono/api-doc-tools/pull/464
Patch10:        0001-DocumentationEnumerator.cs-Declare-iface-and-ifaceMe.patch
# Replace new Csharp features with old to allow mdoc to build
# https://github.com/mono/api-doc-tools/pull/463
Patch11:        0001-Replace-new-Csharp-features-with-old-ones.patch
# Reenable mdoc build. To be upstreamed after Patch 10 and 11
Patch12:        0001-Reenable-mdoc.exe-build.patch
Patch13:        mono-6.10_lldb-monopy.patch

BuildRequires:  bison
BuildRequires:  python3
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  gettext-devel
BuildRequires:  libicu-devel
BuildRequires:  libgdiplus-devel >= 2.10
BuildRequires:  pkgconfig
BuildRequires:  valgrind-devel
BuildRequires:  zlib-devel
BuildRequires:  perl-Getopt-Long

# Yes, mono actually depends on itself, because
# we deleted the bootstrapping binaries. If you
# need to bootstrap mono, set _with_bootstrap at the top
# which results in not deleting the binaries in %%prep.

%if %{without bootstrap}
BuildRequires:  mono-core >= 6.8
BuildRequires:  mono-devel >= 6.8
%endif

# JIT only available on these:
ExclusiveArch: %mono_arches

%global _use_internal_dependency_generator 0
%global __find_provides env sh -c 'filelist=($(cat)) && { printf "%s\\n" "${filelist[@]}" | grep -v 4.7.1-api | grep -v 4.5-api| /usr/lib/rpm/mageia/find-provides && printf "%s\\n" "${filelist[@]}" | grep -v 4.7.1-api | grep -v 4.5-api | prefix=%{buildroot}%{_prefix} %{buildroot}%{_bindir}/mono-find-provides; } | sort | uniq'
%global __find_requires env sh -c 'filelist=($(cat)) && { printf "%s\\n" "${filelist[@]}" | /usr/lib/rpm/mageia/find-requires && printf "%s\\n" "${filelist[@]}" | prefix=%{buildroot}%{_prefix} %{buildroot}%{_bindir}/mono-find-requires; } | sort | uniq | grep ^...'

%description
The Mono runtime implements a JIT engine for the ECMA CLI
virtual machine (as well as a byte code interpreter, the
class loader, the garbage collector, threading system and
metadata access libraries.

%package core
Summary:        The Mono CIL runtime, suitable for running .NET code
Group:          Development/C#
Requires:       libgdiplus
#dependency required for install
Provides:       mono(System.Collections.Immutable) = 1.2.0.0
Provides:       mono(System.Diagnostics.StackTrace) = 4.0.2.0
Provides:       mono(System.IO) = 4.0.10.0
Provides:       mono(System.IO.Compression) = 4.1.1.0
Provides:       mono(System.Linq.Expressions) = 4.0.10.0
Provides:       mono(System.Reflection) = 4.0.10.0
Provides:       mono(System.Runtime) = 4.0.20.0
Provides:       mono(System.Runtime.Extensions) = 4.0.10.0
Provides:       mono(System.Runtime.InteropServices) = 4.0.20.0
Provides:       mono(System.Runtime.Loader) = 4.0.0.0
Provides:       mono(System.Text.Encoding.CodePages) = 4.0.2.0
Provides:       mono(System.ValueTuple) = 4.0.1.0
Provides:       mono(System.Collections) = 4.0.0.0
Provides:       mono(System.Diagnostics.Debug) = 4.0.0.0
Provides:       mono(System.Globalization) = 4.0.0.0
Provides:       mono(System.IO) = 4.0.0.0
Provides:       mono(System.Linq) = 4.0.0.0
Provides:       mono(System.Reflection) = 4.0.0.0
Provides:       mono(System.Runtime) = 4.0.0.0
Provides:       mono(System.Runtime.Extensions) = 4.0.0.0
Provides:       mono(System.Runtime.InteropServices) = 4.0.0.0
Provides:       mono(System.Security.Cryptography.Algorithms) = 4.0.0.0
Provides:       mono(System.Text.Encoding) = 4.0.0.0
Provides:       mono(System.Text.Encoding.Extensions) = 4.0.0.0
Provides:       mono(System.Threading) = 4.0.0.0
Provides:       mono(System.Xml.XPath.XDocument) = 4.0.1.0

%description core
This package contains the core of the Mono runtime including its
Virtual Machine, Just-in-time compiler, C# compiler, security
tools and libraries (corlib, XML, System.Security, ZipLib,
I18N, Cairo and Mono.*).

%package winfx
Summary:        Mono implementation of core WinFX APIs
Group:          Development/C#
Requires:       mono-core = %{version}-%{release}

%description winfx
Open source implementation of core WinFX APIs

%package mvc
Summary:        Mono implementation of ASP.NET MVC
Group:          Development/C#
Requires:       mono-core = %{version}-%{release}

%description mvc
This is the Mono implementation of ASP.NET MVC

%package mvc-devel
Summary:        Development files for  ASP.NET MVC
Group:          Development/C#
Requires:       mono-core = %{version}-%{release}

%description mvc-devel
This is the Mono implementation of ASP.NET MVC

%package devel
Summary:        Development tools for Mono
Group:          Development/C#
Requires:       mono-core = %{version}-%{release}
Requires:       pkgconfig
Requires:       glib2-devel

%description devel
This package completes the Mono developer toolchain with the mono profiler,
assembler and other various tools.

%package locale-extras
Summary:        Extra locale information for Mono
Group:          Development/C#
Requires:       mono-core = %{version}-%{release}

%description locale-extras
This package contains assemblies to support I18N applications for
non-latin alphabets.

%package extras
Summary:        Provides the infrastructure for running and building daemons and services with Mono as well as various stub assemblies
Group:          Development/C#
Requires:       mono-core = %{version}-%{release}

%description extras
This package provides the library and application to run services
and daemons with Mono. It also includes stubs for the following
assemblies: Microsoft.Vsa,
System.Configuration.Install, System.Management, System.Messaging.

%package reactive
License:        MIT License (or similar) ; Apache License 2.0
Summary:        Reactive Extensions for Mono core libraries
Group:          Development/C#
Requires:       mono-core = %{version}-%{release}

%description reactive
Reactive Extensions for Mono, this packages don't depend on
desktop-specific features.

%package reactive-winforms
License:        MIT License (or similar) ; Apache License 2.0
Summary:        Reactive Extensions for Mono desktop-specific libraries
Group:          Development/C#
Requires:       mono-core = %{version}-%{release}
Requires:       mono-reactive = %{version}-%{release}

%description reactive-winforms
Reactive Extensions for Mono, desktop-specific packages (winforms,
windows threading).

%package reactive-devel
Summary:        Development files for system.web
Group:          Development/C#
Requires:       mono-core = %{version}-%{release}
Requires:       mono-reactive = %{version}-%{release} pkgconfig

%description reactive-devel
This package provides the .pc file for mono-rx

%package winforms
Summary:        Windows Forms implementation for Mono
Group:          Development/C#
Requires:       mono-core = %{version}-%{release}

%description winforms
This package provides a fully managed implementation of
System.Windows.Forms, the default graphical toolkit for .NET
applications.

%package wcf
Summary:        Mono implementation of Windows Communication Foundation
Group:          Development/C#
Requires:       mono-core = %{version}-%{release}

%description wcf
This package provides an implementation of WCF, the Windows Communication
Foundation.

%package web
Summary:        ASP.NET, Remoting, and Web Services for Mono
Group:          Development/C#
Requires:       mono-core = %{version}-%{release}

%description web
This package provides the ASP.NET libraries and runtime for
development of web application, web services and remoting support.

%package web-devel
Summary:        Development files for system.web
Group:          Development/C#
Requires:       mono-core = %{version}-%{release}
Requires:       mono-web = %{version}-%{release} pkgconfig

%description web-devel
This package provides the .pc file for mono-web

%package data
Summary:        Database connectivity for Mono
Group:          Development/C#
Requires:       mono-core = %{version}-%{release}

%description data
This package provides a Mono assembly to facilitate data access
and manipulation with databases, LDAP compatible directory servers
and/or XML data exchange. Beyond the ADO.NET, Novell.LDAP and
System.DirectoryServices assemblies, it also includes a command
line sql application as well as the Microsoft SQL Server and ODBC
data providers.

%package data-sqlite
Summary:        sqlite database connectivity for Mono
Group:          Development/C#
Requires:       mono-core = %{version}-%{release}
Requires:       sqlite3-tools

%description data-sqlite
This package contains the ADO.NET Data provider for the sqlite
database.

%package data-oracle
Summary:        Oracle database connectivity for Mono
Group:          Development/C#
Requires:       mono-core = %{version}-%{release}

%description data-oracle
This package contains the ADO.NET Data provider for the Oracle
database.

%package -n ibm-data-db2
Summary:        IBM DB2 database connectivity for Mono
Group:          Development/C#
Requires:       mono-core = %{version}-%{release}

%description -n ibm-data-db2
This package contains the ADO.NET Data provider for the IBM DB2
Universal database.

%package -n monodoc
Summary:        The mono documentation system
Group:          Documentation
Requires:       mono-core = %{version}-%{release}

%description -n monodoc
monodoc is the documentation package for the mono .NET environment

%package -n monodoc-devel
Summary:        .pc file for monodoc
Group:          Documentation
Requires:       monodoc = %{version}-%{release} pkgconfig
Requires:       mono-core = %{version}-%{release}

%description -n monodoc-devel
Development file for monodoc

%package complete
Summary:        Install everything built from the mono source tree
Group:          Development/C#
Requires:       ibm-data-db2 = %{version}
Requires:       mono-core = %{version}
Requires:       mono-data = %{version}
Requires:       mono-data-oracle = %{version}
Requires:       mono-data-sqlite = %{version}
Requires:       mono-devel = %{version}
Requires:       mono-extras = %{version}
Requires:       mono-locale-extras = %{version}
Requires:       mono-mvc = %{version}
Requires:       mono-reactive = %{version}
Requires:       mono-wcf = %{version}
Requires:       mono-web = %{version}
Requires:       mono-winforms = %{version}
Requires:       mono-winfx = %{version}
Requires:       monodoc = %{version}

%description -n mono-complete
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Install everything built from the mono source tree.  Note that this does
not install anything from outside the mono source (XSP, mono-basic, etc.).

%global gac_dll(dll)  %{_monogacdir}/%{1} \
  %{_monodir}/4.5/%{1}.dll \
  %{nil}
%global mono_bin(bin) %{_bindir}/%{1} \
  %{_monodir}/4.5/%{1}.exe \
  %{_monodir}/4.5/%{1}.exe.* \
  %{nil}

%prep
%setup -q -n %{name}-%{version}.%{xamarinrelease}

%patch -P 0 -p1
%ifarch ppc ppc64 ppc64le s390x
%patch -P 1 -p1
%endif
%patch -P 2 -p1
%patch -P 3 -p1
%patch -P 4 -p1
%patch -P 5 -p1
%patch -P 6 -p1
%patch -P 7 -p1
%patch -P 8 -p1
pushd external/api-doc-tools
%patch -P 10 -p1
%patch -P 11 -p1
popd
%patch -P 12 -p1

%patch -P 13 -p1

# don't build mono-helix-client which requires the helix-binaries to build
sed -i 's|mono-helix-client||g' mcs/tools/Makefile

# use v4.7.1 instead of v4.6
sed -i 's|TARGET_NET_REFERENCE = v4.6|TARGET_NET_REFERENCE = $(BOOTSTRAP_BIN_PROFILE)|g' mcs/tools/upload-to-sentry/Makefile

# use v4.7.1 instead of v4.7
sed -i 's|BOOTSTRAP_BIN_PROFILE = v4.7|BOOTSTRAP_BIN_PROFILE = v4.7.1|g' mcs/build/profiles/build.make

# Remove hardcoded lib directory for libMonoPosixHelper.so from the config
sed -i 's|$mono_libdir/||g' data/config.in

%if %{with bootstrap}
# for bootstrap, keep some binaries
find . -name "*.dll" -not -path "./mcs/class/lib/monolite-linux/*" -not -path "./external/binary-reference-assemblies/v4.7.1/*" -print -delete
find . -name "*.exe" -not -path "./mcs/class/lib/monolite-linux/*" -print -delete
%else
# Remove all prebuilt binaries
rm -rf mcs/class/lib/monolite-linux/*
find . -name "*.dll" -print -delete
find . -name "*.exe" -print -delete
# use the binaries from the currently installed mono
cd external/binary-reference-assemblies && mv v4.7.1 v4.7.1.tobuild && ln -s /usr/lib/mono/4.7.1-api v4.7.1 && cd -
%endif

%build
%ifarch s390x
# either mono C code relies on undefined behaviour or gcc is even more broken than earlier
RPM_OPT_FLAGS=$(echo $RPM_OPT_FLAGS | sed -e 's/-O2 /-O1 /g')
%endif
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"

%configure --disable-rpath \
           --with-csc=mcs \
           --disable-system-aot \
           --with-moonlight=no

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

export LD_LIBRARY_PATH=`pwd`/mono/native/.libs
make %{?_smp_mflags}

# rebuild the reference assemblies
cd external/binary-reference-assemblies && if [ -d v4.7.1.tobuild ]; then rm -f v4.7.1 && mv v4.7.1.tobuild v4.7.1; fi && cd -
find ./external/binary-reference-assemblies/v4.7.1/ -name \*.dll -print -delete
BUILD_PATH=`pwd` && cd ./external/binary-reference-assemblies/ && MONO_PATH=$BUILD_PATH/mcs/class/lib/net_4_x-linux/ V=1 CSC="$BUILD_PATH/runtime/mono-wrapper $BUILD_PATH/mcs/class/lib/net_4_x-linux/mcs.exe" make -C v4.7.1

%install
export LD_LIBRARY_PATH=`pwd`/mono/native/.libs
make install DESTDIR=%{buildroot}

# copy the mono.snk key into /etc/pki/mono
mkdir -p %{buildroot}%{_sysconfdir}/pki/mono
install -p -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pki/mono/

# install the newly built reference assembly dlls
mkdir -p %{buildroot}%{_monodir}/4.7.1-api
cp external/binary-reference-assemblies/v4.7.1/*.dll %{buildroot}%{_monodir}/4.7.1-api

# This was removed upstream:
# remove .la files (they are generally bad news)
rm -f %{buildroot}%{_libdir}/*.la
# remove Windows-only stuff
rm -rf %{buildroot}%{_monodir}/*/Mono.Security.Win32*
#rm -f %{buildroot}%{_libdir}/libMonoSupportW.*
# remove .a files for libraries that are really only for us
rm %{buildroot}%{_libdir}/*.a
# remove libgc cruft
rm -rf %{buildroot}%{_datadir}/libgc-mono
# remove stuff that we don't package
rm -f %{buildroot}%{_bindir}/cilc
rm -f %{buildroot}%{_mandir}/man1/cilc.1*
rm -f %{buildroot}%{_mandir}/man1/mdb2ppdb.1*
rm -f %{buildroot}%{_monodir}/*/browsercaps-updater.*
rm -f %{buildroot}%{_monodir}/*/culevel.*
rm -f %{buildroot}%{_monodir}/2.0/cilc.exe*

rm -f %{buildroot}%{_monodir}/*/mscorlib.dll.so
rm -f %{buildroot}%{_monodir}/*/mcs.exe.so
rm -f %{buildroot}%{_monodir}/*/gmcs.exe.so
rm -f %{buildroot}%{_monodir}/4.0/dmcs.exe.so
rm -rf %{buildroot}%{_bindir}/mono-configuration-crypto
rm -rf %{buildroot}%{_mandir}/man?/mono-configuration-crypto*
rm -rf %{buildroot}%{_monodir}/4.5/*.so

# remove the mono-nunit files
rm -f %{buildroot}%{_bindir}/nunit-console
rm -f %{buildroot}%{_bindir}/nunit-console2
rm -f %{buildroot}%{_bindir}/nunit-console4
rm -f %{buildroot}%{_monodir}/4.5/nunit*
rm -Rf %{buildroot}%{_monodir}/gac/nunit*
rm -f %{buildroot}%{_libdir}/pkgconfig/mono-nunit.pc

# remove dmcs because it requires the .net 4.0 sdk but we only deliver 4.5 with Fedora (#1294967)
rm -f %{buildroot}%{_bindir}/dmcs

# remove wrapper scripts for roslyn-binaries
rm -f %{buildroot}%{_bindir}/csc
rm -f %{buildroot}%{_bindir}/csc-dim
rm -f %{buildroot}%{_bindir}/csi
rm -f %{buildroot}%{_bindir}/vbc

# drop prj2make because the binary is not built anymore
rm -f %{buildroot}%{_bindir}/prj2make
rm -f %{buildroot}%{_mandir}/man1/prj2make*

# Move upstream GDB scripts for security reasons of new GDB.
mkdir -p %{buildroot}%{_datadir}/gdb/auto-load%{_bindir}
%{__mv} -f %{buildroot}%{_bindir}/mono-gdb.py \
           %{buildroot}%{_datadir}/gdb/auto-load%{_bindir}/

# do not make cecil publicly available. other packages should use the mono-cecil package instead
rm -f %{buildroot}%{_libdir}/pkgconfig/cecil.pc

# remove msbuild / microsoft binary files
rm -rf %{buildroot}/usr/lib/mono/msbuild

# we have btls debug files
rm -rf %{buildroot}/usr/lib/debug/usr/lib64/libmono-btls-shared.so-*.debug

# drop other debug files as well
rm -rf %{buildroot}/usr/lib/debug/usr/lib64/libmono-native.so*.debug
rm -rf %{buildroot}/usr/lib/debug/usr/bin/mono-hang-watchdog-*.debug

# create a symbolic link so that Fedora packages targetting Framework 4.5 will still build
cd %{buildroot}/usr/lib/mono && ln -s 4.7.1-api 4.5-api && cd -
# as requested in bug 1704861; we have had that link in F29 with Mono 4.8 as well.
cd %{buildroot}/usr/lib/mono && ln -s 4.7.1-api 4.0-api && cd -

# for Epel7, we don't deliver these files, they are still provided by rpm-build-4.11.3-43.el7.x86_64
# for Mga7, we don't deliver these files, they are still provided by rpm-build
%if 0%{?el7}%{?el8}%{?mga7} == 0
# rpm helper scripts
mkdir -p %{buildroot}%{_prefix}/lib/rpm/fileattrs/
install -p -m755 %{SOURCE2} %{SOURCE3} %{buildroot}%{_prefix}/lib/rpm/
install -p -m644 %{SOURCE4} %{buildroot}%{_prefix}/lib/rpm/fileattrs/
%endif

%find_lang mcs

%post core
%{?ldconfig}
cert-sync /etc/pki/tls/certs/ca-bundle.crt

%ldconfig_postun

%files core -f mcs.lang
%license COPYING.LIB
%doc NEWS README.md
%{_bindir}/mono
%{_bindir}/mono-test-install
%{_datadir}/gdb/auto-load/*
%ifnarch aarch64
# there is no support for aarch64 in the boehm back end
%{_bindir}/mono-boehm
%endif
%{_bindir}/mono-service2
%{_bindir}/mono-sgen
%{_bindir}/mono-sgen-gdb.py
%{_bindir}/mono-package-runtime
%{_bindir}/sgen-grep-binprot
%dir %{_libdir}/mono
%dir %{_libdir}/mono/lldb
%{_libdir}/mono/lldb/mono.py*
%mono_bin csharp
%mono_bin cert-sync
%mono_bin chktrust
%mono_bin gacutil
%mono_bin ikdasm
%mono_bin lc
%{_bindir}/gacutil2
%{_bindir}/mcs
%{_monodir}/4.5/mcs.*
%{_monodir}/4.5/mono-api-diff.*
%mono_bin mozroots
%mono_bin pdb2mdb
%mono_bin setreg
%mono_bin sn
%{_bindir}/mono-heapviz
%{_bindir}/mprof-report
%{_mandir}/man1/certmgr.1.*
%{_mandir}/man1/chktrust.1.*
%{_mandir}/man1/gacutil.1.*
%{_mandir}/man1/mcs.1.*
%{_mandir}/man1/mono.1.*
%{_mandir}/man1/mozroots.1.*
%{_mandir}/man1/setreg.1.*
%{_mandir}/man1/sn.1.*
%{_mandir}/man5/mono-config.5.*
%{_mandir}/man1/csharp.1.*
%{_mandir}/man1/pdb2mdb.1.*
%{_mandir}/man1/lc.1.*
%{_mandir}/man1/mprof-report.1.*
%{_libdir}/libMonoPosixHelper.so*
%{_libdir}/libMonoSupportW.so*
%{_libdir}/libmono-native.so*
%dir %{_monodir}
%dir %{_monodir}/4.5
%dir %{_monodir}/4.5/Facades
%dir %{_monodir}/gac
%gac_dll Commons.Xml.Relaxng
%gac_dll ICSharpCode.SharpZipLib
%gac_dll Mono.Debugger.Soft
%{_monogacdir}/Mono.Cecil
%gac_dll cscompmgd
%gac_dll Microsoft.VisualC
%gac_dll Mono.Cairo
%gac_dll Mono.CompilerServices.SymbolWriter
%gac_dll Mono.CSharp
%gac_dll System.Drawing
%gac_dll System.Deployment
%gac_dll Mono.Management
%gac_dll Mono.Posix
%gac_dll Mono.Security
%gac_dll Mono.Simd
%gac_dll System
%gac_dll System.Configuration
%gac_dll System.Core
%gac_dll System.Numerics.Vectors
%gac_dll System.Security
%gac_dll System.Xml
%gac_dll System.Reflection.Context
%gac_dll Mono.Tasklets
%gac_dll System.Net
%gac_dll System.Xml.Linq
%dir %{_sysconfdir}/mono
%dir %{_sysconfdir}/mono/mconfig
%config (noreplace) %{_sysconfdir}/mono/config
%config (noreplace) %{_sysconfdir}/mono/2.0/machine.config
%config (noreplace) %{_sysconfdir}/mono/2.0/settings.map
%{_libdir}/libmono*-2.0.so.*
%{_libdir}/libmono-profiler-*.so.*
%config (noreplace) %{_sysconfdir}/mono/4.0/*.config
%config (noreplace) %{_sysconfdir}/mono/4.0/settings.map
%config (noreplace) %{_sysconfdir}/mono/4.0/DefaultWsdlHelpGenerator.aspx
%config (noreplace) %{_sysconfdir}/mono/4.5/DefaultWsdlHelpGenerator.aspx
%config (noreplace) %{_sysconfdir}/mono/4.5/machine.config
%config (noreplace) %{_sysconfdir}/mono/4.5/settings.map
%config (noreplace) %{_sysconfdir}/mono/4.5/web.config
%dir %{_sysconfdir}/mono/4.0
%mono_bin ccrewrite
%{_monodir}/4.5/mscorlib.dll
%{_monodir}/4.5/mscorlib.dll.mdb
%gac_dll Microsoft.CSharp
%gac_dll System.Dynamic
%gac_dll Mono.Data.Tds
%gac_dll System.ComponentModel.Composition
%gac_dll System.EnterpriseServices
%gac_dll System.Data
%gac_dll System.Numerics
%gac_dll System.Runtime.Caching
%gac_dll System.Runtime.DurableInstancing
%gac_dll System.Transactions
%gac_dll System.Xaml
%gac_dll WebMatrix.Data
%gac_dll Mono.Btls.Interface
%{_libdir}/libmono-btls-shared.so
%gac_dll Mono.CodeContracts
%dir %{_monodir}/mono-configuration-crypto
%dir %{_monodir}/mono-configuration-crypto/4.5
%{_monodir}/mono-configuration-crypto/4.5/mono-config*
%{_monodir}/mono-configuration-crypto/4.5/Mono.Configuration.Crypto.dll*
%{_mandir}/man1/ccrewrite.1.*
%{_mandir}/man1/cert-sync.1.*
%gac_dll CustomMarshalers
%gac_dll I18N.West
%gac_dll I18N
%gac_dll System.Json
%gac_dll Mono.Parallel
%gac_dll System.Json.Microsoft
%{_monodir}/4.5/Facades/*.dll*
%gac_dll System.IO.Compression
%gac_dll System.IO.Compression.FileSystem
%gac_dll System.Net.Http
%gac_dll System.Net.Http.WebRequest
%gac_dll System.Threading.Tasks.Dataflow
%gac_dll System.Workflow.Activities
%gac_dll System.Workflow.ComponentModel
%gac_dll System.Workflow.Runtime
%gac_dll Mono.Profiler.Log
%{_bindir}/mono-hang-watchdog

%files devel
%{_sysconfdir}/pki/mono/
%{_bindir}/mono-api-info
%{_monodir}/4.5/mono-api-info.*
%{_bindir}/mono-api-html
%{_monodir}/4.5/mono-api-html.*
%{_monodir}/4.5/illinkanalyzer.*
%{_bindir}/illinkanalyzer
%mono_bin mono-symbolicate
%gac_dll SMDiagnostics
%mono_bin xbuild
%{_monodir}/4.5/xbuild.rsp
%mono_bin genxs
%{_monodir}/4.5/ictool*
%{_monodir}/4.5/mod*
%mono_bin al
%{_bindir}/al2
%mono_bin caspol
%mono_bin cert2spc
%mono_bin certmgr
%mono_bin dtd2rng
%mono_bin dtd2xsd
%mono_bin ilasm
%mono_bin installvst
%{_monodir}/4.5/installutil*
%mono_bin macpack
%mono_bin mkbundle
%mono_bin makecert
%mono_bin mono-cil-strip
%{_bindir}/mono-find-provides
%{_bindir}/mono-find-requires
%{_bindir}/monodis
%{_bindir}/monolinker
%mono_bin mono-shlib-cop
%mono_bin mono-xmltool
%mono_bin monop
%{_bindir}/monop2
%mono_bin permview
%{_bindir}/peverify
%mono_bin resgen
%{_bindir}/resgen2
%mono_bin sgen
%mono_bin secutil
%mono_bin signcode
%mono_bin cccheck
%mono_bin crlupdate
%mono_bin mdbrebase
%{_prefix}/lib/mono-source-libs/
%{_bindir}/pedump
%{_mandir}/man1/resgen.1.*
%{_mandir}/man1/al.1.*
%{_mandir}/man1/cert2spc.1.*
%{_mandir}/man1/dtd2xsd.1.*
%{_mandir}/man1/genxs.1.*
%{_mandir}/man1/ilasm.1.*
%{_mandir}/man1/macpack.1.*
%{_mandir}/man1/makecert.1.*
%{_mandir}/man1/mkbundle.1.*
%{_mandir}/man1/mono-cil-strip.1.*
%{_mandir}/man1/monodis.1.*
%{_mandir}/man1/mono-profilers.1.*
%{_mandir}/man1/illinkanalyzer.1.*
%{_datadir}/mono-2.0/mono/cil/cil-opcodes.xml
%{_datadir}/mono-2.0/mono/eglib/eglib-config.h
%{_datadir}/mono-2.0/mono/profiler/mono-profiler-coverage.suppression
%{_mandir}/man1/monolinker.1.*
%{_mandir}/man1/mono-shlib-cop.1.*
%{_mandir}/man1/mono-symbolicate.1.*
%{_mandir}/man1/mono-xmltool.1.*
%{_mandir}/man1/monop.1.*
%{_mandir}/man1/permview.1.*
%{_mandir}/man1/secutil.1.*
%{_mandir}/man1/sgen.1.*
%{_mandir}/man1/signcode.1.*
%{_mandir}/man1/xbuild.1.*
%{_mandir}/man1/mono-api-info.1.*
%{_mandir}/man1/cccheck.1.*
%{_mandir}/man1/crlupdate.1.*
%gac_dll PEAPI
%gac_dll Microsoft.Build
%gac_dll Microsoft.Build.Engine
%gac_dll Microsoft.Build.Framework
%{_monogacdir}/Microsoft.Build.Tasks.Core
%gac_dll Microsoft.Build.Tasks.v4.0
%gac_dll Microsoft.Build.Utilities.v4.0
%{_monogacdir}/Microsoft.Build.Utilities.Core
%{_monogacdir}/Microsoft.Build.Tasks.v12.0
%{_monogacdir}/Microsoft.Build.Utilities.v12.0
%gac_dll Mono.XBuild.Tasks
%gac_dll System.Windows
%gac_dll System.Xml.Serialization
%{_monodir}/4.7.1-api/
%{_monodir}/4.5-api
%{_monodir}/4.0-api
%{_monodir}/4.5/Microsoft.Common.tasks
%{_monodir}/4.5/MSBuild/Microsoft.Build*
%{_monodir}/4.5/Microsoft.Build.xsd
%{_monodir}/4.5/Microsoft.CSharp.targets
%{_monodir}/4.5/Microsoft.Common.targets
%{_monodir}/4.5/Microsoft.VisualBasic.targets
%{_monodir}/xbuild/
%{_monodir}/xbuild-frameworks/
%{_libdir}/libikvm-native.so
%{_libdir}/libmono-profiler-*.so
%{_libdir}/libmono*-2.0.so
%{_libdir}/pkgconfig/dotnet.pc
%{_libdir}/pkgconfig/mono-cairo.pc
%{_libdir}/pkgconfig/mono.pc
%{_libdir}/pkgconfig/mono-2.pc
%{_libdir}/pkgconfig/monosgen-2.pc
%{_libdir}/pkgconfig/dotnet35.pc
%{_libdir}/pkgconfig/mono-lineeditor.pc
%{_libdir}/pkgconfig/mono-options.pc
%{_libdir}/pkgconfig/wcf.pc
%{_libdir}/pkgconfig/xbuild12.pc
%dir %{_includedir}/mono-2.0
%dir %{_includedir}/mono-2.0/mono
%dir %{_includedir}/mono-2.0/mono/jit
%dir %{_includedir}/mono-2.0/mono/metadata
%dir %{_includedir}/mono-2.0/mono/utils
%dir %{_includedir}/mono-2.0/mono/cil
%{_includedir}/mono-2.0/mono/jit/jit.h
%{_includedir}/mono-2.0/mono/metadata/*.h
%{_includedir}/mono-2.0/mono/utils/*.h
%{_includedir}/mono-2.0/mono/cil/opcode.def

# for Epel7, we don't deliver these files, they are still provided by rpm-build-4.11.3-43.el7.x86_64
%if 0%{?el7}%{?el8}%{?mga7} == 0
%{_prefix}/lib/rpm/mono-find-*
%{_prefix}/lib/rpm/fileattrs/mono.attr
%endif

%{_bindir}/aprofutil
%mono_bin aprofutil
%{_mandir}/man1/aprofutil.1.*

%files locale-extras
%gac_dll I18N.CJK
%gac_dll I18N.MidEast
%gac_dll I18N.Other
%gac_dll I18N.Rare

%files extras
%mono_bin mono-service
%{_monogacdir}/mono-service
%gac_dll System.Configuration.Install
%gac_dll System.Management
%gac_dll System.Messaging
%gac_dll System.ServiceProcess
%gac_dll System.Runtime.Caching
%gac_dll System.Xaml
%gac_dll Mono.Messaging.RabbitMQ
%gac_dll Mono.Messaging
%gac_dll RabbitMQ.Client
%{_monodir}/4.5/RabbitMQ.Client.Apigen*
%{_mandir}/man1/mono-service.1.*

%files reactive
%gac_dll System.Reactive.Core
%gac_dll System.Reactive.Debugger
%gac_dll System.Reactive.Experimental
%gac_dll System.Reactive.Interfaces
%gac_dll System.Reactive.Linq
%gac_dll System.Reactive.Observable.Aliases
%gac_dll System.Reactive.PlatformServices
%gac_dll System.Reactive.Providers
%gac_dll System.Reactive.Runtime.Remoting

%files reactive-winforms
%gac_dll System.Reactive.Windows.Forms
%gac_dll System.Reactive.Windows.Threading

%files reactive-devel
%_libdir/pkgconfig/reactive.pc

%files wcf
%gac_dll System.IdentityModel
%gac_dll System.IdentityModel.Selectors
%gac_dll System.ServiceModel
%gac_dll System.ServiceModel.Activation
%gac_dll System.ServiceModel.Discovery
%gac_dll System.ServiceModel.Internals
%gac_dll System.ServiceModel.Routing
%gac_dll System.ServiceModel.Web

%files web
%mono_bin disco
%mono_bin httpcfg
%mono_bin mconfig
%mono_bin soapsuds
%mono_bin svcutil
%mono_bin wsdl
%{_bindir}/wsdl2
%mono_bin xsd
%gac_dll Microsoft.Web.Infrastructure
%gac_dll Mono.Http
%gac_dll System.ComponentModel.DataAnnotations
%gac_dll System.Net.Http.Formatting
%gac_dll System.Runtime.Remoting
%gac_dll System.Runtime.Serialization.Formatters.Soap
%gac_dll System.Web
%gac_dll System.Web.Abstractions
%gac_dll System.Web.DynamicData
%gac_dll System.Web.Routing
%gac_dll System.Web.Services
%gac_dll System.Web.ApplicationServices
%gac_dll System.Web.Http
%gac_dll System.Web.Http.SelfHost
%gac_dll System.Web.Http.WebHost
%gac_dll System.Web.Razor
%gac_dll System.Web.WebPages
%gac_dll System.Web.WebPages.Deployment
%gac_dll System.Web.WebPages.Razor
%gac_dll System.Web.Mobile
%gac_dll System.Web.RegularExpressions
%{_mandir}/man1/disco.1.*
%{_mandir}/man1/httpcfg.1.*
%{_mandir}/man1/mconfig.1.*
%{_mandir}/man1/soapsuds.1.*
%{_mandir}/man1/wsdl.1.*
%{_mandir}/man1/xsd.1.*
%config (noreplace) %{_sysconfdir}/mono/browscap.ini
%config (noreplace) %{_sysconfdir}/mono/2.0/Browsers/Compat.browser
%config (noreplace) %{_sysconfdir}/mono/4.0/Browsers/Compat.browser
%config (noreplace) %{_sysconfdir}/mono/4.5/Browsers/Compat.browser
%config (noreplace) %{_sysconfdir}/mono/2.0/DefaultWsdlHelpGenerator.aspx
%config (noreplace) %{_sysconfdir}/mono/mconfig/config.xml
%config (noreplace) %{_sysconfdir}/mono/2.0/web.config

%files web-devel
%{_libdir}/pkgconfig/aspnetwebstack.pc

%files winforms
%gac_dll Accessibility
%gac_dll Mono.WebBrowser
%gac_dll System.Design
%gac_dll System.Drawing.Design
%gac_dll System.Windows.Forms
%gac_dll System.Windows.Forms.DataVisualization

%files mvc
%gac_dll System.Web.DynamicData
%gac_dll System.Web.Extensions
%gac_dll System.Web.Extensions.Design
%gac_dll System.Web.Mvc

%files mvc-devel
%{_libdir}/pkgconfig/system.web.extensions.design_1.0.pc
%{_libdir}/pkgconfig/system.web.extensions_1.0.pc
%{_libdir}/pkgconfig/system.web.mvc.pc
%{_libdir}/pkgconfig/system.web.mvc2.pc
%{_libdir}/pkgconfig/system.web.mvc3.pc

%files winfx
%gac_dll System.Data.Services.Client
%gac_dll WindowsBase

%files data
%mono_bin sqlsharp
%mono_bin sqlmetal
%gac_dll System.Data
%gac_dll System.Data.DataSetExtensions
%gac_dll System.Data.Entity
%gac_dll System.Data.Linq
%gac_dll System.Data.Services
%gac_dll System.Data.Services.Client
%gac_dll System.DirectoryServices
%gac_dll System.DirectoryServices.Protocols
%gac_dll System.EnterpriseServices
%gac_dll System.Runtime.Serialization
%gac_dll System.Transactions
%gac_dll Mono.Data.Tds
%gac_dll Novell.Directory.Ldap
%gac_dll WebMatrix.Data
%{_mandir}/man1/sqlsharp.1.*

%files data-sqlite
%gac_dll Mono.Data.Sqlite

%files data-oracle
%gac_dll System.Data.OracleClient

%files -n ibm-data-db2
%gac_dll IBM.Data.DB2

%files -n monodoc
%{_monogacdir}/monodoc
%{_monodir}/monodoc/*
%ifnarch  ppc
%{_prefix}/lib/monodoc
%endif
%mono_bin mdoc
%{_bindir}/mod
%{_bindir}/mdoc
%{_bindir}/mdoc-*
%{_bindir}/mdass*
%{_bindir}/mdval*
%{_bindir}/monodoc*
%{_mandir}/man1/md*
%{_mandir}/man1/monodoc*
%{_mandir}/man5/mdoc*

%files -n monodoc-devel
%{_libdir}/pkgconfig/monodoc.pc

%files complete

