Name:    monsterz
Version: 0.7.1
Release: %mkrel 17
# in reality, this is the DWYF license..
License: WTFPL
Group:   Games/Puzzles
Summary: A little addictive puzzle game
Url:        http://sam.zoy.org/projects/monsterz
Source:  http://sam.zoy.org/projects/monsterz/%{name}-%{version}.tar.bz2
#gw Debian man page
Source1:    monsterz.1
Patch1:     010_64-bit-alignment-issues-with-python2.5.diff
#gw from Debian, fix crash on start (bug #49431)
Patch2:     020_fix_blit_crash.diff
Patch3:     030_startup_screen.patch
Patch4:     monsterz-python3.patch

Requires:   python3-pygame
BuildArch:  noarch
BuildRequires: imagemagick

%description
Monsterz is a little puzzle game, similar to the famous Bejeweled or Zookeeper.

The goal of the game is to create rows of similar monsters, either horizontally
or vertically. The only allowed move is the swap of two adjacent monsters, on
the condition that it creates a row of three or more. When alignments are
cleared, pieces fall from the top of the screen to fill the board again. Chain
reactions earn you even more points.

This game is mostly about luck, but it remains highly addictive. You have been
warned.

%prep
%setup -q
%autopatch -p1

%build

%install
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}
cp -R monsterz.py graphics/ sound/ %{buildroot}%{_gamesdatadir}/%{name}

mkdir -p %{buildroot}%{_gamesbindir}/

cat > %{buildroot}%{_gamesbindir}/%{name} <<EOF
#!/bin/bash
exec python3 %{_gamesdatadir}/%{name}/monsterz.py
EOF

chmod 755 %{buildroot}%{_gamesbindir}/%{name}


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Monsterz
Comment=Addictive puzzle game
Exec=%_gamesbindir/%{name}
Icon=%name
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;BlocksGame;
EOF

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir}}/
convert -geometry 16x16 graphics/icon.png %{buildroot}%{_miconsdir}/%{name}.png
convert -geometry 32x32 graphics/icon.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 48x48 graphics/icon.png %{buildroot}%{_liconsdir}/%{name}.png

install -D %SOURCE1 %buildroot%_mandir/man6/%name.6


%files
%doc AUTHORS README TODO
%license COPYING
%{_gamesdatadir}/%{name}/
%{_gamesbindir}/%{name}
%_mandir/man6/%name.6*
%_datadir/applications/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
