%define	_localstatedir	/var/lib
%define	mfsconfdir	%{_sysconfdir}/mfs

%define major		1
%define libname		%mklibname mfsio %{major}
%define develname	%mklibname mfsio -d

Summary:	MooseFS - distributed, fault tolerant file system
Name:		moosefs
Version:	3.0.117
Release:	%mkrel 2
License:	GPLv3
Group:		System/Cluster
URL:		https://www.moosefs.org/
Source0:	https://github.com/moosefs/moosefs/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	python3
BuildRequires:	pkgconfig(fuse3)
BuildRequires:	pkgconfig(libpcap)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(zlib)
Obsoletes:	mfs < 1.6.27-6

%description
MooseFS is an Open Source, easy to deploy and maintain, distributed,
fault tolerant file system for POSIX compliant OSes.

%package master
Summary:	MooseFS master server
Group:		System/Cluster
Obsoletes:	mfs-master < 1.6.27-6

%description master
MooseFS master (metadata) server together with metarestore utility.

%package metalogger
Summary:	MooseFS metalogger server
Group:		System/Cluster
Obsoletes:	mfs-metalogger < 1.6.27-6

%description metalogger
MooseFS metalogger (metadata replication) server.

%package chunkserver
Summary:	MooseFS data server
Group:		System/Cluster
Obsoletes:	mfs-chunkserver < 1.6.27-6

%description chunkserver
MooseFS data server.

%package client
Summary:	MooseFS client
Group:		System/Cluster
Obsoletes:	mfs-client < 1.6.27-6

%description client
MooseFS client: mfsmount and mfstools.

%package cgi
Summary:	MooseFS CGI Monitor
Group:		System/Cluster
Requires:	python3
Obsoletes:	mfs-cgi < 1.6.27-6

%description cgi
MooseFS CGI Monitor.

%package -n %{libname}
Summary:	C++ library for MooseFS
Group:		System/Libraries

%description -n %{libname}
C++ library for MooseFS.

%package -n %{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	mfsio-devel = %{version}-%{release}

%description -n %{develname}
Header files for development with %{name}.

%prep
%setup -q

%build
%configure --disable-static
%make_build PYTHON=python3

%install
%make_install

mv %{buildroot}/sbin/* %{buildroot}%{_sbindir}/

find %{buildroot} -name '*.la' -delete

%pre master
%_pre_useradd mfs /var/lib/mfs /sbin/nologin
%_pre_groupadd mfs mfs

%files master
%doc NEWS README README.md
%attr(755,root,root) %{_sbindir}/mfsbdev
%attr(755,root,root) %{_sbindir}/mfsmaster
%attr(755,root,root) %{_sbindir}/mfsmetadump
%attr(755,root,root) %{_sbindir}/mfsmetarestore
%attr(755,root,root) %{_sbindir}/mfsmetadirinfo
%{_mandir}/man5/mfsexports.cfg.5*
%{_mandir}/man5/mfsmaster.cfg.5*
%{_mandir}/man8/mfsbdev.8*
%{_mandir}/man8/mfsmaster.8*
%{_mandir}/man8/mfsmetarestore.8*
%{_mandir}/man8/mfsmetadirinfo.8*
%{mfsconfdir}/mfsexports.cfg.sample
%{mfsconfdir}/mfsmaster.cfg.sample
%dir %attr(755,mfs,mfs) %{_localstatedir}/mfs
%{_localstatedir}/mfs/metadata.mfs.empty
%{_unitdir}/moosefs-master.service
%{_unitdir}/moosefs-master@.service

%files metalogger
%doc NEWS README README.md
%attr(755,root,root) %{_sbindir}/mfsmetalogger
%{_mandir}/man5/mfsmetalogger.cfg.5*
%{_mandir}/man8/mfsmetalogger.8*
%{mfsconfdir}/mfsmetalogger.cfg.sample
%{_unitdir}/moosefs-metalogger.service
%{_unitdir}/moosefs-metalogger@.service

%files chunkserver
%doc NEWS README README.md
%attr(755,root,root) %{_sbindir}/mfschunkserver
%{_mandir}/man5/mfschunkserver.cfg.5*
%{_mandir}/man5/mfshdd.cfg.5*
%{_mandir}/man8/mfschunkserver.8*
%{mfsconfdir}/mfschunkserver.cfg.sample
%{mfsconfdir}/mfshdd.cfg.sample
%{_mandir}/man5/mfstopology.cfg.5*
%{mfsconfdir}/mfstopology.cfg.sample
%{_unitdir}/moosefs-chunkserver.service
%{_unitdir}/moosefs-chunkserver@.service

%files client
%doc NEWS README README.md
%{_bindir}/mfsappendchunks
%{_bindir}/mfscheckfile
%{_bindir}/mfschkarchive
%attr(755,root,root) %{_bindir}/mfscli
%{_bindir}/mfsclrarchive
%{_bindir}/mfscopyeattr
%{_bindir}/mfscopygoal
%{_bindir}/mfscopyquota
%{_bindir}/mfscopysclass
%{_bindir}/mfscopytrashtime
%{_bindir}/mfsdeleattr
%{_bindir}/mfsdelquota
%{_bindir}/mfsdirinfo
%{_bindir}/mfsfileinfo
%{_bindir}/mfsfilepaths
%{_bindir}/mfsfilerepair
%{_bindir}/mfsgeteattr
%{_bindir}/mfsgetgoal
%{_bindir}/mfsgetquota
%{_bindir}/mfsgetsclass
%{_bindir}/mfsgettrashtime
%{_bindir}/mfslistsclass
%{_bindir}/mfsmakesnapshot
%attr(755,root,root) %{_bindir}/mfsmount
%{_bindir}/mfsrgetgoal
%{_bindir}/mfsrgettrashtime
%{_bindir}/mfsrmsnapshot
%{_bindir}/mfsrsetgoal
%{_bindir}/mfsrsettrashtime
%{_bindir}/mfsscadmin
%{_bindir}/mfssetarchive
%{_bindir}/mfsseteattr
%{_bindir}/mfssetgoal
%{_bindir}/mfssetquota
%{_bindir}/mfssetsclass
%{_bindir}/mfssettrashtime
%{_bindir}/mfsxchgsclass
%{_sbindir}/mount.moosefs
%{_sbindir}/mfschunktool
%{_sbindir}/mfsnetdump
%{_sbindir}/mfscsstatsdump
%{_sbindir}/mfsstatsdump
%attr(755,root,root) %{_bindir}/mfstools
%{mfsconfdir}/mfsmount.cfg.sample
%{_mandir}/man1/mfsappendchunks.1*
%{_mandir}/man1/mfsarchive.1.*
%{_mandir}/man1/mfscheckfile.1*
%{_mandir}/man1/mfschkarchive.1.*
%{_mandir}/man1/mfscli.1.*
%{_mandir}/man1/mfsclrarchive.1.*
%{_mandir}/man1/mfscopyeattr.1.*
%{_mandir}/man1/mfscopygoal.1.*
%{_mandir}/man1/mfscopyquota.1.*
%{_mandir}/man1/mfscopysclass.1.*
%{_mandir}/man1/mfscopytrashtime.1.*
%{_mandir}/man1/mfsdeleattr.1*
%{_mandir}/man1/mfsdelquota.1.*
%{_mandir}/man1/mfsdiagtools.1.*
%{_mandir}/man1/mfsdirinfo.1*
%{_mandir}/man1/mfseattr.1.*
%{_mandir}/man1/mfsfileinfo.1*
%{_mandir}/man1/mfsfilepaths.1.*
%{_mandir}/man1/mfsfilerepair.1*
%{_mandir}/man1/mfsgeteattr.1*
%{_mandir}/man1/mfsgetgoal.1*
%{_mandir}/man1/mfsgetquota.1.*
%{_mandir}/man1/mfsgetsclass.1.*
%{_mandir}/man1/mfsgettrashtime.1*
%{_mandir}/man1/mfsgoal.1.*
%{_mandir}/man1/mfslistsclass.1.*
%{_mandir}/man1/mfsmakesnapshot.1*
%{_mandir}/man1/mfsquota.1.*
%{_mandir}/man1/mfsrgetgoal.1*
%{_mandir}/man1/mfsrgettrashtime.1*
%{_mandir}/man1/mfsrmsnapshot.1.*
%{_mandir}/man1/mfsrsetgoal.1*
%{_mandir}/man1/mfsrsettrashtime.1*
%{_mandir}/man1/mfsscadmin.1.*
%{_mandir}/man1/mfssclass.1.*
%{_mandir}/man1/mfssetarchive.1.*
%{_mandir}/man1/mfsseteattr.1*
%{_mandir}/man1/mfssetgoal.1*
%{_mandir}/man1/mfssetquota.1.*
%{_mandir}/man1/mfssetsclass.1.*
%{_mandir}/man1/mfssettrashtime.1*
%{_mandir}/man1/mfssnapshots.1.*
%{_mandir}/man1/mfstools.1*
%{_mandir}/man1/mfstrashtime.1.*
%{_mandir}/man1/mfsxchgsclass.1.*
%{_mandir}/man8/mfschunktool.8.*
%{_mandir}/man8/mfscsstatsdump.8.*
%{_mandir}/man8/mfsmetadump.8.*
%{_mandir}/man8/mfsmount.8*
%{_mandir}/man8/mfsnetdump.8.*
%{_mandir}/man8/mfsstatsdump.8.*
%{_mandir}/man8/mount.moosefs.8.*

%files cgi
%doc NEWS README README.md
%attr(755,root,root) %{_sbindir}/mfscgiserv
%{_mandir}/man8/mfscgiserv.8*
%attr(755,mfs,mfs) %{_datadir}/mfscgi
%{_unitdir}/moosefs-cgiserv.service

%files -n %{libname}
%doc NEWS README README.md
%{_libdir}/libmfsio.so.%{major}{,.*}

%files -n %{develname}
%doc NEWS README README.md
%{_includedir}/mfsio.h
%{_libdir}/libmfsio.so
