Name:           moreutils
Version:        0.68
Release:        %mkrel 1
Summary:        Additional unix utilities
Group:          File tools
License:        GPLv2
URL:            https://joeyh.name/code/moreutils/
Source0:        https://git.kitenet.net/index.cgi/moreutils.git/snapshot/%{name}-%{version}.tar.gz

# fixes docbook XSL path
Patch1:         0001-dont-overwrite-docbooxsl-path.patch

BuildRequires:  docbook2x
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl
BuildRequires:  libxml2
BuildRequires:  perl-podlators

# These perl modules add functionality to the ts command, as they are added in eval'd code they are not
# picked up automatically by rpm.
Requires:       perl(Date::Parse)
Requires:       perl(Time::Duration)

%description
This is a growing collection of the unix tools that nobody thought
to write thirty years ago.

So far, it includes the following utilities:
 - chronic: runs a command quietly, unless it fails
 - combine: combine the lines in two files using boolean operations
 - errno: look up errno names and descriptions
 - ifdata: get network interface info without parsing ifconfig output
 - ifne: run a program if the standard input is not empty
 - isutf8: check if a file or standard input is utf-8
 - lckdo: execute a program with a lock held
 - mispipe: pipe two commands, returning the exit status of the first
 - parallel: run multiple jobs at once (contained in moreutils-parallel
             sub package)
 - pee: tee standard input to pipes
 - sponge: soak up standard input and write to a file
 - ts: timestamp standard input
 - vidir: edit a directory in your text editor
 - vipe: insert a text editor into a pipe
 - zrun: automatically uncompress arguments to command

%package parallel
Summary:        Additional unix utility - parallel command
Requires:       %{name} = %{version}-%{release}
Conflicts:      parallel

%description parallel
This is a growing collection of the unix tools that nobody thought
to write thirty years ago.

This is a sub package containing the parallel command only.

 - parallel: run multiple jobs at once

%prep
%autosetup -p1

# Don't strip bins.
sed -r -i "s|install -s|install|" Makefile

%build
%make_build

%check
make check

%install
%make_install

%files
%doc README
%license COPYING
%{_bindir}/chronic
%{_bindir}/combine
%{_bindir}/errno
%{_bindir}/ifdata
%{_bindir}/ifne
%{_bindir}/isutf8
%{_bindir}/lckdo
%{_bindir}/mispipe
%{_bindir}/pee
%{_bindir}/sponge
%{_bindir}/ts
%{_bindir}/vidir
%{_bindir}/vipe
%{_bindir}/zrun
%{_mandir}/man1/chronic.1.*
%{_mandir}/man1/combine.1.*
%{_mandir}/man1/errno.1.*
%{_mandir}/man1/ifdata.1.*
%{_mandir}/man1/ifne.1.*
%{_mandir}/man1/isutf8.1.*
%{_mandir}/man1/lckdo.1.*
%{_mandir}/man1/mispipe.1.*
%{_mandir}/man1/pee.1.*
%{_mandir}/man1/sponge.1.*
%{_mandir}/man1/ts.1.*
%{_mandir}/man1/vidir.1.*
%{_mandir}/man1/vipe.1.*
%{_mandir}/man1/zrun.1.*

%files parallel
%{_bindir}/parallel
%{_mandir}/man1/parallel.1.*
