# use upstream hardening flags instead of ours
# https://github.com/keithw/mosh/issues/203#issuecomment-5167309
%define _ssp_cflags	-fstack-protector-all --param ssp-buffer-size=1

Name:		mosh
Version:	1.4.0
Release:	%mkrel 3
Summary:	Mobile shell that supports roaming and intelligent local echo
License:	GPLv3+
Group:		Networking/Remote access
URL:		https://mosh.mit.edu/
Source0:	https://github.com/mobile-shell/mosh/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz
# https://github.com/mobile-shell/mosh/commit/eee1a8cf
Patch1:		0001-Bump-C++-version-to-C++17.patch
BuildRequires:	protobuf-compiler
BuildRequires:	utempter-devel
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(protobuf)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(bash-completion)

Requires:	openssh-clients

%description
Mosh (mobile shell) is a remote terminal application that supports:

  - Intermittent network connectivity
  - Roaming to different IP address without dropping the connection
  - Intelligent local echo and line editing to reduce the effects
    of "network lag" on high-latency connections.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure \
	--disable-silent-rules \
	--enable-ufw \
	--enable-completion
%make_build

%install
%make_install

%files
%doc AUTHORS README.md ChangeLog
%license COPYING
%dir %{_sysconfdir}/ufw/
%dir %{_sysconfdir}/ufw/applications.d/
%config %{_sysconfdir}/ufw/applications.d/%{name}
%{_datadir}/bash-completion/completions/%{name}
%{_bindir}/%{name}*
%{_mandir}/man1/%{name}*.1.*
