%define          configfile     motion.conf

Name:            motion
#because I screwed up the pre-release tag before :(
Epoch:           1
Version:         4.7.0
Release:         %mkrel 2
Summary:         A highly customizable software motion detector
License:         GPLv2
Group:           Video/Utilities

URL:             https://github.com/Motion-Project/motion
Source0:         https://github.com/Motion-Project/motion/archive/release-%{version}/motion-release-%{version}.tar.gz
Source1:         %{name}-tmpfiles.conf

BuildRequires:   pkgconfig(libjpeg)
BuildRequires:   ffmpeg-devel
BuildRequires:   mysql-devel
BuildRequires:   postgresql-libs-devel
BuildRequires:   linux-userspace-headers
BuildRequires:   pkgconfig(libwebp)
BuildRequires:   pkgconfig(libmicrohttpd)
BuildRequires:   pkgconfig(sqlite3)

Requires(post):  systemd >= %{systemd_required_version}


%description
Motion is a software motion detector. It grabs images from
video4linux devices and/or from web cams (such as the axis network
cameras). It is the perfect tool for keeping an eye on your
property keeping only those images that are interesting.

%prep
%autosetup -p1 -n %{name}-release-%{version}


%build
autoreconf -fi
%configure --without-optimizecpu --with-webp
%make_build


%install
%make_install

mv %{buildroot}%{_sysconfdir}/%{name}/motion-dist.conf %{buildroot}%{_sysconfdir}/%{name}/%{configfile}
%__chmod 644 %{buildroot}%{_sysconfdir}/%{name}/%configfile

%__rm -Rf %{buildroot}/%{_datadir}/doc/

#systemd compat
%__install -D -p -m 644 %{SOURCE1} %{buildroot}%{_tmpfilesdir}/%{name}.conf


%find_lang %{name}

%post
%_tmpfilescreate %{name}



%files -f %{name}.lang
%config(noreplace) %{_sysconfdir}/%{name}/motion.conf
%config(noreplace) %{_sysconfdir}/%{name}/camera*-dist.conf
%{_bindir}/motion
%{_mandir}/man1/motion.1*
%{_tmpfilesdir}/%{name}.conf
