%define major	0
%define libname %mklibname mousepad %{major}

Summary:	A simple text editor for Xfce
Name:		mousepad
Version:	0.6.5
Release:	%mkrel 1
License:	GPLv2+
Group:		Editors
URL:		https://www.xfce.org
# https://gitlab.xfce.org/apps/mousepad
Source0:	https://archive.xfce.org/src/apps/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	git-core
BuildRequires:	meson
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gspell-1)
BuildRequires:	pkgconfig(gtksourceview-4)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(libxfce4ui-2) >= 4.21.0
BuildRequires:	pkgconfig(libxfconf-0)
BuildRequires:	pkgconfig(polkit-gobject-1)

%description
Mousepad is a simple text editor for Xfce and originally based on Leafpad.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
Shared libraries for %{name}.

%prep
%autosetup -p1 -Sgit_am

%build
export CFLAGS="%{optflags} -Wno-deprecated-declarations"
%meson -Dkeyfile-settings=true
%meson_build

%install
%meson_install

# no -devel pkg atm
rm -rf %{buildroot}%{_libdir}/libmousepad.so

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README*
%{_bindir}/mousepad
%{_datadir}/applications/org.xfce.mousepad.desktop
%{_datadir}/applications/org.xfce.mousepad-settings.desktop
%{_datadir}/glib-2.0/schemas/org.xfce.mousepad.gschema.xml
%{_datadir}/polkit-1/actions/org.xfce.mousepad.policy
%{_iconsdir}/hicolor/*/apps/org.xfce.mousepad.{png,svg}
%{_metainfodir}/org.xfce.mousepad.appdata.xml

#plugins
%dir %{_libdir}/mousepad/plugins/

%{_libdir}/mousepad/plugins/libmousepad-plugin-gspell.so
%{_datadir}/glib-2.0/schemas/org.xfce.mousepad.plugins.gspell.gschema.xml

%{_libdir}/mousepad/plugins/libmousepad-plugin-shortcuts.so

%files -n %{libname}
%{_libdir}/libmousepad.so.%{major}{,.*}
