%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Help motorically impaired users to use the mouse
Name:		mousetweaks
Version:	3.32.0
Release:	%mkrel 3
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	GPLv3+
Group:		Accessibility
Url:		https://wiki.gnome.org/Mousetweaks/Home
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	intltool
BuildRequires:	gnome-doc-utils
BuildRequires:	locales

%description
The Mousetweaks package provides mouse accessibility enhancements for
the GNOME desktop. These enhancements are:

1. It offers a way to perform the various clicks without using any
hardware buttons.

2. It allows users to perform a right click by doing a click & hold
of the left mouse button. (For a left-handed mouse user, the terms
left and right have to be inverted.)

3. It provides an applet that the user can install on a panel. This
applet creates an area on the panel into which the pointer can
be captured until the user releases it with a predefined button
and modifier combination.

The options can be accessed through the Accessibility tab of the
Mouse Preferences of the GNOME Control Center or through the command-line.

%prep
%setup -q

%build
export LC_ALL=C.UTF-8
%configure
%make_build

%install
%make_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS README NEWS TODO
%{_datadir}/GConf/gsettings/*.convert
%{_datadir}/glib-2.0/schemas/*.xml
%{_bindir}/%{name}
%{_mandir}/man1/*.1*
%{_datadir}/%{name}
