# major is the part of the library name after the .so
%define major     8
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           movit
Summary:        GPU effects library using OpenGL3
Version:        1.7.1
Release:        %mkrel 1
Group:          System/Libraries
License:        LGPLv2+ and GPLv2+
Url:            https://movit.sesse.net/
Source0:        https://movit.sesse.net/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(eigen3)
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(gtest)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(sdl2)

%description
Movit is the Modern Video Toolkit, notwithstanding that anything that's
called “modern” usually isn't, and it's really not a toolkit.

Movit aims to be a _high-quality_, _high-performance_, _open-source_
library for video filters.

%package -n     %{libname}
Summary:        Main library for Movit
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Obsoletes:      %mklibname movit 5

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with Movit.

%package -n     %{develname}
Summary:        Headers for developing programs that will use Movit
Group:          Development/C++
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use Movit.

%prep
%setup -q

%build
%configure \
       --disable-static
%make_build

%install
%make_install

#fix version
sed -i -e 's|\(Version: \).*|\1%{version}|g' %{buildroot}%{_libdir}/pkgconfig/movit.pc

#remove .a and .la files according to Mageia Policy
find %{buildroot} -name "*.la" -delete

#libs should be 755 for proper -debuginfo extraction
chmod 755 %{buildroot}%{_libdir}/*.so

%files -n %{libname}
%doc NEWS README
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/*.so
%{_libdir}/pkgconfig/movit.pc
