%define debug_package %{nil}

%global firefox_app_id \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
%global extension_id \{02274e0c-d135-45f0-8a9c-32b35110e10d\}

%define _mozillaextpath %{_datadir}/mozilla/extensions
%define pkcs11_modules_dir %{_libdir}/mozilla/pkcs11-modules
%define mozilla_prefs_dir %{_libdir}/firefox/defaults/pref

%define source_name firefox-pkcs11-loader

Name:		mozilla-esteid
Version:	3.13.6
Release:	%mkrel 3
Summary:	Estonian ID card extension for Mozilla
Group:		Networking/WWW
License:	LGPLv2
URL:		https://github.com/open-eid/firefox-pkcs11-loader
Source0:	https://installer.id.ee/media/ubuntu/pool/main/f/firefox-pkcs11-loader/firefox-pkcs11-loader_%{version}.1084.orig.tar.xz
Source1:	mozilla-esteid.js

Requires:	ccid
Requires(post):	jq
Requires:	opensc
Requires:	pcsc-lite
Requires:	locales-et

Recommends:	chrome-token-signing

%description
%{summary}.

%prep
%autosetup -c mozilla-esteid

%install
install -d %{buildroot}%{_mozillaextpath}/%{firefox_app_id}/
install -D -c -p -m 644  %{extension_id}.xpi %{buildroot}%{_mozillaextpath}/%{firefox_app_id}/%{extension_id}.xpi
install -d %{buildroot}%{pkcs11_modules_dir}
install -D -c -p -m 644 onepinopenscpkcs11.json %{buildroot}%{pkcs11_modules_dir}
install -d %{buildroot}%{mozilla_prefs_dir}
install -D -c -p -m 644 %{SOURCE1} %{buildroot}%{mozilla_prefs_dir}
install -d %{buildroot}%{_libdir}/firefox/distribution

%post
POLICIES=%{_libdir}/firefox/distribution
mkdir -p ${POLICIES}
if [ ! -f ${POLICIES}/policies.json ]; then
	JQARGS=-n;
else
	JQARGS=${POLICIES}/policies.json;
fi
jq '.policies.ExtensionSettings["{02274e0c-d135-45f0-8a9c-32b35110e10d}"] = {"installation_mode": "normal_installed", "install_url": "https://addons.mozilla.org/firefox/downloads/latest/pkcs11-module-loader/latest.xpi"}' ${JQARGS} > ${POLICIES}/policies.tmp
mv ${POLICIES}/policies.tmp ${POLICIES}/policies.json

%postun
POLICIES=%{_libdir}/firefox/distribution
mkdir -p ${POLICIES}
if [ ! -f ${POLICIES}/policies.json ]; then
	JQARGS=-n;
else
	JQARGS=${POLICIES}/policies.json;
fi
jq '.policies.ExtensionSettings["{02274e0c-d135-45f0-8a9c-32b35110e10d}"] = {"installation_mode": "blocked"}' ${JQARGS} > ${POLICIES}/policies.tmp
mv ${POLICIES}/policies.tmp ${POLICIES}/policies.json

%files
%doc LICENSE.LGPL README.md
%{_mozillaextpath}/%{firefox_app_id}/%{extension_id}.xpi
%{pkcs11_modules_dir}/onepinopenscpkcs11.json
%{mozilla_prefs_dir}/%{name}.js
