%define tarball_version 1_6_2

Name:           mp3gain
Version:        1.6.2
Release:        %mkrel 5
Summary:        Lossless MP3 volume adjustment tool

Group:          Sound/Utilities
License:        LGPLv2
URL:            https://mp3gain.sourceforge.net/
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{tarball_version}-src.zip
Source1:        %{name}.1.bz2
Source2:        README.method
Patch1:         0001-fix-security-bugs.patch
Patch2:         mp3gain_cflags.patch
BuildRequires:	pkgconfig(libmpg123)

%description
MP3Gain analyzes and adjusts mp3 files so that they have the same
volume. It does not just do peak normalization, as many normalizers
do. Instead, it does some statistical analysis to determine how loud
the file actually sounds to the human ear. Also, the changes MP3Gain
makes are completely lossless. There is no quality lost in the change
because the program adjusts the mp3 file directly, without decoding
and re-encoding.

%prep
%setup -q -c %{name}-%{tarball_version}-src
%autopatch -p1

install -p -m 644 %{SOURCE2} .
%{__sed} -i 's/\r//' lgpl.txt

%build
%make_build

%install
install -Dp -m 755 %{name} %{buildroot}%{_bindir}/%{name}
install -Dp -m 644 %{SOURCE1} %{buildroot}%{_mandir}/man1/%{name}.1.bz2

%files
%doc lgpl.txt README.method
%{_bindir}/%{name}
%{_mandir}/man1/*
