%define _legacy_common_support 1

Name:		mp3splt-gtk
Version:	0.9.2
Release:	%mkrel 8
Summary:	GTK utility to split MP3 and Ogg Files without decoding
Group:		Sound/Utilities
License:	GPLv2+
URL:		https://mp3splt.sourceforge.net/
#Source0:	http://ioalex.net/testing_downloads/snapshots/%%{rev}/%%{name}-%%{version}.tar.gz
Source0:	https://prdownloads.sourceforge.net/mp3splt/mp3splt-gtk-%{version}.tar.gz
Patch1:		mp3splt-gtk-0.9-fix_desktop_file.patch
Patch2:		mp3splt-gtk-0.9-automake1.13.patch
Patch3:		mp3splt-gtk-0.7.3-fix-str-fmt.patch
BuildRequires:	gstreamer1.0-devel
BuildRequires:	pkgconfig(libmp3splt)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	gnome-doc-utils
BuildRequires:	gettext-devel
BuildRequires:	shtool

%description
GTK utility to split mp3 and ogg files selecting a begin and an end time
position, without decoding. It is very useful to split large mp3/ogg
to make smaller files or to split entire albums to obtain original tracks.

%prep
%setup -q
%autopatch -p1

%build
#to get latest files
autoreconf -vfi
%configure \
	--disable-rpath \
	--disable-doxygen_doc \
	--enable-gtk3 \
	--disable-scrollkeeper \
	--disable-audacious
%make_build

%install
%make_install

# desktop file
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install \
	--remove-category=Application \
	--dir=%{buildroot}%{_datadir}/applications/ \
		%{name}.desktop

%find_lang %{name} --with-gnome

#there's no automatic way to add .omf files to lang list
for omf in %{buildroot}%{_datadir}/omf/%{name}/*-??*.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%{buildroot}!!)" >> %{name}.lang
done

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}*.*
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.*
