Name:		mpc
Version:	0.35
Release:	%mkrel 1

Summary:	MPC, command-line client for MPD
License:	GPLv2+
Group:		Sound/Players
Url:		https://www.musicpd.org/
Source0:	https://www.musicpd.org/download/mpc/0/%{name}-%{version}.tar.xz

# Requires:	mpd
BuildRequires:	pkgconfig(libmpdclient)
BuildRequires:	meson
BuildRequires:	ninja
BuildRequires:	python3dist(sphinx)
BuildRequires:	rsync

%description
A command line tool to interface MPD. Scriptable !
Features:
* Bash tab completion
* Can pipe output of other commands into mpc

%prep
%setup -q

%build
export LC_ALL=en_US.UTF-8
export LANG=en_US.UTF-8
%meson
%meson_build

%install
export LC_ALL=en_US.UTF-8
export LANG=en_US.UTF-8
%meson_install

mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d
cp contrib/mpc-completion.bash %{buildroot}%{_sysconfdir}/bash_completion.d/mpc

rm -rf %{buildroot}%{_docdir}/%{name}/

%check
%meson_test

%files
%doc README.rst AUTHORS COPYING
%{_sysconfdir}/bash_completion.d/mpc
%{_bindir}/%{name}
%{_mandir}/man1/*
