Name:           mpdscribble
Version:        0.25
Release:        %mkrel 1
Summary:        Mpd client which submits information about tracks being played to Lastfm
License:        GPLv2+
Group:          Sound/Utilities
Url:            https://www.musicpd.org/clients/mpdscribble/
Source0:        https://www.musicpd.org/download/mpdscribble/%{version}/%{name}-%{version}.tar.xz
Source1:        %{name}.tmpfiles.conf
BuildRequires:  meson
BuildRequires:  pkgconfig(libmpdclient)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libsystemd)

Requires:       mpd
Requires(post): systemd
Requires(preun): systemd

%description
Mpdscribble is a music player daemon client which submits information about
tracks being played to Last.fm (formerly audioscrobbler), with the following
features:
* written in C, consumes very little memory and CPU
* full support for MPD's "idle" mode
* last.fm protocol 1.2 (including "now playing")
* supports seeking, crossfading, repeated songs

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

mkdir -p %{buildroot}/var/cache/mpdscribble/
touch %{buildroot}/var/cache/mpdscribble/cache

install -Dp -m 0644 %{SOURCE1} %{buildroot}%{_tmpfilesdir}/%{name}.conf
install -d %{buildroot}%{_rundir}/%{name}

%post
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc README.rst AUTHORS NEWS COPYING
%license COPYING
%{_bindir}/mpdscribble
%{_mandir}/man1/mpdscribble.1*
%config(noreplace) %{_sysconfdir}/mpdscribble.conf
%{_unitdir}/mpdscribble.service
%{_userunitdir}/mpdscribble.service
%dir %ghost %attr(0755,%{name},%{name}) %{_rundir}/%{name}
%ghost %attr(0660, -, -) %{_rundir}/%{name}/%{name}.pid
%attr(0600,mpd,audio) %dir /var/cache/mpdscribble
%attr(0600,mpd,audio) /var/cache/mpdscribble/cache
%{_tmpfilesdir}/%{name}.conf
