%define major 0
%define libname %mklibname %name %major
%define develname %mklibname -d %name
%define oname libmpeg2

Summary:	MPEG-2 Decoder
Name:		mpeg2dec
Version:	0.5.1
Release:	%mkrel 15
License:	GPLv2+
Group:		Video/Utilities
Source0:	https://libmpeg2.sourceforge.net/files/%{oname}-%{version}.tar.gz
URL:		https://libmpeg2.sourceforge.net/
Patch0:		60_arm-private-symbols.patch
Patch1:		61_global-symbol-test.patch
Patch2:		65_arm-test-with-compiler.patch
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(xv)
BuildRequires:	autoconf

%description
mpeg2dec is an mpeg-1 and mpeg-2 video decoder. It is purposely kept
simple : it does not include features like reading files from a DVD,
CSS, fullscreen output, navigation, etc... The main purpose of
mpeg2dec is to have a simple test bed for libmpeg2. mpeg2dec also
includes a demultiplexer for mpeg-1 and mpeg-2 program streams, and
output routines for a variety of different interfaces.

%package -n	%{libname}
Group:		System/Libraries
Summary:	MPEG-2 Decoder

%description -n %{libname}
mpeg2dec is an mpeg-1 and mpeg-2 video decoder. It is purposely kept
simple : it does not include features like reading files from a DVD,
CSS, fullscreen output, navigation, etc... The main purpose of
mpeg2dec is to have a simple test bed for libmpeg2. mpeg2dec also
includes a demultiplexer for mpeg-1 and mpeg-2 program streams, and
output routines for a variety of different interfaces.

This package contains the shared libraries of mpeg2dec.

%package -n	%develname
Summary:	MPEG-2 Decoder development files
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d %name 0

%description -n	%develname
mpeg2dec is an mpeg-1 and mpeg-2 video decoder. It is purposely kept
simple : it does not include features like reading files from a DVD,
CSS, fullscreen output, navigation, etc... The main purpose of
mpeg2dec is to have a simple test bed for libmpeg2. mpeg2dec also
includes a demultiplexer for mpeg-1 and mpeg-2 program streams, and
output routines for a variety of different interfaces.
MPEG-2 Decoder development files

%prep
%setup -q -n %oname-%version
%autopatch -p1
autoreconf -fi

%build
%configure	--enable-shared --disable-static \
%ifarch sparc sparcv9 sparc64
		--disable-accel-detect
%endif

%make_build

%install
%make_install

# don't ship .a, .la
find %{buildroot} -name *.la | xargs rm -f

%files
%doc AUTHORS ChangeLog NEWS README TODO
%{_mandir}/man1/*
%{_bindir}/*

%files -n %libname
%{_libdir}/libmpeg2*.so.%{major}{,.*}

%files -n %develname
%{_includedir}/mpeg2dec
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/lib*.pc
