%define major			0
%define libmpfi			%mklibname %{name} %{major}
%define libmpfi_devel		%mklibname %{name} -d
%define libmpfi_static_devel	%mklibname %{name} -d -s

Name:		mpfi
Group:		Sciences/Mathematics
License:	LGPL
Summary:	Interval arithmetic multi-precision based on GMP and MPFR
Version:	1.5.4
Release:	%mkrel 1
Source:		https://perso.ens-lyon.fr/nathalie.revol/softwares/%{name}-%{version}.tar.xz
URL:		https://perso.ens-lyon.fr/nathalie.revol/software.html
# Fix possible use of initialized variables
Patch0:		%{name}-uninit.patch
# Fix mismatched type declarations
Patch1:		%{name}-mismatched-type.patch
# Fix incorrect use of the address-of operator
Patch2:		%{name}-bad-ref.patch
# Fix a missing #include in a test file
Patch3:		%{name}-test.patch

BuildRequires:	gmp-devel
BuildRequires:	pkgconfig(mpfr)

%description
MPFI is a C library for interval arithmetic multi-precision based on
the GMP and MPFR libraries.

%package	-n %{libmpfi}
Summary:	lib%{name} dynamic library
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description	-n %{libmpfi}
lib%{name} dynamic library. MPFI is a C library for interval
arithmetic multi-precision based on the GMP and MPFR libraries.

%package	-n %{libmpfi_devel}
Summary:	lib%{name} libraries, includes, etc
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libmpfi} = %{version}-%{release}

%description	-n %{libmpfi_devel}
lib%{name} libraries, includes, etc. MPFI is a C library for interval
arithmetic multi-precision based on the GMP and MPFR libraries.

%package	-n %{libmpfi_static_devel}
Summary:	lib%{name} static libraries
Group:		Development/C
Provides:	%{name}-static-devel = %{version}-%{release}

%description	-n %{libmpfi_static_devel}
lib%{name} static libraries. MPFI is a C library for interval
arithmetic multi-precision based on the GMP and MPFR libraries.

%prep
%setup -q

# In the 1.5.4 release, these two tests try to call functions with mismatched
# signatures, then segfault.  It is not clear to me how to fix them.
sed -i 's/ tdiv_ext\$(EXEEXT)//;s/ trec_sqrt\$(EXEEXT)//' tests/Makefile.in

# In the 1.5.4 release, the data file needed by this test is missing.
sed -i 's/texp10\$(EXEEXT) //' tests/Makefile.in

%ifarch %{arm}
# In the 1.5.4 release, this test fails on 32-bit ARM for unknown reasons.
# Remove this when F36 reaches EOL (i.e., when 32-bit ARM is completely gone).
sed -i 's/ tset_ld\$(EXEEXT)//' tests/Makefile.in
%endif

%build
export CFLAGS="%{optflags} -fPIC"
%configure
%make_build

%install
%make_install

# Remove license files from doc
rm -f %{buildroot}%{_docdir}/mpfi/*

# Fix the pkgconfig file
sed -i 's/ -lmpfr -lgmp//;/Libs/aLibs.private: -lmpfr -lgmp' \
    %{buildroot}%{_libdir}/pkgconfig/mpfi.pc

%files -n %{libmpfi}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{libmpfi_devel}
%{_includedir}/*
%{_libdir}/*.so
%{_infodir}/*
%{_libdir}/pkgconfig/mpfi.pc

%files -n %{libmpfi_static_devel}
%{_libdir}/*.a
