%define lib_major		6
%define lib_name		%mklibname %{name} %{lib_major}
%define lib_name_devel		%mklibname %{name} -d
%define lib_name_static_devel	%mklibname %{name} -d -s

Summary:	Multiple-precision floating-point computations with correct rounding
Name:		mpfr
Epoch:		0
Version:	4.2.1
Release:	%mkrel 2
License:	LGPLv3+
Group:		System/Libraries
URL:		https://www.mpfr.org/
Source0:	https://www.mpfr.org/mpfr-current/mpfr-%{version}.tar.xz
Source1:	https://www.mpfr.org/mpfr-current/mpfr-%{version}.tar.xz.asc
BuildRequires:	pkgconfig(gmp)

%description
The MPFR library is a C library for multiple-precision
floating-point computations with correct rounding.

%package -n	%{lib_name}
Summary:	Multiple-precision floating-point computations with correct rounding
Group:		System/Libraries

%description -n	%{lib_name}
The MPFR library is a C library for multiple-precision
floating-point computations with correct rounding.

%package -n	%{lib_name_devel}
Summary:	Development headers and libraries for MPFR
Group:		Development/C
Requires:	%{lib_name} = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}

%description -n	%{lib_name_devel}
The development headers and libraries for the MPFR library.

%package -n	%{lib_name_static_devel}
Summary:	Static libraries for MPFR
Group:		Development/C
Requires:	%{lib_name_devel} = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-static-devel = %{epoch}:%{version}-%{release}
Provides:	%{name}-static-devel = %{epoch}:%{version}-%{release}

%description -n	%{lib_name_static_devel}
Static libraries for the MPFR library.

%prep
%autosetup -p1

%build
%configure \
	--enable-shared \
	--enable-thread-safe

%make_build

%install
%make_install

rm -rf installed-docs
mv %{buildroot}%{_docdir}/%{name} installed-docs

find %{buildroot}%{_libdir} -name '*.la' -delete

%check
make check

%files -n %{lib_name}
%{_libdir}/libmpfr.so.%{lib_major}{,.*}

%files -n %{lib_name_devel}
%doc installed-docs/*
%{_includedir}/mpfr.h
%{_includedir}/mpf2mpfr.h
%{_infodir}/mpfr.info*
%{_libdir}/libmpfr.so
%{_libdir}/pkgconfig/mpfr.pc

%files -n %{lib_name_static_devel}
%{_libdir}/libmpfr.a
