%define libmajor	1
%define libname		%mklibname %{name} %{libmajor}
%define libname_devel	%mklibname %{name} -d

Summary:	Arithmetic of univariate polynomials over arbitrary precision real (Mpfr) or complex (Mpc) numbers
Name:		mpfrcx
Version:	0.6.3
Release:	%mkrel 1
License:	LGPLv3+
Group:		System/Libraries
URL:		https://www.multiprecision.org/mpfrcx
Source0:	https://www.multiprecision.org/downloads/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(gmp) >= 4.3.2
BuildRequires:	pkgconfig(mpfr) >= 2.4.2
BuildRequires:	libmpc-devel >= 1.0

%description
Mpfrcx is a library for the arithmetic of univariate polynomials over
arbitrary precision real (Mpfr) or complex (Mpc) numbers, without control
on the rounding. For the time being, only the few functions needed to
implement the floating point approach to complex multiplication are implemented.
On the other hand, these comprise asymptotically fast multiplication routines
such as Toom-Cook and the FFT.

%package	-n %{libname}
Summary:	Arithmetic of complex numbers with arbitrarily high precision and correct rounding
Group:		System/Libraries

%description	-n %{libname}
Mpfrcx is a library for the arithmetic of univariate polynomials over
arbitrary precision real (Mpfr) or complex (Mpc) numbers, without control
on the rounding. For the time being, only the few functions needed to
implement the floating point approach to complex multiplication are implemented.
On the other hand, these comprise asymptotically fast multiplication routines
such as Toom-Cook and the FFT.

%package	-n %{libname_devel}
Summary:	Development headers and libraries for MPFRCX
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %{libname_devel}
Development headers and libraries for MPFRCX.

%prep
%autosetup -p1

%build
%configure			\
	--enable-shared		\
	--disable-static

%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%check
make check

%files -n %{libname}
%license COPYING.LESSER
%doc AUTHORS NEWS README
%{_libdir}/libmpfrcx.so.%{libmajor}{,.*}

%files -n %{libname_devel}
%{_includedir}/mpfrcx.h
%{_infodir}/mpfrcx.info*
%{_libdir}/libmpfrcx.so
