%define major		0
%define libname		%mklibname mpg123_ %{major}
%define develname	%mklibname mpg123 -d

Summary:	MPEG audio player
Name:		mpg123
Version:	1.32.10
Release:	%mkrel 1
License:	LGPLv2+
Group:		Sound/Players
URL:		https://www.mpg123.de/
Source0:	https://mpg123.org/download/%{name}-%{version}.tar.bz2
Source1:	mp3license.tar.bz2
BuildRequires:	pkgconfig(alsa)
BuildRequires:	libltdl-devel
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(sndio)
BuildRequires:	pkgconfig(zlib)

%description
Mpg123 is a fast, free and portable MPEG audio player for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).  For
full CD quality playback (44 kHz, 16 bit, stereo) a fast CPU
is required. Mono and/or reduced quality playback (22 kHz or
11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit:
https://www.mpeg.org

%package pulse
Group: Sound/Players
Summary: Pulse audio output plugin for mpg123
Requires: %{name} >= %{version}

%description pulse
Mpg123 is a fast, free and portable MPEG audio player for Unix.
This package provides a Pulse audio output plugin for mpg123.

%package jack
Group: Sound/Players
Summary: Jack audio output plugin for mpg123
Requires: %{name} >= %{version}

%description jack
Mpg123 is a fast, free and portable MPEG audio player for Unix.
This package provides a Jackd audio output plugin for mpg123.

%package portaudio
Group: Sound/Players
Summary: Portaudio output plugin for mpg123
Requires: %{name} >= %{version}

%description portaudio
Mpg123 is a fast, free and portable MPEG audio player for Unix.
This package provides a Portaudio audio output plugin for mpg123.

%package sdl
Group: Sound/Players
Summary: SDL audio output plugin for mpg123
Requires: %{name} >= %{version}

%description sdl
Mpg123 is a fast, free and portable MPEG audio player for Unix.
This package provides a SDL audio output plugin for mpg123.

%package openal
Group: Sound/Players
Summary: OpenAL audio output plugin for mpg123
Requires: %{name} >= %{version}

%description openal
Mpg123 is a fast, free and portable MPEG audio player for Unix.
This package provides a OpenAL audio output plugin for mpg123.

%package sndio
Group: Sound/Players
Summary: Sndio audio output plugin for mpg123
Requires: %{name} >= %{version}

%description sndio
Mpg123 is a fast, free and portable MPEG audio player for Unix.
This package provides a Sndio audio output plugin for mpg123.

%package -n %{libname}
Group:System/Libraries
Summary: MPEG audio decoding library

%description -n %{libname}
libmpg123 is a fast, free and portable MPEG audio decoding library for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).


%package -n %{develname}
Group: Development/C
Summary: MPEG audio decoding library - development files
Requires: %{libname} = %{version}
Provides: libmpg123-devel = %{version}-%{release}

%description -n %{develname}
libmpg123 is a fast, free and portable MPEG audio decoding library for Unix.
This package provides the development libraries to build against it.

%prep
%setup -q -a 1

rm -f doc/README.WIN32

%build
%configure \
    --with-default-audio=alsa \
    --enable-ipv6=yes \
    --enable-network=yes

%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete
# do not remove .la files for plugins

%files
%doc doc/* NEWS README AUTHORS ChangeLog
%doc mp3license
%{_bindir}/*
%{_mandir}/man1/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/output_alsa*
%{_libdir}/%{name}/output_dummy*
%{_libdir}/%{name}/output_oss*

%files pulse
%{_libdir}/%{name}/output_pulse*

%files jack
%{_libdir}/%{name}/output_jack*

%files portaudio
%{_libdir}/%{name}/output_portaudio*

%files sdl
%{_libdir}/%{name}/output_sdl*

%files openal
%{_libdir}/%{name}/output_openal*

%files sndio
%{_libdir}/%{name}/output_sndio*

%files -n %{libname}
%{_libdir}/libmpg123.so.%{major}{,.*}
%{_libdir}/libout123.so.%{major}{,.*}
%{_libdir}/libsyn123.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libmpg123.so
%{_libdir}/libout123.so
%{_libdir}/libsyn123.so
%{_includedir}/*.h
%{_libdir}/pkgconfig/libmpg123.pc
%{_libdir}/pkgconfig/libout123.pc
%{_libdir}/pkgconfig/libsyn123.pc
