Summary:	A real-time MPEG 1.0/2.0/2.5 audio player for layers 1, 2 and 3
Name:		mpg321
Version:	0.3.2
Release:	%mkrel 12
Group:		Sound/Players
License:	GPLv2+
URL:		https://sourceforge.net/projects/mpg321
Source:		https://downloads.sourceforge.net/%{name}/%{name}_%{version}.orig.tar.gz
Patch0:		mpg321-help.patch
Patch1:		mpg321-0.2.11-set-channel-mapping.patch
# from gentoo
Patch10:	mpg321-0.3.2-format-security.patch
Patch11:	mpg321-0.3.2-CVE-2019-14247.patch
Patch12:	mpg321-0.3.2-gcc10.patch
Patch13:	mpg321-0.3.2-clang16.patch
BuildRequires:	pkgconfig(mad) >= 0.13
BuildRequires:	pkgconfig(ao) >= 0.8.0
BuildRequires:	pkgconfig(id3tag)
BuildRequires:	pkgconfig(alsa)

%description
mpg321 is a Free clone of mpg123, a command-line MP3 player. It is designed to
be a drop-in replacement for mpg123, and therefore its interface has been
designed around that of mpg123, without using any of its code. mpg321 has been
designed for use with front-ends such as gqmpeg, although it is just as useful
on the command-line. Unlike mpg123, it supports ESD and ALSA output without
recompiling, and it does all MP3 decoding with only fixed-point math by using
the mad MPEG audio decoder library.


%prep
%setup -qn %{name}-%{version}-orig
%patch -P 0 -p0
%patch -P 1 -p1
%patch -P 10 -p1
%patch -P 11 -p1
%patch -P 12 -p1
%patch -P 13 -p1
# Fix wrong-file-end-of-line-encoding
sed -i 's/\r//' NEWS

%build
%configure --enable-mpg123-symlink=no # Uncomment option once mainstream.
%make_build

%install
%make_install

%files
%doc BUGS AUTHORS HACKING NEWS
%doc README* THANKS TODO
%{_bindir}/*
%{_mandir}/man1/*
