Summary:	Manipulate tags, split, join, demultiplex, and fetch information on MPEG files
Name:		mpgtx
Version:	1.3.1
Release:	%mkrel 16
License:	GPL
Group:		Video/Utilities
URL:		https://mpgtx.sourceforge.net/
Source0:	https://prdownloads.sourceforge.net/mpgtx/mpgtx-%{version}.tar.bz2
# Author: Laurent Alacoque <laureck@users.sourceforge.net>

%description
mpgtx (an MPEG ToolboX) allows you to manipulate ID3 tags, split, join,
demultiplex, and fetch detailed information about a variety of MPEG files.
It was designed to do little, but do it well, and to provide the end user
with an austere yet powerful command-line interface. It replaces "mpgcut".


%prep
%setup -q
perl -pi -e 's/^\s*inline\s*$//' *.cxx

# do not strip binary
sed -i -e 's|install -s -m 755|install -m 755|' configure

%build
./configure --prefix=%{_prefix}

%make_build CFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -DNOSIGNAL_H" LFLAGS=""

%install
find -type f | xargs chmod a+r

%make_install \
	MANDIR="%{buildroot}/%{_mandir}/man1" \
	INSTALLDIR="%{buildroot}/%{_bindir}" \
	MANDIRDE=%{buildroot}%{_mandir}/de/man1

%files
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/*
%{_mandir}/man1/*
%lang(de) %{_mandir}/de/man1/*
