%define major     23
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

%define majorxx   8
%define libnamexx %mklibname %{name}xx %{majorxx}

Name:           mpir
Version:        3.0.0
Release:        %mkrel 7
Summary:        Multiprecision integer library derived from GMP
License:        LGPLv3+
Group:          System/Libraries
Url:            https://github.com/wbhart/mpir
Source:         https://mpir.org/%{name}-%{version}.tar.bz2
# Enable aarch64 support
Patch0:         %{name}-aarch64.patch
Patch1:         0001-Fix-configure-failures-with-Xcode12.patch

# ppc64 assembly has not yet been ported to little endian
ExcludeArch:    ppc64le

BuildRequires:  gcc-c++
BuildRequires:  m4
BuildRequires:  yasm

%description
MPIR is a library for arbitrary precision arithmetic, operating on signed
integers, rational numbers, and floating point numbers. It has a rich set
of functions, and the functions have a regular interface.

#------------------------------------------------

%package -n     %{libname}
Summary:        Multiprecision integer library derived from GMP
Group:          System/Libraries

%description -n %{libname}
MPIR is a library for arbitrary precision arithmetic, operating on signed
integers, rational numbers, and floating point numbers. It has a rich set
of functions, and the functions have a regular interface.

#------------------------------------------------

%package -n     %{libnamexx}
Summary:        Multiprecision integer library derived from GMP
Group:          System/Libraries

%description -n %{libnamexx}
MPIR is a library for arbitrary precision arithmetic, operating on signed
integers, rational numbers, and floating point numbers. It has a rich set
of functions, and the functions have a regular interface.

#------------------------------------------------

%package -n     %{develname}
Summary:        Development package for %{name}
Group:          Development/C++
Requires:       %{libname} >= %{version}-%{release}
Requires:       %{libnamexx} >= %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}xx-devel = %{version}-%{release}
Provides:       lib%{name}xx-devel = %{version}-%{release}
Requires(pre):    info-install
Requires(postun): info-install

%description -n %{develname}
MPIR is an open source multiprecision integer library derived from version
4.2.1 of the GMP.

MPIR is a library for arbitrary precision arithmetic, operating on signed
integers, rational numbers, and floating point numbers. It has a rich set
of functions, and the functions have a regular interface.

This subpackage contains libraries and header files for developing
applications that want to make use of libmpir.

#------------------------------------------------

%prep
%autosetup -p1

%build
# Use -fwrap due to https://github.com/wbhart/mpir/issues/295
# Use -Wno-implicit-int and -Wno-implicit-function-declaration due to gcc14
export CFLAGS="%{optflags} -fexceptions -Wno-error=return-type -Wno-implicit-int -Wno-implicit-function-declaration -fwrapv"
export CXXFLAGS="%{optflags} -fexceptions -Wno-error=return-type -Wno-implicit-int -Wno-implicit-function-declaration -fwrapv"

%configure \
	--disable-static \
	--enable-cxx \
	--enable-fat \
	--with-yasm=%{_bindir}/yasm
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%check
export LD_LIBRARY_PATH=$PWD/.libs
make check

%files -n %{libname}
%{_libdir}/libmpir.so.%{major}{,.*}

%files -n %{libnamexx}
%{_libdir}/libmpirxx.so.%{majorxx}{,.*}

%files -n %{develname}
%doc COPYING README
%{_includedir}/*.h
%{_libdir}/libmpir.so
%{_libdir}/libmpirxx.so
%{_infodir}/mpir.info*.*
