%global         date 20121114
%global         gitcommit 96c3415
%global         gitcommit_full 96c34153cf8d6acc20590143e6585b439f9698df


Name:           mplayer2
Version:        2.0
Release:        2.%{date}git%{gitcommit}%{?dist}
Summary:        Movie player playing most video formats and DVDs
Epoch:          1

License:        GPLv3+
URL:            https://www.mplayer2.org/
Source0:        https://git.mplayer2.org/mplayer2-build/snapshot/mplayer2-build-2.0.git.tar.xz
Source1:        mplayer.conf
Source2:        input.conf
Source3:        mplayer2.desktop

BuildRequires:  yasm
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  freetype-devel
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xxf86vm)
BuildRequires:  pkgconfig(liblircclient0)
BuildRequires:  pkgconfig(xscrnsaver)
BuildRequires:  pkgconfig(xv)
BuildRequires:  pkgconfig(vdpau)
BuildRequires:  pkgconfig(xxf86dga)
BuildRequires:  aalib-devel
BuildRequires:  pkgconfig(caca)
BuildRequires:  svgalib-devel
BuildRequires:  libmng-devel
BuildRequires:  giflib-devel
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pulseaudio-devel
BuildRequires:  libbluray-devel
BuildRequires:  libdvdnav-devel
BuildRequires:  cdparanoia
BuildRequires:  enca-devel
BuildRequires:  libmad-devel
BuildRequires:  libvorbis-devel
BuildRequires:  speex-devel >= 1.1
BuildRequires:  libtheora-devel
BuildRequires:  libmpg123-devel
BuildRequires:  a52dec-devel
BuildRequires:  libdca-devel
BuildRequires:  libfaad2-devel
BuildRequires:  ladspa-devel
BuildRequires:  libbs2b-devel
BuildRequires:  libdv-devel >= 0.9.5
BuildRequires:  xvid4-devel
BuildRequires:  libtool
BuildRequires:  python3
BuildRequires:  python-docutils
BuildRequires:  fribidi-devel

%description
MPlayer2 is an advanced general-purpose video player.
A fork of the original MPlayer project, it contains
significant further development and supports a number
of features not available in other Unix players, such
as Matroska external chapters.

%prep
%setup -q -n %{name}-build-2.0.git

echo "--prefix=%{_prefix}
--bindir=%{_bindir}
--datadir=%{_datadir}/%{name}
--mandir=%{_mandir}
--confdir=%{_sysconfdir}/%{name}
--libdir=%{_libdir}
--codecsdir=%{_libdir}/codecs
--extra-cflags=$RPM_OPT_FLAGS
--enable-radio
--enable-radio-capture
--enable-translation
--charset= utf8
#--language-man=all
--enable-runtime-cpudetection
#--enable-live
" >> mplayer_options

#echo "--enable-vaapi
echo "--enable-runtime-cpudetect
" >> libav_options

#sed -i -e "s|'--disable-devices', '--disable-vaapi'|'--disable-devices'|" "script/libav-config" ;

# fix man pages not being UTF8
# doconv() {
#     iconv -f $1 -t $2 -o mplayer/DOCS/man/$3/mplayer.1.utf8 mplayer/DOCS/man/$3/mplayer.1 && \
#     mv mplayer/DOCS/man/$3/mplayer.1.utf8 mplayer/DOCS/man/$3/mplayer.1
# }
# 
# for lang in de es fr it ; do doconv iso-8859-1 utf-8 $lang ; done
# for lang in hu pl ; do doconv iso-8859-2 utf-8 $lang ; done
# for lang in ru ; do doconv koi8-r utf-8 $lang ; done


%build
# mp3lib looks broken => disabling
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

# move man pages and bindir
mv $RPM_BUILD_ROOT%{_bindir}/mplayer $RPM_BUILD_ROOT%{_bindir}/%{name}

find $RPM_BUILD_ROOT%{_mandir} -name "mplayer*" | while read -r file; do \
    mv $file $(echo "$file" | sed -e "s/mplayer.1/mplayer2.1/"); \
done

install -D -m0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/mplayer.conf
install -D -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/input.conf
install -D -m0644 %{SOURCE3} %{buildroot}%{_datadir}/applications/%{name}.desktop


%postun
update-desktop-database -q


%files
%doc mplayer/AUTHORS mplayer/Copyright mplayer/LICENSE
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/%{name}.desktop
