Name:		mppdec
Version:	r96
Release:	%mkrel 12
Summary:	The 1.15v decoder
Group:		Sound/Editors and Converters
License:	LGPLv2+
URL:		https://www.musepack.net/
Source0:	ftp://ftp.iut-bm.univ-fcomte.fr/linux/distributions/zenwalk/source/extra/ap/musepack-tools/mpptools-%{version}.tar.bz2
Patch0:		no-asm.patch
Patch1:		mpptools-r96-mga-gcc5.patch
ExcludeArch:	%{arm}

BuildRequires:	yasm

%description
Musepack is an audio compression format with a strong emphasis on high
quality. It's not lossless, but it is designed for transparency, so that you
won't be able to hear differences between the original wave file and the much
smaller MPC file. It is based on the MPEG-1 Layer-2 / MP2 algorithms, but
since 1997 it has rapidly developed and vastly improved and is now at an
advanced stage in which it contains heavily optimized and patentless code.
This decoder is compatible with all StreamVersions from 4 to 7. You need it if
you want to apply ReplayGain on your files or just want to decode to record on
a CD.


%prep
%setup -q -n mpptools-%{version}

sed -i -e 's/-Os//' Makefile
sed -i -e 's/-march=i586//' Makefile
sed -i -e 's/-m\$(TUNE)=i686//' Makefile
sed -i -e 's/&> $(LOGFILE)//' Makefile
sed -i -e 's/nasm/yasm/' Makefile

%ifnarch %{ix86}
%patch 0 -p1
%endif
%patch 1 -p1

%build
%ifarch %{arm}
# config goes into infinite loop with -O2 on armv5tl and armv7hl :(
%define flags %(echo %{optflags} | sed s/O2/O1/)
%else
%define flags %{optflags} -Wno-incompatible-pointer-types
%endif

%make_build config.h OPTIM_SPEED="%{flags}" OPTIM_SIZE= XLIBDIR= XINCLDIR= LDADD="%{ldflags} -lm"
%make_build mppdec OPTIM_SPEED="%{flags}" OPTIM_SIZE= XLIBDIR= XINCLDIR= LDADD="%{ldflags} -lm"
%make_build replaygain OPTIM_SPEED="%{flags}" OPTIM_SIZE= XLIBDIR= XINCLDIR= LDADD="%{ldflags} -lm"

%install
mkdir -p %{buildroot}%{_bindir}
install -m 0755 mppdec replaygain %{buildroot}%{_bindir}

%files
%doc README
%{_bindir}/mppdec
%{_bindir}/replaygain
