# Created by pyp2rpm-3.3.1
%global pypi_name mps-youtube

Name:           %{pypi_name}
Version:        0.2.8
Release:        %mkrel 16
Summary:        Terminal based YouTube player and downloader
Group:          Sound/Players
License:        GPLv3+
URL:            https://github.com/mps-youtube/mps-youtube
Source0:        https://github.com/mps-youtube/mps-youtube/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

Patch0:         mps-youtube-0.2.8-disable-mplayer-version-check.patch
 
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(pafy)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(youtube-dl)

Requires:       mplayer
Requires:	python3dist(youtube-dl)
Requires:       python3dist(pafy)

Recommends:     youtube-dl
Recommends:     python3dist(dbus-python)
Recommends:     python3dist(pygobject)
Recommends:     python3dist(colorama)

%description
This project is based on mps, a terminal based program to search, stream and
download music. This implementation uses YouTube as a source of content and
can play and download video as well as audio. The pafy library handles
interfacing with YouTube.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%py3_build
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 doc html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%if 0
%check
%{__python3} setup.py test
%endif

%files
%license LICENSE
%doc CHANGELOG README.rst html
%{_bindir}/mpsyt
%{_datadir}/applications/mps-youtube.desktop
%{python3_sitelib}/mps_youtube
%{python3_sitelib}/mps_youtube-%{version}-py%{python3_version}.egg-info

