Name:		mscgen
Version:	0.20
Release:	%mkrel 11
Summary:	A small program that parses Message Sequence Chart descriptions
License:	GPLv2
Group:		Graphics/Editors and Converters
Url:		https://www.mcternan.me.uk/mscgen/

Source0:	https://www.mcternan.me.uk/mscgen/software/%{name}-src-%{version}.tar.gz

BuildRequires:	pkgconfig(gdlib)

%description
Mscgen is a small program that parses Message Sequence Chart descriptions and
produces PNG, SVG, EPS or server side image maps (ismaps) as the output.
Message Sequence Charts (MSCs) are a way of representing entities and
interactions over some time period and are often used in combination with SDL.
MSCs are popular in Telecoms to specify how protocols operate although MSCs
need not be complicated to create or use. Mscgen aims to provide a simple text
language that is clear to create, edit and understand, which can also be
transformed into common image formats for display or printing.

This program and the language it parses have been inspired by Graphviz Dot,
which provides a really good way to document State Transition Diagrams, data
structures and directed graphs. Unlike Graphviz, this program does no clever
layout operations or spline routing as this is not needed for MSCs, and so was
much simpler to implement. Doxygen (version 1.5.2 onwards) also allows MSCs to
be embedded directly in the same way that dot diagrams can be added to
documentation, making it easy to improve Doxygen generated documentation
through the use of message sequence charts.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%{_bindir}/%{name}
%dir %{_datadir}/doc/%{name}
%doc %{_datadir}/doc/%{name}/*
%{_mandir}/man1/*
