%define cmajor   2
%define clibname %mklibname %{name}-c %{cmajor}
%define devname  %mklibname %{name} -d

Name:           msgpack
Version:        6.1.0
Release:        %mkrel 1
Summary:        Binary-based efficient object serialization library
Group:          System/Libraries
License:        Boost
URL:            https://msgpack.org/
Source0:        https://github.com/msgpack/msgpack-c/releases/download/c-%{version}/%{name}-c-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  cmake(cJSON)
BuildRequires:  doxygen
# for %%check
BuildRequires:  pkgconfig(gtest)
BuildRequires:  pkgconfig(zlib)

%description
MessagePack is a binary-based efficient object serialization
library. It enables to exchange structured objects between many
languages like JSON. But unlike JSON, it is very fast and small.

#----------------------------------------------------------------------

%package -n     %{clibname}
Summary:        Binary-based efficient object serialization library
Group:          System/Libraries

%description -n %{clibname}
MessagePack is a binary-based efficient object serialization
library. It enables to exchange structured objects between many
languages like JSON. But unlike JSON, it is very fast and small.

This package contains the C version of MessagePack, lib%{name}c.

%files -n       %{clibname}
%license COPYING
%{_libdir}/lib%{name}-c.so.%{cmajor}{,.*}

#----------------------------------------------------------------------

%package -n     %{devname}
Summary:        Libraries and header files for %{name}
Group:          Development/C++
Requires:       %{clibname} = %{version}-%{release}

%description -n %{devname}
Libraries and header files for %{name} and %{name}c.

%files -n       %{devname}
%doc AUTHORS ChangeLog LICENSE_1_0.txt NOTICE README README.md
%license COPYING
%{_includedir}/%{name}/
%{_includedir}/%{name}.h
%{_libdir}/cmake/%{name}-c/
%{_libdir}/lib%{name}-c.so
%{_libdir}/pkgconfig/%{name}-c.pc

#----------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-c-%{version}

%build
%cmake -DMSGPACK_CXX17:BOOL=ON
%cmake_build

%check
# C library tests fail due to path issue
# https://github.com/msgpack/msgpack-c/issues/593
#make_build -C build test

%install
%cmake_install

find %{buildroot} -name '*.a' -delete
