%define api	1.0
%define major	0
%define libname	%mklibname msi %{api} %{major}
%define girname	%mklibname msi-gir %{api}
%define devname	%mklibname %{name} -d

Summary:	Utilities to inspect and create Windows Installer files
Name:		msitools
Version:	0.106
Release:	%mkrel 1
Group:		Development/Databases
License:	GPLv2+
URL:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/msitools/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	bison
BuildRequires:	meson
BuildRequires:	intltool
BuildRequires:	vala-tools
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libgcab-1.0)
BuildRequires:	pkgconfig(libgsf-1)
BuildRequires:	pkgconfig(uuid)

%description
msitools is a set of programs to inspect and build Windows Installer
(.MSI) files.  It is based on libmsi, a portable library to read and
write .MSI files.  libmsi in turn is a port of (and a subset of) Wine's
implementation of the Windows Installer.

msitools plans to be a solution for packaging and deployment of
cross-compiled Windows applications.

Provided tools include:
- msiinfo, to inspect MSI files
- msibuild, a low-level tool to create MSI files
- msiextract, to inspect and extract the files of an MSI file
- msidump, to extract all tables or streams from an MSI file
- msidiff, to diff MSI tables and file content
- wixl, a WiX-like tool, that builds Windows Installer (MSI) packages
  from an XML document, and tries to share the same syntax as the WiX
  toolset, https://wixtoolset.org/
- wixl-heat, a tool that builds XML fragments from a list of files
  and directories.

%package -n	%{libname}
Summary:	A support library for %{name}
Group:		System/Libraries

%description -n	%{libname}
A support library for %{name}.

%package -n	%{girname}
Summary:	Libmsi Introspection interface description for %{name}
Group:		System/Libraries

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}
Requires:	%{girname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
Development files for %{name}.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%{find_lang} %{name}

%files
%{_bindir}/msibuild
%{_bindir}/msiextract
%{_bindir}/msiinfo
%{_bindir}/msidiff
%{_bindir}/msidump
%{_bindir}/wixl
%{_bindir}/wixl-heat
%{_datadir}/bash-completion/completions/msitools
%{_datadir}/wixl-%{version}

%files -n %{libname} -f %{name}.lang
%{_libdir}/libmsi-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Libmsi-%{api}.typelib

%files -n %{devname}
%dir %{_includedir}/libmsi-%{api}
%{_includedir}/libmsi-%{api}/*
%{_libdir}/libmsi-%{api}.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/Libmsi-%{api}.gir
%{_datadir}/vala/vapi/libmsi-%{api}.vapi
%{_datadir}/vala/vapi/libmsi-%{api}.deps
