%define _enable_debug_packages %{nil}
%define debug_package          %{nil}
Summary:	Programs to control tape device operations
Name:		mt-st
Version:	1.7
Release:	%mkrel 1
License:	GPLv2+
Group:		Archiving/Backup
URL:		https://github.com/iustin/mt-st/
Source0:	https://github.com/iustin/mt-st/releases/download/v%{version}/%{name}-%{version}.tar.gz
Source1:	stinit.service
Patch0:		mt-st-1.4-mtio.patch
BuildRequires:	systemd
BuildRequires:	bash-completion
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%description
The mt-st package contains the mt and st tape drive management
programs. Mt (for magnetic tape drives) and st (for SCSI tape devices)
can control rewinding, ejecting, skipping files and blocks and more.

This package can help you manage tape drives.

%prep
%setup -q
%autopatch -p1

%build
%make_build CFLAGS="-fPIC %{optflags}"

%install
COMPLETIONDIR=%{buildroot}$(pkg-config --variable=completionsdir bash-completion)
%make_install EXEC_PREFIX=%{_prefix} COMPLETIONINSTALLDIR=$COMPLETIONDIR
install -D -p -m 0755 %{SOURCE1} %{buildroot}%{_unitdir}/stinit.service
cd $COMPLETIONDIR
mv mt-st mt


%post
%_post_service stinit

%preun
%_preun_service stinit

%files
%doc COPYING README* stinit.def.examples
%{_bindir}/mt
%{_sbindir}/stinit
%{_unitdir}/stinit.service
%{_mandir}/man1/mt.1*
%{_mandir}/man8/stinit.8*
%{_datadir}/bash-completion/completions/mt
