%define major	1
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           mtdev
Version:        1.1.6
Release:        %mkrel 3
License:        MIT
Summary:        Kernel multi-touch transformation library
Url:            https://edge.launchpad.net/mtdev
Group:          System/Libraries
Source0:        https://bitmath.org/code/%{name}/%{name}-%{version}.tar.bz2

%description
The mtdev library transforms all variants of kernel MT (multi-touch) events to
the slotted type B protocol. The events put into mtdev may be from any MT
device, specifically type A without contact tracking, type A with contact
tracking, or type B with contact tracking. See the kernel documentation for
further details.

%package -n %{libname}
Summary:        Kernel multi-touch transformation library
Group:          System/Libraries

%description -n %{libname}
The mtdev library transforms all variants of kernel MT (multi-touch) events to
the slotted type B protocol. The events put into mtdev may be from any MT
device, specifically type A without contact tracking, type A with contact
tracking, or type B with contact tracking. See the kernel documentation for
further details.

%package -n %{develname}
Summary:        Development files for mtdev
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
The mtdev library transforms all variants of kernel MT (multi-touch) events to
the slotted type B protocol. The events put into mtdev may be from any MT
device, specifically type A without contact tracking, type A with contact
tracking, or type B with contact tracking. See the kernel documentation for
further details.

This package provides the development files for mtdev.

%prep
%setup -q

%build
# to recognize aarch64
autoreconf -vfi

%configure \
  --disable-static
%make_build

%install
%make_install

find %{buildroot}%{_libdir} -name '*.la' -delete

%files
%doc ChangeLog README COPYING
%{_bindir}/mtdev-test

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/mtdev*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
