%define gimpplugin	0
%define abi_version	2.0

Summary:		Status monitor and configuration tool for Epson inkjet printers
Name:			mtink
Version:		1.0.16
Release:		%mkrel 27
License:		GPLv2+
Group:			System/Printing
# These URLs are no longer valid
URL:			http://xwtools.automatix.de/english/startE.htm
Source0:		http://xwtools.automatix.de/files/%{name}-%{version}.tar.gz
Source1:		mtinkd.service
Source2:		mtinkd.sysconfig
Source3:		printutils.png
Source4:		micon.gif
# mtink - Do not request koi8-ru, but koi8-r instead. Fixes mdv#25315
Patch0:			mtink-1.0.14-ru_font.patch
Patch1:			mtink-fhs_fixes.diff
Patch2:			mtink-path_to_printer.desc.diff
Patch3:			mtink-1.0.16-link.patch
Patch4:			mtink-1.0.16-mga-www-browser.patch
Patch5:			mtkink-fix-spelling-errors.patch
Patch6:			mtkink-fix-non-void-function-return.patch
Patch7:			mtkink-fix-function-declarations.patch
Patch8:			mtkink-gcc-10.patch
Patch9:			mtkink-cflags.patch
%if %{gimpplugin}
BuildRequires:		pkgconfig(gimp-%{abi_version})
%endif
BuildRequires:		imagemagick
BuildRequires:		pkgconfig(x11)
BuildRequires:		motif-devel
BuildRequires:		pkgconfig(xt)
Requires(post):		systemd >= %{systemd_required_version}
Requires(post):		rpm-helper
Requires(preun):	rpm-helper
Requires:		desktop-common-data

%description
Mtink is a status monitor which allow to get the remaining ink quantity,
printing of test patterns, changing and cleaning cartridges.

%prep

%setup -q
%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p0
%patch -P 3 -p0
%patch -P 4 -p1
%patch -P 5 -p1
%patch -P 6 -p1
%patch -P 7 -p1
%patch -P 8 -p1
%patch -P 9 -p1

cp %{SOURCE1} mtinkd.service
cp %{SOURCE2} mtinkd.sysconfig
cp %{SOURCE3} printutils.png

%build
%set_build_flags

perl -p -i -e 's|(/usr/X11R6)/lib\b|\1/%{_lib}|g' Makefile.ORG
perl -p -i -e 's|(/usr)/lib\b|\1/%{_lib}|g' Makefile.ORG
perl -p -i -e 's|(/usr)/lib$|\1/%{_lib}|g' Configure
perl -p -i -e 's|(''/usr/)lib('')|$1%{_lib}$2|g' checkMotifVersion.sh
perl -pi -e "s|^DBG = .*|DBG = $CFLAGS|g" Makefile.ORG

./Configure --no-suid --prefix /usr

%make_build CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

# Fix some small bugs
#perl -p -i -e "s/START_LEVEL=S99mtink/START_LEVEL=S59mtink/" etc/installInitScript.sh
#perl -p -i -e "s/STOP_LEVEL=K02mtink/START_LEVEL=K61mtink/" etc/installInitScript.sh
#perl -p -i -e "s/for d in 2 3 4 5/XXXXXXXXXX/" etc/installInitScript.sh
#perl -p -i -e "s/for d in 0 1 6/for d in 2 3 4 5/" etc/installInitScript.sh
#perl -p -i -e "s/XXXXXXXXXX/for d in 0 1 6/" etc/installInitScript.sh
#perl -p -i -e "s!cp mtink /etc/init.d!!" etc/installInitScript.sh
perl -p -i -e "s!chmod 744 /etc/init.d/mtink!!" etc/installInitScript.sh

%install
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_unitdir}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sbindir}
%if %{gimpplugin}
install -d %{buildroot}%{_libdir}/gimp/%{abi_version}/plug-ins
%endif
install -d %{buildroot}%{_prefix}/lib/cups/backend
install -d %{buildroot}%{_localstatedir}/lib/mtink
install -d %{buildroot}%{_datadir}/mtink

install -m0755 mtink %{buildroot}%{_bindir}/
install -m0755 ttink %{buildroot}%{_bindir}/
install -m0755 mtinkc %{buildroot}%{_bindir}/
install -m0755 mtinkd %{buildroot}%{_sbindir}/
install -m0644 mtinkd.service %{buildroot}%{_unitdir}/mtinkd.service
install -m0644 mtinkd.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/mtinkd

install -m0644 utils/printer.desc.bldin %{buildroot}%{_datadir}/mtink/printer.desc
install -m0644 utils/*.align %{buildroot}%{_datadir}/mtink/

install -m0755 etc/installInitScript.sh %{buildroot}%{_sbindir}/mtink-installInitScript
install -m0755 detect/askPrinter %{buildroot}%{_sbindir}/
install -m0755 etc/mtink-cups %{buildroot}%{_prefix}/lib/cups/backend/mtink
%if %{gimpplugin}
install -m0755 gimp-mtink %{buildroot}%{_libdir}/gimp/%{abi_version}/plug-ins/
%endif

# Documentation
cp -ax etc/readme README.mtinkd.startup

# Menu icon
# Menu entries for printer-utils package
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/
install -m 644 printutils.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/
# mtink icon
mkdir -p %{buildroot}%{_miconsdir}
mkdir -p %{buildroot}%{_iconsdir}
mkdir -p %{buildroot}%{_liconsdir}
convert %{SOURCE4} -resize 16x16 %{buildroot}%{_miconsdir}/%{name}.png
convert %{SOURCE4} -resize 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert %{SOURCE4} -resize 48x48 %{buildroot}%{_liconsdir}/%{name}.png

# Menu entries
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Epson Inkjet Printer Manager
Name[ru]=Менеджер струйных принтеров Epson
Name[nb]=Epson Inkjet skriverhåndterer
GenericName=Alignment, ink level, cartridge maintenance
GenericName[ru]=Выравнивание, чернила, картриджи
GenericName[nb]=Vis oppstilling, blekknivå og utfør vedlikehold
Comment=Status monitor and configuration tool for Epson inkjet printers
Comment[ru]=Контроль состояния и инструмент конфигурации для струйных принтеров Epson
Exec=mtink
Icon=printutils
Terminal=false
Type=Application
Categories=System;Monitor;
EOF

mkdir -p %{buildroot}%{_tmpfilesdir}
cat <<EOF > %{buildroot}%{_tmpfilesdir}/%{name}.conf
d /run/mtink 0750 lp sys
EOF

mkdir -p %{buildroot}%{_rundir}/%{name}

%post
%_tmpfilescreate %{name}
%_post_service mtinkd

%preun
#Stop mtinkd when uninstalling printer-filters
%_preun_service mtinkd

%files
%doc README.mtinkd.startup CHANGE.LOG doc/*
%attr(0644,root,sys) %config(noreplace) %{_sysconfdir}/sysconfig/mtinkd
%{_unitdir}/mtinkd.service
%{_tmpfilesdir}/%{name}.conf
%{_sbindir}/mtinkd
%{_sbindir}/askPrinter
%{_sbindir}/mtink-installInitScript
%attr(0755,root,sys) %{_bindir}/mtinkc
# These four must be SGID sys/SUID root to be able to access the printer
# devices
%attr(6755,root,sys) %{_bindir}/mtink
%attr(6755,root,sys) %{_bindir}/ttink
%if %{gimpplugin}
%attr(2755,lp,sys) %{_libdir}/gimp/%{abi_version}/plug-ins/gimp-mtink
%endif

%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_datadir}/icons/hicolor/16x16/apps/printutils.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%attr(0750,lp,sys) %dir %{_localstatedir}/lib/mtink
%attr(0755,root,root) %dir %{_datadir}/mtink
%attr(0644,root,root) %{_datadir}/mtink/*
%attr(0755,root,root) %{_prefix}/lib/cups/backend/mtink
%dir %ghost %attr(0750, lp, sys) %{_rundir}/%{name}
%ghost %attr(0660, -, -) %{_rundir}/%{name}/%{name}.pid
