# for configure script
%ifarch x86_64
	%define arch	x86-64
%endif

%ifarch %ix86
	%define arch	i686
%endif

Name:		mtpaint
Version:	3.50
Release:	%mkrel 5
Summary:	Painting program for creating icons and pixel-based artwork
Group:		Graphics/Editors and Converters
License:	GPLv3+
URL:		https://mtpaint.sourceforge.net/
Source0:	https://downloads.sf.net/mtpaint/mtpaint-%{version}.tar.bz2
Source1:	https://downloads.sf.net/mtpaint/mtpaint_handbook-%{version}.zip
# Patches from Fedora:
Patch0:		mtpaint-3.50-xdg-open.patch
Patch1:		mtpaint-3.40-strip.patch
Patch2:		mtpaint-3.40-png.patch
Patch3:		mtpaint-3.40-yad.patch
Patch4:		mtpaint-configure-c99.patch
BuildRequires:	dos2unix
BuildRequires:	gettext
BuildRequires:	giflib-devel
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libopenjp2)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(zlib)
Requires:	gifsicle
Requires:	imagemagick
Requires:	yad

%description
mtPaint is a painting program to easily create pixel art and
manipulate digital photos.

%package	handbook
Summary:	Handbook for the mtpaint painting application
Group:		Documentation
License:	GFDL
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}

%description	handbook
Install this package is want to read the handbook for the painting
application mtpaint.

%prep
%autosetup -p1 -a 1

chmod 0755 mtpaint_handbook-%{version}/docs/{en_GB,img,files,cs}
dos2unix -k mtpaint_handbook-%{version}/docs/index.html
dos2unix -k mtpaint_handbook-%{version}/docs/{en_GB,cs}/*.html

%build
%define _legacy_common_support 1
export CFLAGS="%{optflags} -fPIC"
export LDFLAGS="%{ldflags} -fPIC"
./configure \
	--cpu=%{arch} \
	--prefix=%{_prefix} \
	gtkfilesel gtkcolsel \
	cflags asneeded intl man thread gtk3 GIF tiff jpeg jp2v2 imagick lcms2
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc README NEWS
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1*

%files handbook
%doc %{name}_handbook-%{version}/docs/*
%license %{name}_handbook-%{version}/COPYING
