%define major   0.10.0
%define libname %mklibname matrix_client %{major}
%define devname %mklibname matrix_client -d

Name:       mtxclient
Version:    0.10.0
Release:    %mkrel 3
License:    MIT
Group:      System/Libraries
Summary:    Client API library for Matrix, built on top of Boost.Asio
URL:        https://github.com/Nheko-Reborn/mtxclient
Source0:    https://github.com/Nheko-Reborn/mtxclient/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:     fmt-v11.patch
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  cmake(Boost)
BuildRequires:  cmake(mpark_variant)
BuildRequires:  cmake(nlohmann_json) >= 3.1.2
BuildRequires:  cmake(Olm) >= 3.2.7
BuildRequires:  cmake(spdlog) >= 0.16
BuildRequires:  pkgconfig(coeurl) >= 0.3.0
BuildRequires:  pkgconfig(libcrypto)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libevent)
BuildRequires:  pkgconfig(libsodium)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(re2)
BuildRequires:  pkgconfig(zlib)

%description
Client API library for the Matrix protocol, built on top of Boost.Asio.

#------------------------------------------------------------------------------

%package -n %{libname}
Summary:    Client API library for Matrix, built on top of Boost.Asio
Group:      System/Libraries
Provides:   %{name} = %{version}-%{release}
Obsoletes:  %{name} < 0.8.2-1
Obsoletes:  %{_lib}mtxclient0.9 < 0.9.2-4

%description -n %{libname}
Client API library for the Matrix protocol, built on top of Boost.Asio.

#------------------------------------------------------------------------------

%package -n %{devname}
Summary:    Development files for %{name}
Group:      Development/C++
Requires:   %{libname} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}
Provides:   lib%{name}-devel = %{version}-%{release}
Obsoletes:  %{_lib}mtxclient-devel < 0.9.2-4

%description -n %{devname}
Development files for %{name}.

%prep
%autosetup -p1

%build
%cmake -G Ninja \
    -DHUNTER_ENABLED:BOOL=OFF \
    -DUSE_BUNDLED_BOOST:BOOL=OFF \
    -DUSE_BUNDLED_SPDLOG:BOOL=OFF \
    -DUSE_BUNDLED_OLM:BOOL=OFF \
    -DUSE_BUNDLED_GTEST:BOOL=OFF \
    -DUSE_BUNDLED_JSON:BOOL=OFF \
    -DUSE_BUNDLED_OPENSSL:BOOL=OFF \
    -DASAN:BOOL=OFF \
    -DCOVERAGE:BOOL=OFF \
    -DIWYU:BOOL=OFF \
    -DBUILD_LIB_TESTS:BOOL=OFF \
    -DBUILD_LIB_EXAMPLES:BOOL=OFF
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc CHANGELOG.md README.md
%license LICENSE
%{_libdir}/libmatrix_client.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/mtxclient/
%{_includedir}/mtx/
%{_includedir}/mtx.hpp
%{_libdir}/cmake/MatrixClient/
%{_libdir}/libmatrix_client.so
