%define major 0
%define girmajor 0

%define libname %mklibname %{name} %{major}
%define girname %mklibname %{name}-gir %{girmajor}
%define devname %mklibname -d %{name}

# filter out private clutter/cogl .so libraries from devel requires/provides
%global __devel_exclude_path %{_libdir}/libmuffin-.*-%{major}\.so
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^devel\\(libmuffin-.*-%{major}
%define _disable_ld_no_undefined 1

Name:          muffin
Version:       6.4.1
Release:       %mkrel 1
Summary:       Window and compositing manager based on Clutter

Group:         Graphical desktop/Cinnamon
License:       GPLv2+
URL:           https://github.com/linuxmint/muffin

Source0:   https://github.com/linuxmint/muffin/archive/%{version}.tar.gz#/muffin-%{version}.tar.gz

Source1:       muffin-adwaita.txt
Patch0: https://patch-diff.githubusercontent.com/raw/linuxmint/muffin/pull/721.patch#/deprecated-function.patch
Patch1: https://github.com/linuxmint/muffin/pull/720.patch#/gir-scanner-fix.patch


BuildRequires: pkgconfig(clutter-1.0) >= 1.7.5
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(libcanberra)
BuildRequires: pkgconfig(cinnamon-desktop) >= 5.3
BuildRequires: pkgconfig(gnome-doc-utils)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(xkeyboard-config)
BuildRequires: pkgconfig(xtst)
BuildRequires: pkgconfig(xi)
BuildRequires: pkgconfig(xcomposite) >= 0.4
BuildRequires: zenity
# Bootstrap requirements
BuildRequires: gtk-doc
BuildRequires: gnome-common
BuildRequires: intltool
BuildRequires: locales
BuildRequires: meson
BuildRequires: graphene-devel
BuildRequires: pipewire-devel
BuildRequires: cvt
BuildRequires: cmake
BuildRequires: wayland-protocols-devel
BuildRequires: x11-server-xwayland

Requires: dbus-x11
Requires: zenity

%description
Muffin is a window and compositing manager that displays and manages
your desktop via OpenGL. Muffin combines a sophisticated display engine
using the Clutter toolkit with solid window-management logic inherited
from the Metacity window manager.

While Muffin can be used stand-alone, it is primarily intended to be
used as the display core of a larger system such as Cinnamon. 
For this reason, Muffin is very extensible via plugins, which
are used both to add fancy visual effects and to rework the window
management behaviors to meet the needs of the environment.

%package -n %{libname}
Summary:        Muffin shared libraries and plugins
Group:          System/Libraries
Requires:       %{name}-schemas >= %{version}-%{release}
Conflicts:      %{_lib}muffin-gir0 < 4.8.0-2
Conflicts:      %{name} < 4.4.1-2

%description -n %{libname}
Cinnamon Desktop default window manager.
Muffin uses GTK+ and Clutter to do everything.

This package provides Muffin's shared libraries.

%package -n %{girname}
Summary:        Muffin Introspection bindings
Group:          System/Libraries
Conflicts:      %{name} < 4.4.1-2

%description -n %{girname}
Cinnamon Desktop default window manager.
Muffin uses GTK+ and Clutter to do everything.

This package provides the GObject Introspection bindings for muffin.

%package -n %{devname}
Summary: Development package for %{name}
Group: Development/GNOME and GTK+
Requires: %{name} = %{version}-%{release}
Requires: %{girname} = %{version}-%{release}
Provides: muffin-devel = %{version}-%{release}
Conflicts: %{_lib}muffin-gir0 < 4.8.0-2

%description -n %{devname}
Header files and libraries for developing Muffin plugins. Also includes
utilities for testing Metacity/Muffin themes.

%package schemas
Summary: GSettings schemas for %{name}
Group: Graphical desktop/Cinnamon
BuildArch: noarch
Conflicts: %{_lib}muffin-gir0 < 4.8.0-2
Conflicts: %{name} < 4.4.1-4

%description schemas
This package contains GSettings schemas for %{name}.

%prep
export LC_ALL=en_US.utf-8
%autosetup -p1

%build
%meson \
	-Dprofiler=false \
%ifarch %{arm}
	-Ddefault_driver=gles2 \
%else
	-Ddefault_driver=gl \
%endif	
	-Dremote_desktop=false

%meson_build

%install
%meson_install

# Create a dummy themes directory so that cinnamon settings will see
# the Adwaita fallback theme which has been removed from gnome-themes-standard
%__mkdir_p %{buildroot}/%{_datadir}/themes/Adwaita/metacity-1
cp %{SOURCE1} %{buildroot}/%{_datadir}/themes/Adwaita/metacity-1 
rm -f %{buildroot}/%{_bindir}/muffin

%find_lang %{name}

%files -f %{name}.lang
%doc NEWS
%license COPYING
%{_datadir}/themes/Adwaita/metacity-1/
%{_libexecdir}/muffin-restart-helper
%{_datadir}/applications/muffin.desktop

%files -n %{libname}
%{_libdir}/muffin/plugins/libdefault.so
%{_libdir}/libmuffin.so.%{major}{,.*}
%{_libdir}/{,muffin/}libmuffin-clutter-0.so*
%{_libdir}/{,muffin/}libmuffin-cogl-0.so*
%{_libdir}/{,muffin/}libmuffin-cogl-pango-0.so*
%{_libdir}/{,muffin/}libmuffin-cogl-path-0.so*

%files -n %{girname}
%{_libdir}/muffin/*{-,.}%{girmajor}.typelib

%files schemas
%{_datadir}/glib-2.0/schemas/org.cinnamon.muffin.gschema.xml
%{_datadir}/glib-2.0/schemas/org.cinnamon.muffin.*.gschema.xml

%files -n %{devname}
%{_includedir}/muffin/
%{_libdir}/libmuffin.so
%{_libdir}/muffin/*{-,.}0.gir
%{_libdir}/pkgconfig/*
%{_mandir}/man1/muffin*
