Name:		multitail
Version:	7.1.5
Release:	%mkrel 1
Summary:	View one or multiple files like tail but with multiple windows
Group:		Text tools
License:	GPLv2
URL:		https://www.vanheusden.com/multitail
Source:		https://github.com/folkertvanheusden/multitail/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(ncursesw)

%description
MultiTail lets you view one or multiple files like the original tail
program. The difference is that it creates multiple windows on your
console (with ncurses). It can also monitor wildcards: if another file
matching the wildcard has a more recent modification date, it will
automatically switch to that file. That way you can, for example,
monitor a complete directory of files. Merging of 2 or even more
logfiles is possible.
It can also use colors while displaying the logfiles (through regular
expressions), for faster recognition of what is important and what not.
Multitail can also filter lines (again with regular expressions) and
has interactive menus for editing given regular expressions and
deleting and adding windows. One can also have windows with the output
of shell scripts and other software. When viewing the output of 
external software, MultiTail can mimic the functionality of tools like
'watch' and such.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
mkdir -p %{buildroot}%{_sysconfdir}
%cmake_install

# remove the examples (installed as docs)
rm -fr %{buildroot}%{_prefix}%{_sysconfdir}/%{name}/conversion-scripts/
mv -f %{buildroot}{%{_prefix}%{_sysconfdir},}

# move the configuration in the right place
mv -f %{buildroot}%{_sysconfdir}/%{name}.conf{.new,}

# remove docs in wrong place
rm -rf %{buildroot}%{_docdir}/

%files
%doc manual*.html LICENSE README.md conversion-scripts/*
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_sysconfdir}/%{name}/
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
