Name:           munipack
Version:        2.1.33
Release:        %mkrel 1
Summary:        An astrophotometry software package
License:        GPLv2+
Group:          Sciences/Astronomy

URL:            https://c-munipack.sourceforge.net/
Source0:        https://downloads.sourceforge.net/project/c-munipack/C-Munipack%202.1%20Stable/%{version}/c%{name}-%{version}.tar.gz
Source1:        muniwin.desktop

#Patch0:         cmunipack-2.1.7-autotools.patch
#Patch1:         munipack-2.1.16-gstreamer.patch

BuildRequires:  sed
BuildRequires:  cmake
BuildRequires:  python3-sphinx
BuildRequires:  doxygen
BuildRequires:  pkgconfig(gtest)
BuildRequires:  pkgconfig(wcslib)
BuildRequires:  pkgconfig(cfitsio)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  desktop-file-utils
BuildRequires:  gstreamer1.0-devel

Provides:       cmunipack = %{version}-%{release}

%description
The C-Munipack is an astrophotometry software package,
which offers a complete solution for reduction of images
carried out by CCD camera, intended on a observation of
variable stars. It provides a simple and intuitive graphical
user interface.

%package devel
Summary:        Libraries/include files for cmunipack
Group:          Development/C
Requires:       %{name} = %{version}-%{release}

%description devel
Libraries/include files for cmunipack

%prep
%setup -q -n c%{name}-%{version}
%autopatch -p1

%build
#autoreconf --force --install -Wall
#export CFLAGS="-I/usr/include/cfitsio %{optflags}" CXXFLAGS="-I/usr/include/cfitsio %{optflags}"
#configure --enable-static=no
#sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
#sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%cmake -DBUILD_STATIC_LIBS:BOOL=OFF      \
       
%cmake_build

%install
%cmake_install

find %{buildroot} -name '*.la' -delete
%__rm -f %{buildroot}%{_datadir}/COPYING
%__rm -f %{buildroot}%{_datadir}/LICENSE.*
%__rm -f %{buildroot}%{_datadir}/VERSION

mkdir -p %{buildroot}%{_datadir}/pixmaps
pushd %{buildroot}%{_datadir}/pixmaps
ln -s ../cmunipack-2.0/icons/muniwin.png .
popd
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE1}



%files
%doc COPYING doc/
%{_bindir}/konve
%{_bindir}/munilist
%{_bindir}/meanbias
%{_bindir}/flatbat
%{_bindir}/helcor
%{_bindir}/muniphot
%{_bindir}/munimatch
%{_bindir}/meandark
%{_bindir}/biasbat
%{_bindir}/airmass
%{_bindir}/timebat
%{_bindir}/autoflat
%{_bindir}/kombine
%{_bindir}/darkbat
%{_bindir}/muniwin
%{_bindir}/munifind
%{_datadir}/icons/*.png
%{_datadir}/applications/muniwin.desktop
%{_datadir}/pixmaps/muniwin.png
%{_datadir}/manual
%{_datadir}/sounds/*.wav
#{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*

%files devel
%{_libdir}/libcmpack20.so
%{_includedir}/*.h
%{_libdir}/cmake/cmpack20-%{version}
%{_libdir}/pkgconfig/cmpack20.pc
