%define oname	muParser

%define major	2
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname -d %{name}

Summary:	A fast math parser library
Name:		muparser
Epoch:		1
Version:	2.3.4
Release:	%mkrel 1
License:	MIT
Group: 		System/Libraries
URL:		https://beltoforion.de/en/muparser/
Source0:	https://github.com/beltoforion/muparser/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake

%description
muParser is an extensible high performance math parser library. It is
based on transforming an expression into a bytecode and precalculating
constant parts of it.

%package -n %{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains library files of muParser.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	%{oname}-devel = %{epoch}:%{version}-%{release}

%description -n %{devname}
This package contains development files need to develop applications
based on muParser.

%prep
%setup -q
%autopatch -p1

%build
%cmake -DENABLE_SAMPLES=ON \
       -DENABLE_OPENMP=ON \
       -DBUILD_SHARED_LIBS=ON
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc CHANGELOG README*
%license LICENSE
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
#doc docs/html
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/muparser/
%{_includedir}/*.h
