Summary:	Clone of Sega's "Chu Chu Rocket", a multi-player puzzle game
Name:		mures
Version:	0.5
Release:	%mkrel 26
License:	GPLv2
Group:		Games/Arcade
URL:		https://mures.sourceforge.net/
Source0:	https://prdownloads.sourceforge.net/mures/%{name}-%{version}.tar.bz2
Source1:	%{name}-48.xpm
Patch0:		mures-0.5-libm.patch
Patch1:		mures-0.5-fix-fno-common.patch
Patch2:		mures-0.5-gcc14.patch
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_net)
BuildRequires:	pkgconfig(SDL_ttf)
BuildRequires:	GL-devel
BuildRequires:	texinfo
BuildRequires:	imagemagick
# Author: Adam D'Angelo <dangelo@ntplx.net>

%description
Mures is a cross-platform clone of Sega's "Chu Chu Rocket" written using
C. To start the game, run "mures -hN -aiM" where N and M are the number of
human and computer players at the local computer. Press enter to start the
game, press P to pause, and Q to quit.
- Player 1: Use the mouse to target, and click and drag in the desired
direction to place an arrow.
- Player 2: Use the arrow keys to target, and the number keypad to place
arrows.
- Player 3: Use A,W,S,D to target and I,J,K,L to place arrows.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

mv %{buildroot}%{_bindir}/%{name} %{buildroot}%{_bindir}/%{name}.real
cat << EOF > %{buildroot}%{_bindir}/%{name}
#!/bin/sh

pushd %{_libdir}/%{name}
    %{name}.real --no3d "\$@"
popd
EOF
chmod +x %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}%{_libdir}/%{name}
cp -a src/images src/maps src/sounds src/gui src/*.lua src/textures %{buildroot}%{_libdir}/%{name}
rm -rf %{buildroot}%{_libdir}/%{name}/{*,*/*}/Makefile*

for i in 16 32 48; do
mkdir -p %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps

convert -size ${i}x${i} %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/${i}x${i}/apps/%{name}.png
done


# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=Mures
Comment=Clone of Sega's "Chu Chu Rocket", a multi-player puzzle game
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

%files
%doc AUTHORS ChangeLog README TODO
%{_bindir}/*
%{_libdir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/mageia-%{name}.desktop
