%define maj %(echo %{version}|cut -d. -f1,2)
# No need to provide & require internal libraries
%global __requires_exclude libmuse_.*\\.so
%global __provides_exclude libmuse

# fails to build in our BS with >= 12 core
%global _smp_build_ncpus 4

%define pkgversion 4.2.1

Name:          muse
Summary:       Midi/Audio Music Sequencer
Version:       4.2.1
Release:       %mkrel 3
# original freeverb plugin was public domain
# givertcap (not built) is GPLv2
# The rest, including the core of muse is distributed under GPLv2+
License:       Public Domain and GPLv2 and GPLv2+ and LGPLv2+
Group:         Sound/Editors and Converters
URL:           https://muse-sequencer.github.io/
Source0:       https://github.com/muse-sequencer/muse/releases/download/%{version}/%{name}-%{version}.tar.gz

BuildRequires: cmake
BuildRequires: cmake(ECM)
BuildRequires: ladspa-devel
BuildRequires: libatomic-devel
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(dssi)
BuildRequires: pkgconfig(fluidsynth)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(gdkmm-2.4)
BuildRequires: pkgconfig(jack)
BuildRequires: pkgconfig(lash-1.0)
BuildRequires: pkgconfig(libinstpatch-1.0)
BuildRequires: pkgconfig(liblo)
BuildRequires: pkgconfig(lilv-0)
BuildRequires: pkgconfig(lrdf)
BuildRequires: pkgconfig(lv2)
BuildRequires: pkgconfig(python3)
BuildRequires: pkgconfig(rubberband)
BuildRequires: pkgconfig(rtaudio)
BuildRequires: pkgconfig(samplerate)
BuildRequires: pkgconfig(sndfile)
BuildRequires: pkgconfig(sord-0)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Help)
BuildRequires: pkgconfig(Qt5Svg)
BuildRequires: pkgconfig(Qt5UiTools)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Xml)

Requires:      hicolor-icon-theme

%description
MusE is a MIDI/Audio sequencer with recording and editing capabilities. It can
perform audio effects like chorus/flanger in real-time via LASH and it supports
Jack and ALSA interfaces. MusE aims to be a complete multitrack virtual studio
for Linux.


%prep
%autosetup -p1 -n %{name}-%{pkgversion}

# fix python shebang
%py3_shebang_fix utils/{*.py,muse-find-unused-wavs}


%build
# Without the -Wl,--no-undefined which is needed to build the modules.
%define _disable_ld_no_undefined 1
# We need the RPATH to set the modules dir.
%cmake \
%ifarch x86_64
   -DUSE_SSE=true \
%endif
   -DCMAKE_SKIP_RPATH:BOOL= \
   -DMusE_DOC_DIR=%{_docdir}/%{name}-%{version} \
   -DENABLE_PYTHON=ON \
   -DENABLE_RTAUDIO=ON \
   -DENABLE_INSTPATCH=ON
%cmake_build

%install
%cmake_install

%files
%doc README
%license COPYING
%{_docdir}/%{name}-%{version}/
%{_bindir}/%{name}*
%{_bindir}/grepmidi
%{_libdir}/%{name}-%{maj}*/
%{_datadir}/%{name}-%{maj}*/
%{_datadir}/applications/io.github.muse_sequencer.Muse.desktop
%{_iconsdir}/hicolor/*/apps/muse.png
%{_metainfodir}/io.github.muse_sequencer.Muse.appdata.xml
%{_datadir}/mime/packages/muse.xml
%{_mandir}/man1/grepmidi*
%{_mandir}/man1/%{name}*
