%define major     1
%define libname   %mklibname mxml %{major}
%define develname %mklibname mxml -d

Name:           mxml
Version:        3.3.1
Release:        %mkrel 1
Summary:        Miniature XML development library
License:        ASL 2.0 with exception
Group:          System/Libraries
URL:            https://michaelrsweet.github.io/mxml/
Source0:        https://github.com/michaelrsweet/mxml/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  gcc

%description
Mini-XML is a small XML parsing library that you can use to read XML and
XML-like data files in your application without requiring large non-standard
libraries.  Mini-XML provides the following functionality:

- Reading of UTF-8 and UTF-16 and writing of UTF-8 encoded  XML files and
  strings.
- Data is stored in a linked-list tree structure, preserving  the XML data
  hierarchy.
- Supports arbitrary element names, attributes, and attribute values with no
  preset limits, just available memory.
- Supports integer, real, opaque ("cdata"), and text data types in "leaf"
  nodes.
- Functions for creating and managing trees of data.
- "Find" and "walk" functions for easily locating and navigating trees of data.

Mini-XML doesn't do validation or other types of processing on the data based
upon schema files or other sources of definition information, nor does it
support character entities other than those required by the XML specification.
#-------------------------------------------------------------------------------

%package -n %{libname}
Summary:        Miniature XML development library
Group:          System/Libraries

%description -n %{libname}
Mini-XML is a small XML parsing library that you can use to read XML and
XML-like data files in your application without requiring large non-standard
libraries.  Mini-XML provides the following functionality:

- Reading of UTF-8 and UTF-16 and writing of UTF-8 encoded  XML files and
  strings.
- Data is stored in a linked-list tree structure, preserving  the XML data
  hierarchy.
- Supports arbitrary element names, attributes, and attribute values with no
  preset limits, just available memory.
- Supports integer, real, opaque ("cdata"), and text data types in "leaf"
  nodes.
- Functions for creating and managing trees of data.
- "Find" and "walk" functions for easily locating and navigating trees of data.

Mini-XML doesn't do validation or other types of processing on the data based
upon schema files or other sources of definition information, nor does it
support character entities other than those required by the XML specification.

#-------------------------------------------------------------------------------

%package -n %{develname}
Summary:        Shared library and header files for the Miniature XML development library
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       libmxml-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the shared mxml library and its header files.

#-------------------------------------------------------------------------------

%prep
%setup -q

%build
%configure \
    --enable-shared
%make_build

%install
%make_install BUILDROOT=%{buildroot}

# Configuring with --disable-static doesn't work, so let's just delete
# the .a file by hand.
find %{buildroot} -name '*.a' -delete

mv %{buildroot}%{_datadir}/doc/mxml installed-docs

rm -rf %{buildroot}%{_mandir}/cat*

%files -n %{libname}
%doc CHANGES.md README.md doc/*.html
%license LICENSE
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc installed-docs/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/mxml.pc
%{_mandir}/man3/*
