%define major   %{version}
%define libname %mklibname myguinextengine %{major}
%define devname %mklibname myguinextengine -d

%define ogreplatform %{_lib}mygui-ogre2platform

%global gdate 20240201
%global ghash a1490ffe0
%global rel 1

Name:           mygui-next
Version:        3.2.3
Release:        %mkrel 0.git%{gdate}.%{ghash}.%{rel}
Summary:        Fast, simple and flexible GUI library for Ogre-next
Group:          Development/C++
License:        MIT
URL:            http://mygui.info/
# From https://github.com/cryham/mygui-next/tree/ogre3
Source0:	mygui-next-%{gdate}-%{ghash}.tar.xz
Patch1:		mygui-next.patch
Patch2:		mygui-next-ogre.patch
BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(OGRE-Next)

%description
MyGUI is a GUI library for Ogre Rendering Engine which aims to be fast,
flexible and simple in using.

Fork for Ogre-next 3.0.

%package -n %{libname}
Summary:        Shared libraries for MyGUI
Group:          System/Libraries
Requires:	%{ogreplatform} >= %{version}-%{release}

%description -n %{libname}
MyGUI is a GUI library for Ogre Rendering Engine which aims to be fast,
flexible and simple in using.

Fork for Ogre-next 3.0.

%package -n %{ogreplatform}
Summary:	An interface for the MyGUI library to the Ogre-next rendering engine
Group:		System/Libraries

%description -n %{ogreplatform}
MyGUI.OgrePlatform is an interface for the MyGUI library to the Ogre rendering
engine.

%package -n %{devname}
Summary:        Development files for MyGUI
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for MyGUI-Next.

%prep
%autosetup -p1 -n %{name}-%{gdate}

%build
%cmake \
    -DCMAKE_MODULE_PATH=%{_libdir}/OGRE-Next/cmake \
    -DMYGUI_BUILD_DEMOS=FALSE \
    -DMYGUI_BUILD_DOCS=FALSE \
    -DMYGUI_BUILD_PLUGINS=FALSE \
    -DMYGUI_BUILD_TOOLS=FALSE \
    -DOGRE_INCLUDE_DIR=%{_includedir}/OGRE-Next \
    -DOGRE_LIBRARIES=%{_libdir}/libOgreNextMain.so \
    -DOGRE_LIB_DIR=%{_libdir} \
    -DOGRE_HlmsPbs_LIBRARIES=%{_libdir}/libOgreNextHlmsPbs.so \
    -DOGRE_HlmsUnlit_LIBRARIES=%{_libdir}/libOgreNextHlmsUnlit.so

%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/libMyGUINextEngine.so.%{major}

%files -n %{ogreplatform}
%{_libdir}/libMyGUI.Ogre2Platform.so

%files -n %{devname}
%{_includedir}/MYGUI-Next/
%{_libdir}/libMyGUINextEngine.so
%{_libdir}/pkgconfig/MYGUI-Next.pc
