%define major   %{version}
%define libname %mklibname myguiengine %{major}
%define devname %mklibname myguiengine -d

%define ogreplatform %{_lib}mygui-ogreplatform

Name:           mygui
Version:        3.4.3
Release:        %mkrel 2
Summary:        Fast, simple and flexible GUI library for Ogre
Group:          Development/C++
License:        MIT
URL:            http://mygui.info/
Source0:        https://github.com/MyGUI/mygui/archive/MyGUI%{version}/%{name}-%{version}.tar.gz
Patch0:         mygui-3.2.2-linking-boost_system.patch
BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(OIS)
BuildRequires:  pkgconfig(OGRE)
BuildRequires:  pkgconfig(uuid)
Requires:       fonts-ttf-dejavu
Requires:       %{libname} >= %{version}-%{release}

%description
MyGUI is a GUI library for Ogre Rendering Engine which aims to be fast,
flexible and simple in using.

%package -n %{libname}
Summary:        Shared libraries for MyGUI
Group:          System/Libraries
Requires:	%{ogreplatform} >= %{version}-%{release}

%description -n %{libname}
MyGUI is a GUI library for Ogre Rendering Engine which aims to be fast,
flexible and simple in using.

%package -n %{ogreplatform}
Summary:	An interface for the MyGUI library to the Ogre rendering engine
Group:		System/Libraries
Conflicts:	%{_lib}myguiengine3 < 3.4.3

%description -n %{ogreplatform}
MyGUI.OgrePlatform is an interface for the MyGUI library to the Ogre rendering
engine.

%package -n %{devname}
Summary:        Development files for MyGUI
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for MyGUI.

%prep
%autosetup -p1 -n %{name}-MyGUI%{version}

%build
%cmake \
    -DMYGUI_BUILD_DEMOS=FALSE \
    -DMYGUI_BUILD_DOCS=FALSE \
    -DMYGUI_BUILD_PLUGINS=FALSE \
    -DMYGUI_BUILD_TOOLS=FALSE \
    -DOGRE_INCLUDE_DIR=%{_includedir}/OGRE

%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/libMyGUIEngine.so.%{major}

%files -n %{ogreplatform}
%{_libdir}/libMyGUI.OgrePlatform.so

%files -n %{devname}
%{_includedir}/MYGUI/
%{_libdir}/libMyGUIEngine.so
%{_libdir}/pkgconfig/MYGUI.pc
