Name:           mypaint
Version:        2.0.1
Release:        %mkrel 8
Summary:        Paint program for use with graphics tablets
Group:          Graphics/Editors and Converters
License:        GPLv2+
URL:            http://mypaint.org
Source0:        https://github.com/mypaint/mypaint/releases/download/v%{version}/%{name}-%{version}.tar.xz
# Backport of https://github.com/mypaint/mypaint/pull/1183
Patch0:         0001-setuptools-fixes.patch
# https://github.com/mypaint/mypaint/pull/1193
Patch1:         0002-python311.patch

BuildRequires:  pkgconfig(libmypaint) >= 1.6
BuildRequires:  pkgconfig(pygobject-3.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(mypaint-brushes-2.0)
BuildRequires:  python3-devel
BuildRequires:  python3-numpy-devel
BuildRequires:  python3-setuptools
BuildRequires:  swig

%description
MyPaint is a pressure- and tilt-sensitive painting program which works
well with Wacom graphics tablets and other similar devices. It comes
with a large brush collection including charcoal and ink to emulate
real media, but the highly configurable brush engine allows you to
experiment with your own brushes and with not-quite-natural painting.

%prep
%autosetup -p1

# for 64 bit
sed -i 's|lib/mypaint|%{_lib}/mypaint|g' mypaint.py
sed -i "s|'lib', 'mypaint'|'%{_lib}', 'mypaint'|" mypaint.py

%build
%{__python3} setup.py build_ext
%{__python3} setup.py build_py
%{__python3} setup.py build_translations
%{__python3} setup.py build_config

%install
%{__python3} setup.py managed_install --prefix=%{buildroot}%{_prefix}
[[ %{_lib} != lib ]] && mv %{buildroot}%{_prefix}/lib %{buildroot}%{_prefix}/%{_lib}

%find_lang %{name} --all-name

%files -f %{name}.lang
%doc Changelog.md Licenses.md README.md
%{_bindir}/%{name}
%{_bindir}/%{name}-ora-thumbnailer
%{_datadir}/%{name}/
%{_libdir}/%{name}/
%{_metainfodir}/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/thumbnailers/%{name}-ora.thumbnailer
%{_iconsdir}/hicolor/*/*/*
