Name:           mysql-connector-net
Version:        6.9.9
Release:        %mkrel 2
Summary:        MySQL Connector/Net
Group:          Development/Other
# The entire source code is GPLv2 except Source/MySql.Data/zlib/ which is BSD
License:        GPLv2 and BSD
BuildArch: noarch
URL: https://dev.mysql.com/downloads/connector/net/
Source0:	http://cdn.mysql.com/Downloads/Connector-Net/%{name}-%{version}-src.zip
Source1:        mysql-connector-net.pc
BuildRequires:  pkgconfig(mono) >= 4.0
Requires:       mono-data >= 4.0

%description
Connector/Net is a fully-managed ADO.NET driver for MySQL.

%package devel
Summary: Development files for %{name}
Group: Development/Other
Requires: %{name} = %{version}-%{release}

%description devel
Development files for %{name}.

%prep
%setup -q -c
%autopatch -p1

#Avoid sign the assembly due problem with the key
sed -i '77i#if DEBUG' Source/MySql.Data/Properties/AssemblyInfo.cs
sed -i '80i#endif' Source/MySql.Data/Properties/AssemblyInfo.cs
sed -i '81i[assembly: AssemblyKeyName("ConnectorNet")]' Source/MySql.Data/Properties/AssemblyInfo.cs

%build
xbuild /property:Configuration=Release /property:VisualStudioVersion=11.0 Source/MySql.Data/MySql.Data.csproj

%install
%{__mkdir_p} %{buildroot}/%{_libdir}/pkgconfig
%{__mkdir_p} %{buildroot}/%{_monogacdir}/
%{__mkdir_p} %{buildroot}/%{_monodir}/mysql-connector-net/
install -p -m0644 %SOURCE1 %{buildroot}%{_libdir}/pkgconfig/
#fix version in pc file
perl -pi -e "s/^Version.*/Version: %{version}/" %buildroot%_libdir/pkgconfig/%{name}.pc
%{__install} -m0755 Source/MySql.Data/bin/v4.5/Release/MySql.Data.dll %{buildroot}%{_monodir}/mysql-connector-net/

gacutil -i %{buildroot}%{_monodir}/mysql-connector-net/MySql.Data.dll -f -package mysql-connector-net -root %{buildroot}/%{_prefix}/lib

%files
%doc CHANGES README
%license COPYING
%{_monogacdir}/*
%dir %{_monodir}/mysql-connector-net
%{_monodir}/mysql-connector-net/*

%files devel
%{_libdir}/pkgconfig/*.pc
