%global mysql_plugin_dir %(mysql_config --plugindir)

%define oname mysql-udf-http
%define lname %(echo %{oname} | sed -e 's/-/_/g')

Name:           mysqludf_curl
Version:        1.0
Release:        %mkrel 9
Summary:        MySQL User-defined function (UDF) for HTTP REST
Group:          Databases
License:        BSD
URL:            https://code.google.com/archive/p/mysql-udf-http/
Source:         https://storage.googleapis.com/google-code-archive-downloads/v1/code.google.com/mysql-udf-http/mysql-udf-http-%{version}.tar.gz
Patch0:         mysqludf_curl-1.0-gcc14.patch
BuildRequires:  mysql-devel
BuildRequires:  pkgconfig(libcurl)

%description
MySQL User-defined function (UDF) for HTTP REST.

%prep
%autosetup -p1 -n %{oname}-%{version}
# fix README
sed -i -e "s|%{oname}\(\.so\)|%{lname}\1|g" README

# fix Makefile.am
sed -i -e "s|%{oname}\([_\.]la\)|%{lname}\1|g" \
       -e "s|\(-module\)|\1 -avoid-version|g" src/Makefile.am

touch NEWS AUTHORS ChangeLog

%build
autoreconf -fi
%configure --with-mysql=%{_bindir}/mysql_config
%make_build

%install
install -m755 -D src/.libs/*.so %{buildroot}%{mysql_plugin_dir}/%{oname}.so

%files
%doc README
%{mysql_plugin_dir}/%{oname}.so
