%define upstreamid	20180411

Name:		mythes-de
Version:	0.%{upstreamid}.1
Release:	%mkrel 7
Summary:	German thesaurus
License:	LGPLv2+
Group:		Text tools
URL:		https://www.openthesaurus.de/
Source0:	https://www.openthesaurus.de/export/Deutscher-Thesaurus.oxt#/%{name}-de-%{version}.oxt
Source1:	https://www.openthesaurus.de/export/Schweizer-Thesaurus.oxt#/%{name}-sw-%{version}.oxt
BuildArch:	noarch
BuildRequires:	python
BuildRequires:	perl

Requires:	mythes
Requires:	locales-de

%description
German thesaurus.

%prep
%setup -q -c

rm -rf mythes-ch-%{upstreamid}
mkdir mythes-ch-%{upstreamid}
cd mythes-ch-%{upstreamid}
unzip -q %{SOURCE1}

%build
for i in README.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
mkdir -p %{buildroot}%{_datadir}/mythes
cp -p th_de_DE_v2.* %{buildroot}%{_datadir}/mythes
cp -p mythes-ch-%{upstreamid}/th_de_DE_v2.idx %{buildroot}%{_datadir}/mythes/th_de_CH_v2.idx
cp -p mythes-ch-%{upstreamid}/th_de_DE_v2.dat %{buildroot}%{_datadir}/mythes/th_de_CH_v2.dat

pushd %{buildroot}%{_datadir}/mythes/
de_DE_aliases="de_AT de_BE de_LI de_LU"
for lang in $de_DE_aliases; do
        ln -s th_de_DE_v2.idx "th_"$lang"_v2.idx"
        ln -s th_de_DE_v2.dat "th_"$lang"_v2.dat"
done
popd

%files
%doc README.txt
%{_datadir}/mythes/*
