Name: mythes-en
Summary: English thesaurus
Version: 3.0
Release: %mkrel 18
License: MIT and Public Domain and (GPL+ or Artistic)
Group:  Text tools
URL: https://www.danielnaber.de/wn2ooo/
Source: https://www.danielnaber.de/wn2ooo/wn2ooo20050723.tgz
Patch0: mythes-en.python3.patch
BuildArch: noarch
BuildRequires: python3
BuildRequires: perl
BuildRequires: wordnet = %{version}

Requires: mythes
Requires: locales-en

%description
English thesaurus.

%prep
%autosetup -p1 -c %{name}-%{version}

%build
export WNHOME=%{_datadir}/WordNet
%{__python3} wn2ooo/wn2ooo.py > th_en_US_v2.dat
cat th_en_US_v2.dat | perl wn2ooo/th_gen_idx.pl > th_en_US_v2.idx


%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/mythes
cp -p th_en_US_v2.* $RPM_BUILD_ROOT/%{_datadir}/mythes

pushd $RPM_BUILD_ROOT/%{_datadir}/mythes/
en_US_aliases="en_AG en_AU en_BS en_BW en_BZ en_CA en_DK en_GB en_GH en_IE en_IN en_JM en_NA en_NG en_NZ en_PH en_SG en_TT en_ZA en_ZW"
for lang in $en_US_aliases; do
        ln -s th_en_US_v2.idx "th_"$lang"_v2.idx"
        ln -s th_en_US_v2.dat "th_"$lang"_v2.dat"
done
popd

%files
%doc wn2ooo/LICENSE_th_gen_idx.txt wn2ooo/README.txt
%{_datadir}/mythes/*

