%define api     1.2
%define major   0
%define libname %mklibname %{name} %{api} %{major}
%define devname %mklibname %{name} -d

Name:           mythes
Version:        1.2.5
Release:        %mkrel 1
Summary:        A thesaurus library
License:        BSD-3-Clause-Modification AND MIT
Group:          System/Internationalization
URL:            https://github.com/hunspell/mythes
Source0:        https://github.com/hunspell/mythes/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(hunspell)
BuildRequires:  autoconf
BuildRequires:  gettext-devel

Requires:       %{libname} = %{version}-%{release}

%description
MyThes is a simple thesaurus that uses a structured text data file and an
index file with binary search to look up words and phrases and return 
information on part of speech, meanings, and synonyms.


%package -n %{libname}
Summary:        A thesaurus library
Group:          System/Libraries

Conflicts:      mythes < 1.2.4-8

%description -n %{libname}
MyThes is a simple thesaurus that uses a structured text data file and an
index file with binary search to look up words and phrases and return 
information on part of speech, meanings, and synonyms.


%package -n %{devname}
Summary:        Files for developing with %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      mythes-devel < 1.2.4-8

%description -n %{devname}
Includes and definitions for developing with %{name}.


%prep
%autosetup

%build
%configure --disable-rpath \
           --disable-static
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/%{name}

%check
make check
./example th_en_US_new.idx th_en_US_new.dat checkme.lst
./example morph.idx morph.dat morph.lst morph.aff morph.dic

%files
%doc README AUTHORS
%license COPYING
%{_datadir}/%{name}/

%files -n %{libname}
%doc README AUTHORS
%license COPYING
%{_libdir}/libmythes-%{api}.so.%{major}{,.*}

%files -n %{devname}
%doc data_layout.txt
%{_includedir}/%{name}.hxx
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_bindir}/th_gen_idx.pl
