Summary:	Simple Hangul X Input Method
Name:		nabi
Version:	1.0.1
Release:	%mkrel 1
Group:		System/Internationalization
License:	GPLv2
URL:		https://github.com/libhangul/nabi
Source:		https://github.com/libhangul/nabi/archive/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.4.0
BuildRequires:	pkgconfig(libhangul) >= 0.0.6
Requires:	locales-ko

%description
Nabi is a simple XIM for Korean, implemented with GTK+2.
It can dock in the notification area, and also show the
status of imhangul (See also https://imhangul.kldp.net/).

%prep
%autosetup -n %{name}-%{name}-%{version}

%build
./autogen.sh
%configure
%make_build

%install
%make_install

# menu entry:
mkdir -p %{buildroot}%{_datadir}/applications/
cat << EOF > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
[Desktop Entry]
Name=Nabi
Comment=Simple Hangul XIM
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=System;Settings;Accessibility;
EOF

mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps
install -m 644 nabi.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README
%license COPYING
%{_bindir}/nabi
%{_datadir}/nabi/
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
