%define rdnsname org.naev.Naev

Name:           naev
Version:        0.11.5
Release:        %mkrel 2
Summary:        2D space trading and combat game
Group:          Games/Simulation
License:        GPLv3+
URL:            https://naev.org
Source0:        https://github.com/naev/naev/releases/download/v%{version}/%{name}-%{version}-source.tar.xz

BuildRequires:  meson
BuildRequires:  appstream
BuildRequires:  gettext
BuildRequires:  lua5.1-devel
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(libenet)
BuildRequires:  pkgconfig(libpcre2-8)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libunibreak)
BuildRequires:  pkgconfig(libwebp)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libzip)
BuildRequires:  pkgconfig(luajit)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(physfs)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  glpk-devel
BuildRequires:  metis-devel
BuildRequires:  openblas-devel
BuildRequires:  suitesparse-devel
BuildRequires:  python3-pyyaml
BuildRequires:  python3-mutagen

Requires:       %{name}-data >= %{version}-%{release}

%description
NAEV is a 2D space trading and combat game, taking inspiration from the
Escape Velocity series, among others.

You pilot a space ship from a top-down perspective, and are more or less
free to do what you want. As the genre name implies, you’re able to trade
and engage in combat at will. Beyond that, there’s an ever-growing number
of storyline missions, equipment, and ships; even the galaxy itself grows
larger with each release. For the literarily-inclined, there are large
amounts of lore accompanying everything from planets to equipment.

%package data
Summary:        Arch-independent data files for NAEV
BuildArch:      noarch

%description data
Arch-independent data files for NAEV.

%prep
%autosetup -p1

# Patch meson.build for Mageia compat-lua
sed -i 's/lua51/lua-5.1/g' meson.build

%build
# Disabling C and LUA docs since those are only required if you're hacking on Naev
%meson --bindir=%{_gamesbindir} \
       -Dndata_path=%{_gamesdatadir}/%{name} \
       -Ddocs_c=disabled \
       -Ddocs_lua=disabled \
       -Dblas=openblas
%meson_build

%install
%meson_install

rm -f %{buildroot}%{_datadir}/doc/naev/{LICENSE,gpl.txt}

%files
%doc Readme.md
%license LICENSE
%{_datadir}/applications/%{rdnsname}.desktop
%{_datadir}/metainfo/%{rdnsname}.metainfo.xml
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{rdnsname}.png
%{_mandir}/man6/%{name}.6*

%files data
%{_gamesdatadir}/%{name}/
