%define upstream_name   check_diskio

Name:      nagios-%{upstream_name}
Version:   3.0.3
Release:   %mkrel 10
Summary:   Nagios plugin to monitor the amount of disk I/O
License:   GPL
Group:      Networking/Other
URL:        https://trac.id.ethz.ch/projects/nagios_plugins/wiki/check_diskio
Source:     https://www.id.ethz.ch/people/allid_list/corti/%{upstream_name}-%{version}.tar.gz
BuildArch: noarch

%description
Nagios plugin to monitor the amount of disk I/O

%prep
%setup -q -n %{upstream_name}-%{version}

%build
pod2man check_diskio.pod > check_diskio.1

%install
install -m 755 -d %{buildroot}%{_datadir}/nagios/plugins
install -m 755 -d %{buildroot}%{_mandir}/man1
install -m 755 check_diskio %{buildroot}%{_datadir}/nagios/plugins/check_diskio
install -m 644 check_diskio.1 %{buildroot}%{_mandir}/man1

perl -pi -e 's|^#!perl|#!%{_bindir}/perl|' \
    %{buildroot}%{_datadir}/nagios/plugins/check_diskio

install -m 755 -d %{buildroot}%{_sysconfdir}/nagios/plugins.d
cat > %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_diskio.cfg <<'EOF'
define command {
	command_name    check_diskio
	command_line    %{_datadir}/nagios/plugins/check_diskio
}
EOF

%files
%doc AUTHORS Changes NEWS README INSTALL TODO COPYING VERSION
%{_datadir}/nagios/plugins/check_diskio
%{_mandir}/man1/check_diskio.1*
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_diskio.cfg



