# Just a wild guess...
%global __requires_exclude perl\\((English|SNMP|a)\\)

%define nsusr nagios
%define nsgrp nagios
%define cmdusr apache
%define cmdgrp apache

Summary:	Host/service/network monitoring program plugins for Nagios
Name:		nagios-plugins
Version:	2.4.9
Release:	%mkrel 1
License:	GPLv2+
Group:		Monitoring
URL:		https://nagios-plugins.org/
Source0:	https://github.com/%{name}/%{name}/archive/refs/tags/release-%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:     338.patch
Patch6:		nagios-plugins-2.0.3-check_ping-socket-filter-warning.patch
Requires(post): rpm-helper
Requires(preun): rpm-helper
BuildRequires:	mysql-devel
BuildRequires:	bind-utils
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(libsasl2)
BuildRequires:	net-snmp-utils
BuildRequires:	ntpsec
BuildRequires:	openldap-devel
BuildRequires:	openssh-clients
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pam-devel
BuildRequires:	postgresql-devel
BuildRequires:	python
BuildRequires:	radiusclient-ng-devel
BuildRequires:	samba-client
BuildRequires:	shadow-utils
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(dbi)
Epoch:		1

%description
Nagios is a program that will monitor hosts and services on your network, and
to email or page you when a problem arises or is resolved. Nagios runs on a
Unix server as a background or daemon process, intermittently running checks on
various services that you specify. The actual service checks are performed by
separate "plugin" programs which return the status of the checks to Nagios.

This package contains the basic plugins necessary for use with the Nagios
package.  This package should install cleanly on almost any RPM-based system.

%package -n	nagios-check_breeze
Summary:	The check_breeze plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_breeze
This plugin reports the signal strength of a Breezecom wireless equipment

%package -n	nagios-check_by_ssh
Summary:	The check_by_ssh plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_by_ssh
This plugin uses SSH to execute commands on a remote host.

%package -n	nagios-check_cluster
Summary:	The check_cluster plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_cluster
This package contains the check_cluster plugin for nagios.

%package -n nagios-check_dbi
Summary:    The check_dbi plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n nagios-check_dbi
This package contains the check_dbi plugin for nagios.

%package -n	nagios-check_dhcp
Summary:	The check_dhcp plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_dhcp
This plugin tests the availability of DHCP servers on a network.

%package -n	nagios-check_dig
Summary:	The check_dig plugin for nagios
Group:		Networking/Other
Requires:	bind-utils
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_dig
This plugin test the DNS service on the specified host using dig

%package -n	nagios-check_disk
Summary:	The check_disk plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_disk
This plugin checks the amount of used disk space on a mounted file system and
generates an alert if free space is less than one of the threshold values

%package -n	nagios-check_disk_smb
Summary:	The check_disk_smb plugin for nagios
Group:		Networking/Other
Requires:	samba-client
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_disk_smb
Perl Check SMB Disk plugin for Nagios

%package -n	nagios-check_dns
Summary:	The check_dns plugin for nagios
Group:		Networking/Other
Requires:	bind-utils
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_dns
This plugin uses the nslookup program to obtain the IP address for the given
host/domain query. An optional DNS server to use may be specified. If no DNS
server is specified, the default server(s) specified in /etc/resolv.conf will
be used.

%package -n	nagios-check_dummy
Summary:	The check_dummy plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_dummy
This plugin will simply return the state corresponding to the numeric value
of the <state> argument with optional text

%package -n	nagios-check_file_age
Summary:	The check_file_age plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_file_age
This package contains the check_file_age plugin for nagios.

%package -n	nagios-check_flexlm
Summary:	The check_flexlm plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_flexlm
Check available flexlm license managers.

%package -n	nagios-check_fping
Summary:	The check_fping plugin for nagios
Group:		Networking/Other
Requires:	fping
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_fping
This plugin will use the fping command to ping the specified host for a fast
check Note that it is necessary to set the suid flag on fping.

%package -n	nagios-check_game
Summary:	The check_game plugin for nagios
Group:		Networking/Other
Requires:	qstat
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_game
This plugin tests game server connections with the specified host.

%package -n	nagios-check_hpjd
Summary:	The check_hpjd plugin for nagios
Group:		Networking/Other
Requires:	net-snmp-utils
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_hpjd
This plugin tests the STATUS of an HP printer with a JetDirect card. Net-snmp
must be installed on the computer running the plugin.

%package -n	nagios-check_http
Summary:	The check_http plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_http
This plugin tests the HTTP service on the specified host. It can test normal
(http) and secure (https) servers, follow redirects, search for strings and
regular expressions, check connection times, and report on certificate
expiration times.

%package -n	nagios-check_icmp
Summary:	The check_icmp plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_icmp
This package contains the check_icmp plugin for nagios.

%package -n	nagios-check_ide_smart
Summary:	The check_ide_smart plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_ide_smart
This plugin checks a local hard drive with the (Linux specific) SMART interface
[http://smartlinux.sourceforge.net/smart/index.php].

%package -n	nagios-check_ifoperstatus
Summary:	The check_ifoperstatus plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_ifoperstatus
check_ifoperstatus plugin for Nagios monitors operational status of a
particular network interface on the target host.

%package -n	nagios-check_ifstatus
Summary:	The check_ifstatus plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_ifstatus
check_ifstatus plugin for Nagios monitors operational status of each network
interface on the target host.

%package -n	nagios-check_ircd
Summary:	The check_ircd plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_ircd
Perl Check IRCD plugin for Nagios

%package -n	nagios-check_ldap
Summary:	The check_ldap plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_ldap
This package contains the check_ldap plugin for nagios.

%package -n	nagios-check_load
Summary:	The check_load plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_load
This plugin tests the current system load average.

%package -n	nagios-check_log
Summary:	The check_log plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_log
Log file pattern detector plugin for Nagios

%package -n	nagios-check_mailq
Summary:	The check_mailq plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_mailq
Checks the number of messages in the mail queue (supports multiple sendmail
queues, qmail)

%package -n	nagios-check_mysql
Summary:	The check_mysql plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_mysql
This program tests connections to a mysql server.

%package -n	nagios-check_mysql_query
Summary:	The check_mysql_query plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_mysql_query
This program checks a query result against threshold levels.

%package -n	nagios-check_nagios
Summary:	The check_nagios plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_nagios
This plugin checks the status of the Nagios process on the local machine. The
plugin will check to make sure the Nagios status log is no older than the
number of minutes specified by the expires option. It also checks the process
table for a process matching the command argument.

%package -n	nagios-check_nt
Summary:	The check_nt plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_nt
This plugin collects data from the NSClient service running on a Windows(tm)
NT/2000/XP/2003 server.

%package -n	nagios-check_ntp
Summary:	The check_ntp plugin for nagios
Group:		Networking/Other
Requires:	ntpsec
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_ntp
This plugin checks the selected ntp server.

%package -n	nagios-check_ntp_peer
Summary:	The check_ntp_peer plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_ntp_peer
This plugin checks the selected ntp server.

%package -n	nagios-check_ntp_time
Summary:	The check_ntp_time plugin for nagios
Group:		Networking/Other
Requires:	ntpsec
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_ntp_time
This plugin checks the clock offset with the ntp server.

%package -n	nagios-check_nwstat
Summary:	The check_nwstat plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_nwstat
This plugin attempts to contact the MRTGEXT NLM running on a Novell server
to gather the requested system information.

%package -n	nagios-check_oracle
Summary:	The check_oracle plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_oracle
Check Oracle status.

%package -n	nagios-check_overcr
Summary:	The check_overcr plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_overcr
This plugin attempts to contact the Over-CR collector daemon running on the
remote UNIX server in order to gather the requested system information.

%package -n	nagios-check_pgsql
Summary:	The check_pgsql plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_pgsql
Test whether a PostgreSQL Database is accepting connections.

%package -n	nagios-check_ping
Summary:	The check_ping plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_ping
Use ping to check connection statistics for a remote host.

%package -n	nagios-check_procs
Summary:	The check_procs plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_procs
Checks all processes and generates WARNING or CRITICAL states if the specified
metric is outside the required threshold ranges. The metric defaults to number
of processes.  Search filters can be applied to limit the processes to check.

%package -n	nagios-check_radius
Summary:	The check_radius plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_radius
Tests to see if a radius server is accepting connections.

%package -n	nagios-check_real
Summary:	The check_real plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_real
This plugin tests the REAL service on the specified host.

%package -n	nagios-check_rpc
Summary:	The check_rpc plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_rpc
Check if a rpc service is registered and running using:
rpcinfo -H host -C rpc_command 

%package -n	nagios-check_sensors
Summary:	The check_sensors plugin for nagios
Group:		Networking/Other
Requires:	lm_sensors
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_sensors
This plugin checks hardware status using the lm_sensors package.

%package -n	nagios-check_smtp
Summary:	The check_smtp plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_smtp
This plugin will attempt to open an SMTP connection with the host.

%package -n	nagios-check_snmp
Summary:	The check_snmp plugin for nagios
Group:		Networking/Other
Requires:	net-snmp-utils
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_snmp
Check status of remote machines and obtain system information via SNMP.

%package -n	nagios-check_ssh
Summary:	The check_ssh plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_ssh
Try to connect to an SSH server at specified server and port.

%package -n	nagios-check_swap
Summary:	The check_swap plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_swap
Check swap space on local machine.

%package -n	nagios-check_tcp
Summary:	The check_tcp plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_tcp
This plugin tests TCP connections with the specified host (or unix socket).

%package -n	nagios-check_time
Summary:	The check_time plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_time
This plugin will check the time on the specified host.

%package -n	nagios-check_ups
Summary:	The check_ups plugin for nagios
Group:		Networking/Other
Requires:	nut
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_ups
This plugin tests the UPS service on the specified host. Network UPS Tools 
from www.networkupstools.org must be running for this plugin to work.

%package -n	nagios-check_uptime
Summary:	The check_uptime plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_uptime
Provides check_uptime support for Nagios.

%package -n	nagios-check_users
Summary:	The check_users plugin for nagios
Group:		Networking/Other
Requires:   nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_users
This plugin checks the number of users currently logged in on the local
system and generates an error if the number exceeds the thresholds specified.

%package -n	nagios-check_wave
Summary:	The check_wave plugin for nagios
Group:		Networking/Other
Requires:	nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_wave
This package contains the check_wave plugin for nagios.

%package -n	nagios-check_ssl_validity
Summary:	The check_ssl_validity plugin for nagios
Group:		Networking/Other
Requires:	nagios-plugins = %{epoch}:%{version}-%{release}

%description -n	nagios-check_ssl_validity
This package contains the check_ssl_validity plugin for nagios.

%prep
%setup -q -n %{name}-release-%{version}
%autopatch -p1

%build
autoreconf -fi

export PATH_TO_DIG=/usr/bin/dig
export PATH_TO_FPING=/bin/fping
export PATH_TO_HOST=/usr/bin/host
export PATH_TO_LMSTAT=
export PATH_TO_LSPS=
export PATH_TO_MAILQ=/usr/bin/mailq
export PATH_TO_NSLOOKUP=/usr/bin/nslookup
export PATH_TO_PING=/bin/ping
export PATH_TO_PING6=/usr/bin/ping6
export PATH_TO_PS=/bin/ps
export PATH_TO_QMAIL_QSTAT=/var/qmail/bin/qmail-qstat
export PATH_TO_QSTAT=/usr/bin/qstat-quake
export PATH_TO_QUAKESTAT=
export PATH_TO_RPCINFO=/usr/sbin/rpcinfo
export PATH_TO_SMBCLIENT=/usr/bin/smbclient
export PATH_TO_SNMPGET=/usr/bin/snmpget
export PATH_TO_SNMPGETNEXT=/usr/bin/snmpgetnext
export PATH_TO_SSH=/usr/bin/ssh
export PATH_TO_SWAP=
export PATH_TO_SWAPINFO=
export PATH_TO_UPTIME=/usr/bin/uptime
export PATH_TO_WHO=/usr/bin/who

%serverbuild

%configure \
    --libexecdir=%{_libdir}/nagios/plugins \
    --disable-rpath \
    --with-cgiurl=/nagios/cgi-bin \
    --with-trusted-path="/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin" \
    --with-ping-command="/bin/ping -n -U -w %d -c %d %s" \
    --with-ping6-command="%{_bindir}/ping6 -n -U -w %d -c %d %s" \
    --with-ps-command="/bin/ps axwo 'stat uid pid ppid vsz rss pcpu etime comm args'" \
    --with-ps-format="%s %d %d %d %d %d %f %s %s %n" \
    --with-ps-varlist='procstat,&procuid,&procpid,&procppid,&procvsz,&procrss,&procpcpu,&procetime,procprog,&pos' \
    --with-ps-cols=10 \
    --with-ipv6

# anti recheck hack
touch *

make

make -C plugins \
    check_ide_smart check_ldap check_pgsql check_radius

%install
install -d -m0755 %{buildroot}%{_sysconfdir}/nagios/conf.d
%make_install MKDIR_P="/usr/bin/mkdir -p"

install -m0755 plugins/check_pgsql %{buildroot}%{_libdir}/nagios/plugins/
install -m0755 plugins/check_radius %{buildroot}%{_libdir}/nagios/plugins/
install -m0755 plugins/check_ide_smart %{buildroot}%{_libdir}/nagios/plugins/
install -m0755 plugins-root/check_dhcp %{buildroot}%{_libdir}/nagios/plugins/
install -m0755 plugins-root/check_icmp %{buildroot}%{_libdir}/nagios/plugins/

# fix bad paths (again!)
for i in check_breeze check_disk_smb check_file_age check_flexlm check_ifoperstatus \
    check_ifstatus check_ircd check_mailq check_ntp check_rpc check_wave; do
    perl -pi -e "s|\"nagios/plugins\"|\"%{_libdir}/nagios/plugins\"|g" \
    %{buildroot}%{_libdir}/nagios/plugins/$i
done

%find_lang %{name}

# make noarch plugins installable under %{_datadir} also
install -d -m 755 %{buildroot}%{_datadir}/nagios/plugins
pushd %{buildroot}%{_datadir}/nagios/plugins
ln -sf ../../../%_lib/nagios/plugins/utils.pm .
ln -sf ../../../%_lib/nagios/plugins/utils.sh .
popd

# delete unusable plugins
rm -f %{buildroot}%{_libdir}/nagios/plugins/check_apt
rm -f %{buildroot}%{_libdir}/nagios/plugins/check_mrtg
rm -f %{buildroot}%{_libdir}/nagios/plugins/check_mrtgtraf

%pre
%{_sbindir}/useradd -r -M -s /bin/sh -d /var/log/nagios -c "system user for %{nsusr}" %{nsusr} >/dev/null 2>&1 || :
%{_bindir}/gpasswd -a %{cmdusr} %{nsgrp} >/dev/null 2>&1 || :

%postun
%_postun_userdel %{nsusr}

%files -f %{name}.lang
%doc AUTHORS CODING FAQ LEGAL NEWS README* REQUIREMENTS SUPPORT
%dir %{_libdir}/nagios
%dir %{_libdir}/nagios/plugins
%{_libdir}/nagios/plugins/negate
%{_libdir}/nagios/plugins/urlize
%{_libdir}/nagios/plugins/utils.pm
%{_libdir}/nagios/plugins/utils.sh
%{_libdir}/nagios/plugins/remove_perfdata
%{_datadir}/nagios/plugins

%files -n nagios-check_breeze
%{_libdir}/nagios/plugins/check_breeze

%files -n nagios-check_by_ssh
%{_libdir}/nagios/plugins/check_by_ssh

%files -n nagios-check_cluster
%{_libdir}/nagios/plugins/check_cluster

%files -n nagios-check_dbi
%{_libdir}/nagios/plugins/check_dbi

%files -n nagios-check_dhcp
%attr(4550,root,nagios) %{_libdir}/nagios/plugins/check_dhcp

%files -n nagios-check_dig
%{_libdir}/nagios/plugins/check_dig

%files -n nagios-check_disk
%{_libdir}/nagios/plugins/check_disk

%files -n nagios-check_disk_smb
%{_libdir}/nagios/plugins/check_disk_smb

%files -n nagios-check_dns
%{_libdir}/nagios/plugins/check_dns

%files -n nagios-check_dummy
%{_libdir}/nagios/plugins/check_dummy

%files -n nagios-check_file_age
%{_libdir}/nagios/plugins/check_file_age

%files -n nagios-check_flexlm
%{_libdir}/nagios/plugins/check_flexlm

%files -n nagios-check_fping
%{_libdir}/nagios/plugins/check_fping

%files -n nagios-check_game
%{_libdir}/nagios/plugins/check_game

%files -n nagios-check_hpjd
%{_libdir}/nagios/plugins/check_hpjd

%files -n nagios-check_http
%{_libdir}/nagios/plugins/check_http

%files -n nagios-check_icmp
%attr(4550,root,nagios) %{_libdir}/nagios/plugins/check_icmp

%files -n nagios-check_ide_smart
%{_libdir}/nagios/plugins/check_ide_smart

%files -n nagios-check_ifoperstatus
%{_libdir}/nagios/plugins/check_ifoperstatus

%files -n nagios-check_ifstatus
%{_libdir}/nagios/plugins/check_ifstatus

%files -n nagios-check_ircd
%{_libdir}/nagios/plugins/check_ircd

%files -n nagios-check_ldap
%{_libdir}/nagios/plugins/check_ldap
%{_libdir}/nagios/plugins/check_ldaps

%files -n nagios-check_load
%{_libdir}/nagios/plugins/check_load

%files -n nagios-check_log
%{_libdir}/nagios/plugins/check_log

%files -n nagios-check_mailq
%{_libdir}/nagios/plugins/check_mailq

%files -n nagios-check_mysql
%{_libdir}/nagios/plugins/check_mysql

%files -n nagios-check_mysql_query
%{_libdir}/nagios/plugins/check_mysql_query

%files -n nagios-check_nagios
%{_libdir}/nagios/plugins/check_nagios

%files -n nagios-check_nt
%{_libdir}/nagios/plugins/check_nt

%files -n nagios-check_ntp
%{_libdir}/nagios/plugins/check_ntp

%files -n nagios-check_ntp_peer
%{_libdir}/nagios/plugins/check_ntp_peer

%files -n nagios-check_ntp_time
%{_libdir}/nagios/plugins/check_ntp_time

%files -n nagios-check_nwstat
%{_libdir}/nagios/plugins/check_nwstat

%files -n nagios-check_oracle
%{_libdir}/nagios/plugins/check_oracle

%files -n nagios-check_overcr
%{_libdir}/nagios/plugins/check_overcr

%files -n nagios-check_pgsql
%{_libdir}/nagios/plugins/check_pgsql

%files -n nagios-check_ping
%{_libdir}/nagios/plugins/check_ping

%files -n nagios-check_procs
%{_libdir}/nagios/plugins/check_procs

%files -n nagios-check_radius
%{_libdir}/nagios/plugins/check_radius

%files -n nagios-check_real
%{_libdir}/nagios/plugins/check_real

%files -n nagios-check_rpc
%{_libdir}/nagios/plugins/check_rpc

%files -n nagios-check_sensors
%{_libdir}/nagios/plugins/check_sensors

%files -n nagios-check_smtp
%{_libdir}/nagios/plugins/check_smtp

%files -n nagios-check_snmp
%{_libdir}/nagios/plugins/check_snmp

%files -n nagios-check_ssh
%{_libdir}/nagios/plugins/check_ssh

%files -n nagios-check_swap
%{_libdir}/nagios/plugins/check_swap

%files -n nagios-check_tcp
%{_libdir}/nagios/plugins/check_tcp
%{_libdir}/nagios/plugins/check_imap
%{_libdir}/nagios/plugins/check_spop
%{_libdir}/nagios/plugins/check_simap
%{_libdir}/nagios/plugins/check_udp
%{_libdir}/nagios/plugins/check_pop
%{_libdir}/nagios/plugins/check_nntp
%{_libdir}/nagios/plugins/check_jabber
%{_libdir}/nagios/plugins/check_clamd
%{_libdir}/nagios/plugins/check_ftp
%{_libdir}/nagios/plugins/check_ssmtp
%{_libdir}/nagios/plugins/check_nntps

%files -n nagios-check_time
%{_libdir}/nagios/plugins/check_time

%files -n nagios-check_ups
%{_libdir}/nagios/plugins/check_ups

%files -n nagios-check_uptime
%{_libdir}/nagios/plugins/check_uptime

%files -n nagios-check_users
%{_libdir}/nagios/plugins/check_users

%files -n nagios-check_wave
%{_libdir}/nagios/plugins/check_wave

%files -n nagios-check_ssl_validity
%{_libdir}/nagios/plugins/check_ssl_validity
