Name:		nagios-snmp-plugins
Version:	2.1.0
Release:	%mkrel 3
Summary:	Plugins for Nagios to monitor remote disk and processes via SNMP
License:	GPL
Group:		Networking/Other
URL:		http://nagios.manubulon.com/
Source0:	https://github.com/dnsmichi/manubulon-snmp/archive/manubulon-snmp-%{version}.tar.gz
Source4:	check_snmp_boostedge.cfg
Source5:	check_snmp_cpfw.cfg
Source6:	check_snmp_css.cfg
Source7:	check_snmp_css_main.cfg
Source8:	check_snmp_env.cfg
Source9:	check_snmp_int.cfg
Source10:	check_snmp_linkproof_nhr.cfg
Source11:	check_snmp_load.cfg
Source12:	check_snmp_mem.cfg
Source13:	check_snmp_nsbox.cfg
Source14:	check_snmp_process.cfg
Source15:	check_snmp_storage.cfg
Source16:	check_snmp_vrrp.cfg
Source17:	check_snmp_win.cfg
Requires:	nagios
BuildArch:  noarch

%description
These plugins allow you to monitor disk space, processes and a lot of other 
stuff on a remote machine via SNMP.

%package -n	nagios-check_snmp_boostedge
Summary:	The check_snmp_boostedge plugin for nagios
Group:		Networking/Other
Requires:	net-snmp-utils

%description -n	nagios-check_snmp_boostedge
SNMP Boostedge service monitor for Nagios.

%package -n	nagios-check_snmp_cpfw
Summary:	The check_snmp_cpfw plugin for nagios
Group:		Networking/Other
Requires:	net-snmp-utils

%description -n	nagios-check_snmp_cpfw
SNMP Checkpoint FW-1 Monitor for Nagios.

%package -n	nagios-check_snmp_css_main
Summary:	The check_snmp_css_main plugin for nagios
Group:		Networking/Other
Requires:	net-snmp-utils

%description -n	nagios-check_snmp_css_main
SNMP Cisco CSS monitor MAIN script for Nagios.

%package -n	nagios-check_snmp_css
Summary:	The check_snmp_css plugin for nagios
Group:		Networking/Other
Requires:	net-snmp-utils

%description -n	nagios-check_snmp_css
SNMP Cisco CSS monitor for Nagios.

%package -n	nagios-check_snmp_env
Summary:	The check_snmp_env plugin for nagios
Group:		Networking/Other
Requires:	net-snmp-utils

%description -n	nagios-check_snmp_env
SNMP environmental Monitor for Nagios.

%package -n	nagios-check_snmp_int
Summary:	The check_snmp_int plugin for nagios
Group:		Networking/Other
Requires:	net-snmp-utils

%description -n	nagios-check_snmp_int
SNMP Network Interface Monitor for Nagios.

%package -n	nagios-check_snmp_linkproof_nhr
Summary:	The check_snmp_linkproof_nhr plugin for nagios
Group:		Networking/Other
Requires:	net-snmp-utils

%description -n	nagios-check_snmp_linkproof_nhr
SNMP Radware Linkproof NHR monitor for Nagios.

%package -n	nagios-check_snmp_load
Summary:	The check_snmp_load plugin for nagios
Group:		Networking/Other
Requires:	net-snmp-utils

%description -n	nagios-check_snmp_load
SNMP Load & CPU Monitor for Nagios.

%package -n	nagios-check_snmp_mem
Summary:	The check_snmp_mem plugin for nagios
Group:		Networking/Other
Requires:	net-snmp-utils

%description -n	nagios-check_snmp_mem
SNMP Memory Monitor for Nagios.

%package -n	nagios-check_snmp_nsbox
Summary:	The check_snmp_nsbox plugin for nagios
Group:		Networking/Other
Requires:	net-snmp-utils

%description -n	nagios-check_snmp_nsbox
SNMP NetSecureOne Netbox monitor for Nagios.

%package -n	nagios-check_snmp_process
Summary:	The check_snmp_process plugin for nagios
Group:		Networking/Other
Requires:	net-snmp-utils

%description -n	nagios-check_snmp_process
SNMP Process Monitor for Nagios.

%package -n	nagios-check_snmp_storage
Summary:	The check_snmp_storage plugin for nagios
Group:		Networking/Other
Requires:	net-snmp-utils

%description -n	nagios-check_snmp_storage
SNMP Disk Monitor for Nagios.

%package -n	nagios-check_snmp_win
Summary:	The check_snmp_win plugin for nagios
Group:		Networking/Other
Requires:	net-snmp-utils

%description -n	nagios-check_snmp_win
SNMP Windows Monitor for Nagios.

%package -n	nagios-check_snmp_vrrp
Summary:	The check_snmp_vrrp plugin for nagios
Group:		Networking/Other
Requires:	net-snmp-utils

%description -n	nagios-check_snmp_vrrp
SNMP VRRP Monitor for Nagios.

%prep
%setup -q -n manubulon-snmp-%{version}

perl -pi \
    -e 's|^use lib .*|use lib "%{_libdir}/nagios/plugins";|g' *.pl

%build

%install

# scripts
install -d %{buildroot}%{_libdir}/nagios/plugins
install -m0755 plugins/*.pl %{buildroot}%{_libdir}/nagios/plugins/

# config
install -d %{buildroot}%{_sysconfdir}/nagios/plugins.d
install -m0644 %{SOURCE4} \
    %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_snmp_boostedge.cfg
install -m0644 %{SOURCE5} \
    %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_snmp_cpfw.cfg
install -m0644 %{SOURCE6} \
    %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_snmp_css_main.cfg
install -m0644 %{SOURCE7} \
    %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_snmp_css.cfg
install -m0644 %{SOURCE8} \
    %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_snmp_env.cfg
install -m0644 %{SOURCE9} \
    %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_snmp_int.cfg
install -m0644 %{SOURCE10} \
    %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_snmp_linkproof_nhr.cfg
install -m0644 %{SOURCE11} \
    %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_snmp_load.cfg
install -m0644 %{SOURCE12} \
    %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_snmp_mem.cfg
install -m0644 %{SOURCE13} \
    %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_snmp_nsbox.cfg
install -m0644 %{SOURCE14} \
    %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_snmp_process.cfg
install -m0644 %{SOURCE15} \
    %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_snmp_storage.cfg
install -m0644 %{SOURCE16} \
    %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_snmp_win.cfg
install -m0644 %{SOURCE17} \
    %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_snmp_vrrp.cfg

perl -pi -e 's|\@libexecdir\@|%{_libdir}/nagios/plugins|g' \
    %{buildroot}%{_sysconfdir}/nagios/plugins.d/*.cfg

%files
%doc README.md doc/*

%files -n nagios-check_snmp_boostedge
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_snmp_boostedge.cfg
%{_libdir}/nagios/plugins/check_snmp_boostedge.pl

%files -n nagios-check_snmp_cpfw
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_snmp_cpfw.cfg
%{_libdir}/nagios/plugins/check_snmp_cpfw.pl

%files -n nagios-check_snmp_css_main
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_snmp_css_main.cfg
%{_libdir}/nagios/plugins/check_snmp_css_main.pl

%files -n nagios-check_snmp_css
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_snmp_css.cfg
%{_libdir}/nagios/plugins/check_snmp_css.pl

%files -n nagios-check_snmp_env
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_snmp_env.cfg
%{_libdir}/nagios/plugins/check_snmp_env.pl

%files -n nagios-check_snmp_int
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_snmp_int.cfg
%{_libdir}/nagios/plugins/check_snmp_int.pl

%files -n nagios-check_snmp_linkproof_nhr
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_snmp_linkproof_nhr.cfg
%{_libdir}/nagios/plugins/check_snmp_linkproof_nhr.pl

%files -n nagios-check_snmp_load
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_snmp_load.cfg
%{_libdir}/nagios/plugins/check_snmp_load.pl

%files -n nagios-check_snmp_mem
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_snmp_mem.cfg
%{_libdir}/nagios/plugins/check_snmp_mem.pl

%files -n nagios-check_snmp_nsbox
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_snmp_nsbox.cfg
%{_libdir}/nagios/plugins/check_snmp_nsbox.pl


%files -n nagios-check_snmp_process
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_snmp_process.cfg
%{_libdir}/nagios/plugins/check_snmp_process.pl

%files -n nagios-check_snmp_storage
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_snmp_storage.cfg
%{_libdir}/nagios/plugins/check_snmp_storage.pl

%files -n nagios-check_snmp_win
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_snmp_win.cfg
%{_libdir}/nagios/plugins/check_snmp_win.pl

%files -n nagios-check_snmp_vrrp
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_snmp_vrrp.cfg
%{_libdir}/nagios/plugins/check_snmp_vrrp.pl

