Name:           nagstamon
Version:        3.16.2
Release:        %mkrel 1
Summary:        Nagios status monitor for the desktop
License:        GPLv2
Group:          Monitoring
Url:            https://nagstamon.ifw-dresden.de/
Source:         https://github.com/HenriWahl/Nagstamon/archive/v%{version}/Nagstamon-%{version}.tar.gz
Patch1:		nagstamon-fix-svg-icon-install-path.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-qt6-devel
BuildRequires:  python3-distro
BuildRequires:  python3-keyring
BuildRequires:  python3-psutil

Requires:       python3-beautifulsoup4
Requires:       python3-cryptography
Requires:       python3-dateutil
Requires:       python3-keyring
Requires:       python3-lxml
Requires:       python3-psutil
Requires:       python3-pysocks
Requires:       python3-qt6-core
Requires:       python3-qt6-gui
Requires:       python3-qt6-widgets
Requires:       python3-qt6-svg
Requires:       python3-qt6-svgwidgets
Requires:       python3-qt6-multimedia
Requires:       python3-qt6-network
Requires:       python3-requests
Requires:       python3-requests-kerberos
Requires:       python3-secretstorage

%description
Nagstamon is a Nagios status monitor which takes place in systray or on desktop
(GNOME, KDE, Windows) as floating statusbar to inform you in realtime about the
status of your Nagios and derivatives monitored network. It allows to connect
to multiple Nagios, Icinga, Opsview, Op5, Check_MK/Multisite and Centreon
servers.

%prep
%autosetup -n Nagstamon-%{version} -p1

# drop python3-crypto reqs
sed -i -e '/python3-crypto[^graphy]/d' setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%py3_build

%install
%py3_install

mv %{buildroot}%{_bindir}/nagstamon.py %{buildroot}%{_bindir}/nagstamon

%files
%doc COPYRIGHT
%license LICENSE
%{_bindir}/nagstamon
%{_iconsdir}/hicolor/scalable/apps/nagstamon.svg
%{_datadir}/applications/nagstamon.desktop
%{_mandir}/man1/nagstamon.1*
%{python3_sitelib}/Nagstamon/
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info
