%define url_ver	%(echo %{version} | cut -d. -f1)

Name:		nano
Version:	8.3
Release:	%mkrel 1
Summary:	Tiny console text editor that aims to emulate Pico
License:	GPLv3
Group:		Editors
URL:		https://www.nano-editor.org/
Source0:	https://www.nano-editor.org/dist/v%{url_ver}/%{name}-%{version}.tar.gz
# Improve .spec file syntax hilighting and add support for:
# - CPU arches rpm supports
# - working %ifarch, %ifnarch, %ifos and %ifnos
Patch50:	nano-spec.nanorc.patch
Patch51:	0001-Add-spec.nanorc-include-to-sample.nanorc.in.patch
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	file-devel
BuildRequires:	groff
BuildRequires:	groff-for-man
BuildRequires:	texinfo
# for vt100
Requires:	ncurses

%description
nano (Nano's ANOther editor) is the editor formerly known as
TIP (TIP Isn't Pico). It aims to emulate Pico as closely as
possible while also offering a few enhancements.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure \
	--enable-utf8
%make_build

%install
%make_install

#config file
install -Dpm644 doc/sample.nanorc %{buildroot}%{_sysconfdir}/nanorc

#disable line wrapping by default
sed -i -e 's/# set nowrap/set nowrap/' %{buildroot}%{_sysconfdir}/nanorc

#enable all syntax highlighting by default
sed -i -e 's|^#\s\(include.*\*.nanorc\"\)|\1|' %{buildroot}%{_sysconfdir}/nanorc

#enable .spec syntax highlighting by default
sed -i -e 's|^#\s\(include.*spec.nanorc\"\)|\1|' %{buildroot}%{_sysconfdir}/nanorc

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%doc doc/*html doc/sample.nanorc
%{_bindir}/nano
%{_bindir}/rnano
%{_datadir}/nano/
%{_infodir}/nano.info*
%{_mandir}/man1/nano.1*
%{_mandir}/man1/rnano.1*
%{_mandir}/man5/nanorc.5*
%config(noreplace) %{_sysconfdir}/nanorc
