%define major     0
%define libname   %mklibname protobuf-nanopb %{major}
%define develname %mklibname %{name} -d

%bcond_without check

Name:           nanopb
Version:        0.4.9.1
Release:        %mkrel 3
Summary:        A small code-size Protocol Buffers implementation in ansi C
License:        Zlib
Group:          System/Libraries
URL:            https://jpa.kapsi.fi/nanopb/
Source0:        https://github.com/nanopb/nanopb/archive/%{version}/%{name}-%{version}.tar.gz
# remove binary tools of protoc-based generator
Patch0:         nanopb-remove-bin.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(protobuf)
BuildRequires:  pkgconfig(python3)
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(poetry)
BuildRequires:  python3dist(protobuf)
# for testing
%if %{with check}
BuildRequires:  python3-scons
#BuildRequires:  python3dist(grpcio-tools)
%endif

%description
Nanopb is a small code-size Protocol Buffers implementation in ansi C.
It is especially suitable for use in microcontrollers, but fits
any memory restricted system.

#------------------------------------------------

%package -n     %{libname}
Summary:        A small code-size Protocol Buffers implementation in ansi C
Group:          System/Libraries

%description -n %{libname}
Nanopb is a small code-size Protocol Buffers implementation in ansi C.
It is especially suitable for use in microcontrollers, but fits
any memory restricted system.

#------------------------------------------------

%package -n     %{develname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

#------------------------------------------------

%package -n     python3-%{name}
Summary:        Small code-size Protocol Buffers implementation in Python
Group:          Development/Python
BuildArch:      noarch

%description -n python3-%{name}
The python3-%{name} package contains Small code-size Protocol
Buffers implementation in Python. It includes the protoc-based
generator, which converts .proto files to .pb.h files for
inclusion in a project.

#------------------------------------------------

%prep
%autosetup -p1

# https://github.com/nanopb/nanopb/blob/master/extra/poetry/poetry_build.sh
cp extra/poetry/pyproject.toml .
mkdir -p nanopb
cp -r generator nanopb
touch nanopb/__init__.py nanopb/generator/__init__.py
make -C nanopb/generator/proto

%generate_buildrequires
%pyproject_buildrequires

%build
%cmake \
    -DBUILD_STATIC_LIBS=OFF \
    -Dnanopb_BUILD_GENERATOR=OFF
%cmake_build

%pyproject_wheel

%install
%cmake_install

%pyproject_install
%pyproject_save_files nanopb

%if %{with check}
%check
pushd tests
    %__scons
popd
%endif

%files -n %{libname}
%license LICENSE.txt
%doc README.md
%{_libdir}/libprotobuf-nanopb.so.%{major}{,.*}

%files -n %{develname}
%doc README.md
%{_includedir}/nanopb/
%{_libdir}/libprotobuf-nanopb.so
%{_libdir}/cmake/nanopb/

%files -n python3-%{name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.md
%{_bindir}/nanopb_generator
%{_bindir}/protoc-gen-nanopb
