#define prerel		rc2
%define fversion	%{version}%{?prerel:%{prerel}}
%define fname		%{name}-%{fversion}
%define rel		1

Summary:	The Netwide Assembler, a portable x86 assembler with Intel-like syntax
Name:		nasm
Epoch:		2
Version:	2.16.03
Release:	%mkrel %{?prerel:-c %{prerel}} %{rel}
License:	BSD
Group:		Development/Other
URL:		https://www.nasm.us/
Source:		https://www.nasm.us/pub/nasm/releasebuilds/%{fversion}/%{fname}.tar.xz
Patch0:		nasm-2.16.01-switch-font-for-nasmdoc.patch
BuildRequires:	ghostscript
BuildRequires:	groff
BuildRequires:	texinfo
BuildRequires:	perl(Font::TTF::Font)
BuildRequires:	perl(Sort::Versions)
BuildRequires:	fonts-ttf-liberation

# Drop rdoff package as it has been discontinued upstream
Obsoletes:	nasm-rdoff < 2.16.01-1

%package doc
Summary:	Extensive documentation for NASM
Group:		Documentation

%description
NASM is the Netwide Assembler, a free portable assembler for the Intel
80x86 microprocessor series, using primarily the traditional Intel
instruction mnemonics and syntax.

%description doc
Extensive documentation for the Netwide Assembler, NASM, in HTML,
PostScript, RTF and text formats.

%prep
%autosetup -p1 -n %{fname}

%build
rm -f config.cache config.status config.log
%configure
%__make everything

%install
mkdir -p %{buildroot}/{%{_bindir},%{_infodir},%{_mandir}/man1}
%make_install
cd doc
bzip2 -9f nasmdoc*.txt nasmdoc*.ps||true
cd html
ln -sf nasmdoc0.html index.html

%check
make -C test golden test diff

%files
%doc CHANGES AUTHORS README.md doc/internal.doc
%license LICENSE
%attr(755,root,root) %{_bindir}/nasm
%attr(755,root,root) %{_bindir}/ndisasm
%{_mandir}/man1/nasm.1*
%{_mandir}/man1/ndisasm.1*

%files doc
%doc doc/nasmdoc.ps.bz2 doc/nasmdoc.txt.bz2  doc/html

