# exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/nautilus/extensions-4/.*\\.so

Summary:	Dropbox extension for Nautilus
Name:		nautilus-dropbox
Version: 	2024.01.22
Release: 	%mkrel 1
License:	GPLv3+ and CC-BY-ND-3.0
Group:		Graphical desktop/GNOME
Url:		https://github.com/dropbox/nautilus-dropbox
Source0:	https://linux.dropboxstatic.com/packages/%{name}-%{version}.tar.bz2
#
# Patches from upstream
#
# add 10 second delay to autostart to ensure it loads on session startup
Patch100:	0001-Add-10-second-delay-to-autostart-to-ensure-it-loads-.patch

BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(libnautilus-extension-4)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	python3dist(docutils)
Requires:	dropbox
Requires:	nautilus

%description
Dropbox extension for Nautilus.

%package -n dropbox
Summary:	A command line interface to the Dropbox service
Group:		Networking/Other
BuildArch:	noarch
Requires:	wget
Requires:	python3-gobject3
Requires:	python3-gpg
Provides:	dropbox-bin = %{version}-%{release}

%description -n dropbox
This package provides a command line interface to the Dropbox, the easiest
online file storage, synchronization and sharing service.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install

%files -n dropbox
%{_iconsdir}/hicolor/*/*/dropbox.png
%{_bindir}/dropbox
%{_datadir}/applications/dropbox.desktop
%{_mandir}/man1/dropbox*

%files
%{_datadir}/%{name}/
%{_libdir}/nautilus/extensions-4/lib%{name}.so
