%global glib2_version 2.77.0
%global gtk4_version 4.11.2
%global libadwaita_version 1.4~alpha

%bcond_with selinux

%define lib_major	4
%define gir_major	4.0
%define lib_name	%mklibname %{name} %{lib_major}
%define gir_name	%mklibname %{name}-gir %{gir_major}
%define develname	%mklibname %{name} -d

%define url_ver		%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}
%define busname		org.gnome.Nautilus

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:		nautilus
Version:	48.0
Release:	%mkrel 1
Summary:	File manager for the GNOME desktop environment
Group:		File tools
License:	GPLv2+
URL:		https://wiki.gnome.org/Apps/Nautilus
# https://gitlab.gnome.org/GNOME/nautilus/-/issues/2018
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz

BuildRequires:	appstream-util
BuildRequires:	gettext
BuildRequires:	pkgconfig(cloudproviders)
BuildRequires:	pkgconfig(exempi-2.0)
BuildRequires:	pkgconfig(gail-3.0)
BuildRequires:	pkgconfig(gexiv2)
BuildRequires:	pkgconfig(gi-docgen)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(libportal)
BuildRequires:  pkgconfig(libportal-gtk4)
BuildRequires:	pkgconfig(glib-2.0) >= 2.67.1
BuildRequires:	pkgconfig(gmodule-no-export-2.0)
BuildRequires:	pkgconfig(gnome-autoar-0)
BuildRequires:	pkgconfig(gnome-desktop-4)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gstreamer-tag-1.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk4) >= %{gtk4_version}
BuildRequires:	pkgconfig(libadwaita-1) >= %{libadwaita_version}
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libnotify)
%if %{with selinux}
BuildRequires:	pkgconfig(libselinux)
%endif
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(tinysparql-3.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	localsearch
BuildRequires:	meson
Requires:	localsearch
Requires:	gvfs
Recommends:	gvfs-google
Requires:	gsettings-desktop-schemas
# (ovitters) ensure glib has TLS support
Requires:	%{mklibname glib-networking}

# Packages providing often used thumbnailers
Recommends:	librsvg
Recommends:	gnome-directory-thumbnailer

%description
Nautilus is an excellent file manager for the GNOME desktop environment.

%package -n %{lib_name}
Summary:	Libraries for Nautilus File manager
Group:		System/Libraries

%description -n %{lib_name}
Nautilus is an excellent file manager for the GNOME desktop environment.
This package contains libraries used by Nautilus.

%package -n %{develname}
Summary:	Libraries and include files for developing nautilus components
Group:		Development/GNOME and GTK+
Requires:	%{lib_name} = %{version}-%{release}
Requires:	%{gir_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package provides the necessary development libraries and include 
files to allow you to develop nautilus components.

%package -n %{gir_name}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Conflicts:	%{lib_name} < 3.1.3-3

%description -n %{gir_name}
GObject Introspection interface description for %{name}.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson \
	-Ddocs=true \
	-Dselinux=%{?with_selinux:true}%{?!with_selinux:false}
%meson_build

%install
%meson_install

for file in %{buildroot}%{_datadir}/applications/*.desktop; do
	desktop-file-edit "$file"
done

%{find_lang} %{name} --with-gnome --all-name

%check
#meson_test

%files -f %{name}.lang
%doc NEWS README.md
%license LICENSE
%{_bindir}/*
%{_mandir}/man1/*
%{_metainfodir}/%{busname}.metainfo.xml
%{_datadir}/applications/*
%{_datadir}/%{name}
%{_datadir}/dbus-1/services/%{busname}.service
%{_datadir}/dbus-1/services/org.freedesktop.FileManager1.service
%{_datadir}/gnome-shell/search-providers/org.gnome.Nautilus.search-provider.ini
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/extensions-4
%{_libdir}/%{name}/extensions-4/lib%{name}-image-properties.so
%{_libdir}/%{name}/extensions-4/libtotem-properties-page.so
%{_iconsdir}/hicolor/*/apps/*gnome*.*

%files -n %{lib_name}
%{_libdir}/lib%{name}*.so.%{lib_major}{,.*}

%files -n %{gir_name}
%{_libdir}/girepository-1.0/Nautilus-%{gir_major}.typelib

%files -n %{develname}
%doc %{_datadir}/doc/nautilus/
# (tv) fix file conflict:
%exclude %{_datadir}/doc/nautilus/NEWS
%exclude %{_datadir}/doc/nautilus/README.md
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/Nautilus-%{gir_major}.gir
