Name:           nbd
Version:        3.26.1
Release:        %mkrel 1
Summary:        Network Block Device user-space tools (TCP version)
Group:          System/Servers
License:        GPLv2
URL:            https://github.com/NetworkBlockDevice/nbd
Source0:        https://github.com/NetworkBlockDevice/nbd/releases/download/%{name}-%{version}/%{name}-%{version}.tar.xz
Source1:        nbd-server.service
Source2:        nbd-server.sysconfig
Source3:        config
Source4:        nbdtab
Patch1:         0001-fix-generation-of-systemd-service.patch

BuildRequires:  gcc
BuildRequires:  autoconf-archive
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(libnl-3.0)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  systemd
BuildRequires:  bison

%description
Tools for the Linux Kernel's network block device, allowing you to use
remote block devices over a TCP/IP network.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure --enable-syslog --enable-lfs
%make_build

%install
%make_install
install -pDm644 systemd/nbd@.service %{buildroot}%{_unitdir}/nbd@.service
mkdir -p %{buildroot}%{_unitdir}/nbd@.service.d
cat > %{buildroot}%{_unitdir}/nbd@.service.d/modprobe.conf <<EOF
[Service]
ExecStartPre=/sbin/modprobe nbd
EOF
install -pDm644 %{S:1} %{buildroot}%{_unitdir}/nbd-server.service
install -pDm644 %{S:2} %{buildroot}%{_sysconfdir}/sysconfig/nbd-server
install -pDm644 %{S:3} %{buildroot}%{_sysconfdir}/nbd-server/config
install -pDm644 %{S:4} %{buildroot}%{_sysconfdir}/nbdtab

%check
# wait longer for nbd-server to fully start,
# one second may not be enough on Mageia building infra
sed -i -e 's/sleep 1/sleep 10/' tests/run/simple_test

# the test TLS fails in build system so disabling it for now
#make check

%pre
%_pre_useradd nbd /var /sbin/nologin

%post
%_post_service nbd-server

%preun
%_preun_service nbd-server

%postun
%_postun_service nbd-server
%_postun_userdel nbd

%files
%doc README.md doc/*.md doc/todo.txt
%license COPYING
%{_bindir}/nbd-server
%{_bindir}/nbd-trdump
%{_bindir}/nbd-trplay
%{_mandir}/man*/nbd*
%{_sbindir}/nbd-client
%{_sbindir}/min-nbd-client
%config(noreplace) %{_sysconfdir}/sysconfig/nbd-server
%config(noreplace) %{_sysconfdir}/nbd-server/config
%config(noreplace) %{_sysconfdir}/nbdtab
%{_unitdir}/nbd-server.service
%{_unitdir}/nbd@.service
%{_unitdir}/nbd@.service.d
