%define _localstatedir /var

Summary:	An improved FTP client
Name:		ncftp
Version:	3.2.7
Release:	%mkrel 1
Group: 		Networking/File transfer
URL:		https://www.ncftp.com/
BuildRequires:	pkgconfig(ncurses)
License:	Artistic
Source0:	ftp://ftp.ncftp.com/ncftp/ncftp-%{version}-src.tar.xz
Patch0:		ncftp-confirm.patch
Patch5:		ncftp-3.1.9-suspend.patch
Patch7:		ncftp-3.2.6-EPLF.diff
Patch8:		ncftp-3.2.3-fix-help-cmd.patch
Patch9:		ncftp-3.2.7-fix-building-with-gcc14.patch

%description
Ncftp is an improved FTP client.  Ncftp's improvements include support
for command line editing, command histories, recursive gets, automatic
anonymous logins and more.

%prep

%setup -q
%patch -P 0 -p0 -b .confirm 
%patch -P 5 -p1 -b .suspend
%patch -P 7 -p0 -b .eplf
%patch -P 8 -p1 -b .help
%patch -P 9 -p1 -b .gcc14

%build
export CFLAGS="%{optflags} -DHAVE_STDLIB_H"

%configure \
    --enable-signals
%make_build

%install
mkdir -p %{buildroot}{%{_bindir},%{_mandir}/man1}

%make_install

# yves - 3.1.1-1mdk - fix doc perm
find doc -type f -exec chmod 0644 {} \;

rm -f doc/*windows.txt

%files
%doc doc/*.txt README.txt
%{_bindir}/*
%{_mandir}/*/*


