Name:		ncmpc
Version:	0.51
Release:	%mkrel 1

Summary:	Ncurses client for MPD
License:	GPLv2
Group:		Sound/Players
URL:		https://www.musicpd.org/clients/ncmpc/
Source0:	https://www.musicpd.org/download/ncmpc/0/ncmpc-%{version}.tar.xz
Source1:	https://www.musicpd.org/download/ncmpc/0/ncmpc-%{version}.tar.xz.sig

BuildRequires:	cmake
BuildRequires:	meson
BuildRequires:	ninja
BuildRequires:	rsync
BuildRequires:	boost-devel
BuildRequires:	cmake(fmt)
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libmpdclient)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(lirc)
BuildRequires:	python3dist(sphinx)


%description
ncmpc is a curses client for the Music Player Daemon (MPD). ncmpc connects to a
MPD running on a machine on the local network, and controls this with an
interface inspired by cplay. If ncmpc is used with lirc and irpty it can be
used to manage playlists and control MPD with a remote control.


%prep
%autosetup


%build
%meson
%meson_build


%install
%meson_install

%find_lang %name

rm -rf %{buildroot}%{_pkgdocdir}/COPYING


%check
%meson_test


%files -f %name.lang
%{_docdir}/%{name}/html/
%doc README.rst AUTHORS NEWS
%doc doc/config.sample doc/keys.sample doc/ncmpc.lirc
%license COPYING
%{_bindir}/%name
%{_mandir}/man1/%{name}.1.*
