Name:		ncmpcpp
Version:	0.10.1
Release:	%mkrel 3
Summary:	An ncurses mpd client inspired by ncmpc
License:	GPLv2+
Group:		Sound/Players
URL:		https://rybczak.net/ncmpcpp/
Source0:	https://github.com/ncmpcpp/ncmpcpp/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	boost-devel
BuildRequires:	fftw-devel
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(libmpdclient)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(taglib)
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(zlib)

%description
Ncmpcpp has UI very similar to ncmpc's one, but it provides new useful features
such as support for regular expressions in search engine, extended song format,
items filtering, last.fm support, ability to sort playlist, local filesystem
browser and other minor functions.

%prep
%autosetup -p1

%build
autoreconf -fiv
%configure
%make_build

%install
%make_install

# Don't install license in docdir
rm -f %{buildroot}%{_datadir}/doc/%{name}/COPYING

%files
%doc AUTHORS CHANGELOG.md README.md doc/config doc/bindings
%license COPYING 
%_bindir/%{name}
%_mandir/man1/%{name}.*
