%define	oname	compress

Summary:	Fast compression and decompression utilities
Name:		ncompress
Version:	5.0
Release:	%mkrel 1
License:	Public Domain
Group:		Archiving/Compression
URL:		https://ncompress.sourceforge.net/
Source:		https://github.com/vapier/ncompress/archive/v%{version}/%{name}-%{version}.tar.gz
# allow to build ncompress
# ~> downstream
Patch0:		ncompress-5.0-make.patch
# from dist-git commit 0539779d937
# (praiskup: removed redundant part as -DNOFUNCDEF is defined)
# ~> downstream
Patch1:		ncompress-5.0-lfs.patch
# exit when too long filename is given (do not segfault)
# ~> #unknown
# ~> downstream
# Patch2: ncompress-4.2.4.4-filenamelen.patch
# Did not segfault, Prints error 'File name too long'
# permit files > 2GB to be compressed
# ~> #126775
Patch3:		ncompress-5.0-2GB.patch
# do not fail to compress on ppc/s390x
# ~> #207001
Patch4:		ncompress-5.0-endians.patch
# use memmove instead of memcpy
# ~> 760657
# ~> downstream
Patch5:		ncompress-5.0-memmove.patch

%description
The ncompress package contains the compress and uncompress
file compression and decompression utilities, which are compatible
with the original UNIX compress utility (.Z file extensions).  These
utilities can't handle gzipped (.gz file extensions) files, but
gzip can handle compressed files.

%prep
%autosetup -p2

%build
#- extra CFLAGS
%ifarch sparc m68k armv4l ppc s390 s390x ppc64 sparc64
ARCH_FLAGS="$ARCH_FLAGS -DBYTEORDER=1234"
%endif

%ifarch alpha ia64
ARCH_FLAGS="$ARCH_FLAGS -DNOALLIGN=0"
%endif

%make_build CFLAGS="%{optflags} %{?nc_endian} %{?nc_align}" LDFLAGS="%{ldflags}"

%install
install -m755 %{oname} -D %{buildroot}%{_bindir}/%{oname}
ln -sf %{oname} %{buildroot}%{_bindir}/uncompress
install -m644 %{oname}.1 -D %{buildroot}%{_mandir}/man1/%{oname}.1
ln -sf %{oname}.1 %{buildroot}%{_mandir}/man1/uncompress.1

%files
%doc LZW.INFO README.md Changes Acknowleds
%{_bindir}/*
%{_mandir}/man1/*
