%define major          6
%define utf8libname    %mklibname %{name}w %{major}
%define utf8cxxlibname %mklibname %{name}w++ %{major}
%define libname        %mklibname %{name} %{major}
%define cxxlibname     %mklibname %{name}++ %{major}
%define develname      %mklibname -d %{name}

%define lib5major      5
%define utf8lib5name   %mklibname %{name}w %{lib5major}
%define lib5name       %mklibname %{name} %{lib5major}
%define utf8develname  %mklibname -d %{name}w

# seems to be unused ATM, but enable cxx anyway
%bcond_without cxx

# uncomment if not used
%define revision      20240831

# rel for bumping
%define rel           1

Summary:	A CRT screen handling and optimization package
Name:		ncurses
Version:	6.5
Release:	%mkrel %{?revision:%revision.}%{rel}
License:	MIT
Group:		System/Libraries
Url:		https://www.gnu.org/software/ncurses/ncurses.html
Source0:	https://invisible-mirror.net/archives/ncurses/current/%{name}-%{version}%{?revision:-%revision}.tgz
Source4:	ncurses-resetall.sh
Source5:    	ncurses-usefull-terms
Patch0:		ncurses-5.6-xterm-debian.patch
Patch1:		ncurses-fix-pkgconfig-libs-and-cflags.patch
#to support rxvt-unicode 256 colors (bug 6835)
Patch11:	ncurses-urxvt.patch
BuildRequires:	gpm-devel
BuildRequires:	sharutils
Conflicts:	%{name}-extraterms < 6.0-20171223
Provides:	termcap = %{version}-%{release}

%description
The curses library routines are a terminal-independent method of updating
character screens with reasonable optimization. The ncurses (new curses)
library is a freely distributable replacement for the discontinued 4.4BSD
classic curses library.

%package -n	%{libname}
Summary:	Ncurses libraries
Group:		System/Libraries
Requires(pre):	filesystem >= 2.1.9-18

%description -n	%{libname}
The curses library routines are a terminal-independent method of updating
character screens with reasonable optimization. The ncurses (new curses)
library is a freely distributable replacement for the discontinued 4.4BSD
classic curses library.

%package -n     %{cxxlibname}
Summary:	Ncurses libraries
Group:		System/Libraries
Conflicts:	%{_lib}curses6 < 6.2-20210403

%description -n %{cxxlibname}
The curses library routines are a terminal-independent method of updating
character screens with reasonable optimization. The ncurses (new curses)
library is a freely distributable replacement for the discontinued 4.4BSD
classic curses library.

%package -n	%{utf8libname}
Summary:	Ncurses libraries which support UTF8
Group:		System/Libraries
Requires(pre):	filesystem >= 2.1.9-18

%description -n	%{utf8libname}
The curses library routines are a terminal-independent method of updating
character screens with reasonable optimization. The ncurses (new curses)
library is a freely distributable replacement for the discontinued 4.4BSD
classic curses library.

This package contains ncurses libraries which support wide char (UTF8),
and is not compatible with those without.

%package -n	%{utf8cxxlibname}
Summary:	Ncurses libraries which support UTF8
Group:		System/Libraries
Conflicts:	%{_lib}cursesw6 < 6.2-20210403

%description -n %{utf8cxxlibname}
The curses library routines are a terminal-independent method of updating
character screens with reasonable optimization. The ncurses (new curses)
library is a freely distributable replacement for the discontinued 4.4BSD
classic curses library.

This package contains ncurses libraries which support wide char (UTF8),
and is not compatible with those without.

%package -n	%{lib5name}
Summary:	The development files for applications which use ncurses
Group:		System/Libraries
Requires(pre):	filesystem >= 2.1.9-18

%description -n	%{lib5name}
The curses library routines are a terminal-independent method of updating
character screens with reasonable optimization. The ncurses (new curses)
library is a freely distributable replacement for the discontinued 4.4BSD
classic curses library.

%package -n	%{utf8lib5name}
Summary:	Ncurses libraries which support UTF8
Group:		System/Libraries
Requires(pre):	filesystem >= 2.1.9-18

%description -n	%{utf8lib5name}
The curses library routines are a terminal-independent method of updating
character screens with reasonable optimization. The ncurses (new curses)
library is a freely distributable replacement for the discontinued 4.4BSD
classic curses library.

This package contains ncurses libraries which support wide char (UTF8),
and is not compatible with those without.

%package	extraterms
Summary:	Some exotic terminal descriptions
Group:		System/Libraries
Requires:	ncurses = %{version}-%{release}

%description	extraterms
Install the ncurses-extraterms package if you use some exotic terminals.

%package -n	%{develname}
Summary:	The development files for applications which use ncurses
Group:		Development/C
Requires(pre):	filesystem >= 2.1.9-18
Requires:	%{libname} = %{version}-%{release}
%if %{with cxx}
Requires:	%{cxxlibname} = %{version}-%{release}
%endif
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	termcap-devel = %{version}-%{release}
Provides:	libtermcap-devel = %{version}-%{release}
# (cg) NB Manual replication of the automatically extracted requires here
# because we replace the .so symlinks with files...
%ifarch x86_64 aarch64
Provides:	devel(libncurses(64bit))
Provides:	devel(libtermcap(64bit))
%else
Provides:	devel(libncurses)
Provides:	devel(libtermcap)
%endif

%description -n	%{develname}
The header files and libraries for developing applications that use
the ncurses CRT screen handling and optimization package.

Install the ncurses-devel package if you want to develop applications
which will use ncurses.

%package -n	%{utf8develname}
Summary:	The development files for applications which use ncurses
Group:		Development/C
Requires(pre):	filesystem >= 2.1.9-18
Requires:	%{develname} = %{version}-%{release}
Requires:	%{utf8libname} = %{version}-%{release}
%if %{with cxx}
Requires:	%{utf8cxxlibname} = %{version}-%{release}
%endif
Provides:	lib%{name}w-devel = %{version}-%{release}
Provides:	ncursesw-devel = %{version}-%{release}
# (cg) NB Manual replication of the automatically extracted requires here
# because we replace the .so symlinks with files...
%ifarch x86_64 aarch64
Provides:	devel(libncursesw(64bit))
%else
Provides:	devel(libncursesw)
%endif

%description -n	%{utf8develname}
The libraries for developing applications that use ncurses CRT screen
handling and optimization package. Install it if you want to develop
applications which will use ncurses.

Note that the libraries included here supports wide char (UTF-8),
and is not compatible with those without. When linking programs with
these libraries, you will have to append a "w" to the library names,
i.e. -lformw, -lmenuw, -lncursesw, -lpanelw.

%prep
%setup -q -n %{name}-%{version}%{?revision:-%revision}
%autopatch -p1

find . -name "*.orig" -delete

# fix some permissions
chmod 755 c++/edit_cfg.sh test/listused.sh test/configure test/tracemunch

%build
export PKG_CONFIG_LIBDIR=%{_libdir}/pkgconfig

ncurses_options="\
	--with-shared \
        %{?with_cxx:--with-cxx-shared}%{!?with_cxx:--without-cxx} \
	--without-normal \
	--without-debug \
	--enable-overwrite \
	--without-profile \
	--with-gpm \
	--enable-getcap \
	--enable-const \
	--enable-hard-tabs \
	--enable-hash-map \
	--enable-no-padding \
	--enable-sigwinch \
	--without-ada \
	--enable-xmc-glitch \
	--enable-colorfgbg \
	--enable-pc-files \
	--disable-pkg-ldflags \
	--with-pkg-config-libdir=%{_libdir}/pkgconfig \
	--with-termlib=tinfo \
	--with-ticlib=tic \
	--disable-tic-depends \
	--with-ospeed=unsigned \
	--with-xterm-kbs=DEL \
	--disable-stripping \
	"

for abi in 5 6; do
  for width in normal utf8; do
    mkdir ncurses${abi}-${width}
    pushd ncurses${abi}-${width}
    CONFIGURE_TOP=..
    %configure \
    	$( echo $ncurses_options --with-abi-version=$abi
	[ $abi = 5 ] && echo --with-chtype=long
	[ $width = utf8 ] && echo --enable-widec || echo --disable-widec
	[ $abi = 6 -a $width = utf8 ] || echo --without-progs
	)

    %make_build libs
    if [ $abi -eq 6 -a $width = "utf8" ]; then
       %make_build -C progs
    fi
    popd
    done
done

%install
make -C ncurses5-normal DESTDIR=%{buildroot} install.libs
rm %{buildroot}%{_libdir}/lib{tic,tinfo}.so.%{lib5major}*
make -C ncurses5-utf8 DESTDIR=%{buildroot} install.libs

make -C ncurses6-normal DESTDIR=%{buildroot} install.libs
rm %{buildroot}%{_libdir}/lib{tic,tinfo}.so.%{major}*
make -C ncurses6-utf8 DESTDIR=%{buildroot} install.{libs,progs,data,includes,man}

chmod 755 %{buildroot}%{_libdir}/lib*.so.*.*

ln -sf ../l/linux %{buildroot}%{_datadir}/terminfo/c/console

# the resetall script
install -m 755 %{SOURCE4} %{buildroot}%{_bindir}/resetall
# we don't want this in doc
rm -f c++/demo

#
# FIXME
# OK do not time to debbug it now
#
cp %{buildroot}%{_datadir}/terminfo/x/xterm %{buildroot}%{_datadir}/terminfo/x/xterm2
cp %{buildroot}%{_datadir}/terminfo/x/xterm-new %{buildroot}%{_datadir}/terminfo/x/xterm


# We used to ship header files in ncurses subfolders, so replicate that structure
# Can't replace directory with symlink (rpm bug), so symlink all headers instead
mkdir -p %{buildroot}%{_includedir}/ncurses{,w}
for l in %{buildroot}%{_includedir}/*.h; do
    ln -s ../$(basename $l) %{buildroot}%{_includedir}/ncurses
    ln -s ../$(basename $l) %{buildroot}%{_includedir}/ncursesw
done

#
# remove unneeded/unwanted files
# have to be done before find commands below
#
rm -f %{buildroot}%{_libdir}/terminfo

# as libtinfo is now build as a separate library, some symbols used to be in
# libncurses are now in libtinfo => drop private req and expose tinfo to linker
sed -i -e 's,Requires.private,Requires,g' %{buildroot}%{_libdir}/pkgconfig/ncurses*.pc

#
# FIXME
#
(cd %{buildroot} ; find usr/share/terminfo      -type d | perl -pe 's||%%dir /|') > %{name}.list
(cd %{buildroot} ; find usr/share/terminfo -not -type d | perl -pe 's||/|')       > %{name}-extraterms.list
perl -pe 's||%{_datadir}/terminfo/|' %{SOURCE5} >> %{name}.list

perl -ni -e 'BEGIN { open F, "%{name}.list"; /^%/ or $s{$_} = 1 foreach <F>; } print unless $s{$_}' %{name}-extraterms.list

# Don't require -ltinfo when linking with --no-add-needed
# This requires us to manually add the devel() provides that would normally
# be automatic but it's likely the lesser of two evils
for l in %{buildroot}%{_libdir}/libncurses{,w}.so; do
    soname=$(basename $(readlink $l))
    rm -f $l
    echo "INPUT($soname -ltinfo)" > $l
done

rm -f %{buildroot}%{_libdir}/libcurses{,w}.so
echo "INPUT(-lncurses)" > %{buildroot}%{_libdir}/libcurses.so
echo "INPUT(-lncursesw)" > %{buildroot}%{_libdir}/libcursesw.so

echo "INPUT(-ltinfo)" > %{buildroot}%{_libdir}/libtermcap.so

%files -f %{name}.list
%doc README ANNOUNCE
%{_datadir}/tabset
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man7/*

%files -n %{lib5name}
%{_libdir}/libform.so.%{lib5major}{,.*}
%{_libdir}/libmenu.so.%{lib5major}{,.*}
%{_libdir}/libncurses.so.%{lib5major}{,.*}
%if %{with cxx}
%{_libdir}/libncurses++.so.%{lib5major}{,.*}
%endif
%{_libdir}/libpanel.so.%{lib5major}{,.*}
%{_libdir}/libtic.so.%{lib5major}{,.*}
%{_libdir}/libtinfo.so.%{lib5major}{,.*}

%files -n %{utf8lib5name}
%{_libdir}/lib*w.so.%{lib5major}{,.*}

%files -n %{libname}
%{_libdir}/libform.so.%{major}{,.*}
%{_libdir}/libmenu.so.%{major}{,.*}
%{_libdir}/libncurses.so.%{major}{,.*}
%{_libdir}/libpanel.so.%{major}{,.*}
%{_libdir}/libtic.so.%{major}{,.*}
%{_libdir}/libtinfo.so.%{major}{,.*}

%if %{with cxx}
%files -n %{cxxlibname}
%{_libdir}/libncurses++.so.%{major}{,.*}

%files -n %{utf8cxxlibname}
%{_libdir}/libncurses++w.so.%{major}{,.*}
%endif

%files -n %{utf8libname}
%{_libdir}/libformw.so.%{major}{,.*}
%{_libdir}/libmenuw.so.%{major}{,.*}
%{_libdir}/libncursesw.so.%{major}{,.*}
%{_libdir}/libpanelw.so.%{major}{,.*}

%files extraterms -f %{name}-extraterms.list
%doc README

%files -n %{develname}
%doc doc c++
%{_libdir}/libcurses.so
%{_libdir}/libform.so
%{_libdir}/libmenu.so
%if %{with cxx}
%{_libdir}/libncurses++.so
%endif
%{_libdir}/libncurses.so
%{_libdir}/libpanel.so
%{_libdir}/libtermcap.so
%{_libdir}/libtic.so
%{_libdir}/libtinfo.so
%{_libdir}/pkgconfig/form.pc
%{_libdir}/pkgconfig/menu.pc
%if %{with cxx}
%{_libdir}/pkgconfig/ncurses++.pc
%endif
%{_libdir}/pkgconfig/ncurses.pc
%{_libdir}/pkgconfig/panel.pc
%{_libdir}/pkgconfig/tic.pc
%{_libdir}/pkgconfig/tinfo.pc
%{_includedir}/*.h
%{_includedir}/ncurses
%{_mandir}/man3/*

%files -n %{utf8develname}
%{_includedir}/ncursesw
%{_libdir}/pkgconfig/*w.pc
%{_libdir}/lib*w.so
