Name:           ncview
Version:        2.1.11
Release:        %mkrel 1
Summary:        Graphic for netCDF data file
License:        GPLv3
Group:          Sciences/Other
URL:            https://cirrus.ucsd.edu/ncview/
Source0:        https://cirrus.ucsd.edu/~pierce/ncview/ncview-%{version}.tar.gz
Patch0:         %{name}-2.1.2-fix-ldflag-linking.patch
# From debian
Patch1:         incompatible-pointer-types.patch
Patch2:         format-overflow.patch
Patch3:         makefile.patch

BuildRequires:  pkgconfig(netcdf)
BuildRequires:  libnetpbm-devel
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xt)
BuildRequires:  udunits2-devel
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(libpng)

%description
Ncview is a visual browser for netCDF format files.  Typically you
would use ncview to get a quick and easy, push-button look at your
netCDF files.  You can view simple movies of the data, view along
various dimensions, take a look at the actual data values, change
color maps, invert the data, etc.


%prep
%autosetup -p1

%build
autoreconf -fi -Im4macros
%configure \
    --with-udunits2_incdir=%{_includedir}/udunits2

%make_build

%install
%make_install

mkdir -p %{buildroot}%{_mandir}/man1/
install -m 0644 data/ncview.1 %{buildroot}%{_mandir}/man1/

mkdir -p %{buildroot}%{_datadir}/%{name}/
install -m 0644 *.ncmap %{buildroot}%{_datadir}/%{name}/

mkdir -p %{buildroot}%{_sysconfdir}/X11/app-defaults
install -m 0644 Ncview-appdefaults %{buildroot}%{_sysconfdir}/X11/app-defaults/Ncview

%files
%doc README ChangeLog AUTHORS RELEASE_NOTES README.*
%license COPYING
%config(noreplace) %{_sysconfdir}/X11/app-defaults/Ncview
%{_bindir}/*
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1.*
