Name:		ndisc6
Version:	1.0.8
Release:	%mkrel 2
Summary:	IPv6 diagnostic tools

Group:		Networking/Other
License:	GPLv2 or GPLv3
URL:		https://www.remlab.net/ndisc6/
Source0:	https://www.remlab.net/files/ndisc6/%{name}-%{version}.tar.bz2
Source1:	rdnssd2.service
Source2:	rdnssd-tmpfiles.conf
Patch1:		ndisc6-var_run.patch

%description
This package gathers a few diagnostic tools for IPv6 networks:
- ndisc6, which performs ICMPv6 Neighbor Discovery in userland,
- rdisc6, which performs ICMPv6 Router Discovery in userland,
- rltraceroute6, yet another IPv6 implementation of traceroute,
- tcptraceroute6, a TCP/IPv6-based traceroute implementation,
- tracert6, a ICMPv6 Echo Request based traceroute,
- tcpspray6, a TCP/IP Discard/Echo bandwidth meter.

%package -n rdnssd
Summary:	IPv6 recursive DNS server discovery daemon
Requires(post):	systemd >= %{systemd_required_version}

%description -n rdnssd
rdnssd autoconfigures recursive DNS servers on IPv6 networks
using ICMPv6 Neighbor Discovery (RFC 5006), and can update
the DNS resolvers configuration (/etc/resolv.conf) accordingly.


%prep
%autosetup -p1

%build
autoreconf -fi
%configure --disable-suid-install
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_initrddir}
install -Dpm 755 %{SOURCE1} %{buildroot}%{_unitdir}/rdnssd.service
# create tmpfiles directory
install -d -m0755 %{buildroot}%{_tmpfilesdir}
install -m0644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/rdnssd.conf

%find_lang %name

%pre -n rdnssd
%_pre_useradd rdnssd /run/rdnssd /bin/false

%postun -n rdnssd
%_postun_userdel rdnssd

%post -n rdnssd
%_tmpfilescreate rdnssd
%_post_service rdnssd

%preun -n rdnssd
%_preun_service rdnssd

%files -f %name.lang
%doc README
%license COPYING
%{_bindir}/addr2name
%{_bindir}/dnssort
%{_bindir}/name2addr
%{_sbindir}/rdisc6
%{_sbindir}/ndisc6
%{_sbindir}/rltraceroute6
%{_bindir}/tcpspray
%{_bindir}/tcpspray6
%{_sbindir}/tcptraceroute6
%{_sbindir}/tracert6
%{_mandir}/man1/addr2name.1*
%{_mandir}/man1/dnssort.1*
%{_mandir}/man1/name2addr.1*
%{_mandir}/man1/tcpspray.1*
%{_mandir}/man1/tcpspray6.1*
%{_mandir}/man8/ndisc6.8*
%{_mandir}/man8/rdisc6.8*
%{_mandir}/man8/rltraceroute6.8*
%{_mandir}/man8/tcptraceroute6.8*
%{_mandir}/man8/tracert6.8*

%files -n rdnssd
%doc README
%license COPYING
%{_sbindir}/rdnssd
%dir %{_sysconfdir}/rdnssd
%{_unitdir}/rdnssd.service
%attr(755,root,root) %{_sysconfdir}/rdnssd/merge-hook
%{_tmpfilesdir}/rdnssd.conf
%{_mandir}/man8/rdnssd.8*
