%define _disable_ld_no_undefined 1

Summary:	Nagios Data Output Utilities
Name:		ndoutils
Version:	2.1.3
Release:	%mkrel 9
Group:		System/Servers
License:	GPL
URL:		https://www.nagios.org/
Source0:	https://downloads.sourceforge.net/nagios/ndoutils-%{version}.tar.gz
Source1:	ndo2db.service
Source2:	ndoutils.tmpfiles
Patch0:		ndoutils-2.1.2-format-security.patch
Patch1:		ndoutils-2.1.2-var-files.patch
Requires:       nagios >= 4.0
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	mysql-devel
BuildRequires:	postgresql-devel
BuildRequires:	nagios-devel
BuildRequires:	tcp_wrappers-devel

%description
The NDOUTILS (Nagios Data Output Utils) addon allows you to move status and
even information from Nagios to a database for later retrieval and processing.

%package common
Summary:    The part common to client and server parts
Group:		System/Servers

%description common
This package contains the part common to client and server parts.

%package client
Summary:    The client part of %{name}
Group:		System/Servers
Requires:   %{name}-common = %{version}-%{release}

%description client
This package contains the client part of NDOUTILS (Nagios Data Output Utils).

%package server
Summary:    The server part of %{name}
Group:		System/Servers
Requires:   %{name}-common = %{version}-%{release}

%description server
This package contains the server part of NDOUTILS (Nagios Data Output Utils).

%prep
%setup -q
%patch -P 0 -p1
%patch -P 1 -p1

%build
%serverbuild

%configure \
   --bindir=%{_sbindir} \
   --sysconfdir=%{_sysconfdir}/nagios

%make_build all

%install
install -d %{buildroot}%{_libdir}/nagios/brokers
install -d %{buildroot}%{_localstatedir}/log/nagios
install -d %{buildroot}%{_localstatedir}/cache/ndoutils

%make_install INSTALL_OPTS=""

mv %{buildroot}%{_sbindir}/ndomod.o \
    %{buildroot}%{_libdir}/nagios/brokers/ndomod.so

make install-config DESTDIR=%{buildroot} INSTALL_OPTS=""
mv %{buildroot}%{_sysconfdir}/nagios/ndo2db.cfg-sample \
    %{buildroot}%{_sysconfdir}/nagios/ndo2db.cfg
mv %{buildroot}%{_sysconfdir}/nagios/ndomod.cfg-sample \
    %{buildroot}%{_sysconfdir}/nagios/ndomod.cfg

install -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/ndo2db.service
install -D -m 644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/ndoutils.conf

cat > README.urpmi <<EOF
Mageia RPM specific notes

post-installation
-----------------
You have to:
- create a MySQL database
- create an user with at least SELECT, INSERT, UPDATE, DELETE privileges on it
- run %{_docdir}/db/mysql.sql script
EOF


%post server
%_post_service ndo2db

%preun server
%_preun_service ndo2db

%pre common
%_pre_useradd nagios /var/log/nagios /bin/sh

%postun common
%_postun_userdel nagios

%files common
%doc db docs/* Changelog README REQUIREMENTS TODO UPGRADING
%doc config/misccommands.cfg config/nagios.cfg README.urpmi

%files client
%{_sbindir}/file2sock
%{_sbindir}/log2ndo
%{_sbindir}/sockdebug
%{_libdir}/nagios/brokers
%config(noreplace) %{_sysconfdir}/nagios/ndomod.cfg

%files server
%{_unitdir}/ndo2db.service
%{_tmpfilesdir}/ndoutils.conf
%config(noreplace) %{_sysconfdir}/nagios/ndo2db.cfg
%{_sbindir}/ndo2db
