%global major   0
%define libname %mklibname %name %major
%define devname %mklibname %name -d
# -*-Mode: rpm-spec -*-

Name:     neatvnc
Version:  0.9.0
Release:  %mkrel 3
Summary:  A liberally licensed VNC server library
Group:    System/Libraries
# main source is ISC
# include/sys/queue.h is BSD
# bundled miniz is MIT and Unlicense
License:  ISC and MIT and Unlicense and BSD

URL:      https://github.com/any1/neatvnc
Source:   %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

# Backport to fix i686 builds
# From: https://github.com/any1/neatvnc/commit/e0e0ce5c579cafc763992f1c1bb964eb95999fb7
Patch:    0001-server-Use-correct-type-for-length-in-compress.patch

BuildRequires: gcc
BuildRequires: git-core
BuildRequires: meson
BuildRequires: cmake
BuildRequires: pkgconfig(gbm)
BuildRequires: pkgconfig(libavcodec)
BuildRequires: pkgconfig(libavfilter)
BuildRequires: pkgconfig(libavutil)
BuildRequires: pkgconfig(aml)
BuildRequires: pkgconfig(gnutls)
BuildRequires: pkgconfig(libdrm)
BuildRequires: pkgconfig(pixman-1)
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(libjpeg)

%description
This is a liberally licensed VNC server library that's intended to be
fast and neat. Note: This is a beta release, so the interface is not
yet stable.

%package -n %libname
Summary:  A liberally licensed VNC server library
Group:    System/Libraries

%description -n %libname
This is a liberally licensed VNC server library that's intended to be
fast and neat. Note: This is a beta release, so the interface is not
yet stable.

%package -n %devname
Group:    Development/C
Summary:  Development files for %{name}
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %devname
This package contains header files for %{name}.

%prep
%autosetup -S git_am

%build
%meson
%meson_build

%install
%meson_install

%files -n %libname
%{_libdir}/lib%{name}.so.%{major}{,.*}

%doc README.md

%license COPYING

%files -n %devname
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/*

