Name:           nec2c
Version:        1.3.3
Release:        %mkrel 1
Summary:        Translation of NEC2 antenna modeling tool from FORTRAN to C
Group:          Communications/Radio
License:        Public Domain
URL:            https://github.com/KJ7LNW/nec2c
Source0:        https://github.com/KJ7LNW/%{name}/archive/refs/tags/v%{version}/%{name}-%{version}.tar.gz
Source1:        nec2c.1
BuildRequires:  help2man
BuildRequires:  intltool
BuildRequires:  automake

%description
nec2c is a translation of the Numerical Electromagnetics Code (NEC2)
from FORTRAN to C. 

Operationally nec2c differs from NEC2 by being a command line
non-interactive program, taking as arguments the input file name
and optionally the output file name.

%prep
%autosetup -p1

%build
./autogen.sh
%configure
%make_build

%install
#skip make install and do manual install, it's just one file
install -D -m 0755 nec2c %{buildroot}%{_bindir}/nec2c
mkdir -p %{buildroot}%{_mandir}/man1
help2man -o %{buildroot}%{_mandir}/man1/%{name}.1 -h -h -v -v --no-discard-stderr -N %{buildroot}%{_bindir}/%{name}

%files
%doc AUTHORS COPYING README NEC2-bug.txt
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
