Summary:	A text editor for the X Window System
Name:		nedit
Version:	5.7
Release:	%mkrel 5
License:	GPLv2+ with exception
URL:		https://sourceforge.net/projects/nedit/
Group:		Editors
Source0:	%{name}-%{version}-src.tar.gz
Patch0:		nedit-5.4-Makefile.patch
Patch1:		nedit-5.5-security.patch
#Patch3:		nedit-5.5-64bit-fixes.patch
Patch6: 	nedit-5.5-nc-manfix.patch
Patch7: 	nedit-5.5-visfix.patch
# Fix some string literal errors - AdamW 2008/12
BuildRequires:	byacc
BuildRequires:	pkgconfig(x11)
BuildRequires:	motif-devel
BuildRequires:	pkgconfig(xt)
BuildRequires:	perl
Requires:	x11-font-adobe-100dpi

%description
NEdit is a multi-purpose text editor for the X Window System, which
combines a standard, easy to use, graphical user interface with the
thorough functionality and stability required by users who edit text
eight hours a day.

It provides intensive support for development in a wide variety of
languages, text processors, and other tools, but at the same time can
be used productively by just about anyone who needs to edit text.

%prep
%setup -q
%patch -P 0 -p1 -b .Makefile
%patch -P 1 -p1 -b .security
#patch -P 3 -p1 -b .64bit-fixes
%patch -P 6 -p1 -b .nc-manfix
%patch -P 7 -p1 -b .visfix

# make it lib64 aware
perl -pi -e "s,(/usr/X11R6)/lib\b,\1/%{_lib},g" makefiles/Makefile.linux

%build
echo | %make_build linux OPT="%{optflags} -DBUILD_UNTESTED_NEDIT %ldflags"
pushd doc
make doc man
popd

%install
(cd doc;
  mkdir -p %{buildroot}%{_mandir}/man1
  install -m 644 nedit.man %{buildroot}%{_mandir}/man1/%{name}.1
  install -m 644 nc.man %{buildroot}%{_mandir}/man1/nedit-nc.1
)
(cd source;
  mkdir -p %{buildroot}%{_bindir}
  install -m 755 nedit %{buildroot}%{_bindir}/nedit
  install -m 755 nc %{buildroot}%{_bindir}/nedit-nc
)

# Mageia menu entry

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=NEdit
Comment=A text editor for the X Window System
Exec=%{_bindir}/%{name}
Icon=editors_section
Terminal=false
Type=Application
StartupNotify=true
MimeType=text/plain;
Categories=Utility;TextEditor;
EOF

%files
%doc README ReleaseNotes doc/nedit.doc
%{_bindir}/%{name}
%{_bindir}/nedit-nc
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/nedit-nc.1*
%{_datadir}/applications/mageia-%{name}.desktop



