%global commit bb5c6235c0007dfd2da69428bc795865644fb5df
%global _internal_version %(c=%{commit}; echo ${c:0:7})
%global date 20241126
%global pb_version 6.4.0

Name:           nemo-extensions
Version:        6.4.0
#Release:        %mkrel -c %{date}.git%{_internal_version} 1
Release:        %mkrel 1
Summary:        Extensions for Nemo
Group:          Graphical desktop/Cinnamon
License:        GPLv2+ and LGPLv2
URL:            http://cinnamon.linuxmint.com

Source0:    https://github.com/linuxmint/%{name}/archive/%{version}.tar.gz#/nemo-extensions-%{version}.tar.gz
#Source0: https://github.com/linuxmint/nemo-extensions/tarball/%{_internal_version}#/nemo-extensions-%{version}.git%{_internal_version}.tar.gz
Patch0:  nemo-python-meson.patch
#Patch1:  nemo-preview-webkit2gtk-4.1.patch
Patch1: https://github.com/joequant/nemo-extensions/commit/9cd1e8909f0c536e465662c1edd949dce554e990.patch#/remove-gnome-installer.patch

BuildRequires:  pkgconfig(libnemo-extension)
BuildRequires:  python3-distutils-extra
BuildRequires:  python3-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gpgme-devel
BuildRequires:  libcryptui-devel
BuildRequires:  pkgconfig(pygobject-3.0)
BuildRequires:  gnome-common
BuildRequires:  intltool
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  libgnome-keyring-devel
BuildRequires:  gtk-doc
BuildRequires:  libnotify-devel
BuildRequires:  pkgconfig(cjs-1.0)
BuildRequires:  pkgconfig(libmusicbrainz5)
BuildRequires:  pkgconfig(evince-document-3.0)
BuildRequires:  pkgconfig(evince-view-3.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(webkit2gtk-4.1)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:  pkgconfig(gstreamer-tag-1.0)
BuildRequires:  pkgconfig(clutter-1.0)
BuildRequires:  pkgconfig(clutter-x11-1.0)
BuildRequires:  pkgconfig(clutter-gtk-1.0)
BuildRequires:  pkgconfig(clutter-gst-3.0)
BuildRequires:  pkgconfig(gcr-3)
BuildRequires:  pkgconfig(xreader-document-1.5)
BuildRequires:  pkgconfig(xreader-view-1.5)
BuildRequires:  pkgconfig(cinnamon-desktop)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  perl(XML::Parser)
BuildRequires:  meson
BuildRequires:  pkgconfig(gtksourceview-4)

%description
Extensions for Nemo

%package     -n nemo-audio-tab
Summary:     Audio tag information extension for Nemo
License:     GPLv3+
BuildArch:   noarch
Requires:    python3-mutagen
Requires:    nemo-python

%description -n nemo-audio-tab	
nemo-audio-tab is an extension to view audio tag information from the properties tab.

%package     -n nemo-pastebin
Summary:     Pastebin extension for Nemo
License:     GPLv2+
Requires:    pastebinit
Requires:    python3-nemo

%description -n nemo-pastebin
nemo-pastebin is an extension for the Nemo file manager, which allows
users to send files to pastebins just a right-click away.

%package     -n nemo-fileroller
Summary:     File Roller extension for Nemo
License:     GPLv2+
Requires:    file-roller

%description -n nemo-fileroller
This package contains the file-roller extension for the Nemo.

%package     -n python3-nemo
Summary:     Python bindings for Nemo
License:     GPLv2+
Requires:    python3-gobject3
Requires:    python3-requests
Obsoletes:   python2-nemo < %{version}-%{release}
Obsoletes:   nemo-python < %{version}-%{release}
Provides:    nemo-python = %{version}-%{release}

%description -n python3-nemo
Python bindings for Nemo

%package     -n python3-nemo-devel
Summary:     Python bindings for Nemo
License:     GPLv2+
Requires:    python3-nemo = %{version}-%{release}

%description -n python3-nemo-devel
Python bindings for Nemo

%package     -n nemo-terminal
Summary:     Nemo Terminal is a terminal embedded in Nemo
License:     GPLv3+
Requires:    python3-nemo

%description -n nemo-terminal
Nemo Terminal is a terminal embedded in Nemo

%package     -n nemo-preview
Summary:     A quick previewer for Nemo
License:     GPLv2+
Requires:    nemo

%description -n nemo-preview
Nemo Preview is a GtkClutter and Javascript-based quick previewer 
for Nemo.
It is capable of previewing documents, PDFs, sound and video files,
some text files, and possibly others in the future.

To activate the preview, left-click the file and hit space.
The preview can be closed by hitting space again, or escape.

%package     -n nemo-emblems
Summary:     Emblem support for nemo
License:     GPLv3+
BuildArch:   noarch
Requires:    python3-nemo

%description -n nemo-emblems
Restores the emblems functionality that used to be in GNOME 2.

%package     -n nemo-image-converter
Summary:     Nemo extension to mass resize images
Requires:    ImageMagick
License:     GPLv3+

%description -n nemo-image-converter
Adds a "Resize Images..." menu item to the context menu. This opens a dialog where you set the desired image size and file name.

%package     -n nemo-compare
Summary:     Context menu comparison extension for nemo
License:     GPLv3+
BuildArch:   noarch
Requires:    python3-nemo
Requires:    meld

%description -n nemo-compare
Context menu comparison extension for Nemo file manager. 

%package     -n nemo-share
Summary:     Nemo shares
License:     GPLv3+

%description -n nemo-share
Nemo shares
	
%package     -n nemo-seahorse
Summary:     PGP encryption and signing for Nemo
License:     GPLv2+ and LGPLv2
Requires:    seahorse%{?_isa}

%description -n nemo-seahorse
Seahorse nemo is an extension for nemo which allows encryption
and decryption of OpenPGP files using GnuPG. 

%prep
#autosetup -p1 -n linuxmint-nemo-extensions-%{_internal_version}
%autosetup -p1 -n nemo-extensions-%{version}
cat >> nemo-python/meson.build <<EOP
deps += dependency('gmodule-2.0')
EOP

pushd nemo-audio-tab
%py3_build	
popd

%build
pushd nemo-pastebin
%py3_build
popd

pushd nemo-fileroller
%meson
%meson_build
popd

pushd nemo-python
%meson
%meson_build
popd

pushd nemo-preview
%meson
%meson_build
popd

pushd nemo-image-converter
%meson
%meson_build
popd

pushd nemo-compare
%py3_build
popd

pushd nemo-share
%meson
%meson_build
popd

pushd nemo-seahorse
%meson
%meson_build
popd

%install
pushd nemo-audio-tab
%py3_install	
popd

pushd nemo-pastebin
%py3_install
popd

pushd nemo-fileroller
%meson_install
popd

pushd nemo-python
%meson_install
popd

pushd nemo-terminal
%py3_install
popd

pushd nemo-preview
%meson_install
popd

pushd nemo-emblems
install -pm 0644 nemo-extension/nemo-emblems.py %{buildroot}%{_datadir}/nemo-python/extensions/
chmod -x COPYING.GPL3
popd

pushd nemo-image-converter
%meson_install
popd

pushd nemo-compare
%py3_install
popd

pushd nemo-share
%meson_install
popd

pushd nemo-seahorse
%meson_install	
popd 

%files -n nemo-audio-tab
%license nemo-audio-tab/COPYING.GPL3
%{_datadir}/nemo-python/extensions/nemo-audio-tab.py
%{_datadir}/nemo-audio-tab/nemo-audio-tab.glade
%{python3_sitelib}/nemo_audio_tab-%{version}-py%{python3_version}.egg-info/

%files -n nemo-pastebin
%doc nemo-pastebin/{README,NEWS}
%license nemo-pastebin/COPYING
%{_bindir}/nemo-pastebin-configurator
%{_datadir}/nemo-python/extensions/nemo-pastebin.py
%{python3_sitelib}/nemo_pastebin-%{version}-py%{python3_version}.egg-info/
%{_datadir}/glib-2.0/schemas/nemo-pastebin.gschema.xml
%{_datadir}/nemo-pastebin/
%{_datadir}/icons/hicolor/*/apps/nemo-pastebin.*

%files -n nemo-fileroller
%doc nemo-fileroller/README
%license nemo-fileroller/COPYING
%{_libdir}/nemo/extensions-3.0/libnemo-fileroller.so

%files -n python3-nemo
%doc nemo-python/README
%doc nemo-python/examples
%license nemo-python/COPYING
%{_libdir}/nemo/extensions-3.0/libnemo-python.so
%{_datadir}/nemo-python/
%exclude %{_datadir}/nemo-python/extensions/*

%files -n python3-nemo-devel
%{_libdir}/pkgconfig/nemo-python.pc

%files -n nemo-terminal
%doc nemo-terminal/README
%license nemo-terminal/COPYING
%{_bindir}/nemo-terminal-prefs
%{_datadir}/nemo-python/extensions/nemo_terminal.py
%{_datadir}/nemo-terminal/
%{_datadir}/glib-2.0/schemas/org.nemo.extensions.nemo-terminal.gschema.xml
%{python3_sitelib}/nemo_terminal-%{version}-py%{python3_version}.egg-info/

%files -n nemo-preview
%doc nemo-preview/README
%license nemo-preview/COPYING
%{_bindir}/nemo-preview
%{_libdir}/nemo-preview/
%{_libexecdir}/nemo-preview-start
%{_datadir}/nemo-preview/
%{_datadir}/dbus-1/services/org.nemo.Preview.service

%files -n nemo-emblems
%license nemo-emblems/COPYING.GPL3
%{_datadir}/nemo-python/extensions/nemo-emblems.py*

%files -n nemo-image-converter
%doc nemo-image-converter/README
%license nemo-image-converter/COPYING
%{_libdir}/nemo/extensions-3.0/libnemo-image-converter.so
%{_datadir}/nemo-image-converter/

%files -n nemo-compare
%{_bindir}/nemo-compare-preferences
%{_datadir}/nemo-python/extensions/nemo-compare.py
%{_datadir}/nemo-compare/nemo-compare-preferences.py
%{_datadir}/nemo-compare/utils.py*
%{python3_sitelib}/nemo_compare-%{version}-py%{python3_version}.egg-info/

%files -n nemo-share
%{_datadir}/nemo-share/*
%{_datadir}/polkit-1/actions/*.policy
%{_libdir}/nemo/extensions-3.0/libnemo-share.so

%files -n nemo-seahorse
%doc nemo-seahorse/{AUTHORS,COPYING,README,NEWS,ChangeLog}
%{_bindir}/nemo-seahorse-tool
%{_libdir}/nemo/extensions-3.0/libnemo-seahorse.so
%{_datadir}/glib-2.0/schemas/org.nemo.plugins.seahorse*gschema.xml
%{_datadir}/nemo-seahorse/
%{_mandir}/man1/nemo-seahorse-tool.1.* 
