%global commit 8d48119cd9b7fa1ec601294d7067905cb3338ebc
%global _internal_version %(c=%{commit}; echo ${c:0:7})

%define gir_major 3.0
%define gir_name        %mklibname %{name}-gir %{gir_major}

%define major 1
%define libnemo_extension    %mklibname %{name}-extension %{major}
%define libname_devel   %mklibname %{name}-extension -d
%define date 20250224

%bcond_with selinux
%bcond_with tracker

Name:           nemo
Summary:        File manager for Cinnamon
Version:        6.4.5
#Release:        %mkrel -c %{date}.git%{_internal_version} 1
Release:        %mkrel 1
License:        GPLv2+ and LGPLv2+
Group:          File tools
URL:            https://github.com/linuxmint/
Source0:        %url/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
#Source0: https://github.com/linuxmint/nemo/tarball/%{_internal_version}#/nemo-%{version}.git%{_internal_version}.tar.gz

Source1:        nemo-mageia.gschema.override
Patch0:         Don-t-scale-text-size-when-zooming.patch
BuildRequires:  meson
BuildRequires:  gnome-common
BuildRequires:  intltool
BuildRequires:  rarian
BuildRequires:  pkgconfig(exempi-2.0)
BuildRequires:  pkgconfig(gail-3.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(gtk-doc)
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(libnotify)
%if %{with selinux}
BuildRequires:  pkgconfig(libselinux)
%endif
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(pygobject-3.0)
%if %{with tracker}
BuildRequires:  pkgconfig(tracker-sparql-2.0)
%endif
BuildRequires:  pkgconfig(cinnamon-desktop)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xapp)
BuildRequires:  pkgconfig(libgsf-1)

# needed for theme subpackage
BuildRequires:  gnome-themes-standard
BuildRequires:  python3-polib
BuildRequires:  python3-gobject3


Requires:	gvfs
Requires:	adwaita-icon-theme
Requires:	cinnamon-desktop
Requires:	cinnamon-translations

# the main binary links against libnemo-extension.so
# don't depend on soname, rather on exact version
Requires:       %{libnemo_extension} = %{version}-%{release}

# for GSettings schema 'org.x.apps.favorites'
# (nemo:12122): GLib-GIO-ERROR **: 12:44:33.492: Settings schema 'org.x.apps.favorites' is not installed
Requires:	xapps >= 2.0

%description
Nemo is the file manager and graphical shell for the Cinnamon desktop
that makes it easy to manage your files and the rest of your system.
It allows to browse directories on local and remote filesystems, preview
files and launch applications associated with them.
It is also responsible for handling the icons on the Cinnamon desktop.

%package -n %{libnemo_extension}
Summary: Nemo extensions library
License: LGPLv2+
Group: System/Libraries
Obsoletes: %{_lib}nemo-extension < 4.8.2-3

%description -n %{libnemo_extension}
This package provides the libraries used by nemo extensions.

%package -n %{libname_devel}
Summary: Support for developing nemo extensions
License: LGPLv2+
Group: Development/GNOME and GTK+
Requires: %{libnemo_extension} = %{version}-%{release}
Requires: %{gir_name} = %{version}-%{release}
Provides: %{name}-extension-devel = %{version}-%{release}
Obsoletes: %{_lib}nemo-devel < 4.8.2-3

%description -n %{libname_devel}
This package provides libraries and header files needed
for developing nemo extensions.

%package -n %{gir_name}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libnemo_extension} = %{version}-%{release}

%description -n %{gir_name}
GObject Introspection interface description for %{name}.

%prep
#autosetup -p1 -n linuxmint-nemo-%{_internal_version}
%autosetup -p1

%build
%meson \
  -Ddeprecated_warnings=false \
  -Dselinux=%{?with_selinux:true}%{!?with_selinux:false} \
  -Dtracker=%{?with_tracker:true}%{!?with_tracker:false} \
  -Dgtk_doc=false
%meson_build

%install
%meson_install

install -D -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/glib-2.0/schemas

# create extensions directoy
mkdir -p $RPM_BUILD_ROOT%{_libdir}/nemo/extensions-3.0/

%files
%doc AUTHORS NEWS
%license COPYING COPYING-DOCS
%{_datadir}/nemo/
%{_datadir}/applications/*
%{_datadir}/mime/packages/nemo.xml
%{_bindir}/*
%{_datadir}/icons/hicolor/*/*/*.{png,svg}
%{_datadir}/dbus-1/services/nemo.FileManager1.service
%{_datadir}/dbus-1/services/nemo.service
%{_mandir}/man1/nemo-connect-server.1.*
%{_mandir}/man1/nemo.1.*
%{_mandir}/man1/nemo-desktop.1.*
%{_libexecdir}/nemo-extensions-list
%{_datadir}/glib-2.0/schemas/*
%dir %{_libdir}/nemo/extensions-3.0/
%{_datadir}/polkit-1/actions/org.nemo.root.policy
%{_datadir}/gtksourceview-*/language-specs/nemo_action.lang
%{_datadir}/gtksourceview-*/language-specs/nemo_search_helper.lang

%files -n %{libnemo_extension}
%license COPYING.EXTENSIONS COPYING.LIB
%{_libdir}/libnemo-extension.so.%{major}{,.*}

%files -n %{libname_devel}
%{_includedir}/nemo/
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_datadir}/gir-1.0/Nemo-%{gir_major}.gir

%files -n %{gir_name}
%{_libdir}/girepository-1.0/Nemo-%{gir_major}.typelib
