#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:		neochat
Version: 25.04.0
Release:	%mkrel %{rel}
Summary:	Client for matrix, the decentralized communication protocol
Group:		Graphical desktop/KDE
License:	GPLv2 and GPLv2+ and GPLv3 and GPLv3+ and BSD
URL:		https://apps.kde.org/neochat/
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# Does not build on 32bit
ExcludeArch:	%{ix86}
# Proposed upstream

BuildRequires:	kf6-rpm-macros
BuildRequires:	reuse

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Keychain)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Multimedia)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Quick)
BuildRequires:	cmake(Qt6QuickControls2)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6WebView)

BuildRequires:	cmake(KF6Kirigami)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6Notifications)
BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6Sonnet)
BuildRequires:	cmake(KF6ItemModels)
BuildRequires:	cmake(KF6ColorScheme)
BuildRequires:	cmake(KF6Kirigami)
BuildRequires:	cmake(KF6KirigamiAddons)
BuildRequires:	cmake(KF6Purpose)
BuildRequires:	cmake(KF6QQC2DesktopStyle)
BuildRequires:	cmake(KF6KIO)
BuildRequires:	cmake(KF6WindowSystem)
BuildRequires:	cmake(KF6StatusNotifierItem)
BuildRequires:	cmake(KF6Crash)
BuildRequires:	cmake(KF6SyntaxHighlighting)
BuildRequires:	cmake(KF6DBusAddons)
BuildRequires:	cmake(KF6DocTools)

BuildRequires:	cmake(KUnifiedPush)
BuildRequires:	cmake(Olm)
BuildRequires:	cmake(QuotientQt6)
BuildRequires:	cmake(QCoro6)
BuildRequires:	cmake(KQuickImageEditor) >= 0.3.0
BuildRequires:	pkgconfig(libcmark)
BuildRequires:	pkgconfig(sqlite3)

BuildRequires:	pkgconfig(appstream-glib)
BuildRequires:	kquickcharts
BuildRequires:	qt6-qtlocation
BuildRequires:	prison
BuildRequires:	syntax-highlighting

Requires:	kirigami-addons
Requires:	kirigami
Requires:	kitemmodels
Requires:	kquickimageeditor
Requires:	kquickcharts
Requires:	qt6-qtmultimedia
Requires:	qt6-qtlocation
Requires:	qt6-qtpositioning
Requires:	qt6-qtwebview
Requires:	prison
Requires:	syntax-highlighting

# mga#33366
Requires:	secret-manager

# Missing requires useful for run in desktops != Plasma KDE
Requires:	qt6-qtdeclarative
Requires:	qqc2-desktop-style
Requires:	kunifiedpush

%description
Neochat is a client for Matrix, the decentralized communication protocol for
instant messaging. It is a fork of Spectral, using KDE frameworks, most
notably Kirigami, KConfig and KI18n.

%files -f %{name}.lang
%license LICENSES/*
%doc README.md
%{_kf6_categoriesdir}/%{name}*.categories
%{_kf6_bindir}/%{name}
%{_kf6_plugindir}/purpose/neochatshareplugin.so
%{_kf6_datadir}/krunner/dbusplugins/plasma-runner-neochat.desktop
%{_kf6_applicationsdir}/*.desktop
%{_kf6_iconsdir}/hicolor/*/apps/*
%{_kf6_metainfodir}/*.appdata.xml
%{_kf6_knotificationsdir}/%{name}.notifyrc
%{_kf6_datadir}/dbus-1/services/org.kde.neochat.service
%{_kf6_mandir}/man1/%{name}.1.*

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-man
