%define         dlver 2025-04-04

Name:           neomutt
Version:        %(echo %{dlver} | sed -s 's|-||g')
Release:        %mkrel 1
Summary:        A command line mail reader based on Mutt
Group:          Networking/Mail
License:        GPLv2
URL:            https://www.neomutt.org/
Source0:        https://github.com/neomutt/neomutt/archive/%{version}/%{name}-%{version}.tar.gz
# Add file from git master
Source1:        https://github.com/neomutt/neomutt/raw/main/auto.def#/auto-%{version}.def

Patch0:         neomutt-program-prefix.patch

BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  pkgconfig(lua) >= 5.3
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(libzstd)
BuildRequires:  pkgconfig(libidn2)
BuildRequires:  pkgconfig(libpcre2-8)
BuildRequires:  pkgconfig(libsasl2)
BuildRequires:  pkgconfig(krb5)
BuildRequires:  pkgconfig(kyotocabinet)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  gpgme-devel
BuildRequires:  doxygen
BuildRequires:  xsltproc
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl
BuildRequires:  docbook-utils
BuildRequires:  linuxdoc-tools
BuildRequires:  db-devel >= 5.3
Requires:       urlview
Requires:       sasl-plug-login
Requires:	sasl-plug-gssapi
Recommends:     mailcap
Recommends:     neomutt-doc = %{version}-%{release}

%description
What is NeoMutt?

    NeoMutt is a project of projects.
    A place to gather all the patches against Mutt.
    A place for all the developers to gather.

Hopefully this will build the community and reduce duplicated effort.

NeoMutt was created when Richard Russon (FlatCap) took all the old Mutt
patches, sorted through them, fixed them up and documented them.

%package doc
Summary:        Documentation and examples for NeoMutt
BuildArch:      noarch

%description doc
This package contains the documentation and examples for NeoMutt.

%prep
%autosetup -p1 -n %{name}-%{version}

cp %{S:1} auto.def

%build
export CC=cc
%configure \
    --lua \
    --gpgme \
    --full-doc \
    --gnutls \
    --gss \
    --ssl \
    --docdir=%{_docdir}/%{name}-doc \
    --bdb \
    --pgp \
    --smime \
    --locales-fix \
    --sasl \
    --idn2 \
    --pcre2 \
    --zstd \
    --zlib \
    --disable-idn \
    --libdir=%{_libdir} \
    --disable-maintainer-mode \
    --disable-dependency-tracking \
    --kyotocabinet \
    --with-sqlite=%{_libdir} \
    --with-lock

# neomutt automatically adds /lib and /usr/lib regardless of arch, so this fixes it
sed -i "s|L/lib|L/%{_lib}|g" Makefile
sed -i "s|L/usr/lib|L/usr/%{_lib}|g" Makefile

%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc README.* ChangeLog.md
%config(noreplace) %{_sysconfdir}/neomuttrc
%{_bindir}/neomutt
%{_datadir}/%{name}/
%{_libexecdir}/%{name}/
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*

%files doc
%{_docdir}/%{name}-doc/
