Name:           neovim-qt
Version:        0.2.18
Release:        %mkrel 3
Summary:        Neovim client library and GUI, in Qt6
Group:          Editors
License:        ISC
URL:            https://github.com/equalsraf/neovim-qt/wiki
Source0:        https://github.com/equalsraf/neovim-qt/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         neovim-qt-pic.patch

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6SvgWidgets)
BuildRequires:  pkgconfig(msgpack-c)
BuildRequires:  lua5.1-lpeg
BuildRequires:  neovim
Requires:       neovim

Provides:       nvim-qt = %{version}-%{release}

%description
Neovim client library and GUI, in Qt6.

%prep
%autosetup -p1

%build
%cmake -GNinja \
       -DWITH_QT=Qt6 \
       -DUSE_SYSTEM_MSGPACK=ON
%ninja_build -C %{_vpath_builddir}

%install
%ninja_install -C %{_vpath_builddir}

mkdir -p %{buildroot}%{_libdir}
install -Dm 0755 build/lib/libneovim-qt-gui.so %{buildroot}%{_libdir}/libneovim-qt-gui.so

%files
%license LICENSE
%doc README.md CONTRIBUTING.md
%{_bindir}/nvim-qt
%{_datadir}/applications/nvim-qt.desktop
%{_datadir}/nvim-qt/
%{_iconsdir}/hicolor/*/apps/nvim-qt.*
%{_libdir}/libneovim-qt-gui.so
