# comment out if not nightly build
#define nightly	20180604
#define gitcommit cf92a76

# rel to bump
%define rel	1

# build will override this anyway, so let's skip it
%define _fortify_cflags %nil

%define luaver	5.1

Name:		neovim
Version:	0.10.4
Release:	%mkrel %{?nightly:0.%{nightly}.git%{gitcommit}.}%{rel}
Summary:	Vim-fork focused on extensibility and usability
Group:		Editors
License:	ASL 2.0
URL:		https://neovim.io/
%if 0%{?nightly:1}
Source0:	https://github.com/neovim/neovim/archive/nightly/%{name}-%{version}-nightly%{nightly}.tar.gz
%else
Source0:	https://github.com/neovim/neovim/archive/v%{version}/%{name}-%{version}.tar.gz
%endif

Patch0:		neovim-0.5.0-bitop.patch

BuildRequires:	cmake
BuildRequires:	gperf
BuildRequires:  lua%{?luaver}-devel
BuildRequires:  lua%{?luaver}-bit32
BuildRequires:	lua%{?luaver}-lpeg
BuildRequires:	lua%{?luaver}-mpack
BuildRequires:	lua%{?luaver}-luv-devel
BuildRequires:	ninja
BuildRequires:	pkgconfig(libuv)
BuildRequires:	pkgconfig(msgpack-c)
BuildRequires:	pkgconfig(unibilium)
BuildRequires:	pkgconfig(termkey)
BuildRequires:	pkgconfig(vterm)
BuildRequires:	pkgconfig(jemalloc)
BuildRequires:	pkgconfig(libbsd)
BuildRequires:	pkgconfig(tree-sitter)
Requires:	%{name}-data >= %{version}-%{release}
Requires:	lua%{?luaver}
Provides:	nvim = %{version}-%{release}
Recommends:	xclip
Recommends:	python3dist(pynvim)
Recommends:	npm(neovim)

%description
Neovim is a project that seeks to aggressively refactor Vim in order to:

- Simplify maintenance and encourage contributions
- Split the work between multiple developers
- Enable advanced UIs without modifications to the core
- Maximize extensibility

%package data
Summary:	Data files for %{name}
BuildArch:	noarch

%description data
Data files for %{name}.

%prep
%autosetup -p1 -n %{name}-%{?nightly:nightly}%{?!nightly:%{version}}

sed -i "s|sys/end|bsd/sys/end|g" cmake.config/CMakeLists.txt

%build
%cmake	-GNinja \
	-DPREFER_LUA=ON \
	-DLUA_PRG=%{_bindir}/lua%{?luaver}
%cmake_build

%install
%cmake_install

%find_lang nvim

%files
%license LICENSE.txt
%doc CONTRIBUTING.md README.md
%{_bindir}/nvim
%{_iconsdir}/hicolor/*/apps/nvim.png
%{_datadir}/applications/nvim.desktop
%{_mandir}/man1/nvim.1*

%files data -f nvim.lang
%{_datadir}/nvim/
