%global vimfiles %{_datadir}/vim/vimfiles

Name:           nerdtree
Version:        5.0.0
Release:        %mkrel 4
Summary:        A tree explorer plugin for the editor Vim
Group:          Development/Tools

License:        WTFPL
URL:            https://www.vim.org/scripts/script.php?script_id=1658
Source0:        https://github.com/scrooloose/nerdtree/archive/%{version}/%{name}-%{version}.tar.gz

Requires:       vim-common
Requires(post): vim
Requires(postun): vim

BuildArch:      noarch

%description
The NERD tree allows you to explore your filesystem and to open files and
directories. It presents the filesystem to you in the form of a tree which
you manipulate with the keyboard and/or mouse. It also allows you
to perform simple filesystem operations.

%prep
%setup -q
%autopatch -p1

%build


%install
mkdir -p %{buildroot}%{vimfiles}
cp -ar {doc,lib,autoload,nerdtree_plugin,plugin,syntax} %{buildroot}%{vimfiles}

%post
vim -c ":helptags %{vimfiles}/doc" -c :q &> /dev/null

%postun
rm %{vimfiles}/doc/tags
vim -c ":helptags %{vimfiles}/doc" -c :q &> /dev/null


%files
%doc README.markdown
%doc %{vimfiles}/doc/*
%{vimfiles}/nerdtree_plugin/
%{vimfiles}/plugin/*
%{vimfiles}/syntax/*
%{vimfiles}/autoload/*
%{vimfiles}/lib/*
