%global __requires_exclude devel\\(libperl

%define major     40
%define libname   %mklibname net-snmp %{major}
%define develname %mklibname net-snmp -d

# (oe) never enable rpm support as it eats file descriptors like crazy
# causing the snmp daemon to die!.
%bcond_with rpm

Summary:    A collection of SNMP protocol tools and libraries
Name:       net-snmp
Version:    5.9.4
Release:    %mkrel 6
License:    BSDish
Group:      System/Servers
URL:        http://www.net-snmp.org/
Source0:    https://prdownloads.sourceforge.net/net-snmp/net-snmp-%{version}.tar.gz
Source1:    https://prdownloads.sourceforge.net/net-snmp/net-snmp-%{version}.tar.gz.asc
Source2:    snmpd.conf
Source3:    snmpd.logrotate
Source4:    snmpd.sysconfig
Source5:    snmpd.service
Source6:    snmptrapd.conf
Source7:    snmptrapd.logrotate
Source8:    snmptrapd.sysconfig
Source9:    snmptrapd.service
Source10:   net-snmp.tmpfiles
Source11:   ucd5820stat
Source12:   NOTIFICATION-TEST-MIB.txt
Source13:   TRAP-TEST-MIB.txt
Source14:   IETF-MIB-LICENSE.txt

# fedora patches
Patch1:     net-snmp-5.9-pie.patch
Patch2:     net-snmp-5.9-dir-fix.patch
Patch3:     net-snmp-5.9-multilib.patch
Patch4:     net-snmp-5.9-test-debug.patch
Patch5:     net-snmp-5.7.2-cert-path.patch
Patch6:     net-snmp-5.9-cflags.patch
Patch7:     net-snmp-5.8-Remove-U64-typedef.patch
Patch8:     net-snmp-5.7.3-iterator-fix.patch
Patch9:     net-snmp-5.9-autofs-skip.patch
Patch10:    net-snmp-5.9-coverity.patch
Patch11:    net-snmp-5.8-expand-SNMPCONFPATH.patch
Patch12:    net-snmp-5.8-duplicate-ipAddress.patch
Patch13:    net-snmp-5.9-memory-reporting.patch
Patch14:    net-snmp-5.8-man-page.patch
Patch15:    net-snmp-5.8-ipAddress-faster-load.patch
Patch16:    net-snmp-5.8-rpm-memory-leak.patch
Patch17:    net-snmp-5.9-aes-config.patch
Patch18:    net-snmp-5.8-clientaddr-error-message.patch
Patch19:    net-snmp-5.9-intermediate-certs.patch
Patch20:    net-snmp-5.9.1-remove-des.patch
Patch21:    net-snmp-libs-misunderstanding.patch
Patch22:    net-snmp-5.9-ipv6-disable-leak.patch
Patch23:    net-snmp-5.9-rpmdb.patch

# Modern RPM API means at least EL6
Patch101:   net-snmp-5.8-modern-rpm-api.patch

#disable this patch due compatibility issues
Patch102:   net-snmp-5.9-python3.patch

## Upstream patches
Patch200:   0001-Add-Linux-6.7-compatibility-parsing.patch

BuildRequires:  chrpath
BuildRequires:  lm_sensors-devel
BuildRequires:  multiarch-utils >= 1.0.3
BuildRequires:  openssl-devel
BuildRequires:  perl-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  pkgconfig(python3)
%if %{with rpm}
BuildRequires:  rpm-devel
%endif
BuildRequires:  mysql-devel

Requires:   openssl
Requires:   net-snmp-mibs
Requires:   net-snmp-utils

Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description
SNMP (Simple Network Management Protocol) is a protocol used for network
management. The NET-SNMP project includes various SNMP tools: an extensible
agent, an SNMP library, tools for requesting or setting information from SNMP
agents, tools for generating and handling SNMP traps, a version of the netstat
command which uses SNMP, and a Tk/Perl mib browser. This package contains the
snmpd and snmptrapd daemons, documentation, etc.

You will probably also want to install the net-snmp-utils package, which
contains NET-SNMP utilities.

%package -n %{libname}
Summary:    Libraries for Network management (SNMP), from the NET-SNMP project
Group:      System/Libraries
Requires:   openssl

%description -n %{libname}
The %{libname} package contains the libraries for use with the NET-SNMP
project's network management tools.

%package -n %{develname}
Summary:    The development environment for the NET-SNMP project
Group:      Development/C
Provides:   %{name}-devel = %{version}-%{release}
Provides:   libnet-snmp-devel
Requires:   %{libname} = %{version}-%{release}
Requires:   lm_sensors-devel
Requires:   perl-devel

%description -n %{develname}
The %{develname} package contains the development libraries and header
files for use with the NET-SNMP project's network management tools.

Install the net-snmp-devel package if you would like to develop applications
for use with the NET-SNMP project's network management tools.

%package    utils
Summary:    Network management utilities using SNMP, from the NET-SNMP project
Group:      Networking/Other
Requires:   %{libname} = %{version}
Requires:   openssl
Requires:   net-snmp-mibs

%description utils
The net-snmp package contains various utilities for use with the NET-SNMP
network management project.

Install this package if you need utilities for managing your network using the
SNMP protocol.

%package    tkmib
Summary:    MIB browser in TK
Group:      Networking/Other
Requires:   net-snmp-mibs
Requires:   perl(SNMP)

%description tkmib
MIB browser in TK.

%package    mibs
Summary:    MIBs for the NET-SNMP project
Group:      Networking/Other

%description mibs
The net-snmp-mibs package contains various MIBs for use with the NET-SNMP
network management project.

%package    trapd
Summary:    The trap collecting daemon for %{name}
Group:      System/Servers
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Requires:   %{name} = %{version}
Requires:   openssl
Requires:   net-snmp-mibs
Requires:   net-snmp-utils

%description trapd
The net-snmp-trapd package contains the trap collecting daemon for use with the
NET-SNMP network management project.

Install this package if you need to collect SNMP traps from your network using
the SNMP protocol.

%package -n perl-NetSNMP
Summary:    Perl utilities using SNMP, from the NET-SNMP project
Group:      Development/Perl
Requires:   net-snmp-mibs

%description -n perl-NetSNMP
NET SNMP (Simple Network Management Protocol) Perl5 Support The Simple Network
Management Protocol (SNMP) provides a framework for the exchange of management
information between agents (servers) and clients.  The NET SNMP perl5 support
files provide the perl functions for integration of SNMP into applications,
written in perl.

%package -n    python3-netsnmp
Summary:       Python utilities using SNMP, from the NET-SNMP project
Group:         Development/Python
Requires:      net-snmp-mibs
%{?python_provide:%python_provide python3-netsnmp}

%description -n python3-netsnmp
The 'netsnmp' module provides a full featured, tri-lingual SNMP (SNMPv3,
SNMPv2c, SNMPv1) client API. The 'netsnmp' module internals rely on the
Net-SNMP toolkit library.

%prep
%setup -q
cp %{SOURCE14} .

# fedora patches
%autopatch -p1

# disable failing test - see https://bugzilla.redhat.com/show_bug.cgi?id=680697
rm testing/fulltests/default/T200*

bzip2 ChangeLog

%build
%serverbuild

MIBS="host agentx smux \
     ucd-snmp/diskio tcp-mib udp-mib mibII/mta_sendmail \
     ip-mib/ipv4InterfaceTable ip-mib/ipv6InterfaceTable \
     ip-mib/ipAddressPrefixTable/ipAddressPrefixTable \
     ip-mib/ipDefaultRouterTable/ipDefaultRouterTable \
     ip-mib/ipv6ScopeZoneIndexTable ip-mib/ipIfStatsTable \
     sctp-mib rmon-mib etherlike-mib \
     ucd-snmp/lmsensorsMib"

autoreconf -fi

export CPPFLAGS="-DHAVE_ERR_GET_ERROR_ALL"

%configure \
    %{?_with_rpm} \
    --disable-static \
    --enable-shared \
    --enable-as-needed \
    --enable-blumenthal-aes \
    --enable-embedded-perl \
    --enable-ipv6 \
    --enable-local-smux \
    --enable-mfd-rewrites \
    --enable-ucd-snmp-compatibility \
    --disable-des \
    --sysconfdir=%{_sysconfdir} \
    --with-cflags="%{optflags} -fPIE" \
    --with-ldflags="%{ldflags} -lm" \
    --with-logfile="/var/log/snmpd.log" \
    --with-mib-modules="$MIBS" \
    --with-mysql \
    --with-openssl \
    --with-persistent-directory="/var/lib/net-snmp" \
    --with-perl-modules="INSTALLDIRS=vendor" \
    --with-pic \
    --with-security-modules=tsm  \
    --with-sys-location="Unknown" \
    --with-systemd \
    --with-temp-file-pattern=/run/net-snmp/snmp-tmp-XXXXXX \
    --with-transports="DTLSUDP TLSTCP" \
    --with-sys-contact="root@localhost" \
    --with-mnttab="/etc/mtab" \
    --with-default-snmp-version="3" \
    --without-kmem-usage <<EOF
EOF

%{__make}

# compile python module
pushd python
%py3_build -- --basedir=..
popd

%install
make install DESTDIR=%{buildroot} \
    ucdincludedir=%{_includedir}/net-snmp/ucd-snmp

# install python module
pushd python
%py3_install -- --basedir=..
popd

install -d %{buildroot}/var/lib/net-snmp
install -d %{buildroot}/var/agentx/master

install -d %{buildroot}%{_sysconfdir}/snmp
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_unitdir}

install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/snmp/snmpd.conf
install -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/snmpd
install -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/snmpd

install -m 644 %{SOURCE5} %{buildroot}%{_unitdir}/snmpd.service
install -m 644 dist/snmpd.socket %{buildroot}%{_unitdir}/snmpd.socket

install -m 644 %{SOURCE6} %{buildroot}%{_sysconfdir}/snmp/snmptrapd.conf
install -m 644 %{SOURCE7} %{buildroot}%{_sysconfdir}/logrotate.d/snmptrapd
install -m 644 %{SOURCE8} %{buildroot}%{_sysconfdir}/sysconfig/snmptrapd
install -m 644 %{SOURCE9} %{buildroot}%{_unitdir}/snmptrapd.service
install -m 644 dist/snmptrapd.socket %{buildroot}%{_unitdir}/snmptrapd.socket

install -D -m 644 %{SOURCE10} %{buildroot}%{_tmpfilesdir}/net-snmp.conf

install -m 0755 %{SOURCE11} %{buildroot}%{_bindir}/ucd5820stat

rm -f %{buildroot}%{_bindir}/snmpinform
rm -f %{buildroot}%{_bindir}/snmpcheck
ln -s snmptrap %{buildroot}%{_bindir}/snmpinform

# install some extra stuff...
install -m 644 mibs/NET-SNMP-MONITOR-MIB.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m 644 mibs/NET-SNMP-SYSTEM-MIB.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m 644 mibs/TUNNEL-MIB.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m 644 mibs/UCD-IPFILTER-MIB.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m 644 mibs/UCD-SNMP-MIB-OLD.txt %{buildroot}%{_datadir}/snmp/mibs/
install -m 644 mibs/ianalist %{buildroot}%{_datadir}/snmp/mibs/
install -m 644 mibs/rfclist %{buildroot}%{_datadir}/snmp/mibs/
install -m 644 mibs/rfcmibs.diff %{buildroot}%{_datadir}/snmp/mibs/
install -m 755 mibs/mibfetch %{buildroot}%{_datadir}/snmp/mibs/
install -m 755 mibs/smistrip %{buildroot}%{_datadir}/snmp/mibs/
install -m 644 mibs/Makefile.mib %{buildroot}%{_datadir}/snmp/mibs/
install -m 644 %{SOURCE12} %{buildroot}%{_datadir}/snmp/mibs/NOTIFICATION-TEST-MIB.txt
install -m 644 %{SOURCE13} %{buildroot}%{_datadir}/snmp/mibs/TRAP-TEST-MIB.txt

# prepare /var/lib/net-snmp
install -d %{buildroot}%{_localstatedir}/lib/net-snmp
install -d %{buildroot}%{_localstatedir}/lib/net-snmp/mib_indexes
install -d %{buildroot}%{_localstatedir}/lib/net-snmp/cert_indexes

# drop unwanted stuff
rm -f %{buildroot}%{_libdir}/*.la

# nuke rpath
for i in $(find %{buildroot}%{perl_vendorarch} -name "*.so"); do
	chmod u+w $i
	chrpath -d $i
done

# remove executable bit from documentation samples
chmod 644 local/passtest local/ipf-mod.pl

%multiarch_binaries %{buildroot}%{_bindir}/net-snmp-config
%multiarch_includes %{buildroot}%{_includedir}/net-snmp/net-snmp-config.h
%multiarch_binaries %{buildroot}%{_bindir}/net-snmp-create-v3-user

%post
%_post_service snmpd

%preun
%_preun_service snmpd

%post trapd
%_post_service snmptrapd

%preun trapd
%_preun_service snmptrapd

%files
%doc COPYING ChangeLog.bz2 EXAMPLE.conf FAQ NEWS TODO
%doc README README.agent-mibs README.agentx README.krb5 README.snmpv3
%doc local/passtest local/ipf-mod.pl
%doc README.thread AGENT.txt PORTING local/README.mib2c
%doc IETF-MIB-LICENSE.txt
%config(noreplace) %{_sysconfdir}/snmp/snmpd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/snmpd
%config(noreplace) %{_sysconfdir}/logrotate.d/snmpd
%dir %ghost %attr(0755, root, root) %{_rundir}/%{name}
%ghost %attr(0660, -, -) %{_rundir}/%{name}/snmpd.pid
%{_tmpfilesdir}/net-snmp.conf
%{_unitdir}/snmpd.service
%{_unitdir}/snmpd.socket
%{_bindir}/ucd5820stat
%{_sbindir}/snmpd
%{_mandir}/man5/snmpd.conf.5*
%{_mandir}/man5/snmp_config.5*
%{_mandir}/man5/snmp.conf.5*
%{_mandir}/man5/variables.5*
%{_mandir}/man5/snmpd.examples.5*
%{_mandir}/man5/snmpd.internal.5*
%{_mandir}/man8/snmpd.8*

%files trapd
%doc dist/schema-snmptrapd.sql README.sql
%config(noreplace) %{_sysconfdir}/snmp/snmptrapd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/snmptrapd
%config(noreplace) %{_sysconfdir}/logrotate.d/snmptrapd
%ghost %attr(0660, -, -) %{_rundir}/%{name}/snmptrapd.pid
%{_unitdir}/snmptrapd.service
%{_unitdir}/snmptrapd.socket
%{_sbindir}/snmptrapd
%{_mandir}/man5/snmptrapd.conf.5*
%{_mandir}/man8/snmptrapd.8*

%files utils
%{_bindir}/agentxtrap
%{_bindir}/checkbandwidth
%{_bindir}/encode_keychange
%{_bindir}/fixproc
%{_bindir}/ipf-mod.pl
%{_bindir}/mib2c
%{_bindir}/mib2c-update
%{_bindir}/net-snmp-cert
%{_bindir}/net-snmp-create-v3-user
%multiarch %{multiarch_bindir}/net-snmp-create-v3-user
%{_bindir}/snmp-bridge-mib
%{_bindir}/snmpbulkget
%{_bindir}/snmpbulkwalk
%{_bindir}/snmpconf
%{_bindir}/snmpdelta
%{_bindir}/snmpdf
%{_bindir}/snmpget
%{_bindir}/snmpgetnext
%{_bindir}/snmpinform
%{_bindir}/snmpnetstat
%{_bindir}/snmpping
%{_bindir}/snmpps
%{_bindir}/snmpset
%{_bindir}/snmpstatus
%{_bindir}/snmptable
%{_bindir}/snmptest
%{_bindir}/snmptls
%{_bindir}/snmptranslate
%{_bindir}/snmptrap
%{_bindir}/snmpusm
%{_bindir}/snmpvacm
%{_bindir}/snmpwalk
%{_bindir}/traptoemail
%{_datadir}/snmp/mib2c-data
%{_datadir}/snmp/snmpconf-data
%{_datadir}/snmp/snmp_perl.pl
%{_datadir}/snmp/snmp_perl_trapd.pl
%{_datadir}/snmp/*.conf
%{_mandir}/man1/agentxtrap.1*
%{_mandir}/man1/encode_keychange.1*
%{_mandir}/man1/fixproc.1*
%{_mandir}/man1/mib2c.1*
%{_mandir}/man1/mib2c-update.1*
%{_mandir}/man1/net-snmp-create-v3-user.1*
%{_mandir}/man1/snmp-bridge-mib.1*
%{_mandir}/man1/snmpbulkget.1*
%{_mandir}/man1/snmpbulkwalk.1*
%{_mandir}/man1/snmpcmd.1*
%{_mandir}/man1/snmpconf.1*
%{_mandir}/man1/snmpdelta.1*
%{_mandir}/man1/snmpdf.1*
%{_mandir}/man1/snmpget.1*
%{_mandir}/man1/snmpgetnext.1*
%{_mandir}/man1/snmpinform.1*
%{_mandir}/man1/snmpnetstat.1*
%{_mandir}/man1/snmpps.1*
%{_mandir}/man1/snmpset.1*
%{_mandir}/man1/snmpstatus.1*
%{_mandir}/man1/snmptable.1*
%{_mandir}/man1/snmptest.1*
%{_mandir}/man1/snmptop.1*
%{_mandir}/man1/snmptranslate.1*
%{_mandir}/man1/snmptrap.1*
%{_mandir}/man1/snmpusm.1*
%{_mandir}/man1/snmpvacm.1*
%{_mandir}/man1/snmpwalk.1*
%{_mandir}/man1/traptoemail.1*
%{_mandir}/man5/mib2c.conf.5*

%files mibs
%doc mibs/README.mibs
%{_datadir}/snmp/mibs
%dir %{_localstatedir}/lib/net-snmp
%dir %{_localstatedir}/lib/net-snmp/mib_indexes
%dir %{_localstatedir}/lib/net-snmp/cert_indexes

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog.bz2
%multiarch %{multiarch_bindir}/net-snmp-config
%dir %{multiarch_includedir}/net-snmp
%multiarch %{multiarch_includedir}/net-snmp/net-snmp-config.h
%{_bindir}/net-snmp-config
%{_libdir}/*.so
%{_includedir}/net-snmp
%{_mandir}/man3/*
%dir /var/lib/net-snmp
%dir /var/agentx/master
%{_mandir}/man1/net-snmp-config.1*
%{_libdir}/pkgconfig/netsnmp-agent.pc
%{_libdir}/pkgconfig/netsnmp.pc

%files -n perl-NetSNMP
%{perl_vendorarch}/auto/NetSNMP
%{perl_vendorarch}/auto/SNMP
%{perl_vendorarch}/SNMP.pm
%{perl_vendorarch}/NetSNMP
%{perl_vendorarch}/Bundle/MakefileSubs.pm

%{_mandir}/man3/NetSNMP*
%{_mandir}/man3/SNMP.3*

%files -n python3-netsnmp
%{python3_sitearch}/netsnmp
%{python3_sitearch}/netsnmp_python*-py*.egg-info

%files tkmib
%{_bindir}/tkmib
%{_mandir}/man1/tkmib.1*
