Summary:	The basic tools for setting up networking
Name:		net-tools
Version:	2.10
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Networking
URL:		https://sourceforge.net/projects/net-tools/
Source0:	https://sourceforge.net/projects/net-tools/files/net-tools-%{version}.tar.xz
Source1: 	net-tools-config.h
Source2: 	net-tools-config.make
Source5: 	mii-diag.c
Source6: 	mii-diag.8
Source9: 	arp-ethers.service
Source10: 	arp-ethers-tempfiles.conf
# Git formatted patches described in each patch
Patch1:		0001-Add-ether-wake-binary.patch
Patch2:		0002-Do-not-warn-about-interface-socket-not-binded.patch
Patch4:		0004-By-default-do-not-fopen-anything-in-netrom_gr.patch
Patch6:		0006-Allow-interface-stacking.patch
Patch7:		0007-Introduce-T-notrim-option-in-netstat.patch

BuildRequires:	help2man
BuildRequires:	gettext
BuildRequires:	pkgconfig(bluez)

%description
The net-tools package contains basic networking tools,
including ifconfig, netstat, route, and others.
Most of them are obsolete. For replacement check iproute2 package.

%prep
%autosetup -p1

cp %{SOURCE1} ./config.h
cp %{SOURCE2} ./config.make
cp %{SOURCE5} .
cp %{SOURCE6} ./man/en_US

%build
%set_build_flags
%make_build CC=%{__cc}

gcc ${optflags} -o mii-diag mii-diag.c

%install
%make_install BINDIR=%{_bindir} SBINDIR=%{_sbindir}

# Fix manpage locations
mv %{buildroot}%{_mandir}/de_DE %{buildroot}%{_mandir}/de
mv %{buildroot}%{_mandir}/fr_FR %{buildroot}%{_mandir}/fr
# Generate missing manpages
for tool in iptunnel ipmaddr; do
    t="%{buildroot}%{_mandir}/man8/${tool}.8"
    help2man -s8 "%{buildroot}%{_sbindir}/${tool}" --no-discard-stderr >"${t}"
done

# ifconfig and route are installed into /usr/bin by default
# mv them back to /usr/sbin (#1045445)
mv %{buildroot}%{_bindir}/ifconfig %{buildroot}%{_sbindir}
mv %{buildroot}%{_bindir}/route %{buildroot}%{_sbindir}

install -m 755 mii-diag %{buildroot}%{_sbindir}

rm %{buildroot}%{_sbindir}/rarp
rm %{buildroot}%{_mandir}/man8/rarp.8*
rm %{buildroot}%{_mandir}/de/man8/rarp.8*
rm %{buildroot}%{_mandir}/fr/man8/rarp.8*
rm %{buildroot}%{_mandir}/pt_BR/man8/rarp.8*

rm -rf %{buildroot}%{_mandir}/de/man1
rm -rf %{buildroot}%{_mandir}/fr/man1
rm -rf %{buildroot}%{_mandir}/pt_BR/man1
rm -rf %{buildroot}%{_mandir}/pt_BR/man5

# install systemd unit file
mkdir -p %{buildroot}%{_unitdir}
%{__install} -D -p -m 644 %{SOURCE9} %{buildroot}%{_unitdir}/arp-ethers.service

%find_lang %{name} --all-name --with-man

### We may add this in the future
##%%post
##%%_post_service   arp-ethers

##%%preun
##%%_preun_service  arp-ethers

%files -f %{name}.lang
%doc README ABOUT-NLS
%license COPYING
%{_bindir}/netstat
%{_sbindir}/ifconfig
%{_sbindir}/route
%{_sbindir}/arp
%{_sbindir}/ether-wake
%{_sbindir}/ipmaddr
%{_sbindir}/iptunnel
%{_sbindir}/mii-diag
%{_sbindir}/mii-tool
%{_sbindir}/nameif
%{_sbindir}/plipconfig
%{_sbindir}/slattach
%{_mandir}/man[58]/*
%attr(0644,root,root) %{_unitdir}/arp-ethers.service
