%define _disable_ld_no_undefined 1

%define major   19
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d
%define strange_ver 4-2-0

Summary:        Server for sharing files and printers with Apple Macintosh
Name:           netatalk
Epoch:          4
Version:        4.2.0
Release:        %mkrel 1
License:        GPLv2+
Group:          System/Servers
Url:            https://netatalk.sourceforge.io/
Source0:        https://github.com/Netatalk/netatalk/releases/download/%{name}-%{strange_ver}/%{name}-%{version}.tar.xz
Source2:        netatalk.pam-system-auth
Source3:        netatalk.conf
Patch3:         netatalk-systemd-execstartpre.patch

BuildRequires:  meson
BuildRequires:  bison
BuildRequires:  chrpath
BuildRequires:  flex
BuildRequires:  localsearch
BuildRequires:  pam
BuildRequires:  cracklib-devel
BuildRequires:  db-devel
BuildRequires:  krb-devel
BuildRequires:  pam-devel
BuildRequires:  quota-devel
BuildRequires:  systemtap-sdt-devel
BuildRequires:  tcp_wrappers-devel
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(libattr)
BuildRequires:  pkgconfig(libcmark)
BuildRequires:  pkgconfig(cups)
BuildRequires:  pkgconfig(libgcrypt)
BuildRequires:  pkgconfig(avahi-client)
BuildRequires:  pkgconfig(avahi-core)
BuildRequires:  pkgconfig(iniparser)
BuildRequires:  pkgconfig(libdns_sd)
BuildRequires:  pkgconfig(libacl)
BuildRequires:  pkgconfig(ldap)
BuildRequires:  pkgconfig(libevent)
BuildRequires:  pkgconfig(libtirpc)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(talloc)
BuildRequires:  pkgconfig(tinysparql-3.0)

Requires:       pam
Requires:       python3-dbus
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description
Netatalk is a freely-available Open Source AFP file server. It also provides a
kernel level implementation of the AppleTalk Protocol Suite. A *NIX/*BSD system
running Netatalk is capable of serving many Macintosh clients simultaneously
as an AppleShare file server (AFP), AppleTalk router, *NIX/*BSD print server,
and for accessing AppleTalk printers via Printer Access Protocol (PAP).
Included are a number of minor printing and debugging utilities.

%package -n %{libname}
Summary:        Runtime Library needed by %{name}
Group:          System/Libraries

%description -n %{libname}
Runtime librairy for %{name}.

%package -n %{devname}
Summary:        Development headers for %{name}
Group:          Development/C++
Requires:       %{libname} = %{epoch}:%{version}-%{release}
Provides:       %{name}-devel = %{epoch}:%{version}-%{release}
Provides:       lib%{name}-devel = %{epoch}:%{version}-%{release}

%description -n %{devname}
Headers files to build packages against %{name}.

%prep
%autosetup -p1

sed -i 's|dns_sd.h|avahi-compat-libdns_sd/dns_sd.h|' meson.build
sed -i 's|<dns_sd.h>|<avahi-compat-libdns_sd/dns_sd.h>|' etc/netatalk/afp_mdns.h

%build
%meson \
        --localstatedir=%{_sharedstatedir}                                     \
        -Ddefault_library=shared                                               \
        -Dwith-docs=man                                                        \
        -Dwith-rpath=false                                                     \
        -Dwith-cracklib=true                                                   \
        -Dwith-krbV-uam=true                                                   \
        -Dwith-overwrite=true                                                  \
        -Dwith-pam=true                                                        \
        -Dwith-pam-path=%{_sysconfdir}/pam.d                                   \
        -Dwith-spotlight=true                                                  \
        -Dwith-lockfile-path=%{_rundir}/lock/netatalk/netatalk                 \
        -Dwith-tcp-wrappers=true                                               \
        -Dwith-dbus-sysconf-path=%{_datadir}/dbus-1/system.d                   \
        -Dwith-pkgconfdir-path=%{_sysconfdir}/netatalk                         \
        -Dwith-init-style=systemd                                              \
        -Dwith-init-hooks=false                                                \
        -Dwith-uams-path=%{_libdir}/netatalk                                   \
        -Dwith-cups=true                                                       \
        -Dwith-tests=true                                                      \
        -Dwith-testsuite=true                                                  \
        -Dwith-appletalk=false
%meson_build

%install
%meson_install

cp -fp %{SOURCE2} netatalk.pam-system-auth

# install our tmpfiles config
install -Dpm644 %{SOURCE3} %{buildroot}%{_tmpfilesdir}/netatalk.conf

# Fix python shebang
%py3_shebang_fix %{buildroot}%{_bindir}/afpstats

chrpath -d %{buildroot}%{_sbindir}/afpd %{buildroot}%{_libdir}/libatalk.so*

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%license COPYING COPYRIGHT
%doc CONTRIBUTORS.md NEWS.md README.md
%doc netatalk.pam-system-auth
%dir %{_sysconfdir}/netatalk
%config(noreplace) %{_sysconfdir}/netatalk/afp.conf
%config(noreplace) %{_sysconfdir}/netatalk/dbus-session.conf
%config(noreplace) %{_sysconfdir}/netatalk/extmap.conf
%config(noreplace) %{_sysconfdir}/pam.d/netatalk
%{_sbindir}/*
%{_bindir}/*
%{_mandir}/man*/*
%{_datadir}/netatalk/
%dir %{_libdir}/netatalk
%{_libdir}/netatalk/*.so
%{_unitdir}/netatalk.service
%{_tmpfilesdir}/netatalk.conf
%{_sharedstatedir}/netatalk
%{_datadir}/dbus-1/system.d/netatalk-dbus.conf

%files -n %{libname}
%license COPYING
%{_libdir}/libatalk.so.%{major}{,.*}

%files -n %{devname}
%doc DEVELOPER.md
%license COPYING
%{_includedir}/atalk/
%{_libdir}/libatalk.so
