Name:       netcat-openbsd
Version:    1.89
Release:    %mkrel 15
Summary:    Reads and writes data across network connections using TCP or UDP
Group:      Networking/Other
License:    BSD
URL:        https://www.openbsd.org/cgi-bin/cvsweb/src/usr.bin/nc/
# source is CVS checkout
Source0:    netcat-openbsd-%{version}.tar.gz
Patch0:     openbsd-compat.patch
Patch1:     socks-b64-prototype.patch
Patch2:     silence-z.patch
Patch3:     glib-strlcpy.patch
Patch4:     no-strtonum.patch
Patch5:     pollhup.patch
Patch6:     reuseaddr.patch
# add a timeout on connexion
Patch7:     connect-timeout.patch
Patch8:     udp-scan-timeout.patch
# be verbose when receiving a connexion ( show port number )
Patch9:     verbose-numeric-port.patch
Patch10:    send-crlf.patch
Patch11:    help-version-exit.patch
Patch12:    quit-timer.patch
Patch13:    getservbyname.patch
Patch14:    gcc-warnings.patch
# add support for non openbsd plateform
Patch20:    netcat-openbsd-1.89-makefile.patch
Patch21:    netcat-openbsd-1.89-openbsd-compat.patch
BuildRequires:  glib2-devel
Provides:       netcat = 1.0

%description
The nc package contains Netcat (the program is actually nc), a simple
utility for reading and writing data across network connections, using
the TCP or UDP protocols. Netcat is intended to be a reliable back-end
tool which can be used directly or easily driven by other programs and
scripts.  Netcat is also a feature-rich network debugging and
exploration tool, since it can create many different connections and
has many built-in capabilities.

You may want to install the netcat package if you are administering a
network and you'd like to use its debugging and network exploration
capabilities.

%prep
%setup -q -n netcat-openbsd-%{version}.orig

%patch -P 20 -p1
%patch -P 21 -p1

%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1
%patch -P 4 -p1
%patch -P 5 -p1
%patch -P 6 -p1
%patch -P 7 -p1
%patch -P 8 -p1
%patch -P 9 -p1
%patch -P 10 -p1
%patch -P 11 -p1
%patch -P 12 -p1
%patch -P 13 -p1
%patch -P 14 -p1

%build
%make_build CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
install -Dpm 755 nc %{buildroot}%{_bindir}/nc-openbsd
install -Dpm 644 nc.1 %{buildroot}%{_mandir}/man1/nc-openbsd.1

# for alternatives
touch %{buildroot}%{_bindir}/nc
touch %{buildroot}%{_bindir}/netcat
touch %{buildroot}%{_mandir}/man1/nc.1%{?_extension}
touch %{buildroot}%{_mandir}/man1/netcat.1%{?_extension}

%triggerprein -- netcat-openbsd < 1.89-14
if [ -f %{_bindir}/nc ]; then
  rm -rf %{_bindir}/nc
fi
if [ -f %{_mandir}/man1/nc.1%{?_extension} ]; then
  rm -rf %{_mandir}/man1/nc.1%{?_extension}
fi

%post
%{_sbindir}/alternatives \
  --install %{_bindir}/nc nc %{_bindir}/nc-openbsd 4 \
  --slave %{_bindir}/netcat netcat %{_bindir}/nc-openbsd \
  --slave %{_mandir}/man1/nc.1.xz nc-man %{_mandir}/man1/nc-openbsd.1.xz \
  --slave %{_mandir}/man1/netcat.1.xz netcat-man %{_mandir}/man1/nc-openbsd.1.xz

%preun
if [ $1 -eq 0 ]; then
  %{_sbindir}/alternatives --remove nc %{_bindir}/nc-openbsd
fi

%files
%ghost %{_bindir}/nc
%ghost %{_bindir}/netcat
%{_bindir}/nc-openbsd
%ghost %{_mandir}/man1/nc.1*
%ghost %{_mandir}/man1/netcat.1*
%{_mandir}/man1/nc-openbsd.1*
