%define real_name nc

Name:           netcat-traditional
Version:        1.10
Release:        %mkrel 45
Summary:        Reads and writes data across network connections using TCP or UDP
License:        Public Domain
Group:          Networking/Other
URL:            https://nc110.sourceforge.net/
Source0:        https://sourceforge.net/projects/nc110/files/unix%20netcat%201.10%20by%20_Hobbit_/%5BUnnamed%20release%5D/nc110.tgz
Source1:        %{real_name}.1
Patch0:         unstripped.patch
Patch1:         glibc-resolv-h.patch
Patch2:         arm-timer.patch
Patch3:         posix-setjmp.patch
Patch4:         no-sleep-punt.patch
Patch5:         single-verbose.patch
Patch6:         use-getservbyport.patch
Patch7:         read-overflow.patch
Patch8:         inet-aton.patch
Patch9:         udp-broadcast.patch
Patch10:        quit.patch
Patch11:        dash-port.patch
Patch12:        sh-c.patch
Patch13:        tos.patch
Patch14:        rservice-buf.patch
Patch15:        so-keepalive.patch
Patch16:        nodup-stderr.patch
Patch17:        help-exit-failure.patch
Patch18:        darwin-ipproto.patch
Patch19:        select-nfds.patch
Patch20:        proxy-doc.patch
Patch30:        nc-1.10-format_not_a_string_literal_and_no_format_arguments.diff
Patch31:        nc-1.10-LDFLAGS.patch
Patch32:        missing-prototypes.patch
Patch33:        implicit-int.patch
Provides:       netcat = 1.0

%description
The nc package contains Netcat (the program is now netcat), a simple utility
for reading and writing data across network connections, using the TCP or UDP
protocols. Netcat is intended to be a reliable back-end tool which can be used
directly or easily driven by other programs and scripts. Netcat is also a
feature-rich network debugging and exploration tool, since it can create many
different connections and has many built-in capabilities.

You may want to install the netcat package if you are administering a network
and you'd like to use its debugging and network exploration capabilities.

netcat has been compiled with -DGAPING_SECURITY_HOLE turned on. I do not
believe this is as much of a security hole as the author makes it out to be,
*if* you know what you're doing (but then, if you didn't, you'd still be using
telnet ;-)). Since the spawned program will run as whatever user started
netcat, don't use -e as root. You have been warned, so if some cracker breaks
into your system due to your own stupidity, don't blame me.

A symlink to the netcat binary called 'netcat' has been installed. However, the
canonical name is still 'nc'. If you use netcat on other systems, it will
probably only be installed as 'nc', so keep this in mind when writing scripts.

%prep
%setup -q -c

%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1
%patch -P 4 -p1
%patch -P 5 -p1
%patch -P 6 -p1
%patch -P 7 -p1
%patch -P 8 -p1
%patch -P 9 -p1
%patch -P 10 -p1
%patch -P 11 -p1
%patch -P 12 -p1
%patch -P 13 -p1
%patch -P 14 -p1
%patch -P 15 -p1
%patch -P 16 -p1
%patch -P 17 -p1
%patch -P 18 -p1
%patch -P 19 -p1
%patch -P 20 -p1

%patch -P 30 -p0
%patch -P 31 -p0

%patch -P 32 -p1
%patch -P 33 -p1

%build
# Make linux ids supported, but it makes a static binary.
make CFLAGS="%{optflags}" LDFLAGS="%{ldflags}" \
          DFLAGS='-DLINUX -DTELNET -DGAPING_SECURITY_HOLE' generic

%install
install -Dpm 755 nc %{buildroot}%{_bindir}/nc-traditional
install -Dpm 644 %{SOURCE1} %{buildroot}%{_mandir}/man1/nc-traditional.1

# for alternatives
touch %{buildroot}%{_bindir}/nc
touch %{buildroot}%{_bindir}/netcat
touch %{buildroot}%{_mandir}/man1/nc.1%{?_extension}
touch %{buildroot}%{_mandir}/man1/netcat.1%{?_extension}

%triggerprein -- netcat-traditional < 1.10-45
if [ -f %{_bindir}/nc ]; then
  rm -rf %{_bindir}/nc
fi
if [ -f %{_mandir}/man1/nc.1%{?_extension} ]; then
  rm -rf %{_mandir}/man1/nc.1%{?_extension}
fi

%post
%{_sbindir}/alternatives \
  --install %{_bindir}/nc nc %{_bindir}/nc-traditional 2 \
  --slave %{_bindir}/netcat netcat %{_bindir}/nc-traditional \
  --slave %{_mandir}/man1/nc.1.xz nc-man %{_mandir}/man1/nc-traditional.1.xz \
  --slave %{_mandir}/man1/netcat.1.xz netcat-man %{_mandir}/man1/nc-traditional.1.xz

%preun
if [ $1 -eq 0 ]; then
  %{_sbindir}/alternatives --remove nc %{_bindir}/nc-traditional
fi

%files
%doc README Changelog scripts
%ghost %{_bindir}/nc
%ghost %{_bindir}/netcat
%{_bindir}/nc-traditional
%ghost %{_mandir}/man1/nc.1*
%ghost %{_mandir}/man1/netcat.1*
%{_mandir}/man1/nc-traditional.1*
