%define major		4
%define libname		%mklibname netcdf_c++ %{major}
%define develname	%mklibname netcdf_c++ -d

Summary:	Libraries to use the Unidata network Common Data Form (netCDF)
Name:		netcdf-cxx
Version:	4.2
Release:	%mkrel 16
Group:		Development/C++
License:	NetCDF
URL:		https://www.unidata.ucar.edu/software/netcdf/
Source0:	https://downloads.unidata.ucar.edu/netcdf-cxx/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(netcdf)
BuildRequires:	valgrind
BuildRequires:	texinfo
BuildRequires:	tetex-latex
BuildRequires:	groff

%description
NetCDF (network Common Data Form) is an interface for array-oriented data
access and a freely-distributed collection of software libraries for C,
Fortran, C++, and perl that provides an implementation of the interface.
The netCDF library also defines a machine-independent format for representing
scientific data. Together, the interface, library, and format support the
creation, access, and sharing of scientific data. The netCDF software was
developed at the Unidata Program Center in Boulder, Colorado.

NetCDF data is:

   o Self-Describing. A netCDF file includes information about the data it
     contains.

   o Network-transparent. A netCDF file is represented in a form that can be
     accessed by computers with different ways of storing integers, characters,
     and floating-point numbers.

   o Direct-access. A small subset of a large dataset may be accessed
     efficiently, without first reading through all the preceding data.

   o Appendable. Data can be appended to a netCDF dataset along one dimension
     without copying the dataset or redefining its structure. The structure of
     a netCDF dataset can be changed, though this sometimes causes the dataset
     to be copied.

   o Shareable. One writer and multiple readers may simultaneously access the
     same netCDF file.

%package -n	%{libname}
Summary:	C++ libraries for netcdf
Group:		System/Libraries

%description -n	%{libname}
This package contains the netCDF C++ libraries.

%package -n	%{develname}
Summary:	Development files for netcdf-c++
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{_lib}netcdf-devel < 4.2.1.1

%description -n %{develname}
This package contains the netCDF-c++ header files, shared devel libs, and
man pages.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure --enable-shared --disable-static
%make_build

%check
%__make check

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/libnetcdf_c++.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*.hh
%{_includedir}/*.h
%{_infodir}/*
%{_libdir}/libnetcdf_c++.so
