%define major		1
%define libname		%mklibname netcdf_c++4_ %{major}
%define develname	%mklibname netcdf_c++4 -d

Summary:	Appell's implementation of the C++ interface to netcdf
Name:		netcdf-cxx4
Version:	4.3.1
Release:	%mkrel 2
Group:		Development/C++
License:	NetCDF
URL:		https://github.com/Unidata/netcdf-cxx4
Source0:	https://github.com/Unidata/netcdf-cxx4/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(netcdf)
BuildRequires:	valgrind
BuildRequires:	texinfo
BuildRequires:	tetex-latex
BuildRequires:	groff

%description
The Appel's C++ implementation of netCDF-4 can be used as an
alternative to the older netCDF-3 C++ interface, to write
classic-format netCDF-3 files as well as netCDF-4 classic model
files. The new API is implemented as a layer over the netCDF-4 C
interface, which means bug fixes and performance enhancements in the C
interface will be immediately available to C++ developers as well. It
replaces a previous partial netCDF-4 C++ interface developed by Shanna
Forbes.

The new API makes use of standard C++ features such as namespaces,
exceptions, and templates, none of which were included in the first
netCDF-3 C++ API developed in the mid-90's. The earlier netCDF-3 C++
API is still supported and available in the source distribution, but
developers who are thinking of eventually upgrading to use of the
enhanced data model should consider using the present API.

%package -n	%{libname}
Summary:	C++ libraries for netcdf-4
Group:		System/Libraries

%description -n	%{libname}
This package contains the netCDF-4 C++ libraries.

%package -n	%{develname}
Summary:	Development files for netcdf-4
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{_lib}netcdf-devel < 4.2.1.1
Conflicts:	%{_lib}netcdf_c++-devel < 4.2-2

%description -n %{develname}
This package contains the netCDF-4 C++ header files, shared devel libs, and
man pages.

%prep
%setup -q

%build
%configure --enable-shared --disable-static --without-nc-config
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete
#already provided by netcdf
find  %{buildroot} -name 'libh5bzip2.so' -delete

%files -n %{libname}
%{_libdir}/libnetcdf_c++4.so.%{major}{,.*}

%files -n %{develname}
%{_bindir}/ncxx4-config
%{_includedir}/*.h
%{_includedir}/netcdf
%{_libdir}/libnetcdf_c++4.so
%{_libdir}/pkgconfig/netcdf-cxx4.pc
