%define major		7
%define libname		%mklibname netcdff %{major}
%define develname	%mklibname netcdff -d

Summary:	Fortran libraries for the Unidata network Common Data Form (netCDF)
Name:		netcdf-fortran
Version:	4.5.3
Release:	%mkrel 2
Group:		Development/Other
License:	NetCDF
URL:		https://www.unidata.ucar.edu/software/netcdf/
Source0:	https://downloads.unidata.ucar.edu/netcdf-fortran/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	gcc-gfortran
BuildRequires:	pkgconfig(netcdf)

%description
NetCDF (network Common Data Form) is an interface for array-oriented data
access and a freely-distributed collection of software libraries for C,
Fortran, C++, and perl that provides an implementation of the interface.
The netCDF library also defines a machine-independent format for representing
scientific data. Together, the interface, library, and format support the
creation, access, and sharing of scientific data. The netCDF software was
developed at the Unidata Program Center in Boulder, Colorado.

NetCDF data is:

   o Self-Describing. A netCDF file includes information about the data it
     contains.

   o Network-transparent. A netCDF file is represented in a form that can be
     accessed by computers with different ways of storing integers, characters,
     and floating-point numbers.

   o Direct-access. A small subset of a large dataset may be accessed
     efficiently, without first reading through all the preceding data.

   o Appendable. Data can be appended to a netCDF dataset along one dimension
     without copying the dataset or redefining its structure. The structure of
     a netCDF dataset can be changed, though this sometimes causes the dataset
     to be copied.

   o Shareable. One writer and multiple readers may simultaneously access the
     same netCDF file.


%package -n	%{libname}
Summary:	Fortran libraries for netcdf-4
Group:		System/Libraries
Obsoletes:	%{_lib}netcdf_fortran5 < %{version}

%description -n	%{libname}
This package contains the netCDF-4 fortran libraries.

%package -n	%{develname}
Summary:	Development files for netcdf-4
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{_lib}netcdf-devel < 4.2.1.1
Conflicts:	netcdf < 4.2.1.1

%description -n %{develname}
This package contains the netCDF-4 header files, shared devel libs, and
man pages.

%prep
%setup -q

%build
export FCFLAGS="%{optflags}"
export FFLAGS="%{optflags}"
%configure --enable-shared --disable-static
%make_build

%check
#(eatdirt) prevent to be build
#make check

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/libnetcdff.so.%{major}{,.*}
%{_libdir}/libnetcdff.settings

%files -n %{develname}
%{_bindir}/nf-config
%{_includedir}/*
%{_libdir}/libnetcdff.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*
