%define libmajor 1
%define libname %mklibname %name %libmajor
%define libnamedevel %mklibname -d %name

Name: netcf
Version: 0.2.8
Release: %mkrel 9
Group: Networking/Other
License: LGPLv2
Summary: A distribution agnostic library and tool for configuring network interfaces
URL: https://fedorahosted.org/netcf
Source: https://fedorahosted.org/released/netcf/netcf-%{version}.tar.gz
Source1: https://fedorahosted.org/released/netcf/netcf-%{version}.tar.gz.sig
# fixes from ubunto to build against libnl3
Patch2: 0002-convert-some-function-calls-to-libnl3-API.patch
Patch3: 0008-fix-libnl3-cflags-and-linking.patch
Patch4: 0009-do-not-include-net-if.patch
BuildRequires: pkgconfig(augeas) 
BuildRequires: pkgconfig(libxslt) 
BuildRequires: libnl3-devel 
BuildRequires: readline-devel

%description
netcf is

    * a library for configuring network interfaces
    * a command line tool (ncftool) to do the same from the command line
    * distribution-agnostic and supports multiple distributions and operating
      systems (well, soon, anyway)
    * sets up Ethernet interfaces, bridges, and bonds 

Both libvirt and NetworkManager need this functionality - netcf implements what
is common to both of them.

%package -n %libname
Group: System/Libraries
Summary: A distribution agnostic library for configuring network interfaces

%description -n %libname
A distribution agnostic library for configuring network interfaces

Both libvirt and NetworkManager need this functionality - netcf implements what
is common to both of them.

%package -n %libnamedevel
Group: Development/C
Summary: Development files for a library for configuring network interfaces
Requires: %libname >= %version-%release
Provides: %name-devel = %{version}

%description -n %libnamedevel
Development files for a distribution agnostic library for configuring network 
interfaces.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install
rm -f %{buildroot}/%{_libdir}/*.la

%files
%doc README NEWS AUTHORS
%{_bindir}/*
%{_datadir}/%{name}
%_libexecdir/netcf-transaction.sh
%{_mandir}/man1/ncftool.*
%_unitdir/netcf-transaction.service

%files -n %libname
%{_libdir}/*.so.%{libmajor}{,.*}

%files -n %libnamedevel
%{_libdir}/*.so
%{_includedir}/*.h
%{_libdir}/pkgconfig/%{name}.pc
