%define rev svn20110212

Name:             netemul
Version:          1.0.0
Release:          %mkrel -c %{rev} 6
Summary:          A program for simulating computer networks
Group:            Emulators
License:          LGPLv2+
URL:              https://netemul.sourceforge.net/
Source0:          %{name}-%{version}-%{rev}.tar.gz
Source1:          %{name}.1
Source2:          %{name}_ru.ts
Patch0:           %{name}-1.0.0-mga-paths.patch
Patch1:           %{name}-1.0.0-mga-without-ipedit.patch
Patch2:           %{name}-1.0.0-mga-desktop-file.patch
Patch3:           %{name}-1.0.0-mga-staticlib-for-basicnetlib.patch
Patch4:           %{name}-1.0.0-mga-open-url.patch
Patch5:           %{name}-1.0.0-without-scripttools.patch
Patch6:           %{name}-1.0.0-mga-fix-html.patch
Patch7:           %{name}-1.0.0-mga-qt5.patch
Patch8:           %{name}-1.0.0-mga-del-qt-qm.patch
BuildRequires:    pkgconfig(Qt5Core)
BuildRequires:    pkgconfig(Qt5Gui)
BuildRequires:    pkgconfig(Qt5OpenGL)
BuildRequires:    pkgconfig(Qt5PrintSupport)
BuildRequires:    pkgconfig(Qt5Script)
BuildRequires:    pkgconfig(Qt5Widgets)
BuildRequires:    pkgconfig(Qt5Xml)
BuildRequires:    qttranslations5
BuildRequires:    qttools5
Requires:         qttranslations5

%description
NetEmul is a program for simulating computer networks.
It makes possible to build, configure networks and
verify their availability. This program allows beginners
to see principles of operation and give a context
for experiments.

%prep
%setup -q -n %{name}-%{version}-%{rev}
sed -i 's/\r//g' ./doc/en/*.html
sed -i 's/\r//g' ./doc/ru/*.html
%autopatch -p1
rm -f ./translation/*.qm
cp -f %{SOURCE2} ./translation/

%build
%{_qt5_bindir}/lupdate ./%{name}.pro
%{_qt5_bindir}/lrelease ./%{name}.pro

pushd basicnetlib
%qmake_qt5
%make_build
popd

%qmake_qt5 PREFIX=%{_prefix}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}
mkdir -p %{buildroot}/%{_mandir}/man1
cp -f %{SOURCE1} %{buildroot}/%{_mandir}/man1/
for qt_tr in `ls %{_qt5_translationdir}`
do
  ln -s %{_qt5_translationdir}/$qt_tr %{buildroot}%{_datadir}/%{name}/translation/$qt_tr
done

%files
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*.png
%{_mandir}/man1/%{name}.*
