Name:           nethogs
Version:        0.8.8
Release:        %mkrel 1
Summary:        A tool resembling top for network traffic
Group:          Monitoring
License:        GPLv2
URL:            https://raboof.github.io/nethogs/
Source0:        https://github.com/raboof/nethogs/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  libstdc++-devel
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(libpcap)
BuildRequires:  gcc-c++

Requires:       ncurses

%description
NetHogs is a small "net top" tool.

Instead of breaking the traffic down per protocol or per subnet, like
most such tools do, it groups bandwidth by process and does not rely
on a special kernel module to be loaded.

So if there's suddenly a lot of network traffic, you can fire up
NetHogs and immediately see which PID is causing this, and if it's
some kind of spinning process, kill it.

%prep
%autosetup -p1

%build
%set_build_flags
%make_build

%install
%make_install PREFIX=%{_prefix}

%files
%doc DESIGN README.md
%{_sbindir}/nethogs
%{_mandir}/man*/*
