# comment out when not a pre-release
%define prerel	RC-7

Name:		netpanzer
Version:	0.9.0
Release:	%mkrel %{?prerel:0.%(sed 's/-//;s/\(.*\)/\L\1/'<<<%prerel)}.1
License:	GPLv2+
Group:		Games/Strategy
Summary:	An online multiplayer tactical warfare game
URL:		https://netpanzer.io
#Source0:	https://www.netpanzer.info/Download/NetPanzer/Releases/%%{version}/%%{name}-%%{version}-source.zip
# Upstream zip doesn't even have it's own directory, let's gain 50% size tarballing it
Source0:	https://github.com/netpanzer/netpanzer/archive/%{version}/%{name}-%{version}%{?prerel:-%prerel}.tar.gz
BuildRequires:	cmake
BuildRequires:	meson
BuildRequires:	ninja
BuildRequires:	gettext-devel
BuildRequires:	libasan-devel
BuildRequires:	libubsan-devel
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(lua-5.1)
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(physfs) >= 0.1.9
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils

%description
netPanzer is an online multiplayer tactical warfare game designed for
play across the Internet and over LAN systems. One on one games are
possible via direct connect or modem. netPanzer is designed for FAST
ACTION combat -- it is not another resource management clone. In fact,
there aren't any resources at all. Each player will have many units of
different types at their disposal. Players can fight until their units
are destroyed -- then respawn and keep on going. The game is real-time,
but it's based on quick tactical action and unit management. Battles
progress quickly and constantly; in fact, they never let up. There is no
stop in the action because there is no waiting for resources to be
collected and converted into weaponry. Players can join or leave
multiplayer games at any time.

%prep
%autosetup -p1

rm -rf subprojects/packagecache/*

%build
%meson --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}/%{name}
%meson_build

%install
%meson_install

# Desktop entry
desktop-file-install support/win32/%{name}.desktop \
  --remove-category=Application \
  --remove-key=Encoding \
  --dir %{buildroot}%{_datadir}/applications

# Icon
for d in 16 24 32 48 64 128; do
  magick support/icon/titan.png -resize ${d} ${d}.png
  install -pDm644 ${d}.png %{buildroot}%{_iconsdir}/hicolor/${d}x${d}/apps/%{name}.png
done

%find_lang %{name}

%files -f %{name}.lang
%license COPYING.txt
%doc README.md docs/SERVER-HOWTO.md docs/code-notes.txt docs/coding.txt
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
