%undefine _hardened_build

%define major		11
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Tools for manipulating graphics files in netpbm supported formats
Name:		netpbm
Version:	11.02.00
Release:	%mkrel 4
# See copyright_summary for details
License:	BSD and GPLv2 and IJG and MIT and Public Domain
Group:		Graphics/Utilities
URL:		https://netpbm.sourceforge.net/
# Source0 is prepared by
# svn export https://svn.code.sourceforge.net/p/netpbm/code/advanced netpbm-%%{version}
# svn export https://svn.code.sourceforge.net/p/netpbm/code/userguide netpbm-%%{version}/userguide
# and removing the .svn directories ( find -name "\.svn" -type d -print0 | xargs -0 rm -rf )
# Memo: tar Jcvf netpbm-%%{version}.tar.xz netpbm-%%{version}/
Source0:	netpbm-%{version}.tar.xz
Source1:	mf50-netpbm_filters
Source2:	test-images.tar.bz2
Patch0:		netpbm-security-scripts.patch
Patch1:		netpbm-security-code.patch
Patch2:		netpbm-ppmfadeusage.patch
Patch3:		netpbm-CVE-2017-2587.patch
Patch4:		netpbm-python3.patch
Patch5:		netpbm-time.patch
Patch6:		netpbm-gcc4.patch
Patch7:		netpbm-bmptopnm.patch
Patch8:		netpbm-CAN-2005-2471.patch
Patch9:		netpbm-xwdfix.patch
Patch10:	netpbm-multilib.patch
Patch11:	netpbm-glibc.patch
Patch12:	netpbm-docfix.patch
Patch13:	netpbm-cmuwtopbm.patch
Patch14:	netpbm-pamtojpeg2k.patch
Patch15:	netpbm-manfix.patch
Patch17:	netpbm-config.patch
Patch18:	netpbm-libdir-so.patch
Patch23:	netpbm-message.patch
Patch24:	netpbm-ppmtopict.patch
Patch25:	netpbm-add-missing-stdio.h-header-in-camera.c.patch
Patch26:	netpbm-c99.patch
Patch27:	netpbm-c99-2.patch
Patch28:	netpbm-fix-build-with-gcc14.patch
BuildRequires:	flex
BuildRequires:	pkgconfig(jasper)
BuildRequires:	jbig-devel
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	ghostscript
BuildRequires:	pkgconfig(libpng16)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(x11)
BuildConflicts:	svgalib-devel

%description
The netpbm package contains a library of functions which support programs for
handling various graphics file formats, including .pbm (portable bitmaps), .pgm
(portable graymaps), .pnm (portable anymaps), .ppm (portable pixmaps) and
others.

%package -n	%{libname}
Summary:        A library for handling different graphics file formats
Group:          System/Libraries

%description -n	%{libname}
The netpbm package contains a library of functions which support programs for
handling various graphics file formats, including .pbm (portable bitmaps), .pgm
(portable graymaps), .pnm (portable anymaps), .ppm (portable pixmaps) and
others.

%package -n	%{develname}
Summary:	Development tools for programs which will use the netpbm libraries
Group:		Development/C
Requires:	%{libname} >= %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	netpbm-devel = %{version}-%{release}

%description -n	%{develname}
The %{develname} package contains the header files and programmer's
documentation for developing programs which can handle the various graphics
file formats supported by the netpbm libraries.

Install %{develname} if you want to develop programs for handling the graphics
file formats supported by the netpbm libraries. You'll also need to have the
netpbm package installed.


%prep
%setup -q -a2
%autopatch -p1

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

sed -i 's/PNGVER = .*/PNGVER = 16/g' config.mk.in

rm -rf converter/other/jpeg2000/libjasper/
rm -rf converter/other/jbig/libjbig/

rm -f userguide/pammixmulti.html

%build
%set_build_flags

./configure <<EOF



















EOF

TOP=`pwd`
make \
    CC="%{__cc}" \
    LDFLAGS="%{ldflags} -L$TOP/pbm -L$TOP/pgm -L$TOP/pnm -L$TOP/ppm" \
    CFLAGS="$CFLAGS -fPIC -flax-vector-conversions -fno-strict-aliasing" \
    LADD="-lm -ljpeg" \
    TIFFLIB_DIR=%{_libdir} TIFFLIB=-ltiff TIFFINC_DIR=%{_includedir} TIFFHDR_DIR=%{_includedir} \
    JPEGLIB_DIR=%{_libdir} JPEGLIB=-ljpeg JPEGHDR_DIR=%{_includedir} JPEGINC_DIR=%{_includedir} \
    PNGLIB_DIR=%{_libdir} PNGLIB="-L%{_libdir} -lpng16" PNGINC_DIR=%{_includedir}/libpng16 PNGHDR_DIR=%{_includedir}/libpng16 \
    ZLIB_DIR=%{_libdir} ZLIB="-L%{_libdir} -lz" ZHDR_DIR=%{_includedir} \
    X11LIB_DIR=%{_libdir} X11LIB="-L%{_libdir} -lX11" X11INC_DIR=%{_includedir} X11HDR_DIR=%{_includedir} \
    JBIGLIB_DIR=%{_libdir} JBIGLIB="-L%{_libdir} -ljbig" JBIGHDR_DIR=%{_includedir} \
    XML2LIBS="NONE" LINUXSVGALIB="NONE"

# prepare man files
cd userguide
rm -f *.manual-pages
rm -f *.manfix
for i in *.html ; do
    ../buildtools/makeman ${i}
done
for i in 1 3 5 ; do
    mkdir -p man/man${i}
    mv *.${i} man/man${i}
done

%install
make package PKGDIR=%{buildroot}%{_prefix} XML2LIBS="NONE" LINUXSVGALIB="NONE"

# Ugly hack to have libs in correct dir on 64bit archs.
mkdir -p %{buildroot}%{_libdir}
if [ "%{_lib}" != "lib" ]; then
    mv %{buildroot}%{_prefix}/lib/lib* %{buildroot}%{_libdir}
fi

install -m0644 lib/libnetpbm.a %{buildroot}%{_libdir}/libnetpbm.a

# fix manpages
mkdir -p %{buildroot}%{_mandir}
cp -rp userguide/man/* %{buildroot}%{_mandir}/

# Get rid of the useless non-ascii character in pgmminkowski.1
sed -i 's/\xa0//' %{buildroot}%{_mandir}/man1/pgmminkowski.1

# Don't ship man pages for non-existent binaries and bogus ones
for i in hpcdtoppm pcdovtoppm pnmtojbig ppmsvgalib vidtoppm picttoppm jbigtopnm \
    directory error extendedopacity pam pbm pgm pnm ppm index libnetpbm_dir liberror \
    pambackground pamfixtrunc pamtogif pamtooctaveimg pamundice ppmtotga; do
    rm -f %{buildroot}%{_mandir}/man1/${i}.1
done
rm -f %{buildroot}%{_mandir}/man5/extendedopacity.5

mkdir -p %{buildroot}%{_datadir}/%{name}
mv %{buildroot}%{_prefix}/misc/*.map %{buildroot}%{_datadir}/%{name}/
mv %{buildroot}%{_prefix}/misc/rgb.txt %{buildroot}%{_datadir}/%{name}/
rm -rf %{buildroot}%{_prefix}/README
rm -rf %{buildroot}%{_prefix}/VERSION
rm -rf %{buildroot}%{_prefix}/link
rm -rf %{buildroot}%{_prefix}/misc
rm -rf %{buildroot}%{_prefix}/man
rm -rf %{buildroot}%{_prefix}/pkginfo
rm -rf %{buildroot}%{_prefix}/config_template
rm -rf %{buildroot}%{_prefix}/pkgconfig_template

mkdir -p %{buildroot}%{_datadir}/printconf/mf_rules
cp %{SOURCE1} %{buildroot}%{_datadir}/printconf/mf_rules/

mkdir -p %{buildroot}%{_datadir}/printconf/tests
cp test-images/* %{buildroot}%{_datadir}/printconf/tests/

%multiarch_includes %{buildroot}%{_includedir}/netpbm/pm_config.h

# Don't ship the static library
find %{buildroot} -name '*.a' -delete

# remove/symlink/substitute obsolete utilities
pushd %{buildroot}%{_bindir}
rm -f pgmtopbm pnmcomp
ln -s pamcomp pnmcomp
echo -e '#!/bin/sh\npamditherbw $@ | pamtopnm\n' > pgmtopbm
chmod 0755 pgmtopbm
popd

rm -rf %{buildroot}%{_prefix}/{sharedlink,staticlink}


%check
pushd test
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}
export PBM_TESTPREFIX=%{buildroot}%{_bindir}
export PBM_BINPREFIX=%{buildroot}%{_bindir}
./Execute-Tests && exit 0
popd

%files
%{_bindir}/*
%{_datadir}/%{name}/
%dir %{_datadir}/printconf
%dir %{_datadir}/printconf/mf_rules
%dir %{_datadir}/printconf/tests
%{_datadir}/printconf/mf_rules/*
%{_datadir}/printconf/tests/*
%{_mandir}/man[15]/*

%files -n %{libname}
%doc doc/*
%license doc/GPL_LICENSE.txt
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%dir %{_includedir}/netpbm
%{_includedir}/netpbm/*.h
%{multiarch_includedir}/netpbm/pm_config.h
%{_libdir}/lib*.so
%{_mandir}/man3/*
