Summary:	Performance testing tool for TCP/UDP
Name:		netperf
Version:	2.7.0
Release:	%mkrel 8.20210803git3bc455b.1
License:	MIT and BSD
Group:		Networking/Other
URL:		https://hewlettpackard.github.io/%{name}
Source0:	https://github.com/HewlettPackard/%{name}/archive/refs/heads/master.zip
Source1:	netserver.service
Patch0:		compile.mga.patch
# PR#63: netserver: do not chmod("/dev/null", 0644) when suppress_debug==1
Patch1:		https://github.com/HewlettPackard/%{name}/pull/63.patch
Patch2:		netperf-c99.patch
Patch3:		netperf-fix-build-with-gcc14.patch
BuildRequires:	lksctp-tools-devel
BuildRequires:	texinfo-tex

%description
Netperf is a benchmark that can be used to measure the performance
of many different types of networking. It provides tests for both
unidirecitonal throughput, and end-to-end latency.

The environments currently measurable by netperf include:
* TCP and UDP via BSD Sockets for both IPv4 and IPv6
* DLPI
* Unix Domain Sockets
* SCTP for both IPv4 and IPv6

%prep
%setup -qn %{name}-master
%autopatch -p1
# remove prebuilt documentation
rm doc/netperf.{html,pdf}

%build
# fix build on aarch64
autoreconf -vfi -Im4/m4
%configure \
	--enable-burst \
	--enable-dccp \
	--enable-dirty \
	--enable-histogram \
	--enable-omni \
	--enable-sdp \
	--enable-exs \
	--enable-sctp \
	--enable-unixdomain
%make_build
%make_build -C doc netperf.html netperf.pdf

%install
%make_install
install -Dpm0644 -t %{buildroot}%{_unitdir} %SOURCE1
rm -f %{buildroot}%{_infodir}/dir
rm -f doc/examples/Makefile*
chmod -x doc/examples/*

%post
%systemd_post netserver.service

%preun
%systemd_preun netserver.service

%postun
%systemd_postun_with_restart netserver.service

%files
%license COPYING
%doc AUTHORS README Release_Notes
%doc doc/netperf.pdf doc/netperf.html
%doc doc/examples
%{_bindir}/netperf
%{_bindir}/netserver
%{_unitdir}/netserver.service
%{_infodir}/netperf.*
%{_mandir}/man1/netperf.1*
%{_mandir}/man1/netserver.1*
