Name:		netrek-client-cow
Version:	3.3.2
Release:	%mkrel 3
Summary:	Netrek client
License:	MIT
Group:		Games/Other
Source0:	https://netrek.org/files/COW/%{name}-%{version}.tar.gz
Source1:	%{name}.6
URL:		https://www.netrek.org/

BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(imlib2)
BuildRequires:	pkgconfig(xxf86vm)
BuildRequires:	gmp-devel


%description
This is a client for the multiplayer game of Netrek, supporting sound,
color bitmaps, and recording and playback of games. The game itself has 
existed since 1988, and had a solid player-base, including some 
people who have been playing for nearly as long as the game has existed.


%prep
%setup -q
%autopatch -p1

%build
# Disable preprocessor line numbers to fix gmp detection
%configure CPPFLAGS=-P

#Package doesn't support concurrent make's yet. Forcing "-j1".
%__make

%install
%make_install

#Remove execute on .desktop file. Reported upstream.
chmod -x %{buildroot}%{_datadir}/applications/%{name}.desktop
install -p -m 0644 %{SOURCE1} -D %{buildroot}/%{_mandir}/man6/%{name}.6

%files
# "COPYING" is a list of authors, and not the GPL license.
%doc ChangeLog COPYING README.html README.3.01 TODO *.DOC XTREKRC.example
%doc cow.html newbie.html cow.css stars.gif netrekrc.example
%{_gamesbindir}/%{name}
%{_datadir}/pixmaps/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man6/*.6*
%license copyright.h copyright2.h
