Name:		netsniff-ng
Version:	0.6.9
Release:	%mkrel 1
Summary:	A high performance network sniffer for packet inspection
License:	GPLv2
Group:		Networking/Other
URL:		http://netsniff-ng.org/
Source:		http://www.netsniff-ng.org/pub/netsniff-ng/%{name}-%{version}.tar.gz
Patch1:		netsniff-ng-0.6.8-build-fix.patch
BuildRequires:	bison
BuildRequires:	cmake
BuildRequires:	flex
BuildRequires:	pcap-devel
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(libnl-3.0)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(geoip)
BuildRequires:	pkgconfig(libnetfilter_conntrack)
BuildRequires:	pkgconfig(libsparsehash)
BuildRequires:	pkgconfig(libnl-3.0)
BuildRequires:	pkgconfig(liburcu)
BuildRequires:	pkgconfig(libsodium)

%description
netsniff-ng is a high performance linux network sniffer for packet inspection.
Basically, it is similar to tcpdump, but it doesn't need one syscall per
packet. Instead, it uses an memory mapped area within kernelspace for accessing
packets without copying them to userspace (zero-copy mechanism).

This tool is useful for debugging your network, measuring performance
throughput or creating network statistics of incoming packets on central
network nodes like routers or firewalls.

%prep
%autosetup -p1

%build
%set_build_flags
# the current configure script doesn't support unknown options, thus we cannot
# use the generic %%configure macro
./configure --prefix='%{_prefix}' --sysconfdir='%{_sysconfdir}'

%make_build CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" DISTRO=1 ETCDIR=%{_sysconfdir} STRIP=:

%install
%make_install PREFIX=%{_prefix} ETCDIR=%{_sysconfdir}

%files
%doc AUTHORS README REPORTING-BUGS
%license COPYING
%{_sbindir}/flowtop
%{_sbindir}/netsniff-ng
%{_sbindir}/bpfc
%{_sbindir}/ifpps
%{_sbindir}/astraceroute
%{_sbindir}/trafgen
%{_sbindir}/curvetun
%{_mandir}/man8/*.8*
%dir %{_sysconfdir}/netsniff-ng
%config(noreplace) %{_sysconfdir}/netsniff-ng/*
