Name:          netsurf
Version:       3.11
Release:       %mkrel 1
Summary:       A lightweight web browser with own layout and rendering engine
Group:         Networking/WWW
License:       GPLv2+
URL:           https://www.netsurf-browser.org/
Source0:       https://download.netsurf-browser.org/netsurf/releases/source-full/netsurf-all-%{version}.tar.gz

BuildRequires: perl-HTML-Parser
BuildRequires: flex
BuildRequires: bison
BuildRequires: gperf
BuildRequires: vim-enhanced
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(libjxl)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(openssl)
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(expat)

%description
NetSurf is a lightweight web browser with own layout and rendering engine.

%prep
%autosetup -p1 -n netsurf-all-%{version}

%build
%set_build_flags
%make_build PREFIX=%{_prefix} TARGET=gtk3

%install
%make_install INSTALL_ROOT=%{buildroot} PREFIX=%{_prefix} TARGET=gtk3

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Netsurf
Comment=NetSurf is a lightweight Web-browser
Exec=netsurf-gtk3 %U
Icon=networking_www_section
Terminal=false
Type=Application
Categories=Network;WebBrowser;
EOF

%files
%doc ChangeLog.md README.md
%{_bindir}/netsurf-gtk3
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
