%define nettlemajor	8
%define hogweedmajor	6
%define libnettlename	%mklibname nettle %{nettlemajor}
%define libhogweedname	%mklibname hogweed %{hogweedmajor}
%define develname	%mklibname nettle -d

Name:		nettle
Summary:	Nettle cryptographic library
Epoch:		1
Version:	3.10.1
Release:	%mkrel 1
License:	LGPLv3+ or GPLv2+
Group:		System/Libraries
URL:		https://www.lysator.liu.se/~nisse/nettle/
Source:		https://www.lysator.liu.se/~nisse/archive/%{name}-%{version}.tar.gz
BuildRequires:	autoconf
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(gmp)
BuildRequires:	texinfo
Requires:	%{libnettlename} = %{epoch}:%{version}-%{release}
Requires:	%{libhogweedname} = %{epoch}:%{version}-%{release}

%description
Nettle is a cryptographic library that is designed to fit easily in more or less any context: 
In crypto toolkits for object-oriented languages (C++, Python, Pike, ...), in applications 
like LSH or GNUPG, or even in kernel space. 

%package -n	%{libnettlename}
Group:		System/Libraries
Summary:	Nettle shared library

%description -n	%{libnettlename}
This is the shared library part of the Nettle library.

%package -n	%{libhogweedname}
Group:		System/Libraries
Summary:	Hogweed shared library

%description -n	%{libhogweedname}
This is the shared library part of the Hogweed library.

%package -n	%{develname}
Group:		Development/C++
Summary:	Header files for compiling against Nettle library
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Requires:	%{libnettlename} = %{epoch}:%{version}-%{release}
Requires:	%{libhogweedname} = %{epoch}:%{version}-%{release}

%description -n	%{develname}
This is the development package of nettle. Install it if you want to 
compile programs using this library.

%prep
%autosetup -p1

%build
%configure --enable-shared
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog NEWS
%{_bindir}/*
%{_infodir}/*

%files -n %{libnettlename}
%{_libdir}/libnettle.so.%{nettlemajor}{,.*}

%files -n %{libhogweedname}
%{_libdir}/libhogweed.so.%{hogweedmajor}{,.*}

%files -n %{develname}
%doc AUTHORS ChangeLog NEWS
%{_libdir}/libnettle.a
%{_libdir}/libhogweed.a
%{_libdir}/libnettle.so
%{_libdir}/libhogweed.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/nettle/
