%bcond_with selinux
%bcond_without appindicator

%define nmversion	%(echo %{version} | cut -d "." -f -2)
%define	rname		network-manager-applet

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		networkmanager-applet
Summary:	Network connection manager system tray applet
Version:	1.36.0
Release:	%mkrel 1
Group:		System/Networking
License:	GPLv2+
URL:		https://wiki.gnome.org/Projects/NetworkManager
Source0:	https://download.gnome.org/sources/network-manager-applet/%{url_ver}/%{rname}-%{version}.tar.xz

BuildRequires:	gettext
BuildRequires:	meson
BuildRequires:	libiw-devel
BuildRequires:	xmllint
%if %{with appindicator}
BuildRequires:	pkgconfig(ayatana-appindicator3-0.1)
%endif
BuildRequires:	pkgconfig(gnome-bluetooth-1.0)
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libnm) >= %{nmversion}
BuildRequires:	pkgconfig(libnma)
BuildRequires:	pkgconfig(mm-glib)
BuildRequires:	pkgconfig(mobile-broadband-provider-info)
BuildRequires:	pkgconfig(gmodule-export-2.0)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gcr-3)
BuildRequires:	pkgconfig(gck-1)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(jansson)
%if %{with selinux}
BuildRequires:	pkgconfig(libselinux)
%endif
Requires:	networkmanager

Conflicts:	libnma < 1.10.4-3

%description
Network-manager-applet is a system tray applet which lets you easily
connect to different networks. It is created for any desktop environments which
provide a system tray like KDE or XFCE. It displays the available networks and
allows to easily switch between them. For encrypted networks it will prompt the
user for the key/passphrase and it can optionally store them.

%prep
%setup -q -n %{rname}-%{version}
%autopatch -p1

%build
%meson \
	%{?!with_selinux:-Dselinux=false} \
	%{?!with_appindicator:-Dappindicator=no} \
	%nil
%meson_build

%install
%meson_install

%find_lang nm-applet

%files -f nm-applet.lang
%license COPYING
%doc CONTRIBUTING NEWS README*
%{_bindir}/nm-connection-editor
%{_bindir}/nm-applet
%{_datadir}/applications/nm-connection-editor.desktop
%{_datadir}/applications/nm-applet.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_sysconfdir}/xdg/autostart/nm-applet.desktop
%{_datadir}/GConf/gsettings/nm-applet.convert
%{_datadir}/glib-2.0/schemas/org.gnome.nm-applet.gschema.xml
%{_mandir}/man1/nm-applet.1*
%{_mandir}/man1/nm-connection-editor.1*
%{_metainfodir}/nm-connection-editor.appdata.xml
