%global ppp_ver %(rpm -q --queryformat "%{VERSION}" ppp)

Summary:	L2TP and L2TP/IPsec support for NetworkManager
Name:		networkmanager-l2tp
Version:	1.20.20
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Networking
URL:		https://github.com/nm-l2tp/network-manager-l2tp
Source0:	https://github.com/nm-l2tp/network-manager-l2tp/archive/%{version}/network-manager-l2tp-%{version}.tar.gz
Patch0:		0001-Fix-build-with-Wl-no-undefined.patch
BuildRequires:	gettext-devel
BuildRequires:	git-core
BuildRequires:	intltool
BuildRequires:	ppp-devel
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libcrypto)
BuildRequires:	pkgconfig(libnma)
BuildRequires:	pkgconfig(libnm)
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(nss)
Requires:	networkmanager
Requires:	ppp = %{ppp_ver}
Requires:	xl2tpd
Recommends:	openswan

%description
This package contains software for integrating the L2TP VPN
with NetworkManager and the GNOME desktop.

%prep
%autosetup -p1 -n NetworkManager-l2tp-%{version} -Sgit_am

%build
NOCONFIGURE=1 ./autogen.sh
%configure \
	--disable-static \
	--with-pppd-plugin-dir=%{_libdir}/pppd/%{ppp_ver} \
	--without-libnm-glib
%make_build

%install
%make_install

# replaced by file in /usr/lib/NetworkManager/VPN/
rm -rf %{buildroot}%{_sysconfdir}/NetworkManager/VPN/nm-l2tp-service.name

find %{buildroot} -name '*.la' -delete

%find_lang NetworkManager-l2tp

%files -f NetworkManager-l2tp.lang
%doc AUTHORS README.md
%{_prefix}/lib/NetworkManager/VPN/nm-l2tp-service.name
%{_libdir}/NetworkManager/libnm-vpn-plugin-l2tp-editor.so
%{_libdir}/NetworkManager/libnm-vpn-plugin-l2tp.so
%{_libdir}/pppd/%{ppp_ver}/nm-l2tp-pppd-plugin.so
%{_libexecdir}/nm-l2tp-auth-dialog
%{_libexecdir}/nm-l2tp-service
%{_datadir}/dbus-1/system.d/nm-l2tp-service.conf
%{_metainfodir}/network-manager-l2tp.metainfo.xml
