%define nmversion	%(echo %{version} | cut -d "." -f -2)
%define url_ver		%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%bcond_without gtk4

Summary:	NetworkManager VPN integration for openconnect
Name:		networkmanager-openconnect
Version:	1.2.10
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Base
URL:		https://wiki.gnome.org/Projects/NetworkManager
Source:		https://download.gnome.org/sources/NetworkManager-openconnect/%{url_ver}/NetworkManager-openconnect-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.74
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) > 2.91.4
BuildRequires:	pkgconfig(libnma) >= %{nmversion}
%if %with gtk4
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(libnma-gtk4)
%endif
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(openconnect)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(libsecret-unstable)
BuildRequires:  pkgconfig(gmodule-2.0) >= 2.40.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.40.0
BuildRequires:	pkgconfig(webkit2gtk-4.1)
#
BuildRequires:	intltool
BuildRequires:	gettext
Requires:	openconnect
Obsoletes:	openconnect-nm-auth-dialog

Provides:	networkmanager-openconnect-gnome = %{version}-%{release}

%description
This package contains software for integrating the openconnect VPN software
with NetworkManager.

%prep
%setup -q -n NetworkManager-openconnect-%{version}
%autopatch -p1

%build
intltoolize --automake --copy
autoreconf -fvi
LDFLAGS="%ldflags -lgmodule-2.0 -lgobject-2.0" \
%configure \
    --disable-static \
    --without-libnm-glib \
    --with-gnome \
%if %with gtk4
    --with-gtk4 \
%else
    --without-gtk4 \
%endif
    --with-authdlg \
    --with-dist-version="%product_distribution %product_version" \
    --disable-more-warnings
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

%find_lang NetworkManager-openconnect

%pre
%{_sbindir}/groupadd -r nm-openconnect &>/dev/null || :
%{_sbindir}/useradd  -r -s /sbin/nologin -d / -M \
                     -c 'NetworkManager user for OpenConnect' \
                     -g nm-openconnect nm-openconnect &>/dev/null || :

%files -f NetworkManager-openconnect.lang
%doc AUTHORS ChangeLog COPYING
%{_libdir}/NetworkManager/lib*.so*
%{_usr}/lib/NetworkManager/VPN/nm-openconnect-service.name
%{_libexecdir}/nm-openconnect-auth-dialog
%{_datadir}/dbus-1/system.d/nm-openconnect-service.conf
%{_libexecdir}/nm-openconnect-service
%{_libexecdir}/nm-openconnect-service-openconnect-helper
%{_metainfodir}/network-manager-openconnect.metainfo.xml
