%define nmversion	1.10
%define url_ver		%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

# filter out plugin .so provides
%global __provides_exclude_from	%{_libdir}/NetworkManager/.*\\.so

%bcond_without gtk4

Summary:	NetworkManager VPN integration for OpenVPN
Name:		networkmanager-openvpn
Epoch:		1
Version:	1.12.0
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Base
URL:		https://wiki.gnome.org/Projects/NetworkManager
Source:		https://download.gnome.org/sources/NetworkManager-openvpn/%{url_ver}/NetworkManager-openvpn-%{version}.tar.xz
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.74
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) > 2.91.4
BuildRequires:	pkgconfig(libnma) >= %{nmversion}
%if %with gtk4
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(libnma-gtk4)
%endif
BuildRequires:	pkgconfig(libsecret-unstable)
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.40.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.40.0
BuildRequires:	libtool
BuildRequires:	intltool
BuildRequires:	gettext
BuildRequires:	gnome-common
Requires:	openvpn >= 2.1

Provides:	networkmanager-openvpn-gnome = %{version}-%{release}

%description
This package contains software for integrating the OpenVPN VPN software
with NetworkManager.

%prep
%autosetup -p1 -n NetworkManager-openvpn-%{version}

%build
NOCONFIGURE=yes gnome-autogen.sh
LDFLAGS="%ldflags -lgmodule-2.0 -lgobject-2.0" \
%configure \
    --disable-static \
%if %with gtk4
    --with-gtk4 \
%else
    --without-gtk4 \
%endif
    --with-dist-version="%product_distribution %product_version"
%make_build

%install
%make_install

%find_lang NetworkManager-openvpn

%pre
%_pre_useradd nm-openvpn %{_localstatedir}/lib/openvpn /bin/false

%files -f NetworkManager-openvpn.lang
%doc AUTHORS NEWS README
%license COPYING
%{_libdir}/NetworkManager/libnm-vpn-plugin-openvpn.so
%{_libdir}/NetworkManager/libnm-vpn-plugin-openvpn-editor.so
%if %with gtk4
%{_libdir}/NetworkManager/libnm-gtk4-vpn-plugin-openvpn-editor.so
%endif
%{_usr}/lib/NetworkManager/VPN/nm-openvpn-service.name
%{_libexecdir}/nm-openvpn-auth-dialog
%{_libexecdir}/nm-openvpn-service
%{_libexecdir}/nm-openvpn-service-openvpn-helper
%config(noreplace) %{_datadir}/dbus-1/system.d/nm-openvpn-service.conf
%{_metainfodir}/network-manager-openvpn.metainfo.xml
