%global ppp_ver %(rpm -q --queryformat "%{VERSION}" ppp)

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%bcond_without gtk4

Summary:	NetworkManager VPN integration for PPTP
Name:		networkmanager-pptp
Epoch:		1
Version:	1.2.12
Release:	%mkrel 1
License:	GPLv2+
URL:		https://wiki.gnome.org/Projects/NetworkManager
Group:		System/Base
Source0:	https://download.gnome.org/sources/NetworkManager-pptp/%{url_ver}/NetworkManager-pptp-%version.tar.xz
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libnma)
%if %with gtk4
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(libnma-gtk4)
%endif
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:  libtool
BuildRequires:	intltool
BuildRequires:  gnome-common
BuildRequires:	ppp-devel
Requires:	networkmanager
Requires:	pptp-linux
Requires:	ppp = %{ppp_ver}

%description
This package contains software for integrating the PPTP VPN
with NetworkManager and the GNOME desktop.

%prep
%autosetup -p1 -n NetworkManager-pptp-%{version}

%build
%configure \
	--disable-static \
	--with-pppd-plugin-dir=%{_libdir}/pppd/%{ppp_ver} \
%if %with gtk4
	--with-gtk4
%else
	--without-gtk4
%endif

%make_build

%install
%make_install

%find_lang NetworkManager-pptp

%check
make check

%files -f NetworkManager-pptp.lang
%doc AUTHORS README
%{_libdir}/NetworkManager/libnm-vpn-plugin-pptp.so
%{_libdir}/NetworkManager/libnm-vpn-plugin-pptp-editor.so
%{_libdir}/pppd/%{ppp_ver}/nm-pptp-pppd-plugin.so
%{_libexecdir}/nm-pptp-auth-dialog
%{_libexecdir}/nm-pptp-service
%{_datadir}/dbus-1/system.d/nm-pptp-service.conf
%{_metainfodir}/network-manager-pptp.metainfo.xml
%{_prefix}/lib/NetworkManager/VPN/nm-pptp-service.name
%if %with gtk4
%{_libdir}/NetworkManager/libnm-gtk4-vpn-plugin-pptp-editor.so
%endif
