#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 1 Qt wrapper for NetworkManager API
Name:           networkmanager-qt
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  pkgconfig(libnm)

%description
KDE Frameworks 6 Tier 1 Qt wrapper for NetworkManager API.

%files
%_kf6_categoriesdir/networkmanagerqt.*categories
%_kf6_qmldir/org/kde/networkmanager/

#--------------------------------------------------------------------

%define kf6networkmanagerqt_major 6
%define libkf6networkmanagerqt %mklibname kf6networkmanagerqt %{kf6networkmanagerqt_major}

%package -n %libkf6networkmanagerqt
Summary:        KDE Frameworks 6 Tier 1 Qt wrapper for NetworkManager API
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkf6networkmanagerqt
KDE Frameworks 6 Tier 1 Qt wrapper for NetworkManager API.

%files -n %libkf6networkmanagerqt
%_kf6_libdir/libKF6NetworkManagerQt.so.%{kf6networkmanagerqt_major}
%_kf6_libdir/libKF6NetworkManagerQt.so.%{version}

#--------------------------------------------------------------------

%define networkmanagerqt_devel %mklibname kf6networkmanager-qt -d

%package -n %networkmanagerqt_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6networkmanagerqt = %version-%release
Provides:       %name-devel = %{version}-%{release}

Requires:       pkgconfig(libnm)

%description -n %networkmanagerqt_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %networkmanagerqt_devel
%_kf6_includedir/NetworkManagerQt/
%_kf6_libdir/cmake/KF6NetworkManagerQt/
%_kf6_libdir/libKF6NetworkManagerQt.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DSYSCONF_INSTALL_DIR="%_kf6_sysconfdir"
%cmake_build

%install
%cmake_install

