%global __provides_exclude ^libnm-.*\\.so

%define up_name NetworkManager-strongswan

# Use GTK4
%bcond_without gtk4

Name:		networkmanager-strongswan
Version:	1.6.2
Release:	%mkrel 1
Summary:	NetworkManager strongSwan IPSec VPN plug-in
Group:		System/Networking
License:	GPLv2+
URL:		https://www.strongswan.org/
Source0:	https://download.strongswan.org/NetworkManager/%{up_name}-%{version}.tar.bz2
Source1:	https://download.strongswan.org/NetworkManager/%{up_name}-%{version}.tar.bz2.sig

BuildRequires:	make
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(libnm) >= 1.1.0
BuildRequires:	pkgconfig(libnma) >= 1.1.0
BuildRequires:	intltool
BuildRequires:	libtool
%if %{with gtk4}
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(libnma-gtk4)
%endif

Requires:	networkmanager
Requires:	strongswan-charon-nm

%description
This package contains software for integrating the strongSwan IPSec VPN
with NetworkManager.

%package	gnome
Summary:	NetworkManager VPN plugin for strongswan - GNOME files
Group:		System/Networking
Requires:	%{name} = %{version}-%{release}

%description	gnome
This package contains software for integrating the strongSwan IPSec VPN
with the graphical desktop.

%prep
%autosetup -p1 -n %{up_name}-%{version}

%build
%configure \
	--disable-static \
%if %{with gtk4}
	--with-gtk4 \
%else
	--without-gtk4 \
%endif
	--with-charon=%{_libexecdir}/strongswan/charon-nm \
	--disable-more-warnings
%make_build

%install
%make_install

%find_lang %{up_name}

%files -f %{up_name}.lang
%doc NEWS
%{_libdir}/NetworkManager/libnm-vpn-plugin-strongswan.so
%{_prefix}/lib/NetworkManager/VPN/nm-strongswan-service.name

%files gnome
%doc NEWS
%{_prefix}/lib/NetworkManager/nm-strongswan-auth-dialog
%{_libdir}/NetworkManager/libnm-vpn-plugin-strongswan-editor.so
%if %{with gtk4}
%{_libdir}/NetworkManager/libnm-gtk4-vpn-plugin-strongswan-editor.so
%endif
%{_metainfodir}/NetworkManager-strongswan.metainfo.xml
