%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%bcond_without gtk4

Summary:        NetworkManager VPN integration for vpnc
Name:           networkmanager-vpnc
Epoch:          1
Version:        1.4.0
Release:        %mkrel 1
License:        GPLv2+
Group:          System/Base
URL:            https://wiki.gnome.org/Projects/NetworkManager
Source:         https://download.gnome.org/sources/NetworkManager-vpnc/%{url_ver}/NetworkManager-vpnc-%version.tar.xz
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libnma)
%if %with gtk4
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libnma-gtk4)
%endif
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  intltool

Requires:       networkmanager
Requires:       vpnc

Provides:       networkmanager-vpnc-gnome = %{version}-%{release}

%description
This package contains software for integrating the vpnc VPN software
with NetworkManager.

%prep
%setup -q -n NetworkManager-vpnc-%{version}

%build
export CFLAGS="%{optflags} -Wno-error=deprecated-declarations"
%configure \
	--disable-static \
%if %with gtk4
	--with-gtk4 \
%else
	--without-gtk4 \
%endif
	--with-dist-version="%product_distribution %product_version"
%make_build

%install
%make_install

%find_lang NetworkManager-vpnc

%files -f NetworkManager-vpnc.lang
%doc AUTHORS NEWS README
%{_datadir}/dbus-1/system.d/nm-vpnc-service.conf
%{_libexecdir}/nm-vpnc-auth-dialog
%{_libexecdir}/nm-vpnc-service
%{_libexecdir}/nm-vpnc-service-vpnc-helper
%{_libdir}/NetworkManager/libnm-vpn-plugin-vpnc.so
%{_libdir}/NetworkManager/libnm-vpn-plugin-vpnc-editor.so
%if %with gtk4
%{_libdir}/NetworkManager/libnm-gtk4-vpn-plugin-vpnc-editor.so
%endif
%{_metainfodir}/network-manager-vpnc.metainfo.xml
%{_prefix}/lib/NetworkManager/VPN/nm-vpnc-service.name
