Name:		neverball
Summary:	Roll a ball through an obstacle course
Epoch:		1
Version: 	1.6.0
Release: 	%mkrel 12
Group:		Games/Arcade
License:	GPLv2+
Url:		https://www.neverball.org/
Source0:	https://www.neverball.org/%{name}-%{version}.tar.gz
Patch1:		neverball-1.6.0-gcc10.patch
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(physfs)
BuildRequires:	pkgconfig(vorbis)
Obsoletes:	neverputt
Provides:	neverputt = %{version}-%{release}

%description
Tilt the floor to roll a ball through an obstacle course within the
given time.  If the ball falls or time expires, a ball is lost.
This package includes neverputt, a golf game based on neverball.
Hardware accelerated OpenGL support with multitexture is required.

%prep
%setup -q
%autopatch -p1
sed -i "/Version/d" dist/%{name}.desktop.in
sed -i "/Version/d" dist/neverputt.desktop.in

%build
%make_build \
    CFLAGS="%{optflags} -ansi `sdl2-config --cflags`" \
    ENABLE_NLS=1 \
    DATADIR=%{_gamesdatadir}/%{name} \
    LOCALEDIR=%{_datadir}/locale

%install
mkdir -p %{buildroot}%{_gamesbindir}
install -m 755 %{name} %{buildroot}%{_gamesbindir}/%{name}
install -m 755 neverputt %{buildroot}%{_gamesbindir}/

mkdir -p %{buildroot}%{_gamesdatadir}/%{name}
# .map files are the sources for the levels generated by the buildsystem
rm -fr data/map-*/*.map
cp -a data/* %{buildroot}%{_gamesdatadir}/%{name}/
chmod -R a+rX %{buildroot}%{_gamesdatadir}/%{name}/

mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 dist/*.desktop %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_mandir}/man6
install -m 644 dist/*.6 %{buildroot}%{_mandir}/man6

for res in 16 24 32 48 64 128 256; do
    mkdir -p %{buildroot}%{_datadir}/icons/hicolor/${res}x${res}/apps
    install -m 644 dist/neverball_${res}.png %{buildroot}%{_datadir}/icons/hicolor/${res}x${res}/apps/neverball.png
    install -m 644 dist/neverputt_${res}.png %{buildroot}%{_datadir}/icons/hicolor/${res}x${res}/apps/neverputt.png
done

cp -r locale %{buildroot}%{_datadir}/

%find_lang %{name}

%files -f %{name}.lang
%doc README.md
%doc doc/*
%{_gamesbindir}/%{name}
%{_gamesbindir}/neverputt
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/neverputt.desktop
%{_iconsdir}/hicolor/*/apps/never*.png
%{_mandir}/man6/neverball.6*
%{_mandir}/man6/neverputt.6*
