%define module new-lg4ff

Name:		new-lg4ff
Version:    0.4.1
Release:    %mkrel 1
Summary:    Improved module driver for Logitech driving wheels
Group:		System/Kernel and hardware
License:    GPLv2
URL:		https://github.com/berarma/new-lg4ff
Source:		%{url}/archive/refs/tags/v%{version}.tar.gz?/%{name}-%{version}.tar.gz

Requires:	dkms
Requires:	kernel-devel
Requires:	oversteer

BuildArch:	noarch

%description
Improved module driver for Logitech driving wheels.

Supported devices:

- Logitech WingMan Formula GP (without force feedback)
- Logitech WingMan Formula Force GP
- Logitech Driving Force
- Logitech MOMO Force Feedback Racing Wheel
- Logitech Driving Force Pro
- Logitech G25 Racing Wheel
- Logitech Driving Force GT
- Logitech G27 Racing Wheel
- Logitech G29 Driving Force (switch in PS3 mode)
- Logitech G923 Racing Wheel for PlayStation 4 and PC (046d:c267, 046d:c266)
- Logitech MOMO Racing
- Logitech Speed Force Wireless Wheel for Wii

This module is not compatible with the Logitech G920 Driving Force and XBOX/PC
version of the Logitech G923 (046d:c26d, 046d:c26e). 
Both wheels use the HID++ protocol and are supported by the HID++ driver 
as of kernel 6.3.

%prep
%autosetup -p1
sed -e "s/%{version}/%{version}\-%{release}/" -i dkms.conf

%install
mkdir -p %{buildroot}/usr/src/%{module}-%{version}-%{release}/
cp -r . %{buildroot}/usr/src/%{module}-%{version}-%{release}
rm -f %{buildroot}/usr/src/%{module}-%{version}-%{release}/{README.md,LICENSE}

%files
%doc README.md 
%license LICENSE
%defattr(0644,root,root)
%attr(0755,root,root) /usr/src/%{module}-%{version}-%{release}/

%post
dkms add	-m %{module} -v %{version}-%{release} --rpm_safe_upgrade &&
dkms build	-m %{module} -v %{version}-%{release} --rpm_safe_upgrade &&
dkms install	-m %{module} -v %{version}-%{release} --rpm_safe_upgrade
true

%preun
dkms remove  -m %{module} -v %{version}-%{release} --all --rpm_safe_upgrade
true
