%define _disable_ld_no_undefined 1

%define majver 0.52
%define libname %mklibname %{name} %{majver}
%define libdevel %{libname}-devel

Summary:	A development library for text mode user interfaces
Name:		newt
Version:	0.52.24
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
URL:		https://pagure.io/newt
Source0:	https://pagure.io/releases/newt/%{name}-%{version}.tar.gz
Patch0:		newt-0.52.19-slang-include.patch
# do not send upstream, customisation
# change the default color palette
Patch1: 	newt-0.52.6-mdvconf.patch
# TODO send upstream ( and find what is this patch )
Patch2: 	newt-0.51.4-fix-wstrlen-for-non-utf8-strings.patch
# splitted, and send upstream by mail ( misc, 24/01/2011 )
Patch3: 	newt-0.52.13-assorted-fixes.patch
BuildRequires:	glibc-static-devel
BuildRequires:	popt-devel
BuildRequires:	python3-devel
BuildRequires:	slang-devel
Requires:	slang
# required by alsaconf
Provides:	whiptail

%description
Newt is a programming library for color text mode, widget based user
interfaces. Newt can be used to add stacked windows, entry widgets, checkboxes,
radio buttons, labels, plain text fields, scrollbars, etc., to text mode user
interfaces.  This package contains a /usr/bin/dialog replacement called
whiptail. Newt is based on the slang library.

%package -n	%{libname}
Summary:	Newt windowing toolkit development files library
Group:		Development/C
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
Newt is a programming library for color text mode, widget based user
interfaces. Newt can be used to add stacked windows, entry widgets, checkboxes,
radio buttons, labels, plain text fields, scrollbars, etc., to text mode user
interfaces.  This package contains a /usr/bin/dialog replacement called
whiptail. Newt is based on the slang library.

%package -n	%{libdevel}
Summary:	Newt windowing toolkit development files
Group:		Development/C
Requires:	slang-devel
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libdevel}
Newt is a programming library for color text mode, widget based user
interfaces. Newt can be used to add stacked windows, entry widgets, checkboxes,
radio buttons, labels, plain text fields, scrollbars, etc., to text mode user
interfaces.  This package contains a /usr/bin/dialog replacement called
whiptail. Newt is based on the slang library.

Install newt-devel if you want to develop applications which will use newt.

%package -n	python3-%{name}
Summary:	Python 3 library for Newt windowing toolkit
Group:		Development/Python
%{?python_provide:%python_provide python3-%{name}}
Requires:	%{libname}%{?_isa} = %{version}-%{release}

%description -n python3-%{name}
Newt is a programming library for color text mode, widget based user
interfaces. Newt can be used to add stacked windows, entry widgets, checkboxes,
radio buttons, labels, plain text fields, scrollbars, etc., to text mode user
interfaces.  This package contains a /usr/bin/dialog replacement called
whiptail. Newt is based on the slang library.

Install python3-newt if you want to use newt for Python 3 applications.

%prep
%setup -q
%autopatch -p1

# fix build with python3.8
sed -i -e '/PLFLAGS/s,\(--libs\),\1 --embed,' Makefile.in

%build
%configure --with-gpm-support --without-tcl
%make_build all

%install
install -d %{buildroot}%{python3_sitearch}
%make_install

ln -snf lib%{name}.so.%{version} %{buildroot}%{_libdir}/lib%{name}.so.%{majver}

%find_lang %{name}

%files -n %{libname}
%doc CHANGES
%license COPYING
%{_libdir}/libnewt.so.%{majver}{,.*}

%files -f %{name}.lang
%doc AUTHORS CHANGES README
%license COPYING
%{_bindir}/whiptail
%{_mandir}/man1/whiptail.1*

%files -n %{libdevel}
%doc tutorial.*
%{_includedir}/newt.h
%{_libdir}/libnewt.a
%{_libdir}/libnewt.so
%{_libdir}/pkgconfig/libnewt.pc

%files -n python3-%{name}
%doc peanuts.py popcorn.py
%{python3_sitearch}/*.so
%{python3_sitearch}/*.py*
%{python3_sitearch}/__pycache__/*
