%global _hardened_build 1
%define _cmake_skip_rpath %nil
# exclude devel(libocsync)
%global __requires_exclude  ^(devel\\(libocsync.*)$

%define nextcloudsync_major 0
%define libnextcloudsync %mklibname nextcloudsync %nextcloudsync_major

%define libocsync_major 0
%define liblibocsync %mklibname ocsync %libocsync_major

Name:           nextcloud-client
Version:        3.15.2
Release:        %mkrel 1
Summary:        The Nextcloud Client
Group:          Archiving/Backup

# -libs are LGPLv2+, rest GPLv2
License:        LGPLv2+ and GPLv2
Url:            https://nextcloud.com/install/#install-clients
Source0:        https://github.com/nextcloud/desktop/archive/v%{version}/desktop-%{version}.tar.gz
Source1:        com.nextcloud.desktopclient.nextcloud.metainfo.xml

#squidf: concerning libgnome-keyring read https://bugzilla.redhat.com/show_bug.cgi?id=1652973
#Recommends:     libgnome-keyring
Requires:       %{libnextcloudsync} = %{version}-%{release}
Requires:       %{liblibocsync} = %{version}-%{release}
#squidf: 3 hard coded dependencies added to address Mageia bug#29619
Requires:       qt6-qtdeclarative

BuildRequires:  desktop-file-utils
BuildRequires:  doxygen
BuildRequires:  appstream-util
BuildRequires:  inotify-tools-devel
BuildRequires:  python3dist(sphinx)
BuildRequires:  pkgconfig(neon)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(cloudproviders)
BuildRequires:  pkgconfig(sqlite3)
# Dolphin integration
BuildRequires:  kf6-rpm-macros
BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6CoreAddons)
#
BuildRequires:  cmake(Qt6Keychain)
BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6QuickWidgets)
BuildRequires:  cmake(Qt6WebSockets)
%ifnarch %{arm32} %{ix86}
BuildRequires:  cmake(Qt6WebEngineWidgets)
%endif
BuildRequires:  qtsingleapplication-qt6-devel
BuildRequires:  librsvg
Provides:       nextcloud-client = %version-%release

%description
Nextcloud-client enables you to connect to your private Nextcloud Server.
With it you can create folders in your home directory, and keep the contents
of those folders synced with your Nextcloud server. Simply copy a file into
the directory and the Nextcloud Client does the rest.

%files
%license COPYING*
%{_bindir}/nextcloud
%{_bindir}/nextcloudcmd
%{_datadir}/mime/packages/nextcloud.xml
%{_datadir}/applications/com.nextcloud.desktopclient.nextcloud.desktop
%dir %{_datadir}/nextcloud
%{_datadir}/nextcloud/i18n/
%{_datadir}/icons/hicolor/*/apps/*
%{_metainfodir}/com.nextcloud.desktopclient.nextcloud.metainfo.xml
%dir %{_sysconfdir}/Nextcloud
%{_sysconfdir}/Nextcloud/sync-exclude.lst
%{_datadir}/dbus-1/services/com.nextcloudgmbh.Nextcloud.service

%package nautilus
Summary:        nextcloud client nautilus extension
Requires:       nautilus
Requires:       nautilus-python
Requires:       %{name} = %{version}-%{release}

%description nautilus
The nextcloud desktop client nautilus extension.

%files nautilus
%{_datadir}/nautilus-python/extensions/*

%package nemo
Summary:        Nemo overlay icons
Requires:       nemo
Requires:       nemo-python
Requires:       %{name} = %{version}-%{release}

%description nemo
This package provides overlay icons to visualize the sync state
in the nemo file manager.

%files nemo
%{_datadir}/nemo-python/extensions/*

%package caja
Summary:        Caja overlay icons
Requires:       caja
Requires:       python-caja
Requires:       %{name} = %{version}-%{release}

%description caja
This package provides overlay icons to visualize the sync state
in the caja file manager.

%files caja
%{_datadir}/caja-python/extensions/*

%package dolphin
Summary:        Dolphin overlay icons
Requires:       dolphin
Requires:       %{name} = %{version}-%{release}

%description dolphin
The nextcloud desktop client dolphin extension.

%files dolphin
%{_kf6_libdir}/libnextclouddolphinpluginhelper.so
%{_kf6_plugindir}/overlayicon/nextclouddolphinoverlayplugin.so
%{_kf6_plugindir}/kfileitemaction/nextclouddolphinactionplugin.so

%package -n %libnextcloudsync
Summary:        The Nextcloud Client Libraries
Group:          System/Libraries

%description -n %libnextcloudsync
The Nextcloud Client Libraries.

%files -n %libnextcloudsync
%{_libdir}/libnextcloudsync.so.%nextcloudsync_major
%{_libdir}/libnextcloudsync.so.%version


%package -n %liblibocsync
Summary:        The Nextcloud Client Libraries
Group:          System/Libraries
Obsoletes:      %{_lib}libocsync0 < 2.2.4-4

%description -n %liblibocsync
The Nextcloud Client Libraries.

%files -n %liblibocsync
%_libdir/libnextcloud_csync.so.%{libocsync_major}
%_libdir/libnextcloud_csync.so.%{version}

%define develname %mklibname %{name} -d

%package -n %{develname}
Summary:        Development files for nextcloud-client
License:        LGPLv2+
Requires:       %libnextcloudsync = %{version}-%{release}
Requires:       %liblibocsync = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < 2.2.4-4

%description -n %{develname}
Development headers for use of the nextcloud-client library.

%files -n %{develname}
%{_libdir}/libnextcloudsync.so
%{_includedir}/nextcloudsync/
%{_libdir}/libnextcloud_csync.so
%{_libdir}/nextcloudsync_vfs_suffix.so
%{_libdir}/nextcloudsync_vfs_xattr.so

%prep
%autosetup -p1 -n desktop-%{version}

%build
%cmake_kf6 \
    -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed" \
%ifarch %{arm32} %{ix86}
    -DBUILD_WITH_WEBENGINE=OFF \
%endif
    -DBUILD_UPDATER=False
%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_metainfodir}
install -m 644 %{SOURCE1} %{buildroot}%{_metainfodir}/com.nextcloud.desktopclient.nextcloud.metainfo.xml

#squidf desktop entry clean up
sed -i "/CloudProviders/d" %{buildroot}%{_datadir}/applications/com.nextcloud.desktopclient.nextcloud.desktop
sed -i "/nextcloudgmbh/d" %{buildroot}%{_datadir}/applications/com.nextcloud.desktopclient.nextcloud.desktop

desktop-file-install \
    --dir=%{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/com.nextcloud.desktopclient.nextcloud.desktop

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/com.nextcloud.desktopclient.nextcloud.metainfo.xml
