%define url_ver	%(echo %{version} | cut -d. -f1,2)

Name:		nfoview
Summary:	Simple viewer for NFO files
Version:	2.0.1
Release:	%mkrel 1
License:	GPLv3+
Group:		File tools
URL:		https://otsaloma.io/nfoview/
Source0:	https://github.com/otsaloma/nfoview/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:	intltool
Requires:	python3-gobject3
Recommends:	cascadia-code-fonts

%description
NFO Viewer is a simple viewer for NFO files, which are "ASCII" art in
the CP437 codepage. The advantages of using NFO Viewer instead of a
text editor are preset font and encoding settings, automatic window
size and clickable hyperlinks.

%prep
%autosetup -p1


%build
%make_build

%install
%make_install PREFIX=%{_prefix}

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc *.md
%{_bindir}/nfoview
%{_datadir}/applications/io.otsaloma.nfoview.desktop
%{_mandir}/man1/nfoview.1*
%{_datadir}/nfoview/
%{_datadir}/icons/hicolor/*/apps/io.otsaloma.nfoview{,-symbolic}.*
%{_metainfodir}/io.otsaloma.nfoview.appdata.xml
