%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Netfilter Tables userspace utilities
Name:		nftables
Version:	1.1.1
Release:	%mkrel 2
License:	GPLv2
Group:		System/Kernel and hardware
URL:		https://netfilter.org/projects/nftables/
Source0:	https://www.netfilter.org/projects/nftables/files/nftables-%{version}.tar.xz
Source1:	https://www.netfilter.org/projects/nftables/files/nftables-%{version}.tar.xz.sig
Source2:        coreteam-gpg-key-0xD55D978A8A1420E4.txt
Source3:        nftables.service
Source4:        nftables.conf
Source5:        main.nft
Source6:        router.nft
Source7:        nat.nft

BuildRequires:	asciidoc
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gnupg2
BuildRequires:	gmp-devel
BuildRequires:	libedit-devel
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(jansson)
BuildRequires:	pkgconfig(libmnl) >= 1.0.4
BuildRequires:	pkgconfig(libnftnl) >= 1.2.8
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(xtables)

%description
Netfilter Tables userspace utilities.

#------------------------------------------------

%package -n	%{libname}
Summary:	Netfilter Tables userspace utilities
Group:		System/Libraries

%description -n	%{libname}
Netfilter Tables userspace utilities.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%package -n	python3-nftables
Summary:	Python module providing an interface to libnftables
Group:		Development/Python
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}
%{?python_provide:%python_provide python3-nftables}

%description -n python3-nftables
The nftables python module provides an interface to libnftables
via ctypes.

#------------------------------------------------

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -p1

%generate_buildrequires
cd py/
%pyproject_buildrequires

%build
autoreconf -fi
%configure --disable-silent-rules \
               --disable-static \
               --with-json \
               --with-xtables \
               --disable-python
%make_build

pushd py
%pyproject_wheel
popd

%install
%make_install

# Don't ship static lib (for now at least)
rm -f %{buildroot}%{_libdir}/libnftables.a

# drop vendor-provided configs, they are not really useful
rm -f %{buildroot}%{_datadir}/nftables/*.nft

chmod 644 %{buildroot}%{_mandir}/man8/nft*

mkdir -p %{buildroot}%{_unitdir}
cp -a %{SOURCE3} %{buildroot}%{_unitdir}/

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
cp -a %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/

cp %{SOURCE5} %{SOURCE6} %{SOURCE7} \
	%{buildroot}%{_sysconfdir}/nftables/

find %{buildroot}%{_sysconfdir} \
	\( -type d -exec chmod 0700 {} \; \) , \
	\( -type f -exec chmod 0600 {} \; \)

pushd py/
%pyproject_install
%pyproject_save_files nftables
popd

%post
%systemd_post nftables.service
%ldconfig_post

%preun
%systemd_preun nftables.service

%postun
%systemd_postun_with_restart nftables.service
%ldconfig_postun

%files
%license COPYING
%doc %{_docdir}/nftables/
%config(noreplace) %{_sysconfdir}/nftables/
%config(noreplace) %{_sysconfdir}/sysconfig/nftables.conf
%{_sbindir}/nft
%{_mandir}/man5/libnftables-json.5*
%{_mandir}/man8/nft*
%{_unitdir}/nftables.service

%files -n %{libname}
%license COPYING
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%license COPYING
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc
%{_mandir}/man3/libnftables.3*

%files -n python3-nftables -f %{pyproject_files}
