%define major     14
%define libname   %mklibname nghttp2_ %{major}
%define develname %mklibname nghttp2 -d

%define with_docs 0

Summary:        Experimental HTTP/2 client, server and proxy
Name:           nghttp2
Version:        1.64.0
Release:        %mkrel 3
License:        MIT
Group:          System/Libraries
URL:            https://nghttp2.org/
Source0:        https://github.com/nghttp2/nghttp2/releases/download/v%{version}/nghttp2-%{version}.tar.xz

#BuildRequires:  cmake
BuildRequires:  boost-devel
BuildRequires:  libxml2-utils
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(cunit)
BuildRequires:  pkgconfig(libev)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(libcares)
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(jansson)
BuildRequires:  pkgconfig(jemalloc)
%if %with_docs
# Used to build the documentation
BuildRequires:  python3dist(sphinx)
BuildRequires:  python-sphinx-locales
BuildRequires:  python3dist(sphinxcontrib-rubydomain)
%endif

%description
This package contains the HTTP/2 client, server and proxy programs.

%package -n %{libname}
Summary:        A library implementing the HTTP/2 protocol
Group:          System/Libraries
Provides:       libnghttp2 = %{version}-%{release}

%description -n %{libname}
libnghttp2 is a library implementing the Hypertext Transfer Protocol
version 2 (HTTP/2) protocol in C.

%package -n %{develname}
Summary:        Files needed for building applications with libnghttp2
Group:          Development/C
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} >= %{version}-%{release}

%description -n %{develname}
The libnghttp2-devel package includes libraries and header files needed
for building applications with libnghttp2.

%prep
%autosetup -p1

# remove bundled
rm -rf doc/_{exts,themes}/

%build
export CPATH="%{_includedir}/libev"

%configure \
    --disable-hpack-tools \
    --disable-static \
    --with-libxml2 \
    --disable-failmalloc \
    --enable-app \
    PYTHON=%{python3}

#cmake \
#	-DENABLE_STATIC=OFF \
#	-DENABLE_PYTHON_BINDINGS=OFF \
#	-DWITH_LIBXML2:BOOL=OFF \
#	-DENABLE_FAILMALLOC=OFF \
#	-DENABLE_APP=OFF

%make_build

%if %with_docs
%make_build html
%endif

%install
%make_install

# will be installed via %%doc
rm -f "%{buildroot}%{_datadir}/doc/nghttp2/README.rst"

# python shebangs
%py3_shebang_fix %{buildroot}%{_datadir}/nghttp2/fetch-ocsp-response

%check
export CPATH="%{_includedir}/libev"
# test the just built library instead of the system one, without using rpath
export "LD_LIBRARY_PATH=%{buildroot}%{_libdir}:$LD_LIBRARY_PATH"
make check V=1

%files
%if %with_docs
%doc doc/manual/html
%endif
%{_bindir}/h2load
%{_bindir}/nghttp
%{_bindir}/nghttpd
%{_bindir}/nghttpx
%{_datadir}/nghttp2/
%{_mandir}/man1/h2load.1*
%{_mandir}/man1/nghttp.1*
%{_mandir}/man1/nghttpd.1*
%{_mandir}/man1/nghttpx.1*

%files -n %{libname}
%license COPYING
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc README.rst
%{_includedir}/nghttp2/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
