Summary:	Next Generation IRC Daemon
Name:		ngircd
Version:	27
Release:	%mkrel 1
Group:		System/Servers
License:	GPLv2+
URL:		https://ngircd.barton.de/
Source0:	https://ngircd.barton.de/pub/ngircd/ngircd-%{version}.tar.xz
Source1:	https://ngircd.barton.de/pub/ngircd/ngircd-%{version}.tar.xz.sig
Source2:	ngircd.service
Source3:	ngircd.pam
Patch0:		ngircd-21.1-default_config.diff
BuildRequires:	pkgconfig(openssl)
BuildRequires:	tcp_wrappers-devel
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pam-devel
Requires(post):  systemd >= %{systemd_required_version}
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description
ngIRCd is a free open source daemon for Internet Relay Chat (IRC), developed
under the GNU General Public License (GPL). It's written from scratch and is
not based upon the original IRCd like many others.

%prep

%setup -q
%autopatch -p1

cp %{SOURCE2} ngircd.service
cp %{SOURCE3} ngircd.pam

%build
%serverbuild

# to prevent nasty ipv6 surprises
export CFLAGS="$CFLAGS -D_GNU_SOURCE"

%configure \
    --enable-ipv6 \
    --with-syslog \
    --with-zlib \
    --with-epoll \
    --with-openssl \
    --with-tcp-wrappers \
    --with-pam

%make_build

%install

install -d %{buildroot}%{_unitdir}
install -d %{buildroot}%{_sysconfdir}/pam.d

%make_install

install -m0755 ngircd.service %{buildroot}%{_unitdir}/
install -m0660 doc/sample-ngircd.conf %{buildroot}%{_sysconfdir}/ngircd.conf
install -m644 ngircd.pam %{buildroot}%{_sysconfdir}/pam.d/ngircd

echo "%{name}-%{version}-%{release}"  %{buildroot}%{_sysconfdir}/ngircd.motd
rm -rf %{buildroot}%{_docdir}/ngircd

mkdir -p %{buildroot}%{_tmpfilesdir}
cat <<EOF > %{buildroot}%{_tmpfilesdir}/%{name}.conf
d /run/ngircd 0775 root ngircd
EOF

%pre
%_pre_useradd ngircd /tmp /sbin/nologin

%post
%_tmpfilescreate %{name}
%_post_service ngircd

%preun
%_preun_service ngircd

%postun
%_postun_userdel ngircd

%files
%doc COPYING ChangeLog NEWS README.md doc/*
%attr(0660,root,ngircd) %config(noreplace) %{_sysconfdir}/ngircd.conf
%attr(0660,root,ngircd) %ghost %config(noreplace) %{_sysconfdir}/ngircd.motd
%config(noreplace) %{_sysconfdir}/pam.d/ngircd
%{_tmpfilesdir}/%{name}.conf
%{_unitdir}/ngircd.service
%{_sbindir}/ngircd
%{_mandir}/man5/ngircd.conf*
%{_mandir}/man8/ngircd.8*
