%define tar_ver	%(echo %{version}|sed -e 's/\\./\\_/g')

Summary:	Network Traffic sniffer, with pattern matching like grep
Name:		ngrep
Version:	1.47
Release:	%mkrel 6
License:	BSD
Group:		Networking/Other
URL:		https://github.com/jpr5/ngrep
Source0:	https://github.com/jpr5/ngrep/archive/V1_47/%{name}-%{tar_ver}.tar.gz
Patch0:		ngrep-1.47-upstream-fixes.patch
Patch1:		ngrep-1.47-pcre2.patch
Patch2:		ngrep-tcpkill-c99.patch
BuildRequires:	gcc
BuildRequires:	pcap-devel
BuildRequires:	net2-devel
BuildRequires:	pkgconfig(libpcre2-8)

%description
ngrep strives to provide most of GNU grep's common features,
applying them to the network layer.  ngrep is a pcap-aware tool
that will allow you to specify extended regular or hexadecimal
expressions to match against data payloads of packets. It
currently recognizes TCP, UDP and ICMP across Ethernet, PPP, SLIP,
FDDI, Token Ring and null interfaces, and understands bpf filter
logic in the same fashion as more common packet sniffing tools,
such as tcpdump and snoop.

%prep
%autosetup -p1 -n %{name}-%{tar_ver}

# Make sure not to be using bundled libs
rm -r regex-0.12

# fix build on aarch64
cp -af %{_rpmconfigdir}/%{_real_vendor}/config.{guess,sub} .

%build
autoreconf -vfi

%configure \
    --enable-pcre2 \
    --enable-ipv6 \
    --with-pcap-includes=%{_includedir}/pcap \
    --enable-tcpkill \
    --disable-pcap-restart

%make_build STRIPFLAG=

%install
make install DESTDIR=%{buildroot}

%files
%doc CHANGES CREDITS EXAMPLES.md README.md
%license LICENSE
%{_bindir}/%{name}
%{_mandir}/man8/*
