%define major		0
%define	docname		ngspice-doc
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Mixed Mode - Mixed Level Circuit Simulator Based On Berkley's spice3f5
Name:		ngspice
Version:	44.2
Release:	%mkrel 1
License:	GPLv2 and LGPLv2 and BSD
Group:		Sciences/Other
Url:		https://ngspice.sourceforge.io/
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	https://downloads.sourceforge.net/%{name}/%{docname}-44.tar.gz

BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(libedit)
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(xaw7)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xmu)

%description
Ngspice is a mixed-level/mixed-signal circuit simulator. Its code is based on
three open source software packages: Spice3f5, Cider1b1 and Xspice. It is the
open source successor of these venerable packages. Many, many modifications,
bug fixes and improvements have been added to the code, yielding a stable and
reliable simulator. Therefore, besides being used as a standalone simulator,
Ngspice has been incorporated into many projects, see our simulation
environments page.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

Provides:	%{name}-codemodel = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}%{major}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%autosetup -p1 -a 1

cp -a . %{_builddir}/noshared

%build
# Cannot enable adms due to there licences
# see https://sourceforge.net/p/ngspice/ngspice/ci/master/tree/COPYING
%configure \
	--with-ngshared \
	--enable-klu \
	--enable-xspice \
	--enable-openmp \
	--enable-osdi \
	--enable-predictor \
	--enable-maintainer-mode \
	--with-readline=no \
	--with-editline=yes \
	--enable-cider \
	--disable-adms \
	--disable-debug
%make_build

pushd %{_builddir}/noshared
%configure \
	--without-ngshared \
	--enable-klu \
	--enable-xspice \
	--enable-openmp \
	--enable-osdi \
	--enable-predictor \
	--enable-maintainer-mode \
	--with-readline=yes \
	--enable-cider \
	--disable-adms \
	--disable-debug
%make_build
popd

%install
%make_install -C %{_builddir}/noshared
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc AUTHORS NEWS README
%license COPYING
%{_bindir}/ngspice
%dir %{_datadir}/ngspice
%{_datadir}/ngspice/scripts/
%{_mandir}/man1/ngspice.1.*

%files -n %{libname}
%license COPYING
%{_libdir}/libngspice.so.%{major}{,.*}
%dir %{_libdir}/ngspice
%{_libdir}/ngspice/*

%files -n %{develname}
%{_libdir}/libngspice.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
