# port to Ayatana AppIndicator
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^typelib\\(AppIndicator3

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^typelib\\(GdkWin32

%global altname		nicotine
%global appdata_id	org.nicotine_plus.Nicotine

Name:		nicotine+
Version:	3.3.7
Release:	%mkrel 2
Summary:	A graphical client for Soulseek
Group:		Networking/File transfer
# - Notification sound files (in sounds/default/) are CC0
# IP2Location Country Database (pynicotine/geoip/ipcountrydb.bin) is
# CC-BY-SA-4.0 (see pynicotine/geoip/README.md)
License:	GPL-3.0-or-later AND CC-BY-SA-4.0
URL:		https://nicotine-plus.github.io/nicotine-plus/
Source0:	https://github.com/nicotine-plus/nicotine-plus/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	gettext
BuildRequires:	appstream-util
BuildRequires:	pkgconfig(python3)
# Needed for tests
BuildRequires:	gtk+3
BuildRequires:	python3-gobject
BuildRequires:	python3dist(pytest)
BuildRequires:	x11-server-xvfb
BuildRequires:	abattis-cantarell-fonts

Requires:	gtk+3
Requires:	python3dist(dbus-python)
Requires:	python3-gobject
Requires:	python3dist(miniupnpc)
Requires:	python3dist(pytaglib)

%description
Nicotine+ is a graphical client for the Soulseek peer-to-peer file sharing
network. It is an attempt to keep Nicotine working with the latest libraries,
kill bugs, keep current with the Soulseek protocol, and add some new features
that users want and/or need.

%prep
%autosetup -n nicotine-plus-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pynicotine

%find_lang %{altname}

%check
# Tests requiring an Internet connection are disabled

xvfb-run --server-args="-screen 0 1024x768x8" env %pytest --deselect=pynicotine/tests/unit/test_version.py
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{appdata_id}.appdata.xml


%files -f %{pyproject_files} -f %{altname}.lang
%doc AUTHORS.md NEWS.md README.md doc/*.md
%license COPYING
%{_bindir}/%{altname}
%{_datadir}/applications/%{appdata_id}.desktop
%{_iconsdir}/hicolor/*/apps/*.svg
%{_metainfodir}/%{appdata_id}.appdata.xml
%{_mandir}/man1/%{altname}.1.*
