%global namedreltag -SNAPSHOT
%global namedversion %{version}%{?namedreltag}
Name:          nifty-examples
Version:       1.3.1
Release:       %mkrel 1
Summary:       Nifty Examples
Group:         Development/Java
License:       BSD
Url:           http://nifty-gui.lessvoid.com/
# svn export https://nifty-gui.svn.sourceforge.net/svnroot/nifty-gui/nifty-examples/trunk/ nifty-examples-1.3.1-SNAPSHOT
# tar czf nifty-examples-1.3.1-SNAPSHOT-src-svn.tar.gz nifty-examples-1.3.1-SNAPSHOT
Source0:       nifty-examples-1.3.1-SNAPSHOT-src-svn.tar.gz
Source1:       nifty-examples-script
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: junit
BuildRequires: nifty
BuildRequires: nifty-default-controls
BuildRequires: nifty-lwjgl-renderer
BuildRequires: nifty-openal-soundsystem
BuildRequires: nifty-style-black

BuildRequires: maven
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-eclipse-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-wagon

BuildRequires: lwjgl eventbus xpp3 jorbis

Requires:      nifty
Requires:      nifty-default-controls
Requires:      nifty-lwjgl-renderer
Requires:      nifty-openal-soundsystem
Requires:      nifty-style-black
Requires:      lwjgl eventbus xpp3 jorbis

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Nifty Examples

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}

%prep
%setup -q -n %{name}-%{namedversion}

rm -rf $(find . -name "*.jar")
rm -rf $(find . -name "*.class")

#sed -i "s|<mainClass>de.lessvoid.nifty.examples.helloworld.HelloWorldExample</mainClass>|<mainClass>de.lessvoid.nifty.examples.helloworld.HelloWorldExampleMain</mainClass>|" pom.xml

sed -i "s|<mainClass>de.lessvoid.nifty.examples.helloworld.HelloWorldExample</mainClass>|<mainClass>de.lessvoid.nifty.examples.all.AllExamplesMain</mainClass>|" pom.xml
sed -i "s|src/main/resources/helloworld/helloworld.xml|helloworld/helloworld.xml|" src/main/java/de/lessvoid/nifty/examples/helloworld/HelloWorldExampleMain.java
sed -i "s|src/main/resources/nifty-cursor.png|nifty-cursor.png|" src/main/java/de/lessvoid/nifty/examples/helloworld/HelloWorldExampleMain.java

%build

mvn-rpmbuild install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{namedversion}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}