%global namedreltag -SNAPSHOT
%global namedversion %{version}%{?namedreltag}
Name:          nifty-lwjgl-renderer
Version:       1.3.1
Release:       %mkrel 0
Summary:       Nifty LWJGL Renderer
Group:         Development/Java
License:       BSD
Url:           http://nifty-gui.lessvoid.com/
# svn export https://nifty-gui.svn.sourceforge.net/svnroot/nifty-gui/nifty-lwjgl-renderer/trunk/ nifty-lwjgl-renderer-1.3.1-SNAPSHOT
# tar czf nifty-lwjgl-renderer-1.3.1-SNAPSHOT-src-svn.tar.gz nifty-lwjgl-renderer-1.3.1-SNAPSHOT
Source0:       nifty-lwjgl-renderer-%{namedversion}-src-svn.tar.gz

Patch0:        nifty-lwjgl-renderer-1.3.1-pom_xml.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils

#BuildRequires: jinput
BuildRequires: lwjgl >= 2.7.1-2
BuildRequires: nifty

BuildRequires: maven-compiler-plugin
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-source-plugin

Requires:      lwjgl >= 2.7.1-2
Requires:      nifty

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Nifty LWJGL Renderer.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}

%prep
%setup -q -n %{name}-%{namedversion}
%patch -P 0 -p0

rm -rf $(find . -name "*.jar")
rm -rf $(find . -name "*.class")

%build
mvn-rpmbuild install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{namedversion}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}