%global namedreltag -SNAPSHOT
%global namedversion %{version}%{?namedreltag}

Name:          nifty-openal-soundsystem
Version:       1.1
Release:       %mkrel 1
Summary:       Nifty OpenAL Based SoundDevice
Group:         Development/Java
License:       BSD
# This URL is no longer available
Url:           http://nifty-gui.lessvoid.com/
# svn export https://nifty-gui.svn.sourceforge.net/svnroot/nifty-gui/nifty-openal-soundsystem/trunk/ nifty-openal-soundsystem-1.1-SNAPSHOT
# tar czf nifty-openal-soundsystem-1.1-SNAPSHOT-src-svn.tar.gz nifty-openal-soundsystem-1.1-SNAPSHOT
Source0:       nifty-openal-soundsystem-1.1-SNAPSHOT-src-svn.tar.gz

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: jorbis >= 0.0.17-0.0.4
BuildRequires: lwjgl
BuildRequires: nifty
BuildRequires: slick-ibxm

BuildRequires: maven
BuildRequires: maven-project-info-reports-plugin

Requires:      jorbis >= 0.0.17-0.0.4
Requires:      lwjgl
Requires:      nifty
Requires:      slick-ibxm

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
This is an OpenAL/lwjgl based SoundDevice for Nifty GUI.
It was extracted out of Slick2d to be independent of the
whole Slick2d library and to be used with none Slick2d
based renders. All credits for the original code go to
Kevin Glass and all Slick2d contributors.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}

%prep
%setup -q -n %{name}-%{namedversion}

rm -rf $(find . -name "*.jar")
rm -rf $(find . -name "*.class")

%build

mvn-rpmbuild install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{namedversion}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}
