%global namedreltag -SNAPSHOT
%global namedversion %{version}%{?namedreltag}
Name:          nifty
Version:       1.3.1
Release:       %mkrel 4
Summary:       Java Library that supports the building of interactive user interfaces for games or similar applications
Group:         Development/Java
License:       BSD
Url:           http://nifty-gui.lessvoid.com/
# svn export https://nifty-gui.svn.sourceforge.net/svnroot/nifty-gui/nifty/tags/nifty-1.3.1-SNAPSHOT
# tar czf nifty-1.3.1-SNAPSHOT-src-svn.tar.gz nifty-1.3.1-SNAPSHOT
Source0:       nifty-%{namedversion}-src-svn.tar.gz
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: easymock2
BuildRequires: easymock2-classextension
BuildRequires: eventbus
BuildRequires: junit4
BuildRequires: xpp3
BuildRequires: cglib
BuildRequires: objenesis

BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-eclipse-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-local
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-site-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-report-plugin

Requires:      eventbus
Requires:      easymock2-classextension
Requires:      xpp3

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Nifty GUI is a Java Library that supports the building of interactive user interfaces for games or similar applications.
It utilizes OpenGL for rendering and it can be easily integrated into many rendering systems. The configuration of the
GUI is stored in xml files with little supporting Java code. In short Nifty helps you to layout stuff, display it
in a cool way and interact with it :)

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n nifty-%{namedversion}

rm -rf $(find . -name "*.jar")
rm -rf $(find . -name "*.class")

%build

mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{namedversion}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}
