Name:           nightfall
Version:        1.92
Release:        %mkrel 4
Summary:        An astronomy application for emulating eclipsing stars

License:        GPLv2+
Group:          Sciences/Astronomy
# This URL is no longer available
URL:            https://www.hs.uni-hamburg.de/DE/Ins/Per/Wichmann/Nightfall.html
Source0:        https://www.la-samhna.de/%{name}/%{name}-%{version}.tar.gz
Source1:        nightfall.desktop

#need to get debug symbols
Patch0:         nightfall-1.82-optflags.patch
Patch1:         nightfall-1.82-makefile.patch
#fix buffer overflow
Patch2:         nightfall-1.82-buffoverflow.patch

#no longer supported
#BuildRequires: openmpi-devel
BuildRequires: libgomp-devel
BuildRequires: pkgconfig(freeglut)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(gtkgl-2.0)
BuildRequires: pkgconfig(ice)
BuildRequires: pkgconfig(libjpeg)

Requires:      gnuplot
Requires:      a2ps
Requires:      fortune-mod

%description
Nightfall is an astronomy application for fun, education, and science.
It can produce animated views of eclipsing binary stars,
calculate synthetic lightcurves and radial velocity curves,
and eventually determine the best-fit model for a given set of
observational data of an eclipsing binary star system.
It is, however, not able to fry your breakfast egg on your hard disk.

%prep
%setup -q
%autopatch -p1

# fix build on aarch64
cp -af %{_rpmconfigdir}/%{_real_vendor}/config.{guess,sub} .

%build
export CFLAGS='%{optflags} -fcommon'
export CXXFLAGS='%{optflags} -fcommon'
export FFLAGS='%{optflags} -fcommon'

%configure \
   --with-gnuplot \
   --enable-opengl \
   --enable-openmp \
   --disable-rpath \
   --disable-gnome \
   --with-locale-prefix=%{_datadir}/locale
%make_build

%install
%make_install

desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE1}

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc UserManual.pdf UserManual.html README AUTHORS ChangeLog
%{_bindir}/nightfall
%{_datadir}/nightfall/
%{_datadir}/applications/nightfall.desktop
%{_mandir}/man1/nightfall.1*
