%global __provides_exclude perl\\(LW2\\)

Summary:	Web Server and CGI Scanner
Name:		nikto
Version:	2.5.0
Release:	%mkrel 1
License:	GPL
Group:		Security
URL:		https://www.cirt.net/code/nikto.shtml
Source:		https://github.com/sullo/nikto/archive/refs/tags/%{version}.tar.gz
BuildArch:	noarch

%description
Nikto is a web server scanner which performs comprehensive tests against web
servers for multiple items, including over 3200 potentially dangerous
files/CGIs, versions on over 625 servers, and version specific problems on over
230 servers. Scan items and plugins are frequently updated and can be
automatically updated (if desired).

%prep
%setup -qn %{name}-%{version}
%autopatch -p1

perl -pi \
    -e 's|^# EXECDIR=\S+|EXECDIR=%{_bindir}|;'                      \
    -e 's|^# PLUGINDIR=\S+|PLUGINDIR=%{_datadir}/nikto/plugins|;'     \
    -e 's|^# DBDIR=\S+|DBDIR=%{_datadir}/nikto/databases|;'       \
    -e 's|^# TEMPLATEDIR=\S+|TEMPLATEDIR=%{_datadir}/nikto/templates|;' \
    -e 's|^# DOCDIR=\S+|DOCDIR=%{_docdir}|;'                       \
    program/nikto.conf
perl -pi \
    -e 's|/usr/local/bin/nikto|%{_bindir}/nikto|;' \
    documentation/nikto.1

%build

%install
install -d -m 755 %{buildroot}%{_bindir}
install -m0755 program/nikto.pl %{buildroot}%{_bindir}/nikto

install -d -m 755 %{buildroot}%{_sysconfdir}
install -m0644 program/nikto.conf.default %{buildroot}%{_sysconfdir}/nikto.conf

install -d -m 755 %{buildroot}%{_datadir}/nikto
cp -pr program/plugins %{buildroot}%{_datadir}/nikto
cp -pr program/templates %{buildroot}%{_datadir}/nikto
cp -pr program/databases %{buildroot}%{_datadir}/nikto

install -d %{buildroot}%{_mandir}/man1
install -m0644 documentation/nikto.1 %{buildroot}%{_mandir}/man1

%files
%doc README.md
%config(noreplace) %{_sysconfdir}/nikto.conf
%{_datadir}/nikto
%{_bindir}/nikto
%{_mandir}/man1/nikto.1*




