Name:		ninja
Version:	1.12.1
Release:	%mkrel 2
Group:		Development/Tools
Summary:	A small build system with a focus on speed

License:	ASL 2.0
URL:		https://ninja-build.org/
Source0:	https://github.com/ninja-build/ninja/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:	ninja.vim
Source2:	macros.ninja

BuildRequires:	asciidoc
BuildRequires:	cmake
BuildRequires:	gtest-devel
BuildRequires:	re2c
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl
BuildRequires:	python3

Obsoletes:	ninja-build < 1.7.2
Provides:	ninja-build = %{version}-%{release}

# For ninja rpm macros that uses UTF-8 locale
Requires:	locales

%description
Ninja is a small build system with a focus on speed. It differs from other
build systems in two major respects: it is designed to have its input files
generated by a higher-level build system, and it is designed to run builds as
fast as possible.

%prep
%autosetup -p1

%build
%set_build_flags
%python3 configure.py --bootstrap --verbose
./ninja -v all

./ninja -v manual
# For testing with the ninja we just built, we need to add current
# directory to PATH, otherwise CMake fails to find the ninja binary.
PATH=$(pwd):"$PATH" %cmake \
  -G Ninja \
  -B cmake-build
./ninja -C cmake-build ninja_test

%check
./cmake-build/ninja_test

%install
install -D -p -m 755 ninja %{buildroot}%{_bindir}/ninja
install -D -p -m 644 misc/bash-completion %{buildroot}%{_sysconfdir}/bash_completion.d/ninja-bash-completion
install -D -p -m 644 misc/ninja-mode.el %{buildroot}%{_datadir}/emacs/site-lisp/ninja-mode.el
install -D -p -m 644 misc/ninja.vim %{buildroot}%{_datadir}/vim/vimfiles/syntax/ninja.vim
install -D -p -m 644 %{_sourcedir}/ninja.vim %{buildroot}%{_datadir}/vim/vimfiles/ftdetect/ninja.vim
install -D -p -m 644 misc/zsh-completion %{buildroot}%{_datadir}/zsh/site-functions/_ninja
install -D -p -m 644 misc/ninja_syntax.py %{buildroot}%{python3_sitelib}/ninja_syntax.py
install -D -p -m 644 %{_sourcedir}/macros.ninja %{buildroot}%{_rpmconfigdir}/macros.d/macros.ninja

%files
%doc README.md doc/manual.html
%license COPYING
%{_bindir}/ninja
%{_sysconfdir}/bash_completion.d/ninja-bash-completion
%{_datadir}/emacs/site-lisp/ninja-mode.el
%{_datadir}/vim/vimfiles/syntax/ninja.vim
%{_datadir}/vim/vimfiles/ftdetect/ninja.vim
%{_datadir}/zsh/site-functions/_ninja
%pycached %{python3_sitelib}/ninja_syntax.py
%{_rpmconfigdir}/macros.d/macros.ninja
