Name:		nitroshare
Version:	0.3.4
Release:	%mkrel 17
Summary:	Network file transfer application
Group:		Networking/File transfer
License:	MIT
URL:		https://nitroshare.net
# https://github.com/nitroshare/nitroshare-desktop
Source0:	https://launchpad.net/nitroshare/0.3/%{version}/+download/%{name}-%{version}.tar.gz
Source1:	https://launchpad.net/nitroshare/0.3/%{version}/+download/%{name}-%{version}.tar.gz.asc
# Use a correct Caja, Nemo and Nautilus GI API version.
Patch0:		nitroshare-fix-caja-nemo-and-nautilus.patch
Patch1:		nitroshare-0.3.4-fix-build-against-qt-5.11.0.patch
Patch2:		0001-Port-to-Ayatana-AppIndicator.patch
BuildRequires:	cmake >= 3.2.0
BuildRequires:	qttools5
BuildRequires:	cmake(qmdnsengine)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(qhttpengine)
# extra BRs needed for Mate, Gnome and Cinnamon DEs
BuildRequires:	pkgconfig(ayatana-appindicator-0.1)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libnotify)

%description
A cross-platform network file transfer application designed to make
transferring any file to any device as painless as possible.

Features:
  * Automatic discovery of devices on the local network.
  * Simple and intuitive user interface.
  * Transfer entire directories.

#----------------------------------------------------

%package	nautilus
Summary:	Nautilus extension for Nitroshare
Group:		Graphical desktop/GNOME
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}
Requires:	nautilus-python

%description	nautilus
The %{name}-nautilus package contains the %{name} extension for the
nautilus file manager.

#----------------------------------------------------

%package	nemo
Summary:	Nemo extension for Nitroshare
Group:		Graphical desktop/Cinnamon
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}
Requires:	nemo-python

%description	nemo
The %{name}-nemo package contains the %{name} extension for the
nemo file manager.

#----------------------------------------------------

%package	caja
Summary:	Caja extension for Nitroshare
Group:		Graphical desktop/MATE
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}
Requires:	python3-caja

%description	caja
The %{name}-caja package contains the %{name} extension for the
caja file manager.

#----------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_qt5
%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSE.txt
%{_bindir}/%{name}
%{_bindir}/%{name}-send
%{_datadir}/applications/%{name}.desktop
%{_datadir}/kservices5/nitroshare_addtoservicemenu.desktop
%{_iconsdir}/hicolor/*/*/%{name}*.svg
%{_iconsdir}/breeze*/*/*/%{name}*.svg
%{_mandir}/man1/%{name}.1*
# we don't want some useless icons
%exclude %{_iconsdir}/ubuntu*/
%exclude %{_iconsdir}/gnome/

%files nautilus
%{_datadir}/nautilus-python/extensions

%files nemo
%{_datadir}/nemo-python/extensions

%files caja
%{_datadir}/caja-python/extensions

