# comment out when not pre-release
%define prel	alpha2

%define rel	3

Name:		nmapsi4
Version:	0.5
Release:	%mkrel %{?prel:0.%prel.}%{rel}
Summary:	Complete Qt5-based Gui to provide a complete nmap interface
Group:		Networking/Other
License:	GPLv2
Url:		https://github.com/nmapsi4/nmapsi4
Source0:	https://sourceforge.net/projects/nmapsi/files/%{name}-%{version}/%{name}-%{version}%{?prel:-%prel}.tar.xz
Patch0:		nmapsi4-0.5-mga-fix-desktop-file-install.patch
BuildRequires:	kf5-macros
BuildRequires:	qttools5
BuildRequires:	nmap >= 6.00
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5WebEngine)
BuildRequires:	pkgconfig(Qt5WebEngineWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)

Requires:	nmap >= 6.00
Requires:	kde-cli-tools

# mga#27930
Provides:	nmap-frontend

%description
NmapSI4 is a complete Qt5-based Gui with the design goals to provide a complete
nmap interface for Users, in order to management all option of this power 
security net scanner.

%files
%doc AUTHORS README.md NEWS TODO
%license COPYING
%{_kf5_bindir}/%{name}
%{_kf5_applicationsdir}/%{name}*.desktop
%{_kf5_datadir}/dbus-1/interfaces/org.%{name}.Nmapsi4.xml
%{_kf5_iconsdir}/hicolor/*/apps/%{name}.png
%dir %{_kf5_datadir}/%{name}
%dir %{_kf5_datadir}/%{name}/locale
%lang(ca) %{_kf5_datadir}/%{name}/locale/nmapsi4_ca.qm
%lang(cs) %{_kf5_datadir}/%{name}/locale/nmapsi4_cs.qm
%lang(de) %{_kf5_datadir}/%{name}/locale/nmapsi4_de.qm
%lang(es) %{_kf5_datadir}/%{name}/locale/nmapsi4_es.qm
%lang(fr) %{_kf5_datadir}/%{name}/locale/nmapsi4_fr.qm
%lang(it) %{_kf5_datadir}/%{name}/locale/nmapsi4_it.qm
%lang(ru) %{_kf5_datadir}/%{name}/locale/nmapsi4_ru.qm

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}%{?prel:-%prel}
%autopatch -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install
