Name:		nml
Summary:	A tool to compile nml files to grf or nfo files
Version:	0.7.6
Release:	%mkrel 2
License:	GPLv2+ and ZPLv2.1
Group:		Graphics/Utilities
Url:		https://github.com/OpenTTD/nml
Source0:	https://github.com/OpenTTD/nml/archive/%{version}/nml-%{version}.tar.gz
BuildRequires:	git-core
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-pillow
BuildRequires:	python3-ply
Requires:	python3-ply
Requires:	python3-pillow
Requires:	python3-pkg-resources

%description
A tool to compile nml files to grf and/or nfo files.

NML is a meta-language that aims to be a lot simpler to learn and use than nfo.

%prep
%autosetup -n %{name}-%{version} -p1 -Sgit_am

# remove git repo after applying patches
rm -rf .git

# fix version
sed -i -e 's/version=NML_VERSION/version="%{version}"/g' setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files nml nml_lz77

#handle docs in files section
rm -rf %{buildroot}%{_docdir}

#man pages
install -Dpm644 docs/nmlc.1 %{buildroot}%{_mandir}/man1/nmlc.1

#unpackaged files
rm -rf %{buildroot}%{python3_sitelib}/{easy-install.pth,site.py}

%check
%make_build regression

%files -f %{pyproject_files}
%license LICENSE
%doc README*
%doc examples/
%doc docs/changelog.txt
%{_bindir}/nmlc
%{_mandir}/man1/nmlc.1*
