%define _voskdir %{_datadir}/vosk-models/

%ifarch x86_64
%define _bit %(getconf LONG_BIT)
%endif

Name:		nocomprendo
Version:	2.7
Release:	%mkrel 1
Summary:	Voice command, dictation and text to speech for Linux
License:	GPL-3.0
Group:		Accessibility
Url:		https://invent.kde.org/beroot/nocomprendo
Source0:	https://be.root.free.fr/soft/%{name}/%{name}-%{version}.tar.gz
Patch0:		nocomprendo-libvosk.patch

BuildRequires:	bison
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Multimedia)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	vosk-devel

Requires:	dotool
Requires:	polkit
Requires:	python3dist(vosk)
Requires:	sox
Requires:	svox-pico

%description
Voice command, dictation and text to speech for Linux.
Based on Qt for GUI, Vosk for voice recognition and
svox-pico for speech synthesis.

%prep
%autosetup -p1

%build
%qmake_qt6
%__make -j12

%install
mkdir -p %{buildroot}%{_voskdir}
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc README.md
%attr(755, root, root) %{_voskdir}
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/icons/%{name}*.png
%{_datadir}/applications/%{name}.desktop
