%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-ansi-styles
Version:    2.1.0
Release:    %mkrel 7
Summary:    ANSI escape codes for colorizing strings in the terminal
License:    MIT
Group:      System/Libraries
URL:        https://github.com/sindresorhus/ansi-styles
Source0:    https://registry.npmjs.org/ansi-styles/-/ansi-styles-%{version}.tgz
# test file
Source1:    https://raw.githubusercontent.com/chalk/ansi-styles/v%{version}/test.js

BuildArch:  noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(chalk)
BuildRequires:  npm(require-uncached)
%endif

%description
%{summary}.


%prep
%setup -q -n package
cp -p %{SOURCE1} .


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/ansi-styles
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/ansi-styles

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
ln -s %{nodejs_sitelib}/chalk node_modules/chalk
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc readme.md
%license license
%{nodejs_sitelib}/ansi-styles

