%{?nodejs_find_provides_and_requires}

%global packagename array-unique
%global enable_tests 0

Name:		nodejs-array-unique
Version:	0.3.2
Release:	%mkrel 4
Summary:	Return an array free of duplicate values
Group:          Development/Other

License:	MIT
URL:		https://github.com/jonschlinkert/array-unique.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball, and releases aren't
# tagged in github, so we'll just pull from master for now
Source1:	https://raw.githubusercontent.com/jonschlinkert/array-unique/master/test.js

BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(should)
%endif

%description
Return an array free of duplicate values. Fastest ES5 implementation.


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .

chmod -x ./*


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo "Tests disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


