%{?nodejs_find_provides_and_requires}

%define enable_mocha_tests 1
%define enable_tests 0

Name:           nodejs-async
Version:        1.5.2
Release:        %mkrel 2
Summary:        Higher-order functions and common patterns for asynchronous code
BuildArch:      noarch

Group:          System/Servers
License:        MIT
URL:            https://github.com/caolan/async/
Source0:        https://github.com/caolan/async/archive/v%{version}/async-%{version}.tar.gz

BuildRequires:  nodejs-packaging 
BuildRequires:  nodejs

%if 0%{?enable_mocha_tests}
BuildRequires: npm(mocha)
BuildRequires: npm(chai)
%endif

%if 0%{?enable_nodeunit_Tests}
BuildRequires: npm(nodeunit)
BuildRequires: npm(bluebird)
BuildRequires: npm(es6-promise)
BuildRequires: npm(native-promise-only)
BuildRequires: npm(rsvp)
%endif

%description
Async is a utility module which provides straight-forward, powerful functions
for working with asynchronous JavaScript. Although originally designed for
use with Node.js, it can also be used directly in the browser.

Async provides around 20 functions that include the usual 'functional'
suspects (map, reduce, filter, forEach…) as well as some common patterns
for asynchronous control flow (parallel, series, waterfall…). All these
functions assume you follow the Node.js convention of providing a single
callback as the last argument of your async function.

%prep
%setup -q -n async-%{version}

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/async
cp -pr package.json lib *.js %{buildroot}%{nodejs_sitelib}/async

%check
%nodejs_symlink_deps --check
%__nodejs -e "require('./')"
%if 0%{?enable_mocha_tests}
%{nodejs_sitelib}/mocha/bin/mocha mocha_test
%endif
%if 0%{?enable_tests}
%{nodejs_sitelib}/nodeunit/bin/nodeunit test/test-async.js
%endif

%files
%doc README.md LICENSE
%{nodejs_sitelib}/async

