%{?nodejs_find_provides_and_requires}

%global packagename balanced-match
%global enable_tests 0

Name:		nodejs-balanced-match
Version:	1.0.0
Release:	%mkrel 4
Summary:	Match balanced character pairs, like "{" and "}"
Group:          Development/Other

License:	MIT
# License in Readme.md file, see request for separate file at
# https://github.com/juliangruber/balanced-match/issues/5
URL:		https://github.com/juliangruber/balanced-match.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(tape)
%endif

%description
Match balanced character pairs, like "{" and "}"


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%{_bindir}/tape test/*.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%{nodejs_sitelib}/%{packagename}



