%{?nodejs_find_provides_and_requires}

%global packagename brace-expansion
%global enable_tests 0

Name:		nodejs-brace-expansion
Version:	1.1.11
Release:	%mkrel 5
Summary:	Brace expansion as known from sh/bash
Group:          Development/Other

License:	MIT
# License text is at the bottom of README.md
URL:		https://github.com/juliangruber/brace-expansion.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh

BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	grep
%if 0%{?enable_tests}
BuildRequires:	npm(balanced-match)
BuildRequires:	npm(concat-map)
BuildRequires:	npm(tape)
%endif

%description
Brace expansion as known from sh/bash


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package

# Create separate license file from the license information at the bottom of
# the README.md file
%{_bindir}/grep -A100 '^## License$' README.md > LICENSE.md


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%{_bindir}/tape test/*.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}



