%{?nodejs_find_provides_and_requires}

%global enable_tests 0

#use a github tarball so we get the tests
%global commit 8d3927995821596148e77f4af049ab38b03d1b99
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           nodejs-callsite
Version:        1.0.0
Release:        %mkrel 8
Summary:        Provides access to V8's "raw" CallSites from Node.js

BuildArch:      noarch

Group:          Development/C
#No license file included, "MIT" indicated in README and package.json
#A copy of the MIT license based on the version included with express, another
#node module by the same author, is included in Source1, and has been sent
#upstream: https://github.com/visionmedia/callsite/pull/2
License:        MIT
URL:            https://github.com/visionmedia/callsite
Source0:        https://github.com/visionmedia/callsite/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Source1:        https://raw.github.com/tchollingsworth/callsite/8d7615a28a6507c3ef0731f072d3f1a100b3fe27/LICENSE

# Fix the tests to comply with modern "should" syntax and with changes
# to the callsite code itself
Patch1:         %{name}-fix-test.patch

BuildRequires:  nodejs-devel

%if 0%{?enable_tests}
#for tests
BuildRequires:  npm(mocha)
BuildRequires:  npm(should)
%endif

%description
%{summary}.

This is useful for custom traces, C-style assertions, getting the line number in
execution, and more.

%prep
%setup -q -n callsite-%{commit}

#fix tests
%patch -P 1 -p1

#copy LICENSE file into %%_builddir so it works with %%doc
cp %{SOURCE1} LICENSE

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/callsite
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/callsite

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
mocha --require should
%endif

%files
%doc Readme.md examples History.md
%license LICENSE
%{nodejs_sitelib}/callsite  
