%{?nodejs_find_provides_and_requires}

%global packagename cli-color
%global enable_tests 0
# tests disabled due to dependency on npm(tad), which hasn't been packaged
# in Fedora, and has a circular dependency on this package

Name:		nodejs-cli-color
Version:	1.2.0
Release:	%mkrel 5
Group:          Development/Other
Summary:	Colors, formatting and other tools for the console

License:	MIT
URL:		https://github.com/medikoo/cli-color.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(ansi-regex)
BuildRequires:	npm(d)
BuildRequires:	npm(es5-ext)
BuildRequires:	npm(es6-iterator)
BuildRequires:	npm(memoizee)
BuildRequires:	npm(timers-ext)
%if 0%{?enable_tests}
BuildRequires:	npm(tad)
%endif

Requires:	nodejs

%description
Colors, formatting and other tools for the console


%prep
%setup -q -n package

%nodejs_fixdep d '<2.0.0'
# Use either 0.1.x or 1.x.x versions of npm(d)
%nodejs_fixdep ansi-regex ">=3.0.0"
%nodejs_fixdep memoizee "^0.3.4"


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ bin/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tad
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md examples/
%license LICENSE
%{nodejs_sitelib}/%{packagename}

