%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-commander
Version:    7.2.0
Release:    %mkrel 2
Summary:    Node.js command-line interfaces made easy
# License text is included in Readme.md
License:    MIT
Group:      System/Libraries
URL:        https://github.com/visionmedia/commander.js
Source0:    https://registry.npmjs.org/commander/-/commander-%{version}.tgz
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-3.3.1.tar.bz2
Source2:    examples-3.3.1.tar.bz2
Source10:   dl-tests.sh

BuildArch:  noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(keypress)
BuildRequires:  npm(should)
%endif

%description
The complete solution for Node.js command-line interfaces,
inspired by Ruby's commander.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
%setup -q -T -D -a 2 -n package
%autopatch -p1


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/commander
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/commander

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
find test/*test.js -exec ./test/run '{}' \;
%endif


%files
%doc Readme.md examples/
%{nodejs_sitelib}/commander


