%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:           nodejs-concat-stream
Version:        1.6.0
Release:        %mkrel 4
Summary:        Writable stream that concatenates data and calls a callback with the result
License:        MIT
Group:          System/Libraries
URL:            https://github.com/maxogden/concat-stream
Source0:        https://github.com/maxogden/concat-stream/archive/v%{version}/concat-stream-%{version}.tar.gz
# https://github.com/maxogden/concat-stream/pull/43
Patch0:         nodejs-concat-stream-typedarray.patch
BuildArch:      noarch


BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tape)
BuildRequires:  npm(inherits)
BuildRequires:  npm(readable-stream)
%endif

%description
%{summary}.


%prep
%autosetup -p 1 -n concat-stream-%{version}

%nodejs_fixdep readable-stream '^3.1.1'
%nodejs_fixdep -r typedarray


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/concat-stream
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/concat-stream

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/tape test/*.js test/server/*.js
%endif


%files
%doc readme.md
%license LICENSE
%{nodejs_sitelib}/concat-stream


