%global npm_name coveralls
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 3.0.1
Release: %mkrel 8
Summary: takes json-cov output into stdin and POSTs to coveralls
License: BSD
Group: Development/Other
URL: https://github.com/nickmerwin/node-coveralls#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(js-yaml)
Requires: npm(lcov-parse)
Requires: npm(log-driver)
Requires: npm(minimist)
Requires: npm(request)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep js-yaml ">=3.5.2"
%nodejs_fixdep lcov-parse ">=1.0.0"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr Makefile %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr bin %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr fixtures %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr test %{buildroot}%{nodejs_sitelib}/%{npm_name}

mkdir -p %{buildroot}%{_bindir}
chmod 0755 %{buildroot}%{nodejs_sitelib}/%{npm_name}/bin/coveralls.js
ln -sf %{nodejs_sitelib}/%{npm_name}/bin/coveralls.js %{buildroot}%{_bindir}/coveralls

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%{_bindir}/coveralls
%license LICENSE
%doc README.md

