%global npm_name d3-shape

Name: nodejs-d3-shape
Version: 1.2.2
Release: %mkrel 4
Summary: Graphical primitives for visualization, such as lines and areas
License: BSD
Group: Development/Other
URL: https://d3js.org/d3-shape/
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(d3-path) >= 1.0.0
Requires: npm(d3-path) < 2.0.0
BuildArch: noarch

%description
Visualizations typically consist of discrete graphical marks, such as symbols,
arcs, lines and areas. While the rectangles of a bar chart may be easy enough
to generate directly using SVG or Canvas, other shapes are complex, such as
rounded annular sectors and centripetal Catmull–Rom splines. This module
provides a variety of shape generators for your convenience.

As with other aspects of D3, these shapes are driven by data: each shape
generator exposes accessors that control how the input data are mapped to a
visual representation.

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr dist %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr rollup.config.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr src %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

