%global enable_tests 0

Name:           nodejs-deep-eql
Version:        0.1.3
Release:        %mkrel 9
Summary:        Improved deep equality testing for Node.js and the browser
Group:      System/Libraries

License:        MIT
URL:            https://github.com/chaijs/deep-eql
Source0:        https://registry.npmjs.org/deep-eql/-/deep-eql-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated using Source10, which pulls from the upstream
# version control repository.
Source1:        deep-eql-tests-%{version}.tar.bz2
Source10:       deep-eql-dl-tests.sh
BuildArch:      noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(simple-assert)
BuildRequires:  npm(type-detect)
%endif

%description
Improved deep equality testing for Node.js and the browser.


%prep
%setup -q -n package
%setup -T -D -a 1 -q -n package
%nodejs_fixdep type-detect ~2.0.1
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/deep-eql
cp -pr package.json index.js lib %{buildroot}%{nodejs_sitelib}/deep-eql
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha --require test/bootstrap --reporter list test/*.js
%endif


%files
%doc README.md History.md 
%{nodejs_sitelib}/deep-eql



