%{?nodejs_find_provides_and_requires}

%global enable_tests 0


Name:           nodejs-es-abstract
Version:        1.17.3
Release:        %mkrel 2
Group:          Development/Other
Summary:        ECMAScript spec abstract operations

License:        MIT
URL:            https://github.com/ljharb/es-abstract
Source0:        https://registry.npmjs.org/es-abstract/-/es-abstract-%{version}.tgz
Patch0: 	nodejs-es-abstract-shims.patch
BuildArch:      noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(es-to-primitive)
BuildRequires:  npm(foreach)
BuildRequires:  npm(function-bind)
BuildRequires:  npm(is-callable)
BuildRequires:  npm(is-regex)
BuildRequires:  npm(object-is)
BuildRequires:  npm(tape)
BuildRequires:  npm(has-symbols)
BuildRequires:  npm(make-arrow-function)
BuildRequires:  npm(object.assign)
%endif


%description
ECMAScript spec abstract operations. When different versions of the
spec conflict, the default export will be the latest version of the
abstract operation. All abstract operations will also be available
under an es5/es6/es7 exported property if you require a specific version.


%prep
%autosetup -p 1 -n package
rm -rf node_modules
%nodejs_fixdep object-inspect "^1.6.0"

%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/es-abstract
cp -pr package.json *.js 5 2015 2016 2017 2018 2019 helpers %{buildroot}%{nodejs_sitelib}/es-abstract
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
echo 0%{?enable_tests}
%nodejs_symlink_deps --check
%{__nodejs} test/index.js
%endif


%files
%doc README.md CHANGELOG.md
%license LICENSE
%{nodejs_sitelib}/es-abstract

