%{?nodejs_find_provides_and_requires}

%global enable_tests 0
# Tests disabled due to unpackaged dependency on npm(espree), which depends
# on npm(acorn-jsx), which needs a newer version of npm(acorn), etc.

Name:       nodejs-estraverse
Version:    4.2.0
Release:    %mkrel 3
Summary:    ECMAScript JS AST traversal functions
License:    BSD
Group:      Development/Java
URL:        https://github.com/Constellation/estraverse
Source0:    https://registry.npmjs.org/estraverse/-/estraverse-%{version}.tgz
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh

BuildArch:  noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(coffee-script)
%if 0%{?enable_tests}
BuildRequires:  npm(chai)
BuildRequires:  npm(espree)
BuildRequires:  npm(mocha)
%endif

%description
%{summary}.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/estraverse
cp -pr package.json estraverse.js \
    %{buildroot}%{nodejs_sitelib}/estraverse

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{_bindir}/mocha --compilers coffee:coffee-script/register
%endif


%files
%doc LICENSE.BSD
%{nodejs_sitelib}/estraverse

