%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-eventemitter2
Version:    0.4.13
Release:    %mkrel 5
Summary:    A Node.js event emitter implementation with namespaces, wildcards and TTL
# License text is in README.md.
License:    MIT
Group:      System/Libraries
URL:        https://github.com/hij1nx/EventEmitter2
Source0:    https://registry.npmjs.org/eventemitter2/-/eventemitter2-%{version}.tgz
# Source1 is generated by running Source10, which pulls from the upstream
# revision control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh

BuildArch:  noarch
BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(nodeunit)
%endif

%description
A Node.js event emitter implementation with namespaces, wildcards,
time to live (TTL) and browser support.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/eventemitter2
cp -pr package.json index.js lib/ \
    %{buildroot}%{nodejs_sitelib}/eventemitter2

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/nodeunit/bin/nodeunit test/simple/
%{nodejs_sitelib}/nodeunit/bin/nodeunit test/wildcardEvents/
%endif


%files
%doc README.md
%{nodejs_sitelib}/eventemitter2


