%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:           nodejs-glob
Version:        7.1.2
Release:        %mkrel 4
Summary:        A little globber for Node.js

License:        BSD
Group:          System/Libraries
URL:            https://github.com/isaacs/node-glob
Source0:        https://github.com/isaacs/node-glob/archive/v%{version}/%{name}-%{version}.tar.gz
# Fix tests to work with older version of tap
#Patch0:         nodejs-glob-tap.patch
BuildArch:      noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
BuildRequires:  npm(inflight)
BuildRequires:  npm(path-is-absolute)
BuildRequires:  npm(rimraf)
%endif


%description
This is a glob implementation in pure JavaScript. It uses the minimatch library
to do its matching.


%prep
%autosetup -p 1 -n node-glob-%{version}
%nodejs_fixdep once "^1.3.3"


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/glob
cp -pr package.json glob.js sync.js common.js \
  %{buildroot}%{nodejs_sitelib}/glob
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%tap test/*.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md examples
%license LICENSE
%{nodejs_sitelib}/glob


