%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-grunt
Version:    1.1.0
Release:    %mkrel 1
Summary:    Grunt is a JavaScript library used for automation and running tasks
License:    MIT
Group:      System/Libraries
URL:        https://github.com/gruntjs/grunt
Source0:    https://github.com/gruntjs/grunt/archive/v%{version}/grunt-%{version}.tar.gz

BuildArch:  noarch

BuildRequires:  nodejs-packaging
Requires: nodejs-emitter

%if 0%{?enable_tests}
BuildRequires:  coffee-script
BuildRequires:  npm(async)
BuildRequires:  npm(colors)
BuildRequires:  npm(dateformat)
BuildRequires:  npm(difflet)
BuildRequires:  npm(eventemitter2)
BuildRequires:  npm(exit)
BuildRequires:  npm(findup-sync)
BuildRequires:  npm(getobject)
BuildRequires:  npm(glob)
BuildRequires:  npm(grunt)
BuildRequires:  npm(grunt-cli)
BuildRequires:  npm(grunt-contrib-nodeunit)
BuildRequires:  npm(grunt-contrib-watch)
BuildRequires:  npm(grunt-legacy-log)
BuildRequires:  npm(grunt-legacy-util)
BuildRequires:  npm(hooker)
BuildRequires:  npm(iconv-lite)
BuildRequires:  npm(js-yaml)
BuildRequires:  npm(lodash)
BuildRequires:  npm(minimatch)
BuildRequires:  npm(nodeunit)
BuildRequires:  npm(nopt)
BuildRequires:  npm(rimraf)
BuildRequires:  npm(shelljs)
BuildRequires:  npm(temporary)
BuildRequires:  npm(underscore.string)
BuildRequires:  npm(which)
%endif

%description
Grunt is the JavaScript task runner. Why use a task runner? In one word:
automation. The less work you have to do when performing repetitive tasks
like minification, compilation, unit testing, linting, etc, the easier
your job becomes. After you've configured it, a task runner can do most
of that mundane work for you with basically zero effort.

%prep
%setup -q -n grunt-%{version}

%nodejs_fixdep colors '^1.1.2'
%nodejs_fixdep dateformat '*'
%nodejs_fixdep eventemitter2 '~0.4'
%nodejs_fixdep findup-sync '~2.0.0'
%nodejs_fixdep glob '~7.1.2'
%nodejs_fixdep hooker '~0.2'
%nodejs_fixdep minimatch '~3.0.0'
%nodejs_fixdep nopt '^3.0.6'
%nodejs_fixdep lodash '^4.17.11'
%nodejs_fixdep underscore.string '~2.2'
%nodejs_fixdep js-yaml '^3.5.0'
%nodejs_fixdep esprima '^2.7.2'
%nodejs_fixdep grunt-legacy-util '^1.1.1'
%nodejs_fixdep mkdirp >=0.5.1
%nodejs_fixdep underscore.string >=2.3.1
%nodejs_fixdep rimraf >=2.5.0
%nodejs_fixdep grunt-legacy-log >=1.0.2
%nodejs_fixdep coffeescript >= 2.3.2

%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/grunt
cp -pr package.json internal-tasks/ lib/ \
    %{buildroot}%{nodejs_sitelib}/grunt

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
grunt test
%endif


%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/grunt


