%global npm_name handlebars
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 4.4.5
Release: %mkrel 1
Summary: Handlebars lets you build semantic templates with no frustration
License: MIT
Group: Development/Other
URL: https://handlebarsjs.com/
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(async)
Requires: npm(optimist)
Requires: npm(source-map)
Requires: npm(uglify-js)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep async ">=1.5.2"
%nodejs_fixdep source-map ">=0.7.2"
%nodejs_fixdep uglify-js ">=3.3.26"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr bin %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr dist %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr print-script %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr runtime.js %{buildroot}%{nodejs_sitelib}/%{npm_name}

mkdir -p %{buildroot}%{_bindir}
chmod 0755 %{buildroot}%{nodejs_sitelib}/%{npm_name}/bin/handlebars
ln -sf %{nodejs_sitelib}/%{npm_name}/bin/handlebars %{buildroot}%{_bindir}/handlebars

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%{_bindir}/handlebars
%license LICENSE
%doc README.markdown
%doc release-notes.md

