%{?nodejs_find_provides_and_requires}

%global packagename heap
%global enable_tests 0

Name:		nodejs-heap
Version:	0.2.6
Release:	%mkrel 9
Summary:	Binary heap (priority queue) algorithms
Group:          Development/Other

License:	Python
# license text is at bottom of README.md
URL:		https://github.com/qiao/heap.js.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	coffee-script
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(should)
%endif

%description
Binary heap (priority queue) algorithms (ported from Python's heapq module)


%prep
%setup -q -n package

# remove pre-compiled version
rm lib/heap.js

%build
%{_bindir}/coffee -c -b -o lib/ src/*.coffee

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%{_bindir}/coffee -c -b test/*.coffee
%{_bindir}/mocha -r should -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%{nodejs_sitelib}/%{packagename}

