%{?nodejs_find_provides_and_requires}

%global packagename is-absolute
%global enable_tests 0

Name:		nodejs-is-absolute
Version:	1.0.0
Release:	%mkrel 6
Summary:	Returns true if a file path is absolute
Group:          Development/Other

License:	MIT
URL:		https://github.com/jonschlinkert/is-absolute.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball, and haven't been tagged for version 0.2.3
Source1:	https://raw.githubusercontent.com/jonschlinkert/is-absolute/master/test.js


BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(is-relative)
BuildRequires:	npm(is-windows)

%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Returns true if a file path is absolute.


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .

%nodejs_fixdep is-relative ">=1.0.0"

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



