%{?nodejs_find_provides_and_requires}

%global packagename is-unc-path
%global enable_tests 0

Name:		nodejs-is-unc-path
Version:	1.0.0
Release:	%mkrel 5
Summary:	Returns true if a filepath is a windows UNC file path
Group:          Development/Other

License:	MIT
URL:		https://github.com/jonschlinkert/is-unc-path.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.  The releases aren't
# tagged in GitHub either, so we'll pull from "master"
Source1:	https://raw.githubusercontent.com/jonschlinkert/is-unc-path/master/test.js


BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(unc-path-regex)
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Returns true if a filepath is a windows UNC file path.


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}
