%{?nodejs_find_provides_and_requires}

%global packagename isexe
%global enable_tests 0

Name:		nodejs-isexe
Version:	2.0.0
Release:	%mkrel 4
Summary:	Minimal module to check if a file is executable

License:	ISC
URL:		https://github.com/isaacs/isexe
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

# No license file in the npm package or upstream github
# Requested at https://github.com/isaacs/isexe/issues/1
Source1:	LICENSE-ISC.txt

BuildArch:	noarch
Group:          Development/Other

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(mkdirp)
BuildRequires:	npm(rimraf)
BuildRequires:	npm(tap)
%endif

%description
Minimal module to check if a file is executable.


%prep
%setup -q -n package

#copy the license file
cp -p %{SOURCE1} .


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tap test/*.js
%else
%{_bindir}/echo "Tests disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE-ISC.txt
%{nodejs_sitelib}/%{packagename}
