%{?nodejs_find_provides_and_requires}
Name:           nodejs-less
Version:        3.10.3
Release:        %mkrel 2
Summary:        Less.js The dynamic stylesheet language
Group:          Development/Other

# cssmin.js is licensed under BSD license
# everything else is ASL 2.0
License:        ASL 2.0 and BSD
Patch:          nodejs-less-mime2.patch
URL:            https://lesscss.org
Source0: https://registry.npmjs.org/less/-/less-%{version}.tgz

BuildArch:      noarch
BuildRequires:  nodejs
BuildRequires:  nodejs-packaging
BuildRequires:  nodejs-grunt-cli
Requires:       nodejs

Provides:  lessjs = %{version}-%{release}
Obsoletes: lessjs < 1.3.3-2

%description
LESS extends CSS with dynamic behavior such as variables, mixins, operations
and functions. LESS runs on both the client-side (Chrome, Safari, Firefox)
and server-side, with Node.js and Rhino.

%prep
%autosetup -p1 -n package

# Remove pre-built files from the dist/ directory
rm -f dist/*.js

# enable compression using ycssmin
%nodejs_fixdep ycssmin '~1.0.1'
%nodejs_fixdep clone '>=1.0.4'

%build
# Nothing to be built, we're just carrying around flat files

%check
%make_build test


%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{nodejs_sitelib}/less
chmod a+x bin/lessc
cp -rp bin package.json lib/less/* %{buildroot}/%{nodejs_sitelib}/less

# Install /usr/bin/lessc
ln -s %{nodejs_sitelib}/less/bin/lessc \
      %{buildroot}%{_bindir}

%nodejs_symlink_deps

%files
%doc LICENSE README.md CHANGELOG.md CONTRIBUTING.md
%{_bindir}/lessc
%{nodejs_sitelib}/less

