%global npm_name lodash

Name:		nodejs-%{npm_name}
Version:	4.17.20
Release:	%mkrel 2
Summary:	Lodash modular utilities
License:	MIT
Group:		Development/Other
URL:		https://lodash.com/
Source0:	https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
# Source1 is generated by running Source10, which pulls from the upstream
# revision control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh
BuildRequires:	nodejs-packaging
BuildArch:	noarch

%description
Lodash makes JavaScript easier by taking the hassle out of working with
arrays, numbers, objects, strings, etc. Lodash’s modular methods are great
for:

- Iterating arrays, objects, & strings
- Manipulating & testing values
- Creating composite functions

%prep
%autosetup -n package

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr *.js %{buildroot}%{nodejs_sitelib}/%{npm_name}/
cp -pfr *.json %{buildroot}%{nodejs_sitelib}/%{npm_name}/

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%license LICENSE
%doc README.md
%{nodejs_sitelib}/%{npm_name}
