%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-ms
Version:    2.0.0
Release:    %mkrel 2
Summary:    Tiny milliseconds conversion utility for Node.js
License:    MIT
Group:      System/Libraries
URL:        https://github.com/guille/ms.js/
Source0:    https://registry.npmjs.org/ms/-/ms-%{version}.tgz
# The tests are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
#Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh
# Upstream have been informed about missing LICENSE file:
# https://github.com/guille/ms.js/issues/21
Source20:   LICENSE

BuildArch:  noarch
%if 0%{?fedora} >= 19
%else
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
%endif

%description
This module is a tiny milliseconds conversion utility for Node.js.

It does the following:
 - If a number is supplied to ms, a string with a unit is returned.
 - If a string that contains the number is supplied, it returns it as a
   number (e.g: it returns 100 for '100').
 - If you pass a string with a number and a valid unit, the number of
   equivalent milliseconds is returned.


%prep
%setup -q -n package
#%setup -q -T -D -a 1 -n package
cp -p %{SOURCE20} .


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/ms
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/ms

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha test/test.js
%endif


%files
%license LICENSE
%{nodejs_sitelib}/ms


