%global npm_name neovim
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 4.5.0
Release: %mkrel 3
Summary: Neovim client API and neovim remote plugin provider
License: MIT
Group: Development/Other
URL: https://github.com/neovim/node-client
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(lodash)
Requires: npm(msgpack-lite)
Requires: npm(traverse)
Requires: npm(winston)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr bin %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
#cp -pfr scripts %{buildroot}%{nodejs_sitelib}/%{npm_name}

mkdir -p %{buildroot}%{_bindir}
chmod 0755 %{buildroot}%{nodejs_sitelib}/%{npm_name}/bin/cli.js
ln -sf %{nodejs_sitelib}/%{npm_name}/bin/cli.js %{buildroot}%{_bindir}/neovim-node-host

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%{_bindir}/neovim-node-host

