%global npm_name node-pre-gyp
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 0.17.0
Release: %mkrel 1
Summary: Node
License: BSD
Group: Development/Other
URL: https://github.com/mapbox/node-pre-gyp#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(detect-libc)
Requires: npm(mkdirp)
Requires: npm(needle)
Requires: npm(nopt)
Requires: npm(npm-packlist)
Requires: npm(npmlog)
Requires: npm(rc)
Requires: npm(rimraf)
Requires: npm(semver)
Requires: npm(tar)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep nopt ">=3.0.6"
%nodejs_fixdep rimraf ">=2.2.2"
%nodejs_fixdep tar "<=6.0.2"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr bin %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

mkdir -p %{buildroot}%{_bindir}
chmod 0755 %{buildroot}%{nodejs_sitelib}/%{npm_name}/bin/node-pre-gyp
ln -sf %{nodejs_sitelib}/%{npm_name}/bin/node-pre-gyp %{buildroot}%{_bindir}/node-pre-gyp

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%{_bindir}/node-pre-gyp
%license LICENSE
%doc CHANGELOG.md
%doc README.md
%doc contributing.md

