%{?nodejs_find_provides_and_requires}

Name:           nodejs-normalize-package-data
Version:        2.4.0
Release:        %mkrel 6
Summary:        Normalizes npm/package.json metadata
BuildArch:      noarch
Group:          Development/Java
License:        BSD
URL:            https://github.com/meryn/normalize-package-data
Source0:        https://registry.npmjs.org/normalize-package-data/-/normalize-package-data-%{version}.tgz

BuildRequires:  nodejs-packaging

#for tests
BuildRequires:  npm(async)
BuildRequires:  npm(underscore)
BuildRequires:  npm(semver)
BuildRequires:  npm(github-url-from-git)
BuildRequires:  npm(hosted-git-info)
BuildRequires:  npm(is-builtin-module)
BuildRequires:  npm(tap)
BuildRequires:  npm(validate-npm-package-license)

%description
normalize-package-data exports a function that normalizes package metadata. This
data is typically found in a package.json file, but in principle could come from
any source - for example the npm registry.

normalize-package-data is used by read-package-json to normalize the data it
reads from a package.json file. In turn, read-package-json is used by npm and
various npm-related tools.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/normalize-package-data
cp -pr lib package.json %{buildroot}%{nodejs_sitelib}/normalize-package-data

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%tap test/*.js || :

%files
%{nodejs_sitelib}/normalize-package-data
%doc README.md AUTHORS
%license LICENSE

