%global npm_name npm-remote-ls
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.3.2
Release: %mkrel 7
Summary: Examine a package's dependency graph before you install it
License: ISC
Group: Development/Other
URL: https://github.com/npm/npm-remote-ls
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(async)
Requires: npm(char-spinner)
Requires: npm(lodash)
Requires: npm(npm-package-arg)
Requires: npm(once)
Requires: npm(registry-url)
Requires: npm(request)
Requires: npm(semver)
Requires: npm(treeify)
Requires: npm(yargs)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep async ">=1.5.2"
%nodejs_fixdep yargs ">=11.1.0"
%nodejs_fixdep hawk ">=7.0.7"
%nodejs_fixdep npm-package-arg ">=6.1.0"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr bin %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr test %{buildroot}%{nodejs_sitelib}/%{npm_name}

mkdir -p %{buildroot}%{_bindir}
chmod 0755 %{buildroot}%{nodejs_sitelib}/%{npm_name}/bin/npm-remote-ls.js
ln -sf %{nodejs_sitelib}/%{npm_name}/bin/npm-remote-ls.js %{buildroot}%{_bindir}/npm-remote-ls

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%{_bindir}/npm-remote-ls
%license LICENSE.txt
%doc CHANGELOG.md
%doc README.md

