# Current upstream requires few packages for
# running tests which are not in Fedora yet
%global enable_tests 0
%global module_name object-assign

Name:           nodejs-%{module_name}
Version:        4.1.1
Release:        %mkrel 6
Summary:        ES6 Object.assign() ponyfill
Group:          Development/Other

License:        MIT
URL:            https://github.com/sindresorhus/object-assign
Source0:        https://github.com/sindresorhus/%{module_name}/archive/v%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(ava)
BuildRequires:  npm(xo)
BuildRequires:  npm(matcha)
BuildRequires:  npm(lodash)
%endif

%description
%{summary}.

%prep
%setup -q -n %{module_name}-%{version}
rm -rf node_modules

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
xo && ava
match bench.js
%endif

%files
%doc readme.md 
%license license
%{nodejs_sitelib}/%{module_name}

