%{?nodejs_find_provides_and_requires}
%global enable_tests 1

Name:           nodejs-object-keys
Version:        1.1.1
Release:        %mkrel 1
Summary:        An Object.keys replacement, in case Object.keys is not available

License:        MIT
URL:            https://github.com/ljharb/object-keys
Source0:        https://github.com/ljharb/object-keys/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
# Patch out indexof as node doesn't need it and it is missing
# license text and has no clear upstream
Patch0:         nodejs-object-keys-indexof.patch
BuildArch:      noarch

Group:          Development/Other

BuildRequires:  nodejs-packaging

BuildRequires:  npm(is)
%if 0%{?enable_tests}
BuildRequires:  npm(tape)
%endif

%description
%{summary}.


%prep
%setup -q -n object-keys-%{version}
%patch -P 0 -p1
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/object-keys
cp -pr package.json index.js isArguments.js %{buildroot}%{nodejs_sitelib}/object-keys
%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
%{__nodejs} test/index.js
%endif

%files
%{!?_licensedir:%global license %doc}
%doc README.md CHANGELOG.md
%license LICENSE
%{nodejs_sitelib}/object-keys


