%global macrosdir %(d=%{_rpmconfigdir}/macros.d; [ -d $d ] || d=%{_sysconfdir}/rpm; echo $d)

Name:           nodejs-packaging
Version:        23
Release:        %mkrel 4
Summary:        RPM Macros and Utilities for Node.js Packaging
BuildArch:      noarch
Group:          System/Packaging
License:        MIT
URL:            https://fedoraproject.org/wiki/Node.js/Packagers
Source0:        https://pagure.io/%{name}/archive/fedora-%{version}/%{name}-fedora-%{version}.tar.gz

# (tv) replace rich deps by 2 regular deps:
Patch0: no-rich-deps.patch

Requires:       nodejs(engine) >= 0.10.12
Requires:       rpm-mageia-setup-build

%description
This package contains RPM macros and other utilities useful for packaging
Node.js modules and applications in RPM-based distributions.

%prep
%autosetup -p 1 -n %{name}-fedora-%{version}

%build
#nothing to do

%install
install -Dpm0644 macros.nodejs %{buildroot}%{macrosdir}/macros.nodejs
install -Dpm0644 nodejs.attr %{buildroot}%{_rpmconfigdir}/fileattrs/nodejs.attr
install -pm0755 nodejs.prov %{buildroot}%{_rpmconfigdir}/nodejs.prov
install -pm0755 nodejs.req %{buildroot}%{_rpmconfigdir}/nodejs.req
install -pm0755 nodejs-symlink-deps %{buildroot}%{_rpmconfigdir}/nodejs-symlink-deps
install -pm0755 nodejs-fixdep %{buildroot}%{_rpmconfigdir}/nodejs-fixdep
install -Dpm0644 multiver_modules %{buildroot}%{_datadir}/node/multiver_modules

%files
%license LICENSE
%{macrosdir}/macros.nodejs
%{_rpmconfigdir}/fileattrs/nodejs*.attr
%{_rpmconfigdir}/nodejs*
%{_datadir}/node/multiver_modules
