%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-promise
Version:    8.1.0
Release:    %mkrel 3
Summary:    Bare bones Promises/A+ implementation for Node.js
License:    MIT
Group:      System/Libraries
URL:        https://github.com/then/promise
Source0:    https://registry.npmjs.org/promise/-/promise-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh

BuildArch:  noarch
BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  mocha
BuildRequires:  npm(asap)
BuildRequires:  npm(better-assert)
BuildRequires:  npm(promises-aplus-tests)
%endif

%description
This is a bare bones Promises/A+ implementation for Node.js. It is designed
to get the basics spot on correct, so that you can build extended promise
implementations on top of it.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
%nodejs_fixdep asap "^2.0.3"

%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/promise
cp -pr package.json *.js lib/ domains/ setimmediate/ \
    %{buildroot}%{nodejs_sitelib}/promise

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec --timeout 200 --slow 99999
%endif


%files
%doc LICENSE Readme.md
%{nodejs_sitelib}/promise


