%global npm_name qunit
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 2.6.0
Release: %mkrel 7
Summary: An easy-to-use JavaScript Unit Testing framework
License: MIT
Group: Development/Other
URL: https://qunitjs.com
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging

BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep resolve ^1.5.0
%nodejs_fixdep js-reporters ^1.2.1
%nodejs_fixdep commander ^2.17
%nodejs_fixdep chokidar ">=2.0.0"
%nodejs_fixdep exists-stat ^1.0.0
%nodejs_fixdep findup-sync ^2.0.0
%nodejs_fixdep walk-sync ^0.3.2

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr bin %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr qunit %{buildroot}%{nodejs_sitelib}/%{npm_name}

mkdir -p %{buildroot}%{_bindir}
chmod 0755 %{buildroot}%{nodejs_sitelib}/%{npm_name}/bin/qunit
ln -sf %{nodejs_sitelib}/%{npm_name}/bin/qunit %{buildroot}%{_bindir}/qunit

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%{_bindir}/qunit
%license LICENSE.txt
%doc History.md
%doc README.md

