# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%global barename readable-stream
%global owner nodejs

Name:               nodejs-readable-stream
Version:            3.1.1
Release:            %mkrel 4
Summary:            Streams3, a user-land copy of the stream library from Node.js v0.10.x

License:            MIT
URL:                https://www.npmjs.org/package/readable-stream
Source0:            https://github.com/%{owner}/%{barename}/archive/v%{version}/%{barename}-%{version}.tar.gz
BuildArch:          noarch
Group:              Development/Other

BuildRequires:      nodejs-packaging >= 6

BuildRequires:      npm(core-util-is)
BuildRequires:      npm(isarray)
BuildRequires:      npm(process-nextick-args)
BuildRequires:      npm(string_decoder)
BuildRequires:      npm(util-deprecate)

%if 0%{?enable_tests}
BuildRequires:      npm(tap)
BuildRequires:      npm(tape)
BuildRequires:      npm(safe-buffer)
%endif


%description
This package is a mirror of the Streams2 and Streams3 implementations in
Node-core.

%prep
%setup -qn %{barename}-%{version}

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret
%nodejs_fixdep isarray "~2.0.0"
%nodejs_fixdep string_decoder "~0.10.1"
%nodejs_fixdep safe-buffer

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/readable-stream
cp -pr package.json *.js lib \
    %{buildroot}%{nodejs_sitelib}/readable-stream

%nodejs_symlink_deps

%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
tap test/parallel/*.js
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/readable-stream/

