%global npm_name snapdragon
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 0.12.0
Release: %mkrel 6
Summary: Plugin system for creating powerful, fast and versatile parsers and compilers
License: MIT
Group: Development/Other
URL: https://github.com/here-be/snapdragon
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
Patch0: snapdragon_fix-snapdragon-node-syntax.patch
BuildRequires: nodejs-packaging
Requires: npm(component-emitter)
Requires: npm(define-property)
Requires: npm(extend-shallow)
Requires: npm(get-value)
Requires: npm(isobject)
Requires: npm(map-cache)
Requires: npm(snapdragon-node)
Requires: npm(snapdragon-util)
Requires: npm(source-map)
Requires: npm(source-map-resolve)
Requires: npm(use)
BuildArch: noarch

%description
Easy-to-use plugin system for creating powerful, fast and versatile parsers
and compilers, with built-in source-map support.

%prep
%autosetup -n package -p1

%nodejs_fixdep get-value ">=3.0.0"
%nodejs_fixdep snapdragon-node ">=2.1.1"
%nodejs_fixdep snapdragon-util ">=5.0.0"
%nodejs_fixdep source-map ">=0.7.2"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

