%{?nodejs_find_provides_and_requires}

%global packagename spdx-expression-parse
%global enable_tests 0

Name:		nodejs-spdx-expression-parse
Version:	1.0.2
Release:	%mkrel 5
Group:          Development/Java
Summary:	Parse SPDX license expressions

License:	MIT and CC-BY
URL:		https://github.com/kemitchell/spdx-expression-parse.js.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1:	https://raw.githubusercontent.com/kemitchell/spdx-expression-parse.js/v%{version}/generate-parser.js
# the package is actually precompiled from this source file, which isn't included
# in the NPM tarball

BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	uglify-js
BuildRequires:	npm(jison)
BuildRequires: npm(spdx-license-ids)
BuildRequires: npm(spdx-exceptions)

%if 0%{?enable_tests}
# BuildRequres for tests go here
%endif

Requires:	nodejs

%description
Parse SPDX license expressions


%prep
%setup -q -n package
cp -p %{SOURCE1} .
# remove pre-compiled version
rm parser.generated.js


%build
# We need to symlink the dependencies in %%build instead of %%check
# so that we can generate the minified JavaScript
%nodejs_symlink_deps --check
%__nodejs generate-parser.js | %{_bindir}/uglifyjs > parser.generated.js

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
# %nodejs_symlink_deps --check
# We already symlinked the deps in %%build, so we don't need to
# do it in %%check again. (It just creates noise in the build logs)
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
# test suite goes here
echo "There are no tests..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

