%global npm_name sshpk
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.15.2
Release: %mkrel 7
Summary: A library for finding and using SSH public keys
License: MIT
Group: Development/Other
URL: https://github.com/arekinath/node-sshpk#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(asn1) >= 0.2.3
Requires: npm(assert-plus) >= 1.0.0
Requires: npm(bcrypt-pbkdf) >= 1.0.0
Requires: npm(dashdash) >= 1.12.0
Requires: npm(ecc-jsbn) >= 0.1.1
Requires: npm(getpass) >= 0.1.1
Requires: npm(jsbn) >= 0.1.0
Requires: npm(tweetnacl) >= 0.14.0
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep ecc-jsbn '>=0.2'
%nodejs_fixdep ecc-jsbn '>=0.2.0'
%nodejs_fixdep jsbn '>=1.1'
%nodejs_fixdep jsbn '>=1.1.0'
%nodejs_fixdep tweetnacl '>=1.0'
%nodejs_fixdep tweetnacl '>=1.0.0'

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr bin %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr man %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

