%{?nodejs_find_provides_and_requires}

%global packagename string.prototype.repeat
%global enable_tests 1

Name:		nodejs-string-dot-prototype-dot-repeat
Version:	0.2.0
Release:	%mkrel 6
Group:          Development/Java
Summary:	A robust & optimized `String.prototype.repeat` polyfill

License:	MIT
URL:		https://github.com/mathiasbynens/String.prototype.repeat.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
#BuildRequires:	
%endif

Requires:	nodejs

%description
A robust & optimized `String.prototype.repeat` polyfill, based on the
ECMAScript 6 specification.


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%{__nodejs} tests/tests.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE-MIT.txt
%{nodejs_sitelib}/%{packagename}



