%{?nodejs_find_provides_and_requires}

%global macrosdir %(d=%{_rpmconfigdir}/macros.d; [ -d $d ] || d=%{_sysconfdir}/rpm; echo $d)
%global enable_tests 0

Name:           nodejs-tap
Version:        0.7.1
Release:        %mkrel 2
Summary:        A Test Anything Protocol library

Group:          Development/Other
License:        MIT
URL:            https://github.com/isaacs/node-tap
Source0:        https://registry.npmjs.org/tap/-/tap-%{version}.tgz
Source1:        macros.nodejs-tap

# the segv test results in SIGSEGV as you would expect, not SIGBUS as is written
# in the test:  https://github.com/isaacs/node-tap/pull/75
# However, in koji it actually results in SIGTERM instead, so we're just going
# to skip the segv test altogether.
Patch1:         nodejs-tap-segv-actually-segfaults.patch

BuildArch:  noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
# we need to replicate the dependencies of this package for it to be able to
# test itself
BuildRequires:  npm(inherits) = 1.0.0
BuildRequires:  npm(yamlish)
BuildRequires:  npm(slide)
BuildRequires:  npm(runforcover)
BuildRequires:  npm(nopt)
BuildRequires:  npm(mkdirp)
BuildRequires:  npm(difflet)
BuildRequires:  npm(deep-equal)
BuildRequires:  npm(buffer-equal)
BuildRequires:  npm(glob)
%endif

%description
This is a mix-and-match set of utilities that you can use to write test
harnesses and frameworks that communicate with one another using the
Test Anything Protocol.

%prep
%setup -q -n package
#%%patch -P 1 -p1

%nodejs_fixdep deep-equal '>=1.0.1'
%nodejs_fixdep glob '>=6.0.3'
%nodejs_fixdep inherits 1
%nodejs_fixdep nopt '>=3.0.6'
%nodejs_fixdep mkdirp >=0.5.1

#remove bundled modules
rm -rf node_modules

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/tap
cp -pr bin lib package.json %{buildroot}%{nodejs_sitelib}/tap

mkdir -p %{buildroot}%{_bindir}
ln -sf ../lib/node_modules/tap/bin/tap.js %{buildroot}%{_bindir}/tap

#install some macros for use in RPM %%check sections
install -Dpm0644 %{SOURCE1} %{buildroot}%{macrosdir}/macros.tap

#make secondary scripts executable
chmod 0755 %{buildroot}%{nodejs_sitelib}/tap/bin/*

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
# Temporarily disable test/segv.js
rm -f test/segv.js

%nodejs_symlink_deps --check
%__nodejs %{buildroot}%{nodejs_sitelib}/tap/bin/tap.js test/*.js
%endif

%files
%{nodejs_sitelib}/tap
%{_bindir}/tap
%{macrosdir}/macros.tap
%doc coverage-example example README.md AUTHORS LICENSE


