%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-tape
Version:    4.9.0
Release:    %mkrel 2
Summary:    Tap-producing test harness for Node.js and browsers
License:    MIT
Group:      System/Libraries
URL:        https://github.com/substack/tape
Source0:    https://registry.npmjs.org/tape/-/tape-%{version}.tgz

BuildArch:  noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(concat-stream)
BuildRequires:  npm(defined)
BuildRequires:  npm(deep-equal) >= 0.2.1
#BuildRequires:  npm(falafel)
BuildRequires:  npm(function-bind)
BuildRequires:  npm(has)
BuildRequires:  npm(js-yaml)
BuildRequires:  npm(jsonify)
BuildRequires:  npm(minimist)
BuildRequires:  npm(object-inspect)
BuildRequires:  npm(resolve)
BuildRequires:  npm(resumer)
BuildRequires:  npm(string.prototype.trim)
BuildRequires:  npm(tap)
BuildRequires:  npm(tap-parser)
BuildRequires:  npm(through)
BuildRequires:  npm(for-each)
BuildRequires:  npm(readable-stream)
%endif

%description
%{summary}.


%prep
%setup -q -n package
%nodejs_fixdep glob ">=7.1.2"
%nodejs_fixdep resolve ">=1.7.1"
%nodejs_fixdep object-inspect ">=1.6.0"
%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/tape
cp -pr package.json index.js lib/ \
    %{buildroot}%{nodejs_sitelib}/tape

mkdir -p %{buildroot}%{nodejs_sitelib}/tape/bin
install -p -D -m0755 bin/tape %{buildroot}%{nodejs_sitelib}/tape/bin/tape
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/tape/bin/tape %{buildroot}%{_bindir}/tape

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs -e "require('./')"
# remove tests which need nodejs-falafel
rm test/array.js test/exit.js test/fail.js test/nested.js test/too_many.js
# remove tests which need newer tap
rm test/require.js
%tap test/*.js
%endif


%files
%doc readme.markdown
%license LICENSE
%{nodejs_sitelib}/tape
%{_bindir}/tape

