%global npm_name tar
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 6.0.5
Release: %mkrel 3
Summary: tar for node
License: ISC
Group: Development/Other
URL: https://github.com/npm/node-tar#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
#
# Security patches
# P100 -> ...
#
Patch100:      CVE-2021-32803.patch
Patch101:      CVE-2021-32804.patch
Patch102:      CVE-2021-37701.patch
Patch103:      CVE-2021-37712.patch
BuildRequires: nodejs-packaging
Requires: npm(chownr)
Requires: npm(fs-minipass)
Requires: npm(minipass)
Requires: npm(minizlib)
Requires: npm(mkdirp)
Requires: npm(safe-buffer)
Requires: npm(yallist)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package
%autopatch -p1

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

