%{?nodejs_find_provides_and_requires}

%global packagename unc-path-regex
%global enable_tests 0

Name:		nodejs-unc-path-regex
Version:	0.1.2
Release:	%mkrel 4
Summary:	Regular expression to test if a file path is a windows UNC path
Group:          Development/Other
License:	MIT
URL:		https://github.com/regexps/unc-path-regex
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/regexps/unc-path-regex/master/test.js


BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Regular expression for testing if a file path is a windows UNC file path. Can
also be used as a component of another regexp via the `.source` property.


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%{_bindir}/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}
