%{?nodejs_find_provides_and_requires}

%global packagename validate-npm-package-license
%global enable_tests 1

Name:		nodejs-validate-npm-package-license
Version:	3.0.1
Release:	%mkrel 7
Group:          Development/Java
Summary:	Validates an npm package license string

License:	ASL 2.0
URL:		https://github.com/kemitchell/validate-npm-package-license.js.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(defence-cli)
BuildRequires:	npm(replace-require-self)
BuildRequires:	npm(spdx-correct)
BuildRequires:	npm(spdx-expression-parse)
%endif

Requires:	nodejs

%description
Give me a string and I'll tell you if it's a valid npm package license string.


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
defence README.md | replace-require-self | node
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

