# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global barename window-size

Name:               nodejs-window-size
Version:            1.1.0
Release:            %mkrel 5
Summary:            Get the height and width of the terminal in a node.js environment
Group:              Development/Other
License:            MIT
URL:                https://www.npmjs.org/package/window-size
Source0:            https://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch


BuildRequires:      nodejs-packaging >= 6

%description
Reliable way to to get the height and width of the terminal/console in a
node.js environment.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret
%nodejs_fixdep define-property ">=2.0.2"
%nodejs_fixdep is-number ">=6.0.0"

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/window-size
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/window-size

%nodejs_symlink_deps

%files
%license LICENSE
%doc README.md
%{nodejs_sitelib}/window-size/

