%global npm_name xregexp
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 4.1.1
Release: %mkrel 4
Summary: Extended regular expressions
License: MIT
Group: Development/Other
URL: https://xregexp.com/
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
XRegExp provides augmented (and extensible) JavaScript regular expressions.
You get modern syntax and flags beyond what browsers support natively. XRegExp
is also a regex utility belt with tools to make your grepping and parsing
easier, while freeing you from regex cross-browser inconsistencies and other
annoyances.

XRegExp supports all native ES6 regular expression syntax. It supports ES5+
browsers, and you can use it with Node.js or as a RequireJS module.

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr src %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr tools %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr xregexp-all.js %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md

