# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%global barename yargs

Name:               nodejs-yargs
Version:            12.0.2
Release:            %mkrel 4
Summary:            Light-weight option parsing with an argv hash

Group:              System/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/yargs
Source0:            https://github.com/yargs/yargs/archive/v%{version}/%{barename}-%{version}.tar.gz
BuildRequires:      nodejs-packaging
BuildRequires:      npm(minimist)
Requires:           npm(minimist)

%if 0%{?enable_tests}
BuildRequires:      npm(hashish)
BuildRequires:      npm(chai)
BuildRequires:      npm(mocha)
%endif
BuildArch:          noarch


%description
Yargs be a node.js library fer hearties tryin' ter parse optstrings against
their will where even the boo box be not enough to coerce them. This here
module is fer scallywags lookin' ter plunder all the sunken -shipz of their
--treasures thru program usage but be tired of optstrings disincling to
acquiesce to yer requests.

With yargs, ye be havin' a map that leads straight to yer treasure! Treasure of
course, being a simple option hash.

%prep
%autosetup -n yargs-%{version}

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret
%nodejs_fixdep minimist ^1.2.
%nodejs_fixdep yargs-parser ">=9.0.2"
%nodejs_fixdep y18n ">=3.2.1"
%nodejs_fixdep decamelize ">=1.1.1"
%nodejs_fixdep find-up ">=3.0.0"

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/yargs
cp -pr package.json lib index.js \
    %{buildroot}%{nodejs_sitelib}/yargs

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
mocha -R nyan
%endif


%files
%doc README.md LICENSE
%{nodejs_sitelib}/yargs/

