Name:           nogravity
Version:        2.00
Release:        %mkrel 6
Summary:        Space shooter in 3D
Group:          Games/Shooter
License:        GPLv2+
URL:            https://www.nogravitythegame.com/classic
Source0:        https://downloads.sourceforge.net/%{name}/rt-%{name}-src.zip
Source2:        %{name}.desktop
Source3:        %{name}.png
Source4:        nogravity--Makefile.am
Source5:        nogravity--bootstrap
Source6:        nogravity--configure.in
Source7:        nogravity.sh
Source8:        %{name}.appdata.xml

# Patches from Fedora
Patch1:         nogravity--fullscreen_as_option.patch
Patch2:         nogravity--fixed_path_to_game_data.diff
Patch3:         nogravity--64-bit.patch
Patch4:         nogravity--cvs.patch
Patch5:         nogravity--openal.patch
# See: https://www.redhat.com/archives/fedora-games-list/2007-June/msg00000.html
Patch6:         nogravity--README.patch
Patch7:         nogravity--bufer-overflows.patch
Patch8:         nogravity--strcpy-abuse.patch
Patch9:         nogravity-2.00-rhbz699274.patch
Patch10:        nogravity-2.00-libpng15.patch
Patch11:        0001-v3xscene-Remove-some-unused-code.patch
Patch12:        0002-rlx32-Stop-using-MaxExtentableObjet.patch
Patch13:        nogravity-2.00-stdint_h.patch
Patch14:        nogravity--gcc6.patch

# Mageia patches
Patch20:        nogravity-2.00-mga-gamesdatadir.patch

BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  appstream-util

Requires:       %{name}-data = %{version}

%description
No Gravity is a fantastic and futuristic universe made of five
intergalactic worlds. An arcade type game with great playability,
where it is easy to plunge into space battles against spacefighters,
space stations and more!


%prep
%setup -q -c
cp %{SOURCE4} ./src/Linux/Makefile.am
cp %{SOURCE5} ./src/Linux/bootstrap
cp %{SOURCE6} ./src/Linux/configure.in

%autopatch -p1

sed -i 's/\r//g' GNU.TXT README.TXT
pushd src/Linux
sh bootstrap
popd


%build
%global optflags %{optflags} -Wno-incompatible-pointer-types
pushd src/Linux
CXXFLAGS="%{build_cxxflags} -std=c++14" \
%configure --enable-sound=sdl_mixer --disable-opengl
%make_build LDADD=-lz
mv %{name} %{name}-software

make distclean

%configure --enable-sound=openal --enable-opengl
%make_build LDADD=-lz
mv %{name} %{name}-opengl

popd


%install

install -d %{buildroot}%{_gamesbindir}
install -m 755 src/Linux/%{name}-software %{buildroot}%{_gamesbindir}/
install -m 755 src/Linux/%{name}-opengl   %{buildroot}%{_gamesbindir}/
install -m 755 %{_sourcedir}/%{name}.sh   %{buildroot}%{_gamesbindir}/%{name}

install -D -m 644 %{_sourcedir}/%{name}.desktop \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

install -D -m 644 %{_sourcedir}/%{name}.appdata.xml \
  %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml
appstream-util validate-relax --nonet \
  %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml

install -D -m 644 %{_sourcedir}/%{name}.png \
  %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png


%files
%doc GNU.TXT README.TXT
%{_gamesbindir}/%{name}*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
