Name:           nootka
Version:        2.0.2
Release:        %mkrel 1
Summary:        Application to help with learning classical score notation
License:        GPLv3
Group:          Sound/Utilities
Url:            https://nootka.sourceforge.net/
Source0:        https://downloads.sf.net/%{name}/%{name}-%{version}-source.tar.bz2

BuildRequires:  cmake
BuildRequires:  ecasound-devel
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5QuickControls2)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(soundtouch)
BuildRequires:  pkgconfig(vorbis)

Requires:       qt5-common
Recommends:     TiMidity++

%description
Nootka is an open-source application to help with
learning (and also teaching) classical score notation.
Mostly it is for guitarists, but it can be used for
ear training as well.

Features:
Interactive interface to discover the rules of musical notation.
Exercises with the possibility of creating your own sets.
Accurate method for detecting sung and played sounds.
Natural sound of guitars.
Clefs (treble, bass and others) and grand staff.
Analysis of results.
Different kinds of guitars and tuning.
Czech, French, German, Polish and Russian translations.

%prep
%setup -q -n %{name}-%{version}-source
%autopatch -p1

%build
%ifarch aarch64
export CXXFLAGS="%{optflags} -fsigned-char"
%endif
%cmake_qt5 -DCMAKE_SKIP_RPATH:BOOL=OFF
%cmake_build

%install
%cmake_install

%files
%doc changes README.md TODO.md copyright
%license LICENSE
%{_datadir}/applications/%{name}.desktop
%{_bindir}/*
%dir %{_prefix}/lib/%{name}
%{_prefix}/lib/%{name}/*
%{_datadir}/%{name}/
%{_mandir}/man1/*
%{_datadir}/mime/packages/*
%{_metainfodir}/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/*/%{name}*.png
