%define     codemirror_ver  5.65.12
%define     gittag          d8000f256a516aa958d50bfcc19605dc296fbeb2
%define     gitdate         20210826
Name:           notepadqq
Version:        2.0.0
Release:        %mkrel %{?%gittag:0.git%{gitdate}.}1
Summary:        A Linux clone of Notepad++
License:        GPLv3
Group:          Editors
URL:            http://notepadqq.altervista.org/wp/
Source0:        https://github.com/notepadqq/notepadqq/archive/%{gittag}.tar.gz
Source1:        https://codemirror.net/5/codemirror.zip#/codemirror-%{codemirror_ver}.zip
Patch0:         notepadqq-2.0.0-mga-skip-uneeded-launcher-script.patch
Patch2:         notepadqq-fix-codemirror-make.patch

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5WebEngineCore)
BuildRequires:  pkgconfig(Qt5WebSockets)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  cmake(uchardet)
BuildRequires:  qttools5

%description
Notepadqq is a Notepad++-like editor for the Linux desktop.

It helps developers by providing all you can expect from a general
purpose text editor, such as syntax highlighting for more than 100
different languages, code folding, color schemes, file monitoring,
multiple selection and much more.

%prep
%setup -q -a1 -n notepadqq-%{gittag}
%autopatch -p1

# (tpg) update CodeMirror (upstream provides release 5.48)
rm -rf src/editor/libs/codemirror/*
mv -f codemirror-%{codemirror_ver}/* src/editor/libs/codemirror

%build
%qmake_qt5 PREFIX=%{_prefix} LRELEASE=%{_qt5_bindir}/lrelease 

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc CONTRIBUTING.md README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}/
%{_datadir}/metainfo/%{name}.appdata.xml
