%define gitref	7657cf74bf86499919689de05ec9db7349f3f219
%define gitref_short 7657cf

Summary:	C# desktop notification client
Name:		notify-sharp
Version:	0.4.0
Release:	%mkrel 6.git.%{gitref_short}.14
License:	MIT
Group:		System/Libraries
Url:		https://github.com/manish/notify-sharp
# downloaded from https://github.com/manish/notify-sharp/tree/%{gitref}
# Old URLs for download don't work anymore
Source0:	notify-sharp-%{gitref}.zip 
Patch0:		notify-sharp-0.4.0-6.git.7657cf.1-fix-pkgconfig-path.patch
BuildRequires:	pkgconfig(mono)
BuildRequires:	monodoc
BuildRequires:	pkgconfig(gtk-sharp-2.0)
BuildRequires:	pkgconfig(dbus-sharp-glib-1.0)
BuildRequires:	pkgconfig(monodoc)
BuildArch:	noarch
%global __requires_exclude lib.*glib

%description
notify-sharp is a C# client implementation for Desktop Notifications,
i.e. notification-daemon. It is inspired by the libnotify API.

Desktop Notifications provide a standard way of doing passive pop-up
notifications on the Linux desktop. These are designed to notify the
user of something without interrupting their work with a dialog box
that they must close. Passive popups can automatically disappear after
a short period of time.

%package devel
Summary:	Development files for %name
Group:		Development/Other
Requires:	%name = %version-%release

%description devel
dbus-sharp is a C# implementation of D-Bus. It's often referred to as
"managed D-Bus" to avoid confusion with existing bindings (which wrap
libdbus).

D-Bus is an inter-process communication framework that lets
applications interface with the system event bus as well as allowing
them to talk to one another in a peer-to-peer configuration.

%package doc
Summary:	Development documentation for %name
Group:		Development/Other
Requires(post):	monodoc
Requires(postun): monodoc

%description doc
This package contains the API documentation for the %name in
Monodoc format.

%prep
%setup -q -n notify-sharp-%{gitref}
%patch -P 0
sed -i "s#gmcs#mcs#g" configure.ac

%build
autoreconf -vif
./configure --prefix=%_prefix
make

%install
%make_install pkgconfigdir=%_datadir/pkgconfig

%post doc
%_bindir/monodoc --make-index > /dev/null

%postun doc
if [ "$1" = "0" -a -x %_bindir/monodoc ]; then %_bindir/monodoc --make-index > /dev/null
fi

%files
%doc AUTHORS NEWS README
%_prefix/lib/mono/gac/notify-sharp
%_prefix/lib/mono/notify-sharp

%files devel
%doc ChangeLog
%_datadir/pkgconfig/notify-sharp.pc

%files doc
%_prefix/lib/monodoc/sources/notify-sharp-docs.*
