%define srcname notofonttools


%global common_desc \
The nototools python package contains python scripts \
used to maintain the Noto Fonts project, \
including the google.com/get/noto website.

Name:		nototools
Version:	0.2.20
Release:	%mkrel 2
Summary:	Noto fonts support tools and scripts plus web site generation
Group:		System/Fonts/True type

# In nototools source
## nototools code is in ASL 2.0 license
### third_party ucd code is in Unicode license
License:	ASL 2.0
URL:		https://github.com/googlefonts/nototools
Source0:	%pypi_source

BuildArch:	noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

Requires:	python3-nototools = %{version}-%{release}

%description
%common_desc

%package     -n python3-nototools
Summary:	Noto tools for python 3

%description -n python3-nototools
%common_desc

%prep
%setup -q -n %{srcname}-%{version}

# remove unneeded files
rm -rf third_party/{cldr,dspl,fontcrunch,ohchr,spiro,udhr,unicode}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

for lib in %{buildroot}%{python3_sitelib}/nototools/*.py; do
 sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done
%pyproject_save_files nototools third_party

%check
# Comment it out for the moment because it tries to run something which fails
#%%pytest

%files
%license LICENSE
%doc CONTRIBUTING.md README.md
%{_bindir}/add_vs_cmap.py
%{_bindir}/autofix_for_release.py
%{_bindir}/create_image.py
%{_bindir}/decompose_ttc.py
%{_bindir}/drop_hints.py
%{_bindir}/dump_otl.py
%{_bindir}/fix_khmer_and_lao_coverage.py
%{_bindir}/fix_noto_cjk_thin.py
%{_bindir}/generate_sample_text.py
%{_bindir}/merge_fonts.py
%{_bindir}/merge_noto.py
%{_bindir}/noto_lint.py
%{_bindir}/notocoverage
%{_bindir}/notodiff
%{_bindir}/scale.py
%{_bindir}/subset.py
%{_bindir}/subset_symbols.py
%{_bindir}/test_vertical_extents.py

%files -n python3-nototools -f %{pyproject_files}
