%define _gitver	ff7641193a
%define rel 0.%{_gitver}.9

Name:		novacom-client
Version:	1.1.0
Release:	%mkrel %{rel}
Summary:	Client for utility to connect to WebOS devices
Group:		Development/Tools
License:	Apache License
URL:		https://github.com/openwebos/novacom
# git clone https://github.com/openwebos/novacom.git
# cd novacom
# git archive --prefix=novacom-git-ff7641193a/ --format tar.gz -o ../novacom-git-ff7641193a.tar.gz ff7641193a
Source0:	novacom-git-%{_gitver}.tar.gz
Source1:	novaterm
# This patch forces the makefile to use our CFLAGS and link properly
Patch0:		novacom-makefile-fixes.patch
Patch1:		novacom-remove-base64.patch

%description
Novacom allows you to connect to WebOS devices that are connected over USB.
You must have novacom-server installed to use it.

%package -n novacom
Summary:	Utility to connect to WebOS devices
Group:		Development/Tools
Requires:	novacom-client = %{version}-%{release}
Requires:	novacom-server

%description -n novacom
Novacom allows you to connect to WebOS devices that are connected over USB.

This package installs both the client and the server.

%prep
%setup -q -n novacom-git-%{_gitver}
%patch -P 0 -p1
%patch -P 1 -p1
# Remove bundled base64 library that's available in libtomcrypt
rm -f src/base64.c src/base64.h

%build
%make_build LDFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 build-novacom/novacom %{buildroot}%{_bindir}
install -m 755 %{SOURCE1} %{buildroot}%{_bindir}

%files
%doc README.md
%{_bindir}/novacom
%{_bindir}/novaterm

%files -n novacom
%doc README.md

