Name:           novnc
Version:        1.5.0
Release:        %mkrel 1
Summary:        VNC client using HTML5 (Web Sockets, Canvas) with encryption support
Group:          Networking/Other

License:        GPLv3
URL:            https://github.com/novnc/noVNC
Source0:        https://github.com/novnc/noVNC/archive/v%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
Requires:       python3-websockify
Requires:       which

%description
noVNC is both a HTML VNC client JavaScript library and an application built on
top of that library. noVNC runs well in any modern browser including mobile
browsers (iOS and Android).

%prep
%autosetup -p1 -n noVNC-%{version}

# Fix any python shebangs within the novnc codebase
# https://fedoraproject.org/wiki/Changes/Make_ambiguous_python_shebangs_error
%{py3_shebang_fix} .

%build

%install
mkdir -p %{buildroot}%{_datadir}/%{name}/
cp -r * %{buildroot}%{_datadir}/%{name}/

# Drop snap related files from the main package
rm -rf %{buildroot}%{_datadir}/%{name}/snap/

# Drop tests from the main package
rm -rf %{buildroot}%{_datadir}/%{name}/tests/

# Drop utils from the main package
rm -rf %{buildroot}%{_datadir}/%{name}/utils/

# Drop some po utilities from the main package
rm %{buildroot}%{_datadir}/%{name}/po/Makefile
rm %{buildroot}%{_datadir}/%{name}/po/po2js
rm %{buildroot}%{_datadir}/%{name}/po/xgettext-html

# provide an index file to prevent default directory browsing
install -m 444 vnc.html %{buildroot}%{_datadir}/%{name}/index.html

# install a copy of the new vnc_lite.html page as the old <1.0.0 vnc_auto.html page
install -m 444 vnc_lite.html %{buildroot}%{_datadir}/%{name}/vnc_auto.html

# Install novnc_proxy and the legacy novnc_server
mkdir -p %{buildroot}%{_bindir}/
install utils/novnc_proxy  %{buildroot}%{_bindir}/%{name}_server
install utils/novnc_proxy  %{buildroot}%{_bindir}/%{name}_proxy

# Install the man page for both
mkdir -p %{buildroot}%{_mandir}/man1/
install docs/novnc_proxy.1 %{buildroot}%{_mandir}/man1/%{name}_proxy.1
install docs/novnc_proxy.1 %{buildroot}%{_mandir}/man1/%{name}_server.1

%files
%doc README.md docs/API.md docs/EMBEDDING.md docs/LIBRARY.md
%license LICENSE.txt
%{_datadir}/%{name}/
%{_bindir}/%{name}_server
%{_bindir}/%{name}_proxy
%{_mandir}/man1/%{name}_proxy.1*
%{_mandir}/man1/%{name}_server.1*
