#
# spec file for package npapi-vlc
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Adapted to Mageia Linux Cauldron - file bugs for this package
# on https://bugs.mageia.org/ .

Name:           npapi-vlc
Version:        2.2.0
Release:        %mkrel 2
Summary:        VLC video and audio plugin for browsers
License:        GPLv2+
Group:          Video/Utilities
Url:            https://www.videolan.org/
Source0:        https://download.videolan.org/pub/videolan/vlc-webplugins/%{version}/npapi-vlc-%{version}.tar.xz
BuildRequires:  xz
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  gtk2-devel
BuildRequires:  glib2-devel
BuildRequires:  glib2-devel
BuildRequires:  gtk2-devel
BuildRequires:  vlc-devel >= 1.1.0
BuildRequires:  pkgconfig(mozilla-plugin)
BuildRequires:  pkgconfig(x11)

%description
This plugin allows one to watch standalone or embedded video or
audio files, inside web browsers.


%prep
%setup -q

%build
export CPPFLAGS="$CPPFLAGS -std=c++11"
%configure --disable-silent-rules
%make

%install
%make_install
rm -f %{buildroot}%{_libdir}/mozilla/plugins/libvlcplugin.la

%files
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/mozilla/plugins/libvlcplugin.so
