%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		npth
Version:	1.8
Release:	%mkrel 1
Summary:	The New GNU Portable Threads library
License:	LGPLv2+
Group:		Development/C
URL:		https://git.gnupg.org/cgi-bin/gitweb.cgi?p=npth.git
Source0:	https://gnupg.org/ftp/gcrypt/npth/npth-%{version}.tar.bz2
Source1:	https://gnupg.org/ftp/gcrypt/npth/npth-%{version}.tar.bz2.sig
# Manual page is re-used and changed pth-config.1 from pth-devel package
Source2:	npth-config.1

%description
nPth is a non-preemptive threads implementation using an API very similar
to the one known from GNU Pth. It has been designed as a replacement of
GNU Pth for non-ancient operating systems. In contrast to GNU Pth it is
based on the system's standard threads implementation. Thus nPth allows
the use of libraries which are not compatible to GNU Pth.

%package -n	%{libname}
Group:		Development/C
Summary:	The New GNU Portable Threads library
%rename		%{name}

%description -n	%{libname}
nPth is a non-preemptive threads implementation using an API very similar
to the one known from GNU Pth. It has been designed as a replacement of
GNU Pth for non-ancient operating systems. In contrast to GNU Pth it is
based on the system's standard threads implementation. Thus nPth allows
the use of libraries which are not compatible to GNU Pth.

%package -n 	%{devname}
Summary:	Development files for %{name}
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure --disable-static \
           --enable-install-npth-config
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_mandir}/man1/
install -pm0644 %SOURCE2 %{buildroot}%{_mandir}/man1/

%check
make check

%files -n %{libname}
%license COPYING.LIB
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/%{name}-config
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}.h
%{_mandir}/man1/%{name}-config.1*
%{_datadir}/aclocal/%{name}.m4
