Name:		nrpe
Version:	4.1.1
Release:	%mkrel 1
Summary:	NRPE daemon for Nagios
License:	GPLv2
Group:		System/Servers
URL:		https://github.com/NagiosEnterprises/nrpe/
Source0:	https://github.com/NagiosEnterprises/nrpe/releases/download/nrpe-%{version}/%{name}-%{version}.tar.gz
Source1:	nrpe.sysconfig
Source2:	nrpe.tmpfiles
Patch1:		nrpe-certs.patch
Patch2:		nrpe-implicit_declaration.patch
BuildRequires:	pkgconfig(openssl)
BuildRequires:	openssl
BuildRequires:	tcp_wrappers-devel
Requires:	tcp_wrappers
Requires(post): rpm-helper >= 0.24.20
Requires(preun): rpm-helper
Provides:       nagios-agent
Recommends:	nagios-plugins
Recommends:	nagios-check_users
Recommends:	nagios-check_load
Recommends:	nagios-check_procs
Recommends:	nagios-check_disk

%description
The purpose of this addon is to allow you to execute Nagios plugins on a remote
host in as transparent a manner as possible.

Nrpe is a system daemon that will execute various Nagios plugins locally on
behalf of a remote (monitoring) host that uses the check_nrpe plugin. Various
plugins that can be executed by the daemon are available at:
https://sourceforge.net/projects/nagiosplug

This package provides the core agent.

%package -n	nagios-check_nrpe
Summary:	NRPE Plugin for Nagios
Group:		Networking/Other
Requires:	nagios-plugins

%description -n	nagios-check_nrpe
Nrpe is a system daemon that will execute various Nagios plugins locally on
behalf of a remote (monitoring) host that uses the check_nrpe plugin. Various
plugins that can be executed by the daemon are available at:
https://sourceforge.net/projects/nagiosplug

This package provides the nrpe plugin for Nagios-related applications.

%prep
%autosetup -p1

perl -pi \
    -e 's|/usr/local/nagios/var/rw/nagios.cmd|/var/spool/nagios/nagios.cmd|;' \
    -e 's|/usr/local/nagios/etc/services.cfg|/etc/nagios/services.cfg|;' \
    contrib/nrpe_check_control.c

%build
%configure \
    --with-nrpe-port=5666 \
    --with-nrpe-user=nagios \
    --with-nrpe-group=nagios \
    --with-nagios-user=nagios \
    --with-nagios-group=nagios \
    --bindir=%{_sbindir} \
    --libexecdir=%{_libdir}/nagios/plugins \
    --datadir=%{_datadir}/nagios \
    --localstatedir=%{_rundir}/%{name} \
    --sysconfdir=%{_sysconfdir}/nagios \
    --enable-command-args
%make_build all

gcc %{optflags} -o contrib/nrpe_check_control contrib/nrpe_check_control.c

%install
install -D -m 0644 -p startup/default-service %{buildroot}%{_unitdir}/%{name}.service

install -D -m 0644 sample-config/nrpe.cfg %{buildroot}/%{_sysconfdir}/nagios/%{name}.cfg
install -D -m 0755 src/nrpe %{buildroot}/%{_sbindir}/nrpe
install -D -m 0755 src/check_nrpe %{buildroot}/%{_libdir}/nagios/plugins/check_nrpe
install -D -m 0644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/sysconfig/%{name}
install -D -m 0644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/%{name}.conf
install -d %{buildroot}%{_rundir}/%{name}

install -m 755 contrib/nrpe_check_control %{buildroot}%{_libdir}/nagios/plugins/nrpe_check_control
install -d %{buildroot}%{_sysconfdir}/nagios/plugins.d

cat > %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_nrpe.cfg <<'EOF'
# this command runs a program $ARG1$ with arguments $ARG2$
define command {
	command_name	check_nrpe
	command_line	%{_libdir}/nagios/plugins/check_nrpe -H $HOSTADDRESS$ -c $ARG1$ -a $ARG2$
}

# this command runs a program $ARG1$ with no arguments
define command {
	command_name	check_nrpe_1arg
	command_line	%{_libdir}/nagios/plugins/check_nrpe -H $HOSTADDRESS$ -c $ARG1$
}
EOF

cat > %{buildroot}%{_sysconfdir}/nagios/plugins.d/nrpe_check_control.cfg <<'EOF'
define command {
	command_name	nrpe_check_control
	command_line	%{_libdir}/nagios/plugins/nrpe_check_control $SERVICESTATE$ $SERVICESTATETYPE$ $SERVICEATTEMPT$ "$HOSTNAME$"
}
EOF

%pre
%_pre_useradd nagios %{_localstatedir}/log/nagios /bin/sh

%post
%_tmpfilescreate %{name}
%_post_service %{name}
%_create_ssl_certificate nagios -g nagios

%preun
%_preun_service %{name}

%postun
%_postun_userdel nagios

%files
%doc CHANGELOG.md LICENSE.md LEGAL README.md README.SSL.md SECURITY.md docs/NRPE.pdf
%dir %{_sysconfdir}/nagios
%config(noreplace) %{_sysconfdir}/nagios/nrpe.cfg
%config(noreplace) %{_sysconfdir}/sysconfig/nrpe
%{_unitdir}/nrpe.service
%{_tmpfilesdir}/nrpe.conf
%{_sbindir}/nrpe

%files -n nagios-check_nrpe
%doc contrib/README.nrpe_check_control
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_nrpe.cfg
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/nrpe_check_control.cfg
%{_libdir}/nagios/plugins/check_nrpe
%{_libdir}/nagios/plugins/nrpe_check_control
