Name:		nsca
Version:	2.10.3
Release:	%mkrel 1
Summary:	NSCA daemon for Nagios
License:	GPLv2
Group:		System/Servers
URL:		https://github.com/NagiosEnterprises/nsca
Source0:	https://github.com/NagiosEnterprises/%{name}/archive/refs/tags/%{name}-%{version}.tar.gz
Source1:	nsca.service
Source2:	nsca.tmpfiles
Patch0:		nsca-mdv_conf.diff
BuildRequires:	tcp_wrappers-devel
BuildRequires:	libmcrypt-devel
BuildRequires:	libtool-devel
Requires:	tcp_wrappers
Requires:	nagios
Requires(post): rpm-helper
Requires(preun): rpm-helper

%description
The NSCA addon is designed to accept passive host and service check results
from clients that use the send_nsca utility (included in client subpackage) and
pass them along to the Nagios process by using the external command interface.

%package -n	send_nsca
Summary:	NSCA client
Group:		System/Servers

%description -n	send_nsca
NSCA client - is used to send service check information from a remote machine
to the NSCA daemon on the central machine that runs Nagios.

%prep
%autosetup -p0 -n %{name}-%{name}-%{version}

%build
%configure \
    --with-nsca-port=5667 \
    --with-nsca-user=nagios \
    --with-nsca-grp=nagios \
    --localstatedir=/var/spool/nagios \
    --sysconfdir=%{_sysconfdir}/nagios

%make_build

%install
install -d -m 755 %{buildroot}%{_sbindir}
install -m 755 src/nsca %{buildroot}%{_sbindir}
install -m 755 src/send_nsca %{buildroot}%{_sbindir}

install -d -m 755 %{buildroot}%{_sysconfdir}/nagios
install -m 644 sample-config/nsca.cfg %{buildroot}%{_sysconfdir}/nagios
install -m 644 sample-config/send_nsca.cfg %{buildroot}%{_sysconfdir}/nagios

install -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/nsca.service
install -D -m 644 %{SOURCE2} %{buildroot}%{_prefix}/lib/tmpfiles.d/nsca.conf

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc CHANGELOG.md README.md SECURITY.md
%license LICENSE.md
%config(noreplace) %{_sysconfdir}/nagios/nsca.cfg
%{_unitdir}/nsca.service
%{_prefix}/lib/tmpfiles.d/nsca.conf
%{_sbindir}/nsca

%files -n send_nsca
%doc CHANGELOG.md README.md SECURITY.md
%license LICENSE.md
%config(noreplace) %{_sysconfdir}/nagios/send_nsca.cfg
%{_sbindir}/send_nsca
