Name:		nss-pam-ldapd
Version:	0.9.12
Release:	%mkrel 1
Summary:	An nsswitch module which uses directory servers
Group:		System/Libraries
License:	LGPLv2+
URL:		https://arthurdejong.org/nss-ldapd/
Source0:	https://arthurdejong.org/nss-ldapd/%{name}-%{version}.tar.gz
Source3:	nslcd.service
Source4:	nslcd.tmpfiles
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
BuildRequires:	openldap-devel
BuildRequires:	pkgconfig(krb5)
BuildRequires:	pam-devel
BuildRequires:	python3

%description
The nss-ldapd daemon, nslcd, uses a directory server to look up name
service information (users, groups, etc.) on behalf of a lightweight
nsswitch module.

%prep
%setup -q

%build
%configure \
    --libdir=/%{_lib} \
    --with-pam-seclib-dir=/%{_lib}/security \
    --with-nslcd-pidfile=/run/nslcd/nslcd.pid
%make_build

%install
%make_install

install -D -m 644 %{SOURCE3} %{buildroot}%{_unitdir}/nslcd.service
install -D -m 644 %{SOURCE4} %{buildroot}%{_tmpfilesdir}/nslcd.conf
install -d -m 755 %{buildroot}%{_rundir}/nslcd

# python shebangs
%py3_shebang_fix %{buildroot}%{_datadir}/nslcd-utils/

%pre
%_pre_useradd nslcd / /bin/false

%post
%_tmpfilescreate nslcd
%_post_service nslcd
systemctl try-restart nscd >/dev/null 2>&1 || :

%preun
%_preun_service nslcd

%files
%doc AUTHORS ChangeLog HACKING NEWS README TODO
%license COPYING
%{_sbindir}/*
/%{_lib}/*.so.*
/%{_lib}/security/*.so
%{_mandir}/*/*
%config(noreplace) %{_sysconfdir}/nslcd.conf
%{_tmpfilesdir}/nslcd.conf
%{_unitdir}/nslcd.service
%dir %ghost %attr(0755, nslcd, root) %{_rundir}/nslcd
%ghost %attr(0660, -, -) %{_rundir}/nslcd/nslcd.pid
# Should this be split into a nslcd-utils package?
%{_bindir}/*
%{_datadir}/nslcd-utils
