%define major     2
%define libname   %mklibname nss_nis %{major}
%define develname %mklibname nss_nis -d

Name:           nss_nis
Version:        3.2
Release:        %mkrel 2
Summary:        Name Service Switch (NSS) module using NIS
Group:          System/Libraries
License:        LGPLv2+
Url:            https://github.com/thkukuk/libnss_nis
Source:         https://github.com/thkukuk/libnss_nis/archive/v%{version}.tar.gz

# https://github.com/systemd/systemd/issues/7074
# https://bugzilla.redhat.com/show_bug.cgi?id=1829572
Source2:        nss_nis.conf

BuildRequires:  make
BuildRequires:  libnsl-devel
BuildRequires:  libtirpc-devel
BuildRequires:  autoconf, automake, libtool
BuildRequires:  systemd

Requires:       %{libname} = %{version}-%{release}

%description
The nss_nis Name Service Switch module uses the Network Information System (NIS)
to obtain user, group, host name, and other data.

%package -n %{libname}
Summary:        Name Service Switch (NSS) module using NIS
Group:          System/Libraries
Provides:       nss_nis = %{version}-%{release}

%description -n %{libname}
The nss_nis Name Service Switch module uses the Network Information System (NIS)
to obtain user, group, host name, and other data.

%prep
%setup -q -n libnss_nis-%{version}

%build
export CFLAGS="%{optflags}"
autoreconf -fiv
%configure --libdir=%{_libdir} --includedir=%{_includedir}
%make_build

%install
%make_install
rm  %{buildroot}/%{_libdir}/libnss_nis.{a,la}
rm  %{buildroot}/%{_libdir}/libnss_nis.so

install -D -m 644 %{SOURCE2} %{buildroot}/%{_unitdir}/systemd-logind.service.d/nss_nis.conf
install -D -m 644 %{SOURCE2} %{buildroot}/%{_unitdir}/systemd-userdbd.service.d/nss_nis.conf

%check
make check

%files -n %{libname}
%license COPYING
%{_unitdir}/systemd-logind.service.d/*
%{_unitdir}/systemd-userdbd.service.d/*
%{_libdir}/libnss_nis.so.%{major}
%{_libdir}/libnss_nis.so.%{major}.0.0

