Name:           nsxiv
Version:        33
Release:        %mkrel 1
Summary:        Neo (or New or Not) Simple (or small or suckless) X Image Viewer
Group:          Graphics/Viewers
License:        GPLv2+
URL:            https://nsxiv.codeberg.page
Source0:        https://github.com/nsxiv/nsxiv/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  desktop-file-utils
BuildRequires:  giflib-devel
BuildRequires:  inotify-tools-devel
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(imlib2)
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(libwebp)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xft)

Obsoletes:      sxiv < 26-2
Provides:       sxiv = %{version}-%{release}

%description
nsxiv (the Neo Simple X Image Viewer) is a fork of the now-unmaintained
sxiv project, with the purpose of being a drop-in replacement for sxiv,
maintaining its interface, and adding simple, sensible features. nsxiv aims
to be easy to modify and customise.

%prep
%autosetup -p1

# use mageia compile flags
sed -e "s/CFLAGS =/CFLAGS +=/" -i config.mk
# Add "Category" tag:
sed -e "$ a Categories=Graphics;Viewer;" -i etc/nsxiv.desktop

%build
%set_build_flags
%make_build

%install
%make_install PREFIX=%{_prefix} install-all

%files
%license LICENSE
%doc README.md
%{_pkgdocdir}/examples/
%{_bindir}/nsxiv
%{_datadir}/applications/*
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/*
