%define major	0
%define libname	%mklibname %name %{major}
%define develname %mklibname %name -d
%define sdevelname %mklibname %name -d -s
%define bootstrap 0

Summary:	Library for doing number theory
Name:		ntl
Version:	11.5.1
Release:	%mkrel 2
URL:		https://www.shoup.net/ntl/index.html
Source0:	https://www.shoup.net/ntl/%{name}-%{version}.tar.gz
License:	GPLv2+
Group:		System/Libraries
BuildRequires:	gmp-devel

%if ! %bootstrap
BuildRequires:	gf2x-devel
%endif

BuildRequires:	libgmp-devel
BuildRequires:	libtool

Patch0:		ntl-5.5.2-sagemath.patch
Patch1:         %name-fix-libtool.patch

%description
NTL is a high-performance, portable C++ library providing data structures and
algorithms for manipulating signed, arbitrary length integers, and for vectors,
matrices, and polynomials over the integers and over finite fields.

%package -n %{libname}
Summary:        Main library for NTL (Number Theory Library)
Group:          System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{_lib}ntl5 < %{version}-%{release}

%description -n %{libname}
This package contains the libraries needed to run programs dynamically linked
with NTL (Number Theory Library).

%package -n %{develname}
Group:		Development/C++
Summary:	Shared libraries and header files for NTL (Number Theory Library)
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
%if ! %bootstrap
Requires:	gf2x-devel
%endif
Obsoletes:	%mklibname -d ntl 5

%description -n %{develname}
This package contains the shared libraries and header files needed for
developing NTL (Number Theory Library) applications.

%prep
%setup -q

%build
%if %bootstrap
pushd src
./configure \
  PREFIX=%{_prefix} \
  DOCDIR=%{_docdir} \
  INCLUDEDIR=%{_includedir} \
  LIBDIR=%{_libdir} \
  NTL_GMP_LIP=on \
  NTL_GF2X_LIB=on \
  NTL_STD_CXX14=on \
  SHARED=on
popd

# not smp-safe
make -C src
%else
cd src

CFLAGS="`echo %optflags | sed 's/-O[0-9]/-O1/'`"
CXXFLAGS="`echo %optflags "-fno-rtti" | sed 's/-O[0-9]/-O1/'`"

./configure \
PREFIX=%{_prefix} \
        LIBDIR=$(echo %{_libdir} | sed 's,^%{_prefix},$${PREFIX},') \
        INCLUDEDIR=$(echo %{_includedir} | sed 's,^%{_prefix},$${PREFIX},') \
        DOCDIR=$(echo %{_docdir} | sed 's,^%{_prefix},$${PREFIX},') \
        NTL_GMP_LIP=on \
        NTL_STD_CXX14=on \
        NTL_GF2X_LIB=on

LD_LIBRARY_PATH=. \
%__make \
        CPPFLAGS="$CPPFLAGS -DPIC" \
        CFLAGS="$CFLAGS -fPIC" \
        CXXFLAGS="$CXXFLAGS -fPIC" \
        AR='bash -e -c '\''out=$$1; lib=$$(basename $$out .a).so.%{major}; \
        lib=lib$${lib#lib}; set -x; rm -f $$lib; ${CXX} -shared -Wl,-soname,$$lib \
        -o "$$@" -lgmp -lgf2x; ln -s $$out $$lib'\' \
        RANLIB=: \
        all check

%endif

%install
cd src
%__make install \
  PREFIX=%{buildroot}%{_prefix} \
  DOCDIR=%{buildroot}%{_docdir} \
  INCLUDEDIR=%{buildroot}%{_includedir} \
  LIBDIR=%{buildroot}%{_libdir} 

%if %bootstrap
rm -f libntl.so.%{major}
mv -f .libs/libntl.a libntl.so.%{version}
ln -sf libntl.so.%{version} libntl.so.%{major}

%__make clean ntl.a check

# Unpackaged files
rm -rf %{buildroot}%{_docdir}/NTL
rm -f  %{buildroot}%{_libdir}/libntl.la
rm -f  %{buildroot}%{_libdir}/libntl.a

%else
install -m 755 libntl.so.* %{buildroot}%{_libdir}/
ln -sf libntl.so.%{major} %{buildroot}%{_libdir}/libntl.so
rm -f %{buildroot}%{_libdir}/*.a
%endif

rm -rf %{buildroot}%{_defaultdocdir}/NTL

%files -n %{libname}
%doc README
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc doc/*
%{_includedir}/*
%{_libdir}/*.so
