%define		date 20180726
#define		git a131b99
%define		bdir 4.2
%define		ndpiver 2.6.0

%define rel	8

Summary:	A next generation Network and traffic analyzer
Name:		ntopng
Version:	4.2
Release:	%mkrel %{?git:0.git%{?date:%date}.}%{rel}
License:	GPLv3
Group:		Monitoring
URL:		https://www.ntop.org/
Source0:	https://github.com/ntop/ntopng/archive/%{bdir}/%{name}-%{version}%{?git:-%{?date:%date}-%{?git:%git}}.tar.gz
Source1:	ntopng.conf
Source2:	ntopng.service
Source3:	ntopng.sysconfig
Source4:	ntopng.tmpfiles.d
Patch1:		ntopng-3.3-dev-pidfile.patch
Patch2:		ntopng-3.6.1-shared-libndpi.patch
Patch3:		ntopng-4.2-system-lua.patch
Patch4:		ntopng-4.2-ldflags.patch
BuildRequires:	bison
BuildRequires:	cairo-devel
BuildRequires:	clang
BuildRequires:	clang-devel
BuildRequires:	flex
BuildRequires:	GeoIP-devel
BuildRequires:	pkgconfig(hiredis)
BuildRequires:	libpcap-devel
BuildRequires:	libtool
BuildRequires:	mariadb-devel
BuildRequires:	netfilter_conntrack-devel
BuildRequires:	netfilter_queue-devel
BuildRequires:	pango-devel
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(json-c)
BuildRequires:	pkgconfig(libcap)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libndpi) >= %{ndpiver}
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libzstd)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libmaxminddb)
BuildRequires:	redis >= 4.0.7
BuildRequires:	rrdtool-devel
#BuildRequires:	uglify-js
BuildRequires:	zeromq-devel >= 3.2.4
BuildRequires:	pkgconfig(zlib)
BuildRequires:	lua-devel
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Requires:	tcp_wrappers
Requires:	rrdtool
Requires:	geoip
Requires:	redis >= 5.0.0
Requires:	pkgconfig(openssl)
Obsoletes:	ntop < 5.0.1-11
# Provides:	bundled(lua) = 5.3.5

%description
ntopng is the next generation version of the original ntop.
It is a network packet traffic probe and collector that renders
network usage graphically, similar to what the popular top Unix
command does. It is based on libpcap and it has been written in a
portable way in order to virtually run on every Unix platform and on
Windows as well.

ntopng is easy to use and suitable for monitoring enterprise network
environments. A web browser is used to navigate through ntopng's
rendered web pages for viewing current traffic information and/or to
get a data dump of the collected network network status and statistics.
In the latter case, ntopng can be seen as a simple RMON-like agent with
an embedded web interface.

ntopng feature highlights:

* An intuitive web interface sporting numerous visuals and monitoring graphs.
* Show network traffic and IPv4/IPv6 active hosts.
* Analyse IP traffic and sort it according to the source/destination.
* Limited configuration and administration via the web interface.
* Reduced CPU and memory usage (this varies according to network size and
  traffic).
* Collection of a large number of hosts and network statistic values.
* Discover application protocols by leveraging nDPI (i.e., ntop’s Deep Packet
  Inspection Library).
* Report IP protocol usage sorted by protocol type.

%prep
%autosetup -p1 -n %{name}-%{bdir}

#use system libs
rm -rf third-party/{lua-5*,hiredis,json-c,rrdtool*,zeromq*}

%build
export CC=clang
export CXX=clang++
export GIT_DISCOVERY_ACROSS_FILESYSTEM=1
export LDFLAGS="%build_ldflags -Wl,--build-id=sha1"
./autogen.sh --noconfig

%serverbuild

%configure \
    --bindir=%{_sbindir} \
    --localstatedir=/var/lib \
    --with-ndpi=%{_libdir} \
    --with-ndpi-includes=%{_includedir}/ndpi/

%make_build

%install

install -d %{buildroot}%{_datadir}/ntopng
install -d %{buildroot}%{_mandir}/man8
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_unitdir}

install -m0755 ntopng %{buildroot}%{_sbindir}
install -m0644 ntopng.8 %{buildroot}%{_mandir}/man8

cp -ar httpdocs %{buildroot}%{_datadir}/%{name}
cp -ar scripts %{buildroot}%{_datadir}/%{name}

# fix broken symlinks
rm -rf  %{buildroot}%{_datadir}/ntopng/scripts/lua/modules/{resty,i18n}
cp -ar third-party/lua-resty-template-master/lib/resty third-party/i18n.lua-master/i18n \
        %{buildroot}%{_datadir}/ntopng/scripts/lua/modules/

find %{buildroot}%{_datadir}/%{name} -name "*~"   | xargs rm -f
find %{buildroot}%{_datadir}/%{name} -name ".svn" | xargs rm -rf
find %{buildroot}%{_datadir}/%{name} -name ".git" | xargs rm -rf

install -d %{buildroot}%{_localstatedir}/lib/%{name}/rrd/{flows,graphics,interfaces}

install -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/%{name}/%{name}.conf
install -m0644 %{SOURCE2} %{buildroot}%{_unitdir}/%{name}.service
install -m0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/%{name}

# fix permissions
find %{buildroot}%{_datadir}/%{name}/httpdocs -type f -print0|xargs -0 chmod 644
find %{buildroot}%{_datadir}/%{name}/httpdocs -type d -print0|xargs -0 chmod 755

# dangling symlinks
rm -rf %{buildroot}%{_datadir}/%{name}/httpdocs/geoip
ln -s %{_datadir}/GeoIP %{buildroot}%{_datadir}/%{name}/httpdocs/geoip
ln -s %{_sysconfdir}/pki/tls/private/%{name}.pem %{buildroot}%{_datadir}/%{name}/httpdocs/ssl/%{name}-cert.pem

mkdir -p %{buildroot}%{_tmpfilesdir}
install -m 0644 %{SOURCE4} %{buildroot}%{_tmpfilesdir}/%{name}.conf

%pretrans -p <lua>
-- Define the path to the symlink being replaced below.
path = "/usr/share/ntopng/scripts/lua/modules/resty"
st = posix.stat(path)
if st and st.type == "link" then
  os.remove(path)
end
path = "/usr/share/ntopng/scripts/lua/modules/i18n"
st = posix.stat(path)
if st and st.type == "link" then
  os.remove(path)
end

%pre
%_pre_useradd %{name} %{_localstatedir}/lib/%{name} /bin/false

%post
%_post_service ntopng
%_create_ssl_certificate ntopng -b
chown ntopng:ntopng %{_sysconfdir}/pki/tls/private/ntopng.pem

%_tmpfilescreate %{_tmpfilesdir}/%{name}

%preun
%_preun_service ntopng

%files
%doc README.* doc/UserGuide.* doc/README*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%{_unitdir}/%{name}.service
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.8.*
%{_datadir}/%{name}/
%{_tmpfilesdir}/%{name}.conf
%attr(0750,ntopng,ntopng) %dir %{_localstatedir}/lib/%{name}
