%define	release 17

Summary:	Minimal identd server implementing the auth protocol (RFC 1413)
Name:		nullidentd
Version:	1.0
Release:	%mkrel %{release}
License:	GPLv2+
Group:		System/Servers
Source0:	http://www.tildeslash.org/nullidentd/%{name}-%{version}.tar.bz2
Source1:	%{name}.xinetd.bz2
Patch0:		%{name}-makefile.patch.bz2
Patch1:		nullidentd-1.0-gcc4-fixes.patch.bz2
URL:		http://www.tildeslash.org/nullidentd.html
Provides:	identd
Requires(pre,postun):	rpm-helper

%description
nullidentd is intended to be a bare minimum identd server.

The program implements the auth protocol from RFC 1413.  This protocol is
used to identify active TCP connections.  It depends on the trustworthiness
of the server and as such is completely useless as a method of
identification.  Unfortunately some applications still require that an identd
server is available to query about incoming connections.  nullidentd
implements the absolute minimum server to allow these applications to
function.  It returns a fake response for any request.

%prep
%setup -q
%patch -P 0 -p0
%patch -P 1 -p1 -b .gcc4

%build
%make_build CFLAGS="$RPM_OPT_FLAGS"

%install
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/xinetd.d,%{_sbindir}}
%makeinstall
install -m755 %{name} $RPM_BUILD_ROOT%{_sbindir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/%{name}
install -d $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}

%pre
%_pre_useradd %{name} %{_localstatedir}/lib/%{name} /bin/true

%post
%_post_service xinetd

%preun
if [ -f /var/run/xinetd.pid ]; then
	echo "Restarting xinetd service"
	service xinetd restart
fi

%postun
%_postun_userdel %{name}

%files
%doc README CHANGELOG
%config(noreplace) %{_sysconfdir}/xinetd.d/%{name}
%{_sbindir}/%{name}
%{_localstatedir}/lib/%{name}



