%define debug_package %{nil}

# https://git.sr.ht/~geb/numen
%global goipath         git.sr.ht/~geb/numen
%global forgeurl        https://git.sr.ht/~geb/numen
Version:                0.7
%global tag             0.7


%global common_description %{expand:
Numen is voice control for handsfree computing, letting you type efficiently by
saying syllables and literal words. It works system-wide on Linux and the speech
recognition runs locally.}

%global golicenses      LICENSE
%global godocs          doc PACKAGING.md CHANGELOG.md README.md

Name:           numen
Release:        %mkrel 2
Summary:        Voice control for handsfree computing
Group:          Accessibility

License:        AGPL-3.0-only
URL:            https://git.sr.ht/~geb/numen
# git archive --format=tar.gz 0.7 -o numen-0.7.tar.gz --prefix=numen-0.7/
Source:         numen-%{version}.tar.gz
# go mod vendor
Source1:        vendor.tar.xz

BuildRequires:      go-rpm-macros
BuildRequires:      scdoc
BuildRequires:      vosk-devel
Requires:           dotool
Requires:           alsa-utils
Requires:           numen-en

%description %{common_description}

%package -n numen-en
Summary:        Voice control for handsfree computing

%description  -n numen-en %{common_description}
Specific files for English language.

%prep
%setup -q -D -a 1 -n numen-%{version}
%autopatch -p1

%build
export GOPATH=%{_builddir}/%{name}-%{version}/vendor:/usr/share/gocode
mkdir -p _build/bin
go build -o _build/bin/%{name}

%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{_builddir}/numen-%{version}/_build/bin/* %{buildroot}%{_bindir}/
pushd %{_builddir}/numen-%{version}
NUMEN_SKIP_BINARY=1 NUMEN_SKIP_CHECKS=1 ./install-numen.sh %{buildroot} usr/bin
mv phrases/CHANGELOG.md phrases/CHANGELOG-PHRASES.md
popd
rm -f %{buildroot}etc/numen/phrases/CHANGELOG.md

%files
%license LICENSE
%doc doc PACKAGING.md CHANGELOG.md README.md phrases/CHANGELOG-PHRASES.md
%{_bindir}/*
%{_mandir}/man1/numen.1.xz

%files -n numen-en
%{_sysconfdir}/numen/phrases/*
%{_sysconfdir}/numen/scripts/*
