%define		__jar_repack %nil
%define		driver_ver 525.60.13
%define		cuda_major 12.4

%define		_enable_debug_packages %{nil}
%define		debug_package %{nil}

# limit number of parallel cuda process building
%global _smp_ncpus_max 2

Summary:	NVIDIA CUDA Toolkit samples binaries
Name:		nvidia-cuda-toolkit-samples-bins
Version:	12.4.1
Release:	%mkrel 1
License:	Freeware
Group:		Development/Other
Url:		https://www.nvidia.com/cuda/
# to rework, to allow driver 470.xx to be used too.
#Requires:	nvidia-current-cuda >= %%{driver_ver}
Requires:	nvidia-cuda-toolkit >= %{cuda_major}
Requires:	openmpi
BuildRequires:	nvidia-cuda-toolkit-samples >= %{cuda_major}
BuildRequires:	nvidia-cuda-toolkit >= %{cuda_major}
BuildRequires:	nvidia-cuda-toolkit-devel >= %{cuda_major}
BuildRequires:	clang
%if %{mgaversion} >= 10
BuildRequires:	compat-cuda-gcc13
%endif
BuildRequires:	cmake
BuildRequires:	freeimage-devel
BuildRequires:	glfw-devel
BuildRequires:	glslang
BuildRequires:	glut-devel
BuildRequires:	libgomp-devel
BuildRequires:	mesaegl-devel
BuildRequires:	mesaglesv2-devel
BuildRequires:	openmpi-devel
BuildRequires:	vulkan-devel
BuildRequires:	vulkan-headers
BuildRequires:	x11-server-devel
ExclusiveArch:	x86_64

%global __requires_exclude libcuda.so.1|devel\\(libcuda\\)|devel\\(libcuda\\(64bit\\)\\)|python\\(abi\\)
%global __provides_exclude libcairo.so.2

# Avoid exposing dependecies of bundled libQt libraries and other stuff coming from nvvp and nsight
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^libQt5|^libboost_.*\\.so|^libcrypto|^libicudata|^libicuuc|^libicui18n|^libssl\\.so|^libprotobuf|^libqgif|^libqico|^libqjpeg|libqsvg|libqtga|libqtiff|libqwbmp|libqxcb|^libspawner|^libstdc++|^libudev|^libunixfile|osgi\\(org.apache.*\\)|osgi\\(org.antlr.*\\)|osgi\\(org.mozilla.*\\)|osgi\\(org.w3c.*\\)|osgi\\(org.eclipse.*\\)|osgi\\(com.ibm.*\\)|osgi\\(javaewah\\)|osgi\\(javax.*\\)|osgi\\(com.sat4.*\\)|osgi\\(com.lowagie.*\\)|osgi\\(com.sun.el\\)|osgi\\(com.jcraft.*\\)
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^libQt5|^libboost_.*\\.so|^libcrypto|^libicudata|^libicuuc|^libicui18n|^libssl\\.so|^libprotobuf|^libqgif|^libqico|^libqjpeg|libqsvg|libqtga|libqtiff|libqwbmp|libqxcb|^libspawner|^libstdc++|^libudev|^libunixfile|osgi\\(org.apache.*\\)|osgi\\(org.antlr.*\\)|osgi\\(org.mozilla.*\\)|osgi\\(org.w3c.*\\)|osgi\\(org.eclipse.*\\)|osgi\\(com.ibm.*\\)|osgi\\(javaewah\\)|osgi\\(javax.*\\)|osgi\\(com.sat4.*\\)|osgi\\(com.lowagie.*\\)|osgi\\(com.sun.el\\)|osgi\\(com.jcraft.*\\)|libcuhook\\.so

%description
NVIDIA® CUDA™ is a general purpose parallel computing architecture
that leverages the parallel compute engine in NVIDIA graphics
processing units (GPUs) to solve many complex computational problems
in a fraction of the time required on a CPU. It includes the CUDA
Instruction Set Architecture (ISA) and the parallel compute engine in
the GPU. To program to the CUDA™ architecture, developers can, today,
use C++, one of the most widely used high-level programming languages,
which can then be run at great performance on a CUDA™ enabled
processor. Support for other languages, like FORTRAN, Python or Java,
is available from third parties.

This package contains the binaries of the numerous CUDA code samples
(formerly CUDA SDK).

%prep
%setup -T -c %{name}-%{version}

%build
cp -pr %{_datadir}/nvidia-cuda-toolkit/samples .
cd samples
#
# Temporarily remove offending programs not compiling with gcc-14
pushd Samples/0_Introduction
# rm -rf ...
popd
pushd Samples/2_Concepts_and_Techniques
# rm -rf ...
popd
pushd Samples/3_CUDA_Features
#
popd
pushd Samples/5_Domain_Specific
# rm -rf ...
popd

#
#define compiler clang++
%define compiler g++
export NVCC_PREPEND_FLAGS="-allow-unsupported-compiler -Wno-deprecated-gpu-targets"
export HOST_COMPILER=%compiler

%if %{mgaversion} >= 10
  %make_build CCFLAGS="-O2 -std=c++11" HOST_COMPILER="%{_prefix}/lib/compat-cuda-gcc13/bin/%compiler"
%else
  %make_build CCFLAGS="-O2 -std=c++14" HOST_COMPILER="%compiler"
%endif

%install
install -d -m 755 %{buildroot}%{_datadir}/nvidia-cuda-toolkit/samples/bin/x86_64/linux/release/
cp -pr samples/bin/x86_64/linux/release/* %{buildroot}%{_datadir}/nvidia-cuda-toolkit/samples/bin/x86_64/linux/release/
# remove duplicate files already included in nvidia-cuda-toolkit-samples package
(cd %{_datadir}/nvidia-cuda-toolkit/samples/bin/x86_64
 files=$(find . -type f -print)
 for i in $files; do
   if [ -f %{buildroot}%{_datadir}/nvidia-cuda-toolkit/samples/bin/x86_64/$i ]; then
     rm -f %{buildroot}%{_datadir}/nvidia-cuda-toolkit/samples/bin/x86_64/$i
   fi
 done
)

%files
%dir %{_datadir}/nvidia-cuda-toolkit/samples/bin/x86_64
%dir %{_datadir}/nvidia-cuda-toolkit/samples/bin/x86_64/linux
%dir %{_datadir}/nvidia-cuda-toolkit/samples/bin/x86_64/linux/release
%attr(755,root,root) %{_datadir}/nvidia-cuda-toolkit/samples/bin/x86_64/linux/release/*
