Name:           nvimpager
Version:        0.13.0
Release:        %mkrel 2
Summary:        Use neovim as a pager
License:        BSD-2-Clause
Group:          Editors
URL:            https://github.com/lucc/nvimpager
Source:         https://github.com/lucc/nvimpager/archive/refs/tags/v%{version}.tar.gz
BuildRequires:  scdoc
Requires:       lua 
Requires:       neovim >= 0.10.0
BuildArch:      noarch

%description
Using neovim as a pager to view man pages, git diffs, whatnot with neovim's
syntax highlighting and mouse support.

To use %{name} as your default pager, do
export PAGER=nvimpager

%package zsh-completion
Summary:        Zsh completion for %{name}
Group:          Editors
Requires:       %{name} = %{version}-%{release}
Requires:       zsh
Supplements:    (%{name} and zsh)
BuildArch:      noarch

%description zsh-completion
Zsh command line completion support for %{name}.

%prep
%autosetup
sed -i "s/#!\/usr\/bin\/env bash/#!\/usr\/bin\/bash/" nvimpager

%build

%install
%make_install PREFIX=%{_prefix}

%files
%license LICENSE
%doc README.md
%{_bindir}/nvimpager
%{_mandir}/man1/nvimpager.*
%{_datadir}/nvimpager/

%files zsh-completion
%license LICENSE
%{_datadir}/zsh/site-functions/_nvimpager
