%define major	1
%define libname %mklibname nvme %major
%define devname %mklibname nvme -d

Name:		nvme-cli
Version:	2.11
Release:	%mkrel 1
Summary:	NVMe command line interface
Group:		System/Kernel and hardware
License:	GPLv2+
URL:		https://github.com/linux-nvme/nvme-cli
Source0:	https://github.com/linux-nvme/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	meson
BuildRequires:	pkgconfig(json-c)
BuildRequires:	pkgconfig(libnvme)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	python3dist(autopep8)
BuildRequires:	python3dist(flake8)
BuildRequires:	python3dist(isort)
BuildRequires:	python3dist(mypy)

%description
nvme-cli is a NVM-Express user space tooling for Linux.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

# hostid and hostnqn are supposed to be unique per machine.  We obviously
# can't package them.
rm -f %{buildroot}%{_sysconfdir}/nvme/hostid
rm -f %{buildroot}%{_sysconfdir}/nvme/hostnqn

# don't install dracut rule yet
rm -f %{buildroot}/usr/lib/dracut/dracut.conf.d/70-nvmf-autoconnect.conf

%files
%license LICENSE
%doc README.md
%{_sbindir}/nvme
%{_datadir}/bash-completion/completions/nvme
%{_datadir}/zsh/site-functions/_nvme
%dir %{_sysconfdir}/nvme
%config(noreplace) %{_sysconfdir}/nvme/discovery.conf
%{_udevrulesdir}/65-persistent-net-nbft.rules
%{_udevrulesdir}/70-nvmf-autoconnect.rules
%{_udevrulesdir}/70-nvmf-keys.rules
%{_udevrulesdir}/71-nvmf-netapp.rules
%{_unitdir}/nvmefc-boot-connections.service
%{_unitdir}/nvmf-autoconnect.service
%{_unitdir}/nvmf-connect.target
%{_unitdir}/nvmf-connect@.service
%{_unitdir}/nvmf-connect-nbft.service
