%define srcname %{name}-libs

%global _smp_ncpus_max 1

%define lib_major_xcompshad 3
%define lib_name_xcompshad %mklibname xcompshad %{lib_major_xcompshad}

%define lib_major_nxx11 6
%define lib_name_nxx11 %mklibname nxX11_ %{lib_major_nxx11}

%define lib_major_xcomp 3
%define lib_name_xcomp %mklibname xcomp %{lib_major_xcomp}

Name:		nx
Version:	3.5.99.26
Release:	%mkrel 4
Summary:	NX core libraries
License:	GPLv2
Group:		Networking/Remote access
Url:		https://github.com/ArcticaProject/nx-libs
Source0:	https://github.com/ArcticaProject/nx-libs/archive/%{version}/%{name}-libs-%{version}.tar.gz
Patch0:		nxlibs-ar.patch

BuildRequires:	autoconf
BuildRequires:	gcc-c++
BuildRequires:	gccmakedep
BuildRequires:	imake
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(fontenc)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(xproto)
BuildRequires:	pkgconfig(libtirpc)
BuildRequires:	pkgconfig(xcomposite)
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(xdmcp)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(xfont2)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(xkbcomp)
BuildRequires:	pkgconfig(fontutil)
BuildRequires:	pixman-devel
BuildRequires:	python3-devel
BuildRequires:	quilt

%description
NoMachine NX is the next-generation X compression and round-trip
suppression scheme. It can operate remote X11 sessions over 
56k modem dial-up links or anything better.
This package uses the patched and redistributed sources from the
x2go project.

%package -n	%{lib_name_nxx11}
Summary: 	Nx-X11 lib for NX
Group:		System/Libraries
Provides:	nxX11 = %{version}-%{release}

%description -n	%{lib_name_nxx11}
NX-X11 lib for the NX framework

%package -n	%{lib_name_xcomp}
Summary:	Xcomp library for NX
Group:		System/Libraries
Provides:	xcomp = %{version}-%{release}

%description -n	%{lib_name_xcomp}
Xcomp library for NX subsystem

%package -n	%{lib_name_xcompshad}
Summary: 	Xcompshad library for NX
Group:		System/Libraries
Provides:	xcompext = %{version}-%{release}
Provides:	xcompshad = %{version}-%{release}

%description -n	%{lib_name_xcompshad}
Xcompshad library needed by the NX framework

%package -n  	nxproxy
Summary: 	Provide the protocol compression and caching part of the NX scheme
Group:		Networking/Remote access

%description -n	nxproxy
The nxproxy runs on the X server side of the wire and thus accompanies 
the nxagent running on X client side. It provides the protocol
compression and caching part of the NX scheme.

%package -n	nxagent
Summary: 	NX X server based on Xnest
Group:		Networking/Remote access
Recommends:	x11-data-xkbdata
Provides:	x2goagent = %{version}-%{release}
Obsoletes:	x2goagent < 3.5.99.0-1

%description -n	nxagent
The nxagent is an X server based on Xnest, but modified
for the purpose of reducing roundtrips over high-latency
networks significantly. It is run on the client side of X,
that is, on the machine where X clients run. It connects,
over the wire, to your regular X server, possibly through nxproxy.

%package -n	nxdialog
Summary: 	NX Dialog
Group:		Networking/Remote access

%description -n	nxdialog
NX is a software suite which implements very efficient compression of
the X11 protocol. This increases performance when using X
applications over a network, especially a slow one.

This package provides the nxdialog helper script.


%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1

# Fix prefix, libdir etc
sed -i -e '/ProjectRoot/s|/usr/local|%{_prefix}|g' nx-X11/config/cf/site.def
sed -i -e 's|/usr/local/lib|%{_libdir}|g' \
       -e 's|/usr/local|%{_prefix}|g' \
       -e '/LibDirName/s|lib$|%{_lib}|g' \
       nx-X11/config/cf/Imake.tmpl

$(rpm --eval '%%configure "${@}"'> tmp_configure)
chmod a+x tmp_configure

%build
%make_build \
  CONFIGURE="$PWD/tmp_configure" \
  PREFIX=%{_prefix} \
  LIBDIR=%{_libdir} \
  IMAKE_DEFINES="-DUseTIRPC=YES"

%install
%make_install \
    PREFIX=%{_prefix} \
    LIBDIR=%{_libdir} \
    INSTALL_DIR="install -dm0755" \
    INSTALL_FILE="install -pm0644" \
    INSTALL_PROGRAM="install -pm0755"

ln -s ../X11/fonts %{buildroot}%{_datadir}/nx/fonts

# Fix permissions on shared libraries
chmod 755  %{buildroot}%{_libdir}/lib*.so*

# Remove unneeded headers and development files
rm -rf %{buildroot}%{_includedir}
rm -f %{buildroot}%{_libdir}/*.so %{buildroot}%{_libdir}/pkgconfig/*.pc

#Remove static libs and our shared libraries' .la files
rm -f %{buildroot}%{_libdir}/*.{a,la}

# Fix python scripts
%py3_shebang_fix %{buildroot}%{_bindir}/nxdialog

%files -n nxagent
%license COPYING LICENSE LICENSE.nxcomp
%doc ChangeLog doc/nxagent/README.keystrokes
%dir %{_sysconfdir}/nxagent
%config(noreplace) %{_sysconfdir}/nxagent/keystrokes.cfg
%attr(0755,root,root) %{_bindir}/nxagent
%dir %{_libdir}/nx
%dir %{_libdir}/nx/bin
%{_libdir}/nx/bin/nxagent
%dir %{_datadir}/nx
%{_datadir}/nx/fonts
%{_datadir}/nx/VERSION.nxagent
%{_datadir}/nx/SecurityPolicy
%dir %{_datadir}/nx/X11
%{_datadir}/nx/X11/XErrorDB
%{_datadir}/nx/X11/Xcms.txt
%{_mandir}/man1/nxagent.1*

%files -n nxproxy
%attr(0755,root,root) %{_bindir}/nxproxy
%dir %{_datadir}/nx
%{_datadir}/nx/VERSION.nxproxy
%{_mandir}/man1/nxproxy.1*

%files -n nxdialog
%doc nxdialog/README.md
%{_bindir}/nxdialog
%{_mandir}/man1/nxdialog.1*

%files -n  %{lib_name_nxx11}
%{_libdir}/libNX_X11.so.%{lib_major_nxx11}*
%dir %{_libdir}/nx/X11
%{_libdir}/nx/X11/libX11.so.%{lib_major_nxx11}*

%files -n %{lib_name_xcomp}
%{_libdir}/libXcomp.so.%{lib_major_xcomp}*

%files -n  %{lib_name_xcompshad}
%{_libdir}/libXcompshad.so.%{lib_major_xcompshad}*
