%define major		0
%define libname		%mklibname oath %{major}
%define develname	%mklibname oath -d
# PSKC
%define pskclibname	%mklibname pskc %{major}
%define pskcdevelname	%mklibname pskc -d

Name:		oath-toolkit
Version:	2.6.12
Release:	%mkrel 2
Summary:	OATH Toolkit is a software toolkit for using HOTP/TOTP schemes
License:	GPLv3
Group:		System/Base
URL:		https://www.nongnu.org/oath-toolkit
Source:		https://download.savannah.nongnu.org/releases/oath-toolkit/oath-toolkit-%{version}.tar.gz
## Fedora patches:
Patch0:		oath-toolkit-2.6.9-lockfile.patch
BuildRequires:	bison
BuildRequires:	gtk-doc
BuildRequires:	pam-devel
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(xmlsec1)

%description
The OATH Toolkit provides components for building one-time password
authentication systems. It contains shared libraries, command line tools and a
PAM module. Supported technologies include the event-based HOTP algorithm
(RFC4226) and the time-based TOTP algorithm (RFC6238). OATH stands for
Initiative for Open Authentication, an industry-wide collaboration to develop
open authentication algorithms.

For secret key management, the Portable Symmetric Key Container (PSKC) format
described in RFC6030 is supported.

The components included in the package are:

* liboath: A shared and static C library for OATH handling.
* oathtool: A command line tool for generating and validating OTPs.
* pam_oath: A PAM module for pluggable login authentication for OATH.
* libpskc: A shared and static C library for PSKC handling.
* pskctool: A command line tool for manipulating PSKC data.

%package -n	pam_oath
Summary:	A PAM module for HOTP/TOTP one-time password authentication
Group:		System/Libraries

%description -n	pam_oath
A PAM module for HOTP/TOTP one-time password authentication.

%package -n	%{libname}
Summary:	A library implementing HOTP/TOTP one-time password authentication schemes
Group:		System/Libraries
License:	LGPLv2

%description -n	%{libname}
A library implementing HOTP/TOTP one-time password authentication schemes.

%package -n	%{develname}
Summary:	Development files and documentation for liboath
Group:		System/Libraries
License:	LGPLv2
Requires:	%{libname} = %{version}
Provides:	liboath-devel = %{version}-%{release}

%description -n	%{develname}
Development files and documentation for liboath.

# PSKC
%package -n	pskctool
Summary:	Tool for working with PSKC (Portable Symmetric Key Container) data
Group:		System/Base

%description -n	pskctool
Tool for working with PSKC (Portable Symmetric Key Container) data.

%package -n	%{pskclibname}
Summary:	A library implementing HOTP/TOTP one-time password authentication schemes
Group:		System/Libraries
License:	LGPLv2

%description -n	%{pskclibname}
A library implementing HOTP/TOTP one-time password authentication schemes.

%package -n	%{pskcdevelname}
Summary:	Development files and documentation for liboath PSKC
Group:		System/Libraries
License:	LGPLv2
Requires:	%{pskclibname} = %{version}-%{release}
Provides:	libpskc-devel = %{version}-%{release}

%description -n	%{pskcdevelname}
Development files and documentation for liboath PSKC.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure \
	    --with-pam-dir=/%{_lib}/security \
	    --disable-static \
	    --with-pic

%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%check
#make check

%files
%doc ChangeLog README
%license COPYING
%{_bindir}/oathtool
%{_mandir}/man1/oathtool.*.*

%files -n pam_oath
/%{_lib}/security/pam_oath.so

%files -n %{libname}
%{_libdir}/liboath.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/liboath.so
%dir %{_includedir}/liboath
%{_includedir}/liboath/oath.h
%{_libdir}/pkgconfig/liboath.pc
%dir %{_datadir}/gtk-doc/html/liboath
%doc %{_datadir}/gtk-doc/html/liboath/*
%{_mandir}/man3/oath_*.*.*

# PSKC
%files -n pskctool
%doc ChangeLog README
%license COPYING
%{_bindir}/pskctool
%{_datadir}/xml/pskc
%{_mandir}/man1/pskctool.1*

%files -n %{pskclibname}
%{_libdir}/libpskc.so.%{major}{,.*}

%files -n %{pskcdevelname}
%{_libdir}/libpskc.so
%{_includedir}/pskc/
%{_libdir}/pkgconfig/libpskc.pc
%doc %{_datadir}/gtk-doc/html/libpskc
%{_mandir}/man3/pskc_*.*
