%define rel 2

Name:           obconf-qt
Version: 0.16.5
Release:        %mkrel %rel
Summary:        Openbox configuration tool for the LXQt desktop
License:        LGPLv2+
Group:          Graphical desktop/KDE
URL:            https://lxqt-project.org/
Source0:        https://github.com/lxqt/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  cmake

BuildRequires:  cmake(lxqt2-build-tools)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(obrender-3.5)
BuildRequires:  pkgconfig(obt-3.5)

# Virtual provide for openbox (see mga#32460)
Provides:       obox-conf

%description
Openbox configuration tool for the LXQt desktop.

%prep
%autosetup


%build
# try to fix "undefined reference to symbol 'XInternAtom' - DSO missing from command line error
%cmake_qt6 -DCMAKE_EXE_LINKER_FLAGS=-lX11
%cmake_build


%install
%cmake_install


%files
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/*/%{name}.png
%{_datadir}/%{name}/

