Summary:	Openbox preferences manager
Name:		obconf
Version:	2.0.4
Release:	%mkrel 13
License:	GPLv2+
Group:		Graphical desktop/Other
Url:		https://openbox.org/obconf
Source0:	https://openbox.org/dist/obconf/%name-%version.tar.gz
# Upstream patches since release
Patch100:	0001-Remove-debug-printf-from-preview.c.patch
Patch101:	0002-Include-gdk.h-from-preview.h-instead-of-gdkpixbuf.h.patch
Patch102:	0003-Portuguese-update-for-obconf.patch
Patch103:	0004-Stop-using-libglade.patch
Patch104:	0005-Switch-to-GTK-3.patch
Patch105:	0006-Fix-indenting.patch
Patch106:	0007-Change-the-GLADEDIR-define-to-RESOURCEDIR.patch
Patch107:	0008-Fix-tab-error.patch
Patch108:	0009-Add-translation-Complete.patch

# MGA patches
Patch200:	obconf-2.0.3-link.patch
Patch201:	0001-obconf-fix-implicit-function-declaration-errors.patch

BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(libglade-2.0)
BuildRequires:	pkgconfig(libstartup-notification-1.0)
BuildRequires:	pkgconfig(obrender-3.5)
BuildRequires:	pkgconfig(obt-3.5)
BuildRequires:	desktop-file-utils
BuildRequires:	git-core
Requires:	openbox

# Virtual provide for openbox (see mga#32460)
Provides:	obox-conf

%description
ObConf is a graphical configuration tool for the Openbox window manager.

%prep
%autosetup -S git

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

# fix .desktop file
desktop-file-install --remove-key="Encoding" \
		--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/mimelnk/application/x-openbox-theme.desktop
%{_datadir}/pixmaps/%{name}.png
