%global major         0
%define libname       %mklibname obexftp %major
%define devname       %mklibname obexftp -d

%define major_1       1
%define libbfb        %mklibname bfb %{major_1}
%define libmulticobex %mklibname multicobex %{major_1}

Name: obexftp
Summary: Tool to access devices via the OBEX protocol
Group: Communications/Bluetooth
Version: 0.24.2
Release: %mkrel 8
License: GPLv2+
URL: https://gitorious.org/obexftp
Source: https://download.sourceforge.net/openobex/%{name}-%{version}-Source.tar.gz
Patch0: %{name}-norpath.patch
# From upstream git, fixes fuse apps not being installed
Patch1: %{name}-0.24-fuse.patch
# From OpenSUSE, thanks: fix python install path
Patch3: %{name}-0.24-fix-absurd-install-path.patch
# (tv) fix linking:
Patch4: obexftp-fix-linking.diff
BuildRequires: bluez-devel
BuildRequires: expat-devel
BuildRequires: gettext-devel
BuildRequires: libtool
BuildRequires: openobex-devel >= 1.7
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
BuildRequires: python3-devel
BuildRequires: ruby
BuildRequires: ruby-devel
BuildRequires: tcl-devel
BuildRequires: cmake
BuildRequires: swig
BuildRequires: fuse-devel
BuildRequires: asciidoc
BuildRequires: xmlto

%description
The overall goal of this project is to make mobile devices featuring the OBEX
protocol and adhering to the OBEX FTP standard accessible by an open source
implementation. The common usage for ObexFTP is to access your mobile phones
memory to store and retrieve e.g. your phone book, logos, ringtones, music,
pictures and alike.

%package -n python3-%{name}
Summary: Python3 library to access devices via the OBEX protocol
Group: Development/C
%{?python_provide:%python_provide python3-%{name}}
Requires: %{name} = %{version}-%{release}

%description -n python3-%{name}
The overall goal of this project is to make mobile devices featuring the OBEX
protocol and adhering to the OBEX FTP standard accessible by an open source
implementation. The common usage for ObexFTP is to access your mobile phones
memory to store and retrieve e.g. your phone book, logos, ringtones, music,
pictures and alike.

%package -n perl-%{name}
Summary: Perl library to access devices via the OBEX protocol
Group: Development/C
Requires: %{name} = %{version}-%{release}

%description -n perl-%{name}
The overall goal of this project is to make mobile devices featuring the OBEX
protocol and adhering to the OBEX FTP standard accessible by an open source
implementation. The common usage for ObexFTP is to access your mobile phones
memory to store and retrieve e.g. your phone book, logos, ringtones, music,
pictures and alike.

%package -n ruby-%{name}
Summary: Ruby library to access devices via the OBEX protocol
Group: Development/C
Requires: ruby(release)
Requires: %{name} = %{version}-%{release}

%description -n ruby-%{name}
The overall goal of this project is to make mobile devices featuring the OBEX
protocol and adhering to the OBEX FTP standard accessible by an open source
implementation. The common usage for ObexFTP is to access your mobile phones
memory to store and retrieve e.g. your phone book, logos, ringtones, music,
pictures and alike.

%package -n %{libname}
Summary: Shared libraries for %{name}
Group: System/Libraries
Obsoletes: %{name} < 0.23-0.1

%description -n %{libname}
The overall goal of this project is to make mobile devices featuring the OBEX
protocol and adhering to the OBEX FTP standard accessible by an open source
implementation. The common usage for ObexFTP is to access your mobile phones
memory to store and retrieve e.g. your phone book, logos, ringtones, music,
pictures and alike.

%package -n %{libbfb}
Summary: Shared libraries for %{name}
Group: System/Libraries
Conflicts: %{_lib}obexftp0 < 0.24.2-4

%description -n %{libbfb}
The overall goal of this project is to make mobile devices featuring the OBEX
protocol and adhering to the OBEX FTP standard accessible by an open source
implementation. The common usage for ObexFTP is to access your mobile phones
memory to store and retrieve e.g. your phone book, logos, ringtones, music,
pictures and alike.

%package -n %{libmulticobex}
Summary: Shared libraries for %{name}
Group: System/Libraries
Conflicts: %{_lib}obexftp0 < 0.24.2-4

%description -n %{libmulticobex}
The overall goal of this project is to make mobile devices featuring the OBEX
protocol and adhering to the OBEX FTP standard accessible by an open source
implementation. The common usage for ObexFTP is to access your mobile phones
memory to store and retrieve e.g. your phone book, logos, ringtones, music,
pictures and alike.

%package -n %{devname}
Summary: Header files and libraries for %{name}
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Requires: %{libbfb} = %{version}-%{release}
Requires: %{libmulticobex} = %{version}-%{release}
Requires: openobex-devel >= 1.2

%description -n %{devname}
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup -q -n %{name}-%{version}-Source
%autopatch -p1

%build
%cmake
# 'all' doesn't include doc, it seems - thanks, SUSE.
%cmake_build --target all doc


%install
RUBYARCHDIR=%{buildroot}%{ruby_vendorarchdir} %cmake_install

%files
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%{_mandir}/man1/obexftp.1*
%{_mandir}/man1/obexftpd.1*
%{_bindir}/obexftp
%{_bindir}/obexftpd
%{_bindir}/obexautofs
%{_bindir}/obexfs

%files -n %{libname}
%{_libdir}/libobexftp.so.%{major}{,.*}

%files -n %{libbfb}
%{_libdir}/libbfb.so.%{major_1}{,.*}
# upstream libification should be fixed (to match with major 1)
%{_libdir}/libbfb.so.0.*

%files -n %{libmulticobex}
%{_libdir}/libmulticobex.so.%{major_1}{,.*}

%files -n %{devname}
%{_includedir}/bfb/
%{_includedir}/multicobex/
%{_includedir}/obexftp/
%{_libdir}/*.so
%{_libdir}/pkgconfig/obexftp.pc

%files -n python3-%{name}
%{python3_sitearch}/_obexftp.so*
%{python3_sitearch}/obexftp.py*
%{python3_sitearch}/__pycache__/*

%files -n perl-%{name}
%{perl_vendorarch}/OBEXFTP.pm
%dir %{perl_vendorarch}/*/OBEXFTP
%{perl_vendorarch}/*/OBEXFTP/OBEXFTP.so

%files -n ruby-%{name}
%{ruby_vendorarchdir}/obexftp.so

