Name:           obm-cert-ca
Version:        2.4.2.1
Release:        %mkrel 1
Summary:        Generate SSL for OBM 
Group:          Development/Tools
License:        AGPLv3
BuildArch:      noarch
Source0:        obm-ca-%{version}.tar.gz
Source1:        obm-cert.sh

%description
OBM certificate SSL

%package    -n obm-ca
Summary:    Certification authority management for Open Business Management
Group:      Development/Tools
Requires:   openssl

%description    -n obm-ca
This package contains scripts to handle SSL certificates for OBM.

OBM is a global groupware, messaging and CRM application. It is intended to
be an Exchange Or Notes/Domino Mail replacement, but can also be used as a
simple contact database. OBM also features integration with PDAs, smart phones,
Mozilla Thunderbird/Lightning and Microsoft Outlook via specific connectors.

%package    -n obm-cert
Summary:    Configuration script for obm-ca
Group:      Development/Tools
Requires:   obm-ca
Requires:   obm-config
Requires:   apache-mod_ssl

%description    -n obm-cert
This package contains a configuration script for obm-ca

OBM is a global groupware, messaging and CRM application. It is intended to
be an Exchange Or Notes/Domino Mail replacement, but can also be used as a
simple contact database. OBM also features integration with PDAs, smart phones,
Mozilla Thunderbird/Lightning and Microsoft Outlook via specific connectors.

%prep
%setup -q -n obm-ca-%{version} 

%build

%install
rm -rf $RPM_BUILD_ROOT

# Construction de l'arbo virtuel
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/obm-ca
mkdir -p $RPM_BUILD_ROOT%{_docdir}/obm-ca-%{version}


# install obm-ssl-ca
# Installation des fichiers dans l'arbo virtuel
install -p -m 755 createcert.sh $RPM_BUILD_ROOT%{_datadir}/obm-ca/createcert.sh
install -p -m 755 buildca.sh $RPM_BUILD_ROOT%{_datadir}/obm-ca/buildca.sh
install -p -m 644 camgr.lib $RPM_BUILD_ROOT%{_datadir}/obm-ca/camgr.lib
install -p -m 644 ca.cnf $RPM_BUILD_ROOT%{_datadir}/obm-ca/ca.cnf
install -p -m 644 cert.cnf.template $RPM_BUILD_ROOT%{_datadir}/obm-ca/cert.cnf.template
install -p -m 644 README $RPM_BUILD_ROOT%{_docdir}/obm-ca-%{version}/README

# install obm-ssl-cert
install -p -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/obm-cert

%pre

%post -n obm-ca
if [ $1 = 1 ]; then
    /usr/share/obm-ca/buildca.sh
fi

%preun

%postun  -n obm-ca
if [ $1 = 0 ]; then
    rm -rf /var/lib/obm-ca
fi

%files -n obm-ca
%defattr(-,root,root,-)
%{_datadir}/obm-ca/createcert.sh
%{_datadir}/obm-ca/buildca.sh
%{_datadir}/obm-ca/camgr.lib
%{_datadir}/obm-ca/ca.cnf
%{_datadir}/obm-ca/cert.cnf.template
%{_docdir}/obm-ca-%{version}/README

%files -n obm-cert
%defattr(-,root,root,-)
%{_bindir}/obm-cert



