# Bundle jar files
# TODO: replace with links to system one
%global __provides_exclude osgi\\(*

Name: obm-solr
Version: 2.4.2.1
Release: %mkrel 1
Summary: Solr indexing server for Open Business Management
URL: http://www.minig.org
Group: File tools 
License: AGPLv3
Source0: %{name}-%{version}.tar.gz
Source1: solr.xml
Source2: obm-solr.cron.d

BuildArch:      noarch
BuildRequires:  java-devel >= 1.6.0
BuildRequires:  ant
Requires(post): obm-tomcat-common-libs


%description
Solr is an indexing web service based on Lucene, used to index contacts and
events in OBM.

%prep
%setup -q -n %{name}-%{version}

%build
echo "java home: `ant -diagnostics|grep 'java.home'`"
sleep 5
LANG=en_US.UTF-8 ant install

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}
cp -a debian/obm-solr/usr/* $RPM_BUILD_ROOT%{_prefix}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
cp -a debian/obm-solr/etc/* $RPM_BUILD_ROOT%{_sysconfdir}

mkdir -p $RPM_BUILD_ROOT%{_localstatedir}
cp -a debian/obm-solr/var/* $RPM_BUILD_ROOT%{_localstatedir}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/obm-tomcat/applis
cp %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/obm-tomcat/applis

mkdir -p $RPM_BUILD_ROOT%{_datadir}/obm-solr
cp obm_index_init.py $RPM_BUILD_ROOT%{_datadir}/obm-solr
cp obm_optimize_index.py $RPM_BUILD_ROOT%{_datadir}/obm-solr

mkdir $RPM_BUILD_ROOT%{_sysconfdir}/cron.d/
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/cron.d/obm-solr

%files
%defattr(-,root,root,-)
%{_localstatedir}/solr
%{_sysconfdir}/solr
%{_datadir}/solr
%{_datadir}/obm-solr
%{_sysconfdir}/obm-tomcat/applis
%{_sysconfdir}/cron.d/obm-solr

%post
rm -rf /var/solr/default/conf
ln -sf /etc/solr/conf/default /var/solr/default/conf
rm -rf /var/solr/webmail/conf
ln -sf /etc/solr/conf/webmail /var/solr/webmail/conf
rm -rf /var/solr/event/conf
ln -sf /etc/solr/conf/event /var/solr/event/conf
rm -fr /var/solr/contact/conf
ln -s /etc/solr/conf/contact /var/solr/contact/conf

#update tomcat application
/usr/bin/obm-tomcat-trigger


