%define _disable_ld_no_undefined 1

%define build_tainted 0

%if "%{distro_section}" == "tainted"
%define build_tainted 1
%endif

%global browser_version 082a0a2
%global websocket_version 5.5.4

#%%define vmajor	%%(echo %%{version} | cut -d. -f1)
%define vmajor 30

# comment out when not a pre-release
#define pre rc1

%define rel 1

Name:           obs-studio
Version:        31.0.3
Release:        %mkrel %{?pre: -c %{pre}} %rel
Summary:        A recording/broadcasting program
Group:          Video/Utilities
License:        GPLv2+
URL:            https://obsproject.com
Source0:        https://github.com/obsproject/obs-studio/archive/%{version}%{?pre:-%{pre}}/%{name}-%{version}%{?pre:-%{pre}}.tar.gz
Source1:        https://github.com/obsproject/obs-browser/archive/%{browser_version}/obs-browser-%{browser_version}.tar.gz
Source2:        https://github.com/obsproject/obs-websocket/archive/%{websocket_version}/obs-websocket-%{websocket_version}.tar.gz
Patch2:         obs-studio-make-x264-support-optional.patch
Patch3:         obs-studio-30.2.2-fix-size_t-32bit.patch
# Proposed upstream
## From: https://github.com/obsproject/obs-studio/pull/8529
Patch0101:      0101-UI-Consistently-reference-the-software-H264-encoder-.patch
Patch0102:      0102-obs-ffmpeg-Add-initial-support-for-the-OpenH264-H.26.patch
Patch0103:      0103-UI-Add-support-for-OpenH264-as-the-worst-case-fallba.patch

# Downstream Fedora patches
## Use fdk-aac by default
Patch1001:      obs-studio-UI-use-fdk-aac-by-default.patch
## Fix error: passing argument 4 of ‘query_dmabuf_modifiers’ from
##            incompatible pointer type [-Wincompatible-pointer-types]
Patch1003:      obs-studio-fix-incompatible-pointer-type.patch

ExclusiveArch:  %{ix86} x86_64

BuildRequires:  cmake
BuildRequires:  ffmpeg-devel
BuildRequires:  uthash-devel
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(ffnvcodec)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(jansson)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libpci)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(librist)
BuildRequires:  pkgconfig(libv4l2)
BuildRequires:  pkgconfig(libvlc)
BuildRequires:  pkgconfig(luajit)
BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(nlohmann_json)
BuildRequires:  pkgconfig(python3)
BuildRequires:  cmake(Qt6)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6OpenGL)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(LibDataChannel)
BuildRequires:  cmake(qrcodegencpp)
BuildRequires:  pkgconfig(fdk-aac)
BuildRequires:  pkgconfig(rnnoise)
BuildRequires:  pkgconfig(sndio)
BuildRequires:  pkgconfig(speexdsp)
BuildRequires:  pkgconfig(srt)
BuildRequires:  pkgconfig(udev)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(x11-xcb)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(vpl)
BuildRequires:  mbedtls-devel
BuildRequires:  swig
# Tainted
%if %{build_tainted}
BuildRequires:  pkgconfig(x264)
%endif

# Tries to dlopen vlc lib
Requires:       libvlc

%description
Open Broadcaster Software is free and open source software for video
recording and live streaming.

%if %{build_tainted}
This package is built with support for x264 and fdk-aac.
%endif

%prep
%setup -q -n %{name}-%{version}%{?pre:-%{pre}} -a1 -a2
%autopatch -p1

# make CMake happy
rm -rf plugins/obs-{browser,websocket}/
ln -sf $PWD/obs-browser-%{browser_version}* plugins/obs-browser
ln -sf $PWD/obs-websocket-%{websocket_version} plugins/obs-websocket

%build
%cmake \
  -DCMAKE_INSTALL_LIBDIR=%{_lib} \
  -DCMAKE_SKIP_INSTALL_RPATH=ON \
  -DCMAKE_COMPILE_WARNING_AS_ERROR=OFF \
  -DOBS_VERSION_OVERRIDE="%{version}" \
  -DENABLE_BROWSER=OFF \
  -DENABLE_WEBSOCKET=OFF \
%if %{build_tainted}
  -DENABLE_LIBX264=ON \
%endif
  -DENABLE_JACK=ON \
  -DENABLE_SNDIO=ON \
  -DENABLE_LIBFDK=ON \
  -DENABLE_AJA=OFF \
  -DOpenGL_GL_PREFERENCE=GLVND
%cmake_build

%install
%cmake_install

# We don't need (a priori) the devel files
rm -rf %{buildroot}%{_libdir}/*.so
rm -rf %{buildroot}%{_libdir}/cmake
rm -rf %{buildroot}%{_libdir}/pkgconfig
rm -rf %{buildroot}%{_includedir}

%files
%{_bindir}/obs
%{_bindir}/obs-ffmpeg-mux
%{_bindir}/obs-nvenc-test

%{_libdir}/libobs.so.0
%{_libdir}/libobs.so.%{vmajor}

%{_libdir}/libobs-frontend-api.so.0
%{_libdir}/libobs-frontend-api.so.%{vmajor}

#%%{_libdir}/libobs-opengl.so.0
%{_libdir}/libobs-opengl.so.%{vmajor}

#%%{_libdir}/libobs-scripting.so.0
%{_libdir}/libobs-scripting.so.%{vmajor}

%{_libdir}/obs-plugins/
%{_libdir}/obs-scripting/
%{_datadir}/applications/com.obsproject.Studio.desktop
%{_metainfodir}/com.obsproject.Studio.metainfo.xml
%{_datadir}/obs/
%{_iconsdir}/hicolor/*/apps/com.obsproject.Studio.png
%{_iconsdir}/hicolor/scalable/apps/com.obsproject.Studio.svg
