Name:           ocaml-alsa
Version:        0.2.3
Release:        %mkrel 13
Summary:        OCaml bindings for the ALSA library
URL:            https://github.com/savonet/ocaml-alsa
Source0:        https://github.com/savonet/ocaml-alsa/releases/download/%version/ocaml-alsa-%{version}.tar.gz
License:        GPLv2
Group:          Development/OCaml
BuildRequires:  pkgconfig(alsa)
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib


%description
This OCaml library interfaces the ALSA library libasound to access audio
devices.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       libalsa-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q

%build
./configure --libdir=%{_libdir}
make all

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/alsa
make install


%files
%doc COPYING CHANGES README
%dir %{_libdir}/ocaml/alsa
%{_libdir}/ocaml/alsa/META
%{_libdir}/ocaml/alsa/*.cma
%{_libdir}/ocaml/alsa/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc/*.html
%{_libdir}/ocaml/alsa/*.a
%{_libdir}/ocaml/alsa/*.cmxa
%{_libdir}/ocaml/alsa/*.cmx
%{_libdir}/ocaml/alsa/*.mli

