Name:           ocaml-ansiterminal
Version:        0.6.5
Release:        %mkrel 2
Summary:        This module offers basic control of ANSI compliant terminals and the windows shell
License:        LGPL with static compilation exception
Group:          Development/OCaml
URL:            https://forge.ocamlcore.org/projects/ansiterminal/
Source0:        https://forge.ocamlcore.org/frs/download.php/1206/ANSITerminal-0.6.5.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-oasis

%description
ANSITerminal is a module allowing to use the colors and cursor
movements on ANSI terminals. It also works on the windows shell (but
this part is currently work in progress).

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n ANSITerminal-%{version}

%build
# Regenerate the setup.ml as the default one is buggy
oasis setup
ocaml setup.ml -configure --docdir %{buildroot}no_install
ocaml setup.ml -build
ocaml setup.ml -doc
mv API.docdir doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/ANSITerminal
make install
rm -rf %{buildroot}no_install

%files
%doc LICENSE.txt
%dir %{_libdir}/ocaml/ANSITerminal
%{_libdir}/ocaml/ANSITerminal/META
%{_libdir}/ocaml/ANSITerminal/*.cma
%{_libdir}/ocaml/ANSITerminal/*.cmi
%{_libdir}/ocaml/ANSITerminal/*.cmxs
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc AUTHORS.txt INSTALL.txt README.txt
%doc doc/
%doc test.ml
%{_libdir}/ocaml/ANSITerminal/*.a
%{_libdir}/ocaml/ANSITerminal/*.cmx
%{_libdir}/ocaml/ANSITerminal/*.cmxa
%{_libdir}/ocaml/ANSITerminal/*.mli
%{_libdir}/ocaml/ANSITerminal/*.annot
%{_libdir}/ocaml/ANSITerminal/*.cmt
%{_libdir}/ocaml/ANSITerminal/*.cmti
