Name:           ocaml-ao
Version:        0.2.4
Release:        %mkrel 1
Summary:        OCaml bindings for libao
Source0:        https://github.com/savonet/ocaml-ao/archive/refs/tags/v%{version}.tar.gz
License:        GPLv2
Group:          Development/OCaml
Url:            https://savonet.sourceforge.net/

BuildRequires:  pkgconfig(ao)
BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-dune-devel >= 2.0.0


%description
OCaml bindings for the cross platform audio output library.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       libao-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q

%build
dune build %{?_smp_mflags}

%install
dune install --destdir=%{buildroot}

# We install the documentation with the doc macro
rm -fr %{buildroot}%{_prefix}/doc

%check
dune runtest

%files
%doc COPYING CHANGES README.md
%dir %{_libdir}/ocaml/ao
%{_libdir}/ocaml/ao/META
%{_libdir}/ocaml/ao/dune-package
%{_libdir}/ocaml/ao/*.cma
%{_libdir}/ocaml/ao/*.cmi
%{_libdir}/ocaml/ao/ao.cmxs
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%{_libdir}/ocaml/ao/opam
%{_libdir}/ocaml/ao/*.a
%{_libdir}/ocaml/ao/*.cmt
%{_libdir}/ocaml/ao/*.cmti
%{_libdir}/ocaml/ao/*.cmxa
%{_libdir}/ocaml/ao/*.cmx
%{_libdir}/ocaml/ao/*.ml
%{_libdir}/ocaml/ao/*.mli
