Name:           ocaml-argot
Version:        1.1
Release:        %mkrel 8
Summary:        Provides an enhanced HTML generator for ocamldoc
License:        GPLv3
Group:          Development/OCaml
URL:            https://argot.x9c.fr
Source0:        https://forge.ocamlcore.org/frs/download.php/960/argot-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-compiler

%description
Argot is an enhanced HTML generator for the ocamldoc tool of the OCaml
language. It provides additional styles and tags, support for folding and
tables, and - last but not least - search capabilities. Search can be done
by name (exact or regular expression), by type (up to isomorphism, possibly
using type manifests), or by full text (looking for words appearing in
comments).

%prep
%setup -q -n argot-%{version}

%build
sh configure
make all
make doc

# Fix META file
sed -i 's/byte/byte,plugin/' META
sed -i 's/native/native,plugin/' META
sed -i 's/java/java,plugin/' META

%check
make tests

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/argot
make install
mv _build/argot.docdir/ api-doc

%files
%doc README COPYING FEATURES VERSION CHANGES INSTALL
%doc doc/
%doc api-doc/
%dir %{_libdir}/ocaml/argot
%{_libdir}/ocaml/argot/META
%{_libdir}/ocaml/argot/*.cmo
%{_libdir}/ocaml/argot/*.cmxs
