Name:           ocaml-async_core
Version:        109.24.00
Release:        %mkrel 6
Summary:        Jane Street Capital's asynchronous execution library (core)
License:        LGPL-2.1 with OCaml linking exception
Group:          Development/OCaml
URL:            https://bitbucket.org/yminsky/ocaml-core/wiki/Home
Source0:        https://ocaml.janestreet.com/ocaml-core/%{version}/individual/async_core-%{version}.tar.gz
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-zero >= 109.21.00
BuildRequires:  ocaml-sexplib  >= 109.20.00
BuildRequires:  ocaml-pa_ounit >= 109.18.00
BuildRequires:  ocaml-fieldslib >= 109.20.00
BuildRequires:  ocaml-bin-prot >= 109.15.00
BuildRequires:  ocaml-janest-core >= 109.24.00
Requires:  	ocaml-janest-core
Requires:  	ocaml-zero

%description
Jane Street Capital's asynchronous execution library

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:  	ocaml-janest-core-devel
Requires:  	ocaml-zero-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n async_core-%{version}

%build
sh configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --docdir %{_docdir}/%{name}-devel/ \
    --destdir %{buildroot}


make
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/async_core
make install

%files
%doc LICENSE.txt THIRD-PARTY.txt INRIA-DISCLAIMER.txt
%dir %{_libdir}/ocaml/async_core
%{_libdir}/ocaml/async_core/META
%{_libdir}/ocaml/async_core/*.cmi
%{_libdir}/ocaml/async_core/*.cma
%{_libdir}/ocaml/async_core/*.cmxs

%files devel
%{_docdir}/%{name}-devel
%{_libdir}/ocaml/async_core/*.a
%{_libdir}/ocaml/async_core/*.cmxa
%{_libdir}/ocaml/async_core/*.mli
%{_libdir}/ocaml/async_core/*.ml
