%define debug_package %{nil}

%define major 1
%define libselinux_name   %mklibname selinux %{major}
%define libselinux_devel  %mklibname selinux -d

Name:           ocaml-augeas
Version:        0.6
Release:        %mkrel 6
Summary:        OCaml bindings for Augeas configuration API
License:        LGPLv2+ with exceptions
Group:          Development/OCaml
URL:            https://people.redhat.com/~rjones/augeas/files/
Source0:        https://people.redhat.com/~rjones/augeas/files/%{name}-%{version}.tar.gz
# Upstream patch to enable debuginfo.
Patch1:         0001-Use-ocamlopt-g-option.patch
# Const-correctness fix for OCaml 4.09+
Patch2:         0002-caml_named_value-returns-const-value-pointer-in-OCam.patch
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  pkgconfig(augeas) >= 0.1.0
BuildRequires:  chrpath
BuildRequires:  %libselinux_devel

%description
Augeas is a unified system for editing arbitrary configuration
files. This provides complete OCaml bindings for Augeas.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       augeas-devel
Requires:       %libselinux_devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
%configure
make
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs

# The upstream 'make install' rule is missing '*.so' and distributes
# '*.cmi' instead of just the augeas.cmi file.  Temporary fix:
#make install
ocamlfind install augeas META *.mli *.cmx *.cma *.cmxa *.a augeas.cmi *.so

strip $OCAMLFIND_DESTDIR/stublibs/dll*.so
chrpath --delete $OCAMLFIND_DESTDIR/stublibs/dll*.so

%files
%doc COPYING.LIB
%dir %{_libdir}/ocaml/augeas
%{_libdir}/ocaml/augeas/META
%{_libdir}/ocaml/augeas/*.cma
%{_libdir}/ocaml/augeas/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc html
%{_libdir}/ocaml/augeas/*.a
%{_libdir}/ocaml/augeas/*.cmxa
%{_libdir}/ocaml/augeas/*.cmx
%{_libdir}/ocaml/augeas/*.mli
