%define oname bin_prot

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.15.0
Release:        %mkrel 3
Summary:        Binary protocol generator
Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}.tar.gz
Obsoletes:      ocaml-bin-prot < 113.24.00

BuildRequires:  ocaml >= 4.08
BuildRequires:  ocaml-base-devel >= 0.15
BuildRequires:  ocaml-dune >= 2.0.0
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-ppx_compare-devel >= 0.15
BuildRequires:  ocaml-ppx_custom_printf-devel >= 0.15
BuildRequires:  ocaml-ppx_fields_conv-devel >= 0.15
BuildRequires:  ocaml-ppx_optcomp-devel >= 0.15
BuildRequires:  ocaml-ppx_sexp_conv-devel >= 0.15
BuildRequires:  ocaml-ppx_variants_conv-devel >= 0.15

%rename ocaml-ppx_bin_prot

%description
This library contains functionality for reading and writing OCaml
values in a type-safe binary protocol. These functions are extremely
efficient and provide users with a convenient and safe way of
performing I/O on any extensionally defined data type. This means that
functions, objects, and values whose type is bound through a
polymorphic record field are not supported, but everything else is.

As of now, there is no support for cyclic or shared values. Cyclic
values will lead to non-termination whereas shared values, besides
requiring significantly more space when encoded, may lead to a
substantial increase in memory footprint when they are read back in.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       ocaml-base-devel%{?_isa}
Requires:       ocaml-ppx_compare-devel%{?_isa}
Requires:       ocaml-ppx_custom_printf-devel%{?_isa}
Requires:       ocaml-ppx_fields_conv-devel%{?_isa}
Requires:       ocaml-ppx_optcomp-devel%{?_isa}
Requires:       ocaml-ppx_sexp_conv-devel
Requires:       ocaml-ppx_variants_conv-devel%{?_isa}
Obsoletes:      ocaml-bin-prot-devel < 113.24.00
Provides:       ocaml-bin-prot-devel = %{version}

%rename ocaml-ppx_bin_prot-devel

%description    devel
The %{name}-devel package contains libraries and signature files
for developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
dune build --verbose -p %{oname} %_smp_mflags

%install
dune install --destdir=%{buildroot}
rm -rf %buildroot/usr/doc

%check
dune runtest

%files
%doc LICENSE.md CHANGES.md
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*dune*
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs
%{_libdir}/ocaml/stublibs/dllbin_prot_stubs.so
%{_libdir}/ocaml/%{oname}/runtime.js
%dir %{_libdir}/ocaml/%{oname}/*/
%{_libdir}/ocaml/%{oname}/*/*.cmi
%{_libdir}/ocaml/%{oname}/*/*.cma
%{_libdir}/ocaml/%{oname}/*/*.a
%{_libdir}/ocaml/%{oname}/*/*.cmxa
%{_libdir}/ocaml/%{oname}/*/*.cmxs

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmti
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml*
%{_libdir}/ocaml/%{oname}/*/*.cmt
%{_libdir}/ocaml/%{oname}/*/*.cmti
%{_libdir}/ocaml/%{oname}/*/*.cmx
%{_libdir}/ocaml/%{oname}/*/*.ml*
