Name:           ocaml-biniou
Version:        1.2.1
Release:        %mkrel 8
Summary:        Binary data format designed for speed, safety and ease of use
License:        BSD
Group:          Development/OCaml
URL:            https://github.com/ocaml-community/biniou
Source0:        %{url}/releases/download/%{version}/biniou-%{version}.tbz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-easy-format-devel
BuildRequires:  ocaml-dune
Requires:       ocaml-easy-format

%description
Biniou (pronounced "be new") is a binary data format designed for speed,
safety, ease of use and backward compatibility as protocols evolve. Biniou
is vastly equivalent to JSON in terms of functionality but allows
implementations several times faster (4 times faster than yojson), with
25-35% space savings.

Biniou data can be decoded into human-readable form without knowledge of
type definitions except for field and variant names which are represented by
31-bit hashes. A program named 'bdump' is provided for routine visualization
of biniou data files.

The program atdgen can be used to derive OCaml-Biniou serializers and
deserializers from type definitions.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-easy-format-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n biniou-%{version}

%build
make

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/biniou
mkdir -p %{buildroot}%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/ocaml
cp -L _build/install/default/bin/* $RPM_BUILD_ROOT%{_bindir}
cp -rL _build/install/default/lib/* $RPM_BUILD_ROOT%{_libdir}/ocaml

%files
%license LICENSE
%doc README.md CHANGES.md
%dir %{_libdir}/ocaml/biniou
%{_libdir}/ocaml/biniou/META
%{_libdir}/ocaml/biniou/*dune*
%{_libdir}/ocaml/biniou/*.cma
%{_libdir}/ocaml/biniou/*.cmi
%{_libdir}/ocaml/biniou/*.cmxs
%{_bindir}/bdump

%files devel
%doc biniou-format.txt
%{_libdir}/ocaml/biniou/*.a
%{_libdir}/ocaml/biniou/*.cmxa
%{_libdir}/ocaml/biniou/*.cmt*
%{_libdir}/ocaml/biniou/*.cmx
%{_libdir}/ocaml/biniou/*.ml*
%{_libdir}/ocaml/biniou/opam
