Name:       ocaml-bitcoin
Version:    1.1.1
Release:    %mkrel 6
Summary:    OCaml Interface to the official Bitcoin client API
Group:      Development/OCaml
License:    GPL
URL:        http://ocaml-bitcoin.forge.ocamlcore.org/
#Project:   https://forge.ocamlcore.org/projects/ocaml-bitcoin/
Source0:    https://download.ocamlcore.org/%{name}/%{name}/%{version}/%{name}-%{version}.tgz

BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-ocamlnet-devel
BuildRequires:  ocaml-yojson-devel
#BuildRequires:  ocsigenserver  ### TODO
BuildRequires:  ocaml-lwt-devel

Requires:  ocaml-ocamlnet
Requires:  ocaml-yojson
Requires:  ocaml-lwt

%description
OCaml-bitcoin is a library offering an OCaml interface to the official
Bitcoin client API.
It works by making JSON-RPC calls over the network to a running Bitcoin
daemon offering the client API.

%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}

%description devel
This package contains the development modules you need to use %{name} in
your programs.

%prep
%setup -q

%build
sh configure --disable-ocsigen  # TODO: --enable-ocsigen
make
make doc
mv _build/bitcoin-ocamlnet-api.docdir/ \
    api-doc-html

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/bitcoin
make install

%files
%doc README LICENSE CHANGELOG
%dir %{_libdir}/ocaml/bitcoin
%{_libdir}/ocaml/bitcoin/META
%{_libdir}/ocaml/bitcoin/*.cmi
%{_libdir}/ocaml/bitcoin/*.cma
%{_libdir}/ocaml/bitcoin/*.cmxs

%files devel
%doc test/
%doc api-doc-html/
%{_libdir}/ocaml/bitcoin/*.a
%{_libdir}/ocaml/bitcoin/*.cmxa
%{_libdir}/ocaml/bitcoin/*.cmx
%{_libdir}/ocaml/bitcoin/*.mli
%{_libdir}/ocaml/bitcoin/*.ml
