# "fix" underlinking:
%define _disable_ld_no_undefined 1

%global srcname camlbz2
%global giturl  https://gitlab.com/irill/camlbz2

Name:           ocaml-camlbz2
Version:        0.8.0
Release:        %mkrel 3
Summary:        OCaml bindings for the libbz2 (AKA, bzip2) (de)compression library
Group:          Development/OCaml
License:        LGPL-3.0-or-later WITH OCaml-LGPL-linking-exception
URL:            https://irill.gitlab.io/camlbz2
VCS:            git:%{giturl}.git
Source:         %{giturl}/-/archive/%{version}/camlbz2-%{version}.tar.gz
# Unbundle the OCaml io.h header file
Patch:          %{name}-io-h.patch
# We do not need the stdlib-shims forward compatibility package
Patch:          %{name}-shims.patch

BuildRequires:  ocaml
BuildRequires:  ocaml-dune >= 2.8
BuildRequires:  pkgconfig(bzip2)

%description
This package contains OCaml bindings for bzip2.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       pkgconfig(bzip2)

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -n camlbz2-%{version} -p1

%conf
# Fix the version number
sed -i 's/0\.7\.1/%{version}/' dune-project

# Make sure we don't use the bundled copy of io.h
rm src/io.h

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%doc BUGS ChangeLog README
%license COPYING LICENSE

%files devel -f .ofiles-devel

