Name:           ocaml-camldbm
Version:        1.0
Release:        %mkrel 25
Summary:        Binding to the NDBM/GDBM Unix databases
License:        LGPL with static compilation exception
Group:          Development/OCaml
URL:            https://forge.ocamlcore.org/projects/camldbm/
Source0:        https://download.ocamlcore.org/camldbm/template/CamlDBM%{version}/camldbm-%{version}.tgz
Patch0:         include_fix.patch
Patch1:         hasgotfix.patch
Patch2:         camldbm-1.0-api-doc.patch
Patch3:         camldbm-1.0-enable-debugging-information.patch
BuildRequires:  ocaml-findlib
BuildRequires:  libgdbm-devel
Requires:       gdbm

%description
This OCaml library is a binding to the NDBM/GDBM Unix "databases".
It provides persistent storage of key-value pairs of strings.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n camldbm-%{version}
%autopatch -p1

%build
%configure
make
make doc

%install
OCAML_DESTDIR=%{buildroot}/%{_libdir}/ocaml/dbm
STUBS_DESTDIR=%{buildroot}/%{_libdir}/ocaml/stublibs
mkdir -p $OCAML_DESTDIR
mkdir -p $STUBS_DESTDIR

make install \
  LIBDIR=$OCAML_DESTDIR \
  STUBLIBDIR=$STUBS_DESTDIR

cp META $OCAML_DESTDIR/
cp dbm.mli $OCAML_DESTDIR/


%files
%doc README LICENSE Changelog
%dir %{_libdir}/ocaml/dbm/
%{_libdir}/ocaml/dbm/META
%{_libdir}/ocaml/dbm/*.cmi
%{_libdir}/ocaml/dbm/*.cma
%{_libdir}/ocaml/dbm/*.cmxs
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc api-doc/
%{_libdir}/ocaml/dbm/*.a
%{_libdir}/ocaml/dbm/*.cmxa
%{_libdir}/ocaml/dbm/*.mli
