Name:           ocaml-camlp5
Version:        8.00.03
Release:        %mkrel 2
Summary:        Classical version of camlp4 OCaml preprocessor
Group:          Development/OCaml
License:        BSD
URL:            https://camlp5.github.io/
Source0:        https://github.com/camlp5/camlp5/archive/rel%{version}.tar.gz

# Kill -warn-error A
Patch0:         camlp5-8.00-kill-warn-error.patch

BuildRequires:  make
BuildRequires:  ocaml >= 4.05
BuildRequires:  ocaml-ocamldoc
BuildRequires:  perl
BuildRequires:  ocaml-camlp-streams >= 5.0
BuildRequires:  ocaml-findlib

Provides:       camlp5 = %{version}-%{release}
Obsoletes:      camlp5 < %{version}-%{release}

%global __ocaml_requires_opts -i Asttypes -i Parsetree -i Pa_extend
%global __ocaml_provides_opts -i Dynlink -i Dynlinkaux -i Pa_extend

%description
Camlp5 is a preprocessor-pretty-printer of OCaml.

It is the continuation of the classical camlp4 with new features.

OCaml 3.10 and above have an official camlp4 which is incompatible
with classical (<= 3.09) versions.  You can find that in the
ocaml-camlp4 package.


%package        devel
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{name} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n camlp5-rel%{version}
find . -name .gitignore -delete

# Build with debug information
sed -i 's,WARNERR="",WARNERR="-g",' configure
sed -i 's,-linkall,& -g,g' top/Makefile
for fil in compile/compile.sh $(find . -name Makefile); do
  sed -i 's,\$[({]OCAMLN[})]c,& -g,;s,\$[({]OCAMLN[})]opt,& -g,;s,LINKFLAGS=,&-g ,' $fil
done


%build
# Upstream uses hand-written configure, grrrrrr.
./configure \
    --prefix %{_prefix} \
    --bindir %{_bindir} \
    --libdir %{_libdir}/ocaml \
    --mandir %{_mandir}
make

%install
mkdir -p %{buildroot}%{_libdir}/ocaml
# This is a hack because the make install rule is broken upstream.
# We move the file later.
mkdir -p {buildroo%t}%{_libdir}/ocaml/ocaml
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}
make install DESTDIR=$RPM_BUILD_ROOT
install -m 644 etc/META %{buildroot}%{_libdir}/ocaml/camlp5/
rm -f doc/htmlp/{*.sh,Makefile,html2*}


%files
%license LICENSE
%doc README.md
%{_bindir}/camlp5*
%{_bindir}/mkcamlp5*
%{_bindir}/ocpp5
%{_mandir}/man1/*.1*
%{_libdir}/ocaml/camlp5
%exclude %{_libdir}/ocaml/camlp5/*.a
%exclude %{_libdir}/ocaml/camlp5/*.cmxa
%exclude %{_libdir}/ocaml/camlp5/*.cmx
%exclude %{_libdir}/ocaml/camlp5/*.mli


%files devel
%doc CHANGES ICHANGES DEVEL UPGRADING doc/html
%{_libdir}/ocaml/camlp5/*.a
%{_libdir}/ocaml/camlp5/*.cmxa
%{_libdir}/ocaml/camlp5/*.cmx
%{_libdir}/ocaml/camlp5/*.mli
