Name:           ocaml-camlpdf
Version:        2.2.1
Release:        %mkrel 2
Summary:        Read, write, and manipulate PDF data with OCaml
Group:          Development/OCaml
License:        LGPL with special linking exception
URL:            https://github.com/johnwhitington/camlpdf
Source0:        https://github.com/johnwhitington/camlpdf/archive/v%{version}/camlpdf-%{version}.tar.gz
BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-compiler-libs
BuildRequires:  pkgconfig(zlib)
BuildRequires:  tetex-latex
BuildRequires:  gzip

# camlpdf has a runtime library compiled with custom: it requires the zlib
# libraries to be installed
Requires:       zlib

%description
This is CamlPDF, an OCaml library for reading, writing and manipulating Adobe
portable document files.

CamlPDF consists of a set of low level modules for representing, reading and
writing the basic structure of PDF, together with an initial attempt at a
higher level API.

Please advise of the following:
  * Files which cannot be read or written, or any other runtime error;
  * Instances of particularly slow or resource-hungry scenarios.

Please be aware that PDF is a highly complex format and that many files are
malformed. We will incorporate support for malformed files if Acrobat reads
them.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n camlpdf-%{version}

%build
%set_build_flags
make
make htdoc
make psdoc
gzip --best doc/camlpdf/latex/doc.ps
gzip --best introduction_to_camlpdf.tex

%install
%define destdir %{buildroot}/%{_libdir}/ocaml/camlpdf
%define destdll %{buildroot}/%{_libdir}/ocaml/stublibs

mkdir -p %{destdir}/
mkdir -p %{destdll}/

install -m 0644 *.cma *.cmxa *.a *.cmi *.mli %{destdir}/
install -m 0644 META %{destdir}/
install -m 0755 *.so %{destdll}/

%files
%doc LICENSE README.md Changes
%dir %{_libdir}/ocaml/camlpdf
%{_libdir}/ocaml/camlpdf/META
%{_libdir}/ocaml/camlpdf/*.cma
%{_libdir}/ocaml/camlpdf/*.cmi
%{_libdir}/ocaml/stublibs/*.so

%files devel
%doc examples/
%doc doc/camlpdf/html/
%doc doc/camlpdf/latex/*.{dvi,ps.gz}
%doc introduction_to_camlpdf.pdf
%doc introduction_to_camlpdf.tex*
%{_libdir}/ocaml/camlpdf/*.a
%{_libdir}/ocaml/camlpdf/*.cmxa
%{_libdir}/ocaml/camlpdf/*.mli
