# "fix" underlinking:
%define _disable_ld_no_undefined 1

%global giturl  https://github.com/xavierleroy/camlzip

Name:		ocaml-camlzip
Version:	1.13
Release:	%mkrel 2
Summary:        OCaml library for reading and writing zip, jar and gzip files
Group:		Development/OCaml
License:        LGPL-2.1-or-later WITH OCaml-LGPL-linking-exception

%global upver %(sed 's/\\.//' <<< %{version})

URL:            https://xavierleroy.org/software.html
VCS:            git:%{giturl}.git
Source0:        %{giturl}/archive/rel%{upver}.tar.gz
# Use zlib-ng directly rather than through the zlib compatibility API
Patch:          ocaml-zip-zlib-ng.patch

BuildRequires:  make
BuildRequires:  ocaml >= 4.13.0
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-rpm-macros
BuildRequires:  pkgconfig(zlib-ng)
# For tests
BuildRequires:  zip


%description
This Objective Caml library provides easy access to compressed files
in ZIP and GZIP format, as well as to Java JAR files. It provides
functions for reading from and writing to compressed files in these
formats.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       pkgconfig(zlib-ng)


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%autosetup -n camlzip-rel%{upver} -p1

# Do not try to overwrite the system ld.conf
sed -i "s,ocamlfind install,& -ldconf $PWD/ld.conf," Makefile

# Generate debuginfo
sed -i 's/ocamlopt/& -g/;s/ocamlmklib/& -g/' Makefile


%build
make all
%ifarch %{ocaml_native_compiler}
make allopt
%endif
make doc


%install
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/ocaml/zip
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/ocaml/stublibs

export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
export EXT_DLL=.so

touch ld.conf
%make_install

%ocaml_files


%ifarch %{ocaml_native_compiler}
# The tests can only be built with a native compiler
%check
export LD_LIBRARY_PATH=$PWD
make -C test
test/testzlib Makefile Makefile.gz
test/testzlib -d Makefile.gz Makefile.uncompressed
cmp Makefile Makefile.uncompressed
%endif


%files -f .ofiles
%license LICENSE


%files devel -f .ofiles-devel
%doc Changes README.md doc

