# FIXME: Broken in 1.0.1 for unknown reasons.
%global debug_package %{nil}

%define epoch   1

Name:           ocaml-camomile
Version:        1.0.2
Release:        %mkrel 8
Epoch:          %{epoch}
Summary:        Unicode library for OCaml
Group:          Development/OCaml
# Several files are MIT and UCD licensed, but the overall work is LGPLv2+
# and the LGPL/GPL supercedes compatible licenses.
# https://www.redhat.com/archives/fedora-legal-list/2008-March/msg00005.html
License:        LGPLv2+
URL:            https://github.com/yoriyuki/Camomile/wiki
Source0:        https://github.com/yoriyuki/Camomile/archive/%{version}.tar.gz/camomile-%{version}.tar.gz
BuildRequires:  ocaml >= 3.12.1-12
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-cppo
BuildRequires:  ocaml-dune

# The base package requires the data files.  Note that it is possible
# to install the data files on their own to support other packages
# that need the mappings, and some packages (eg. guestfs-browser) do
# exactly this.
Requires:       %{name}-data = %{epoch}:%{version}-%{release}

%description
Camomile is a Unicode library for ocaml. Camomile provides Unicode
character type, UTF-8, UTF-16, UTF-32 strings, conversion to/from
about 200 encodings, collation and locale-sensitive case mappings, and
more.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%package        data
Summary:        Data files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    data
The %{name}-data package contains data files for developing
applications that use %{name}.

%prep
%setup -q -n Camomile-%{version}

%build
dune build --verbose --profile release

%install
dune install \
         --destdir=%{buildroot} \
         --libdir=%{_libdir}/ocaml \
         --verbose \
         --profile release

# Remove /usr/doc because we will use %%doc rules instead.
rm -rf %{buildroot}/usr/doc

# Install the *.mli files by hand.
cp _build/install/default/lib/camomile/library/*.mli %{buildroot}%{_libdir}/ocaml/camomile/

%check
# Broken in 1.0.2.
# https://github.com/yoriyuki/Camomile/issues/82
#jbuilder runtest --profile release

%files
%doc README.md CHANGES.md
%license LICENSE.md
%{_libdir}/ocaml/camomile
%{_libdir}/ocaml/camomile/META
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/camomile/*.a
%exclude %{_libdir}/ocaml/camomile/*.cmxa
%exclude %{_libdir}/ocaml/camomile/*.cmx
%endif
%exclude %{_libdir}/ocaml/camomile/*.mli

%files devel
%license LICENSE.md
%{_libdir}/ocaml/camomile/*.a
%{_libdir}/ocaml/camomile/*.cmxa
%{_libdir}/ocaml/camomile/*.cmx

%files data
%license LICENSE.md
%{_datadir}/camomile
