Name:           ocaml-cfg
Version:        2.3.0
Release:        %mkrel 2
Summary:        Library for manipulation of context-free grammars (CFGs)
License:        LGPL with static compilation exception
Group:          Development/OCaml
URL:            https://mmottl.github.io/cfg/
Source0:        https://github.com/mmottl/cfg/archive/%{version}.tar.gz
BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  tetex-latex
BuildRequires:  gzip
BuildRequires:  ocaml-dune
BuildRequires:  menhir

%description
This OCaml-library consists of a set of modules which implement functions
for manipulating context-free grammars (CFGs) in a purely functional way.

The core-module (cfg_impl.ml) contains a functor which allows the
parameterization of the main transformation functions with arbitrary grammar
entities that fill the demanded specification (see the interface in
"cfg_intf.mli" and the BNF-example).

Thus, you may use this module for any kind of symbol system and any kind of
representation which can be treated like a CFG.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n cfg-%{version}

%build
sed -i 's!jbuilder!dune!' Makefile
sed -i 's!--dev!!' Makefile
dune upgrade
make

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/cfg
ocamlfind install cfg _build/install/default/lib/cfg/*

# fix debug info extraction
chmod u+w %{buildroot}%{_libdir}/ocaml/cfg/*.cmxs

%files
%doc README.md CHANGES.md
%dir %{_libdir}/ocaml/cfg
%{_libdir}/ocaml/cfg/META
%{_libdir}/ocaml/cfg/*dune*
%{_libdir}/ocaml/cfg/*.cmi
%{_libdir}/ocaml/cfg/*.cma
%{_libdir}/ocaml/cfg/*.cmxs

%files devel
%doc examples/
%{_libdir}/ocaml/cfg/*.a
%{_libdir}/ocaml/cfg/*.cmxa
%{_libdir}/ocaml/cfg/*.cmx
%{_libdir}/ocaml/cfg/*.cmt*
%{_libdir}/ocaml/cfg/*.mli
%{_libdir}/ocaml/cfg/*.ml
%{_libdir}/ocaml/cfg/opam
