%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:           ocaml-cmdliner
Version:        1.3.0
Release:        %mkrel 1
Summary:        Declarative definition of command line interfaces
License:        ISC
Group:          Development/OCaml
URL:            https://github.com/dbuenzli/cmdliner/
Source0:        https://github.com/dbuenzli/cmdliner/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ocaml
BuildRequires:  ocaml-dune

%description
Cmdliner is an OCaml module for the declarative definition of command line
interfaces.

It provides a simple and compositional mechanism to convert command line
arguments to OCaml values and pass them to your functions. The module
automatically handles syntax errors, help messages and UNIX man page
generation. It supports programs with single or multiple commands (like
darcs or git) and respects most of the POSIX and GNU conventions.

Cmdliner has no dependencies and is distributed under
the ISC license.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -n cmdliner-%{version}

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%license LICENSE.md
%doc README.md CHANGES.md

%files devel -f .ofiles-devel
%doc README.md CHANGES.md
%license LICENSE.md

