%define debug_package %{nil}

Name:       ocaml-cmigrep
Version:    1.5
Release:    %mkrel 17
Summary:    Search OCaml compiled interface (cmi) files
Group:      Development/OCaml
License:    GPLv2+
URL:        http://homepage.mac.com/letaris/
Source0:    http://homepage.mac.com/letaris/cmigrep-%{version}.tar.bz2
Source1:    cmigrep.1

Patch1:         0001-No-private-flag.patch
Patch2:         0002-Adapt-to-Types-types-of-OCaml-4.patch
Patch3:         0003-Adapt-build-system-to-OCaml-4.patch
Patch4:         0004-Adapt-to-Types-types-of-OCaml-4.02.3.patch

BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-compiler-libs
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-pcre-devel
BuildRequires:  pkgconfig(ncurses)


%description
A utility to mine the data in OCaml compiled interface (cmi) files, and
elisp that allows emacs to use cmigrep for completion.


%prep
%setup -q -n cmigrep-%{version}
%autopatch -p1

cp %{SOURCE1} .


%build
# Build cmigrep itself.
#make byte
#make all
ocamlfind ocamlopt -o cmigrep \
          -package compiler-libs.common,pcre,findlib,unix \
          -linkpkg cmigrep.ml
strip cmigrep


%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
install -m 0755 cmigrep %{buildroot}%{_bindir}
install -m 0644 cmigrep.1 %{buildroot}%{_mandir}/man1


%files
%doc GPL README cmigrep.el
%{_bindir}/cmigrep
%{_mandir}/man1/cmigrep.1*
