# should get replaced by ppx_compare
Name:           ocaml-comparelib
Version:        113.00.00
Release:        %mkrel 2
Summary:        Camlp4 syntax extension that derives comparison functions from type representations
License:        LGPL-2.1 with OCaml linking exception
Group:          Development/OCaml
URL:            https://ocaml.janestreet.com/
Source0:        https://github.com/janestreet/comparelib/archive/%{version}.tar.gz
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-type-conv >= 109.15.00
BuildRequires:  ocaml-camlp4-devel
Requires:       ocaml-camlp4

%description
Pa_compare is a camlp4 syntax extension that derives comparison functions
from type representations. The scaffolded functions are usually much faster
than ocaml's [Pervasives.compare] (cf. the programs in benchmark/).
Scaffolding functions also gives you more flexibility by allowing you to
override them for a specific type and more safety by making sure that you
only compare comparable values.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n comparelib-%{version}

%build
./configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --docdir %{_docdir}/%{name}-devel/ \
    --destdir %{buildroot}

make

rm -f */.hgignore.in

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/comparelib
make install

%files
%doc README.txt LICENSE.txt
%doc THIRD-PARTY.txt INRIA-DISCLAIMER.txt
%dir %{_libdir}/ocaml/comparelib
%{_libdir}/ocaml/comparelib/META
%{_libdir}/ocaml/comparelib/*.cmi
%{_libdir}/ocaml/comparelib/*.cma
%{_libdir}/ocaml/comparelib/*.cmxs

%files devel
%doc test/
%doc sample_output/
%{_libdir}/ocaml/comparelib/*.a
%{_libdir}/ocaml/comparelib/*.cmxa
%{_libdir}/ocaml/comparelib/*.cmx
%{_libdir}/ocaml/comparelib/*.annot
%{_libdir}/ocaml/comparelib/*.cmt
%{_libdir}/ocaml/comparelib/*.ml
