Name:           ocaml-creal
Version:        0.7
Release:        %mkrel 20
License:        LGPLv2
Group:          Development/OCaml
Summary:        Exact real arithmetic for OCaml
URL:            https://www.lri.fr/~filliatr/creal.en.html
Source0:        https://www.lri.fr/~filliatr/ftp/ocaml/ds/creal-%{version}.tar.gz
Source1:        ocaml-creal-META
Patch0:         creal-0.7-int32_uint32.patch
Patch1:		Fix-compilation-with-gcc-10.patch
BuildRequires:  ocaml
BuildRequires:  gmp-devel

%description
Creal is an exact real arithmetic library for Objective Caml.
This module implements exact real arithmetic, following Valerie
Menissier-Morain Ph.D. thesis (http://www-calfor.lip6.fr/~vmm/).
A real x is represented as a function giving, for any n, an
approximation zn/4^n of x such that |zn/4^n - x| < 1, where zn is an
arbitrary precision integer (of type Gmp.Z.t).
Coercions from type int, Gmp.Z.t, Gmp.Q.t, basic operations (addition,
subtraction, multiplication, division, power, square root) and
transcendental functions (sin, cos, tan, log, exp, arcsin, arccos,
etc.) and a few constants (pi, e) are provided.
A small reverse-polish calculator is provided to test the library.
Written by Jean-Christophe Filliatre.

%package devel
Summary:        Exact real arithmetic for Objective Caml
Group:          Development/OCaml
Requires:       gmp-devel
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n creal-%{version}
%autopatch -p1

chmod 644 README CHANGES *.mli mlgmp/*.mli
perl -pi -e 's/\015$//' README
cp %{SOURCE1} META
sed -i -e 's:@VERSION@:%{version}:g' META

%build
%configure
make OCAMLOPT="ocamlopt -g"

%install
make install BINDIR=%{buildroot}%{_bindir} LIBDIR=%{buildroot}%{_libdir}/ocaml/creal

cp META dllcreal.so %{buildroot}%{_libdir}/ocaml/creal/

%files
%doc README CHANGES
%dir %{_libdir}/ocaml/creal
%{_libdir}/ocaml/creal/META
%{_libdir}/ocaml/creal/*.cmi
%{_libdir}/ocaml/creal/*.cma
%{_libdir}/ocaml/creal/*.so*
%{_bindir}/ecalc

%files devel
%{_libdir}/ocaml/creal/*.a
%{_libdir}/ocaml/creal/*.cmxa
%{_libdir}/ocaml/creal/*.mli
