%define debug_package %{nil}

Name:           ocaml-cryptgps
Version:        0.2.1
Release:        %mkrel 13
Summary:        Cryptographic functions 
License:        MIT/X11
Group:          Development/OCaml
URL:            https://projects.camlcity.org/projects/cryptgps.html
Source0:        https://download.camlcity.org/download/cryptgps-%{version}.tar.gz
BuildRequires:  ocaml-findlib

%description
This library implements the symmetric cryptographic algorithms Blowfish,
DES, and 3DES. The algorithms are written in OCaml, i.e. this is not a
binding to some C library, but the implementation itself.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n cryptgps

%build
make all opt

mkdir api-doc
ocamldoc -d api-doc -html *.mli

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/cryptgps
make install
install -m 0644 *.cmx $OCAMLFIND_DESTDIR/cryptgps/

%files
%doc LICENSE README
%dir %{_libdir}/ocaml/cryptgps
%{_libdir}/ocaml/cryptgps/META
%{_libdir}/ocaml/cryptgps/*.cma
%{_libdir}/ocaml/cryptgps/*.cmi

%files devel
%doc test/
%doc api-doc/
%{_libdir}/ocaml/cryptgps/*.a
%{_libdir}/ocaml/cryptgps/*.cmxa
%{_libdir}/ocaml/cryptgps/*.cmx
%{_libdir}/ocaml/cryptgps/*.mli
