Name:           ocaml-csv
Version:        2.4
Release:        %mkrel 5
Summary:        OCaml library for reading and writing CSV files

Group:          Development/OCaml
License:        LGPLv2+
URL:            https://forge.ocamlcore.org/projects/csv/
Source0:        https://github.com/Chris00/ocaml-csv/archive/refs/tags/%{version}.tar.gz


BuildRequires:  ocaml-compiler
BuildRequires:  ocaml >= 4.00.1
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-findlib-devel >= 1.3.3-3
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-uutf-devel
BuildRequires:  ocaml-lwt-devel
BuildRequires:  gawk

%description
This OCaml library can read and write CSV files, including all
extensions used by Excel - eg. quotes, newlines, 8 bit characters in
fields, quote-0 etc.

The library comes with a handy command line tool called csvtool for
handling CSV files from shell scripts.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%package        lwt
Summary:        LWT bindings for %{name}
Requires:       %{name} = %{version}-%{release}


%description    lwt
The %{name}-lwt package contains LWT bindings for %{name}.


%package        lwt-devel
Summary:        LWT development files for %{name}
Requires:       %{name} = %{version}-%{release}


%description    lwt-devel
The %{name}-devel package contains libraries and signature files for
developing applications that use LWT with %{name}.


%prep
%setup -q -n %{name}-%{version}


%build
# _smp_mflags breaks the build for some reason.
# https://github.com/Chris00/ocaml-csv/issues/34
dune build --display=verbose -j1

%install
dune install --destdir=%{buildroot}

# We do not want the ml files
find %{buildroot}%{_libdir}/ocaml -name \*.ml -delete

# Remove the csvtool META file and opam project
rm -r %{buildroot}%{_libdir}/ocaml/csvtool

# We install the documentation with the doc macro
rm -fr %{buildroot}%{_prefix}/doc

%ifarch %{ocaml_native_compiler}
# Add missing executable bits
find %{buildroot}%{_libdir}/ocaml -name \*.cmxs -exec chmod a+x {} \+
%endif

%files
%license LICENSE.md
%{_libdir}/ocaml/csv
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/csv/*.a
%exclude %{_libdir}/ocaml/csv/*.cmxa
%exclude %{_libdir}/ocaml/csv/*.cmx
%endif
%exclude %{_libdir}/ocaml/csv/*.mli
%{_bindir}/csvtool


%files devel
%doc CHANGES.md README.md
%doc examples/
%doc tests/
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/csv/*.a
%{_libdir}/ocaml/csv/*.cmxa
%{_libdir}/ocaml/csv/*.cmx
%endif
%{_libdir}/ocaml/csv/*.mli
%{_libdir}/ocaml/csv/*.cmt
%{_libdir}/ocaml/csv/*.cmti


%files lwt
%{_libdir}/ocaml/csv-lwt
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/csv-lwt/*.a
%exclude %{_libdir}/ocaml/csv-lwt/*.cmxa
%exclude %{_libdir}/ocaml/csv-lwt/*.cmx
%endif
%exclude %{_libdir}/ocaml/csv-lwt/*.mli
%{_bindir}/csvtool


%files lwt-devel
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/csv-lwt/*.a
%{_libdir}/ocaml/csv-lwt/*.cmxa
%{_libdir}/ocaml/csv-lwt/*.cmx
%endif
%{_libdir}/ocaml/csv-lwt/*.mli


