# "fix" underlinking:
%define _disable_ld_no_undefined 1

Name:           ocaml-curl
Version:        0.9.2
Release:        %mkrel 3
Summary:        OCaml Curl library (ocurl)
Group:          Development/OCaml
License:        MIT
URL:            http://ocurl.forge.ocamlcore.org
Source0:        https://github.com/ygrek/ocurl/archive/%{version}/ocurl-%{version}.tar.gz
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-lwt-devel
BuildRequires:  ocaml-lwt-ppx-devel
BuildRequires:  pkgconfig(libev)
BuildRequires:  pkgconfig(libcurl) >= 7.28.0
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  libev-devel
BuildRequires:  gawk
# Because ocaml-curl is compiled with custom, it needs the curl-devel lib even for the bytecode ocaml lib.
Requires:       curl-devel
Conflicts:	%{name}-devel < 0.5.3-6

%description
The OCaml Curl Library (Ocurl) is an interface library for the
programming language OCaml to the networking library libcurl.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -p1 -n ocurl-%{version}

# Files in the archive have spurious +x mode.
find -type f | xargs chmod 0644
chmod 0755 configure install-sh

# Link with debuginfo and RPM_LD_FLAGS
sed -i "s|\$(OCAMLMKLIB)|& -g -ldopt '%build_ldflags'|" Makefile.in


%build
%configure --libdir=%{_libdir} --with-findlib
make
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install

# Install curl.mli
cp curl.mli $OCAMLFIND_DESTDIR/curl

# Make clean in the examples dir so our docs don't contain binaries.
make -C examples clean

mkdir api-doc
ocamldoc -d api-doc -html curl.mli

%files
%license COPYING
%{_libdir}/ocaml/curl
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/curl/*.a
%exclude %{_libdir}/ocaml/curl/*.cmx
%exclude %{_libdir}/ocaml/curl/*.cmxa
%endif
%exclude %{_libdir}/ocaml/curl/*.mli
# Because ocaml-curl is compiled with custom, it needs the native lib, even for the bytecode version
%{_libdir}/ocaml/stublibs/*.so
%{_libdir}/ocaml/stublibs/*.so.owner


%files devel
%doc doc examples
%doc api-doc/
%{_libdir}/ocaml/curl/*.a
%{_libdir}/ocaml/curl/*.cmx
%{_libdir}/ocaml/curl/*.cmxa
%{_libdir}/ocaml/curl/*.mli
