Name:           ocaml-curses
Version:        1.0.4
Release:        %mkrel 9
Summary:        OCaml bindings for ncurses
Group:          Development/OCaml
License:        LGPLv2+
URL:            https://savannah.nongnu.org/projects/ocaml-tmk/
Source0:        https://download.savannah.gnu.org/releases/ocaml-tmk/%{name}-%{version}.tar.gz
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib-devel
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  gawk

# Doesn't include a configure script, so we have to make one.
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

%description
OCaml bindings for ncurses.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

autoreconf

%build
%configure --enable-widec
make all opt

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
ocamlfind install curses META *.cmi *.cmx *.cma *.cmxa *.a *.so *.mli

%files
%doc COPYING CHANGES
%dir %{_libdir}/ocaml/curses
%{_libdir}/ocaml/curses/META
%{_libdir}/ocaml/curses/*.cmi
%{_libdir}/ocaml/curses/*.cma
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%{_libdir}/ocaml/curses/*.a
%{_libdir}/ocaml/curses/*.cmxa
%{_libdir}/ocaml/curses/*.cmx
%{_libdir}/ocaml/curses/*.mli
