Name:           ocaml-data-notation
Version:        0.0.11
Release:        %mkrel 3
Summary:        Store data using OCaml notation
License:        LGPL-2.1 with OCaml linking exception
Group:          Development/OCaml
URL:            https://forge.ocamlcore.org/projects/odn
Source0:        https://forge.ocamlcore.org/frs/download.php/1310/ocaml-data-notation-0.0.11.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-type-conv
BuildRequires:  ocaml-ounit
BuildRequires:  ocaml-fileutils
BuildRequires:  ocaml-camlp4-devel

%description
This project uses type-conv to dump OCaml data structure using OCaml data
notation. This kind of data dumping helps to write OCaml code generator,
like OASIS.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
ocaml setup.ml -configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --sharedstatedir %{_sharedstatedir} \
    --destdir %{buildroot}
  # --enable-tests

make

%check
#make test

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/odn
make install

%files
%doc README.txt COPYING.txt AUTHORS.txt CHANGES.txt INSTALL.txt
%dir %{_libdir}/ocaml/odn
%{_libdir}/ocaml/odn/META
%{_libdir}/ocaml/odn/*.cma
%{_libdir}/ocaml/odn/*.cmi
%{_libdir}/ocaml/odn/*.cmxs
%{_libdir}/ocaml/odn/*.ml

%files devel
%{_libdir}/ocaml/odn/*.a
%{_libdir}/ocaml/odn/*.cmxa
%{_libdir}/ocaml/odn/*.cmx
