Name:      ocaml-duppy
Version:   0.5.1
Release:   %mkrel 7
Summary:   An advanced scheduler for OCaml programmers
License:   LGPLv2
Group:     Development/OCaml
Url:       https://savonet.sourceforge.net/
Source0:   https://downloads.sourceforge.net/savonet/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-camlp4-devel
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-pcre-devel
Requires:  ocaml-pcre

%description
Duppy is an event scheduler written for OCaml. It allows the user to
execute tasks according to some events on Unix sockets, or a given delay.
Several threaded queues can proceed tasks in parallel. Tasks are processed
according to an abstract notion of priority.  

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-pcre-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep 
%setup -q

%build
./configure --libdir=%{_libdir}
%make all

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
mkdir -p $OCAMLFIND_DESTDIR/stublibs
make install


%files
%doc CHANGES COPYING README
%{_libdir}/ocaml/duppy
%{_libdir}/ocaml/duppy/*.cma
%{_libdir}/ocaml/duppy/*.cmi
%{_libdir}/ocaml/duppy/pa_duppy.cmo
%{_libdir}/ocaml/stublibs/*.so
%{_libdir}/ocaml/stublibs/*.so.owner

%files devel
%{_libdir}/ocaml/duppy/*.a
%{_libdir}/ocaml/duppy/*.cmx
%{_libdir}/ocaml/duppy/*.cmxa
%{_libdir}/ocaml/duppy/*.mli
