%global libname easy-format

Name:           ocaml-easy-format
Version:        1.3.2
Release:        %mkrel 9
Summary:        High-level and functional interface to the Format module
License:        BSD
Group:          Development/OCaml
URL:            https://github.com/ocaml-community/%{libname}
Source0:        %{url}/releases/download/%{version}/%{libname}-%{version}.tbz
# Convert from the deprecated tag functions to the stag functions
Patch0:         %{name}-stag.patch

BuildRequires:  ocaml >= 4.02.3
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamldoc

%description
This module offers a high-level and functional interface to the Format
module of the OCaml standard library. It is a pretty-printing
facility, i.e. it takes as input some code represented as a tree and
formats this code into the most visually satisfying result, breaking
and indenting lines of code where appropriate.

Input data must be first modeled and converted into a tree using 3
kinds of nodes:

    atoms
    lists
    labeled nodes

Atoms represent any text that is guaranteed to be printed as-is. Lists
can model any sequence of items such as arrays of data or lists of
definitions that are labeled with something like "int main", "let x
=" or "x:".


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -p0 -n %{libname}-%{version}

%build
dune build %{?_smp_mflags}

%install
DESTDIR=%{buildroot} dune install

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

# Delete files we do not want or that are in the wrong place
rm -f %{buildroot}%{_libdir}/ocaml/%{libname}/*.ml
rm -fr %{buildroot}%{_prefix}/doc

%files
%doc CHANGES.md README.md
%license LICENSE
%dir %{_libdir}/ocaml/easy-format
%{_libdir}/ocaml/easy-format/META
%{_libdir}/ocaml/easy-format/opam
%{_libdir}/ocaml/easy-format/*dune*
%{_libdir}/ocaml/easy-format/*.cma
%{_libdir}/ocaml/easy-format/*.cmi
%{_libdir}/ocaml/easy-format/*.cmx
%{_libdir}/ocaml/easy-format/*.cmxs

%files devel
%doc examples/
%{_libdir}/ocaml/easy-format/*.a
%{_libdir}/ocaml/easy-format/*.cmt
%{_libdir}/ocaml/easy-format/*.cmti
%{_libdir}/ocaml/easy-format/*.cmxa
%{_libdir}/ocaml/easy-format/*.mli
