Summary: OCaml web framework for ocsigenserver
Name:    ocaml-eliom
Version: 3.0.3
Release: %mkrel 4
# This URL is no longer available. Newer releases seem to be at
# https://github.com/ocsigen/eliom/releases
Source0: https://ocsigen.org/download/eliom-%{version}.tar.gz
Patch0:  eliom-3.0.3-mga-configure-deriving.patch
License: LGPLv2 with linking exception
Group:   Development/OCaml
Url:     https://ocsigen.org/eliom/
BuildRequires: camlp4
BuildRequires: ocaml
BuildRequires: ocaml-findlib
BuildRequires: ocaml-type-conv
BuildRequires: ocaml-ocsigenserver-devel
BuildRequires: js_of_ocaml
BuildRequires: ocaml-calendar-devel
BuildRequires: ocaml-lwt
BuildRequires: ocaml-react-devel
BuildRequires: ocaml-tyxml-devel
BuildRequires: ocaml-deriving-devel
BuildRequires: ocaml-ssl-devel
Requires: ocaml-js_of_ocaml
Requires: ocaml-lwt
Requires: ocaml-cryptokit
Requires: ocaml-tyxml
Requires: ocaml-sqlite3
Requires: ocaml-camlzip
Requires: ocaml-react
Requires: ocaml-pcre

%description
Eliom allows one to easily develop sophisticated client/server Web
 applications using OCaml and the ocsigenserver.


%package devel
Summary: Development files for deriving functions from type declarations
Group:   Development/OCaml
Requires: %{name} = %{version}-%{release}

%description -n %{name}-devel
The %{name}-devel package contains the headers and native code libraries to
develop applications that use %{name}.

%package -n eliom-destillery
Summary: Eliom programming tool for Ocaml web application development
Group:   Development/OCaml
Requires: %{name} = %{version}-%{release}

%description -n eliom-destillery
Eliom allows one to easily develop sophisticated client/server Web
applications using OCaml and the ocsigenserver.  The eliom-destillery
program creates scaffolds for Eliom projects.

%prep
%setup -q -n eliom-%{version}
%autopatch -p1

%build
sh configure \
   --with-preempt \
   --enable-natdynlink \
   --prefix %{_prefix} \
   --bindir %{buildroot}%{_bindir} \
   --mandir %{_mandir} \
   --docdir %{_docdir}
make


%install
mkdir -p %{buildroot}/%{_libdir}/ocaml/eliom
make install TEMPROOT=%{buildroot} BINDIR=%{_bindir}


%files
%doc COPYING CHANGES README
%dir %{_libdir}/ocaml/eliom
%{_bindir}/eliomopt
%{_bindir}/eliomc
%{_bindir}/eliomcp
%{_bindir}/eliomdep
%{_bindir}/js_of_eliom*
%{_libdir}/ocaml/eliom/META
%dir %{_libdir}/ocaml/eliom/server
%{_libdir}/ocaml/eliom/server/*.cma
%{_libdir}/ocaml/eliom/server/*.cmi
%{_libdir}/ocaml/eliom/server/*.cmxs
%dir %{_libdir}/ocaml/eliom/syntax
%{_libdir}/ocaml/eliom/syntax/*.cmo
%dir %{_libdir}/ocaml/eliom/client
%{_libdir}/ocaml/eliom/client/*.cma
%{_libdir}/ocaml/eliom/client/*.cmi
%{_libdir}/ocaml/eliom/client/*.cmo
%{_libdir}/ocaml/eliom/client/*.so
%{_libdir}/ocaml/eliom/client/*.js
%{_mandir}/man1/eliomc.1*
%{_mandir}/man1/eliomcp.1*
%{_mandir}/man1/eliomopt.1*
%{_mandir}/man1/eliomdep.1*
%{_mandir}/man1/js_of_eliom.1*

%files devel
%{_libdir}/ocaml/eliom/server/*.a
%{_libdir}/ocaml/eliom/server/*.cmxa
%{_libdir}/ocaml/eliom/server/*.mli
%{_libdir}/ocaml/eliom/client/*.a
%{_libdir}/ocaml/eliom/client/*.mli

%files -n eliom-destillery
%{_bindir}/eliom-destillery
%dir %{_datadir}/eliom
%{_datadir}/eliom/destillery/basic/Makefile*
%{_datadir}/eliom/destillery/basic/PROJECT_NAME.*
%{_datadir}/eliom/destillery/basic/README
%{_datadir}/eliom/destillery/basic/static!css!PROJECT_NAME.css
%{_mandir}/man1/eliom-destillery.1*
