Name:           ocaml-expat
Version:        1.1.0
Release:        %mkrel 10
Summary:        OCaml wrapper for the Expat XML parsing library
License:        GPLv2
Group:          Development/OCaml
URL:            https://www.xs4all.nl/~mmzeeman/ocaml
Source0:        https://github.com/whitequark/ocaml-expat/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         ocaml-expat-1.1.0-optflags.patch
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  pkgconfig(expat)

%description
An ocaml wrapper for the Expat XML parsing library. It allows you to write
XML-Parsers using the SAX method. An XML document is parsed on the fly
without needing to load the entire XML-Tree into memory.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       pkgconfig(expat)
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%autosetup -p1

%build
%set_build_flags
%make_build depend
%make_build all allopt
make doc
rm -f doc/README

%install
install -d -m 755 %{buildroot}%{_libdir}/ocaml/stublibs
%make_install OCAMLFIND_DESTDIR="%{buildroot}%{_libdir}/ocaml"

%files
%doc LICENCE README
%dir %{_libdir}/ocaml/expat
%{_libdir}/ocaml/expat/*.cmi
%{_libdir}/ocaml/expat/*.cma
%{_libdir}/ocaml/expat/*.cmxs
%{_libdir}/ocaml/expat/META
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc
%{_libdir}/ocaml/expat/*.a
%{_libdir}/ocaml/expat/*.cmxa
%{_libdir}/ocaml/expat/*.mli
