%define modname faad

Name:           ocaml-%{modname}
Version:        0.3.0
Release:        %mkrel 5
Summary:        OCaml interface to the faad library
Source0:        https://downloads.sourceforge.net/project/savonet/%{name}/%{version}/%{name}-%{version}.tar.gz
License:        GPLv2
Group:          Development/OCaml
Url:            https://savonet.sourceforge.net/

BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  libfaad2-devel

%description 
This package contains an OCaml interface for the AAC audio
decoder, otherwise known as libfaad.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
./configure --libdir=%{_libdir}
make all

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/%{modname}
make install

%files
%doc COPYING CHANGES README
%dir %{_libdir}/ocaml/%{modname}
%{_libdir}/ocaml/%{modname}/META
%{_libdir}/ocaml/%{modname}/*.cma
%{_libdir}/ocaml/%{modname}/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%{_libdir}/ocaml/%{modname}/*.a
%{_libdir}/ocaml/%{modname}/*.cmxa
%{_libdir}/ocaml/%{modname}/*.cmx
%{_libdir}/ocaml/%{modname}/*.mli
