Name:           ocaml-fileutils
Version:        0.5.3
Release:        %mkrel 11
Summary:        OCaml library for common file and filename operations
Group:          Development/OCaml
License:        LGPLv2+
URL:            http://ocaml-fileutils.forge.ocamlcore.org/
Source0:        https://forge.ocamlcore.org/frs/download.php/1728/%{name}-%{version}.tar.gz

# Use ounit2.
Patch2:         ocaml-fileutils-0.5.2-ounit2.patch

BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ounit
BuildRequires:  ocaml-ocamlbuild

%description
This library is intended to provide a basic interface to the most
common file and filename operations.  It provides several different
filename functions: reduce, make_absolute, make_relative...  It also
enables you to manipulate real files: cp, mv, rm, touch...

It is separated into two modules: SysUtil and SysPath.  The first one
manipulates real files, the second one is made for manipulating
abstract filenames.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q
%autopatch -p1

%build
ocaml setup.ml -configure
ocaml setup.ml -build

%check
ocaml setup.ml -test

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
ocaml setup.ml -install

%files
%doc README.txt
%dir %{_libdir}/ocaml/fileutils
%{_libdir}/ocaml/fileutils/*.cmi
%{_libdir}/ocaml/fileutils/*.cma
%{_libdir}/ocaml/fileutils/*.cmxs
%{_libdir}/ocaml/fileutils/META

%files devel
%doc COPYING.txt AUTHORS.txt CHANGELOG.txt README.txt TODO.txt
%{_libdir}/ocaml/fileutils/*.a
%{_libdir}/ocaml/fileutils/*.cmt*
%{_libdir}/ocaml/fileutils/*.annot
%{_libdir}/ocaml/fileutils/*.cmx
%{_libdir}/ocaml/fileutils/*.cmxa
%{_libdir}/ocaml/fileutils/*.ml
%{_libdir}/ocaml/fileutils/*.mli
