%define _name           flac
%define major           12
%define libflac_name    %mklibname %{_name} %{major}

Name:           ocaml-flac
Version:        0.1.3
Release:        %mkrel 13
Summary:        OCaml interface for FLAC (Free Lossless Audio Codec)
License:        GPLv2
Group:          Development/OCaml
URL:            https://github.com/savonet/ocaml-flac
Source0:        https://github.com/savonet/ocaml-flac/releases/download/%version/ocaml-flac-%{version}.tar.gz
Patch0:		debug.patch
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ogg-devel
BuildRequires:  pkgconfig(flac)
Requires:       %{libflac_name}
Requires:       ocaml-ogg

%description
This package contains an OCaml interface for 
the Free Lossless Audio Codec otherwise known as FLAC.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       libflac-devel
Requires:       ocaml-ogg-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
./configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir}

make
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/flac
make install

%files
%doc README COPYING CHANGES
%dir %{_libdir}/ocaml/flac
%{_libdir}/ocaml/flac/META
%{_libdir}/ocaml/flac/*.cmi
%{_libdir}/ocaml/flac/*.cma
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc/html/
%doc examples/
%{_libdir}/ocaml/flac/*.a
%{_libdir}/ocaml/flac/*.cmxa
%{_libdir}/ocaml/flac/*.cmx
%{_libdir}/ocaml/flac/*.mli
