Name:           ocaml-gen
Version:        1.0
Release:        %mkrel 1
Summary:        Simple, efficient iterators for OCaml
Group:          Development/OCaml
License:        BSD
URL:            https://c-cube.github.io/gen/
Source0:        https://github.com/c-cube/gen/archive/v%{version}/%{name}-%{version}.tar.gz
# Fedora does not need the seq forward compatibility shim
Patch0:         %{name}-seq.patch

BuildRequires:  ocaml
BuildRequires:  ocaml-dune-devel
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-ounit-devel
#BuildRequires:  ocaml-qcheck-devel
#BuildRequires:  ocaml-qtest-devel

%description
Iterators for OCaml, both restartable and consumable. The
implementation keeps a good balance between simplicity and
performance.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n gen-%{version}


%build
dune build -p gen @install


%install
mkdir -p %{buildroot}%{_libdir}/ocaml
dune install --destdir=%{buildroot} --libdir=%{_libdir}/ocaml

# These files will be installed using doc and license directives.
rm -r %{buildroot}/usr/doc

%check
# disable test for armhf https://github.com/ocaml/dune/issues/2527
%ifnarch armv7hl
dune runtest -p gen --no-buffer || :
%endif

%files
%doc README.md CHANGELOG.md
%license LICENSE
%dir %{_libdir}/ocaml/gen
%{_libdir}/ocaml/gen/META
%{_libdir}/ocaml/gen/opam
%{_libdir}/ocaml/gen/*dune*
%{_libdir}/ocaml/gen/*.cma
%{_libdir}/ocaml/gen/*.cmi
%{_libdir}/ocaml/gen/*.cmxs


%files devel
%doc README.md CHANGELOG.md
%license LICENSE
%{_libdir}/ocaml/gen/*.a
%{_libdir}/ocaml/gen/*.cmxa
%{_libdir}/ocaml/gen/*.cmx
%{_libdir}/ocaml/gen/*.ml
%{_libdir}/ocaml/gen/*.mli
%{_libdir}/ocaml/gen/*.cmt
%{_libdir}/ocaml/gen/*.cmti
