Name:           ocaml-gettext
Version:        0.4.2
Release:        %mkrel 3
Summary:        OCaml library for i18n
Group:          Development/OCaml
License:        LGPLv2+ with exceptions
URL:            https://github.com/gildor478/ocaml-gettext
Source0:        https://github.com/gildor478/%{name}/archive/v%{version}.tar.gz
Requires:       ocaml-camomile-data
BuildRequires:  make
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-fileutils-devel
BuildRequires:  ocaml-dune-devel
BuildRequires:  ocaml-cppo
BuildRequires:  ocaml-ounit-devel
BuildRequires:  ocaml-camomile-devel >= 0.8.6
BuildRequires:  ocaml-camomile-data
BuildRequires:  docbook-dtd43-xml
BuildRequires:  docbook-style-xsl
BuildRequires:  libxslt-proc
BuildRequires:  chrpath
Requires:       ocaml-fileutils
Requires:       ocaml-camomile
Conflicts:      ocaml-gettext-devel < 0.3.8-0.4

%description
OCaml-gettext provides support for internationalization of OCaml
programs.

Constraints :

* provides a pure OCaml implementation,
* the API should be as close as possible to GNU gettext,
* provides a way to automatically extract translatable
  strings from OCaml source code.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-fileutils-devel
Requires:       ocaml-camomile-devel
Conflicts:      ocaml-gettext < 0.3.8-0.4


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%package        camomile
Summary:        Parts of %{name} which depend on Camomile
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Conflicts:      camomile-devel < 0.3.8-0.4

%description    camomile
The %{name}-camomile package contains the parts of %{name} which
depend on Camomile.

%package        camomile-devel
Summary:        Development files for %{name}-camomile
Group:          Development/OCaml
Requires:       %{name}-devel = %{version}-%{release}
Requires:       %{name}-camomile = %{version}-%{release}
Conflicts:      camomile < 0.3.8-0.4


%description    camomile-devel
The %{name}-camomile-devel package contains libraries and
signature files for developing applications that use
%{name}-camomile.

%prep
%setup -q
%autopatch -p1

# Remove dependency on batteries.
sed -i -e 's/batteries//' test/dune
sed -i -e 's/batteries//' test/test-stub/dune

%build
make build

#check
# Tests require batteries, so they are disabled at present.
# Under discussion with upstream.

%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p %{buildroot}%{_bindir}
dune install --destdir=$RPM_BUILD_ROOT

# Remove this, we will use our own rules for documentation.
rm -rf $RPM_BUILD_ROOT/usr/doc


%files
%doc LICENSE.txt
%{_libdir}/ocaml/gettext
%{_libdir}/ocaml/gettext-stub
%exclude %{_libdir}/ocaml/gettext/*.cmxa
%exclude %{_libdir}/ocaml/gettext/*/*.a
%exclude %{_libdir}/ocaml/gettext/*/*.cmxa
%exclude %{_libdir}/ocaml/gettext/*/*.cmx
%exclude %{_libdir}/ocaml/gettext-stub/*.a
%exclude %{_libdir}/ocaml/gettext-stub/*.cmxa
%exclude %{_libdir}/ocaml/gettext-stub/*.cmx
%exclude %{_libdir}/ocaml/gettext/*/*.ml
%exclude %{_libdir}/ocaml/gettext/*/*.mli
%exclude %{_libdir}/ocaml/gettext-stub/*.ml
%{_libdir}/ocaml/stublibs/*.so

%files devel
%doc README.md CHANGES.md THANKS TODO.md
%{_libdir}/ocaml/gettext/*.cmxa
%{_libdir}/ocaml/gettext/*/*.a
%{_libdir}/ocaml/gettext/*/*.cmxa
%{_libdir}/ocaml/gettext/*/*.cmx
%{_libdir}/ocaml/gettext-stub/*.a
%{_libdir}/ocaml/gettext-stub/*.cmi
%{_libdir}/ocaml/gettext-stub/*.cmx
%{_libdir}/ocaml/gettext-stub/*.cmxa
%{_libdir}/ocaml/gettext-stub/*.cmxs
%{_libdir}/ocaml/gettext-stub/dune-package
%{_libdir}/ocaml/gettext-stub/opam
%{_libdir}/ocaml/gettext/*/*.ml
%{_libdir}/ocaml/gettext/*/*.mli
%{_libdir}/ocaml/gettext/*/*.cmt
%{_libdir}/ocaml/gettext/*/*.cmti
%{_libdir}/ocaml/gettext/dune-package
%{_libdir}/ocaml/gettext/opam
%{_bindir}/ocaml-gettext
%{_bindir}/ocaml-xgettext
%{_mandir}/man1/ocaml-gettext.1*
%{_mandir}/man1/ocaml-xgettext.1*
%{_mandir}/man5/ocaml-gettext.5*

%files camomile
%doc LICENSE.txt
%dir %{_libdir}/ocaml/gettext-camomile
%{_libdir}/ocaml/gettext-camomile/META
%{_libdir}/ocaml/gettext-camomile/*.cmi
%{_libdir}/ocaml/gettext-camomile/*.cma

%files camomile-devel
%doc README.md
%{_libdir}/ocaml/gettext-camomile/*.a
%{_libdir}/ocaml/gettext-camomile/*.cmt
%{_libdir}/ocaml/gettext-camomile/*.cmti
%{_libdir}/ocaml/gettext-camomile/*.cmxa
%{_libdir}/ocaml/gettext-camomile/*.cmxs
%{_libdir}/ocaml/gettext-camomile/*.cmx
%{_libdir}/ocaml/gettext-camomile/*.ml
%{_libdir}/ocaml/gettext-camomile/*.mli
%{_libdir}/ocaml/gettext-camomile/dune-package
%{_libdir}/ocaml/gettext-camomile/opam
