Name:           ocaml-gsl
Version:        1.19.1
Release:        %mkrel 23
Summary:        GSL-Bindings for OCaml (GNU Scientific Library)
License:        GPL-3+
Group:          Development/OCaml
URL:            https://mmottl.github.io/gsl-ocaml/
Source0:        https://github.com/mmottl/gsl-ocaml/archive/v%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  pkgconfig(gsl)
BuildRequires:  openblas-devel
# "Architectures with double-word alignment for doubles are not supported"
ExcludeArch:	%arm

%description
This is an interface to GSL (the GNU scientific library) for
the OCaml language.
GSL homepage: https://www.gnu.org/software/gsl

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       libgsl-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n gsl-ocaml-%{version}

%build
export GSL_CBLAS_LIB="-lopenblas"

./configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --docdir %{_docdir}/%{name}-devel \
    --destdir %{buildroot}

make
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/gsl
make install

%files
%doc README.md COPYING.txt AUTHORS.txt CHANGES.txt NOTES.md TODO.md
%dir %{_libdir}/ocaml/gsl
%{_libdir}/ocaml/gsl/META
%{_libdir}/ocaml/gsl/*.cmi
%{_libdir}/ocaml/gsl/*.cma
%{_libdir}/ocaml/gsl/*.cmxs
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc examples/
%doc /usr/share/doc/ocaml-gsl-devel/api/
%{_libdir}/ocaml/gsl/*.a
%{_libdir}/ocaml/gsl/*.annot
%{_libdir}/ocaml/gsl/*.cmxa
%{_libdir}/ocaml/gsl/*.cmt
%{_libdir}/ocaml/gsl/*.cmti
%{_libdir}/ocaml/gsl/*.cmx
%{_libdir}/ocaml/gsl/*.mli
%{_libdir}/ocaml/gsl/*.ml
