Name:           ocaml-gstreamer
Summary:        OCaml bindings for gstreamer
Version:        0.2.0
Release:        %mkrel 18
Source0:        https://downloads.sourceforge.net/project/savonet/%{name}/%{version}/%{name}-%{version}.tar.gz
Patch0:         configure-requires-bigarray.patch
License:        LGPLv2
Group:          Development/OCaml
URL:            https://savonet.sourceforge.net/
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-camlidl-devel
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)

%description
This package provides an interface to the gstreamer library
for OCaml programmers.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-camlidl-devel
Requires:       pkgconfig(gstreamer-1.0)
Requires:       pkgconfig(gstreamer-plugins-base-1.0)

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q
#patch -P 0 -p0

%build
./configure --libdir=%{_libdir}
make OCAMLMKLIB_FLAGS=`ocamlc -where`/libcamlidl.a

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/gstreamer
make install

%files
%doc COPYING CHANGES README
%dir %{_libdir}/ocaml/gstreamer
%{_libdir}/ocaml/gstreamer/META
%{_libdir}/ocaml/gstreamer/*.cma
%{_libdir}/ocaml/gstreamer/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%{_libdir}/ocaml/gstreamer/*.a
%{_libdir}/ocaml/gstreamer/*.cmxa
%{_libdir}/ocaml/gstreamer/*.cmx
%{_libdir}/ocaml/gstreamer/*.mli
