Name:           ocaml-higlo
Version:        0.3
Release:        %mkrel 10
Summary:        OCaml library for syntax highlighting
License:        LGPLv3
Group:          Development/OCaml
URL:            http://zoggy.github.com/higlo/
Source0:        http://zoggy.github.com/higlo/higlo-%{version}.tar.gz
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-xtmpl-devel
BuildRequires:  ocaml-ulex-devel
BuildRequires:  ocaml-camlp4-devel
Requires:       ocaml-xtmpl

%description
Higlo is an OCaml library for syntax highlighting.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-xtmpl-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n higlo-%{version}

%build
make
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/higlo
make install-lib
rm -f $OCAMLFIND_DESTDIR/higlo/LICENSE

# Install binaries by hand
mkdir -p %{buildroot}/%{_bindir}/
cp higlo %{buildroot}/%{_bindir}/
cp higlo.byte %{buildroot}/%{_bindir}/
cp mk-higlo %{buildroot}/%{_bindir}/

%files
%doc README.md LICENSE Changes
%dir %{_libdir}/ocaml/higlo
%{_libdir}/ocaml/higlo/META
%{_libdir}/ocaml/higlo/*.cmi
%{_libdir}/ocaml/higlo/*.cmo
%{_libdir}/ocaml/higlo/*.cmxs
%{_bindir}/*

%files devel
%doc doc/
%{_libdir}/ocaml/higlo/*.cmx
%{_libdir}/ocaml/higlo/*.mli
%{_libdir}/ocaml/higlo/*.o
