Name:       ocaml-inotify
Version:    1.0
Release:    %mkrel 7
Summary:    OCaml Inotify bindings
Group:      Development/OCaml
License:    LGPLv2
URL:        https://github.com/vincenthz/ocaml-inotify
Source0:    https://github.com/vincenthz/ocaml-inotify/archive/%{name}-%{version}.tar.gz
Patch0:     ocaml-inotify-1.0-enable-debugging-information.patch

BuildRequires:  ocaml-findlib

%description
OCaml bindings for the inotify API.

%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}

%description devel
This package contains the development modules you need to use %{name} in
your programs.

%prep
%setup -q
%autopatch -p1

%build
make

mkdir test
mv test.inotify.ml test/test_inotify.ml

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/inotify
make install OCAMLFIND_INSTALL_FLAGS=""

%files
%doc LICENSE
%dir %{_libdir}/ocaml/inotify
%{_libdir}/ocaml/inotify/META
%{_libdir}/ocaml/inotify/*.cmi
%{_libdir}/ocaml/inotify/*.cma
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc test
%{_libdir}/ocaml/inotify/*.a
%{_libdir}/ocaml/inotify/*.cmxa
%{_libdir}/ocaml/inotify/*.cmx
%{_libdir}/ocaml/inotify/*.mli
