Name:           ocaml-kaputt
Version:        1.2
Release:        %mkrel 1
Summary:        Kaputt is a unit testing tool for the OCaml language
License:        GPL v3
Group:          Development/OCaml
URL:            https://kaputt.x9c.fr/
Source0:        https://download.ocamlcore.org/kaputt/%{version}/sources/kaputt-%{version}.tar.gz
BuildRequires:  ocaml-findlib

%description
Kaputt is a unit testing tool for the OCaml language.
Kaputt features four kinds of tests:
  * assertion-based tests, inspired by the xUnit tools;
  * specification-based tests, inspired by the QuickCheck tool;
  * enumeration-based tests, inspired by the SmallCheck tool;
  * shell-based tests.

When writing assertion-based tests, the developer encodes input values
and checks that output values satisfy given assertions. When writing
specification-or enumeration-based tests, the developer encodes the
specification of the tested function and then requests the library to
generate random values to be tested against the specification. Finally,
shell-based are barely a replacement for shell script executing programs
and comparing their outputs to a previously checked reference.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n kaputt-%{version}

%build
sh configure
make all
make doc

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/kaputt
make install

%files
%doc README FEATURES CHANGES COPYING VERSION
%dir %{_libdir}/ocaml/kaputt
%{_libdir}/ocaml/kaputt/META
%{_libdir}/ocaml/kaputt/*.cmi
%{_libdir}/ocaml/kaputt/*.cma
%{_libdir}/ocaml/kaputt/*.cmo
%{_libdir}/ocaml/kaputt/*.o
%{_libdir}/ocaml/kaputt/*.byte

%files devel
%doc doc/
%doc ocamldoc/
%doc tests/
%{_libdir}/ocaml/kaputt/*.a
%{_libdir}/ocaml/kaputt/*.cmxa
%{_libdir}/ocaml/kaputt/*.cmx
