#define rcver beta8
%define rel 1

%if 0%{?rcver:1}
%global rcrel .%{rcver}
%global subrel %{rcver}
%endif


Name:           ocaml-lablgtk3
Version:        3.1.3
Release:        %mkrel %{rel}
Summary:        OCaml interface to Gtk+3
Source:         https://github.com/garrigue/lablgtk/archive/%{version}%{?rcrel}.tar.gz
# Upstream patch to fix hadjustment/vadjustment mixup
Patch1:         %{name}-vadjustment.patch
URL:            http://lablgtk.forge.ocamlcore.org/
License:        LGPL with static compilation exception
Group:          Development/OCaml

BuildRequires:  ocaml >= 4.05.0
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-compiler-libs
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-cairo-devel >= 0.6
BuildRequires:  ocaml-camlp5-devel
BuildRequires:  ocaml-dune >= 1.8.0
BuildRequires:  ocaml-dune-configurator-devel
BuildRequires:  ocaml-xml-light-devel
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtksourceview-3.0)
BuildRequires:  pkgconfig(gtkspell3-3.0)
BuildRequires:  pkgconfig(goocanvas-2.0)

%global _description %{expand:
LablGTK3 is an Objective Caml interface to gtk3.  It uses the rich
type system of Objective Caml to provide a strongly typed, yet very
comfortable, object-oriented interface to gtk3.}

%description %_description

%package devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       gtk3-devel
Requires:       ocaml-cairo-devel%{?_isa}

%description devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%package gtkspell3
Summary:        OCaml interface to gtkspell3
Group:          Development/OCaml
Conflicts:      %{name} < 3.1.2

%description    gtkspell3 %_description

This package contains OCaml bindings for gtkspell3.

%package gtkspell3-devel
Summary:        Development files for ocaml-gtkspell3
Group:          Development/OCaml
Requires:       %{name}-gtkspell3%{?_isa} = %{version}-%{release}
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}

%description gtkspell3-devel
The %{name}-gtkspell3-devel package contains libraries and signature
files for developing applications that use %{name}-gtkspell3.

%package sourceview3
Summary:        OCaml interface to sourceview3
Group:          Development/OCaml
Conflicts:      %{name} < 3.1.2

%description    sourceview3 %_description

This package contains OCaml bindings for gtksourceview3.

%package sourceview3-devel
Summary:        Development files for ocaml-sourceview3
Group:          Development/OCaml
Requires:       %{name}-sourceview3%{?_isa} = %{version}-%{release}
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}

%description sourceview3-devel
The %{name}-sourceview3-devel package contains libraries and signature
files for developing applications that use %{name}-sourceview3.

%package goocanvas2
Summary:        OCaml interface to goocanvas2
Group:          Development/OCaml

%description    goocanvas2 %_description

This package contains OCaml bindings for goocanvas2.

%package goocanvas2-devel
Summary:        Development files for ocaml-goocanvas2
Group:          Development/OCaml
Requires:       %{name}-goocanvas2%{?_isa} = %{version}-%{release}
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}

%description goocanvas2-devel
The %{name}-goocanvas2-devel package contains libraries and signature
files for developing applications that use %{name}-goocanvas2.

%prep
%setup -q -n lablgtk-%{version}%{??rcrel}

# This file is empty, so drop it before we make assemble the docs
rm doc/FAQ.text

%build
export LABLGTK_EXTRA_FLAGS=-g
dune build --release %{?_smp_mflags}

# Build the documentation
#dune build %{?_smp_mflags} @doc

# (tv) workaround missing version in META (which breaks coq):
grep -q version _build/default/META.lablgtk3 ||
sed -i "1s/^/version = \"%version\"\n/" _build/default/META.lablgtk3

%install
dune install --destdir=%{buildroot}

# We do not want the dune markers
#find _build/default/_doc/_html -name .dune-keep -delete

# We install the documentation with the doc macro
rm -fr %{buildroot}%{_prefix}/doc


%check
dune runtest

%files
%doc CHANGES.md CHANGELOG.API README.md
%license LGPL LICENSE
%{_bindir}/gdk_pixbuf_mlsource3
%{_bindir}/lablgladecc3
%dir %{_libdir}/ocaml/lablgtk3
%{_libdir}/ocaml/lablgtk3/META
%{_libdir}/ocaml/lablgtk3/*.cma
%{_libdir}/ocaml/lablgtk3/*.cmi
%{_libdir}/ocaml/stublibs/dlllablgtk3_stubs.so


%files devel
%{_libdir}/ocaml/lablgtk3/*
%exclude %{_libdir}/ocaml/lablgtk3/META
%exclude %{_libdir}/ocaml/lablgtk3/*.cmi
%exclude %{_libdir}/ocaml/lablgtk3/*.cma

%files gtkspell3
%dir %{_libdir}/ocaml/lablgtk3-gtkspell3
%{_libdir}/ocaml/lablgtk3-gtkspell3/META
%{_libdir}/ocaml/lablgtk3-gtkspell3/*.cmi
%{_libdir}/ocaml/lablgtk3-gtkspell3/*.cma
%{_libdir}/ocaml/stublibs/dlllablgtk3_gtkspell3_stubs.so

%files gtkspell3-devel
%{_libdir}/ocaml/lablgtk3-gtkspell3/*
%exclude %{_libdir}/ocaml/lablgtk3-gtkspell3/META
%exclude %{_libdir}/ocaml/lablgtk3-gtkspell3/*.cmi
%exclude %{_libdir}/ocaml/lablgtk3-gtkspell3/*.cma

%files sourceview3
%dir %{_libdir}/ocaml/lablgtk3-sourceview3
%{_libdir}/ocaml/lablgtk3-sourceview3/META
%{_libdir}/ocaml/lablgtk3-sourceview3/*.cma
%{_libdir}/ocaml/lablgtk3-sourceview3/*.cmi
%{_libdir}/ocaml/stublibs/dlllablgtk3_sourceview3_stubs.so

%files sourceview3-devel
%{_libdir}/ocaml/lablgtk3-sourceview3/*
%exclude %{_libdir}/ocaml/lablgtk3-sourceview3/META
%exclude %{_libdir}/ocaml/lablgtk3-sourceview3/*.cmi
%exclude %{_libdir}/ocaml/lablgtk3-sourceview3/*.cma

%files goocanvas2
%dir %{_libdir}/ocaml/lablgtk3-goocanvas2
%{_libdir}/ocaml/lablgtk3-goocanvas2/META
%{_libdir}/ocaml/lablgtk3-goocanvas2/*.cma
%{_libdir}/ocaml/lablgtk3-goocanvas2/*.cmi
%{_libdir}/ocaml/stublibs/dlllablgtk3_goocanvas2_stubs.so

%files goocanvas2-devel
%{_libdir}/ocaml/lablgtk3-goocanvas2/*
%exclude %{_libdir}/ocaml/lablgtk3-goocanvas2/META
%exclude %{_libdir}/ocaml/lablgtk3-goocanvas2/*.cma
%exclude %{_libdir}/ocaml/lablgtk3-goocanvas2/*.cmi

