%define up_name labltk

# "fix" underlinking:
%define _disable_ld_no_undefined 1

Summary:       Tcl/Tk interface for OCaml
Name:          ocaml-%{up_name}
Version:       8.06.11
Release:       %mkrel 3
Group:         Development/OCaml
License:       LGPLv2+ with exceptions
URL:           https://github.com/garrigue/labltk
Source0:       https://github.com/garrigue/labltk/archive/%{version}/labltk-%{version}.tar.gz
Source1:       META
# This adds debugging (-g) everywhere.
Patch1:        labltk-8.06.11-enable-debugging.patch
BuildRequires: ocaml-compiler
BuildRequires: ocaml-compiler-libs
BuildRequires: pkgconfig(tcl)
BuildRequires: pkgconfig(tk)

%description
labltk or mlTk is a library for interfacing OCaml with the scripting
language Tcl/Tk (all versions since 8.0.3, but no betas).

%package devel
Summary:       Tcl/Tk interface for OCaml
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description devel
labltk or mlTk is a library for interfacing OCaml with the scripting
language Tcl/Tk (all versions since 8.0.3, but no betas).

This package contains the development files.

%prep
%setup -q -n labltk-%{version}
%autopatch -p1

# Remove version control files which might get copied into documentation.
find -name .gitignore -delete

# Kill -warn-error.
find -type f | xargs sed -i -e 's/-warn-error/-w/g'

# Don't build ocamlbrowser.
mv browser browser.old
mkdir browser
echo -e 'all:\ninstall:\n' > browser/Makefile

%build
./configure

# Build does not work in parallel.
unset MAKEFLAGS

make all opt \
     SHAREDCCCOMPOPTS="%{optflags} -fPIC" \
     TK_LINK="%{__global_ldflags} -ltk8.6 -ltcl8.6"

%install
mkdir -p %buildroot%{_bindir}
mkdir -p %buildroot%{_libdir}/ocaml/labltk
mkdir -p %buildroot%{_libdir}/ocaml/stublibs
make install \
    BINDIR=%buildroot%{_bindir} \
    INSTALLDIR=%buildroot%{_libdir}/ocaml/labltk \
    STUBLIBDIR=%buildroot%{_libdir}/ocaml/stublibs
# The *.o files are not installed by the Makefile.  AIUI
# that prevents linking with native code programs.
install -m 0644 camltk/*.o $RPM_BUILD_ROOT%{_libdir}/ocaml/labltk

install -m 0644 %{SOURCE1} %buildroot%{_libdir}/ocaml/labltk/META

%files
%doc Changes README.mlTk
%dir %{_libdir}/ocaml/labltk
%{_libdir}/ocaml/labltk/*.cmi
%{_libdir}/ocaml/labltk/*.cma
%{_libdir}/ocaml/labltk/*.cmo
%{_libdir}/ocaml/stublibs/dlllabltk.so
%{_libdir}/ocaml/labltk/META

%files devel
%doc README.mlTk
%doc examples_camltk
%doc examples_labltk
%{_bindir}/labltk
%{_libdir}/ocaml/labltk/labltktop
%{_libdir}/ocaml/labltk/pp
%{_libdir}/ocaml/labltk/tkcompiler
%{_libdir}/ocaml/labltk/*.a
%{_libdir}/ocaml/labltk/*.cmxa
%{_libdir}/ocaml/labltk/*.cmx
%{_libdir}/ocaml/labltk/*.o
%{_libdir}/ocaml/labltk/*.mli
