Name:           ocaml-lacaml
Version:        9.3.2
Release:        %mkrel 8
Summary:        BLAS/LAPACK-interface for OCaml

License:        LGPLv2 with exceptions
Group:          Development/OCaml
URL:            https://github.com/mmottl/lacaml
Source0:        https://github.com/mmottl/lacaml/releases/download/v%{version}/lacaml-%{version}.tar.gz
BuildRequires: make
BuildRequires:  ocaml
BuildRequires:  ocaml-ocamlbuild-devel
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-compiler-libs
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  libblas-devel
BuildRequires:  liblapack-devel
Requires:       libblas
Requires:       liblapack

%description
This OCaml-library interfaces two widely used mathematical FORTRAN-libraries:
 * BLAS (Basic Linear Algebra Subroutines)
 * LAPACK (Linear Algebra PACKage)

This allows developers to write high-performance numerical code for
applications that require linear algebra.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       libblas-devel
Requires:       liblapack-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n lacaml-%{version}

%build
./configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --destdir %{buildroot}

make
make doc
mv _build/API.docdir/ html/

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/lacaml
make install

%files
%doc README.md COPYING.txt AUTHORS.txt CHANGES.txt TODO.md
%dir %{_libdir}/ocaml/lacaml
%{_libdir}/ocaml/lacaml/META
%{_libdir}/ocaml/lacaml/*.cmi
%{_libdir}/ocaml/lacaml/*.cma
%{_libdir}/ocaml/lacaml/*.cmxs
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc html/
%doc examples/
%{_libdir}/ocaml/lacaml/*.a
%{_libdir}/ocaml/lacaml/*.cmxa
%{_libdir}/ocaml/lacaml/*.cmx
%{_libdir}/ocaml/lacaml/*.mli
%{_libdir}/ocaml/lacaml/*.ml
%{_libdir}/ocaml/lacaml/*.cmt
%{_libdir}/ocaml/lacaml/*.cmti
%{_libdir}/ocaml/lacaml/*.annot
