%define libname %(echo %{name} | sed -e 's/^ocaml-//')

Name:           ocaml-lambda-term
Version:        3.2.0
Release:        %mkrel 4
Summary:        Terminal manipulation library for OCaml
License:        BSD-3-clause
Group:          Development/OCaml
URL:            https://github.com/ocaml-community/lambda-term/
Source0:        https://github.com/ocaml-community/lambda-term/archive/%{version}/%{libname}-%{version}.tar.gz
BuildRequires:  make
BuildRequires:  ocaml >= 4.08.0
BuildRequires:  ocaml-camomile-devel >= 1.0.1
BuildRequires:  ocaml-lwt-devel >= 4.0.0
BuildRequires:  ocaml-lwt-react-devel
BuildRequires:	ocaml-lwt_log-devel
BuildRequires:  ocaml-mew-vi-devel >= 0.5.0
BuildRequires:  ocaml-react-devel
BuildRequires:  ocaml-zed-devel >= 3.1.0

BuildRequires:  ocaml-dune >= 1.1.0

BuildRequires:  pkgconfig(libev)

Requires:       ocaml-camomile
Requires:       ocaml-zed
Requires:       ocaml-lwt

%description
Lambda-term is a cross-platform library for manipulating the
terminal. It provides an abstraction for keys, mouse events, colors,
as well as a set of widgets to write curses-like applications.

The main objective of lambda-term is to provide a higher level
functional interface to terminal manipulation than, for example,
ncurses, by providing a native OCaml interface instead of bindings to
a C library.

Lambda-term integrates with zed to provide text edition facilities in
console applications.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-camomile-devel%{?_isa}
Requires:       ocaml-lwt-devel%{?_isa}
Requires:       ocaml-lwt_log-devel%{?_isa}
Requires:       ocaml-lwt-react-devel%{?_isa}
Requires:       ocaml-mew-vi-devel%{?_isa}
Requires:       ocaml-react-devel%{?_isa}
Requires:       ocaml-zed-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -n lambda-term-%{version}

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%license LICENSE
%doc CHANGES.md README.md

%files devel -f .ofiles-devel
%license LICENSE
