Name:           ocaml-libaio
Version:        1.0
Release:        %mkrel 12
Summary:        OCaml bindings for libaio, Linux kernel AIO access library
License:        LGPL with static compilation exception
Group:          Development/OCaml
URL:            https://forge.ocamlcore.org/projects/libaio-ocaml/
Source0:        https://forge.ocamlcore.org/frs/download.php/818/libaio-ocaml_%{version}.orig.tar.gz
BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  libaio-devel
BuildRequires:  tetex-latex
BuildRequires:  gzip
Requires:       libaio-devel

%description
This OCaml-library interfaces the libaio (Linux kernel AIO access
library) C library. It enables ocaml programs to use Linux kernel
fast asynchronous I/O system calls, important for the performance
of databases and other advanced applications.

Compared with the OCaml standard and Unix I/O functions this library:
 * does not block
 * does I/O in the background
 * calls a continuation when the I/O has completed

%package devel
Summary:        OCaml bindings for libaio, Linux kernel AIO access library
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description -n %{name}-devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n libaio-ocaml-%{version}

%build
make
make doc
gzip --best lib/doc/aio/latex/doc.ps

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/aio $OCAMLFIND_DESTDIR/stublibs
make install OCAMLFIND_INSTFLAGS="-ldconf ignore"

%files
%doc LICENSE CHANGES README.txt
%dir %{_libdir}/ocaml/aio
%{_libdir}/ocaml/aio/META
%{_libdir}/ocaml/aio/*.cma
%{_libdir}/ocaml/aio/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc examples/
%doc lib/doc/aio/html/
%doc lib/doc/aio/latex/*.{dvi,pdf,ps.gz}
%{_libdir}/ocaml/aio/*.a
%{_libdir}/ocaml/aio/*.mli
%{_libdir}/ocaml/aio/*.cmxa
