Name:           ocaml-libvirt
Version:        0.6.1.5
Release:        %mkrel 8
Summary:        OCaml binding for libvirt
License:        LGPLv2+
Group:          Development/OCaml

URL:            https://libvirt.org/ocaml/
Source0:         https://libvirt.org/sources/ocaml/%{name}-%{version}.tar.gz

# Fedora patches:
# Fixes build with OCaml >= 4.09.
# Upstream commit 75b13978f85b32c7a121aa289d8ebf41ba14ee5a.
Patch1:         0001-Make-const-the-return-value-of-caml_named_value.patch

# Fixes for OCaml 4.10, sent upstream 2020-01-19.
Patch2:         0001-block_peek-memory_peek-Use-bytes-for-return-buffer.patch
Patch3:         0002-String_val-returns-const-char-in-OCaml-4.10.patch
Patch4:         0003-Don-t-try-to-memcpy-into-a-String_val.patch

# Mageia patches:

BuildRequires:  ocaml >= 3.10.0
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib-devel

BuildRequires:  pkgconfig(libvirt) >= 0.2.1
BuildRequires:  perl
BuildRequires:  gawk


%description
ocaml-libvirt are OCaml bindings for libvirt, allowing you to write OCaml
programs and scripts which control virtualization features. Some things which
you might want to do with ocaml-libvirt:

* Monitor performance of virtual machines
* Pause and resume virtual machines according to demand
* Provision new virtual machines automatically for customers
* Configure how virtual machines are networked together

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       libvirt-devel
Requires:       %{name} = %{version}-%{release}


%description devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q
%autopatch -p1


%build
%configure
make all doc
%make_build opt


%install
install -d -m 755 %{buildroot}/%{_libdir}/ocaml/stublibs
make install-opt \
    OCAMLFIND_DESTDIR="%{buildroot}/%{_libdir}/ocaml" \
    DESTDIR=%{buildroot}


%files
%doc COPYING.LIB README ChangeLog
%dir %{_libdir}/ocaml/libvirt
%{_libdir}/ocaml/libvirt/*.cmi
%{_libdir}/ocaml/libvirt/*.cma
%{_libdir}/ocaml/libvirt/META
%{_libdir}/ocaml/stublibs/*.so
%{_libdir}/ocaml/stublibs/*.so.owner


%files devel
%doc COPYING.LIB README TODO.libvirt ChangeLog html/*
%{_libdir}/ocaml/libvirt/*.a
%{_libdir}/ocaml/libvirt/*.cmxa
%{_libdir}/ocaml/libvirt/*.cmx
%{_libdir}/ocaml/libvirt/*.mli
