%define oname %(echo %{name} | sed -e 's/^ocaml-//')

Name:           ocaml-lwt_ssl
Version:        1.1.3
Release:        %mkrel 10
Summary:        OpenSSL binding with concurrent I/O
License:        LGPLv2+
Group:          Development/OCaml
URL:            https://github.com/aantron/lwt_ssl
Source0:        https://github.com/aantron/lwt_ssl/archive/%{version}/lwt_ssl-%{version}.tar.gz
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-lwt-devel
BuildRequires:  ocaml-ssl-devel
BuildRequires:  opam

%description
An Lwt-enabled wrapper around OCaml-SSL, that performs I/O concurrently.
Ocaml-SSL, in turn, is a binding to the much-used OpenSSL.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

%build
dune build --verbose -p %{oname} %_smp_mflags

%install
dune install --destdir=%{buildroot}
rm -rf %{buildroot}%{_prefix}/doc

%files
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*dune*
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmti
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml*
