# "fix" underlinking:
%define _disable_ld_no_undefined 1

%global basever  1.1
%global extraver 19

Name:           ocaml-mccs
Version:        %{basever}.%{extraver}
Release:        %mkrel 4
Summary:        Multi Criteria CUDF Solver with OCaml bindings

%global libname %(echo %{name} | sed -e 's/^ocaml-//')

# Original C/C++ code is BSD, OCaml bindings are LGPL.
# Linking exception, see included COPYING file.
License:        BSD and LGPLv3+ with exceptions
Group:          Development/OCaml
URL:            https://github.com/AltGr/ocaml-mccs
# Upstream's use of a '+' instead of a '.' makes this hard to use a macro.
Source:         https://github.com/AltGr/ocaml-mccs/archive/%{basever}+%{extraver}/%{name}-%{basever}-%{extraver}.tar.gz

# Link against the system glpk library
Patch:          ocaml-mccs-1.1-glpk.patch

BuildRequires:  ocaml
BuildRequires:  ocaml-dune
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  ocaml-cudf-devel
BuildRequires:  ocaml-extlib-devel
BuildRequires:  ocaml-findlib-devel
BuildRequires:  glpk-devel

%description
mccs (which stands for Multi Criteria CUDF Solver) is a CUDF problem
solver developed at UNS during the European MANCOOSI project.

This project contains a stripped-down version of the mccs solver,
taken from snapshot 1.1, with a binding as an OCaml library, and
building with dune.

The binding enables interoperation with binary CUDF data from the
OCaml CUDF library, and removes the native C++ parsers and printers.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       ocaml-cudf-devel%{?_isa}
Requires:       glpk-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -n %{name}-%{basever}-%{extraver} -p1

# Choose the build method that uses an installed glpk
cp -p src/glpk/dune-shared src/glpk/dune

# Temporary workaround for https://github.com/ocaml-opam/ocaml-mccs/issues/54
sed -i 's,clibs,../clibs,' src/glpk/dune

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%license LICENCE
%doc README.md

%files devel -f .ofiles-devel

