%define oname ocaml-migrate-parsetree

Name:           %{oname}
Version:        2.4.0
Release:        %mkrel 1
Summary:        Convert OCaml parsetrees between different major versions
License:        LGPLv2+ with exceptions
Group:          Development/OCaml
URL:            https://github.com/ocaml-ppx/ocaml-migrate-parsetree
Source0:        https://github.com/ocaml-ppx/ocaml-migrate-parsetree/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ocaml
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-cinaps-devel
Obsoletes:      ocaml-migrate-parsetree < 1.0.11-2
Provides:       ocaml-migrate-parsetree = %{version}-%{release}
%rename		ocaml-ocaml-migrate-parsetree

%description
This library converts between parsetrees of different OCaml versions.
For each version, there is a snapshot of the parsetree and conversion
functions to the next and/or previous version.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Obsoletes:      ocaml-migrate-parsetree-devel < 1.0.11-2
%rename		ocaml-ocaml-migrate-parsetree-devel


%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.


%prep
%autosetup -p1 -n %{oname}-%{version}


%build
dune build --release %{?_smp_mflags}


%install
dune install --destdir=%{buildroot}

# These files will be installed using doc and license directives.
rm -r %{buildroot}/usr/doc


%check
dune runtest


%files
%doc README.md CHANGES.md
%license LICENSE.md
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmti
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml
%{_libdir}/ocaml/%{oname}/*.mli
%{_libdir}/ocaml/*/dune-package
