%define debug_package %{nil}

Name:           ocaml-mikmatch
Version:        1.0.7
Release:        %mkrel 8
Summary:        OCaml extension for pattern matching with regexps
Group:          Development/OCaml
License:        BSD
URL:            https://mjambon.com/
# This URL is no longer available
# Newer releases are at https://github.com/mjambon/mikmatch
Source0:        https://mjambon.com/releases/mikmatch/mikmatch-%{version}.tar.gz
Patch0:		ocaml-mikmatch-1.0.7-upstream-pcre-fix.patch
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-compiler-libs
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-camlp4-devel
BuildRequires:  ocaml-pcre-devel
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  pkgconfig(ncurses)
Requires: ocaml-camlp4
Requires: ocaml-pcre
Requires: ocaml-tophide

%description
Mikmatch (with a 'k') is the OCaml >= 3.10 version of Micmatch, an
extension for adding pattern matching with regular expressions to the
language.

The goal of Micmatch/Mikmatch is to make text-oriented programs even
easier to write, read and run without losing the unique and powerful
features of Objective Caml (OCaml).

Micmatch/Mikmatch provides a concise and highly readable syntax for
regular expressions, and integrates it into the syntax of OCaml thanks
to Camlp4.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n mikmatch-%{version}
%autopatch -p1

%build
make all str pcre
make opt
(cd doc && mkdir -p mikmatch-ocamldoc && make mikmatch-ocamldoc/index.html)
mv doc doc_
mv doc_/mikmatch-ocamldoc doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install-str install-pcre

%files
%doc LICENSE README.md
%dir %{_libdir}/ocaml/mikmatch_str
%dir %{_libdir}/ocaml/mikmatch_pcre
%{_libdir}/ocaml/mikmatch_str/META
%{_libdir}/ocaml/mikmatch_str/*.cma
%{_libdir}/ocaml/mikmatch_str/*.cmi
%{_libdir}/ocaml/mikmatch_str/*.cmo
%{_libdir}/ocaml/mikmatch_pcre/META
%{_libdir}/ocaml/mikmatch_pcre/*.cma
%{_libdir}/ocaml/mikmatch_pcre/*.cmi
%{_libdir}/ocaml/mikmatch_pcre/*.cmo

%files devel
%doc doc/
%{_libdir}/ocaml/mikmatch_str/*.a
%{_libdir}/ocaml/mikmatch_str/*.cmxa
%{_libdir}/ocaml/mikmatch_str/*.cmx
%{_libdir}/ocaml/mikmatch_str/*.o
%{_libdir}/ocaml/mikmatch_str/*.mli
%{_libdir}/ocaml/mikmatch_pcre/*.a
%{_libdir}/ocaml/mikmatch_pcre/*.cmxa
%{_libdir}/ocaml/mikmatch_pcre/*.cmx
%{_libdir}/ocaml/mikmatch_pcre/*.o
%{_libdir}/ocaml/mikmatch_pcre/*.mli
