Name:           ocaml-mm
Version:        0.3.1
Release:        %mkrel 10
Summary:        OCaml library for performing operations on multimedia contents
License:        LGPLv2 with OCaml linking exception
Group:          Development/OCaml
URL:            https://github.com/savonet/ocaml-mm/
Source0:        https://github.com/savonet/ocaml-mm/archive/%{version}.tar.gz
# fix missing files (submodule):
Source1:        https://github.com/savonet/m4/archive/4462789c5a4bb4633ecd993f2240046cb8c46de5.zip
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-alsa-devel
BuildRequires:  ocaml-ao-devel
BuildRequires:  ocaml-gstreamer-devel
BuildRequires:  ocaml-mad-devel
BuildRequires:  ocaml-ogg-devel
BuildRequires:  ocaml-theora-devel
BuildRequires:  ocaml-sdl-devel
BuildRequires:  libffmpeg-devel
BuildRequires:  libv4l-devel

%description
ocaml-mm is a library dedicated to performing operations on multimedia
contents. It is designed as a pure ocaml library (ie no dependencies
are required).

Some extensions requiring bindings to various libraries are located in
the external/ directory.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -a1
%autopatch -p1
# fix missing files (submodule):
rmdir m4; mv m4-* m4
./bootstrap

%build
./configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir}

make
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/mm
make install

%files
%doc COPYING CHANGES README
%dir %{_libdir}/ocaml/mm
%{_libdir}/ocaml/mm/META
%{_libdir}/ocaml/mm/*.cmi
%{_libdir}/ocaml/mm/*.cma
%{_libdir}/ocaml/mm/*.cmo
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc/html/
%doc examples/
%{_libdir}/ocaml/mm/*.a
%{_libdir}/ocaml/mm/*.cmxa
%{_libdir}/ocaml/mm/*.cmx
%{_libdir}/ocaml/mm/*.mli
