
# "fix" underlinking:
%define _disable_ld_no_undefined 1

Name:           ocaml-mysql
Version:        1.2.2
Release:        %mkrel 8
Summary:        OCaml library for accessing MySQL databases
License:        LGPLv2+ with exceptions
Group:          Development/OCaml
URL:            https://github.com/ygrek/ocaml-mysql
Source0:        https://github.com/ygrek/ocaml-mysql/releases/download/v1.2.2/ocaml-mysql-1.2.2.tar.gz
# https://bugzilla.redhat.com/show_bug.cgi?id=1467652
# Upstream commit is:
# https://github.com/ygrek/ocaml-mysql/commit/60eada32c875c8442c39fb51de533924c15f6e93
BuildRequires:  ocaml >= 3.10.0
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib-devel
BuildRequires:  mysql-devel

%description
ocaml-mysql is a package for ocaml that provides access to mysql
databases. It consists of low level functions implemented in C and a
module Mysql intended for application development.


%package devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       mysql-devel
Requires:       %{name} = %{version}-%{release}


%description devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q

%build
%configure
make reallyall

%install
export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install


%files
%doc CHANGES COPYING README VERSION
%dir %{_libdir}/ocaml/mysql
%{_libdir}/ocaml/mysql/*.cmi
%{_libdir}/ocaml/mysql/*.cma
%{_libdir}/ocaml/mysql/META
%{_libdir}/ocaml/stublibs/dllmysql_stubs.so*

%files devel
%doc doc/mysql/html/
%{_libdir}/ocaml/mysql/*.a
%{_libdir}/ocaml/mysql/*.cmxa
%{_libdir}/ocaml/mysql/*.cmx
%{_libdir}/ocaml/mysql/*.cmxs
%{_libdir}/ocaml/mysql/*.mli
