Name:           ocaml-newt
Version:        0.9
Release:        %mkrel 20
Summary:        OCaml library for using newt text mode window system
License:        LGPLv2+ with exceptions
Group:          Development/OCaml
URL:            https://people.redhat.com/~rjones/ocaml-newt/
Source0:        https://people.redhat.com/~rjones/ocaml-newt/%{name}-%{version}.tar.gz
BuildRequires: make
BuildRequires:  ocaml >= 3.10.0
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-camlidl-devel
BuildRequires:  pkgconfig(libnewt)
Requires: newt-devel

%description
This is a set of OCaml bindings to newt.

The newt windowing system is a terminal-based window and widget
library designed for writing applications with a simple, but
user-friendly, interface.  While newt is not intended to provide the
rich feature set advanced applications may require, it has proven to
be flexible enough for a wide range of applications (most notably, Red
Hat's installation process).

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
./configure --libdir=%{_libdir}
# Dependencies are broken in the upstream package.
make newt_int.mli
rm -f .depend
make depend
make all
make opt
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/newt
make install

%files
%doc COPYING.LIB INSTALL README
%dir %{_libdir}/ocaml/newt/
%{_libdir}/ocaml/newt/META
%{_libdir}/ocaml/newt/*.cma
%{_libdir}/ocaml/newt/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc html/
%{_libdir}/ocaml/newt/*.a
%{_libdir}/ocaml/newt/*.cmxa
%{_libdir}/ocaml/newt/*.cmx
%{_libdir}/ocaml/newt/*.mli
