Name:           ocaml-oasis
Version:        0.4.11
Release:        %mkrel 13
Summary:        Architecture for building OCaml libraries and applications
License:        LGPL-2.1 with OCaml linking exception
Group:          Development/OCaml
URL:            http://oasis.forge.ocamlcore.org/
Source0:        https://forge.ocamlcore.org/frs/download.php/1757/oasis-%{version}.tar.gz

BuildRequires:  ocaml-ocamlbuild >= 0.12.0-1.mga7
BuildRequires:  ocaml-ocamlbuild-devel >= 0.12.0-1.mga7
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocamlify
BuildRequires:  ocamlmod
BuildConflicts: ocaml-cppo

%description
OASIS generates a full configure, build and install system for your
application. It starts with a simple `_oasis` file at the toplevel of your
project and creates everything required.

It uses external tools like OCamlbuild and it can be considered as the glue
between various subsystems that do the job. It should support the following
tools: OCamlbuild, OMake (todo), OCamlMakefile (todo), ocaml-autoconf (todo)

It also features a do-it-yourself command line invocation and an internal
configure/install scheme. Libraries are managed through findlib. It has been
tested on GNU Linux and Windows.

It also allows to have standard entry points and description. It helps to
integrates your libraries and software with third parties tools like GODI.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n oasis-%{version}

%build
ocaml setup.ml -configure \
    --destdir $RPM_BUILD_ROOT \
    --prefix %{_prefix}
ocaml setup.ml -build

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
make install

# remove installed doc (we use the %doc macro):
rm -rf %{buildroot}/usr/share/doc/oasis/

%files
%doc README.md COPYING.txt AUTHORS.md CHANGES.txt INSTALL.md TODO.txt
%dir %{_libdir}/ocaml/oasis
%dir %{_libdir}/ocaml/plugin-loader
%{_bindir}/oasis
%{_libdir}/ocaml/oasis/META
%{_libdir}/ocaml/oasis/*.cmi
%{_libdir}/ocaml/oasis/*.cma
%{_libdir}/ocaml/oasis/*.cmxs
%{_libdir}/ocaml/plugin-loader/META
%{_libdir}/ocaml/plugin-loader/*.cmi
%{_libdir}/ocaml/plugin-loader/*.cma
%{_libdir}/ocaml/plugin-loader/*.cmxs

%files devel
%doc doc/
%{_libdir}/ocaml/oasis/*.cmxa
%{_libdir}/ocaml/oasis/*.cmx
%{_libdir}/ocaml/oasis/*.cmt*
%{_libdir}/ocaml/oasis/*.annot
%{_libdir}/ocaml/oasis/*.a
%{_libdir}/ocaml/oasis/*.mli
%{_libdir}/ocaml/oasis/*.ml
%{_libdir}/ocaml/plugin-loader/*.cmxa
%{_libdir}/ocaml/plugin-loader/*.cmx
%{_libdir}/ocaml/plugin-loader/*.cmt*
%{_libdir}/ocaml/plugin-loader/*.annot
%{_libdir}/ocaml/plugin-loader/*.a
%{_libdir}/ocaml/plugin-loader/*.ml
