Name:           ocaml-ocamlagrep
Version:        1.0
Release:        %mkrel 10
Summary:        String searching with errors
License:        LGPL
Group:          Development/OCaml
URL:            https://pauillac.inria.fr/~xleroy/software.html#agrep
Source0:        https://forge.ocamlcore.org/frs/download.php/330/ocamlagrep-%{version}.tar.gz
BuildRequires:  ocaml

%description
This OCaml library implements the Wu-Manber algorithm for string searching
with errors, popularized by the "agrep" Unix command and the "glimpse" file
indexing tool.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q -n ocamlagrep-%{version}

%build
%make

mkdir html
ocamldoc -d html -html agrep.mli

cat > META <<EOF
name = "agrep"
description = "string searching with errors"
version = "%{version}"
archive(byte) = "agrep.cma"
archive(native) = "agrep.cmxa"
EOF

%install
%define destdir %{buildroot}/%{_libdir}/ocaml/agrep
%define stubdest %{buildroot}/%{_libdir}/ocaml/stublibs
install -d -m 755 %{destdir}
install -d -m 755 %{stubdest}
install -m 644 META %{destdir}
install -m 644 agrep.cmi agrep.cma agrep.cmxa agrep.a agrep.mli %{destdir}
install -m 644 libagrep.a %{destdir}
install -m 755 dllagrep.so %{stubdest}

%files
%doc README
%dir %{_libdir}/ocaml/agrep
%{_libdir}/ocaml/agrep/META
%{_libdir}/ocaml/agrep/*.cmi
%{_libdir}/ocaml/agrep/*.cma
%{_libdir}/ocaml/stublibs/*.so

%files devel
%doc html/
%doc testagrep.ml
%{_libdir}/ocaml/agrep/*.cmxa
%{_libdir}/ocaml/agrep/*.a
%{_libdir}/ocaml/agrep/*.mli
