%define debug_package %{nil}

Name:       ocaml-ocamlmpi
Version:    1.01
Release:    %mkrel 12
Summary:    OCaml bindings for MPI functions
Group:      Development/OCaml
License:    LGPL with OCaml linking exception
URL:        https://forge.ocamlcore.org/projects/ocamlmpi/
Source0:    https://download.ocamlcore.org/ocamlmpi/ocamlmpi/OCamlMPI%{version}/ocamlmpi-%{version}.tar.gz
Source1:    test.mk
Source2:    test_mandel.mk
Patch0:     ocamlmpi-1.01-ocamldoc.patch
BuildRequires:  ocaml-compiler
BuildRequires:  libopenmpi-devel

Requires:       libopenmpi

%description
OCaml bindings for a large subset of MPI functions.
MPI is a standard interface for distributed-memory parallel programming in
SPMD (single program, multiple data) style, offering both point-to-point
message passing and group communication operations.

%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}
BuildRequires:  libopenmpi-devel

%description devel
This package contains the development modules you need to use %{name} in
your programs.

%prep
%setup -q -n ocamlmpi-%{version}
%patch -P 0 -p1
cp %{SOURCE1} .
cp %{SOURCE2} .

cat > META <<EOF
description = "Bindings for MPI"
version = "%{version}"
browse_interface = " MPI "

exists_if = "mpi.cma"
archive(byte) = "mpi.cma"
archive(native) = "mpi.cmxa"
archive(byte,plugin) = "mpi.cma"
EOF

%build
make
make doc

%install
export OCAML_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAML_DESTDIR/ocamlmpi
make install \
  DESTDIR="$OCAML_DESTDIR/ocamlmpi"
  cp META "$OCAML_DESTDIR/ocamlmpi"

cat META

%files
%doc LICENSE README Changes
%dir %{_libdir}/ocaml/ocamlmpi
%{_libdir}/ocaml/ocamlmpi/META
%{_libdir}/ocaml/ocamlmpi/mpi.cmi
%{_libdir}/ocaml/ocamlmpi/mpi.cma

%files devel
%doc test.ml test_mandel.ml
%doc test.mk test_mandel.mk
%doc api-doc/
%{_libdir}/ocaml/ocamlmpi/mpi.a
%{_libdir}/ocaml/ocamlmpi/mpi.cmxa
%{_libdir}/ocaml/ocamlmpi/mpi.mli
%{_libdir}/ocaml/ocamlmpi/libcamlmpi.a
