Name:       ocaml-ocp-index
Version:    0.3.0
Release:    %mkrel 2
Summary:    Lightweight documentation extractor for installed OCaml libraries
License:    GPL
Group:      Development/OCaml
URL:        https://github.com/OCamlPro/ocp-index
Source0:    https://github.com/OCamlPro/ocp-index/archive/%{version}.tar.gz
Patch0:     ocp-index-0.3.0.fix-makefile.patch
BuildRequires:  ocaml-compiler
BuildRequires:  ocp-build
BuildRequires:  ocaml-curses

%description
Lightweight documentation extractor for installed OCaml libraries.
Optionally, if you have curses installed, will also install a tiny browser.

%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}

%description devel
This package contains the development modules you need to use %{name} in
your programs.

%prep
%setup -q -n ocp-index-%{version}
%patch -P 0 -p1

%build
./configure \
    --prefix %{buildroot}%{_prefix} \
    --datadir %{buildroot}%{_datadir} \
    --mandir %{buildroot}%{_mandir}

make

%install
rm -rf %{buildroot}
make install

# --mandir is not respected
mkdir -p %{buildroot}%{_mandir}/man1
mv %{buildroot}/usr/man/man1/ocp-index.1* \
   %{buildroot}%{_mandir}/man1/

rm -f %{buildroot}%{_libdir}/ocp-index/ocp-index/ocp-index.uninstall

%files
%doc README.md LICENSE
%doc test/
%dir %{_datadir}/typerex/ocp-index
%{_bindir}/ocp-index
%{_bindir}/ocp-index.byte
%{_mandir}/man1/ocp-index.1*
%{_datadir}/typerex/ocp-index/ocp-index.el
