%ifnarch %{ocaml_native_compiler}
%define debug_package	%{nil}
%endif

%define pkgname		ocplib-simplex

Name:		ocaml-%{pkgname}
Version:	0.4.1
Release:	%mkrel 1
Summary:	Simplex algorithm for solving systems of linear inequalities
Group:		Development/OCaml
# The same exception to clause 6 as provided by ocaml applies to this package.
License:	LGPLv2 with exceptions
URL:		https://github.com/OCamlPro-Iguernlala/ocplib-simplex
Source0:	https://github.com/OCamlPro-Iguernlala/%{pkgname}/archive/v%{version}/%{pkgname}-%{version}.tar.gz
# Upstream patch to fix the tests
Patch0:         %{name}-tests.patch
# Upstream patch to fix DESTDIR
Patch1:         %{name}-destdir.patch
# Update configure.in for autoconf 2.71
Patch2:         %{name}-autoconf.patch
BuildRequires:	autoconf
BuildRequires:	ocaml-findlib-devel
BuildRequires:	ocaml-num-devel
BuildRequires:	ocaml-rpm-macros

%description
This package contains a library implementing a simplex algorithm, in a
functional style, for solving systems of linear inequalities and
optimizing linear objective functions.

%package	devel
Summary:	Development files for %{name}
Group:		Development/OCaml
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -n %{pkgname}-%{version} -p0
autoconf

# Upstream's attempt to set OCAMLFIND_DESTDIR interferes with ours
sed -i '/OCAMLFIND_DESTDIR/d' Makefile.in

%build
%configure
%ifarch %{ocaml_native_compiler}
%make_build opt
%else
%make_build byte
%endif

%install
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
%make_install
rm -fr %{buildroot}%{_prefix}%{_prefix}
%ocaml_files
 
%ifarch %{ocaml_native_compiler}
# The tests assume the availability of ocamlopt
%check
make local-tests
%endif

%files -f .ofiles
%doc README.md
%license LICENSE

%files devel -f .ofiles-devel
%doc extra/simplex_invariants.txt

