Name:           ocaml-ogg
Version:        0.5.2
Release:        %mkrel 12
Summary:        OCaml bindings for the Ogg bitstream library
License:        LGPL with exceptions
Group:          Development/OCaml
URL:            https://github.com/savonet/ocaml-ogg
Source0:        https://github.com/savonet/ocaml-ogg/releases/download/%{version}/ocaml-ogg-%{version}.tar.gz
Patch0:		debug.patch
BuildRequires:  ocaml-findlib-devel
BuildRequires:  pkgconfig(ogg)

%description
OCaml bindings for the Ogg bitstream library, libogg is a library
for manipulating ogg bitstreams. It handles both making ogg bitstreams
and getting packets from ogg bitstreams.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       libogg-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
./configure
make
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/ogg
make install

%files
%doc COPYING CHANGES README
%dir %{_libdir}/ocaml/ogg
%{_libdir}/ocaml/ogg/META
%{_libdir}/ocaml/ogg/*.cma
%{_libdir}/ocaml/ogg/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc/html
%{_libdir}/ocaml/ogg/*.a
%{_libdir}/ocaml/ogg/*.cmx*
%{_libdir}/ocaml/ogg/*.mli
%{_libdir}/ocaml/ogg/*.h
