Name:           ocaml-pa_ounit
Version:        113.00.00
Release:        %mkrel 1
Summary:        OCaml Syntax extension for OUnit tests
Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/janestreet/pa_ounit
Source0:        https://github.com/janestreet/pa_ounit/archive/%{version}.tar.gz
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-type-conv
BuildRequires:  ocaml-camlp4-devel
BuildRequires:  ocaml-ounit-devel
Requires:       ocaml-compiler
Requires:       ocaml-camlp4
Requires:       ocaml-ounit

%description
Pa_ounit is a syntax extension that helps writing in-line test in ocaml
code. It allows user to register tests with a new `TEST` top-level expressions
and automatically collects all the tests in a module (in a function
`ounit_tests` of type `unit -> OUnit.test`).

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-ounit-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q -n pa_ounit-%{version}

%build
./configure
make

%install
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
make install

%files
%doc LICENSE.txt readme.md
%doc THIRD-PARTY.txt INRIA-DISCLAIMER.txt
%dir %{_libdir}/ocaml/pa_ounit
%{_libdir}/ocaml/pa_ounit/META
%{_libdir}/ocaml/pa_ounit/runtime.mli
%{_libdir}/ocaml/pa_ounit/pa_ounit.cmi
%{_libdir}/ocaml/pa_ounit/pa_ounit.ml
%{_libdir}/ocaml/pa_ounit/pa_ounit_syntax.cma
%{_libdir}/ocaml/pa_ounit/pa_ounit_syntax.cmxs
%{_libdir}/ocaml/pa_ounit/pa_ounit_lib.cma
%{_libdir}/ocaml/pa_ounit/pa_ounit_lib.cmi
%{_libdir}/ocaml/pa_ounit/pa_ounit_lib.cmxs

%files devel
%doc emacs/
%doc example/
%{_libdir}/ocaml/pa_ounit/pa_ounit.cmx
%{_libdir}/ocaml/pa_ounit/pa_ounit_syntax.a
%{_libdir}/ocaml/pa_ounit/pa_ounit_syntax.cmxa
%{_libdir}/ocaml/pa_ounit/pa_ounit_lib.a
%{_libdir}/ocaml/pa_ounit/pa_ounit_lib.cmxa
