Name:           ocaml-pcre
Version:        7.5.0
Release:        %mkrel 1
Summary:        Perl compatibility regular expressions for OCaml
URL:            https://mmottl.github.io/pcre-ocaml/
Source0:        https://github.com/mmottl/pcre-ocaml/archive/%{version}.zip
License:        LGPLv2 with linking exception
Group:          Development/OCaml
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-dune-configurator-devel
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-odoc
Conflicts:      %{name}-devel < 5.12.2
Requires:       pcre-devel

%description
This OCaml-library interfaces the PCRE (Perl-compatibility regular
expressions) library which is written in C. it can be used for matching
regular expressions which are written in "PERL"-style.
  
Searching for, replacing or splitting text should become much easier with
this library.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       pcre-devel
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q -n pcre-ocaml-%{version}

%build
dune build %{?_smp_mflags} --verbose --profile release
dune build %{?_smp_mflags} @doc

%install
dune install --destdir=%{buildroot}

# We do not want the dune markers
find _build/default/_doc/_html -name .dune-keep -delete

# We do not want the ml files
find %{buildroot}%{_libdir}/ocaml -name \*.ml -delete

# We install the documentation with the doc macro
rm -fr %{buildroot}%{_prefix}/doc

%check
dune runtest --profile release

%files
%doc README.md CHANGES.md
%license LICENSE.md
%dir %{_libdir}/ocaml/pcre
%{_libdir}/ocaml/pcre/*.cmi
%{_libdir}/ocaml/pcre/*.cma
%{_libdir}/ocaml/pcre/*.cmxs
%{_libdir}/ocaml/pcre/*.a
%{_libdir}/ocaml/pcre/META
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc _build/default/_doc/*
%{_libdir}/ocaml/pcre/dune-package
%{_libdir}/ocaml/pcre/opam
%{_libdir}/ocaml/pcre/pcre.a
%{_libdir}/ocaml/pcre/*.cmxa
%{_libdir}/ocaml/pcre/*.cmx
%{_libdir}/ocaml/pcre/*.mli
%{_libdir}/ocaml/pcre/*.cmt
%{_libdir}/ocaml/pcre/*.cmti
