Name:           ocaml-pgocaml
Version:        1.7.1
Release:        %mkrel 13
Summary:        OCaml library for type-safe access to PostgreSQL databases
Group:          Development/OCaml
License:        LGPLv2+ with exceptions
URL:            http://pgocaml.forge.ocamlcore.org/
Source0:        https://forge.ocamlcore.org/frs/download.php/1098/pgocaml-%{version}.tgz

BuildRequires:  ocaml-compiler >= 3.10.0
BuildRequires:  postgresql-devel
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-batteries-devel
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  ocaml-pcre-devel
BuildRequires:  ocaml-calendar-devel >= 2.0.4
BuildRequires:  ocaml-csv-devel
BuildRequires:  ocaml-camlp4-devel
Requires:       ocaml-pcre
Requires:       ocaml-batteries
Requires:       ocaml-calendar
Requires:       ocaml-csv

# The find-requires/provides scripts don't understand the packed
# CalendarLib module well.  Ignore the packed submodules. (Fedora)
%global __ocaml_requires_opts -i Asttypes -i Calendar_builder -i Calendar_sig -i Date -i Date_sig -i Fcalendar -i Ftime -i Parsetree -i Period -i Printer -i Time -i Time_sig -i Time_Zone -i Utils -i Version -i PGOCaml_config

%description
PG'OCaml is a type-safe, simple interface to PostgreSQL from OCaml.
It lets you embed SQL statements directly into OCaml code.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
# Compilation with findlib fails if these are not installed
Requires:       ocaml-pcre-devel
Requires:       ocaml-batteries-devel
Requires:       ocaml-calendar-devel
Requires:       ocaml-csv-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n pgocaml-1.7

%build
ocaml setup.ml -configure \
      --prefix %{_prefix} \
      --destdir %{buildroot} \
      --docdir %{_docdir}/ocaml-pgocaml

ocaml setup.ml -build
ocaml setup.ml -doc
mv doc/* ./
mv APIDOC.docdir html

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
ocaml setup.ml -install

%files
%doc LICENSE.txt CONTRIBUTORS.txt
%dir %{_libdir}/ocaml/pgocaml
%{_libdir}/ocaml/pgocaml/META
%{_libdir}/ocaml/pgocaml/*.cmi
%{_libdir}/ocaml/pgocaml/*.cma
%{_libdir}/ocaml/pgocaml/*.cmxs

%files devel
%doc README.txt CHANGELOG.txt PROFILING.txt BUGS.txt HOW_IT_WORKS.txt
%doc /usr/share/doc/ocaml-pgocaml/api/
%dir %{_docdir}/ocaml-pgocaml/api
%{_libdir}/ocaml/pgocaml/*.a
%{_libdir}/ocaml/pgocaml/*.ml
%{_libdir}/ocaml/pgocaml/*.cmxa
%{_libdir}/ocaml/pgocaml/*.cmx
%{_libdir}/ocaml/pgocaml/*.mli
