Name:           ocaml-pomap
Version:        3.0.5
Release:        %mkrel 3
Summary:        Library for maintaining partially ordered maps
License:        LGPL 2.1 with static compilation exception
Group:          Development/OCaml
URL:            https://mmottl.github.io/pomap/
Source0:        https://github.com/mmottl/pomap/archive/v%{version}.tar.gz
BuildRequires:  ocaml-findlib

%description
The Pomap-library implements an ADT that maintains maps of partially
ordered elements. Whereas a total order allows you to say whether some
element is lower, equal or greater than another one, partial orders also
allow for a "don't know"-case.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n pomap-%{version}

%build
make
make doc
mv _build/API.docdir/ html/

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
install -d -m 755 %{buildroot}/%{_libdir}/ocaml/pomap
make install

%files
%doc README.md COPYING.txt AUTHORS.txt CHANGES.txt
%dir %{_libdir}/ocaml/pomap
%{_libdir}/ocaml/pomap/META
%{_libdir}/ocaml/pomap/*.cmi
%{_libdir}/ocaml/pomap/*.cma
%{_libdir}/ocaml/pomap/*.cmxs

%files devel
%doc examples/
%doc html/
%{_libdir}/ocaml/pomap/*.a
%{_libdir}/ocaml/pomap/*.cmxa
%{_libdir}/ocaml/pomap/*.cmx
%{_libdir}/ocaml/pomap/*.mli
%{_libdir}/ocaml/pomap/*.ml
