Name:           ocaml-postgresql
Version:        2.1.0
Release:        %mkrel 7
Summary:        OCaml library for accessing PostreSQL databases
Group:          Development/OCaml
License:        LGPLv2+ with exceptions
URL:            https://mmottl.github.io/postgresql-ocaml/
Source0:        https://github.com/mmottl/postgresql-ocaml/archive/v%{version}.zip

BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  postgresql-devel
Requires:  postgresql-devel

%description
This OCaml-library provides an interface to PostgreSQL, an efficient
and reliable, open source, relational database.  Almost all
functionality available through the C-API (libpq) is replicated in a
type-safe way.  This library uses objects for representing database
connections and results of queries.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n postgresql-ocaml-%{version}

%build
make

%install
# These rules work if the library uses 'ocamlfind install' to install itself.
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
%make_install

%files
%doc README.md AUTHORS.txt COPYING.txt CHANGES.txt
%dir %{_libdir}/ocaml/postgresql/
%{_libdir}/ocaml/postgresql/*.cma
%{_libdir}/ocaml/postgresql/*.cmi
%{_libdir}/ocaml/postgresql/*.cmxs
%{_libdir}/ocaml/postgresql/META
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc examples/
%{_libdir}/ocaml/postgresql/*.a
%{_libdir}/ocaml/postgresql/*.cmxa
%{_libdir}/ocaml/postgresql/*.cmx
%{_libdir}/ocaml/postgresql/*.mli
