%define oname ppx_assert
%global upstream_version 0.15.0

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.15.0
Release:        %mkrel 4
Summary:        Assert-like extension nodes that raise useful errors on failure

Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/v%{upstream_version}/%{oname}-%{upstream_version}.tar.gz

BuildRequires:  ocaml >= 4.04.2
BuildRequires:  ocaml-base-devel >= 0.15
BuildRequires:  ocaml-dune >= 2.0.0
#BuildRequires:  ocaml-odoc
BuildRequires:  ocaml-ppx_cold-devel >= 0.15
BuildRequires:  ocaml-ppx_compare-devel >= 0.15
BuildRequires:  ocaml-ppx_here-devel >= 0.15
BuildRequires:  ocaml-ppx_sexp_conv-devel >= 0.15
BuildRequires:  ocaml-ppxlib-devel >= 0.23.0

%description
Assert-like extension nodes that raise useful errors on failure

Part of the Jane Street's PPX rewriters collection.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       ocaml-ppx_cold-devel%{?_isa}
Requires:       ocaml-ppx_compare-devel%{?_isa}
Requires:       ocaml-ppx_here-devel%{?_isa}
Requires:       ocaml-ppx_sexp_conv-devel%{?_isa}
Requires:       ocaml-ppxlib-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -n %{oname}-%{upstream_version} -p1

%build
dune build %{?_smp_mflags} --display=verbose --profile release

%install
dune install --destdir=%{buildroot}
rm -rf %buildroot/usr/doc

%check
dune runtest

%files
%doc LICENSE.md CHANGES.md
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*dune*
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs
%{_libdir}/ocaml/%{oname}/*.exe

%dir %{_libdir}/ocaml/%{oname}/*/
%{_libdir}/ocaml/%{oname}/*/*.cmi
%{_libdir}/ocaml/%{oname}/*/*.cma
%{_libdir}/ocaml/%{oname}/*/*.a
%{_libdir}/ocaml/%{oname}/*/*.cmxa
%{_libdir}/ocaml/%{oname}/*/*.cmxs

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmti
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml*

%{_libdir}/ocaml/%{oname}/*/*.cmt
%{_libdir}/ocaml/%{oname}/*/*.cmti
%{_libdir}/ocaml/%{oname}/*/*.cmx
%{_libdir}/ocaml/%{oname}/*/*.ml*

