%define oname ppx_base

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.15.0
Release:        %mkrel 2
Summary:        Base set of ppx rewriters

Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}.tar.gz

BuildRequires:  ocaml >= 4.08.0
BuildRequires:  ocaml-dune >= 2.0.0
BuildRequires:  ocaml-compiler

BuildRequires:  ocaml-ppx_cold-devel >= 0.15
BuildRequires:  ocaml-ppx_compare-devel >= 0.15
BuildRequires:  ocaml-ppx_enumerate-devel >= 0.15
BuildRequires:  ocaml-ppx_hash-devel >= 0.15
BuildRequires:  ocaml-ppx_sexp_conv-devel >= 0.15
BuildRequires:  ocaml-ppxlib-devel >= 0.23.0


%description
Ppx_base is the set of ppx rewriters used for Base.  Note that Base
doesn't need ppx to build; it is only used as a verification tool.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name}%{?_isa} = %{epoch}:%{version}-%{release}
Requires:       ocaml-ppx_cold-devel%{?_isa}
Requires:       ocaml-ppx_compare-devel%{?_isa}
Requires:       ocaml-ppx_enumerate-devel%{?_isa}
Requires:       ocaml-ppx_hash-devel%{?_isa}
Requires:       ocaml-ppx_js_style-devel%{?_isa}
Requires:       ocaml-ppx_sexp_conv-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
dune build --verbose -p %{oname} %_smp_mflags

%install
dune install --destdir=%{buildroot}
rm -rf %buildroot/usr/doc

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%check
dune runtest

%files
%license LICENSE.md
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*dune*
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs
%{_libdir}/ocaml/%{oname}/ppx.exe
%{_bindir}/ppx-base

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml*
