%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define oname ppx_deriving
Name:           ocaml-%{oname}
Version:        3.1
Release:        %mkrel 2
Summary:        Type-driven code generation for OCaml >=4.02
License:        MIT
Group:          Development/OCaml
URL:            https://github.com/whitequark/ppx_deriving
Source0:        https://github.com/whitequark/ppx_deriving/archive/v%{version}.tar.gz
BuildRequires:  ocaml-findlib >= 1.5.4
BuildRequires:  ocaml-ounit
BuildRequires:  ocaml-ppx_tools-devel >= 0.99.2
BuildRequires:  opam

%description
Type-driven code generation for OCaml >=4.02

ppx_deriving provides common infrastructure for generating
code based on type definitions, and a set of useful plugins
for common tasks.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
make build
make doc

%install
opam-installer --docdir=%{buildroot}%{_docdir} \
               --prefix=%{buildroot}%{_prefix} \
               --libdir=%{buildroot}%{_libdir}/ocaml \
               %{oname}.install

mv %{buildroot}/usr/lib/%{oname}/ppx_deriving %{buildroot}%{_libdir}/ocaml/%{oname}/

%check
make test

%files
%doc %{_docdir}/%{oname}
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs
%{_libdir}/ocaml/%{oname}/ppx_deriving

%files devel
%{_libdir}/ocaml/%{oname}/*.cmti
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.mli
