%define oname ppx_here

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.17.0
Release:        %mkrel 1
Summary:        Expands here into its location

Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}.tar.gz

BuildRequires:  ocaml >= 5.1.0
BuildRequires:  ocaml-base-devel >= 0.17
BuildRequires:  ocaml-dune >= 3.11.0
BuildRequires:  ocaml-ppxlib-devel >= 0.28.0

%description
Ppx_here is a ppx rewriter that defines an extension node whose value is
its source position.
Expands [%here] into its location

Part of the Jane Street's PPX rewriters collection.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       ocaml-base-devel%{?_isa}
Requires:       ocaml-ppxlib-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
%dune_build

%install
%dune_install

%check
# We do not run the tests from a directory named ppx containing ppx_here.
# Adapt the test to running inside of the ppx_here directory.
sed -e 's,dummy\.ml\.pp,dummy.pp.ml,g' \
    -e 's,\\"ppx/ppx_here/test/dummy\.mll\\",test/dummy.mll,' \
    -i test/dune

%dune_check

%files -f .ofiles
%doc README.md
%license LICENSE.md

%files devel -f .ofiles-devel

