%define oname ppx_optcomp

%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.17.0
Release:        %mkrel 1
Summary:        Optional compilation for OCaml
License:        Apache 2.0
Group:          Development/OCaml
URL:            https://github.com/janestreet/ppx_optcomp
Source0:        https://github.com/janestreet/ppx_optcomp/archive/v%{version}.tar.gz

BuildRequires:  ocaml >= 5.1.0
BuildRequires:  ocaml-base-devel >= 0.17
BuildRequires:  ocaml-dune >= 3.11.0
BuildRequires:  ocaml-ppxlib-devel >= 0.28.0
BuildRequires:  ocaml-stdio-devel >= 0.17

%description
Ppx_optcomp provides optional compilation for OCaml.  It is a tool used
to handle optional compilations of pieces of code depending of the word
size, the version of the compiler, etc.  The syntax is based on OCaml
item extension nodes, with keywords similar to cpp.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name}%{?_isa} = %{epoch}:%{version}-%{release}
Requires:       ocaml-base-devel%{?_isa}
Requires:       ocaml-ppxlib-devel%{?_isa}
Requires:       ocaml-stdio-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%doc CHANGES.md README.md
%license LICENSE.md

%files devel -f .ofiles-devel

