%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

%global srcname psmt2-frontend

Name:           ocaml-psmt2-frontend
Version:        0.4.0
Release:        %mkrel 2
Summary:        Parser and typechecker for an extension of SMT-LIB 2
Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/OCamlPro-Coquera/psmt2-frontend
Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

Patch0:         psmt2-frontend-0.4.0-mga-fix-build-with-sphinx.patch
Patch1:         psmt2-frontend-0.4.0-gh-trivial-typo.patch

BuildRequires:  make
BuildRequires:  ocaml >= 4.04
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-menhir
BuildRequires:  ocaml-odoc
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)

%description
This package contains a library to parse and typecheck a conservative
extension of the SMT-LIB 2 standard with prenex polymorphism.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%package        docs
Summary:        Documentation for %{name}
 
%description    docs
Documentation for %{name}.

%prep
%autosetup -n %{srcname}-%{version} -p1

# Do not use git to find the version; we don't have a git checkout
sed -i '/^git =/d;/^branch=/d;s/^\(version = \).*/\1"%{version}"/' sphinx/conf.py

%build
%dune_build
make sphinx

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%doc CHANGES.md README.md
%license LICENSE

%files devel -f .ofiles-devel

%files docs
%doc docs/sphinx
