%define oname qtest

Name:           ocaml-%{oname}
Version:        2.10.1
Release:        %mkrel 1
Summary:        Lightweight inline test extraction from comments

Group:          Development/OCaml
License:        GPLv3
URL:            https://github.com/vincent-hugot/qtest
Source0:        https://github.com/vincent-hugot/qtest/archive/v%{version}.tar.gz

BuildRequires:  ocaml-dune
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  opam
BuildRequires:  ocaml-result-devel

BuildRequires:  ocaml-ounit-devel >= 2.0.0
BuildRequires:  ocaml-qcheck-devel >= 0.5

%description
qtest extracts inline unit tests written using a special syntax in
comments. Those tests are then run using the oUnit framework and the
qcheck library.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
dune build --verbose -p %{oname} %_smp_mflags

%install
opam-installer --prefix=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir}/ocaml %{oname}.install
rm -rf %buildroot/usr/doc

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%check
dune runtest

%files
%license LICENSE
%{_bindir}/qtest
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/dune-package
%{_libdir}/ocaml/%{oname}/*/*.cmi
%{_libdir}/ocaml/%{oname}/*/*.cma
%{_libdir}/ocaml/%{oname}/*/*.a
%{_libdir}/ocaml/%{oname}/*/*.cmxa
%{_libdir}/ocaml/%{oname}/*/*.cmxs

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*/*.cmt*
%{_libdir}/ocaml/%{oname}/*/*.cmx
%{_libdir}/ocaml/%{oname}/*/*.ml*
