Name:       ocaml-rdf
Version:    0.6.0
Release:    %mkrel 9
Summary:    Handling RDF graphs
License:    LGPL
Group:      Development/OCaml
URL:        https://zoggy.github.io/ocaml-rdf/
Source0:    https://zoggy.github.io/ocaml-rdf/ocaml-rdf-%{version}.tar.gz
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-ocamlnet-devel
BuildRequires:  ocaml-mysql-devel
BuildRequires:  ocaml-xmlm-devel
BuildRequires:  ocaml-postgresql-devel
BuildRequires:  ocaml-camlp4-devel
BuildRequires:  menhir
BuildRequires:  ocaml-ulex-devel
BuildRequires:  ocaml-cryptokit-devel
BuildRequires:  ocaml-uuidm-devel
Requires:       ocaml-ocamlnet
Requires:       ocaml-mysql
Requires:       ocaml-xmlm
Requires:       ocaml-postgresql
Requires:       ocaml-ulex
Requires:       ocaml-cryptokit

%description
OCaml-RDF is an OCaml library to manipulate RDF graphs.
 
Implemented features: 
 * Two storages available: in memory or in a MySQL database,
 * Ability to define your own storages,
 * Transactions,
 * Importing from and exporting to RDF/XML format.

%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}
Requires:   ocaml-ocamlnet-devel
Requires:   ocaml-mysql-devel
Requires:   ocaml-xmlm-devel
Requires:   ocaml-postgresql-devel
Requires:   ocaml-ulex-devel
Requires:   ocaml-cryptokit-devel

%description devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
./configure --prefix %{_prefix}
make all
make doc
mv src/ocamldoc apidoc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/rdf

make install

%files
%doc README LICENSE
%dir %{_libdir}/ocaml/rdf
%{_libdir}/ocaml/rdf/META
%{_libdir}/ocaml/rdf/*.cmi
%{_libdir}/ocaml/rdf/*.cma
%{_libdir}/ocaml/rdf/*.cmxs

%files devel
%doc apidoc/
%{_libdir}/ocaml/rdf/*.a
%{_libdir}/ocaml/rdf/*.cmxa
%{_libdir}/ocaml/rdf/*.cmx
