%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

# This package is needed to build lwt, which is used to build ounit, but this
# package needs ounit to run its tests.  Break the dependency cycle here.
%bcond_with test

Name:       ocaml-re
Version:    1.13.3
Release:    %mkrel 1
Summary:    Regular expression library for OCaml
License:    LGPL-2.1
Group:      Development/OCaml
URL:        https://github.com/ocaml/ocaml-re
Source0:        https://github.com/ocaml/%{name}/archive/%{version}/ocaml-re-%{version}.tar.gz
BuildRequires:  ocaml
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-rpm-macros

%if %{with test}
BuildRequires:  ocaml-ounit-devel
%endif

Patch:          ocaml-re-remove-seq.patch

%description
RE is regular expression library for OCaml.
It is still under development, but is already rather usable.
The following styles of regular expressions are supported:
 * Perl-style regular expressions (module Re_perl);
 * Posix extended regular expressions (module Re_posix);
 * Emacs-style regular expressions (module Re_emacs);
 * Shell-style file globbing (module Re_glob).

It is also possible to build regular expressions by combining simpler
regular expressions (module Re).

%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}

%description devel
This package contains the development modules you need to use %{name} in
your programs.

%prep
%autosetup -p1

# Fix the ounit name
sed -i 's/oUnit/ounit2/' lib_test/fort_unit/dune

%build
%dune_build

%install
%dune_install

%if %{with test}
%check
%dune_check
%endif
 
%files -f .ofiles
%doc CHANGES.md
%doc README.md
%license LICENSE.md
 
%files devel -f .ofiles-devel

