Name:       ocaml-reins
Version:    0.1a
Release:    %mkrel 1
Summary:    Persistent data structure library for OCaml
Group:      Development/OCaml
License:    LGPL v2.1 with linking exception
URL:        https://ocaml-reins.sourceforge.net/
Source0:    https://downloads.sourceforge.net/project/ocaml-reins/ocaml-reins/ocaml-reins-%{version}/ocaml-reins-%{version}.tar.gz
Patch0:     ocaml-reins-0.1a-comp.patch
BuildRequires:  ocaml-compiler

%description
OCaml-Reins is a data structure library for OCaml that includes:
* cursor based iterators,
* a collection of functors to minimize client-side boilerplate,
* a powerful on-line benchmarking system
* and Quickcheck style testing infrastructure.

It provides:

- single linked lists,
- O(1) catenable lists,
- acyclic double linked lists,
- random access lists,
- double ended queues,
- binomial and skew binomial heap,
- AVL, red/black, splay and Patricia Maps
- and Sets with zipper style (persistent and bi-directional)
  cursor interfaces,
- along with functor combinators to minimize boilerplate.

(It was a Summer Project 2007 sponsored by Jane St. Capital.)

%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}

%description devel
This package contains the development modules you need to use %{name} in
your programs.

%prep
%setup -q
%patch -P 0 -p1

%build
pushd src
  sh compile.sh
  sh gen-doc.sh
popd
ls doc/html/api/

%install
rm -rf %{buildroot}

%define destdir %{buildroot}%{_libdir}/ocaml/reins

mkdir -p %{destdir}
pushd src
  sed -i -e 's:DESTDIR=.*:DESTDIR="%{destdir}":' install.sh
  sh install.sh
popd

%files
%doc AUTHORS COPYING LGPL-2.1 header
%dir %{_libdir}/ocaml/reins
%{_libdir}/ocaml/reins/META
%{_libdir}/ocaml/reins/*.cmi
%{_libdir}/ocaml/reins/*.cma
%{_libdir}/ocaml/reins/*.cmxs

%files devel
%doc doc/html/
%{_libdir}/ocaml/reins/*.a
%{_libdir}/ocaml/reins/*.cmxa
%{_libdir}/ocaml/reins/*.cmx
%{_libdir}/ocaml/reins/*.mli
%{_libdir}/ocaml/reins/*.ml
