Name:           ocaml-release
Version:        1.1.0
Release:        %mkrel 7
Summary:        A multi-process daemon framework for OCaml
License:        MIT
Group:          Development/OCaml
URL:            https://forge.ocamlcore.org/projects/release/
Source0:        https://download.ocamlcore.org/release/template/release%{version}/release-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-lwt-devel
BuildRequires:  ocaml-uint-devel
Requires:       ocaml-uint
Requires:       ocaml-lwt

%description
Release is a multi-process Lwt-enabled daemon framework for OCaml,
providing facilities for type-safe inter-process communication and
privilege-dropping.

Its goal is to make it easy to write servers that are released from the
calling terminal and to release root privileges when those are not
necessary.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-uint-devel
Requires:       ocaml-lwt-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n release-%{version}

%build
ocaml setup.ml -configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --destdir %{buildroot}

ocaml setup.ml -build

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/release
ocaml setup.ml -install
ocaml setup.ml -doc
mv  _build/lib/config/release-config.docdir/  api-html

%files
%doc README.md LICENSE
%dir %{_libdir}/ocaml/release
%{_libdir}/ocaml/release/META
%{_libdir}/ocaml/release/*.cmi
%{_libdir}/ocaml/release/*.cma
%{_libdir}/ocaml/release/*.cmxs

%files devel
%doc api-html/
%{_libdir}/ocaml/release/*.a
%{_libdir}/ocaml/release/*.cmxa
%{_libdir}/ocaml/release/*.cmx
%{_libdir}/ocaml/release/*.mli
%{_libdir}/ocaml/release/*.ml
