Name:           ocaml-res
Version:        4.0.7
Release:        %mkrel 11
Summary:        Library for automatically resizing contiguous memory (arrays and strings)
License:        LGPL
Group:          Development/OCaml
URL:            https://mmottl.github.io/res/
Source:         https://github.com/mmottl/res/archive/v%{version}.zip
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-findlib

%description
This OCaml-library consists of a set of modules which implement
automatically resizing (= reallocating) datastructures that consume
a contiguous part of memory. This allows appending and removing of
elements to/from arrays (both boxed and unboxed), strings (-> buffers),
bit strings and weak arrays while still maintaining fast constant-time
access to elements.

There are also functors that allow the generation of similar modules
which use different reallocation strategies.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n res-%{version}

%build
./configure
make

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/res
mkdir -p $OCAMLFIND_DESTDIR/stublibs
make install

# documentation
ocaml setup.ml -doc
rm -f API.docdir
mv _build/API.docdir ./
mv _build/API.odocl ./

%files
%doc COPYING.txt
%dir %{_libdir}/ocaml/res
%{_libdir}/ocaml/res/META
%{_libdir}/ocaml/res/*.cma
%{_libdir}/ocaml/res/*.cmi
%{_libdir}/ocaml/res/*.cmxs

%files devel
%doc CHANGES.txt README.md TODO.md
%doc API.docdir API.odocl examples/
%{_libdir}/ocaml/res/*.a
%{_libdir}/ocaml/res/*.annot
%{_libdir}/ocaml/res/*.cmt*
%{_libdir}/ocaml/res/*.cmx
%{_libdir}/ocaml/res/*.cmxa
%{_libdir}/ocaml/res/*.mli
%{_libdir}/ocaml/res/*.ml
