Name:           ocaml-rss
Version:        2.2.2
Release:        %mkrel 9
Summary:        OCaml library to read and write RSS files
License:        LGPL3
Group:          Development/OCaml
# These URLs are no longer valid
URL:            http://zoggy.github.com/ocamlrss/
Source0:        http://zoggy.github.com/ocamlrss/ocamlrss-%{version}.tar.gz
Source1:        test.ml
Patch0:         ocaml-rss-2.2.2-enable-debugging-information.patch
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamlnet-devel
BuildRequires:  ocaml-xmlm-devel
Requires:       ocaml-xmlm
Requires:       ocaml-ocamlnet

%description
OCaml-RSS is a small OCaml library providing functions to parse and print
RSS 2.0 files. The parser can also parse some RDF files, but some fields are
not taken into account. There is still some work to do (add missing RSS 2.0
attributes, add convenient functions).

OCaml-RSS was previously part of Cameleon but is now developed separately
and is findlib compatible.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-ocamlnet-devel
Requires:       ocaml-xmlm-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n ocamlrss-%{version}
%autopatch -p1

cp %{SOURCE1} .

%build
make
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/rss
make install
rm -f $OCAMLFIND_DESTDIR/rss/LICENSE

%files
%doc README LICENSE
%dir %{_libdir}/ocaml/rss
%{_libdir}/ocaml/rss/META
%{_libdir}/ocaml/rss/*.cmi
%{_libdir}/ocaml/rss/*.cma
%{_libdir}/ocaml/rss/*.cmxs

%files devel
%doc html/
%doc test.rss
%doc test.ml
%{_libdir}/ocaml/rss/*.a
%{_libdir}/ocaml/rss/*.cmxa
%{_libdir}/ocaml/rss/*.cmx
%{_libdir}/ocaml/rss/*.mli
