Name:           ocaml-sdl
Version:        0.9.1
Release:        %mkrel 25
Summary:        OCaml bindings for the SDL multimedia library
License:        LGPL
Group:          Development/OCaml
URL:            https://ocamlsdl.sourceforge.net/
Source0:        https://downloads.sourceforge.net/project/ocamlsdl/OCamlSDL/ocamlsdl-%{version}/ocamlsdl-%{version}.tar.gz
# Fix for safe-string in OCaml 4.06.
Patch1:         ocamlsdl-0.9.1-safe-string.patch
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_ttf)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_gfx)
BuildRequires:  ocaml-lablgl-devel
BuildRequires:  ocaml

%description
The goal of OCamlSDL is to provide access to the multimedia hardware
to the OCaml programming language with the help of the SDL library.
The Simple DirectMedia Layer is a generic API that provides low level
access to audio, keyboard, mouse, and display framebuffer across
multiple platforms and distributions.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires: libSDL-devel
Requires: libSDL_ttf-devel
Requires: libSDL_mixer-devel
Requires: libSDL_image-devel
Requires: libSDL_gfx-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n ocamlsdl-%{version}
%autopatch -p1

%build
./configure
make

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/sdl
make install
install -d %{buildroot}%{_bindir}
install -m 0755 ./xpm_to_ml %{buildroot}%{_bindir}

%files
%doc README COPYING AUTHORS NEWS
%dir %{_libdir}/ocaml/sdl
%{_libdir}/ocaml/sdl/*.cma
%{_libdir}/ocaml/sdl/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc/html/
%{_bindir}/xpm_to_ml
%{_libdir}/ocaml/sdl/*.a
%{_libdir}/ocaml/sdl/*.cmxa
%{_libdir}/ocaml/sdl/*.cmx
%{_libdir}/ocaml/sdl/*.mli
