Name:           ocaml-seq
Version:        0.2.2
Release:        %mkrel 5
Summary:        Compatibility package for OCaml's standard iterator type
Group:          Development/OCaml
License:        LGPLv2+ with exceptions

URL:            https://github.com/c-cube/seq
Source0:        %{url}/archive/%{version}/seq-%{version}.tar.gz

BuildRequires:  ocaml
BuildRequires:  ocaml-dune >= 1.1.0


%description
Compatibility package for OCaml's standard iterator type starting from 4.07.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n seq-%{version}


%build
dune build %{?_smp_mflags}


%install
dune install --destdir=%{buildroot}

# We do not want the ml files
find %{buildroot}%{_libdir}/ocaml -name \*.ml -delete

# We install the documentation with the doc macro
rm -fr %{buildroot}%{_prefix}/doc

%files
%doc README.md
%license LICENSE
%{_libdir}/ocaml/seq
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/seq/*.a
%exclude %{_libdir}/ocaml/seq/*.cmxa
%exclude %{_libdir}/ocaml/seq/*.cmx
%endif
%exclude %{_libdir}/ocaml/seq/*.mli
%exclude %{_libdir}/ocaml/seq/META


%files devel
%license LICENSE
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/seq/*.a
%{_libdir}/ocaml/seq/*.cmxa
%{_libdir}/ocaml/seq/*.cmx
%endif
%{_libdir}/ocaml/seq/*.mli
%{_libdir}/ocaml/seq/META


