%define oname sexplib

Name:           ocaml-%{oname}
Epoch:          2
Version:        0.15.1
Release:        %mkrel 1
Summary:        OCaml library for converting OCaml values to S-expressions
License:        Apache 2.0
Group:          Development/OCaml
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}.tar.gz
Conflicts:      ocaml-sexplib-devel < 2:0.10.0-2

BuildRequires:  ocaml-dune >= 2.0.0
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-num-devel
BuildRequires:  ocaml-parsexp-devel
BuildRequires:  ocaml-sexplib0-devel

%rename ocaml-sexplib310

%description
This library contains functionality for parsing and pretty-printing
S-expressions. In addition to that it contains an extremely useful
preprocessing module for Camlp4, which can be used to automatically
generate code from type definitions for efficiently converting
OCaml-values to S-expressions and vice versa. In combination with the
parsing and pretty-printing functionality this frees users from having
to write their own I/O-routines for datastructures they
define. Possible errors during automatic conversions from
S-expressions to OCaml-values are reported in a very human-readable
way. Another module in the library allows you to extract and replace
sub-expressions in S-expressions.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}

%rename ocaml-sexplib310-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -n sexplib-%{version}

%build
dune build %{?_smp_mflags}

%check
dune runtest

%install
dune install --destdir=%{buildroot}

# We install the documentation with the doc macro
rm -fr %{buildroot}%{_prefix}/doc

%files
%license LICENSE.md LICENSE-Tywith.txt
%dir %{_libdir}/ocaml/sexplib
%{_libdir}/ocaml/sexplib/META
%{_libdir}/ocaml/%{oname}/*dune*
%{_libdir}/ocaml/sexplib/*.a
%{_libdir}/ocaml/sexplib/*.cmi
%{_libdir}/ocaml/sexplib/*.cma
%{_libdir}/ocaml/sexplib/*.cmxa
%{_libdir}/ocaml/sexplib/*.cmxs
%dir %{_libdir}/ocaml/sexplib/*/
%{_libdir}/ocaml/sexplib/*/*.a
%{_libdir}/ocaml/sexplib/*/*.cmi
%{_libdir}/ocaml/sexplib/*/*.cma
%{_libdir}/ocaml/sexplib/*/*.cmxa
%{_libdir}/ocaml/sexplib/*/*.cmxs

%files devel
%doc COPYRIGHT.txt README.org CHANGES.md CHANGES.txt
%{_libdir}/ocaml/sexplib/opam
%{_libdir}/ocaml/sexplib/*.cmt
%{_libdir}/ocaml/sexplib/*.cmti
%{_libdir}/ocaml/sexplib/*.cmx
%{_libdir}/ocaml/sexplib/*.mli
%{_libdir}/ocaml/sexplib/*.ml
%{_libdir}/ocaml/sexplib/*/*.cmt
%{_libdir}/ocaml/sexplib/*/*.cmti
%{_libdir}/ocaml/sexplib/*/*.cmx
%{_libdir}/ocaml/sexplib/*/*.mli
%{_libdir}/ocaml/sexplib/*/*.ml
