Name:           ocaml-sha
Version:        1.15.4
Release:        %mkrel 1
Summary:        SHA Cryptographic Hash Functions for OCaml
License:        ISC
Group:          Development/OCaml
URL:            https://github.com/djs55/ocaml-sha
VCS:            git:%{url}.git
Source0:        %{url}/releases/download/v%{version}/sha-%{version}.tbz

# The OCaml version packaged in Fedora is recent enough, no need to shim stdlib.
Patch1:         ocaml-sha-remove-stdlib-shims-dep.patch

BuildRequires:  ocaml
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-ounit-devel

%description
A binding for SHA interface code in OCaml.  This packages offers the
same interface as the MD5 digest included in the OCaml standard library.
It currently provides SHA1, SHA256 and SHA512 hash functions.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -n sha-%{version} -p1

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%doc README.md CHANGES.md
%license LICENSE.md

%files devel -f .ofiles-devel
%doc README.md CHANGES.md
%license LICENSE.md

