Name:           ocaml-speex
Version:        0.2.1
Release:        %mkrel 11
Summary:        OCaml interface to the speex library
License:        GPL
Group:          Development/OCaml
URL:            https://github.com/savonet/ocaml-speex
Source0:        https://github.com/savonet/ocaml-speex/releases/download/%version/ocaml-speex-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ogg-devel
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(speex)
Requires:       speex

%description
This package provides an interface to the speex library for 
OCaml programmers.

Speex is an audio codec especially designed for compressing voice at low
bit-rates for applications such as voice over IP (VoIP).

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       libspeex-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
./configure
make
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/speex
make install

%files
%doc COPYING README CHANGES
%dir %{_libdir}/ocaml/speex
%{_libdir}/ocaml/speex/META
%{_libdir}/ocaml/speex/*.cma
%{_libdir}/ocaml/speex/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc/html
%doc examples
%{_libdir}/ocaml/speex/*.a
%{_libdir}/ocaml/speex/*.cmxa
%{_libdir}/ocaml/speex/*.cmx
%{_libdir}/ocaml/speex/*.mli
