# 4.1.3 is the last version before jbuilder.  Although we have
# jbuilder we lack some other OCaml libraries needed for this
# package.

Name:           ocaml-sqlite3
Version:        4.1.3
Release:        %mkrel 10
Summary:        OCaml library for accessing SQLite3 databases
Group:          Development/OCaml
License:        MIT
URL:            https://mmottl.github.io/sqlite3-ocaml/
Source0:        https://github.com/mmottl/sqlite3-ocaml/archive/v%{version}.tar.gz

BuildRequires:  ocaml-compiler >= 3.11.0
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-findlib
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  chrpath
Requires:  sqlite3-devel
%rename ocaml-sqlite


%description
SQLite 3 database library wrapper for OCaml.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
%rename ocaml-sqlite-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q -n sqlite3-ocaml-%{version}

%build
./configure \
      --enable-tests \
      --prefix %{_prefix} \
      --destdir '%{buildroot}' \
      --docdir %{_docdir}/%{name}-devel/

make all

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install

strip $OCAMLFIND_DESTDIR/stublibs/dll*.so
chrpath --delete $OCAMLFIND_DESTDIR/stublibs/dll*.so

# Remove the documentation from _docdir, we will install it ourselves.
rm -rf $RPM_BUILD_ROOT%{_docdir}

%files
%doc README.md COPYING.txt AUTHORS.txt CHANGES.txt TODO.md
%dir %{_libdir}/ocaml/sqlite3
%{_libdir}/ocaml/sqlite3/META
%{_libdir}/ocaml/sqlite3/*.cma
%{_libdir}/ocaml/sqlite3/*.cmi
%{_libdir}/ocaml/sqlite3/*.cmxs
%{_libdir}/ocaml/stublibs/*.so
%{_libdir}/ocaml/stublibs/*.so.owner

%files devel
%doc CHANGES.txt README.md TODO.md
%doc test/
%{_libdir}/ocaml/sqlite3/*.a
%{_libdir}/ocaml/sqlite3/*.cmxa
%{_libdir}/ocaml/sqlite3/*.cmx
%{_libdir}/ocaml/sqlite3/*.cmt*
%{_libdir}/ocaml/sqlite3/*.annot
%{_libdir}/ocaml/sqlite3/*.mli
