%global opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)

Name:           ocaml-ssl
Version:        0.5.11
Release:        %mkrel 1
Summary:        SSL bindings for OCaml

Group:          Development/OCaml
License:        LGPLv2+ with exceptions
URL:            https://github.com/savonet/ocaml-ssl
Source0:        https://github.com/savonet/ocaml-ssl/archive/%version/v%{version}.tar.gz

BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-dune-configurator-devel
BuildRequires:  pkgconfig(openssl)
BuildRequires:  gawk
Requires:       openssl

%global __ocaml_provides_opts -i Unix -i UnixLabels

%description
SSL bindings for OCaml.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       openssl-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
dune build -p ssl --verbose %{?_smp_mflags}

%install
dune install --destdir %{buildroot}

# Remove the bogus /usr/doc directory.
rm -rf %{buildroot}/usr/doc

%files
%doc CHANGES.md COPYING README.md
%{_libdir}/ocaml/ssl/
%if %opt
%exclude %{_libdir}/ocaml/ssl/*.a
%exclude %{_libdir}/ocaml/ssl/*.cmxa
%endif
%exclude %{_libdir}/ocaml/ssl/*.mli
%{_libdir}/ocaml/stublibs/*.so

%files devel
%doc examples
%{_libdir}/ocaml/ssl/*.a
%{_libdir}/ocaml/ssl/*.cmxa
#{_libdir}/ocaml/ssl/*.cmx
%{_libdir}/ocaml/ssl/*.mli
