Name:           ocaml-stdlib-shims
Version:        0.3.0
Release:        %mkrel 1

%global libname %(echo %{name} | sed -e 's/^ocaml-//')
%global debug_package %{nil}

Summary:        Shim to substitute Pervasives with Stdlib before 4.08
License:        LGPL-2.1-or-later WITH OCaml-LGPL-linking-exception
Group:          Development/OCaml
URL:            https://opam.ocaml.org/packages/stdlib-shims
Source0:        https://github.com/ocaml/stdlib-shims/archive/refs/tags/%{version}.tar.gz
BuildRequires:  ocaml
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-srpm-macros

%description
Compiling against this library allows replacing uses of Pervasives
with Stdlib before 4.08. For example, one can use Stdlib.compare
instead of Pervasives.compare. It does not, however, provide
the new functions and modules that were added in the Stdlib module.

%prep
%setup -q -n stdlib-shims-%{version}

%build
dune_release_pkgs='stdlib-shims'
dune build -p %{libname} %{?_smp_mflags}

%install
dune install --destdir=%{buildroot}
# We install the documentation with the doc macro
rm -fr %{buildroot}%{_prefix}/doc

# We do not want the ml files
find %{buildroot}%{_libdir}/ocaml -name \*.ml -delete

%ifarch %{ocaml_native_compiler}
# Add missing executable bits
find %{buildroot}%{_libdir}/ocaml -name \*.cmxs -exec chmod a+x {} \+
%endif

%check
dune test

%files
%doc CHANGES.md LICENSE README.md
%{_libdir}/ocaml/stdlib-shims/dune-package
%{_libdir}/ocaml/stdlib-shims/opam
%{_libdir}/ocaml/stdlib-shims/META
%{_libdir}/ocaml/stdlib-shims/stdlib_shims.cm*
