Name:           ocaml-theora
Version:        0.3.1
Release:        %mkrel 11
Summary:        OCaml interface to the theora library
License:        GPL
Group:          Development/OCaml
URL:            https://github.com/savonet/ocaml-theora
Source0:        https://github.com/savonet/ocaml-theora/releases/download/%version/ocaml-theora-%{version}.tar.gz
BuildRequires:  ocaml-findlib-devel
BuildRequires:  pkgconfig(theora)
BuildRequires:  ocaml-ogg-devel
Requires:       ocaml-ogg
Requires:       libtheora

%description
This package contains an OCaml interface for 
Theora Video Compression Codec Library, 
otherwise known as libtheora.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       libtheora-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
./configure
make all
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/theora
make install

%files
%doc COPYING CHANGES README
%dir %{_libdir}/ocaml/theora
%{_libdir}/ocaml/theora/META
%{_libdir}/ocaml/theora/*.cma
%{_libdir}/ocaml/theora/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc/html/
%{_libdir}/ocaml/theora/*.a
%{_libdir}/ocaml/theora/*.cmxa
%{_libdir}/ocaml/theora/*.cmx
%{_libdir}/ocaml/theora/*.mli
