%define oname time_now

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.15.0
Release:        %mkrel 3
Summary:        Reports the current time
Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}.tar.gz

BuildRequires:  ocaml >= 4.08.0
BuildRequires:  ocaml-base-devel >= 0.15
BuildRequires:  ocaml-dune >= 2.0.0
BuildRequires:  ocaml-jane-street-headers-devel >= 0.15
BuildRequires:  ocaml-jst-config-devel >= 0.15
BuildRequires:  ocaml-ppx_base-devel >= 0.15
BuildRequires:  ocaml-ppx_optcomp-devel >= 0.15

Requires:  ocaml-base >= 0.13
Requires:  ocaml-ppxlib >= 0.9.0
Requires:  ocaml-ppx_base 
Requires:  ocaml-ppx_cold
Requires:  ocaml-ppx_optcomp
Requires:  ocaml-ppx_sexp_conv
Requires:  ocaml-jane-street-headers
Requires:  ocaml-jst-config
Requires:  ocaml-result

%description
This package provides a single OCaml function to report the current time
in nanoseconds since the start of the Unix epoch.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:  ocaml-jane-street-headers-devel
Requires:       ocaml-jst-config-devel%{?_isa}
Requires:       ocaml-ppx_base-devel%{?_isa}
Requires:       ocaml-ppx_optcomp-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
dune build --verbose -p %{oname} %_smp_mflags

%install
dune install --destdir=%{buildroot}
rm -rf %buildroot/usr/doc

%check
dune runtest

%files
%license LICENSE.md
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*dune*
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs
%{_libdir}/ocaml/%{oname}/*.js
%{_libdir}/ocaml/stublibs/dlltime_now_stubs.so

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmti
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml*
