Name:           ocaml-tiny_httpd
Version:        0.12
Release:        %mkrel 1
Summary:        Minimal HTTP server using good old threads
Group:          Development/OCaml
License:        MIT
Url:            https://c-cube.github.io/tiny_httpd
Source0:        https://github.com/c-cube/tiny_httpd/archive/v%{version}/tiny_httpd-%{version}.tar.gz
BuildRequires:  ocaml >= 4.04.0
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-dune-devel
BuildRequires:  ocaml-ounit2-devel
BuildRequires:  ocaml-result-devel
BuildRequires:  ocaml-seq-devel
BuildRequires:  opam

%description
Minimal HTTP server using good old threads, with stream abstractions,
simple routing, URL encoding/decoding, static asset serving, and
optional compression with camlzip. It also supports server-sent
events (w3c).

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} >= %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n tiny_httpd-%{version}

%build
dune build -p tiny_httpd @install

%install
mkdir -p %{buildroot}%{_libdir}/ocaml
dune install tiny_httpd --destdir=%{buildroot} --libdir=%{_libdir}/ocaml

# These files will be installed using doc and license directives.
rm -r %{buildroot}%{_prefix}/doc

%files
%doc CHANGES.md README.md
%{_bindir}/http_of_dir
%{_bindir}/tiny-httpd-vfs-pack
%dir %{_libdir}/ocaml/tiny_httpd
%{_libdir}/ocaml/tiny_httpd/META
%{_libdir}/ocaml/tiny_httpd/opam
%{_libdir}/ocaml/tiny_httpd/*dune*
%{_libdir}/ocaml/tiny_httpd/*.cma
%{_libdir}/ocaml/tiny_httpd/*.cmi
%{_libdir}/ocaml/tiny_httpd/*.cmxs

%files devel
%doc CHANGES.md README.md
%{_libdir}/ocaml/tiny_httpd/*.a
%{_libdir}/ocaml/tiny_httpd/*.cmxa
%{_libdir}/ocaml/tiny_httpd/*.cmx
%{_libdir}/ocaml/tiny_httpd/*.ml
%{_libdir}/ocaml/tiny_httpd/*.mli
%{_libdir}/ocaml/tiny_httpd/*.cmt
%{_libdir}/ocaml/tiny_httpd/*.cmti
