# BOOTSTRAP NOTE: currently we do not build the optional topkg-care part.
# It has dependencies which do not yet exist in Fedora, and which themselves
# depend on the main part of this package.  Once the dependencies have been
# added to Fedora, we will build topkg-care in non-bootstrap builds.

%define oname   topkg

%global debug_package %{nil}

Name:           ocaml-topkg
Version:        1.0.8
Release:        %mkrel 3
Summary:        The transitory OCaml software packager
License:        ISC
Group:          Development/OCaml
URL:            https://erratique.ch/software/topkg
Source0:        https://erratique.ch/software/topkg/releases/%{oname}-%{version}.tbz

BuildRequires:  ocaml >= 4.08.0
BuildRequires:  ocaml-compiler-libs
BuildRequires:  ocaml-findlib >= 1.6.1
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-rpm-macros

#Project:       https://erratique.ch/repos/topkg/
#ProjectMirror: https://github.com/dbuenzli/topkg

%description
Topkg is a packager for distributing OCaml software. It provides
an API to describe the files a package installs in a given build
configuration and to specify information about the package's
distribution, creation and publication procedures.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -n %{oname}-%{version} -p1

%conf
# This package can replace "watermarks" in software that it builds.  However,
# we are building from scratch, rather than using topkg to build itself, so we
# have to do the job manually.
for fil in $(find . -type f); do
  sed -e 's,%%%%PKG_DOC%%%%,%{url}doc/,' \
      -e 's,%%%%PKG_HOMEPAGE%%%%,%{url},' \
      -e 's,%%%%VERSION%%%%,v%{version},' \
      -e 's,%%%%VERSION_NUM%%%%,%{version},' \
      -i.orig $fil
  touch -r $fil.orig $fil
  rm $fil.orig
done

%build
%ifarch %{ocaml_native_compiler}
ocaml pkg/pkg.ml build --pkg-name topkg --tests true
%else
ocaml pkg/pkg.ml build --pkg-name topkg
%endif

%install
%ocaml_install -s

%files -f .ofiles-topkg
%doc CHANGES.md README.md
%license LICENSE.md

%files devel -f .ofiles-topkg-devel
