Name:           ocaml-typehashlib
Version:        109.15.02
Release:        %mkrel 7
Summary:        Syntax extension for deriving "typehash" functions automatically
License:        LGPL-2.1 with OCaml linking exception
Group:          Development/OCaml
URL:            https://ocaml.janestreet.com/
Source0:        https://ocaml.janestreet.com/ocaml-core/%{version}/individual/typehashlib-%{version}.tar.gz
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-type-conv
BuildRequires:  ocaml-camlp4-devel

%description
Syntax extension for deriving "typehash" functions automatically.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n typehashlib-%{version}

%build
./configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --destdir %{buildroot}

make

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
export OCAMLFIND_LDCONF=ignore
mkdir -p $OCAMLFIND_DESTDIR/typehashlib $OCAMLFIND_DESTDIR/stublibs
make install

%files
%doc LICENSE.txt
%doc THIRD-PARTY.txt INRIA-DISCLAIMER.txt
%dir %{_libdir}/ocaml/typehashlib
%{_libdir}/ocaml/typehashlib/META
%{_libdir}/ocaml/typehashlib/*.cmi
%{_libdir}/ocaml/typehashlib/*.cma
%{_libdir}/ocaml/typehashlib/*.cmxs
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc sample/
%{_libdir}/ocaml/typehashlib/*.a
%{_libdir}/ocaml/typehashlib/*.cmxa
%{_libdir}/ocaml/typehashlib/*.cmx
%{_libdir}/ocaml/typehashlib/*.mli
%{_libdir}/ocaml/typehashlib/*.ml
