Name:           ocaml-uint
Version:        1.2.1
Release:        %mkrel 7
Summary:        Unsigned ints for OCaml
License:        MIT
Group:          Development/OCaml
URL:            https://github.com/andrenth/ocaml-uint/
Source0:        https://github.com/andrenth/ocaml-uint/archive/%{version}.tar.gz
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-ocamlbuild

%description
Unsigned ints for OCaml.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
ocaml setup.ml -configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --destdir %{buildroot}

ocaml setup.ml -build

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/uint
ocaml setup.ml -install
ocaml setup.ml -doc
mv _build/lib/uint.docdir/ api-html/

%files
%doc LICENSE
%dir %{_libdir}/ocaml/uint
%{_libdir}/ocaml/uint/META
%{_libdir}/ocaml/uint/*.cmi
%{_libdir}/ocaml/uint/*.cma
%{_libdir}/ocaml/uint/*.cmxs
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc api-html/
%doc spec/
%{_libdir}/ocaml/uint/*.annot
%{_libdir}/ocaml/uint/*.a
%{_libdir}/ocaml/uint/*.cmt
%{_libdir}/ocaml/uint/*.cmti
%{_libdir}/ocaml/uint/*.cmxa
%{_libdir}/ocaml/uint/*.cmx
%{_libdir}/ocaml/uint/*.mli
%{_includedir}/ocaml_uint/*.h
