Name:           ocaml-uucd
Version:        1.0.0
Release:        %mkrel 15
Summary:        Unicode character database decoder for OCaml
License:        BSD3
Group:          Development/OCaml
URL:            https://erratique.ch/software/uucd
Source0:        https://erratique.ch/software/uucd/releases/uucd-%{version}.tbz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-xmlm-devel
Requires:       ocaml-xmlm

%description
Uucd is an OCaml module to decode the data of the Unicode
character database [1] from its XML representation [2]. It provides
high-level (but not necessarily efficient) access to the data so that 
efficient representations can be extracted.

Uucd is made of a single module, depends on Xmlm and is 
distributed under the BSD3 license.

[1]: https://www.unicode.org/reports/tr44/
[2]: https://www.unicode.org/reports/tr42/

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-xmlm-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n uucd-%{version}

# require debug info
echo $'\ntrue: debug' >> _tags

sed -i 's|bin_annot|bin_annot, annot|' _tags

%build
./pkg/build true

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/uucd
pushd _build/src/
 rm -f *.depends
 ocamlfind install uucd ../pkg/META \
   *.a *.cm[iatx] *.cmti *.cmx[as] *.annot *.mli
popd

%files
%doc README.md CHANGES.md
%dir %{_libdir}/ocaml/uucd
%{_libdir}/ocaml/uucd/META
%{_libdir}/ocaml/uucd/*.cmi
%{_libdir}/ocaml/uucd/*.cma
%{_libdir}/ocaml/uucd/*.cmxs

%files devel
%doc doc/
%doc test/
%{_libdir}/ocaml/uucd/*.a
%{_libdir}/ocaml/uucd/*.cmxa
%{_libdir}/ocaml/uucd/*.cmx
%{_libdir}/ocaml/uucd/*.mli
%{_libdir}/ocaml/uucd/*.cmt
%{_libdir}/ocaml/uucd/*.cmti
%{_libdir}/ocaml/uucd/*.annot
