Name:       ocaml-vg
Version:    0.8.0
Release:    %mkrel 1
Summary:    Declarative 2D vector graphics for OCaml
Group:      Development/OCaml
License:    BSD3
URL:        https://erratique.ch/software/vg
#Project:   https://github.com/dbuenzli/vg
Source0:    https://erratique.ch/software/vg/releases/vg-%{version}.tbz

BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-gg-devel
BuildRequires:  ocaml-uutf-devel
BuildRequires:  ocaml-otfm-devel
Requires:   ocaml-gg
Requires:   ocaml-uutf
Requires:   ocaml-otfm

%description
Vg is an OCaml module for declarative 2D vector graphics. In Vg, images are
values that denote functions mapping points of the cartesian plane to
colors. The module provides combinators to define and compose these values.

Renderers for PDF, SVG and the HTML canvas are distributed with the module.
An API allows to implement new renderers.

Vg depends only Gg. The SVG renderer has no dependency, the PDF renderer
depends on Uutf and Otfm, the HTML canvas renderer depends on js_of_ocaml.

Sample images from Vg's image database of tests.

%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}
Requires:   ocaml-gg-devel
Requires:   ocaml-uutf-devel
Requires:   ocaml-otfm-devel

%description devel
This package contains the development modules you need to use %{name} in
your programs.

%prep
%setup -q -n vg-%{version}

%build
./pkg/build true

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/vg
pushd _build/src/
  rm -f *.depends
  ocamlfind install vg \
    ../../pkg/META \
    *.a *.cm* *.annot *.ml*
popd

%files
%doc README.md CHANGES.md TODO.md
%dir %{_libdir}/ocaml/vg
%{_libdir}/ocaml/vg/META
%{_libdir}/ocaml/vg/*.cmi
%{_libdir}/ocaml/vg/*.cma
%{_libdir}/ocaml/vg/*.cmo
%{_libdir}/ocaml/vg/*.cmxs

%files devel
%doc doc/
%doc test/
%doc db/
%{_libdir}/ocaml/vg/*.a
%{_libdir}/ocaml/vg/*.cmxa
%{_libdir}/ocaml/vg/*.cmx
%{_libdir}/ocaml/vg/*.cmt
%{_libdir}/ocaml/vg/*.cmti
%{_libdir}/ocaml/vg/*.mli
%{_libdir}/ocaml/vg/*.ml
%{_libdir}/ocaml/vg/*.annot
