Name:           ocaml-vorbis
Version:        0.7.1
Release:        %mkrel 10
Summary:        Ocaml bindings to Ogg/Vorbis
License:        GPLv2
Group:          Development/OCaml
URL:            https://github.com/savonet/ocaml-vorbis
Source0:        https://github.com/savonet/ocaml-vorbis/releases/download/%{version}/%{name}-%{version}.tar.gz
Patch0:		fix-mesg.diff
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-ogg-devel
BuildRequires:  pkgconfig(vorbis)
Requires:       pkgconfig(vorbis)
Requires:       ocaml-ogg

%description
This OCaml library interfaces the vorbis C library. It can be used to
decode from or encode to the Ogg Vorbis compressed audio format as well
as to get informations about an Ogg Vorbis file.

Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed audio format for audio and music at fixed
and variable bitrates from 16 to 128 kbps/channel.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-ogg-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q
%autopatch -p1

%build
%configure --host=''
make all opt
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/vorbis
make install

%files
%doc CHANGES COPYING README
%dir %{_libdir}/ocaml/vorbis
%{_libdir}/ocaml/vorbis/META
%{_libdir}/ocaml/vorbis/*.cma
%{_libdir}/ocaml/vorbis/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc/html
%doc examples
%{_libdir}/ocaml/vorbis/*.a
%{_libdir}/ocaml/vorbis/*.cmxa
%{_libdir}/ocaml/vorbis/*.cmx
%{_libdir}/ocaml/vorbis/*.mli
