%define debug_package %{nil}

Name:           ocaml-xhtml
Version:        20050620
Release:        %mkrel 25
Summary:        OCaml module for creating valid XHTML 1.1 documents
License:        GPL
Group:          Development/OCaml
URL:            http://theorie.physik.uni-wuerzburg.de/~ohl/xhtml/
Source0:        http://theorie.physik.uni-wuerzburg.de/~ohl/xhtml/xhtml-%{version}.tar.gz
Patch0:         examples-Makefile-installed.patch
BuildRequires:  ocaml-findlib

%description
XHTML is a OCaml module for creating valid XHTML 1.1 (and XHTML 1.0)
documents. The validity of the pages is guaranteed by the OCaml type system.
(NB: at the time of writing, forms support was not complete, only basic
forms are implemented. Image maps are also not implemented yet.)

XHTML can be used for creating static documents, but it is not the most
convenient way to key in text heavy documents. Instead, it should be most
useful for database frontends etc.

XHTML is not a general XML processor that parses a DTD and checks the
validity of a document with respect to this DTD. This lack in flexibility
is made up for by the ability to perform prove validity by static type
checking.

The implementation uses a XML module for generating well formed---but not
necessarily valid with respect to some DTD---XML documents. The elements
of type XML.elt and attributes of type XML.attrib are then hidden behind
polymorphic phantom types type 'a elt = XML.elt and type 'a attrib =
XML.attrib with 'a set to appropriate polymorphic variants.

This approach can be adopted easily to other XML document types: MathML and
MusicML come to mind.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -c xhtml-%{version}
%patch -P 0 -p0
sed -i -e 's/\t/        /g' \
    *.mli  examples/*.ml  experimental/*.{ml,mli}

%build
make
mkdir doc
make doc

if [ -f META ]; then exit 1; fi
cat > META <<EOF
version = "%{version}"
description = "OCaml module for creating valid XHTML 1.1 documents"
archive(byte) = "xhtml.cma"
archive(native) = "xhtml.cmxa"
EOF

%install
mkdir -p %{buildroot}/%{_libdir}/ocaml
ocamlfind install xhtml \
    -destdir %{buildroot}/%{_libdir}/ocaml \
    META *.{mli,cmi,cma,cmx,cmxa,a}

%files
%doc README COPYING ChangeLog
%dir %{_libdir}/ocaml/xhtml
%{_libdir}/ocaml/xhtml/META
%{_libdir}/ocaml/xhtml/*.cma
%{_libdir}/ocaml/xhtml/*.cmi

%files devel
%doc doc/
%doc examples/
%doc experimental/
%{_libdir}/ocaml/xhtml/*.a
%{_libdir}/ocaml/xhtml/*.cmxa
%{_libdir}/ocaml/xhtml/*.cmx
%{_libdir}/ocaml/xhtml/*.mli
