%define base_name       xml-light

Name:           ocaml-%{base_name}
Version:        2.4
Release:        %mkrel 19
Summary:        Minimal XML parser & printer for OCaml
License:        LGPLv2
Group:          Development/OCaml
URL:            https://github.com/ncannasse/xml-light/
Source:         https://github.com/ncannasse/xml-light/archive/%{version}/%{base_name}-%{version}.tar.gz
Patch0:         xml-light-2.4-enable-debugging-information.patch
BuildRequires:  ocaml-compiler

%description
Xml-Light is a minimal XML parser & printer for OCaml. 
It provide functions to parse an XML document into an OCaml data structure, 
work with it, and print it back to an XML document. 
It support also DTD parsing and checking, and is entirely written in OCaml, 
hence it does not require additional C library.

%package devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q -n %{base_name}-%{version}
%autopatch -p1

chmod 644 README *.mli
perl -pi -e 's/\015$//' README

%build
make
make doc

if [ -f META ]; then exit 1; fi
cat > META <<EOF
version = "%{version}"
description = "Minimal XML parser & printer for OCaml"
archive(byte) = "xml-light.cma"
archive(native) = "xml-light.cmxa"
EOF

%install
install -d %{buildroot}%{_libdir}/ocaml/xml-light
make install INSTALLDIR=%{buildroot}%{_libdir}/ocaml/xml-light
cp META %{buildroot}%{_libdir}/ocaml/xml-light/

%files
%doc README
%dir %{_libdir}/ocaml/xml-light
%{_libdir}/ocaml/xml-light/*.cmi
%{_libdir}/ocaml/xml-light/*.cma
%{_libdir}/ocaml/xml-light/*.cmxs
%{_libdir}/ocaml/xml-light/META

%files devel
%doc doc
%{_libdir}/ocaml/xml-light/*.a
%{_libdir}/ocaml/xml-light/*.cmx
%{_libdir}/ocaml/xml-light/*.cmxa
%{_libdir}/ocaml/xml-light/*.mli
