Name:           ocaml-xmlm
Version:        1.3.0
Release:        %mkrel 10
Summary:        Streaming XML input/output for OCaml
License:        new-BSD
Group:          Development/OCaml
URL:            https://erratique.ch/software/xmlm
Source0:        https://erratique.ch/software/xmlm/releases/xmlm-%{version}.tbz

#Project:       https://erratique.ch/repos/xmlm/
#ProjectMirror: https://github.com/dbuenzli/xmlm
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-topkg-devel

%description
Xmlm is an OCaml module providing streaming XML input/output. It aims at
making XML processing robust and painless. The streaming interface can
process documents without building an in-memory representation. It lets
the programmer translate its data structures to XML documents and
vice-versa. Functions are provided to easily transform arborescent data
structures to/from XML documents.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n xmlm-%{version}
%autopatch -p1

# require debug info
echo $'\ntrue: debug' >> _tags
# require annot
echo $'\ntrue: annot' >> _tags

%build
ocaml pkg/pkg.ml "build"

pushd _build/test/
 ocamlopt -g -c -I ../src xhtml.ml
 ocamlopt -g -c -I ../src xmltrip.ml
 ocamlopt -g -o xmltrip -I ../src xmlm.cmxa xhtml.cmx xmltrip.cmx
 rm -f *.o *.cm[ix]
popd

%install
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/xmlm
pushd _build/src/
 ocamlfind install xmlm ../../_build/pkg/META \
   *.a *.cm[iatx] *.cmti *.cmx[as] *.annot *.mli
popd
pushd _build/test/
 install -d %{buildroot}%{_bindir}/
 install -m 0755 xmltrip %{buildroot}%{_bindir}/
popd

%files
%doc README.md CHANGES.md
%{_bindir}/xmltrip
%dir %{_libdir}/ocaml/xmlm
%{_libdir}/ocaml/xmlm/META
%{_libdir}/ocaml/xmlm/xmlm.cmi
%{_libdir}/ocaml/xmlm/xmlm.cma
%{_libdir}/ocaml/xmlm/xmlm.cmxs

%files devel
%doc doc/ test/
%{_libdir}/ocaml/xmlm/xmlm.cmx
%{_libdir}/ocaml/xmlm/xmlm.cmxa
%{_libdir}/ocaml/xmlm/xmlm.a
%{_libdir}/ocaml/xmlm/xmlm.mli
%{_libdir}/ocaml/xmlm/xmlm.cmt
%{_libdir}/ocaml/xmlm/xmlm.cmti
%{_libdir}/ocaml/xmlm/xmlm.annot
