%define debug_package %{nil}

Name:           ocaml-xstr
Version:        0.2.1
Release:        %mkrel 10
Summary:        Thread-safe implementation of string searching/matching/splitting
License:        MIT/X11
Group:          Development/OCaml
URL:            https://projects.camlcity.org/projects/xstr.html
Source0:        https://download.camlcity.org/download/xstr-%{version}.tar.gz
BuildRequires:  ocaml-findlib

%description
This package implements frequent string operations: searching, replacing,
splitting, matching. It is independent from the Str library, and can
replace Str in many cases. Unlike Str, xstr is thread-safe. xstr does
not implement regular expressions in general, but an important subset.
Some operations of xstr are performed as quickly as by Str; if the string
to be processed is small, xstr is often faster than Str; if the string is
big, xstr is upto half as fast than Str.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n xstr

%build
make all opt

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/xstr
make install

%files
%doc LICENSE README
%dir %{_libdir}/ocaml/xstr
%{_libdir}/ocaml/xstr/META
%{_libdir}/ocaml/xstr/*.cma
%{_libdir}/ocaml/xstr/*.cmi

%files devel
%{_libdir}/ocaml/xstr/*.a
%{_libdir}/ocaml/xstr/*.cmxa
%{_libdir}/ocaml/xstr/*.mli
