Name:           ocaml-yojson
Version:        1.7.0
Release:        %mkrel 8
Summary:        An optimized parsing and printing library for the JSON format
License:        BSD
Group:          Development/OCaml
URL:            https://github.com/ocaml-community/yojson
Source0:        %{url}/releases/download/%{version}/yojson-%{version}.tbz
BuildRequires:  ocaml >= 4.02.3
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-biniou-devel
BuildRequires:  ocaml-cppo
BuildRequires:  ocaml-easy-format-devel
BuildRequires:  ocaml-dune
Requires:       ocaml-biniou
Requires:       ocaml-easy-format

%description
Yojson is an optimized parsing and printing library for the JSON
format. It addresses a few shortcomings of json-wheel including 2x
speedup, polymorphic variants and optional syntax for tuples and
variants.

ydump is a pretty-printing command-line program provided with the
yojson package.

The program atdgen can be used to derive OCaml-JSON serializers and
deserializers from type definitions.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-biniou-devel
Requires:       ocaml-easy-format-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -n yojson-%{version}

%build
dune build

%install
export DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/ocaml
cp -L _build/install/default/bin/* $RPM_BUILD_ROOT%{_bindir}
cp -rL _build/install/default/lib/* $RPM_BUILD_ROOT%{_libdir}/ocaml

%files
%doc README.md Changes
%license LICENSE.md
%dir %{_libdir}/ocaml/yojson
%{_libdir}/ocaml/yojson/META
%{_libdir}/ocaml/yojson/opam
%{_libdir}/ocaml/yojson/*dune*
%{_libdir}/ocaml/yojson/*.cma
%{_libdir}/ocaml/yojson/*.cmi
%{_libdir}/ocaml/yojson/*.cmxs
%{_bindir}/ydump

%files devel
%doc examples/
%doc test.json
%{_libdir}/ocaml/yojson/*.a
%{_libdir}/ocaml/yojson/*.cmt*
%{_libdir}/ocaml/yojson/*.cmx
%{_libdir}/ocaml/yojson/*.cmxa
%{_libdir}/ocaml/yojson/*.ml
%{_libdir}/ocaml/yojson/*.mli
