Name:           ocaml-zed
Version:        3.1.0
Release:        %mkrel 4
Summary:        Abstract engine for text edition in OCaml (development tools)

%global libname %(echo %{name} | sed -e 's/^ocaml-//')

License:        BSD License (3-clauses)
Group:          Development/OCaml
URL:            https://github.com/ocaml-community/zed
Source0:        https://github.com/ocaml-community/zed/archive/%{version}/%{libname}-%{version}.tar.gz
BuildRequires:  ocaml
BuildRequires:  ocaml-camomile-devel
BuildRequires:  ocaml-react-devel
BuildRequires:  ocaml-charinfo-width-devel
BuildRequires:  ocaml-dune
Requires:       ocaml-react
Requires:       ocaml-camomile

%description
Zed is an abstract engine for text edition. It can be used to write
text editors, edition widgets, readlines, ...

Zed uses Camomile to fully support the Unicode specification, and
implements an UTF-8 encoded string type with validation, and a rope
datastructure to achieve efficient operations on large Unicode buffers.
Zed also features a regular expression search on ropes.

To support efficient text edition capabilities, Zed provides macro
recording and cursor management facilities.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-camomile-devel%{_isa}
Requires:       ocaml-react-devel%{_isa}
Requires:       ocaml-charinfo-width-devel%{_isa}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n zed-%{version}

%build
# It might be nice to have a %jbuilder macro that just does this.
dune build -p %{libname} %{?_smp_mflags}

%install
dune install --destdir=%{buildroot}

# We install the documentation with the doc macro
rm -fr %{buildroot}%{_prefix}/doc

# We do not want the ml files
find %{buildroot}%{_libdir}/ocaml -name \*.ml -delete

%ifarch %{ocaml_native_compiler}
# Add missing executable bits
find %{buildroot}%{_libdir}/ocaml -name \*.cmxs -exec chmod a+x {} \+
%endif

%files
%doc README.md CHANGES.md
%license LICENSE
%dir %{_libdir}/ocaml/zed
%{_libdir}/ocaml/zed/META
%{_libdir}/ocaml/zed/*dune*
%{_libdir}/ocaml/zed/*.cma
%{_libdir}/ocaml/zed/*.cmi
%{_libdir}/ocaml/zed/*.cmxs

%files devel
%{_libdir}/ocaml/zed/opam
%{_libdir}/ocaml/zed/*.a
%{_libdir}/ocaml/zed/*.cmt*
%{_libdir}/ocaml/zed/*.cmxa
%{_libdir}/ocaml/zed/*.cmx
%{_libdir}/ocaml/zed/*.mli
