Name:           ocamlduce
Version:        3.12.1.0
Release:        %mkrel 4
Summary:        A merger between OCaml and CDuce
License:        QPL & LGPL & MIT
Group:          Development/OCaml
URL:            http://ocamlduce.forge.ocamlcore.org/
Source0:        https://forge.ocamlcore.org/frs/download.php/225/ocamlduce-%{version}.tar.gz
Patch1:         ocamlduce-3.11.1.0.src-as-dir.patch

BuildRequires:  ocaml >= 3.12.0
BuildRequires:  ocaml-sources
BuildRequires:  ocaml-findlib

%description
OCamlDuce is a merger between OCaml and CDuce. It comes as a modified
version of OCaml which integrates CDuce features: XML expressions,
regular expression types and patterns, iterators. The licensing conditions
for OCaml and CDuce apply to the files directly derived from these projects.
Other files are distributed under a choice of any of two licenses used for
OCaml (with the same exceptions).

%prep
%setup -q
%patch -P 1 -p1

%build
make prepare OCAML_SOURCE=/usr/src/ocaml/ OCAML_SRCDIR=ocaml
(cd ocaml/ && ./configure -bindir %{_bindir} -libdir %{_libdir}/ocaml -mandir %{_mandir}/man1 \
           && make -f Makefile.ocamlduce world.opt)

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
cd ocaml/ && make installbyte installopt -f Makefile.ocamlduce \
               LIBDIR=%{buildroot}%{_libdir}/ocaml \
               BINDIR=%{buildroot}%{_bindir}


%files
%doc LICENSE README Changes
%{_bindir}/*
%dir %{_libdir}/ocaml/ocamlduce
%{_libdir}/ocaml/ocamlduce/*


