# comment out if not a CVS snapshot
%define cvs     cvs7

Name:           ocamlfuse
Version:        2.7.1
Release:        %mkrel %{?cvs:15.%cvs.}2
Summary:        Ocaml FUSE binding
Group:          Development/OCaml
License:        GPLv2
Url:            https://github.com/astrada/ocamlfuse/
Source0:        https://github.com/astrada/ocamlfuse/archive/v%{version}%{?cvs:_%cvs}/%{name}-%{version}%{?cvs:_%cvs}.tar.gz
Patch0:         ocamlfuse-fix-build-with-gcc14.patch
BuildRequires:  pkgconfig(fuse)
BuildRequires:  ocaml
BuildRequires:  ocaml-camlidl-devel
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-dune-devel
BuildRequires:  ocaml-dune-configurator-devel
BuildRequires:  opam
BuildRequires:  perl

Provides:       ocaml-fuse = %{version}-%{release}

%description
This is a binding to fuse for the ocaml programming language, enabling
you to write multithreaded filesystems in the ocaml language. It has
been designed with simplicity as a goal, as you can see by looking at
example/fusexmp.ml. Efficiency has also been a separate goal. The
Bigarray library is used for read and writes, allowing the library to
do zero-copy in ocaml land.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} >= %{version}-%{release}
Provides:       ocaml-fuse-devel = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}-%{version}%{?cvs:_%cvs}
%autopatch -p1

%build
dune build -p ocamlfuse @install

%install
mkdir -p %{buildroot}%{_libdir}/ocaml
dune install --destdir=%{buildroot} --libdir=%{_libdir}/ocaml

# These files will be installed using doc and license directives.
rm -r %{buildroot}%{_prefix}/doc

%files
%doc README.md
%license LICENSE
%dir %{_libdir}/ocaml/ocamlfuse
%{_libdir}/ocaml/ocamlfuse/META
%{_libdir}/ocaml/ocamlfuse/opam
%{_libdir}/ocaml/ocamlfuse/*dune*
%{_libdir}/ocaml/ocamlfuse/*.cma
%{_libdir}/ocaml/ocamlfuse/*.cmi
%{_libdir}/ocaml/ocamlfuse/*.cmxs
%{_libdir}/ocaml/stublibs/dllfuse_stubs.so

%files devel
%doc README.md
%license LICENSE
%{_libdir}/ocaml/ocamlfuse/*.a
%{_libdir}/ocaml/ocamlfuse/*.cmxa
%{_libdir}/ocaml/ocamlfuse/*.cmx
%{_libdir}/ocaml/ocamlfuse/*.ml
%{_libdir}/ocaml/ocamlfuse/*.mli
%{_libdir}/ocaml/ocamlfuse/*.cmt
%{_libdir}/ocaml/ocamlfuse/*.cmti
