%define debug_package %{nil}

Name:           ocamlweb
Version:        1.39
Release:        %mkrel 2
Summary:        Literate programming tool for OCaml
License:        LGPL
Group:          Development/OCaml
URL:            https://www.lri.fr/~filliatr/ocamlweb/
Source0:        https://www.lri.fr/~filliatr/ftp/ocamlweb/ocamlweb-%{version}.tar.gz
BuildRequires:  ocaml-compiler

Requires:           texlive
Requires(post):     texlive
Requires(postun):   texlive

%description
Literate programming, as defined by Knuth, means to combine program
code and documentation into one source document from which program
code and documentation can be extracted. The approach of ocamlweb is
that documentation is to be included in the program code as special
comments. The ocamlweb tool extracts from this the documented program
code as LaTeX document, while no special preprocessing is required to
compile the source files.

%prep
%setup -q

%build
./configure --prefix=%{buildroot}%{_prefix} --mandir=%{buildroot}%{_mandir}
make

%install
make install
rm -f %{buildroot}/usr/share/texmf/ls-R

%post 
%{_bindir}/texhash 2> /dev/null

%postun 
%{_bindir}/texhash 2> /dev/null

%files
%doc COPYING README CHANGES
%doc doc/ocamlweb-%{version}-man.{html,tex}
%{_bindir}/ocamlweb
%{_datadir}/texmf/tex/latex/misc/ocamlweb.sty
%{_mandir}/man1/ocamlweb.1*
