## TODO Submit package to ?
%define major	2
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname -d %{name}
%define rootag	84bbc8c
%define tartag	g17bea23

Name:		oce
Version:	0.9.1
Release:	%mkrel 1
License:	LGPL-like
# https://fedoraproject.org/wiki/Licensing/Open_CASCADE_Technology_Public_License
# https://en.wikipedia.org/wiki/Open_CASCADE_Technology
# http://www.opencascade.org/getocc/license/

Summary:	OpenCASCADE community edition
Group:		Sciences/Physics
Url:		https://www.opencascade.org/
# Download tarball with:-
# https://github.com/tpaviot/oce/tarball/OCE-0.9.1
Source0:	tpaviot-%{name}-OCE-%{version}-0-%{tartag}.tar.gz

BuildRequires:	cmake
BuildRequires:	pkgconfig(gl)
BuildRequires:	X11-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	java-rpmbuild
BuildRequires:	qt4-devel
BuildRequires:	tcl-devel
BuildRequires:	tk-devel
BuildRequires:	pkgconfig(ftgl)
# Tainted BuildRequires:-
BuildRequires:	pkgconfig(glw)

Requires:	pdksh
Requires:	tcl
Requires:	tix
Requires:	tk

%description
Open CASCADE Technology is software development platform freely available
in open source. It includes components for 3D surface and solid modeling,
visualization, data exchange and rapid application development.

Open CASCADE Technology can be best applied in development of numerical
simulation software including CAD/CAM/CAE, AEC and GIS, as well as PDM
applications.

The Technology exists from the mid 1990-s and has already been used by
numerous commercial clients belonging to different domains from software
edition to heavy industry.

The platform is provided by the Company bearing the same name Open CASCADE S.A.
For its clients the Company offers custom development and technical support
services. For more information on the Company please visit www.opencascade.com

%files
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%dir %{_usrsrc}/%{name}
%{_usrsrc}/%{name}/*

#-----------------------------------------------------------------------
%package -n %{libname}
Summary:	3D modeling & numerical simulation
Group:		System/Libraries
Provides:	%{libname} = %{version}-%{release}

%description	-n %{libname}
Open CASCADE Technology is software development platform freely available
in open source. It includes components for 3D surface and solid modeling,
visualization, data exchange and rapid application development.

Open CASCADE Technology can be best applied in development of numerical
simulation software including CAD/CAM/CAE, AEC and GIS, as well as PDM
applications.

The Technology exists from the mid 1990-s and has already been used by
numerous commercial clients belonging to different domains from software
edition to heavy industry.

The platform is provided by the Company bearing the same name Open CASCADE S.A.
For its clients the Company offers custom development and technical support
services. For more information on the Company please visit www.opencascade.com

%files		-n %{libname}
%{_libdir}/lib*.so.*

#-----------------------------------------------------------------------
%package -n %{devname}
Summary:	3D modeling & numerical simulation
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %{devname}
Open CASCADE Technology is software development platform freely available
in open source. It includes components for 3D surface and solid modeling,
visualization, data exchange and rapid application development.

Open CASCADE Technology can be best applied in development of numerical
simulation software including CAD/CAM/CAE, AEC and GIS, as well as PDM
applications.

The Technology exists from the mid 1990-s and has already been used by
numerous commercial clients belonging to different domains from software
edition to heavy industry.

The platform is provided by the Company bearing the same name Open CASCADE S.A.
For its clients the Company offers custom development and technical support
services. For more information on the Company please visit www.opencascade.com

%files -n %{devname}
%{_libdir}/lib*.so
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*

#-----------------------------------------------------------------------

%prep

%setup -q -n tpaviot-%{name}-%{rootag}

# Convert to utf8
iconv --from=ISO-8859-1 --to=UTF-8 LICENSE.txt > LICENSE.txt.new && \
touch -r LICENSE.txt LICENSE.txt.new && \
mv LICENSE.txt.new LICENSE.txt

%build
%cmake -DOCE_INSTALL_PREFIX:PATH=%{_prefix}
%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_usrsrc}
mv %{buildroot}%{_datadir}/%{name}-%{version} %{buildroot}%{_usrsrc}/%{name}
find %{buildroot}%{_usrsrc}/%{name} -type f | xargs chmod -x
mkdir -p %{buildroot}%{_datadir}/%{name}
mv %{buildroot}%{_libdir}/%{name}-%{version}/* %{buildroot}%{_datadir}/%{name}
rm -r %{buildroot}%{_libdir}/%{name}-%{version}
cp -f LICENSE.txt %{buildroot}%{_datadir}/%{name}
cp -f env_DRAW.sh %{buildroot}%{_datadir}/%{name}
chmod +x %{buildroot}%{_datadir}/%{name}/env_DRAW.sh
cp -f build/OCEConfig.cmake %{buildroot}%{_datadir}/%{name}
cp -far examples %{buildroot}%{_datadir}/%{name}

