Name:       ocp-build
Version:    1.99.6
Release:    %mkrel 4.beta
Summary:    TypeRex build manager for OCaml applications
License:    GPL
Group:      Development/OCaml
URL:        https://www.typerex.org/ocp-build.html
#Project:   https://github.com/OCamlPro/ocp-build
Source0:    https://github.com/OCamlPro/typerex/archive/typerex.%{version}-beta.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  ncurses-devel

%description
ocp-build is a build system for OCaml application, based on simple
descriptions of packages.
ocp-build combines the descriptions of packages, and optimize the parallel
compilation of files depending on the number of cores and the
automatically-inferred dependencies between source files.

%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}

%description devel
This package contains the development modules you need to use %{name} in
your programs.

%prep
%setup -q -n typerex-typerex.1.99.6-beta
rm -f docs/user-manual/.gitignore

%build
./configure  --prefix %{buildroot}%{_prefix}
make all opt
make doc

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/typerex
make install
rm -f %{buildroot}%{_libdir}/ocaml/typerex/*/*.uninstall
rm -f %{buildroot}%{_bindir}/ocp-*.byte

# don't provide typerex/ocplibs in this package
rm -rf %{buildroot}%{_libdir}/ocaml/typerex/ocplib-bytecode/
rm -rf %{buildroot}%{_libdir}/ocaml/typerex/ocplib-debug/
rm -rf %{buildroot}%{_libdir}/ocaml/typerex/ocplib-digest/
rm -rf %{buildroot}%{_libdir}/ocaml/typerex/ocplib-edit-mode/
rm -rf %{buildroot}%{_libdir}/ocaml/typerex/ocplib-lang/
rm -rf %{buildroot}%{_libdir}/ocaml/typerex/ocplib-ppx/
rm -rf %{buildroot}%{_libdir}/ocaml/typerex/ocplib-subcmd/
rm -rf %{buildroot}%{_libdir}/ocaml/typerex/ocplib-subst-worker/
rm -rf %{buildroot}%{_libdir}/ocaml/typerex/ocplib-subst/
rm -rf %{buildroot}%{_libdir}/ocaml/typerex/ocplib-system/
rm -rf %{buildroot}%{_libdir}/ocaml/typerex/ocplib-win32/
rm -rf %{buildroot}%{_libdir}/ocaml/typerex/ocaml-approx/


%files
%doc README.md LICENSE CHANGES
%{_bindir}/ocp-build
%{_libdir}/ocaml/typerex/ocp-build/*.ocp

#{_libdir}/ocaml/typerex/ocaml-approx/*.cmi
#{_libdir}/ocaml/typerex/ocaml-approx/*.cma
#{_libdir}/ocaml/typerex/ocplib-bytecode/*.cmi
#{_libdir}/ocaml/typerex/ocplib-bytecode/*.cma
#{_libdir}/ocaml/typerex/ocplib-debug/*.cmi
#{_libdir}/ocaml/typerex/ocplib-debug/*.cma
#{_libdir}/ocaml/typerex/ocplib-digest/*.cmi
#{_libdir}/ocaml/typerex/ocplib-digest/*.cma
#{_libdir}/ocaml/typerex/ocplib-edit-mode/*.cma
#{_libdir}/ocaml/typerex/ocplib-lang/*.cmi
#{_libdir}/ocaml/typerex/ocplib-lang/*.cma
#{_libdir}/ocaml/typerex/ocplib-ppx/*.cmi
#{_libdir}/ocaml/typerex/ocplib-ppx/*.cma
#{_libdir}/ocaml/typerex/ocplib-subcmd/*.cmi
#{_libdir}/ocaml/typerex/ocplib-subcmd/*.cma
#{_libdir}/ocaml/typerex/ocplib-subst-worker/*.cma
#{_libdir}/ocaml/typerex/ocplib-subst/*.cmi
#{_libdir}/ocaml/typerex/ocplib-subst/*.cma
#{_libdir}/ocaml/typerex/ocplib-system/*.cmi
#{_libdir}/ocaml/typerex/ocplib-system/*.cma
#{_libdir}/ocaml/typerex/ocplib-win32/*.cmi
#{_libdir}/ocaml/typerex/ocplib-win32/*.cma

%files devel
%doc docs/


%{_bindir}/ocp-bytecode
%{_bindir}/ocp-edit-mode
%{_bindir}/ocp-opamer
%{_bindir}/ocp-ppx
%{_bindir}/ocp-subst-config
#{_libdir}/ocaml/typerex/ocaml-approx/*.a
#{_libdir}/ocaml/typerex/ocaml-approx/*.cmx
#{_libdir}/ocaml/typerex/ocaml-approx/*.cmxa
#{_libdir}/ocaml/typerex/ocplib-bytecode/*.a
#{_libdir}/ocaml/typerex/ocplib-bytecode/*.cmx
#{_libdir}/ocaml/typerex/ocplib-bytecode/*.cmxa
#{_libdir}/ocaml/typerex/ocplib-debug/*.a
#{_libdir}/ocaml/typerex/ocplib-debug/*.cmx
#{_libdir}/ocaml/typerex/ocplib-debug/*.cmxa
#{_libdir}/ocaml/typerex/ocplib-digest/*.a
#{_libdir}/ocaml/typerex/ocplib-digest/*.cmx
#{_libdir}/ocaml/typerex/ocplib-digest/*.cmxa
#{_libdir}/ocaml/typerex/ocplib-edit-mode/*.a
#{_libdir}/ocaml/typerex/ocplib-edit-mode/*.cmx
#{_libdir}/ocaml/typerex/ocplib-edit-mode/*.cmxa
#{_libdir}/ocaml/typerex/ocplib-lang/*.a
#{_libdir}/ocaml/typerex/ocplib-lang/*.cmx
#{_libdir}/ocaml/typerex/ocplib-lang/*.cmxa
#{_libdir}/ocaml/typerex/ocplib-ppx/*.a
#{_libdir}/ocaml/typerex/ocplib-ppx/*.cmx
#{_libdir}/ocaml/typerex/ocplib-ppx/*.cmxa
#{_libdir}/ocaml/typerex/ocplib-subcmd/*.a
#{_libdir}/ocaml/typerex/ocplib-subcmd/*.cmx
#{_libdir}/ocaml/typerex/ocplib-subcmd/*.cmxa
#{_libdir}/ocaml/typerex/ocplib-subst-worker/*.a
#{_libdir}/ocaml/typerex/ocplib-subst-worker/*.cmx
#{_libdir}/ocaml/typerex/ocplib-subst-worker/*.cmxa
#{_libdir}/ocaml/typerex/ocplib-subst/*.a
#{_libdir}/ocaml/typerex/ocplib-subst/*.cmx
#{_libdir}/ocaml/typerex/ocplib-subst/*.cmxa
#{_libdir}/ocaml/typerex/ocplib-system/*.a
#{_libdir}/ocaml/typerex/ocplib-system/*.cmx
#{_libdir}/ocaml/typerex/ocplib-system/*.cmxa
#{_libdir}/ocaml/typerex/ocplib-win32/*.a
#{_libdir}/ocaml/typerex/ocplib-win32/*.cmx
#{_libdir}/ocaml/typerex/ocplib-win32/*.cmxa

%{_datadir}/typerex/ocp-edit-mode/emacs/COPYING
%{_datadir}/typerex/ocp-edit-mode/emacs/HISTORY
%{_datadir}/typerex/ocp-edit-mode/emacs/Makefile
%{_datadir}/typerex/ocp-edit-mode/emacs/README
%{_datadir}/typerex/ocp-edit-mode/emacs/README.itz
%{_datadir}/typerex/ocp-edit-mode/emacs/Readme.md
%{_datadir}/typerex/ocp-edit-mode/emacs/*.el

%{_datadir}/typerex/ocp-edit-mode/emacs/*.in
%{_datadir}/typerex/ocp-edit-mode/emacs/*.ml
