Name:       ocp-indent
Version:    1.2.0
Release:    %mkrel 1
Summary:    Indentation tool for OCaml
License:    GPL v3
Group:      Development/OCaml
URL:        https://github.com/OCamlPro/ocp-indent
Source0:    https://github.com/OCamlPro/ocp-indent/archive/%{version}.tar.gz
BuildRequires:  ocaml-findlib

%description
A simple tool to indent OCaml programs.
Also includes bindings for popular editors.

%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}

%description devel
This package contains the development modules you need to use %{name} in
your programs.

%prep
%setup -q -n ocp-indent-%{version}

%build
./configure \
    --prefix %{buildroot}%{_prefix} \
    --mandir %{buildroot}%{_mandir} \
    --datadir %{buildroot}%{_datadir} \

make

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/ocp-indent
mkdir -p %{buildroot}%{_mandir}/man1
make install
rm -f %{buildroot}%{_libdir}/ocp-indent/*/*.uninstall

%files
%doc README.md LICENSE CHANGELOG
%{_bindir}/ocp-indent
%{_bindir}/ocp-indent.byte
%{_mandir}/man1/ocp-indent.1*
%dir %{_libdir}/ocp-indent/ocp-indent-lexer
%dir %{_libdir}/ocp-indent/ocp-indent-lib
%dir %{_libdir}/ocp-indent/ocp-indent-utils
%{_libdir}/ocp-indent/ocp-indent-lexer/*.cmi
%{_libdir}/ocp-indent/ocp-indent-lexer/*.cma
%{_libdir}/ocp-indent/ocp-indent-lib/*.cmi
%{_libdir}/ocp-indent/ocp-indent-lib/*.cma
%{_libdir}/ocp-indent/ocp-indent-utils/*.cmi
%{_libdir}/ocp-indent/ocp-indent-utils/*.cma
%{_datadir}/typerex/ocp-indent/ocp-indent.el
%{_datadir}/typerex/ocp-indent/ocp-indent.vim

%files devel
%doc tests/
%doc tools/
%{_libdir}/ocp-indent/ocp-indent-lexer/*.cmx
%{_libdir}/ocp-indent/ocp-indent-lexer/*.a
%{_libdir}/ocp-indent/ocp-indent-lexer/*.cmxa
%{_libdir}/ocp-indent/ocp-indent-lib/*.cmx
%{_libdir}/ocp-indent/ocp-indent-lib/*.a
%{_libdir}/ocp-indent/ocp-indent-lib/*.cmxa
%{_libdir}/ocp-indent/ocp-indent-utils/*.cmx
%{_libdir}/ocp-indent/ocp-indent-utils/*.a
%{_libdir}/ocp-indent/ocp-indent-utils/*.cmxa
