Name:		ocrad
Version:	0.29
Release:	%mkrel 1
Summary:	Optical Character Recognition
License:	GPLv3+
Group:		Publishing
URL:		https://www.gnu.org/software/ocrad/ocrad.html
Source0:	https://ftp.gnu.org/gnu/ocrad/%{name}-%{version}.tar.lz
Patch0:		ocrad-0.25-nostatic.patch

BuildRequires:	lzip
BuildRequires:	pkgconfig(libpng)

%description
Ocrad is an OCR (Optical Character Recognition) program implemented
as a filter and based on a feature extraction method. It reads a
bitmap image in PBM format and outputs text in the ISO-8859-1
(Latin-1) charset. It includes a layout analyser that is able to
separate the columns or blocks of text normally found on printed
pages. Ocrad can be used as a stand-alone console application, or as
a backend to other programs.

%prep
%autosetup -p1

%build
%configure
%make_build CXXFLAGS="%{optflags}"

%install
%make_install

%check
%__make check

%files
%license COPYING
%doc README NEWS ChangeLog
%_bindir/%{name}
%_infodir/%{name}.info.*
%_mandir/man1/%{name}.1.*
