Name:       ocsinventory-agent
Epoch:      1
Version:    2.9.1
Release:    %mkrel 3
Summary:    Unified client for OCS-Inventory
License:    GPLv2+
Group:      System/Servers
URL:        https://www.ocsinventory-ng.org/
Source0:    https://github.com/OCSInventory-NG/UnixAgent/archive/refs/tags/v%{version}.tar.gz#/Ocsinventory-Unix-Agent-%{version}.tar.gz
BuildRequires: perl(inc::Module::Install)

Requires:   net-tools
Requires:   hostname
Requires:   pciutils
Requires:   nmap
Requires:   monitor-edid
Requires:   dmidecode 
Requires:   perl-Net-IP
Requires:   perl-Compress-Raw-Zlib
Requires:   perl-XML-Simple
Requires:   perl-Net-SSLeay
Requires:   perl-Digest-MD5
Requires:   perl-libwww-perl
Recommends:   perl-Net-CUPS
Recommends:   perl-Proc-Daemon
Recommends:   ipmitool

%description
Linux agent for ocs-inventory. Dialog between client computers and management
server is based on actual standards, HTTP protocol and XML data formatting.

%prep
%autosetup -p1 -n UnixAgent-%{version}

%build
# fix build with perl-5.26:
export PERL_USE_UNSAFE_INC=1
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
rm -f run-postinst
%make_install

install -d %{buildroot}%{_sbindir}
mv %{buildroot}%{_bindir}/* %{buildroot}%{_sbindir}/

install -d -m 755 %{buildroot}%{_sysconfdir}/ocsinventory


cat <<EOF > %{buildroot}%{_sysconfdir}/ocsinventory/%{name}.cfg
# 
# OCS Inventory "Unix Unified Agent" Configuration File
#

# Server URL, unconmment if needed
# server = your.ocsserver.name
basevardir = %{_localstatedir}/lib/%{name}

# Administrative TAG (optional, must be filed before first inventory)
# tag = your_tag

# How to log, can be File,Stderr,Syslog
logger = File
logfile = %{_localstatedir}/log/%{name}/%{name}.log
EOF


install -d -m 755 %{buildroot}%{_sysconfdir}/cron.daily

cat > %{buildroot}%{_sysconfdir}/cron.daily/%{name}<<EOF
#!/bin/sh
%{_sbindir}/ocsinventory-agent --lazy > /dev/null 2>&1
EOF
chmod +x %{buildroot}%{_sysconfdir}/cron.daily/%{name}

install -d %{buildroot}%{_sysconfdir}/logrotate.d
cat > %{buildroot}%{_sysconfdir}/logrotate.d/%{name}<<EOF
/var/log/%{name}/*.log {
    daily
    rotate 7
    compress
    notifempty
    missingok
}
EOF

install -d %{buildroot}%{_localstatedir}/lib/%{name}
install -d %{buildroot}%{_localstatedir}/log/%{name}

# cleanup
rm -f %{buildroot}%{perl_vendorlib}/Ocsinventory/postinst.pl
rm -rf %{buildroot}%{perl_vendorlib}/Ocsinventory/Agent/Backend/OS/Win32*

%{_fixperms} %{buildroot}/*


%files
%doc AUTHORS Changes LICENSE README.md THANKS
%{_sbindir}/%{name}
%{_sbindir}/ipdiscover
%{_mandir}/man1/%{name}.*
%{_mandir}/man3/Ocsinventory*
%{perl_vendorlib}/Ocsinventory
%config(noreplace) %{_sysconfdir}/cron.daily/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/ocsinventory
%{_localstatedir}/log/%{name}
%{_localstatedir}/lib/%{name}
