%define major       8
%define libname     %mklibname %{name} %{major}
%define develname   %mklibname %{name} -d

Summary:	The Open Dynamics Engine
Name:		ode
Epoch:		1
Version:	0.16.6
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.ode.org/
Source0:	https://bitbucket.org/odedevs/ode/downloads/%{name}-%{version}.tar.gz

Provides:	bundled(libccd) = 2.1

%description
The Open Dynamics Engine (ODE) is a free software library for the
simulation of Rigid Body Dynamics. It is has been primarily written
-by Russell Smith. ODE builds under a variety of different Windows
and Unix platforms.

ODE is useful for simulating things like vehicles, objects in virtual
reality environments, and virtual creatures.

%package -n	%{libname}
Summary:	Physics simulation library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with ODE.

%package -n	%{develname}
Summary:	Headers and libraries to develop ODE applications
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{epoch}:%{version}-%{release}

%description -n	%{develname}
The Open Dynamics Engine (ODE) is a free software library for the
simulation of Rigid Body Dynamics. It is has been primarily written
by Russell Smith. ODE builds under a variety of different Windows
and Unix platforms.

ODE is useful for simulating things like vehicles, objects in virtual
reality environments, and virtual creatures.

%prep
%setup -q

%build
%configure \
	--enable-double-precision \
	--disable-static \
	--enable-libccd \
	--enable-ou \
	--with-trimesh=opcode \
	--with-drawstuff=X11 \
	--enable-new-trimesh \
	--disable-demos \
	--enable-shared

%make_build

%install
%make_install

%multiarch_binaries %{buildroot}%{_bindir}/%{name}-config

%files -n %{libname}
%{_libdir}/libode.so.%{major}{,.*}

%files -n %{develname}
%doc CHANGELOG.txt README.md
%dir %{_includedir}/%{name}
%{_bindir}/%{name}-config
%multiarch %{multiarch_bindir}/%{name}-config
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
