Name:           offpunk
Version:        2.6
Release:        %mkrel 1
Summary:        Offline-First Gemini/Web/Gopher/RSS reader and browser
Group:          Networking/WWW

License:        BSD
URL:            https://sr.ht/~lioploum/offpunk/
Source:         https://git.sr.ht/~lioploum/offpunk/archive/v%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
Requires:       chafa


%global _description %{expand:
A command-line and offline-first smolnet browser/feed reader for Gemini,
Gopher, Spartan and Web by Ploum.

The goal of Offpunk is to be able to synchronise your content once (a day,
a week, a month) and then browse/organise it while staying disconnected.}


%description %_description


%prep
%autosetup -p1 -n offpunk-v%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files offpunk cert_migration


%check
%pyproject_check_import


%files -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/offpunk
%{_bindir}/ansicat
%{_bindir}/netcache
%{_bindir}/opnk
%pycached %{python3_sitelib}/ansicat.py
%pycached %{python3_sitelib}/netcache.py
%pycached %{python3_sitelib}/netcache_migration.py
%pycached %{python3_sitelib}/offblocklist.py
%pycached %{python3_sitelib}/offthemes.py
%pycached %{python3_sitelib}/offutils.py
%pycached %{python3_sitelib}/opnk.py
