%define	oname OGRE
%define uname ogre

%global majorver 1.10

%define soname    %{version}
%define libname   %mklibname %{uname} %{soname}
%define	develname %mklibname %{name} -d

Summary:	Object-Oriented Graphics Rendering Engine
Name:		ogre%{majorver}
Version:	1.10.12
Release:	%mkrel 3
License:	MIT
Group:		System/Libraries
URL:		https://www.ogre3d.org
Source0:	https://github.com/OGRECave/ogre/archive/v%{version}/%{uname}-%{version}.tar.gz

Patch1:		ogre-1.10.12-dynlib-allow-no-so.patch
Patch3:		ogre-1.9.1-glibc2.32.patch
Patch4:		ogre-1.10-12-set-properly-cmake-config-files-dir.patch

BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	freeimage-devel
BuildRequires:	libatomic-devel
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glesv2)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(OIS)
BuildRequires:	pkgconfig(tbb)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xaw7)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(zziplib)

%description
OGRE (Object-Oriented Graphics Rendering Engine) is a scene-oriented,
flexible 3D engine written in C++ designed to make it easier  and  more
intuitive for developers to produce games and demos utilising 3D hardware.
The class library abstracts all the details of using the underlying system
libraries like Direct3D and OpenGL and provides an interface based on world
objects and other intuitive classes.

%package data
Summary:        Data files for %{oname}
Group:          System/Libraries
BuildArch:      noarch

%description data
Common data files for %{oname}.

%package -n %{libname}
Summary:	Libraries needed for programs using %{oname}
Group:		System/Libraries
Requires:	%{name}-data >= %{version}-%{release}

%description -n %{libname}
OGRE (Object-Oriented Graphics Rendering Engine) is a scene-oriented,
flexible 3D engine written in C++ designed to make it easier  and  more
intuitive for developers to produce games and demos utilising 3D hardware.
The class library abstracts all the details of using the underlying system
libraries like Direct3D and OpenGL and provides an interface based on world
objects and other intuitive classes.

%package -n %{develname}
Summary:	Development headers and libraries for writing programs using %{oname}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{_lib}ogre-devel > %{version}

%description -n %{develname}
Development headers and libraries for writing programs using %{oname}.

%prep
%autosetup -p1 -n %{uname}-%{version}

%build
%cmake \
    -DCMAKE_SKIP_INSTALL_RPATH=ON \
    -DOGRE_CMAKE_DIR="%{_libdir}/cmake/OGRE" \
    -DOGRE_BUILD_DOCS=OFF \
    -DOGRE_BUILD_RENDERSYSTEM_GL=ON \
    -DOGRE_BUILD_RENDERSYSTEM_GL3PLUS=ON \
    -DOGRE_BUILD_RENDERSYSTEM_GLES2=ON \
    -DOGRE_BUILD_SAMPLES=OFF \
    -DOGRE_BUILD_TESTS=OFF \
    -DOGRE_BUILD_TOOLS=OFF \
    -DOGRE_INSTALL_DOCS=OFF \
    -DOGRE_INSTALL_SAMPLES=OFF \
    -DOGRE_INSTALL_TOOLS=OFF \
    -DOGRE_STATIC=OFF
%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/libOgre*.so.%{soname}
%dir %{_libdir}/%{oname}
%{_libdir}/%{oname}/*.so.%{soname}

%files data
%dir %{_datadir}/OGRE/
%{_datadir}/OGRE/*

%files -n %{develname}
%{_libdir}/libOgre*.{a,so}
%{_libdir}/pkgconfig/%{oname}*.pc
%{_libdir}/%{oname}/*.so
%{_libdir}/cmake/%{oname}/
%{_includedir}/%{oname}/
