Name:           oidentd
Version:        3.1.0
Release:        %mkrel 1
Summary:        Ident server with masquerading support
License:        GPLv2
Group:          System/Servers
URL:            https://oidentd.janikrabe.com/
Source0:	https://files.janikrabe.com/pub/%{name}/releases/%{version}/%{name}-%{version}.tar.gz
Source2:        %{name}.users
Source3:        %{name}.sysconfig
Source5:        %{name}.service
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  pkgconfig(libnetfilter_conntrack)
BuildRequires:  pkgconfig(libcap-ng)

Provides:       identd
Requires(pre):  rpm-helper
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(postun): rpm-helper

%description
Oidentd is an ident (rfc1413) daemon that runs on Linux, FreeBSD,
OpenBSD and Solaris 2.x. Oidentd supports most features of pidentd
plus more. Most notably, oidentd allows users to specify the identd
response that the server will output when a successful lookup is
completed. Oidentd supports IP masqueraded connections on Linux, and
is able to forward requests to hosts that masq through the host on
which oidentd runs.


%prep
%setup -q

%build
%configure CFLAGS="%optflags -std=gnu89"
%make_build

%install
%make_install

%{__mkdir_p} %{buildroot}%{_sysconfdir}/sysconfig
%{__cp} -a %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
%{__cp} -a %{SOURCE2} %{buildroot}%{_sysconfdir}/%{name}_masq.conf
install -m644 %{name}.conf %{buildroot}%{_sysconfdir}/%{name}.conf
%{__mkdir_p} %{buildroot}%{_localstatedir}/lib/%{name}

install -d -m 755 %{buildroot}%{_unitdir}
install -m 644 %{SOURCE5} %{buildroot}%{_unitdir}/%{name}.service


%pre
%_pre_useradd %{name} %{_localstatedir}/lib/%{name} /bin/true

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%license COPYING COPYING.DOC
%doc AUTHORS NEWS README ChangeLog
%config(noreplace) %{_sysconfdir}/%{name}_masq.conf
%config(noreplace) %{_sysconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_sbindir}/%{name}
%{_mandir}/man5/%{name}*
%{_mandir}/man8/%{name}*
%{_unitdir}/%{name}.service
%dir %{_localstatedir}/lib/%{name}
