%define major		2
%define libname		%mklibname openimagedenoise %{major}
%define libname_core	%mklibname openimagedenoise-core %{major}
%define develname	%mklibname openimagedenoise -d

Name:		oidn
Version:	2.3.3
Release:	%mkrel 1
Summary:	Library of denoising filters for images rendered with ray tracing
Group:		System/Libraries
License:	ASL 2.0
URL:		https://openimagedenoise.github.io/
Source0:	https://github.com/OpenImageDenoise/%{name}/releases/download/v%{version}/%{name}-%{version}.src.tar.gz
Patch0:		oidn-2.3.3-fix-openimagedenoisecore-soversion.patch

# Library only available of x86_64 arch
ExclusiveArch:	x86_64

BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	ispc
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(tbb)

%description
An open source library of high-performance, high-quality denoising filters for
images rendered with ray tracing.

#------------------------------------------------

%package -n	%{libname}
Summary:	Library of denoising filters for images rendered with ray tracing
Group:		System/Libraries

%description -n	%{libname}
An open source library of high-performance, high-quality denoising filters for
images rendered with ray tracing.

#------------------------------------------------

%package -n	%{libname_core}
Summary:	Library of denoising filters for images rendered with ray tracing
Group:		System/Libraries

Conflicts:	%{_lib}openimagedenoise2 < 2.1.0-2

%description -n	%{libname_core}
An open source library of high-performance, high-quality denoising filters for
images rendered with ray tracing.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libname_core} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	openimagedenoise-devel = %{version}-%{release}

%description -n	%{develname}
This package contains libraries and header files for developing applications
that use %{name}.

#------------------------------------------------

%package	docs
Summary:	Documentation for %{name}
Group:		Documentation
BuildArch:	noarch

%description	docs
This package contains documentation for %{name}.

#------------------------------------------------

%prep
%autosetup -p1

%build
%cmake -DCMAKE_SKIP_RPATH:BOOL=ON
%cmake_build

%install
%cmake_install

# Remove duplicated documentation
rm -rf %{buildroot}%{_docdir}/OpenImageDenoise

%files
%license LICENSE.txt
%doc CHANGELOG.md
%{_bindir}/oidnDenoise
%{_bindir}/oidnTest
%{_bindir}/oidnBenchmark

%files -n %{libname}
%{_libdir}/libOpenImageDenoise.so.%{major}
%{_libdir}/libOpenImageDenoise.so.%{version}
# TODO split in their own lib sub-pkgs??
%{_libdir}/libOpenImageDenoise_device_cpu.so.%{version}

%files -n %{libname_core}
%{_libdir}/libOpenImageDenoise_core.so.%{major}
%{_libdir}/libOpenImageDenoise_core.so.%{version}

%files -n %{develname}
%{_includedir}/OpenImageDenoise/
%{_libdir}/libOpenImageDenoise.so
%{_libdir}/libOpenImageDenoise_core.so
%{_libdir}/cmake/OpenImageDenoise-%{version}/

%files docs
%doc README.md readme.pdf
