%define major 1.4.0
%define libname %mklibname ois %{major}
%define develname %mklibname ois -d

Summary:	Object Oriented Input System
Name:		ois
Version:	1.4
Release:	%mkrel 4
License:	zlib
Group:		System/Libraries
URL:		https://wgois.github.io/OIS/
Source0:	https://github.com/wgois/OIS/archive/v%{version}/OIS-%{version}.tar.gz
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xaw7)

%description
Object Oriented Input System (OIS) is meant to be a cross platform,
simple solution for using all kinds of Input Devices
(KeyBoards, Mice, Joysticks, etc) and feedback devices
(e.g. forcefeedback).

%package -n %{libname}
Summary:	An OIS library
Group:		System/Libraries

%description -n %{libname}
Object Oriented Input System (OIS) is meant to be a cross platform,
simple solution for using all kinds of Input Devices
(KeyBoards, Mice, Joysticks, etc) and feedback devices
(e.g. forcefeedback).

%package -n %{develname}
Summary:	Development tools for programs using %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}OIS-devel < 1.4

%description -n	%{develname}
This package contains the header files and libraries needed for
developing programs using the %{name} library.

%prep
%setup -qn OIS-%{version}
%autopatch -p1

# make autoreconf happy
sed -i -e 's,\(AM_INIT_AUTOMAKE(\[\),\1foreign ,' configure.ac

%build
autoreconf -vfi
%configure \
	--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc README.md
%{_libdir}/libOIS-%{major}.so

%files -n %{develname}
%{_includedir}/ois/
%{_libdir}/libOIS.so
%{_libdir}/pkgconfig/OIS.pc
