#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           okteta
Epoch:          2
Version: 0.26.20
Release:        %mkrel %{rel}
Summary:        Editor for raw file data as Hex values
Group:          Graphical desktop/KDE
License:        GPLv2 and LGPLv2 and GFDL
Source0:        https://download.kde.org/stable/%{name}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Designer)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5ScriptTools)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)

BuildRequires:  kf5-rpm-macros
BuildRequires:  cmake(KF5Bookmarks)
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5XmlGui)

BuildRequires:  pkgconfig(qca2-qt5)
Requires:       qca-qt5

%description
Okteta is a simple editor for the raw data of files. This type of
program is also called hex editor or binary editor.

%files -f %name.lang
%_kf5_bindir/struct2osd
%_kf5_bindir/okteta
%_kf5_applicationsdir/*.desktop
%_kf5_metainfodir/*.xml
%_kf5_datadir/okteta/
%_kf5_services/oktetapart.desktop
%_kf5_datadir/config.kcfg/structureviewpreferences.kcfg
%_kf5_iconsdir/*/*/apps/okteta.png
%_kf5_datadir/mime/packages/okteta.xml
%_kf5_datadir/knsrcfiles/okteta-structures.knsrc
%_kf5_plugindir/parts/oktetapart.so
%_qt5_plugindir/designer/oktetawidgets.so

#------------------------------------------------------------------------------

%package handbook
Summary:        %name handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %name >= %{version}-%{release}

%description handbook
This package provides %name handbook.

%files handbook
%doc %_kf5_docdir/HTML/*/%name

#------------------------------------------------------------------------------

%define okteta3core_major 0
%define libokteta3core %mklibname okteta3core %{okteta3core_major}

%package -n %libokteta3core
Summary:        Runtime library for okteta
Group:          System/Libraries

%description -n %libokteta3core
Runtime library for okteta.

%files -n %libokteta3core
%_kf5_libdir/libOkteta3Core.so.%{okteta3core_major}{,.*}

#------------------------------------------------------------------------------

%define okteta3gui_major 0
%define libokteta3gui %mklibname okteta3gui %{okteta3gui_major}

%package -n %libokteta3gui
Summary:        Runtime library for okteta
Group:          System/Libraries

%description -n %libokteta3gui
Runtime library for okteta.

%files -n %libokteta3gui
%_kf5_libdir/libOkteta3Gui.so.%{okteta3gui_major}{,.*}

#------------------------------------------------------------------------------

%define kasten4okteta2gui_major 0
%define libkasten4okteta2gui %mklibname kasten4okteta2gui %{kasten4okteta2gui_major}

%package -n %libkasten4okteta2gui
Summary:        Runtime library for okteta
Group:          System/Libraries

%description -n %libkasten4okteta2gui
Runtime library for okteta.

%files -n %libkasten4okteta2gui
%_kf5_libdir/libKasten4Okteta2Gui.so.%{kasten4okteta2gui_major}{,.*}

#------------------------------------------------------------------------------

%define kasten4okteta2core_major 0
%define libkasten4okteta2core %mklibname kasten4okteta2core %{kasten4okteta2core_major}

%package -n %libkasten4okteta2core
Summary:        Runtime library for okteta
Group:          System/Libraries

%description -n %libkasten4okteta2core
Runtime library for okteta.

%files -n %libkasten4okteta2core
%_kf5_libdir/libKasten4Okteta2Core.so.%{kasten4okteta2core_major}{,.*}

#------------------------------------------------------------------------------

%define kasten4okteta2controllers_major 0
%define libkasten4okteta2controllers %mklibname kasten4okteta2controllers %{kasten4okteta2controllers_major}

%package -n %libkasten4okteta2controllers
Summary:        Runtime library for okteta
Group:          System/Libraries

%description -n %libkasten4okteta2controllers
Runtime library for okteta.

%files -n %libkasten4okteta2controllers
%_kf5_libdir/libKasten4Okteta2Controllers.so.%{kasten4okteta2controllers_major}{,.*}

#------------------------------------------------------------------------------

%define kasten4gui_major 0
%define libkasten4gui %mklibname kasten4gui %{kasten4gui_major}

%package -n %libkasten4gui
Summary:        Runtime library for okteta
Group:          System/Libraries

%description -n %libkasten4gui
Runtime library for okteta.

%files -n %libkasten4gui
%_kf5_libdir/libKasten4Gui.so.%{kasten4gui_major}{,.*}

#------------------------------------------------------------------------------

%define kasten4core_major 0
%define libkasten4core %mklibname kasten4core %{kasten4core_major}

%package -n %libkasten4core
Summary:        Runtime library for okteta
Group:          System/Libraries

%description -n %libkasten4core
Runtime library for okteta.

%files -n %libkasten4core
%_kf5_libdir/libKasten4Core.so.%{kasten4core_major}{,.*}

#------------------------------------------------------------------------------

%define kasten4controllers_major 0
%define libkasten4controllers %mklibname kasten4controllers %{kasten4controllers_major}

%package -n %libkasten4controllers
Summary:        Runtime library for okteta
Group:          System/Libraries

%description -n %libkasten4controllers
Runtime library for okteta.

%files -n %libkasten4controllers
%_kf5_libdir/libKasten4Controllers.so.%{kasten4controllers_major}{,.*}

#------------------------------------------------------------------------------

%define okteta_devel %mklibname %{name} -d

%package -n %{okteta_devel}
Summary:        Header files for %{name}
Group:          Development/KDE and Qt
Requires:       %libokteta3core = %epoch:%version
Requires:       %libkasten4okteta2gui = %epoch:%version
Requires:       %libokteta3gui = %epoch:%version
Requires:       %libkasten4okteta2core = %epoch:%version
Requires:       %libkasten4okteta2controllers = %epoch:%version
Requires:       %libkasten4gui = %epoch:%version
Requires:       %libkasten4core = %epoch:%version
Requires:       %libkasten4controllers = %epoch:%version
Provides:       okteta-devel = %epoch:%version-%release
Obsoletes:      okteta-devel < 1:17.12.2-2

%description -n %{okteta_devel}
This package includes the header files you will need to compile applications
against %{name}.

%files -n %{okteta_devel}
%_includedir/*
%_kf5_libdir/libKasten4Okteta2Controllers.so
%_kf5_libdir/libKasten4Core.so
%_kf5_libdir/libKasten4Gui.so
%_kf5_libdir/libKasten4Okteta2Core.so
%_kf5_libdir/libOkteta3Core.so
%_kf5_libdir/libKasten4Controllers.so
%_kf5_libdir/libOkteta3Gui.so
%_kf5_libdir/libKasten4Okteta2Gui.so
%_kf5_libdir/cmake/KastenControllers
%_kf5_libdir/cmake/KastenCore
%_kf5_libdir/cmake/KastenGui
%_kf5_libdir/cmake/OktetaCore
%_kf5_libdir/cmake/OktetaGui
%_kf5_libdir/cmake/OktetaKastenControllers
%_kf5_libdir/cmake/OktetaKastenCore
%_kf5_libdir/cmake/OktetaKastenGui
%_kf5_libdir/pkgconfig/Okteta*.pc
%_kf5_mkspecsdir/qt_Okteta*.pri

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %name --all-name
