#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%bcond_with mobile

%define rel 1

Name:           okular
Epoch:          2
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        A universal document viewer
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://apps.kde.org/okular/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%name-%version.tar.xz
# Branch Patch (100-200)

# Mageia Patch
Patch0:         okular-21.12.0-fix-desktop-file.patch

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6TextToSpeech)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Bookmarks)
BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6ThreadWeaver)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6Wallet)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6Purpose)
%if %{with mobile}
BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6KirigamiAddons)
%endif
BuildRequires:  cmake(KF6Pty)

BuildRequires:  cmake(PlasmaActivities)

BuildRequires:  cmake(Phonon4Qt6)
BuildRequires:  pkgconfig(poppler-qt6)
BuildRequires:  cmake(KExiv2Qt6)
BuildRequires:  cmake(QMobipocket6)

BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libmarkdown)
BuildRequires:  pkgconfig(libspectre)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libzip)
BuildRequires:  pkgconfig(ddjvuapi)
BuildRequires:  chmlib-devel
BuildRequires:  ebook-tools-devel

%if %{with mobile}
Requires:       kirigami
Requires:       kirigami-addons
%endif
Recommends:     okular-handbook


%description
Okular is a universal document viewer based on KPDF for KDE 4.

Okular combines the excellent functionalities of KPDF with the versatility
of supporting different kind of documents, like PDF, Postscript, DjVu, CHM,
and others.

The document format handlers page has a chart describing in more detail
the supported formats and the features supported in each of them.

%files -f %name.lang
%_kf6_categoriesdir/okular.categories
%_kf6_bindir/okular
%_kf6_applicationsdir/org.kde.okular.desktop
%_kf6_applicationsdir/okularApplication_*.desktop
%_kf6_datadir/config.kcfg/pdfsettings.kcfg
%_kf6_datadir/okular/
%_kf6_datadir/config.kcfg/okular.kcfg
%_kf6_datadir/config.kcfg/gssettings.kcfg
%_kf6_datadir/config.kcfg/okular_core.kcfg
%_kf6_datadir/kconf_update/okular.upd
%_qt6_plugindir/okular_generators/
%_kf6_plugindir/parts/okularpart.so
%_kf6_iconsdir/*/*/*/okular.*
%_kf6_mandir/man1/okular.1.*
%_kf6_metainfodir/*.xml

#------------------------------------------------------------------------------

%package handbook
Summary:        Okular handbook
Group:          Documentation
BuildArch:      noarch
Requires:       okular >= %{epoch}:%{version}-%{release}

%description handbook
This package provides okular handbook.

%files handbook
%doc %_kf6_docdir/HTML/*/okular/
%_kf6_mandir/*/man1/okular.1.*

#------------------------------------------------------------------------------	

%define okularcore_major 3
%define libokularcore %mklibname okular6core %okularcore_major

%package -n %libokularcore
Summary:        Runtime library for okular
Group:          System/Libraries

%description -n %libokularcore
Runtime library for Okular.

%files -n %libokularcore
%_kf6_libdir/libOkular6Core.so.%{okularcore_major}{,.*}

#------------------------------------------------------------------------------

%package devel
Summary:        Devel stuff for %{name}
Group:          Development/KDE and Qt
Requires:       %libokularcore = %epoch:%version-%release
Requires:       pkgconfig(poppler-qt6)
Requires:       pkgconfig(libspectre)
Requires:       pkgconfig(ddjvuapi)
Requires:       chmlib-devel
Requires:       ebook-tools-devel

%description devel
This package contains header files needed if you wish to build applications
based on okular.

%files devel
%_includedir/%{name}/
%_kf6_libdir/cmake/Okular6/
%_kf6_libdir/*.so

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 %{?with_mobile:-DOKULAR_UI=both}
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name
