%define git	20241204
%define rel	2

Summary:	A non-linear video editor
Name:		olive
Version:	0.2.0
Release:	%mkrel %{?git:3.%git.}%{rel}
License:	GPLv3
Group:		Video/Editors and Converters
Url:		https://www.olivevideoeditor.org
Source0:	https://github.com/olive-editor/olive/archive/olive-%{version}-git%{git}.tar.xz
Patch0:		olive-ffmpeg7.patch
Patch1:		core-ffmpeg7.patch
Patch2:		0001-replace-QStringRef-with-QStringView-for-Qt6.patch
Patch3:		support_ocio_2_3.patch
ExcludeArch:	%{ix86} armv7hl
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	openimageio
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Linguist)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6OpenGL)
BuildRequires:	cmake(Qt6OpenGLWidgets)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(frei0r)
BuildRequires:	pkgconfig(Imath)
BuildRequires:	pkgconfig(libavformat)
BuildRequires:	pkgconfig(libavfilter)
BuildRequires:	pkgconfig(libavutil)
BuildRequires:	pkgconfig(libswresample)
BuildRequires:	pkgconfig(libswscale)
BuildRequires:	pkgconfig(OpenColorIO)
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	pkgconfig(OpenImageIO)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(xkbcommon)

# ext/KDDockWidgets
Provides:	bundled(KDDockWidgets) = 1.6.95
# ext/core
Provides:	bundled(libolivecore) = 1.0.0

%description
Olive is a free non-linear video editor aiming to provide a
fully-featured alternative to high-end professional video editing
software.

%prep
%autosetup -p1 -n %{name}-%{version}-git%{git}

%build
%cmake -DBUILD_QT6:BOOL=ON \
       -DBUILD_SHARED_LIBS:BOOL=OFF
%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSE
%{_bindir}/olive-editor
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/mimetypes/*.png
%{_datadir}/applications/*.desktop
%{_metainfodir}/*.xml
%{_datadir}/mime/packages/*.xml
