%define major		3
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		olm
Version:	3.2.16
Release:	%mkrel 2
Summary:	Double Ratchet cryptographic library
License:	ASL 2.0
Group:		System/Libraries
URL:		https://gitlab.matrix.org/matrix-org/olm
Source0:	https://gitlab.matrix.org/matrix-org/olm/-/archive/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:	ninja-build
BuildRequires:	cmake

BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(cffi)
BuildRequires:	python3dist(future)

%description
An implementation of the Double Ratchet cryptographic ratchet in C++.

#------------------------------------------------

%package -n	%{libname}
Summary:	Double Ratchet cryptographic library
Group:		System/Libraries

%description -n	%{libname}
An implementation of the Double Ratchet cryptographic ratchet in C++.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Header files for development with %{name}.

#------------------------------------------------

%package -n	python3-%{name}
Summary:	Python 3 bindings for %{name}
Group:		Development/Python
%{?python_provide:%python_provide python3-%{name}}

%description -n	python3-%{name}
Python 3 bindings for Olm Double Ratchet cryptographic library.

#------------------------------------------------

%prep
%autosetup -p1

sed -e "s@/build@/%{_vpath_builddir}@g" -i python/olm_build.py

%build
%cmake -G Ninja \
    -DOLM_TESTS=OFF
%cmake_build

pushd python
%pyproject_wheel
popd

%check
pushd %{_vpath_builddir}
    ctest --output-on-failure
popd

%install
%cmake_install

pushd python
%pyproject_install
popd

%files -n %{libname}
%license LICENSE
%doc *.md *.rst docs/*.md
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/Olm/
%{_libdir}/pkgconfig/%{name}.pc

%files -n python3-%{name}
%{python_sitearch}/%{name}
%{python3_sitearch}/_lib%{name}.abi3.so
%{python3_sitearch}/python_%{name}-*.dist-info
