%define vmaj    %(echo %{version}|cut -d. -f-2)

Name:           onboard
Version:        1.4.1
Release:        %mkrel 14
Summary:        On-screen keyboard with spelling suggestions, auto-show and more

Group:          Accessibility
License:        GPLv2+
URL:            https://launchpad.net/onboard/
Source0:        https://launchpad.net/%{name}/%{vmaj}/%{version}/+download/%{name}-%{version}.tar.gz
Patch0:         1004-fix-ftbfs-python3-12.patch
Patch1:         linking.patch
Patch2:		0001-Port-to-Ayatana-AppIndicator.patch

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(dconf)
BuildRequires:  pkgconfig(gdk-3.0)
BuildRequires:  pkgconfig(hunspell)
BuildRequires:  pkgconfig(libcanberra)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(xkbfile)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(python-distutils-extra)
BuildRequires:  python3dist(setuptools)

Requires:       fonts-ttf-dejavu
Requires:       fonts-ttf-mageia
Requires:       hicolor-icon-theme
Requires:       mousetweaks
Requires:       python3dist(pycairo)
Requires:       python3dist(dbus-python)
Requires:       python3dist(pygobject)
Requires:       iso-codes
# gnome-shell-extensions-onboard pulls in 160 more packages on non-gnome
# systems so don't recommend it yet. Only add when boolean deps are supported by urpmi.
# https://bugs.mageia.org/show_bug.cgi?id=17799
#Recommends:     (gnome-shell-extensions-%%{name} if gnome-shell)

%description
An on-screen keyboard useful on tablet PCs or for mobility impaired users, or
just really handy when the keyboard is out of reach.
Onboard can store text snippets for one click typing and can also suggest
(and learn) words to speed text entry.
Many theme options are available and each of these may be customized.
The keyboard may be configured to automatically show itself when text input
is required.

%package -n gnome-shell-extensions-%{name}
Summary:        Shell extension for gnome
Conflicts:      onboard < 1.2

%description -n gnome-shell-extensions-%{name}
Shell extension for gnome.

%prep
%autosetup -p1

%build
%pyproject_wheel

%install
%pyproject_install

# Use example default configuration file
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
cp %{buildroot}%{_datadir}/%{name}/%{name}-defaults.conf.example %{buildroot}%{_sysconfdir}/%{name}/%{name}-defaults.conf
# Swich to full keyboard
sed -i 's/#layout=Full Keyboard/layout=Full Keyboard/' %{buildroot}%{_sysconfdir}/%{name}/%{name}-defaults.conf
sed -i 's/layout=Compact/#layout=Compact/' %{buildroot}%{_sysconfdir}/%{name}/%{name}-defaults.conf
# Use Mageia superkey label
sed -i 's/superkey-label=.*$/superkey-label=/' %{buildroot}%{_sysconfdir}/%{name}/%{name}-defaults.conf
# Switch font to DejaVu-Sans
sed -i 's/^key-label-font=.*$/key-label-font=DejaVu Sans/' %{buildroot}%{_sysconfdir}/%{name}/%{name}-defaults.conf
# Configuration change for patch0 (StatusIconProvider.patch)
sed -i '/\[main\]/a status-icon-provider=GtkStatusIcon' %{buildroot}%{_sysconfdir}/%{name}/%{name}-defaults.conf
# Enable icon-palette for gnome3 or on closing keyboard there is no visible activation method
sed -i '/\[icon-palette\]/a in-use=True' %{buildroot}%{_sysconfdir}/%{name}/%{name}-defaults.conf
# Remove Ubuntu icons
rm -rf %{buildroot}%{_iconsdir}/ubuntu*
# Desktop files
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install                                    \
    --remove-category="X-GNOME-PersonalSettings"        \
    --add-category="Utility;"                           \
    --dir=%{buildroot}%{_datadir}/applications          \
    %{_builddir}/%{name}-%{version}/build/share/applications/%{name}.desktop

desktop-file-install                                    \
    --remove-category="X-GNOME-PersonalSettings"        \
    --remove-category="Settings"                        \
    --add-category="Utility;"                           \
    --dir=%{buildroot}%{_datadir}/applications          \
    %{_builddir}/%{name}-%{version}/build/share/applications/%{name}-settings.desktop

# Desktop files autostart
mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
desktop-file-install                                    \
    --add-category="Utility;"                           \
    --dir=%{buildroot}%{_sysconfdir}/xdg/autostart                  \
    %{_builddir}/%{name}-%{version}/build/share/autostart/%{name}-autostart.desktop

mkdir -p %{buildroot}%{_datadir}/locale
cp -a build/mo/* %{buildroot}%{_datadir}/locale

rm -rf %{buildroot}%{python3_sitearch}/etc/

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS NEWS README
%license COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}-settings
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-settings.desktop
%{_datadir}/glib-2.0/schemas/org.%{name}.gschema.xml
%{_datadir}/dbus-1/services/org.%{name}.Onboard.service
%{_iconsdir}/hicolor/*/apps/%{name}.{png,svg}
%{_iconsdir}/HighContrast/scalable/apps/%{name}.svg
%{_datadir}/%{name}/
%{_datadir}/sounds/freedesktop/stereo/%{name}-key-feedback.oga
%{python3_sitearch}/%{name}*.dist-info
%{python3_sitearch}/Onboard/
%{_sysconfdir}/xdg/autostart/%{name}-autostart.desktop
%dir %{_sysconfdir}/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}/%{name}-defaults.conf
%{_mandir}/man1/onboard*

%files -n gnome-shell-extensions-%{name}
%{_datadir}/gnome-shell/extensions/Onboard_Indicator@onboard.org/
