%define major     5
%define libname   %mklibname onig %{major}
%define develname %mklibname oniguruma -d

# comment out when not a revised release
#define revised rev1
#define sub_ver r1

%define up_ver  6.9.10

Name:           oniguruma
Version:        %{up_ver}%{?sub_ver}
Release:        %mkrel 1
Summary:        Regex Library Supporting Different Character Encodings
License:        BSD
Group:          System/Libraries
Url:            https://github.com/kkos/oniguruma
Source:         https://github.com/kkos/oniguruma/releases/download/v%{up_ver}%{?revised:_%revised}/onig-%{up_ver}%{?revised:-%revised}.tar.gz
BuildRequires:  pkgconfig

%description
Oniguruma is a regular expressions library. The characteristics of
this library is that different character encoding for every regular
expression object can be specified.

Supported character encodings: ASCII, UTF-8, UTF-16BE, UTF-16LE,
UTF-32BE, UTF-32LE, EUC-JP, EUC-TW, EUC-KR, EUC-CN, Shift_JIS, Big5, GB
18030, KOI8-R, KOI8, ISO-8859-1, ISO-8859-2, ISO-8859-3, ISO-8859-4,
ISO-8859-5, ISO-8859-6, ISO-8859-7, ISO-8859-8, ISO-8859-9,
ISO-8859-10, ISO-8859-11, ISO-8859-13, ISO-8859-14, ISO-8859-15,
ISO-8859-16.

#------------------------------------------------

%package -n     %{libname}
Summary:        Regex Library Supporting Different Character Encodings
Group:          System/Libraries

%description -n %{libname}
Oniguruma is a regular expressions library. The characteristics of
this library is that different character encoding for every regular
expression object can be specified.

Supported character encodings: ASCII, UTF-8, UTF-16BE, UTF-16LE,
UTF-32BE, UTF-32LE, EUC-JP, EUC-TW, EUC-KR, EUC-CN, Shift_JIS, Big5, GB
18030, KOI8-R, KOI8, ISO-8859-1, ISO-8859-2, ISO-8859-3, ISO-8859-4,
ISO-8859-5, ISO-8859-6, ISO-8859-7, ISO-8859-8, ISO-8859-9,
ISO-8859-10, ISO-8859-11, ISO-8859-13, ISO-8859-14, ISO-8859-15,
ISO-8859-16.

#------------------------------------------------

%package -n     %{develname}
Summary:        Development package for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       onig-devel = %{version}-%{release}

%description -n %{develname}
Header files for development with %{name}.

#------------------------------------------------
%prep
%setup -q -n onig-%{version}

cp -rp sample/ examples

%build
%configure \
           --enable-posix-api \
           --disable-static   \
           --disable-silent-rules
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/libonig.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS COPYING HISTORY index.html index_ja.html README
%doc doc/* examples/
%{_bindir}/onig-config
%{_includedir}/oniguruma.h
%{_includedir}/oniggnu.h
%{_includedir}/onigposix.h
%{_libdir}/libonig.so
%{_libdir}/pkgconfig/oniguruma.pc
