%define major   0
%define libname %mklibname isns %{major}
%define devname %mklibname isns -d

Name:           open-isns
Version:        0.102
Release:        %mkrel 1
Summary:        Partial implementation of iSNS, according to RFC4171
License:        LGPLv2
Group:          Networking/Other
URL:            https://github.com/open-iscsi/open-isns
Source0:        https://github.com/open-iscsi/open-isns/archive/v%{version}.tar.gz#/open-isns-%{version}.tar.gz
Source1:        isnsd.service

BuildRequires:  meson
BuildRequires:  openslp-devel
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(libsystemd)

%description
This is a partial implementation of iSNS, according to RFC4171.

%package -n %{libname}
Summary:        Shared library files for open-isns
Group:          System/Libraries

%description -n %{libname}
Shared library files for open-isns.

%package -n %{devname}
Summary:        Development files for open-isns
Group:          Development/Other
Requires:       open-isns = %{version}
Requires:       %{libname} = %{version}-%{release}
Provides:       isns-devel = %{version}-%{release}
Provides:       open-isns-devel = %{version}-%{release}
Obsoletes:      open-isns-devel < 0.100-4

%description -n %{devname}
Files to develop an application using the open-isns library.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson -D security=enabled \
       -D shared_version=true \
       -D rundir=%{_rundir}
%meson_build

%install
%meson_install

rm %{buildroot}%{_unitdir}/isnsd.service
rm %{buildroot}%{_unitdir}/isnsd.socket
install -p -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/isnsd.service

%post
%_post_service isnsd

%postun
%_postun_service isnsd

%preun
%_preun_service isnsd

%files
%license COPYING
%doc HACKING README TODO
%{_sbindir}/isnsd
%{_sbindir}/isnsdd
%{_sbindir}/isnsadm
%dir %{_sysconfdir}/isns
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/isns/isnsd.conf
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/isns/isnsadm.conf
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/isns/isnsdd.conf
%{_mandir}/man8/*
%{_mandir}/man5/*
%{_unitdir}/isnsd.service

%files -n %{libname}
%{_libdir}/libisns.so.%{major}{,.*}

%files -n %{devname}
%dir %{_includedir}/libisns
%{_includedir}/libisns/attrs.h
%{_includedir}/libisns/buffer.h
%{_includedir}/libisns/isns.h
%{_includedir}/libisns/isns-proto.h
%{_includedir}/libisns/message.h
%{_includedir}/libisns/paths.h
%{_includedir}/libisns/source.h
%{_includedir}/libisns/types.h
%{_includedir}/libisns/util.h
%{_libdir}/libisns.so
%{_libdir}/pkgconfig/libisns.pc
