%define gamelibdir	%{_libdir}/games/%{name}

Summary:	An open-source content package for Quake III Arena
Name:		openarena
Version:	0.8.8
Release:	%mkrel 15
License:        GPLv2+
Group:          Games/Shooter
URL:            https://openarena.ws/
Source0:	%{name}-engine-source-%{version}.tar.bz2
Source1:	http://cheapy.deathmask.net/logo.gif
Patch1:		openarena-0.8.8-stack.patch
Patch2:		openarena-0.8.8-x86.patch
Patch3:		openarena-Add-support-for-Aarch64-ARM64.patch
BuildRequires:	GL-devel
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(openal)
BuildRequires:	oggvorbis-devel
BuildRequires:	imagemagick
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	%{name}-data >= %{version}
Requires:	%{name}-data => %{version}

%description
OpenArena is an open-source content package for Quake III Arena
licensed under the GPL, effectively creating a free stand-alone
game. You do not need Quake III Arena to play this game.

%prep
%setup -q -n %{name}-engine-source-%{version}
%autopatch -p1

# do not strip binaries
sed -i 's|STRIP_FLAG = -s|STRIP_FLAG =|g' Makefile

%build
%set_build_flags
%serverbuild

%make_build USE_CURL=1 USE_CURL_DLOPEN=0 USE_OPENAL=1 USE_OPENAL_DLOPEN=0 USE_CODEC_VORBIS=1

%install
%make_build copyfiles COPYDIR=%{buildroot}%{gamelibdir}
# symlink files from noarch package in arch-specific game dir
ln -sf %{_gamesdatadir}/%{name}/baseoa/* %{buildroot}%{gamelibdir}/baseoa

binary=`basename %{buildroot}%{gamelibdir}/openarena.*`

install -d %{buildroot}%{_gamesbindir}
cat > %{buildroot}%{_gamesbindir}/%{name} <<EOF
#!/bin/sh
cd %{gamelibdir}
exec ./$binary \$*
EOF
chmod 755 %{buildroot}%{_gamesbindir}/%{name}

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48,64x64,128x128}/apps
convert -scale 128x128 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png
convert -scale 64x64 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
convert -scale 48x48 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 32x32 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16x16 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=OpenArena
Comment=Quake 3: Arena-like FPS game
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

%files
%{_gamesbindir}/%{name}
%dir %{gamelibdir}
%{gamelibdir}/missionpack
%{gamelibdir}/oa_ded.*
%{gamelibdir}/%{name}.*
%dir %{gamelibdir}/baseoa
%{gamelibdir}/baseoa/*.pk3
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
