%define major      7
%define libname    %mklibname %{name} %{major}
%define develname  %mklibname %{name} -d

%define url_ver %(echo %{version}|sed -e 's/\\./\\-/g')

Name:           openbabel
Version:        3.1.1
Release:        %mkrel 19
Summary:        Chemistry software file format converter
License:        GPLv2+
Group:          Sciences/Chemistry
URL:            https://openbabel.org/wiki/Main_Page
Source:         https://github.com/openbabel/openbabel/releases/download/openbabel-%{url_ver}/%{name}-%{version}-source.tar.bz2
Source1:        openbabelgui.desktop
# fix perl modules install path
Patch1:         %{name}-perl.patch
# fix plugin directory location (#680292, patch by lg)
Patch4:         openbabel-plugindir.patch
Patch5:         openbabel-pkgconfig-and-cmake-libdir.patch
Patch6:         openbabel-noswig-rubymethod.patch
Patch7:         openbabel-ruby19-vendorarch.patch
Patch9:         openbabel-2.4.1-ruby27.patch
Patch10:	0001-CMake-fix-time-check-typo-fixes-build-failure-w-GCC-.patch
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  doxygen
BuildRequires:  imagemagick
BuildRequires:  swig
BuildRequires:  boost-devel
BuildRequires:  inchi-devel >= 1.0.4
BuildRequires:  perl-devel
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  wxgtk-devel
BuildRequires:  cmake(coordgen)
BuildRequires:  cmake(maeparser)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(eigen3)
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(RapidJSON)
BuildRequires:  pkgconfig(ruby)
BuildRequires:  pkgconfig(zlib)

%description
Open Babel is a project designed to pick up where Babel left off,
as a cross-platform program and library designed to interconvert
between many file formats used in molecular modeling and computational
chemistry.

%package -n     %{libname}
Summary:        Shared libraries of %{name}
Group:          System/Libraries

%description -n %{libname}
Open Babel is a project designed to pick up where Babel left off,
as a cross-platform program and library designed to interconvert
between many file formats used in molecular modeling and computational
chemistry.

This package contains shared libraries of %{name}.

%package -n     %{develname}
Summary:        Development files of %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}
Requires:       inchi-devel >= 1.0.4
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Open Babel is a project designed to pick up where Babel left off,
as a cross-platform program and library designed to interconvert
between many file formats used in molecular modeling and computational
chemistry.

This package includes the header files and other development
related files necessary for developing or compiling programs
using the %{name} library.

%package -n     perl-%{name}
Group:          Development/Perl
Summary:        Perl wrapper for the Open Babel library

%description -n perl-%{name}
Perl wrapper for the Open Babel library.

%package -n     python3-%{name}
Group:          Development/Python
Summary:        Python3 wrapper for the Open Babel library
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
Python 3 wrapper for the Open Babel library.

%package -n     ruby-%{name}
Summary:        Ruby wrapper for the Open Babel library
Group:          Development/Ruby
Requires:       %{name} = %{version}-%{release}

%description -n ruby-%{name}
Ruby wrapper for the Open Babel library.

%prep
%setup -q
%autopatch -p1
convert src/GUI/babel.xpm -transparent white babel.png

%build
%cmake \
   -DCMAKE_INSTALL_LIBDIR:PATH=%{_lib} \
   -DCMAKE_SKIP_INSTALL_RPATH:BOOL=ON \
   -DENABLE_TESTS:BOOL=OFF \
   -DBUILD_GUI:BOOL=ON \
   -DENABLE_VERSIONED_FORMATS=false \
   -DPYTHON_BINDINGS:BOOL=ON \
   -DPYTHON_EXECUTABLE=%{__python3} \
   -DPERL_BINDINGS:BOOL=ON \
   -DRUBY_BINDINGS:BOOL=ON \
   -DRUN_SWIG=true \
   -DOPENBABEL_USE_SYSTEM_INCHI=ON
%cmake_build

%install
touch scripts/CMakeLists.txt
%cmake_install

chmod 0755 %{buildroot}%{perl_vendorarch}/auto/Chemistry/OpenBabel/OpenBabel.so
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
install -Dpm644 babel.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/babel.png

%files
%doc AUTHORS COPYING README.md THANKS
%doc doc/*.html doc/diox* doc/README*
%{_bindir}/*
%{_mandir}/man?/*
%{_datadir}/%{name}/
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/*/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/cmake/openbabel3/
%{_libdir}/pkgconfig/%{name}-3.pc
%{_libdir}/lib%{name}.so

%files -n perl-%{name}
%{perl_vendorarch}/*

%files -n python3-%{name}
%{python3_sitearch}/%{name}/

%files -n ruby-%{name}
%{ruby_vendorarchdir}/openbabel.so
