%define	uname	OpenBoard

#define gittag	47a96e1d6bbdc0250977d22f1b79f11fcc1cbeee
#define gitdate	20220608

%define rel 1

Name:		openboard
Version:	1.7.3
Release:	%mkrel %{?gitdate:0.git%{gitdate}.}%{rel}
Summary:	Interactive whiteboard for schools and universities
License:	GPLv3+
Group:		Education
Url:		https://openboard.ch
Source0:	https://github.com/OpenBoard-org/OpenBoard/archive/%{?gittag}%{!?gittag:v%{version}}/%{uname}-%{version}%{?gittag:-%{gittag}}.tar.gz
# from opensuse
Patch8:		0008-Linux-Only-use-onboard-by-default-if-it-s-installed.patch
Patch11:	0955-shortcut-configuration.patch
Patch13:	1165-fix-some-wayland-problems.patch
Patch14:	9117-disable-software-update.patch
# from arch
Patch20:	qchar.patch
# from debian
Patch53:	1006_fix-stencil-color.patch
#
ExclusiveArch:	aarch64 x86_64
BuildRequires:	cmake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	ffmpeg-devel
BuildRequires:	libgomp-devel
BuildRequires:	libpaper-devel
BuildRequires:	qtsingleapplication-qt6-devel
BuildRequires:	cmake(QuaZip-Qt6)
BuildRequires:	cmake(Qt6Multimedia)
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6MultimediaWidgets)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6UiTools)
BuildRequires:	cmake(Qt6WebEngineWidgets)
BuildRequires:	cmake(Qt6Xml)
BuildRequires:	cmake(Qt6SvgWidgets)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(poppler)
BuildRequires:	pkgconfig(poppler-cpp)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(hunspell)

%description
OpenBoard is an open source cross-platform interactive white board
application designed primarily for use in schools. It was originally
forked from Open-Sankoré, which was itself based on Uniboard.

%prep
%autosetup -p1 -n %{uname}-%{?gittag}%{!?gittag:%{version}}

# Don't force C++ standard
sed -i -e '/CMAKE_CXX_STANDARD/d' CMakeLists.txt

%build
%cmake \
  -DCMAKE_CXX_STANDARD=20 \
  -DCMAKE_INSTALL_DATADIR=share \
  -DQT_VERSION=6
%cmake_build

%install
%cmake_install

# customizations
cp -R resources/customizations %{buildroot}%{_datadir}/%{name}/

# clean some exe bits
find %{buildroot} -executable -type f -name *.js -exec chmod -x '{}' \+
find %{buildroot} -executable -type f -name *.svg -exec chmod -x '{}' \+
find %{buildroot} -executable -type f -name *.css -exec chmod -x '{}' \+
find %{buildroot} -executable -type f -name *.xml -exec chmod -x '{}' \+
find %{buildroot} -executable -type f -name *.html -exec chmod -x '{}' \+

%files
%doc README.md
%license COPYRIGHT LICENSE
%{_bindir}/openboard
%{_sysconfdir}/openboard/
%{_datadir}/openboard/
%{_datadir}/applications/ch.openboard.OpenBoard.desktop
%{_iconsdir}/hicolor/scalable/apps/ch.openboard.OpenBoard.svg
%{_iconsdir}/hicolor/scalable/mimetypes/ch.openboard.application-ubz.svg
%{_datadir}/mime/packages/ch.openboard.openboard-ubz.xml
