%define minor_version	7142

Name:		openbor
Version:	3.0.%{minor_version}
Release:	%mkrel 3
Summary:	Moddable fighting game engine (aka Beats of Rage)
License:	BSD
Group:		Games/Arcade
Url:		https://www.chronocrash.com/
Source0:	https://github.com/DCurrent/openbor/archive/v%{version}/%{name}-%{minor_version}.tar.gz
Source1:	%{name}-wrapper.sh
# Disable -Werror and rpath, have verbose compile output...
Patch0:		openbor-7142-fix-Makefile.patch
Patch1:		0001-Fix-anim_list-and-model_cache-definitions.patch
ExclusiveArch:	%{ix86} x86_64
BuildRequires:	imagemagick
BuildRequires:	gcc-c++
BuildRequires:	svn
BuildRequires:	yasm
BuildRequires:	pkgconfig(SDL2_gfx)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(vorbisfile)
BuildRequires:	pkgconfig(vpx)

%description
OpenBOR is the open source continuation of Beats of Rage, a Streets of Rage
tribute game originally developed by Senile Team. In the years since it has
grown into arguably the single most powerful two dimensional sprite-based
engine in the world and certainly the most versatile. While intended to allow
creation of side scrolling beat 'em ups like Double Dragon or Final Fight, the
engine is also capable of replicating shoot 'em ups, RPGs, platformers and the
like. A built-in scripting engine allows authors to take it even further,
making imagination the only real limit.

The games come separated in .pak files: you need to download them, extract
them and put them under the the Paks folder (~/.openbor/Paks/).

%files
%doc README.md CONTRIBUTING.md
%license LICENSE
%{_gamesbindir}/%{name}
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png

#-----------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{minor_version}

sed -i 's|VERSION_BUILD=0000|VERSION_BUILD=%{minor_version}|' engine/version.sh

%build
%set_build_flags

pushd engine
	./version.sh
	./environ.sh 4
%ifarch x86_64
	%make_build SDKPATH=%{_prefix} LNXDEV=%{_bindir} BUILD_LINUX=1 GCC_TARGET=amd64
%else
	%make_build SDKPATH=%{_prefix} LNXDEV=%{_bindir} BUILD_LINUX=1 GCC_TARGET=x86
%endif
popd

%install
# No automated install:
# 1. Install the binaries
install -D -m0755 engine/OpenBOR %{buildroot}%{_libexecdir}/%{name}/%{name}
install -D -m0755 %{SOURCE1} %{buildroot}%{_gamesbindir}/%{name}

# 2. Provide a menu entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=OpenBor
Comment=2D Beat'em'up engine
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

# 3. Provide a few icons
for i in 16 22 24 32 48 64 256; do
	mkdir -p %{buildroot}%{_iconsdir}/hicolor/"$i"x"$i"/apps
	convert -strip -resize "$i"x"$i" engine/resources/OpenBOR_Icon_128x128.png %{buildroot}%{_iconsdir}/hicolor/"$i"x"$i"/apps/%{name}.png
done
