Summary:	OpenCA Base Tools
Name:		openca-tools
Version:	1.3.1
Release:	%mkrel 6
License:	BSD-style
Group:		System/Servers
URL:		https://www.openca.org/
Source0:	https://prdownloads.sourceforge.net/openca/%name-%version.tar.gz
Patch0:		openca-tools-no_rpath.diff
Patch1:		openca-tools-1.3.0-drop-unused-automake-macro.patch
Patch2:		openca-tools-1.1.0-format_not_a_string_literal_and_no_format_arguments.diff
# fix build with openssl 1.1 and fix some implicit declarations
Patch3:		openca-tools-1.3.1-openssl11.patch
# fix remaining implicit declarations
Patch4:		openca-tools-1.3.1-declarations.patch
Requires:	openssl >= 0.9.7
BuildRequires:	openssl >= 0.9.7
BuildRequires:	pkgconfig(openssl) >= 0.9.7

%description
OpenCA Tools provide command line facilities for (1) digital signatures
generation and verifications and for (2) SCEP message handling.

#--------------------------------------------------------------------

%package -n	openca-scep
Summary:	OpenCA SCEP Tool
Group:		System/Servers
License:	BSD-style

%description -n	openca-scep
OpenCA SCEP Tool

%files -n openca-scep
%doc AUTHORS COPYING INSTALL NEWS README examples/openca-scep
%{_bindir}/openca-scep

#--------------------------------------------------------------------

%package -n	openca-sv
Summary:	OpenCA PKCS#7 tool
Group:		System/Servers
License:	BSD-style

%description -n	openca-sv
OpenCA SV Tool is aimed to help you in generating PKCS#7 signatures and verify
them. This tool can also verify signatures generated with Netscape crypto()
javascript function.

%files -n openca-sv
%doc AUTHORS COPYING INSTALL NEWS README examples/openca-sv
%{_bindir}/openca-sv
%{_mandir}/man1/openca-sign.1*
%{_mandir}/man1/openca-verify.1*

#--------------------------------------------------------------------

%package -n	openca-crmf
Summary:	OpenCA CRMF Tool
Group:		System/Servers
License:	GPLv2

%description -n	openca-crmf
OpenCA CRMF Tool

%files -n openca-crmf
%{_bindir}/openca-crmf

#--------------------------------------------------------------------

%prep
%setup -q
%patch -P 0 -p0
%patch -P 1 -p0
%patch -P 2 -p1
%patch -P 3 -p1 -b .openssl11
%patch -P 4 -p1 -b .declarations

# fix borkiness
perl -pi -e "s|/etc/issue|/etc/%{_real_vendor}-release|g" configure.in

%build
%serverbuild
CFLAGS="$CFLAGS -Werror=implicit-function-declaration"
autoreconf -fi

%configure \
    --enable-openssl-engine \
    --with-openssl-prefix=%{_prefix} \
    --with-openca-prefix=%{_datadir}/openca \
    --with-openca-user=openca \
    --with-openca-group=openca
%make_build

%install
%make_install

# fix man pages
mv %{buildroot}%{_mandir}/man1/sign.1 %{buildroot}%{_mandir}/man1/openca-sign.1
mv %{buildroot}%{_mandir}/man1/verify.1 %{buildroot}%{_mandir}/man1/openca-verify.1
