%define major     1.1
%define libname   %mklibname %{name} %major
%define develname %mklibname %{name} -d

Name:           opencc
Version:        1.1.7
Release:        %mkrel 2
Summary:        Simplified-Traditional Chinese Conversion
License:        ASL 2.0
Group:          System/Internationalization
URL:            https://github.com/BYVoid/OpenCC
Source0:        https://github.com/BYVoid/OpenCC/archive/ver.%{version}/%{name}-%{version}.tar.gz
Patch0:         opencc-fixes-cmake.patch
Patch1:         opencc-1.0.3-ld_path.patch
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  cmake(rapidjson)
BuildRequires:  pkgconfig(marisa)
BuildRequires:  pkgconfig(pybind11)
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(tclap)

Provides:       bundled(darts) = 0.32

%description
OpenCC is an Open Source project for conversion between Traditional Chinese and
Simplified Chinese, which supports phrase-level conversion and regional idioms
among Mainland China, Taiwan and Hong Kong.

%package -n %libname
Summary:        Runtime library for OpenCC
Group:          System/Libraries
Requires:       %name

%description -n %libname
Runtime Libraries for OpenCC.

%package -n %develname
Summary:        Development tools for OpenCC
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %develname
Development tools for OpenCC.

%prep
%autosetup -p1 -n OpenCC-ver.%{version}

%build
%cmake -DBUILD_DOCUMENTATION:BOOL=ON \
       -DBUILD_PYTHON:BOOL=ON \
       -DUSE_SYSTEM_DARTS:BOOL=OFF \
       -DUSE_SYSTEM_MARISA:BOOL=ON \
       -DUSE_SYSTEM_PYBIND11:BOOL=ON \
       -DUSE_SYSTEM_RAPIDJSON:BOOL=ON \
       -DUSE_SYSTEM_TCLAP:BOOL=ON
%cmake_build

%install
%cmake_install

%files
%doc AUTHORS NEWS.md README.md
%license LICENSE
%{_bindir}/*
%{_datadir}/opencc/

%files -n %{libname}
%license LICENSE
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/cmake/opencc/
%{_libdir}/pkgconfig/*.pc
