%define cl_h_ver	2024.10.24
%define cl_hpp_ver	%{cl_h_ver}
%define snap		%(echo %{cl_h_ver} | sed -e 's/\\.//g')

%define rel	1

Name:		opencl-headers
Version:	3.0
Release:	%mkrel -c %snap %rel
Summary:	OpenCL (Open Computing Language) headers
License:	MIT
Group:		Development/C
URL:		https://www.khronos.org/registry/OpenCL/
Source0:	https://github.com/KhronosGroup/OpenCL-Headers/archive/v%{cl_h_ver}/%{name}-%{version}-%{cl_h_ver}.tar.gz
# # OCL 2.0 compatibility
Source1:	https://github.com/KhronosGroup/OpenCL-CLHPP/archive/v%{cl_hpp_ver}/opencl-clhpp-%{version}-%{cl_hpp_ver}.tar.gz
# OCL 1.2 compatibility
Source2:	https://www.khronos.org/registry/cl/api/2.1/cl.hpp
# See $API and $HEADERS variables inside get-tarball.sh when updating:
Source10:	get-tarball.sh
Patch2:		0002-Added-HeadersCpp-cmake-config-files.patch
# Fix typo causing compiler error
BuildArch:	noarch

BuildRequires:	cmake

# Usually we want libOpenCL.so as well, so recommend it:
Recommends:	opencl-devel

%description
OpenCL is a royalty-free standard for cross-platform, parallel programming
of modern processors found in personal computers, servers and
handheld/embedded devices.

This package provides the official Khronos Group OpenCL headers needed to
compile programs that use OpenCL.

%prep
%autosetup -p1 -n OpenCL-Headers-%{cl_h_ver} -a1

cp -p OpenCL-CLHPP-%{cl_hpp_ver}/include/CL/{cl2,opencl}.hpp %{SOURCE2} CL/

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSE
%dir %{_includedir}/CL
%{_includedir}/CL/*.h*
%{_datadir}/cmake/OpenCLHeaders/
%{_datadir}/cmake/OpenCLHeadersCpp/
%{_datadir}/pkgconfig/OpenCL-Headers.pc
