Name:           openconnect-sso
Version:        0.8.0
Release:        %mkrel 6
Summary:        Wrapper script for OpenConnect supporting Azure AD (SAMLv2) authentication
Group:          Development/Python
License:        GPLv3
URL:            https://github.com/vlaci/openconnect-sso
Source0:        https://github.com/vlaci/openconnect-sso/releases/download/v%{version}/%{name}-%{version}.tar.gz
Patch0:         relax-pyxdg-version-constraints.patch
Patch1:         relax-keyring-version-constraints.patch
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

# For tests
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)

Requires:       openconnect
Requires:       python3-qt5-core
Requires:       python3-qt5-gui
Requires:       python3-qt5-network
Requires:       python3-qt5-widgets
Requires:       python3-qt5-webengine
Requires:       python3-qt5-webenginewidgets

%description
Wrapper script for OpenConnect supporting Azure AD (SAMLv2) authentication
to Cisco SSL-VPNs.

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files openconnect_sso

%check
%{pytest} || /usr/bin/true # pytest-httpserver

%files -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/%{name}
