%define major		5
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		openconnect
Version:	9.12
Release:	%mkrel 2
Summary:	Open client for Cisco AnyConnect VPN
Group:		Networking/Other
License:	LGPLv2+
URL:		https://www.infradead.org/openconnect/
Source0:	https://www.infradead.org/openconnect/download/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(bash-completion)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(krb5)
BuildRequires:	pkgconfig(liblz4)
BuildRequires:	pkgconfig(libpcsclite)
BuildRequires:	pkgconfig(libproxy-1.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(tss2-esys)
BuildRequires:	trousers-devel
BuildRequires:	groff
BuildRequires:	intltool
BuildRequires:	softhsm
BuildRequires:	xdg-utils
# the vpnc connect script is  needed
Requires:	vpnc

%description
This package provides a client for Cisco's "AnyConnect" VPN, which uses
HTTPS and DTLS protocols.

%package -n	%{libname}
Summary:	Runtime Library needed by %{name}
Group:		System/Libraries

%description -n	%{libname}
Runtime librairy for %{name}.

%package -n	%{develname}
Summary:	Development headers for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Headers files to build packages against %{name}.

%prep
%autosetup -p1

%build
%configure \
	--disable-static \
	--disable-dsa-tests \
	--with-vpnc-script=/etc/vpnc/vpnc-script \
	--htmldir=%{_pkgdocdir}
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/libopenconnect.la
rm -f %{buildroot}%{_libexecdir}/openconnect/tncc-wrapper.py
rm -f %{buildroot}%{_libexecdir}/openconnect/hipreport-android.sh

%find_lang %{name}

# Get rid of .la files
find %{buildroot} -name '*.la' -delete

%check
# 3DES and MD5 really are just gone.
make VERBOSE=1 check XFAIL_TESTS=obsolete-server-crypto

%files -f %{name}.lang
%doc AUTHORS TODO COPYING.LGPL
%doc %{_pkgdocdir}
%{_sbindir}/%{name}
%{_libexecdir}/%{name}/
%{_datadir}/bash-completion/completions/%{name}
%{_mandir}/man8/*

%files -n %{libname}
%{_libdir}/libopenconnect.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libopenconnect.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}.h
