%global project opencontainers
%global repo runc
%global goipath github.com/%{project}/%{repo}
%global debug_package %{nil}

#debuginfo not supported with Go
%global gopath  %{_libdir}/golang
%define gosrc %{gopath}/src/pkg/%{goipath}

Name:           %{project}-%{repo}
Epoch:          1
Version:        1.2.4
Release:        %mkrel 1
Summary:        runc container cli tools
License:        ASL 2.0
Group:          System/Configuration

URL:            https://www.opencontainers.org/
Source0:		https://%{goipath}/archive/v%{version}.tar.gz


BuildRequires:  gcc
BuildRequires:  glibc-static-devel
BuildRequires:  pkgconfig(libseccomp)

# ensure build uses golang 1.13 or above
BuildRequires:  golang >= 1.13
Provides: oci-runtime = 2

%package devel
Summary:		runc container devel files
Provides:		golang(%{name}) = %{version}-%{release}

%description devel
This is the source libraries for runC

%description
runc is a CLI tool for spawning and running containers according to the OCI specification.

%gopkg

%prep
%autosetup -n %{repo}-%{version} -p1

%build
export GOPATH=$(pwd)/Godeps/_workspace:%{gopath}
ln -sf $(pwd)/vendor $(pwd)/src
mkdir -p $(pwd)/vendor/github.com/opencontainers/runc
cp -a libcontainer $(pwd)/vendor/github.com/opencontainers/runc
cp -a types $(pwd)/vendor/github.com/opencontainers/runc
export GOPATH=$(pwd):%{gopath}
rm -f go.mod
export GO111MODULE=off
make BUILDTAGS="seccomp selinux"

%install
# Fix for gopkginstall
ln -sf . _build
# install binary
install -d %{buildroot}%{_bindir}
install -p -m 755 runc %{buildroot}%{_bindir}
cd %{buildroot}%{_bindir}
for i in *; do
	ln -sf $i docker-$i
done
# Setup for gopkginstall
%global extractdir0 %{repo}-%{version}
%gopkginstall -v

%files
%doc CONTRIBUTING.md MAINTAINERS* PRINCIPLES.md README.md
%license LICENSE NOTICE
%{_bindir}/*

%files devel
%{_libdir}/golang/src/%{goipath}
