%global project opencontainers
%global repo runtime-spec
%global goipath github.com/%{project}/%{repo}
%global debug_package %{nil}
#debuginfo not supported with Go

%global common_description Open Container Initiative Runtime Specification

Name:           %{project}-%{repo}
Version:        1.0.2
Release:        %mkrel 1
Summary:        %{common_description}
License:        ASL 2.0
Group:          System/Configuration

URL:            https://www.opencontainers.org/
Source0:		https://%{goipath}/archive/v%{version}.tar.gz

BuildRequires:  golang
# if you want to build validate
#BuildRequires:  golang-github-xeipuuv-gojsonschema
Provides: oci-runtime-spec = 1.0.2

%package devel
Summary:		%{common_description}
Provides:		golang(%{name}) = %{version}-%{release}

%description devel
%{common_description}.

development files.

%description
%{common_description}.

%prep
%autosetup -n %{repo}-%{version} -p1

%build
export GOPATH=$(pwd):%{gopath}
#(cd schema ; make validate)
cd specs-go
%gobuild

%install
# Setup for gopkginstall
%global extractdir0 %{repo}-%{version}
mkdir -p _build/src/%{goipath}
cd specs-go
%goinstall

%files
%doc *.md
%license LICENSE

%files devel
%{gopath}/src/%{goipath}
