%global ocpnlibscommit0 c1d82631756056437edc58235d9e1ff68b46ddf3
%define piname	celestial_navigation_pi
%global  _disable_ld_as_needed 1

Name:		opencpn-celestial-navigation-plugin
Summary:	Celestial Navigation plugin for OpenCPN
Version:	2.4.47.0
Release:	%mkrel 1
License:	GPLv3+
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/celestialnav.html
Source0:	https://github.com/rgleason/%{piname}/archive/v%{version}/%{piname}-%{version}.tar.gz
Source1:    https://github.com/OpenCPN/opencpn-libs/archive/%{ocpnlibscommit0}/opencpn-libs-%{ocpnlibscommit0}.tar.gz
Patch0:     opencpn-libs-c1d8263-tinyxml.patch
Patch1:     opencpn-libs-c1d8263-json.patch
Patch2:     celestial-Plugin-2.4.43-Configure.patch

BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	wxgtku3.2-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:  pkgconfig(jsoncpp)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:	pkgconfig(zlib)

Requires:	opencpn
Provides:   %{piname} = %{version}

%description
Implements nautical almanac for sun, moon, planets and various
navigational stars.

Enables the user to compute a position fix from celestial measurements.

%prep
%setup -a1 -n %{piname}-%{version}

%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1

mv opencpn-libs-%{ocpnlibscommit0}/{.,}* opencpn-libs/

%build
%cmake

%cmake_build

%install
%cmake_install

%find_lang opencpn-%{piname}

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/
