%global ocpnlibscommit0 c1d82631756056437edc58235d9e1ff68b46ddf3
%global climatodatacommit 006120320bde2c1ad8da10a911cdf2b0f3bffe0d
%define piname	climatology_pi

Name:		opencpn-climatology-plugin
Summary:	Climatology plugin for OpenCPN
Version:	1.6.33.0
Release:	%mkrel 1
License:	GPLv3+
Group:		Geography
URL:		https://github.com/seandepagnier/climatology_pi
Source0:	https://github.com/rgleason/%{piname}/archive/v%{version}/%{piname}-%{version}.tar.gz
Source1:    https://github.com/OpenCPN/opencpn-libs/archive/%{ocpnlibscommit0}/opencpn-libs-%{ocpnlibscommit0}.tar.gz
Source2:    https://github.com/seandepagnier/climatology_pi_data/archive/%{climatodatacommit}/climatology_pi_data-%{climatodatacommit}.tar.gz
Patch0:     opencpn-libs-c1d8263-tinyxml.patch
Patch1:     opencpn-libs-c1d8263-json.patch
Patch2:		climatology_pi-1.6.33-add-missing-gl-include.patch
Patch3:     climatology-Plugin-1.6.33-Configure.patch

BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	git
BuildRequires:	wxgtku3.2-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(jsoncpp)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:	pkgconfig(zlib)

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
Provides overlay capabilities for historic weather data.

Supported Climatology types include:

* Average wind directions and speed
* Percentage of gale and calm conditions
* Average swell and sea state (not yet implemented)
* Precipitation, Humidity, and Cloud Cover
* Monthly average Sea Level pressure and Sea Temperature, Air Temperature
* Tropical Cyclone tracks

%prep
%setup -q -a1 -a2 -n %{piname}-%{version}
%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1

mv opencpn-libs-%{ocpnlibscommit0}/{.,}* opencpn-libs/
mv climatology_pi_data-%{climatodatacommit}/* data/

%build
%cmake

%cmake_build

%install
%cmake_install

%find_lang opencpn-%{piname}

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/
