%global gdate	20231206
%global commit0 cdcea04648ed2d160c70025fafd4330780f8817c
%define piname	iacfleet_pi
%define majname  IACFleet
%global rel 2
%define _disable_ld_no_undefined 1

Name:		opencpn-iacfleet-plugin
Summary:	Plugin for OpenCpn for visualizing data in weather bulletins
Version:	0.32.0
Release:	%mkrel 3.git%{?gdate}.%{rel}
License:	GPLv3+
Group:		Geography
URL:		https://github.com/nohal/%{piname}
%if 0%{!?gdate:1}
Source0:	https://github.com/nohal/%{piname}/archive/v%{version}/%{piname}-%{version}.tar.gz
%else
Source0:	 https://github.com/nohal/%{piname}/archive/%{commit0}/%{piname}-%{commit0}.tar.gz
%endif
#download https://github.com/OpenCPN/opencpn-libs/archive/refs/tags/main@257338e.tar.gz
Source1:    opencpn-libs-main-257338e.tar.gz
Patch0:     opencpn-libs-257338e-tinyxml.patch
Patch1:     opencpn-libs-257338e-json.patch
BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	wxgtku3.2-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:  pkgconfig(jsoncpp)

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
IAC Fleet Code plugin for opencpn visualizes the encoded data issued as part of
the weather bulletins.

The IAC Fleet Code provides size effective encoded synoptic charts for several
areas of the world, especially useful with slow and limited connection to the
Internet.

Coverage areas:
* South Pacific weather issued by Fiji Meteorologica Service in Nadi and
available from Saildocs
* Weather over Brazil and adjacent parts of Pacific and Atlantic oceans,
including direct download of the data from the Internet
* Weather analysis and 24 hour forecast for North Atlantic and Europe
issued by NOAA, including direct download of the data from the Internet.

%prep
%autosetup -a1 -p1 -n %{piname}-%{?commit0}%{!?commit0:%version}
mv opencpn-libs-main-257338e/{.,}* opencpn-libs/

%build
%cmake
%cmake_build



%install

mkdir -p %{buildroot}%{_libdir}/opencpn
mkdir -p %{buildroot}%{_datadir}/opencpn/plugins/%{piname}/data
mkdir -p %{buildroot}%{_datadir}/locale

install -Dpm755 %{_vpath_builddir}/lib%{piname}.so %{buildroot}%{_libdir}/opencpn/
install -Dpm644 data/* %{buildroot}%{_datadir}/opencpn/plugins/%{piname}/data/

%ifarch x86_64 i586
mv %{_vpath_builddir}/app/IACFleet-0.32-mageia-*/share/locale/ %{buildroot}%{_datadir}
%endif

%ifarch aarch64
mv %{_vpath_builddir}/app/IACFleet-0.32-mageia-A64-*/share/locale/ %{buildroot}%{_datadir}
%endif

%ifarch armv7hl
mv %{_vpath_builddir}/app/IACFleet-0.32-mageia-A32-*/share/locale/ %{buildroot}%{_datadir}
%endif

%files 
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/iacfleet_pi/
%{_datadir}/locale/
