%define _disable_ld_no_undefined 1
%define uname	LogbookKonni_pi
%define piname	logbookkonni_pi
%global ocpnlibscommit0 9804fbeae263dc51f26fa8773c6796b82ceae5fd

Name:		opencpn-logbookkonni-plugin
Summary:	Logbook plugin for OpenCPN
Version:	1.4.31.0
Release:	%mkrel 2
License:	GPLv3+
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/logbookkonni.html
Source0:	https://github.com/rgleason/%{uname}/archive/v%{version}/%{uname}-%{version}.tar.gz
Source1:    https://github.com/leamas/opencpn-libs/archive/%{ocpnlibscommit0}/opencpn-libs-%{ocpnlibscommit0}.zip
Source2:	README_Layouts.txt
Patch0:     opencpn-libs-9804fbe-json.patch
Patch1:     opencpn-libs-9804fbe-tinyxml.patch
Patch2:     logbook-1.4.31.0-GetArch.patch

BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	wxgtku3.2-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:  pkgconfig(jsoncpp)

Requires:	opencpn
Provides:	LogbookKonni = %{version}
Provides:	opencpn-logbook-plugin = %{version}-%{release}
Conflicts:	opencpn < 4.8.0

%description
The Konni's logbook plugin is fully integrated with the graphical interface
of OpenCPN.

NB: Once the logbook is activated, the LogbookKonni layouts 
must be installed for each user.

See /usr/share/doc/opencpn-logbookkonni-plugin/README_Layouts.txt for
help installing the layouts.

%prep
%autosetup -a1 -p1 -n %{uname}-%{version}
mv opencpn-libs-%{ocpnlibscommit0}/{.,}* opencpn-libs/

%build
%cmake
%cmake_build

%install

cp %{SOURCE2} .

mkdir -p %{buildroot}%{_libdir}/opencpn
mkdir -p %{buildroot}%{_datadir}/opencpn
mkdir -p %{buildroot}%{_datadir}/locale

install -Dpm755 %{_vpath_builddir}/lib%{uname}.so %{buildroot}%{_libdir}/opencpn/

%ifarch x86_64 i586
mv %{_vpath_builddir}/app/Logbook-1.4-mageia-*/share/locale/ %{buildroot}%{_datadir}
mv %{_vpath_builddir}/app/Logbook-1.4-mageia-*/share/opencpn/ %{buildroot}%{_datadir}
%endif

%ifarch aarch64
mv %{_vpath_builddir}/app/Logbook-1.4-mageia-A64-*/share/locale/ %{buildroot}%{_datadir}
mv %{_vpath_builddir}/app/Logbook-1.4-mageia-A64*/share/opencpn/ %{buildroot}%{_datadir}
%endif

%ifarch armv7hl
mv %{_vpath_builddir}/app/Logbook-1.4-mageia-*/share/locale/ %{buildroot}%{_datadir}
mv %{_vpath_builddir}/app/Logbook-1.4-mageia-*/share/opencpn/ %{buildroot}%{_datadir}
%endif

%files 
%doc README_Layouts.txt
%{_libdir}/opencpn/lib%{uname}.so
%{_datadir}/opencpn/plugins/%{uname}/data/
%{_datadir}/locale
