%define uname	nsk_pi
%define piname	nsk
%define libname libNSK_pi
%define Mname   NSK_pi

%define _disable_ld_no_undefined 1

Name:		opencpn-nsk-plugin
Summary:	converter of NMEA 0183 messages to SignalK deltas for OpenCPN
Version:	0.2.2
Release:	%mkrel 4
License:	GPLv3+
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/nsk.html
##git clone https://github.com/nohal/nsk_pi
Source0:	%{uname}.tar.gz
##git clone https://github.com/leamas/opencpn-libs.git
Source1:    opencpn-libs.tar.gz
Patch0:     nsk_pi-Plugin-cmake.patch

BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:  git
BuildRequires:	wxgtku3.2-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(RapidJSON)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:  marnav
BuildRequires:  marnav-devel


Requires:	opencpn
Provides:	%{piname} = %{version}

%description
The primary purpose of the NSK plugin is to provide data for the DashboardSK Plugin in small installations 
where a proper SignalK data source is not available.
This project provides a converter of NMEA 0183 messages to SignalK deltas for OpenCPN based on the SignalK data model. 


%prep
%autosetup -p1 -a 1 -n %{uname}

# To be sure to use system rapidjson
rm -rf include/rapidjson

%build
%cmake

%cmake_build

%install

mkdir -p %{buildroot}%{_libdir}/opencpn/
mkdir -p %{buildroot}%{_datadir}/opencpn/plugins/%{Mname}/data

mv  %{_vpath_builddir}/app/NSK-0.2-mageia-*/lib/opencpn/%{libname}.so %{buildroot}%{_libdir}/opencpn
install -Dpm644 data/* %{buildroot}%{_datadir}/opencpn/plugins/%{Mname}/data

%files 
%{_libdir}/opencpn/%{libname}.so
%{_datadir}/opencpn/plugins/%{Mname}/data/
