## NOTE nonfree only
# Not for linux 32bits
ExclusiveArch: armv7hl aarch64 x86_64
%define _disable_ld_no_undefined 1
%global ocpnlibscommit0 a001083af21de2e3faa970b245877a5ee5899aba
%define piname	o-charts_pi

Name:		opencpn-o-charts-plugin
Summary:	Provides support for encrypted charts available from o-charts.org
Version:	2.0.30.0
Release:	%mkrel 1
License:	GPLv3+ & partly closed Source
# See README.md for distribution permission for pre-built binary
Group:		Geography
URL:		https://github.com/bdbcat/o-charts_pi
Source0:	https://github.com/bdbcat/%{piname}/archive/%{piname}-%{version}.tar.gz
Source1:    https://github.com/OpenCPN/opencpn-libs/archive/%{ocpnlibscommit0}/opencpn-libs-%{ocpnlibscommit0}.tar.gz
Patch0:     o-charts_pi-2.0.30.0-GetArch.patch
Patch1:     o-charts-oeserverd-CMakeLists.patch
Patch2:     opencpn-libs-a001083-tinyxml.patch
Patch3:     opencpn-libs-a001083-json.patch

BuildRequires:	git
BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	wxgtku3.2-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:	pkgconfig(webkit2gtk-4.1)
BuildRequires:  pkgconfig(jsoncpp)

Requires:	opencpn
Provides:	%{piname} = %{version}
Obsoletes:	opencpn-oernc-plugin < 1.2.5-4
Obsoletes:	opencpn-oesenc-plugin < 4.2.17-2

%description
This is a plugin for OpenCPN [1] providing support for encrypted charts
available from o-charts.org [2]. The plugin supports purchase, downloading
and rendering of these charts.

-[1] https://www.opencpn.org
-[2] http://o-charts.org

This package is in the nonfree repository as it contains a proprietary binary.
See README.md in the package doc directory for the license information.

%prep
%setup -a1 -n %{piname}-%{version}

%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1

mv opencpn-libs-%{ocpnlibscommit0}/{.,}* opencpn-libs/

%build
%ifarch armv7hl aarch64 x86_64
%cmake 
%cmake_build
%endif


%install

%ifarch armv7hl aarch64 x86_64
mkdir -p %{buildroot}%{_libdir}/opencpn
mkdir -p %{buildroot}%{_docdir}/%{piname}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/opencpn/plugins/%{piname}/data
mkdir -p %{buildroot}%{_datadir}/locale

install -Dpm755 %{_vpath_builddir}/lib%{piname}.so %{buildroot}%{_libdir}/opencpn
cp -r data/ %{buildroot}%{_datadir}/opencpn/plugins/%{piname}
cp -r %{_vpath_builddir}/app/o-charts-2.0-mageia-*/share/locale %{buildroot}%{_datadir}
%endif

%ifarch x86_64
mkdir -p %{buildroot}/usr/lib
cp ./libs/oeserverd/linux64/oexserverd %{buildroot}%{_bindir}
cp ./libs/oeserverd/linux64/libsgl*.so %{buildroot}%{_bindir}
cp ./libs/oeserverd/linux64/libsgl*.so %{buildroot}%{_libdir}
cp ./libs/oeserverd/linux64/libsgl*.so %{buildroot}/usr/lib/
cp ./libs/oeserverd/linux64/libsgl*.so %{buildroot}%{_libdir}/opencpn
%endif

%ifarch armv7hl
cp ./libs/oeserverd/linuxarm/oexserverd %{buildroot}%{_bindir}
cp ./libs/oeserverd/linuxarm/libsgl*.so %{buildroot}%{_bindir}
cp ./libs/oeserverd/linuxarm/libsgl*.so %{buildroot}%{_libdir}
cp ./libs/oeserverd/linuxarm/libsgl*.so %{buildroot}%{_libdir}/opencpn
%endif

%ifarch aarch64
mkdir -p %{buildroot}/usr/lib
cp ./libs/oeserverd/linuxarm64/oexserverd %{buildroot}%{_bindir}
cp ./libs/oeserverd/linuxarm64/libsgl*.so %{buildroot}%{_bindir}
cp ./libs/oeserverd/linuxarm64/libsgl*.so %{buildroot}%{_libdir}
cp ./libs/oeserverd/linuxarm64/libsgl*.so %{buildroot}/usr/lib/
cp ./libs/oeserverd/linuxarm64/libsgl*.so %{buildroot}%{_libdir}/opencpn
%endif

%files
%{_libdir}/opencpn/
%{_bindir}/oexserverd
%ifarch aarch64 x86_64
/usr/lib/libsgl*.so
%endif
%{_bindir}/libsgl*.so
%{_libdir}/libsgl*.so
%{_datadir}/opencpn/plugins/%{piname}/data/*.*
%{_datadir}/locale
