%define piname	objsearch_pi
%define _disable_ld_no_undefined 1
%global ocpnlibscommit0 a001083af21de2e3faa970b245877a5ee5899aba

Name:		opencpn-objsearch-plugin
Summary:	Chart Object Search plugin for OpenCPN
Version:	0.26.3
Release:	%mkrel 2
License:	GPLv3+
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/chartobject.html
Source0:	https://github.com/nohal/%{piname}/archive/v%{version}/%{piname}-%{version}.tar.gz
Source1:    https://github.com/OpenCPN/opencpn-libs/archive/%{ocpnlibscommit0}/opencpn-libs-%{ocpnlibscommit0}.tar.gz
Patch0:     opencpn-libs-a001083-tinyxml.patch
Patch1:     opencpn-libs-a001083-json.patch

BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	wxgtku3.2-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:  pkgconfig(jsoncpp)

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
Allows search of named objects on S-57 s63 and CM93 vector charts.

Note: After the installation, the plug-in does not know anything about your
charts, you must view a chart at least once to populate the plug-in's database
with it's content.
This one time operation makes OpenCPN slower, however during subsequent views
of the same chart the speed of the application is unaffected.
Once the database is populated, the charts are no longer needed, so if you
prefer to use raster charts, you can populate the database from the ENC
chartset and then switch back to RNC charts and the search capabilities will
still be available.

%prep
%autosetup -a1 -p1 -n %{piname}-%{version}
mv  opencpn-libs-%{ocpnlibscommit0}/{.,}* opencpn-libs/

%build
%cmake

%cmake_build

%install

mkdir -p %{buildroot}%{_libdir}/opencpn
mkdir -p %{buildroot}%{_datadir}/opencpn/plugins/%{piname}/data
mkdir -p %{buildroot}%{_datadir}/locale

install -Dpm755 %{_vpath_builddir}/lib%{piname}.so %{buildroot}%{_libdir}/opencpn/
install -Dpm644 data/* %{buildroot}%{_datadir}/opencpn/plugins/%{piname}/data
mv %{_vpath_builddir}/app/ObjSearch-0.26-mageia-*/share/locale %{buildroot}%{_datadir}

%files 
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/data/
%{_datadir}/locale
