%define uname	radarPI
%define piname	radar_pi
%define _disable_ld_no_undefined 1

Name:		opencpn-radar-plugin
Summary:	Radar plugin for OpenCPN
Version:	5.5.0
Release:	%mkrel 3
License:	GPLv3+
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/%{uname}.html
Source0:	https://github.com/opencpn-radar-pi/%{piname}/archive/v%{version}/%{piname}-%{version}.tar.gz
#download https://github.com/OpenCPN/opencpn-libs/archive/refs/tags/main@257338e.tar.gz
Source1:    opencpn-libs-main-257338e.tar.gz
Patch0:     opencpn-libs-257338e-tinyxml.patch
Patch1:     opencpn-libs-257338e-json.patch

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	wxgtku3.2-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:  pkgconfig(jsoncpp)

Requires:	opencpn
Provides:	%{uname} = %{version}
Obsoletes:	opencpn-br24radar-plugin < 3.0.1

%description
Radar plugin for OpenCPN.
Note: This package replaces BR24, GRradar, GXRadar, and Navico Radar plugins
for OpenCPN version 5.0 and up.

This plugin overlays the radar picture on OpenCPN.

A versatile plugin that can be easily adapted to most broadband radars.

Support for OpenCPN version 5.0 and multi canvas
with simultaneous overlay of two different radars.

Revised multi radar type architecture.
Adding a new radar only requires radar knowledge
and can re-use the existing display technology.

Support for four simultaneously active radars.  Multiple brands can be mixed.
Display and UI:
* Real time true motion image.
* Multi canvas support with simultaneous overlay of two different radars.
* Look forward and look aft in radar windows.
* Dragging and zooming in radar windows.
* Performance and stability improvements.
    
Radar support :
* Garmin HD and xHD radar support.
* Navico 'new' 3G support.
* Older 3G radars are still supported via the BR24 type.
* Navico HALO-3, HALO-4, HALO-6 and HALO24 support.

%prep
%autosetup -a1 -p1 -n %{piname}-%{version}
mv opencpn-libs-main-257338e/{.,}* opencpn-libs/

%build
%cmake 

%cmake_build

%install

mkdir -p %{buildroot}%{_libdir}/opencpn
mkdir -p %{buildroot}%{_datadir}/opencpn/plugins/%{piname}/data
mkdir -p %{buildroot}%{_datadir}/locale

install -Dpm755 %{_vpath_builddir}/lib%{piname}.so %{buildroot}%{_libdir}/opencpn
install -Dpm644 data/*.* %{buildroot}%{_datadir}/opencpn/plugins/%{piname}/data/
mv %{_vpath_builddir}/app/Radar-5.5-mageia-*/share/locale %{buildroot}%{_datadir}

%files
%doc SOURCE.md README.md
%{_libdir}/opencpn/
%{_datadir}/opencpn/plugins/%{piname}/data/*.*
%{_datadir}/locale
