## NOTE nonfree only
#
# No more for linux 32bits
ExclusiveArch: armv7hl aarch64 x86_64

%define piname	s63_pi
%global ocpnlibscommit0 9804fbeae263dc51f26fa8773c6796b82ceae5fd
%global  _disable_ld_no_undefined 1

Name:		opencpn-s63-plugin
Summary:	Plugin for OpenCpn allowing the use of encrypted charts
Version:	1.30.6.0
Release:	%mkrel 1
License:	GPLv2
# Permission to distribute the binaries is in the README
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/s63.html
Source0:	https://github.com/bdbcat/%{piname}/archive/%{version}/%{piname}-%{version}.tar.gz
Source1:    https://github.com/OpenCPN/opencpn-libs/archive/%{ocpnlibscommit0}/opencpn-libs-%{ocpnlibscommit0}.tar.gz
Patch0:     s63_pi-1.30.6.0-GetArch.patch
Patch1:     s63-OCPNsenc-CMakeLists.patch
Patch2:     opencpn-libs-9804fbe-tinyxml.patch
Patch3:     opencpn-libs-9804fbe-json.patch


BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	wxgtku3.2-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(glew)
BuildRequires:  pkgconfig(jsoncpp)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:	pkgconfig(webkit2gtk-4.1)
BuildRequires:	pkgconfig(zlib)

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
S-63 is the encrypted distribution format for S-57 vector charts.

Today, hydrographical offices all over the world are producing their official
vector charts in the S-57 format.

Distribution is done under the S-63 standard.

This plugin allows you to download and install charts you have purchased from
http://o-charts.org/

To use the encrypted charts, you must get a license for your particular machine
(called a Permit), make sure to visit http://o-charts.org/ for more information
and to get the permits.

This package is only available in the nonfree repository as it contains
pre-built binaries.

%prep
%setup -a1 -n %{piname}-%{version}

%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1

mv  opencpn-libs-%{ocpnlibscommit0}/{.,}* opencpn-libs/

%build
%cmake

%cmake_build

%install
mkdir -p %{buildroot}%{_libdir}/opencpn
mkdir -p %{buildroot}%{_docdir}/%{piname}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/opencpn/plugins/%{piname}/data
mkdir -p %{buildroot}%{_datadir}/locale

install -Dpm755 %{_vpath_builddir}/lib%{piname}.so %{buildroot}%{_libdir}/opencpn
cp -r data/ %{buildroot}%{_datadir}/opencpn/plugins/%{piname}
cp -r %{_vpath_builddir}/app/S63-1.30-mageia-*/share/locale %{buildroot}%{_datadir}


%ifarch x86_64
cp -r %{_builddir}/%{piname}-%{version}/buildlinux64/OCPNsenc/OCPNsenc \
%{buildroot}/%{_bindir}
%endif

%ifarch armv7hl
cp -r %{_builddir}/%{piname}-%{version}/buildlinuxarm/OCPNsenc/OCPNsenc \
%{buildroot}/%{_bindir}
%endif

%ifarch aarch64
cp -r %{_builddir}/%{piname}-%{version}/buildlinuxarm64/OCPNsenc/OCPNsenc \
%{buildroot}/%{_bindir}
%endif

%files 
%doc README
%{_bindir}/*
%{_libdir}/opencpn/
%{_datadir}/opencpn/plugins/%{piname}/data/*.*
%{_datadir}/locale
