%define piname	sar_pi
%define _disable_ld_no_undefined 1

Name:		opencpn-sar-plugin
Summary:	Search And Rescue plugin for OpenCPN
Version:	4.0.0
Release:	%mkrel 2
License:	GPLv2
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/sar.html
Source0:	https://github.com/Rasbats/%{piname}/archive/v%{version}/%{piname}-%{version}.tar.gz
#download https://github.com/OpenCPN/opencpn-libs/archive/refs/tags/main@257338e.tar.gz
Source1:    opencpn-libs-main-257338e.tar.gz
Patch0:     opencpn-libs-257338e-tinyxml.patch
Patch1:     opencpn-libs-257338e-json.patch

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	wxgtku3.2-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	tinyxml-devel

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
Create Search and Rescue patterns with desired parameters.

%prep
%autosetup -a1 -p1 -n %{piname}-%{version}
mv opencpn-libs-main-257338e/{.,}* opencpn-libs/

%build
%cmake 

%cmake_build

%install

mkdir -p %{buildroot}%{_libdir}/opencpn
mkdir -p %{buildroot}%{_datadir}/opencpn/plugins/%{piname}/data
mkdir -p %{buildroot}%{_datadir}/locale

install -Dpm755 %{_vpath_builddir}/lib%{piname}.so %{buildroot}%{_libdir}/opencpn
install -Dpm644 data/*.* %{buildroot}%{_datadir}/opencpn/plugins/%{piname}/data/
mv %{_vpath_builddir}/app/sar-4.0-mageia-*/share/locale %{buildroot}%{_datadir}

%files 
%doc README
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/data/
%{_datadir}/locale
