%global ocpnlibscommit0 c1d82631756056437edc58235d9e1ff68b46ddf3
%define piname squiddio_pi

Name:		opencpn-squiddio-plugin
Summary:	Waypoints of sailing destinations plugin for OpenCPN
Version:	1.3.93.0
Release:	%mkrel 1
License:	GPLv3+
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/sQuiddio.html
Source0:	https://github.com/rgleason/%{piname}/archive/v%{version}/%{piname}-%{version}.tar.gz
Source1:    https://github.com/OpenCPN/opencpn-libs/archive/%{ocpnlibscommit0}/opencpn-libs-%{ocpnlibscommit0}.tar.gz
Patch0:     opencpn-libs-c1d8263-tinyxml.patch
Patch1:     opencpn-libs-c1d8263-json.patch
Patch2:     squiddio-plugin-1.3.93-Configure.patch

BuildRequires:	git
BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	wxgtku3.2-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:  pkgconfig(jsoncpp)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:	pkgconfig(webkit2gtk-4.1)
BuildRequires:	pkgconfig(zlib)

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
Squiddio makes its global user-sourced and user-maintained repository of
sailing destinations (marinas, anchorages, yacht clubs, docks, fuel stations
etc.) available as waypoints in OpenCPN through a plugin.
The waypoint Properties box shows basic information about the Destination, 
such as the Destination's average user rating, address and phone number
(where available) and a link to the Destination's page on Squiddio.

%prep
%setup -a1 -n %{piname}-%{version}

%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1

mv opencpn-libs-%{ocpnlibscommit0}/{.,}* opencpn-libs/

%build
%cmake

%cmake_build

%install
%cmake_install

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%find_lang opencpn-%{piname}

%files -f opencpn-%{piname}.lang
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/data/
