%define piname	weather_routing_pi
%global ocpnlibscommit0 3d56fe895583c06e66679ce76f66e781dfa740e0

Name:		opencpn-weather-routing-plugin
Summary:	Weather routing plugin for OpenCpn
Version:	1.15.21.25
Release:	%mkrel 1
License:	GPLv3+
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/weatherroute.html
Source0:	https://github.com/rgleason/%{piname}/archive/v%{version}/%{piname}-%{version}.tar.gz
Source1:    https://github.com/OpenCPN/opencpn-libs/archive/%{ocpnlibscommit0}/opencpn-libs-%{ocpnlibscommit0}.tar.gz
Patch0:     opencpn-libs-3d56fe8-tinyxml.patch
Patch1:     opencpn-libs-3d56fe8-json.patch
Patch2:     weather_routing-plugin-1.15.25-Configure.patch

BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	git
BuildRequires:	wxgtku3.2-devel
BuildRequires:	portaudio-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(jsoncpp)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:	pkgconfig(zlib)

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
This plugin creates optimized weather routes using isochrone method and
predictive grib data or averaged gridded Climate data based upon constraint
settings, start and finish information and boat performance calculated using
boat specs or polar data.

Use the Grib Plugin (included now with opencpn) and recently downloaded grib
files for completing grib predictive routing (1-8 days).

Use the Climatology Plugin to find cruising routes, (most useful in prevailing
winds areas)

Use both grib and climatology data, allowing the grib's route to be extended
past time/range, or to use current data if the grib does not contain it, or to
use climatology to avoid areas of cyclones.

%prep
%setup -a1 -n %{piname}-%{version}

%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1

mv  opencpn-libs-%{ocpnlibscommit0}/{.,}* opencpn-libs/

%build
%cmake 

%cmake_build

%install
%cmake_install

%find_lang opencpn-%{piname}

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/
