%define piname	weatherfax_pi
%global ocpnlibscommit0 c1d82631756056437edc58235d9e1ff68b46ddf3

Name:		opencpn-weatherfax-plugin
Summary:	Weatherfax plugin for OpenCpn
Version:	1.10.17.0
Release:	%mkrel 1
License:	GPLv3+
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/weatherfax.html
Source0:	https://github.com/rgleason/%{piname}/archive/v%{version}/%{piname}-%{version}.tar.gz
Source1:    https://github.com/OpenCPN/opencpn-libs/archive/%{ocpnlibscommit0}/opencpn-libs-%{ocpnlibscommit0}.tar.gz
Patch0:     opencpn-libs-c1d8263-tinyxml.patch
Patch1:     opencpn-libs-c1d8263-json.patch
Patch2:     weatherfax-plugin-1.10.17-Configure.patch
# link against system libaudiofile
Patch3:		weatherfax_pi-1.10.17.0-system-audiofile.patch

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	wxgtku3.2-devel
BuildRequires:	portaudio-devel
BuildRequires:	pkgconfig(audiofile)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(librtlsdr)
BuildRequires:  pkgconfig(jsoncpp)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(portaudiocpp)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:	pkgconfig(zlib)

Requires:       opencpn
Provides:	%{piname} = %{version}

%description
Can open image files directly, or decode audio faxes to an image.
With simple calibration, resulting image is overlaid on top of charts.
Converts images in Mercator, polar, conic and uniform coordinates.
Can convert any image into a raster chart.
Built-in database for HF radio fax stations via SSB.
Built-in database for internet retrieval from meteorological sites.

%prep
%setup -a1 -n %{piname}-%{version}

%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1

mv  opencpn-libs-%{ocpnlibscommit0}/{.,}* opencpn-libs/


# To be sure to use system libaudiofile
rm -rf src/libaudiofile

# No more Aviationweather data provider
rm -f data/WeatherFaxInternetRetrieval_Aviation_Weather-old.xml

%build
%cmake
%cmake_build

%install
%cmake_install

%find_lang opencpn-%{piname}

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/
