%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           opencsg
Version:        1.6.0
Release:        %mkrel 7
Summary:        Library for Constructive Solid Geometry using OpenGL
Group:          System/Libraries
# license.txt contains a linking exception for CGAL
License:        GPLv2+ with exceptions
URL:            https://www.opencsg.org/
Source0:        https://www.opencsg.org/OpenCSG-%{version}.tar.gz
Patch0:         opencsg-install.patch

BuildRequires:  cmake(Qt5Core)
BuildRequires:  pkgconfig(freeglut)

%description
OpenCSG is a library that does image-based CSG rendering using OpenGL.

#----------------------------------------------------------------------------

%package -n     %{libname}
Summary:        Library for Constructive Solid Geometry using OpenGL
Group:          System/Libraries

%description -n %{libname}
OpenCSG is a library that does image-based CSG rendering using OpenGL.

CSG is short for Constructive Solid Geometry and denotes an approach to model
complex 3D-shapes using simpler ones. I.e., two shapes can be combined by
taking the union of them, by intersecting them, or by subtracting one shape
of the other.

%files -n       %{libname}
%doc changelog.txt doc/* README.md
%license copying.txt doc/license/gpl-3.0.txt doc/license/gpl-2.0.txt
%{_libdir}/lib%{name}.so.%{major}{,.*}

#----------------------------------------------------------------------------

%package -n     %{devname}
Summary:        OpenCSG development files
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for OpenCSG.

%files -n       %{devname}
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so

#----------------------------------------------------------------------------

%prep
%autosetup -p1 -n OpenCSG-%{version}

%build
cd src
%qmake_qt5 LIBDIR=%{_lib}
%make_build

%install
cd src
%make_install INSTALL_ROOT=%{buildroot}
