%define major		3
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

# comment out if not pre release
#define prel	rc7

# release to bump
%define rel	1

%global std	C++17

Name:		opendht
Version:	3.2.0
Release:	%mkrel %{?prel:0.%prel.}%{rel}
Summary:	A %{std} Distributed Hash Table implementation
Group:		System/Libraries
License:	GPLv3+
Url:		https://github.com/savoirfairelinux/opendht
Source0:	https://github.com/savoirfairelinux/opendht/archive/v%{version}%{?prel}/%{name}-%{version}%{?prel}.tar.gz
# Upstream patches
# Mageia patches
Patch0:		0001-opendht-fix-detection-of-llhttp-library.patch

BuildRequires:	cmake
BuildRequires:	asio-devel
BuildRequires:	restinio-devel
BuildRequires:	cmake(msgpack-cxx)
BuildRequires:	pkgconfig(cppunit)
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(jsoncpp)
BuildRequires:	pkgconfig(libargon2)
BuildRequires:	pkgconfig(nettle)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	python3dist(cython)
BuildRequires:  doxygen

Requires(post):		rpm-helper >= %{rpmhelper_required_version}
Requires(preun):	rpm-helper >= %{rpmhelper_required_version}
Recommends:			%{name}-doc >= %{version}

%description
A lightweight %{std} Distributed Hash Table implementation.

#----------------------------------------------------

%package doc
Summary:	A %{std} Distributed Hash Table implementation
Group:		Development/C

%description doc
A lightweight %{std} Distributed Hash Table implementation.
This package contains documentation for %{name}.

#----------------------------------------------------

%package -n	%{libname}
Summary:	A %{std} Distributed Hash Table implementation
Group:		System/Libraries

%description -n	%{libname}
A lightweight %{std} Distributed Hash Table implementation.
This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
# For #includes
Requires:	asio-devel
Requires:	restinio-devel
Requires:	msgpack-cxx-devel

%description -n	%{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{version}%{?prel}

%build
%cmake \
	-DOPENDHT_PYTHON:BOOL=OFF \
	-DOPENDHT_STATIC:BOOL=OFF \
	-DOPENDHT_SYSTEMD:BOOL=ON \
	-DOPENDHT_SYSTEMD_UNIT_FILE_LOCATION:PATH=%{_unitdir} \
	-DOPENDHT_PROXY_SERVER:BOOL=ON \
	-DOPENDHT_PROXY_CLIENT:BOOL=ON \
	-DOPENDHT_PUSH_NOTIFICATIONS:BOOL=ON

%cmake_build

%install
%cmake_install

%post
%_post_service dhtnode

%preun
%_preun_service dhtnode

%files
%doc README.md
%license COPYING
%{_sysconfdir}/dhtnode.conf
%{_unitdir}/dhtnode.service
%{_bindir}/dhtchat
%{_bindir}/dhtnode
%{_bindir}/dhtscanner
%{_mandir}/man1/dhtnode.1.*


%files doc
%doc README.md
%{_datadir}/doc/%{name}/html

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}/
%{_includedir}/%{name}.h
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so
