%define stable 0.7

Name:           opendungeons
Version:        0.7.1
Release:        %mkrel 29
Summary:        RTS game in dark, damp and dangerous dungeons
Group:          Games/Strategy
License:        GPLv3+
URL:            https://opendungeons.github.io
Source0:        https://download.tuxfamily.org/opendungeons/%{stable}/%{name}-%{version}.tar.xz

# TODO: Check if upstreamed in the meantime (https://github.com/OpenDungeons/OpenDungeons/issues/1247)
Patch0:         0001-Fix-compilation-of-StackTraceUnix-on-non-x86-platfor.patch
# UPSTREAMED: https://github.com/OpenDungeons/OpenDungeons/pull/1295
Patch1:         ois1.4.patch
# UPSTREAMED: https://github.com/OpenDungeons/OpenDungeons/pull/1287
Patch2:         opendungeons-git-Explicitly-link-against-lpthread-on-Unix.patch
# UPSTREAMED:
Patch3:         0001-Fix-Wrange-loop-construct-error-with-GCC-11.patch
Patch4:         opendungeons-fix-missing-include.patch
Patch5:         opendungeons-fix-build-with-boost-1.85.patch

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  pkgconfig(CEGUI-0)
BuildRequires:  pkgconfig(OGRE) < 2
BuildRequires:  pkgconfig(OIS)
BuildRequires:  pkgconfig(sfml-audio)
BuildRequires:  pkgconfig(sfml-network)
BuildRequires:  pkgconfig(sfml-system)
Requires:       %{name}-data >= %{version}-%{release}

%description
OpenDungeons is an open source, real time strategy game sharing game
elements with the Dungeon Keeper series and Evil Genius. Players build
an underground dungeon which is inhabited by creatures. Players fight
each other for control of the underground by indirectly commanding their
minions, directly casting spells in combat, and luring enemies
into sinister traps.

%files
%doc AUTHORS CREDITS README.md RELEASE-NOTES.md
%license LICENSE.md
%{_gamesbindir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man6/%{name}.6*
%dir %{_sysconfdir}/%{name}
%{_sysconfdir}/%{name}/plugins.cfg

#----------------------------------------------------------------------

%package        data
Summary:        Data files for OpenDungeons
License:        GPLv3+ and CC-BY-SA and CC-BY and CC0 and MIT
BuildArch:      noarch

%description    data
This package contains arch-independent data files for OpenDungeons.
It is meant to be used with the "opendungeons" binary package.

%files          data
%{_gamesdatadir}/%{name}/

#----------------------------------------------------------------------

%prep
%autosetup -p1

%build
export CXXFLAGS="%{optflags} -std=c++14 -Wno-deprecated-declarations -Wno-error=maybe-uninitialized"
%cmake
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_docdir}/opendungeons/LICENSE.md
