Name:           openeuclide
Version:        0.5
Release:        %mkrel 13
Summary:        A geometry software that is intended for educational or modeling purposes

Group:          Sciences/Mathematics
License:        GPLv2+
URL:            http://coulon.publi.free.fr/openeuclide/index.php
Source0:        https://downloads.sourceforge.net/project/%{name}/%{name}/%{name}-%{version}/%{name}-%{version}.tgz
#https://sourceforge.net/p/openeuclide/bugs/2
Source1:        %{name}.desktop
# https://sourceforge.net/p/openeuclide/bugs/7
Source2:        russian.multilanguage

#The upstream sources results in FTBFS.
#Patch to add necessary header files to the source to make it build.
#https://sourceforge.net/p/openeuclide/bugs/4
Patch0:         %{name}-%{version}-fdr-fix-FTBFS.patch
#https://sourceforge.net/p/openeuclide/bugs/5
Patch1:         %{name}-%{version}-fdr-fix-Werror-format-security.patch
# https://sourceforge.net/p/openeuclide/bugs/7
Patch2:         %{name}-%{version}-mga-add-russian.patch

BuildRequires:  gtk2-devel

%description
OpenEuclide is a 2D geometry software: figures are
defined dynamically by describing formal geometrical constraints.
This project is a basic tool for educational or modeling purpose.

%prep
%setup -q -n %{name}
cp -f %{SOURCE1} ./
cp -f %{SOURCE2} ./
%patch -P 0
%patch -P 1
%patch -P 2 -p1
find . -name "CVS"  -exec rm -rf {} +;

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

%files
%doc README NEWS AUTHORS doc/
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/%{name}.png
