Summary:	Local and web-based gradebook
Name:		opengrade
Version:	3.2.4
Release:	%mkrel 3
License:	GPLv2
Group:		Education
Source0:	https://github.com/bcrowell/opengrade/archive/%{name}-%{version}.tar.gz
Source1:	https://www.lightandmatter.com/ogr/%{name}_doc.pdf
Patch1:		%{name}-3.1.18-mga-manpage-without-icon-info.patch
Url:		https://www.lightandmatter.com/ogr/ogr.html
Requires:	tk
Requires:	alsa-utils
Recommends:	perl(Digest::Whirlpool)
BuildArch:	noarch
Provides:	perl(FileDialogPatched)

%description
OpenGrade is software for teachers to keep track of grades.
* A variety of reports can be created.
* Grades can be uploaded to a web server, where students can have
  password-protected access to them. (see /usr/share/doc/opengrade*)
* If you use a set grading scale, you can have the software use it to compute
  letter grades automatically.
* Grades can be based on total points, or on a weighted average of scores in
  various categories such as exams and quizzes.
* You can drop the lowest grade (or the N lowest grades) from a given category.
* Students can be dropped and later reinstated without losing all their grades.
* Gradebook files can be automatically backed up on a web server.
* There is support for extra-credit categories, and for categories that don't
  count towards the student's grade.
* Gradebook files are password-protected with a digital watermark, so you can
  detect tampering.
* Gradebook files are in a plain-text format, which makes it easy to work with
  them using Unix utilities.

%prep
%setup -q
%autopatch -p1
cp %{SOURCE1} %{name}.pdf

%build
mv %{name}.pl %{name}
pushd i18n
chmod +x ./%{name}_18n_compile.sh
./%{name}_18n_compile.sh
popd
make %{name}.1

%install
mkdir -p %{buildroot}%{perl_vendorlib}
mkdir -p %{buildroot}%{_bindir}
install -m644 *.pm %{buildroot}%{perl_vendorlib}
install -m755 %{name} %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %{name}.desktop %{buildroot}%{_datadir}/applications/

#icons
mkdir -p %{buildroot}%{_iconsdir}
cp -af icons/* %{buildroot}%{_iconsdir}

#sounds
mkdir -p %{buildroot}%{_datadir}/apps/%{name}/sounds
cp -f *.wav %{buildroot}%{_datadir}/apps/%{name}/sounds/

#man
mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 %{name}.1 %{buildroot}%{_mandir}/man1/

#locales
mkdir -p %{buildroot}%{_datadir}/locale
cp -af locale/* %{buildroot}%{_datadir}/locale/
%find_lang %{name}

%files -f %{name}.lang
%doc README *.pdf *.gb *.cgi *.sty
%{_bindir}/%{name}
%{perl_vendorlib}/*
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/apps/%{name}/sounds/*.wav
%{_mandir}/man1/%{name}.1.*
