#comment out if not pre-rel
%define prerel pre1

#rel to bump
%define rel 28

%define major 0
%define libname %mklibname %{name} %{major}
%define libnamedev %mklibname %{name} -d

Name:       openjade
Version:    1.3.3
Release:    %mkrel %{?prerel:0.%prerel.}%{rel}
Summary:    Parser and tools for SGML + DSSSL
Group:      Publishing
License:    BSD
Url:        https://openjade.sourceforge.net/
Source:     https://download.sourceforge.net/openjade/openjade-%{version}-%prerel.tar.bz2
#Fix dependent libs for libogrove (bug #198232).
Patch2:     openjade-deplibs.patch
#do not require OpenSP libosp.la file for build(#485114)
Patch3:     openjade-nola.patch
#upstream bug tracker fix for build with gcc46
Patch4:     openjade-1.3.2-gcc46.patch
#use Getopt:Std to prevent build failure
Patch5:     openjade-getoptperl.patch
Patch6:     openjade-1.3.3-pre1-gcc7.2.patch
Patch7:     openjade-file_magic.patch
Patch8:     openjade-ldflags.patch
Obsoletes:  jade < %{version}-%{release}
Provides:   jade = %{version}-%{release}
Requires:   opensp
Requires:   sgml-common
Requires(post):   sgml-common
Requires(preun):   sgml-common
BuildRequires: opensp-devel
BuildRequires: chrpath

%description
Jade (James' DSSSL Engine) is an implementation of the DSSSL style
language -- Document Style Semantics and Specification Language --
an ISO standard for formatting SGML (and XML) documents.

%package -n %libname
Group:          Publishing
Summary:        Shared library files for openjade

%description -n %libname
Shared library files for openjade.

%package -n %libnamedev
Group:          Development/C
Summary:        Development files for openjade
Requires:       %name = %version-%release
Requires:   %libname = %version-%release
Provides:       lib%{name}-devel = %version-%release
Provides:   openjade-devel = %version-%release
Obsoletes:  %{_lib}openjade0-devel < %version-%release

%description -n %libnamedev
Files for development from the openjade package.

%prep
%setup -q -n %name-%version-%prerel
%autopatch -p 1

# to recognize aarch64
#cp -af %{_usr}/lib/rpm/config.{guess,sub} config/

%build
export CXXFLAGS="%optflags -fno-lifetime-dse"
%configure \
    --disable-static \
    --enable-http \
    --datadir=%{_datadir}/sgml/%{name}-%{version} \
    --enable-splibdir=%{_libdir}
%make_build

%install
%make_install install-man

# oMy, othis ois osilly.
ln -s openjade %{buildroot}/%{_bindir}/jade
echo ".so man1/openjade.1" > %{buildroot}/%{_mandir}/man1/jade.1

# install jade/jade %{buildroot}/%{prefix}/bin/jade
cp dsssl/catalog %{buildroot}/%{_datadir}/sgml/%{name}-%{version}/
cp dsssl/{dsssl,style-sheet,fot}.dtd %{buildroot}/%{_datadir}/sgml/%{name}-%{version}/

# add unversioned/versioned catalog and symlink
mkdir -p %{buildroot}%{_sysconfdir}/sgml
pushd %{buildroot}%{_sysconfdir}/sgml
touch %{name}-%{version}-%{release}.soc
ln -s %{name}-%{version}-%{release}.soc %{name}.soc
pushd

rm -f %{buildroot}%{_libdir}/*.la

chrpath -d %{buildroot}%{_libdir}/libostyle.so.%{major}.*
chrpath -d %{buildroot}%{_libdir}/libospgrove.so.%{major}.*
chrpath -d %{buildroot}%{_bindir}/openjade

%post
/usr/bin/install-catalog --add %{_sysconfdir}/sgml/%{name}-%{version}-%{release}.soc \
    %{_datadir}/sgml/%{name}-%{version}/catalog >/dev/null 2>/dev/null || :

%preun
/usr/bin/install-catalog --remove %{_sysconfdir}/sgml/%{name}-%{version}-%{release}.soc \
    %{_datadir}/sgml/%{name}-%{version}/catalog >/dev/null 2>/dev/null || :

%files
%doc doc/ jadedoc/ dsssl/ pubtext/  README VERSION
%{_bindir}/*
%{_datadir}/sgml/%{name}-%{version}
%{_mandir}/*/*
%ghost %{_sysconfdir}/sgml/%{name}-%{version}-%{release}.soc
%{_sysconfdir}/sgml/%{name}.soc

%files -n %libname
%{_libdir}/lib*.so.%{major}
%{_libdir}/lib*.so.%{major}.*

%files -n %libnamedev
%{_libdir}/lib*.so
