%define oname    OpenJPEG

%define major    5
%define lib_name %mklibname %{name} %{major}
%define lib_dev  %mklibname %{name} -d

%define common_description The OpenJPEG library is an open-source JPEG 2000 codec written in C\
language. It has been developed in order to promote the use of JPEG\
2000, the new still-image compression standard from the Joint\
Photographic Experts Group (JPEG).

Name:           openjpeg
Epoch:          1
Version:        1.5.2
Release:        %mkrel 13
Summary:        An open-source JPEG 2000 codec
License:        BSD
Group:          System/Libraries
Url:            https://www.openjpeg.org/
Source0:        https://prdownloads.sourceforge.net/openjpeg.mirror/%{name}-%{version}.tar.gz
Patch1:         openjpeg-1.5.2-CVE-2013-1447.patch
Patch2:         openjpeg-1.5.2-CVE-2013-6887.patch
Patch3:         openjpeg-1.5.2-CVE-2014-0158.patch
Patch4:         openjpeg-1.5.2-CVE-2016-7445.patch
Patch5:         openjpeg-1.5.2-CVE-2016-7163.patch
Patch6:         openjpeg-1.5.2-CVE-2016-9573.patch
Patch7:         openjpeg-1.5.2-CVE-2016-5139.patch
Patch8:         openjpeg-1.5.2-CVE-2016-5158.patch
Patch9:         openjpeg-1.5.2-CVE-2016-5159.patch
Patch10:        openjpeg-1.5.2-fix-memory-leaks.patch
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  cmake
BuildRequires:  dos2unix

%description
%{common_description}

%package -n %{lib_name}
Summary:        %{oname} library
Group:          System/Libraries

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with the %{oname} library.

%{common_description}

%package -n %{lib_dev}
Summary:        Development tools for programs using the %{oname} library
Group:          Development/C
Requires:       %{lib_name} = %{epoch}:%{version}
Requires:       %{name} = %{epoch}:%{version}
Provides:       %{name}-devel = %{epoch}:%{version}-%{release}

%description -n %{lib_dev}
This package contains the header files and libraries needed for
developing programs using the %{oname} library.

%{common_description}


%prep
%setup -q
dos2unix libopenjpeg/opj_malloc.h
%autopatch -p1

%build
%cmake \
  -DOPENJPEG_INSTALL_BIN_DIR:PATH=%{_bindir} \
  -DOPENJPEG_INSTALL_DATA_DIR:PATH=%{_datadir} \
  -DOPENJPEG_INSTALL_INCLUDE_DIR:PATH=%{_includedir} \
  -DOPENJPEG_INSTALL_LIB_DIR:PATH=%{_libdir}
%cmake_build

%install
%cmake_install

mv %{buildroot}%{_docdir}/%{name}-* %{buildroot}%{_docdir}/%{name}

%files
%{_bindir}/*
%{_mandir}/man1/*
%{_docdir}/%{name}

%files -n %{lib_name}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{version}

%files -n %{lib_dev}
%{_includedir}/*
%{_mandir}/man3/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/%{name}-*/*.cmake
