%define oname    OpenJPEG

%define major    7
%define lib_name %mklibname openjp2_ %{major}
%define lib_dev  %mklibname %{name} -d

Name:           openjpeg2
Version:        2.5.3
Release:        %mkrel 1
Summary:        An open-source JPEG 2000 codec
License:        BSD
Group:          System/Libraries
Url:            https://www.openjpeg.org/
Source0:        https://github.com/uclouvain/openjpeg/archive/v%{version}/openjpeg-%{version}.tar.gz
Patch0:         openjpeg2-remove-thirdparty.patch
#
# Security Patches
# P100 -> ...
#

BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  cmake
BuildRequires:  doxygen

%description
The OpenJPEG library is an open-source JPEG 2000 codec written in C
language. It has been developed in order to promote the use of JPEG
2000, the new still-image compression standard from the Joint
Photographic Experts Group (JPEG).

%package -n     %{lib_name}
Summary:        %{oname} library
Group:          System/Libraries

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with the %{oname} library.

The OpenJPEG library is an open-source JPEG 2000 codec written in C
language. It has been developed in order to promote the use of JPEG
2000, the new still-image compression standard from the Joint
Photographic Experts Group (JPEG).

%package -n     %{lib_dev}
Summary:        Development tools for programs using the %{oname} library
Group:          Development/C
Requires:       %{lib_name} = %{version}
Requires:       %{name} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Conflicts:      openjpeg-devel < 2.0.0

%description -n %{lib_dev}
This package contains the header files and libraries needed for
developing programs using the %{oname} library.

The OpenJPEG library is an open-source JPEG 2000 codec written in C
language. It has been developed in order to promote the use of JPEG
2000, the new still-image compression standard from the Joint
Photographic Experts Group (JPEG).

%prep
%autosetup -p1 -n openjpeg-%{version}

%build
%cmake \
  -DOPENJPEG_INSTALL_BIN_DIR:PATH=%{_bindir} \
  -DOPENJPEG_INSTALL_DATA_DIR:PATH=%{_datadir} \
  -DOPENJPEG_INSTALL_LIB_DIR:PATH=%{_lib} \
  -DBUILD_DOC=ON
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_docdir}
rm -rf %{buildroot}%{_libdir}/libopenjp2.a

%files
%doc AUTHORS.md CHANGELOG.md NEWS.md README.md THANKS.md
%license LICENSE
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{lib_name}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{version}

%files -n %{lib_dev}
%{_includedir}/*
%{_mandir}/man3/*
%{_libdir}/*.so
%{_libdir}/cmake/openjpeg-2.5/
%{_libdir}/pkgconfig/libopenjp2.pc
