# This is a plugin for slapd, and uses symbols (e.g. ch_{malloc|free}, overlay_register etc.
# provided by the slapd binary (objdump -T /usr/sbin/slapd)
%define _disable_ld_no_undefined 1

Name:		openldap-smbk5pwd
Version:	2.5.19
Release:	%mkrel 1
Summary:	OpenLDAP smbk5pwd overlay
License:	Artistic
Group:		System/Servers
URL:		https://www.openldap.org/
# the source is created as:
# tar cvjf openldap-smbk5pwd-2.5.19.tar.bz2 openldap-2.5.19/contrib/slapd-modules/smbk5pwd
Source0:	openldap-smbk5pwd-%{version}.tar.bz2
Patch1:		openldap-smbk5pwd-libtool.patch
BuildRequires:	heimdal-devel
BuildRequires:	openldap-devel = %{version}
BuildRequires:	libtool
Requires:	openldap-servers = %{version}

%description
This package contains a slapd overlay, smbk5pwd, that extends the
PasswordModify Extended Operation to update Kerberos keys and Samba
password hashes for an LDAP user.

Note that this package is built with Heimdal support, and requires a working
Heimdal KDC configuration. If you only need support for changing Samba password
hashes, you can use the 'smbpwd.so' copy provided in openldap-servers (just use
'moduleload smbpwd.so' instead of 'moduleload smbk5pwd.so) which is identical
except that it is built without Heimdal support.

%prep
%autosetup -p1 -n openldap-%{version}/contrib/slapd-modules/smbk5pwd

%build
%set_build_flags
%make_build \
    OPT="" \
    LIBTOOL=%{_bindir}/libtool \
    HEIMDAL_LIB="-L%{_libdir} -L%{_libdir}/heimdal -lkrb5 -lkadm5srv" \
    LDAP_LIB="-lldap -llber" \
    LDAP_INC="-I%{_includedir}/openldap/include -I%{_includedir}/openldap/slapd"

%install
%make_install prefix=%{_prefix} moduledir=%{_libdir}/openldap LIBTOOL=%{_bindir}/libtool

%files
%doc README
%{_libdir}/openldap/*
%{_mandir}/man5/slapo-smbk5pwd.5*
