%define _build_pkgcheck_set %{nil}
%define _build_pkgcheck_srpm %{nil}
#define _disable_ld_as_needed 1
#define _disable_ld_no_undefined 1

%global __brp_remove_la_files %nil

%define with_tests 0

%define pkg_name	openldap
%global	beta %{nil}

#defaults
%define build_system 0
%define build_alternatives 0
%define build_modules 1
%define build_modpacks 1
%define build_slp 0
%define build_heimdal 0
%define build_nssov 1
%define build_smbk5pwd 0
%define build_asmmutex 0
%global build_migration 0
%global lmdb_internal 0

%if %mgaversion >= 9
%define build_system 1
%endif

%{?_with_system: %global build_system 0}
%{?_without_system: %global build_system 0}
%{?_with_modules: %global build_modules 1}
%{?_without_modules: %global build_modules 0}
%{?_with_slp: %global build_slp 1}
%{?_without_slp: %global build_slp 0}
%{?_with_heimdal: %global build_heimdal 1}
%{?_without_heimdal: %global build_heimdal 0}
%{?_with_nssov: %global build_nssov 1}
%{?_without_nssov: %global build_nssov 0}
%{?_with_smbk5pwd: %global build_smbk5pwd 1}
%{?_without_smbk5pwd: %global build_smbk5pwd 0}
%{?_with_asmmutex: %global build_asmmutex 1}
%{?_without_asmmutex: %global build_asmmutex 0}

%define major 		2.5_0
%define fname ldap
%define libname %mklibname %{fname} %{major}
%define migtools_ver 	45

%{?_with_lmdbinternal: %global lmdb_internal 1}
%{?_without_lmdbinternal: %global lmdb_internal 0}

%define ol_ver_major 2.5
%if %{build_system}
%define ol_major %{nil}
%define ol_suffix %{nil}
%else
%define ol_major %ol_ver_major
%define ol_suffix 25
%endif

%global _service_status_file /var/lib/ldap%{ol_major}/.service_status_rpm_upgrade

%if %{build_alternatives} || !%{build_system}
%define alternative_major %ol_ver_major
%else
%define alternatives_major %{nil}
%endif

%global clientbin	ldapadd,ldapcompare,ldapdelete,ldapmodify,ldapmodrdn,ldappasswd,ldapsearch,ldapwhoami,ldapexop
%global serverbin	slapd-addel,slapd-bind,slapd-modify,slapd-modrdn,slapd-read,slapd-search,slapd-tester,ldif-filter
%define serversbin	slapadd,slapcat,slapd,slapdn,slapindex,slappasswd,slaptest,slurpd,slapacl,slapauth

#localstatedir is passed directly to configure, and we want it to be /var/lib
#define _localstatedir %%{_var}/run
%define	_libexecdir	%{_sbindir}

# Allow --with[out] SASL at rpm command line build
%{?_without_SASL: %{expand: %%define _without_cyrussasl --without-cyrus-sasl}}
%{?_with_SASL: %{expand: %%define _with_cyrussasl --with-cyrus-sasl}}
%{!?_with_cyrussasl: %{!?_without_cyrussasl: %global _with_cyrussasl --with-cyrus-sasl}}
%{?_with_cyrussasl: %define _with_cyrussasl --with-cyrus-sasl}
%{?_without_cyrussasl: %define _without_cyrussasl --without-cyrus-sasl}
%{?_with_gdbm: %global db_conv dbb}
%{!?_with_gdbm: %global db_conv gdbm}
%global build_sql 1
%{?_without_sql: %global build_sql 0}
%global back_perl 0
%global back_shell 0

%global build_modp_mdb 1
%global lmbd_internal 0
%global build_modp_ldap 0
%global build_modp_passwd 0
%global build_modp_dnssrv 0
%global build_modp_sql 1

%if %{build_modpacks}
  %if %{build_sql}
    %global build_modp_sql 1
  %endif
%endif

Summary: 	LDAP servers and sample clients
Name: 		%{pkg_name}%{ol_major}
Version: 	2.5.19
Release:	%mkrel 1
License: 	OpenLDAP
Group: 		System/Servers
URL: 		https://www.openldap.org/

# Openldap source
Source0: 	https://www.openldap.org/software/download//OpenLDAP/openldap-release/%{pkg_name}-%{version}%{beta}.tgz

Source13:	README-openldap2.4.mdv

# Specific source
Source2: 	%{pkg_name}.sysconfig
Source3:	slapd.service
Source4:	ldap-config
Source19:	gencert.sh
Source20:	ldap.logrotate
Source21:	slapd.conf
Source22:	DB_CONFIG
Source23:	ldap.conf
Source24:	slapd.access.conf
Source25:	ldap-hot-db-backup
Source26:	ldap-reinitialise-slave
Source27:	ldap-common

# Migration tools
Source11:	https://www.padl.com/download/MigrationTools-%{migtools_ver}.tar.bz2
Source14: 	migration-tools.txt
Source15: 	migrate_automount.pl

# Extended Schema 
Source54: 	mull.schema

# Doc sources, used to patch docs and also generate SOURCE13 above
Source100:	openldap-2.4-admin-guide-add-vendor-doc.patch
Source101:	vendor.sdf
Source102:	vendor-standalone.sdf

# Chris Patches
Patch0: 	%{pkg_name}-2.3.4-config.patch
Patch1:		%{pkg_name}-2.0.7-module.patch

#Fix various paths in smbk5pwd:
Patch2:		openldap-2.4-smbk5passwd-paths.patch
# For now, only build support for SMB (no krb5) changing support in smbk5passwd
# overlay:
Patch3:		openldap-2.4-smbk5passwd-only-smb.patch
Patch4:		openldap-2.4.25-contrib-makefiles-with-tests.patch
Patch5:		openldap-2.4.8-fix-lib-perms.patch
Patch6:		openldap-2.4.12-test001-check-slapcat.patch
Patch7:		openldap-2.5.17-slapi-module.patch
Patch8:		openldap-2.4.33-slapi-exop.patch
Patch9:		openldap-2.4-lmdb-shared.patch
Patch10:    openldap-2.5.9-fix-slapi-undefined.patch

# RH + PLD Patches
Patch15:	%{pkg_name}-cldap.patch

# Migration tools Patch
Patch40: 	MigrationTools-34-instdir.patch
Patch41: 	MigrationTools-36-mktemp.patch
Patch42: 	MigrationTools-27-simple.patch
Patch43: 	MigrationTools-26-suffix.patch
Patch45:	MigrationTools-45-i18n.patch
# schema patch
Patch46: 	openldap-2.0.21-schema.patch
Patch47: 	openldap-2.4.12-change-dyngroup-schema.patch
# https://qa.mandriva.com/show_bug.cgi?id=15499
Patch48:	MigrationTools-45-structural.patch

%if %{build_modp_mdb} && !%{lmdb_internal}
BuildRequires:	lmdb-devel >= 0.9.24
%endif

Patch53:	%{pkg_name}-ntlm.patch
# preserves the temp file used to import data if an error occured
Patch54:	MigrationTools-40-preserveldif.patch

# GCC 14 fixes
Patch102:	openldap-cloak-gcc14.patch

%{?_with_cyrussasl:BuildRequires: 	libsasl-devel}
%{?_with_kerberos:BuildRequires:	krb5-devel}
BuildRequires:	openssl-devel
BuildRequires:	perl
%if %{build_slp}
BuildRequires:	openslp-devel
%endif
%if %{build_heimdal}
BuildRequires:	heimdal-devel
%endif
%if %{build_sql}
BuildRequires:	unixODBC-devel
%endif
%if %{back_perl}
BuildRequires:	perl-devel
%endif
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	libtool-devel
BuildRequires:	krb5-devel
BuildRequires:	groff
BuildRequires:	sdf
# for make test:
BuildRequires:	diffutils
Requires:	shadow-utils, setup >= 2.2.0-6mdk

%description
OpenLDAP is an open source suite of LDAP (Lightweight Directory Access
Protocol) applications and development tools.  The suite includes a
stand-alone LDAP server (slapd) which is in the -servers package, libraries for
implementing the LDAP protocol (in the lib packages), and utilities, tools, and
sample clients (in the -clients package). The openldap binary package includes
only configuration files used by the libraries.

Install openldap if you need LDAP applications and tools.

%package servers
Summary: 	OpenLDAP servers and related files
Group: 		System/Servers
# mdb is now the default backend in the default config, so require it:
%if %{build_modp_mdb}
Requires:	%{name}-back_mdb = %{version}
%endif
Requires(post):	systemd >= %{systemd_required_version}
Requires(pre):	rpm-helper >= 0.23 coreutils
BuildRequires:	rpm-helper >= 0.23
%if !%{build_modpacks}
Provides:	%{name}-back_dnssrv = %{version}-%{release}
Provides:	%{name}-back_ldap = %{version}-%{release}
Provides:	%{name}-back_passwd = %{version}-%{release}
%endif
%if %{build_sql} && !%{build_modp_sql}
Provides:	%{name}-back_sql = %{version}-%{release}
%endif
%if %{?_with_cyrussasl:1}%{!?_with_cyrussasl:0}
%define saslver %([ -f "%{_includedir}/sasl/sasl.h" ] && echo -e "#include <sasl/sasl.h>\\nSASL_VERSION_MAJOR SASL_VERSION_MINOR SASL_VERSION_STEP"|cpp|awk 'END {printf "%s.%s.%s",$1,$2,$3}' || echo "2.1.22")
%define sasllib %mklibname sasl 2 3
#Ensure we have the sasl library we compiled against available in post so
#slapadd etc works
Requires(post):	%sasllib
%endif
Requires: 	%{libname} = %{version}-%{release}
Requires: 	%{pkg_name}%{ol_major}-extra-schemas >= 1.3-7
Requires(pre): 	%{pkg_name}%{ol_major}-extra-schemas >= 1.3-7

%description servers
OpenLDAP Servers

This package contains the OpenLDAP server, slapd (LDAP server), additional 
backends, configuration files, schema definitions required for operation, and 
database maintenance tools

%if !%{build_modpacks}
The following local storage backends are supplied in this package:
%endif
%if !%{build_modp_mdb}
-mdb
%endif

%package servers-devel
Summary:	OpenLDAP SLAPI development libraries and header files
Group: 		Development/C
Requires: 	%{name}-servers = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-servers-devel = %{version}-%{release}

%description servers-devel
This package includes the development libraries and header files
needed for compiling OpenLDAP server plugins that use SLAPI. Install
this package only if you plan to develop or will need to compile
OpenLDAP server plugins.

%package clients
Summary: 	OpenLDAP clients and related files
Group: 		System/Servers
Requires: 	%libname = %{version}-%{release}

%description clients
OpenLDAP clients

This package contains command-line ldap clients (ldapsearch, ldapadd etc)

%if %{build_migration}
%package migration
Summary: 	Set of scripts for migration of a nis domain to a ldap directory
Group: 		System/Configuration/Other
Requires: 	%{name}-servers = %{version}
Requires: 	%{name}-clients = %{version}

%description migration
This package contains a set of scripts for migrating data from local files
(ie /etc/passwd) or a nis domain to an ldap directory.
%endif

%package -n %{libname}
Summary: 	OpenLDAP libraries
Group: 		System/Libraries
Provides:       lib%{fname} = %{version}-%{release}
# This is needed so all libldap2 applications get /etc/openldap/ldap.conf
# which was moved from openldap-clients to openldap in 2.1.25-4mdk
Requires:	%{name} >= 2.1.25-4mdk

%description -n %{libname}
This package includes the libraries needed by ldap applications.


%package -n %{libname}-devel
Summary: 	OpenLDAP development libraries and header files
Group: 		Development/C
Requires: 	%{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
%if %{build_system}
Conflicts:     %mklibname -d ldap 2.4_2
Obsoletes:     %mklibname -d ldap 2.4_2
Provides: 	lib%{fname}-devel = %{version}-%{release}
Provides:	openldap2-devel = %{version}-%{release}
%endif

%description -n %{libname}-devel
This package includes the development libraries and header files
needed for compiling applications that use LDAP internals.  Install
this package only if you plan to develop or will need to compile
LDAP clients.


%package -n %{libname}-static-devel
Summary: 	OpenLDAP development static libraries
Group: 		Development/C
Requires: 	%{libname}-devel = %{version}-%{release}
%if %{build_system}
Provides: 	lib%{fname}-devel-static = %{version}-%{release}
Provides: 	lib%{fname}-static-devel = %{version}-%{release}
Provides:	openldap-devel-static = %{version}-%{release}
Provides:	openldap-static-devel = %{version}-%{release}
%endif


%description -n %{libname}-static-devel
OpenLDAP development static libraries

%if %{build_modpacks}
%if 0
%package back_dnssrv
Summary: 	Module dnssrv for OpenLDAP 
Group: 		System/Libraries
Requires: 	%libname = %{version}-%{release}
Requires: 	%{name}-servers = %{version}-%{release}

%description back_dnssrv
The dnssrv daabase backend module for OpenLDAP daemon

%package back_ldap
Summary: 	Module ldap for OpenLDAP 
Group: 		System/Libraries
Requires: 	%{libname} = %{version}-%{release}
Requires: 	%{name}-servers = %{version}-%{release}

%description back_ldap
The ldap database backend module for OpenLDAP daemon

%package back_passwd
Summary: 	Module passwd for OpenLDAP 
Group: 		System/Libraries
Requires: 	%{libname} = %{version}-%{release}
Requires: 	%{name}-servers = %{version}-%{release}

%description back_passwd
The passwd database backend module for OpenLDAP daemon
%endif

%if %{build_modp_sql}
%package back_sql
Summary: 	Module sql for OpenLDAP 
Group: 		System/Libraries
Requires: 	%{libname} = %{version}-%{release}
Requires: 	%{name}-servers = %{version}-%{release}

%description back_sql
The sql database backend module for OpenLDAP daemon
%endif

%if %{build_modp_mdb}
%package back_mdb
Summary: 	Lightning Memory-Mapped Database backend for OpenLDAP server
Group: 		System/Libraries
Requires: 	%{libname} = %{version}-%{release}
Requires: 	%{name}-servers = %{version}-%{release}
%if !%{lmdb_internal}
Requires:       lmdb
#OpenLDAP checks the version number it was compiled against, and aborts
#if it differs
Requires:	%{_lib}lmdb0 == %(rpm -q --whatprovides lmdb-devel  --qf '%%{version}')
#Requires
%endif

%description back_mdb
This package contains the Lightning Memory-Mapped Database backend for
OpenLDAP, using the lmdb (Lightning Memory-Mapped Database) database library
developed specifically for OpenLDAP
%endif
%endif

%package doc
Summary: 	OpenLDAP documentation and administration guide
Group: 		Documentation
Requires: 	openldap
Provides:	openldap-guide

%description doc
OpenLDAP documentation, including RFCs and the administration guide

%package tests
Summary:	OpenLDAP Test Suite - tests and data
Group:		Development/Other
Requires:	%{name}-servers %{name}-clients %{name}-testprogs
%if %{build_modp_mdb}
Recommends:	%{name}-back_mdb = %{version}-%{release}
%endif

%description tests
OpenLDAP now has a substantial test suite, which includes sample configurations
and data for a large number of scenarios and features. These are useful for
testing the installed server, and seeing examples of how to use the features.

The intention is that it should be possible to run the entire test suite on
the installed server using this package.

To run the tests, use e.g.:
$ make -C /usr/share/openldap/tests test-mdb

To run the tests for all back-ends (after installing all recommended packages),
use: 
$ make -C /usr/share/openldap/tests test

%package testprogs
Summary:	OpenLDAP Test Suite - simple testing client binaries
Group:		Development/Other

%description testprogs
Programs shipped with the test suite which are used by the test suite, and may
also be useful as load generators etc.

%prep
%setup -q -n %{pkg_name}-%{version}%{beta} %{?_with_migration:-a 11}

#build the docs
pushd doc/guide/admin
patch -p0 < %{SOURCE100}
cp %{SOURCE101} %{SOURCE102} .
make
sdf -2txt_ vendor-standalone.sdf
cp vendor-standalone.txt %{SOURCE13}
popd

%patch -P 0 -p1 -b .config
perl -pi -e 's/LDAP_DIRSEP "run" //g' include/ldap_defaults.h
%patch -P 1 -p1 -b .module
#patch -P 2 -p1 -b .smbk5paths
%if !%{build_heimdal}
#patch -P 3 -p1 -b .smbonly
%endif
#patch -P 4 -p1 -b .contribmake
%patch -P 7 -p1 -b .slapi-module
%patch -P 8 -p1 -b .slapi-exop
%patch -P 10 -p1 -b .slapi-undefined
%if ! %{lmdb_internal}
%patch -P 9 -p1 -b .liblmdbshared
%endif
%patch -P 15 -p1 -b .cldap 


%if %{build_migration}
pushd MigrationTools-%{migtools_ver}
%patch -P 40 -p1 -b .instdir
%patch -P 41 -p1 -b .mktemp
%patch -P 42 -p1 -b .simple
%patch -P 43 -p1 -b .suffix
%patch -P 45 -p2 -b .i18n
%patch -P 48 -p2 -b .account
%patch -P 54 -p1 -b .preserve
popd
%endif

%patch -P 46 -p1 -b .mdk
%patch -P 47 -p1 -b .dyngroup

%patch -P 102 -p1

# patches from CVS
perl -pi -e 's/testrun/\${TESTDIR}/g' tests/scripts/test024-unique

# README:
cp %{SOURCE13} README.mageia

# test049 not ready for not writing to testdir ...
mv tests/scripts/{,broken}test049*

#patch -P 5 -p1
%patch -P 6 -p1
chmod a+rx tests/scripts/test054*
#aclocal
#perl -pi -e 's/^(AC_PREREQ.2.5)/${1}7/g' configure.in
#autoconf

%build
#disable icecream:
PATH=`echo $PATH|perl -pe 's,:[\/\w]+icecream[\/\w]+:,:,g'`
%serverbuild

# Either build the internal lmdb and compile against it, or remove it
%if %{lmdb_internal}
make -C libraries/liblmdb
%else
rm -Rf libraries/liblmdb
export MDB_LIBS=-llmdb
%endif

#FIXME: Some script backends should not be used with threads, mostly shell/perl

%if !%{build_system}
perl -pi -e 's,(progname = "\w+)",${1}%{ol_major}",g' servers/slapd/*.c
perl -pi -e 's,({"slap\w+)",${1}%{ol_major}",g' servers/slapd/main.c
%endif

# try and miss linuxthreads, so we get a threading lib on glibc2.4:
# export ol_cv_header_linux_threads=no
#rh only:
#export CPPFLAGS="-I%{_prefix}/kerberos/include $CPPFLAGS"
#export LDFLAGS="-L%{_prefix}/kerberos/%{_lib} $LDFLAGS"
%if %{?openldap_fd_setsize:1}%{!?openldap_fd_setsize:0}
CPPFLAGS="$CPPFLAGS -DOPENLDAP_FD_SETSIZE=%{openldap_fd_setsize}"
%endif
# FIXME glibc 2.8 breakage, this is not the correct fix, see
# https://www.openldap.org/its/index.cgi/Build?id=5464;selectid=5464
CPPFLAGS="$CPPFLAGS -D_GNU_SOURCE"
%configure \
	--with-subdir=%{name} \
%if !%{build_system}
	--program-suffix=%{ol_major} \
%endif
	--localstatedir=%{_var}/run/ldap%{ol_major} \
	--enable-dynamic \
	--enable-syslog \
	--enable-proctitle \
	--enable-ipv6 \
	--enable-local \
	%{?_with_cyrussasl} %{?_without_cyrussasl} \
	%{?_with_kerberos} %{?_without_kerberos} \
	--with-threads \
	--with-tls \
	--enable-slapd \
	--enable-dynacl \
	--enable-aci \
	--enable-cleartext \
	--enable-crypt \
	--enable-lmpasswd \
	%{?_with_kerberos:--enable-kpasswd} \
	%{?_with_cyrussasl:--enable-spasswd} \
%if %{build_modules}
	--enable-modules \
%endif
	--enable-rewrite \
	--enable-rlookups \
%if %{build_slp}
	--enable-slp \
%endif
	--disable-wrappers \
	--enable-ndb=no \
	--enable-backends=mod \
%if %{back_perl}
	--enable-perl=mod \
%else
	--enable-perl=no \
%endif
%if !%{back_shell}
	--enable-shell=no \
%endif
%if %{build_sql}
	--enable-sql=mod \
%else
	--enable-sql=no \
%endif
    --enable-wt=no \
	--enable-overlays=mod \
	--enable-shared \
	--enable-slapi

%if !%{build_system}
perl -pi -e 's/^(ldap_subdir\s+=\s+.*)%{pkg_name}/$1%{name}/g' Makefile
perl -p -i.bak -e 's/slapd-(search|read|addel|modrdn|modify|bind)/slapd-${1}%{ol_major}/g' tests/progs/slapd-tester.c
%endif

# (oe) amd64 fix
perl -pi -e "s|^AC_CFLAGS.*|AC_CFLAGS = $CFLAGS -fPIC|g" libraries/librewrite/Makefile

make depend 

make 
export LIBTOOL=`pwd`/libtool

if [ -d /usr/kerberos/%{_lib} ]; then export LIBRARY_PATH=/usr/kerberos/%{_lib}; fi
perl -p -i.noradius -e 's/pw-radius.la//g' contrib/slapd-modules/passwd/Makefile
#acl broken
for i in addpartial allop allowed autogroup cloak denyop dsaschema dupent kinit \
    lastbind lastmod noopsrch \
%if %{build_nssov}
    nssov \
%endif
%if %{build_smbk5pwd}
    smbk5pwd \
%endif
    passwd passwd/sha2 passwd/pbkdf2 trace
do
    make -C contrib/slapd-modules/$i libdir=%{_libdir} moduledir=%{_libdir}/%{name}
done

%check
%if %{!?_with_test:0}%{?_with_test:1}
%if !%{build_system}
pushd clients/tools
for OLD in {%{clientbin}}
do
    NEW=`echo ${OLD}%{alternative_major}`
    ln -sf $OLD $NEW
    #mv -f $OLD $NEW ||:
    #if [ -L $NEW ]
    #then ln -sf `readlink $NEW`%{alternative_major} $NEW
    #fi
done
popd
%endif
#disable icecream:
#PATH=`echo $PATH|perl -pe 's,:[\/\w]+icecream[\/\w]+:,:,g'`
export SLAPD_BASEPORT=$[9000+RANDOM%1000]
make -C tests %{!?tests:test}%{?tests:%tests}
%endif

%install
#disable icecream:
#PATH=`echo $PATH|perl -pe 's,:[\/\w]+icecream[\/\w]+:,:,g'`
export DONT_GPRINTIFY=1
export DONT_REMOVE_LIBTOOL_FILES=1
for i in addpartial allop allowed autogroup kinit \
%if %{build_nssov}
    nssov \
%endif
%if %{build_smbk5pwd}
    smbk5pwd \
%endif
    passwd 
do
cp -af contrib/slapd-modules/$i/README{,.$i}
done
cp contrib/slapd-modules/passwd/sha2/README{,.sha2}
cp contrib/slapd-modules/passwd/pbkdf2/README{,.pbkdf2}
rm -Rf %{buildroot}

%make_install STRIP="" 
%if %{lmdb_internal}
# If we build the internal copy, we want the utlities, but not the development files 
# which will conflict with liblmdb-devel. All binaries are statically linked at 
# present, so no shared library required.
mkdir -p %{buildroot}/%{_prefix}/lib %{buildroot}/%{_prefix}/man/man1
make -C libraries/liblmdb install STRIP="" DESTDIR=%{buildroot} prefix=%{_prefix}
if [ "%{_prefix}/lib" != "%{_libdir}" ]
    then mv %{buildroot}/%{_prefix}/lib/* %{buildroot}/%{_libdir}
    rmdir %{buildroot}/%{_prefix}/lib
fi
mv %{buildroot}/%{_prefix}/man/man1/* %{buildroot}/%{_mandir}/man1
rmdir %{buildroot}/%{_prefix}/man/man1
rm -f %{buildroot}/%{_includedir}/lmdb.h %{buildroot}/%{_libdir}/liblmdb.so
%endif

%if %{build_smbk5pwd}
cp -a contrib/slapd-modules/smbk5pwd/.libs/smbk5pwd.so* %{buildroot}/%{_libdir}/%{name}
%if !%{build_heimdal}
for i in %{buildroot}/%{_libdir}/%{name}/smbk5pwd*
do 
  if [ -L ${i} ]
  then
    newlink=`readlink $i|sed -e 's/k5//g'`
    rm $i
    ln -svf $newlink ${i/k5/}
  else
    mv $i ${i/k5/}
  fi
done
%endif
%endif

cp contrib/slapd-modules/allop/slapo-allop.5 %{buildroot}/%{_mandir}/man5
cp contrib/slapd-modules/cloak/slapo-cloak.5 %{buildroot}/%{_mandir}/man5
cp contrib/slapd-modules/lastbind/slapo-lastbind.5 %{buildroot}/%{_mandir}/man5
cp contrib/slapd-modules/lastmod/slapo-lastmod.5 %{buildroot}/%{_mandir}/man5

#cp contrib/slapd-modules/*/*.so %{buildroot}/%{_libdir}/%{name}

#smbk5pwd skipped, installed as smbpwd above
#dsaschema broken on 32bit
for i in addpartial allop allowed autogroup cloak denyop dupent kinit \
    lastbind lastmod noopsrch \
%if %{build_nssov}
    nssov \
%endif
    passwd passwd/sha2 passwd/pbkdf2 trace
do 
    #if make -C contrib/slapd-modules/$i test
    #then 
      make DESTDIR=%{buildroot} mandir=%{_mandir} moduledir=%{_libdir}/%{name} schemadir=%{_sysconfdir}/%{name}/schema -C contrib/slapd-modules/$i install
    rm -f %{buildroot}/%{_libdir}/%{name}/$i.a
    #else exit 1
    #fi
done
rm -f %{buildroot}/%{_libdir}/%{name}/kerberos.a
rm -f %{buildroot}/%{_libdir}/%{name}/netscape.a
rm -f %{buildroot}/%{_libdir}/%{name}/sha2.a
rm -f %{buildroot}/%{_libdir}/%{name}/pbkdf2.a
#compat symlinks, DONT REMOVE
ln -s pw-netscape.so %{buildroot}/%{_libdir}/%{name}/netscape.so
ln -s pw-netscape.la %{buildroot}/%{_libdir}/%{name}/netscape.la
ln -s pw-kerberos.so %{buildroot}/%{_libdir}/%{name}/kerberos.so
ln -s pw-kerberos.la %{buildroot}/%{_libdir}/%{name}/kerberos.la
    
# We already had ldapns.schema in extra-schemas
rm -f %{buildroot}/%{_sysconfdir}/%{name}/schema/ldapns.schema

# SLAPI static library seems to make no sense
rm -f %{buildroot}/%{_libdir}/libslapi.a

# try and ship the tests such that they will run properly

install -d %{buildroot}/%{_datadir}/%{name}/tests
cp -a tests/{data,scripts,Makefile,run} %{buildroot}/%{_datadir}/%{name}/tests
ln -s %{_datadir}/%{name}/schema %{buildroot}/%{_datadir}/%{name}/tests
find %{buildroot}/%{_datadir}/%{name}/tests -type f -name '*.conf' -exec perl -pi -e 's,\.\.\/servers\/slapd\/back-.*,%{_libdir}/%{name},g;s,\.\.\/servers\/slapd\/overlays,%{_libdir}/%{name},g' {} \;
perl -pi -e 's,(\`pwd\`\/)?\.\.\/servers\/(slapd|slurpd)\/(slapd|slurpd),%{_sbindir}/${2}%{ol_major},g;s,^PROGDIR=.*,PROGDIR=%{_bindir},g;s,^CLIENTDIR=.*,CLIENTDIR=%{_bindir},g;s,^TESTDIR=.*,TESTDIR=\${USER_TESTDIR-\$TMPDIR/openldap-testrun},g;s/ldap(search|add|delete|modify|whoami|compare|passwd|modrdn|exop)/ldap${1}%{ol_major}/g;s/slapd-tester$/slapd-tester%{ol_major}/g;s,\$TESTWD\/,,g;s/^(\.\*.*)\$(.*)/${1}\`pwd\`\/\$${2}/g' %{buildroot}/%{_datadir}/%{name}/tests/scripts/defines.sh %{buildroot}/%{_datadir}/%{name}/tests/run
perl -pi -e 's/testrun/\$TESTDIR/g;s,^SHTOOL=.*,. scripts/defines.sh,g' %{buildroot}/%{_datadir}/%{name}/tests/scripts/all
perl -p -i.bak -e 's,^olcModulePath: .*,olcModulePath: %{_libdir}/%{name},g' %{buildroot}/%{_datadir}/%{name}/tests/scripts/test*
perl -pi -e 's/^(Makefile|SUBDIRS)/#$1/g' %{buildroot}/%{_datadir}/%{name}/tests/Makefile
echo 'SHTOOL="./scripts/shtool"' >> %{buildroot}/%{_datadir}/%{name}/tests/scripts/defines.sh
install -m755 build/shtool %{buildroot}/%{_datadir}/%{name}/tests/scripts
if [ -n "%{ol_major}" ]
then for i in addel bind modify modrdn read search tester
do ln -sf slapd-${i} tests/progs/slapd-${i}%{ol_major}
done
fi
ln -s %{_datadir}/%{name}/tests/data %{buildroot}/%{_datadir}/%{name}/tests/testdata

install -m755 tests/progs/.libs/slapd-* tests/progs/.libs/ldif-filter %{buildroot}/%{_bindir}

### some hack
perl -pi -e "s| -L../liblber/.libs||g" %{buildroot}%{_libdir}/libldap.la

perl -pi -e  "s,-L$RPM_BUILD_DIR\S+%{_libdir},,g" %{buildroot}/%{_libdir}/lib*.la
#sed -i -e "s|-L$RPM_BUILD_DIR/%{name}-%{version}/db-instroot/%{_libdir}||g" %{buildroot}/%{_libdir}/*la
#%{buildroot}/%{_libdir}/%{name}/*.la 

### Init scripts
install -d %{buildroot}%{_unitdir}
install -m 644 %{SOURCE3} %{buildroot}%{_unitdir}/slapd%{ol_major}.service


install -d %{buildroot}%{_sysconfdir}/sysconfig
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/slapd%{ol_major}

install -m 640 %{SOURCE21} %{SOURCE23} %{SOURCE24} %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}/%{_sysconfdir}/%{name}/slapd.d
#install -m640 -o ldap -g ldap -d /etc/openldap/slapd.d

### repository dir
install -d %{buildroot}%{_var}/lib/ldap%{ol_major}

### run dir
install -d %{buildroot}%{_tmpfilesdir}
cat >%{buildroot}%{_tmpfilesdir}/%{pkg_name}%{ol_major}.conf <<EOF
d /run/ldap%{ol_major} 0755 ldap ldap
EOF

### Server defaults
echo "localhost" > %{buildroot}%{_sysconfdir}/%{name}/ldapserver

### we don't need the default files 
rm -f %{buildroot}/etc/%{name}/*.default 
rm -f %{buildroot}/etc/%{name}/schema/*.default 


### Standard schemas should not be changed by users
install -d %{buildroot}%{_datadir}/%{name}/schema
mv -f %{buildroot}%{_sysconfdir}/%{name}/schema/* %{buildroot}%{_datadir}/%{name}/schema/

### install additional schemas
install -m 644 %{SOURCE54} %{buildroot}%{_datadir}/%{name}/schema/

install -d %{buildroot}/%{_datadir}/%{name}/scripts
install -m 755 %{SOURCE4} %{SOURCE25} %{SOURCE26} %{SOURCE27} %{buildroot}/%{_datadir}/%{name}/scripts/
for i in hourly daily weekly monthly yearly
do
	install -d %{buildroot}/%{_sysconfdir}/cron.${i}
	ln -s %{_datadir}/%{name}/scripts/ldap-hot-db-backup %{buildroot}/%{_sysconfdir}/cron.${i}/ldap-hot-db-backup%{ol_major}
done
perl -pi -e 's,%{_bindir}/db_,%{_bindir}/%{dbutilsprefix},g' %{buildroot}/%{_datadir}/%{name}/scripts/ldap-common

### create local.schema
echo "# This is a good place to put your schema definitions " > %{buildroot}%{_sysconfdir}/%{name}/schema/local.schema
chmod 644 %{buildroot}%{_sysconfdir}/%{name}/schema/local.schema

### deal with the migration tools
%if %{build_migration}
install -d %{buildroot}%{_datadir}/%{name}/migration
install -m 755 MigrationTools-%{migtools_ver}/{*.pl,*.sh,*.txt,*.ph} %{buildroot}%{_datadir}/%{name}/migration
install -m 644 MigrationTools-%{migtools_ver}/README %{SOURCE14} %{buildroot}%{_datadir}/%{name}/migration
install -m 755 %{SOURCE15} %{buildroot}%{_datadir}/%{name}/migration

cp MigrationTools-%{migtools_ver}/README README.migration
cp %{SOURCE14} TOOLS.migration
%endif

mkdir -p %{buildroot}/%{_docdir}/%{name}/{guide,images}
install -m644 doc/guide/admin/*.html doc/guide/admin/*.png %{buildroot}/%{_docdir}/%{name}/guide
install -m644 doc/guide/images/*.gif %{buildroot}/%{_docdir}/%{name}/images

### gencert.sh
install -m 755 %{SOURCE19} %{buildroot}/%{_datadir}/%{name}

### log repository
install -m 700 -d %{buildroot}/var/log/ldap%{ol_major}
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -m 644 %{SOURCE20} %{buildroot}%{_sysconfdir}/logrotate.d/ldap%{ol_major}


# get the buildroot out of the man pages
perl -pi -e "s|%{buildroot}||g" %{buildroot}%{_mandir}/*/*.*

#mkdir -p %{buildroot}%{_sysconfdir}/ssl/%{name}

#rename binaries
%if !%{build_system} || %{build_alternatives}
for OLD in %{buildroot}/%{_bindir}/{%{clientbin}}
do
    NEW=`echo ${OLD}%{alternative_major}`
    mv -f $OLD $NEW ||:
    if [ -L $NEW ]
    then ln -sf `readlink $NEW`%{alternative_major} $NEW
    fi
done
for OLD in %{buildroot}/%{_mandir}/man?/{%{clientbin},ldap.conf,ldif}*
do
    if [ -e $OLD ]
    then
        BASE=`perl -e '$_="'${OLD}'"; m,(%buildroot)(.*?)(\.[0-9]),;print "$1$2\n";'`
        EXT=`echo $OLD|sed -e 's,'${BASE}',,g'`
        NEW=`echo ${BASE}%{alternative_major}${EXT}`
        mv $OLD $NEW
    fi
done
%endif
%if !%build_system
for OLD in %{buildroot}/%{_bindir}/{%{serverbin}} %{buildroot}/%{_sbindir}/{%{serversbin}}
do
    NEW=`echo ${OLD}%{ol_major}`
    mv $OLD $NEW -f ||:
    if [ -L $NEW ]
        then ln -sf `readlink $NEW`%{ol_major} $NEW
    fi
done
# And the man pages too:
for OLD in %{buildroot}/%{_mandir}/man?/{%{serversbin},slapo}*
do
    if [ -e $OLD ]
    then
        BASE=`perl -e '$_="'${OLD}'"; m,(%buildroot)(.*?)(\.[0-9]),;print "$1$2\n";'`
#        BASE=`perl -e '$name="'${OLD}'"; print "",($name =~ /(.*?)\.[0-9]/), "\n";'`
	EXT=`echo $OLD|sed -e 's,'${BASE}',,g'`
	NEW=`echo ${BASE}%{ol_major}${EXT}`
	mv $OLD $NEW
    fi
done
# rename systemd
mv %{buildroot}%{_unitdir}/slapd.service %{buildroot}%{_unitdir}/slapd%{ol_major}.service
%endif

#Fix binary names and config paths in scripts/configs
perl -pi -e 's,/%{pkg_name}/,/%{name}/,g;s,(/ldap\w?)\b,${1}%{ol_major},g;s,(%{_bindir}/slapd_db_\w+),${1}%{ol_major},g;s,(%{_sbindir}/sl(apd|urpd|aptest))\b,${1}%{ol_major},g;s/ldap%{ol_major}-common/ldap-common/g;s,ldap%{ol_major}.pem,ldap.pem,g;s,/usr/lib,%{_libdir},g;s,(/etc/sysconfig/slapd),$1%{ol_major},g' %{buildroot}/{%{_sysconfdir}/%{name}/slapd.conf,%{_unitdir}/slapd%{ol_major}.service,%{_datadir}/%{name}/scripts/*}
perl -pi -e 's/ldap/ldap%{ol_major}/' %{buildroot}/%{_sysconfdir}/logrotate.d/ldap%{ol_major}

 
# install private headers so as to build additional overlays later
install -d -m 755 %{buildroot}%{_includedir}/%{name}/{include,slapd}
install -m 644 include/*.h  %{buildroot}%{_includedir}/%{name}/include
install -d -m 755 %{buildroot}%{_includedir}/%{name}/include/ac
install -m 644 include/ac/*.h  %{buildroot}%{_includedir}/%{name}/include/ac
install -m 644 servers/slapd/*.h  %{buildroot}%{_includedir}/%{name}/slapd
install -d -m 755 %{buildroot}%{_includedir}/%{name}/libraries/liblunicode/ucdata
install -m 644 libraries/liblunicode/ucdata/*.h %{buildroot}%{_includedir}/%{name}/libraries/liblunicode/ucdata

# drop RPATH
#chrpath -d %{buildroot}%{_libdir}/%{name}/$(readlink %{buildroot}%{_libdir}/%{name}/smbpwd.so.?)

# Dont drop all  .la files, as OpenLDAP uses them for loading plugins
rm -f %{buildroot}/%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/%{name}/*.a

%pre servers
%_pre_useradd ldap %{_var}/lib/ldap /bin/false
%_pre_groupadd ldap ldap
# allowing slapd to read hosts.allow and hosts.deny
%{_bindir}/gpasswd -a ldap adm 1>&2 > /dev/null || :
if [ "$1" -ne '1' ]
then
if [ -e /etc/sysconfig/ldap%{ol_major} ]
then mv /etc/sysconfig/ldap%{ol_major} /etc/sysconfig/slapd%{ol_major}
fi
LDAPUSER=ldap
LDAPGROUP=ldap
[ -e "/etc/sysconfig/slapd%{ol_major}" ] && . "/etc/sysconfig/slapd%{ol_major}"
if [ -z "$SLAPDCONF" ]
then
    if [ -e "/etc/%{name}/slapd.d/cn=config.ldif" ]
    then SLAPDCONF=/etc/%{name}/slapd.d
    else SLAPDCONF=/etc/%{name}/slapd.conf
    fi
fi
echo "Using $SLAPDCONF as configuration for %pre servers"
SLAPD_STATUS=`systemctl is-active slapd%{ol_major}.service > %_service_status_file;echo $[1-$?]`
if [[ $SLAPD_STATUS -eq 1 ]]
then
    echo "Stopping slapd%{ol_major}.service via systemd and recovering via ldap-config"
    systemctl stop slapd%{ol_major}.service
fi
/usr/share/openldap/scripts/ldap-config recover
if [ -e "$SLAPDCONF/cn=config.ldif" ]
then 
    echo "Creating a config export from $SLAPDCONF as /etc/%{name}/slapd-config-rpm-upgrade.ldif"
    slapcat%{ol_major} -n0 -l /etc/%{name}/slapd-config-rpm-upgrade.ldif
fi

#decide whether we need to migrate at all:
MIGRATE=`%{_sbindir}/slapd%{ol_major} -VV 2>&1|while read a b c d e;do case $d in (2.4.*) echo nomigrate;;(2.*) echo migrate;;esac;done`

if [ "$1" -ne 1 -a -e "$SLAPDCONF" -a "$MIGRATE" != "nomigrate" ]
then 
#`awk '/^[:space:]*directory[:space:]*\w*/ {print $2}' /etc/%{name}/slapd.conf`
dbs=`awk 'BEGIN {OFS=":"} /[[:space:]]*^database[[:space:]]*\w*/ {db=$2;suf="";dir=""}; /^[[:space:]]*suffix[[:space:]]*\w*/ {suf=$2;if((db=="bdb"||db=="ldbm"||db=="hdb")&&(suf!=""&&dir!="")) print dir,suf};/^[[:space:]]*directory[[:space:]]*\w*/ {dir=$2; if((db=="bdb"||db=="ldbm"||db="hdb")&&(suf!=""&&dir!="")) print dir,suf};' "$SLAPDCONF" $(awk  '/^[[:blank:]]*include[[:blank:]]*/ {print $2}' "$SLAPDCONF")|sed -e 's/\"//g'`
for db in $dbs
do
	dbdir=${db/:*/}
	dbsuffix=${db/*:/}
	[ -e /etc/sysconfig/slapd%{ol_major} ] && . /etc/sysconfig/slapd%{ol_major}
# data migration between incompatible versions
# openldap >= 2.2.x have slapcat as a link to slapd, older releases do not
	if [ "${AUTOMIGRATE:-yes}" == "yes" -a -f %{_sbindir}/slapcat ]
	then
		ldiffile="rpm-migrate-to-%{ol_ver_major}.ldif"
		# dont do backups more than onc
		if [ ! -e "${dbdir}/${ldiffile}-imported" -a ! -e "${dbdir}/${ldiffile}-import-failed" ];then
		echo "Migrating pre-OpenLDAP-%{ol_ver_major} data"
		echo "Making a backup of $dbsuffix to ldif file ${dbdir}/$ldiffile"
		# For some reason, slapcat works in the shell when slapd is
		# running but not via rpm ...
		slapcat%{ol_major} -b "$dbsuffix" -l ${dbdir}/${ldiffile} ||:
		fi
	fi
done
fi
fi

%post servers
%_tmpfilescreate %{pkg_name}%{ol_major}
SLAPD_STATUS=`systemctl -q is-active slapd%{ol_major}.service;echo $[1-$?]`
[ $SLAPD_STATUS -eq 1 ] && systemctl stop slapd%{ol_major}.service
# bgmilne: part 2 of gdbm->dbb conversion for data created with 
# original package for 9.1:
dbnum=1
LDAPUSER=ldap
LDAPGROUP=ldap
[ -e "/etc/sysconfig/slapd%{ol_major}" ] && . "/etc/sysconfig/slapd%{ol_major}"
SLAPDCONF=${SLAPDCONF:-/etc/%{name}/slapd.conf}
if [ -e "$SLAPDCONF" ] 
then
dbs=`awk 'BEGIN {OFS=":"} /[[:space:]]*^database[[:space:]]*\w*/ {db=$2;suf="";dir=""}; /^[[:space:]]*suffix[[:space:]]*\w*/ {suf=$2;if((db=="bdb"||db=="ldbm")&&(suf!=""&&dir!="")) print dir,suf};/^[[:space:]]*directory[[:space:]]*\w*/ {dir=$2; if((db=="bdb"||db=="ldbm")&&(suf!=""&&dir!="")) print dir,suf};' "$SLAPDCONF" $(awk  '/^[[:blank:]]*include[[:blank:]]*/ {print $2}' "$SLAPDCONF")|sed -e 's/\"//g'`
for db in $dbs
do	
	dbdir=${db/:*/}
	dbsuffix=${db/*:/}
	ldiffile="rpm-migrate-to-%{ol_ver_major}.ldif"
	if [ -e "${dbdir}/${ldiffile}" ]
	then
		echo -e "\n\nImporting $dbsuffix"
		if [ -e ${dbdir}/ldap-rpm-backup ]
		then 
			echo "Warning: Old ldap backup data in ${dbdir}/ldap-rpm-backup"
			echo "These files will be removed"
			rm -f ${dbdir}/ldap-rpm-backup/*
		fi
	
		echo "Moving the database files fom ${dbdir} to ${dbdir}/ldap-rpm-backup"
		mkdir -p ${dbdir}/ldap-rpm-backup
		mv -f ${dbdir}/{*.bdb,*.gdbm,*.dbb,log.*,__db*} ${dbdir}/ldap-rpm-backup 2>/dev/null
		echo "Importing $dbsuffix from ${dbdir}/${ldiffile}"
		if slapadd%{ol_major} -q -cv -b "$dbsuffix" -l ${dbdir}/${ldiffile} > \
		${dbdir}/rpm-ldif-import.log 2>&1
		then
			mv -f ${dbdir}/${ldiffile} ${dbdir}/${ldiffile}-imported
			echo "Import complete, see log ${dbdir}/rpm-ldif-import.log"
			echo "If any entries were not migrated, see ${dbdir}/${ldiffile}-imported"
		else
			mv -f ${dbdir}/${ldiffile} ${dbdir}/${ldiffile}-import-failed
			echo "Import failed on ${dbdir}/${ldifffile}, see ${dbdir}/rpm-ldif-import.log"
			echo "An ldif dump of $dbsuffix has been saved as ${dbdir}/${ldiffile}-import-failed"
			echo -e "\nYou can import it manually by running (as root):"
			echo "# systemctl stop slapd%{ol_major}"
			echo "# slapadd%{ol_major} -c -l ${dbdir}/${ldiffile}-import-failed"
			echo "# chown $LDAPUSER:$LDAPGROUP ${dbdir}/*"
			echo "# systemctl start slapd%{ol_major}"
		fi
	fi

	chown ${LDAPUSER}:${LDAPGROUP} -R ${dbdir}
	# openldap-2.0.x->2.1.x on ldbm/dbb backend seems to need reindex regardless:
	#slapindex -n $dbnum
	#dbnum=$[dbnum+1]
done
fi

# Setup log facility for OpenLDAP on new install
%_post_syslogadd /var/log/ldap%{ol_major}/ldap.log local4
perl -pi -e "s|^.*SLAPDSYSLOGLOCALUSER.*|SLAPDSYSLOGLOCALUSER=\"local4\"|" \
    %{_sysconfdir}/sysconfig/slapd%{ol_major}

# Handle switch from %{_sysconfdir}/ssl/%{name}/ldap.pem to %{_sysconfdir}/pki/tls/private/ldap.pem
if [ -e %{_sysconfdir}/ssl/%{name}/ldap.pem -a ! -e %{_sysconfdir}/pki/tls/private/ldap.pem ]
then
  mv %{_sysconfdir}/ssl/%{name}/ldap.pem %{_sysconfdir}/pki/tls/private/ldap.pem
  ln -s %{_sysconfdir}/pki/tls/private/ldap.pem %{_sysconfdir}/ssl/%{name}/ldap.pem
fi
# generate the ldap.pem cert here instead of the initscript
%if %{?_create_ssl_certificate:1}%{!?_create_ssl_certificate:0}
%_create_ssl_certificate -g ldap ldap
%else
if [ ! -e %{_sysconfdir}/pki/tls/private/ldap.pem ]
then
  if [ -x %{_datadir}/%{name}/gencert.sh ] ; then
    echo "Generating self-signed certificate..."
    pushd %{_sysconfdir}/pki/tls/private > /dev/null
    yes ""|%{_datadir}/%{name}/gencert.sh >/dev/null 2>&1
    chmod 640 ldap.pem
    chown root:ldap ldap.pem
    popd > /dev/null
  fi
  echo "To generate a self-signed certificate, you can use the utility"
  echo "%{_datadir}/%{name}/gencert.sh..."
fi
%endif

pushd %{_sysconfdir}/%{name}/ > /dev/null
for i in slapd.conf slapd.access.conf ; do
	if [ -f $i ]; then
		chmod 0640 $i
		chown root:ldap $i
	fi
done
popd > /dev/null

%_post_service slapd%{ol_major}
PRE_STATUS=$(head -n1 %_service_status_file)
if [[ $SLAPD_STATUS -eq 1 || "$PRE_STATUS" == "active" ]] 
then
    echo "Starting slapd%{ol_major} after upgrade"
    systemctl -q start slapd%{ol_major}
fi
rm -f %_service_status_file

# nscd reset
systemctl -q try-restart nscd

%preun servers
%_preun_service slapd%{ol_major}


%postun servers
%_preun_syslogdel
%_postun_userdel ldap
%_postun_groupdel ldap


%files
%config(noreplace) %{_sysconfdir}/%{name}/ldapserver
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/ldap.conf
%{_mandir}/man5/ldap.conf%{ol_major}.5*
%{_mandir}/man5/ldif%{ol_major}.5*
%doc README.mageia


%files doc
%doc ANNOUNCEMENT CHANGES COPYRIGHT LICENSE README 
%if %{build_migration}
%doc README.migration TOOLS.migration
%endif
%doc doc/rfc doc/drafts
%doc %{_docdir}/%{name}/guide
%doc %{_docdir}/%{name}/images

%if %{build_migration}
%files migration
%{_datadir}/%{name}/migration
%endif


%files servers
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/schema
%attr(640,root,ldap) %config(noreplace) %{_sysconfdir}/%{name}/slapd.conf
%attr(640,root,ldap) %config(noreplace) %{_sysconfdir}/%{name}/slapd.ldif
%dir %attr(750,ldap,ldap) %{_sysconfdir}/%{name}/slapd.d
%attr(640,root,ldap) %config %{_sysconfdir}/%{name}/slapd.access.conf

%config(noreplace) %{_sysconfdir}/%{name}/schema/*.schema
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/schema
%{_datadir}/%{name}/schema/*.schema
%{_datadir}/%{name}/schema/*.ldif
%{_datadir}/%{name}/schema/README
%{_datadir}/%{name}/scripts
%{_sysconfdir}/cron.hourly/ldap-hot-db-backup%{ol_major}
%{_sysconfdir}/cron.daily/ldap-hot-db-backup%{ol_major}
%{_sysconfdir}/cron.weekly/ldap-hot-db-backup%{ol_major}
%{_sysconfdir}/cron.monthly/ldap-hot-db-backup%{ol_major}
%{_sysconfdir}/cron.yearly/ldap-hot-db-backup%{ol_major}

%config(noreplace) %{_sysconfdir}/sysconfig/slapd%{ol_major}
%config(noreplace) %{_unitdir}/slapd%{ol_major}.service
%attr(750,ldap,ldap) %dir %{_var}/lib/ldap%{ol_major}
%{_tmpfilesdir}/%{pkg_name}%{ol_major}.conf
%{_datadir}/%{name}/gencert.sh
%{_sbindir}/*
%{_libdir}/libslapi*.so.*

%dir %{_libdir}/%{name}
%if %{build_modules} && !%{build_modpacks}
%{_libdir}/%{name}/*.la
%{_libdir}/%{name}/*.so*
%endif
%if !%{build_modp_mdb}
%{_libdir}/%{name}/back_mdb*
%endif
%if !%{build_modp_mdb} && %{lmdb_internal}
%{_bindir}/mdb_*
%{_mandir}/man1/mdb_*
%endif
%if %{build_modules} && %{build_modpacks}
#{_libdir}/%{name}/back_monitor*
%{_libdir}/%{name}/back_asyncmeta*
%{_libdir}/%{name}/back_ldap*
%{_libdir}/%{name}/back_meta*
%{_libdir}/%{name}/back_passwd*
%{_libdir}/%{name}/back_dns*
%{_libdir}/%{name}/back_null*
%{_libdir}/%{name}/back_relay*
%{_libdir}/%{name}/back_sock*
%if %{back_shell}
%{_libdir}/%{name}/back_shell*
%endif
%{_libdir}/%{name}/accesslog*
%{_libdir}/%{name}/addpartial*
%{_libdir}/%{name}/allop*
%{_libdir}/%{name}/allowed*
%{_libdir}/%{name}/auditlog*
%{_libdir}/%{name}/autoca*
%{_libdir}/%{name}/autogroup*
%{_libdir}/%{name}/cloak*
%{_libdir}/%{name}/collect*
%{_libdir}/%{name}/constraint*
%{_libdir}/%{name}/dds*
%{_libdir}/%{name}/denyop*
%{_libdir}/%{name}/deref*
%{_libdir}/%{name}/dupent*
%{_libdir}/%{name}/dyngroup*
%{_libdir}/%{name}/dynlist*
%{_libdir}/%{name}/homedir*
%{_libdir}/%{name}/kerberos*
%{_libdir}/%{name}/lastbind*
%{_libdir}/%{name}/lastmod*
%{_libdir}/%{name}/memberof*
%{_libdir}/%{name}/netscape*
%{_libdir}/%{name}/noopsrch*
%if %{build_nssov}
%{_libdir}/%{name}/nssov*
%endif
%{_libdir}/%{name}/otp*
%{_libdir}/%{name}/pcache*
%{_libdir}/%{name}/ppolicy*
%{_libdir}/%{name}/pw-apr1*
%{_libdir}/%{name}/pw-kerberos*
%{_libdir}/%{name}/pw-netscape*
%{_libdir}/%{name}/pw-sha2*
%{_libdir}/%{name}/pw-pbkdf2*
%{_libdir}/%{name}/refint*
%{_libdir}/%{name}/remoteauth*
%{_libdir}/%{name}/retcode*
%{_libdir}/%{name}/rwm*
%{_libdir}/%{name}/seqmod*
#{_libdir}/%{name}/smbpwd*
%{_libdir}/%{name}/sssvlv*
%{_libdir}/%{name}/syncprov*
%{_libdir}/%{name}/trace*
%{_libdir}/%{name}/translucent*
%{_libdir}/%{name}/unique*
%{_libdir}/%{name}/valsort*
%endif

%{_mandir}/man5/slap*.5*
%{_mandir}/man5/lloadd*.5*
%{_mandir}/man8/*

%attr(750,ldap,ldap) %dir /var/log/ldap%{ol_major}
%config(noreplace) %{_sysconfdir}/logrotate.d/ldap%{ol_major}

%doc contrib/slapd-modules/acl/README.*
%doc contrib/slapd-modules/addpartial/README.addpartial
%doc contrib/slapd-modules/allop/README.allop
%doc contrib/slapd-modules/allowed/README.allowed
%doc contrib/slapd-modules/autogroup/README.autogroup
#doc contrib/slapd-modules/dsaschema/README.dsaschema
%doc contrib/slapd-modules/kinit/README.kinit
%{_libdir}/%{name}/kinit*
%doc contrib/slapd-modules/passwd/README.passwd
%doc contrib/slapd-modules/passwd/sha2/README.sha2
%doc contrib/slapd-modules/passwd/pbkdf2/README.pbkdf2
%if %{build_smbk5pwd}
%doc contrib/slapd-modules/smbk5pwd/README.smbk5pwd
%endif
%if %{build_nssov}
%doc contrib/slapd-modules/nssov/README.nssov
%endif

%files servers-devel
%{_includedir}/slapi-plugin.h
%{_libdir}/libslapi.so

%files clients
%{_bindir}/ldap*
%{_mandir}/man1/ldap*

%files -n %{libname}
%exclude %{_libdir}/libslapi*.so.*
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%{_libdir}/pkgconfig/ldap.pc
%{_libdir}/pkgconfig/lber.pc
%{_libdir}/libl*.so
%{_includedir}/l*.h
%{_includedir}/openldap.h
%{_includedir}/%{name}
%{_mandir}/man3/*

%files -n %{libname}-static-devel
%{_libdir}/lib*.a

%if %{build_modpacks}
%if 0
%files back_dnssrv
%{_libdir}/%{name}/back_dnssrv.la
%{_libdir}/%{name}/back_dnssrv*.so.*
%{_libdir}/%{name}/back_dnssrv*.so

%files back_ldap
%{_libdir}/%{name}/back_ldap.la
%{_libdir}/%{name}/back_ldap*.so.*
%{_libdir}/%{name}/back_ldap*.so

%files back_passwd
%{_libdir}/%{name}/back_passwd.la
%{_libdir}/%{name}/back_passwd*.so.*
%{_libdir}/%{name}/back_passwd*.so
%endif #0

%if %{build_modp_sql}
%files back_sql
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/back_sql.la
%{_libdir}/%{name}/back_sql*.so.*
%{_libdir}/%{name}/back_sql*.so
%endif

%if %{build_modp_mdb}
%files back_mdb
%{_libdir}/%{name}/back_mdb*
%endif
%if %{build_modp_mdb} && %{lmdb_internal}
%{_bindir}/mdb_*
%{_mandir}/man1/mdb_*
%endif

%endif #build_modpacks

%files tests
%{_datadir}/%{name}/tests

%files testprogs
%{_bindir}/slapd-*
%{_bindir}/ldif-filter%{ol_major}
