%define oname	OpenLP

Summary:	Open source Church presentation and lyrics projection application
Name:		openlp
Version:	3.0.2
Release:	%mkrel 3
License:	GPLv2
Group:		Publishing
URL:		https://openlp.org/
Source0:	https://get.openlp.org/%{version}/%{oname}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:	desktop-file-utils
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	qt5-devel
BuildRequires:	qttools5
BuildRequires:	python3-pillow
BuildRequires:	python3-qt5
BuildRequires:	python3-mako
BuildRequires:	python3-appdirs
BuildRequires:	python3-sqlalchemy
BuildRequires:	python3-alembic
BuildRequires:	python3-lxml
BuildRequires:	python3-flask
BuildRequires:	python3-pymediainfo
BuildRequires:	python3-vlc
BuildRequires:	python3-waitress
BuildRequires:	python3-webob
BuildRequires:	python3-websockets
BuildRequires:	python3-zeroconf
BuildRequires:	python3-qrcode
BuildRequires:	python3-qtawesome
BuildRequires:	python3-pillow-qt
BuildRequires:	python3-pysword
BuildRequires:	python3-beautifulsoup4
BuildRequires:	python3-qt5-webenginewidgets
BuildRequires:	python3-flask-cors
BuildRequires:	python3-qdarkstyle
BuildRequires:	python3-chardet
BuildRequires:	python3-requests
BuildRequires:	python3-enchant
BuildRequires:	python3-distro
BuildRequires:	python3-pytest-runner
Requires:	vlc
Requires:	python3-qt5
Requires:	phonon4qt5-backend
Requires:	hicolor-icon-theme
Requires:	libreoffice-graphicfilter
Requires:	libreoffice-impress
Requires:	libreoffice-headless
Requires:	ghostscript
Recommends:	python3-qdarkstyle
Recommends:	python3-pysword

%description
openlp is a church presentation software, for lyrics projection software,
used to display slides of Songs, Bible verses, videos, images, and
presentations via LibreOffice using a computer and projector.


%prep
%setup -q -c -n %{oname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files openlp

install -m644 -p -D resources/images/openlp-logo-16x16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/openlp.png
install -m644 -p -D resources/images/openlp-logo-32x32.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/openlp.png
install -m644 -p -D resources/images/openlp-logo-48x48.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/openlp.png
install -m644 -p -D resources/images/openlp-logo.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/openlp.svg

desktop-file-install --dir %{buildroot}/%{_datadir}/applications resources/openlp.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/openlp.desktop

mkdir -p %{buildroot}%{_datadir}/openlp/i18n/
for TSFILE in resources/i18n/*.ts; do
    lrelease $TSFILE -qm %{buildroot}%{_datadir}/openlp/i18n/`basename $TSFILE .ts`.qm;
done
mkdir -p %{buildroot}%{_datadir}/mime/packages
cp -p resources/openlp.xml %{buildroot}%{_datadir}/mime/packages
install -m644 documentation/%{name}.1 -D %{buildroot}%{_mandir}/man1/%{name}.1

%files -f %{pyproject_files}
%doc copyright.txt
%{_bindir}/openlp
%{_datadir}/mime/packages/openlp.xml
%{_datadir}/applications/openlp.desktop
%{_datadir}/icons/hicolor/*/apps/openlp.*
%{_datadir}/openlp/
%{_mandir}/man1/%{name}.1*
