%global sum	Parody of Mortal Kombat

Summary:	%{sum}
Name:		openmortal
Version:	0.7.1
Release:	%mkrel 28
License:        GPLv2
Group:          Games/Arcade
Url:            https://openmortal.sourceforge.net/
Source0:	openmortal-0.7.tar.bz2
Source1:	laurence.zip
Source2:	ikari.zip
Source11:	openmortal-16x16.png
Source12:	openmortal-32x32.png
Source13:	openmortal-48x48.png
Patch0:		openmortal-0.7-extra-qualification.patch
Patch1:		openmortal-0.7-fix-build-with-freetype2.patch
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_net)
#BuildRequires: SDL_ttf-devel
BuildRequires:	freetype2-devel
BuildRequires:	libnsl-devel
BuildRequires:	perl-devel

%description
Mortal Szombat is a parody of the popular coin-up game, Mortal Kombat.

It is currently playable (maybe even enjoyable), although it is still
under development. Only two-player game is supported, single-player games
against computer opponent is not planned yet.

There are currently 9 playable characters, and 8 more in the making!

%prep
%setup -n %{name}-0.7 -q
%patch -P 0 -p0
%patch -P 1 -p1 -b .freetype-fix

unzip %{SOURCE1} -d data/gfx
unzip %{SOURCE2} -d data/gfx

perl -pi -e "s|level6.jpg|level6.jpg level12.desc level12_arena.png\
 level12_background.png level12_left.png level12_right.png level13.desc\
 level13_arena.png level13_background.png level13_plane2.png|"\
 data/gfx/Makefile.in

%build
# fix build on aarch64
autoreconf -vfi

%configure \
	--bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir}
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Mortal Szombat
Comment=%{sum}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

#icons
install %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

%files
%doc AUTHORS ChangeLog PACKAGERS README TODO
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
