Name:		openmw
Version:	0.48.0
Release:	%mkrel 7
Summary:	Unofficial open source engine re-implementation of the game Morrowind
Group:		Games/Other
License:	GPLv3
URL:		https://openmw.org
Source0:	https://github.com/OpenMW/openmw/archive/%{name}-%{version}.tar.gz
Patch0:		0001-fix-includes.patch
# patch as rediffed by openmandriva
Patch1:		3319.patch
Patch2:		openmw-0.48.0-ffmpeg7.patch
BuildRequires:	cmake
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(openscenegraph)
BuildRequires:	pkgconfig(openthreads)
BuildRequires:	pkgconfig(bullet)
BuildRequires:	pkgconfig(libavcodec)
BuildRequires:	pkgconfig(libunshield)
BuildRequires:	pkgconfig(luajit)
BuildRequires:	pkgconfig(MYGUI)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(yaml-cpp)
BuildRequires:	pkgconfig(xt)
BuildRequires:	recastnavigation-devel
Requires:	font(dejavulgcsansmono)

%description
OpenMW is an attempt to reimplement the popular role playing game Morrowind.
It aims to be a fully playable, open source implementation of the game.

You must own Morrowind to use OpenMW. OpenMW is a reimplementation of the
technical aspects of the game only. It does not come with any “content”
– namely the art, game data, and other copyrighted material that you need to
play the game as designed by Bethesda Softworks.

%prep
%autosetup -p1 -n %{name}-%{name}-%{version}

%build
%cmake_qt5 \
	-DDESIRED_QT_VERSION=5 \
	-DOPENMW_USE_SYSTEM_RECASTNAVIGATION=ON \
	-DBUILD_MYGUI_PLUGIN=OFF \
	-DUSE_SYSTEM_TINYXML=ON
%cmake_build

%install
%cmake_install

# Handle in files section
rm -rf %{buildroot}%{_datadir}/licenses/

# Use system font
rm -f %{buildroot}%{_gamesdatadir}/%{name}/resources/mygui/DejaVuLGCSansMono.ttf

%files
%doc AUTHORS.md CHANGELOG.md README.md
%license LICENSE
%config(noreplace) %{_sysconfdir}/%{name}/
%{_bindir}/%{name}
%{_bindir}/%{name}-cs
%{_bindir}/%{name}-iniimporter
%{_bindir}/%{name}-essimporter
%{_bindir}/%{name}-launcher
%{_bindir}/%{name}-wizard
%{_bindir}/%{name}-bulletobjecttool
%{_bindir}/%{name}-navmeshtool
%{_bindir}/bsatool
%{_bindir}/esmtool
%{_bindir}/niftest
%dir %{_gamesdatadir}/%{name}
%dir %{_gamesdatadir}/%{name}/data
%{_gamesdatadir}/%{name}/resources/
%{_datadir}/applications/org.%{name}.cs.desktop
%{_datadir}/applications/org.%{name}.launcher.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}-cs.png
%{_datadir}/metainfo/%{name}.appdata.xml
