%define major 1
%define libname %mklibname openobex %{major}
%define major2 2
%define libname2 %mklibname openobex %{major2}
%define develname %mklibname openobex -d

Summary: 	Library for using OBEX
Name: 		openobex
Version: 	1.7.2
Release: 	%mkrel 6
License: 	LGPL
Group: 		System/Libraries
URL:		https://openobex.sourceforge.net/
Source: 	https://sourceforge.net/projects/openobex/files/openobex/%{version}/%{name}-%{version}-Source.tar.gz
Patch0:		openobex-1.7.1-libdir-extra-prefix.patch
Patch1:		openobex-1.7.1-addrinfo.patch
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	docbook-style-xsl
BuildRequires:	xsltproc
BuildRequires:	pkgconfig(bluez)
BuildRequires:	pkgconfig(libusb)

%description
Open OBEX shared c-library

%package -n %{libname}
Summary: Library for using OBEX
Group: System/Libraries
Provides: lib%{name} = %{version}-%{release}
Provides: %{name} = %{version}-%{release}
Conflicts: %{_lib}%{name}1.3
Conflicts: %{_lib}%{name}1.2
Conflicts: %{_lib}%{name}1.1

%description -n %{libname}
Open OBEX shared c-library

%package -n %{libname2}
Summary: Library for using OBEX
Group: System/Libraries
Provides: lib%{name} = %{version}-%{release}
Provides: %{name} = %{version}-%{release}
Conflicts: %{_lib}%{name}1.3
Conflicts: %{_lib}%{name}1.2
Conflicts: %{_lib}%{name}1.1

%description -n %{libname2}
Open OBEX shared c-library

%package -n %{develname}
Summary: Library for using OBEX
Group: Development/C
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel  = %{version}-%{release}
Requires: %{libname} = %{version}
Requires: %{libname2} = %{version}
Requires:   bluez-devel
Conflicts: %{_lib}%{name}1.3-devel
Conflicts: %{_lib}%{name}1.2-devel
Conflicts: %{_lib}%{name}1.1-devel
Obsoletes: %{_lib}%{name}1-devel

%description -n %{develname}
Open OBEX shared c-library

%package apps
Summary: Apps that come with the Open OBEX c-library
Group: Communications/Mobile

%description apps
These are the apps that come with the Open OBEX c-library. These are
not meant to be more than test-programs to look at if you want to see
how use the library itself.

%package ircp
Summary: Used to "beam" files or whole directories
Group: Communications/Mobile
Obsoletes: ircp
Provides: ircp

%description ircp
Ircp is used to "beam" files or whole directories to/from Linux, Windows.

%prep
%setup -q -n %{name}-%{version}-Source
#autopatch -p1

%build
%cmake \
 -DCMAKE_INSTALL_UDEVRULESDIR=%{_udevrulesdir} \
 -DCMAKE_SKIP_INSTALL_RPATH=YES \
 -DCMAKE_SKIP_RPATH=YES
%cmake_build
make -C build openobex-apps

%install
%cmake_install

# since our old packages will look for headers in /usr/include
ln -s openobex/obex.h %{buildroot}/%{_includedir}/obex.h
ln -s openobex/obex_const.h %{buildroot}/%{_includedir}/obex_const.h

%files -n %{libname}
%doc COPYING
%{_libdir}/libopenobex.so.%{major}{,.*}

%files -n %{libname2}
%doc COPYING
%{_libdir}/libopenobex.so.%{major2}{,.*}

%files -n %{develname}
%doc AUTHORS ChangeLog README
%{_libdir}/pkgconfig/openobex.pc
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/cmake/OpenObex-%{version}
%{_datadir}/doc/openobex/html/

%files apps
%{_bindir}/irobex_palm3
%{_bindir}/irxfer
%{_bindir}/obex_find
%{_sbindir}/obex-check-device
%{_bindir}/obex_tcp
%{_bindir}/obex_test
%{_mandir}/*/irobex_palm3.*
%{_mandir}/*/irxfer.*
%{_mandir}/*/obex_find.*
%{_mandir}/*/obex_tcp.*
%{_mandir}/*/obex_test.*
%{_udevrulesdir}/*

%files ircp
%{_bindir}/ircp
%{_mandir}/*/ircp.*
