%define oname	mapper

#define prel	RC2
%define rel	9

Name:		openorienteering-%{oname}
Summary:	An orienteering map making program
Version:	0.9.5
Release:	%mkrel %{?prel:0.%prel.}%{rel}
License:	GPLv3
Group:		Sciences/Geosciences
Url:		https://oorienteering.sourceforge.net/
Source0:	https://github.com/OpenOrienteering/mapper/archive/v%{version}/%{oname}-%{version}.tar.gz
Source1:	mageia-licensing.cmake
Patch0001:	0001-Use-system-QtSingleApplication.patch
BuildRequires:	cmake >= 1:3.16.2-2
BuildRequires:	git-core
BuildRequires:	dos2unix
BuildRequires:	doxygen

#for BETA2007.gsb
BuildRequires:	proj
Requires:	proj

#for LICENSE.TXT
BuildRequires:	gdal

BuildRequires:	pkgconfig(gdal)
BuildRequires:	pkgconfig(polyclipping)
BuildRequires:	pkgconfig(proj) >= 4.8.0
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Sensors)
BuildRequires:	pkgconfig(Qt5SerialPort)
BuildRequires:	pkgconfig(Qt5Positioning)
BuildRequires:	cups-devel
BuildRequires:	qttools5-assistant
BuildRequires:	qttools5
BuildRequires:	qtsingleapplication-qt5-devel

Provides:	%{oname} = %{version}-%{release}

%description
OpenOrienteering Mapper is an orienteering map making program.

%prep
%autosetup -n mapper-%{version} -p1 -S git_am

install -Dpm644 %{_sourcedir}/mageia-licensing.cmake doc/licensing/mageia-licensing.cmake

#build with system libs
rm -rf 3rd-party/qtsingleapplication/ 3rd-party/clipper/

%build
%cmake_qt5 \
	-DMapper_BUILD_CLIPPER:BOOL=OFF \
	-DMapper_BUILD_DOXYGEN:BOOL=OFF
%cmake_build

%install
%cmake_install

#handle docs in files section
rm -rf %{buildroot}%{_docdir}

%files
%{_bindir}/Mapper
%{_datadir}/%{name}/
%{_mandir}/man?/Mapper.*
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/hicolor/*/*/*.png
