%define major     3
%define libname   %mklibname openr2_ %{major}
%define develname %mklibname openr2 -d

Summary:	MFC/R2 signalling over E1 lines using the DAHDI Telephony interface
Name:		openr2
Version:	1.3.3
Release:	%mkrel 7
License:	GPLv2
Group:		System/Servers
URL:		https://www.libopenr2.org/
Source0:	http://openr2.googlecode.com/files/openr2-%{version}.tar.gz
Patch1:		default_cflags.patch
BuildRequires:	dahdi-devel

%description
OpenR2 is a library that implements the MFC/R2 signalling over E1 lines using
the DAHDI Telephony interface. The MF R2 tones required for the signaling are
generated by code borrowed from the LGPL library SpanDSP written by Steve Underwood, 
the user has the option to provide a MF interface to use his own MF R2 tone generation
and detection so the library will use them when needed, that's why this library does not 
depend directly on spandsp, libteletone or zaptel for tone generation and detection
(depends on zaptel for CAS bits and general media transmission though)

%package -n	%{libname}
Summary:	openr2 shared library
Group:		System/Libraries

%description -n	%{libname}
OpenR2 is a library that implements the MFC/R2 signalling over E1 lines using
the DAHDI Telephony interface. The MF R2 tones required for the signaling are
generated by code borrowed from the LGPL library SpanDSP written by Steve Underwood, 
the user has the option to provide a MF interface to use his own MF R2 tone generation
and detection so the library will use them when needed, that's why this library does not 
depend directly on spandsp, libteletone or zaptel for tone generation and detection
(depends on zaptel for CAS bits and general media transmission though)

This package provides the shared %{name} library.

%package -n	%{develname}
Summary:	Header files and libraries for developing applications for openr2
Group:		Development/C
Requires:	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}

%description -n	%{develname}
OpenR2 is a library that implements the MFC/R2 signalling over E1 lines using
the DAHDI Telephony interface. The MF R2 tones required for the signaling are
generated by code borrowed from the LGPL library SpanDSP written by Steve Underwood, 
the user has the option to provide a MF interface to use his own MF R2 tone generation
and detection so the library will use them when needed, that's why this library does not 
depend directly on spandsp, libteletone or zaptel for tone generation and detection
(depends on zaptel for CAS bits and general media transmission though)

These are the header files and libraries for developing applications for %{name}.

%prep
%autosetup -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static --with-pic
%make_build

%install
%make_install

%files
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/r2proto.conf
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/r2test.conf
%{_bindir}/r2dtmf_detect
%{_bindir}/r2test
%{_mandir}/man*/*

%files -n %{libname}
%doc README doc/*
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/openr2.h
%{_includedir}/openr2
%{_libdir}/*.so
