%define major              12
%define smm_local_major    12
%define libname            %mklibname %{name} %{major}
%define smm_local_libname  %mklibname smm-local %{smm_local_major}
%define develname          %mklibname %{name} -d


Summary:	Library for accessing SmartCard devices
Name:		opensc
Version:	0.26.0
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Kernel and hardware
URL:		https://github.com/OpenSC/OpenSC
Source0:	https://github.com/OpenSC/OpenSC/releases/download/%{version}/%{name}-%{version}.tar.gz
Source1:	oberthur.profile
Source2:	opensc.module
Patch5:		opensc-gcc11.patch

BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(libeac)
BuildRequires:	pkgconfig(libpcsclite)
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl
BuildRequires:	bash-completion

Requires:	%{_lib}pcsclite1
Requires:	openpace

%description
%{name} is a library for accessing smart card devices using PC/SC Lite
middleware package. It is also the core library of the OpenSC project.
Basic functionality (e.g. SELECT FILE, READ BINARY) should work on any
ISO 7816-4 compatible smart card. Encryption and decryption using private
keys on the SmartCard is at the moment possible only with PKCS #15
compatible cards.

%package -n	%{libname}
Summary:	Library for accessing SmartCard devices
Group:		System/Libraries

%description -n	%{libname}
%{name} is a library for accessing smart card devices using PC/SC Lite
middleware package. It is also the core library of the OpenSC project.
Basic functionality (e.g. SELECT FILE, READ BINARY) should work on any
ISO 7816-4 compatible smart card. Encryption and decryption using private
keys on the SmartCard is at the moment possible only with PKCS #15
compatible cards.

%package -n	%{smm_local_libname}
Summary:	Secure Messaging 'local' module for OpenSC
Group:		System/Libraries

%description -n	%{smm_local_libname}
Secure Messaging 'local' module for OpenSC.

%package -n	%{develname}
Summary:	Development related files for %{name}
Group:		Development/C
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libsmm-local-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	%{smm_local_libname} = %{version}

%description -n	%{develname}
%{name} is a library for accessing smart card devices using PC/SC Lite
middleware package. It is also the core library of the OpenSC project.
Basic functionality (e.g. SELECT FILE, READ BINARY) should work on any
ISO 7816-4 compatible smart card. Encryption and decryption using private
keys on the SmartCard is at the moment possible only with PKCS #15
compatible cards.

This package contains all necessary files to develop or compile any
applications or libraries that use %{name}.

%prep
%autosetup -p1

install -m 0644 %{_sourcedir}/oberthur.profile oberthur-alternate.profile

%build
autoreconf -vfi
%configure --disable-static \
	   --disable-autostart-items \
	   --enable-notify \
	   --docdir=%{_docdir}/opensc
%make_build

%install
%make_install

# install conf file
mkdir -p %{buildroot}%{_sysconfdir}
install -m 0644 etc/opensc.conf %{buildroot}%{_sysconfdir}

install -Dpm 644 %{SOURCE2} %{buildroot}%{_datadir}/p11-kit/modules/opensc.module

%files
%license COPYING
%doc NEWS README
%doc oberthur-alternate.profile
%doc %{_docdir}/opensc/opensc.conf
%config(noreplace) %{_sysconfdir}/opensc.conf
%{_sysconfdir}/eac/cvc/DESCHSMCVCA00001
%{_sysconfdir}/eac/cvc/DESRCACC100001
%{_datadir}/bash-completion/completions/*
%{_bindir}/cardos-tool
%{_bindir}/cryptoflex-tool
%{_bindir}/dnie-tool
%{_bindir}/dtrust-tool
%{_bindir}/eidenv
%{_bindir}/egk-tool
%{_bindir}/gids-tool
%{_bindir}/goid-tool
%{_bindir}/iasecc-tool
%{_bindir}/piv-tool
%{_bindir}/netkey-tool
%{_bindir}/npa-tool
%{_bindir}/openpgp-tool
%{_bindir}/opensc-asn1
%{_bindir}/opensc-explorer
%{_bindir}/opensc-notify
%{_bindir}/opensc-tool
%{_bindir}/pkcs11-register
%{_bindir}/pkcs11-tool
%{_bindir}/pkcs15-crypt
%{_bindir}/pkcs15-init
%{_bindir}/pkcs15-tool
%{_bindir}/sc-hsm-tool
%{_datadir}/%{name}/
%{_datadir}/p11-kit/modules/opensc.module
%{_datadir}/applications/org.opensc.notify.desktop
%{_libdir}/pkcs11-spy.*
%{_libdir}/onepin-opensc-pkcs11.so
%{_libdir}/opensc-pkcs11.so
%{_libdir}/pkcs11/*.so
%{_mandir}/man1/*
%{_mandir}/man5/*

%files -n %{libname}
%{_libdir}/libopensc.so.%{major}{,.*}

%files -n %{smm_local_libname}
%{_libdir}/libsmm-local.so.%{smm_local_major}{,.*}

%files -n %{develname}
%{_bindir}/westcos-tool
%{_libdir}/libopensc.so
%{_libdir}/libsmm-local.so
%{_libdir}/pkgconfig/opensc-pkcs11.pc
