%define	srcname	OpenSceneGraph
%define major	161
%define libname	%mklibname %{name} %{major}
%define devname %mklibname %{name} -d

%define otname		openthreads
%define otsrcname	OpenThreads
%define otmajor		21
%define otversion	3.3.1
%define otlibname	%mklibname %{otname} %{otmajor}
%define otdevname	%mklibname %{otname} -d

Summary:	A C++ scene graph API on OpenGL for real time graphics
Name:		openscenegraph
Version:	3.6.5
Release:	%mkrel 20
License:	LGPLv2+ with exceptions
Group:		System/Libraries
URL:		https://www.openscenegraph.org/
Source0:	https://github.com/openscenegraph/OpenSceneGraph/archive/%{srcname}-%{version}.tar.gz
Patch0:		OpenSceneGraph_asio.patch

BuildRequires:	cmake
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gdal)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gstreamer-app-1.0)
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtkglext-x11-1.0)
BuildRequires:	pkgconfig(jasper)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(zlib)
#(eatdirt) optional module
BuildRequires:	pkgconfig(OpenEXR)
#BuildRequires:	opencascade-devel


Provides:	%{srcname} = %{version}-%{release}

%description
The Open Scene Graph is a cross-platform C++/OpenGL library for the real-time
visualization. Uses range from visual simulation, scientific modeling, virtual
reality through to games.  Open Scene Graph employs good practices in software
engineering through the use of standard C++, STL and generic programming, and
design patterns.  Open Scene Graph strives for high performance and quality in
graphics rendering, portability, and extensibility.

%files
%{_bindir}/osg*
%{_bindir}/present3D

%package -n	%{libname}
Summary:	A C++ scene graph API on OpenGL for real time graphics
Group:		System/Libraries

%description -n	%{libname}
The Open Scene Graph is a cross-platform C++/OpenGL library for the real-time
visualization. Uses range from visual simulation, scientific modeling, virtual
reality through to games.  Open Scene Graph employs good practices in software
engineering through the use of standard C++, STL and generic programming, and
design patterns.  Open Scene Graph strives for high performance and quality in
graphics rendering, portability, and extensibility.

%files -n	%{libname}
%{_libdir}/libosg*.so.%{major}
%{_libdir}/libosg*.so.%{version}
%{_libdir}/osgPlugins-%{version}/

#------------------------------------------------------------------

%package -n	%{devname}
Summary:	Development package for %srcname
Group:		Development/C++
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{srcname}-devel = %{version}-%{release}
Obsoletes:	OpenSceneGraph-devel < 2.8.0-2
Obsoletes:	openscenegraph-devel < 3.2.0-5
Requires:	%{libname} >= %{version}-%{release}
Requires:	%{otdevname} >= %{version}-%{release}

%description -n	%{devname}
This package contains development files for %srcname.

%files -n	%{devname}
%doc ChangeLog NEWS.txt README.md
%doc doc/*
%license AUTHORS.txt LICENSE.txt
%{_includedir}/osg*/
%{_libdir}/libosg*.so
%{_libdir}/pkgconfig/%{name}*.pc

#------------------------------------------------------------------

%package -n	%{otlibname}
Summary:	A lightweight C++ thread API
Group:		System/Libraries

%description -n	%{otlibname}
This library is intended to provide a minimal & complete Object-Oriented
thread interface for C++ programmers.  It is loosely modeled on the Java
thread API, and the POSIX Threads standards.

%{otsrcname} is part of the %{srcname} project.

%files -n	%{otlibname}
%{_libdir}/lib%{otsrcname}.so.%{otmajor}
%{_libdir}/lib%{otsrcname}.so.%{otversion}

#------------------------------------------------------------------

%package -n	%{otdevname}
Summary:	Development package for %{otsrcname}
Group:		Development/C++
Provides:	%{otname}-devel = %{version}-%{release}
Provides:	%{otsrcname}-devel = %{version}-%{release}
Requires:	%{otlibname} >= %{version}-%{release}

%description -n	%{otdevname}
This package contains development files for %{otsrcname}.

%files -n	%{otdevname}
%{_includedir}/%{otsrcname}/
%{_libdir}/lib%{otsrcname}.so
%{_libdir}/pkgconfig/%{otname}.pc

#------------------------------------------------------------------

%prep
%autosetup -p1 -n %{srcname}-%{srcname}-%{version}

%build
%cmake \
	%ifarch x86_64 aarch64
	-DLIB_POSTFIX='64' \
	%endif
	-DCMAKE_RELWITHDEBINFO_POSTFIX=''
%cmake_build

%install
%cmake_install
