# filter out bogus auto-requires
%global __requires_exclude ^typelib\\((Unity)

Name:		openshot-qt
Version:	3.3.0
Release:	%mkrel 2
Summary:	Simple and Powerful video editor
Group:		Video/Editors and Converters
License:	GPLv3+
URL:		https://www.openshot.org/
Source0:	https://github.com/OpenShot/openshot-qt/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		openshot-qt-2.6.1-fix-install.patch
BuildArch:	noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3-qt5-devel
BuildRequires:	libopenshot-devel
BuildRequires:	libopenshot-audio-devel

Requires:	python3-qt5-core
Requires:	python3-qt5-gui
Requires:	python3-qt5-multimedia
Requires:	python3-qt5-network
Requires:	python3-qt5-opengl
Requires:	python3-qt5-printsupport
Requires:	python3-qt5-svg
Requires:	python3-qt5-webchannel
Requires:	python3-qt5-webengine
Requires:	python3-qt5-webenginewidgets
Requires:	python3-qt5-widgets
Requires:	python3-libopenshot >= 1:0.3.2
Requires:	python3-pkg-resources
Requires:	python3dist(httplib2)
Requires:	python3dist(pillow)
Requires:	python3dist(pyxdg)
Requires:	python3dist(pyzmq)
Requires:	python3dist(setuptools)
Requires:	ffmpeg
Requires:	frei0r-plugins
Recommends:	blender
Recommends:	inkscape

Obsoletes:	openshot < 1.4.3-11
Provides:	openshot = %{version}-%{release}


%description
OpenShot Video Editor is a free, open-source, non-linear video editor. It
can create and edit videos and movies using many popular video, audio,
image formats.  Create videos for YouTube, Flickr, Vimeo, Metacafe, iPod,
Xbox, and many more common formats!

Features include:
  * Multiple tracks (layers).
  * Compositing, image overlays, and watermarks.
  * Support for image sequences (rotoscoping).
  * Key-frame animation.
  * Video and audio effects (chroma-key).
  * Transitions (lumas and masks).
  * 3D animation (titles and simulations).
  * Chroma key (green screen & blue screen).
  * Transcode (convert video encodings).
  * Upload videos (YouTube and Vimeo supported).

This is the python3 + PyQt5 version of OpenShot.

%prep
%autosetup -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files openshot_qt

# We strip bad shebangs (/usr/bin/env) instead of fixing them
# since these files are not executable anyways
find %{buildroot}%{python3_sitelib} -name '*.py' \
  -exec grep -q '^#!' '{}' \; -print | while read F
do
  awk '/^#!/ {if (FNR == 1) next;} {print}' $F >chopped
  touch -r $F chopped
  mv chopped $F
done

%files -f %{pyproject_files}
%doc README.md AUTHORS.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.openshot.OpenShot.desktop
%{_datadir}/mime/packages/org.openshot.OpenShot.xml
%{_datadir}/metainfo/org.openshot.OpenShot.appdata.xml
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_iconsdir}/hicolor/scalable/mimetypes/*.svg
