%define oname	slp

%define	major	1
%define	libname	%mklibname %{oname} %{major}
%define	devname	%mklibname %{oname} -d

Name:		openslp
Version: 	2.0.0
Release:	%mkrel 14
Summary:	OpenSLP implementation of Service Location Protocol V2
License:	BSD-3-Clause
Group:		Networking/Other
URL:		http://www.openslp.org/
Source0:	https://prdownloads.sourceforge.net/openslp/%{name}-%{version}.tar.gz
Source4:	slpd.service
# prior to the start of the service
Patch1:		openslp-2.0.0-multicast-set.patch
# notify systemd of start-up completion
Patch2:		openslp-2.0.0-notify-systemd-of-start-up.patch
Patch3:		openslp-2.0.0-null-pointer-deref.patch
Patch4:		openslp-2.0.0-CVE-2016-7567.patch
Patch5:		openslp-2.0.0-CVE-2017-17833.patch
Patch6:		openslp-2.0.0-fdr-CVE-2019-5544.patch
BuildRequires:	systemd-devel

%description
Service Location Protocol is an IETF standards track protocol that
provides a framework to allow networking applications to discover the
existence, location, and configuration of networked services in
enterprise networks.

OpenSLP is an open source implementation of the SLPv2 protocol as defined
by RFC 2608 and RFC 2614.  This package include the daemon, libraries, header
files and documentation

%package -n %{libname}
Summary:        OpenSLP implementation of Service Location Protocol V2
Group:          System/Libraries

%description -n %{libname}
Service Location Protocol is an IETF standards track protocol that
provides a framework to allow networking applications to discover the
existence, location, and configuration of networked services in
enterprise networks.

OpenSLP is an open source implementation of the SLPv2 protocol as defined
by RFC 2608 and RFC 2614.  This package include the daemon, libraries, header
files and documentation

This package contains the %{libname} runtime library.

%package -n %{devname}
Summary:        Development tools for programs which will use the %{name} library
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:	lib%{oname}-devel = %{version}-%{release}

%description -n %{devname}
The %{name}-devel package includes the header files and static libraries
necessary for developing programs using the %{name} library.

If you are going to develop programs, you should install %{name}-devel.
You'll also need to have the %{name} package installed.

%prep
%autosetup -p1

%build
autoreconf -fis
%configure \
	--disable-static
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig/daemons
cat <<EOF  > %{buildroot}%{_sysconfdir}/sysconfig/daemons/slpd
IDENT=slp
DESCRIPTIVE="SLP Service Agent"
ONBOOT="yes"
EOF

# install script that sets multicast
mkdir -p %{buildroot}%{_prefix}/lib/%{name}-server
install -m 0755 etc/slpd.all_init %{buildroot}%{_prefix}/lib/%{name}-server/slp-multicast-set.sh

# install service file
mkdir -p %{buildroot}%{_unitdir}
install -p -m 644 %{SOURCE4} %{buildroot}%{_unitdir}/slpd.service

#we don't want these
find %{buildroot} -name "*.la" -delete

%post
%_post_service slpd

%preun
%_preun_service slpd

%files
%doc doc/*
%config(noreplace) %{_sysconfdir}/slp.conf
%config(noreplace) %{_sysconfdir}/slp.reg
%config(noreplace) %{_sysconfdir}/slp.spi
%config(noreplace) %{_sysconfdir}/sysconfig/daemons/slpd
%{_unitdir}/slpd.service
%{_sbindir}/slpd
%{_bindir}/slptool
%dir %{_prefix}/lib/%{name}-server
%{_prefix}/lib/%{name}-server/slp-multicast-set.sh

%files -n %{libname}
%doc AUTHORS
%license COPYING
%{_libdir}/lib%{oname}.so.%{major}{,.*}

%files -n %{devname}
%doc ChangeLog
%license COPYING
%{_libdir}/lib%{oname}.so
%{_includedir}/%{oname}.h
