%define oname OpenSP

%define lib_major 5
%define lib_name  %mklibname osp %{lib_major}
%define dev_name  %mklibname osp -d

Summary:    The OpenJade Group's SGML and XML parsing tools
Name:       opensp
Version:    1.5.2
Release:    %mkrel 26
License:    MIT
Group:      Publishing
URL:        https://openjade.sourceforge.net/
Source:     https://download.sourceforge.net/openjade/%{oname}-%{version}.tar.bz2
Patch0:     opensp-multilib.patch
Patch1:     opensp-nodeids.patch
Patch2:     opensp-sigsegv.patch
Patch3:     opensp-manpage.patch
Patch4:     opensp-configure-c99.patch
BuildRequires:  xmlto
BuildRequires:  jadetex
Provides:   OpenSP = %{version}-%{release}
Obsoletes:  OpenSP < 1.5.2-11

%description
This package is a collection of SGML/XML tools called OpenSP. It is a fork from
James Clark's SP suite. These tools are used to parse, validate, and normalize
SGML and XML files.

%package -n %{lib_name}
Summary:    Runtime library for the OpenJade group's SP suite
Group:      System/Libraries
Obsoletes:  %{_lib}OpenSP5 < 1.5.2-11

%description -n %{lib_name}
This is the SP suite's shared library runtime support.  This C++
library contains entity management functions, parsing functions, and
other functions useful for SGML/XML/DSSSL development.

%package -n %{dev_name}
Summary:    Libraries and include files for developing OpenSP applications
Group:      Development/C
Requires:   %{lib_name} = %{version}-%{release}
Provides:   lib%{name}-devel = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}
Provides:   lib%{oname}-devel = %{version}-%{release}
Provides:   %{oname}-devel = %{version}-%{release}
Obsoletes:  %{_lib}OpenSP5-devel < 1.5.2-11

%description -n %{dev_name}
This contains include files and libraries for OpenSP.
This C++ library contains entity management functions, parsing functions,
and other functions useful for SGML/XML/DSSSL development.

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

# ensure that applying the above patches doesn't cause lib/parser_inst.cxx to
# be regenerated

touch lib/parser_inst.cxx

%build
%configure \
    --disable-static \
    --enable-http \
    --enable-default-catalog=%{_sysconfdir}/sgml/catalog  \
    --enable-default-search-path=%{_datadir}/sgml:%{_datadir}/xml
%make_build

%install
%make_install

# oMy, othis ois osilly.
for file in nsgmls sgmlnorm spam spent sx ; do
    ln -s o$file %{buildroot}%{_bindir}/$file
    echo ".so man1/o${file}.1" > %{buildroot}%{_mandir}/man1/${file}.1
done

# Rename sx to sgml2xml.
mv %{buildroot}%{_bindir}/sx %{buildroot}%{_bindir}/sgml2xml
mv %{buildroot}%{_mandir}/man1/{sx,sgml2xml}.1

# Clean out (installed) redundant copies of the docs and DTDs.
rm -rf %{buildroot}%{_docdir}/OpenSP
rm -rf %{buildroot}%{_datadir}/OpenSP

%find_lang sp5

%ifarch aarch64
export QA_RPATHS=0x0001
%endif

%check
make check || : # TODO: failures as of 1.5.2 :(

%files -f sp5.lang
%doc doc/*.htm AUTHORS ChangeLog NEWS README
%license COPYING
%{_bindir}/*
%{_mandir}/man1/*.1*

%files -n %{lib_name}
%doc AUTHORS NEWS README
%license COPYING
%{_libdir}/libosp.so.%{lib_major}{,.*}

%files -n %{dev_name}
%{_libdir}/libosp.so
%{_includedir}/OpenSP/
