# Do we want to disable building of gnome-askpass? (1=yes 0=no)
%global no_gnome_askpass 0

# Do we want to link against a static libcrypto? (1=yes 0=no)
%global static_libcrypto 0

# Do we want kerberos5 support (1=yes 0=no)
%global kerberos5 1

# Do we want libedit support
%global libedit 1

# Reserve options to override askpass settings with:
# rpm -ba|--rebuild --define 'skip_xxx 1'
%{?skip_gnome_askpass:%global no_gnome_askpass 1}

# Options for static OpenSSL link:
# rpm -ba|--rebuild --define "static_openssl 1"
%{?static_openssl:%global static_libcrypto 1}

Summary: An open source implementation of SSH protocol version 2
Name: openssh
Version: 9.9p2
Release: %mkrel 1
License: BSD
Group: Networking/Remote access
URL: http://www.openssh.com/portable.html
Source0: https://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/openssh-%{version}.tar.gz
Source1: https://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/openssh-%{version}.tar.gz.asc
Source2: sshd.pam
Source3: gpgkey-736060BA.gpg
Source7: sshd.sysconfig
Source9: sshd@.service
Source10: sshd.socket
Source11: sshd.service
Source12: sshd-keygen@.service
Source13: sshd-keygen
Source15: sshd-keygen.target
Source16: ssh-agent.service
Source17: ssh-agent.socket

Source100:  openssh-xinetd
Source101:  ssh-avahi-integration

# mageia-specific configuration patch, equivalent to redhat patch #707
Patch1: openssh-8.5p1-mageia.patch

#https://bugzilla.mindrot.org/show_bug.cgi?id=1402
# https://bugzilla.redhat.com/show_bug.cgi?id=1171248
# record pfs= field in CRYPTO_SESSION audit event
#Patch200: openssh-7.6p1-audit.patch
# Audit race condition in forked child (#1310684)
#Patch201: openssh-7.1p2-audit-race-condition.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=2049947
#Patch202: openssh-9.0p1-audit-log.patch

#https://bugzilla.mindrot.org/show_bug.cgi?id=1641 (WONTFIX)
#Patch400: openssh-7.8p1-role-mls.patch
#https://bugzilla.redhat.com/show_bug.cgi?id=781634
#Patch404: openssh-6.6p1-privsep-selinux.patch

#ignore signal SIGPIPE
Patch607: openssh-5.8p2-sigpipe.patch
#https://bugzilla.mindrot.org/show_bug.cgi?id=1789
Patch609: openssh-7.2p2-x11.patch

#?
#Patch700: openssh-7.7p1-fips.patch
#?
#Patch702: openssh-5.1p1-askpass-progress.patch
#https://bugzilla.redhat.com/show_bug.cgi?id=198332
Patch703: openssh-4.3p2-askpass-grab-info.patch

# Use tty allocation for a remote scp (#985650)
Patch906: openssh-6.4p1-fromto-remote.patch
# privsep_preauth: use SELinux context from selinux-policy (#1008580)
#Patch916: openssh-6.6.1p1-selinux-contexts.patch
# log via monitor in chroots without /dev/log (#2681)
Patch918: openssh-6.6.1p1-log-in-chroot.patch
# scp file into non-existing directory (#1142223)
Patch919: openssh-6.6.1p1-scp-non-existing-directory.patch
# apply upstream patch and make sshd -T more consistent (#1187521)
Patch922: openssh-6.8p1-sshdT-output.patch
# Add sftp option to force mode of created files (#1191055)
Patch926: openssh-6.7p1-sftp-force-permission.patch
# Move MAX_DISPLAYS to a configuration option (#1341302)
Patch944: openssh-7.3p1-x11-max-displays.patch
# Pass inetd flags for SELinux down to openbsd compat level
#Patch949: openssh-7.6p1-cleanup-selinux.patch
# Sandbox adjustments for s390 and audit
Patch950: openssh-7.5p1-sandbox.patch
# PKCS#11 URIs (upstream #2817, 2nd iteration)
# https://github.com/Jakuje/openssh-portable/commits/jjelen-pkcs11
# git show > ~/devel/fedora/openssh/openssh-8.0p1-pkcs11-uri.patch
Patch951: openssh-8.0p1-pkcs11-uri.patch
# Unbreak scp between two IPv6 hosts (#1620333)
Patch953: openssh-7.8p1-scp-ipv6.patch
# Mention crypto-policies in manual pages (#1668325)
# clarify rhbz#2068423 on the man page of ssh_config
# Slightly modified for Mageia usage
Patch962: openssh-8.0p1-crypto-policies.patch
# Use OpenSSL KDF (#1631761)
Patch964: openssh-8.0p1-openssl-kdf.patch
# sk-dummy.so built with -fvisibility=hidden does not work
Patch965: openssh-8.2p1-visibility.patch
# Do not break X11 without IPv6
Patch966: openssh-8.2p1-x11-without-ipv6.patch
# ssh-keygen printing fingerprint issue with Windows keys (#1901518)
Patch974: openssh-8.0p1-keygen-strip-doseol.patch
# sshd provides PAM an incorrect error code (#1879503)
Patch975: openssh-8.0p1-preserve-pam-errors.patch

# Implement kill switch for SCP protocol
Patch977: openssh-8.7p1-scp-kill-switch.patch

# Add missing options from ssh_config into ssh manpage
# upstream bug:
# https://bugzilla.mindrot.org/show_bug.cgi?id=3455
Patch1002: openssh-8.7p1-ssh-manpage.patch

# Don't propose disallowed algorithms during hostkey negotiation
# upstream MR:
# https://github.com/openssh/openssh-portable/pull/323
Patch1006: openssh-8.7p1-negotiate-supported-algs.patch

#Patch1011: openssh-9.0p1-evp-fips-sign.patch
#Patch1012: openssh-9.0p1-evp-fips-dh.patch
#Patch1013: openssh-9.0p1-evp-fips-ecdh.patch
#Patch1014: openssh-8.7p1-nohostsha1proof.patch
#Patch1015: openssh-9.0p1-evp-pkcs11.patch


# Fix error: implicit declaration of function 'debug2_f' [-Wimplicit-function-declaration]
# Happens because we don't apply Fedora's Patch700: openssh-7.7p1-fips.patch
Patch2000: openssh-9.8p1-debug2_f.patch

%if ! %{no_gnome_askpass}
BuildRequires:  gtk3-devel
%endif

BuildRequires:	mercurial
BuildRequires:  groff-for-man
BuildRequires:  pkgconfig(openssl) >= 0.9.7
BuildRequires:  pam-devel
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  p11-kit-devel
BuildRequires:  pkgconfig(libfido2)
%if %{kerberos5}
BuildRequires:  pkgconfig(krb5)
%endif

%if %{libedit}
BuildRequires:  pkgconfig(libedit)
BuildRequires:  pkgconfig(ncurses)
%endif

BuildRequires:  pkgconfig(audit)
BuildConflicts: libgssapi-devel

BuildRequires: xauth
# for tarball signature verification
BuildRequires: gnupg2

Provides:       ssh

Requires(post): openssl >= 0.9.7
Requires(preun): openssl >= 0.9.7

Obsoletes:      openssh-askpass < 8.3
Obsoletes:      openssh-ldap <= 8.4p1
Obsoletes:		openssh-keycat <= 9.8p1

%description
SSH (Secure SHell) is a program for logging into and executing
commands on a remote machine. SSH is intended to replace rlogin and
rsh, and to provide secure encrypted communications between two
untrusted hosts over an insecure network. X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

OpenSSH is OpenBSD's version of the last free version of SSH, bringing
it up to date in terms of security and features.

This package includes the core files necessary for both the OpenSSH
client and server. To make this package useful, you should also
install openssh-clients, openssh-server, or both.

%package    clients
Summary:    OpenSSH Secure Shell protocol clients
Group:      Networking/Remote access
Requires:   %{name} = %{version}-%{release}
Requires: crypto-policies >= 20240628
Requires(post): crypto-policies >= 20240628
Provides:   ssh-clients, sftp, ssh

%description    clients
OpenSSH is a free version of SSH (Secure SHell), a program for logging
into and executing commands on a remote machine. This package includes
the clients necessary to make encrypted connections to SSH servers.

%package    server
Summary:    OpenSSH Secure Shell protocol server (sshd)
Group:      System/Servers
Requires(pre):  %{name} = %{version}-%{release} chkconfig >= 0.9
Requires(pre):  pam >= 0.74
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Requires(post): openssl >= 0.9.7
Requires(post): crypto-policies >= 20240628
Requires:   %{name}-clients = %{version}-%{release}
Requires: crypto-policies >= 20240628
BuildRequires:  audit
Provides:   ssh-server, sshd

%description    server
OpenSSH is a free version of SSH (Secure SHell), a program for logging
into and executing commands on a remote machine. This package contains
the secure shell daemon (sshd). The sshd daemon allows SSH clients to
securely connect to your SSH server.

%package askpass-common
Summary:    OpenSSH X11 passphrase common scripts
Group:      Networking/Remote access

%description askpass-common
OpenSSH X11 passphrase common scripts

%if ! %{no_gnome_askpass}
%package    askpass-gnome
Summary:    OpenSSH GNOME passphrase dialog
Group:      Networking/Remote access
Requires:   %{name} = %{version}-%{release}
Requires:   %{name}-askpass-common
Requires(pre):  update-alternatives
Provides:   %{name}-askpass, ssh-askpass, ssh-extras

%description    askpass-gnome
Ssh (Secure Shell) is a program for logging into a remote machine and for
executing commands in a remote machine.  It is intended to replace
rlogin and rsh, and provide secure encrypted communications between
two untrusted hosts over an insecure network.  X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

OpenSSH is OpenBSD's rework of the last free version of SSH, bringing it
up to date in terms of security and features, as well as removing all
patented algorithms to separate libraries (OpenSSL).

This package contains the GNOME passphrase dialog.
%endif

%prep
gpgv2 --quiet --keyring %{SOURCE3} %{SOURCE1} %{SOURCE0}
%autosetup -S hg

%build
%serverbuild

export CFLAGS="%{build_cflags}"
export LDFLAGS="%{build_ldflags}"

%if %{kerberos5}
if test -r /etc/profile.d/krb5-devel.sh ; then
	source /etc/profile.d/krb5-devel.sh
fi
krb5_prefix=`krb5-config --prefix`
if test "$krb5_prefix" != "%{_prefix}" ; then
	CPPFLAGS="$CPPFLAGS -I${krb5_prefix}/include -I${krb5_prefix}/include/gssapi"; export CPPFLAGS
	CFLAGS="$CFLAGS -I${krb5_prefix}/include -I${krb5_prefix}/include/gssapi"
	LDFLAGS="$LDFLAGS -L${krb5_prefix}/%{_lib}"; export LDFLAGS
else
	krb5_prefix=
	CPPFLAGS="-I%{_includedir}/gssapi"; export CPPFLAGS
	CFLAGS="$CFLAGS -I%{_includedir}/gssapi"
fi
%endif

autoreconf -fi

%configure \
	--sysconfdir=%{_sysconfdir}/ssh \
	--libexecdir=%{_libexecdir}/openssh \
	--datadir=%{_datadir}/openssh \
	--with-default-path=/usr/local/bin:/usr/bin:/usr/local/sbin:/usr/sbin \
	--with-superuser-path=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin \
	--with-privsep-path=%{_datadir}/empty.sshd \
	--disable-strip \
	--without-zlib-version-check \
	--with-ssl-engine \
	--with-ipaddr-display \
	--with-pie=no \
	--without-hardening `# The hardening flags are configured by system` \
	--with-systemd \
	--with-default-pkcs11-provider=yes \
	--with-security-key-builtin=yes \
	--with-pam \
%if %{kerberos5}
	--with-kerberos5${krb5_prefix:+=${krb5_prefix}} \
%else
	--without-kerberos5 \
%endif
%if %{libedit}
	--with-libedit
%else
	--without-libedit
%endif

%if %{static_libcrypto}
perl -pi -e "s|-lcrypto|%{_libdir}/libcrypto.a|g" Makefile
%endif

%make_build

%if ! %{no_gnome_askpass}
pushd contrib
	CFLAGS="$CFLAGS %{?__global_ldflags}" \
	    make gnome-ssh-askpass3
	mv gnome-ssh-askpass3 gnome-ssh-askpass
popd
%endif

%install
install -d %{buildroot}%{_sysconfdir}/ssh
install -d %{buildroot}%{_sysconfdir}/ssh/ssh_config.d
install -d %{buildroot}%{_sysconfdir}/ssh/sshd_config.d
install -d %{buildroot}%{_libexecdir}/openssh
%make_install

install -d %{buildroot}%{_sysconfdir}/pam.d/
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_libexecdir}/openssh
install -m 644 %{SOURCE2} %{buildroot}/etc/pam.d/sshd
install -m 644 %{SOURCE7} %{buildroot}/etc/sysconfig/sshd


install -m 644 ssh_config_mageia %{buildroot}%{_sysconfdir}/ssh/ssh_config.d/50-mageia.conf
install -m 644 sshd_config_mageia %{buildroot}%{_sysconfdir}/ssh/sshd_config.d/50-mageia.conf

install -d -m 755 %{buildroot}%{_unitdir}
install -m 644 %{SOURCE9} %{buildroot}%{_unitdir}/sshd@.service
install -m 644 %{SOURCE10} %{buildroot}%{_unitdir}/sshd.socket
install -m 644 %{SOURCE11} %{buildroot}%{_unitdir}/sshd.service
install -m 644 %{SOURCE12} %{buildroot}%{_unitdir}/sshd-keygen@.service
install -m 755 %{SOURCE15} %{buildroot}%{_unitdir}/sshd-keygen.target

install -d -m 755 %{buildroot}%{_userunitdir}
install -m 644 %{SOURCE16} %{buildroot}%{_userunitdir}/ssh-agent.service
install -m 644 %{SOURCE17} %{buildroot}%{_userunitdir}/ssh-agent.socket

install -m 755 %{SOURCE13} %{buildroot}%{_libexecdir}/openssh/sshd-keygen

install -m755 contrib/ssh-copy-id %{buildroot}%{_bindir}/
install contrib/ssh-copy-id.1 %{buildroot}%{_mandir}/man1/

install -d -m 711 %{buildroot}/%{_datadir}/empty.sshd

%if ! %{no_gnome_askpass}
install -m 755 contrib/gnome-ssh-askpass %{buildroot}%{_libexecdir}/openssh/gnome-ssh-askpass
%endif

install -d %{buildroot}%{_sysconfdir}/profile.d/
cat > %{buildroot}%{_sysconfdir}/profile.d/90ssh-askpass.csh <<EOF
setenv SSH_ASKPASS %{_libexecdir}/openssh/ssh-askpass
EOF

cat > %{buildroot}%{_sysconfdir}/profile.d/90ssh-askpass.sh <<EOF
export SSH_ASKPASS=%{_libexecdir}/openssh/ssh-askpass
EOF

# remove unwanted files
rm -f %{buildroot}%{_libexecdir}/openssh/ssh-askpass

perl -pi -e "s|%{buildroot}||g" %{buildroot}%{_mandir}/man*/*

# xinetd support (tv)
install -d -m 755 %{buildroot}%{_sysconfdir}/xinetd.d/
install -m 644 %{SOURCE100} %{buildroot}%{_sysconfdir}/xinetd.d/sshd-xinetd

# avahi integration support (misc)
mkdir -p %{buildroot}%{_sysconfdir}/avahi/services/
install -m 0644 %{SOURCE101} %{buildroot}%{_sysconfdir}/avahi/services/%{name}.service

echo "" > %{buildroot}%{_sysconfdir}/ssh/denyusers

# make sure strip can touch it
chmod 755 %{buildroot}%{_libexecdir}/openssh/ssh-keysign

%pre server
%_pre_useradd sshd /usr/share/empty.sshd /sbin/nologin

%post server
%_post_service sshd

%preun server
%_preun_service sshd

%postun server
%_postun_userdel sshd

%if ! %{no_gnome_askpass}
%post askpass-gnome
update-alternatives --install %{_libexecdir}/openssh/ssh-askpass ssh-askpass %{_libexecdir}/openssh/gnome-ssh-askpass 20
update-alternatives --install %{_bindir}/ssh-askpass bssh-askpass %{_libexecdir}/openssh/gnome-ssh-askpass 20

%postun askpass-gnome
[ $1 = 0 ] || exit 0
update-alternatives --remove ssh-askpass %{_libexecdir}/openssh/gnome-ssh-askpass
update-alternatives --remove bssh-askpass %{_libexecdir}/openssh/gnome-ssh-askpass
%endif

%files
%doc LICENCE
%doc CREDITS ChangeLog OVERVIEW PROTOCOL* README README.platform README.privsep README.tun README.dns TODO
%dir %{_sysconfdir}/ssh
%config(noreplace) %{_sysconfdir}/ssh/moduli
%{_bindir}/ssh-keygen
%{_mandir}/man1/ssh-keygen.1*
%dir %{_libexecdir}/openssh
%attr(4555,root,root) %{_libexecdir}/openssh/ssh-keysign
%{_mandir}/man8/ssh-keysign.8*

%files clients
%{_bindir}/ssh
%{_mandir}/man1/ssh.1*
%{_bindir}/scp
%{_mandir}/man1/scp.1*
%config(noreplace) %{_sysconfdir}/ssh/ssh_config
%dir %{_sysconfdir}/ssh/ssh_config.d/
%config(noreplace) %{_sysconfdir}/ssh/ssh_config.d/50-mageia.conf
%{_mandir}/man5/ssh_config.5*
%{_bindir}/ssh-agent
%{_bindir}/ssh-add
%{_bindir}/ssh-keyscan
%{_bindir}/sftp
%{_bindir}/ssh-copy-id
%{_libexecdir}/openssh/ssh-pkcs11-helper
%{_libexecdir}/openssh/ssh-sk-helper
%{_mandir}/man1/ssh-agent.1*
%{_mandir}/man1/ssh-add.1*
%{_mandir}/man1/ssh-keyscan.1*
%{_mandir}/man1/sftp.1*
%{_mandir}/man1/ssh-copy-id.1*
%{_mandir}/man8/ssh-pkcs11-helper.8*
%{_mandir}/man8/ssh-sk-helper.8*
%{_userunitdir}/ssh-agent.service
%{_userunitdir}/ssh-agent.socket

%files server
%dir %attr(0711,root,root) %{_datadir}/empty.sshd
%{_sbindir}/sshd
%{_libexecdir}/openssh/sftp-server
%{_libexecdir}/openssh/sshd-keygen
%{_libexecdir}/openssh/sshd-session
%{_mandir}/man5/sshd_config.5*
%{_mandir}/man5/moduli.5*
%{_mandir}/man8/sshd.8*
%{_mandir}/man8/sftp-server.8*
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/ssh/sshd_config
%dir %{_sysconfdir}/ssh/sshd_config.d/
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/ssh/sshd_config.d/50-mageia.conf
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/ssh/denyusers
%config(noreplace) %{_sysconfdir}/pam.d/sshd
%config(noreplace) %{_sysconfdir}/sysconfig/sshd
%config(noreplace) %{_sysconfdir}/ssh/moduli
%{_unitdir}/sshd.service
%{_unitdir}/sshd@.service
%{_unitdir}/sshd.socket
%{_unitdir}/sshd-keygen@.service
%{_unitdir}/sshd-keygen.target
%config(noreplace) %_sysconfdir/xinetd.d/sshd-xinetd
%config(noreplace) %{_sysconfdir}/avahi/services/%{name}.service

%files askpass-common
%{_sysconfdir}/profile.d/90ssh-askpass.*

%if ! %{no_gnome_askpass}
%files askpass-gnome
%{_libexecdir}/openssh/gnome-ssh-askpass
%endif
