# comment out when not pre-release
#define prel	RC1

# release to bump
%define rel	2

%if 0%{?prel:1}
%define lpre	%(echo %{prel}|tr A-Z a-z)
%endif

%define realname opengfx

%bcond_without check

Name:		openttd-%{realname}
Version:	7.1
Release:	%mkrel %{?prel:0.%lpre.}%{rel}
Summary:	OpenGFX graphics replacement set for OpenTTD

Group:		Games/Strategy
License:	GPLv2
URL:		https://github.com/OpenTTD/OpenGFX
Source0:	https://cdn.openttd.org/opengfx-releases/%{version}%{?prel:-%prel}/opengfx-%{version}%{?prel:-%prel}-source.tar.xz
BuildArch:	noarch
BuildRequires:	grfcodec
BuildRequires:	nml >= 0.4.1
BuildRequires:	gimp
BuildRequires:	dos2unix
BuildRequires:	python3

%description
OpenGFX is an open source graphics base set for OpenTTD which can completely
replace the TTD base set.

%prep
%setup -q -n %{realname}-%{version}%{?prel:-%prel}-source
%autopatch -p1

%build
make UNIX2DOS_FLAGS="-q" _V= PYTHON=%{__python3}

%install
mkdir -p %{buildroot}%{_gamesdatadir}/openttd/data/%{realname}
make install \
	_V= PYTHON=%{__python3} \
	INSTALL_DIR=%{buildroot}%{_gamesdatadir}/openttd/data/%{realname} \
	DOCDIR=%{buildroot}%{_gamesdatadir}/openttd/data/%{realname}

%if %{with check}
%check
make check
%endif

%files
%{_gamesdatadir}/openttd/data/%{realname}/
