%define realname openmsx

%bcond_with check

Name:           openttd-%{realname}
Version:        0.4.2
Release:        %mkrel 2
Summary:        OpenMSX music replacement set for OpenTTD

Group:          Games/Strategy
License:        GPLv2
URL:            https://github.com/OpenTTD/OpenMSX
Source0:        https://cdn.openttd.org/openmsx-releases/%{version}/openmsx-%{version}-source.tar.xz
Patch1:		openmsx-unix2dos.patch
BuildArch:      noarch
BuildRequires:  dos2unix
BuildRequires:	grfcodec
BuildRequires:  python3

%description
OpenMSX is an open source replacement for the original Transport Tycoon
Deluxe (TTD) music.

%prep
%autosetup -p1 -n %{realname}-%{version}-source

# python shebangs
%py3_shebang_fix ./scripts/

%build
%make_build _V= _E=echo

%install
# https://github.com/OpenTTD/OpenTTD/blob/master/docs/directory_structure.md#files-in-tar-archives
#
# "OpenTTD can read files that are in an uncompressed
# tar (archive), which makes it easy to bundle files belonging to the same
# script, NewGRF or base set. Music sets are the only exception as they cannot
# be stored in a tar file due to being played by external applications."

mkdir -p %{buildroot}%{_gamesdatadir}/openttd/baseset
cp -a openmsx-%{version} %{buildroot}%{_gamesdatadir}/openttd/baseset/

%if %{with check}
%check
make check _V= _E=echo
%endif

%files
%doc docs/*.txt
%{_gamesdatadir}/openttd/baseset/%{realname}-%{version}/
