# comment out if not prerelease
%define prel	beta1

%define rel	3

%if 0%{?prel:1}
# use lowercase %%prel in %%release
# because e.g. RC1 < beta1 (in ASCII R=82 and b=98)
%global lpre    %{lua: print(string.lower(rpm.expand('%prel')))}
%endif

Name:		openttd
Version:	15.0
Release:	%mkrel %{?prel:0.%lpre.}%{rel}

Summary:	An open source clone of the Microprose game "Transport Tycoon Deluxe" game
Group:		Games/Strategy
License:	GPLv2
URL:		https://www.openttd.org
Source0:	https://cdn.openttd.org/openttd-releases/%{version}%{?prel:-%prel}/%{name}-%{version}%{?prel:-%prel}-source.tar.xz
Patch1:		0001-Don-t-override-system-_FORTIFY_SOURCE.patch
BuildRequires:	ccache
BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	desktop-file-utils
BuildRequires:	freetype-devel
BuildRequires:	grfcodec >= 6.0.5-0.r985
BuildRequires:	icu-devel
BuildRequires:	liblzo-devel
BuildRequires:	pkgconfig(allegro) < 5
BuildRequires:	pkgconfig(fluidsynth)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(opusfile)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	unzip
Requires:	timidity++
Requires:	%{name}-opengfx >= 0.5.2
Requires:	%{name}-opensfx
Requires:	%{name}-openmsx

%description
OpenTTD is an open source clone of the Microprose game "Transport Tycoon
Deluxe" game.

%prep
%autosetup -p1 -n %{name}-%{version}%{?prel:-%prel}

%build
%cmake -GNinja
%cmake_build

%install
%cmake_install

#cleanup
rm -rf %{buildroot}%{_datadir}/pixmaps

# fix desktop file
desktop-file-install --dir=%{buildroot}%{_datadir}/applications \
        --add-category=StrategyGame \
        --remove-key=Version \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc *.txt *.md
%doc %{_docdir}/%{name}/docs/
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}.*
