%define mainrel 9
%define date    20240228
%define rel 1

Name:           openxcom
Version:        1.0.0
Release:        %mkrel %{mainrel}.%{date}.%{rel}
Summary:        An open source reimplementation of the original X-Com game
Group:          Games/Strategy
License:        GPLv3+
Url:            https://openxcom.org
# Last stable release (1.0.0) is deprecated, upstream now only distributed nightlies
# https://github.com/OpenXcom/OpenXcom
# memo:
#git archive --prefix=openxcom-1.0.0+${date}/ --output=openxcom-1.0.0+${date}.tar.xz master
Source0:        %{name}-%{version}+%{date}.tar.xz
Source1:        %{name}.6

BuildRequires:  cmake
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_gfx)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(yaml-cpp)
BuildRequires:  dos2unix

%description
OpenXcom is an open-source clone of the original UFO: Enemy Unknown
(X-Com: UFO Defense in USA), licensed under the GPL and written in C++ / SDL.

The goal of the project is to bring back the tried and true feel of the original
with none of the issues. All the same graphics, sound and gameplay with a brand
new codebase written from scratch.

User is required to have original gamedata (possible to obtain from e.g. Steam)
installed to ~/.local/share/openxcom/data/

%prep
%autosetup -p1 -n %{name}-%{version}+%{date}

%build
%cmake \
    -DCMAKE_INSTALL_BINDIR=%{_gamesbindir} \
    -DCMAKE_INSTALL_DATADIR=%{_gamesdatadir} \
    -DBUILD_PACKAGE=OFF \
    -DDEV_BUILD=OFF \
    -DOPENXCOM_VERSION_STRING="%{version}+%{date}"
%cmake_build

%install
%cmake_install

# Manpage generation only available with autotools, and requires 2GB of latex...
install -D -m644 %{_sourcedir}/%{name}.6 %{buildroot}%{_mandir}/man6/%{name}.6

%files
%doc README.md CHANGELOG.txt
%license LICENSE.txt
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_mandir}/man6/%{name}.6*
