%define pkgname		OpenXR-SDK-Source
%define openxrname	openxr
%define libmajor	1
%define libname		%mklibname %{openxrname} %{libmajor}
%define develname	%mklibname %{openxrname} -d

Name:		openxr
Version:	1.1.43
Release:	%mkrel 1
Summary:	An API for writing VR and AR software
Group:		Graphics/3D
License:	ASL 2.0
URL:		https://github.com/KhronosGroup/OpenXR-SDK-Source
Source:		https://github.com/KhronosGroup/%{pkgname}/archive/release-%{version}/%{pkgname}-release-%{version}.tar.gz
Patch1:		openxr-layer_install_dir.patch
# from git
BuildRequires:	cmake
BuildRequires:	glslang
BuildRequires:	glslang-devel
BuildRequires:	ninja
BuildRequires:	vulkan-devel
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(jsoncpp)
BuildRequires:	pkgconfig(wayland-client)
BuildRequires:	pkgconfig(xxf86vm)
BuildRequires:	pkgconfig(xcb-icccm)
BuildRequires:	pkgconfig(xcb-keysyms)
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xcb-glx)
BuildRequires:	pkgconfig(xcb-randr)
BuildRequires:	pkgconfig(xcb-dri2)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	python3-jinja2

Conflicts:	%{_lib}openxr1 < 1.0.26-4

%description
OpenXR is an API specification for writing portable, cross-platform,
virtual reality (VR) and augmented reality (AR) software.

%package -n %{libname}
Summary:	Libraries for writing VR and AR software
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with OpenXR.

%package -n %{develname}
Summary:	Headers and development files of the OpenXR library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for the USD library. Install this package if you
want to compile applications using the OpenXR library.

%prep
%autosetup -p1 -n %{pkgname}-release-%{version}

%build
%cmake \
    -G Ninja \
    -DBUILD_ALL_EXTENSIONS:BOOL=ON \
    -DBUILD_WITH_STD_FILESYSTEM=OFF \
    -DBUILD_WITH_WAYLAND_HEADERS=ON \
    -DBUILD_LOADER:BOOL=ON \
    -DBUILD_TESTS:BOOL=ON \
    -DPRESENTATION_BACKEND:STRING=xlib \
    -DCMAKE_CXX_STANDARD=17 \
    -DDYNAMIC_LOADER:BOOL=ON \
    -DOPENGL_glx_LIBRARY:STRING=GL
%cmake_build

%install
%cmake_install

%files
%doc BUILDING.md CHANGELOG.SDK.md LICENSE README.md
%license LICENSE
%{_bindir}/*
# plugins like?
%dir %{_libdir}/openxr
%dir %{_libdir}/openxr/1
%dir %{_libdir}/openxr/1/api_layers
%{_libdir}/openxr/1/api_layers/*.so
%{_datadir}/openxr/
%{_mandir}/man1/*.1*

%files -n %{libname}
%license LICENSE
%{_libdir}/lib%{name}_loader.so.%{libmajor}{,.*}

%files -n %{develname}
%{_libdir}/lib%{name}_loader.so
%{_includedir}/%{name}/
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/*.pc

