Name:           optipng
Version:        0.7.9
Release:        %mkrel 1
Summary:        A PNG optimizer and converter
Group:          Graphics/Utilities
License:        zlib
URL:            https://optipng.sourceforge.net/
Source0:        https://downloads.sourceforge.net/optipng/optipng-%{version}.tar.gz
Patch0:         optipng-0.7.9-mga-wildcard.patch
BuildRequires:  pkgconfig(zlib) 
BuildRequires:  pkgconfig(libpng)

%description
OptiPNG is a PNG optimizer that recompresses image files to a smaller size,
without losing any information. This program also converts external formats
(BMP, GIF, PNM; TIFF support is coming up) to optimized PNG, and performs PNG
integrity checks and corrections.

%prep
%autosetup -p1

%build
./configure -with-system-zlib -with-system-libpng
%make_build CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
%make_install prefix=%{_prefix} man1dir=%{_mandir}/man1

%check
# Currently seeing test errors: https://sourceforge.net/p/optipng/bugs/91/
# So, just run the passing tests until that's fixed upstream.
# make test
make -C src/optipng test-gifread test-minitiff

%files
%doc README.txt LICENSE.txt doc/*
%{_bindir}/optipng
%{_mandir}/man1/optipng.*
