%define major		0
%define libname		%mklibname %{name} %{major}
%define libnamedev	%mklibname %{name} -d


Summary:	Opus Interactive Audio Codec
Name:		opus
Version:	1.5.2
Release:	%mkrel 1
License:	BSD
Group:		Sound/Utilities
URL:		https://www.opus-codec.org/
Source0:	https://downloads.xiph.org/releases/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	doxygen

%description
The Opus codec is designed for interactive speech and audio transmission over
the Internet. It is designed by the IETF Codec Working Group and incorporates
technology from Skype's SILK codec and Xiph.Org's CELT codec.

%package -n	%{libname}
Summary:	Opus library
Group:		System/Libraries

%description -n	%{libname}
This package provides the library that implements the Opus codec.
The Opus codec is designed for interactive speech and audio transmission over
the Internet. It is designed by the IETF Codec Working Group and incorporates
technology from Skype's SILK codec and Xiph.Org's CELT codec.

%package -n	%{libnamedev}
Summary:	Files needed to compile a program with Opus support
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	opus-devel = %{version}

%description -n	%{libnamedev}
This package provides the library that implements the Opus codec.

%prep
%autosetup -p1

%build
%configure --enable-custom-modes \
           --disable-static \
%ifarch %{arm} %{arm64} %{power64}
           --enable-fixed-point \
%endif
           --enable-hardening
%make_build

%install
%make_install

find %{buildroot} -type f -name "*.la" -delete

%files -n %{libname}
%doc README
%license COPYING
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{libnamedev}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/aclocal/opus.m4
%{_mandir}/man3/%{name}*.3*
%{_docdir}/%{name}/
