%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		opusfile
Version:	0.12
Release:	%mkrel 4
Summary:	A high-level API for decoding and seeking within .opus files
Group:		System/Libraries
License:	BSD
URL:		https://www.opus-codec.org/
Source0:	https://downloads.xiph.org/releases/opus/%{name}-%{version}.tar.gz
Patch1:		CVE-2022-47021.patch

BuildRequires:	pkgconfig(ogg) >= 1.3
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(opus) >= 1.0.1

%description
libopusfile provides a high-level API for decoding and seeking
within .opus files. It includes:
* Support for all files with at least one Opus stream (including
multichannel files or Ogg files where Opus is muxed with something else).
* Full support, including seeking, for chained files.
* A simple stereo downmixing API (allowing chained files to be
decoded with a single output format, even if the channel count changes).
* Support for reading from a file, memory buffer, or over HTTP(S)
(including seeking).
* Support for both random access and streaming data sources.

%package -n	%{libname}
Summary:	A high-level API for decoding and seeking within .opus files
Group:		System/Libraries

%description -n	%{libname}
libopusfile provides a high-level API for decoding and seeking
within .opus files. It includes:
* Support for all files with at least one Opus stream (including
multichannel files or Ogg files where Opus is muxed with something else).
* Full support, including seeking, for chained files.
* A simple stereo downmixing API (allowing chained files to be
decoded with a single output format, even if the channel count changes).
* Support for reading from a file, memory buffer, or over HTTP(S)
(including seeking).
* Support for both random access and streaming data sources.

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Files for development with %{name}.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install

#Remove libtool archives.
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc COPYING AUTHORS
%{_libdir}/libopus*.so.%{major}{,.*}

%files -n %{develname}
%doc %{_docdir}/%{name}
%{_includedir}/opus/opusfile*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libopus*.so
