Name:           opustags
Version:        1.10.1
Release:        %mkrel 1
Summary:        Ogg Opus tags editor
License:        BSD-3-Clause
Group:          Sound/Utilities
URL:            https://github.com/fmang/opustags
Source:         %{url}/archive/refs/tags/%{version}/%{name}-%{version}.tar.gz
Patch0:         0001-Fix-out-of-bounds-access.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(ogg)

BuildRequires:  perl(Test::Harness)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(utf8)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Symbol)
BuildRequires:  ffmpeg
BuildRequires:  locales-en

%description
Opustags allows you to view and edit Ogg Opus comments. It supports the
following features:
* interactive editing using your preferred text editor,
* batch editing with command-line flags,
* tags exporting and importing through text files.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

rm -r %{buildroot}%{_docdir}/opustags

%check
export LC_ALL=C.UTF-8
#cmake_build --target check

%files
%license LICENSE
%{_bindir}/opustags
%{_mandir}/man1/opustags.1.*
