# comment out if not git version
#define prel	git

# exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	Time-managing application for Xfce desktop environment
Name:		orage
Version:	4.20.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://www.xfce.org/
Source0:	https://archive.xfce.org/src/apps/orage/%{url_ver}/%{name}-%{version}%{?prel:-%prel}.tar.bz2
BuildRequires:	chrpath
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	pkgconfig(libxfce4ui-2) >= 4.21.0
BuildRequires:	pkgconfig(libical)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(popt)
BuildRequires:	xfce4-dev-tools

%description
Orage is a time-managing application for the Xfce desktop environment,
featuring:

- Time-based events
- Data stored in ical format.
- Recurring appointments
- Reminder up to 2 days before the event starts
- Possibility to choose your alarm sound
- Repeating the alarm sound until you close the reminder window
- Possibility to duplicate an appointment
- Archiving system for keeping your history in different files for
  avoiding overloads in the main working file.

%prep
%autosetup -p1 -n %{name}-%{version}%{?prel:-%prel}

%build
%xdt_autogen
%configure PERL=%{__perl} \
	%{?prel:--enable-maintainer-mode} \
	--disable-static \
	--enable-reentrant \
	--enable-dbus \
	--enable-archive \
	--enable-libnotify \
	--enable-libxfce4panel

%make_build

%install
%make_install

#disable rpath in _bin
chrpath -d %{buildroot}/%{_bindir}/*

rm -rf %{buildroot}%{_datadir}/orage/doc

%find_lang %{name}

for desktop in %{buildroot}%{_datadir}/applications/*.desktop; do
desktop-file-edit \
	--add-only-show-in="XFCE" \
	$desktop
done

%files -f %{name}.lang
%license COPYING
%doc README.* AUTHORS
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/org.xfce.orage*.{png,svg,xpm}
%{_datadir}/orage/
%dir %{_datadir}/themes/Default/orage-4.0/
%{_datadir}/themes/Default/orage-4.0/gtk.css
%{_datadir}/dbus-1/services/org.xfce.*.service
%{_metainfodir}/org.xfce.orage.appdata.xml
