%define lib_major	0
%define api_version	2.0
%define lib_name	%mklibname %{name}_ %{lib_major}
%define develname	%mklibname %name -d

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		orbit2
Version:	2.14.19
Release:	%mkrel 24
Summary:	High-performance CORBA Object Request Broker
License:	LGPLv2+
Group:		Graphical desktop/GNOME
URL:		https://www.gnome.org/projects/ORBit2/
Source0:	https://download.gnome.org/sources/ORBit2/%{url_ver}/ORBit2-%{version}.tar.bz2
# (fc) 2.4.1-2mdk fix crash when /tmp is not readable
Patch0:		ORBit2-2.14.4-tmpdir.patch
# (cjw) relax memory leak test tolerance (50->200K) -- does not work, test disabled in patch3
Patch1:		ORBit2-2.14.19-leaktest.patch
Patch2:		ORBit2-2.14.19-automake-1.13.patch
Patch3:		ORBit2-2.14.19-skip-failing-test.patch
# (cjw) use a libtool convenience library instead of a static archive + fix dependencies
Patch4:		ORBit2-2.14.19-nostatic.patch
Patch5:		ORBit2-2.14.19-link.patch
Patch6:		ORBit2-2.14.19-glib-2.30.patch
# Patches from Fedora
Patch7:		ORBit2-configure-c99.patch
Patch8:		pointer-type.patch
BuildRequires:	pkgconfig(libIDL-2.0) >= 0.8.2
BuildRequires:	pkgconfig(glib-2.0) >= 2.8.0
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.8.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.8.0
BuildRequires:	pkgconfig(gthread-2.0) >= 2.8.0
BuildRequires:	indent
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:  gtk-doc
Requires:	libidl2 >= 0.8.10
Provides:       linc = %{version}-%{release}
Provides:	ORBit2 = %{version}-%{release}
Obsoletes:	ORBit2 < 2.14.19-19

%description
ORBit is a high-performance CORBA (Common Object Request Broker
Architecture) ORB (object request broker). It allows programs to
send requests and receive replies from other programs, regardless
of the locations of the two programs. CORBA is an architecture that
enables communication between program objects, regardless of the
programming language they're written in or the operating system they
run on.

You will need to install this package if you want to run programs that use
the ORBit implementation of CORBA technology.

%package -n %{lib_name}
Summary:	High-performance CORBA Object Request Broker
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
Obsoletes:	%{_lib}ORBit2_0 < 2.14.19-19

%description -n %{lib_name}
ORBit is a high-performance CORBA (Common Object Request Broker
Architecture) ORB (object request broker). It allows programs to
send requests and receive replies from other programs, regardless
of the locations of the two programs. CORBA is an architecture that
enables communication between program objects, regardless of the
programming language they're written in or the operating system they
run on.

This package contains all core libraries of the ORBit implementation
of CORBA technology.

%package -n %develname
Summary:	Development libraries, header files and utilities for ORBit
Group:		Development/GNOME and GTK+
Provides:	libORBit2-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	%{name} = %{version}
# needed for orbit-idl-2
Requires:       indent
Obsoletes:      %{_lib}ORBit2-devel < 2.14.19-19

%description -n %develname
This package contains the header files, libraries and utilities
necessary to write programs that use CORBA technology. If you want to
write such programs, you'll also need to install the ORBit package.

%prep
%setup -qn ORBit2-%{version}
%patch -P 0 -p1 -b .tmpdir
%patch -P 1 -p1 -b .leaktest
%patch -P 2 -p1 -b .automake-1_13
%patch -P 3 -p1 -b .test
#patch -P 4 -p1 -b .nostatic
%patch -P 5 -p1 -b .linkorder
%patch -P 6 -p1 -b .glib
%patch -P 7 -p1
%patch -P 8 -p0

%build
autoreconf -fi
%configure \
	--disable-gtk-doc \
	--enable-purify \
	--disable-static \
	--enable-compile-warnings=no
# Parallel build seems broken
# ** CRITICAL **: orbit_idl_output_c_deps: assertion 'ci->fh != NULL' failed
%__make

%check
%ifnarch %{ix86}
%__make check
%endif

%install
%make_install

# Rename doc to prevent name conflict
cp src/services/name/README README.service-name

# remove unpackaged files
find %{buildroot} -name '*.la' -delete

%files
%doc README.service-name AUTHORS NEWS MAINTAINERS README
%{_bindir}/linc-cleanup-sockets
%{_bindir}/ior-decode-2
%{_bindir}/typelib-dump
%{_datadir}/idl/orbit-%{api_version}
%dir %{_libdir}/orbit-%{api_version}
%{_libdir}/orbit-%{api_version}/Everything_module.so

%files -n %{lib_name}
%{_libdir}/lib*-2.so.%{lib_major}
%{_libdir}/lib*-2.so.%{lib_major}.*

%files -n %develname
%doc %{_datadir}/gtk-doc/html/*
%{_bindir}/orbit2-config
%{_bindir}/orbit-idl-2
%{_datadir}/aclocal/*.m4
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/libname-server-2.a
%{_libdir}/pkgconfig/*.pc
