%define api       0.4
%define major     0
%define libname   %mklibname orc %{api} %{major}
%define develname %mklibname orc -d

Summary:        The Oil Runtime Compiler
Name:           orc
Version:        0.4.40
Release:        %mkrel 1
License:        BSD
Group:          Development/Other
Url:            https://cgit.freedesktop.org/gstreamer/orc/
Source0:        https://gstreamer.freedesktop.org/src/orc/%{name}-%{version}.tar.xz
Patch0:         orc_edsp_armv6_mix.patch
BuildRequires:  meson
BuildRequires:  gtk-doc

%description
Orc is a library and set of tools for compiling and executing very simple
programs that operate on arrays of data. The "language" is a generic assembly
language that represents many of the features available in SIMD architectures,
including saturated addition and subtraction, and many arithmetic operations.

%package -n     %{libname}
Summary:        The Oil Runtime Compiler
Group:          System/Libraries

%description -n %{libname}
Orc is a library and set of tools for compiling and executing very simple
programs that operate on arrays of data. The "language" is a generic assembly
language that represents many of the features available in SIMD architectures,
including saturated addition and subtraction, and many arithmetic operations.

%package -n     %{develname}
Summary:        The Oil Runtime Compiler
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:       %{name}%{?_isa} >= %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Orc is a library and set of tools for compiling and executing very simple
programs that operate on arrays of data. The "language" is a generic assembly
language that represents many of the features available in SIMD architectures,
including saturated addition and subtraction, and many arithmetic operations.

%prep
%setup -q
%autopatch -p1

%build
%meson
%meson_build

%ifarch x86_64
%check
%meson_test
%endif

%install
%meson_install

%files
%doc README
%{_bindir}/orcc
%{_bindir}/orc-bugreport

%files -n %{libname}
%{_libdir}/liborc-%{api}.so.%{major}{,.*}
%{_libdir}/liborc-test-%{api}.so.%{major}{,.*}

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/orc/
%{_includedir}/orc-%{api}/
%{_libdir}/liborc-%{api}.so
%{_libdir}/liborc-test-%{api}.so
%{_libdir}/pkgconfig/orc-%{api}.pc
%{_libdir}/pkgconfig/orc-test-%{api}.pc
