%define major		15
%define libname		%mklibname %{name} %{major}
%define libnamedev	%mklibname %{name} -d

Summary:	Real-time Transport Protocol Stack
Name:		ortp
Version:	5.3.5
Release:	%mkrel 1
License:	LGPLv2+
Group:		Networking/Other
URL:		https://linphone.org/technical-corner/ortp
Source0:	https://gitlab.linphone.org/BC/public/ortp/-/archive/%{version}/ortp-%{version}.tar.gz
# (wally) fix pkconfig pc file when cmake is used
Patch0:		ortp-cmake-fix-pkgconfig-pc-file.patch
Patch1:		ortp-CMake-modules-install-dir.patch
BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	pkgconfig(bctoolbox) >= %{version}
BuildRequires:	pkgconfig(openssl)

%description
oRTP is a LGPL licensed C library implementing the RTP protocol
(RFC1889). It is available for most unix clones (primarily Linux and
HP-UX), and Microsoft Windows.

%package -n	%{libname}
Summary:        Real-time Transport Protocol Stack
Group:		System/Libraries


%description -n	%{libname}
oRTP is a LGPL licensed C library implementing the RTP protocol
(RFC1889). It is available for most unix clones (primarily Linux and
HP-UX), and Microsoft Windows.

%package -n	%{libnamedev}
Summary:        Headers, libraries and docs for the oRTP library
Group:          Development/Other
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{libnamedev}
oRTP is a LGPL licensed C library implementing the RTP protocol
(RFC1889). It is available for most unix clones (primarily Linux and
HP-UX), and Microsoft Windows.

This package contains header files and development libraries needed to
develop programs using the oRTP library.

%prep
%setup -q
sed -i -e 's,\r$,,' CMakeLists.txt
%autopatch -p1

# Fix version
sed -i -e '/project/s/\(VERSION\)\s\+[0-9]\+\(\.[0-9]\+\)\+/\1 %{version}/' CMakeLists.txt

%build
%cmake -GNinja \
  -DCMAKE_SKIP_INSTALL_RPATH:BOOL=YES \
  -DENABLE_STATIC:BOOL=NO \
  -DENABLE_STRICT:BOOL=NO \
  -DENABLE_DOC:BOOL=NO \
  -DENABLE_UNIT_TESTS:BOOL=NO
%cmake_build

%install
%cmake_install

#handle docs in file section
rm -rf %{buildroot}%{_docdir}

%files -n %{libname}
%license LICENSE*
%doc AUTHORS* CHANGELOG* README*
%{_libdir}/*.so.%{major}{,.*}

%files -n %{libnamedev}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}/
%{_libdir}/cmake/Ortp/
