%define         srcname        osgXR

%define         major          6

%define         libname        %mklibname %{name} %{major}
%define         libdevelname   %mklibname %{name} -d

Name:           osgxr
Summary:        Virtual Reality with OpenXR and OpenSceneGraph
Version:        0.5.3
Release:        %mkrel 1
License:        LGPLv2+
Group:          System/Libraries
Url:            https://github.com/amalon/osgXR
Source0:        https://github.com/amalon/osgXR/archive/refs/tags/%{srcname}-%{version}.tar.gz


BuildRequires:  cmake
BuildRequires:  pkgconfig(openscenegraph)
BuildRequires:  pkgconfig(openxr)
BuildRequires:  pkgconfig(openthreads)


%description
This library is to allow Virtual Reality support to be added to
OpenSceneGraph applications, using the OpenXR standard. It is still in
development and contributions welcome.


%package -n %{libname}
Summary:        The osgXR library
Group:          System/Libraries
Provides:       lib%{name} = %{version}-%{release}

%description -n %{libname}
This library is to allow Virtual Reality support to be added to
OpenSceneGraph applications, using the OpenXR standard. It is still in
development and contributions welcome.


%package -n %{libdevelname}
Summary:        Development files for the osgXR library
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{libdevelname}
%{summary}.




%prep
%setup -q -n %{srcname}-%{version}

%autopatch -p1

%build

%cmake

%cmake_build


%install
%cmake_install

%files -n %{libname}
%doc README.md LICENSE.txt
%{_libdir}/libosgXR.so.%{major}{,.*}
%{_libdir}/libosgXR.so.%{version}

%files -n %{libdevelname}
%{_includedir}/osgXR
%{_libdir}/libosgXR.so
%{_libdir}/cmake/osgXR
%{_datadir}/pkgconfig/osgXR.pc
