%define build_gir  0

%define lname   osmgpsmap
%define oname   osm-gps-map

%define major      2
%define gir_major  1.0

%define libname  %mklibname %{lname} %{major}
%define devname  %mklibname %{lname} -d
%define gir_name %mklibname %{lname}-gir %{gir_major}

Name:           %{oname}0.7
Version:        0.7.3
Release:        %mkrel 14
Summary:        Gtk+ widget for displaying OpenStreetMap tiles
Group:          System/Libraries
License:        GPLv2
URL:            http://nzjrs.github.com/osm-gps-map/
Source0:        http://www.johnstowers.co.nz/files/%{oname}/%{oname}-%{version}.tar.gz
Patch0:         osm-gps-map-0.7.3-linkage.patch
Patch1:	        fix-introspection.diff
Patch2:		osm-gps-map-0.7.3-MSG_RESPONSE_LEN_FORMAT.patch
BuildRequires:	gnome-common
BuildRequires:  pkgconfig(gtk+-2.0) >= 2.14
BuildRequires:	pkgconfig(libsoup-2.4)

%if %{build_gir}
BuildRequires:	pkgconfig(gobject-introspection-1.0)
%endif

%description
A Gtk+ widget that when given GPS co-ordinates, draws a GPS track, and
points of interest on a moving map display. Downloads map data from a
number of websites, including openstreetmap.org.

%if %{build_gir}
%package -n %{gir_name}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Conflicts:      %{_lib}osm-gps-map1.0-gir1.0 < 1.29.3-4

%description -n %{gir_name}
GObject Introspection interface description for %{name}.
%endif

%package -n %{libname}
Summary:        Gtk+ widget for displaying OpenStreetMap tiles
Group:          System/Libraries

%description -n %{libname}
A Gtk+ widget that when given GPS co-ordinates, draws a GPS track, and
points of interest on a moving map display. Downloads map data from a
number of websites, including openstreetmap.org.

%package -n %{devname}
Summary:        Development files for the %{name} Gtk+ widget
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{lname}-devel = %{version}-%{release}
Provides:       lib%{lname}-devel = %{version}-%{release}

%description -n %{devname}
The development files for the %{name} Gtk+ widget.

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure \
        --disable-static \
%if %{build_gir}
        --enable-introspection
%else
        --disable-introspection
%endif

%make_build

%install
%make_install

#missing headers
install -Dpm644 src/osd-utils.h %{buildroot}%{_includedir}/%{lname}/osd-utils.h

#handle docs inf files section
rm -rf %{buildroot}/usr/doc/osm-gps-map

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc AUTHORS README NEWS
%{_libdir}/lib%{lname}.so.%{major}{,.*}

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/lib%{lname}
%{_includedir}/%{lname}/
%{_libdir}/lib%{lname}.so
%{_libdir}/pkgconfig/%{lname}.pc

%if %{build_gir}
%files -n %{gir_name}
%{_libdir}/girepository-1.0/*-%{gir_major}.typelib
%{_datadir}/gir-1.0/*-%{gir_major}.gir
%endif
