Name:		osm2pgsql
Version:	2.0.1
Release:	%mkrel 1
Summary:	An OpenStreetMap to PostgreSQL converter
License:	GPLv2
Group:		Sciences/Geosciences
URL:		https://wiki.openstreetmap.org/wiki/Osm2pgsql
# https://codeload.github.com/openstreetmap/osm2pgsql/tar.gz/0.84.0
Source0:	https://github.com/openstreetmap/osm2pgsql/archive/%{version}/%{name}-%{version}.tar.gz
ExcludeArch:	%{ix86} %{arm32}

BuildRequires:	cmake
BuildRequires:	geos-devel
BuildRequires:	boost-devel
BuildRequires:	protozero-devel
BuildRequires:	cmake(nlohmann_json)
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(CLI11)
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(fmt) >= 11
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(proj)
BuildRequires:	pkgconfig(libpq)
BuildRequires:	pkgconfig(libprotobuf-c)
BuildRequires:	pkgconfig(lua)
# TODO
#BuildRequires:	osmium-devel

%description
osm2pgsql is a command-line based program that converts OpenStreetMap data
to postGIS-enabled PostgreSQL databases.

%prep
%setup -q

%build
%cmake \
        -DEXTERNAL_CLI11=ON \
        -DEXTERNAL_FMT=ON \
        -DEXTERNAL_PROTOZERO=ON
%cmake_build

%install
%cmake_install

%files
%doc AUTHORS README.md
%license COPYING
%{_bindir}/%{name}
%{_bindir}/osm2pgsql-replication
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/osm2pgsql-replication.1.*
%{_datadir}/%{name}/
