Name:           osmo
Version:        0.4.4
Release:        %mkrel 6
Summary:        A handy lightweight PIM (Personal Information Manager)
License:        GPLv2+
Group:          Office/Organizer
Url:            https://osmo-pim.sourceforge.net/
Source0:        https://downloads.sourceforge.net/osmo-pim/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(gspell-1)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(libgringotts)
BuildRequires:  pkgconfig(libical)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(webkit2gtk-4.1)

%description
A handy personal organizer, which includes calendar, tasks manager, address
book and notes modules. It was designed to be small, easy to use and good
looking. It is quite convenient to use - for example, the user can perform
nearly all operations using the keyboard.

Also, many parameters are configurable to meet the user's preferences.
On the technical side, Osmo is a GTK+ based tool which uses a plain XML
database to store all personal data.

%prep
%setup -q

# build against webkit2gtk-4.1
sed -i -e 's/webkit2gtk-4.0/webkit2gtk-4.1/g' configure.ac

%build
autoreconf -fi
%configure \
  --enable-reproducible
%make_build

%install
%make_install

desktop-file-edit \
--add-category='X-Mageia-CrossDesktop' \
%{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README* TRANSLATORS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*.png
%{_iconsdir}/hicolor/*/*/%{name}*
%{_datadir}/sounds/%{name}
%{_mandir}/man1/%{name}.1*
