Name:           osmose
Version:        0.9.98
Release:        %mkrel 9
Summary:        A Sega Master System/Game Gear emulator
Group:          Emulators
License:        GPLv3+ and LGPLv3+
URL:            http://bcz.asterope.fr
Source0:        https://github.com/lutris/osmose/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(minizip)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5OpenGL)

%description
Osmose is a Sega Master System/Game Gear console emulator.

It features:
- Qt-based GUI.
- OpenGL-based renderer.
- SMS emulation: Good compatibility. At this stage, the emulator can run 96%
  of commercial games and public demos, except games that relies on codemaster
  mapper, which works but does not have proper video mode emulated.
- Game Gear emulation: Good compatibility. At this stage, the emulator can
  run 98.0% of game gear ROMs.

%prep
%setup -q
%autopatch -p1

# Make sure we don't use bundled minizip
rm -rf unzip

%build
%qmake_qt5 CONFIG+=system-minizip PREFIX=%{_prefix}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc LICENSE CREDITS README
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/128x128/apps/%{name}.png
