Summary: OSS (Open Sound System) Proxy Daemon
Name: ossp
Version: 1.3.2
Release: %mkrel 15
License: GPLv2
Group: Sound/Utilities
Url: https://sourceforge.net/projects/osspd/
Source0: %{name}-%{version}.tar.gz
Patch0001: 0001-Add-a-very-simple-systemd-unit.patch
Patch0002: 0002-udev-Rename-udev-rules-and-add-uaccess-udev-acl-tags.patch
Patch0003: ossp-1.3.2-linking.patch
Patch0004: ossp-1.3.2-sfmt.patch

BuildRequires: pkgconfig(fuse)
BuildRequires: pkgconfig(libpulse)
BuildRequires: pkgconfig(alsa)
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Recommends: pulseaudio

%description
OSS Proxy Daemon is Linux userland OSS sound device (/dev/[a]dsp
and /dev/mixer) implementation using CUSE. Currently it supports
forwarding OSS sound streams to PulseAudio and ALSA.


%prep
%setup -q
%autopatch -p1

sed -i 's,/usr/local,%{_prefix},' Makefile
sed -i 's,/etc/udev/rules.d,/%{_udevrulesdir},' Makefile

%build
%set_build_flags
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_sysconfdir}/modprobe.preload.d
echo "cuse" >%{buildroot}%{_sysconfdir}/modprobe.preload.d/%{name}.conf

%files
%doc README
%{_sbindir}/ossp*
%{_udevrulesdir}/70-osscuse.rules
%{_sysconfdir}/modprobe.preload.d/%{name}.conf
%{_unitdir}/osspd.service
%{_unitdir}/sound.target.wants/osspd.service
