Name:           otter-browser
Summary:        Modern web browser inspired by Opera 12
Version:        1.0.03
Release:        %mkrel 3
Group:          Networking/WWW
License:        GPLv3+ and BSD
Url:            https://otter-browser.org/
Source0:        https://github.com/OtterBrowser/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        LICENSE_mousegesture.txt
Source2:        LICENSE_libmimeapps.txt
Patch0:         otter-browser-1.0.01-mga-duckduckgo.patch
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(appstream-glib)
BuildRequires:  pkgconfig(hunspell)
BuildRequires:  pkgconfig(Qt5Concurrent) >= 5.2
BuildRequires:  pkgconfig(Qt5Core) >= 5.2
BuildRequires:  pkgconfig(Qt5DBus) >= 5.2
BuildRequires:  pkgconfig(Qt5Gui) >= 5.2
BuildRequires:  pkgconfig(Qt5Multimedia) >= 5.2
BuildRequires:  pkgconfig(Qt5Network) >= 5.2
BuildRequires:  pkgconfig(Qt5PrintSupport) >= 5.2
BuildRequires:  pkgconfig(Qt5Qml) >= 5.2
BuildRequires:  pkgconfig(Qt5Script) >= 5.2
BuildRequires:  pkgconfig(Qt5Svg) >= 5.2
BuildRequires:  pkgconfig(Qt5WebEngine)
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.2
BuildRequires:  pkgconfig(Qt5XmlPatterns) >= 5.2
BuildRequires:  pkgconfig(dbusmenu-qt5)

Requires:       qtwebengine5

%description
Otter Browser aims to recreate classic Opera (Presto) UI using Qt
and designed to give the user full control.

%prep
%setup -q
%autopatch -p1

cp %{S:1} %{S:2} .

%build
%cmake_qt5
%cmake_build

%install
%cmake_install

%__install -Dm 0644 packaging/%{name}.appdata.xml %{buildroot}%{_datadir}/metainfo/%{name}.appdata.xml

%files
%doc CHANGELOG README.md TODO CONTRIBUTING.md
%doc LICENSE_mousegesture.txt LICENSE_libmimeapps.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/metainfo/%{name}.appdata.xml
%{_mandir}/man1/%{name}.1.*
