Name:    oxygen-gtk
Version: 1.4.6
Release: %mkrel 6
Summary: A port of the default KDE widget theme (Oxygen) to gtk
Group:   Graphical desktop/KDE
License: LGPLv2+
URL:     https://projects.kde.org/projects/playground/artwork/oxygen-gtk
Source0: https://download.kde.org/stable/oxygen-gtk2/%{version}/src/%{name}2-%{version}.tar.bz2
Patch0:  oxygen-gtk2-1.4.6-workaround-crash-with-dropbox.patch
Patch1:  oxygen-gtk2-1.4.6-detect-kompozer-and-bluegriffon-as-XUL-application.patch
Patch2:  oxygen-gtk2-1.4.6-use-Adwaita-as-fallback-icon-theme.patch
Patch3:  oxygen-gtk2-1.4.6-detect-iceape-as-XUL-application.patch

BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: cmake

Requires: oxygen-gtk2-engine

%description
Oxygen-Gtk is a port of the default KDE widget theme (Oxygen), to gtk.

It's primary goal is to ensure visual consistency between gtk and qt-based
applications running under kde. A secondary objective is to also have a
stand-alone nice looking gtk theme that would behave well on other Desktop
Environments.

Unlike other attempts made to port the kde oxygen theme to gtk, this attempt
does not depend on Qt (via some Qt to Gtk conversion engine), nor does render
the widget appearance via hard coded pixmaps, which otherwise breaks every time
some setting is changed in kde.

%files
%doc AUTHORS COPYING INSTALL README
%{_bindir}/*
%{_datadir}/themes/oxygen-gtk

#------------------------------------------------

%define libname %mklibname oxygen-gtk

%package -n %{libname}
Summary:	Dynamic libraries for %{name}
Group:		System/Libraries
Provides:	oxygen-gtk2-engine 
Conflicts:	oxygen-gtk < 1.0.4-2

%description -n %{libname}
Dynamic libraries for %{name}.

%files -n %libname
%{_libdir}/gtk-2.0/2.10.0/engines/liboxygen-gtk.so

#------------------------------------------------

%prep
%setup -q -n %{name}2-%{version}
%autopatch -p1

%build
%cmake -DOXYGEN_FORCE_KDE_ICONS_AND_FONTS=0
%cmake_build

%install
%cmake_install
