Name:           oxygen-gtk3
Epoch:          1
Version:        1.4.1
Release:        %mkrel 3
Summary:        A port of the default KDE widget theme (Oxygen) to gtk3
Group:          Graphical desktop/KDE
License:        LGPLv2+
URL:            https://projects.kde.org/projects/playground/artwork/oxygen-gtk
Source0:        https://download.kde.org/stable/oxygen-gtk3/%{version}/src/%{name}-%{version}.tar.bz2
Source1:        oxygen-icons-symbolic.tar.xz
Patch0:         oxygen-gtk3-1.4.0-disable-GtkComboBox-appears-as-list.patch
Patch1:         oxygen-gtk3-1.4.1-use-Adwaita-as-fallback-icon-theme.patch
# upstream patch from gtk3-1.4 to fix spinner for gtk+-3.14 (bko#340901)
# https://bugs.kde.org/show_bug.cgi?id=340901
Patch2:         oxygen-gtk3-1.4-update-spinner-code-copied-from-Adwaita-to-have-work.patch

BuildRequires:  pkgconfig(gtk+-3.0) >= 3.2.0
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  cmake

Recommends:     oxygen-icon-theme
Recommends:     adwaita-icon-theme
Requires:       %{name}-engine = %{epoch}:%{version}

%description
Oxygen-Gtk3 is a port of the default KDE widget theme (Oxygen), to gtk3.

It's primary goal is to ensure visual consistency between gtk and qt-based
applications running under kde. A secondary objective is to also have a
stand-alone nice looking gtk theme that would behave well on other Desktop
Environments.

Unlike other attempts made to port the kde oxygen theme to gtk3, this attempt
does not depend on Qt (via some Qt to Gtk conversion engine), nor does render
the widget appearance via hard coded pixmaps, which otherwise breaks every time
some setting is changed in kde.

%files
%{_bindir}/%{name}-demo
%{_datadir}/themes/oxygen-gtk
%{_iconsdir}/oxygen

#------------------------------------------------

%define libname %mklibname %{name}

%package -n     %{libname}
Summary:        Dynamic libraries for %{name}
Group:          System/Libraries
Provides:       %{name}-engine = %{epoch}:%{version}
Conflicts:      %{name} < 1.1.50-0.20110922.3

%description -n %{libname}
Dynamic libraries for %{name}.

%files -n %libname
%{_libdir}/gtk-3.0/3.0.0/theming-engines/liboxygen-gtk.so

#------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake -DOXYGEN_FORCE_KDE_ICONS_AND_FONTS=0
%cmake_build

%install
%cmake_install

# arrows oxygen symbolic icons for gtk+-3.14
mkdir -p %{buildroot}%{_iconsdir}/oxygen/scalable/actions
tar xJf %{SOURCE1} -C %{buildroot}%{_iconsdir}
