#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Name:           oxygen-icons
Epoch:          2
Version: 6.1.0
Release:        %mkrel %rel
Summary:        Oxygen icon theme
Group:          Graphical desktop/KDE
License:        LGPLv3
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/oxygen-icons/%{name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  util-linux
BuildRequires:  symlinks

Provides:       oxygen-icon-theme = %epoch:%version-%release
Provides:       oxygen-icons5 = %epoch:%version-%release
Obsoletes:      oxygen-icons5 < 2:5.114.0-2

%description
Oxygen Plasma icon theme. Compliant with FreeDesktop.org naming schema.

%files
%doc AUTHORS CONTRIBUTING README.md
%license COPYING
%_kf6_iconsdir/oxygen/
# This is needed as hicolor is the fallback for icons
%_kf6_iconsdir/hicolor/*/apps/*

#-----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install


# We copy some missing icons from oxygen to hicolor
for size in 16 32 48 64 128; do
    mkdir -p %buildroot%_datadir/icons/hicolor/${size}x${size}/apps
    pushd %buildroot%_kf6_iconsdir/oxygen/base/${size}x${size}/apps
    cp krdc.png akonadi.png semn.png plasmagik.png ktip.png kthesaurus.png \
          ksniffer.png korgac.png knewsticker.png klipper.png kjournal.png kivio.png \
          %buildroot%_datadir/icons/hicolor/${size}x${size}/apps
    popd
done

# Add some symlinks to fix some missing icons in XFCE desktop
# as oxygen is default icon theme for it
for size in 16 22 32 48 64 128 256; do
    pushd %buildroot%_iconsdir/oxygen/base/${size}x${size}/apps/
        ln -s internet-web-browser.png web-browser.png
    popd
done

#no 256x256 icon for this
for size in 16 22 32 48 64 128; do
    pushd %buildroot%_iconsdir/oxygen/base/${size}x${size}/apps/
        ln -s system-file-manager.png file-manager.png
    popd
done

# no 256x256 icons for these
for size in 16 22 32 48 64 128; do
    pushd %buildroot%_datadir/icons/oxygen/base/${size}x${size}/actions/
        ln -s edit-find.png gtk-find.png
    popd
done

for size in 16 22 32 48 64 128 256; do
    pushd %buildroot%_datadir/icons/oxygen/base/${size}x${size}/places/
	ln -s folder-txt.png folder-templates.png
    popd
done

# remove possible dangling symlinks
symlinks -rd %{buildroot}%{_kf6_iconsdir}

# As of 4.5.80, hardlink reports
#Linked 854
#saved 8265728
hardlink -c -v %{buildroot}%{_kf6_iconsdir}


# automatic gtk icon cache update on rpm installs/removals
%transfiletriggerin --  /usr/share/icons/oxygen/
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --force --quiet /usr/share/icons/oxygen
fi
