#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        The Oxygen Style for Qt/KDE Applications
Name:           oxygen
Version: 6.3.4
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz


BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6FrameworkIntegration)
BuildRequires:  cmake(KF6WindowSystem)

BuildRequires:  cmake(Plasma)

BuildRequires:  cmake(KDecoration3)

Provides:       plasma-style-oxygen = %version-%release

Requires:       oxygen-sounds

# ease upgrade
Conflicts:      plasma6-framework < 6.1.90-1


%description
Plasma and Qt widget style and window decorations for KDE.

%files -f %name.lang
%_kf6_bindir/oxygen-demo6
%_kf6_bindir/oxygen-settings6
%_kf6_iconsdir/Oxygen_*
%_kf6_iconsdir/KDE_Classic
%_kf6_applicationsdir/kcm_oxygendecoration.desktop
%_kf6_iconsdir/hicolor/*/apps/oxygen-settings.png
%_kf6_datadir/kstyle/themes/oxygen.themerc
%_kf6_datadir/plasma/look-and-feel/org.kde.oxygen
%_kf6_datadir/plasma/desktoptheme/oxygen/
%_qt6_plugindir/kstyle_config/kstyle_oxygen_config.so
%_qt6_plugindir/styles/oxygen6.so
%_qt6_plugindir/org.kde.kdecoration3.kcm/kcm_oxygendecoration.so
%_qt6_plugindir/org.kde.kdecoration3/org.kde.oxygen.so
%_kf6_datadir/color-schemes/*.colors
%_kf6_metainfodir/org.kde.oxygen.appdata.xml

#--------------------------------------------------------------------

%define oxygenstyle_major 6
%define liboxygenstyle %mklibname oxygenstyle6_ %{oxygenstyle_major}

%package -n %liboxygenstyle
Summary:        Default Plasma widget theme
Group:          System/Libraries

%description -n %liboxygenstyle
Default Plasma widget theme.

%files -n %liboxygenstyle
%_kf6_libdir/liboxygenstyle6.so.%{oxygenstyle_major}
%_kf6_libdir/liboxygenstyle6.so.%{version}

#--------------------------------------------------------------------

%define oxygenstyleconfig_major 6
%define liboxygenstyleconfig %mklibname oxygenstyleconfig6_ %{oxygenstyleconfig_major}

%package -n %liboxygenstyleconfig
Summary:        Default Plasma widget theme
Group:          System/Libraries

%description -n %liboxygenstyleconfig
Default Plasma widget theme.

%files -n %liboxygenstyleconfig
%_kf6_libdir/liboxygenstyleconfig6.so.%{oxygenstyleconfig_major}
%_kf6_libdir/liboxygenstyleconfig6.so.%{version}

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DBUILD_QT5:BOOL=OFF
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name
