%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

# keep p11-kit-proxy.so from pulling in devel files
%global __devel_exclude_path %{_libdir}/p11-kit-proxy\.so

Name:		p11-kit
Summary:	Load and enumerate PKCS#11 modules
Version:	0.25.5
Release:	%mkrel 1
License:	Apache License
Group:		System/Libraries
Url:		https://p11-glue.freedesktop.org/p11-kit.html
Source0:	https://github.com/p11-glue/p11-kit/releases/download/%{version}/%{name}-%{version}.tar.xz
Source1:	https://github.com/p11-glue/p11-kit/releases/download/%{version}/%{name}-%{version}.tar.xz.sig
Patch0:		p11-kit-0.25.3-linking.patch
BuildRequires:	meson
BuildRequires:	pkgconfig(bash-completion)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libtasn1)
BuildRequires:	pkgconfig(libffi)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(gtk-doc)
BuildRequires:	gettext-devel
BuildRequires:	xsltproc

%description
Provides a way to load and enumerate PKCS#11 modules. Provides a standard
configuration setup for installing PKCS#11 modules in such a way that
they're discoverable.

Also solves problems with coordinating the use of PKCS#11 by different
components or libraries living in the same process.

%package -n	%{libname}
Summary:	Library and proxy module for properly loading and sharing PKCS#11 modules
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n	%{libname}
Provides a way to load and enumerate PKCS#11 modules. Provides a standard
configuration setup for installing PKCS#11 modules in such a way that
they're discoverable.

Also solves problems with coordinating the use of PKCS#11 by different
components or libraries living in the same process.

%package -n	%{devname}
Summary:	Development files and headers for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{devname}
This package contains the development files and headers for %{name}.

%package	trust
Summary:	System trust module from %{name}
Requires:	%{name} = %{version}-%{release}
Conflicts:	%{_lib}p11-kit0 < 0.24.1-2

%description	trust
The %{name}-trust package contains a system trust PKCS#11 module which
contains certificate anchors and black lists.

%prep
%autosetup -p1

%build
%meson -Dgtk_doc=true \
       -Dman=true \
       -Dtrust_paths=%{_sysconfdir}/pki/ca-trust/source:%{_datadir}/pki/ca-trust-source \
%meson_build

%install
%meson_install

#dirs for configs etc
mkdir -p %{buildroot}%{_sysconfdir}/pkcs11/modules

# install the example config file as config file (mga #12696)
mv %{buildroot}%{_sysconfdir}/pkcs11/pkcs11.conf.example %{buildroot}%{_sysconfdir}/pkcs11/pkcs11.conf

%find_lang %{name}

# Disable for now as it fails on 32-bit and 64-bit
# Need more investigation and a fix
%check
#meson_test

# remove invalid empty config file installed by default until p11-kit-0.20.1-3 (mga #12696)
%pretrans -p <lua>

file = io.open("/etc/pkcs11/pkcs11.conf","r")

if (file) then
  size = file:seek("end")
  file:close()
  if (size == 0) then
    os.remove("/etc/pkcs11/pkcs11.conf")
  end
end

%files -f %{name}.lang
%doc build/p11-kit/pkcs11.conf.example
%{_bindir}/%{name}
%dir %{_sysconfdir}/pkcs11
%dir %{_sysconfdir}/pkcs11/modules
%config(noreplace) %{_sysconfdir}/pkcs11/pkcs11.conf
%dir %{_libdir}/pkcs11/
%dir %{_datadir}/p11-kit
%dir %{_datadir}/p11-kit/modules
%{_mandir}/man?/%{name}.*.*
%{_mandir}/man?/pkcs11.conf.*.*
%dir %{_libexecdir}/p11-kit/
%{_libexecdir}/p11-kit/p11-kit-remote
%{_libexecdir}/p11-kit/p11-kit-server
%{_userunitdir}/p11-kit-server.service
%{_userunitdir}/p11-kit-server.socket
%{_datadir}/bash-completion/completions/p11-kit

%files -n %{libname}
%doc AUTHORS NEWS
%{_libdir}/lib%{name}.so.%{major}{,.*}
%{_libdir}/p11-kit-proxy.so

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/%{name}
%{_includedir}/%{name}-1
%{_libdir}/libp11-kit.so
%{_libdir}/pkcs11/*.so
%{_libdir}/pkgconfig/%{name}-1.pc

%files trust
%{_bindir}/trust
%dir %{_libdir}/pkcs11
%{_libdir}/pkcs11/p11-kit-trust.so
%{_datadir}/p11-kit/modules/p11-kit-trust.module
%{_libexecdir}/p11-kit/trust-extract-compat
%{_datadir}/bash-completion/completions/trust
%{_mandir}/man?/trust.*.*
