%define cib_major          27
%define crmcluster_major   29
%define crmcommon_major    34
%define crmservice_major   28
%define lrmd_major         28
%define pe_rules_major     26
%define pe_status_major    28
%define stonithd_major     26

%define cib_libname        %mklibname cib %cib_major
%define crmcluster_libname %mklibname crmcluster %crmcluster_major
%define crmcommon_libname  %mklibname crmcommon %crmcommon_major
%define crmservice_libname %mklibname crmservice %crmservice_major
%define lrmd_libname       %mklibname lrmd %lrmd_major
%define pe_rules_libname   %mklibname pe_rules %pe_rules_major
%define pe_status_libname  %mklibname pe_status %pe_status_major
%define stonithd_libname   %mklibname stonithd %stonithd_major

%define major              1
%define libname            %mklibname pacemaker %{major}
%define develname          %mklibname pacemaker -d

%global gname haclient
%global uname hacluster
%global pcmk_docdir %{_docdir}/%{name}

%global __python %{__python3}

# Supported cluster stacks, must support at least one
%bcond_with cman
%bcond_without corosync
%bcond_with heartbeat

# ESMTP is not available in RHEL, only in EPEL. Allow people to build
# the RPM without ESMTP in case they choose not to use EPEL packages
%bcond_without esmtp

# SNMP trap support only works with Net-SNMP 5.4 and above
%bcond_without snmp

# Support additional trace logging
%bcond_with tracedata

# We generate some docs using Publican, but its not available everywhere
%bcond_with publican

%global specversion 2
%global git_hash 49aab9983

%global pcmk_release %{?alphatag:0.}%{specversion}%{?alphatag:.%{alphatag}}%{?dist}

Name:		pacemaker
Summary:	Scalable High-Availability cluster resource manager
Version:	2.1.9
Release:	%mkrel 4
License:	GPLv2+ and LGPLv2+
Url:		https://www.clusterlabs.org/
Group:		System/Base
Source0:	https://github.com/ClusterLabs/pacemaker/archive/Pacemaker-%{version}.tar.gz
Requires(pre):	cluster-glue
Requires:	resource-agents
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

# Required for core functionality
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	libtool
BuildRequires:	gcc-c++
BuildRequires:	libltdl-devel
BuildRequires:	pam-devel
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	cluster-glue-devel
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(dbus-1)

# Enables optional functionality
BuildRequires:	help2man
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	docbook-style-xsl
BuildRequires:	resource-agents
BuildRequires:	xsltproc

%if %{with esmtp}
BuildRequires:	pkgconfig(libesmtp-1.0)
%endif

%if %{with snmp}
BuildRequires:	net-snmp-devel >= 5.4
Requires:	net-snmp >= 5.4
%endif

%if %{with corosync}
BuildRequires:	pkgconfig(corosync)
%endif

%if %{with cman}
BuildRequires:	cluster-devel
%endif

%if %{with heartbeat}
BuildRequires:	heartbeat-devel
BuildRequires:	heartbeat-libs
%endif

%if %{with publican}
%ifarch %{ix86} x86_64
BuildRequires:	publican
%endif
%endif

Obsoletes:	%{_lib}pengine10 < 1.1.19-15
Obsoletes:	%{_lib}transitioner2 < 1.1.19-15

%description
Pacemaker is an advanced, scalable High-Availability cluster resource
manager for Linux-HA (Heartbeat) and/or OpenAIS.

It supports "n-node" clusters with significant capabilities for
managing resources and dependencies.

It will run scripts at initialization, when machines go up or down,
when related resources fail and can be configured to periodically check
resource health.

%package -n %cib_libname
License:	GPLv2+ and LGPLv2+
Group:		System/Libraries
Summary:	Library used by the Pacemaker cluster resource manager and its clients
%package -n %crmcluster_libname
License:	GPLv2+ and LGPLv2+
Group:		System/Libraries
Summary:	Library used by the Pacemaker cluster resource manager and its clients
%package -n %crmcommon_libname
License:	GPLv2+ and LGPLv2+
Group:		System/Libraries
Summary:	Library used by the Pacemaker cluster resource manager and its clients
%package -n %crmservice_libname
License:	GPLv2+ and LGPLv2+
Group:		System/Libraries
Summary:	Library used by the Pacemaker cluster resource manager and its clients
%package -n %lrmd_libname
License:	GPLv2+ and LGPLv2+
Group:		System/Libraries
Summary:	Library used by the Pacemaker cluster resource manager and its clients
%package -n %pe_rules_libname
License:	GPLv2+ and LGPLv2+
Group:		System/Libraries
Summary:	Library used by the Pacemaker cluster resource manager and its clients
%package -n %pe_status_libname
License:	GPLv2+ and LGPLv2+
Group:		System/Libraries
Summary:	Library used by the Pacemaker cluster resource manager and its clients
%package -n %stonithd_libname
License:	GPLv2+ and LGPLv2+
Group:		System/Libraries
Summary:	Library used by the Pacemaker cluster resource manager and its clients

%description -n %cib_libname
Library used by the Pacemaker cluster resource manager and its clients.

%description -n %crmcluster_libname
Library used by the Pacemaker cluster resource manager and its clients.

%description -n %crmcommon_libname
Library used by the Pacemaker cluster resource manager and its clients.

%description -n %crmservice_libname
Library used by the Pacemaker cluster resource manager and its clients.

%description -n %lrmd_libname
Library used by the Pacemaker cluster resource manager and its clients.

%description -n %pe_rules_libname
Library used by the Pacemaker cluster resource manager and its clients.

%description -n %pe_status_libname
Library used by the Pacemaker cluster resource manager and its clients.

%description -n %stonithd_libname
Library used by the Pacemaker cluster resource manager and its clients.

%package -n %{libname}
Group:		System/Libraries
Summary:	Main Pacemaker Library
Conflicts:	%{name} < 2.1.9-2

%description -n %{libname}
Main Library used by the Pacemaker cluster resource manager and its clients.

%package -n %{develname}
License:	GPLv2+ and LGPLv2+
Summary:	Pacemaker development package
Group:		System/Libraries
Requires:	%name = %{version}-%{release}
Requires:	%libname = %{version}-%{release}
Requires:	%cib_libname = %{version}-%{release}
Requires:	%crmcluster_libname = %{version}-%{release}
Requires:	%crmcommon_libname = %{version}-%{release}
Requires:	%crmservice_libname = %{version}-%{release}
Requires:	%lrmd_libname = %{version}-%{release}
Requires:	%pe_rules_libname = %{version}-%{release}
Requires:	%pe_status_libname = %{version}-%{release}
Requires:	%stonithd_libname = %{version}-%{release}
Requires:	cluster-glue-devel
Requires:	libltdl-devel
Provides:	%{name}-devel = %{version}-%{release}
%if %{with corosync}
Requires:	corosync-devel
%endif
%if %{with heartbeat}
Requires:	heartbeat-devel
%endif

%description -n %{develname}
Headers and shared libraries for developing tools for Pacemaker.

Pacemaker is an advanced, scalable High-Availability cluster resource
manager for Linux-HA (Heartbeat) and/or OpenAIS.

It supports "n-node" clusters with significant capabilities for
managing resources and dependencies.

It will run scripts at initialization, when machines go up or down,
when related resources fail and can be configured to periodically check
resource health.

%package	cts
License:	GPLv2+ and LGPLv2+
Summary:	Test framework for cluster-related technologies like Pacemaker
Group:		System/Base
Requires:	python3

%description	cts
Test framework for cluster-related technologies like Pacemaker.

%package	doc
License:	GPLv2+ and LGPLv2+
Summary:	Documentation for Pacemaker
Group:		Documentation
BuildArch:	noarch

%description	doc
Documentation for Pacemaker.

Pacemaker is an advanced, scalable High-Availability cluster resource
manager for OpenAIS/Corosync.

It supports "n-node" clusters with significant capabilities for
managing resources and dependencies.

It will run scripts at initialization, when machines go up or down,
when related resources fail and can be configured to periodically check
resource health.

%prep
%autosetup -p1 -n %name-Pacemaker-%{version}

%build
export PYTHON=%{python3}

./autogen.sh

%configure						\
	%{!?with_heartbeat: --without-heartbeat}	\
	%{!?with_corosync:  --without-corosync}		\
	%{!?with_esmtp:     --without-esmtp}		\
	%{!?with_snmp:      --without-snmp}		\
	%{?with_cman:       --with-cman}		\
	%{?with_profiling:  --with-profiling}		\
	%{?with_gcov:       --with-gcov}		\
	%{?with_tracedata   --with-tracedata}		\
	--with-version=%{version}-%{release}		\
	--docdir=%{pcmk_docdir}				\
	--localstatedir=%{_var}				\
	--enable-fatal-warnings=no			\
	--disable-ansi					\
	--enable-systemd


%make_build

%install
%make_install

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig

# These are not actually scripts
find %{buildroot} -name '*.xml' -type f -exec chmod a-x {} \;
find %{buildroot} -name '*.xsl' -type f -exec chmod a-x {} \;
find %{buildroot} -name '*.rng' -type f -exec chmod a-x {} \;
find %{buildroot} -name '*.dtd' -type f -exec chmod a-x {} \;
 
# Dont package static libs or compiled python
find %{buildroot} -name '*.a' -type f -exec rm -f {} \;
find %{buildroot} -name '*.la' -type f -exec rm -f {} \;

# Don't package these either
rm -f %{buildroot}%{_libdir}/heartbeat/hb2openais-helper.*
rm -f %{buildroot}%{_libdir}/heartbeat/crm_primitive.*
rm -f %{buildroot}%{_libdir}/service_crm.so
rm -f %{buildroot}%{_prefix}/lib/ocf/resource.d/pacemaker/pingd

# Don't package old initscripts
rm -f %{buildroot}/etc/init.d/pacemaker
rm -f %{buildroot}/etc/init.d/pacemaker_remote

%files
###########################################################
%config(noreplace) %{_sysconfdir}/sysconfig/pacemaker
%{_sysconfdir}/logrotate.d/pacemaker
%config(noreplace) %{_sysconfdir}/sysconfig/crm_mon
%{_unitdir}/pacemaker.service
%{_unitdir}/crm_mon.service
%{_unitdir}/pacemaker_remote.service
%{_sbindir}/pacemakerd
%{_datadir}/pacemaker
%{_datadir}/snmp/mibs/PCMK-MIB.txt
%{_sbindir}/cibadmin
%{_sbindir}/crm_attribute
%{_sbindir}/crm_diff
%{_sbindir}/crm_failcount
%{_sbindir}/crm_master
%{_sbindir}/crm_mon
%{_sbindir}/crm_simulate
%{_sbindir}/crm_resource
%{_sbindir}/crm_report
%{_sbindir}/crm_standby
%{_sbindir}/crm_ticket
%{_sbindir}/crm_verify
%{_sbindir}/crmadmin
%{_sbindir}/iso8601
%{_sbindir}/attrd_updater
%{_sbindir}/crm_shadow
%{_sbindir}/crm_error
%{_sbindir}/crm_node
%{_sbindir}/crm_rule
%{_sbindir}/fence_legacy
%{_sbindir}/fence_watchdog
%{_sbindir}/stonith_admin
%{_sbindir}/pacemaker_remoted
%{_sbindir}/pacemaker-remoted
%{_libexecdir}/pacemaker
%{_mandir}/man7/ocf_pacemaker_*
%{_mandir}/man7/pacemaker-based.7*
%{_mandir}/man7/pacemaker-controld.7*
%{_mandir}/man7/pacemaker-fenced.7*
%{_mandir}/man7/pacemaker-schedulerd.7*
%{_mandir}/man8/attrd_updater.8*
%{_mandir}/man8/stonith_admin.8*
%{_mandir}/man8/cibadmin.8*
%{_mandir}/man8/crmadmin.8*
%{_mandir}/man8/crm_*
%{_mandir}/man8/fence_legacy.8*
%{_mandir}/man8/fence_watchdog.8*
%{_mandir}/man8/iso8601.8*
%{_mandir}/man8/pacemakerd.8*
%{_mandir}/man8/pacemaker-remoted.8*

%{python3_sitelib}/pacemaker/

# Packaged elsewhere
%exclude %{_datadir}/pacemaker/tests
%exclude %{python3_sitelib}/pacemaker/_cts/

%dir %{_prefix}/lib/ocf
%dir %{_prefix}/lib/ocf/resource.d
%{_prefix}/lib/ocf/resource.d/pacemaker

%files -n %cib_libname
%{_libdir}/libcib.so.%{cib_major}{,.*}

%files -n %crmcluster_libname
%{_libdir}/libcrmcluster.so.%{crmcluster_major}{,.*}

%files -n %crmcommon_libname
%{_libdir}/libcrmcommon.so.%{crmcommon_major}{,.*}

%files -n %crmservice_libname
%{_libdir}/libcrmservice.so.%{crmservice_major}{,.*}

%files -n %lrmd_libname
%{_libdir}/liblrmd.so.%{lrmd_major}{,.*}

%files -n %pe_rules_libname
%{_libdir}/libpe_rules.so.%{pe_rules_major}{,.*}

%files -n %pe_status_libname
%{_libdir}/libpe_status.so.%{pe_status_major}{,.*}

%files -n %stonithd_libname
%{_libdir}/libstonithd.so.%{stonithd_major}{,.*}

%files doc
%doc %{pcmk_docdir}

%files cts
%{python3_sitelib}/pacemaker/_cts
%{_datadir}/pacemaker/tests

%files -n %{libname}
%{_libdir}/libpacemaker.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/pacemaker/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/pkgconfig/pacemaker-schemas.pc
