Summary:        Tools for building packages in clean chroot environment
Name:           package-build-service
Version:        0.3.9
Release:        %mkrel 17
License:        GPLv3+
Group:          Development/Other
Url:            https://sourceforge.net/projects/package-build-service
Source0:        https://sourceforge.net/projects/package-build-service/files/%{name}-%{version}.tar.gz
Patch0:         pbs-boost-1.87.0.patch
#For make_aum.sh
BuildRequires:  boost-devel
#For localization
BuildRequires:  gettext
#For mass_rebuild
Recommends:     sudo
#For genchroot-tarball
Recommends:     unzip
#For repo-hdlistgen
Requires:       genhdlist2, perl-URPM

%description
aum++: Tool for building packages in clean chroot environment
mass_rebuild: Tool for automatic rebuilding package(s)
repo-hdlistgen: Tool for work with repo
genchroot-tarball: Tool for generation chroot archive
mass_rebuild_test: Tool for testing installation packages after mass_rebuild

%prep
%autosetup -p1

tar -xf repo.tar.gz

%build
pushd src
sed -i -e "s|pbs-|aum++-|g" ./cBuild.cpp
sed -i -e "s|pbs_|aum++_|g" ./cBuild.cpp
sed -i -e "s|pbs_|aum++_|g" ./functions.cpp
sed -i -e "s|#include <mysql/mysql.h>||g" ./functions.h
./make_aum.sh
popd

%install
mkdir -p %{buildroot}%{_datadir}/aum++/skel/
cp -af repo/* %{buildroot}%{_datadir}/aum++/skel/
mkdir -p %{buildroot}%{_bindir}
install -m 0755 repo-hdlistgen %{buildroot}%{_bindir}/
install -m 0755 mass_rebuild %{buildroot}%{_bindir}/
install -m 0755 genchroot-tarball %{buildroot}%{_bindir}/
install -m 0755 mass_rebuild_test %{buildroot}%{_bindir}/
pushd src
install -m 0755 aum++ %{buildroot}%{_bindir}/
mkdir -p %{buildroot}%{_datadir}/locale
cp -af i18n/* %{buildroot}%{_datadir}/locale/
popd

%find_lang aum++

%files -f aum++.lang
%doc docs/*
%{_bindir}/repo-hdlistgen
%{_bindir}/mass_rebuild
%{_bindir}/mass_rebuild_test
%{_bindir}/aum++
%{_bindir}/genchroot-tarball
%{_datadir}/aum++/skel/
%dir %{_datadir}/aum++
