%bcond_without	qt5
%bcond_without	qt6

### Qt5 libraries
%define major      1
%define libname5   %mklibname packagekitqt5_ %{major}
%define develname5 %mklibname %{name}5 -d

### Qt6 libraries
%define libname6   %mklibname packagekitqt6_ %{major}
%define develname6 %mklibname %{name}6 -d

Name:	  	packagekit-qt
Version:	1.1.2
Release:	%mkrel 1
Summary:	A DBUS packaging abstraction layer
License:	GPLv2+
Group:		System/Packaging
URL:		https://www.freedesktop.org/software/PackageKit/
Source0:	https://github.com/PackageKit/PackageKit-Qt/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	packagekit >= %{version}
### Qt5 build dependencies
%if %{with qt5}
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5DBus)
%endif
### Qt6 build dependencies
%if %{with qt6}
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
%endif
BuildRequires:	cmake

%description
PackageKit is a DBUS abstraction layer that allows the session user to manage
packages in a secure way using a cross-distro, cross-architecture API.

#------------------------------------------------------------------------------
### Qt5 ###

%if %{with qt5}

%package -n	%{libname5}
Summary:	Libraries for accessing PackageKit-Qt5
Group:		System/Packaging
Requires:	packagekit >= %{version}

%description -n	%{libname5}
Libraries for accessing PackageKit-Qt5.

%files -n %{libname5}
%{_libdir}/libpackagekitqt5.so.%{major}
%{_libdir}/libpackagekitqt5.so.%{version}

#------------------------------------------------------------------------------

%package -n	%{develname5}
Summary:	Libraries and headers for PackageKit-Qt5
Group:		Development/Other
Requires:	%{libname5} = %{version}-%{release}
Provides:	%{name}5-devel = %{version}-%{release}

%description -n	%{develname5}
Headers and libraries for PackageKit-Qt5.

%files -n %{develname5}
%{_includedir}/packagekitqt5/
%{_libdir}/libpackagekitqt5.so
%{_libdir}/pkgconfig/packagekitqt5.pc
%{_libdir}/cmake/packagekitqt5/
%endif

#------------------------------------------------------------------------------
### Qt6 ###
%if %{with qt6}

%package -n	%{libname6}
Summary:	Libraries for accessing PackageKit-Qt6
Group:		System/Packaging
Requires:	packagekit >= %{version}

%description -n	%{libname6}
Libraries for accessing PackageKit-Qt6.

%files -n %{libname6}
%{_libdir}/libpackagekitqt6.so.%{major}
%{_libdir}/libpackagekitqt6.so.%{version}

#------------------------------------------------------------------------------

%package -n	%{develname6}
Summary:	Libraries and headers for PackageKit-Qt6
Group:		Development/Other
Requires:	%{libname6} = %{version}-%{release}
Provides:	%{name}6-devel = %{version}-%{release}

%description -n	%{develname6}
Headers and libraries for PackageKit-Qt6.

%files -n %{develname6}
%{_includedir}/packagekitqt6/
%{_libdir}/libpackagekitqt6.so
%{_libdir}/pkgconfig/packagekitqt6.pc
%{_libdir}/cmake/packagekitqt6/
%endif

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n PackageKit-Qt-%{version}

sed -i 's|VERSION 1.0.3|VERSION %{version}|' CMakeLists.txt

%build
%if %{with qt5}
%define _vpath_builddir build-qt5
%cmake_qt5 -DCMAKE_PREFIX_PATH=%{_libdir}/cmake/Qt5
%cmake_build
%endif

%if %{with qt6}
%define _vpath_builddir build-qt6
%cmake_qt6 -DBUILD_WITH_QT6:BOOL=ON \
           -DCMAKE_PREFIX_PATH=%{_libdir}/cmake/Qt6
%cmake_build
%endif

%install
%if %{with qt5}
%define _vpath_builddir build-qt5
%cmake_install
%endif

%if %{with qt6}
%define _vpath_builddir build-qt6
%cmake_install
%endif
