%define major        18
%define libname      %mklibname %{name}-glib %{major}
%define girmajor     1.0
%define girname_glib %mklibname %{name}glib-gir %{girmajor}

%define develname    %mklibname %{name} -d

# For libdnf minimal enforced dep
%global min_ldnf_ver 0.43.1
%global min_ldnf_verrel %{min_ldnf_ver}-1
%global ldnfsomajor 2

# PackageKit builds plugins which break with no-undefined
# The codebase already uses no-undefined on everything else
%global _disable_ld_no_undefined 1

Summary:	A DBUS packaging abstraction layer
Name:	  	packagekit
Version:	1.2.8
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Packaging
URL:		https://www.packagekit.org/
Source0: 	https://www.freedesktop.org/software/PackageKit/releases/PackageKit-%{version}.tar.xz

BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(gio-2.0) >= 2.16.1
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.16.1
BuildRequires:	pkgconfig(glib-2.0) >= 2.32.0
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-base-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libsystemd) >= 216
BuildRequires:	pkgconfig(libnm)
BuildRequires:	pkgconfig(nspr) >= 4.8
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(pangoft2)
BuildRequires:	pkgconfig(ply-boot-client)
BuildRequires:	pkgconfig(polkit-gobject-1) >= 0.98
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(appstream)
BuildRequires:	pkgconfig(appstream-glib)
BuildRequires:	pkgconfig(libdnf) >= %{min_ldnf_ver}
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(python3)
BuildRequires:	gtk-doc
BuildRequires:	gobject-introspection
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	appstream
BuildRequires:	bash-completion
BuildRequires:	meson
Requires:       %{mklibname dnf %{ldnfsomajor}} >= %{min_ldnf_verrel}
Recommends:	%{name}-gtk-module = %{version}
Recommends:	packagekit-gui
Requires(post):	rpm-helper
Requires(preun): rpm-helper

# Alternate name Provides for portability
Provides:	PackageKit%{?_isa} = %{version}-%{release}
Provides:	PackageKit = %{version}-%{release}

%description
PackageKit is a DBUS abstraction layer that allows the session user to manage
packages in a secure way using a cross-distro, cross-architecture API.

%package -n %{libname}
Summary:	Libraries for accessing PackageKit
Group:		System/Packaging

%description -n %{libname}
Libraries for accessing PackageKit.

%package -n %{girname_glib}
Summary:	GObject Introspection interface description for PackageKit
Group:		System/Packaging
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname_glib}
GObject Introspection interface description for PackageKit.

%package -n %{develname}
Summary:	Libraries and headers for PackageKit
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname_glib} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Headers and libraries for PackageKit.

%package cron
Summary:	Cron job and related utilities for PackageKit
Group:		System/Packaging
Requires:	crontabs
Requires:	%{name} = %{version}-%{release}

%description cron
Crontab and utilities for running PackageKit as a cron job.

%package gstreamer-plugin
Summary:	Install GStreamer codecs using PackageKit
Group:		System/Packaging
Requires:	gstreamer1.0-tools
Provides:	gst-install-plugins-helper
Requires:	%{name} = %{version}-%{release}

%description gstreamer-plugin
The PackageKit GStreamer plugin allows any Gstreamer application to install
codecs from configured repositories using PackageKit.

%package command-not-found
Summary:	Ask the user to install command line programs automatically
Group:		System/Packaging
Requires:	%{name} = %{version}-%{release}

%description command-not-found
A simple helper that offers to install new packages on the command line
using PackageKit.

%package gtk3-module
Summary:	Install fonts automatically using PackageKit
Group:		System/Packaging
Requires:	pango
Requires:	%{name} = %{version}-%{release}

%description gtk3-module
The PackageKit GTK3+ module allows any Pango application to install
fonts from configured repositories using PackageKit.

%prep
%autosetup -n PackageKit-%{version} -p1

%build
%meson \
	-Dgtk_doc=true \
	-Dpython_backend=false \
	-Dlocal_checkout=false \
	-Dpackaging_backend=dnf \
	-Ddnf_vendor=mageia

find -name '*.moc' -exec rm -f {} \;
%meson_build

%install
%meson_install

# Create directories for downloaded appstream data
mkdir -p %{buildroot}%{_localstatedir}/cache/app-info/{icons,xmls}

# create a link that GStreamer will recognize
ln -sr %{buildroot}%{_libexecdir}/pk-gstreamer-install %{buildroot}%{_libexecdir}/gst-install-plugins-helper

# enable packagekit-offline-updates.service here for now, till we
# decide how to do it upstream after the meson conversion:
# https://github.com/hughsie/PackageKit/issues/401
# https://bugzilla.redhat.com/show_bug.cgi?id=1833176
mkdir -p %{buildroot}%{_unitdir}/system-update.target.wants/
ln -sf ../packagekit-offline-update.service %{buildroot}%{_unitdir}/system-update.target.wants/packagekit-offline-update.service


%find_lang PackageKit

%post
# the job count used to live in /var/run, but it's now in /var/lib with the
# other persistent bits
if [ -e %{_localstatedir}/run/PackageKit/job_count.dat ]; then
	mv %{_localstatedir}/run/PackageKit/job_count.dat %{_localstatedir}/lib/PackageKit/job_count.dat
fi
%_post_service packagekit

%files -f PackageKit.lang
%dir %{_sysconfdir}/PackageKit
%config(noreplace) %{_sysconfdir}/PackageKit/PackageKit.conf
%config(noreplace) %{_sysconfdir}/PackageKit/Vendor.conf
%config(noreplace) %{_sysconfdir}/PackageKit/CommandNotFound.conf
%{_unitdir}/packagekit.service
%{_unitdir}/packagekit-offline-update.service
%dir %{_unitdir}/system-update.target.wants
%{_unitdir}/system-update.target.wants/packagekit-offline-update.service
%{_bindir}/*
%{_datadir}/PackageKit
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/bash-completion/completions/pkcon
%{_datadir}/dbus-1/system-services/*.service
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/polkit-1/rules.d/org.freedesktop.packagekit.rules
%{_datadir}/gtk-doc/html/PackageKit
%{_datadir}/dbus-1/system.d/org.freedesktop.PackageKit.conf
%{_libexecdir}/packagekitd
%{_libexecdir}/packagekit-direct
%{_libexecdir}/packagekit-dnf-refresh-repo
%{_libexecdir}/pk-offline-update
%dir %{_libdir}/packagekit-backend
%{_libdir}/packagekit-backend/libpk_backend_dummy.so
%{_libdir}/packagekit-backend/libpk_backend_test_fail.so
%{_libdir}/packagekit-backend/libpk_backend_test_nop.so
%{_libdir}/packagekit-backend/libpk_backend_test_spawn.so
%{_libdir}/packagekit-backend/libpk_backend_test_succeed.so
%{_libdir}/packagekit-backend/libpk_backend_test_thread.so
%{_libdir}/packagekit-backend/libpk_backend_dnf.so
%{_metainfodir}/org.freedesktop.packagekit.metainfo.xml
%{_mandir}/man1/*
%dir %{_localstatedir}/lib/PackageKit
%dir %{_localstatedir}/cache/app-info
%dir %{_localstatedir}/cache/app-info/icons
%dir %{_localstatedir}/cache/app-info/xmls
%ghost %verify(not md5 size mtime) %{_localstatedir}/lib/PackageKit/transactions.db

%{python3_sitelib}/dnf-plugins/

%files -n %{libname}
%{_libdir}/*packagekit-glib*.so.%{major}{,.*}

%files -n %{girname_glib}
%{_libdir}/girepository-1.0/PackageKitGlib-%{girmajor}.typelib

%files -n %{develname}
%{_includedir}/PackageKit
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/PackageKitGlib-%{girmajor}.gir
%{_datadir}/vala/vapi/packagekit-glib2.vapi
%{_datadir}/vala/vapi/packagekit-glib2.deps

%files cron
%config %{_sysconfdir}/cron.daily/*.cron
%config %{_sysconfdir}/sysconfig/packagekit-background

%files gstreamer-plugin
%{_libexecdir}/pk-gstreamer-install
%{_libexecdir}/gst-install-plugins-helper

%files command-not-found
%{_sysconfdir}/profile.d/*
%{_libexecdir}/pk-command-not-found

%files gtk3-module
%{_libdir}/gtk-3.0/modules/*.so
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/pk-gtk-module.desktop
