%define oname	PageEdit

Name:		pageedit
Version:	2.4.0
Release:	%mkrel 1
Summary:	Simple Single Page XHTML Visual Editor, split from Sigil's BookView
License:	GPLv3+
Group:		Office/Utilities
Url:		https://sigil-ebook.com/
Source0:	https://github.com/Sigil-Ebook/PageEdit/archive/%{version}/%{name}-%{version}.tar.gz
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:	aarch64 x86_64
BuildRequires:	cmake
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6WebEngineCore)
BuildRequires:	cmake(Qt6WebEngineWidgets)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)

%description
An ePub visual XHTML editor based on Sigil's Deprecated BookView.
It uses WebEngine instead of WebKit.

%prep
%setup -q -n %{oname}-%{version}

%build
%cmake_qt6 \
	-DUSE_QT6=ON \
	-DSHARE_INSTALL_PREFIX=%{_prefix} \
	-DINSTALL_BUNDLED_DICTS=OFF
%cmake_build

%install
%cmake_install

%files
%doc ChangeLog.txt README.md
%license COPYING.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.svg
