#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           palapeli
Epoch:          1
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Jigsaw puzzle game
Group:          Games/Puzzles
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://apps.kde.org/palapeli/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Svg)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6ItemViews)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(KDEGames6)

BuildRequires:  qhull

Requires:       qhull
Recommends:     palapeli-handbook


%description
Palapeli is a jigsaw puzzle game. Unlike other games in that genre, you
are not limited to aligning pieces on imaginary grids. The pieces are
freely moveable. Also, Palapeli features real persistency, i.e. everything
you do is saved on your disk immediately.

%files -f %name.lang
%_kf6_sysconfdir/xdg/palapeli-collectionrc
%_kf6_categoriesdir/palapeli.*categories
%_kf6_bindir/palapeli
%_kf6_applicationsdir/org.kde.palapeli.desktop
%_kf6_datadir/palapeli
%_kf6_iconsdir/hicolor/*/*/*palapeli*
%_kf6_datadir/mime/packages/palapeli-mimetypes.xml
%_kf6_metainfodir/org.kde.palapeli.appdata.xml
%_kf6_plugindir/thumbcreator/palathumbcreator.so
%_qt6_plugindir/palapelislicers/
%_kf6_knotificationsdir/palapeli.notifyrc
%_kf6_datadir/kio/servicemenus/palapeli_servicemenu.desktop

#------------------------------------------------------------------------------

%package -n palapeli-handbook
Summary:        Palapeli handbook
Group:          Documentation
BuildArch:      noarch
Requires:       palapeli >= %{epoch}:%{version}-%{release}

%description -n palapeli-handbook
This package provides palapeli handbook.

%files -n palapeli-handbook
%_kf6_docdir/HTML/*/%{name}/

#------------------------------------------------------------------------------

%define libpala_major 0
%define libpala %mklibname pala %{libpala_major}

%package -n %libpala
Summary:        Runtime library for Palapeli
Group:          System/Libraries

%description -n %libpala
Runtime library for Palapeli.

%files -n %libpala
%_kf6_libdir/libpala.so.%{libpala_major}{,.*}

#------------------------------------------------------------------------------

%package devel
Summary:        Devel files for Palapeli
Group:          Development/KDE and Qt
Requires:       %libpala = %{epoch}:%{version}-%{release}

%description devel
This package provides devel files for Palapeli.

%files devel
%_includedir/Pala/
%_kf6_libdir/libpala.so
%_kf6_libdir/cmake/Pala/

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name

