Summary:	Two-Factor Authentication Module that uses Google Authenticator
Name:		pam-google-authenticator
Version:	1.0
Release:	%mkrel 10
Group:		System/Libraries
License:	Apache License
URL:		https://code.google.com/p/google-authenticator/
Source0:	http://google-authenticator.googlecode.com/files/libpam-google-authenticator-%{version}-source.tar.bz2
Patch0:		pam-google-authenticator-destdir.patch
BuildRequires:	pam-devel
# google-authenticator.c:      qrencode = dlopen("libqrencode.so.3", RTLD_NOW | RTLD_LOCAL);
Recommends:	%{mklibname qrencode 3}

%description
The Google Authenticator project includes implementations of one-time passcode
generators for several mobile platforms, as well as a pluggable authentication
module (PAM). One-time passcodes are generated using open standards developed
by the Initiative for Open Authentication (OATH) (which is unrelated to OAuth).

These implementations support the HMAC-Based One-time Password (HOTP) algorithm
specified in RFC 4226 and the Time-based One-time Password (TOTP) algorithm
specified in RFC 6238.

The PAM module can add a two-factor authentication step to any PAM-enabled
application. It supports:
* Per-user secret and status file stored in user's home directory
* Support for 30-second TOTP codes
* Support for emergency scratch codes
* Protection against replay attacks
* Key provisioning via display of QR code
* Manual key entry of RFC 3548 base32 key strings

%prep

%setup -q -n libpam-google-authenticator-%{version}
%autopatch -p0

%build

%make_build  \
    CC="%__cc" \
    CFLAGS="%{optflags}"

%install
%__make \
    CFLAGS="%{optflags}" \
    DESTDIR="%{buildroot}" \
    BINDIR="%{_bindir}" \
    LIBSEC="/%{_lib}/security" \
    install

%files
%doc FILEFORMAT README
%{_bindir}/google-authenticator
/%{_lib}/security/pam_google_authentifactor.so

