%define libname %mklibname %{name} 0
%define develname %mklibname %{name} -d

%define with_prelude 0
%{?_without_prelude: %{expand: %%global with_prelude 0}}
%{?_with_prelude: %{expand: %%global with_prelude 1}}

%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

%define pam_redhat_version 1.1.5

Summary:	A security tool which provides authentication for applications
Name:		pam
Version:	1.5.2
Release:	%mkrel 9
# The library is BSD licensed with option to relicense as GPLv2+ - this option is redundant
# as the BSD license allows that anyway. pam_timestamp and pam_console modules are GPLv2+,
License:	BSD-3-Clause AND GPL-2.0-or-later
Group:		System/Libraries
Url:		http://www.linux-pam.org/
Source0:	https://github.com/linux-pam/linux-pam/releases/download/v%{version}/Linux-PAM-%{version}.tar.xz
Source1:	%{name}-tmpfiles.conf
Source2:	https://releases.pagure.org/pam-redhat/pam-redhat-%{pam_redhat_version}.tar.xz
Source5:	other.pamd
Source6:	system-auth.pamd
Source7:	config-util.pamd
Source8:	dlopen.sh
Source9:	system-auth.5
Source10:	config-util.5
Source11:	20-nproc.conf
Source12:	postlogin.pamd
Source13:	postlogin.5

# RedHat patches
Patch1:  pam-1.5.0-redhat-modules.patch
Patch2:  pam-1.5.0-noflex.patch
Patch3:  pam-1.3.0-unix-nomsg.patch
Patch4:  pam-1.5.2-pwhistory-config.patch
Patch22: pam-1.1.7-unix-build.patch

# Mageia specific sources/patches
# (fl) fix infinite loop
Patch507:	pam-0.74-loop.patch
# (fc) don't complain when / is owned by root.adm
Patch508:	Linux-PAM-0.99.3.0-pamtimestampadm.patch
# (fl) pam_xauth: set extra groups because in high security levels
#      access to /usr/X11R6/bin dir is controlled by a group
Patch512:	Linux-PAM-1.1.1-xauth-groups.patch

Patch700:	pam_fix_static_pam_console.patch
# (peroyvind): add missing constant that went with rpc removal from glibc 2.14
Patch702:	Linux-PAM-1.1.4-add-now-missing-nis-constant.patch

# upstream patches
Patch1000:	pam-1.5.2-pam_access-handle-hostnames-in-access-conf.patch
Patch1001:	031bb5a5d0d950253b68138b498dc93be69a64cb.patch

#add missing documentation
Source501: 	pam_tty_audit.8
Source502:	README
Requires(pre):	filesystem >= 2.1.9-18
Requires(post):	sed
Requires:	setup >= 2.7.12-2
Requires(pre):	tcb >= 1.0.2-16
Requires(posttrans):	coreutils
Requires:	pam_pwquality
BuildRequires:	bison
BuildRequires:	flex
%if !%{bootstrap}
# this pulls in the mega texlive load
BuildRequires:	linuxdoc-tools
%endif
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(audit)
BuildRequires:	pkgconfig(libcrypt) >= 4.1.1-2
BuildRequires:	gettext-devel
BuildRequires:	docbook-style-xsl
BuildRequires:	docbook-dtds
BuildRequires:	db-devel
BuildRequires:	xsltproc
BuildRequires:	w3m
%if %with_prelude
BuildRequires:	prelude-devel >= 0.9.0
%else
BuildConflicts:	prelude-devel
%endif

%description
PAM (Pluggable Authentication Modules) is a system security tool that
allows system administrators to set authentication policy without
having to recompile programs that handle authentication.

%package	doc
Summary:	Additional documentation for %{name}
Group:		System/Libraries
Requires:	%{name} = %{version}
BuildArch:	noarch

%description	doc
PAM (Pluggable Authentication Modules) is a system security tool that
allows system administrators to set authentication policy without
having to recompile programs that handle authentication.

This is the documentation package of %{name}.

%package -n	%{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries
Requires(pre):	filesystem >= 2.1.9-18

%description -n	%{libname}
PAM (Pluggable Authentication Modules) is a system security tool that
allows system administrators to set authentication policy without
having to recompile programs that handle authentication.

This package contains the libraries for %{name}.

%package -n	%{develname}
Summary:	Development headers and libraries for %{name}
Group:		Development/Other
Requires(pre):	filesystem >= 2.1.9-18
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
PAM (Pluggable Authentication Modules) is a system security tool that
allows system administrators to set authentication policy without
having to recompile programs that handle authentication.

This package contains the development libraries for %{name}.

%prep
%setup -q -n Linux-PAM-%{version} -a 2
perl -pi -e "s/\/lib \/usr\/lib/\/lib \/usr\/lib \/lib64 \/usr\/lib64/" m4/libtool.m4

# Add custom modules.
mv pam-redhat-%{pam_redhat_version}/* modules

# (RH)
%patch -P1 -p1 -b .redhat-modules
%patch -P2 -p1 -b .noflex
%patch -P3 -p1 -b .nomsg
%patch -P4 -p1 -b .pwhistory-config
%patch -P22 -p1 -b .build

# (Mageia)
%patch -P507 -p1 -b .loop
%patch -P508 -p1 -b .pamtimestampadm
%patch -P512 -p0 -b .xauth-groups
%patch -P700 -p1 -b .static
%patch -P702 -p1 -b .nis-const

# upstream
%patch -P1000 -p1 -b .access-hostnames
%patch -P1001 -p1 -b .CVE-2024-22365

install -m644 %{SOURCE501} %{SOURCE502} modules/pam_tty_audit/

mkdir -p doc/txts
for readme in modules/pam_*/README ; do
	cp -f ${readme} doc/txts/README.`dirname ${readme} | sed -e 's|^modules/||'`
done

%build
autoreconf -fi -I m4

export BROWSER=""
CFLAGS="$RPM_OPT_FLAGS -fPIC -I%{_includedir}/db53 -D_GNU_SOURCE" \
%configure \
	--disable-rpath \
	--includedir=%{_includedir}/security \
	--enable-vendordir=%{_datadir} \
	--docdir=%{_docdir}/%{name} \
	--enable-regenerate-docu \
	--disable-selinux \
	--enable-openssl
%make_build

%install
mkdir -p %{buildroot}%{_includedir}/security
mkdir -p %{buildroot}%{_libdir}/security
%make_install LDCONFIG=:
install -d -m 755 %{buildroot}%{_datadir}/pam.d
install -d -m 755 %{buildroot}%{_sysconfdir}/pam.d
install -m 644 %{SOURCE5}  %{buildroot}%{_sysconfdir}/pam.d/other
install -m 644 %{SOURCE6}  %{buildroot}%{_sysconfdir}/pam.d/system-auth
install -m 644 %{SOURCE7}  %{buildroot}%{_sysconfdir}/pam.d/config-util
install -m 644 %{SOURCE12} %{buildroot}%{_sysconfdir}/pam.d/postlogin
install -m 644 %{SOURCE11} %{buildroot}%{_sysconfdir}/security/limits.d/20-nproc.conf
install -m 600 /dev/null   %{buildroot}%{_sysconfdir}/security/opasswd
install -d -m 755 %{buildroot}/var/log
install -d -m 755 %{buildroot}/usr/lib/motd.d

# Install man pages.
install -m 644 %{SOURCE9} %{SOURCE10} %{SOURCE13} %{buildroot}%{_mandir}/man5/

# Install tmpfiles
install -D -p -m 644 %{SOURCE1} %{buildroot}%{_tmpfilesdir}/%{name}.conf

# remove unpackaged .la files
rm -rf %{buildroot}%{_libdir}/*.la %{buildroot}%{_libdir}/security/*.la

# no longer needed, handled by ACL in udev
for phase in auth acct passwd session ; do
	ln -sf pam_unix.so %{buildroot}%{_libdir}/security/pam_unix_${phase}.so
done

# Duplicate doc file sets.
rm -rf %{buildroot}%{_docdir}/%{name}

# Install systemd unit file.
install -m644 -D modules/pam_namespace/pam_namespace.service \
  %{buildroot}%{_unitdir}/pam_namespace.service

%find_lang Linux-PAM

%check
# (blino) we don't want to test if SE Linux is built, it's disabled
# Make sure every module subdirectory gave us a module.  Yes, this is hackish.
for dir in modules/pam_* ; do
if [ -d ${dir} ] && [ ${dir} != "modules/pam_selinux" && [ ${dir} != "modules/pam_sepermit"  ]; then
	if ! ls -1 %{buildroot}%{_libdir}/security/`basename ${dir}`*.so ; then
		echo ERROR `basename ${dir}` did not build a module.
		exit 1
	fi
fi
done

# Check for module problems.  Specifically, check that every module we just
# installed can actually be loaded by a minimal PAM-aware application.
%{_sbindir}/ldconfig -n %{buildroot}%{_libdir}
chmod +x %{SOURCE8}
for module in %{buildroot}%{_libdir}/security/pam*.so ; do
	if ! env LD_LIBRARY_PATH=%{buildroot}%{_libdir} \
		 %{SOURCE8} -ldl -lpam -L%{buildroot}%{_libdir} ${module} ; then
		echo ERROR module: ${module} cannot be loaded.
		exit 1
	fi
done

rmdir %{buildroot}/var/run/console

%triggerun -- %{name} < 1.5.2-4
sed -i \
  -e '/pam_unix\.so/s/likeauth\s\+//' \
  -e '/pam_cracklib\.so/s/^.*$/password    requisite     pam_pwquality.so try_first_pass local_users_only retry=3 authtok_type=/' \
  -e '/^-session\s\+optional\s\+pam_systemd\.so/d' \
  -e '/^session\s\+required\s\+pam_limits\.so/s/\(.*$\)/\1\n-session     optional      pam_systemd.so/' \
  -e '2{/^$/d}' \
  /etc/pam.d/system-auth

%files -f Linux-PAM.lang
%doc NEWS doc/sag/*.txt doc/sag/html
%dir %{_datadir}/pam.d
%dir %{_sysconfdir}/pam.d
%config(noreplace) %{_sysconfdir}/environment
%config(noreplace) %{_sysconfdir}/pam.d/other
%config(noreplace) %{_sysconfdir}/pam.d/system-auth
%config(noreplace) %{_sysconfdir}/pam.d/config-util
%config(noreplace) %{_sysconfdir}/pam.d/postlogin
%{_sbindir}/pam_console_apply
%{_sbindir}/pam_namespace_helper
%{_sbindir}/faillock
%attr(4755,root,root) %{_sbindir}/pam_timestamp_check
%attr(4755,root,root) %{_sbindir}/unix_chkpwd
%attr(0700,root,root) %{_sbindir}/unix_update
%attr(0755,root,root) %{_sbindir}/mkhomedir_helper
%attr(0755,root,root) %{_sbindir}/pwhistory_helper
%{_tmpfilesdir}/%{name}.conf
%{_unitdir}/pam_namespace.service
%config(noreplace) %{_sysconfdir}/security/access.conf
%config(noreplace) %{_sysconfdir}/security/chroot.conf
%config(noreplace) %{_sysconfdir}/security/console.perms
%config(noreplace) %{_sysconfdir}/security/console.handlers
%config(noreplace) %{_sysconfdir}/security/faillock.conf
%config(noreplace) %{_sysconfdir}/security/group.conf
%config(noreplace) %{_sysconfdir}/security/limits.conf
%dir %{_sysconfdir}/security/limits.d
%config(noreplace) %{_sysconfdir}/security/limits.d/20-nproc.conf
%config(noreplace) %{_sysconfdir}/security/namespace.conf
%attr(755,root,root) %config(noreplace) %{_sysconfdir}/security/namespace.init
%config(noreplace) %{_sysconfdir}/security/pam_env.conf
%config(noreplace) %{_sysconfdir}/security/pwhistory.conf
%config(noreplace) %{_sysconfdir}/security/time.conf
%config(noreplace) %{_sysconfdir}/security/opasswd
%dir %{_sysconfdir}/security/console.apps
%dir %{_sysconfdir}/security/console.perms.d
%dir /usr/lib/motd.d
%{_mandir}/man5/*
%{_mandir}/man8/*

%files -n %{libname}
%{_libdir}/libpam.so.*
%{_libdir}/libpamc.so.*
%{_libdir}/libpam_misc.so.*
%dir %{_libdir}/security/
%{_libdir}/security/pam_access.so
%{_libdir}/security/pam_chroot.so
%{_libdir}/security/pam_console.so
%{_libdir}/security/pam_debug.so
%{_libdir}/security/pam_deny.so
%{_libdir}/security/pam_echo.so
%{_libdir}/security/pam_env.so
%{_libdir}/security/pam_exec.so
%{_libdir}/security/pam_faildelay.so
%{_libdir}/security/pam_faillock.so
%{_libdir}/security/pam_filter.so
%{_libdir}/security/pam_ftp.so
%{_libdir}/security/pam_group.so
%{_libdir}/security/pam_issue.so
%{_libdir}/security/pam_keyinit.so
%{_libdir}/security/pam_lastlog.so
%{_libdir}/security/pam_limits.so
%{_libdir}/security/pam_listfile.so
%{_libdir}/security/pam_localuser.so
%{_libdir}/security/pam_loginuid.so
%{_libdir}/security/pam_mail.so
%{_libdir}/security/pam_mkhomedir.so
%{_libdir}/security/pam_motd.so
%{_libdir}/security/pam_namespace.so
%{_libdir}/security/pam_nologin.so
%{_libdir}/security/pam_permit.so
%{_libdir}/security/pam_postgresok.so
%{_libdir}/security/pam_pwhistory.so
%{_libdir}/security/pam_rhosts.so
%{_libdir}/security/pam_rootok.so
%{_libdir}/security/pam_securetty.so
%{_libdir}/security/pam_setquota.so
%{_libdir}/security/pam_shells.so
%{_libdir}/security/pam_stress.so
%{_libdir}/security/pam_succeed_if.so
%{_libdir}/security/pam_time.so
%{_libdir}/security/pam_timestamp.so
%{_libdir}/security/pam_tty_audit.so
%{_libdir}/security/pam_umask.so
%{_libdir}/security/pam_unix.so
%{_libdir}/security/pam_unix_acct.so
%{_libdir}/security/pam_unix_auth.so
%{_libdir}/security/pam_unix_passwd.so
%{_libdir}/security/pam_unix_session.so
%{_libdir}/security/pam_userdb.so
%{_libdir}/security/pam_usertype.so
%{_libdir}/security/pam_warn.so
%{_libdir}/security/pam_wheel.so
%{_libdir}/security/pam_xauth.so
%{_libdir}/security/pam_filter

%files -n %{develname}
%doc Copyright
%{_libdir}/libpam.so
%{_libdir}/libpam_misc.so
%{_libdir}/libpamc.so
%{_libdir}/pkgconfig/pam.pc
%{_libdir}/pkgconfig/pam_misc.pc
%{_libdir}/pkgconfig/pamc.pc
%dir %{_includedir}/security/
%{_includedir}/security/*.h
%{_mandir}/man3/*

%files doc
%doc doc/txts doc/specs/rfc86.0.txt Copyright
