Summary:	A Pluggable Authentication Module for Kerberos 5
Name:		pam_krb5
Version:	2.4.13
Release:	%mkrel 4
License:	LGPL
Group:		System/Libraries
URL:		https://fedorahosted.org/pam_krb5/
Source0:	https://fedorahosted.org/releases/p/a/pam_krb5/%{name}-%{version}.tar.gz
BuildRequires:	byacc
BuildRequires:	flex
BuildRequires:	pkgconfig(krb5)
BuildRequires:	pam-devel
BuildRequires:	keyutils-devel
BuildRequires:	gettext-devel

%description 
This is pam_krb5, a pluggable authentication module that can be used with
Linux-PAM and Kerberos 5. This module supports password checking, ticket
creation, and optional TGT verification and conversion to Kerberos IV tickets.
The included pam_krb5afs module also gets AFS tokens if so configured.

%prep
%setup -q

%build
autoreconf -fi
%configure \
    --without-krb4 \
    --with-os-distribution="%_vendor"

%__make

%install
%make_install mandir=%{_mandir}

ln -s pam_krb5.so %{buildroot}%{_libdir}/security/pam_krb5afs.so

# cleanup
rm -f %{buildroot}%{_libdir}/security/*.la

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README* COPYING ChangeLog NEWS TODO
%{_libdir}/security/*
%{_bindir}/afs5log
%{_mandir}/man1/afs5log.1*
%{_mandir}/man5/*
%{_mandir}/man8/*
