%define major     0
%define libname   %mklibname cryptmount %{major}
%define develname %mklibname cryptmount -d

Name:             pam_mount
Version:          2.20
Release:          %mkrel 2
Summary:          Pluggable Authentication Module for dynamic mounting of remote volumes
License:          GPLv2+ and LGPLv2+
Group:            Networking/Other

URL:              https://pam-mount.sourceforge.net/
Source0:          https://prdownloads.sourceforge.net/pam-mount/%{name}-%{version}.tar.xz
Source1:          https://prdownloads.sourceforge.net/pam-mount/%{name}-%{version}.tar.asc
#Prevents multiple mount of the same mount point in case of not
#unmounting (see mga#15479)
Patch0:           pam_mount-2.20-ismountpoint.patch

Requires:         opensc
BuildRequires:    pkgconfig(libcrypto) >= 0.9.8
BuildRequires:    pkgconfig(libcryptsetup) >= 1.1.2
BuildRequires:    pkgconfig(libHX) >= 3.12.1
BuildRequires:    pkgconfig(libxml-2.0) >= 2.6
BuildRequires:    pkgconfig(mount) >= 2.20
BuildRequires:    pkgconfig(libpcre2-8)
BuildRequires:    pam-devel

%description
Pam_mount is a PAM module that allows dynamic remote volume mounting.
It is useful for users that have private volumes in Samba / Windows NT
/ Netware servers and need access to them during a Unix session. It
can also be used to transparently mount encrypted volumes using your
logging credentials.

%package -n %{libname}
Summary:          Shared library for %{name}
Group:            Networking/Other

%description -n %{libname}
This package contains shared libs for %{name}.

%package -n %{develname}
Summary:          Development files for %{name}
Group:            Networking/Other
Requires:         %{libname} = %{version}

%description -n %{develname}
This package contains development files for %{name}.

%prep
%setup -q
%autopatch -p1
#patch -P 0 -p1 -b .orig

%build
# to fix RPATH
autoreconf -fi

%configure --disable-static --with-slibdir=%{_libdir}
%make_build

%install
%make_install

install -m0644 config/pam_mount.conf.xml -D %{buildroot}%{_sysconfdir}/security/pam_mount.conf.xml
install -m0644 config/pam_mount.conf.xml.dtd -D %{buildroot}%{_datadir}/xml/pam_mount/dtd/pam_mount.conf.xml.dtd

%files
%doc doc/news.rst doc/bugs.rst doc/options.txt
%doc doc/faq.txt doc/todo.txt
%{_libdir}/security/pam_mount*.so
%{_sbindir}/pmt-ehd
%{_sbindir}/pmvarrun
%{_sbindir}/mount.crypt
%{_sbindir}/mount.crypto_LUKS
%{_sbindir}/mount.crypt_LUKS
%{_sbindir}/umount.crypt
%{_sbindir}/umount.crypt_LUKS
%{_sbindir}/umount.crypto_LUKS
%config(noreplace) %{_sysconfdir}/security/%{name}.conf.xml
%dir %{_datadir}/xml/pam_mount/
%dir %{_datadir}/xml/pam_mount/dtd/
%{_datadir}/xml/pam_mount/dtd/pam_mount.conf.xml.dtd
%{_mandir}/man8/pam_mount.8*
%{_mandir}/man8/pmt-ehd.8*
%{_mandir}/man8/pmvarrun.8*
%{_mandir}/man8/mount.crypt.8*
%{_mandir}/man8/mount.crypt_LUKS.8*
%{_mandir}/man8/mount.crypto_LUKS.8*
%{_mandir}/man8/umount.crypt.8*
%{_mandir}/man8/umount.crypt_LUKS.8*
%{_mandir}/man8/umount.crypto_LUKS.8*
%{_mandir}/man5/pam_mount.conf.5*

%files -n %{libname}
%{_libdir}/libcryptmount.so.%{major}
%{_libdir}/libcryptmount.so.%{major}.*

%files -n %{develname}
%{_includedir}/libcryptmount.h
%{_libdir}/libcryptmount.so
%{_libdir}/pkgconfig/*.pc
