%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		pam_userpass
Version:	1.0.2
Release:	%mkrel 18
Summary:	PAM module for USER/PASS-style protocols
License:	relaxed BSD and (L)GPL-compatible
Group:		Security
URL: 		https://www.openwall.com/pam
Source0:	https://www.openwall.com/pam/modules/pam_userpass/pam_userpass-%{version}.tar.gz
BuildRequires:	pam-devel

%description
pam_userpass is a PAM authentication module for use specifically by
services implementing non-interactive protocols and wishing to verify
a username/password pair.  This module doesn't do any actual
authentication, -- other modules, such as pam_tcb, should be stacked
after it to provide the authentication.


%package -n %{libname}
Summary:	PAM module for USER/PASS-style protocols
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
pam_userpass is a PAM authentication module for use specifically by
services implementing non-interactive protocols and wishing to verify
a username/password pair.  This module doesn't do any actual
authentication, -- other modules, such as pam_tcb, should be stacked
after it to provide the authentication.


%package -n %{develname}
Summary:	Libraries and header files for developing pam_userpass-aware applications
Group:		Development/Other
Requires:	%{libname} = %{version}
Requires:	pam-devel
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains development libraries and header files required
for building pam_userpass-aware applications.


%prep
%setup -q
chmod 0644 LICENSE README

%build
EXTRA_CFLAGS="-Iinclude -Wall -fPIC -DHAVE_SHADOW -DLINUX_PAM -fno-strict-aliasing"
%make_build CFLAGS="%{optflags} $EXTRA_CFLAGS" LDFLAGS="%{ldflags}"

%install
%make_install SECUREDIR=/%{_lib}/security LIBDIR=%{_libdir}

# we don't want these
find %{buildroot} -name '*.a' -delete

%files -n %{libname}
%doc LICENSE README
/%{_lib}/security/*so*
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/security/*
