Summary:	A Usenet newsreader for GNOME/GTK+
Name:		pan
Epoch:		1
Version:	0.162
Release:	%mkrel 1
License:	GPLv2+
Group:		Networking/News
URL:		https://pan.rebelbase.com/
Source0:	https://gitlab.gnome.org/GNOME/pan/-/archive/v%{version}/%{name}-v%{version}.tar.bz2
Patch02:	rm-windows-mac-entries.patch

BuildRequires:	cmake
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gcr-3)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(gspell-1)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(glib-2.0) >= 2.17.6
BuildRequires:	pkgconfig(zlib)
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	yelp-tools
# In the past, we could not link GPLv2-only Pan with GnuTLS due to libgnutls being effectively LGPLv3+
# However, the GnuTLS libs are now clearly LGPLv2+, which is compatible.
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(gmime-3.0)

%description
Pan is a Usenet newsreader which attempts to be pleasant to
new and advanced users alike. It has all the standard
newsreaders features and also supports offline reading,
scoring and killfiles, yEnc, NZB, PGP handling, multiple
servers, and secure connections. It is also the only Unix
newsreader to get a perfect score on the Good Net-Keeping
Seal of Approval evaluations.

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
# Build with static libs: https://gitlab.gnome.org/GNOME/pan/-/issues/190
%cmake -DBUILD_SHARED_LIBS=OFF \
       -DBUILD_STATIC_LIBS=ON \
       -DENABLE_MANUAL=1 \
       -DWANT_DBUS=1     \
       -DWANT_GKR=1      \
       -DWANT_NOTIFY=1   \
       -DWANT_GMIME_CRYPTO=1
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-gnome

# Icon
pushd pan/icons
install -D -m644 icon_status_idle.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -D -m644 icon_pan.png %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
install -D -m644 icon_pan_about_logo.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png
popd

%files -f %{name}.lang
%doc AUTHORS NEWS
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/dbus-1/services/org.gnome.pan.service
%{_metainfodir}/org.gnome.pan.metainfo.xml
%{_datadir}/applications/org.gnome.pan.desktop
%{_iconsdir}/hicolor/*/apps/org.gnome.%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/*
