%ifarch %arm
# armv7hl build nodes run out of memory while building 4 C++ files from this package at once
%define threads 1
%else
%ifarch aarch64
# limit parallel builds to 4 on aarch64
%define threads 4
%else
# number of CPUs if defined, else 1
%define threads %(echo 1%{?_smp_mflags} | sed -e 's/1-j//')
%endif
%endif

# TODO: Fix underlinking issues
%define _disable_ld_no_undefined 1

%define _python_bytecompile_errors_terminate_build 0

Name:           panda3d
Version:        1.10.15
Release:        %mkrel 2
Summary:        Game engine for Python and C++ 3D games
Group:          Development/Tools
License:        BSD
URL:            https://www.panda3d.org
Source0:        https://www.panda3d.org/download/%{name}-%{version}/%{name}-%{version}.tar.gz
Patch0:         panda3d-1.10.1-mga-sysconfdir.patch
Patch1:         panda3d-fix-fftw3-and-vrpn-include-dir.patch

BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  vrpn-devel
BuildRequires:  pkgconfig(OpenEXR)
BuildRequires:  pkgconfig(assimp)
BuildRequires:  pkgconfig(bullet)
BuildRequires:  pkgconfig(eigen3)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libssl)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libsquish)
BuildRequires:  pkgconfig(libswscale)
BuildRequires:  pkgconfig(ode)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(opusfile)
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xxf86dga)
BuildRequires:  pkgconfig(zlib)

%description
Panda3D is a game engine, a framework for 3D rendering and game development
for Python and C++ programs. Panda3D is Open Source and free for any purpose,
including commercial ventures, thanks to its liberal revised BSD license.

%prep
%autosetup -p1

# (daviddavid) needed for vrpn build
sed -i 's|-fno-exceptions|-fexceptions|' makepanda/makepanda.py

%build
%set_build_flags

%{python3} makepanda/makepanda.py \
    --distributor "%{_vendor}" %{?jobs:--threads=%{jobs}} --verbose \
    --everything --no-egl --no-gles --no-gles2 --no-opencv --no-fcollada --no-fmodex \
    --no-nvidiacg --no-rocket

%install
%{python3} makepanda/installpanda.py \
    --destdir %{buildroot} --prefix %{_prefix}

# python shebang
%py3_shebang_fix %{buildroot}%{_datadir}/%{name}

%files
%doc README.md
%license LICENSE
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/application-registry/%{name}.applications
%{_datadir}/applications/pview.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/mime-info/%{name}.{keys,mime}
%{_libdir}/%{name}/
%{_includedir}/%{name}/
%dir %{_sysconfdir}/%{name}
%config %{_sysconfdir}/%{name}/Confauto.prc
%config(noreplace) %{_sysconfdir}/%{name}/Config.prc
%{_sysconfdir}/ld.so.conf.d/%{name}.conf
%{python3_sitearch}/%{name}/
%{python3_sitearch}/%{name}.dist-info/
%{python3_sitelib}/%{name}.pth
