%define upstream_name    Games-Pandemic
%define upstream_version 1.120510

Name:       pandemic
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Cooperative pandemic board game
License:    GPL+ or Artistic
Group:      Games/Strategy
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Games/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Convert::Color)
BuildRequires: perl(Devel::CheckOS)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(Exporter::Lite)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(File::ShareDir::PathClass)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Geo::Mercator)
BuildRequires: perl(Image::Size)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Locale::TextDomain)
BuildRequires: perl(Math::Gradient)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose) >= 0.920.0
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(MooseX::POE)
BuildRequires: perl(MooseX::SemiAffordanceAccessor)
BuildRequires: perl(MooseX::Singleton)
BuildRequires: perl(MooseX::Traits)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(POE)
BuildRequires: perl(POE::Kernel)
BuildRequires: perl(POE::Loop::Tk)
BuildRequires: perl(Readonly)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Tk)
BuildRequires: perl(Tk::Action)
BuildRequires: perl(Tk::Balloon)
BuildRequires: perl(Tk::Font)
BuildRequires: perl(Tk::JPEG)
BuildRequires: perl(Tk::PNG)
BuildRequires: perl(Tk::Pane)
BuildRequires: perl(Tk::Sugar)
BuildRequires: perl(Tk::Tiler)
BuildRequires: perl(Tk::ToolBar)
BuildRequires: perl(UNIVERSAL::require)
BuildRequires: perl(YAML::Tiny)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: x11-server-xvfb
BuildArch:  noarch

# bug #56809: prereq not automatically found
Requires:   perl(POE::Loop::Tk)
%description
Pandemic is a cooperative game where the players are united to beat the
game. The goal is to find the cures for various diseases striking cities,
before they propagate too much.

This distribution implements a graphical interface for this game. I
definitely recommend you to buy a 'pandemic' board game and play with
friends, you'll have an exciting time - much more than with this poor
electronic copy.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
#xvfb-run ./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man?/*
%{_bindir}/pandemic
%{perl_vendorlib}/Games
%{perl_vendorlib}/auto