# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name pandoc

%global common_summary Haskell %{pkg_name} library

%global common_description Pandoc is a tool and Haskell library for converting markup formats.\
It can read markdown and (subsets of) HTML, reStructuredText, LaTeX, DocBook,\
and Textile, and can write markdown, reStructuredText, HTML, LaTeX, ConTeXt,\
Docbook, OpenDocument, ODT, Word docx, RTF, MediaWiki, Textile, groff man pages,\
plain text, Emacs Org-Mode, AsciiDoc, EPUB, and S5, Slidy and Slideous HTML\
slide-shows.\
\
Pandoc extends standard markdown syntax with footnotes, embedded LaTeX,\
definition lists, tables, and other features. A compatibility mode is\
provided for those who need a drop-in replacement for Markdown.pl.

Name:           %{pkg_name}
Version:        1.11.1
Release:        1%{?dist}
Summary:        Markup conversion tool for markdown

License:        GPLv2+
URL:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-HTTP-devel
BuildRequires:  ghc-base64-bytestring-devel
BuildRequires:  ghc-blaze-html-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-citeproc-hs-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-data-default-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-extensible-exceptions-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-highlighting-kate-devel
BuildRequires:  ghc-json-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-old-locale-devel
BuildRequires:  ghc-old-time-devel
BuildRequires:  ghc-pandoc-types-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-syb-devel
BuildRequires:  ghc-tagsoup-devel
BuildRequires:  ghc-temporary-devel
BuildRequires:  ghc-texmath-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-xml-devel
BuildRequires:  ghc-zip-archive-devel
BuildRequires:  ghc-zlib-devel
# End cabal-rpm deps
BuildRequires:  chrpath

%description
%{common_description}

For pdf output please also install pandoc-pdf.


%package pdf
Summary:        Metapackage for pandoc xetex support
Requires:       %{name} = %{version}
Requires:       texlive-latex
Obsoletes:      pandoc-markdown2pdf < %{version}-%{release}

%description pdf
%{common_description}

This package pulls in the texlive latex and xetex packages
needed by pandoc to generate pdf output.


%prep
%setup -q


%build
%ghc_lib_build


%install
%ghc_lib_install

rm %{buildroot}%{_datadir}/%{name}-%{version}/{BUGS,COPYRIGHT,INSTALL,README,changelog}

ln -s pandoc %{buildroot}%{_bindir}/hsmarkdown

%ghc_fix_dynamic_rpath pandoc


%ghc_package

%ghc_description


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%files
%doc BUGS COPYING COPYRIGHT README* changelog
%attr(755,root,root) %{_bindir}/%{name}
%attr(-,root,root) %{_bindir}/hsmarkdown
%{_datadir}/%{name}-%{version}
%attr(644,root,root) %{_mandir}/man1/pandoc.1*
%attr(644,root,root) %{_mandir}/man5/*


%files pdf


%ghc_files COPYRIGHT


