%global __requires_exclude pear\(.*\)

Summary:	Pandora FMS Console
Name:		pandorafms_console
Version:	777
Release:	%mkrel 2
License:	GPLv2+
Group:		Monitoring
URL:		https://www.pandorafms.org/
Source0:	%{name}-%{version}-LTS.tar.xz
BuildArch:	noarch
Requires:	apache, php-webinterface
Requires:	php >= 8
Requires:	php-gd, php-snmp, php-json, php-gettext
Requires:	php-mysql, php-ldap, php-mbstring
Requires:	php-zip, php-zlib, php-curl php-pgsql
Requires:	graphviz


%description
Pandora FMS Console is a web application to manage Pandora FMS.
Console allows to see graphical reports, state of every agent,
also to access to the information sent by the agent, to see every
monitored parameter and to see its evolution throughout the time,
to form the different nodes, groups and users of the system.

It is the part that interacts with the final user, and that will
allows you to administer the system.

%prep
%autosetup -p1 -n %{name}-%{version}-LTS

%build

%install
mkdir -p %{buildroot}/%{_datadir}/pandora_console
mkdir -p %{buildroot}/var/spool/pandora/data_in
cp -aRf -t %{buildroot}%{_datadir}/pandora_console/ pandora_console/*
install -d %{buildroot}%{_webappconfdir}
cat > %{buildroot}%{_webappconfdir}/%{name}.conf <<EOF
Alias /pandora /usr/share/pandora_console

<Directory /usr/share/pandora_console>
 Order deny,allow
    Deny from all
    Allow from 127.0.0.1
    ErrorDocument 403 "Access denied per %{_webappconfdir}/%{name}.conf"
</Directory>
# OR perhaps:
#<Directory /usr/share/pandora_console>
#	AllowOverride AuthConfig
#AuthType Digest
#AuthName "Restricted"
#AuthBasicProvider file
#AuthUserFile "/etc/httpd/htpasswd"
# #Create password file with 'htdigest -c /etc/httpd/htpasswd Restricted <username>
#Require valid-user
#</Directory>
#
EOF

%post
# Has an install already been done, if so we only want to update the files
# push install.php aside so that the console works immediately using existing
# configuration.
#
if [ -f %{_datadir}/pandora_console/include/config.php ] ; then
	mv %{_datadir}/pandora_console/install.php %{_datadir}/pandora_console/install.done
else
	echo "Please, now, point your browser to http://your_IP_address/pandora/install.php and follow all the steps described on it."
fi
chown -R apache %{_datadir}/pandora_console/include 
chown -R apache %{_datadir}/pandora_console/attachment
%files
%doc README.md
%{_datadir}/pandora_console/
%config(noreplace) %{_webappconfdir}/%{name}.conf
/var/spool/pandora
