# bcond_with    = disable
# bcond_without = enable
%bcond_without gtkdoc

%define api_version     1.0
%define gir_major       1.0
%define lib_major       0
%define lib_name        %mklibname %{name} %{api_version} %{lib_major}
%define libnamedev      %mklibname %{name} %{api_version} -d
%define gir_name        %mklibname %{name}-gir %{gir_major}

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	System for layout and rendering of internationalized text
Name:		pango
Version:	1.56.3
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Internationalization
URL:		https://pango.gnome.org/
Source0:	https://download.gnome.org/sources/pango/%{url_ver}/pango-%{version}.tar.xz
# The bad symptoms that are fixed by this patch still appear when it is not
# applied. Restoring ( -- shlomif )
Patch1:		pango-mga25737.patch
Patch2:		pango-fix-gnumeric-crash.patch
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gi-docgen)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-no-export-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(harfbuzz)
BuildRequires:	pkgconfig(libthai)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	pkgconfig(sysprof-capture-4)
BuildRequires:	python3dist(docutils)
BuildRequires:	python3dist(gi-docgen)
BuildRequires:	meson
BuildRequires:	pkgconfig(gobject-introspection-1.0)
%if %{with gtkdoc}
BuildRequires:	gtk-doc
BuildRequires:	libxslt-proc
BuildRequires:	docbook-style-xsl
BuildRequires:	docbook-dtd412-xml
%else
Obsoletes:	pango-doc < %{version}-%{release}
%endif
Obsoletes:	pango-tests < 1.54.0-1
Conflicts:	%{_lib}pango1.0-devel < 1.54.0-2

%description
A library to handle Unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

%package -n %{lib_name}
Summary:	System for layout and rendering of internationalized text
Group:		System/Libraries
Provides:	lib%{name}%{api_version} = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}

%description -n %{lib_name}
A library to handle Unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

%package -n %{libnamedev}
Summary:	Development files for pango
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}%{api_version}-devel = %{version}-%{release}
Requires:	%{name} = %{version}
Requires:	%{lib_name} = %{version}
Requires:	%{gir_name} = %{version}
Recommends:	%{name}-doc >= %{version}

%description -n %{libnamedev}
This package includes the static libraries and header files
for the pango package.

%package -n %{gir_name}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}

%description -n %{gir_name}
GObject Introspection interface description for %{name}.

%package doc
Summary:        %{summary}
Group:		Development/GNOME and GTK+
BuildArch:	noarch

%description doc
This package provides API documentation for Pango.


%prep
%autosetup -p1

%build
%meson \
        -Ddocumentation=%{?with_gtkdoc:true}%{!?with_gtkdoc:false} \
        -Dman-pages=true
%meson_build

%install
%meson_install

%check
# fails with iurt or mock, and when gnumeric patch is enabled
%meson_test || true

%files
%doc README.md THANKS
%doc NEWS
%{_bindir}/pango-list
%{_bindir}/pango-segmentation
%{_bindir}/pango-view
%{_mandir}/man1/pango-list.1*
%{_mandir}/man1/pango-segmentation.1*
%{_mandir}/man1/pango-view.1*

%files -n %{lib_name}
%{_libdir}/libpango-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libpangoft2-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libpangoxft-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libpangocairo-%{api_version}.so.%{lib_major}{,.*}

%files -n %{gir_name}
%{_libdir}/girepository-1.0/Pango-%{gir_major}.typelib
%{_libdir}/girepository-1.0/PangoCairo-%{gir_major}.typelib
%{_libdir}/girepository-1.0/PangoFT2-%{gir_major}.typelib
%{_libdir}/girepository-1.0/PangoXft-%{gir_major}.typelib
%{_libdir}/girepository-1.0/PangoFc-%{gir_major}.typelib
%{_libdir}/girepository-1.0/PangoOT-%{gir_major}.typelib

%files -n %{libnamedev}
%{_libdir}/libpango-*.so
%{_libdir}/libpangoxft-*.so
%{_libdir}/libpangoft2-*.so
%{_libdir}/libpangocairo*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gir-1.0/Pango-%{gir_major}.gir
%{_datadir}/gir-1.0/PangoCairo-%{gir_major}.gir
%{_datadir}/gir-1.0/PangoFT2-%{gir_major}.gir
%{_datadir}/gir-1.0/PangoXft-%{gir_major}.gir
%{_datadir}/gir-1.0/PangoFc-%{gir_major}.gir
%{_datadir}/gir-1.0/PangoOT-%{gir_major}.gir

%if %{with gtkdoc}
%files doc
%doc utils/HELLO.txt
%doc %{_datadir}/doc/Pango
%doc %{_datadir}/doc/PangoFT2
%doc %{_datadir}/doc/PangoXft
%doc %{_datadir}/doc/PangoCairo
%doc %{_datadir}/doc/PangoOT
%doc %{_datadir}/doc/PangoFc
%endif
