# bcond_with    = disable
# bcond_without = enable
%bcond_with gtkdoc

%define api_version     2.0
%define gir_major       2.0
%define lib_major       0
%define lib_name        %mklibname pango %{api_version} %{lib_major}
%define libnamedev      %mklibname -d pango %{api_version}
%define gir_name        %mklibname pango-gir %{gir_major}

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	System for layout and rendering of internationalized text
Name:		pango%{api_version}
Version:	1.90.0
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Internationalization
URL:		https://pango.gnome.org/
Source0:	https://download.gnome.org/sources/pango/%{url_ver}/pango-%{version}.tar.xz
# The bad symptoms that are fixed by this patch still appear when it is not
# applied. Restoring ( -- shlomif )
Patch1:		pango-mga25737.patch
Patch2:		pango-fix-gnumeric-crash.patch
#
Patch10:	pango-1.90.0-utils.patch
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gi-docgen)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-no-export-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(harfbuzz)
BuildRequires:	pkgconfig(libthai)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	pkgconfig(sysprof-capture-4)
BuildRequires:	python3dist(gi-docgen)
BuildRequires:	meson
BuildRequires:	pkgconfig(gobject-introspection-1.0)
%if %{with gtkdoc}
BuildRequires:	gtk-doc
BuildRequires:	libxslt-proc
BuildRequires:	docbook-style-xsl
BuildRequires:	docbook-dtd412-xml
%else
Obsoletes:	pango%{api_version}-doc < %{version}-%{release}
%endif
Provides:	pango2%{?_isa} = %{version}-%{release}
Provides:	pango2 = %{version}-%{release}

%description
A library to handle Unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

%package -n %{lib_name}
Summary:	System for layout and rendering of internationalized text
Group:		System/Libraries
Provides:	libpango2%{?_isa} = %{version}-%{release}
Provides:	libpango2 = %{version}-%{release}
Provides:	lib%{name}%{?_isa} = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}

%description -n %{lib_name}
A library to handle Unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

%package -n %{libnamedev}
Summary:	Development files for pango
Group:		Development/GNOME and GTK+
Provides:	pango2-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libpango2-devel = %{version}-%{release}
Provides:	libpango%{api_version}-devel = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Requires:	%{gir_name} = %{version}-%{release}
%if %{with gtkdoc}
Recommends:	%{name}-doc >= %{version}-%{release}
%endif

%description -n %{libnamedev}
This package includes the static libraries and header files
for the pango package.

%package -n %{gir_name}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}

%description -n %{gir_name}
GObject Introspection interface description for %{name}.

%package doc
Summary:        %{summary}
Group:		Development/GNOME and GTK+
BuildArch:	noarch

%description doc
This package provides API documentation for Pango.


%prep
%autosetup -p1 -n pango-%{version}

%build
%meson \
        -Ddocumentation=%{?with_gtkdoc:true}%{!?with_gtkdoc:false}
%meson_build

%install
%meson_install

%check
# fails with iurt or mock, and when gnumeric patch is enabled
%meson_test || true

%files
%doc README.md THANKS
%doc NEWS
%{_bindir}/pango-list%{api_version}
%{_bindir}/pango-segmentation%{api_version}
%{_bindir}/pango-view%{api_version}
%{_mandir}/man1/pango-view%{api_version}.1*

%files -n %{lib_name}
%{_libdir}/libpango-%{api_version}.so.%{lib_major}{,.*}

%files -n %{gir_name}
%{_libdir}/girepository-1.0/Pango-%{gir_major}.typelib

%files -n %{libnamedev}
%{_libdir}/libpango-%{api_version}.so
%{_libdir}/pkgconfig/pango2.pc
%{_libdir}/pkgconfig/pangocairo2.pc
%{_includedir}/pango-%{api_version}/
%{_datadir}/gir-1.0/Pango-%{gir_major}.gir

%if %{with gtkdoc}
%files doc
%doc %{_datadir}/doc/Pango/
%endif
