%define pkgname		pangomm

%bcond_without doc

%define api		1.4
%define major		1

%define libname			%mklibname %{pkgname} %{api} %{major}
%define libnamedev		%mklibname %{pkgname} %{api} -d
%define libnamestaticdev	%mklibname %{pkgname} %{api} -d -s

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		%{pkgname}%{api}
Summary:	C++ interface for the pango library
Version:	2.46.4
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		https://gtkmm.org/
Source:		https://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	pkgconfig(cairomm-1.0) >= 1.12.0
BuildRequires:	pkgconfig(glibmm-2.4) >= 2.46.0
BuildRequires:	pkgconfig(pangocairo) >= 1.38.0
%if %{with doc}
BuildRequires:	doxygen
%endif

%description
Pangomm provides a C++ interface to the Pango library. Highlights
include typesafe callbacks, widgets extensible via inheritance and a
comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

%package -n	%{libname}
Summary:	C++ interface for the pango library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{_lib}pangomm2.4_1 < 2.40.1-2

%description -n	%{libname}
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{libnamedev}
Summary:	Headers and development files of %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}pangomm2.4-devel < 2.40.1-2
Obsoletes:	%{_lib}pangomm1.4-static-devel < 2.42.2

%description -n	%{libnamedev}
This package contains the headers and development files that are needed,
when trying to develop or compile applications which need %{name}.

%package	doc
Summary:	GTKmm documentation
Group:		Documentation

%description	doc
Pangomm provides a C++ interface to the Pango library. Highlights
include typesafe callbacks, widgets extensible via inheritance and a
comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains all API documentation for pangomm. You can readily read
this documentation with devhelp, a documentation reader.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%meson -Dbuild-documentation=%{?with_doc:true}%{?!with_doc:false}
%meson_build

%install
%meson_install

%files -n %{libname}
%license COPYING
%doc NEWS README.md
%{_libdir}/libpangomm-%{api}.so.%{major}{,.*}

%files -n %{libnamedev}
%doc ChangeLog
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/pangomm-%{api}/

%if %{with doc}
%files doc
%doc %{_datadir}/doc/pangomm-%{api}/
%doc %{_datadir}/devhelp/books/*
%endif
