Name:           paperwork
Version:        2.2.5
Release:        %mkrel 2
Summary:        Personal document manager
License:        GPLv3+
Group:          Graphics/Scanning
Url:            https://openpaper.work/
Source0:        %{pypi_source}
Patch0:         paperwork-disable-update-check.patch
Patch1:         0001-Drop-extra-icon-dirs.patch
Patch2:         0001-require-pygi-version-3.30.patch
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(openpaperwork-core)
BuildRequires:  python3dist(openpaperwork-gtk)
BuildRequires:  python3dist(paperwork-backend)
BuildRequires:  python3dist(pyxdg)
BuildRequires:  python3-gobject
BuildRequires:  x11-server-xvfb

Requires:       python3-gobject
Requires:       poppler
Requires:       saned
Requires:       tesseract
Requires:       tesseract-language

%description
Paperwork is a personal document manager. It manages scanned documents
and PDFs.

It's designed to be easy and fast to use. The idea behind Paperwork
is "scan & forget": You can just scan a new document and forget about
it until the day you need it again.

In other words, let the machine do most of the work for you.

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

PYTHONPATH=%{buildroot}%{python3_sitelib} \
    xvfb-run -a \
        %{python3} -m paperwork_gtk.main install \
            --data_base_dir %{buildroot}%{_datadir} \
            --icon_base_dir %{buildroot}%{_iconsdir}

%pyproject_save_files paperwork_gtk

%files -f %{pyproject_files}
%doc README.markdown
%{_bindir}/*
%{_datadir}/applications/work.openpaper.Paperwork.desktop
%{_iconsdir}/hicolor/*/apps/work.openpaper.Paperwork.{svg,png}
%{_iconsdir}/hicolor/scalable/apps/paperwork_halo.svg
%{_metainfodir}/work.openpaper.Paperwork.metainfo.xml
