%define rel 1

%define git 0

%if %{git}
%define release %mkrel 0.%{git}.%rel
%else
%define release %mkrel %rel
%endif

Summary:        PulseAudio Preferences
Name:           paprefs
Version:        1.2
Release:        %{release}
License:        GPLv2
Group:          Sound/Utilities
Url:            https://freedesktop.org/software/pulseaudio/paprefs/
%if %{git}
Source0:        %{name}-%{git}.tar.xz
%else
Source0:        https://freedesktop.org/software/pulseaudio/paprefs/%{name}-%{version}.tar.xz
%endif
Source1:        %{name}.svg
Patch0002:      paprefs-0.9.10-rosa-ru-l10n.patch
BuildRequires:  pkgconfig(gtkmm-3.0)
BuildRequires:  pkgconfig(giomm-2.4)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(tidy)
BuildRequires:  intltool
BuildRequires:  gettext-devel
BuildRequires:  lynx
BuildRequires:  meson
BuildRequires:  tidy
BuildRequires:  desktop-file-utils

Requires:       pulseaudio-module-gsettings >= 12.2-3.mga7
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
PulseAudio Preferences is a simple GTK based configuration dialog for
the PulseAudio sound server.

Please note that this program can only configure local servers, and
requires that a special module module-gconf is loaded in the sound
server.

%prep
%if %{git}
%setup -q -n %{name}
%else
%setup -q
%endif
%autopatch -p1

%build
%meson -Dlynx=true
%meson_build

%install
%meson_install

install -D -m 0644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
sed -i "s/^Icon=.*/Icon=%{name}/" %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor="" \
  --add-category="GTK" \
  --add-category="System" \
  --add-category="X-Mageia-CrossDesktop" \
  --remove-key="Encoding" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc build/doc/README*
%license LICENSE
%{_bindir}/%name
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/%{name}.glade
%{_iconsdir}/hicolor/*/apps/%{name}.*
