%global __requires_exclude /usr/bin/ksh|/bin/pdksh|/usr/bin/zsh|/usr/bin/fish|/bin/csh|/bin/tcsh|tcsh|mksh

Name:           parallel
Version:        20250322
Release:        %mkrel 1
Summary:        A shell tool for executing jobs in parallel
License:        GPLv3
Group:          File tools
URL:            https://www.gnu.org/software/parallel/
Source0:        https://ftp.gnu.org/gnu/parallel/%{name}-%{version}.tar.bz2
Source1:        https://ftp.gnu.org/gnu/parallel/%{name}-%{version}.tar.bz2.sig
BuildArch:      noarch

%description
GNU parallel is a shell tool for executing jobs in parallel locally
or using remote machines. A job is typically a single command or a small
script that has to be run for each of the lines in the input. The typical
input is a list of files, a list of hosts, a list of users, a list of URLs,
or a list of tables.

%prep
%autosetup -p1

%build
%configure
%__make

%install
%make_install

%files
%doc README NEWS
%doc %{_docdir}/%{name}/*
%{_bindir}/env_parallel
%{_bindir}/env_parallel.ash
%{_bindir}/env_parallel.bash
%{_bindir}/env_parallel.csh
%{_bindir}/env_parallel.dash
%{_bindir}/env_parallel.fish
%{_bindir}/env_parallel.ksh
%{_bindir}/env_parallel.mksh
%{_bindir}/env_parallel.pdksh
%{_bindir}/env_parallel.sh
%{_bindir}/env_parallel.tcsh
%{_bindir}/env_parallel.zsh
%{_bindir}/parallel
%{_bindir}/parcat
%{_bindir}/parset
%{_bindir}/parsort
%{_bindir}/sem
%{_bindir}/sql
%{_bindir}/niceload
%{_mandir}/man1/env_parallel.1.*
%{_mandir}/man1/parallel.1.*
%{_mandir}/man1/parcat.1.*
%{_mandir}/man1/parset.1.*
%{_mandir}/man1/parsort.1.*
%{_mandir}/man1/sem.1.*
%{_mandir}/man1/sql.1.*
%{_mandir}/man1/niceload.1.*
%{_mandir}/man7/parallel_alternatives.7.*
%{_mandir}/man7/parallel_book.7.*
%{_mandir}/man7/parallel_design.7.*
%{_mandir}/man7/parallel_examples.7.*
%{_mandir}/man7/parallel_tutorial.7.*
%{_datadir}/bash-completion/completions/parallel
%{_datadir}/zsh/site-functions/_parallel
