%define tarname	par2cmdline-%{version}

Summary:	Parchive: Parity Archive Volume Set
Name:		parchive2
Version:	0.8.1
Release:	%mkrel 1
Group:		Archiving/Backup
License:	GPLv2+
# https://github.com/Parchive/par2cmdline
URL:		https://parchive.sourceforge.net/
# https://prdownloads.sourceforge.net/parchive/%%{tarname}.tar.gz
Source0:	https://github.com/Parchive/par2cmdline/releases/download/v%{version}/%{tarname}.tar.bz2

%description
The idea behind this project is to provide a tool to apply the data-
recovery capability concepts of RAID-like systems to the posting and
recovery of multi-part archives on Usenet. With a parity archive, this
tool, and all but one part of a multi-part set you can recover the
missing part.

The key to this mission is a clean file format specification which
provides all the necessary capabilities for programs to easily verify
and regenerate single missing parts out of a set of archives.

We might just be able to make binary posting and downloading on Usenet a
little easier. That's a pretty cool goal!

par2 is complete rewrite of parchive with much additional advantages.
Read all about them on this page:
  http://www.pbclements.co.uk/QuickPar/AboutPAR2.htm

Tip of the day: alias par='par2 r *.((p|P)??|par2)'

%package -n par2cmdline
Summary:	PAR 2.0 compatible file verification and repair tool
Group:		Archiving/Backup
License:	GPLv2+

Obsoletes:	parchive2 < 0.4-18
Provides:	parchive2 = %{version}-%{release}
Provides:	par2 = %{version}-%{release}

%description -n par2cmdline
par2cmdline is a program for creating and using PAR2 files to detect damage
in data files and repair them if necessary. PAR2 files are usually
published in binary newsgroups on Usenet; they apply the data-recovery
capability concepts of RAID-like systems to the posting and recovery of
multi-part archives.

%prep
%autosetup -p1 -n %{tarname}

%build
%configure
%make_build

%install
%make_install

%files -n par2cmdline
%doc AUTHORS README ROADMAP
%license COPYING
%{_bindir}/*
%{_mandir}/man1/par2.1.*
