#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           parley
Summary:        KDE Vocabulary training application
Version: 25.04.0
Release:        %mkrel %{rel}
Group:          Education
License:        GPLv2 and GFDL and LGPLv2+ and LGPLv2
URL:            https://apps.kde.org/parley/
Source:         https://download.kde.org/stable/release-service/%version/src/%name-%version.tar.xz
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:  aarch64 x86_64

# Branch patches 100->200

# Trunk patches 200->300

# Mageia patches 500->600

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6WebEngineWidgets)

BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6Sonnet)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6Notifications)

BuildRequires:  cmake(LibKEduVocDocument)

BuildRequires:  python3
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(xrender)

# runtime dependencies
BuildRequires:  translate-shell
Requires:       translate-shell
Recommends:    %{name}-handbook
# for wiktionary__sound plugin
#Recommends:     kross-interpreters-python


%description
Parley is a program to help you memorize things.

Parley supports many language specific features but can be used for other
learning tasks just as well. It uses the spaced repetition learning method,
also known as flash cards.

%files -f %name.lang
%doc AUTHORS
%docdir %_kf6_docdir/HTML/
%_kf6_bindir/parley
%_kf6_datadir/parley/
%_kf6_applicationsdir/*.desktop
%_kf6_metainfodir/org.kde.parley.appdata.xml
%_kf6_datadir/config.kcfg/parley.kcfg
%_kf6_datadir/config.kcfg/languagesettings.kcfg
%_kf6_datadir/config.kcfg/documentsettings.kcfg
%_kf6_datadir/knsrcfiles/parley*.knsrc
%_kf6_iconsdir/*/*/*/*

#------------------------------------------------------------------------------

%package handbook
Summary:        %name handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides %name handbook.

%files handbook
%doc %_kf6_docdir/HTML/*/%name/

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name
