Name:		partclone
Version:	0.3.33
Release:	%mkrel 1
Summary:	File System Clone Utilities
Group:		Archiving/Backup
URL:		https://partclone.org/
License:	GPL-2.0-or-later
Source0:	https://github.com/Thomas-Tsai/partclone/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	dpkg-dev
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	xfs-devel
BuildRequires:	pkgconfig(libntfs-3g)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(libbsd)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	btrfs-devel
BuildRequires:	pkgconfig(blkid)
BuildRequires:	nilfs-utils-devel
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(fuse)
BuildRequires:	pkgconfig(mount)
BuildRequires:	pkgconfig(reiserfscore)
BuildRequires:	pkgconfig(bash-completion)

# Partclone depends on specific source files, either not exposed to -devel package or no -devel package exists
# Version information origin: src/btrfs/libbtrfs/version.h
Provides:	bundled(libbtrfs) = 6.8.1
Provides:	bundled(libbtrfsutil) = 6.8.1
# Version information origin: src/xfs/include/builddefs
Provides:	bundled(xfsprogs-libs) = 4.20.0

%description
Partclone is a program similar to the well-known backup utility "Partition
Image" a.k.a partimage. Partclone provides utilities to save and restore
used blocks on a partition and is designed for higher compatibility of the
file system by using existing libraries, e.g. e2fslibs is used to read and
write the ext2 partition.

Partclone now supports ext2, ext3, ext4, hfs+, btrfs, xfs, ntfs,
fat(12/16/32), exfat, f2fs, nilfs2.

%prep
%autosetup -p1

%build
autoreconf -fiv
%configure \
    --disable-rpath \
    --enable-apfs \
    --enable-ncursesw \
    --enable-fs-test \
    --enable-fuse \
    --enable-xfs \
    --enable-hfsp \
    --enable-fat \
    --enable-ntfs \
    --enable-btrfs \
    --enable-extfs \
    --enable-f2fs \
    --enable-nilfs2 \
    --enable-minix \
    --enable-exfat \
    --disable-reiserfs \
    --disable-reiser4 \
    --disable-ufs \
    --disable-vmfs \
    --disable-jfs

%make_build

%install
%make_install

# Building fail-mbr.bin requires a compiler that can build x86 binaries
%ifnarch %{ix86} x86_64
rm -rf %{buildroot}%{_datadir}/%{name}/
%endif

mv -f %{buildroot}%{_datadir}/bash-completion/completions/%{name}{-prompt,}

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog NEWS README.md
%{_datadir}/bash-completion/completions/%{name}
%{_sbindir}/partclone.*
%ifarch %{ix86} x86_64
%dir %{_datadir}/partclone/
%{_datadir}/partclone/fail-mbr.bin
%endif
%{_mandir}/man8/partclone.*
