%define Werror_cflags %nil
# "fix" underlinking:
%define _disable_ld_no_undefined 1

%define major       2
%define libname     %mklibname %{name} %{major}
%define resizemajor 0
%define libresize   %mklibname %{name}-fs-resize %{resizemajor}
%define develname   %mklibname %{name} -d

Name:           parted
Version:        3.6
Release:        %mkrel 1
Summary:        Flexible partitioning tool
License:        GPLv3+
Group:          System/Kernel and hardware
URL:            https://www.gnu.org/software/parted/
Source0:        https://ftp.gnu.org/gnu/parted/parted-%{version}.tar.xz
Source1:        https://ftp.gnu.org/gnu/parted/parted-%{version}.tar.xz.sig
#Patch0:         parted-3.5-link-new.patch

BuildRequires:  pkgconfig(devmapper)
BuildRequires:  gettext-devel
BuildRequires:  e2fsprogs-devel
BuildRequires:  pkgconfig(uuid)
BuildRequires:  libgpm-devel
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  check-devel
BuildRequires:  readline-devel
BuildRequires:  python3
BuildRequires:  util-linux
BuildRequires:  texinfo
BuildRequires:  locales
#For tests
BuildRequires:  e2fsprogs
BuildRequires:  dosfstools

%description
GNU Parted is a program that allows you to create, destroy,
resize, move and copy hard disk partitions. This is useful for
creating space for new operating systems, reorganizing disk
usage, and copying data to new hard disks.

%package -n %{libname}
Summary:        The parted library
Group:          Development/C
Requires:       e2fsprogs

%description -n %{libname}
This package includes the dynamic libraries.

%package -n %{libresize}
Summary:        The parted library
Group:          Development/C

%description -n %{libresize}
This package includes the dynamic libraries.

%package -n %{develname}
Summary:        Files required to compile software that uses libparted
Group:          Development/C
Requires:       e2fsprogs
Requires:       %{libname} = %{version}
Requires:       %{libresize} = %{version}
Provides:       libparted-devel = %{version}
Provides:       parted-devel = %{version}

%description -n %{develname}
This package includes the header files and libraries needed to
link software with libparted.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --disable-static --disable-gcc-warnings
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang %{name}

%check
export LD_LIBRARY_PATH=$(pwd)/libparted/.libs:$(pwd)/libparted/fs/.libs
make check

%files -f %{name}.lang
%doc README
%{_sbindir}/*
%{_mandir}/man*/*
%{_infodir}/parted.info*

%files -n %{libname}
%doc TODO
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{libresize}
%{_libdir}/lib%{name}-fs-resize.so.%{resizemajor}{,.*}

%files -n %{develname}
%doc AUTHORS ChangeLog doc/API
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/libparted.pc
%{_libdir}/pkgconfig/libparted-fs-resize.pc
