Summary: 	Partition Image
Name: 		partimage
Version: 	0.6.9
Release: 	%mkrel 18
URL: 		https://www.partimage.org/
License: 	GPLv2
Group: 		Archiving/Backup
Source: 	https://sourceforge.net/projects/partimage/files/stable/%{version}/%{name}-%{version}.tar.bz2
Source1:	partimage.1
Source2:	partimaged.8
Source3:	partimagedusers.5
Source4:	partimaged-sysconfig
Source5:	partimaged.service
Patch3: 	partimage-0.6.7-ssl-certs-policy.patch
Patch12:	partimage-0.6.8-lzma.patch
Patch13:	partimage-0.6.7-splash.patch
Patch14:	partimage-0.6.9-fedora-gzfile.patch
Patch15:	partimage-0.6.9-automake-1.13.patch
Patch16:	partimage-0.6.9-no-sslv2.patch
# from debian: fix build config with openssl 1.1
Patch17:	03-openssl11.patch
Patch18:	partimage-0.6.9-sysmacros.patch
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	gettext-devel
BuildRequires:	lzmadec-devel
BuildRequires:	pkgconfig(libnewt)
BuildRequires:	openssl
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	rpm-helper >= 0.2
BuildRequires:	systemd
Requires:	openssl > 0.9.6
Requires(post): systemd
Requires(preun): systemd

%description
Partition Image is a Linux/UNIX partition imaging utility: it saves
partitions in the following file system formats to an image file:
- Ext2FS & Ext3FS (the Linux standard),
- FAT16/32 (DOS & Windows file systems),
- HFS (MacOS File System),
- JFS (Journalised File System, from IBM, used on AIX),
- NTFS (Windows NT File System),
- HPFS (IBM OS/2 File System),
- ReiserFS (a journalized and powerful file system),
- UFS (Unix File System),
- XFS (another journalized and efficient File System, from SGI, used on Irix),

Only used blocks are copied. The image file can be
compressed into the GZIP/BZIP2 formats to save disk space, and split
into multiple files to be copied onto floppies (ZIP for example),
or burned on a CD-R ...

This allows saving a full Linux/Windows system, with only one
operation. When problems (viruses, crash, error, ...) occur, you just have to
restore, and after several minutes, all your system is restored (boot,
files, ...), and fully working.

This is very useful when installing the same software on many
machines: just install one of them, create an image, and just restore
the image on all other machines. Then, after the first one, each
installation is automatically made, and only requires a few minutes.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

rm -rf %{buildroot}%{_infodir}/*

install -m644 %{SOURCE1} -D %{buildroot}%{_mandir}/man1/partimage.1
install -m644 %{SOURCE2} -D %{buildroot}%{_mandir}/man8/partimaged.8
install -m644 %{SOURCE3} -D %{buildroot}%{_mandir}/man5/partimagedusers.5
install -m644 %{SOURCE4} -D %{buildroot}%{_sysconfdir}/sysconfig/partimaged
install -m755 %{SOURCE5} -D %{buildroot}%{_unitdir}/partimaged.service

cat > README.mga <<EOF
Mageia RPM specific notes

setup
-----
In order to comply with Mageia SSL certificates policy, partimage binary has
been modified to use the following files:
- /etc/pki/tls/certs/partimage.pem instead of default
  /etc/partimaged/partimaged.cert
- /etc/pki/tls/private/partimage.pem instead of default
  /etc/partimaged/partimaged.key
EOF

%find_lang %{name}

%pre
%_pre_useradd partimag /var/lib/partimage /bin/false

%post
dir=/var/lib/partimage
if [ ! -d $dir ]; then
    mkdir -p $dir/{dev,etc,%{_lib},var/log}
    cp -a /dev/{null,tty} $dir/dev
    cp /%{_lib}/{libnss_compat.so.2,libnss_files.so.2} $dir/%{_lib}
    grep partimag /etc/passwd > $dir/etc/passwd
    grep partimag /etc/group > $dir/etc/group
    install -d -o partimag $dir/data
fi
# now all you have to do is run partimaged -D --chroot /var/lib/partimage
%_post_service partimaged
%_create_ssl_certificate partimage -g partimag

%preun
%_preun_service partimaged

%postun
%_postun_userdel partimag

%files -f %{name}.lang
%doc BUGS AUTHORS ABOUT-NLS COPYING ChangeLog partimage.lsm
%doc FORMAT README README.partimaged README.mga THANKS
%{_sbindir}/*
%{_sysconfdir}/sysconfig/partimaged
%{_unitdir}/partimaged.service
%attr(0600,partimag,partimag) %config(noreplace) %{_sysconfdir}/partimaged/partimagedusers
%{_mandir}/man1/partimage.1*
%{_mandir}/man5/partimagedusers.5*
%{_mandir}/man8/partimaged.8*
