#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:		partitionmanager
Version: 25.04.0
Release:	%mkrel %{rel}
Summary:	KDE Partition Manager
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		https://apps.kde.org/partitionmanager/
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Widgets)

BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6ConfigWidgets)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6Crash)
BuildRequires:	cmake(KF6DBusAddons)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6JobWidgets)
BuildRequires:	cmake(KF6KIO)
BuildRequires:	cmake(KF6WidgetsAddons)
BuildRequires:	cmake(KF6WindowSystem)
BuildRequires:	cmake(KF6XmlGui)
BuildRequires:	cmake(KF6DocTools)

BuildRequires:	cmake(KPMcore) >= 24.01
BuildRequires:  cmake(PolkitQt6-1)

BuildRequires:	gettext
BuildRequires:	appstream-util
BuildRequires:	pkgconfig(blkid)
BuildRequires:	pkgconfig(libatasmart)

Requires:	kpmcore >= 24.01

%description
KDE Partition Manager is a utility program to help you manage the disk devices,
partitions and file systems on your computer. It allows you to easily create,
copy, move, delete, resize without losing data, backup and restore partitions.

KDE Partition Manager supports a large number of file systems,
including ext2/3/4, reiserfs, NTFS, FAT16/32, jfs, xfs and more.

Starting from version 1.9.50 KDE Partition Manager has become the GUI part of
KPMcore (KDE PartitionManager core) which contain the libraries used to
manipulate filesystems.

%files -f %{name}.lang
%doc README.md
%license LICENSES/*
%{_kf6_bindir}/*
%{_kf6_applicationsdir}/org.kde.partitionmanager.desktop
%{_kf6_datadir}/config.kcfg/partitionmanager.kcfg
%{_kf6_metainfodir}/org.kde.partitionmanager.appdata.xml
%{_kf6_iconsdir}/hicolor/*/*/*
%{_kf6_datadir}/solid/actions/open_in_partitionmanager.desktop

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON

%cmake_build

%install
%cmake_install

%find_lang %{name} --with-kde --with-html

# Validate appdata file
appstream-util validate-relax --nonet %{buildroot}%{_kf6_metainfodir}/*.appdata.xml
