Name:           pass
Version:        1.7.4
Release:        %mkrel 2
Summary:        A password manager using standard Unix tools
License:        GPLv2+
Group:          Security
URL:            https://www.passwordstore.org/
Source0:        https://git.zx2c4.com/password-store/snapshot/password-store-%{version}.tar.xz
Patch1:         editor.patch
BuildArch:      noarch
BuildRequires:  git
BuildRequires:  gnupg2
BuildRequires:  pwgen
BuildRequires:  tree >= 1.7.0
BuildRequires:  xz
BuildRequires:  bash-completion
BuildRequires:  zsh
BuildRequires:  sed
Requires:       xclip
Requires:       git
Requires:       gnupg2
Requires:       pwgen
Requires:       tree >= 1.7.0


%description
Stores, retrieves, generates, and synchronizes passwords securely using gpg,
pwgen, and git.


%prep
%autosetup -p1 -n password-store-%{version}

rm -f contrib/emacs/.gitignore

%build
# nothing

%install
make DESTDIR=%{buildroot} PREFIX=%{_prefix} \
     BINDIR=%{_bindir} SYSCONFDIR=%{_sysconfdir} \
     MANDIR=%{_mandir} FORCE_ALL=1 \
     install

%check
make test

%files
%doc README COPYING contrib
%{_bindir}/pass
%{_datadir}/bash-completion/completions/pass
%{_datadir}/zsh/site-functions/_pass
%{_datadir}/fish/vendor_completions.d/pass.fish
%doc %{_mandir}/man1/*

