%define major   1
%define api     1.0
%define libname %mklibname passim %major
%define girname %mklibname passim-gir %{api}
%define devname %mklibname passim -d

%global glib2_version 2.45.8
%global systemd_version 231

Summary:   Local caching server
Name:      passim
Version:   0.1.8
Release:   %mkrel 1
Group:     System/Libraries
License:   LGPL-2.1-or-later
URL:       https://github.com/hughsie/passim
Source0:   https://github.com/hughsie/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: gcc
BuildRequires: git-core
BuildRequires: pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires: pkgconfig(gnutls)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: appstream-util
BuildRequires: pkgconfig(libsoup-3.0)
BuildRequires: meson
BuildRequires: systemd-rpm-macros
BuildRequires: systemd >= %{systemd_version}

# Obsolete versions from before the subpackage split
Obsoletes: %{name} < 0.1.1-3

%description
Passim is a daemon that allows software to share files on your local network.

%package -n %libname
Summary:   Local caching server library
Group:     System/Libraries
# Obsolete versions from before the subpackage split
Obsoletes: %{name} < 0.1.1-3

%description -n %libname
libpassim is a library that allows software to share files on your local network
using the passimd daemon.

%package -n     %{girname}
Summary:        GObject Introspection interface library for Passim
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

# ease upgrade mga9 -> mga10
Conflicts:      passim < 0.1.2-2

%description -n %{girname}
GObject Introspection interface library for Passim.

%package -n %devname
Summary:  Development package for %{name}
Group:    Development/C
Requires: %{libname} = %{version}-%{release}
Requires: %{girname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %devname
Files for development with %{name}.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

rm %{buildroot}/var/lib/passim/data/*

%find_lang %{name}

%check
%meson_test
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml

%post
%_post_service passim

%preun
%_preun_service passim

%postun
%systemd_postun_with_restart passim.service

%files -f %{name}.lang
%doc README.md
%license LICENSE
%{_bindir}/passim
%config(noreplace)%{_sysconfdir}/passim.conf
%dir %{_datadir}/passim
%{_datadir}/passim/*.ico
%{_datadir}/passim/*.css
%{_datadir}/dbus-1/system.d/org.freedesktop.Passim.conf
%{_datadir}/dbus-1/interfaces/org.freedesktop.Passim.xml
%{_datadir}/dbus-1/system-services/org.freedesktop.Passim.service
%{_iconsdir}/hicolor/scalable/apps/org.freedesktop.Passim.png
%{_metainfodir}/org.freedesktop.Passim.metainfo.xml
%{_libexecdir}/passimd
%{_unitdir}/passim.service
%{_sysusersdir}/passim.conf
%{_mandir}/man1/passim.1*

%files -n %libname
%license LICENSE
%{_libdir}/libpassim.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Passim-%{api}.typelib

%files -n %devname
%{_datadir}/gir-1.0/Passim-%{api}.gir
%dir %{_includedir}/passim-1
%{_includedir}/passim-1/passim*.h
%{_libdir}/libpassim*.so
%{_libdir}/pkgconfig/passim.pc
