Summary:	The passwd utility for setting/changing passwords using PAM
Name:		passwd
Version:	0.80
Release:	%mkrel 4
License:	BSD
Group:		System/Base
URL:		https://pagure.io/passwd
Source0:	https://releases.pagure.org/passwd/passwd-%{version}.autotoolized.tar.bz2
Patch0:		passwd-0.80-enable-gnome-keyring.patch
BuildRequires:	glib2-devel
BuildRequires:	pkgconfig(libuser)
BuildRequires:	pam-devel
BuildRequires:	pkgconfig(popt)
BuildRequires:	pkgconfig(audit)
Requires:	pam >= 1.0.90
Requires(pre):	setup >= 2.7.12-2
#needed for file-deps /etc/libuser.conf
Requires:	libuser

%description
The passwd package contains a system utility (passwd) which sets
and/or changes passwords, using PAM (Pluggable Authentication
Modules).

%prep
%setup -q
%autopatch -p1

%build
%configure \
	--without-selinux \
	--without-pwdb \
	--with-audit \
	--with-libuser \
	--disable-rpath

%make_build

%install
%make_install

install -m644 passwd.pamd -D %{buildroot}%{_sysconfdir}/pam.d/passwd

%find_lang %{name} --with-man --all-name

%files -f %{name}.lang
%config(noreplace) %{_sysconfdir}/pam.d/passwd
%attr(4511,root,shadow) %{_bindir}/passwd
%{_mandir}/man1/passwd.1*
