Summary:	The GNU patch command, for modifying/upgrading files
Name:		patch
Version:	2.7.6
Release:	%mkrel 9
License:	GPLv3
Group:		Text tools
URL:		https://www.gnu.org/software/patch/
Source0:	https://ftp.gnu.org/gnu/patch/%{name}-%{version}.tar.xz
Patch1:		patch-2.7-sigsegv.patch
Patch3:		patch-2.6-stderr.patch
Patch6:		patch-2.6-fix-str-fmt.patch
# debian patches:
Patch103:	lenny-options.diff
# CVE-2018-1000156
Patch200:	patch-CVE-2018-1000156.patch
Patch201:	CVE-2018-6951.patch
Patch202:	CVE-2018-6952.patch
Patch203:	patch-2.7-CVE-2019-13636.patch
Patch204:	patch-2.7-CVE-2019-13638.patch

%description
The patch program applies diff files to originals.  The diff command
is used to compare an original to a changed file.  Diff lists the
changes made to the file.  A person who has the original file can then
use the patch command with the diff file to add the changes to their
original file (patching the file).

Patch should be installed because it is a common way of upgrading
applications.

%prep
%setup -q

%patch -P 1 -p1 -b .sigsegv
%patch -P 3 -p1 -b .stderr
%patch -P 6 -p0 -b .format_not_a_string_literal_and_no_format_arguments
%patch -P 103 -p1 -b .compat-options
%patch -P 200 -p1 -b .p200
%patch -P 201 -p1 -b .p201
%patch -P 202 -p1 -b .p202
%patch -P 203 -p1 -b .CVE-2019-13636
%patch -P 204 -p1 -b .CVE-2019-13638

%build
%configure
%make_build

%install
%make_install

%files
%defattr(644,root,root,755)
%doc NEWS README AUTHORS ChangeLog
%attr(0755,root,root) %{_bindir}/*
%{_mandir}/*/*
