Name:           patchelf
Version:        0.18.0
Release:        %mkrel 2
Summary:        A utility for patching ELF binaries

Group:          Development/Tools
License:        GPLv3+
URL:            https://nixos.org/patchelf.html
Source0:        https://github.com/NixOS/patchelf/releases/download/%{version}/%{name}-%{version}.tar.bz2

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: pkgconfig(libattr)
BuildRequires: pkgconfig(libacl)

%description
PatchELF is a simple utility for modifying an existing ELF executable
or library.  It can change the dynamic loader ("ELF interpreter")
of an executable and change the RPATH of an executable or library.

%prep
%autosetup

# package ships elf.h - delete to use glibc-headers one
rm src/elf.h

%build
%configure
%make_build

%check
make check || cat tests/test-suite.log ||:

%install
%make_install

# the docs get put in a funny place, so delete and include in the
# standard way in the docs section below
rm -rf %{buildroot}%{_datadir}/doc/%{name}

%files
%doc README.md
%license COPYING
%{_bindir}/patchelf
%{_mandir}/man1/patchelf.1*
%{_datadir}/zsh/site-functions/_patchelf
