%bcond_with tests

Name:       patool
Version:    2.1.1
Release:    %mkrel 2
Summary:    Portable command line archive file manager
License:    GPLv2+
Group:      Archiving/Compression
Url:        https://wummel.github.io/patool
# Source0:  https://wummel.github.io/%%{name}/dist/%%{name}-%%{version}.tar.gz
Source0:    https://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildArch:  noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(argcomplete)

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  arj, archmage, bzip2, bzip3, cabextract, chmlib, cpio
BuildRequires:  cdrkit-genisoimage, cdrkit-isotools, dpkg, flac, gzip,
BuildRequires:  lbzip2, lcab, lha, lz4, lzip, lzop, mac, mscompress
BuildRequires:  nomarch, ncompress, p7zip, pbzip2, sharutils
BuildRequires:  shorten, unrar, xz, zip, zopfli, zstd, unzip
#BuildRequires:  unace, star, mac, lrzip
%endif

%description
Various archive types can be created, extracted, tested and listed by
patool. The advantage of patool is its simplicity in handling archive
files without having to remember a myriad of programs and options.

The archive format is determined by the file(1) program and as a
fallback by the archive file extension.

patool supports 7z (.7z), ACE (.ace), ALZIP (.alz), AR (.a), ARC (.arc),
ARJ (.arj), BZIP2 (.bz2), CAB (.cab), compress (.Z), CPIO (.cpio),
DEB (.deb), DMS (.dms), GZIP (.gz), LRZIP (.lrz), LZH (.lha, .lzh), LZIP (.lz),
LZMA (.lzma), LZOP (.lzo), RPM (.rpm), RAR (.rar), RZIP (.rz), TAR (.tar),
XZ (.xz), ZIP (.zip, .jar) and ZOO (.zoo) formats. It relies on helper
applications to handle those archive formats (for example bzip2 for
BZIP2 archives).

The archive formats TAR (.tar), ZIP (.zip), BZIP2 (.bz2) and GZIP (.gz)
are supported natively and do not require helper applications to be
installed.


%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files patoolib

install -Dpm0644 doc/patool.1 %{buildroot}%{_mandir}/man1/patool.1
install -dm755 %{buildroot}%{_datadir}/bash-completion/completions
register-python-argcomplete patool > \
        %{buildroot}%{_datadir}/bash-completion/completions/patool

%check
%pyproject_check_import
# test but don't stop on failure. false-positive issues!?.
%{?with_tests:%pytest tests || true}

%files -f %{pyproject_files}
%license COPYING
%doc doc/*.txt
%{_bindir}/patool
%{_datadir}/bash-completion/completions/patool
%{_mandir}/man1/patool.1.*
