Summary:	Volume control for PulseAudio sound server for Linux
Name:		pavucontrol
Version:	6.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Sound/Utilities
Url:		https://freedesktop.org/software/pulseaudio/pavucontrol/
Source0:	https://freedesktop.org/software/pulseaudio/pavucontrol/%{name}-%{version}.tar.xz
Source1:	%{name}.svg
# upstream patches
# (from https://gitlab.freedesktop.org/pulseaudio/pavucontrol)

BuildRequires:	meson
BuildRequires:	pkgconfig(gtkmm-4.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libpulse-mainloop-glib)
BuildRequires:	pkgconfig(sigc++-3.0)
BuildRequires:	pkgconfig(libcanberra)
BuildRequires:	lynx
BuildRequires:	tidy
BuildRequires:	desktop-file-utils
BuildRequires:	gettext

Requires:	pulseaudio-daemon
Requires(post):	desktop-file-utils
Requires(postun):	desktop-file-utils
Provides:	pulseaudio-volume-control

%description
PulseAudio Volume Control (pavucontrol) is a simple GTK based
volume control tool for the PulseAudio sound server.
In contrast to classic mixer tools, this one allows you to control
both the volume of hardware devices and of each playback stream
separately.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

install -D -m 0644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

desktop-file-install --vendor="" \
  --set-icon="%{name}" \
  --add-category="X-Mageia-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/org.pulseaudio.%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc README
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/org.pulseaudio.%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_metainfodir}/org.pulseaudio.%{name}.metainfo.xml
%doc %{_docdir}/%{name}/README.html
%doc %{_docdir}/%{name}/style.css
