Summary:	PaX aware and related utilities for ELF binaries
Name:		pax-utils
Version:	1.3.8
Release:	%mkrel 1
Group:		Development/C
License:	GPLv2
URL:		https://wiki.gentoo.org/wiki/Hardened/PaX_Utilities
Source0:	https://gitweb.gentoo.org/proj/pax-utils.git/snapshot/%{name}-%{version}.tar.gz
BuildRequires:	meson
BuildRequires:	xmlto
BuildRequires:	pkgconfig(libcap)

# for /usr/bin/lddtree
Requires:	python3dist(pyelftools)

%description
pax-utils is a small set of various PaX aware and related utilities for
ELF binaries. It was written for ELF Q/A on Gentoo systems but can be
used on any distro.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

# python shebangs
%py3_shebang_fix %{buildroot}%{_bindir}/lddtree

%files
%doc BUGS README.md TODO
%license COPYING
%{_bindir}/dumpelf
%{_bindir}/lddtree
%{_bindir}/pspax
%{_bindir}/scanelf
%{_bindir}/scanmacho
%{_bindir}/symtree
%{_mandir}/man1/dumpelf.1*
%{_mandir}/man1/pspax.1*
%{_mandir}/man1/scanelf.1*
%{_mandir}/man1/scanmacho.1*
