%bcond_without	bootstrap

%define major	3
%define libname %mklibname pci %{major}
%define devname %mklibname pci -d

Summary:	PCI bus related utilities
Name:		pciutils
Version:	3.13.0
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		https://mj.ucw.cz/pciutils.html
Source0:	https://mj.ucw.cz/download/linux/pci/%{name}-%{version}.tar.gz
Patch10:	pciutils-3.9.0-pcimodules.patch
Patch11:	pciutils-3.8.0-cardbus-only-when-root.patch
Patch12:	pciutils-3.11.1-missing-include.patch

# Fedora patches

# matching lib is always needed (mga #10661)
Requires:	%{libname} = %{version}-%{release}

%if !%{with bootstrap}
Requires:	pciids
%endif
# needed to support modaliases so lspci -k gives correct output
BuildRequires:	pkgconfig(libkmod)

%description
This package contains various utilities for inspecting and setting
devices connected to the PCI bus.

%package -n	%{devname}
Summary:	Linux PCI development library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	pciutils-devel < 3.10.0-2

%description -n	%{devname}
This package contains a library for inspecting and setting
devices connected to the PCI bus.

%package -n	%{libname}
Summary:	The PCI library
Group:		System/Libraries

%description -n	%{libname}
This package contains a dynamic library for inspecting and setting
devices connected to the PCI bus.

%prep
%autosetup -p1


%build
%make_build SHARED="no" ZLIB="no" LIBKMOD=yes OPT="%{optflags} -fPIC" PREFIX=%{_prefix} DNS=no LDFLAGS="%{ldflags}" lib/libpci.a
cp lib/libpci.a lib/libpci.a.libc
make clean

# do not build with zlib support since it's useless (only needed if we compress
# pci.ids which we cannot do since hal mmaps it for memory saving reason)
%make_build SHARED="yes" ZLIB="no" LIBKMOD=yes OPT="%{optflags} -fPIC" PREFIX=%{_prefix} LDFLAGS="%{ldflags}"

%install
install -d %{buildroot}{%{_bindir},%{_mandir}/man{7,8},%{_libdir}/pkgconfig,%{_includedir}/pci}

install pcimodules lspci setpci %{buildroot}%{_bindir}
install -m 644 pcimodules.man lspci.8 setpci.8 %{buildroot}%{_mandir}/man8
install -p -m 644 pcilib.7 %{buildroot}%{_mandir}/man7
install -m 644 lib/libpci.a.libc %{buildroot}%{_libdir}/libpci.a
install lib/libpci.so.%{major}.* %{buildroot}%{_libdir}
ln -s libpci.so.3 %{buildroot}%{_libdir}/libpci.so

install -m 644 lib/{pci.h,header.h,config.h,types.h} %{buildroot}%{_includedir}/pci
install -m 755 update-pciids.sh %{buildroot}%{_bindir}/
install -m 644 lib/libpci.pc %{buildroot}%{_libdir}/pkgconfig/

%files
%doc README ChangeLog pciutils.lsm
%{_mandir}/man8/*
%{_bindir}/lspci
%{_bindir}/pcimodules
%{_bindir}/setpci

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devname}
%doc TODO
%{_bindir}/update-pciids.sh
%{_libdir}/*.a
%{_libdir}/*.so
%dir %{_includedir}/pci
%{_includedir}/pci/*.h
%{_mandir}/man7/*
%{_libdir}/pkgconfig/libpci.pc
