%define major   2
%define libname %mklibname fm-qt %major
%define devname %mklibname fm-qt -d

%define rel 1

Name:           pcmanfm-qt
Version:        2.1.0
Release:        %mkrel %rel
Summary:        File manager for the LXQt desktop
License:        GPLv2+
Group:          Graphical desktop/Other
URL:            https://lxqt-project.org/
Source0:        https://github.com/lxqt/pcmanfm-qt/releases/download/%{version}/%{name}-%{version}.tar.xz

### Mageia patches (500-)
# mga#26670
Patch500:       pcmanfm-qt-1.2.0-mga-customize-default-appearance.patch

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  cmake(lxqt)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(LayerShellQt)
BuildRequires:  cmake(fm-qt6)

Requires:       lxqt-archiver
Requires:       qterminal

# recommended for kwin and kdesu for "run as root" functionality (mga#15088)
# changed to Recommends to allow parallel installation with plasma 5
Recommends:     kde-cli-tools

%description
File manager for the LXQt desktop.

%prep
%autosetup -p1

# change desktop file generic name to distinguish it from pcmanfm
sed -i 's/=File Manager/=QT File Manager/' pcmanfm/pcmanfm-qt.desktop.in

%build
%cmake_qt6 -DBUILD_DOCUMENTATION=ON
%cmake_build

%install
%cmake_install

desktop-file-install \
  --add-category="System;FileTools" \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc %{_defaultdocdir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_sysconfdir}/xdg/autostart/lxqt-desktop.desktop
%dir %{_datadir}/pcmanfm-qt
%dir %{_datadir}/pcmanfm-qt/lxqt
%{_datadir}/pcmanfm-qt/lxqt/settings.conf
%{_datadir}/pcmanfm-qt/translations/
%{_mandir}/man1/pcmanfm-qt.1.*
%{_iconsdir}/hicolor/scalable/apps/pcmanfm-qt.svg
