Summary: Tools for the hotpluggable PCMCIA subsystem
Name: pcmciautils
Version: 018
Release: %mkrel 13
License: GPLv2
Group: System/Kernel and hardware
Url: https://www.kernel.org/pub/linux/utils/kernel/pcmcia/
Source0: %{name}-%{version}.tar.bz2
BuildRequires: byacc
BuildRequires: libsysfs-devel
BuildRequires: flex
Provides:     pcmcia-cs
Obsoletes:     pcmcia-cs
Conflicts:	drakxtools-backend < 10.4.33-1mdv2007.0

%description
PCMCIAutils contains hotplug scripts and initialization tools
necessary to allow the PCMCIA subsystem to behave (almost) as every
other hotpluggable bus system (e.g. USB, IEEE1394).

Please note that the kernel support for this new feature is only
present since 2.6.13-rc1.

%prep
%setup -q

%build
%make_build DEBUG=true

%install
%make_install

# write /etc/modprobe.preload.d/pcmcia file on migration from old pcmcia-cs
%triggerpostun -p /usr/bin/perl -- pcmcia-cs, %{name} < 014-3mdv2007.0
use lib qw(/usr/lib/libDrakX);
use harddrake::autoconf;
use detect_devices;
my $controller = detect_devices::pcmcia_controller_probe();
harddrake::autoconf::pcmcia($controller && $controller->{driver});

%files
%config(noreplace) %{_sysconfdir}/pcmcia/config.opts
/sbin/lspcmcia
/sbin/pccardctl
/lib/udev/rules.d/60-pcmcia.rules
/lib/udev/pcmcia-check-broken-cis
/lib/udev/pcmcia-socket-startup
%{_mandir}/man*/*
