%define num_release 1

Name:		pcsc-tools
Version:	1.7.2
Release:	%mkrel 1
License:	GPLv2+
Summary:	PCSC tools useful for a PC/SC user
Group:		Communications/Serial
URL:		https://pcsc-tools.apdu.fr/
Source0:	https://pcsc-tools.apdu.fr/%{name}-%{version}.tar.bz2
Source1:	https://pcsc-tools.apdu.fr/%{name}-%{version}.tar.bz2.asc
Requires:	perl-pcsc-perl ccid
BuildRequires:	pkgconfig(libpcsclite)

%description
This package contains some tools useful for a PC/SC user.
- pcsc_scan
    regularly scans every PC/SC reader connected to the host
    if a card is inserted or removed a "line" is printed
- ATR_analysis
    Perl script used to parse the smart card ATR.
    This script is called (by default) by pcsc_scan
- smartcard_list.txt
    This list contains ATR of some cards. The list is used by
    ATR_analysis to find a card model corresponding to the ATR.
- scriptor
    A Perl script to send commands to a smart card. You can use a file
    containing the commands or stdin.
- gscriptor
    A Perl script to send commands to a smart card with GTK-based
    graphical interface.

%prep
%setup -q
bzip2 -9 Changelog

%build
%configure
%make_build

%install
%make_install

%files
%doc README Changelog.bz2
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/gscriptor.desktop
%{_datadir}/locale/fr/LC_MESSAGES/pcsc-tools.mo
%{_datadir}/locale/ru/LC_MESSAGES/pcsc-tools.mo
%{_datadir}/pcsc/gscriptor.png
%{_datadir}/pcsc/smartcard_list.txt
