# This should be submitted to tainted as per our policy on game emulators

%global _legacy_common_support 1

%define date 20170218

Name:           pcsxr
Version:        1.9.94
Release:        %mkrel 3.%{date}.4
Summary:        PCSX-Reloaded is a Sony PlayStation emulator
License:        GPLv2+
Group:          Emulators
Url:            http://pcsxr.codeplex.com
# Snapshot from http://pcsxr.codeplex.com/SourceControl/latest
# Git repo: https://git01.codeplex.com/pcsxr
Source0:        %{name}-%{date}.tar.xz
Patch0:         pcsxr-include_harfbuzz.patch

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(harfbuzz)
BuildRequires:  pkgconfig(libcdio)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(xv)
BuildRequires:  pkgconfig(zlib)

%description
PCSX-Reloaded is a forked version of the dead PCSX emulator, with a
nicer interface and several improvements to stability and
functionality.

PCSX-Reloaded uses the PSEMU plugin interface to provide most
functionality; without them, you will not be able to use it to play
games. PCSX-Reloaded provides a number of plugins to provide basic
functionality out of the box.

This package is in tainted as per Mageia's policy on emulators.

%prep
%autosetup -p1 -n %{name}-%{date}

%build
%cmake \
  -DBUILD_OPENGL=ON \
  -DBUILD_SIO1=ON

%cmake_build

%install
%cmake_install

desktop-file-edit --add-category=Emulator \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

# Handle this in %%files
rm -rf %{buildroot}%{_docdir}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README doc/*.txt
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/48x48/apps/%{name}-icon.png
%{_libdir}/games/psemu
%{_mandir}/man1/%{name}.1*
