# comment out when not pre-release
#define prel rc1

%define rel 3

%define module stapler

Name:           pdf-stapler
Version:        1.0.0
Release:        %mkrel %{?prel:0.%prel.}%{rel}
Summary:        Tool for manipulating PDF documents from the command line
License:        BSD
Group:          Publishing
URL:            https://github.com/hellerbarde/stapler
# tarball come from commit on 20200306
Source0:        https://pypi.io/packages/source/s/stapler/%{module}-%{version}%{?prel}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)

Requires:       python3-pkg-resources
Provides:       python3-staplelib = %{version}-%{release}

%description
pdf-stapler is the Mageia package for stapler, the Open Source Python
project which provides a command-line tool that staples, deletes,
concatenates and shuffles documents in the Portable Document Format
(PDF). It is a pure Python alternative to PDFtk.

%prep
%setup -q -n %{module}-%{version}%{?prel}

# Remove upper limit from more-itertools
# https://github.com/hellerbarde/stapler/issues/71
sed -i 's|more-itertools>=2.2,<6.0.0|more-itertools>=2.2|' setup.py

# Remove shebangs from modules
sed -i -e '/^#!/d' staplelib/*.py

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files staplelib

%check
%tox

%files -f %{pyproject_files}
%doc README.rst
%license LICENSE
%{_bindir}/%{name}
%{_bindir}/%{module}
