Name:           pdf2djvu
Version:        0.9.19
Release:        %mkrel 7
Summary:        PDF to DJVu file converter
License:        GPLv2
Group:          Publishing
Url:            https://jwilk.net/software/pdf2djvu
Source0:        https://github.com/jwilk/pdf2djvu/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires:  djvulibre >= 3.5.21
BuildRequires:  libgomp-devel
BuildRequires:  pstreams-devel
BuildRequires:  pkgconfig(ddjvuapi) >= 3.5.21
BuildRequires:  pkgconfig(poppler)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(GraphicsMagick)
BuildRequires:  pkgconfig(uuid)

# see mga#26352
Requires:       djvulibre

%description
pdf2djvu creates DjVu files from PDF files. It's able to extract
graphics, text layer, hyperlinks, document outline (bookmarks), and
metadata.

%prep
%autosetup -p1

%build
export CXXFLAGS="%{build_cxxflags} -std=gnu++20"
autoreconf -fi
%configure
%make_build

%install
%make_install

install -m 644 -D doc/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%find_lang %{name} --with-man

%files -f %{name}.lang
%doc doc/changelog doc/credits doc/djvudigital
%license doc/COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
