Name:           pdfarranger
Version:        1.11.1
Release:        %mkrel 2
Summary:        PDF file merging, rearranging, and splitting
Group:          Publishing
License:        GPLv3
URL:            https://github.com/pdfarranger/pdfarranger
Source0:        https://github.com/pdfarranger/pdfarranger/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  gettext
BuildRequires:  intltool

Requires:       python3dist(pygobject)
Requires:       python3dist(pycairo)
Requires:       python3-pkg-resources
Recommends:     img2pdf

Obsoletes:      pdfshuffler < 0.6.0-12
Provides:       pdfshuffler = %{version}-%{release}

%description
PDFArranger is a small python-gtk application, which helps the user
to merge or split pdf documents and rotate, crop and rearrange their
pages using an interactive and intuitive graphical interface.

The tool, which is a graphical front-end for pikepdf, is a fork of
PDF-Shuffler that aims to "make the project a bit more active".

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires -R

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name}

%find_lang %{name}

%global app_id com.github.jeromerobert.pdfarranger

%files -f %{name}.lang -f %{pyproject_files}
%doc README.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{app_id}.desktop
%{_metainfodir}/%{app_id}.metainfo.xml
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{app_id}.png
%{_iconsdir}/hicolor/scalable/apps/%{app_id}.svg
%{_iconsdir}/hicolor/symbolic/apps/%{app_id}-symbolic.svg
%{_mandir}/man1/%{name}.1.*
