# NOTE Patch0 should adapted with our mageia fonts path

Name:          pdfbox
Version:       2.0.30
Release:       %mkrel 3
Group:         Development/Java
Summary:       Apache PDFBox library for working with PDF documents
License:       ASL 2.0
URL:           https://pdfbox.apache.org/
Source0:       https://archive.apache.org/dist/pdfbox/%{version}/pdfbox-%{version}-src.zip

# Use system font instead of bundled font
Patch0:        pdfbox-use-system-liberation-font.patch
# Use system icc profiles
Patch1:        pdfbox-use-system-icc-profiles-openicc.patch
# bumped jdi setup to 1.8
Patch2:        1.8.patch

BuildRequires:  maven-local
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(commons-logging:commons-logging)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.ant:ant)
BuildRequires:  mvn(org.apache:apache:pom:)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.bouncycastle:bcmail-jdk15)
BuildRequires:  mvn(org.bouncycastle:bcprov-jdk15)
BuildRequires:  mvn(jakarta.xml.bind:jakarta.xml.bind-api:2)
BuildRequires:  mvn(jakarta.activation:jakarta.activation-api:1.2.2)
BuildRequires:  mvn(org.mockito:mockito-core)

BuildRequires: fonts-ttf-dejavu
BuildRequires: google-noto-emoji-fonts
BuildRequires: fonts-ttf-liberation
BuildRequires: icc-profiles-openicc
BuildRequires: fontconfig
Requires:      fonts-ttf-liberation

# TODO: Require liberation-sans-fonts >= 2 and don't ignore test failures

BuildArch:     noarch
#ExclusiveArch:  %%{java_arches} noarch

# Ant support was removed by upstream (Obsoletes added in F28)
Obsoletes:     %{name}-ant < %{version}-%{release}
# Jempbox subproject was removed by upstream (Obsoletes added in F28)
Obsoletes:     jempbox < %{version}-%{release}
# Examples package was dropped due to requiring too old lucene (Obsoletes added in F29)
Obsoletes:     %{name}-examples < %{version}-%{release}

%description
Apache PDFBox is an open source Java PDF library for working with PDF
documents. This project allows creation of new PDF documents, manipulation of
existing documents and the ability to extract content from documents. Apache
PDFBox also includes several command line utilities. Apache PDFBox is
published under the Apache License v2.0.

%package debugger
# See: debugger/target/classes/META-INF/DEPENDENCIES
Requires:      mvn(commons-logging:commons-logging)
Requires:      mvn(org.apache.pdfbox:fontbox)
Requires:      mvn(org.apache.pdfbox:pdfbox)
Requires:      mvn(org.bouncycastle:bcmail-jdk15)
Requires:      mvn(org.bouncycastle:bcpkix-jdk15)
Requires:      mvn(org.bouncycastle:bcprov-jdk15)
# needed by wrapper script
Requires:      javapackages-tools
Summary:       Apache PDFBox Debugger

%description debugger
This package contains the PDF debugger for Apache PDFBox.

%package tools
# See: tools/target/classes/META-INF/DEPENDENCIES
Requires:      mvn(commons-logging:commons-logging)
Requires:      mvn(org.apache.pdfbox:fontbox)
Requires:      mvn(org.apache.pdfbox:pdfbox)
Requires:      mvn(org.apache.pdfbox:pdfbox-debugger)
Requires:      mvn(org.bouncycastle:bcmail-jdk15)
Requires:      mvn(org.bouncycastle:bcpkix-jdk15)
Requires:      mvn(org.bouncycastle:bcprov-jdk15)
# needed by wrapper script
Requires:      javapackages-tools
Summary:       Apache PDFBox Tools

%description tools
This package contains command line tools for Apache PDFBox.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%package -n fontbox
Summary:        Apache FontBox

%description -n fontbox
FontBox is a Java library used to obtain low level information from font
files. FontBox is a subproject of Apache PDFBox.

%package parent
Summary:        Apache PDFBox Parent POM

%description parent
Apache PDFBox Parent POM.

%package reactor
Summary:        Apache PDFBox Reactor POM

%description reactor
Apache PDFBox Reactor POM.

%package -n preflight
# See: preflight/target/classes/META-INF/DEPENDENCIES
Requires:      mvn(commons-logging:commons-logging)
Requires:      mvn(org.apache.pdfbox:fontbox)
Requires:      mvn(org.apache.pdfbox:pdfbox)
Requires:      mvn(org.apache.pdfbox:xmpbox)
Requires:      mvn(org.bouncycastle:bcmail-jdk15)
Requires:      mvn(org.bouncycastle:bcpkix-jdk15)
Requires:      mvn(org.bouncycastle:bcprov-jdk15)
# needed by wrapper script
Requires:      javapackages-tools
Summary:        Apache Preflight

%description -n preflight
The Apache Preflight library is an open source Java tool that implements 
a parser compliant with the ISO-19005 (PDF/A) specification. Preflight is a 
subproject of Apache PDFBox.

%package -n xmpbox
Summary:        Apache XmpBox

%description -n xmpbox
The Apache XmpBox library is an open source Java tool that implements Adobe's
XMP(TM) specification.  It can be used to parse, validate and create xmp
contents.  It is mainly used by subproject preflight of Apache PDFBox. 
XmpBox is a subproject of Apache PDFBox.

%prep
%setup -q
find -name '*.class' -delete
find -name '*.jar' -delete
find -name 'sRGB.icc*' -print -delete
find -name '*.icm' -print -delete
find -name '*.ttf' -print -delete

%patch -P 0 -p1 -b .font
%patch -P 1 -b .openicc
%patch -P 2 -p1
#mkdir .xmvn
#echo 8 > .xmvn/javapackages-rule-index

# Don't build apps (it's just a bundle of everything)
%pom_disable_module preflight-app
%pom_disable_module debugger-app
%pom_disable_module app

# Don't build examples, they require ancient version of lucene
%pom_disable_module examples

# Disable plugins not needed for RPM builds
%pom_remove_plugin -r :animal-sniffer-maven-plugin
%pom_remove_plugin -r :apache-rat-plugin
#pom_remove_plugin -r :maven-deploy-plugin
%pom_remove_plugin -r :maven-release-plugin
%pom_remove_plugin -r :maven-source-plugin
%pom_remove_plugin -r :maven-javadoc-plugin
%pom_remove_plugin -r :maven-checkstyle-plugin
%pom_remove_plugin -r :maven-enforcer-plugin

# Some test resources are not okay to distribute with the source, upstream
# downloads them at build time, but we can't, so we either remove or fix
# the affected tests
%pom_remove_plugin -r :download-maven-plugin
rm fontbox/src/test/java/org/apache/fontbox/cff/CFFParserTest.java \
   pdfbox/src/test/java/org/apache/pdfbox/pdfparser/TestPDFParser.java \
   pdfbox/src/test/resources/input/rendering/{FANTASTICCMYK.ai,HOTRODCMYK.ai} \
   preflight/src/test/java/org/apache/pdfbox/preflight/TestIsartorBavaria.java
#ln -s %%{_datadir}/fonts/TTF/liberation/LiberationSans-Regular.ttf pdfbox/src/test/resources/org/apache/pdfbox/ttf/LiberationSans-Regular.ttf
sed -i -e 's/\(testCIDFontType2VerticalSubset\)/ignore_\1/' pdfbox/src/test/java/org/apache/pdfbox/pdmodel/font/TestFontEmbedding.java
sed -i -e 's/\(testStructureTreeMerge\)/ignore_\1/'  pdfbox/src/test/java/org/apache/pdfbox/multipdf/PDFMergerUtilityTest.java
sed -i -e '/testPDFBOX4115/i\@org.junit.Ignore' pdfbox/src/test/java/org/apache/pdfbox/pdmodel/font/PDFontTest.java

# Remove unpackaged test deps and tests that rely on them
%pom_remove_dep -r com.github.jai-imageio:
%pom_remove_dep -r :jbig2-imageio
rm tools/src/test/java/org/apache/pdfbox/tools/imageio/TestImageIOUtils.java
%pom_remove_dep :diffutils pdfbox
rm pdfbox/src/test/java/org/apache/pdfbox/text/TestTextStripper.java
sed -i -e 's/TestTextStripper/BidiTest/' pdfbox/src/test/java/org/apache/pdfbox/text/BidiTest.java

# Remove tests that otherwise require net connectivity
rm pdfbox/src/test/java/org/apache/pdfbox/multipdf/MergeAcroFormsTest.java \
   pdfbox/src/test/java/org/apache/pdfbox/multipdf/MergeAnnotationsTest.java
sed -i -e '/\(OptionsAndNamesNotNumbers\|RadioButtonWithOptions\)/i\@org.junit.Ignore' \
  pdfbox/src/test/java/org/apache/pdfbox/pdmodel/interactive/form/PDButtonTest.java

# These test fail for unknown reasons
rm pdfbox/src/test/java/org/apache/pdfbox/pdmodel/graphics/image/CCITTFactoryTest.java

# install all libraries in _javadir
%mvn_file :%{name} %{name}
%mvn_file :%{name}-debugger %{name}-debugger
%mvn_file :%{name}-examples %{name}-examples
%mvn_file :%{name}-tools %{name}-tools
%mvn_file :preflight preflight
%mvn_file :xmpbox xmpbox
%mvn_file :fontbox fontbox

%pom_xpath_set 'pom:source' 8
%pom_xpath_set 'pom:target' 8

%pom_change_dep -r javax.activation:activation jakarta.activation:jakarta.activation-api:1.2.2
%pom_change_dep -r javax.xml.bind:jaxb-api jakarta.xml.bind:jakarta.xml.bind-api:2
%pom_xpath_remove 'pom:dependency/pom:scope[text()="provided"]' preflight
# might be removed once bouncycastle got updated
%pom_change_dep -r :bcpkix-jdk15to18 :bcpkix-jdk15
%pom_change_dep -r :bcprov-jdk15to18 :bcmail-jdk15

%build
# Integration tests all require internet access to download test resources, so skip
# Use compat version of lucene
# Ignore test failures on F38 and earlier due to liberation fonts being too old
##[INFO] --- xmvn-mojo:4.2.0:javadoc (default-cli) @ pdfbox-reactor ---
##[INFO] Ignoring JPMS as source level 1.7 is below 9
##[INFO] error: Source option 7 is no longer supported. Use 8 or later.
##[INFO] error: Target option 7 is no longer supported. Use 8 or later.
##[INFO] 2 errors
# No idea where this is from. Disabling javadoc 
%mvn_build -f --skip-javadoc -s -- -DskipITs -Dlucene.version=4 -Dmaven.test.failure.ignore=true -Dmaven.compiler.release=11 -P !jdkGte9

%install
%mvn_install

# wrapper scripts
%jpackage_script org.apache.pdfbox.debugger.PDFDebugger "" "" %{name}-debugger:commons-logging:fontbox:%{name}:bcmail:bcpkix:bcprov pdfbox-debugger true
%jpackage_script org.apache.pdfbox.tools.PDFBox "" "" %{name}-tools:commons-logging:fontbox:%{name}:%{name}-debugger:bcmail:bcpkix:bcprov pdfbox true
%jpackage_script org.apache.pdfbox.preflight.Validator_A1b "" "" preflight:jakarta-activation1/jakarta.activation-api-1:jaxb-api2/jakarta.xml.bind-api-2:commons-logging:fontbox:%{name}:xmpbox:bcmail:bcpkix:bcprov pdfbox-preflight true

%files -f .mfiles-%{name}
%doc README.md RELEASE-NOTES.txt

%files debugger -f .mfiles-%{name}-debugger
%{_bindir}/pdfbox-debugger

%files tools -f .mfiles-%{name}-tools
%{_bindir}/pdfbox

%files -n fontbox -f .mfiles-fontbox
%doc fontbox/README.txt
%license LICENSE.txt NOTICE.txt

%files parent -f .mfiles-%{name}-parent
%license LICENSE.txt NOTICE.txt

%files -n preflight -f .mfiles-preflight
%{_bindir}/pdfbox-preflight
%doc preflight/README.txt

%files -n xmpbox -f .mfiles-xmpbox
%doc xmpbox/README.txt
%license LICENSE.txt NOTICE.txt
