%bcond_without pcre

Name:           pdfgrep
Summary:        search in pdf files for strings matching a regular expression
Version:        2.2.0
Release:        %mkrel 3
Group:          Publishing
License:        GPLv3
URL:            https://pdfgrep.org/
Source0:        https://pdfgrep.org/download/%{name}-%{version}.tar.gz
%if %{with pcre}
BuildRequires:  pkgconfig(libpcre2-8)
%endif
BuildRequires:  pkgconfig(poppler)
BuildRequires:  pkgconfig(poppler-cpp)
BuildRequires:  pkgconfig(libgcrypt)
BuildRequires:  asciidoc

%description
Pdfgrep is a tool to search text in PDF files. It works similar to grep.
Features:
- search for regular expressions.
- support for some important grep options, including:
  o filename output
  o page number output
  o optional case insensitivity
  o count occurrences
- and the most important feature: color output!

%prep
%autosetup -p1

%build
%configure %{!?with_pcre:--without-libpcre}
%make_build

%install
%make_install

%files
%doc NEWS.md AUTHORS
%license COPYING
%{_bindir}/%{name}
%{_datadir}/bash-completion/completions/pdfgrep
%{_datadir}/zsh/site-functions/_pdfgrep
%{_mandir}/man1/%{name}.1*
