%bcond_without qt

%define		_peazipinstalldir %{_datadir}/peazip

Summary:	File and archive manager %{?with_qt:(Lazarus/Qt6)}
Name:		peazip
Version:	10.4.0
Release:	%mkrel 1
License:	LGPLv3
Group:		File tools
Url:		https://peazip.github.io/
Source0:	https://download.sourceforge.net/%{name}/%{name}-%{version}.src.zip
#Source1:        https://sourceforge.net/projects/peazip/files/%%{version}/peazip_help.pdf
# configure to run in users home appdata
Source2:	altconf.txt
Patch0:		peazip-desktop.patch
Patch1:		peazip-10.4.0-debuginfo.patch
# remove metadark dep as per instructions as it is unused on linux
Patch2:		peazip-metadark.patch
# use qt5 workarounds on qt6 to avoid crashes
Patch3:		peazip-qt6.patch
BuildRequires:	kf6-rpm-macros
BuildRequires:	brotli
BuildRequires:	dos2unix
BuildRequires:	lazarus >= 1.2.0
%if %{with qt}
BuildRequires:	qt6pas-devel
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
%else
BuildRequires:	pkgconfig(gtk+-2.0)
%endif
BuildRequires:	icoutils
BuildRequires:	p7zip
BuildRequires:	unzip
BuildRequires:	zstd
Requires:	brotli
Requires:	p7zip
Requires:	upx >= 3.09
Requires:	zstd

%description
PeaZip is a free cross-platform file archiver that provides a unified
portable GUI for many Open Source technologies like 7-Zip, FreeArc, PAQ,
UPX...

%package kf6
Summary:	KF6 servicemenu for peazip
Group:		Graphical desktop/KDE
BuildArch:	noarch
Requires:	%{name}

Obsoletes:	peazip-kf5 < 9.1.0-4

%description kf6
PeaZip is a file and archive manager GUI for many formats.
This subpackage contains the KF6 integration.

%prep
%autosetup -p1 -n %{name}-%{version}.src
chmod +w res/share/lang
dos2unix readme*
iconv -f iso8859-1 -t utf-8 readme.txt > readme.conv && mv -f readme.conv readme.txt
mv res/share/copying/copying.txt .

%build
cd dev
lazbuild --lazarusdir=%{_libdir}/lazarus \
%ifarch x86_64
	--cpu=x86_64 \
%endif
%if %{with qt}
	--widgetset=qt6 \
%else
	--widgetset=gtk2 \
%endif
	--max-process-count=1 \
	-B project_peach.lpi project_pea.lpi

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_peazipinstalldir}/res/share
cp %{SOURCE2} %{buildroot}%{_peazipinstalldir}/res/

#install helper apps
mkdir -p %{buildroot}%{_peazipinstalldir}/res/bin/{7z,upx,brotli,zstd}
ln -s %{_bindir}/7z  %{buildroot}%{_peazipinstalldir}/res/bin/7z/7z
ln -s %{_bindir}/upx  %{buildroot}%{_peazipinstalldir}/res/bin/upx/upx
ln -s %{_bindir}/brotli  %{buildroot}%{_peazipinstalldir}/res/bin/brotli/brotli
ln -s %{_bindir}/zstd  %{buildroot}%{_peazipinstalldir}/res/bin/zstd/zstd

# binaries
install -m 0755 dev/peazip %{buildroot}%{_peazipinstalldir}
ln -s %{_peazipinstalldir}/peazip %{buildroot}%{_bindir}/peazip
install -m 0755 dev/pea %{buildroot}%{_peazipinstalldir}/res
ln -s %{_peazipinstalldir}/res/pea %{buildroot}%{_bindir}/pea

# icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/256x256/mimetypes
install -m 0644 res/share/icons/peazip_{7z,rar,zip}.png %{buildroot}%{_iconsdir}/hicolor/256x256/mimetypes/
mkdir -p %{buildroot}%{_iconsdir}/hicolor/256x256/actions
install -m 0644 res/share/icons/peazip_{add,extract,browse,convert}.png %{buildroot}%{_iconsdir}/hicolor/256x256/actions/

# desktop
mkdir -p %{buildroot}%{_datadir}/applications
install -m 0644 res/share/batch/freedesktop_integration/peazip.desktop %{buildroot}%{_datadir}/applications/

mkdir -p %{buildroot}%{_iconsdir}/hicolor/256x256/apps
install -m 0644 res/share/batch/freedesktop_integration/peazip.png %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png

# help & res
install -m 0644 res/share/peazip_help.pdf %{buildroot}%{_peazipinstalldir}/res/share/peazip_help.pdf
cp -r res/share/{icons,lang,themes} %{buildroot}%{_peazipinstalldir}/res/share/

# KDE-servicemenus
mkdir -p %{buildroot}%{_kf6_datadir}/kio/servicemenus
install -m 0644 res/share/batch/freedesktop_integration/KDE-servicemenus/KDE6-dolphin/*.desktop %{buildroot}%{_kf6_datadir}/kio/servicemenus/

%files
%doc readme.txt
%license copying.txt
%{_bindir}/*
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/actions/*.png
%{_iconsdir}/hicolor/*/mimetypes/*.png
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/

%files kf6
%{_kf6_datadir}/kio/servicemenus/*.desktop
