# comment out if not pre-release
#define prel	rc1

# rel for bumping
%define rel	2

Name:		pekwm
Version:	0.3.0
Release:	%mkrel %{?prel:0.%prel.}%{rel}
Summary:	A minimalist window manager for the X Window System
License:	GPLv2+
Group:		Graphical desktop/Other
URL:		https://www.pekwm.se/
Source0:	https://github.com/pekwm/pekwm/releases/download/release-%{version}%{?prel:-%prel}/%{name}-%{version}%{?prel:-%prel}.tar.gz
# modify config
Source1:	pekwm_config
Source2:	pekwm_mouse
Source3:        30Pekwm.desktop
# add themes (fonts changed for Mandriva; imported into Mageia)
Source10:	Opus3_Alpha-dev-20050227.tar.bz2
Source11:	OpusOS-Deep.tar.bz2

BuildRequires:	cmake
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(pango)
Requires:	xterm

%description
Pekwm is a window manager based on aewm++, but it no longer
resembles it. It is highly configurable, rather fast, and
aimed towards being usable while remaining pretty enough to
look at. Features include client window grouping into one
window frame, automatic window size, location, grouping
and title rewriting.


%prep
%setup -q -n %{name}-%{version}%{?prel:-%prel}

# modify config
cp -f %{SOURCE1} data/config
cp -f %{SOURCE2} data/mouse

%build
%cmake
%cmake_build

%install
%cmake_install

# install themes
tar -jxf %{SOURCE10} -C %{buildroot}%{_datadir}/%{name}/themes
tar -jxf %{SOURCE11} -C %{buildroot}%{_datadir}/%{name}/themes

%__install -D -m644 %{SOURCE3} %{buildroot}%{_datadir}/xsessions/30Pekwm.desktop

# startfile
cat > %{buildroot}%{_bindir}/start%{name} << EOF
#!/usr/bin/bash
exec %{_bindir}/%{name}
EOF

chmod 755 %{buildroot}%{_bindir}/start%{name}

%posttrans
# (ovitters) In posttrans, $1 is always equal to 1, even in the upgrade case.
# So just run this always:
if [ -e %{_datadir}/xsessions/30pekwm.desktop ]; then
	rm -rf %{_datadir}/xsessions/30pekwm.desktop
fi
if [ -e %{_sysconfdir}/X11/dm/Sessions/30pekwm.desktop ]; then
	rm -rf %{_sysconfdir}/X11/dm/Sessions/30pekwm.desktop
fi

%files
%doc AUTHORS NEWS.md README.md
%license LICENSE
%config(noreplace) %{_sysconfdir}/pekwm
%{_bindir}/%{name}
%{_bindir}/%{name}_bg
%{_bindir}/%{name}_ctrl
%{_bindir}/%{name}_dialog
%{_bindir}/%{name}_panel
%{_bindir}/%{name}_screenshot
%{_bindir}/%{name}_theme
%{_bindir}/%{name}_wm
%{_bindir}/start%{name}
%{_datadir}/%{name}/
%{_datadir}/xsessions/30Pekwm.desktop
%{_mandir}/man1/*.1*
