%define pypi_name pelican

Name:           pelican
Version:        4.9.1
Release:        %mkrel 2
Group:          Development/Python
Summary:        A tool to generate a static blog from reStructuredText or Markdown input files

License:        AGPLv3
URL:            https://getpelican.com
Source0:        https://pypi.python.org/packages/source/p/pelican/pelican-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel


%description
Pelican is a static site generator, written in Python.
Write your content directly with your editor of choice (vim!) in reStructuredText, Markdown, or AsciiDoc formats
Includes a simple CLI tool to (re)generate your site
Easy to interface with distributed version control systems and web hooks
Completely static output is easy to host anywhere

%package -n     python3-%{pypi_name}
Summary:        A tool to generate a static blog from reStructuredText or Markdown input files
Provides:       %{name} = %{version}-%{release}
Obsoletes:      %{name} < 4.0.1-2

%description -n python3-%{pypi_name}
Pelican is a static site generator, written in Python 3.
Write your content directly with your editor of choice (vim!) in reStructuredText, Markdown, or AsciiDoc formats
Includes a simple CLI tool to (re)generate your site
Easy to interface with distributed version control systems and web hooks
Completely static output is easy to host anywhere


%prep
%autosetup -p1 -n %{pypi_name}-%{version}


find -name '*.py*' -exec sed -i '1s|#!.*python$|#!%{__python3}|' {} +


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pelican

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%{_bindir}/pelican
%{_bindir}/pelican-import
%{_bindir}/pelican-quickstart
%{_bindir}/pelican-themes
%{_bindir}/pelican-plugins
