Name:		pencil2d
Version:	0.7.0
Release:	%mkrel 1
Summary:	Traditional animation/drawing software
Group:		Graphics/Editors and Converters
License:	GPLv2
URL:		https://www.pencil2d.org/
Source0:	https://gitlab.com/chchwy/pencil2d/-/archive/v%{version}/%{name}-v%{version}.tar.gz

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Help)
BuildRequires:	cmake(Qt6Multimedia)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)

Obsoletes:	pencil-planner < 0.4.4b-11
Provides:	pencil-planner = %{version}-%{release}

%description
Pencil2D is an animation/drawing software for Mac OS X, Windows, and Linux.
It lets you create traditional hand-drawn animation (cartoon) using both
bitmap and vector graphics. Pencil2D is free and open source.

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%qmake_qt6 PREFIX=%{_prefix}

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%license LICENSE.TXT
%doc docs/*
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/applications/org.%{name}.Pencil2D.desktop
%{_datadir}/mime/packages/org.%{name}.Pencil2D.*
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/zsh/site-functions/_%{name}
%{_metainfodir}/org.%{name}.Pencil2D.metainfo.xml
