%global sum	A clone of the classic Missile Command game

Name:		penguin-command
Summary:	%{sum}
Version:	1.6.11
Release:	%mkrel 19
Source0:	https://downloads.sourceforge.net/penguin-command/%{name}-%{version}.tar.bz2
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
Patch0:		penguin-command-1.6.11-mga-high-score.patch
Patch1:		penguin-command-c99.patch
URL:		https://www.linux-games.com/penguin-command/index.html
License:	GPLv2+
Group:		Games/Arcade
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_image)

%description
This is a clone of the classic "Missile Command" Game, but with better
graphics and music. The gameplay has only been slightly modified. Penguin
Command is completely licensed under the GPL, excluding the music.

%prep
%setup -q
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Penguin Command
Comment=%{sum}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

install -m755 -d %{buildroot}%{_mandir}/ja/man6
mv %{buildroot}%{_mandir}/man6/penguin-command.ja.6 %{buildroot}%{_mandir}/ja/man6/penguin-command.6

%files
%doc README NEWS AUTHORS
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_mandir}/*/penguin*
%lang(ja) %{_mandir}/ja/*/penguin*
