%define upstream_name libxml

Name:           pentaho-libxml
Version:        1.1.6
Release:        %mkrel 17
Summary:        Namespace aware SAX-Parser utility library
License:        LGPLv2+
Group:          Development/Java
URL:            https://reporting.pentaho.org/
Source:         https://downloads.sourceforge.net/jfreereport/%{upstream_name}-%{version}.zip
Patch0:         pentaho-libxml-1.1.2-fix-build.patch
Patch1:         libxml-1.1.2-java11.patch
Patch2:         pentaho-libxml-1.1.6-remove-antcontrib-support.patch
Patch3:         pentaho-libxml-1.1.3-remove-commons-logging.patch
BuildRequires:  ant
BuildRequires:  java-devel
BuildRequires:  javapackages-tools
BuildRequires:  libbase
BuildRequires:  libloader

Requires:       java >= 0:1.6.0
Requires:       jpackage-utils
Requires:       libbase >= 1.1.2
Requires:       libloader >= 1.1.2
BuildArch:      noarch

%description
Pentaho LibXML is a namespace aware SAX-Parser utility library. It eases the
pain of implementing non-trivial SAX input handlers.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}.


%prep
%setup -q -c
%patch -P 0 -p0 -b .build
%patch -P 1 -p1 -b .java11
%patch -P 2 -p1 -b .no_antcontrib
%patch -P 3 -p1

find . -name "*.jar" -exec rm -f {} \;
mkdir -p lib
build-jar-repository -s -p lib libbase libloader

%build
ant jar javadoc
for file in README.txt licence-LGPL.txt ChangeLog.txt; do
    tr -d '\r' < $file > $file.new
    mv $file.new $file
done

%install
mkdir -p %{buildroot}%{_javadir}
cp -p ./dist/%{upstream_name}-%{version}.jar %{buildroot}%{_javadir}/%{upstream_name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{upstream_name}
cp -rp bin/javadoc/docs/api %{buildroot}%{_javadocdir}/%{upstream_name}

%files
%doc licence-LGPL.txt README.txt ChangeLog.txt
%{_javadir}/%{upstream_name}.jar

%files javadoc
%{_javadocdir}/%{upstream_name}
