Name:           pentaho-reporting-flow-engine
Epoch:          1
Version:        0.9.4
%define		subrel 1
Release:        %mkrel 16
Summary:        Pentaho Flow Reporting Engine
License:        LGPLv2+
Group:          System/Libraries
Source0:        https://downloads.sourceforge.net/jfreereport/flow-engine-%{version}.zip

Patch0:		pentaho-reporting-flow-engine-0.9.4-remove-commons-logging.patch

URL:            https://reporting.pentaho.org/
BuildRequires:  ant
BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildRequires:  libbase
BuildRequires:  libserializer
BuildRequires:  libloader
BuildRequires:  libfonts
BuildRequires:  pentaho-libxml
BuildRequires:  xml-commons-apis
BuildRequires:  librepository
BuildRequires:  sac
BuildRequires:  flute
BuildRequires:  liblayout
BuildRequires:  libformula
Requires:       java, jpackage-utils, libbase >= 1.1.3, libfonts >= 1.1.3
Requires:       pentaho-libxml, libformula >= 1.1.3, librepository >= 1.1.3
Requires:       sac, flute, liblayout >= 0.2.10, libserializer
BuildArch:      noarch

%description
Pentaho Reporting Flow Engine is a free Java report library, formerly
known as 'JFreeReport'


%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java
Requires:       %{name} = 1:%{version}-%{release}
Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}.


%prep
%setup -q -c
%patch -P 0 -p1 -b .no_commons_logging
mkdir -p lib
find . -name "*.jar" -exec rm -f {} \;
build-jar-repository -s -p lib libbase libloader \
    libfonts libxml jaxp libformula librepository sac flute liblayout \
    libserializer

%build
ant jar javadoc

%install
mkdir -p %{buildroot}%{_javadir}
cp -p build/lib/flow-engine.jar %{buildroot}%{_javadir}/flow-engine.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp build/api %{buildroot}%{_javadocdir}/%{name}

%files
%defattr(0644,root,root,0755)
%doc licence-LGPL.txt README.txt ChangeLog.txt
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}
