Name:           pentobi
Version:        25.1
Release:        %mkrel 1
Summary:        Blokus board game with a component opponent
Group:          Games/Boards
License:        GPLv3+
URL:            https://pentobi.sourceforge.io/
Source0:        https://download.sf.net/pentobi/%{name}-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  appstream
BuildRequires:  docbook5-style-xsl
BuildRequires:  itstool
BuildRequires:  librsvg
BuildRequires:  xsltproc

# see mga#32767
Requires:       qt6-qtdeclarative

Obsoletes:      pentobi-kde-thumbnailer < 22.0-1

%description
Pentobi is a computer opponent for the board game Blokus.

- Supported game variants: Classic, Duo, Trigon, Junior, Nexos, Callisto
- Strong Blokus engine with 9 different playing levels
- Player rating by playing rated games against the computer
- Game analysis function
- Save and load games in Smart Game Format including comments and move variations

%prep
%autosetup -p1

%build
%cmake \
    -DCMAKE_INSTALL_BINDIR=%{_gamesbindir} \
    -DCMAKE_INSTALL_DATADIR=%{_gamesdatadir}
%cmake_build

%install
%cmake_install

%files
%doc NEWS.md README.md
%license LICENSE.md
%{_datadir}/applications/io.sourceforge.%{name}.desktop
%{_metainfodir}/io.sourceforge.%{name}.appdata.xml
%{_datadir}/mime/packages/io.sourceforge.%{name}.xml
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_iconsdir}/hicolor/*/mimetypes/io.sourceforge.%{name}.application-x-blokus-sgf.*
