Name:           performous
Version:        1.3.1
Release:        %mkrel 7
Summary:        Open-source karaoke game that allows user supplied songs
Group:          Games/Other
License:        GPLv3+
Url:            https://performous.org/
Source0:        https://github.com/performous/performous/archive/%{version}/%{name}-%{version}.tar.gz

Source1:        https://download.sourceforge.net/performous/ultrastar-songs-libre-3.zip
Source2:        https://github.com/performous/compact_enc_det/archive/refs/heads/master/compact_enc_det-master.tar.gz
Patch0:         performous-mga-fix-install-dir.patch
Patch1:         performous-ced.patch
Patch10:        0001-fix-compile-error.patch
# https://github.com/performous/performous/pull/1005
Patch2:         performous-pr1005-ffmpeg-7.patch
#/game/animvalue.hh:100:29: error: comparison of integer expressions of different
#signedness: 'unsigned int' and 'std::ptrdiff_t' {aka 'int'} [-Werror=sign-compare]
ExcludeArch:    %{ix86} %{arm}
BuildRequires:  aubio-devel
BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  ffmpeg-devel
BuildRequires:  glm-devel
BuildRequires:  help2man
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(fmt)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(glibmm-2.4)
BuildRequires:  pkgconfig(ImageMagick)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libxml++-2.6)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(nlohmann_json)
BuildRequires:  pkgconfig(opencv)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(sigc++-2.0)
BuildRequires:  pkgconfig(portmidi)

%description
An open-source karaoke, band and dancing game where one or more players perform
a song and the game scores their performances. Supports songs in UltraStar,
Frets on Fire and StepMania formats.

%prep
%autosetup -p1

mkdir -p ced
tar -xf %{SOURCE2} -C ced/ --strip 1

%build
%cmake
%cmake_build

%install
%cmake_install

# add songs-libre
unzip %{SOURCE1} -d %{buildroot}%{_gamesdatadir}/%{name}

%find_lang Performous

%files -f Performous.lang
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man6/%{name}.6*
