%define upstream_name    API-Google
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A Perl module for easy access to Google services via their API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://search.cpan.org/dist/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/P/PA/PAVELSR/%{upstream_name}-%{upstream_version}.tar.gz
Source1:    11.patch

%{?perl_default_filter}
BuildRequires: perl-devel
BuildRequires: perl(Mojolicious::Commands)
BuildRequires: perl(Mojolicious::Plugin::OAuth2)
BuildRequires: perl(Mojolicious::Lite)
BuildRequires: perl(Mojo::Util)
BuildRequires: perl(Mojo::UserAgent)
BuildRequires: perl(Config::JSON)
BuildRequires: perl(Crypt::JWT)
BuildRequires: perl(Net::EmptyPort)
BuildRequires: perl(Tie::File)
BuildArch: noarch
%description
A Perl module for easy access to Google services via their API 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1
grep -r '#!perl' . | cut -d: -f1 | xargs perl -pi -e 's|^#!perl|#!/usr/bin/perl|'

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc *META* README.md CHANGES
%{_bindir}/*
%{_mandir}/man3/*
%{_mandir}/man1/*
%perl_vendorlib/*
