%define upstream_name	   Acme-Turing
%define upstream_version   0.02

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 12
Summary:	Turing machine emulation
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/G/GR/GROMMEL/%upstream_name-%upstream_version.tar.gz
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter)

BuildArch:	noarch
Obsoletes:	perl-Acme-Turing < 0.20.0-6

%description
This module gives you the methods needed to emulate a Turing machine in
Perl. This module is based on Turing's original paper, which allows
complete freedom in the actions to be taken before the machine enters a
new state. You can, of course, impose restrictions if you wish, as John
von Neumann's paper does.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*
