%define upstream_name	 Algorithm-Dependency
%define upstream_version 1.112

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Algorithmic framework for implementing dependency tree
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Algorithm/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(List::Util) >= 1.110.0
BuildRequires: perl(Params::Util) >= 0.310.0
BuildRequires: perl(Test::ClassAPI) >= 0.600.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Algorithm::Dependency is a framework for creating simple read-only
dependency hierarchies, where you have a set of items that rely on other
items in the set, and require actions on them as well.

Despite the most visible of these being software installation systems
like the CPAN installer, or debian apt-get, they are useful in others
situations. This module intentionally uses implementation-neutral words,
to avoid confusion.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Algorithm
%{_mandir}/*/*
