%define upstream_name    Algorithm-Evolutionary
%define upstream_version 0.80

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    N-point crossover
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Algorithm/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Algorithm::Permute) >= 0.10.0
BuildRequires: perl(B::Deparse) >= 0.560.0
BuildRequires: perl(Bit::Vector)
BuildRequires: perl(Clone) >= 0.310.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(GD) >= 2.170.0
BuildRequires: perl(Math::Random) >= 0.630.0
BuildRequires: perl(Memoize)
BuildRequires: perl(Object::Array)
BuildRequires: perl(Pod::Escapes)
BuildRequires: perl(Sort::Key)
BuildRequires: perl(Statistics::Basic) >= 1.600.0
BuildRequires: perl(String::Random)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Simple) >= 0.440.0
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Tree::DAG_Node) >= 1.40.0
BuildRequires: perl(XML::LibXML) >= 1.500.0
BuildRequires: perl(XML::Parser) >= 2.400.0
BuildRequires: perl(XML::Parser::Style::EasyTree)
BuildRequires: perl(YAML)
BuildRequires: perl(constant)
BuildRequires: perl(version)
BuildArch:  noarch

%description
'Algorithm::Evolutionary' is a set of classes for doing object-oriented
evolutionary computation in Perl. Why would anyone want to do that escapes
my knowledge, but, in fact, we have found it quite useful for our own
purposes. Same as Perl itself.

The design principle of Algorithm::Evolutionary is _flexibility_: it should
be very easy to extend using this library, and it should be also quite easy
to program what's already there in the evolutionary computation community.
Besides, the library classes should have persistence provided by XML
modules, and, in some cases, YAML.

The algorithm allows to create simple evolutionary algorithms, as well as
more complex ones, that interface with databases or with the web. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# Please restore the tests (and disable the patch) after next update
# Fails because of named parameter order changing in generated XML
rm -f t/NoChangeTerm.t
# Complains about GD version despite having a newer one
rm -f t/0601-cga-gif-output.t
# Various warnings
rm -f t/pod.t
make test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/rectangle-coverage.pl
%{_bindir}/tide_bitstring.pl
%{_bindir}/tide_float.pl
%{_bindir}/canonical-genetic-algorithm.pl
%{_mandir}/man1/tide_bitstring.pl.1*
%{_mandir}/man1/tide_float.pl.1*
%{_mandir}/man1/canonical-genetic-algorithm.pl.1*
