%define upstream_name    Algorithm-FastPermute
%define upstream_version 0.999

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 21

Summary:    Rapid generation of permutations
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Algorithm/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
Algorithm::FastPermute generates all the permutations of an array. You pass
a block of code, which will be executed for each permutation. The array
will be changed in place, and then changed back again before 'permute'
returns. During the execution of the callback, the array is read-only and
you'll get an error if you try to change its length. (You _can_ change its
elements, but the consequences are liable to confuse you and may change in
future versions.)

You have to pass an array, it can't just be a list. It *does* work with
special arrays and tied arrays, though unless you're doing something
particularly abstruse you'd be better off copying the elements into a
normal array first.

It's very fast. My tests suggest it's four or five times as fast as
Algorithm::Permute's traditional interface. If you're permuting a large
list (nine or more elements, say) then you'll appreciate this enormously.
If your lists are short then Algorithm::Permute will still finish faster
than you can blink, and you may find its interface more convenient.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


