%define upstream_name    Alien-Autotools
%define upstream_version 1.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Build and install the GNU build system
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Alien::Build) >= 0.660.0
BuildRequires: perl(Alien::autoconf) >= 0.180.0
BuildRequires: perl(Alien::automake) >= 0.180.0
BuildRequires: perl(Alien::libtool) >= 0.150.0
BuildRequires: perl(Alien::m4) >= 0.180.0
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Which)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test2::V0) >= 0.0.121
BuildRequires: perl(Test::Alien) >= 2.520.0
BuildRequires: perl(Test::Alien::Build)
BuildArch:  noarch

%description
This the Alien manpage provides the minimum tools requires for building
'autoconf' based projects which do not come bundled with a working
'configure' script. It currently delegates most of its responsibilities to
the Alien::autoconf manpage, the Alien::automake manpage, the
Alien::libtool manpage, and the Alien::m4 manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/Alien/Autotools.pm