%define upstream_name    Alien-Base-ModuleBuild
%define upstream_version 1.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Authoring an C<Alien::> module using Alien::Base::ModuleBuild
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz

#BuildRequires: perl(Acme::Alien::DontPanic)
BuildRequires: perl(Alien::Base)         	 
BuildRequires: perl(Alien::Base::PkgConfig)       	 
BuildRequires: perl(Archive::Extract)     	 
BuildRequires: perl(Archive::Tar)         	 
BuildRequires: perl(Capture::Tiny)       	 
BuildRequires: perl(File::chdir)         	 
BuildRequires: perl(HTTP::Tiny)           	 
BuildRequires: perl(List::Util)           	 
BuildRequires: perl(Module::Build)       	 
BuildRequires: perl(Path::Tiny)           	 
BuildRequires: perl(Shell::Config::Generate)     	 
BuildRequires: perl(Shell::Guess)         	 
BuildRequires: perl(Sort::Versions)       	 
BuildRequires: perl(Text::ParseWords)     	 
BuildRequires: perl(Test2::V0)   	 
BuildRequires: perl(URI)

BuildArch:  noarch

%description
This is a subclass of the Module::Build manpage, that with the Alien::Base
manpage allows for easy creation of Alien distributions. This module is
used during the build step of your distribution. When properly configured
it will

* use pkg-config to find and use the system version of the library

* download, build and install the library if the system does not provide it

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
