%define upstream_name    Alien-GMP
%define upstream_version 1.16

%global debug_package %{nil}
%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Alien package for the GNU Multiple Precision library
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz

# For Alien::Build::Plugin::Probe::CBuilder:
BuildRequires: perl(Alien::Base) >= 1.460.0
BuildRequires: perl(Alien::Build) >= 0.250.0
BuildRequires: perl(Alien::Build::MM) >= 0.320.0
BuildRequires: perl(Devel::CheckLib)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.520.0
BuildRequires: perl(Test2::V0) >= 0.0.60
BuildRequires: perl(Test::Alien)
BuildRequires: gmp-devel
Requires:   libgmp
%description
This distribution installs GMP so that it can be used by other Perl
distributions. If already installed for your operating system, and it can
be found, this distribution will use the GMP that comes with your operating
system, otherwise it will download it from the Internet, build and install
it for you.

C++ support
    This Alien will provide the C++ bindings for GMP (libgmpxx) if
    possible. If you do not have a C++ compiler, or if your operating
    system vendor provides a GMP package without the needed C++ files then
    it will not be available. To use the C++ bindings, you can use the
    'alt' method to create a C++ instance of this GMP Alien. For example:

     use ExtUtils::MakeMaker;
     use Config;
     use Alien::GMP;

     WriteMakefile(
       ...
       CONFIGURE_REQUIRES => {
         'Alien::GMP' => '1.06', # require version that provides C++ bindings
       },
       CCFLAGS => Alien::GMP->alt('gmpxx')->cflags . " $Config{ccflags}",
       LIBS    => [ Alien::GMP->alt('gmpxx')->libs ],
       ...
     );

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*
