%define upstream_name    Alien-Hunspell
%define upstream_version 0.17

%{?perl_default_filter}
%global __requires_exclude %__requires_exclude|^perl\\(File::ShareDir\\)$

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Building, finding and using libhunspell binaries
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Alien-Hunspell-vendorlib.patch
BuildArch:  noarch

BuildRequires: perl(Alien::Base) >= 0.38.0
BuildRequires: perl(Alien::Build) >= 0.250.0
BuildRequires: perl(Alien::Build::MM) >= 0.400.0
BuildRequires: perl(Alien::Build::Plugin::Build::Autoconf) >= 0.410.0
BuildRequires: perl(Alien::Build::Plugin::Probe::Vcpkg) >= 2.160.0
BuildRequires: perl(ExtUtils::CppGuess)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.520.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test2::Require) >= 0.0.60
BuildRequires: perl(Test2::V0) >= 0.0.60
BuildRequires: perl(Test::Alien::CPP)
BuildRequires: pkgconfig(hunspell)
%description
Please see the Alien manpage for the manifesto of the Alien namespace.

In short 'Alien::Hunspell' can be used to detect and get configuration settings
from an installed hunspell and related libraries.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/Alien/Hunspell.pm
%{perl_vendorlib}/Alien/Hunspell/
%{perl_vendorlib}/auto/share/dist/Alien-Hunspell/