%define upstream_name    Alien-Libxml2
%define upstream_version 0.20

%define debug_package %{nil}
%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Alien package for libxml2
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     accept-2.13.x.patch

BuildRequires: perl(Alien::Base) >= 2.370.0
BuildRequires: perl(Alien::Build) >= 0.250.0
BuildRequires: perl(Alien::Build::MM) >= 0.320.0
BuildRequires: perl(Alien::Build::Plugin::Build::SearchDep) >= 0.350.0
BuildRequires: perl(Alien::Build::Plugin::Download::GitLab)
BuildRequires: perl(Alien::Build::Plugin::Prefer::BadVersion) >= 1.50.0
BuildRequires: perl(Alien::Build::Plugin::Probe::Vcpkg)
BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.520.0
BuildRequires: perl(HTTP::Tiny) >= 0.44.0
BuildRequires: perl(IO::Socket::SSL) >= 1.560.0
BuildRequires: perl(Mozilla::CA)
BuildRequires: perl(Net::SSLeay) >= 1.490.0
BuildRequires: perl(Test2::V0) >= 0.0.121
BuildRequires: perl(Test::Alien)
BuildRequires: perl(URI)
BuildRequires: pkgconfig(libxml-2.0)
Requires:   %mklibname xml2 _2
%description
Alien::Libxml2 - Download and install libxml2

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install
%{_fixperms} %{buildroot}/*

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*
