%define upstream_name    Alien-SDL
%define upstream_version 1.446

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Building, finding and using SDL binaries
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     fix-shebang.patch
BuildRequires: perl(Archive::Extract)
BuildRequires: perl(Archive::Tar)
BuildRequires: perl(Archive::Zip)
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(File::Fetch) >= 0.240.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path) >= 2.80.0
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Which)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Text::Patch) >= 1.400.0
BuildRequires: pkgconfig(sdl)

BuildArch: noarch
Obsoletes: perl-Alien-SDL < 1.446.0-2

%{?perl_default_filter}
%global __requires_exclude %__requires_exclude|^perl\\(File::ShareDir\\)$

%description
Please see the Alien manpage for the manifesto of the Alien namespace.

In short 'Alien::SDL' can be used to detect and get configuration settings
from an installed SDL and related libraries. Based on your platform it
offers the possibility to download and install prebuilt binaries or to
build SDL & co. from source codes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
echo 1 | %__perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --installdirs=vendor

%check
./Build test

%files
%license LICENSE
%doc Changes META.json META.yml MYMETA.yml README TODO
%{_bindir}/*
%{_mandir}/man3/*
%{perl_vendorlib}/*
