%define upstream_name    Alien-autoconf
%define upstream_version 0.20

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Build or find autoconf
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Alien-autoconf-vendorlib.patch
Patch1:     Alien-autoconf-no-download.patch

BuildRequires: perl(Alien::Base) >= 0.38.0
BuildRequires: perl(Alien::Build) >= 0.250.0
BuildRequires: perl(Alien::Build::MM) >= 0.320.0
BuildRequires: perl(Alien::Build::Plugin::Build::Autoconf) >= 0.470.0
BuildRequires: perl(Alien::Build::Plugin::Build::MSYS) >= 0.840.0
BuildRequires: perl(Alien::m4)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.520.0
BuildRequires: perl(File::chdir)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test2::V0) >= 0.0.121
BuildRequires: perl(Test::Alien) >= 2.520.0
BuildArch:  noarch

Requires:   autoconf
%description
This distribution provides autoconf so that it can be used by other Perl
distributions that are on CPAN. This is most commonly necessary when
creating other Alien that target a autoconf project that does
not ship with a 'configure' script. Ideally you should complain to the
upstream developers, but if you are not able to convince them then you have
this option. There are currently two such Aliens: Alien::libuv
and Alien::Hunspell.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/Alien/autoconf.pm
%perl_vendorlib/auto/share/dist/Alien-autoconf/