%define upstream_name    Alien-gmake
%define upstream_version 0.24

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Find or build GNU Make
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Alien::Base) >= 0.38.0
BuildRequires: perl(Alien::Build) >= 0.250.0
BuildRequires: perl(Alien::Build::MM) >= 0.320.0
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.520.0
BuildRequires: perl(File::chdir)
BuildRequires: perl(Test2::V0) >= 0.0.121
BuildRequires: perl(Test::Alien) >= 0.560.0
BuildArch:  noarch

%description
Some packages insist on using GNU Make. Some platforms refuse to come with
GNU Make. Sometimes you just want to be able to build packages that require
GNU Make without having to check the version of Make each time. This module
is for that. It uses the system provided GNU Make if it can be found.
Otherwise it will download and install it into a directory not normally in
your path so that it can be used when you 'use Alien::gmake'. This way you
can use it when you need it, but not muck up your environment when you
don't.

If possible, it is better to fix the package so that it doesn't require GNU
make extensions, making it more portable. Unfortunately, sometimes this
isn't an option.

This class is a subclass of the Alien::Base manpage, so all of the methods
documented there should work with this class.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*