%define upstream_name    Alien-libtool
%define upstream_version 0.15

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Build or find libtool
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Alien-libtool-vendorlib.patch
BuildArch:  noarch

BuildRequires: perl(Alien::Base) >= 0.38.0
BuildRequires: perl(Alien::Build) >= 0.250.0
BuildRequires: perl(Alien::Build::MM) >= 0.320.0
BuildRequires: perl(Alien::Build::Plugin::Build::Autoconf) >= 0.470.0
BuildRequires: perl(Alien::Build::Plugin::Build::MSYS) >= 0.840.0
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Env)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.520.0
BuildRequires: perl(File::Which)
BuildRequires: perl(File::chdir)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Sort::Versions)
BuildRequires: perl(Test2::V0) >= 0.0.121
BuildRequires: perl(Test::Alien) >= 2.520.0
BuildRequires: libtool
Requires:   libtool
%description
This distribution provides libtool so that it can be used by other Perl
distributions that are on CPAN. It does this by first trying to detect an
existing install of libtool on your system. If found it will use that. If
it cannot be found, the source code will be downloaded from the internet
and it will be installed in a private share location for the use of other
modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/Alien/libtool.pm
%perl_vendorlib/auto/share/dist/Alien-libtool/