%define upstream_name    Alien-libuv
%define upstream_version 1.014

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Interface to the libuv library
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Alien-libuv-vendorlib.patch
Patch1:     Alien-libuv-no-download.patch

BuildRequires: perl(Alien::Autotools) >= 1.0.0
BuildRequires: perl(Alien::Base) >= 1.0.0
BuildRequires: perl(Alien::Build) >= 0.250.0
BuildRequires: perl(Alien::Build::MM) >= 0.320.0
BuildRequires: perl(Alien::Build::Plugin::Build::Autoconf) >= 0.40.0
BuildRequires: perl(Alien::Build::Plugin::Build::Make)
BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.520.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(Test2::Suite)
BuildRequires: perl(Test2::V0)
BuildRequires: perl(Test::Alien)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
BuildRequires: pkgconfig(libuv)
BuildArch:  noarch

%description
This package can be used by other https://metacpan.org modules that require
http://libuv.org.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/Alien/libuv.pm
%perl_vendorlib/Alien/libuv/
%perl_vendorlib/auto/share/dist/Alien-libuv/