%define upstream_name    Alien-wxWidgets
%define upstream_version 0.69

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6
Summary:    Building, finding and using wxWidgets binaries
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Alien-wxWidgets-0.43-fix-wrong-libname.patch

BuildRequires: perl(ExtUtils::CBuilder) >= 0.240.0
BuildRequires: perl(File::Spec) >= 1.500.0
BuildRequires: perl(LWP::Protocol::https)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Module::Pluggable) >= 2.600.0
BuildRequires: perl-devel
BuildRequires: wxgtku2.8-devel
Obsoletes:  perl-Alien-wxWidgets < 0.670.0-4

# No binaries in this package
%global debug_package %{nil}

%description
"Alien::wxWidgets" can be used to detect and get configuration
settings from an installed wxWidgets.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# fix bug 45256
%autopatch -p0

%build
%__perl Build.PL --installdirs=vendor < /dev/null
./Build

%install
./Build install --destdir=%{buildroot}

%check
./Build test

%files 
%doc Changes META.json META.yml MYMETA.yml
%{perl_vendorarch}/*
%{_mandir}/*/*
