%define upstream_name Alt-Crypt-RSA-BigInt
%define upstream_version 0.06

%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    RSA public-key cryptosystem, using Math::BigInt
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Alt/%{upstream_name}-%{upstream_version}.tar.gz

Conflicts:	perl-Crypt-RSA

BuildRequires: perl(Benchmark)
BuildRequires: perl(Carp)
BuildRequires: perl(Class::Loader)
BuildRequires: perl(Convert::ASCII::Armour)
BuildRequires: perl(Crypt::Blowfish)
BuildRequires: perl(Crypt::CBC) >= 2.170.0
BuildRequires: perl(Data::Buffer)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest::MD2)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Math::BigInt) >= 1.780.0
BuildRequires: perl(Math::BigInt::GMP)
BuildRequires: perl(Math::Prime::Util) >= 0.640.0
BuildRequires: perl(Math::Prime::Util::GMP)
BuildRequires: perl(Sort::Versions)
BuildRequires: perl(Test::More) >= 0.450.0
BuildRequires: perl(Tie::EncryptedHash)
BuildArch:  noarch

%description
This is a rework of Crypt::RSA to remove Math::Pari and instead base
all operations on Math::BigInt.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%{perl_vendorlib}/*
