%define upstream_name AnyEvent-CacheDNS
%define upstream_version 0.08

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 9

Summary:	Simple DNS resolver with caching
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/AnyEvent/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		no-network.patch

BuildRequires:	perl(AnyEvent)
BuildRequires:	perl(Module::Build) >= 0.400.400

BuildArch:	noarch

%description
This CPAN package provides a simple DNS resolver that caches the results for a
faster retrieval for subsequent calls.

This is module is very basic and has no policies for clearing our invalidating
the DNS cache. Patches and suggestions are welcome.

%prep
%autosetup -n %{upstream_name}-%{upstream_version} -p1

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
