%define upstream_name    AnyEvent-FTP
%define upstream_version 0.19

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    Server response encoder that encodes responses so they cannot be confused
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/AnyEvent/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent)
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(EV)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir::Dist)
BuildRequires: perl(File::ShareDir::Install) >= 0.60.0
BuildRequires: perl(File::Which)
BuildRequires: perl(File::chdir)
BuildRequires: perl(Moo) >= 2.0.0
BuildRequires: perl(Path::Class) >= 0.260.0
BuildRequires: perl(PerlIO::eol)
BuildRequires: perl(Test2::API) >= 1.302.15
BuildRequires: perl(Test2::V0) >= 0.0.121
BuildRequires: perl(URI)
BuildRequires: perl(autodie)
BuildArch:  noarch

%description
This distribution provides client and server implementations for File
Transfer Protocol (FTP) in an AnyEvent environment. For the specific
interfaces, see the AnyEvent::FTP::Client manpage and the
AnyEvent::FTP::Server manpage for details.

Before each release, the AnyEvent::FTP::Client manpage is tested against
these FTP servers using the 't/client_*.t' tests that come with this
distribution:

* Proftpd

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README example
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/aeftpd
%{_mandir}/man1/aeftpd.1*