%define upstream_name    AnyEvent-Worker
%define upstream_version 0.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Easily create a pool of workers and use them like a single worker
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/AnyEvent/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(common::sense)
BuildRequires: perl(lib::abs)
BuildArch: noarch

%description
Forking workers for Perl's AnyEvent framework.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
PERL_USE_UNSAFE_INC=1 %{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml README LICENSE
%{_mandir}/man3/*
%perl_vendorlib/*


