%define upstream_name    Apache-LogFormat-Compiler
%define upstream_version 0.36

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Compile a log format string to perl-code
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Apache/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(Module::Build::Tiny) >= 0.35.0
BuildRequires: perl(POSIX)
BuildRequires: perl(POSIX::strftime::Compiler) >= 0.300.0
BuildRequires: perl(Test::MockTime)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Time::Local)
BuildRequires: perl(Try::Tiny) >= 0.120.0
BuildRequires: perl(URI::Escape) >= 1.600.0
BuildArch:  noarch

%description
Compile a log format string to perl-code. For faster generation of
access_log lines.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml eg
%{_mandir}/man3/*
%perl_vendorlib/*