%define upstream_name	 Apache-ProxyRewrite
%define upstream_version 0.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:	Apache::ProxyRewrite - mod_perl URL-rewriting proxy
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Apache/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		Apache-ProxyRewrite-mpb.diff
Patch1:		Apache-ProxyRewrite-0.17-mod_perl2.diff

BuildArch:	noarch


%description
Apache::ProxyRewrite acts as a reverse-proxy that will rewrite
URLs embedded in HTML documents per apache configuration
directives.

This module was written to allow multiple backend services with
discrete URLs to be presented as one service and to allow the
proxy to do authentication on the client's behalf.

%prep

%setup -q -n %{upstream_name}-%{upstream_version}
%patch -P 0 -p1
%patch -P 1 -p1
find . -type f -exec chmod 644 {} \;

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build
#%make test

%install
%make_install

%files
%doc ChangeLog README SUPPORT
%{perl_vendorlib}/Apache/ProxyRewrite.pm
%{_mandir}/*/*
