%define upstream_name	 Apache-SSLLookup
%define upstream_version 2.00_04

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 29

Summary:	Hooks for various mod_ssl functions
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{name}
Source0:	https://cpan.metacpan.org/authors/id/G/GE/GEOFF/Apache-SSLLookup-%{upstream_version}.tar.gz
Patch0:		try_fixing_build.diff

BuildRequires:	apache-mod_perl-devel
BuildRequires:	pkgconfig(apr-1)
BuildRequires:	perl-devel
BuildRequires:  perl(Apache::Test)


%description
Apache::SSLLookup is a glue layer between Perl handlers and the
mod_ssl public API.  under normal circumstances, you would use
subprocess_env() to glean information about mod_ssl.
However, this is only possible after mod_ssl runs its fixups,
that is, Perl handlers can only accurately check the
subprocess_env table for mod_ssl information in the
PerlResponsePhase or later.
This module allows you to query mod_ssl directly via its public
C API at any point in the request cycle.  but without using C,
of course.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
export CFLAGS="%{optflags}"

%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CCFLAGS="$CCFLAGS `apr-1-config --includes`"

#%{__make} test

%install
%make_install

%files
%defattr(0644,root,root)
#%doc Changes README
%{perl_vendorarch}/auto/Apache/SSLLookup/*
%{perl_vendorarch}/Apache/*
%{_mandir}/man3/*
