%define upstream_name    Apache-Session-Wrapper
%define upstream_version 0.34

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 11

Summary:        A simple wrapper around Apache::Session
License:        GPL+ or Artistic
Group:          Development/Perl
Url:            https://metacpan.org/release/%{upstream_name}
Source0:        https://cpan.metacpan.org/modules/by-module/Apache/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Apache::Session)
BuildRequires:  perl(Apache::Test)
BuildArch:      noarch


%description
This module is a simple wrapper around Apache::Session which
provides some methods to simplify getting and setting the session
id. It can uses cookies to store the session id, or it can look in
a provided object for a specific parameter. Alternately, you can
simply provide the session id yourself in the call to the
"session()" method. If you're using Mason, you should probably 
take a look at "MasonX::Request::WithApacheSession" first,  which
integrates this module directly into Mason.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test </dev/null

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE README SIGNATURE META.yml
%{perl_vendorlib}/Apache
%{_mandir}/man3/*