%define upstream_name    Apache-Test
%define upstream_version 1.43

%global __requires_exclude perl\\(Apache2::Const\\)|perl\\(ModPerl::Config\\)
%global __provides_exclude perl\\(HTTP::Request::Common\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Test.pm wrapper with helpers for testing Apache
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Apache/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd) >= 2.60.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildArch:  noarch

Provides:   perl(Apache::TestConfigParse)
Provides:   perl(Apache::TestConfigPerl)

%description
Apache::Test is a test toolkit for testing an Apache server with any
configuration. It works with Apache 1.3 and Apache 2.0 and any of its modules,
including mod_perl 1.0 and 2.0. It was originally developed for testing
mod_perl 2.0.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%files
%doc CONTRIBUTORS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SUPPORT
%{perl_vendorlib}/Apache
%{perl_vendorlib}/Bundle
%{_mandir}/*/*