%define upstream_name    Apache2-AuthCookieDBI
%define upstream_version 2.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    An AuthCookie module backed by a DBI database
License:    LGPL
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Apache2/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Apache2::AuthCookie) >= 3.80.0
BuildRequires: perl(Apache2::Const)
BuildRequires: perl(Apache2::RequestRec)
BuildRequires: perl(Apache2::ServerUtil)
BuildRequires: perl(Carp)
BuildRequires: perl(Crypt::CBC) >= 2.130.0
BuildRequires: perl(DBI) >= 1.400.0
BuildRequires: perl(Date::Calc)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Digest::SHA) >= 5.470.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FindBin)
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Test::More) >= 0.400.0
BuildRequires: perl(mod_perl2) >= 1.999.22
BuildArch:  noarch

%description
Apache2::AuthCookieDBI is a module that subclasses Apache2::AuthCookie and is
designed to be directly used for authentication in a mod_perl server.

It is a ticket-issuing system that looks up username/passwords in a DBI
database using generic SQL and issues MD5-checksummed tickets valid for
a configurable time period.  Incoming requests with tickets are
checksummed and expire-time checked.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README eg
%{perl_vendorlib}/Apache2
%{_mandir}/*/*
