%define upstream_name    App-Asciio
%define upstream_version 1.51.3

%{?perl_default_filter}
%global __requires_exclude perl\\(App::Asciio::.*\\)  

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Plain ASCII diagram
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(Clone)
BuildRequires:  perl(Data::TreeDumper)
BuildRequires:  perl(Data::TreeDumper::Renderer::GTK)
BuildRequires:  perl(Directory::Scratch)
BuildRequires:  perl(Directory::Scratch::Structured)
BuildRequires:  perl(Data::Compare)
BuildRequires:  perl(Eval::Context)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:	perl(Module::Build)
BuildRequires:  perl(Test::Warn)
BuildRequires:  perl(Test::Block)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::NoWarnings)
BuildRequires:  perl(Test::Strict)
BuildRequires:  perl(Term::Size)

BuildArch:  noarch


%description
This gtk2-perl application allows you to draw ASCII diagrams in a modern (but
simple) graphical application. The ASCII graphs can be saved as ASCII or in a
format that allows you to modify them later.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL installdirs=vendor
./Build

%check
# test don't run, even with xvfb-run
# xvfb-run ./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc README Todo.txt Changes META.yml
%{_mandir}/man3/*
%{_bindir}/*
%{perl_vendorlib}/App
