%define upstream_name	 App-CLI
%define upstream_version 0.52

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Dispatcher module for command line interface programs 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Carp)
BuildRequires: perl(Class::Load)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(Getopt::Long) >= 2.350.0
BuildRequires: perl(Locale::Maketext::Simple)
BuildRequires: perl(Pod::Simple::Text)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Kwalitee)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
App::CLI dispatches CLI (command line interface) based commands into command 
classes. It also supports subcommand and per-command options.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl -pi -e 's/auto_install\(\)\;//' Makefile.PL

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{perl_vendorlib}/App
%{_mandir}/man3/*