%define _enable_debug_packages %{nil}
%define debug_package    %{nil}
%define upstream_name    App-ClusterSSH
%define upstream_version 4.18

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A container for functions of the ClusterSSH programs
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

Provides:   clusterssh
Provides:   ClusterSSH
Provides:   %{upstream_name}
Provides:   cssh

Requires:   openssh-clients
Requires:   xterm
BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(English)
BuildRequires: perl(Exception::Class) >= 1.310.0
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Glob)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Which)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long) >= 2.480.0
BuildRequires: perl(Getopt::Std)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Locale::Maketext) >= 1.10.0
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Module::Load)
BuildRequires: perl(Net::hostent)
BuildRequires: perl(POSIX)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Readonly)
BuildRequires: perl(Socket)
BuildRequires: perl(Symbol)
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Trap)
BuildRequires: perl(Tk) >= 800.22.0
BuildRequires: perl(Tk::Dialog)
BuildRequires: perl(Tk::LabEntry)
BuildRequires: perl(Tk::ROText)
BuildRequires: perl(Tk::Xlib)
BuildRequires: perl(Try::Tiny) >= 0.280.0
BuildRequires: perl(X11::Keysyms)
BuildRequires: perl(X11::Protocol) >= 0.560.0
BuildRequires: perl(X11::Protocol::Constants)
BuildRequires: perl(X11::Protocol::WM) >= 29.0.0
BuildRequires: perl(XML::Simple)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This tool is intended for (but not limited to) cluster administration
where the same configuration or commands must be run on each node within
the cluster. Performing these commands all at once via this tool ensures
all nodes are kept in sync.

Connections are opened using ssh which must be correctly installed and
configured.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%check
rm -f %{_builddir}/%{upstream_name}-%{upstream_version}/*list
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc AUTHORS Changes INSTALL LICENSE META.yml MYMETA.yml README THANKS TODO
%{_bindir}/ccon
%{_bindir}/clusterssh_bash_completion.dist
%{_bindir}/crsh
%{_bindir}/csftp
%{_bindir}/cssh
%{_bindir}/ctel
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*