%define upstream_name    App-Cme
%define upstream_version 1.041

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Generates pod doc from model files
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Cmd::Setup)
BuildRequires: perl(App::Cmd::Tester)
BuildRequires: perl(Config::Model) >= 2.148.0
BuildRequires: perl(Config::Model::FuseUI)
BuildRequires: perl(Config::Model::Lister)
BuildRequires: perl(Config::Model::ObjTreeScanner)
BuildRequires: perl(Config::Model::SimpleUI)
BuildRequires: perl(Config::Model::TermUI)
BuildRequires: perl(Config::Model::Utils::GenClassPod)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Encode)
BuildRequires: perl(English)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Spec)
BuildRequires: perl(JSON)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Module::Build) >= 0.340.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Pod::POM)
BuildRequires: perl(Pod::POM::View::Text)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Term::ANSIColor) >= 2.10.0
BuildRequires: perl(Test::File::Contents)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Perl::Critic)
BuildRequires: perl(Test::Pod) >= 1.0.0
BuildRequires: perl(Tie::Hash)
BuildRequires: perl(YAML::PP)
BuildArch:  noarch

%description
Common methods for all cme commands

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/cme
%{_mandir}/man1/cme.1*