%define upstream_name    App-Daemon
%define upstream_version 0.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Start an Application as a Daemon
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Pid)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Std)
BuildRequires: perl(Log::Log4perl) >= 1.0.0
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Sysadm::Install) >= 0.370.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
'App::Daemon' helps running an application as a daemon. The idea is that
you prepend your script with the

    use App::Daemon qw( daemonize ); 
    daemonize();

and 'daemonize' it that way. That means, that if you write

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*