%define upstream_name	 App-Info
%define upstream_version 0.57

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Information about software packages on a system
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build) >= 0.270.100
BuildRequires: perl(Test::More) >= 0.170.0
BuildRequires: perl(Module::Build)
BuildRequires: apache
BuildRequires: postgresql-devel
BuildRequires: pkgconfig(sqlite3)
BuildRequires: sqlite3-tools
BuildArch:  noarch

%description
App::Info provides a generalized interface for providing metadata
about software packages installed on a system. The idea is that
App::Info subclasses can be used in Perl application installers in
order to determine whether software dependencies have been fulfilled,
and to get necessary metadata about those software packages.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build
./Build test

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.json META.yml
%{perl_vendorlib}/App
%{_mandir}/*/*