%define upstream_name    App-Maisha
%define upstream_version 0.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Summary:    Maisha interface to Identi.ca
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(Config::Any)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Path)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::File)
BuildRequires: perl(Module::Pluggable) >= 2.700.0
BuildRequires: perl(Net::Twitter) >= 3.180.30
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Storable)
BuildRequires: perl(Term::Shell)
BuildRequires: perl(Test::More) >= 0.700.0
BuildRequires: perl(Text::Wrap)
BuildArch:  noarch

%description
This distribution provides the ability to micro-blog via social networking
websites and services, such as Identica and Twitter.

For further information regarding the commands and configuration, please
see the 'maisha' script included with this distribution.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_bindir}/maisha
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*