%define upstream_name    App-Pod2CpanHtml
%define upstream_version 0.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Convert Pod to search.cpan.org style HTML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Pod::Simple)
BuildArch: noarch

%description
This module is used for converting Pod documents to the
https://search.cpan.org/ manpage style HTML.

Pod is Perl's _Plain Old Documentation_ format, see the perlpod manpage.

'App::Pod2CpanHtml' produces HTML output similar to search.cpan.org by
using the same conversion module, the Pod::Simple::HTML manpage and the
same CSS, the https://search.cpan.org/s/style.css manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/pod2cpanhtml
%{_mandir}/man1/pod2cpanhtml.1*

