%define upstream_name    App-PrereqGrapher
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Generate dependency graph for perl source
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Devel::FindPerl)
BuildRequires: perl(File::Compare)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Graph::Easy)
BuildRequires: perl(Module::CoreList)
BuildRequires: perl(Module::Path)
BuildRequires: perl(Moo)
BuildRequires: perl(Perl::PrereqScanner)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
App::PrereqGrapher builds a directed graph of the prereqs or dependencies
for a file or module. It uses Perl::PrereqScanner to find the dependencies
for the seed, and then repeatedly calls Perl::PrereqScanner on those
dependencies, and so on, until all dependencies have been found.

It then saves the resulting graph to a file, using one of the five
supported formats. The default format is 'dot', the format used by the
GraphViz graph drawing toolkit.

If your code contains lines like:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/prereq-grapher
%{_mandir}/man1/prereq-grapher.1*

