%define upstream_name    App-Rad
%define upstream_version 1.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Extend the App::Rad framework!
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Attribute::Handlers)
BuildRequires: perl(B::Deparse)
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long) >= 2.360.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
App::Rad aims to be a simple yet powerful framework for developing your
command-line applications. It can easily transform your Perl _one-liners_
into reusable subroutines than can be called directly by the user of your
program.

It also tries to provide a handy interface for your common command-line
tasks.

Extending App::Rad - Plugins!
    App::Rad plugins can be loaded by naming them as arguments to the 'use
    App::Rad' statement. Just omit the 'App::Rad::Plugin' prefix from the
    plugin name.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
