%define upstream_name    App-Raps2
%define upstream_version 0.54

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Password class for App::Raps2
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config::Tiny)
BuildRequires: perl(Crypt::CBC)
BuildRequires: perl(Crypt::Eksblowfish)
BuildRequires: perl(Crypt::Eksblowfish::Bcrypt)
BuildRequires: perl(File::BaseDir)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(POSIX)
BuildRequires: perl(Term::ReadLine)
BuildRequires: perl(Test::Compile)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
*App::Raps2* is the backend for *raps2*, a simple commandline password
safe.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changelog COPYING SIGNATURE META.yml README
%{_bindir}/raps2
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/raps2
%{_mandir}/man1/raps2.1*

