%define upstream_name    App-SerializeUtils
%define upstream_version 0.165

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Utilities for serialization tasks
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

#BuildRequires: perl(Data::Dmp) >= 0.210.0
BuildRequires: perl(Data::Dmp)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(PHP::Serialization)

#BuildRequires: perl(Getopt::Long::Complete)

#Optional dep:
%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Data::Bahe\\)$

BuildArch:  noarch

%description
This distributions provides the following command-line utilities related to
serialization:

* * the check-json manpage

* * the check-phpser manpage

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/*
/usr/share/man/man1/*