%define upstream_name    App-cpangitify
%define upstream_version 0.18

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Convert cpan distribution from BackPAN to a git repository
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Extract)
BuildRequires: perl(CPAN::ReleaseHistory)
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::chdir)
BuildRequires: perl(Git::Wrapper)
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(IPC::System::Simple)
BuildRequires: perl(JSON::PP)
BuildRequires: perl(Path::Class) >= 0.260.0
BuildRequires: perl(PerlX::Maybe) >= 0.3.0
BuildRequires: perl(Sort::Versions)
BuildRequires: perl(Test2::API) >= 1.302.86
BuildRequires: perl(Test2::Plugin::FauxHomeDir)
BuildRequires: perl(Test2::V0) >= 0.0.60
BuildRequires: perl(URI)
BuildRequires: perl(URI::file)
BuildArch:  noarch

%description
This is the module for the the cpangitify manpage script. See the
cpangitify manpage for details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/cpangitify
%{_mandir}/man1/cpangitify.1*