%define upstream_name    App-perlall
%define upstream_version 0.51

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Summary:    build, test and do with all perls 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Rad) >= 1.40.0
BuildRequires: perl(Cwd) >= 3.300.0
BuildRequires: perl(Devel::PatchPerl) >= 0.460.0
BuildRequires: perl(Devel::Platform::Info)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename) >= 2.740.0
BuildRequires: perl(File::Path) >= 1.80.0
BuildRequires: perl(Getopt::Long) >= 2.360.0
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(IPC::Cmd) >= 0.460.0
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Pod::Usage) >= 1.330.0
BuildArch:  noarch

# from a EOF block wrongly treated:
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(private::MakeUtil\\)$

%description
perlall is like a better perlbrew with a lot of testing features. The perls are
in the default /usr/local/bin/, and /usr/local/lib/perl5/VERSION paths, instead
of locally, and . You need write access to the default PREFIX /usr/local, e.g.
via sudo. It does not use local::lib, does not mangle PERL5LIB and builds and
keeps sane global perl installations with special suffices, without the need to
save and restore internal states. The suffices are used in postprocessing
scripts.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/perlall
%{_mandir}/man1/perlall.1*