%define upstream_name	 AppConfig-Std
%define upstream_version 1.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Subclass of AppConfig that provides standard options
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/AppConfig/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AppConfig) >= 1.520.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Pod::Usage) >= 1.140.0
BuildRequires: perl(AppConfig)
BuildArch:  noarch

%description
AppConfig::Std is a Perl module that provides a set of standard configuration
variables and command-line switches. It is implemented as a subclass of
AppConfig; AppConfig provides a general mechanism for handling global
configuration variables.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/AppConfig/*
%{_mandir}/*/*
