%define upstream_name    Archive-Peek
%define upstream_version 0.37

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Peek into archives without extracting them
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Archive/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Tar)
BuildRequires: perl(Archive::Zip)
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moo)
BuildRequires: perl(Test::More)
BuildRequires: perl(Types::Path::Tiny)
BuildArch:  noarch

%description
This module lets you peek into archives without extracting them. It
currently supports tar files and zip files. To support Bzip2- compressed
files, you should install IO::Uncompress::Bunzip2.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*