%define upstream_name    Archive-Zip
%define upstream_version 1.68

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Provide an interface to ZIP archive files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Archive/%{upstream_name}-%{upstream_version}.tar.gz
#fix: $ unzip -t testout-hITJh.zip
#Archive:  testout-hITJh.zip
#   skipping: test/test                need PK compat. v4.5 (can do v2.1)
#    testing: test/                    OK
#No errors detected in testout-hITJh.zip for the 1 file tested.
#1 file skipped because of unsupported compression or encryption.

BuildRequires: perl(Compress::Raw::Zlib) >= 2.17.0
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Seekable)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Time::Local)
BuildRequires: unzip > 6.1c-5.mga8
BuildRequires: git
BuildRequires: pkgconfig(zlib)
BuildArch:  noarch

%description
A Perl module that provides an interface to ZIP archive files.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
if test "%{upstream_version}" = "1.59" ; then
    true
else
    make test
fi

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml examples
%{_bindir}/crc32
%{perl_vendorlib}/Archive
%{_mandir}/*/*