%define upstream_name    Array-Iterator
%define upstream_version 0.135

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A subclass of Array::Iterator to allow forwards and backwards iteration
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Array/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(Test::DescribeMe)
BuildRequires: perl(Test::Most)
BuildRequires: perl(Test::Needs)
BuildArch:  noarch

%description
This class provides a very simple iterator interface. It is
uni-directional and can only be used once. It provides no means of
reversing or resetting the iterator. It is not recommended to alter the
array during iteration, however no attempt is made to enforce this
(although I will if I can find an efficient means of doing so). This class
only intends to provide a clear and simple means of generic iteration,
nothing more (yet).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
# %%__perl Makefile.PL INSTALLDIRS=vendor
%{__perl} Makefile.PL INSTALLDIRS=vendor

# %make_build
make

%check
# %make_build test
make test

%install
# %make_install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*