%define upstream_name    Aspect
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12
Summary:    Observer pattern with events
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Params::Util) >= 1.0.0
BuildRequires: perl(Sub::Install) >= 0.920.0
BuildRequires: perl(Sub::Uplevel) >= 0.200.200
BuildRequires: perl(Task::Weaken) >= 1.0.0
BuildRequires: perl(Test::Exception) >= 0.290.0
BuildRequires: perl(Test::More) >= 0.700.0
BuildRequires: perl(Test::NoWarnings) >= 0.84.0
BuildArch:  noarch

%description
What is Aspect-Oriented Programming?
    Aspect-Oriented Programming (AOP) is a programming paradigm which aims
    to increase modularity by allowing the separation of "cross-cutting
    "concerns.

    It includes programming methods and tools that support the
    modularization of concerns at the level of the source code, while
    "aspect-oriented software development" refers to a whole engineering
    discipline.

    Aspect-Oriented Programming (AOP) allows you to modularise code for
    issues that would otherwise be spread across many parts of a program
    and be problematic to both implement and maintain.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} -I. Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*
