%define upstream_name    Astro-FITS-CFITSIO
%define upstream_version 1.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5
Summary:    Perl extension for using the cfitsio library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Astro/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: pkgconfig(cfitsio)
BuildRequires: perl-devel
%description
Perl interface to William Pence's cfitsio subroutine library. For more
information on cfitsio, see https://heasarc.gsfc.nasa.gov/fitsio.

This module attempts to provide a wrapper for nearly every cfitsio routine,
while retaining as much cfitsio behavior as possible. As such, one should
be aware that it is still somewhat low-level, in the sense that handing an
array which is not the correct size to a routine like 'fits_write_img()'
may cause SIGSEGVs.

My goal is to eventually use these routines to build a more Perl-like
interface to many common tasks such as reading and writing of images and
ASCII and binary tables.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc ChangeLog INSTALL META.json META.yml MYMETA.yml NOTES README TODO examples
%{_mandir}/man3/*
%perl_vendorarch/*
