%define upstream_name    Authen-Bitcard
%define upstream_version 0.90

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Bitcard authentication verification
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Authen/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::ErrorHandler)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(JSON)
BuildRequires: perl(LWP::Protocol::https)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Math::BigInt)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildArch: noarch

%description
_Authen::Bitcard_ is an implementation of verification for signatures
generated by Bitcard authentication. For information on the Bitcard
protocol and using Bitcard in other applications, see
_http://www.bitcard.org/api_.

The module and the protocol are heavily based on _Authen::Typekey_. (In
fact, the Bitcard authentication server also supports the TypeKey API!)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


