%define upstream_name       Authen-Krb5
%define upstream_version 1.906

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
License:    GPL or Artistic
Group:      Development/Perl
Summary:    XS bindings for Kerberos 5
Url:        https://metacpan.org/release/%{upstream_name}
Source0:     https://cpan.metacpan.org/authors/id/I/IO/IOANR/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(AutoLoader)
BuildRequires: perl(Carp)
BuildRequires: perl(Devel::CheckLib) >= 0.900.0
BuildRequires: perl(DynaLoader)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Which)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(PkgConfig) >= 0.170.260
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
BuildRequires: libkrb-devel
%description
XS bindings for Kerberos 5

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Build.PL installdirs='vendor' destdir=${RPM_BUILD_ROOT}/
./Build

%check
./Build test

%install
./Build install
find ${RPM_BUILD_ROOT} -type f -name perllocal.pod -o -name .packlist -o -name '*.bs' -a -size 0 | xargs rm -f
find ${RPM_BUILD_ROOT} -type d -depth | xargs rmdir --ignore-fail-on-non-empty

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE TODO eg
%{perl_vendorarch}/Authen/*.pm
%{perl_vendorarch}/Authen/Krb5
%{perl_vendorarch}/auto/Authen/Krb5
%{_mandir}/man3/*