%define upstream_name    Authen-Libwrap
%define upstream_version 0.23

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Access to Wietse Venema's TCP Wrappers library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Authen/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: wrap-devel
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl-devel

%description
The Authen::Libwrap module allows you to access the hosts_ctl() function
from the popular TCP Wrappers security package. This allows validation of
network access from perl programs against the system-wide _hosts.allow_
file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# fix libdir
sed -i -e "s/$prefix, 'lib'/$prefix, '%{_lib}'/g" Build.PL

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

# Fix permissions
%_fixperms %{buildroot}%perl_vendorarch

%files
%doc ChangeLog META.yml README.md
%{_mandir}/man3/*
%perl_vendorarch/*
%exclude %dir %{perl_vendorarch}/auto/

