%define upstream_name Authen-SASL-SASLprep
%define upstream_version 1.100

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4

Summary:	A Stringprep Profile for User Names and Passwords (RFC 4013)
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Authen/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Module::Build) >= 0.400.400
BuildRequires:	perl(Test::NoWarnings)
BuildRequires:	perl(Unicode::Stringprep)

BuildArch:	noarch

%description
Authen-SASL-SASLprep -- A Stringprep Profile for User Names and
Passwords (RFC 4013)

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

# Fix README's encoding
iconv -f iso-8859-1 -t utf-8 < README > README_ && mv -f README_ README

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*
