%define upstream_name	 Authen-SASL
%define upstream_version 2.1700

%global __requires_exclude perl\\\(GSSAPI\\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    SASL Authentication framework
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/G/GB/GBARR/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::HMAC_MD5)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Pod::Coverage::TrustPod)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)
BuildArch:  noarch

%description
SASL is a generic mechanism for authentication used by several network
protocols. Authen::SASL provides an implementation framework that all protocols
should be able to share.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} -I. Makefile.PL INSTALLDIRS=vendor < /dev/null
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Authen