%define upstream_name Authen-SCRAM
%define upstream_version 0.011

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Salted Challenge Response Authentication Mechanism (RFC 5802)
License:    ASL 2.0
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Authen/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Authen::SASL::SASLprep) >= 1.100.0
BuildRequires: perl(Carp)
BuildRequires: perl(Crypt::URandom)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Moo) >= 1.1.0
BuildRequires: perl(Moo::Role) >= 1.1.0
BuildRequires: perl(PBKDF2::Tiny) >= 0.3.0
BuildRequires: perl(Test::FailWarnings)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(Types::Standard)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The modules in this distribution implement the Salted Challenge Response
Authentication Mechanism (SCRAM) from RFC 5802.

See Authen::SCRAM::Client and Authen::SCRAM::Server for usage details.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*