%define upstream_name    B-C
%define upstream_version 1.57

%define thread_arch -thread-multi
%define arch %(echo %{_arch} | sed -e "s/amd64/x86_64/")
%define full_arch %{arch}-%{_os}%{thread_arch}
%define perl_root %{_prefix}/lib/perl5

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    The Perl Compiler C backend
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Flags) >= 0.150.0
BuildRequires: perl(ExtUtils::Embed) >= 1.250.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IPC::Run)
BuildRequires: perl(Opcodes)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl-devel
# for Testsuite:
BuildRequires: db5-devel
BuildRequires: gdbm-devel
Obsoletes:  perl-B-C-devel

%description
This compiler backend takes Perl source and generates C source code
corresponding to the internal structures that perl uses to run your
program. When the generated C source is compiled and run, it cuts out the
time which perl would have taken to load and parse your program into its
internal semi-compiled form. That means that compiling with this backend
will not help improve the runtime execution speed of your program but may
improve the start-up time. Depending on the environment in which your
program runs this may be either a help or a hindrance.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

# (tv) broken:
#%%check
#%%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml NOTES README SIGNATURE STATUS TESTS
%{_mandir}/man3/*
%{perl_vendorarch}/*
%{_bindir}/assemble
%{_bindir}/cc_harness
%{_bindir}/disassemble
%{_bindir}/perlcc
%{_mandir}/man1/assemble.1*
%{_mandir}/man1/disassemble.1*
%{_mandir}/man1/perlcc.1*
