%define upstream_name    B-COW
%define upstream_version 0.007

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    B::COW additional B helpers to check COW status
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::Peek)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel
%description
B::COW provides some naive additional B helpers to check the COW status of
one SvPV.

COW or Copy On Write introduction
    A COWed SvPV is sharing its string (the PV) with other SvPVs. It's a
    (kind of) Read Only C string, that would be Copied On Write (COW).

    More than one SV can share the same PV, but when one PV need to alter
    it, it would perform a copy of it, decrease the COWREFCNT counter.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorarch/*
