%define upstream_name    B-CodeLines
%define upstream_version 1.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Lists executable lines of a Perl Program
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(version)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
       This compiler backend prints the out the line numbers of the stopping
       points of a Perl program. It might be used for example for static 
       analysis to see of all lines have been executed, or in a when debugger
       breakpoint is requested (and other ways to get stopping points fails).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc ChangeLog SIGNATURE META.yml CHANGES META.json examples
%perl_vendorlib/*


