%define upstream_name    B-Flags
%define upstream_version 0.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Friendlier flags for B
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
By default, '$foo->flags' when passed an object in the 'B' class will
produce a relatively meaningless number, which one would need to grovel
through the Perl source code in order to do anything useful with. This
module adds 'flagspv' to the SV and op classes and 'privatepv' to the op
classes, which makes them easier to understand.

*Warning*: This module is not _guaranteed_ compatible with any version of
Perl below 5.7.0; however, I'd like to make it so compatible, so if it
fails to compile, mail me. There's probably an '#ifdef' I need to add
somewhere...

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorarch}/*
