%define upstream_name    B-Hooks-EndOfScope
%define upstream_version 0.28

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Execute code after a scope finished compilation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Glob)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Hash::Util::FieldHash)
BuildRequires: perl(IPC::Open2)
BuildRequires: perl(Module::Implementation) >= 0.50.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter::Progressive) >= 0.1.6
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl(Tie::Hash)
BuildRequires: perl(Variable::Magic) >= 0.480.0
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module allows you to execute code when perl finished compiling the
surrounding scope.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
