%define upstream_name    B-Hooks-OP-Check-StashChange
%define upstream_version 0.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 25

Summary:    Invoke callbacks when the stash code is being compiled in changes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Hooks::OP::Check)
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(parent)
BuildRequires: perl-devel

%description
Invoke callbacks when the stash code is being compiled in changes.

From Perl:

<CODE>
package Foo;

use B::Hooks::OP::Check::StashChange;

our $id = B::Hooks::OP::Check::StashChange::register(sub {
    my ($new, $old) = @_;
    warn "${old} -> ${new}";
});

package Bar; # "Foo -> Bar"

B::Hooks::OP::Check::StashChange::unregister($Foo::id);

package Moo; # callback not invoked
</CODE>

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%{perl_vendorarch}/*


