%define upstream_name    B-Lint
%define upstream_version 1.20

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7
License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Adds debugging stringification to B::
Source0:    https://cpan.metacpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     B-Lint-1.20-Skip-a-bare-sub-test.patch
Url:        https://metacpan.org/release/%{upstream_name}

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(if)
BuildRequires: perl-devel

BuildArch: noarch
Obsoletes: perl-B-Lint < 1.200.0-2

%description
The B::Lint module is equivalent to an extended version of the *-w* option
of *perl*. It is named after the program _lint_ which carries out a similar
process for C programs.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}
# Install into architecture-agnostic path, CPAN RT#83049
sed -i '/PM *=>/,/}/d' Makefile.PL

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
