%define upstream_name    BackupPC-XS
%define upstream_version 0.62

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6
Summary:    Perl extension for BackupPC libraries
License:    GPLv3
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/C/CB/CBARRATT/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Test::More)
BuildRequires: perl-devel

%description
BackupPC::XS provides various submodules that implement various BackupPC
library functions. The following sections describe each submodule.

This documentation is very terse. BackupPC::XS is not intended to be a
general-purpose module - it is closely tied to BackupPC. Look in the BackupPC
code to see examples of using this module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
%make_build test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorarch/BackupPC
%perl_vendorarch/auto/BackupPC
