%define upstream_name    Beam-Emitter
%define upstream_version 1.007

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Role for event emitting classes
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Beam/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::API)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Lib)
BuildRequires: perl(Test::More)
BuildRequires: perl(Types::Standard) >= 0.8.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is the base event class for 'Beam::Emitter' objects.

The base class is only really useful for notifications. Create a subclass
to add data attributes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*