%define upstream_name    Bencode
%define upstream_version 1.502

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    BitTorrent serialisation format
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter::Tidy)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module implements the BitTorrent _bencode_ serialisation format as
described in the http://www.bittorrent.org/protocol.html manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*