%define upstream_name	 BerkeleyDB
%define upstream_version 0.66

# Don't "provide" private Perl libs
%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl module for BerkeleyDB 2.x and greater
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/BerkeleyDB/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: db-devel
BuildRequires: perl-devel
%description
BerkeleyDB is a module which allows Perl programs to make use of the
facilities provided by Berkeley DB version 2 or greater. (Note: if
you want to use version 1 of Berkeley DB with Perl you need the DB_File
module).

Berkeley DB is a C library which provides a consistent interface to a
number of database formats. BerkeleyDB provides an interface to all
four of the database types (hash, btree, queue and recno) currently
supported by Berkeley DB.

For further details see the documentation in the file BerkeleyDB.pod.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 Changes README

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%install
%make_install

%ifnarch %{ix86} %{arm32}
%check
rm -r t/sequence.t
make test
%endif

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorarch}/*pl
%{perl_vendorarch}/BerkeleyDB*
%{perl_vendorarch}/auto/BerkeleyDB
%{_mandir}/*/*