%define upstream_name	 Bio-ASN1-EntrezGene
%define upstream_version 1.73

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Regular expression-based Perl Parser for NCBI Entrez Gene
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Bio/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Bio::Annotation::Comment)
BuildRequires: perl(Bio::Annotation::DBLink)
BuildRequires: perl(Bio::Annotation::OntologyTerm)
BuildRequires: perl(Bio::Annotation::Reference)
BuildRequires: perl(Bio::Annotation::SimpleValue)
BuildRequires: perl(Bio::Cluster::SequenceFamily)
BuildRequires: perl(Bio::Index::AbstractSeq)
BuildRequires: perl(Bio::Ontology::Term)
BuildRequires: perl(Bio::Root::Test)
BuildRequires: perl(Bio::Seq)
BuildRequires: perl(Bio::SeqFeature::Gene::Exon)
BuildRequires: perl(Bio::SeqFeature::Gene::GeneStructure)
BuildRequires: perl(Bio::SeqFeature::Gene::Transcript)
BuildRequires: perl(Bio::SeqFeature::Generic)
BuildRequires: perl(Bio::SeqIO)
BuildRequires: perl(Bio::Species)
BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Bio::ASN1::EntrezGene is a regular expression-based Perl Parser for NCBI Entrez
Gene genome databases (http://www.ncbi.nih.gov/entrez/query.fcgi?db=gene). It
parses an ASN.1-formatted Entrez Gene record and returns a data structure that
contains all data items from the gene record.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%install
%make_install

%check
make test

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{perl_vendorlib}/Bio
%{_mandir}/*/*