%define upstream_name    Bio-DB-EMBL
%define upstream_version 1.7.4

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Database object interface for EMBL entry retrieval
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Bio/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Bio::DB::DBFetch)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Most)
BuildRequires: perl(Test::RequiresInternet)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
Allows the dynamic retrieval of sequence objects the Bio::Seq manpage from
the EMBL database using the dbfetch script at EBI: the
https://www.ebi.ac.uk/Tools/dbfetch/dbfetch manpage.

In order to make changes transparent we have host type (currently only ebi)
and location (defaults to ebi) separated out. This allows later additions
of more servers in different geographical locations.

The functionality of this module is inherited from the Bio::DB::DBFetch
manpage which implements the Bio::DB::WebDBSeqI manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
# use Test::RequiresInternet:
rm -f t/EMBL.t
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*


