%define upstream_name Bio-FeatureIO
%define upstream_version 1.6.905

%global __provides_exclude_from ^%{_docdir}
%global __requires_exclude_from ^%{_docdir}

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Handler for FeatureIO
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Bio/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Bio::AnnotatableI)
BuildRequires: perl(Bio::Annotation::Collection)
BuildRequires: perl(Bio::Annotation::Comment)
BuildRequires: perl(Bio::Annotation::DBLink)
BuildRequires: perl(Bio::Annotation::OntologyTerm)
BuildRequires: perl(Bio::Annotation::SimpleValue)
BuildRequires: perl(Bio::Annotation::Target)
BuildRequires: perl(Bio::FeatureHolderI)
BuildRequires: perl(Bio::LocatableSeq)
BuildRequires: perl(Bio::Location::Simple)
BuildRequires: perl(Bio::Ontology::OntologyStore)
BuildRequires: perl(Bio::OntologyIO)
BuildRequires: perl(Bio::Root::IO)
BuildRequires: perl(Bio::Root::Root)
BuildRequires: perl(Bio::Root::Test)
BuildRequires: perl(Bio::SeqFeature::AnnotationAdaptor)
BuildRequires: perl(Bio::SeqFeature::Generic)
BuildRequires: perl(Bio::SeqFeature::TypedSeqFeatureI)
BuildRequires: perl(Bio::SeqIO)
BuildRequires: perl(Bio::Tools::GFF)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More)
BuildRequires: perl(Tree::DAG_Node)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(XML::DOM)
BuildRequires: perl(XML::DOM::XPath)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Bio::FeatureIO is a BioPerl-based parser for feature data from common
biological sequence formats, such as GFF3, GTF, and BED.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*
