%define upstream_name    Bio-Variation
%define upstream_version 1.7.5

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Module used by Bio-Cluster
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://github.com/bioperl/Bio-Variation
# from https://github.com/bioperl/Bio-Variation/archive/master.zip:
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Bio::DBLinkContainerI)
BuildRequires: perl(Bio::PrimarySeq)
BuildRequires: perl(Bio::Root::IO)
BuildRequires: perl(Bio::Root::Root)
BuildRequires: perl(Bio::Root::Test)
BuildRequires: perl(Bio::SeqFeature::Generic)
BuildRequires: perl(Bio::SeqIO)
BuildRequires: perl(Bio::Tools::CodonTable)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::String)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(XML::Twig)
BuildRequires: perl(XML::Writer) >= 0.400.0
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Module used by Bio-Cluster

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build

%install
mkdir -p %buildroot%perl_vendorlib
cp -a lib/Bio/ %buildroot%perl_vendorlib

%files
%doc Changes LICENSE META.json META.yml
%perl_vendorlib/Bio/Variation
%perl_vendorlib/Bio/Variation.pm