%define upstream_name    BioPerl
%define upstream_version 1.7.8

%global __provides_exclude_from ^%{_docdir}
%global __requires_exclude_from ^%{_docdir}
%global __requires_exclude perl\\(Bio::Expression::Contact\\)|perl\\(Bio::Expression::DataSet\\)|perl\\(Bio::Expression::FeatureSet\\)|perl\\(Bio::Expression::Platform\\)|perl\\(Bio::Expression::Sample\\)|perl\\(TestInterface\\)
%global __provides_exclude perl\\(Error\\)|perl\\(Error::Simple\\)|perl\\(Error::subs\\)|perl\\(TestInterface\\)|perl\\(TestObject\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    BioPerl core modules
Group:      Development/Perl
License:    Artistic
Url:        https://bioperl.org
#Source0:    https://bioperl.org/DIST/%{upstream_name}-%{upstream_version}.tar.gz
Source0:    https://cpan.metacpan.org/modules/by-module/Bio/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyDBM_File)
BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(DB_File)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Data::Stag)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Dumpvalue)
BuildRequires: perl(Error)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FileHandle)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Graph::Directed)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Pipe)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(IO::String)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(IPC::Run)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Math::BigFloat)
BuildRequires: perl(Module::Build)
BuildRequires: perl(POSIX)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Set::Scalar)
BuildRequires: perl(Storable)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Builder::Module)
BuildRequires: perl(Test::Memory::Cycle)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Most)
BuildRequires: perl(Test::RequiresInternet)
BuildRequires: perl(Test::Weaken)
BuildRequires: perl(Text::Balanced)
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(Tie::Handle)
BuildRequires: perl(Tie::RefHash)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(UNIVERSAL)
BuildRequires: perl(URI)
BuildRequires: perl(XML::DOM)
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(XML::LibXML::Reader)
BuildRequires: perl(XML::Parser::PerlSAX)
BuildRequires: perl(XML::SAX)
BuildRequires: perl(XML::SAX::Base)
BuildRequires: perl(XML::SAX::Writer)
BuildRequires: perl(XML::Twig)
BuildRequires: perl(XML::Writer)
BuildRequires: perl(YAML)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(integer)
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

Obsoletes:  perl-bioperl <= 1.6.901
Provides:   perl-bioperl

%description
Officially organized in 1995 and existing informally for several years
prior, The Bioperl Project is an international association of developers
of open source Perl tools for bioinformatics, genomics and life science
research.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build OPTIMIZE="$RPM_OPT_FLAGS"

%check
# remove network test:
rm -f t/SeqIO/bsml_sax.t
make test

%install
%make_install

# correct permissions
find %{buildroot}%{perl_vendorlib}/Bio/ -name "*.pm" -exec chmod 644 {} \;

# clean doc
executables='.*\(\.\(pl\|cgi\)\|pdf2index\|dbfetch\)$'
for dir in examples;
do
	find $dir -type f -regex $executables | xargs chmod 644
	find $dir -type f -regex $executables | xargs perl -pi -e 's|^#!/usr/local/bin/perl|#!/usr/bin/perl|'
	find $dir -type f ! -regex $executables | xargs chmod 644
	find $dir -type f | xargs perl -pi -e 'BEGIN {exit unless -T $ARGV[0];} tr/\r//d;'
done

%files
%doc AUTHORS Changes LICENSE META.json META.yml MYMETA.yml examples
%{perl_vendorlib}/Bio/
%{perl_vendorlib}/BioPerl.pm
%{_mandir}/*/*
%{_bindir}/bp*
