%define upstream_name    Boost-Geometry-Utils
%define upstream_version 0.15

%{?perl_default_filter} # Filters (not)shared c libs

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 21

Summary:    Bindings for the Boost Geometry library
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Boost/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Boost-Geometry-Utils-0.15-only-extend-the-array-if-needed.patch

BuildRequires: perl(ExtUtils::CppGuess) >= 0.70.0
BuildRequires: perl(ExtUtils::Typemaps::Default) >= 0.50.0
BuildRequires: perl(ExtUtils::XSpp) >= 0.170.0
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Module::Build::WithXSpp) >= 0.100.0
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
BuildRequires: gcc-c++
%description
Bindings for the Boost Geometry library.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc CHANGES LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*
