%define upstream_name    Bot-BasicBot-Pluggable
%define upstream_version 1.20

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Extension to the simple irc bot base class allowing for pluggable modules
License:    Artistic or GPL+
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Bot/Bot-BasicBot-Pluggable-%{upstream_version}.tar.gz

	

BuildRequires: perl(Bot::BasicBot) >= 0.600.0
BuildRequires: perl(CGI)
BuildRequires: perl(Carp)
BuildRequires: perl(Config::Find)
BuildRequires: perl(Crypt::SaltedHash) >= 0.60.0
BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(DBI)
BuildRequires: perl(DBM::Deep)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Log::Log4perl) >= 1.110.0
BuildRequires: perl(Log::Log4perl::Level)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Module::Load)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Getopt::Dashes)
BuildRequires: perl(MooseX::SimpleConfig)
BuildRequires: perl(POE)
BuildRequires: perl(Socket)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Unidecode)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(URI)
BuildRequires: perl(URI::Find::Simple)
BuildRequires: perl(URI::Title)
BuildRequires: perl(XML::Feed)
BuildRequires: perl(YAML::XS)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)

BuildConflicts: texinfo

BuildArch:  noarch

%description
Extension to the simple irc bot base class allowing for pluggable modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
rm -f t/04karma.t
make test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README TODO examples
%{perl_vendorlib}/*
%{_mandir}/man3/*
%{_bindir}/*
%{_mandir}/man1/*
