%define upstream_name	 Bot-BasicBot
%define upstream_version 0.93

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A simple IRC bot base class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/T/TO/TOMI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IRC::Utils)
BuildRequires: perl(POE)
BuildRequires: perl(POE::Component::IRC) >= 6.900.0
BuildRequires: perl(Text::Wrap)
BuildArch:  noarch

%description
A basic bot system written in Perl, designed to make it easy to do simple bots,
optionally forking longer processes (like searches) concurrently in the
background.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# some backup files leaked, removing them
#find . -name "._*" | xargs rm

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# tests try to connect to internet
#%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{perl_vendorlib}/Bot/*
%{_mandir}/*/*