%define upstream_name    Business-ISBN-Data
%define upstream_version 20250411.001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Data pack for Business::ISBN
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Business/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Test::More) >= 1.0.0
BuildArch:  noarch

%description
You don't need to load this module yourself in most cases.
Business::ISBN will load it when it loads.

These data are generated from the RangeMessage.xml file provided by the
ISBN Agency. You can retrieve this yourself at
https://www.isbn-international.org/range_file_generation. This file is
included as part of the distribution and should be installed at
~lib/Business/ISBN/Data/RangeMessage.xml.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%perl_vendorlib/*