%define upstream_name Business-ISMN
%define upstream_version 1.205

%{?perl_default_filter}

Name:       perl-Business-ISMN
Version:    %upstream_version
Release:    %mkrel 1
Summary:    Perl library for International Standard Music Numbers
License:    Artistic 2.0
Url:        https://metacpan.org/release/Business-ISMN
Group:      Development/Perl
Source0:    https://cpan.metacpan.org/authors/id/B/BD/BDFOY/Business-ISMN-%{version}.tar.gz
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(List::Util)
BuildRequires: perl(Test::More) >= 1.0.0
BuildRequires: perl(Tie::Cycle) >= 1.210.0
BuildRequires: perl(version) >= 0.860.0
BuildRequires: coreutils
BuildRequires: make
BuildRequires: perl
Recommends:     perl(GD::Barcode::EAN13)

%description
%{summary}.

%prep
%setup -q -n Business-ISMN-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{perl_vendorlib}/*
%{_mandir}/man3/*