%define upstream_name    Bytes-Random-Secure
%define upstream_version 0.29

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Cryptographically suitable random bytes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Bytes/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Crypt::Random::Seed)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(MIME::QuotedPrint)
BuildRequires: perl(Math::Random::ISAAC)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
the Bytes::Random::Secure manpage provides two interfaces for obtaining
crypt-quality random bytes. The simple interface is built around plain
functions. For greater control over the Random Number Generator's seeding,
there is an Object Oriented interface that provides much more flexibility.

The "functions" interface provides five functions that can be used any time
you need a string (or MIME Base64 representation, or hex-digits
representation, or Quoted Printable representation) of a specific number of
random bytes. There are equivalent methods available via the OO interface.

This module can be a drop-in replacement for the Bytes::Random manpage,
with the primary enhancement of using a much higher quality random number
generator to create the random data. The 'random_bytes' function emulates
the user interface of the Bytes::Random manpage's function by the same
name. But with Bytes::Random::Secure the random number generator comes from
the Math::Random::ISAAC manpage, and is suitable for cryptographic
purposes. The harder problem to solve is how to seed the generator. This
module uses the Crypt::Random::Seed manpage to generate the initial seeds
for Math::Random::ISAAC.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README META.yml Changes META.json
%{_mandir}/man3/*
%{perl_vendorlib}/*


