%define upstream_name	 CDDB
%define upstream_version 1.222

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    A high-level interface to cddb protocol servers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CDDB/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp) >= 1.260.0
BuildRequires: perl(Encode) >= 2.510.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(HTTP::Request) >= 6.0.0
BuildRequires: perl(IO::Socket) >= 1.310.0
BuildRequires: perl(LWP) >= 6.50.0
BuildRequires: perl(MIME::QuotedPrint) >= 3.130.0
BuildRequires: perl(Mail::Header) >= 2.40.0
BuildRequires: perl(Mail::Internet) >= 2.40.0
BuildRequires: perl(Scalar::Util) >= 1.290.0
BuildRequires: perl(Sys::Hostname) >= 1.110.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
CDDB is a high-level interface to databases based on the Compact Disc
Database protocol.

Starting with version 1.04, CDDB.pm will contact freedb.org servers by
default. cddb.com's developer license is for end-user applications; not
third-party libraries.  This makes CDDB.pm ineligible for access to
cddb.com servers.  This author will not pursue further cddb.com
access. Developers using CDDB.pm may continue to attempt connections to
cddb.com servers, but there are no guarantees.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# (tv) disable network tests:
exit 0
%{__make} test

%install
%make_install

find %{buildroot} -name "perllocal.pod" -delete

%files
%doc CHANGES HISTORY LICENSE META.json META.yml MYMETA.yml README eg
%{perl_vendorlib}/CDDB.pm
%{_mandir}/*/*
