%define upstream_name    CGI-Application-Dispatch
%define upstream_version 3.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Dispatch requests to CGI::Application based object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Apache::Test)
BuildRequires: perl(CGI::Application) >= 4.500.0
BuildRequires: perl(CGI::PSGI)
BuildRequires: perl(Exception::Class) >= 1.200.0
BuildRequires: perl(HTTP::Exception)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Plack) >= 0.995.600
BuildRequires: perl(Test::LongString)
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(version) >= 0.820.0
BuildArch:  noarch

%{?perl_default_filter}

%description
This module provides a way (as a mod_perl handler or running under vanilla CGI)
to look at the path ($r->path_info or $ENV{PATH_INFO}) of the incoming request,
parse off the desired module and it's run mode, create an instance of that
module and run it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*
