%define upstream_name    CGI-Application-Plugin-LogDispatch
%define upstream_version 1.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Add Log::Dispatch support to CGI::Application
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(CGI::Application)
BuildRequires: perl(Log::Dispatch)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(UNIVERSAL::require)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch


%{?perl_default_filter}

%description
CGI::Application::Plugin::LogDispatch adds logging support to your the
CGI::Application manpage modules by providing a the Log::Dispatch manpage
dispatcher object that is accessible from anywhere in the application.

If you have the CGI::Application::Plugin::DevPopup manpage installed, a
"Log Entries" report is added to the popup window, containing all of the
entries that were logged during the execution of the runmode. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*
