%define upstream_name	 CGI-Application
%define upstream_version 4.61

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Framework for building reusable web-applications
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI) >= 4.210.0
BuildRequires: perl(Carp)
BuildRequires: perl(Class::ISA)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Template)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Test::Requires)
BuildArch:  noarch

%{?perl_default_filter}

%description
%{upstream_name} is intended to make it easier to create sophisticated,
reusable web-based applications. This module implements a methodology
which, if followed, will make your web software easier to design,
easier to document, easier to write, and easier to evolve.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 755 Examples/Mailform/mailform.cgi

%build
 %{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc ARTISTIC Changes Examples GPL META.json META.yml MYMETA.yml README
%{perl_vendorlib}/CGI
%{_mandir}/*/*