%define upstream_name    CGI-Info
%define upstream_version 0.68

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Fetch information from the CGI System
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

# For testsuite:

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Autouse)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::BrowserDetect) >= 3.100.0
BuildRequires: perl(IPC::System::Simple)
BuildRequires: perl(JSON::Parse)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Log::Any)
BuildRequires: perl(Socket)
BuildRequires: perl(String::Clean::XSS)
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::CleanNamespaces)
BuildRequires: perl(Test::Exception) >= 0.420.0
BuildRequires: perl(Test::Most)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Script) >= 1.120.0
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Tie::Filehandle::Preempt::Stdin)
BuildRequires: perl(URI::Heuristic)
BuildRequires: perl(autodie)
BuildRequires: perl(namespace::clean)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*