%define upstream_name    CGI-Session
%define upstream_version 4.48

%global __requires_exclude perl\\(DBD::Pg\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Persistent session data in CGI applications
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI) >= 3.260.0
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description 
CGI-Session is a Perl5 library that provides an easy, reliable and
modular session management system across HTTP requests. Persistency is a
key feature for such applications as shopping carts,
login/authentication routines, and application that need to carry data
across HTTP requests. CGI::Session does that and much more.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
rm -f  t/g4_mysql.t # no database available for testing
%{__make} test

%install
%make_install

find %{buildroot} -name "perllocal.pod" -delete

%files
%doc Changes INSTALL META.json META.yml README examples
%{perl_vendorlib}/CGI
%{_mandir}/*/*
