%define upstream_name    CGI-Struct
%define upstream_version 1.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Build structures from CGI data
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Storable)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
CGI::Struct lets you transform CGI data keys that _look like_ perl data
structures into _actual_ perl data structures.

CGI::Struct makes no attempt to actually _read in_ the variables from the
request. You should be using the CGI manpage or some equivalent for that.
CGI::Struct expects to be handed a reference to a hash containing all the
keys/values you care about. The common way is to use something like
'CGI->Vars' or (as the author does) 'Plack::Request->parameters->mixed'.

Whatever you use should give you a hash mapping the request variable names
(keys) to the values sent in by the users (values). Any of the major CGIish
modules will have such a method; consult the documentation for yours if you
don't know it offhand.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml README Changes META.json LICENSE
%{_mandir}/man3/*
%perl_vendorlib/*


