%define upstream_name    CGI-Test
%define upstream_version 1.111

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Off-line CGI test framework
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(HTTP::Message)
BuildRequires: perl(Storable) >= 1.0.0
BuildRequires: perl(Test::More) >= 0.820.0
BuildRequires: perl(URI) >= 1.100.0
BuildArch:  noarch

%description
The 'CGI::Test' module provides a CGI regression test framework which
allows you to run your CGI programs offline, i.e. outside a web server, and
interact with them programmatically, without the need to type data and
click from a web browser.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*