%define upstream_name	 CGI-XMLApplication
%define upstream_version 1.1.5

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:	%{upstream_name} module for perl
License:	MPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/P/PH/PHISH/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(CGI)
BuildRequires:	perl(XML::LibXML)
BuildRequires:  perl(XML::LibXSLT)

BuildArch:	noarch


%description
%{upstream_name} module for perl
CGI::XMLApplication is a CGI application class, that intends to enable
perl artists to implement CGIs that make use of XML/XSLT
functionality, without taking too much care about specialized
error checking or even care too much about XML itself. It provides the
power of the XML::LibXML/ XML::LibXSLT module package for
content delivery.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%{__chmod} 644 Changes MANIFEST README

%build
CFLAGS="$RPM_OPT_FLAGS" %__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes MANIFEST README examples/*
%{_mandir}/*/*
%{perl_vendorlib}/CGI/*
