%define upstream_name    CLI-Osprey
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Produce usage information for CLI::Osprey apps
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/CLI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Getopt::Long::Descriptive)
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo)
BuildRequires: perl(Moo::Role)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::Lib)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
CLI::Osprey is a module to assist in writing commandline applications with
M* OO modules (Moose, Moo, Mo). With it, you structure your app as one or
more modules, which get instantiated with the commandline arguments as
attributes. Arguments are parsed using the Getopt::Long::Descriptive
manpage, and both long and short help messages as well as complete manual
pages are automatically generated. An app can be a single command with
options, or have sub-commands (like 'git'). Sub-commands can be defined as
modules (with options of their own) or as simple coderefs.

Differences from MooX::Options
    Osprey is deliberately similar to the MooX::Options manpage, and
    porting an app that uses MooX::Options to Osprey should be fairly
    simple in most cases. However there are a few important differences.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc README LICENSE Changes META.yml META.json eg
%{_mandir}/man3/*
%perl_vendorlib/*


