%define upstream_name    CPAN-FindDependencies
%define upstream_version 3.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Object representing a module dependency
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Tar)
BuildRequires: perl(Archive::Zip)
BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(Capture::Tiny) >= 0.50.0
BuildRequires: perl(Devel::CheckOS) >= 1.520.0
BuildRequires: perl(Devel::Hide)
BuildRequires: perl(Env::Path) >= 0.190.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::Path) >= 2.170.0
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(File::Type)
BuildRequires: perl(IO::Compress::Bzip2)
BuildRequires: perl(IO::Uncompress::Bunzip2)
BuildRequires: perl(LWP::Protocol::https) >= 6.90.0
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(Module::CoreList) >= 5.202.9.200
BuildRequires: perl(Parse::CPAN::Packages) >= 2.310.0
BuildRequires: perl(Pod::Perldoc) >= 3.230.0
BuildRequires: perl(Scalar::Util) >= 1.140.0
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Time)
BuildRequires: perl(Text::Diff)
BuildRequires: perl(URI::file) >= 4.130.0
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
#make test

%install
%make_install

%files
%doc CHANGELOG META.json META.yml MYMETA.yml README TODO
%{_bindir}/*
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/share/man/man1/*