%define upstream_name    CPAN-Mini-Extract
%define upstream_version 1.24

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Create CPAN::Mini mirrors with the archives extracted
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Tar) >= 1.220.0
BuildRequires: perl(CPAN::Mini) >= 1.111.4
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find::Rule) >= 0.300.0
BuildRequires: perl(File::HomeDir) >= 0.880.0
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Remove) >= 0.340.0
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp) >= 0.210.0
BuildRequires: perl(IO::File) >= 1.140.0
BuildRequires: perl(IO::Uncompress::Gunzip) >= 2.17.0
BuildRequires: perl(LWP::Online) >= 0.30.0
BuildRequires: perl(List::Util) >= 1.150.0
BuildRequires: perl(Params::Util) >= 1.0.0
BuildRequires: perl(Test::More)
BuildRequires: perl(URI) >= 1.370.0
BuildRequires: perl(URI::file)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
'CPAN::Mini::Extract' provides a base for implementing systems that
download "all" of CPAN, extract the dists and then process the files
within.

It provides the same synchronisation functionality as CPAN::Mini
except that it also maintains a parallel directory tree that contains a
directory located at an identical path to each archive file, with a
controllable subset of the files in the archive extracted below.

How does it work
    'CPAN::Mini::Extract' starts with a CPAN::Mini local
    mirror, which it will optionally update before each run. Once the
    CPAN::Mini directory is current, it will scan both directory
    trees, extracting any new archives and removing any extracted archives
    no longer in the minicpan mirror.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*