%define upstream_name    CPAN-Mini
%define upstream_version 1.111017

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Create a minimal mirror of CPAN
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Compress::Zlib) >= 1.200.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::HomeDir) >= 0.570.0
BuildRequires: perl(File::Path) >= 2.40.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(LWP::UserAgent) >= 5.0.0
BuildRequires: perl(Pod::Usage) >= 1.0.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(URI) >= 1.0.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch
Provides:   minicpan = %{version}

%{?perl_default_filter}
%global __requires_exclude %__requires_exclude|^perl\\(File::HomeDir\\)$

%description
CPAN::Mini provides a simple mechanism to build and update a minimal mirror of
the CPAN on your local disk. It comes with a small utility, minicpan(1), to
create and update such mirrors.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/CPAN
%{_mandir}/*/*
%{_bindir}/minicpan