%define upstream_name    CPAN-ReleaseHistory
%define upstream_version 0.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Release iterator for CPAN::ReleaseHistory
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::DistnameInfo)
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Moo)
BuildRequires: perl(MooX::Role::CachedURL) >= 0.60.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::Table::Tiny) >= 1.0.0
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides an iterator that can be used to look at every file
that has ever been released to CPAN, regardless of whether it is still on
CPAN.

The BackPAN index used was changed in release 0.10, which resulted in the
caching mechanism changing, so you should make sure you have at least
version 0.10, as shown in the SYNOPSIS above.

The '$release' returned by the 'next_release()' method on the iterator is
an instance of the CPAN::ReleaseHistory::Release manpage. It has five
methods:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*
%{_bindir}/cpan-*