%define upstream_name    CPAN-Reporter
%define upstream_version 1.2020

%{?perl_default_filter}
%global __requires_exclude %__requires_exclude|^perl\\(File::Spec\\)$
%global __requires_exclude %__requires_exclude|^perl\\(File::HomeDir\\)$
%global __requires_exclude %__requires_exclude|^perl\\(CPAN\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Adds CPAN Testers reporting to CPAN.pm
License:    Apache License
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Tar) >= 1.540.0
BuildRequires: perl(CPAN) >= 1.940.0
BuildRequires: perl(CPAN::Version)
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Carp)
BuildRequires: perl(Config::Tiny) >= 2.80.0
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Devel::Autoflush) >= 0.40.0
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Glob)
BuildRequires: perl(File::HomeDir) >= 0.580.0
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec) >= 3.190.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp) >= 0.160.0
BuildRequires: perl(File::pushd) >= 0.320.0
BuildRequires: perl(FindBin)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Cmd) >= 0.760.0
BuildRequires: perl(Parse::CPAN::Meta)
BuildRequires: perl(Probe::Perl)
BuildRequires: perl(Test::Harness)
BuildRequires: perl(Test::More) >= 0.620.0
BuildRequires: perl(Test::Reporter) >= 1.540.0
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The CPAN Testers project captures and analyses detailed results from
building and testing CPAN distributions on multiple operating systems and
multiple versions of Perl. This provides valuable feedback to module
authors and potential users to identify bugs or platform compatibility
issues and improves the overall quality and value of CPAN.

One way individuals can contribute is to send a report for each module that
they test or install. CPAN::Reporter is an add-on for the CPAN.pm module to
send the results of building and testing modules to the CPAN Testers
project. Full support for CPAN::Reporter is available in CPAN.pm as of
version 1.92.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*