%define upstream_name    CPAN-Requirements-Dynamic
%define upstream_version 0.002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Dynamic prerequisites in meta files
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Prereqs)
BuildRequires: perl(CPAN::Meta::Requirements::Range)
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::Config)
BuildRequires: perl(ExtUtils::HasCompiler)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(Parse::CPAN::Meta)
BuildRequires: perl(Perl::OSType)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module implements a format for describing dynamic prerequisites of a
distribution.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*