%define upstream_name    CPAN-SQLite
%define upstream_version 0.220

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Maintain and search a minimal CPAN database
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz
# (tv) fix tests w/o networking (CPAN RT#117853):
Patch0:     fix-tests-wo-networking.patch

BuildRequires: perl(Archive::Tar) >= 1.540.0
BuildRequires: perl(CPAN::DistnameInfo) >= 0.90.0
BuildRequires: perl(CPAN::Index) >= 1.930.0
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(DBD::SQLite) >= 1.270.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Tiny) >= 0.41.0
BuildRequires: perl(IO::Zlib)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
This package is used for setting up, maintaining, and searching a CPAN
database consisting of the information stored in the three main CPAN
indices: _$CPAN/modules/03modlist.data.gz_,
_$CPAN/modules/02packages.details.txt.gz_, and
_$CPAN/authors/01mailrc.txt.gz_. It should be considered at an alpha stage
of development.

One begins by creating the object as

  my $obj = CPAN::SQLite->new(%args);

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%{make_build}

%check
rm -f t/05meta_new.t t/05meta_update.t t/06retrieve.t
make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*