%define upstream_name    CPAN-Upload-Tiny
%define upstream_version 0.010

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A tiny CPAN uploader
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(HTTP::Tiny::Multipart)
BuildRequires: perl(IO::Socket::SSL) >= 1.560.0
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Mozilla::CA)
BuildRequires: perl(Net::SSLeay) >= 1.490.0
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Term::ReadKey)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
A tiny CPAN uploader.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/cpan-upload-tiny
%{_mandir}/man1/cpan-upload-tiny.1*