%define upstream_name	CPAN
%define upstream_version 2.38

%{?perl_default_filter}
# Filter non-Linux dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Mac::BuildTools\\)
# Filter under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(CPAN::Meta::Requirements\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Epoch:      1

Summary:    %{upstream_name} module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/A/AN/ANDK/%{upstream_name}-%{upstream_version}.tar.gz
# Create site paths for the first time, bug #1158873, CPAN RT#99905
Patch0:     CPAN-2.18-Attemp-to-create-site-library-directories-on-first-t.patch
# Change configuration directory name
Patch1:     CPAN-2.18-Replace-configuration-directory-string-with-a-marke.patch
# Enable loading objects from session YAML files, CPAN RT#131615
# <https://github.com/andk/cpanpm/pull/133>

BuildRequires: perl(Archive::Tar)
BuildRequires: perl(Archive::Zip)
BuildRequires: perl(CPAN::Checksums)
BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(CPAN::Meta::Requirements) >= 2.121.0
BuildRequires: perl(CPAN::Meta::YAML)
BuildRequires: perl(CPAN::Perl::Releases)
BuildRequires: perl(Compress::Bzip2)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Expect)
BuildRequires: perl(Exporter)
BuildRequires: perl(Exporter::Heavy)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Which)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(IO::Compress::Base)
BuildRequires: perl(IO::Zlib)
BuildRequires: perl(JSON::PP)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Signature)
BuildRequires: perl(Net::FTP)
BuildRequires: perl(Net::Ping)
BuildRequires: perl(Parse::CPAN::Meta)
BuildRequires: perl(Pod::Perldoc)
BuildRequires: perl(Pod::Perldoc::ToMan)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Socket)
BuildRequires: perl(Term::ReadKey)
BuildRequires: perl(Test::Harness) >= 2.620.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Glob)
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(YAML)
BuildRequires: perl(YAML::Syck)
BuildRequires: perl(YAML::XS)
BuildArch:  noarch

Obsoletes:  cpan <= 1.590.200
Provides:   cpan

%description
The CPAN module automates or at least simplifies the make and install of
perl modules and extensions. It includes some primitive searching
capabilities and knows how to use Net::FTP or LWP or some external
download clients to fetch the distributions from the net.

These are fetched from one or more of the mirrored CPAN (Comprehensive
Perl Archive Network) sites and unpacked in a dedicated directory.

The CPAN module also supports the concept of named and versioned
*bundles* of modules. Bundles simplify the handling of sets of related
modules. See Bundles below.

The package contains a session manager and a cache manager. The session
manager keeps track of what has been fetched, built and installed in the
current session. The cache manager keeps track of the disk space
occupied by the make processes and deletes excess space according to a
simple FIFO mechanism.

All methods provided are accessible in a programmer style and in an
interactive shell style.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install
for i in %{buildroot}/%{_bindir}/*; do mv $i $i-%{upstream_version}; done

%check
unset AUTHOR_TEST CPAN_EXPECT_TIMEOUT CPAN_RUN_SHELL_TEST_WITHOUT_EXPECT \
    ftp_proxy http_proxy no_proxy \
    PERL5_CPAN_IS_RUNNING PERL5_CPAN_IS_RUNNING_IN_RECURSION PERL_CORE VERBOSE
make test

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}