%define upstream_name    CPANDB
%define upstream_version 0.19

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A unified database of CPAN metadata information
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/E/ET/ETHER/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime) >= 0.500.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Getopt::Long) >= 2.330.0
BuildRequires: perl(LWP::Online) >= 1.70.0
BuildRequires: perl(Module::Install)
BuildRequires: perl(ORLite) >= 1.510.0
BuildRequires: perl(ORLite::Mirror) >= 1.200.0
BuildRequires: perl(Params::Util) >= 1.0.0
BuildRequires: perl(Test::More) >= 0.420.0
BuildRequires: perl(Time::HiRes) >= 1.970.0
BuildArch:  noarch

%description
CPANDB is an module for accessing CPAN metadata merged from many
different CPAN websites into a single object model, downloaded
automatically and without the need for any configuration.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%license LICENSE
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/cpangraph
