%define upstream_name       CPANPLUS-Dist-Build
%define upstream_version 0.90

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Constants for CPANPLUS::Dist::Build
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

# This is a plug-in for CPANPLUS, specify reverse dependency here

# Tests:

# ExtUtils::Installed version from ExtUtils::Install in META

BuildRequires: perl(CPANPLUS) >= 0.840.0
BuildRequires: perl(ExtUtils::Install) >= 1.420.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Cmd) >= 0.420.0
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Locale::Maketext::Simple)
BuildRequires: perl(Module::Build) >= 0.320.0
BuildRequires: perl(Module::Load) >= 0.160.0
BuildRequires: perl(Module::Load::Conditional) >= 0.300.0
BuildRequires: perl(Params::Check) >= 0.260.0
BuildRequires: perl(Test::Harness) >= 3.160.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(if)
BuildRequires: perl-devel
# Pod::Coverage::TrustPod not used

# Test::Pod 1.41 not used
# Test::Pod::Coverage 1.08 not used
# versionning the corresponding virtual package is not enough

BuildArch:  noarch

%description
'CPANPLUS::Dist::Build' is a distribution class for 'Module::Build' related
modules. Using this package, you can create, install and uninstall perl
modules. It inherits from 'CPANPLUS::Dist'.

Normal users won't have to worry about the interface to this module, as it
functions transparently as a plug-in to 'CPANPLUS' and will just 'Do The
Right Thing' when it's loaded.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%license LICENSE
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/CPANPLUS