%define upstream_name    CPANPLUS
%define upstream_version 0.9916

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((Crypt::OpenPGP|DBIx::Simple|Your::Module::Here|Test)\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    API & CLI access to the CPAN mirrors
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CPANPLUS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Extract) >= 0.160.0
BuildRequires: perl(Archive::Tar) >= 1.230.0
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(ExtUtils::Install) >= 1.420.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(File::Fetch) >= 0.150.200
BuildRequires: perl(File::Spec) >= 0.820.0
BuildRequires: perl(IO::Zlib) >= 1.40.0
BuildRequires: perl(IPC::Cmd) >= 0.360.0
BuildRequires: perl(Locale::Maketext::Simple) >= 0.10.0
BuildRequires: perl(Log::Message) >= 0.10.0
BuildRequires: perl(Module::CoreList) >= 2.220.0
BuildRequires: perl(Module::Load) >= 0.100.0
BuildRequires: perl(Module::Load::Conditional) >= 0.500.0
BuildRequires: perl(Module::Loaded) >= 0.10.0
BuildRequires: perl(Module::Pluggable) >= 2.400.0
BuildRequires: perl(Module::Signature) >= 0.60.0
BuildRequires: perl(Object::Accessor) >= 0.440.0
BuildRequires: perl(Package::Constants) >= 0.10.0
BuildRequires: perl(Params::Check) >= 0.360.0
BuildRequires: perl(Parse::CPAN::Meta) >= 1.420.0
BuildRequires: perl(Storable)
BuildRequires: perl(Term::UI) >= 0.180.0
BuildRequires: perl(Test::Harness) >= 2.620.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(version) >= 0.770.0
BuildArch:  noarch
Recommends:   perl-CPANPLUS-Dist-Mageia

%description
The CPANPLUS library is an API to the CPAN mirrors and a collection of
interactive shells, commandline programs, etc, that use this API.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# wants to write to the root fs
rm -f t/20_CPANPLUS-Dist-MM.t

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/CPANPLUS*