%define upstream_name CSS-DOM
%define upstream_version 0.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5
Summary:    Document Object Model for Cascading Style Sheets
Group:      Development/Perl
License:    GPL+ or Artistic
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/S/SP/SPROUT/%{upstream_name}-%{upstream_version}.tar.gz
# Remove apostrophe as package separator - it is deprecated in 5.37.9 and
# will be removed by 5.40. CPAN RT#146661
Patch0:     CSS-DOM-0.17-Dont-use-deprecated-code.patch

BuildRequires: perl(Carp) >= 1.10.0
BuildRequires: perl(Clone) >= 0.90.0
BuildRequires: perl(Encode) >= 2.100.0
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util) >= 1.90.0
BuildRequires: perl(Test::More)
BuildRequires: perl(constant) >= 1.30.0
BuildRequires: perl(overload)
BuildRequires: perl(re)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

# Dependencies not detected automatically:
Requires:   perl(Clone) >= 0.09
Requires:   perl(Encode) >= 2.10
%{?perl_default_filter}

%description
This set of modules provides the CSS-specific interfaces described in
the W3C DOM recommendation.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} %{buildroot}/%{perl_vendorlib}/*

%check
make test

%files
%doc Changes META.json META.yml MYMETA.yml README
%license LICENSE
%{perl_vendorlib}/CSS/
%{_mandir}/man3/CSS::DOM*.3*
