%define upstream_name    CSS
%define upstream_version 1.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Object oriented access to Cascading Style Sheets (CSS) 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/I/IA/IAMCAL/%{upstream_name}-%{upstream_version}.tar.gz
Source1:    rebuild-grammar.pl

BuildRequires: perl(CSS::Parse::PRDGrammar)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Parse::RecDescent) >= 1.0.0
BuildRequires: perl(Test::Simple)
BuildArch:  noarch

%description
This module can be used, along with a CSS::Parse::* module, to parse
CSS data and represent it as a tree of objects. Using a CSS::Adaptor::*
module, the CSS data tree can then be transformed into other formats.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# Regenerate CSS::Parse::CompiledGrammar (redhat#564808, CPAN RT#53948)
%{__perl} %{SOURCE1}
mv CompiledGrammar.pm CSS/Parse/

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc CSS Changes META.yml README examples
%{perl_vendorlib}/CSS.pm
%{perl_vendorlib}/CSS
%{_mandir}/*/*
