%define upstream_name    Cache-Cache
%define upstream_version 1.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary: 	%{upstream_name} module for perl
License: 	GPL+ or Artistic
Group: 		Development/Perl
Url: 		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Cache/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(Digest::SHA1) >= 2.02
BuildRequires:	perl(Error) >= 0.15
BuildRequires:	perl(File::Spec) >= 0.82
BuildRequires:	perl(IPC::ShareLite) >= 0.09
BuildRequires:	perl(Storable) >= 1.014
BuildArch: 	noarch

Requires: 	perl-Digest-SHA1 >= 2.02
Requires:	perl-Error >= 0.15
Requires:	perl-IPC-ShareLite >= 0.09
Requires:	perl-Storable >= 1.0.14

%description
Cache-Cache module for perl.  The Cache modules are designed to assist
a developer in persisting data for a specified period of time.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES COPYING CREDITS DISCLAIMER README STYLE
%{_mandir}/*/*
%{perl_vendorlib}/Cache
