%define upstream_name    Cairo
%define upstream_version 1.109

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Perl module for the Cairo library
License:    GPL+ or Artistic
Group:      Development/GNOME and GTK+
Url:        https://gtk2-perl.sourceforge.net/
Source0:    https://cpan.metacpan.org/authors/id/X/XA/XAOC/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		perl-Cairo-strlen-type-fix.patch

BuildRequires: perl(ExtUtils::Depends) >= 0.200.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.0.0
BuildRequires: pkgconfig(cairo)
BuildRequires: perl-devel
%description
This module provides perl access to the Cairo library.

Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch -P0 -p1 -b .strlen-type-fix
find -type d -name CVS | rm -rf

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build OPTIMIZE="$RPM_OPT_FLAGS"

%check
# temporary disable a test that cause a segfault in cairo->libng (gdb -q --args perl t/CairoSurface.t):
rm -f t/CairoSurface.t
make test

%install
%make_install

%files
%doc LICENSE META.json META.yml MYMETA.yml NEWS README TODO examples
%{_mandir}/*/*
%{perl_vendorarch}/%{upstream_name}
%{perl_vendorarch}/%{upstream_name}.pm
%{perl_vendorarch}/auto/*
