%define upstream_name    Calendar-Simple
%define upstream_version v2.1.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl extension to create simple calendars
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/Calendar-Simple
Source0:    https://cpan.metacpan.org/authors/id/D/DA/DAVECROSS/%{upstream_name}-%{upstream_version}.tar.gz

# Required by the tests

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::Local)
BuildArch:  noarch

%description
Perl extension to create simple calendars.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod -x lib/*/Simple.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%files
%doc META.json META.yml MYMETA.yml README
%{_bindir}/pcal
%{perl_vendorlib}/Calendar
%{_mandir}/man3/*