%define upstream_name    Catalyst-Controller-HTML-FormFu
%define upstream_version 2.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Hidden text field which contains a unique token
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Catalyst)
BuildRequires: perl(Catalyst::Action)
BuildRequires: perl(Catalyst::Action::RenderView)
BuildRequires: perl(Catalyst::Component::InstancePerContext)
BuildRequires: perl(Catalyst::Controller)
BuildRequires: perl(Catalyst::Plugin::Session)
BuildRequires: perl(Catalyst::Plugin::Session::State::Cookie)
BuildRequires: perl(Catalyst::Plugin::Session::Store::File)
BuildRequires: perl(Catalyst::Runtime) >= 5.710.10
BuildRequires: perl(Catalyst::View::TT)
# BuildRequires: perl(Code::TidyAll::Plugin::Perl::AlignMooseAttributes)
BuildRequires: perl(Config::Any)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(FindBin)
BuildRequires: perl(HTML::FormFu) >= 2.60.0
BuildRequires: perl(HTML::FormFu::Constraint)
BuildRequires: perl(HTML::FormFu::Deploy)
BuildRequires: perl(HTML::FormFu::Element::Text)
BuildRequires: perl(HTML::FormFu::MultiForm) >= 1.20.0
BuildRequires: perl(HTML::FormFu::Plugin)
BuildRequires: perl(HTML::FormFu::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Attribute::Chained)
BuildRequires: perl(Pod::Coverage::TrustPod)
BuildRequires: perl(Pod::Tidy)
BuildRequires: perl(Regexp::Assemble)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Template)
BuildRequires: perl(Test::CPAN::Meta)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::EOL)
BuildRequires: perl(Test::Kwalitee) >= 1.210.0
BuildRequires: perl(Test::Memory::Cycle)
BuildRequires: perl(Test::More) >= 0.920.0
BuildRequires: perl(Test::NoTabs)
BuildRequires: perl(Test::PAUSE::Permissions)
BuildRequires: perl(Test::Pod) >= 1.410.0
BuildRequires: perl(Test::Pod::Coverage) >= 1.80.0
BuildRequires: perl(Test::WWW::Mechanize) >= 1.160.0
BuildRequires: perl(Test::WWW::Mechanize::Catalyst)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Requires:   perl(Catalyst::Component::InstancePerContext)
%description
As of version 0.02000, the HTML::FormFu manpage doesn't use the TT template
files by default - it uses in internal rendering engine.

If you don't want to customise the generated markup, you don't need to use
the Catalyst::Helper::HTML::FormFu manpage at all.

If you want to customise the generated markup, you'll need a local copy of
the template files. To create the files in the default 'root/formfu'
directory, run:

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
