%define upstream_name    Catalyst-Controller-SOAP
%define upstream_version 1.25

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Helper controller for SOAP
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Runtime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Moose)
BuildRequires: perl(XML::Compile::SOAP)
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(XML::Compile::WSDL11)
BuildArch: noarch
# (tv) Those are not autodetected due to "{ package foo::bar" usage:
Provides: perl(Catalyst::Action::SOAP)
Provides: perl(Catalyst::Controller::SOAP)

%description
This is the superclass used by the Document and the RPC actions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.json README META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*


