%define upstream_name    Catalyst-DispatchType-Regex
%define upstream_version 5.90035

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    LocalRegexp DispatchType
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Balanced)
BuildRequires: perl(Text::SimpleTable)
BuildRequires: perl(namespace::autoclean)
BuildArch: noarch

%description
*Status: Deprecated.* Regex dispatch types have been depreciated and
removed from Catalyst core. It is recommend that you use Chained methods or
other techniques instead. As part of the refactoring, the dispatch priority
of Regex vs Regexp vs LocalRegex vs LocalRegexp may have changed. Priority
is now influenced by when the dispatch type is first seen in your
application.

Dispatch type managing path-matching behaviour using regexes. For more
information on dispatch types, see:

* * the Catalyst::Manual::Intro manpage for how they affect application
  authors

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


