%define upstream_name    Catalyst-Manual
%define upstream_version 5.9013

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Catalyst Manual - The Catalyst developer's manual
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
The Catalyst developer's manual:
        perldoc Catalyst::Manual::Intro
        perldoc Catalyst::Manual::Tutorial

SEE ALSO
    Install Task::Catalyst::Tutorial to install all the dependencies you need
    to follow along with the Tutorial. You can also refer to
    Catalyst::Manual::Tutorial::Intro for more information on installation
    options.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
