%define upstream_name  	 Catalyst-Model-DBIC-Schema
%define upstream_version 0.66

%global __requires_exclude perl\\(Catalyst::Model::DBIC::Schema::Types\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    DBIx::Class::Schema Model Class 
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Clan)
BuildRequires: perl(Catalyst::Component::InstancePerContext)
BuildRequires: perl(Catalyst::Devel) >= 1.0.0
BuildRequires: perl(Catalyst::Runtime) >= 5.800.50
BuildRequires: perl(CatalystX::Component::Traits) >= 0.140.0
BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(DBIx::Class) >= 0.81.140
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Hash::Merge)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Runtime) >= 0.12.0
BuildRequires: perl(Moose) >= 1.120.0
BuildRequires: perl(MooseX::MarkAsMethods) >= 0.130.0
BuildRequires: perl(MooseX::NonMoose) >= 0.160.0
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(MooseX::Types::LoadableClass) >= 0.9.0
BuildRequires: perl(Storable)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Tie::IxHash)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildRequires: perl(namespace::clean)
BuildArch:  noarch

Requires:   perl(CatalystX::Component::Traits)
%{?perl_default_filter}

%description
This is a Catalyst Model for DBIx::Class::Schema-based Models. See the
documentation for Catalyst::Helper::Model::DBIC::Schema for information on
generating these Models via Helper scripts.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor --skipdeps
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorlib}/Catalyst
%{_mandir}/*/*