%define upstream_name    Catalyst-Model-LDAP
%define upstream_version 0.21

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Catalyst LDAP Model Class
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Catalyst) >= 5.620.0
BuildRequires: perl(Catalyst::Controller)
BuildRequires: perl(Catalyst::Model)
BuildRequires: perl(Catalyst::Test)
BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Data::Page)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FindBin)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Module::Runtime) >= 0.15.0
BuildRequires: perl(Net::LDAP) >= 0.650.0
BuildRequires: perl(Net::LDAP::Constant)
BuildRequires: perl(Net::LDAP::Control::ProxyAuth) >= 1.90.0
BuildRequires: perl(Net::LDAP::Control::Sort)
BuildRequires: perl(Net::LDAP::Control::VLV)
BuildRequires: perl(Net::LDAP::Entry)
BuildRequires: perl(Net::LDAP::Search)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is the Net::LDAP model class for Catalyst. It is nothing more than a
simple wrapper for Net::LDAP.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
##%__make test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{perl_vendorlib}/Catalyst
%{_mandir}/*/*