%define upstream_name    Catalyst-Model-SOAP
%define upstream_version 1.5

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Map a WSDL to a catalyst model class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Catalyst-Model-SOAP-1.5-fix-build.patch

BuildRequires: perl(Catalyst::Runtime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(XML::Compile)
BuildRequires: perl(XML::Compile::SOAP)
BuildRequires: perl(XML::Compile::WSDL11)
BuildRequires: perl(XML::LibXML)
BuildArch: noarch

%description
This module implements a mapping from a wsdl definition, interpreted by
XML::Compile::SOAP::WSDL, as a Model class, where each operation in the
wsdl file is represented by a method with the same name.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*
