%define upstream_name    Catalyst-Model-SVN
%define upstream_version 0.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Helper for SVN Models
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz
Patch1:     0.13-disable-kwalitee-tests.patch
Patch2:     0.13-disable-ra-path-test.patch
Patch3:     fix-deps.patch

BuildRequires: perl(Catalyst::Devel)
BuildRequires: perl(Catalyst::Runtime)
BuildRequires: perl(DateTime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(Path::Class)
BuildRequires: perl(SVN::Core)
BuildRequires: perl(Test::Exception)
BuildRequires: subversion-tools
BuildArch:  noarch

%description
This model class uses the perl-subversion bindings to access a Subversion
repository and list items and view their contents. It is currently only a
read-only client but may expand to be a fill fledged client at a later
time.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*