%define upstream_name    Catalyst-Plugin-Session-State-Cookie
%define abbrev_name      Catalyst-P-S-State-Cookie
%define upstream_version 0.17

Name:       perl-%{abbrev_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

License:    Artistic/GPL
Summary:    Cookie-based session plugin for Catalyst
Group:      Development/Perl
URL:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(Catalyst::Plugin::Session) >= 0.06
BuildRequires:	perl(inc::Module::Install)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::MockObject) >= 1.01
Provides:	perl-%{upstream_name}
Obsoletes:	perl-%{upstream_name}
BuildArch:	noarch


%description
In order for Catalyst::Plugin::Session to work the session ID needs to be
stored on the client, and the session data needs to be stored on the server.
This plugin stores the session ID on the client using the cookie mechanism.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%__make

%check
%__make test

%install
%make_install

%files
%doc README META.yml
%{perl_vendorlib}/Catalyst
%{_mandir}/*/*

