%define upstream_name    Catalyst-Plugin-AutoRestart
%define upstream_version 0.96

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Catalyst plugin to restart server 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst) >= 5.900.50
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(MRO::Compat) >= 0.70.0
BuildRequires: perl(Proc::ProcessTable) >= 0.410.0
BuildRequires: perl(Text::SimpleTable) >= 0.30.0
BuildArch:  noarch

%description
Catalyst plugin to force the application to restart server processes when
they reach a configurable memory threshold. Memory checks are performed
every 'N' requests. This is intended as a band-aid to deal with problems
like memory leaks; it's here to buy you time to find and solve the
underlying issues.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
