%define	upstream_name    Catalyst-Runtime
%define upstream_version 5.90132

# remove circular dependency: catalyst::helper is provided by
# catalyst-devel, which itself requires catalyst-runtime to be build.
# moreover, this dependency is only used in an example script, so we do
# not loose anything by removing this dependency
%global __requires_exclude perl.Catalyst::Helper.

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Epoch:      1

Summary:    The Elegant MVC Web Application Framework
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

# jq 2013-11-29 to prevent warnings from core Module::Pluggable

BuildRequires: perl(CGI::Simple::Cookie) >= 1.109.0
BuildRequires: perl(CGI::Struct)
BuildRequires: perl(Carp) >= 1.250.0
BuildRequires: perl(Class::C3::Adopt::NEXT) >= 0.70.0
BuildRequires: perl(Class::Load) >= 0.120.0
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Data::OptList)
BuildRequires: perl(Devel::InnerPackage)
BuildRequires: perl(Encode) >= 2.490.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTML::HeadParser)
BuildRequires: perl(HTTP::Body) >= 1.220.0
BuildRequires: perl(HTTP::Headers) >= 1.640.0
BuildRequires: perl(HTTP::Request) >= 5.814.0
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(HTTP::Response) >= 5.813.0
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(Hash::MultiValue)
BuildRequires: perl(JSON::MaybeXS) >= 1.0.0
BuildRequires: perl(LWP) >= 5.837.0
BuildRequires: perl(List::Util) >= 1.450.0
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Module::Pluggable) >= 4.700.0
BuildRequires: perl(Moose) >= 2.140.0
BuildRequires: perl(MooseX::Emulate::Class::Accessor::Fast) >= 0.9.30
BuildRequires: perl(MooseX::Getopt) >= 0.480.0
BuildRequires: perl(MooseX::MethodAttributes::Role::AttrContainer::Inheritable) >= 0.240.0
BuildRequires: perl(Path::Class) >= 0.90.0
BuildRequires: perl(PerlIO::utf8_strict)
BuildRequires: perl(Plack) >= 0.999.100
BuildRequires: perl(Plack::Middleware::Conditional)
BuildRequires: perl(Plack::Middleware::ContentLength)
BuildRequires: perl(Plack::Middleware::FixMissingBodyInRedirect) >= 0.90.0
BuildRequires: perl(Plack::Middleware::HTTPExceptions)
BuildRequires: perl(Plack::Middleware::Head)
BuildRequires: perl(Plack::Middleware::IIS6ScriptNameFix)
BuildRequires: perl(Plack::Middleware::IIS7KeepAliveFix)
BuildRequires: perl(Plack::Middleware::LighttpdScriptNameFix)
BuildRequires: perl(Plack::Middleware::MethodOverride) >= 0.120.0
BuildRequires: perl(Plack::Middleware::RemoveRedundantBody) >= 0.30.0
BuildRequires: perl(Plack::Middleware::ReverseProxy) >= 0.40.0
BuildRequires: perl(Plack::Request::Upload)
BuildRequires: perl(Plack::Test::ExternalServer)
BuildRequires: perl(Safe::Isa)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Socket) >= 1.960.0
BuildRequires: perl(Stream::Buffered)
BuildRequires: perl(String::RewritePrefix) >= 0.4.0
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::Balanced)
BuildRequires: perl(Text::SimpleTable) >= 0.30.0
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Tree::Simple) >= 1.150.0
BuildRequires: perl(Tree::Simple::Visitor::FindByUID)
BuildRequires: perl(Try::Tiny) >= 0.170.0
BuildRequires: perl(URI) >= 1.650.0
BuildRequires: perl(URI::ws) >= 0.30.0
BuildRequires: perl(namespace::clean) >= 0.230.0
BuildArch:  noarch

# (misc) not auto-detected; as it's on a line with whitespace, it's not taken
# in account by perl.req
Requires:   perl(HTTP::Request::AsCGI) >= 0.500.0
Requires:   perl(MooseX::Emulate::Class::Accessor::Fast)
Provides:   perl-Catalyst = %{version}-%{release}
Obsoletes:  perl-Catalyst
Obsoletes:  perl-Catalyst-Plugin-Unicode-Encoding < 1.900.0-3

%{?perl_default_filter}

%description
Catalyst is an elegant web application framework, extremely flexible yet
extremely simple. It's similar to Ruby on Rails, Spring (Java) and Maypole,
upon which it was originally based.

Catalyst follows the Model-View-Controller (MVC) design pattern, allowing you
to easily separate concerns, like content, presentation, and flow control, into
separate modules. This separation allows you to modify code that handles one
concern without affecting code that handles the others. Catalyst promotes the
re-use of existing Perl modules that already handle common web application
concerns well.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Catalyst*
%{_bindir}/catalyst.pl
%{_mandir}/*/*