%define upstream_name    CatalystX-CRUD
%define upstream_version 0.58

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    CRUD framework for Catalyst applications
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CatalystX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Component::ACCEPT_CONTEXT) >= 0.60.0
BuildRequires: perl(Catalyst::Exception)
BuildRequires: perl(Catalyst::Runtime) >= 5.800.240
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Data::Pageset)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MRO::Compat) >= 0.100.0
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Emulate::Class::Accessor::Fast)
BuildRequires: perl(Path::Class::File)
BuildRequires: perl(Search::QueryParser::SQL) >= 0.10.0
BuildRequires: perl(Sort::SQL) >= 0.70.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This document is an overview of the CatalystX::CRUD framework and API.

CatalystX::CRUD provides a simple and generic API for Catalyst CRUD
applications. CatalystX::CRUD is agnostic with regard to data model and
data input, instead providing a common API that different projects can
implement for greater compatibility with one another.

The project was born out of a desire to make Rose::HTML::Objects easy to
use with Rose::DB::Object and DBIx::Class ORMs, using the
Catalyst::Controller::Rose project. However, any ORM could implement the
CatalystX::CRUD::Model API, and any form management project could use the
resulting CatalystX::CRUD::Model subclass.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*