%define upstream_name    CatalystX-InjectComponent
%define upstream_version 0.025

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Inject components into your Catalyst application
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CatalystX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Runtime) >= 5.800.0
BuildRequires: perl(Class::Inspector)
BuildRequires: perl(Devel::InnerPackage)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Test::Most)
BuildRequires: perl(parent)
BuildArch:  noarch

%{?perl_default_filter}

%description
CatalystX::InjectComponent will inject Controller, Model, and View
components into your Catalyst application at setup (run)time. It does this
by creating a new package on-the-fly, having that package extend the given
component, and then having Catalyst setup the new component (via
'->setup_component')

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
