%define upstream_name    CatalystX-SimpleLogin
%define upstream_version 0.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Redirect
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CatalystX/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     fix-deps-for-magpie.diff

BuildRequires: perl(Catalyst::Action::REST) >= 0.740.0
BuildRequires: perl(Catalyst::Action::RenderView)
BuildRequires: perl(Catalyst::ActionRole::ACL)
BuildRequires: perl(Catalyst::Plugin::Authentication)
BuildRequires: perl(Catalyst::Plugin::Session) >= 0.350.0
BuildRequires: perl(Catalyst::Plugin::Session::State::Cookie)
BuildRequires: perl(Catalyst::Runtime) >= 5.800.130
BuildRequires: perl(Catalyst::View::TT)
BuildRequires: perl(CatalystX::Component::Traits) >= 0.130.0
BuildRequires: perl(CatalystX::InjectComponent)
BuildRequires: perl(Class::Load) >= 0.200.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTML::FormHandler) >= 0.280.10
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::MethodAttributes) >= 0.180.0
BuildRequires: perl(MooseX::RelatedClassRoles) >= 0.4.0
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(MooseX::Types::Common)
BuildRequires: perl(SQL::Translator)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Try::Tiny) >= 0.240.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%{?perl_default_filter}

%description
CatalystX::SimpleLogin is an application class role which will inject a
controller which is an instance of
CatalystX::SimpleLogin::Controller::Login into your application.
This provides a simple login and logout page with the addition of only one
line of code and one template to your application.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
