%define upstream_name    Chemistry-Harmonia
%define upstream_version 0.118

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Decision of simple and difficult chemical puzzles
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Chemistry/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Algorithm::Combinatorics) >= 0.260.0
BuildRequires: perl(Carp)
BuildRequires: perl(Chemistry::File::Formula) >= 0.370.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::Assistant) >= 0.40.0
BuildRequires: perl(Math::BigInt) >= 1.997.0
BuildRequires: perl(Math::BigRat) >= 0.260.200
BuildRequires: perl(Regexp::Common) >= 2011041701.0.0
BuildRequires: perl(String::CRC::Cksum) >= 0.910.0
BuildRequires: perl(Test::LongString) >= 0.150.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Pod) >= 1.450.0
BuildArch:  noarch

%description
The module provides the necessary subroutines to solve some puzzles of the
general inorganic and physical chemistry. The methods implemented in this
module, are all oriented to known rules and laws of general and physical
chemistry.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*