%define upstream_name    Class-Factory
%define upstream_version 1.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Base class for dynamic factory classes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
This is a simple module that factory classes can use to generate new types
of objects on the fly, providing a consistent interface to common groups of
objects.

Factory classes are used when you have different implementations for the
same set of tasks but may not know in advance what implementations you will
be using. Configuration files are a good example of this. There are four
basic operations you would want to do with any configuration: read the file
in, lookup a value, set a value, write the file out. There are also many
different types of configuration files, and you may want users to be able
to provide an implementation for their own home-grown configuration format.

With a factory class this is easy. To create the factory class, just
subclass 'Class::Factory' and create an interface for your configuration
serializer. 'Class::Factory' even provides a simple constructor for you.
Here's a sample interface and our two built-in configuration types:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


