%define upstream_name    Class-Fields
%define upstream_version 0.204

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Inspect the fields of a class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Carp::Assert)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(base) >= 2.0.0
BuildRequires: perl(constant)
BuildArch:  noarch

%description
* _Public member._

  Externally visible data or functionality. An attribute or method that is
  directly accessible from scopes outside the class. In Perl, most members
  are, by their standard semantics, public. By convention, attributes of
  Perl classes are regarded as private, as are methods whose names begin
  with an underscore.

  From *"Object Oriented Perl"* by Damian Conway

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes META.yml SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*
