%define upstream_name    Class-MOP
%define upstream_version 1.12

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 2

Summary:        A Meta Object Protocol for Perl 5
License:        GPL+ or Artistic
Group:          Development/Perl
Url:            https://metacpan.org/dist/%{upstream_name}
Source0:        https://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(Devel::GlobalDestruction)
BuildRequires:  perl(MRO::Compat)
BuildRequires:  perl(Package::DeprecationManager)
BuildRequires:  perl(Package::Stash)
BuildRequires:  perl(Sub::Identify)
BuildRequires:  perl(Sub::Name)
BuildRequires:  perl(Task::Weaken)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl-devel

Provides:       perl(metaclass)

%description
This module is an attempt to create a meta object protocol for the Perl 5
object system. It makes no attempt to change the behavior or characteristics of
the Perl 5 object system, only to create a protocol for its manipulation and
introspection.

That said, it does attempt to create the tools for building a rich set of
extensions to the Perl 5 object system. Every attempt has been made for these
tools to keep to the spirit of the Perl 5 object system that we all know and
love.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %{buildroot}
%make_install

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README META.yml
%{perl_vendorarch}/Class
%{perl_vendorarch}/auto/Class
%{perl_vendorarch}/metaclass.pm
%{_mandir}/*/*
