%define upstream_name    Class-Maker
%define upstream_version 0.06

%global __provides_exclude_from ^%{perl_vendorlib}/Class/Maker/Examples
%global __requires_exclude_from ^%{perl_vendorlib}/Class/Maker/Examples
%global __requires_exclude  %{?__requires_exclude}|^perl\\(Statistics::Tests::Wilcoxon\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Classes, reflection, schema, serialization, attribute- and multiple inheritance
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Algorithm::FastPermute) >= 0.50.0
BuildRequires: perl(Array::Compare) >= 1.30.0
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Error) >= 0.150.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Extended)
BuildRequires: perl(XML::Generator)
BuildRequires: perl(XML::LibXSLT)
BuildArch:  noarch

%description
Class::Maker introduces the concept of classes via a "class" function. It
automatically creates packages, ISA, new and attribute-handlers. The
classes can inherit from common perl-classes and class-maker classes.
Single and multiple inheritance is supported.

This package is for everybody who wants to program oo-perl and does not
really feel comfortable with the common way.

Java-like reflection is also implemented and allows one to inspect the
class properties and methods during runtime. This is helpful for
implementing persistence and serialization. A Tangram (see cpan) schema
generator is included to the package, so one can use Tangram
object-persistence on the fly as long as he uses Class::Maker classes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
# missing test dep - https://rt.cpan.org/Public/Bug/Display.html?id=80618
rm -f t/20_10_basic_types_array.t
make test

%install
%make_install

%files
%doc ChangeLog META.yml MYMETA.yml README README.pod
%{_mandir}/man3/*
%perl_vendorlib/Class/Maker.pm
%perl_vendorlib/Class/Maker
%perl_vendorlib/Class/test_custom_method_handler_override.pl
