%define upstream_name    Class-Measure
%define upstream_version 0.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Calculate measurements of length
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test2::V0)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
This is a base class that is inherited by the Class::Measure classes. This
distribution comes with the class the Class::Measure::Length manpage.

The classes the Class::Measure::Area manpage, the Class::Measure::Mass
manpage, the Class::Measure::Space manpage, the Class::Measure::Temperature
manpage, and the Class::Measure::Volume manpage are planned and will be
added soon.

The methods described here are available in all Class::Measure classes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


