%define upstream_name Class-Method-ModifiersX-Augment
%define upstream_version 0.002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Adds "augment method => sub {...}" support to Class::Method::Modifiers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Method::Modifiers)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(Test::More) >= 0.610.0
BuildArch:  noarch

%description
Class::Method::ModifiersX::Augment extends Class::Method::Modifiers with
the "augment" method modifier, allowing you to use this Moose
abomination for augmenting superclass methods in non-Moose classes.

See Moose::Manual::MethodModifiers for details of how "augment" and its
companion function "inner" work.

This module exports two functions:

"augment NAME, CODE"
"inner"

If you want to use these with Moo classes, please look at MooX::Augment
instead.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*