%define upstream_name Class-Prototyped
%define upstream_version 1.16

%global __requires_exclude perl\\(GraphViz\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    Fast prototype-based OO programming in Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/T/TE/TEVERETT/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build) >= 0.420.0
BuildArch:  noarch

# Run-time:

# GraphViz not used for tests
# IO::File not used for tests

# Tests:

%{?perl_default_filter}
%global __provides_exclude %{?__provides_exclude?__provides_exclude|}^perl\\(My[^\\)]*Class\\)$

%description
This package provides for efficient and simple prototype-based programming
in Perl. You can provide different subroutines for each object, and also
have objects inherit their behavior and state from another object.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# Documentation and libraries should not be executable
chmod -x perf/* examples/* Changes lib/Class/*.pm lib/Class/Prototyped/*

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} create_packlist=0
%{_fixperms} %{buildroot}/*

%check
./Build test

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/*
%{_mandir}/man3/*