%define upstream_name    Class-Sniff
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Look for class composition code smells
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Concise) >= 0.660.0
BuildRequires: perl(Devel::Symdump) >= 2.80.0
BuildRequires: perl(Digest::MD5) >= 2.360.0
BuildRequires: perl(File::Find::Rule) >= 0.300.0
BuildRequires: perl(Graph::Easy) >= 0.640.0
BuildRequires: perl(List::MoreUtils) >= 0.220.0
BuildRequires: perl(Module::Build) >= 0.340.201
BuildRequires: perl(Sub::Identify) >= 0.30.0
BuildRequires: perl(Test::Most) >= 0.200.0
BuildRequires: perl(Text::SimpleTable) >= 0.50.0
BuildArch:  noarch

%description
*ALPHA* code. You've been warned.

The interface is rather ad-hoc at the moment and is likely to change. After
creating a new instance, calling the 'report' method is your best option.
You can then visually examine it to look for potential problems:

 my $sniff = Class::Sniff->new({class => 'Some::Class'});
 print $sniff->report;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
# don't run broken test
rm -f t/basic.t
%{make} test

%install
%make_install

%files
%doc Changes META.yml README
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

