%define upstream_name Class-Tiny
%define upstream_version 1.008

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Minimalist class construction
License:    ASL 2.0
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(subs)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module offers a minimalist class construction kit in around 120
lines of code. Here is a list of features:

*   defines attributes via import arguments
*   generates read-write accessors
*   supports lazy attribute defaults
*   supports custom accessors
*   superclass provides a standard "new" constructor
*   "new" takes a hash reference or list of key/value pairs
*   "new" has heuristics to catch constructor attribute typos
*   "new" calls "BUILD" for each class from parent to child
*   superclass provides a "DESTROY" method
*   "DESTROY" calls "DEMOLISH" for each class from child to parent

It uses no non-core modules for any recent Perl. On Perls older than
v5.10 it requires MRO::Compat. On Perls older than v5.14, it requires
Devel::GlobalDestruction.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*