%define upstream_name    Class-Usul
%define upstream_version 0.84.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Base class providing config, locking, logging, and l10n
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

# For tests:

BuildRequires: perl(Capture::Tiny) >= 0.220.0
BuildRequires: perl(Class::Inspector) >= 1.280.0
BuildRequires: perl(Class::Null) >= 2.110.730
BuildRequires: perl(Crypt::CBC) >= 2.330.0
BuildRequires: perl(Crypt::Twofish2) >= 1.20.0
BuildRequires: perl(Data::Printer) >= 0.360.0
BuildRequires: perl(Data::Record) >= 0.20.0
BuildRequires: perl(Date::Format) >= 2.240.0
BuildRequires: perl(DateTime::Format::Epoch) >= 0.160.0
BuildRequires: perl(Exporter::Tiny) >= 0.42.0
BuildRequires: perl(File::DataClass)
BuildRequires: perl(File::Gettext)
BuildRequires: perl(File::HomeDir) >= 1.0.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Which) >= 1.180.0
BuildRequires: perl(Getopt::Long::Descriptive) >= 0.99.0
BuildRequires: perl(Hash::MoreUtils) >= 0.50.0
BuildRequires: perl(IO::Interactive)
BuildRequires: perl(IPC::SRLock)
BuildRequires: perl(JSON::MaybeXS) >= 1.3.0
BuildRequires: perl(Log::Handler) >= 0.840.0
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Module::Runtime) >= 0.14.0
BuildRequires: perl(Moo) >= 2.0.1
BuildRequires: perl(Pod::Eventual) >= 0.94.1
BuildRequires: perl(Sub::Install) >= 0.928.0
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Term::ReadKey) >= 2.330.0
BuildRequires: perl(Test::Deep) >= 0.108.0
BuildRequires: perl(Test::Requires) >= 0.60.0
BuildRequires: perl(Text::Autoformat) >= 1.720.0
BuildRequires: perl(Time::Zone) >= 2.240.0
BuildRequires: perl(Try::Tiny) >= 0.220.0
BuildRequires: perl(Type::Tiny) >= 1.0.2
BuildRequires: perl(Unexpected)
BuildRequires: perl(namespace::autoclean) >= 0.260.0
BuildRequires: perl(namespace::clean) >= 0.250.0
BuildRequires: perl(version) >= 0.880.0
BuildArch:  noarch

%{?perl_default_filter}

%description
These modules provide a set of base classes for Perl packages and
applications that provide configuration file loading
Class::Usul::Config, locking to single thread processes IPC::SRLock,
logging Class::Usul::Log and localisation Class::Usul::L10N

The class Class::Usul::Programs is a base class for command line
interfaces

Interprocess communication is handled by Class::Usul::IPC

Class::Usul::File makes the functionality of File::DataClass available

The Module::Build subclass Class::Usul::Build adds methods for the
management and deployment of applications

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE examples
%{perl_vendorlib}/*
%_mandir/man3/*.3pm.*