%define upstream_name    Class-XSAccessor-Array
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Generate fast XS accessors without runtime compilation
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AutoXS::Header)
BuildRequires: perl-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}


%description
The module implements fast XS accessors both for getting at and setting an
object attribute. Additionally, the module supports mutators and simple
predicates ('has_foo()' like tests for definedness of an attributes). The
module works only with objects that are implemented as *arrays*. Using it
on hash-based objects is bound to make your life miserable. Refer to the
Class::XSAccessor manpage for an implementation that works with hash-based
objects.

A simple benchmark showed more than a factor of two performance advantage
over writing accessors in Perl.

Since version 0.10, the module can also generate simple constructors
(implemented in XS) for you. Simply supply the 'constructor =>
'constructor_name'' option or the 'constructors => ['new', 'create',
'spawn']' option. These constructors do the equivalent of the following
perl code:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%make_install

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




