%define upstream_name    Clone-Choose
%define upstream_version 0.010

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Choose appropriate clone utility
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Clone/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More) >= 0.900.0
BuildRequires: perl(Test::Without::Module)
BuildArch:  noarch

%description
'Clone::Choose' checks several different modules which provides a 'clone()'
function and selects an appropriate one. The default preference is

  Clone
  Storable
  Clone::PP

This list might evolve in future. Please see the /EXPORTS manpage how to
pick a particular one.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*