%define upstream_name Clownfish-CFC
%define upstream_version 0.6.3

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Compiler for Apache Clownfish
License:    ASL 2.0
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Clownfish/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::PPPort) >= 3.140.0
BuildRequires: perl(ExtUtils::CBuilder) >= 0.180.0
BuildRequires: perl(ExtUtils::ParseXS) >= 3.0.0
BuildRequires: perl(Module::Build) >= 0.360.400
BuildRequires: perl-devel

%description
Compiler for Apache Clownfish.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

# Fix file permissions
%_fixperms %{buildroot}%{perl_vendorarch}

%files
%doc CHANGES LICENSE META.json META.yml MYMETA.yml NOTICE
%{_mandir}/man3/*
%{perl_vendorarch}/*
%exclude %dir %{perl_vendorarch}/auto/
