%define upstream_name Clownfish
%define upstream_version 0.6.3

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Apache Clownfish symbiotic object system
License:    ASL 2.0
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Clownfish/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Clownfish::CFC) >= 0.6.3
BuildRequires: perl(Clownfish::CFC::Perl::Build) >= 0.6.3
BuildRequires: perl(Devel::PPPort) >= 3.140.0
BuildRequires: perl(ExtUtils::CBuilder) >= 0.210.0
BuildRequires: perl(ExtUtils::ParseXS) >= 3.0.0
BuildRequires: perl(Module::Build) >= 0.280.801
BuildRequires: perl-devel

%description
The Apache Clownfish "symbiotic" object system for C is designed to pair
with a "host" dynamic language environment, facilitating the development
of high performance host language extensions. Clownfish classes are
declared in header files with a .cfh extension. The Clownfish headers are
used by the Clownfish compiler to generate C header files and host
language bindings. Methods, functions and variables are defined in normal
C source files.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%install
./Build install --destdir=%{buildroot}

# Fix permissions
%_fixperms %{buildroot}%{perl_vendorarch}

%check
./Build test

%files
%license LICENSE
%doc CHANGES META.json META.yml MYMETA.yml NOTICE
%{_mandir}/man3/*
%{perl_vendorarch}/*
%exclude %dir %{perl_vendorarch}/auto/
