%define upstream_name    Code-TidyAll-Plugin-ClangFormat
%define upstream_version 0.0.2

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Run clang-format using Code::TidyAll
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Code/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Code::TidyAll::Plugin)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Moo)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This speeds up the clang-format tool ( the
https://clang.llvm.org/docs/ClangFormat.html manpage) checking and
reformatting, by caching results using the Code::TidyAll manpage .

It was originally written for use by Freecell Solver ( the
https://fc-solve.shlomifish.org/ manpage ), an open source automated solver
for some variants of Patience / card solitaire. games.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*