%define upstream_name    Code-TidyAll
%define upstream_version 0.84
%global __requires_exclude php|perl\\(Mason::Tidy\\)|perl\\(Mason::Tidy::App\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    All-in-one tidier and validator
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Code/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Config::INI::Reader)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Date::Format)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Which)
BuildRequires: perl(File::pushd)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IPC::Run3)
BuildRequires: perl(IPC::System::Simple)
BuildRequires: perl(List::Compare)
BuildRequires: perl(List::SomeUtils)
BuildRequires: perl(Log::Any)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo) >= 2.0.0
BuildRequires: perl(Moo::Role)
BuildRequires: perl(Path::Tiny) >= 0.98.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Scope::Guard)
BuildRequires: perl(Specio) >= 0.400.0
BuildRequires: perl(Specio::Declare)
BuildRequires: perl(Specio::Library::Builtins)
BuildRequires: perl(Specio::Library::Numeric)
BuildRequires: perl(Specio::Library::Path::Tiny) >= 0.40.0
BuildRequires: perl(Specio::Library::String)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Class::Most)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(Text::Diff) >= 1.440.0
BuildRequires: perl(Text::Diff::Table)
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl(Time::Duration::Parse)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(autodie)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(lib::relative)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
There are a lot of great code tidiers and validators out there. tidyall makes
them available from a single unified interface.

You can run tidyall on a single file or on an entire project hierarchy, and
configure which tidiers/validators are applied to which files. tidyall will
back up files beforehand, and for efficiency will only consider files that have
changed since they were last processed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/tidyall
%{_mandir}/man1/tidyall.1*