%define upstream_name    Color-ANSI-Util
%define upstream_version 0.165

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Routines for dealing with ANSI colors
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Color/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Color::RGB::Util) >= 0.607.0
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides routines for dealing with ANSI colors. The two main
functions are 'ansifg' and 'ansibg'. With those functions, you can specify
colors in RGB and let it output the correct ANSI color escape code
according to the color depth support of the terminal (whether 16-color,
256-color, or 24bit). There are other functions to convert RGB to ANSI in
specific color depths, or reverse functions to convert from ANSI to RGB
codes.

Keywords: xterm, xterm-256color, terminal

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*