%define upstream_name    Color-Scheme
%define upstream_version 1.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Generate pleasant color schemes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Color/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Util) >= 1.140.0
BuildRequires: perl(POSIX) >= 1.80.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module is a Perl implementation of Color Schemes 2
(http://wellstyled.com/tools/colorscheme2/), a color scheme
generator. Start by visiting the Color Schemes 2 web site and playing with
the colors. When you want to generate those schemes on the fly, begin using
this module. The descriptions herein don't make too much sense without
actually seeing the colorful results.

Henceforth, paragraphs in quotes denote documentation copied from Color
Schemes 2.

"Important note: This tool _doesn't use the standard HSV or HSB model_ (the
same HSV/HSB values ie. in Photoshop describe different colors!). The color
wheel used here differs from the RGB spectre used on computer screens, it's
more in accordance with the classical color theory. This is also why some
colors (especially shades of blue) make less bright shades than the basic
colors of the RGB-model. In plus, the RGB-model uses red-green-blue as
primary colors, but the red-yellow-blue combination is used here. This
deformation also causes incompatibility in color conversions from
RGB-values. Therefore, the RGB input (eg. the HTML hex values like #F854A9)
is not exact, the conversion is rough and sometimes may produce slightly
different color."

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*