%define upstream_name	 Compress-Bzip2
%define upstream_version 2.28

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Interface to Bzip2 compression library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Compress/%{upstream_name}-%{upstream_version}.tar.gz

%{?perl_default_filter}

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Std)
BuildRequires: perl(Test::More)
BuildRequires: perl(constant) >= 1.40.0
BuildRequires: perl-devel
%description
The Compress::Bzip2 module provides a Perl interface to the Bzip2 compression
library (see "AUTHOR" for details about where to get Bzip2). A relevant subset
of the functionality provided by Bzip2 is available in Compress::Bzip2.

All string parameters can either be a scalar or a scalar reference.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files 
%doc ANNOUNCE COPYING Changes INSTALL META.json META.yml MYMETA.yml NEWS SIGNATURE
%{perl_vendorarch}/Compress
%{perl_vendorarch}/auto/Compress
%{_mandir}/*/*
