%define upstream_name    Compress-LZO
%define upstream_version 1.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:	Compress-LZO module for perl 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Compress/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel
BuildRequires:	perl(Devel::CheckLib)
BuildRequires:	liblzo2-devel


%description
LZO is a portable lossless data compression library written in ANSI C. It
offers pretty fast compression and *very* fast decompression. Decompression
requires no memory. Perl-LZO provides LZO bindings for Perl, i.e. you can
access the LZO library from your Perl scripts thereby compressing ordinary Perl
strings.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc COPYING INSTALL README
%{perl_vendorarch}/Compress
%{perl_vendorarch}/auto/Compress
%{_mandir}/*/*
