%define upstream_name Config-ApacheFormat
%define upstream_version 1.2

%{?perl_default_filter}

Name: 		perl-%{upstream_name}
Version: 	%perl_convert_version %{upstream_version}
Release: 	%mkrel 6
License: 	GPL or Artistic
Group: 		Development/Perl
Summary:	Use Apache format config files
Source: 	https://cpan.metacpan.org/authors/id/S/SA/SAMTREGAR/%{upstream_name}-%{upstream_version}.tar.bz2
Url: 		https://metacpan.org/release/%{upstream_name}
BuildRequires: perl-devel
BuildRequires: perl(Class::MethodMaker)
# This one is not found automatically
Requires:      perl(Class::MethodMaker) 

BuildArch: noarch

%description
This module is designed to parse a configuration file in the same syntax used
by the Apache web server (see http://httpd.apache.org for details). This
allows you to build applications which can be easily managed by experienced
Apache admins. Also, by using this module, you'll benefit from the support for
nested blocks with built-in parameter inheritance. This can greatly reduce the
amount or repeated information in your configuration files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README
%{_mandir}/*/*
%{perl_vendorlib}/*
