%define upstream_name	 Config-Hosts
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Config::Hosts is an interface to /etc/hosts file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/List/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CBuilder) >= 0.270.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.520.0
BuildRequires: perl(Test::More) >= 0.820.0
BuildRequires: perl-devel

BuildArch: noarch

%description
Config::Hosts - Interface to /etc/hosts file. 

A tool that manages the hosts list on a machine, is able to 
query/insert/delete/update the entries by IP or by a hostname, 
and also maintains the original comments and some sanity checks 
on IP and hostname values.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%install
%make_install

%check
#make test

%files 
%doc Changes META.yml README
%{perl_vendorlib}/Config
%{_mandir}/*/*
