%define upstream_name       Config-Model-CursesUI
%define upstream_version 1.107

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Curses interface for Config::Model
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::Model) >= 2.95.0
BuildRequires: perl(Config::Model::Tester) >= 3.6.0
BuildRequires: perl(Curses::UI) >= 0.960.600
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Module::Build) >= 0.420.0
BuildArch:  noarch

%description
This class provides a the Curses::UI manpage interface to configuration
data managed by the Config::Model manpage.

IMPORTANT: Once the CursesUI object is created, STDOUT and STDERR are
managed by the Curses interface, so all print and warn will not work as
expected.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*