%define upstream_name    Config-Model-OpenSsh
%define upstream_version 2.9.9.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    OpenSsh configuration files editor and API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

# for testsuite:

BuildRequires: perl(Carp)
BuildRequires: perl(Config::Model) >= 2.146.0
BuildRequires: perl(Config::Model::Backend::Any)
BuildRequires: perl(Config::Model::BackendMgr)
BuildRequires: perl(Config::Model::Tester) >= 4.1.0
BuildRequires: perl(Config::Model::Tester::Setup)
BuildRequires: perl(English)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Path)
BuildRequires: perl(IO::File)
BuildRequires: perl(Log::Log4perl) >= 1.110.0
BuildRequires: perl(Module::Build) >= 0.340.0
BuildRequires: perl(Mouse)
BuildRequires: perl(Mouse::Role)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.0.0
BuildRequires: perl(Test::Warn)
BuildArch:  noarch

%description
This module provides a configuration model for OpenSsh. Then Config::Model
provides a graphical editor program for _/etc/ssh/sshd_config_ and
_/etc/ssh/ssh_config_. See the config-edit-sshd manpage and the
config-edit-ssh manpage for more help.

This module and Config::Model can also be used to modify safely the content
for _/etc/ssh/sshd_config_, _/etc/ssh/ssh_config_ or _~/.ssh/config_ from
Perl programs.

Once this module is installed, you can run (as root, but please backup
/etc/X11/xorg.conf before):

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/Config