%define upstream_name    Config-Model-TkUI
%define upstream_version 1.379

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    GUI for conf editors based on Config::Model
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config::Model) >= 2.139.0
BuildRequires: perl(Config::Model::ObjTreeScanner)
BuildRequires: perl(Config::Model::Tester::Setup)
BuildRequires: perl(Config::Model::Value)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Log::Log4perl) >= 1.110.0
BuildRequires: perl(Module::Build) >= 0.340.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Pod::POM)
BuildRequires: perl(Pod::POM::View::Text)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Log::Log4perl)
BuildRequires: perl(Test::Memory::Cycle)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.0.0
BuildRequires: perl(Text::Diff)
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(Tk)
BuildRequires: perl(Tk::Adjuster)
BuildRequires: perl(Tk::Balloon)
BuildRequires: perl(Tk::BrowseEntry)
BuildRequires: perl(Tk::Dialog)
BuildRequires: perl(Tk::DialogBox)
BuildRequires: perl(Tk::DirSelect)
BuildRequires: perl(Tk::DoubleClick)
BuildRequires: perl(Tk::FontDialog)
BuildRequires: perl(Tk::Frame)
BuildRequires: perl(Tk::Menubutton)
BuildRequires: perl(Tk::NoteBook)
BuildRequires: perl(Tk::PNG)
BuildRequires: perl(Tk::Pane)
BuildRequires: perl(Tk::Photo)
BuildRequires: perl(Tk::Pod)
BuildRequires: perl(Tk::Pod::Text)
BuildRequires: perl(Tk::ROText)
BuildRequires: perl(Tk::Toplevel)
BuildRequires: perl(Tk::Tree)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(XXX)
BuildRequires: perl(YAML)
BuildRequires: perl(YAML::XS)
BuildArch:  noarch

Requires:   perl(Config::Model)
%description
This class provides a GUI for the Config::Model manpage.

With this class, the Config::Model manpage and an actual configuration
model (like the Config::Model::Xorg manpage), you get a tool to edit
configuration files (e.g. '/etc/X11/xorg.conf').

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
#xvfb-run -n 12 ./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml SIGNATURE examples
%{_mandir}/man3/*
%{perl_vendorlib}/*