%define upstream_name    Config-Model
%define upstream_version 2.155

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Framework for config validation and edition
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

Requires:   perl(Mouse::Meta::Attribute::Custom::Trait::Hash)
BuildRequires: perl(Carp)
BuildRequires: perl(Carp::Assert::More)
BuildRequires: perl(Config::Model::Tester) >= 4.2.0
BuildRequires: perl(Config::Model::Tester::Setup)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Encode)
BuildRequires: perl(English)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Hash::Merge) >= 0.120.0
BuildRequires: perl(IO::File)
BuildRequires: perl(JSON)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Log::Log4perl) >= 1.110.0
BuildRequires: perl(Module::Build) >= 0.340.0
BuildRequires: perl(Mouse)
BuildRequires: perl(Mouse::Role)
BuildRequires: perl(Mouse::Util)
BuildRequires: perl(Mouse::Util::TypeConstraints)
BuildRequires: perl(MouseX::NativeTraits)
BuildRequires: perl(MouseX::StrictConstructor)
BuildRequires: perl(POSIX)
BuildRequires: perl(Parse::RecDescent)
BuildRequires: perl(Path::Tiny) >= 0.70.0
BuildRequires: perl(Pod::POM)
BuildRequires: perl(Pod::Simple) >= 3.230.0
BuildRequires: perl(Pod::Text)
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::File::Contents)
BuildRequires: perl(Test::Log::Log4perl)
BuildRequires: perl(Test::Memory::Cycle)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Perl::Critic)
BuildRequires: perl(Test::Pod) >= 1.0.0
BuildRequires: perl(Test::Synopsis::Expectation)
BuildRequires: perl(Test::Warn) >= 0.110.0
BuildRequires: perl(Text::Levenshtein::Damerau)
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(YAML::Tiny)
BuildRequires: perl(base)
BuildRequires: perl(boolean)
BuildRequires: perl(feature)
BuildRequires: perl(lib)
BuildRequires: perl(open)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

Requires:   perl(Parse::RecDescent)
Requires:   perl(Exception::Class)
Requires:   perl(Carp::Assert::More)
%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

%description
Config::Model provides a validation engine according to a set of rules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MODELS MYMETA.yml SIGNATURE TODO
%{perl_vendorlib}/Config
%{_mandir}/man3/*