%define upstream_name    Config-Perl-V
%define upstream_version 0.24

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    A module that will return you the output of
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tgz

BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildArch:  noarch

%description
$conf = myconfig ()
    This function will collect the data described in the the hash structure
    manpage below, and return that as a hash reference. It optionally
    accepts an option to include more entries from %ENV. See the
    environment manpage below.

    Note that this will not work on uninstalled perls when called with
    '-I/path/to/uninstalled/perl/lib', but it works when that path is in
    '$PERL5LIB' or in '$PERL5OPT', as paths passed using '-I' are not known
    when the '-V' information is collected.

$conf = plv2hash ($text [, ...])
    Convert a sole 'perl -V' text block, or list of lines, to a complete
    myconfig hash. All unknown entries are defaulted.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changelog META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*