%define upstream_name Config-Record
%define upstream_version 1.1.2

%{?perl_default_filter}

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 13
Summary:        Perl module for Configuration file access

Group:          Development/Perl
License:        GPLv2+
URL:            https://metacpan.org/release/%{upstream_name}
Source:         https://cpan.metacpan.org/authors/id/D/DA/DANBERR/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:         Config-Record-1.1.2-Fix-building-on-Perl-without-dot-in-INC.patch

BuildArch:      noarch
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)

%description
Config::Record provides a module for loading configuration
records. It supports scalar, array and hash parameters nested
to an arbitrary depth.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%files
%doc AUTHORS CHANGES LICENSE README
%{perl_vendorlib}/Config/
%{_mandir}/man3/*.3pm*
