%define upstream_name    Config-Versioned
%define upstream_version 1.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Simple, versioned access to configuration data
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::Std)
BuildRequires: perl(DateTime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Git::PurePerl)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Config::Versioned allows an application to access configuration parameters
not only by parameter name, but also by version number. This allows for the
configuration subsystem to store previous versions of the configuration
parameters. When requesting the value for a specific attribute, the
programmer specifies whether to fetch the most recent value or a previous
value.

This is useful for long-running tasks such as in a workflow-based
application where task-specific values (e.g.: profiles) are static over the
life of a workflow, while global values (e.g.: name of an LDAP server to be
queried) should always be the most recent.

Config::Versioned handles the versions by storing the configuration data in
an internal Git repository. Each import of configuration files into the
repository is documented with a commit. When a value is fetched, it is this
commit that is referenced directly when specifying the version.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/cfgver


