%define upstream_name ConfigReader
%define upstream_version 0.5

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Read directives from a configuration file
Url:        https://metacpan.org/release/%{upstream_name}
Source:     https://cpan.metacpan.org/modules/by-module/ConfigReader/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:  noarch

%description
The ConfigReader::Spec class stores a specification about configuration
directives: their names, whether they are required or if they have default
values, and what parsing function or method to use.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
cat > Makefile.PL <<EOF
use ExtUtils::MakeMaker;

WriteMakefile(
    'NAME'	       => 'ConfigReader::DirectiveStyle',
    'VERSION_FROM' => 'DirectiveStyle.pm',
);
EOF

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc README
%{_mandir}/man3/*
%{perl_vendorlib}/*
