%define upstream_name    Connector
%define upstream_version 1.26

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A generic connection to a hierarchical-structured data set
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Connector/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::Merge)
BuildRequires: perl(Config::Std)
BuildRequires: perl(Config::Versioned)
BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(DBI)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Moose)
BuildRequires: perl(Proc::SafeExec)
BuildRequires: perl(Template)
BuildRequires: perl(Test::More)
BuildRequires: perl(YAML)
BuildArch:  noarch

%description
The Connector is generic connection to a data set, typically configuration
data in a hierarchical structure. Each connector object accepts the
get(KEY) method, which, when given a key, returns the associated value from
the connector's data source.

Typically, a connector acts as a proxy to a simple data source like YAML,
Config::Std, Config::Versioned, or to a more complex data source like an
LDAP server or Proc::SafeExec. The standard calling convention via get(KEY)
makes the connectors interchangeable.

In addition, a set of meta-connectors may be used to combine multiple
connectors into more complex chains. The Connector::Multi, for example,
allows for redirection to delegate connectors via symbolic links. If you
have a list of connectors and want to use them in a load-balancing,
round-robin fashion or have the list iterated until a value is found, use
Connector::List and choose the algorithm to perform.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# network test won't work in BS:
rm -f t/01-proxy-http.t 
sed -i /01-proxy-http.t/d MANIFEST

%build
%__perl -I. Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*