%define upstream_name    Convert-ASN1
%define upstream_version 0.34

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    ASN.1 Encode/Decode library for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/GBARR/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     fa1b9f9353abbf56490b5c144f743dd29df0afaf.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::BigInt) >= 1.997.0
BuildRequires: perl(Test::More) >= 0.900.0
BuildArch:  noarch

%description
Perl module used to encode and decode ASN.1 data structures using
BER/DER rules.

Needed by webmin to handle the OpenLDAP modules properly.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc ChangeLog LICENSE META.json META.yml MYMETA.yml SIGNATURE examples
%{perl_vendorlib}/Convert/*
%{_mandir}/*/*