%define upstream_name Convert-Bencode
%define upstream_version 1.03

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 6
Summary:        Functions for converting to/from bencoded strings
License:        GPL+ or Artistic
Group:          Development/C
URL:            https://metacpan.org/release/%{upstream_name}
Source0:        https://cpan.metacpan.org/authors/id/O/OR/ORCLEV/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Test::More) >= 0.45

%{?perl_default_filter}

%description
This module provides two functions, bencode and bdecode, which encode and
decode bencoded strings respectively.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%_fixperms %{buildroot}/*

%check
make test

%files 
%doc Changes LICENSE README Todo
%{perl_vendorlib}/*
%{_mandir}/man3/*
