%define upstream_name    Convert-GeekCode
%define upstream_version 0.63

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Convert and generate geek code sequences
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Convert/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(inc::Module::Package)
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(YAML)
BuildArch:  noarch

%description
*Convert::GeekCode* converts and generates Geek Code sequences (cf.
http://geekcode.com/). It supports different language codes and
user-customizable codesets.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/geekdec
/usr/bin/geekgen
%{_mandir}/man1/geekdec.1*
%{_mandir}/man1/geekgen.1*
