%define	upstream_name    Convert-PEM
%define	upstream_version 0.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:	Read/write encrypted ASN.1 PEM files
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/Convert-PEM
Source0:	https://cpan.metacpan.org/modules/by-module/Convert/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Convert::ASN1)
BuildRequires:  perl(Class::ErrorHandler)
BuildRequires:  perl(Crypt::DES_EDE3)
BuildRequires:  perl(Crypt::PRNG)
BuildRequires:	perl(inc::Module::Install)
# Tests only
BuildRequires:  perl(Math::BigInt)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
BuildArch:	noarch

# not found automatically
Requires:	perl(Class::ErrorHandler)
Requires:	perl

%description
Convert::PEM reads and writes PEM files containing ASN.1-encoded
objects. The files can optionally be encrypted using a symmetric cipher
algorithm, such as 3DES.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc README Changes
%{perl_vendorlib}/*
%{_mandir}/*/*
