%define upstream_name    Convert-Scalar
%define upstream_version 1.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12
Summary:    Convert-Scalar module for perl 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Convert/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Canary::Stability)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
This module exports various internal perl methods that change the internal
representation or state of a perl scalar. All of these work in-place, that is,
they modify their scalar argument. No functions are exported by default.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export PERL_CANARY_STABILITY_NOPROMPT=1
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc COPYING Changes META.yml README
%{perl_vendorarch}/Convert/Scalar.pm
%{perl_vendorarch}/auto/Convert/Scalar
%{_mandir}/*/*
