%define	upstream_name	 Convert-UUlib
%define upstream_version 1.8

# Filter the Perl extension module
%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8
Epoch:      2

Summary:    %{upstream_name} module for perl
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Convert/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     fix-build.patch 

BuildRequires: perl(Canary::Stability)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(common::sense) >= 3.740.0
BuildRequires: perl-devel
%description
Convert::UUlib is a Perl interface to the uulib library (a.k.a.
uudeview/uuenview).

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
export PERL_CANARY_STABILITY_NOPROMPT=1
%__perl Makefile.PL INSTALLDIRS=vendor 
%make_build

%install
%make_install

%check
make test

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README
%{perl_vendorarch}/auto/Convert
%{perl_vendorarch}/Convert
%{_mandir}/*/*
