%define upstream_name    Convert-X509
%define upstream_version 0.3

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Parse pkcs7 messages just to get only
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Convert/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Convert::ASN1)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
Convert::X509 really consists of six parts.

1) Convert::X509 itself just for convenient usage.

2) Convert::X509::Parser for internal usage (contains almost everything -
ASN.1 structure, OIDs "database", base data-processing, most logic and
code).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files

%{_mandir}/man3/*
%perl_vendorlib/*


