%define upstream_name    Crypt-Argon2
%define upstream_version 0.029

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl interface to the Argon2 key derivation functions
License:    ASL 2.0
Group:      Development/Perl
Url:        https://metacpan.org/release/Crypt-Argon2
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Build)
BuildRequires: perl(Module::Build)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl-devel

%description
This module provides a simple implementation of the Argon2 algorithm.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%{__perl} -pne 's%#!perl%#! /usr/bin/perl%' -i script/argon2-calibrate

%build
%{__perl} Build.PL --installdirs=vendor
%{__perl} Build

%check
%{__perl} Build test

%install
%{__perl} Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} %{buildroot}%perl_vendorarch

%files
%doc Changes META.json META.yml MYMETA.json README
%license LICENSE
%{_mandir}/man3/*
%perl_vendorarch/Crypt
%perl_vendorarch/auto/Crypt
%{_bindir}/argon2-calibrate
%{_mandir}/man1/argon2-calibrate.1*
