%define upstream_name Crypt-Curve25519
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-Crypt-Curve25519
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    Generate shared secret using elliptic-curve Diffie-Hellman function
Group:      Development/Perl
License:    GPL+ or Artistic
Url:        https://metacpan.org/release/Crypt-Curve25519
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/Crypt-Curve25519-%{upstream_version}.tar.gz
# Build
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: coreutils
BuildRequires: findutils
BuildRequires: gcc
BuildRequires: make
BuildRequires: perl-devel
# Module

# Test Suite

# Runtime

%description
Curve25519 is a Diffie-Hellman function suitable for a wide variety of
applications.

Given a user's 32-byte secret key, Curve25519 computes the user's 32-byte
public key. Given the user's 32-byte secret key and another user's 32-byte
public key, Curve25519 computes a 32-byte secret shared by the two users. This
secret can then be used to authenticate and encrypt messages between the two
users.

%prep
%setup -q -n Crypt-Curve25519-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes META.json META.yml MYMETA.yml
%{perl_vendorarch}/auto/Crypt/
%{perl_vendorarch}/Crypt/
%{_mandir}/man3/Crypt::Curve25519.3*

%changelog
* Mon Jun 06 2022 umeabot 0.60.0-3.mga8
- Rebuild

* Fri Mar 18 2022 Thierry Vignaud <tv@mageia.org> 0.06-1.mga9
- Import from FC

* Fri Mar  4 2022 Paul Howarth <paul@city-fan.org> - 0.06-1
- Initial RPM version