%define upstream_name	 Crypt-DH
%define upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 16

Summary:    Diffie-Hellman key exchange system
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/B/BT/BTROTT/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Math::BigInt) >= 1.600.0
BuildRequires: perl(Math::BigInt::GMP) >= 1.240.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Crypt::Random)
BuildArch:  noarch

%perl_default_filter
# (tv) --skipdeps below seems unsufficiant on BS (but OK locally???):
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Math::BigInt::Pari

%description 
Crypt::DH is a Perl implementation of the Diffie-Hellman key exchange system.
Diffie-Hellman is an algorithm by which two parties can agree on a shared
secret key, known only to them. The secret is negotiated over an insecure
network without the two parties ever passing the actual shared secret, or
their private keys, between them.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor --skipdeps
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorlib}/Crypt
%{_mandir}/*/*
