%define upstream_name	 Crypt-DSA
%define upstream_version 1.19

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    DSA Signatures and Key Generation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%upstream_name
Source0:    https://www.cpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:  noarch

BuildRequires: perl(Crypt::URandom)
BuildRequires: perl(Data::Buffer) >= 0.10.0
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Which) >= 0.50.0
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Math::BigInt) >= 1.780.0
BuildRequires: perl(Test::More) >= 0.420.0

%description
Crypt::DSA is an implementation of the DSA (Digital
Signature Algorithm) signature verification system.
The implementation itself is pure Perl, although the
heavy-duty mathematics underneath are provided by the
Math::Pari library.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.yml README
%{perl_vendorlib}/Crypt
%{_mandir}/*/*
