%define	upstream_name	 Crypt-OpenPGP
%define upstream_version 1.19

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Pure-Perl OpenPGP implementation
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Alt::Crypt::RSA::BigInt)
BuildRequires: perl(Bytes::Random::Secure)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(Crypt::Blowfish)
BuildRequires: perl(Crypt::CAST5_PP)
BuildRequires: perl(Crypt::DES_EDE3)
BuildRequires: perl(Crypt::DSA) >= 1.170.0
BuildRequires: perl(Crypt::IDEA)
BuildRequires: perl(Crypt::RIPEMD160) >= 0.50.0
BuildRequires: perl(Crypt::Rijndael)
BuildRequires: perl(Crypt::Twofish)
BuildRequires: perl(Data::Buffer) >= 0.40.0
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Math::BigInt)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI::Escape)
BuildArch:  noarch

%description
Crypt::OpenPGP is a pure-Perl implementation of the OpenPGP standard. In
addition to support for the standard itself, Crypt::OpenPGP claims
compatibility with many other PGP implementations, both those that support the
standard and those that preceded it.

Crypt::OpenPGP provides signing/verification, encryption/decryption, keyring
management, and key-pair generation; in short it should provide you with
everything you need to PGP-enable yourself. Alternatively it can be used as
part of a larger system; for example, perhaps you have a web-form-to-email
generator written in Perl, and you'd like to encrypt outgoing messages, because
they contain sensitive information.  Crypt::OpenPGP can be plugged into such a
scenario, given your public key, and told to encrypt all messages; they will
then be readable only by you.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
rm -f t/07-digest.t

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# this test works under iurt as user, but not under build system
rm -f t/07-digest.t
%make_build test

%install
%make_install

%files
%doc CREDITS Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_bindir}/pgplet
%{perl_vendorlib}/Crypt/*
%{_mandir}/*/*