%define	upstream_name	 Crypt-OpenSSL-RSA
%define upstream_version 0.33

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    %{upstream_name} module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz
# (tv) ensure magpie won't remove the BR on Crypt-OpenSSL-RSA:
Patch0:     fix-BR-Crypt-OpenSSL-RSA.patch

Requires:   openssl
BuildRequires: perl(Crypt::OpenSSL::Guess) >= 0.110.0
BuildRequires: perl(Crypt::OpenSSL::Random)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
BuildRequires: pkgconfig(openssl)
%description
%{upstream_name} module for perl

%prep
%autosetup -n %{upstream_name}-%{upstream_version} -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorarch}/auto/Crypt
%{perl_vendorarch}/Crypt
%{_mandir}/man*/*
