%define upstream_name    Crypt-OpenSSL-Random
%define upstream_version 0.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Crypt-OpenSSL-Random module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Crypt::OpenSSL::Guess) >= 0.110.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.220.0
BuildRequires: perl-devel
BuildRequires: pkgconfig(openssl)
Requires:   openssl
%{?perl_default_filter}

%description
Crypt-OpenSSL-Random module for perl

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# perl path hack
find . -type f | xargs %__perl -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%__perl Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} </dev/null
%{__make}

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{perl_vendorarch}/auto/Crypt/OpenSSL/Random/Random.so
%{perl_vendorarch}/Crypt/OpenSSL/Random.pm
%{_mandir}/*/*
