%define upstream_name	 Crypt-OpenSSL-X509
%define upstream_version 2.0.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    Perl extension to OpenSSL's X509 API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/J/JO/JONASBN/%{upstream_name}-%{upstream_version}.tar.gz
# Respect distribution compiler flags
Patch0:     Crypt-OpenSSL-X509-1.914-Do-not-hard-code-CFLAGS.patch

BuildRequires: perl(Config)
BuildRequires: perl(Convert::ASN1) >= 0.330.0
BuildRequires: perl(Crypt::OpenSSL::Guess)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Pod) >= 1.0.0
BuildRequires: perl(version) >= 0.770.0
BuildRequires: pkgconfig(openssl)
BuildRequires: perl-devel
%description
This is a Perl extension to OpenSSL's X509 API. It implements a large majority
of OpenSSL's useful X509 API.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl -I. Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
%__make test

%install
%make_install

%files
%doc LICENSE META.json META.yml MYMETA.yml README TODO
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/auto/Crypt
%{_mandir}/*/*