%define upstream_name    Crypt-PKCS10
%define upstream_version 2.005

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Parse PKCS #10 certificate requests
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Convert::ASN1)
BuildRequires: perl(Encode)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Module::Build::Tiny) >= 0.35.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.980.0
BuildArch:  noarch

%description
Crypt::PKCS10 parses PKCS #10 requests and provides accessor methods to
extract the requested data. First, the request will be parsed using the
included ASN.1 definition. Common object identifiers will be translated to
their corresponding names. Additionally, accessor methods allow to extract
single data fields. Bit Strings like signatures will be printed in their
hexadecimal representation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build build

%check
##./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc BUILD Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*
