%define upstream_name    Crypt-RSA
%define upstream_version 1.99

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    RSA public-key cryptosystem
License:    Artistic
Group:      Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz
Patch1:		Crypt-RSA-1.99-Fix-building-on-Perl-without-dot-in-INC.patch

BuildRequires:  perl(Crypt::Blowfish)
BuildRequires:  perl(Crypt::CBC)
BuildRequires:  perl(Digest::MD2)
BuildRequires:  perl(Digest::SHA1)
BuildRequires:  perl(Convert::ASCII::Armour)
BuildRequires:  perl(Crypt::Primes)
BuildRequires:  perl(Sort::Versions)
BuildRequires:  perl(Tie::EncryptedHash)
BuildArch:      noarch


%description
Crypt::RSA is a pure-perl, cleanroom implementation of the
RSA public-key cryptosystem. It uses Math::Pari(3), a perl
interface to the blazingly fast PARI library, for big
integer arithmetic and number theoretic computations.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%__make

%check
%__make test

%install
%make_install

%files
%doc ARTISTIC COPYING Changes README TODO META.yml
%{perl_vendorlib}/*
%{_mandir}/*/*
