%define	upstream_name	 Crypt-SSLeay
%define upstream_version 0.72

# Disable network tests by default
%bcond_with perl_Crypt_SSLeay_enables_network_test

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 25

Summary:    Support for the https protocol under LWP
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Crypt/Crypt-SSLeay-%{upstream_version}.tar.gz
# Adapt to OpenSSL 1.1.0, bug #1383756, CPAN RT#118343
Patch0:     Crypt-SSLeay-0.72-Do-not-use-SSLv2_client_method-with-OpenSSL-1.1.0.patch
Patch1:     Crypt-SSLeay-0.72-Fix-building-on-Perl-without-dot-in-INC.patch
Patch10:        https://rt.cpan.org/Ticket/Attachment/1895646/1016322/Use_TLS_client_method-with-OpenSSL-1.1.1.patch

BuildRequires: perl(ExtUtils::CBuilder) >= 0.280.205
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-ExtUtils-MakeMaker
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(LWP::Protocol::https) >= 6.20.0
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Path::Class) >= 0.260.0
BuildRequires: perl(Test::More) >= 0.190.0
BuildRequires: perl(Try::Tiny) >= 0.190.0
BuildRequires: pkgconfig(openssl)
BuildRequires: perl-devel
BuildRequires: perl(URI)

%global __provides_exclude %{?__provides_exclude:__provides_exclude|}^perl\\(DB\\)
%{?perl_default_filter}

%description 
This perl module provides support for the https protocol under LWP, so
that a LWP::UserAgent can make https GET & HEAD requests.

The Crypt::SSLeay package contains Net::SSL, which is automatically
loaded by LWP::Protocol::https on https requests, and provides the
necessary SSL glue for that module to work via these deprecated modules:

This product includes cryptographic software written by 
Eric Young (eay@cryptsoft.com)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
#patch -P 0 -p1
%patch -P 10 -p0
%patch -P 1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor \
    --%{!?with_perl_Crypt_SSLeay_enables_network_test:no-}live-tests \
    </dev/null
%make_build

%install
%make_install

%check
%make_build test

%files
%doc Changes META.json META.yml MYMETA.yml TODO eg
%{perl_vendorarch}/auto/Crypt
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/Net
%{_mandir}/*/*
