%define upstream_name    Crypt-Twofish2
%define upstream_version 1.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Crypt::CBC compliant Twofish encryption module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
This module implements the twofish cipher in a less braindamaged (read:
slow and ugly) way than the existing 'Crypt::Twofish' module.

Although it is 'Crypt::CBC' compliant you usually gain nothing by using
that module (except generality, which is often a good thing), since
'Crypt::Twofish2' can work in either ECB or CBC mode itself.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/Crypt
%perl_vendorarch/auto/Crypt
