%define upstream_name Crypt-URandom
%define upstream_version 0.54

%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Provide non blocking randomness
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/Crypt-URandom
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp) >= 1.260.0
BuildRequires: perl(Encode)
BuildRequires: perl(English)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FileHandle)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.140.0
BuildRequires: perl(constant)
BuildRequires: perl-devel
%description
This Module is intended to provide an interface to the strongest 
available source of non-blocking randomness on the current platform.
Platforms currently supported are anything supporting /dev/urandom
and versions of Windows greater than or equal to Windows 2000.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}
# Make scripts with shebangs executable
chmod a+x t/core_read.t t/core_fork.t t/core_fork_pp.t t/core_partial_read.t \
    t/core_sysopen.t

%build
%__perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1

%make_build

%check
unset CRYPT_URANDOM_BUILD_DEBUG
# (tv) fail if locale is not 'C':
export LC_ALL=C
export HARNESS_OPTIONS=j$(perl -e 'if ($ARGV[0] =~ /.*-j([0-9][0-9]*).*/) {print $1} else {print 1}' -- '%{?_smp_mflags}')
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%dir %{perl_vendorarch}/auto/Crypt
%{perl_vendorarch}/auto/Crypt/URandom
%dir %{perl_vendorarch}/Crypt
%{perl_vendorarch}/Crypt/URandom.pm
%{_mandir}/man3/*