%define upstream_name    Crypt-X509
%define upstream_version 0.55

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Parse a X.509 certificate
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Convert::ASN1) >= 0.190.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
*Crypt::X509* parses X.509 certificates. Methods are provided for accessing
most certificate elements.

It is based on the generic ASN.1 module by Graham Barr, on the _x509decode_
example by Norbert Klasen and contributions on the
perl-ldap-dev-Mailinglist by Chriss Ridd.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*