%define upstream_name       Curses-UI-POE
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11
Epoch:      1
Summary:    A subclass makes Curses::UI POE Friendly
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:     https://cpan.metacpan.org/modules/by-module/Curse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Curses::UI) >= 0.930.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POE) >= 0.110.0
BuildArch:  noarch

%description
This is a subclass for Curses::UI that enables it to work with POE. It is
designed to simply slide over Curses::UI. Keeping the API the same and simply
forcing Curses::UI to do all of its event handling via POE, instead of internal
to itself. This allows you to use POE behind the scenes for things like
networking clients, without Curses::UI breaking your programs' functionality.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc CHANGES META.yml MYMETA.yml examples
%{perl_vendorlib}/Curses
%{_mandir}/*/*