%define upstream_name    Curses-UI
%define upstream_version 0.9609

%{?perl_default_filter}
# Prevent useless requires on "perl >= 1:5" that pulls perl instead of perl-base:
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}1:5

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 17

Summary:    A curses based perl OO user interface framework
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Curses/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Curses-UI-0.95-more-Listbox-alike-Popupmenu.patch
Patch2:     Curses-UI-0.95-add-method-to-modify-button-label.patch
Patch3:     Curses-UI-0.95-allow-setting-active-line.patch
Patch4:     Curses-UI-0.9607-focus-up-and-focus-down.patch
Patch5:     Curses-UI-0.95-make-dialog-message-focusable-if-scrolled.patch
Patch6:     Curses-UI-0.95-new-Container-method--delete_object.patch
Patch7:     Curses-UI-0.95-do-not-replace-last-char-with-overflow-char.patch
Patch8:     Curses-UI-0.9607-gpm-does-not-work--hide-error-for-now.patch
Patch9:     Curses-UI-0.95-only-redraw-Listbox-when-needed-otherwise-it-occurs-after-focus-next.patch

BuildRequires: perl(Curses)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Term::ReadKey)
BuildArch:  noarch

Requires:   perl(Curses)
Requires:   perl(Term::ReadKey)
%description
A UI framework based on the curses library. Curses::UI contains
several widgets which can be used to build a user interface.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch -P 0 -p1
%patch -P 2 -p1
%patch -P 3 -p1
%patch -P 4 -p1
%patch -P 5 -p1
%patch -P 6 -p1
%patch -P 7 -p1
%patch -P 8 -p1
%patch -P 9 -p1

# perl path hack
find . -type f | xargs perl -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build OPTIMIZE="%{optflags}"

%check
# need setting COLUMNS and LINES to help it getting "Terminal Size" under nohup or iurt
COLUMNS=80 LINES=25 make test

%install
%make_install

%files
%doc CREDITS Changes INSTALL META.yml README examples
%{perl_vendorlib}/Curses
%{_mandir}/*/*
