%define upstream_name    Curses
%define upstream_version 1.45

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl module for character screen handling and windowing
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/G/GI/GIRAFFED/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: pkgconfig(ncursesw)
BuildRequires: perl-devel
%description
Curses is the interface between Perl and your system's curses(3) library.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor MENUS PANELS FORMS
%make_build CFLAGS="%{optflags}"
chmod 644 Artistic Copying INSTALL README HISTORY MAINTENANCE

%check
%make_build test

%install
%make_install

%files
%doc ChangeLog HISTORY INSTALL MAINTENANCE META.json META.yml MYMETA.yml README demo
%{perl_vendorarch}/auto/Curses
%{perl_vendorarch}/Curses*
%{_mandir}/*/*
