%define	upstream_name    DBD-CSV
%define upstream_version 0.62

%global __requires_exclude /pro/bin/perl

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl module to access CSV files through DBI
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/DBD-CSV
Source0:    https://cpan.metacpan.org/authors/id/H/HM/HMBRAND/%{upstream_name}-%{upstream_version}.tgz

BuildRequires: perl(Cwd)
BuildRequires: perl(DBD::File) >= 0.420.0
BuildRequires: perl(DBI) >= 1.628.0
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(SQL::Statement) >= 1.405.0
BuildRequires: perl(Test::Harness)
BuildRequires: perl(Test::More) >= 0.900.0
BuildRequires: perl(Text::CSV_XS) >= 1.10.0
BuildRequires: perl(charnames)
BuildArch:  noarch

%description
DBD::CSV is a Perl module that provides yet another driver for the DBI
(Database independent interface for Perl).  This one is based on the SQL
"engine" SQL::Statement and the abstract DBI driver DBD::File, and implements
access to so-called CSV files (comma separated values).  Such files are
mostly used for exporting MS Access and MS Excel data.

%prep 
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export PERL_MM_USE_DEFAULT=1
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Bundle/DBD/
%{perl_vendorlib}/DBD/*
%{_mandir}/man3/*
