# Filter the Perl extension module
%{?perl_default_filter}

%define	upstream_name	 DBD-Firebird
%define	upstream_version 1.39

%define Werror_cflags %nil

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Firebird database driver for the DBI module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://search.cpan.org/dist=%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DBD/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBI) >= 1.410.0
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Which)
BuildRequires: perl(Math::BigFloat) >= 1.550.0
BuildRequires: perl(Test::CheckDeps) >= 0.7.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception) >= 0.310.0
BuildRequires: perl(Test::More) >= 0.400.0
BuildRequires: perl(Time::HiRes)
BuildRequires: pkgconfig(icu-i18n)
BuildRequires: pkgconfig(fbclient)
BuildRequires: perl-devel
%description
DBD::Firebird is a Perl module that works with the DBI module to provide
access to Firebird databases.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export FIREBIRD_INCLUDE=%{_includedir}
export FIREBIRD_LIB=%{_libdir} 
%__perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS -Wno-incompatible-pointer-types"
%make_build

%install
%make_install
chmod 755 %{buildroot}%{perl_vendorarch}/auto/DBD/Firebird/Firebird.so

%check
# Test for ib_set_tx_param() seems to be buggy (thus disable for now)
rm -f t/embed-62-timeout.t

# Disable thread-based test of ib_wait_event, as this test cannot be
# guaranteed to succeed with overloaded host, see:
# - https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=719582
# - https://bugzilla.redhat.com/show_bug.cgi?id=1228642
# - https://bugzilla.redhat.com/show_bug.cgi?id=1161469
export AUTOMATED_TESTING=1

# Full test coverage requires a live Firebird database (see the README file)
make test

%files
%doc Changes META.json META.yml MYMETA.yml README eg
%{perl_vendorarch}/auto/DBD
%{perl_vendorarch}/DBD
%{_mandir}/*/*