%define upstream_name	 DBD-SQLite
%define upstream_version 1.76

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Self Contained RDBMS in a DBI Driver
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}/
Source0:    https://cpan.metacpan.org/modules/by-module/DBD/%{upstream_name}-%{upstream_version}.tar.gz
# Use system sqlite if it is available
Patch0:     perl-DBD-SQLite-bz543982.patch
# Remove notes about bundled sqlite C source from man page and README
Patch1:     DBD-SQLite-1.62-Remove-bundled-source-extentions.patch

BuildRequires: perl(DBI) >= 1.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.820.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Tie::Hash)
BuildRequires: perl-devel
BuildRequires: pkgconfig(sqlite3)
%{?perl_default_filter}

%description
SQLite is a small fast embedded SQL database engine.

DBD::SQLite embeds that database engine into a DBD driver, so
if you want a relational database for your project, but don't
want to install a large RDBMS system like MySQL or PostgreSQL,
then DBD::SQLite may be just what you need.

It supports quite a lot of features, such as transactions (atomic
commit and rollback), indexes, DBA-free operation, a large subset
of SQL92 supported, and more.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch -P 0 -p1
%patch -P 1 -p1

# Remove bundled sqlite libraries (mga#30216)
# System libraries will be used
rm sqlite*

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

# useless content
rm -f %{buildroot}%{perl_vendorarch}/auto/share/dist/DBD-SQLite/sqlite3.c
rm -f %{buildroot}%{perl_vendorarch}/auto/share/dist/DBD-SQLite/sqlite3.h
rm -f %{buildroot}%{perl_vendorarch}/auto/share/dist/DBD-SQLite/sqlite3ext.h

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorarch}/DBD
%{perl_vendorarch}/auto/DBD
%{_mandir}/*/*