%define upstream_name    DBD-Sybase
%define upstream_version 1.26

# (tv) fix build with 1.19:
%global __brp_check_rpaths %nil

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Sybase database driver for the DBI module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/DBD-Sybase
Source0:    https://cpan.metacpan.org/authors/id/M/ME/MEWP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBI)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: freetds-devel
BuildRequires: gettext-devel
BuildRequires: perl-devel
%description
DBD::Sybase is a Perl module which works with the DBI module to provide access
to Sybase databases. With FreeTDS DBD::Sybase can be also used to query a
MS-SQL 7 or 2000 database server from a UNIX/Linux host.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export SYBASE=%{_prefix}
echo -e "\n\n\n\n\n\n" | %__perl Makefile.PL INSTALLDIRS=vendor
%make_build OPTIMIZE="%{optflags}" LD_RUN_PATH=""

%install
%make_install

%files
%doc BUGS CHANGES CONFIG META.json META.yml MYMETA.yml PWD README eg
%{perl_vendorarch}/DBD/Sybase.pm
%dir %{perl_vendorarch}/auto/DBD/Sybase
%attr(0755,root,root) %{perl_vendorarch}/auto/DBD/Sybase/Sybase.so
%{_mandir}/man3/*