# (tv) stick to 4.x as 5.x drop support for MariaDB and many MySQL versions,
# only building against MySQL 8.x:
# https://github.com/perl5-dbi/DBD-mysql/issues/361

%define upstream_name    DBD-mysql
%define upstream_version 4.053
#define Werror_cflags %%nil

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    MySQL-Perl bindings
License:    GPL
Group:      Development/Databases
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DBD/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     revert-string-change.patch

# (tmb) filter out deps on self
%global __requires_exclude ^perl\\(DBD\\:\\:mysql\\)

BuildRequires: perl(DBI) >= 1.609.0
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Devel::CheckLib) >= 1.90.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Simple) >= 0.900.0
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(bigint)
BuildRequires: mysql-devel
BuildRequires: pkgconfig(openssl)
BuildRequires: perl-devel
BuildRequires: pkgconfig(zlib)
Provides:   perl-Mysql
Obsoletes:  perl-Mysql

%description
DBD::mysql is an interface driver for connecting the DBMS independent Perl API
DBI to the MySQL DBMS. When you want to use MySQL from within perl, DBI and
DBD::mysql are your best choice: Unlike "mysqlperl", another option, this is
based on a common standard, so your sources will easily be portable to other
DBMS's.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%serverbuild

%__perl Makefile.PL INSTALLDIRS=vendor
#--testhost=127.0.0.1 --testport=22222
%make_build OPTIMIZE="$CFLAGS"

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{perl_vendorarch}/*
%{_mandir}/*/*