%define upstream_name	 DBI-Shell
%define upstream_version 11.98

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Interactive command shell for the DBI 
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/T/TL/TLOWERY/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(DBI)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::HomeDir) >= 0.500.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long) >= 2.170.0
BuildRequires: perl(IO::Interactive)
BuildRequires: perl(IO::Tee)
BuildRequires: perl(Term::ReadLine)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Abbrev)
BuildRequires: perl(Text::CSV_XS)
BuildRequires: perl(Text::Reform)
BuildArch:  noarch

%description
The DBI::Shell module (and dbish command, if installed) provide a simple but
effective command line interface for the Perl DBI module.

DBI::Shell is very new, very experimental and very subject to change. Your
mileage will vary. Interfaces will change with each release.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 Changes README ToDo
find lib -type f -exec chmod 644 {} \;

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/dbish
%{_mandir}/*/*
%{perl_vendorlib}/DBI