%define upstream_name DBI
%define upstream_version 1.647

%global __requires_exclude perl\\(Coro[^)]*\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    The Perl Database Interface
License:    GPL+
Group:      Development/Perl
Url:        https://dbi.perl.org/
Source0:    https://cpan.metacpan.org/modules/by-module/DBI/%{upstream_name}-%{upstream_version}.tgz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.480.0
BuildRequires: perl(Test::Simple) >= 0.900.0
BuildRequires: perl-devel
%{?perl_default_filter}
Obsoletes:  perl-DBI-proxy < 1.643.0-4

%description
The Perl Database Interface (DBI) is a database access Application Programming
Interface (API) for the Perl Language. The Perl DBI API specification defines a
set of functions, variables and conventions that provide a consistent database
interface independent of the actual database being used.

%package	ProfileDumper-Apache
Group:      Development/Perl
Summary:    DBI profiling data for mod_perl
Requires:   %{name} = %{version}
%description ProfileDumper-Apache
This module interfaces DBI::ProfileDumper to Apache/mod_perl. Using this
module you can collect profiling data from mod_perl applications. It
works by creating a DBI::ProfileDumper data file for each Apache
process. These files are created in your Apache log directory. You can
then use dbiprof to analyze the profile files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1
chmod 755 ex

%build
# workaround gcc14 build failure
sed -i 's|\(-Wbad-function-cast\)|\1 -Wno-incompatible-pointer-types|' Makefile.PL

%__perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" 
%make_build

%check
rm -f t/zvg_85gofer t/pod.t
%__make test

%install
%make_install

# remove Win32 stuff
rm -rf %{buildroot}%{perl_vendorarch}/Win32
rm -f %{buildroot}%{perl_vendorarch}/DBI/W32ODBC.pm
rm -f %{buildroot}%{perl_vendorarch}/Roadmap.pod
rm -f %{buildroot}%{perl_vendorarch}/DBI/Roadmap.pm
rm -f %{buildroot}%{perl_vendorarch}/TASKS.pod
rm -f %{buildroot}%{perl_vendorarch}/DBI/TASKS.pm
rm -f %{buildroot}%{_mandir}/man3*/Win32::DBIODBC.3pm*
rm -f %{buildroot}%{_mandir}/man3*/DBI::W32ODBC.3pm*
rm -f %{buildroot}%{_mandir}/man3*/Roadmap.3pm*
rm -f %{buildroot}%{_mandir}/man3*/TASKS.3pm*
# Fix upstream perm bug #3053
chmod 644 META.yml

find %{buildroot} -iname '*proxy*' -delete

%files
%doc ChangeLog INSTALL LICENSE META.json META.yml MYMETA.yml ex
%{_bindir}/dbiprof
%{_bindir}/dbilogstrip
%{_mandir}/*/*
%exclude %{_mandir}/man3*/DBI::ProfileDumper::Apache.3pm*
%{perl_vendorarch}/Bundle
%{perl_vendorarch}/DBD
%{perl_vendorarch}/dbixs_rev.pl
%{perl_vendorarch}/DBI.pm
%{perl_vendorarch}/DBI
%exclude %{perl_vendorarch}/DBI/ProfileDumper
%exclude %{perl_vendorarch}/DBI/ProfileDumper.pm
%{perl_vendorarch}/auto/DBI

%files ProfileDumper-Apache
%{perl_vendorarch}/DBI/ProfileDumper
%{perl_vendorarch}/DBI/ProfileDumper.pm
%{_mandir}/man3*/DBI::ProfileDumper::Apache.3pm.*