%define upstream_name    DBIx-Class-DateTime-Epoch
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Automatic inflation/deflation of epoch-based columns to/from DateTime objects
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBICx::TestDatabase)
BuildRequires: perl(DBIx::Class) >= 0.81.30
BuildRequires: perl(DBIx::Class::TimeStamp) >= 0.70.0
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::SQLite)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module automatically inflates/deflates DateTime objects from/to epoch
values for the specified columns. This module is essentially an extension
to the DBIx::Class::InflateColumn::DateTime manpage so all of the settings,
including 'locale' and 'timezone', are also valid.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
