%define upstream_name    DBIx-Class-EncodedColumn
%define upstream_version 0.00020

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Encrypt columns using Crypt::OpenPGP
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(DBIx::Class) >= 0.60.20
BuildRequires: perl(Dir::Self)
BuildRequires: perl(Encode)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Sub::Name) >= 0.40.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%{?perl_default_filter}

%description
This the DBIx::Class manpage component can be used to automatically encode
a column's contents whenever the value of that column is set.

This module is similar to the existing the DBIx::Class::DigestColumns
manpage, but there is some key differences:

* 'DigestColumns' performs the encode operation on 'insert' and 'update',
  and 'EncodedColumn' performs the operation when the value is set, or on
  'new'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Build.PL --installdirs=vendor
./Build

%check
unset AUTHOR_TESTING
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0

%files
%license LICENSE
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*