%define upstream_name    DBIx-Class-Fixtures
%define upstream_version 1.001032

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Provides fixtures for DBIx-Class-based scripts
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Grouped) >= 0.60.0
BuildRequires: perl(Clone)
BuildRequires: perl(Config::Any) >= 0.80.0
BuildRequires: perl(DBIx::Class) >= 0.81.20
BuildRequires: perl(DBIx::Class::InflateColumn::FS)
BuildRequires: perl(DBIx::Class::Schema::Loader) >= 0.70.0
BuildRequires: perl(Data::Dump::Streamer) >= 2.50.0
BuildRequires: perl(Data::Visitor) >= 0.150.0
BuildRequires: perl(DateTime) >= 0.410.0
BuildRequires: perl(DateTime::Format::MySQL)
BuildRequires: perl(DateTime::Format::Pg)
BuildRequires: perl(DateTime::Format::SQLite) >= 0.100.0
BuildRequires: perl(Devel::Confess)
BuildRequires: perl(Eval::Closure)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Copy::Recursive) >= 0.350.0
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Hash::Merge) >= 0.100.0
BuildRequires: perl(IO::All)
BuildRequires: perl(JSON::Syck) >= 0.260.0
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Package::DeprecationManager)
BuildRequires: perl(Path::Class) >= 0.160.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::Compile::Internal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::TempDir::Tiny)
BuildRequires: perl(Text::Unidecode)
BuildArch:  noarch

%description
Dump fixtures from source database to filesystem then import to another
database (with same schema) at any time. Use as a constant dataset for running
tests against or for populating development databases when impractical to use
production clones. Describe fixture set using relations and conditions based on
your DBIx::Class schema.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
