%define upstream_name	 DBIx-Class-Schema-Loader
%define upstream_version 0.07053

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Epoch:      1

Summary:    Dynamic definition of a DBIx::Class::Schema
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

Provides:   perl(DBIx::Class::Schema::Loader::Utils)

BuildConflicts: perl-Lingua-EN-Tagger < 0.250.0-4

BuildRequires: perl(Carp::Clan)
BuildRequires: perl(Class::Accessor::Grouped) >= 0.100.80
BuildRequires: perl(Class::C3::Componentised) >= 1.0.800
BuildRequires: perl(Class::Inspector) >= 1.270.0
BuildRequires: perl(Class::Unload) >= 0.70.0
BuildRequires: perl(DBD::SQLite) >= 1.290.0
BuildRequires: perl(DBIx::Class) >= 0.81.270
BuildRequires: perl(Data::Dump) >= 1.60.0
BuildRequires: perl(Digest::MD5) >= 2.360.0
BuildRequires: perl(Exporter) >= 5.630.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Path) >= 2.70.0
BuildRequires: perl(File::Temp) >= 0.160.0
BuildRequires: perl(Hash::Merge) >= 0.120.0
BuildRequires: perl(Lingua::EN::Inflect::Number) >= 1.100.0
BuildRequires: perl(Lingua::EN::Inflect::Phrase) >= 0.150.0
BuildRequires: perl(Lingua::EN::Tagger) >= 0.230.0
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(MRO::Compat) >= 0.90.0
BuildRequires: perl(Scope::Guard) >= 0.200.0
BuildRequires: perl(String::CamelCase) >= 0.40.0
BuildRequires: perl(String::ToIdentifier::EN) >= 0.50.0
BuildRequires: perl(Sub::Util) >= 1.400.0
BuildRequires: perl(Test::Deep) >= 0.107.0
BuildRequires: perl(Test::Differences) >= 0.600.0
BuildRequires: perl(Test::Exception) >= 0.310.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Warn) >= 0.210.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(curry) >= 1.0.0
BuildRequires: perl(namespace::clean) >= 0.230.0
BuildArch:  noarch

%{?perl_default_filter}

%description
DBIx::Class::Schema::Loader automates the definition of a DBIx::Class::Schema
by scanning database table definitions and setting up the columns, primary
keys, and relationships.

DBIx::Class::Schema::Loader currently supports only the DBI storage type. It
has explicit support for DBD::Pg, DBD::mysql, DBD::DB2, DBD::SQLite, and
DBD::Oracle. Other DBI drivers may function to a greater or lesser degree with
this loader, depending on how much of the DBI spec they implement, and how
standard their implementation is.

See DBIx::Class::Schema::Loader::DBI::Writing for notes on writing your own
vendor-specific subclass for an unsupported DBD driver.

This module obsoletes the older DBIx::Class::Loader.

This module is designed more to get you up and running quickly against an
existing database, or to be effective for simple situations, rather than to be
what you use in the long term for a complex database/project.

That being said, transitioning your code from a Schema generated by this module
to one that doesn't use this module should be straightforward and painless, so
don't shy away from it just for fears of the transition down the road.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl  -pi -e "s/('DBD::(DB2|Oracle))/#$1/g" Makefile.PL
%__perl Makefile.PL
%make_build INSTALLDIRS=vendor

%check
# probably just a missing build dependency
rm -f t/20invocations.t
make test

%install
%make_install  INSTALLDIRS=vendor

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/DBIx
%{_mandir}/*/*
%{_bindir}/dbicdump