%define upstream_name    DBIx-Introspector
%define upstream_version 0.001005

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Detect what database you are connected to
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Method::Modifiers) >= 1.2.0
BuildRequires: perl(DBD::SQLite) >= 1.400.0
BuildRequires: perl(DBI) >= 1.628.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moo) >= 1.3.1
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.990.0
BuildRequires: perl(Test::Roo) >= 1.2.0
BuildArch:  noarch

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(DBIx::Introspector::Driver\\)

%description
'DBIx::Introspector' is a module factored out of the the DBIx::Class
manpage database detection code. Most code that needs to detect which
database it is connected to assumes that there is a one-to-one mapping from
database drivers to database engines. Unfortunately reality is rarely that
simple. For instance, the DBD::ODBC manpage is typically used to connect to
SQL Server, but ODBC can be used to connect to PostgreSQL, MySQL, and
Oracle. Additionally, while ODBC is the most common way to connect to SQL
Server, it is not the only option, as the DBD::ADO manpage can also be
used.

'DBIx::Introspector' can correctly detect which database you are connected
to, because it was factored out of a complex, working codebase. On top of
that it has been written to be very extensible. So if you needed to detect
which version of your given database you are connected to that would not be
difficult.

Furthermore, 'DBIx::Introspector' does it's best to try to detect
information based on the dsn you give it if you have not yet connected, so
you can possibly avoid connection or at least defer connection.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
