%define upstream_name    Daemon-Control
%define upstream_version 0.001010

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Create init scripts in Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Daemon/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Path) >= 2.80.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp) >= 0.140.0
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
Daemon::Control provides a library for creating init scripts in perl. Your
perl script just needs to set the accessors for what and how you want
something to run and the library takes care of the rest.

You can launch programs through the shell ('/usr/sbin/my_program') or
launch Perl code itself into a daemon mode. Single and double fork methods
are supported, and in double-fork mode all the things you would expect such
as reopening STDOUT/STDERR, switching UID/GID etc are supported.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*