%define upstream_name    Daemon-Daemonize
%define upstream_version 0.0052

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    An easy-to-use daemon(izing) toolkit
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Daemon/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(POSIX)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::Most)
BuildArch: noarch

%description
Daemon::Daemonize is a toolkit for daemonizing processes and checking up on
them. It takes inspiration from the
https://clapper.org/software/daemonize/ manpage, the MooseX::Daemon
manpage, the Net::Server::Daemon manpage

A note about the 'close' option
    If you're having trouble with IPC in a daemon, try closing only STD*
    instead of everything:

        daemonize( ..., close => std, ... )

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


