%define upstream_name Daemon-Generic
%define upstream_version 0.85

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4

Summary:	Framework to provide start/stop/reload for a daemon
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Daemon/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(AnyEvent)
BuildRequires:	perl(Eval::LineNumbers)
BuildRequires:	perl(Event)
BuildRequires:	perl(File::Flock::Forking)

BuildArch:	noarch

%{?perl_default_filter}

%description
Daemon::Generic provides a framework for starting, stopping,
reconfiguring daemon-like programs. The framework provides for standard
commands that work for as init.d files and as apachectl-like commands.

Programs that use Daemon::Generic subclass Daemon::Generic to override
its behavior. Almost everything that Daemon::Generic does can be
overridden as needed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
