%define upstream_name    Dancer-Plugin-Database
%define upstream_version 2.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Subclassed DBI connection handle
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dancer/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBI)
BuildRequires: perl(Dancer) >= 1.309.900
BuildRequires: perl(Dancer::Plugin::Database::Core)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Provides an easy way to obtain a connected DBI database handle by simply
calling the database keyword within your the Dancer manpage application

Returns a the Dancer::Plugin::Database::Handle manpage object, which is a
subclass of the DBI manpage's 'DBI::db' connection handle object, so it
does everything you'd expect to do with DBI, but also adds a few
convenience methods. See the documentation for the
Dancer::Plugin::Database::Handle manpage for full details of those.

Takes care of ensuring that the database handle is still connected and
valid. If the handle was last asked for more than
'connection_check_threshold' seconds ago, it will check that the connection
is still alive, using either the '$dbh->ping' method if the DBD driver
supports it, or performing a simple no-op query against the database if
not. If the connection has gone away, a new connection will be obtained and
returned. This avoids any problems for a long-running script where the
connection to the database might go away.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
