%define upstream_name    Dancer-Plugin-WindowSession
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Manage Per-Browser-Window sessions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dancer/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Clone)
BuildRequires: perl(Dancer)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This module makes it easy to manage per-window session variables (as
opposed to browser-wide session variables).

The common use case is when you expect users of your website to have
multiple web-browser windows open with your web-site, and for each open
window you want to maintain independent set of variables.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml Changes README META.json
%{_mandir}/man3/*
%perl_vendorlib/*


