%define upstream_name    Dancer
%define upstream_version 1.3521

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Template Toolkit wrapper for Dancer
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Devel::Hide)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::stat)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(HTTP::Body)
BuildRequires: perl(HTTP::CookieJar) >= 0.8.0
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Server::Simple::PSGI)
BuildRequires: perl(HTTP::Tiny) >= 0.14.0
BuildRequires: perl(Hash::Merge::Simple)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(JSON) >= 2.900.0
BuildRequires: perl(MIME::Types)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(POSIX)
BuildRequires: perl(Plack::Builder)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::LongString)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(URI)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(base)
BuildRequires: perl(bytes)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
Dancer is a web application framework designed to be as effortless as
possible for the developer, taking care of the boring bits as easily as
possible, yet staying out of your way and letting you get on with writing
your code.

Dancer aims to provide the simplest way for writing web applications, and
offers the flexibility to scale between a very simple lightweight web
service consisting of a few lines of code in a single file, all the way up
to a more complex fully-fledged web application with session support,
templates for views and layouts, etc.

If you don't want to write CGI scripts by hand, and find Catalyst too big
or cumbersome for your project, Dancer is what you need.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# 10_error_dumper_without_clone.t fails with HTTP-Message-6.44, because
# there were added dependency on Clone, so the test could not be executed.
# BZ#2139414
rm t/12_response/10_error_dumper_without_clone.t
perl -i -ne 'print $_ unless m{^t/12_response/10_error_dumper_without_clone.t}' MANIFEST

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%install
%make_install

%check
unset AUTHOR_TESTING
make test

%files
%doc AUTHORS CONTRIBUTORS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE examples
%{_bindir}/dancer
%{_mandir}/man1/dancer.1*
%{_mandir}/man3/*
%{perl_vendorlib}/*