%define upstream_name    Dancer2
%define upstream_version 1.1.2

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Lightweight yet powerful web application framework
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dancer2/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Attribute::Handlers)
BuildRequires: perl(CLI::Osprey)
BuildRequires: perl(CPAN::Meta::Requirements) >= 2.120.620
BuildRequires: perl(Capture::Tiny) >= 0.120.0
BuildRequires: perl(Carp)
BuildRequires: perl(Clone)
BuildRequires: perl(Config::Any)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(Exporter::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Share)
BuildRequires: perl(File::ShareDir::Install) >= 0.60.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Which)
BuildRequires: perl(HTTP::Cookies)
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(HTTP::Headers::Fast) >= 0.210.0
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(HTTP::XSCookies) >= 0.0.7
BuildRequires: perl(Hash::Merge::Simple)
BuildRequires: perl(Hash::MultiValue)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Import::Into)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(List::Util) >= 1.290.0
BuildRequires: perl(MIME::Base64) >= 3.130.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo) >= 2.0.0
BuildRequires: perl(Moo::Role)
BuildRequires: perl(POSIX)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Plack) >= 1.4.0
BuildRequires: perl(Plack::Middleware::FixMissingBodyInRedirect)
BuildRequires: perl(Plack::Middleware::RemoveRedundantBody)
BuildRequires: perl(Pod::Simple::SimpleTree)
BuildRequires: perl(Ref::Util)
BuildRequires: perl(Role::Tiny) >= 2.0.0
BuildRequires: perl(Safe::Isa)
BuildRequires: perl(Sub::Quote)
BuildRequires: perl(Template)
BuildRequires: perl(Template::Tiny)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::EOL)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.920.0
BuildRequires: perl(Type::Tiny) >= 1.0.6
BuildRequires: perl(Types::Standard)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(YAML) >= 0.860.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
This is the main module for the Dancer2 distribution. It contains logic for
creating a new Dancer2 application.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc AUTHORS Changes LICENSE META.json META.yml MYMETA.yml examples
%{_bindir}/dancer2
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*