%define upstream_name    Data-Dmp
%define upstream_version 0.242

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Dump Perl data structures as Perl code
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Deparse)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Regexp::Stringify)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Data::Dmp is a Perl dumper like the Data::Dumper manpage. It's compact
(only about 175 lines of code long), starts fast and does not use any
non-core modules except the Regexp::Stringify manpage when dumping regexes.
It produces compact single-line output (similar to the
Data::Dumper::Concise manpage). It roughly has the same speed as
Data::Dumper (usually a bit faster for smaller structures) and faster than
the Data::Dump manpage, but does not offer the various formatting options.
It supports dumping objects, regexes, circular structures, coderefs. Its
code is first based on the Data::Dump manpage: I removed all the parts that
I don't need, particularly the pretty formatting stuffs) and added some
features that I need like proper regex dumping and coderef deparsing.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*