%define upstream_name    Data-Dump-Color
%define upstream_version 0.251

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Like Data::Dump, but with color
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ColorThemeBase::Static::FromStructColors) >= 0.6.0
BuildRequires: perl(ColorThemeUtil::ANSI)
BuildRequires: perl(Data::Dump::FilterContext)
BuildRequires: perl(Data::Dump::Filtered)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir::Install) >= 0.60.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Module::Load::Util) >= 0.11.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(subs)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module aims to be a drop-in replacement for the Data::Dump manpage. It
adds colors to dumps. It also adds various visual aids in the comments,
e.g. array/hash index, depth indicator, and so on.

For more information, see Data::Dump. This documentation explains what's
different between this module and Data::Dump.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*