%define upstream_name    Data-Dump-Streamer
%define upstream_version 2.42

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Accurately serialize a data structure as Perl code
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(B::Deparse)
BuildRequires: perl(B::Utils)
BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Devel::Peek)
BuildRequires: perl(DynaLoader)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(Hash::Util)
BuildRequires: perl(IO::File)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Abbrev)
BuildRequires: perl(Text::Balanced)
BuildRequires: perl(base)
BuildRequires: perl(overload)
BuildRequires: perl(re)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildRequires: perl(warnings::register)
BuildRequires: perl-devel
Requires:   perl(B::Utils)
Provides:   perl(Data::Dump::Streamer::_::Printers)

%global __requires_exclude perl\\(warnings::register\\)
%{?perl_default_filter:
%filter_from_requires /::_::/d
%filter_from_provides /::_::/d
%perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}::_::
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}::_::

%description
Given a list of scalars or reference variables, writes out their contents in
perl syntax. The references can also be objects. The contents of each variable
is output using the least number of Perl statements as convenient, usually only
one. Self-referential structures, closures, and objects are output correctly.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
yes | %{__perl} Build.PL DDS --installdirs=vendor
./Build

%check
# Tests fail on 2.38 with perl-5.22.0. See:
# https://rt.cpan.org/Public/Bug/Display.html?id=102369
if test "%{upstream_version}" != "2.38"
then
    ./Build test
else
    ./Build test || true
fi

%install
./Build install --destdir=%{buildroot}

# Fix permissions
%_fixperms %{buildroot}%perl_vendorarch

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorarch/Data
%perl_vendorarch/DDS.pm
%perl_vendorarch/auto/Data
