%define upstream_name	 Data-HexDump
%define upstream_version 0.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A Simple Hexadecimal Dumper	
License:    GPL
Group:      Development/Perl
Requires:   perl
Url:        https://www.cpan.org/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/F/FT/FTASSIN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FileHandle)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Dump in hexadecimal the content of a scalar. The result is returned 
in a string. Each line of the result consists of the offset in the
source in the leftmost column of each line, followed by one or more
columns of data from the source in hexadecimal. The rightmost column
of each line shows the printable characters (all others are shown
as single dots)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
make OPTIMIZE="$RPM_OPT_FLAGS" 
make test

%install
%make_install 

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/Data::HexDump.3pm*
%dir %{perl_vendorlib}/Data
%{perl_vendorlib}/Data/HexDump.pm
