%define upstream_name     Data-ICal
%define upstream_version 0.24

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Generates iCalendar (RFC 2445) calendar files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/Data-ICal
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor)
BuildRequires: perl(Class::ReturnValue)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(MIME::QuotedPrint)
BuildRequires: perl(Test::LongString)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Text::vFile::asData)
BuildArch:  noarch

# rpm doesn't catch this
Requires:   perl(Class::Accessor)
%description
A Data::ICal object represents a VCALENDAR object as defined in the
iCalendar protocol (RFC 2445, MIME type "text/calendar"), as implemented in
many popular calendaring programs such as Apple's iCal.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

#make pure_install PERL_INSTALL_ROOT=%{buildroot}

#find %{buildroot} -type f -name .packlist -exec rm -f {} \;
#find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

#chmod -R u+w %{buildroot}/*

%files
%doc Changes META.yml MYMETA.yml README SIGNATURE examples
%{perl_vendorlib}/*
%{_mandir}/man3/*
