%define upstream_name    Data-Iter
%define upstream_version 0.2

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4
Summary:    Easily iterate over a hash/array
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dump)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Extended)
BuildArch:  noarch

%description
Data::Iter provides functions for comfortably iterating over perl data
structures. Its slower, but easier to code. An array containing object
elements for every iteration is generated with the the iter() manpage
function - due to array'ish nature of for(), foreach() and map() loops it
is easy to use.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
%make test

%install
%make_install

%files
%doc ChangeLog Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
