%define upstream_name    Data-Localize
%define upstream_version 0.00028

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    BerkeleyDB Backend
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(I18N::LangTags)
BuildRequires: perl(I18N::LangTags::Detect)
BuildRequires: perl(Log::Minimal) >= 0.140.0
BuildRequires: perl(Module::Build::Tiny) >= 0.35.0
BuildRequires: perl(Module::Load)
BuildRequires: perl(Module::Pluggable::Object)
BuildRequires: perl(Moo) >= 1.0.8
BuildRequires: perl(MooX::Types::MooseLike::Base)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Requires)
BuildArch:  noarch

%description
Data::Localize is an object oriented approach to localization, aimed to be
an alternate choice for Locale::Maketext, Locale::Maketext::Lexicon, and
Locale::Maketext::Simple.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*