%define upstream_name    Data-Record
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    "split" on steroids
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Sub::Uplevel)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
Sometimes we need data split into records and a simple split on the input
record separator ('$/') or some other value fails because the values we're
splitting on may allowed in other parts of the data. Perhaps they're
quoted. Perhaps they're embedded in other data which should not be split
up.

This module allows you to specify what you wish to split the data on, but
also specify an "unless" regular expression. If the text in question
matches the "unless" regex, it will not be split there. This allows us to
do things like split on newlines unless newlines are embedded in quotes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


