%define upstream_name    Data-Struct
%define upstream_version 1.701

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Simple struct building
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module implements a very basic and easy to use struct builder.

A _struct_ is a data structure that can contain values (attributes). The
values of the attributes can be set at creation time, and read and modified
at run time. Attributes can be anything that Perl can handle. There's no
checking on types. You may want to use the Class::Struct manpage if you
need _struct_s with type checking and inheritance.

Objects are much more powerful. Besides data, they can contain behaviour
(methods), support inheritance and encapsulation. This module deals with
data structures and not Objects, so I took placed it under the Data::
hierarchy.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*