%define upstream_name    Data-TreeDumper-Renderer-GTK
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Gtk2::TreeView renderer for Data::TreeDumper
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cairo)
BuildRequires: perl(Data::TreeDumper) >= 0.330.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Glib)
BuildRequires: perl(Gtk3)
BuildRequires: x11-server-xvfb
Requires:   perl(Term::Size)
BuildArch:  noarch

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:__requires_exclude|}perl\\(Gtk2::TreeView\\)

%description
GTK-perl renderer for *Data::TreeDumper*. 

This widget is the gui equivalent of Data::TreeDumper; it will display a
perl data structure in a TreeView, allowing you to fold and unfold child
data structures and get a quick feel for what's where. Right-clicking
anywhere in the view brings up a context menu, from which the user can
choose to expand or collapse all items.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
xvfb-run make test

%install
%make_install

%files
%doc META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/Data
%perl_vendorlib/auto/Data