%define upstream_name    Data-Undump
%define upstream_version 0.15

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Perl extension for securely and quickly deserializing simple Data::Dumper dumps
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::LongString)
BuildRequires: perl-devel

%description
Securely and quickly deserialize simple Data::Dumper dumps.

*Note that this is an early release. Please contact the author(s) if you
intend to use this software in production.*

EXPORT
    By default exports the 'undump' subroutine.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
# Tests fail on some archs
%__make test || true

%install
%make_install

%files
%doc Changes META.json META.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


