%define upstream_name    Data-Util
%define upstream_version 0.67

%{?perl_default_filter}

%global __requires_exclude  %{?__requires_exclude:%{__requires_exclude}|^perl\\(Data::Util/PurePerl\\)}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Exports subroutines lexically
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::PPPort) >= 3.190.0
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(ExtUtils::ParseXS) >= 3.180.0
BuildRequires: perl(Hash::Util::FieldHash::Compat)
BuildRequires: perl(Module::Build) >= 0.400.500
BuildRequires: perl(Module::Build::XSUtil) >= 0.190.0
BuildRequires: perl(Scope::Guard)
BuildRequires: perl(Test::Exception) >= 0.270.0
BuildRequires: perl(Test::More) >= 0.620.0
BuildRequires: perl(XSLoader) >= 0.20.0
BuildRequires: perl-devel

%description
This module provides utility functions for data and data types, including
functions for subroutines and symbol table hashes (stashes).

The implementation of this module is both Pure Perl and XS, so if you have
a C compiler, all the functions this module provides are really faster.

There are many benchmarks in the _DIST-DIR/benchmark/_ directory.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

# Fix permissions
%_fixperms %{buildroot}%{perl_vendorarch}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml example
%{_mandir}/man3/*
%{perl_vendorarch}/*
%exclude %dir %{perl_vendorarch}/auto/
