%define upstream_name    Data-Validate-Type
%define upstream_version v1.6.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Public interface encapsulating Params::Util to offer data type validation functions that pass PerlCritic
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util) >= 1.180.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::FailWarnings)
BuildRequires: perl(Test::More) >= 0.940.0
BuildArch:  noarch

%{?perl_default_filter}

%description
Params::Util is a wonderful module, but suffers from a few drawbacks:
    - Function names start with an underscore, which is usually used to
      indicate private functions.
    - Function names are uppercase, which is usually used to indicate file
      handles or constants.
    - Function names don't pass PerlCritic's validation, making them
      problematic to import.

Functions use by default the convention that collection that collections
need to not be empty to be valid (see _ARRAY0/_ARRAY for example), which
is counter-intuitive.

Those drawbacks are purely cosmetic and don't affect the usefulness of
the functions, so this module encapsulates the functions to offer an API
that fixes these problems.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%perl_vendorlib/*