%define upstream_name    DateTime-Format-CLDR
%define upstream_version 1.19

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Parse and format CLDR time patterns
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime) >= 0.480.0
BuildRequires: perl(DateTime::Incomplete)
BuildRequires: perl(DateTime::Locale) >= 0.420.0
BuildRequires: perl(DateTime::TimeZone) >= 0.950.0
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Params::Validate) >= 0.760.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Simple) >= 0.820.0
BuildRequires: perl(Test::Warn)
BuildArch:  noarch

%description
This module provides a parser (and also a formatter) for datetime strings
using patterns as defined by the Unicode CLDR Project (Common Locale Data
Repository). https://unicode.org/cldr/.

CLDR format is supported by DateTime and DateTime::Locale
starting with version 0.40.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
# https://rt.perl.org/Public/Bug/Display.html?id=132894
# https://rt.cpan.org/Public/Bug/Display.html?id=124691
# https://github.com/houseabsolute/DateTime.pm/issues/29
# this one fails with perl-5.26+ :
rm t/011_nanosecond.t
make test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
