%define upstream_name    DateTime-Format-Flexible
%define upstream_version 0.37

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A module that try very hard to parse string into DateTime object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::Builder) >= 0.740.0
BuildRequires: perl(DateTime::TimeZone)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::MockTime)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Simple) >= 0.440.0
BuildArch:  noarch

# not autodetect, for some reason
Requires:   perl(Class::Factory::Util)
Requires:   perl(DateTime::Format::Strptime)
%description
If you have ever had to use a program that made you type in the date a
certain way and thought "Why can't the computer just figure out what date I
wanted?", this module is for you.

DateTime::Format::Flexible attempts to take any string you give it and
parse it into a DateTime object.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO example
%{_mandir}/man3/*
%{perl_vendorlib}/*