%define upstream_name	 DateTime-Format-ISO8601
%define upstream_version 0.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Parses almost all ISO8601 date and time formats
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/RPM4
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

Requires:   perl(Class::Factory::Util)
BuildRequires: perl(Carp)
BuildRequires: perl(DateTime) >= 1.450.0
BuildRequires: perl(DateTime::Format::Builder) >= 0.770.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Params::ValidationCompiler) >= 0.260.0
BuildRequires: perl(Specio) >= 0.180.0
BuildRequires: perl(Specio::Declare)
BuildRequires: perl(Specio::Exporter)
BuildRequires: perl(Specio::Library::Builtins)
BuildRequires: perl(Test2::V0)
BuildRequires: perl(Test::More) >= 1.302.15
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Parse and format W3CDTF datetime strings.
ISO8601 time-intervals will be supported in a later release.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{perl_vendorlib}/*
%{_mandir}/*/*