%define upstream_name    DateTime-Format-Natural
%define upstream_version 1.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Base class for DateTime::Format::Natural::Lang::
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

# not autodetected 
Requires:   perl(boolean)
BuildRequires: perl(Carp)
BuildRequires: perl(Clone)
BuildRequires: perl(Cwd)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::HiRes)
BuildRequires: perl(DateTime::TimeZone)
BuildRequires: perl(Exporter)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Module::Util)
BuildRequires: perl(Params::Validate) >= 1.150.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable)
BuildRequires: perl(Term::ReadLine)
BuildRequires: perl(Test::MockTime::HiRes)
BuildRequires: perl(Test::More)
BuildRequires: perl(boolean)
BuildArch:  noarch

%{?perl_default_filter}

%description
'DateTime::Format::Natural' takes a string with a human readable date/time
and creates a machine readable one by applying natural parsing logic.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%{perl_vendorlib}/DateTime
%{_bindir}/dateparse
%{_mandir}/man1/dateparse.1*