%define upstream_name    DateTime-Format-Strptime
%define upstream_version 1.79

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      1

Summary:    Parse and format strp and strf time patterns
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/D/DR/DROLSKY/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(DateTime) >= 1.0.0
BuildRequires: perl(DateTime::Locale) >= 1.300.0
BuildRequires: perl(DateTime::Locale::Base)
BuildRequires: perl(DateTime::Locale::FromData)
BuildRequires: perl(DateTime::TimeZone) >= 2.90.0
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(FindBin)
BuildRequires: perl(Params::ValidationCompiler)
BuildRequires: perl(Specio) >= 0.330.0
BuildRequires: perl(Specio::Declare)
BuildRequires: perl(Specio::Exporter)
BuildRequires: perl(Specio::Library::Builtins)
BuildRequires: perl(Specio::Library::String)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module implements most of strptime(3), the POSIX function that is the
reverse of strftime(3), for DateTime. While strftime takes a DateTime and a
pattern and returns a string, strptime takes a string and a pattern and returns
the DateTime object associated.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
#%__make test

%files 
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{perl_vendorlib}/DateTime
%{_mandir}/*/*