%define	upstream_name    DateTime-TimeZone
%define upstream_version 2.65

# circular dependency
%global __requires_exclude perl\\((DateTime|DateTime::Duration|Win32.*)\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Epoch:      1

Summary:    Time zone object base class and factory
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/DateTime-TimeZone
Source0:    https://cpan.metacpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

Requires:   perl(List::AllUtils)
BuildRequires: perl(Class::Singleton) >= 1.30.0
BuildRequires: perl(Cwd) >= 3.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Compare)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Params::ValidationCompiler) >= 0.130.0
BuildRequires: perl(Specio::Library::Builtins)
BuildRequires: perl(Specio::Library::String)
BuildRequires: perl(Storable)
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Provides:   perl(DateTime::TimeZoneCatalog)

%{?perl_default_filter}

%description
This perl module defines the base class for all time zone objects. A time zone
is represented internally as a set of observances, each of which describes the
offset from GMT for a given time period.

Note that without the DateTime.pm module, this module does not do much. Its
primary interface is through a DateTime object, and most users will not need to
directly use DateTime::TimeZone methods.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{perl_vendorlib}/DateTime
%{_mandir}/*/*