%define upstream_name    DateTime-Tiny
%define upstream_version 1.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A date object, with as little code as possible
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
*DateTime::Tiny* is a most prominent member of the the DateTime::Tiny
manpage suite of time modules.

It implements an extremely lightweight object that represents a datetime.

The Tiny Mandate
    Many CPAN modules which provide the best implementation of a certain
    concepts are very large. For some reason, this generally seems to be
    about 3 megabyte of ram usage to load the module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml README LICENSE Changes
%{_mandir}/man3/*
%perl_vendorlib/*


