%define upstream_name DelimMatch
%define upstream_version 1.06a

%{?perl_default_filter}
# Prevent useless requires on "perl >= 5.000" that pulls perl instead of perl-base:
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}5.000

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6
License:	GPL
Group:		Development/Perl
Summary:	Perl extension to find regexp delimited strings with proper nesting
Source0:	https://cpan.metacpan.org/authors/id/N/NW/NWALSH/%{upstream_name}-%{upstream_version}.tar.bz2
Url:		https://metacpan.org/release/%{upstream_name}

BuildRequires:	perl-devel
BuildArch:	noarch
%rename perl-Text-DelimMatch

%description
These routines allow you to match delimited substrings in a buffer.
The delimiters can be specified with any regular expression and the
start and end delimiters need not be the same. If the delimited text
is properly nested, entire nested groups are returned.

In addition, you may specify quoting and escaping characters that 
contribute to the recognition of start and end delimiters.

%prep
%setup -q -n %{upstream_name}-1.06

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc README
%{perl_vendorlib}/*
%{_mandir}/man3/*
