%define upstream_name    Devel-Callsite
%define upstream_version 1.0.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Get caller return OP or Interp address
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%description
The _callsite()_ function returns the the OP address of the caller, a
number, one level up from where it was called. It's useful for functions
that need to uniquely know where they were called, such as
_Every::every()_; see the Every manpage. Or it can be used to the pinpoint
a location with finer granularity than a line number. In conjunction
with an OP tree disassembly you can know exactly where the caller is
located in the Perl source.

The _context()_ function returns the interpreter context as a number. This
is a fairly unique number together with the call site.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorarch}/*
