%define upstream_name       Devel-CheckOS
%define upstream_version 2.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    Check what OS we're running on
License:    GPL or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find::Rule) >= 0.280.0
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Warnings)
BuildArch:  noarch

%description
A learned sage once wrote on IRC:

   $^O is stupid and ugly, it wears its pants as a hat

Devel::CheckOS provides a more friendly interface to $^O, and also lets you
check for various OS "families" such as "Unix", which includes things like
Linux, Solaris, AIX etc.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc CHANGELOG META.json META.yml MYMETA.yml README TODO
%{_bindir}/use-devel-assertos
%{_mandir}/man1/use-devel-assertos.1*
%{_mandir}/man3/*
%{perl_vendorlib}/Devel