%define upstream_name Devel-Chitin
%define upstream_version 0.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Programmatic interface to the Perl debugging API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(Carp)
BuildRequires: perl(Devel::Callsite)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(IO::File)
BuildRequires: perl(List::Util) >= 1.450.0
BuildRequires: perl(POSIX)
BuildRequires: perl(PadWalker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Socket)
BuildRequires: perl(Sub::Name)
BuildRequires: perl(Test2::API) >= 1.302.136
BuildRequires: perl(Test2::IPC)
BuildRequires: perl(Test2::Require::Fork)
BuildRequires: perl(Test2::Tools::Basic)
BuildRequires: perl(Test2::Tools::Subtest)
BuildRequires: perl(Test2::V0)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Devel::Chitin is not a usable debugger per se. It has no mechanism for
interacting with a user such as reading command input or printing results.
Instead, clients of this API may call methods to inspect the debugged
program state. The debugger core calls methods on clients when certain
events occur, such as when the program is stopped by breakpoint or when the
program exits. Multiple clients can attach themselves to Devel::Chitin
simultaneously within the same debugged program.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*