%define upstream_name    Devel-Comments
%define upstream_version v1.1.4

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Fix ::Tie_STDx TELL() issue
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Filter::Simple)
BuildRequires: perl(List::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Balanced)
BuildRequires: perl(version)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
_I get the feeling that the computer just skips over all the comments._ --
a grad student

*Devel::Comments* is a source filter for your Perl code, intended to be
used only during development. Specially-formatted 'smart' comments are
replaced by executable code to dump variables to screen or to file, display
loop progress bars, or enforce conditions. These smart comments can all be
disabled at once by commenting out the 'use Devel::Comments' line,
whereupon they return to being simple, dumb comments. Your debugging code
can remain in place, guaranteed harmless, ready for the next development
cycle.

Devel::Comments is a fork of the Smart::Comments manpage; current intention
is to add new features without breaking backward compatibility. Version
1.1.2 implements the 'any filehandle' feature, allowing smart output to go
to any filehandle opened for writing. You may instead pass in a filename,
which DC will open for you. Future plans include extended calling syntax,
numerical level enabling, improved progress bars, dump method callback, and
execution of arbitrary code. Bugs raised against Smart::Comments 1.0.4 will
be fixed in DC.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc META.yml README Changes
%{_mandir}/man3/*
%perl_vendorlib/*


