%define upstream_name    Devel-Cycle
%define upstream_version 1.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Find memory cycles in objects
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

Requires:   perl-PadWalker >= 1.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This is a simple developer's tool for finding circular references in objects
and other types of references. Because of Perl's reference-count based
memory management, circular references will cause memory leaks.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Devel
%{_mandir}/*/*