%define upstream_name    Devel-DumpTrace
%define upstream_version 0.29

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    PPI-based version of Devel::DumpTrace
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Hash::SafeKeys) >= 0.10.0
BuildRequires: perl(PadWalker) >= 1.500.0
BuildRequires: perl(Scalar::Util) >= 1.140.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
'Text::Shorten' creates small strings and small arrays from larger values
for display purposes. The output will include the string '"..."' to
indicate that the value being displayed is abbreviated.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*