%define upstream_name    Devel-GlobalPhase
%define upstream_version 0.003003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Detect perl's global phase on older perls
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(threads) >= 1.70.0
BuildArch:  noarch

%description
This gives access to perlvar/${^GLOBAL_PHASE} in versions of perl that
don't provide it. The built in variable will be used if it is available.

If all that is needed is detecting global destruction, the
Devel::GlobalDestruction manpage should be used instead of this module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*