%define upstream_name    Devel-Leak
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 21

Summary:    Utility for looking for perl objects that are not reclaimed
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%{?perl_default_filter}

%description
Devel::Leak has two functions 'NoteSV' and 'CheckSV'.

'NoteSV' walks the perl internal table of allocated SVs (scalar values) -
(which actually contains arrays and hashes too), and records their
addresses in a table. It returns a count of these "things", and stores a
pointer to the table (which is obtained from the heap using malloc()) in
its argument.

'CheckSV' is passed argument which holds a pointer to a table created by
'NoteSV'. It re-walks the perl-internals and calls sv_dump() for any
"things" which did not exist when 'NoteSV' was called. It returns a count
of the number of "things" now allocated.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

#fix rights
chmod 755 %{buildroot}%{perl_vendorarch}/auto/Devel/Leak/Leak.so

%files
%doc README
%{_mandir}/man3/*
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Devel/

