%define upstream_name    Devel-MAT-Dumper
%define upstream_version 0.50

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Give XS modules extensions for memory dumping
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl-devel
%description
This module provides the memory-dumping function that creates a heap dump
file which can later be read by the Devel::MAT::Dumpfile manpage. It
provides a single function which is not exported, which writes a file to
the given path.

The dump file will contain a representation of every SV in Perl's arena,
providing information about pointers between them, as well as other
information about the state of the process at the time it was created. It
contains a snapshot of the process at that moment in time, which can later
be loaded and analysed by various tools using 'Devel::MAT::Dumpfile'.

This module used to be part of the main the Devel::MAT manpage distribution
but is now in its own one so that it can be installed independently on
servers or other locations where perl processes need to inspected but
analysis tools can be run elsewhere.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

# Fix permissions
%_fixperms %{buildroot}%perl_vendorarch

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*
%exclude %dir %perl_vendorarch/auto/