%define upstream_name    Devel-MAT
%define upstream_version 0.53

%global __requires_exclude ^perl\\(Devel::MAT::Tool::Find::filter\\)
%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Working out what an SV actually is
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Commandable::Invocation) >= 0.40.0
BuildRequires: perl(Devel::MAT::Dumper) >= 0.480.0
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Feature::Compat::Try)
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(Heap)
BuildRequires: perl(List::Util) >= 1.440.0
BuildRequires: perl(List::UtilsBy)
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(String::Tagged) >= 0.150.0
BuildRequires: perl(String::Tagged::Terminal) >= 0.30.0
BuildRequires: perl(Struct::Dumb) >= 0.70.0
BuildRequires: perl(Syntax::Keyword::Match)
BuildRequires: perl(Test2::V0)
BuildRequires: perl-devel

%description
A 'Devel::MAT' instance loads a heapdump file, and provides a container to
store analysis tools to work on it. Tools may be provided that conform to
the the Devel::MAT::Tool manpage API, which can help analyse the data and
interact with the explorer user interface by using the methods in the the
Devel::MAT::UI manpage package.

File Format
    The dump file format is still under development, so at present no
    guarantees are made on whether files can be loaded over mismatching
    versions of 'Devel::MAT'. However, as of version 0.11 the format should
    be more extensible, allowing new SV fields to be added without breaking
    loading - older tools will ignore new fields and newer tools will just
    load undef for fields absent in older files. As the distribution
    approaches maturity the format will be made more stable.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# https://rt.cpan.org/Public/Bug/Display.html?id=134117
rm -f t/02contexts.t

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

# Fix permissions
%_fixperms %{buildroot}%perl_vendorarch/

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorarch/*
%exclude %dir %perl_vendorarch/auto/
/usr/bin/pmat
/usr/bin/pmat-cat-svpv
/usr/bin/pmat-counts
/usr/bin/pmat-diff
/usr/bin/pmat-leakreport
/usr/bin/pmat-list-orphans
/usr/share/man/man1/pmat.1.xz
