%define upstream_name    Devel-REPL
%define upstream_version 1.003029

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      1

Summary:    a modern perl interactive shell
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Nopaste)
BuildRequires: perl(B::Concise) >= 0.620.0
BuildRequires: perl(B::Keywords)
BuildRequires: perl(CPAN::Meta::Requirements) >= 2.120.620
BuildRequires: perl(Data::Dump::Streamer) >= 2.390.0
BuildRequires: perl(Data::Dumper::Concise)
BuildRequires: perl(Devel::Peek)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Next)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Lexical::Persistence)
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Module::Refresh)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moose) >= 0.930.0
BuildRequires: perl(Moose::Meta::Role)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::Getopt) >= 0.180.0
BuildRequires: perl(MooseX::Object::Pluggable) >= 0.0.900
BuildRequires: perl(PPI)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sys::SigAction)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Term::ReadLine)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(if)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This is an interactive shell for Perl, commonly known as a REPL - Read,
Evaluate, Print, Loop. The shell provides for rapid development or
testing of code without the need to create a temporary source code file.

Through a plugin system, many features are available on demand. You can
also tailor the environment through the use of profiles and run control
files, for example to pre-load certain Perl modules when working on a
particular project.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor --skipdeps
%make_build

%install
%make_install

%check
unset AUTHOR_TESTING
export HARNESS_OPTIONS=j$(perl -e 'if ($ARGV[0] =~ /.*-j([0-9][0-9]*).*/) {print $1} else {print 1}' -- '%{?_smp_mflags}')
make test

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*
%{_bindir}/re.pl
