%define	upstream_name	 Devel-SimpleTrace
%define	upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    See where you code warns and dies using stack traces
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Test)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module can be used to more easily spot the place where a program or a
module generates errors. Its use is extremely simple, reduced to just using
it.

This is achieved by modifying the functions warn() and die() in order to
replace the standard messages by complete stack traces that precisely indicates
how and where the error or warning occurred. Other than this, their use should
stay unchanged, even when using die() inside eval().

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.yml README eg
%{perl_vendorlib}/Devel
%{_mandir}/*/*
