%define upstream_name    Devel-SizeMe
%define upstream_version 0.19

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBD::SQLite) >= 1.370.0
BuildRequires: perl(DBI)
BuildRequires: perl(Devel::Dwarn)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(JSON::XS)
BuildRequires: perl(Moo) >= 1.0.7
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(XSLoader)
BuildRequires: perl(autodie) >= 2.120.0
BuildRequires: perl-devel
%description
NOTE: This is all rather alpha and anything may change.

The functions traverse memory structures and return the total memory size
in bytes. See the Devel::Size manpage for more information.

If the 'SIZEME' env var is set then the functions also stream out detailed
information about the individual data structures. This data can be written
to a file or piped to a program for further processing.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc CHANGES META.json META.yml MYMETA.yml README.md TODO
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/sizeme_graph.pl
/usr/bin/sizeme_store.pl
/usr/share/man/man1/sizeme_graph.pl.1.xz
/usr/share/man/man1/sizeme_store.pl.1.xz
