%define upstream_name    Devel-StackTrace-AsHTML
%define upstream_version 0.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Displays stack trace in HTML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::StackTrace)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%{?perl_default_filter}

%description
Devel::StackTrace::AsHTML adds 'as_html' method to the Devel::StackTrace
manpage which displays the stack trace in beautiful HTML, with code snippet
context and function parameters. If you call it on an instance of the
Devel::StackTrace::WithLexicals manpage, you even get to see the lexical
variables of each stack frame.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*