%define upstream_name    Devel-Trepan-Disassemble
%define upstream_version 2.0.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Perl Disassembly plugin for Devel::Trepan via B::Concise
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-v%{upstream_version}.tar.gz
# Fix testsuite with perl > 5.31.3
Patch0:	    fix-testsuite-with-perl-5.32.patch

BuildRequires: perl(B::Concise)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Devel::Callsite) >= 0.60.0
BuildRequires: perl(Devel::Trepan) >= 0.560.0
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Module::Build) >= 0.320.0
BuildRequires: perl(Syntax::Highlight::Perl::Improved) >= 1.10.0
BuildRequires: perl(Test::Simple) >= 0.810.0
BuildRequires: perl(rlib) >= 0.20.0
BuildArch:  noarch

%description
This adds a disassemble command to the Devel::Trepan debugger.
Disassembles the Perl interpreter OP tree using B::Concise.

%prep
%autosetup -p1 -n %{upstream_name}-v%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc ChangeLog Changes META.json META.yml MYMETA.yml README SIGNATURE example
%{_mandir}/man3/*
%perl_vendorlib/*
