%define upstream_name    Devel-Trepan-Shell
%define upstream_version 1.5

%global __requires_exclude perl\\(Enbugger\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    An interactive shell command plugin for Devel::Trepan
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::REPL) >= 1.3.26
BuildRequires: perl(Devel::Trepan)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
An interactive shell command plugin for Devel::Trepan and other Devel::Trepan
enhancements.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%buildroot

%files
%doc ChangeLog Changes META.json META.yml SIGNATURE README
%{_bindir}/trepanpl.sh
%{_mandir}/man3/*
%perl_vendorlib/*


