%define upstream_name    Device-Gsm
%define upstream_version 1.61

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Interface gsm handphones and  modems
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Device/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Device::Modem) >= 1.470.0
BuildRequires: perl(Device::SerialPort)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch
Provides: perl(Device::Gsm::Sms::Structure)
Provides: perl(Device::Gsm::Sms::Token)
Provides: perl(Device::Gsm::Sms::Token::OA)
Provides: perl(Device::Gsm::Sms::Token::PDUTYPE)
Provides: perl(Device::Gsm::Sms::Token::SCA)
Provides: perl(Device::Gsm::Sms::Token::UDH)

%description
'Device::Gsm' class implements basic GSM functions, network registration
and SMS sending.

This class supports also 'PDU' mode to send 'SMS' messages, and should be
fairly usable. In the past, I have developed and tested it under Linux
RedHat 7.1 with a 16550 serial port and Siemens C35i/C45 GSM phones
attached with a Siemens-compatible serial cable. Currently, I'm developing
and testing this stuff with Linux Slackware 10.2 and a *Cambridge Silicon
Radio* (CSR) USB bluetooth dongle, connecting to a Nokia 6600 phone.

Please be kind to the universe and contact me if you have troubles or you
are interested in this.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*
