%define upstream_name    Device-OUI
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Resolve an Organizationally Unique Identifier
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Device/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Device-OUI-1.04-hash.patch

BuildRequires: perl(Class::Accessor::Grouped)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::Exception)
BuildArch: noarch

%description
This module provides an interface to the IEEE OUI (Organizationally Unique
Identifier) registry. The registry contains information on what company an
OUI is assigned to. OUIs are used in various networking devices as part of
a unique ID method (network MAC addresses and Fiber Channel WWNs in
particular, see the the Device::MAC manpage and the Device::WWN manpage
modules for more information).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
