%define upstream_name    Digest-Perl-MD5
%define upstream_version 1.9

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Pure perl implementation of MD5
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Digest/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This modules has the same interface as the much faster 'Digest::MD5'. So
you can easily exchange them, e.g.

	BEGIN {
	  eval {
	    require Digest::MD5;
	    import Digest::MD5 'md5_hex'
	  };
	  if ($@) { # ups, no Digest::MD5
	    require Digest::Perl::MD5;
	    import Digest::Perl::MD5 'md5_hex'
	  }		
	}

If the 'Digest::MD5' module is available it is used and if not you take
'Digest::Perl::MD5'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl -pi -e 's{#! /usr/bin/false}{#}' lib/Digest/Perl/MD5.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES INSTALL META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*