%define	upstream_name	 Digest-SHA
%define upstream_version 6.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl extension for SHA-1/224/256/384/512
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Digest/%{upstream_name}-%{upstream_version}.tar.gz
# Since 5.80, upstream overrides CFLAGS because they think it improves
# performance. Revert it.
Patch0:     Digest-SHA-5.93-Reset-CFLAGS.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
Conflicts:  perl-Digest-SHA-PurePerl < 5.610.0-2.mga

%{?perl_default_filter}
# (tv) perl-base is enough:
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl.*5.0

%description
Digest::SHA is a complete implementation of the NIST Secure Hash Standard. It
gives Perl programmers a convenient way to calculate SHA-1, SHA-224, SHA-256,
SHA-384, SHA-512, SHA-512/224, and SHA-512/256 message digests. The module can
handle all types of input, including partial-byte data.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%install
%make_install
# to prevent conflict with perl-Digest-SHA
mv %{buildroot}/%{_bindir}/shasum %{buildroot}/%{_bindir}/shasum-%{upstream_version}
mv %{buildroot}/%{_mandir}/man1/shasum.1 %{buildroot}/%{_mandir}/man1/shasum-%{upstream_version}.1

%check
make test

%files
%doc Changes META.yml MYMETA.yml README examples
%{perl_vendorarch}/Digest
%{perl_vendorarch}/auto/Digest
%{_mandir}/*/*
%{_bindir}/*
