%define upstream_name    Digest-SHA3
%define upstream_version 1.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Perl extension for SHA-3
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/Digest-SHA3
Source0:    https://www.cpan.org/modules/by-module/Digest/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

Requires:      sha3sum

%description
Digest::SHA3 is written in C for speed. If your platform lacks a C
compiler, perhaps you can find the module in a binary form compatible with
your particular processor and operating system.

The programming interface is easy to use: it's the same one found in CPAN's
the Digest manpage module. So, if your applications currently use the
Digest::SHA manpage and you'd prefer the newer flavor of the NIST standard,
it's a simple matter to convert them.

The interface provides two ways to calculate digests: all-at-once, or in
stages. To illustrate, the following short program computes the SHA3-256
digest of "hello world" using each approach:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

# conflict with sha3sum pkg
rm -rf %{buildroot}%{_bindir}/sha3sum
rm -rf %{buildroot}%{_mandir}/man1/sha3sum.1

%files
%doc Changes META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorarch/*
