%define upstream_name    Directory-Iterator-PP
%define upstream_version 1.001004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Recursively list file contents
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Directory/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
The module creates a list-like generator to recursively list files in a
directory. The directories are scanned as the list is consumed, so only the
one directory handle and a list of directories to scan are stored in
memory.

METHODS
    * *new*(_DIRECTORY_)

      Create a new instance on the specified _DIRECTORY_, which must be the
      name of an existing directory.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*