%define upstream_name    Dist-Zilla-App-Command-aliendeps
%define upstream_version 0.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Print your alien distributions alien prerequisites
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::App)
BuildRequires: perl(Dist::Zilla::App::Tester)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Ref::Util)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
the Alien::Base manpage based the Alien manpage distributions may have
optional dependencies that are required when it is determined that a build
from source code is necessary. This command probes your distribution for
such optional requirements and lists them.

This command of course works with the Dist::Zilla::Plugin::Alien manpage
(and the Dist::Zilla::PluginBundle::Alien manpage), but will also work with
any the Dist::Zilla::Plugin::ModuleBuild manpage based distribution that
emits an 'alien_bin_requires' property.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README Changes LICENSE INSTALL META.yml META.json
%{_mandir}/man3/*
%{perl_vendorlib}/*


