%define upstream_name    Dist-Zilla-App-Command-weaverconf
%define upstream_version 0.05

%global __provides_exclude perl\\(Dist::Zilla::App::Command::weaverconf::SExpGen\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Extract your distribution's Pod::Weaver configuration
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Visitor)
BuildRequires: perl(Dist::Zilla::App)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(JSON::Any)
BuildRequires: perl(List::AllUtils)
BuildRequires: perl(Moose) >= 0.910.0
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(MooseX::Types::Structured) >= 0.200.0
BuildRequires: perl(Test::More)
BuildRequires: perl(aliased)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This command will extract the Pod::Weaver configuration from a directory
containing a the Dist::Zilla manpage distribution.

The results will be serialized in the requested format, and written to
'STDOUT'.

The option '-f' or '--format' may be used to request a particular output
format. The following formats are currently available:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*