%define upstream_name    Dist-Zilla-Plugin-ApacheTest
%define upstream_version 0.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Build a Makefile.PL that uses ExtUtils::MakeMaker with Apache::Test
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

#BuildRequires: perl(Dist::Zilla::Plugin::DynamicPrereqs)
BuildRequires: perl(Dist::Zilla::Plugin::MakeMaker::Awesome)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This plugin will produce an the ExtUtils::MakeMaker manpage-powered
_Makefile.PL_ with Apache::Test hooks for the distribution. If loaded, the
Dist::Zilla::Plugin::Manifest plugin should also be loaded, and the
Dist::Zilla::Plugin::MakeMaker plugin should not be loaded.

At this time, this module is essentially a copy of the
Dist::Zilla::Plugin::MakeMaker plugin. Hopefully, over time, the
Dist::Zilla::Plugin::MakeMaker plugin will allow more customization so that
this module will not need to reimplement all of it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*
