%define upstream_name    Dist-Zilla-Plugin-AppendExternalData
%define upstream_version 0.003

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Append data to gathered files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::FileFinderUser)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::FilePruner)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(MooseX::Types::Path::Class)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This the Dist::Zilla manpage plugin appends files in a directory to files
being gathered for the distribution.

When using this plugin, be thoughtful about the order in which you want
files to be modified. For example, if you are appending Pod, it makes a big
difference if you append before or after a plugin like C<PodWeaver>. If you
list this plugin first, the Pod will be appended before weaving and the
added Pod will wind up in the middle of the generated Pod. If this plugin
is listed last, the Pod will be appended after weaving and will follow the
generald Pod from C<PodWeaver>.

If appending a C<__DATA__> section, be sure to put this plugin last among
plugins that modify your files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*