%define upstream_name    Dist-Zilla-Plugin-AssertOS
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Require that our distribution is running on a particular OS
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Compare) >= 1.220.0
BuildRequires: perl(Devel::CheckOS) >= 1.630.0
BuildRequires: perl(Dist::Zilla) >= 4.101.582
BuildRequires: perl(Dist::Zilla::Role::MetaProvider) >= 4.101.582
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildArch:  noarch

%description
Dist::Zilla::Plugin::AssertOS is a Dist::Zilla plugin that
integrates Devel::AssertOS so that CPAN authors may easily
stipulate which particular OS environments their distributions may be built
and installed on.

The author specifies which OS or OS families are supported. The necessary
Devel::AssertOS files are copied to the 'inc/' directory and
'Makefile.PL' is mangled to include the necessary incantation.

On the module user side, the bundled 'inc/' Devel::AssertOS
determines whether the current environment is supported or not and will die
accordingly.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
