%define upstream_name    Dist-Zilla-Plugin-AutoVersion-Relative
%define upstream_version 1.001001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Time-Relative versioning
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Const::Fast)
BuildRequires: perl(DateTime) >= 0.500.0
BuildRequires: perl(Dist::Zilla) >= 2.101.310
BuildRequires: perl(Dist::Zilla::Plugin::GatherDir)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(Dist::Zilla::Role::VersionProvider)
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(Dist::Zilla::Util::ConfigDumper)
BuildRequires: perl(Dist::Zilla::Util::Test::KENTNL)
BuildRequires: perl(Eval::Closure)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose) >= 1.90.0
BuildRequires: perl(MooseX::StrictConstructor) >= 0.100.0
BuildRequires: perl(MooseX::Types::DateTime) >= 0.50.0
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Package::DeprecationManager)
BuildRequires: perl(Readonly)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
