%define upstream_name    Dist-Zilla-Plugin-Breaks
%define upstream_version 0.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Add metadata about potential breakages to your distribution
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Requirements)
BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::Plugin::MetaResources)
BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(if)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This plugin adds distribution metadata regarding other modules and version
that are not compatible with your distribution's release. It is not quite
the same as the 'conflicts' field in prerequisite metadata (see the
CPAN::Meta::Spec/Relationships manpage), but rather indicates what modules
will likely not work once your distribution is installed.

This is a not-uncommon problem when modifying a module's API - there are
other existing modules out on the CPAN (or a darkPAN) which use the old
API, and will need to be updated when the new API is removed. These modules
are not prerequisites -- our distribution does not use those modules, but
rather those modules use *us*. So, it's not valid to list those modules in
our prerequisites -- besides, it would likely be a circular dependency!

The data is added to metadata in the form of the 'x_breaks' field, as set
out by the
https://dagolden.com/index.php/2098/the-annotated-lancaster-consensus/.
The exact syntax and use may continue to change until it is accepted as an
official part of the meta specification.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes CONTRIBUTING INSTALL LICENCE META.json META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


