%define upstream_name    Dist-Zilla-Plugin-BuildFile
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Build files by running an external command
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Dist::Zilla::Role::AfterBuild)
BuildRequires: perl(Dist::Zilla::Role::BeforeBuild)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(IPC::Run3)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(MooseX::Types::Path::Class)
BuildRequires: perl(Text::Template)
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%description
During the 'BeforeBuild' phase of execution, this plugin creates or updates
one or more files and tests that they now exist. Later, during the
'AfterBuild' phase of execution the created or updated files are deleted,
unless the 'precious' configuration option was used.

Note that this plugin only generates the files on demand. In order to put
them into the distribution, a FileGatherer such as GatherDir must also be
run.

The file(s) are built by running an external command specified with the
'command =' configuration parameter. By default that command runs 'make'
with the list of targets specified with the 'target = ' configuration
parameter. If not specified, the list of targets contains a single item
which is the name of the plugin.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES INSTALL LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*