%define upstream_name    Dist-Zilla-Plugin-BumpVersionFromGit
%define upstream_version 0.010

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Provide a version number by bumping the last git release tag
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.0.0
BuildRequires: perl(Dist::Zilla::Role::VersionProvider)
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::pushd)
BuildRequires: perl(Git::Wrapper)
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Version::Next)
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildRequires: perl(version) >= 0.800.0
BuildArch:  noarch

%description
This does the the Dist::Zilla::Role::VersionProvider manpage role. It finds
the last version number from tags and increments it as the new version used
by Dist::Zilla.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
git config --global user.email "you@example.com"
git config --global user.name "Your Name"
%__make test

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
