%define upstream_name    Dist-Zilla-Plugin-CheckStrictVersion
%define upstream_version 0.001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    BeforeRelease plugin to check for a strict version number
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::BeforeRelease)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Version::Next)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This module enforces strict versions, with optional enforcement of
'decimal' or 'tuple' (a.k.a 'dotted decimal') forms.

As a reminder, here are the rules for strict versions from the
version::Internals manpage:

    v1.234.5
        For dotted-decimal versions, a leading 'v' is required, with three
        or more sub-versions of no more than three digits. A leading 0
        (zero) before the first sub-version (in the above example, '1') is
        also prohibited.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes CONTRIBUTING LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


