%define upstream_name Dist-Zilla-Plugin-ContributorsFile
%define upstream_version 0.3.0

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6

Summary:	This module adds a file listing all contributors
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Dist::Zilla::File::InMemory)
BuildRequires:	perl(Module::Build) >= 0.400.400
BuildRequires:	perl(Moose)

BuildArch:	noarch

%description
"Dist::Zilla::Plugin::ContributorsFile" populates a *CONTRIBUTORS* file
with all the contributors of the project as found by
"Dist::Zilla::Plugin::ContributorsFromGit" (which also need to be
present in your "dist.ini").

The generated file will look like this:

# FOO-BAR CONTRIBUTORS #

This is the (likely incomplete) list of people who have helped
make this distribution what it is, either via code contributions, 
patches, bug reports, help with troubleshooting, etc. A huge
thank to all of them.

        * Albert Zoot <zoo@foo.com>
        * Bertrand Maxwell <maxwell@bar.com>

Note that if no contributor is detected beside the actual author of the
module, the file will not be created.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*
