%define upstream_name Dist-Zilla-Plugin-ContributorsFromGit
%define upstream_version 0.019

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Populates your 'CONTRIBUTORS' POD from the list of git authors
License:    LGPLv2
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 5.13.0
BuildRequires: perl(Dist::Zilla::Role::BeforeBuild)
BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(Dist::Zilla::Role::RegisterStash)
BuildRequires: perl(Dist::Zilla::Stash::PodWeaver)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::ShareDir::Install) >= 0.60.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Which)
BuildRequires: perl(File::Temp) >= 0.230.800
BuildRequires: perl(File::chdir)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Pty)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(IPC::System::Simple)
BuildRequires: perl(List::AllUtils)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::AttributeShortcuts)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::CheckDeps) >= 0.10.0
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::File::ShareDir)
BuildRequires: perl(Test::Moose::More)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::TempDir::Tiny)
BuildRequires: perl(YAML::Tiny)
BuildRequires: perl(aliased)
BuildRequires: perl(autobox::Core)
BuildRequires: perl(autobox::Junctions)
BuildRequires: perl(autodie)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This plugin makes it easy to acknowledge the contributions of others by
populating a %PodWeaver stash with the unique list of all git commit
authors reachable from the current HEAD.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*
