%define upstream_name    Dist-Zilla-Plugin-CopyReadmeFromBuild
%define upstream_version 0.0019

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Copy README after building (for SCM inclusion, etc.)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Test::Most)
BuildArch: noarch

%description
CopyReadmeFromBuild will automatically copy the README from the build
directory into the distribution directory. This is so you can commit the
README to version control. GitHub, for example, likes to see a README

Dist::Zilla::Plugin::Readme will not like it if you already have a README,
so you'll have to disable that plugin, an example of which is:

    [@Filter]
    bundle = @Basic
    remove = Readme

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


