%define upstream_name    Dist-Zilla-Plugin-DualBuilders
%define upstream_version 1.002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Allows use of Module::Build and ExtUtils::MakeMaker in a dzil dist
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::AfterBuild) >= 3.101.461
BuildRequires: perl(Dist::Zilla::Role::InstallTool) >= 3.101.461
BuildRequires: perl(Dist::Zilla::Role::PrereqSource) >= 3.101.461
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose) >= 1.30.0
BuildRequires: perl(Moose::Util::TypeConstraints) >= 1.10.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
This plugin allows you to specify ModuleBuild and MakeMaker in your the
Dist::Zilla manpage _dist.ini_ and select only one as your prereq.
Normally, if this plugin is not loaded you will end up with both in your
prereq list and this is obviously not what you want!

	# In your dist.ini:
	[ModuleBuild]
	[MakeMaker] ; or [MakeMaker::Awesome], will work too :)
	[DualBuilders] ; needs to be specified *AFTER* the builders

This plugin accepts the following options:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml README SIGNATURE examples
%{_mandir}/man3/*
%perl_vendorlib/*