%define upstream_name    Dist-Zilla-Plugin-DualLife
%define upstream_version 0.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Distribute dual-life modules with Dist::Zilla
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::InstallTool)
BuildRequires: perl(Dist::Zilla::Role::ModuleMetadata)
BuildRequires: perl(List::AllUtils)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Needs)
BuildRequires: perl(namespace::autoclean)
BuildArch: noarch

%description
Dual-life modules, which are modules distributed both as part of the perl
core and on CPAN, sometimes need a little special treatment. This module
tries provide that for modules built with 'Dist::Zilla'.

Currently the only thing this module does is providing an 'INSTALLDIRS'
option to 'ExtUtils::MakeMaker''s 'WriteMakefile' function, so dual-life
modules will be installed in the right section of '@INC' depending on
different versions of perl.

As more things that need special handling for dual-life modules show up,
this module will try to address them as well.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENCE META.yml META.json
%{_mandir}/man3/*
%{perl_vendorlib}/*


