%define upstream_name    Dist-Zilla-Plugin-FileKeywords
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Standard Keywords plugin
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Dist::Zilla::Role::FileFinderUser)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildArch:  noarch

%description
This plugin is a file_munger. It processes a list of files (by default all
files in the distribution) and replaces all occurrences of known keywords
with their expansions.

It does this is in a manner similar to how Subversion manages keywords. In
particular it looks for keywords in the forms:

  $$KEYWORD$$
  $$KEYWORD: Stuff $$
  $$KEYWORD::    Stuff $$

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES INSTALL LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
