%define upstream_name    Dist-Zilla-Plugin-GatherFromManifest
%define upstream_version 1.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Gather all files from MANIFEST
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::FileGatherer) >= 6.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::Manifest)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(MooseX::Types::Path::Class)
BuildRequires: perl(Path::Class)
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%description
This is a Dist::Zilla::Role::FileGathererplugin, which allows you to
implicitly specify which files should be built into distribution.

This module offers a different approach to default
Dist::Zilla::Plugin::GatherDirpage which adds ALL files to distribution
and Dist::Zilla::Plugin::ManifestSkip which prunes files listed
in MANIFEST.SKIP.

You should replace [GatherDir] with [GatherFromManifest] and make sure you
have a MANIFEST file. It's quite useful if you're converting existing
package to Dist::Zilla.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
