%define upstream_name    Dist-Zilla-Plugin-Git-PushInitial
%define upstream_version 0.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Do initial git push from your minting profile
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::AfterMint)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Git::Wrapper)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This module is only of interest to authors of the Dist::Zilla manpage
minting profiles.

After minting a new dist with Dist::Zilla::Plugin::Git::Init and setting
remote information with e.g. Dist::Zilla::Plugin::GitHub::Create, if
'push.default' is not configured or set at the default value ('tracking'),
or an older git is being used, it is necessary to create the branch on the
remote before a simple 'git push', done by e.g.
Dist::Zilla::Plugin::Git::Push will work on 'dzil release'.

Using this plugin in your minting profile should save the users of your
minting profile the step of doing a manual push, regardless of their git
config. They can just commit and do a 'dzil release', assuming they are
using Dist::Zilla::Plugin::Git::Push in their dist.ini.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


