%define upstream_name    Dist-Zilla-Plugin-Git
%define upstream_version 2.051

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Commit dist.ini and changelog
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Check) >= 0.11.0
BuildRequires: perl(CPAN::Meta::Requirements)
BuildRequires: perl(Cwd)
BuildRequires: perl(DateTime)
BuildRequires: perl(Dist::Zilla) >= 4.0.0
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Plugin::Config::Git)
BuildRequires: perl(Dist::Zilla::Plugin::GatherDir) >= 4.200.16
BuildRequires: perl(Dist::Zilla::Role::AfterBuild)
BuildRequires: perl(Dist::Zilla::Role::AfterMint)
BuildRequires: perl(Dist::Zilla::Role::AfterRelease)
BuildRequires: perl(Dist::Zilla::Role::BeforeRelease)
BuildRequires: perl(Dist::Zilla::Role::FilePruner)
BuildRequires: perl(Dist::Zilla::Role::GitConfig)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle)
BuildRequires: perl(Dist::Zilla::Role::Releaser)
BuildRequires: perl(Dist::Zilla::Role::VersionProvider)
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::Path) >= 2.70.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Which)
BuildRequires: perl(File::chdir)
BuildRequires: perl(File::pushd)
BuildRequires: perl(Git::Wrapper) >= 0.21.0
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(IPC::System::Simple)
BuildRequires: perl(List::Util) >= 1.450.0
BuildRequires: perl(Log::Dispatchouli)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(Path::Tiny) >= 0.48.0
BuildRequires: perl(String::Formatter)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(Type::Utils)
BuildRequires: perl(Types::Path::Tiny)
BuildRequires: perl(Types::Standard)
BuildRequires: perl(Version::Next)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(version) >= 0.800.0
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This set of plugins for the Dist::Zilla manpage can do interesting
things for module authors using git to track their work.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
if [[ -z $( git config --global user.name ) ]]
then
    git config --global user.email "you@example.com"
    git config --global user.name "Your Name"
fi
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*