%define upstream_name    Dist-Zilla-Plugin-GitFmtChanges
%define upstream_version 0.006

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Build CHANGES file from a project's git log using git log format
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Date::Simple)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(Git::Wrapper)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(POSIX)
BuildArch:  noarch

%description
This Dist::Zilla plugin writes a CHANGES file that contains formatted
commit information from recent git logs. The CHANGES file is formatted
using the "--format" option of the git log command. This makes it easy to
make the CHANGES file look the way you want it to.

This is based on Dist::Zilla::Plugin::ChangelogFromGit.

This plugin has the following configuration variables:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
