%define upstream_name    Dist-Zilla-Plugin-GithubMeta
%define upstream_version 0.58

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Automatically include GitHub meta information in META.yml
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.101.582
BuildRequires: perl(Dist::Zilla::Role::MetaProvider) >= 4.101.582
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::pushd)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Moose) >= 1.70.0
BuildRequires: perl(MooseX::Types::URI) >= 0.30.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(version)
BuildArch:  noarch

%description
Dist::Zilla::Plugin::GithubMeta is a the Dist::Zilla manpage plugin to
include GitHub the https://github.com manpage meta information in
'META.yml'.

It automatically detects if the distribution directory is under 'git'
version control and whether the 'origin' is a GitHub repository and will
set the 'repository' and 'homepage' meta in 'META.yml' to the appropriate
URLs for GitHub.

Based on the Module::Install::GithubMeta manpage which was based on the
Module::Install::Repository manpage by Tatsuhiko Miyagawa

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
