%define upstream_name    Dist-Zilla-Plugin-InsertCopyright
%define upstream_version 0.005

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Insert copyright statement into source code files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::PPI)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::pushd) >= 1.0.0
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(PPI::Document)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Pod::Eventual)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More) >= 0.920.0
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module replaces a special '# COPYRIGHT' comment in your Perl source
files with a short notice appropriate to your declared copyright. The
special comment *must* be placed before '__END__'. Only the first such
comment will be replaced.

It is inspired by excellent the Dist::Zilla::Plugin::Prepender manpage but
gives control of the copyright notice placement instead of always adding it
at the start of a file.

I wrote this to let me put copyright statements at the end of my code to
keep line numbers of code consistent between the generated distribution and
the repository source. See the Dist::Zilla::Plugin::OurPkgVersion manpage
for another useful plugin that preserves line numbering.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
