%define upstream_name    Dist-Zilla-Plugin-Keywords
%define upstream_version 0.007

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Add keywords to metadata in your distribution
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.300.39
BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(Dist::Zilla::Role::PPI) >= 5.9.0
BuildRequires: perl(Encode)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Types::Common::String)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(if)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This plugin adds metadata to your distribution under the 'keywords' field.
The CPAN::Meta::Spec/keywords defines this field as:

    A List of keywords that describe this distribution. Keywords must not include whitespace.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%buildroot

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*