%define upstream_name    Dist-Zilla-Plugin-MatchManifest
%define upstream_version 6.000

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Ensure that MANIFEST is correct
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildConflicts: cpanminus

BuildRequires: perl(Dist::Zilla) >= 6.0.0
BuildRequires: perl(Dist::Zilla::Role::InstallTool)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose) >= 0.650.0
BuildRequires: perl(Moose::Autobox) >= 0.90.0
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Fatal) >= 0.3.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::Diff)
BuildRequires: perl(autodie)
BuildArch:  noarch

%description
If included, this plugin will ensure that the distribution contains a
_MANIFEST_ file and that its contents match the files collected by
Dist::Zilla. If not, it will display the differences and (if STDIN & STDOUT
are TTYs) offer to update the _MANIFEST_.

As I see it, there are 2 problems that a MANIFEST can protect against:

* 1.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*