%define upstream_name    Dist-Zilla-Plugin-Mercurial
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Check for modified/removed/unknown files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 3.0.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Slurp)
BuildRequires: perl(IPC::System::Simple)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::Kwalitee)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(autodie)
BuildArch:  noarch

%description
This plugin provides Mercurial support for the Dist::Zilla manpage.
Currently, it supports checking that the working copy is clean before
release, tagging, and pushing changes to the remote. The tag plugin also
checks before tagging to make sure that the tag it wants to use is unique.

Currently, this plugin does not support committing, so it won't play nice
with plugins that make changes to the working copy before release. Patches
are welcome.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*