%define upstream_name    Dist-Zilla-Plugin-MetaProvides
%define upstream_version 2.002004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    In the event nothing else works, pull in hand-crafted metadata from a specified file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(Dist::Zilla::Util::ConfigDumper) >= 0.2.1
BuildRequires: perl(Dist::Zilla::Util::Test::KENTNL) >= 1.3.1
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Hash::Merge::Simple)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This Distribution Contains a small bundle of plugins for various ways of
populating the 'META.yml' that is built with your distribution.

The initial reason for this is due to stuff that uses the MooseX::Declare
manpage style class definitions not being parseable by many tools upstream,
so this is here to cover this problem by defining it in the metadata.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*