%define upstream_name    Dist-Zilla-Plugin-MetaResourcesFromGit
%define upstream_version 1.103620

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Metadata resource URLs from Git configuration
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::INI::Reader)
BuildRequires: perl(Dist::Zilla::Plugin::MetaResources)
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Class)
BuildRequires: perl(String::Formatter)
BuildArch: noarch

%description
This plugin is a drop-in replacement for the
Dist::Zilla::Plugin::MetaResources manpage for users of Git. It
_automatically_ provides three resource links to your distribution
metadata, based on the name of the distribution and the remote URL of the
Git repository you are working from.

The default links are equivalent to:

 homepage        = https://github.com/%a/%r/wiki
 bugtracker.web  = https://rt.cpan.org/Public/Dist/Display.html?Name=%N
 repository.url  = git://github.com/%a/%r.git
 repository.web  = https://github.com/%a/%r
 repository.type = git

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*


