%define upstream_name Dist-Zilla-Plugin-MetaYAML-Minimal
%define upstream_version 0.001001

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4

Summary:	Generate a reductionist YAML META file for compatibility only
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Dist::Zilla::Role::FileGatherer)
BuildRequires:	perl(Dist::Zilla::Util::ConfigDumper)
BuildRequires:	perl(Moose)

BuildArch:	noarch

%description
Generally, if you're creating both "META.json" and "META.yml", then
you're doing so purely for compatibility reasons.

In such circumstances, using the same meta-data for both leads to a lot
of cruft in "META.yml"

This "Dist::Zilla" extension is for such circumstances.

However, if you are *only* shipping "META.yml" and NOT "META.json", then
using this extension would be harmful and cause loss of information.

Presently, this extension is a *PROTOTYPE*, and just culls fields
leading with "x_" passed by "Dist::Zilla".

The final behavior may require enhancements to "CPAN::Meta::Converter"
and might be possibly superseded by patches to "MetaYAML" itself.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
