%define upstream_name    Dist-Zilla-Plugin-NoAutomatedTesting
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Avoid running under CPAN Testers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.101.582
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildArch:  noarch

%description
CPAN Testers are great and do a worthy and thankless job, testing all the
distributions uploaded to CPAN. But sometimes we don't want a distribution
to be tested by these gallant individuals.

Dist::Zilla::Plugin::NoAutomatedTesting is a Dist::Zilla plugin
that mangles 'Makefile.PL' to detect that it is being run by a CPAN Tester
and 'exit 0' if it is.

As this plugin mangles the 'Makefile.PL' it is imperative that it is
specified in 'dist.ini' AFTER '[MakeMaker]'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
