%define upstream_name    Dist-Zilla-Plugin-OurPkgVersion
%define upstream_version 0.21

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    No line insertion and does Package version with our
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 6.0.0
BuildRequires: perl(Dist::Zilla::Role::FileFinderUser)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::PPI)
BuildRequires: perl(Dist::Zilla::Role::VersionProvider)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Types::Perl)
BuildRequires: perl(PPI)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Version) >= 0.40.0
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%description
This module was created as an alternative to the
Dist::Zilla::Plugin::PkgVersion manpage and uses some code from that
module. This module is designed to use a the more readable format 'our
$VERSION = $version;' as well as not change then number of lines of code in
your files, which will keep your repository more in sync with your CPAN
release. It also allows you slightly more freedom in how you specify your
version.

EXAMPLES
    in dist.ini

    	...
    	version = 0.01;
    	[OurPkgVersion]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*