%define upstream_name    Dist-Zilla-Plugin-Prereqs-FromCPANfile
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Parse cpanfile for prereqs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.300.17
BuildRequires: perl(Module::Build::Tiny) >= 0.39.0
BuildRequires: perl(Module::CPANfile) >= 0.903.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Try::Tiny) >= 0.100.0
BuildArch:  noarch

%description
Dist::Zilla::Plugin::Prereqs::FromCPANfile is a Dist::Zilla
plugin to read _cpanfile_ to determine prerequisites for your distribution.
This does the *opposite of* what Dist::Zilla::Plugin::CPANFile
does, which is to _create_ a 'cpanfile' using the prereqs collected
elsewhere.

When 'feature' DSL is used in 'cpanfile', it will correctly be converted to
'optional_features' in META data.

*DO NOT USE THIS PLUGIN IN COMBINATION WITH Plugin::CPANFile*. You will
probably be complained about creating duplicate files from dzil.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*