%define upstream_name Dist-Zilla-Plugin-Prereqs-MatchInstalled-All
%define upstream_version 1.001001

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4

Summary:	Upgrade ALL your dependencies to the ones you have installed
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Dist::Zilla::Plugin::Prereqs::MatchInstalled)
BuildRequires:	perl(Dist::Zilla::Util::Test::KENTNL)
BuildRequires:	perl(Moose)
BuildRequires:	perl(Path::FindDev)
BuildRequires:	perl(Test::Fatal)

BuildArch:	noarch

%description
This is a special case of "Dist::Zilla::Plugin::Prereqs::MatchInstalled"
that automatically upgrades all versions of all dependencies, unless
asked not to.

PITFALLS
Presently, there is one very large gotcha about using this module, in
that it will upgrade everything, even things that don't make sense to
upgrade.

For instance:

Local Versions
If you have a single dependency on your system you might use, which is
locally patched, and locally patched in such a way the local version is
more recent than any on "CPAN", you should either

a. Not use this module
b. Put that module in the exclusion list

Non-Dual Life modules
This plugin is not very smart, and can't differentiate between modules
that do exist on "CPAN" independent of Perl, and modules that don't.

For instance, if you use "Autoprereqs", its very likely your
distribution will add a dependency on either "strict" or "warnings"

This module will ask your user to upgrade those versions to their latest
versions, which will likely require them to upgrade their Perl
installation to do so.

Which basically means for the mean time, either

a. You must be o.k. with end users needing more recent Perls
b. You should avoid upgrading those dependencies by either

    a. Not using this plugin
    b. Adding problematic modules to the exclusion list

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
