%define upstream_name Dist-Zilla-Plugin-Prereqs-MatchInstalled
%define upstream_version 1.001003

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4

Summary:	Depend on versions of modules the same as you have installed
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Dist::Zilla::Role::PrereqSource)
BuildRequires:	perl(Dist::Zilla::Util::ConfigDumper)
BuildRequires:	perl(Dist::Zilla::Util::Test::KENTNL)
BuildRequires:	perl(Eval::Closure)
BuildRequires:	perl(Module::Data)
BuildRequires:	perl(Moose)
BuildRequires:	perl(MooseX::Types::Moose)
BuildRequires:	perl(Package::DeprecationManager)
BuildRequires:	perl(Path::FindDev)
BuildRequires:	perl(Test::Differences)
BuildRequires:	perl(Test::Fatal)
BuildRequires:	perl(Test::More) >= 1.1.6

BuildArch:	noarch

%description
This is based on the code of
"Dist::Zilla::Plugin::Author::KENTNL::Prereqs::Latest::Selective", but
intended for a wider audience.

    [Prereqs::MatchInstalled]
    module = My::Module

NOTE: Dependencies will only be upgraded to match the *Installed*
version if they're found elsewhere in the dependency tree.

This is designed so that it integrates with other automated version
provisioning.

If you're hard-coding module dependencies instead, you will want to
place this module *after* other modules that declare dependencies.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
