%define upstream_name Dist-Zilla-Plugin-Prereqs-Plugins
%define upstream_version 1.003003

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4

Summary:	Add all Dist::Zilla plugins presently in use as prerequisites
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Capture::Tiny)
BuildRequires:	perl(Dist::Zilla::Role::PrereqSource)
BuildRequires:	perl(Dist::Zilla::Util::BundleInfo)
BuildRequires:	perl(Dist::Zilla::Util::ConfigDumper)
BuildRequires:	perl(Dist::Zilla::Util::ExpandINI::Reader)
BuildRequires:	perl(Dist::Zilla::Util::Test::KENTNL)
BuildRequires:	perl(Eval::Closure)
BuildRequires:	perl(Moose)
BuildRequires:	perl(MooseX::Types::Moose)
BuildRequires:	perl(Package::DeprecationManager)
BuildRequires:	perl(Path::FindDev)
BuildRequires:	perl(Test::Fatal)

BuildArch:	noarch

%description
This is mostly because I am lazy, and the lengthy list of hand-updated
dependencies on my @Author:: bundle started to get overwhelming, and I'd
periodically miss something.

This module is kinda "AutoPrereqs"y, but in ways that I can't imagine
being plausible with a generic "AutoPrereqs" tool, at least, not without
requiring some nasty re-implementation of how "dist.ini" is parsed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
