%define upstream_name Dist-Zilla-Plugin-Prereqs-SyncVersions
%define upstream_version 0.003002

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4

Summary:	Homogenize prerequisites so dependency versions are consistent
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Dist::Zilla::Role::PrereqSource)
BuildRequires:	perl(Dist::Zilla::Util::ConfigDumper)
BuildRequires:	perl(Dist::Zilla::Util::Test::KENTNL)
BuildRequires:	perl(Eval::Closure)
BuildRequires:	perl(Moose)
BuildRequires:	perl(Package::DeprecationManager)

BuildArch:	noarch

%description
This module exists to pose mostly as a workaround for potential bugs in
downstream tool-chains.

Namely, "CPAN.pm" is confused when it sees:

    runtime.requires : Foo >= 5.0
    test.requires    : Foo >= 6.0

It doesn't know what to do.

This is an easy enough problem to solve if you're using "[Prereqs]"
directly, and "[AutoPrereqs]" already does the right thing, but it gets
messier when you're working with plugins that inject their own
prerequisites
<https://github.com/dagolden/Path-Tiny/commit/c620171db96597456a182ea608
8a24d8de5debf6>

So this plugin will homogenize dependencies to be the same version in
all phases which infer the dependency, matching the largest one found,
so the above becomes:

    runtime.requires : Foo >= 6.0
    test.requires    : Foo >= 6.0

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
