%define upstream_name Dist-Zilla-Plugin-Prereqs-Upgrade
%define upstream_version 0.001001

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4

Summary:	Upgrade existing prerequisites in place
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Dist::Zilla::Role::PrereqSource)
BuildRequires:	perl(Dist::Zilla::Util::ConfigDumper)
BuildRequires:	perl(Moose)

BuildArch:	noarch

%description
This allows you to automatically upgrade selected prerequisites to
selected versions, if, and only if, they're already prerequisites.

This is intended to be used to compliment "[AutoPrereqs]" without adding
dependencies.

  [AutoPrereqs]

  [Prereqs::Upgrade]
  Moose = 2.0 ; Moose 2.0 is added as a minimum to runtime.recommends to
  2.0 if a lower version is in runtime.requires

This is intended to be especially helpful in "PluginBundle"'s where one
may habitually always want a certain version of a certain dependency
every time they use it, but don't want to be burdened with remembering
to encode that version of it.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
