%define upstream_name    Dist-Zilla-Plugin-ReadmeAnyFromPod
%define upstream_version 0.163250

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Automatically convert POD to a README in any format for Dist::Zilla
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::AfterBuild)
BuildRequires: perl(Dist::Zilla::Role::AfterRelease)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::FilePruner)
BuildRequires: perl(Dist::Zilla::Role::FileWatcher)
BuildRequires: perl(Dist::Zilla::Role::PPI)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(PPI::Document)
BuildRequires: perl(Path::Tiny) >= 0.4.0
BuildRequires: perl(Pod::Markdown) >= 2.0.0
BuildRequires: perl(Pod::Markdown::Github)
BuildRequires: perl(Pod::Simple::HTML) >= 3.230.0
BuildRequires: perl(Pod::Simple::Text) >= 3.230.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Most)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(autodie)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Generates a README for your the Dist::Zilla manpage powered dist from its
'main_module' in any of several formats. The generated README can be
included in the build or created in the root of your dist for e.g.
inclusion into version control.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
