%define upstream_name Dist-Zilla-Plugin-RemovePrereqs-Provided
%define upstream_version 0.001001

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4

Summary:	Remove prerequisites that are already provided
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Dist::Zilla::Role::PrereqSource)
BuildRequires:	perl(Dist::Zilla::Util::ConfigDumper)
BuildRequires:	perl(Moose)

BuildArch:	noarch

%description
This module is a utility for people who are working with self-consuming
code ( predominantly "Dist::Zilla" distributions ) who wish to avoid
self-dependencies in cases where some other prerequisite providing tool
is over-zealous in determining prerequisites.

This is an initial implementation that assumes you have "[MetaProvides]"
of some description in place, and uses the data it provides to make sure
the same modules don't exist as prerequisites.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
