%define upstream_name    Dist-Zilla-Plugin-Repository
%define upstream_version 0.24

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Automatically sets repository URL from svn/svk/Git checkout for Dist::Zilla
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.102.340
BuildRequires: perl(Dist::Zilla::Tester) >= 4.102.340
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
This module automatically sets repository URL from svn/svk/Git checkout
for Dist::Zilla.

The code is mostly a copy-paste of the Module::Install::Repository manpage

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*