%define upstream_name Dist-Zilla-Plugin-RewriteVersion-Sanitized
%define upstream_version 0.001006

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4

Summary:	RewriteVersion but force normalizing ENV{V} and other sources
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Dist::Zilla::Plugin::RewriteVersion)
BuildRequires:	perl(Dist::Zilla::Role::Version::Sanitize)
BuildRequires:	perl(Dist::Zilla::Util::Test::KENTNL)
BuildRequires:	perl(Eval::Closure)
BuildRequires:	perl(Moose)
BuildRequires:	perl(Package::DeprecationManager)

BuildArch:	noarch

%description
As per Dist::Zilla::Plugin::Git::NextVersion::Sanitized

  V=2.6.0 dzil release # -> V=2.006000 internally

This is really just a glue layer that wraps
"Dist::Zilla::Role::Version::Sanitize" around "[RewriteVersion]".

So see the documentation for Dist::Zilla::Role::Version::Sanitize for
details and attributes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%install
%make_install

%check
%__make test

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
