%define upstream_name    Dist-Zilla-Plugin-Test-Kwalitee
%define upstream_version 2.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6
Epoch:      1

Summary:    Release tests for kwalitee
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Carp)
BuildRequires: perl(Data::Section)
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(English)
BuildRequires: perl(Eval::Closure)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path) >= 2.70.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Package::DeprecationManager)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Kwalitee)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Output)
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage,
providing the following files

  xt/release/kwalitee.t - a standard Test::Kwalitee test

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
