%define upstream_name    Dist-Zilla-Plugin-Test-Perl-Critic
%define upstream_version 3.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Tests to check your code against best practices
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Section) >= 0.4.0
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(Sub::Exporter::ForMethods)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Perl::Critic)
BuildRequires: perl(autodie)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Obsoletes:  perl-Dist-Zilla-Plugin-CriticTests <= 1.111.450
Provides:   perl-Dist-Zilla-Plugin-CriticTests

%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage,
providing the following files:

* * t/author/critic.t - a standard test to check your code against best
  practices

This plugin does not accept any option yet.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc CONTRIBUTING Changes LICENCE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*