%define upstream_name    Dist-Zilla-Plugin-UseUnsafeInc
%define upstream_version 0.002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Indicates the value of PERL_USE_UNSAFE_INC to use during installation
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.300.39
BuildRequires: perl(Dist::Zilla::Role::AfterBuild)
BuildRequires: perl(Dist::Zilla::Role::BeforeRelease)
BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(if)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a the Dist::Zilla manpage plugin that populates the
'x_use_unsafe_inc' key in your distribution metadata. This indicates to
components of the toolchain that 'PERL_USE_UNSAFE_INC' should be set to a
certain value during installation and testing, overriding any previous
setting e.g. from the environment or from other tools.

The environment variable is also set in the Dist::Zilla manpage while
building and testing the distribution, to ensure that local testing behaves
in an expected fashion.

Additionally, the release must be performed using a Perl version that
supports 'PERL_USE_UNSAFE_INC', to further guarantee test integrity.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*