%define upstream_name    Dist-Zilla-Plugin-VersionFromMainModule
%define upstream_version 0.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Set the distribution version from your main module's $VERSION
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::VersionProvider)
BuildRequires: perl(Dist::Zilla::Role::ModuleMetadata)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This plugin sets the distribution version from the '$VERSION' found in the
distribution's main module, as defined by the Dist::Zilla manpage.

This plugin is useful if you want to set the '$VERSION' in your module(s)
manually or with some sort of post-release "increment the '$VERSION'"
plugin, rather than letting dzil add the '$VERSION' based on a setting in
the _dist.ini_.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc INSTALL LICENSE Changes META.json META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


