%define upstream_name    Dist-Zilla-PluginBundle-Author-KENTNL
%define upstream_version 2.025002

%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Generate a C<dist.ini> for @Author::KENTNL projects
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny) >= 0.240.0
BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla) >= 5.19.0
BuildRequires: perl(Dist::Zilla::File::FromCode) >= 5.19.0
BuildRequires: perl(Dist::Zilla::Plugin::Author::KENTNL::CONTRIBUTING)
BuildRequires: perl(Dist::Zilla::Plugin::Author::KENTNL::RecommendFixes)
BuildRequires: perl(Dist::Zilla::Plugin::Author::KENTNL::TravisCI)
BuildRequires: perl(Dist::Zilla::Plugin::Authority) >= 1.6.0
BuildRequires: perl(Dist::Zilla::Plugin::AutoPrereqs) >= 5.19.0
BuildRequires: perl(Dist::Zilla::Plugin::Bootstrap::lib) >= 1.0.1
BuildRequires: perl(Dist::Zilla::Plugin::BumpVersionAfterRelease) >= 0.2.0
BuildRequires: perl(Dist::Zilla::Plugin::ConfirmRelease) >= 5.19.0
BuildRequires: perl(Dist::Zilla::Plugin::CopyFilesFromBuild) >= 0.103.510
BuildRequires: perl(Dist::Zilla::Plugin::EOLTests) >= 0.20.0
BuildRequires: perl(Dist::Zilla::Plugin::Git::Check) >= 2.23.0
BuildRequires: perl(Dist::Zilla::Plugin::Git::Commit) >= 2.23.0
BuildRequires: perl(Dist::Zilla::Plugin::Git::CommitBuild) >= 2.23.0
BuildRequires: perl(Dist::Zilla::Plugin::Git::Contributors)
BuildRequires: perl(Dist::Zilla::Plugin::Git::GatherDir) >= 2.23.0
BuildRequires: perl(Dist::Zilla::Plugin::Git::NextRelease) >= 0.2.10
BuildRequires: perl(Dist::Zilla::Plugin::Git::NextVersion::Sanitized)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Tag) >= 2.23.0
BuildRequires: perl(Dist::Zilla::Plugin::GithubMeta) >= 0.460.0
BuildRequires: perl(Dist::Zilla::Plugin::License) >= 5.19.0
BuildRequires: perl(Dist::Zilla::Plugin::MakeMaker) >= 5.19.0
BuildRequires: perl(Dist::Zilla::Plugin::Manifest) >= 5.19.0
BuildRequires: perl(Dist::Zilla::Plugin::ManifestSkip) >= 5.19.0
BuildRequires: perl(Dist::Zilla::Plugin::MetaConfig) >= 5.19.0
BuildRequires: perl(Dist::Zilla::Plugin::MetaData::BuiltWith) >= 1.0.0
BuildRequires: perl(Dist::Zilla::Plugin::MetaJSON) >= 5.19.0
BuildRequires: perl(Dist::Zilla::Plugin::MetaProvides::Package) >= 2.0.1
BuildRequires: perl(Dist::Zilla::Plugin::MetaTests) >= 5.19.0
BuildRequires: perl(Dist::Zilla::Plugin::MetaYAML) >= 5.19.0
BuildRequires: perl(Dist::Zilla::Plugin::MetaYAML::Minimal)
BuildRequires: perl(Dist::Zilla::Plugin::MinimumPerl) >= 1.3.0
BuildRequires: perl(Dist::Zilla::Plugin::ModuleBuild)
BuildRequires: perl(Dist::Zilla::Plugin::PerlTidy) >= 0.160.0
BuildRequires: perl(Dist::Zilla::Plugin::PodCoverageTests) >= 5.19.0
BuildRequires: perl(Dist::Zilla::Plugin::PodSyntaxTests) >= 5.19.0
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver) >= 4.5.0
BuildRequires: perl(Dist::Zilla::Plugin::Prereqs) >= 5.19.0
BuildRequires: perl(Dist::Zilla::Plugin::Prereqs::AuthorDeps)
BuildRequires: perl(Dist::Zilla::Plugin::Prereqs::MatchInstalled)
BuildRequires: perl(Dist::Zilla::Plugin::Prereqs::Recommend::MatchInstalled) >= 0.1.0
BuildRequires: perl(Dist::Zilla::Plugin::Prereqs::Upgrade)
BuildRequires: perl(Dist::Zilla::Plugin::Readme::Brief)
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeAnyFromPod) >= 0.141.760
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeFromPod) >= 0.210.0
BuildRequires: perl(Dist::Zilla::Plugin::RemovePrereqs::Provided)
BuildRequires: perl(Dist::Zilla::Plugin::RewriteVersion::Sanitized) >= 0.1.0
BuildRequires: perl(Dist::Zilla::Plugin::RunExtraTests) >= 0.21.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::CPAN::Changes) >= 0.8.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::Compile::PerFile) >= 0.2.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::Kwalitee) >= 2.70.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::MinimumVersion) >= 2.0.5
BuildRequires: perl(Dist::Zilla::Plugin::Test::Perl::Critic) >= 2.112.410
BuildRequires: perl(Dist::Zilla::Plugin::Test::ReportPrereqs) >= 0.13.0
BuildRequires: perl(Dist::Zilla::Plugin::TestRelease) >= 5.19.0
BuildRequires: perl(Dist::Zilla::Plugin::TravisCI)
BuildRequires: perl(Dist::Zilla::Plugin::Twitter) >= 0.25.0
BuildRequires: perl(Dist::Zilla::Plugin::UploadToCPAN) >= 5.19.0
BuildRequires: perl(Dist::Zilla::Role::BundleDeps) >= 0.1.1
BuildRequires: perl(Dist::Zilla::Role::FileGatherer) >= 5.19.0
BuildRequires: perl(Dist::Zilla::Role::MintingProfile::ShareDir) >= 5.19.0
BuildRequires: perl(Dist::Zilla::Role::PluginBundle) >= 5.19.0
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Config::Slicer)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::PluginRemover)
BuildRequires: perl(Dist::Zilla::Util::CurrentCmd) >= 0.1.0
BuildRequires: perl(Dist::Zilla::Util::EmulatePhase) >= 1.0.0
BuildRequires: perl(Eval::Closure)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir::Install) >= 0.80.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::pushd) >= 1.7.0
BuildRequires: perl(FindBin)
BuildRequires: perl(Git::Wrapper) >= 0.32.0
BuildRequires: perl(IO::Socket::SSL) >= 1.994.0
BuildRequires: perl(JSON) >= 2.900.0
BuildRequires: perl(LWP::Protocol::https) >= 6.40.0
BuildRequires: perl(List::Util) >= 1.390.0
BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Metadata) >= 1.0.24
BuildRequires: perl(Moose) >= 2.120.900
BuildRequires: perl(Moose::Util::TypeConstraints) >= 2.120.900
BuildRequires: perl(MooseX::AttributeShortcuts) >= 0.24.0
BuildRequires: perl(MooseX::Has::Sugar) >= 1.0.1
BuildRequires: perl(MooseX::StrictConstructor) >= 0.190.0
BuildRequires: perl(MooseX::Types) >= 0.440.0
BuildRequires: perl(Net::SSLeay) >= 1.640.0
BuildRequires: perl(Path::Class::Dir) >= 0.330.0
BuildRequires: perl(Path::Tiny) >= 0.54.0
BuildRequires: perl(Perl::PrereqScanner) >= 1.19.0
BuildRequires: perl(Pod::Coverage::TrustPod) >= 0.100.3
BuildRequires: perl(Pod::Elemental::PerlMunger) >= 0.200.2
BuildRequires: perl(String::Formatter) >= 0.102.84
BuildRequires: perl(Test::CPAN::Meta) >= 0.230.0
BuildRequires: perl(Test::DZil) >= 5.19.0
BuildRequires: perl(Test::EOL) >= 1.500.0
BuildRequires: perl(Test::Fatal) >= 0.13.0
BuildRequires: perl(Test::File::ShareDir) >= 1.0.1
BuildRequires: perl(Test::More) >= 0.890.0
BuildRequires: perl(Test::Output) >= 1.30.0
BuildRequires: perl(Test::Perl::Critic) >= 1.20.0
BuildRequires: perl(Test::Pod) >= 1.480.0
BuildRequires: perl(Test::Pod::Coverage) >= 1.80.0
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean) >= 0.190.0
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(version) >= 0.990.800
BuildRequires: perl(warnings)
BuildArch:  noarch

Obsoletes:  perl-Dist-Zilla-PluginBundle-KENTNL <= 0.10.173.220
Provides:   perl-Dist-Zilla-PluginBundle-KENTNL

%description
This is the plug-in bundle that KENTNL uses. It exists mostly because he is
very lazy and wants others to be using what he's using if they want to be
doing work on his modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
# (sander85) configure git to pass tests
git config --global user.name "Mageia Test"
git config --global user.email test@mageia.org
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
