%define upstream_name    Dist-Zilla-PluginBundle-Author-Plicease
%define upstream_version 2.28

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Dist::Zilla plugin bundle used by Plicease
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 6.0.0
BuildRequires: perl(Dist::Zilla::App::Command::aliendeps) >= 0.10.0
BuildRequires: perl(Dist::Zilla::Plugin::Alien) >= 0.23.0
BuildRequires: perl(Dist::Zilla::Plugin::Author::Plicease) >= 2.280.0
BuildRequires: perl(Dist::Zilla::Plugin::AutoMetaResources) >= 1.200.0
BuildRequires: perl(Dist::Zilla::Plugin::CopyFilesFromBuild) >= 0.150.250
BuildRequires: perl(Dist::Zilla::Plugin::InsertExample) >= 0.40.0
BuildRequires: perl(Dist::Zilla::Plugin::InstallGuide) >= 1.200.6
BuildRequires: perl(Dist::Zilla::Plugin::MinimumPerl) >= 1.6.0
BuildRequires: perl(Dist::Zilla::Plugin::OurPkgVersion) >= 0.120.0
BuildRequires: perl(Dist::Zilla::Plugin::PkgVersion::Block)
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver) >= 4.6.0
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeAnyFromPod) >= 0.150.250
BuildRequires: perl(Dist::Zilla::Plugin::Run::BeforeBuild) >= 0.35.0
BuildRequires: perl(Dist::Zilla::PluginBundle::Git)
BuildRequires: perl(Dist::Zilla::Util::CurrentCmd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Glob)
BuildRequires: perl(IPC::System::Simple) >= 1.250.0
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(PerlX::Maybe) >= 0.3.0
BuildRequires: perl(Pod::Markdown) >= 1.400.0
BuildRequires: perl(Test::Fixme) >= 0.140.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Pod) >= 1.480.0
BuildRequires: perl(Test::Pod::Coverage) >= 1.100.0
BuildRequires: perl(Test::Script) >= 1.100.0
BuildRequires: perl(Test::Version) >= 2.0.0
BuildRequires: perl(YAML) >= 1.150.0
BuildArch:  noarch

%description
This is the Dist::Zilla plugin bundle used by Plicease.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README example
%{_mandir}/man3/*
%{perl_vendorlib}/*