%define upstream_name    Dist-Zilla-PluginBundle-Author-RWSTAUNER
%define upstream_version 6.002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    RWSTAUNER's Pod::Weaver config
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

# git is needed for passing test

BuildRequires: perl(Data::Section)
BuildRequires: perl(Dist::Zilla) >= 6.0.0
BuildRequires: perl(Dist::Zilla::Plugin::Authority) >= 1.5.0
BuildRequires: perl(Dist::Zilla::Plugin::AutoMetaResources)
BuildRequires: perl(Dist::Zilla::Plugin::AutoPrereqs)
BuildRequires: perl(Dist::Zilla::Plugin::Bootstrap::lib)
BuildRequires: perl(Dist::Zilla::Plugin::CheckChangesHasContent) >= 0.6.0
BuildRequires: perl(Dist::Zilla::Plugin::CheckExtraTests)
BuildRequires: perl(Dist::Zilla::Plugin::CheckMetaResources)
BuildRequires: perl(Dist::Zilla::Plugin::CheckPrereqsIndexed)
BuildRequires: perl(Dist::Zilla::Plugin::ConfirmRelease)
BuildRequires: perl(Dist::Zilla::Plugin::CopyFilesFromRelease)
BuildRequires: perl(Dist::Zilla::Plugin::ExecDir)
BuildRequires: perl(Dist::Zilla::Plugin::GatherDir)
BuildRequires: perl(Dist::Zilla::Plugin::GenerateFile)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Contributors)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Describe)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Init)
BuildRequires: perl(Dist::Zilla::Plugin::Git::NextVersion)
BuildRequires: perl(Dist::Zilla::Plugin::GitHubREADME::Badge) >= 0.160.0
BuildRequires: perl(Dist::Zilla::Plugin::GithubMeta) >= 0.100.0
BuildRequires: perl(Dist::Zilla::Plugin::InstallRelease) >= 0.6.0
BuildRequires: perl(Dist::Zilla::Plugin::License)
BuildRequires: perl(Dist::Zilla::Plugin::MakeMaker)
BuildRequires: perl(Dist::Zilla::Plugin::Manifest)
BuildRequires: perl(Dist::Zilla::Plugin::ManifestSkip)
BuildRequires: perl(Dist::Zilla::Plugin::MetaConfig)
BuildRequires: perl(Dist::Zilla::Plugin::MetaJSON)
BuildRequires: perl(Dist::Zilla::Plugin::MetaNoIndex) >= 1.101.130
BuildRequires: perl(Dist::Zilla::Plugin::MetaProvides::Package) >= 1.140.0.10
BuildRequires: perl(Dist::Zilla::Plugin::MetaYAML)
BuildRequires: perl(Dist::Zilla::Plugin::MinimumPerl) >= 1.3.0
BuildRequires: perl(Dist::Zilla::Plugin::NextRelease)
BuildRequires: perl(Dist::Zilla::Plugin::OurPkgVersion) >= 0.2.0
BuildRequires: perl(Dist::Zilla::Plugin::PkgVersion)
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::Prepender) >= 1.112.280
BuildRequires: perl(Dist::Zilla::Plugin::PruneCruft)
BuildRequires: perl(Dist::Zilla::Plugin::PruneFiles)
BuildRequires: perl(Dist::Zilla::Plugin::Readme)
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeAnyFromPod) >= 0.142.180
BuildRequires: perl(Dist::Zilla::Plugin::Run) >= 0.14.0
BuildRequires: perl(Dist::Zilla::Plugin::Run::AfterMint)
BuildRequires: perl(Dist::Zilla::Plugin::ShareDir)
BuildRequires: perl(Dist::Zilla::Plugin::TemplateModule)
BuildRequires: perl(Dist::Zilla::Plugin::Test::ReportPrereqs) >= 0.4.0
BuildRequires: perl(Dist::Zilla::Plugin::TestRelease)
BuildRequires: perl(Dist::Zilla::Plugin::UploadToCPAN)
BuildRequires: perl(Dist::Zilla::PluginBundle::Git) >= 2.4.0
BuildRequires: perl(Dist::Zilla::PluginBundle::TestingMania) >= 0.220.0
BuildRequires: perl(Dist::Zilla::Role::MintingProfile::ShareDir)
BuildRequires: perl(Dist::Zilla::Role::Plugin)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Config::Slicer)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::PluginRemover)
BuildRequires: perl(Dist::Zilla::Role::Releaser)
BuildRequires: perl(Dist::Zilla::Stash::PodWeaver) >= 1.5.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir::Install) >= 0.60.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Git::Wrapper)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints) >= 1.10.0
BuildRequires: perl(MooseX::AttributeShortcuts)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Pod::Elemental::Transformer::List)
BuildRequires: perl(Pod::Markdown) >= 2.0.0
BuildRequires: perl(Pod::Weaver) >= 4.0.0
BuildRequires: perl(Pod::Weaver::Config::Assembler)
BuildRequires: perl(Pod::Weaver::Plugin::SingleEncoding)
BuildRequires: perl(Pod::Weaver::Plugin::StopWords) >= 1.5.0
BuildRequires: perl(Pod::Weaver::Plugin::Transformer)
BuildRequires: perl(Pod::Weaver::Plugin::WikiDoc)
BuildRequires: perl(Pod::Weaver::PluginBundle::CorePrep)
BuildRequires: perl(Pod::Weaver::Section::Authors)
BuildRequires: perl(Pod::Weaver::Section::Collect)
BuildRequires: perl(Pod::Weaver::Section::Contributors)
BuildRequires: perl(Pod::Weaver::Section::Generic)
BuildRequires: perl(Pod::Weaver::Section::Leftovers)
BuildRequires: perl(Pod::Weaver::Section::Legal)
BuildRequires: perl(Pod::Weaver::Section::Name)
BuildRequires: perl(Pod::Weaver::Section::Region)
BuildRequires: perl(Pod::Weaver::Section::Support) >= 1.5.0
BuildRequires: perl(Pod::Weaver::Section::Version)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::File::ShareDir)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(YAML::Tiny)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: git
BuildArch:  noarch

%description
none.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
# For passing test
git config --get --global user.email || git config --global user.email "contact@mageia.org"
git config --get --global user.name  || git config --global user.name "Mageia"

%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*