%define upstream_name    Dist-Zilla-PluginBundle-BINGOS
%define upstream_version 0.20

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    BeLike::BINGOS when you build your dists
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.200.6
BuildRequires: perl(Dist::Zilla::Plugin::ChangelogFromGit) >= 0.6.0
BuildRequires: perl(Dist::Zilla::Plugin::Clean) >= 0.20.0
BuildRequires: perl(Dist::Zilla::Plugin::GithubMeta) >= 0.100.0
BuildRequires: perl(Dist::Zilla::Plugin::MetaJSON) >= 4.200.6
BuildRequires: perl(Dist::Zilla::Plugin::PkgVersion) >= 4.200.6
BuildRequires: perl(Dist::Zilla::Plugin::PodCoverageTests) >= 4.200.6
BuildRequires: perl(Dist::Zilla::Plugin::PodSyntaxTests) >= 4.200.6
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver) >= 3.101.641
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeFromPod) >= 0.140.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::Compile) >= 1.112.400
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::PluginRemover)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moose) >= 1.80.0
BuildArch:  noarch

%description
This is a the Dist::Zilla manpage PluginBundle. It is roughly equivalent to
the following dist.ini:

  [@Basic]

  [MetaJSON]
  [PodSyntaxTests]
  [PodCoverageTests]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
