%define upstream_name    Dist-Zilla-PluginBundle-CEBJYRE
%define upstream_version 0.4.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    My default dzil plugins
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Plugin::AutoPrereqs)
BuildRequires: perl(Dist::Zilla::Plugin::CheckPrereqsIndexed)
BuildRequires: perl(Dist::Zilla::Plugin::MetaJSON)
BuildRequires: perl(Dist::Zilla::Plugin::NextRelease)
BuildRequires: perl(Dist::Zilla::Plugin::PkgVersion)
BuildRequires: perl(Dist::Zilla::Plugin::PodCoverageTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodSyntaxTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver)
BuildRequires: perl(Dist::Zilla::PluginBundle::Basic)
BuildRequires: perl(Dist::Zilla::PluginBundle::Filter)
BuildRequires: perl(Dist::Zilla::PluginBundle::Git)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moose)
BuildRequires: perl(Perl::PrereqScanner)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Using this bundle is equivalent to:

  [PkgVersion]
  [AutoPrereqs]
  [PodWeaver]
  [PodCoverageTests]
  [PodSyntaxTests]
  [NextRelease]
  [CheckPrereqsIndexed]
  [@Basic]
  [@Git]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
