%define upstream_name    Dist-Zilla-PluginBundle-CJM
%define upstream_version 4.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Get distribution version from its main_module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.200.1
BuildRequires: perl(Dist::Zilla::Plugin::ArchiveRelease) >= 0.80.0
BuildRequires: perl(Dist::Zilla::Plugin::ExtraTests)
BuildRequires: perl(Dist::Zilla::Plugin::GatherDir)
BuildRequires: perl(Dist::Zilla::Plugin::GitVersionCheckCJM) >= 3.20.0
BuildRequires: perl(Dist::Zilla::Plugin::License)
BuildRequires: perl(Dist::Zilla::Plugin::MakeMaker)
BuildRequires: perl(Dist::Zilla::Plugin::ManifestSkip)
BuildRequires: perl(Dist::Zilla::Plugin::MatchManifest) >= 4.0.0
BuildRequires: perl(Dist::Zilla::Plugin::MetaConfig)
BuildRequires: perl(Dist::Zilla::Plugin::MetaJSON)
BuildRequires: perl(Dist::Zilla::Plugin::MetaYAML)
BuildRequires: perl(Dist::Zilla::Plugin::PodCoverageTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodLoom) >= 4.0.0
BuildRequires: perl(Dist::Zilla::Plugin::PodSyntaxTests)
BuildRequires: perl(Dist::Zilla::Plugin::PruneCruft)
BuildRequires: perl(Dist::Zilla::Plugin::Repository) >= 0.160.0
BuildRequires: perl(Dist::Zilla::Plugin::TemplateCJM) >= 3.50.0
BuildRequires: perl(Dist::Zilla::Plugin::TestRelease)
BuildRequires: perl(Dist::Zilla::Plugin::UploadToCPAN)
BuildRequires: perl(Dist::Zilla::Plugin::VersionFromModule) >= 0.80.0
BuildRequires: perl(Dist::Zilla::PluginBundle::Git) >= 1.103.520
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Git::Wrapper)
BuildRequires: perl(Moose) >= 0.650.0
BuildRequires: perl(Moose::Autobox) >= 0.90.0
BuildArch:  noarch

%description
If included, this plugin will process each _.pm_ and _.pod_ file under
_lib_ or in the root directory through Pod::Loom.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
rm -rf %buildroot
%make_install

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

