%define upstream_name    Dist-Zilla-PluginBundle-DAGOLDEN
%define upstream_version 0.079

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    DAGOLDEN's default Pod::Weaver config
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 5.14.0
BuildRequires: perl(Dist::Zilla::Plugin::Authority) >= 1.6.0
BuildRequires: perl(Dist::Zilla::Plugin::Bugtracker) >= 1.110.0
BuildRequires: perl(Dist::Zilla::Plugin::BumpVersionAfterRelease) >= 0.3.0
BuildRequires: perl(Dist::Zilla::Plugin::CPANFile)
BuildRequires: perl(Dist::Zilla::Plugin::CheckChangesHasContent)
BuildRequires: perl(Dist::Zilla::Plugin::CheckMetaResources) >= 0.1.0
BuildRequires: perl(Dist::Zilla::Plugin::CheckPrereqsIndexed) >= 0.2.0
BuildRequires: perl(Dist::Zilla::Plugin::CopyFilesFromBuild::Filtered)
BuildRequires: perl(Dist::Zilla::Plugin::Git::CheckFor::CorrectBranch)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Contributors) >= 0.7.0
BuildRequires: perl(Dist::Zilla::Plugin::Git::NextVersion)
BuildRequires: perl(Dist::Zilla::Plugin::GithubMeta) >= 0.360.0
BuildRequires: perl(Dist::Zilla::Plugin::InsertCopyright) >= 0.1.0
BuildRequires: perl(Dist::Zilla::Plugin::MetaNoIndex)
BuildRequires: perl(Dist::Zilla::Plugin::MetaProvides::Package) >= 1.140.0
BuildRequires: perl(Dist::Zilla::Plugin::MinimumPerl)
BuildRequires: perl(Dist::Zilla::Plugin::Pod2Readme)
BuildRequires: perl(Dist::Zilla::Plugin::Prereqs::AuthorDeps)
BuildRequires: perl(Dist::Zilla::Plugin::PromptIfStale) >= 0.11.0
BuildRequires: perl(Dist::Zilla::Plugin::RewriteVersion)
BuildRequires: perl(Dist::Zilla::Plugin::RunExtraTests)
BuildRequires: perl(Dist::Zilla::Plugin::SurgicalPodWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::TaskWeaver) >= 0.101.620
BuildRequires: perl(Dist::Zilla::Plugin::Test::Compile) >= 2.36.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::MinimumVersion) >= 2.0.3
BuildRequires: perl(Dist::Zilla::Plugin::Test::Perl::Critic)
BuildRequires: perl(Dist::Zilla::Plugin::Test::PodSpelling) >= 2.6.1
BuildRequires: perl(Dist::Zilla::Plugin::Test::Portability)
BuildRequires: perl(Dist::Zilla::Plugin::Test::ReportPrereqs) >= 0.16.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::Version)
BuildRequires: perl(Dist::Zilla::PluginBundle::Filter)
BuildRequires: perl(Dist::Zilla::PluginBundle::Git) >= 1.121.10
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Config::Slicer)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::PluginRemover)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::pushd)
BuildRequires: perl(Moose) >= 0.990.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Pod::Elemental::PerlMunger) >= 0.200.1
BuildRequires: perl(Pod::Elemental::Transformer::List) >= 0.102.0
BuildRequires: perl(Pod::Weaver) >= 4.0.0
BuildRequires: perl(Pod::Weaver::Config::Assembler)
BuildRequires: perl(Pod::Weaver::Plugin::WikiDoc)
BuildRequires: perl(Pod::Weaver::Section::Contributors) >= 0.8.0
BuildRequires: perl(Pod::Weaver::Section::Support) >= 1.1.0
BuildRequires: perl(Pod::Wordlist) >= 1.100.0
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Portability::Files) >= 0.60.0
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a the Dist::Zilla manpage PluginBundle for author dagolden.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*