%define upstream_name    Dist-Zilla-PluginBundle-DANIELP
%define upstream_version 1.04

%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    (you shouldn't) use Dist::Zilla like DANIELP
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Dist::Zilla::Plugin::ChangelogFromGit)
BuildRequires: perl(Dist::Zilla::Plugin::HasVersionTests)
BuildRequires: perl(Dist::Zilla::Plugin::MinimumVersionTests)
BuildRequires: perl(Dist::Zilla::Plugin::PortabilityTests)
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeMarkdownFromPod)
BuildRequires: perl(Dist::Zilla::Plugin::ReportVersions::Tiny)
BuildRequires: perl(Dist::Zilla::Plugin::SynopsisTests)
BuildRequires: perl(Dist::Zilla::Plugin::UnusedVarsTests)
BuildRequires: perl(Dist::Zilla::PluginBundle::Git)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(utf8)
BuildArch: noarch

%description
This is the plugin bundle that Daniel uses; it is a bit quirky and probably
not very well suited to use by anyone else. After all, I am a fairly new
CPAN author, and the last thing you want to do is emulate *my* public
mistakes.

This integrates with the way I use git to manage my software, and applies
automatic tests that I consider reasonable. For details, see the source;
until I consider my work suitable for someone else to emulate, I don't see
that making it easy is going to help anyone out.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README LICENSE META.yml META.json
%{_mandir}/man3/*
%{perl_vendorlib}/*


