%define upstream_name    Dist-Zilla-PluginBundle-DOY
%define upstream_version 0.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Dist::Zilla plugins for me
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Plugin::Authority)
BuildRequires: perl(Dist::Zilla::Plugin::CheckChangesHasContent)
BuildRequires: perl(Dist::Zilla::Plugin::CheckExtraTests) >= 0.6.0
BuildRequires: perl(Dist::Zilla::Plugin::EOLTests)
BuildRequires: perl(Dist::Zilla::Plugin::Git) >= 1.102.810
BuildRequires: perl(Dist::Zilla::Plugin::MakeMaker::Awesome)
BuildRequires: perl(Dist::Zilla::Plugin::Metadata)
BuildRequires: perl(Dist::Zilla::Plugin::NoTabsTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::TaskWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::Test::Compile)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
My plugin bundle. Roughly equivalent to:

    [@Basic]

    [MetaConfig]
    [MetaJSON]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*