%define upstream_name    Dist-Zilla-PluginBundle-FAYLAND
%define upstream_version 0.16

# https://rt.cpan.org/Ticket/Display.html?id=66171
%global __requires_exclude perl\\(Dist::Zilla::Plugin::LoadTests\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Dist::Zilla like FAYLAND when you build your dists
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 5.0.0
BuildRequires: perl(Dist::Zilla::Plugin::CheckChangeLog) >= 0.10.0
BuildRequires: perl(Dist::Zilla::Plugin::Git::Contributors) >= 0.4.0
BuildRequires: perl(Dist::Zilla::Plugin::PerlTidy) >= 0.60.0
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver) >= 3.92.971
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeFromPod) >= 0.200.0
BuildRequires: perl(Dist::Zilla::Plugin::Repository) >= 0.80.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::Compile) >= 0.50.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*