%define upstream_name    Dist-Zilla-PluginBundle-Git-CheckFor
%define upstream_version 0.014

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Check that you're on the correct branch before release
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Devel::CheckBin)
BuildRequires: perl(Dist::Zilla::Plugin::Git::NextVersion) >= 1.120.370
BuildRequires: perl(Dist::Zilla::Role::BeforeRelease)
BuildRequires: perl(Dist::Zilla::Role::Git::Repo)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(Env::Path)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::chdir)
BuildRequires: perl(Git::Wrapper)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(IPC::System::Simple)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::AttributeShortcuts)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::CheckDeps) >= 0.10.0
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Moose::More) >= 0.8.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Most)
BuildRequires: perl(Test::TempDir)
BuildRequires: perl(Test::TempDir::Tiny)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(autodie)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: git
BuildRequires: git-arch
BuildRequires: git-core
BuildRequires: git-core-oldies
BuildRequires: git-cvs
BuildRequires: perl(Git)
BuildRequires: git-email
BuildRequires: git-prompt
BuildRequires: git-svn
BuildRequires: gitk
BuildRequires: perl(Sort::Versions)
BuildRequires: perl(Version::Next)
BuildArch:  noarch

%description
This is a role that extends the Dist::Zilla::Role::Git::Repo manpage to
provide an additional private attribute. There's probably nothing here
you'd be terribly interested in.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*
