%define upstream_name    Dist-Zilla-PluginBundle-Git-VersionManager
%define upstream_version 0.007

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A plugin bundle that manages your version in git
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Check) >= 0.11.0
BuildRequires: perl(CPAN::Meta::Requirements)
BuildRequires: perl(Dist::Zilla::Plugin::BumpVersionAfterRelease) >= 0.16.0
BuildRequires: perl(Dist::Zilla::Plugin::BumpVersionAfterRelease::Transitional) >= 0.4.0
BuildRequires: perl(Dist::Zilla::Plugin::CopyFilesFromRelease)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Commit) >= 2.20.0
BuildRequires: perl(Dist::Zilla::Plugin::Git::NextVersion)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Tag)
BuildRequires: perl(Dist::Zilla::Plugin::NextRelease) >= 5.33.0
BuildRequires: perl(Dist::Zilla::Plugin::Prereqs)
BuildRequires: perl(Dist::Zilla::Plugin::RewriteVersion::Transitional) >= 0.4.0
BuildRequires: perl(Dist::Zilla::Plugin::VersionFromMainModule) >= 0.40.0
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Config::Slicer)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::PluginRemover) >= 0.103.0
BuildRequires: perl(Dist::Zilla::Util)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(List::Util) >= 1.450.0
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(if)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This plugin is a hack and hopefully will soon be made redundant. It is
bundled along with a (the?) bundle that needs it, but can also be used with
other bundles if such a need is identified.

This plugin is meant to be run after all other file mungers, but most
particularly after Dist::Zilla::Plugin::RewriteVersion. Because plugin
bundles contain many plugins, it can be difficult or impossible to arrange
the order of plugins and bundles in _dist.ini_ such that all ordering
constraints are correctly satisfied.

The specific ordering problem that this plugin is correcting for is this:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*