%define upstream_name    Dist-Zilla-PluginBundle-RBO
%define upstream_version 0.002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Dist::Zilla plugins for RBO
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Dist::Zilla::Plugin::AutoMetaResources)
BuildRequires: perl(Dist::Zilla::Plugin::Git::NextVersion)
BuildRequires: perl(Dist::Zilla::Plugin::PodVersion)
BuildRequires: perl(Dist::Zilla::PluginBundle::Git)
BuildRequires: perl(Moose::Autobox)
BuildArch: noarch

%description
This is the plugin bundle for RBO. It's an equivalent to:

    [@Basic]

    [MetaConfig]
    [MetaJSON]
    [Git::NextVersion]
    [Git::Tag]
    [PkgVersion]
    [PodVersion]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%{perl_vendorlib}/*


