%define upstream_name    Dist-Zilla-PluginBundle-TestingMania
%define upstream_version 0.25

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Test your dist with every testing plugin
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Plugin::MetaTests)
BuildRequires: perl(Dist::Zilla::Plugin::MojibakeTests) >= 0.200.0
BuildRequires: perl(Dist::Zilla::Plugin::NoTabsTests) >= 0.10.0
BuildRequires: perl(Dist::Zilla::Plugin::PodCoverageTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodSyntaxTests)
BuildRequires: perl(Dist::Zilla::Plugin::Test::CPAN::Changes) >= 0.5.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::CPAN::Meta::JSON) >= 0.3.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::Compile) >= 1.112.400
BuildRequires: perl(Dist::Zilla::Plugin::Test::DistManifest) >= 2.0.1
BuildRequires: perl(Dist::Zilla::Plugin::Test::EOL)
BuildRequires: perl(Dist::Zilla::Plugin::Test::Kwalitee) >= 2.20.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::MinimumVersion) >= 2.0.1
BuildRequires: perl(Dist::Zilla::Plugin::Test::Perl::Critic) >= 2.112.410
BuildRequires: perl(Dist::Zilla::Plugin::Test::Pod::LinkCheck) >= 1.1.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::Portability) >= 2.0.1
BuildRequires: perl(Dist::Zilla::Plugin::Test::Synopsis) >= 2.0.1
BuildRequires: perl(Dist::Zilla::Plugin::Test::UnusedVars) >= 2.0.1
BuildRequires: perl(Dist::Zilla::Plugin::Test::Version) >= 0.1.2
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Temp)
BuildRequires: perl(JSON::PP) >= 2.271.30
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Pod::Coverage::TrustPod)
BuildRequires: perl(Test::CPAN::Meta)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Perl::Critic)
BuildRequires: perl(Test::Version) >= 0.70.0
BuildRequires: perl(autodie)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)

BuildConflicts: cpanminus

BuildArch:  noarch

%description
This plugin bundle collects all the testing plugins for the Dist::Zilla
manpage which exist (and are not deprecated). This is for the most paranoid
people who want to test their dist seven ways to Sunday.

Simply add the following near the end of _dist.ini_:

    [@TestingMania]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README.mkdn
%{_mandir}/man3/*
%{perl_vendorlib}/*
