%define upstream_name    Dist-Zilla-Role-ModuleIncluder
%define upstream_version 0.008

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Explicitly include modules into a distribution
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(Dist::Zilla::File::InMemory) >= 5.0.0
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::FileInjector)
BuildRequires: perl(File::Slurper)
BuildRequires: perl(List::Util) >= 1.450.0
BuildRequires: perl(Module::Build::Tiny) >= 0.7.0
BuildRequires: perl(Module::CoreList)
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(MooseX::Types::Perl)
BuildRequires: perl(MooseX::Types::Stringlike)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Pod::Eventual)
BuildRequires: perl(Perl::PrereqScanner)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This role allows your plugin to include one or more modules into the
distribution for build time purposes. The modules will not be installed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
