%define upstream_name    Dist-Zilla-Stash-PodWeaver
%define upstream_version 1.005

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    A stash of config options for Pod::Weaver
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::Stash::Plugins) >= 1.6.0
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(PPI::Document)
BuildRequires: perl(Pod::Weaver::Config::Assembler)
BuildRequires: perl(Test::MockObject)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This performs the the Dist::Zilla::Role::Stash manpage role (using the
Dist::Zilla::Role::DynamicConfig manpage and the
Dist::Zilla::Role::Stash::Plugins manpage).

When using the Dist::Zilla::Plugin::PodWeaver manpage with a
_config_plugin_ it's difficult to pass more configuration options to the
Pod::Weaver manpage plugins.

This is often the case when using a Dist::Zilla::Role::PluginBundle that
uses a Pod::Weaver::PluginBundle::Default.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
