%define upstream_name Dist-Zilla-Util-CurrentCmd
%define upstream_version 0.002003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Attempt to determine the current command Dist::Zilla is running under
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Moose) >= 2.120.500
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module exists in case you are absolutely certain you want to have
different behaviors for either a plugin, or a bundle, to trigger on ( or
off ) a specific phase.

Usually, this is a bad idea, and the need to do this suggests a poor
choice of work-flow to begin with.

That said, this utility is *probably* more useful in a bundle than in a
plugin, in that it will be slightly more optimal than say, having an
"ENV" flag to control this difference.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*