%define upstream_name Dist-Zilla-Util-ExpandINI
%define upstream_version 0.003003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Read an INI file and expand bundles as you go
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Requirements) >= 2.120.620
BuildRequires: perl(Carp)
BuildRequires: perl(Config::INI::Reader)
BuildRequires: perl(Config::INI::Writer) >= 0.24.0
BuildRequires: perl(Dist::Zilla::PluginBundle::Classic)
BuildRequires: perl(Dist::Zilla::Util::BundleInfo) >= 1.1.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 7.110.1
BuildRequires: perl(File::Spec)
BuildRequires: perl(Mixin::Linewise) >= 0.108.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo) >= 1.0.8
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More) >= 0.890.0
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module builds upon the previous work ":Util::BundleInfo" ( Which
can extract configuration from a bundle in a manner similar to how
"dzil" does it ) and integrates it with some *very* minimal "INI"
handling to provide a tool capable of generating bundle-free "dist.ini"
files from bundle-using "dist.ini" files!

At present its very naïve and only keeps semantic ordering, and I've
probably gotten something wrong due to cutting the complexity of
Config::MVP out of the loop.

But at this stage, bundles are the *only* thing modified in transit.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
