%define upstream_name    Dist-Zilla
%define upstream_version 6.032

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Something that provides a version number for the dist
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/R/RJ/RJBS/%{upstream_name}-%{upstream_version}.tar.gz

# Tests:

BuildRequires: perl(App::Cmd::Command::version)
BuildRequires: perl(App::Cmd::Setup) >= 0.330.0
BuildRequires: perl(App::Cmd::Tester) >= 0.306.0
BuildRequires: perl(App::Cmd::Tester::CaptureExternal)
BuildRequires: perl(Archive::Tar)
BuildRequires: perl(CPAN::Meta::Check) >= 0.11.0
BuildRequires: perl(CPAN::Meta::Converter) >= 2.101.550
BuildRequires: perl(CPAN::Meta::Merge)
BuildRequires: perl(CPAN::Meta::Prereqs) >= 2.120.630
BuildRequires: perl(CPAN::Meta::Requirements) >= 2.121.0
BuildRequires: perl(CPAN::Meta::Validator) >= 2.101.550
BuildRequires: perl(CPAN::Uploader) >= 0.103.4
BuildRequires: perl(Carp)
BuildRequires: perl(Config::INI::Reader)
BuildRequires: perl(Config::MVP) >= 2.200.11
BuildRequires: perl(Config::MVP::Assembler)
BuildRequires: perl(Config::MVP::Assembler::WithBundles) >= 2.200.10
BuildRequires: perl(Config::MVP::Reader) >= 2.101.540
BuildRequires: perl(Config::MVP::Reader::Findable::ByExtension)
BuildRequires: perl(Config::MVP::Reader::Finder)
BuildRequires: perl(Config::MVP::Reader::INI) >= 2.101.461
BuildRequires: perl(Config::MVP::Section) >= 2.200.9
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Data::Section) >= 0.200.2
BuildRequires: perl(DateTime) >= 0.440.0
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::Manifest) >= 1.660.0
BuildRequires: perl(File::Copy::Recursive) >= 0.410.0
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::ShareDir::Install) >= 0.30.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::pushd)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(List::Util) >= 1.450.0
BuildRequires: perl(Log::Dispatchouli) >= 1.102.220
BuildRequires: perl(Mixin::Linewise::Readers) >= 0.100.0
BuildRequires: perl(Module::CoreList)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moose) >= 0.920.0
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::LazyRequire)
BuildRequires: perl(MooseX::Role::Parameterized) >= 1.10.0
BuildRequires: perl(MooseX::SetOnce)
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(MooseX::Types::Perl)
BuildRequires: perl(PPI::Document) >= 1.222.0
BuildRequires: perl(Params::Util)
BuildRequires: perl(Path::Tiny) >= 0.52.0
BuildRequires: perl(Perl::PrereqScanner) >= 1.16.0
BuildRequires: perl(Pod::Simple)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Software::License) >= 0.104.1
BuildRequires: perl(Software::License::None)
BuildRequires: perl(Software::LicenseUtils)
BuildRequires: perl(String::Formatter) >= 0.100.680
BuildRequires: perl(String::RewritePrefix) >= 0.6.0
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Sub::Exporter::ForMethods)
BuildRequires: perl(Sub::Exporter::Util)
BuildRequires: perl(Term::ANSIColor) >= 5.0.0
BuildRequires: perl(Term::Encoding)
BuildRequires: perl(Term::ReadKey)
BuildRequires: perl(Term::ReadLine)
BuildRequires: perl(Term::UI)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::FailWarnings)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::File::ShareDir)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Text::Glob) >= 0.80.0
BuildRequires: perl(Text::Template)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(YAML::Tiny)
BuildRequires: perl(autodie)
BuildRequires: perl(experimental)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

# This Requires must be specified explicitly because the scan does not find and
# as a result the derived modules fails in strange ways.
Requires:   perl(Archive::Tar)
Requires:   perl(Config::INI::Reader)
Requires:   perl(Config::MVP::Reader::INI)
Requires:   perl(CPAN::Meta::Converter)
Requires:   perl(CPAN::Meta::Requirements)
Requires:   perl(CPAN::Meta::Validator)
Requires:   perl(CPAN::Uploader)
Requires:   perl(DateTime)
Requires:   perl(ExtUtils::Manifest) >= 1.54
Requires:   perl(File::HomeDir)
Requires:   perl(File::Path)
Requires:   perl(File::ShareDir::Install)
Requires:   perl(Perl::PrereqScanner) >= 1.16.0
Requires:   perl(Module::CoreList)
Requires:   perl(Module::Runtime)
Requires:   perl(Path::Class)
Requires:   perl(Pod::Eventual) >= 0.91.480
Requires:   perl(Term::Encoding)
Requires:   perl(version) >= 1:0.790.0
Requires:   perl(PPI::Document)
Requires:   perl(Software::LicenseUtils)
Requires:   perl(Term::Encoding)
Requires:   perl(Term::ReadKey)
Requires:   perl(Term::ReadLine)
Requires:   perl(Term::UI)
Recommends: perl(Task::Dist::Zilla)

%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}
%global __requires_exclude perl\\(ExtUtils::MakeMaker\\{\\{\\)

%description
Dist::Zilla builds distributions of code to be uploaded to the CPAN. In
this respect, it is like the ExtUtils::MakeMaker manpage, the Module::Build
manpage, or the Module::Install manpage. Unlike those tools, however, it is
not also a system for installing code that has been downloaded from the
CPAN. Since it's only run by authors, and is meant to be run on a
repository checkout rather than on published, released code, it can do much
more than those tools, and is free to make much more ludicrous demands in
terms of prerequisites.

For more information, see the Dist::Zilla::Tutorial manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# all tests succeed locally but some fail on BS with: "Cannot determine local time zone"
rm -f t/plugins/readme.t t/plugins/license.t t/plugins/distmeta.t 
%__make test

%install
%make_install
install -d %{buildroot}/etc/bash_completion.d/
install -m 644 misc/dzil-bash_completion %{buildroot}/etc/bash_completion.d/dzil

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/dzil
/etc/bash_completion.d/dzil