%define upstream_name    Dist-Zooky
%define upstream_version 0.24

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    The other command that Dist::Zooky uses
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Cmd)
BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(Class::Load)
BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Load::Conditional)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(MooseX::Types::Perl)
BuildRequires: perl(Params::Check)
BuildRequires: perl(Software::License)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Dist::Zooky is the Dist::Zilla manpage's nephew. He has the ability to
summon his uncle.

It will try its best to convert a distribution to use the Dist::Zilla
manpage. It supports the ExtUtils::MakeMaker manpage, the Module::Install
manpage and the Module::Build manpage based distributions, with certain
limitations.

The main documentation for this is under the dzooky manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README LICENSE Changes META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/dzooky
%{_mandir}/man1/dzooky.1*

