%define upstream_name    Dumbbench
%define upstream_version 0.505

# SOOT support is optional
%bcond_with perl_Dumbbench_enables_SOOT

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Benchmarks a string of Perl code
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Carp)
BuildRequires: perl(Class::XSAccessor) >= 1.50.0
BuildRequires: perl(Devel::CheckOS)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Number::WithError) >= 1.0.0
BuildRequires: perl(Params::Util)
BuildRequires: perl(Statistics::CaseResampling) >= 0.60.0
BuildRequires: perl(Test::More) >= 1.0.0
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
This module attempts to implement reasonably robust benchmarking with
little extra effort and expertise required from the user. That is to say,
benchmarking using this module is likely an improvement over

  time some-command --to --benchmark

or

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/*
%if %{with perl_Dumbbench_enables_SOOT}
%else
%exclude %{perl_vendorlib}/Dumbbench/BoxPlot.pm
%endif