%define upstream_name    EBook-EPUB
%define upstream_version 0.6

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Perl module for generating EPUB documents
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/EBook/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Zip)
BuildRequires: perl(Carp)
BuildRequires: perl(Data::UUID)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::Writer)
BuildArch: noarch

%{?perl_default_filter}

%description
The Navigation Control file for XML applications (NCX) exposes the
hierarchical structure of a Publication to allow the user to navigate
through it. The NCX is similar to a table of contents in that it enables
the reader to jump directly to any of the major structural elements of the
document, i.e. part, chapter, or section, but it will often contain more
elements of the document than the publisher chooses to include in the
original print table of contents. It can be visualized as a collapsible
tree familiar to PC users.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


