%define upstream_name    EBook-Tools
%define upstream_version v0.5.4

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    E-Book creation, modification, and unpacking
License:    GPLv2+
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/EBook/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Zip) >= 1.160.0
BuildRequires: perl(Bit::Vector) >= 6.400.0
BuildRequires: perl(Compress::Zlib) >= 1.0.0
BuildRequires: perl(Config::IniFiles) >= 2.0.0
BuildRequires: perl(Data::UUID) >= 1.0.0
BuildRequires: perl(Date::Manip) >= 5.440.0
BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(DBI)
BuildRequires: perl(Encode::Detect)
BuildRequires: perl(File::MimeInfo) >= 0.130.0
BuildRequires: perl(File::Slurp) >= 9999.0.0
BuildRequires: perl(File::Which)
BuildRequires: perl(HTML::Entities) >= 1.0.0
BuildRequires: perl(HTML::TextToHTML) >= 2.440.0
BuildRequires: perl(HTML::TreeBuilder) >= 3.190.0
BuildRequires: perl(Image::Size) >= 3.100.0
BuildRequires: perl(Lingua::EN::NameParse)
BuildRequires: perl(List::MoreUtils) >= 0.210.0
BuildRequires: perl(LWP)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Mojo::DOM)
BuildRequires: perl(Palm::PDB) >= 1.0.0
BuildRequires: perl(Palm::Raw) >= 1.0.0
BuildRequires: perl(String::CRC32) >= 1.0.0
BuildRequires: perl(Tie::IxHash) >= 1.210.0
BuildRequires: perl(Time::Local) >= 1.180.0
BuildRequires: perl(XML::Twig) >= 3.320.0
BuildRequires: perl(version) >= 0.740.0
BuildRequires: shared-mime-info
BuildArch:  noarch

Recommends: tidy
Recommends: convlit

%description
This module provides an object interface and a number of related procedures
intended to create or modify documents centered around the International
Digital Publishing Forum (IDPF) standards, currently both OEBPS v1.2 and
OPS/OPF v2.0.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
export AUTOMATED_TESTING=1
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_bindir}/ebook
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
