%define upstream_name    Email-Address-XS
%define upstream_version 1.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Summary:    Parse and format RFC 2822 email addresses and groups
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}/
Source0:    https://cpan.metacpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl(base)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%description
This module implements RFC 2822 parser and formatter of email addresses and
groups. It parses an input string from email headers which contain a list of
email addresses or a groups of email addresses (like From, To, Cc, Bcc,
Reply-To, Sender, ...). Also it can generate a string value for those headers
from a list of email addresses objects.

Parser and formatter functionality is implemented in XS and uses shared code
from Dovecot IMAP server.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%optflags" SKIP_SAX_INSTALL=1
%make_build CFLAGS="%{optflags}"

%check
LC_ALL=C make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorarch}/auto/Email/Address
%{perl_vendorarch}/Email/Address
%{_mandir}/*/*
