%define upstream_name    Email-MIME-Kit-Assembler-TextifyHTML
%define upstream_version 1.005

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Textify some HTML arguments to assembly
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Email::MIME::Kit) >= 3.0.1
BuildRequires: perl(Email::MIME::Kit::Assembler::Standard)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTML::FormatText::WithLinks)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The body argument will be rendered intact in the the HTML part, but will converted to plaintext before the plaintext part is rendered.

This will be done by HTML::FormatText::WithLinks, using the arguments provided in the formatter_args assembler attribute.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*