%define upstream_name    Email-MIME-Kit
%define upstream_version 3.000008

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    build messages from templates
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Email::MIME) >= 1.930.0
BuildRequires: perl(Email::MIME::Creator)
BuildRequires: perl(Email::MessageID) >= 1.400.0
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(JSON) >= 2.0.0
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moose) >= 0.650.0
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(String::RewritePrefix)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(YAML::XS)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Email::MIME::Kit is a templating system for email messages. Instead of
trying to be yet another templating system for chunks of text, it makes it
easy to build complete email messages.

It handles the construction of multipart messages, text and HTML
alternatives, attachments, interpart linking, string encoding, and
parameter validation.

Although nearly every part of Email::MIME::Kit is a replaceable component,
the stock configuration is probably enough for most use. A message kit will
be stored as a directory that might look like this:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*