%define upstream_name       Email-Send
%define upstream_version 2.202

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Simply Sending Email
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(Email::Abstract)
BuildRequires: perl(Email::Address) >= 1.800.0
BuildRequires: perl(Email::Simple) >= 1.920.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(MIME::Entity)
BuildRequires: perl(Mail::Internet)
BuildRequires: perl(Module::Pluggable) >= 2.970.0
BuildRequires: perl(Net::SMTP)
BuildRequires: perl(Return::Value)
BuildRequires: perl(Scalar::Util) >= 1.20.0
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

Requires:   perl(Email::Date::Format)
%description
This module provides a very simple, very clean, very specific interface to
multiple Email mailers. The goal of this software is to be small and simple,
easy to use, and easy to extend.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml eg
%{perl_vendorlib}/Email
%{_mandir}/*/*