%define upstream_name    Email-Sender
%define upstream_version 2.601

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    An SMTP client that stays online
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny) >= 0.80.0
BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Email::Abstract) >= 3.6.0
BuildRequires: perl(Email::Address::XS)
BuildRequires: perl(Email::Simple) >= 1.998.0
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Path) >= 2.60.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::File) >= 1.110.0
BuildRequires: perl(IO::Handle)
BuildRequires: perl(List::Util) >= 1.450.0
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo) >= 2.0.0
BuildRequires: perl(Moo::Role)
BuildRequires: perl(MooX::Types::MooseLike) >= 0.150.0
BuildRequires: perl(MooX::Types::MooseLike::Base)
BuildRequires: perl(Net::SMTP) >= 3.70.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Sub::Exporter::Util)
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Throwable::Error) >= 0.200.3
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

Requires:   perl(Throwable::Error)
%{?perl_default_filter}

%description
An Email::Sender::Success object is just an indicator that an email message
was successfully sent. Unless extended, it has no properties of its own.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*