%define upstream_name    Encode-IMAPUTF7
%define upstream_version 1.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Modification of UTF-7 encoding for IMAP
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Encode/%{upstream_name}-%{upstream_version}.tar.gz
# Use Exporter for encode and decode which are used in import
# error since perl 5.39.1 (CPAN RT#149091)
Patch0:     Encode-IMAPUTF7-1.05-Use-Exporter-for-encode-decode.patch

BuildRequires: perl(Encode)
BuildRequires: perl(Test::NoWarnings)
BuildArch: noarch

%description
This module is able to encode and decode IMAP mailbox names using the UTF-7
modification specified in RFC2060 section 5.1.3.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
