%define upstream_name    Encode
%define upstream_version 3.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Character Encodings Handler
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/D/DA/DANKOGAI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More) >= 0.920.0
BuildRequires: perl(parent) >= 0.221.0
BuildRequires: perl-devel
Requires:   perl-devel
%{?perl_default_filter}

%description
The "Encode" module provides the interfaces between Perl's strings and
the rest of the system.  Perl strings are sequences of characters.

The repertoire of characters that Perl can represent is at least that
defined by the Unicode Consortium. On most platforms the ordinal values
of the characters (as returned by "ord(ch)") is the "Unicode codepoint"
for the character (the exceptions are those platforms where the legacy
encoding is some variant of EBCDIC rather than a super-set of ASCII -
see perlebcdic).

Traditionally, computer data has been moved around in 8-bit chunks often
called "bytes". These chunks are also known as "octets" in networking
standards. Perl is widely used to manipulate data of many types - not
only strings of characters representing human or computer languages but
also "binary" data being the machine's representation of numbers, pixels
in an image - or just about anything.

When Perl is processing "binary data", the programmer wants Perl to
process "sequences of bytes". This is not a problem for Perl - as a byte
has 256 possible values, it easily fits in Perl's much larger "logical
character".

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install
rm -rf %buildroot/usr/bin

%files
%doc AUTHORS CN Changes EBCDIC JP KR META.json META.yml MYMETA.yml README TW
%{_mandir}/man1/enc2xs.1*
%{_mandir}/man1/encguess.1*
%{_mandir}/man1/piconv.1*
%{_mandir}/man3/*
%{perl_vendorarch}/Encode
%{perl_vendorarch}/Encode.pm
%{perl_vendorarch}/encoding.pm
%{perl_vendorarch}/auto/Encode
