%define upstream_name    Erlang-Parser
%define upstream_version 0.6

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Erlang source code parser
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Erlang/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(Parse::Lex) >= 2.200.0
BuildRequires: perl(Parse::Yapp)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Simple)
BuildArch:  noarch

%description
the Erlang::Parser manpage is an Erlang source code parser. You can feed
'parse()' any fragment of code which would be acceptable at the top-level
of a '.erl' file, including a full file.

Methods
    * 'parse'

      Parses an top-level Erlang declarations from a string, list of lines
      of code, or filehandle. Returns a list of top-level nodes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*