%define upstream_name    Eval-Context
%define upstream_version 0.09.11

Name:       perl-%{upstream_name}
Epoch:      1
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Evaluate perl code in context wrapper
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Eval/%{upstream_name}-%{upstream_version}.tar.gz
# Perl 5.18 comptability, CPAN RT#86017
Patch0:     Eval-Context-0.09.11-hash-randomization.patch
# Fix failing test t/012_safe.t, CPAN RT#150480
Patch1:     Eval-Context-0.09.11-adapt-test-for-Data-TreeDumper-0.41.patch
# Fix failing tests related to change of import in perl 5.39.1, CPAN RT#153484
Patch2:     Eval-Context-0.09.11-Adapt-test-for-change-of-import.patch
# Fix failing tests with perl 5.40.0, bug #2292371, CPAN RT#153484
Patch3:     Eval-Context-0.09.11-Adapt-tests-to-perl-5.40.0.patch

BuildRequires: perl(Data::Compare)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Data::TreeDumper)
BuildRequires: perl(Directory::Scratch::Structured)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(Package::Generator)
BuildRequires: perl(Readonly)
BuildRequires: perl(Safe)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Sub::Install)
BuildRequires: perl(Symbol)
BuildRequires: perl(Term::Size)
BuildRequires: perl(Test::Block)
BuildRequires: perl(Test::Dependencies)
BuildRequires: perl(Test::Distribution)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Output)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(Test::Spelling)
BuildRequires: perl(Test::Strict)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Text::Diff)
BuildRequires: perl(Module::Build::Compat)

BuildArch:  noarch


%description
This module define a subroutine that let you evaluate Perl code in a
specific context. The code can be passed directly as a string or as a file
name to read from. It also provides some subroutines to let you define and
optionally share variables and subroutines between your code and the code
you wish to evaluate. Finally there is some support for running your code
in a safe compartment.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
export LC_ALL=C
make test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/Eval
