%define upstream_name    Eval-WithLexicals
%define upstream_version 1.003005

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Persist compile hints between evals
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Eval/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moo) >= 0.9.6
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(strictures) >= 1.0.0
BuildArch:  noarch

%description
Persist pragmas and other compile hints between evals (for example the
strict and warnings flags in effect).

Saves and restores the '$^H' and '%^H' variables.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man*/*
%{perl_vendorlib}/*
/usr/bin/tinyrepl
