%define upstream_name Event-ExecFlow
%define upstream_version 0.64
%define filelist %{upstream_name}-%{upstream_version}-filelist
%define NVR %{upstream_name}-%{upstream_version}-%{release}
%define maketest 1

%{?perl_default_filter}

Name:      perl-%{upstream_name}
Summary:   Event-RPC - High level API for event-based execution flow control
Version:   %perl_convert_version %{upstream_version}
Release:   %mkrel 11
License:   Artistic
Group:     Development/Perl
URL:       https://www.exit1.org/%{upstream_name}
SOURCE:    https://cpan.metacpan.org/authors/id/J/JR/JRED/%{upstream_name}-%{upstream_version}.tar.bz2

Buildarch: noarch
BuildRequires: perl-devel
BuildRequires: perl(AnyEvent)
BuildRequires: perl-libintl-perl

%description
Event::ExecFlow provides a high-level API for defining complex flow
controls with asynchronous execution of external programs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod -R u+w %{_builddir}/%{upstream_name}-%{upstream_version}

%build
grep -rsl '^#!.*perl' . |
grep -v '.bak$' |xargs --no-run-if-empty \
%__perl -MExtUtils::MakeMaker -e 'MY->fixin(@ARGV)'
CFLAGS="$RPM_OPT_FLAGS"
%__perl Makefile.PL `%__perl -MExtUtils::MakeMaker -e ' print qq|PREFIX=%{buildroot}%{_prefix}| if \$ExtUtils::MakeMaker::VERSION =~ /5\.9[1-6]|6\.0[0-5]/ '` INSTALLDIRS=vendor
%make_build
%check
chmod 755 bin/*
%make_build test

%install
%make_install `%__perl -MExtUtils::MakeMaker -e ' print \$ExtUtils::MakeMaker::VERSION <= 6.05 ? qq|PREFIX=%{buildroot}%{_prefix}| : qq|DESTDIR=%{buildroot}| '`

# remove special files
find %{buildroot} -name "perllocal.pod" \
    -o -name ".packlist"                \
    -o -name "*.bs"                     \
    |xargs -i rm -f {}

# no empty directories
find %{buildroot}%{_prefix}             \
    -type d -depth                      \
    -exec rmdir {} \; 2>/dev/null


%files
%doc README Changes
%{_bindir}/execflow
%{perl_vendorlib}/Event/ExecFlow*
%{_mandir}/man3/Event::ExecFlow*
