%define upstream_name    Event-Lib
%define upstream_version 1.04

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %upstream_version
Release:	%mkrel 15
License:	GPL+ or Artistic
Group:		Development/Perl
Summary:	Perl extensions for event-based programming
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Event/%{upstream_name}-%{upstream_version}.tar.gz
Patch0: 	Event-Lib-1.04_libevent2_1_8-buildfix.patch

BuildRequires:	perl-devel
BuildRequires:	perl(Test::SharedFork)
BuildRequires:	pkgconfig(libevent)

%description
This module is a Perl wrapper around libevent(3) as available from
https://libevent.org/. It allows to execute a function whenever a
given event on a filehandle happens, a timeout occurs or a signal is received.

Under the hood, one of the available mechanisms for asynchronously dealing
with events is used. This could be 'select', 'poll', 'epoll', 'devpoll' or
'kqueue'. The idea is that you don't have to worry about those details and
the various interfaces they offer. _Event::Lib_ offers a unified interface
to all of them (but see "CONFIGURATION" further below).

Once you've skimmed through the next two sections (or maybe even now), you
should have a look at "EXAMPLE: A SIMPLE TCP SERVER" to get a
feeling about how it all fits together.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# those tests fail with test::harness 3.x
# cf  https://rt.cpan.org/Ticket/Display.html?id=35355
# and https://rt.cpan.org/Public/Bug/Display.html?id=36130
#rm t/20_signal.t t/51_cleanup_persistent.t
#make test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorarch/*
