%define upstream_name    Excel-Template
%define upstream_version 0.34

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Templating module that generates Excel
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Excel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Temp)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(Spreadsheet::WriteExcel) >= 0.420.0
BuildRequires: perl(Spreadsheet::WriteExcel::Utility)
BuildRequires: perl(Test::Deep) >= 0.95.0
BuildRequires: perl(Test::Exception) >= 0.210.0
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::Parser)
BuildArch:  noarch

%description
This is a module used for templating Excel files. Its genesis came from the
need to use the same datastructure as the HTML::Template manpage, but
provide Excel files instead. The existing modules don't do the trick, as
they require replication of logic that's already been done within the
HTML::Template manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
