%define upstream_name    Excel-Writer-XLSX
%define upstream_version 1.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Light weight re-implementation of XML::Writer
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Excel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Zip) >= 1.300.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(IO::File) >= 1.140.0
BuildArch:  noarch

%{?perl_default_filter}

%description
The 'Excel::Writer::XLSX' module can be used to create an Excel file in the
2007+ XLSX format.

The XLSX format is the Office Open XML (OOXML) format used by Excel 2007
and later.

Multiple worksheets can be added to a workbook and formatting can be
applied to cells. Text, numbers, and formulas can be written to the cells.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_bindir}/*
%{_mandir}/man?/*
%{perl_vendorlib}/*