Name:           perl-Exception-Base
Version:        0.2501
Release:        %mkrel 7
Summary:        Lightweight exceptions
License:        GPL+ or Artistic
Group:          Development/Perl

URL:            https://metacpan.org/release/Exception-Base
Source0:        https://cpan.metacpan.org/authors/id/D/DE/DEXTER/Exception-Base-%{version}.tar.gz
# Fix FTBFS with Perl 5.38 onwards (rhbz#2222742)
# Smartmatch is deprecated, resulting warning causes test failures
# https://github.com/dex4er/perl-Exception-Base/issues/5
Patch0:         Exception-Base-0.2501-smartmatch.patch

BuildArch:      noarch
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::Unit::Lite)

%{?perl_default_filter}

%description
This class implements a fully OO exception mechanism similar to
Exception::Class or Class::Throwable. It provides a simple interface
allowing programmers to declare exception classes. These classes can be
thrown and caught. Each uncaught exception prints full stack trace if the
default verbosity is raised for debugging purposes.

%prep
%setup -q -n Exception-Base-%{version}
%patch -P 0

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes Incompatibilities README
%{perl_vendorlib}/*
%{_mandir}/man3/*

