%define upstream_name Exporter-Tiny
%define upstream_version 1.006002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    An exporter with the features of Sub::Exporter but only core dependencies
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Exporter/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

# Avoid doc-file dependency on perl(base)
%{?perl_default_filter}

%description
Exporter::Tiny supports many of Sub::Exporter's external-facing features
including renaming imported functions with the `-as`, `-prefix` and
`-suffix` options; explicit destinations with the `into` option; and
alternative installers with the `installer` option. But it's written in
only about 40% as many lines of code and with zero non-core dependencies.

Its internal-facing interface is closer to Exporter.pm, with configuration
done through the @EXPORT, @EXPORT_OK and %EXPORT_TAGS package variables.

Exporter::Tiny performs most of its internal duties (including resolution
of tag names to sub names, resolution of sub names to coderefs, and
installation of coderefs into the target package) as method calls, which
means they can be overridden to provide interesting behaviour.

Utility Functions
  These are really for internal use, but can be exported if you need them.

  `mkopt(\@array)`
      Similar to `mkopt` from Data::OptList. It doesn't support all the
      fancy options that Data::OptList does (`moniker`, `require_unique`,
      `must_be` and `name_test`) but runs about 50% faster.

  `mkopt_hash(\@array)`
      Similar to `mkopt_hash` from Data::OptList. See also `mkopt`.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml MYMETA.yml NEWS README SIGNATURE TODO examples
%{_mandir}/man3/*
%{perl_vendorlib}/*