%define upstream_name    ExtUtils-AutoInstall
%define upstream_version 0.64

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:	ExtUtils::AutoInstall - Automatic install of dependencies via CPAN
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/A/AU/AUTRIJUS/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		eai.patch

BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Sort::Versions) >= 1.2
BuildRequires:	perl(LWP::Simple)
BuildRequires:	perl(CPAN)
BuildRequires:	perl(inc::Module::Install)
BuildRequires:	ncftp
BuildArch:	noarch


%description
ExtUtils-AutoInstall module for perl

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor < /dev/null
%{__make}

#check
#make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/ExtUtils/AutoInstall.pm
%{_mandir}/*/*
