%define upstream_name  	    ExtUtils-CBuilder
%define upstream_version 0.280236

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version 0.280240
Release:    %mkrel 1
Summary:    Compile and link C code for Perl modules
License:    GPL or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/ExtUtils/%{upstream_name}-%{upstream_version}.tar.gz
# Link XS modules to libperl.so with EU::CBuilder on Linux, bug #960048
Patch0:     0001-Link-XS-modules-to-libperl.so-with-EU-CBuilder-on-Li.patch
# Unbundled from perl 5.37.11
Patch1:     ExtUtils-CBuilder-0.280236-Upgrade-to-0.280238.patch
# Unbundled from perl 5.40.0-RC1
Patch2:     ExtUtils-CBuilder-0.280238-Upgrade-to-0.280240.patch
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec) >= 3.130.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::File)
BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(Perl::OSType) >= 1.0.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Text::ParseWords)
BuildArch:  noarch

%description
This module can build the C portions of Perl modules by invoking the
appropriate compilers and linkers in a cross-platform manner. It was motivated
by the Module::Build project, but may be useful for other purposes as well.
However, it is not intended as a general cross-platform interface to all your C
building needs. That would have been a much more ambitious goal!

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
%make_install
for m in ExtUtils::CBuilder.3pm ExtUtils::CBuilder::Platform::Windows.3pm; do
	rm -f %{buildroot}%{_mandir}/man3/$m
done

%check
make test

%files
%license LICENSE
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/ExtUtils
