%define upstream_name    ExtUtils-MakeMaker
%define upstream_version 7.74
%global cpan_name ExtUtils-MakeMaker

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Writes Makefiles for extensions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/ExtUtils/%{upstream_name}-%{upstream_version}.tar.gz
#
# From Fedora:
#
# Do not set RPATH to perl shared-library modules by default. Bug #773622.
# This is copy from `perl' package. This is a distributor extension.
Patch0:     %{cpan_name}-7.36-USE_MM_LD_RUN_PATH.patch
# Link to libperl.so explicitly. Bug #960048.
Patch1:     %{cpan_name}-7.30-Link-to-libperl-explicitly-on-Linux.patch
# Unbundle version modules
Patch2:     %{cpan_name}-7.04-Unbundle-version.patch
# Unbundle Encode::Locale module
Patch3:     %{cpan_name}-7.22-Unbundle-Encode-Locale.patch
# Provide maybe_command independently, bug #1129443
Patch4:     %{cpan_name}-7.11-Provide-ExtUtils-MM-methods-as-standalone-ExtUtils-M.patch
# append to config cflags debian #628522
Patch10:    ExtUtils-MakeMaker-7.72-append_to_config_cflags_instead_of_overriding.patch
Patch12:    ExtUtils-MakeMaker-6.59-prevent-bundled-copies.patch

BuildRequires: perl(CPAN::Meta) >= 2.143.240
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::Install) >= 1.520.0
BuildRequires: perl(ExtUtils::Manifest) >= 1.700.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(File::Temp) >= 0.220.0
BuildRequires: perl(Pod::Man)
BuildRequires: perl(Scalar::Util) >= 1.130.0
BuildRequires: perl(version)
BuildRequires: perl-devel,
BuildArch:  noarch
Obsoletes:  perl-ExtUtils-Command < 1.201

# Do not export underspecified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(File::Spec\\)\s*$
# Do not export private redefinitions
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(DynaLoader|ExtUtils::MakeMaker::_version\\)
# Do not export private modules and libraries
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(MY\\)

%description
Include all the modules bundled with MakeMaker in @INC so
ExtUtils::MakeMaker will load.

This is for bootstrapping the process of deciding how much of the bundles
we need.

copy_bundles() copies the contents of each bundle, if necessary, into inc/
as a flattened module directory that MakeMaker can install.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1
%patch -P 4 -p1
%patch -P 10 -p1 -b .App
#patch -P 12 -b .nobundled
# Remove bundled modules
rm -rf bundled
sed -i -e '/^bundled\// d' MANIFEST
rm -rf t/lib/Test
sed -i -e '/^t\/lib\/Test\// d' MANIFEST
rm -rf lib/ExtUtils/MakeMaker/version{,.pm}
sed -i -e '/^lib\/ExtUtils\/MakeMaker\/version[\/\.]/ d' MANIFEST
rm -rf lib/ExtUtils/MakeMaker/Locale.pm
sed -i -e '/^lib\/ExtUtils\/MakeMaker\/Locale\.pm/ d' MANIFEST

%build
BUILDING_AS_PACKAGE=1 %__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install
mv %{buildroot}/%{_bindir}/instmodsh   %{buildroot}/%{_bindir}/instmodsh.%{upstream_version}
mv %{buildroot}/%{_mandir}/man1/instmodsh.1 %{buildroot}/%{_mandir}/man1/instmodsh.%{upstream_version}.1

%files
%doc CONTRIBUTING Changes INSTALL META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
%{_bindir}/*
%{_mandir}/man1/*