%define upstream_name    FBP
%define upstream_version 0.41

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    Role for objects which can contain other objects
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz
# Update Makefile.PL to not use Module::Install::DSL CPAN RT#148300
Patch0:        FBP-0.41-Remove-using-of-MI-DSL.patch

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.620.0
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(IO::File) >= 1.140.0
BuildRequires: perl(Mouse) >= 0.900.0
BuildRequires: perl(Params::Util) >= 1.0.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Test::NoWarnings) >= 0.84.0
BuildRequires: perl(XML::SAX) >= 0.960.0
BuildArch:  noarch

%description
*NOTE: Documentation is limited as this module is in active development*

wxFormBuilder is currently the best and most sophisticated program for
designing wxWidgets dialogs, and generating the code for these designs.

However, wxFormBuilder does not currently support the generation of Perl
code. If we are to produce Perl code for the designs it creates, the code
generation must be done independently, outside of wxFormBuilder itself.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch -P0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%install
%make_install

%check
make test

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
