%define upstream_name    FCGI-Daemon
%define upstream_version 0.20220206

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    An easy to use FastCGI daemon for nginx
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/FCGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(BSD::Resource)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FCGI) >= 0.820.0
BuildRequires: perl(FCGI::ProcManager) >= 0.280.0
BuildRequires: perl(Getopt::Std)
BuildRequires: perl(IO::Select)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
FCGI::Daemon is a small (Fast)CGI server for use as CGI-wrapper for
unmodified CGI applications.

Factored as modulino, currently it doesn't have any Perl module
functionality.

It was developed as replacement for cgiwrap-fcgi.pl - see
L<http://wiki.nginx.org/SimpleCGI>

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*