%define upstream_name	 FCGI
%define upstream_version 0.82

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6
Summary:    A Fast CGI module for Perl
License:    Distributable
Group:      Development/Perl
Url:        http://cpan.valueclick.com/authors/id/SKIMO/
Source0:    %{upstream_name}-%{upstream_version}.tar.gz
Patch0:     perl-FCGI-0.71-CVE-2012-6687.patch

BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FCGI::Client) >= 0.90.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel
%{?perl_default_filter}

%description
This is a Fast CGI module for perl. It's based on the FCGI module that
comes with Open Market's FastCGI Developer's Kit, but does not require
you to recompile perl.

See <http://www.fastcgi.com/> for more information about fastcgi.
Lincoln D. Stein's perl CGI module also contains some information
about fastcgi programming.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch -P 0 -p1
chmod 0644 LICENSE META.json META.yml

%build
# Choose not to build a pure Perl implementation
# (default answer [n] -> return)
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOF
EOF
%make_build

%install
%make_install

%files
%doc ChangeLog LICENSE META.json META.yml MYMETA.yml README eg
%{_mandir}/*/*
%{perl_vendorarch}/FCGI*
%{perl_vendorarch}/auto/FCGI
