%define upstream_name    File-AtomicWrite
%define upstream_version 1.21

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Writes files atomically via rename()
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.480.0
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp) >= 0.180.0
BuildRequires: perl(IO::Handle)
BuildRequires: perl(Test::More)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildArch:  noarch

%description
This module offers atomic file writes via a temporary file created in the
same directory (and therefore, probably the same partition) as the
specified *file*. After data has been written to the temporary file, the
'rename' call is used to replace the target *file*. The module optionally
supports various sanity checks (*min_size*, *CHECKSUM*) that help ensure
the data is written without errors.

Should anything go awry, the module will 'die' or 'croak'. All calls should
be wrapped in eval blocks:

  eval {
    File::AtomicWrite->write_file(...);
  };
  if ($@) {
    die "uh oh: $@";
  }

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE eg
%{_mandir}/man3/*
%{perl_vendorlib}/*