%define upstream_name    File-BOM
%define upstream_version 0.18

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Utilities for handling Byte Order Marks
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode) >= 1.990.0
BuildRequires: perl(Module::Build) >= 0.200.0
BuildRequires: perl(Readonly) >= 0.60.0
BuildRequires: perl(Test::Exception) >= 0.200.0
BuildRequires: perl(Test::More) >= 0.100.0
BuildArch:  noarch

%description
This module provides functions for handling unicode byte order marks, which
are to be found at the beginning of some files and streams.

For details about what a byte order mark is, see the
https://www.unicode.org/unicode/faq/utf_bom.html#BOM manpage

The intention of File::BOM is for files with BOMs to be readable as
seamlessly as possible, regardless of the encoding used. To that end,
several different interfaces are available, as shown in the synopsis above.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*