%define upstream_name    File-Dir-Dumper
%define upstream_version 0.6.6

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Writer for a stream of JSON data
License:    MIT
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/S/SH/SHLOMIF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(Devel::CheckOS)
BuildRequires: perl(Digest)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find::Object)
BuildRequires: perl(File::Path) >= 2.0.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::TreeCreate)
BuildRequires: perl(Format::JSON::Stream::Reader)
BuildRequires: perl(Format::JSON::Stream::Writer)
BuildRequires: perl(Getopt::Long) >= 2.360.0
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::String)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(POSIX)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(autodie)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}
# Make the program work with any version of Perl.
perl -lpi -e 's{^(#!/usr/bin/perl).*}{$1} if $. == 1' %{buildroot}/%{_bindir}/*

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/dir-dump
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*