%define upstream_name    File-Find-Object-Rule
%define upstream_version 0.0313

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    File::Find::Object::Rule's procedural interface
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(Cwd)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find::Object)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::TreeCreate)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Number::Compare)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::Glob)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
File::Find::Object::Rule is a friendlier interface to the
File::Find::Object manpage . It allows you to build rules which specify the
desired files and directories.

*WARNING* : This module is a fork of version 0.30 of the File::Find::Rule
manpage (which has been unmaintained for several years as of February,
2009), and may still have some bugs due to its reliance on File::Find'isms.
As such it is considered Alpha software. Please report any problems with
the File::Find::Object::Rule manpage to its RT CPAN Queue.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/findorule
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*