%define upstream_name    File-Find-Rule-VCS
%define upstream_version 1.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Exclude files/directories for Version Control Systems
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find::Rule) >= 0.200.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Glob) >= 0.80.0
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Many tools need to be equally useful both on ordinary files, and on code
that has been checked out from revision control systems.

*File::Find::Rule::VCS* provides quick and convenient methods to exclude
the version control directories of several major Version Control Systems
(currently CVS, subversion, and Bazaar).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*