%define upstream_name File-Flock
%define upstream_version 2014.01

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 10

Summary:	File locking with flock
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(AnyEvent)
BuildRequires:	perl(Data::Structure::Util)
BuildRequires:	perl(IO::Event)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Test::SharedFork)

BuildArch:	noarch

%{?perl_default_filter}

%description
Lock files using the flock() call. If the file to be locked does not
exist, then the file is created. If the file was created then it will be
removed when it is unlocked assuming it's still an empty file.

Locks can be created by new'ing a File::Flock object. Such locks are
automatically removed when the object goes out of scope. The unlock()
method may also be used.

lock_rename() is used to tell File::Flock when a file has been renamed
(and thus the internal locking data that is stored based on the filename
should be moved to a new name). unlock() the new name rather than the
original name.

Locks are released on process exit when the process that created the
lock exits. Subprocesses that exit do not remove locks. Use
forget_locks() or POSIX::_exit() to prevent unlocking on process exit.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
