%define upstream_name    File-Gettext
%define upstream_version 0.33.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Read and write GNU Gettext po / mo files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cache::FastMmap)
BuildRequires: perl(Date::Format) >= 2.240.0
BuildRequires: perl(Encode) >= 2.670.0
BuildRequires: perl(File::DataClass)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Devel::StackTrace)
BuildRequires: perl(Hash::MoreUtils) >= 0.50.0
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moo) >= 2.0.1
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::Requires) >= 0.60.0
BuildRequires: perl(Text::Diff) >= 1.370.0
BuildRequires: perl(Try::Tiny) >= 0.220.0
BuildRequires: perl(Type::Tiny) >= 1.0.2
BuildRequires: perl(Unexpected) >= 0.46.0
BuildRequires: perl(namespace::autoclean) >= 0.220.0
BuildRequires: perl(version) >= 0.880.0
BuildArch:  noarch

%description
Extends File::DataClass::Schema. Provides for the reading and writing
of GNU Gettext PO files and the reading of MO files. Used by
Class::Usul::L10N to translate application message strings into
different languages

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*
