%define	upstream_name	 File-HomeDir
%define upstream_version 1.006

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Get home directory for self or other users
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}/
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd) >= 3.120.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Path) >= 2.10.0
BuildRequires: perl(File::Spec) >= 3.120.0
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(File::Which) >= 0.50.0
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More) >= 0.900.0
BuildRequires: xdg-user-dirs
BuildArch:  noarch
Requires:   perl(File::Which) >= 0.05
%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude}|perl\\(Cwd\\)|perl\\(File::Path\\)|perl\\(File::Spec\\)|perl\\(File::Temp\\)|perl\\(File::Which\\)|perl\\(Mac::|perl\\(Win32

%description
A Perl module to get home directory portably for self or other users.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find lib -name *.pm | xargs chmod 644
chmod 644 Changes

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# tests require that user dirs exist, which is not the case within bs
#make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{perl_vendorlib}/File
%{_mandir}/*/*