# Filter the Perl extension module
%{?perl_default_filter}

%define upstream_name	 File-LibMagic
%define upstream_version 1.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Perl wrapper for libmagic
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config::AutoConf)
BuildRequires: perl(Cwd)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(List::Util)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(XSLoader)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-ExtUtils-MakeMaker
BuildRequires: perl-devel
BuildRequires: libmagic-devel
%description
The File::LibMagic is a simple perl interface to libmagic from the
file-4.x package

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

chmod -R u+w %{buildroot}%{perl_vendorarch}/{auto,File}

%check
make test

%files 
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{perl_vendorarch}/File
%{perl_vendorarch}/auto/File
%{_mandir}/*/*
