%define upstream_name	 File-RsyncP
%define upstream_version 0.76

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Perl Rsync client
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz
# Adapt a configure check to GCC 12, bug #2046804, CPAN RT#141822
Patch0:     File-RsyncP-0.76-Fix-configure-check-with-optimizing-and-lto-enabled-.patch
Patch1:     perl-File-RsyncP-configure-c99.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::Long) >= 2.240.0
BuildRequires: perl-devel
%description
File::RsyncP is a perl implementation of an Rsync client. It is compatible with
Rsync 2.5.5 - 2.6.3 (protocol versions 26-28). It can send or receive files,
either by running rsync on the remote machine, or connecting to an rsyncd
daemon on the remote machine.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

# Update config.guess/sub to fix builds on new architectures (aarch64/ppc64le)
cp /usr/lib/rpm/mageia/config.* FileList/

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE='%{optflags}'
make

%install
%make_install

%check
%make_build test

%files
%doc Changes LICENSE MYMETA.yml README
%{perl_vendorarch}/*
%{_mandir}/*/*
