%define upstream_name    File-ShareDir-Tarball
%define upstream_version 0.2.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Deal transparently with shared files distributed as tarballs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Tar)
BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::chdir)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Test::File::ShareDir)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
If the shared files of a distribution are contained in a tarball (see the
Dist::Zilla::Plugin::ShareDir::Tarball manpage for why you would want to do
that), automatically extract the archive in a temporary directory and
return the path to that directory. If called for a regular distribution
without a bundle file ('shared-files.tar.gz'), it'll return the original
shared dir. In other words, from the consumer point of view, it'll behave
just like the File::ShareDir manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*