%define upstream_name    File-Slurp-Remote
%define upstream_version 0.44

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Discover canonical hostnames, sometimes with `hostname`
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Sys::Hostname::FQDN)
BuildRequires: perl(Tie::Hash)
BuildArch:  noarch
Provides: perl(File::Slurp::Remote)

%description
This is similar to the File::Slurp manpage, but it reads and writes files
on remote systems using 'ssh' to get there.

It uses ssh/scp to get to the remote systems. You can override the copy
command by redefining '$File::Slurp::Remote::scp'. You can override the
remote shell command by redefining '$File::Slurp::Remote::SmartOpen::ssh'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGELOG META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*
