%define	upstream_name	 File-Slurp
%define	upstream_version 9999.32

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Efficient Reading/Writing of Complete Files
Group:      Development/Perl
License:    GPL+ or Artistic
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(Carp)
BuildRequires: perl(Errno)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec) >= 3.10.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(POSIX)
BuildRequires: perl(Scalar::Util) >= 1.0.0
BuildRequires: perl(Socket)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module provides subs that allow you to read or write entire files with one
simple call. They are designed to be simple to use, have flexible ways to pass
in or get the file contents and to be very efficient. There is also a sub to
read in all the files in a directory other than . and ..

These slurp/spew subs work for files, pipes and sockets, and stdio,
pseudo-files, and DATA.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 lib/File/Slurp.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install
find %{buildroot} -name "perllocal.pod" | xargs -i rm -f {}

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3*/*
%{perl_vendorlib}/File