%define upstream_name    File-TypeCategories
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Determine if files match a specific type
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(File::chdir)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Moo) >= 1.0.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Warnings) >= 0.26.0
BuildRequires: perl(Type::Tiny) >= 1.0.0
BuildRequires: perl(Types::Standard) >= 1.0.0
BuildRequires: perl(YAML) >= 1.0.0
BuildRequires: perl(autodie)
BuildArch:  noarch

%description
A 'File::TypeCategories' object can be used to test if files match the
defined categories.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%buildroot

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/tfind
%{_mandir}/man1/tfind.1*