%define upstream_name Filesys-SmbClient
%define upstream_version 3.2

Name:		perl-%{upstream_name}
Version:	%{upstream_version}
Release:	%mkrel 8
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Provide Perl API for libsmbclient.so
Source:		https://www.cpan.org/modules/by-module/Filesys/%{upstream_name}-%{upstream_version}.tar.gz
Url:		https://metacpan.org/dist/%{upstream_name}

BuildRequires:	perl-devel
BuildRequires:	perl(Test::More)
BuildRequires:	libsmbclient-devel


%{?perl_default_filter}

%description
Provide interface to access routine defined in libsmbclient.so provided
with Samba.

Since 3.0 release of this package, you need a least samba-3.0.2. For prior
release of Samba, use Filesys::SmbClient version 1.x.

For old and 2.x release, this library is available on Samba source, but is
not build by default. Do "make bin/libsmbclient.so" in sources directory of
Samba to build this libraries. Then copy source/include/libsmbclient.h to
/usr/local/samba/include and source/bin/libsmbclient.so to
/usr/local/samba/lib before install this module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor <<EOF
%{_includedir}
%{_libdir}
no
EOF
%make

%check
%make test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%{perl_vendorarch}/Filesys
%{perl_vendorarch}/auto/Filesys
