%define upstream_name    Filter
%define upstream_version 1.64

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Source filter modules for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/P/PM/PMQS/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     %{name}-1.31.shellbang.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%{?perl_default_filter}

%description
Source filter modules for Perl

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p0

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build
# clean up AFTER compilation
find examples -type f -name \*.bak | xargs rm -f
find examples -type f | xargs perl -pi -e 's|^#!/usr/local/bin/perl|#!/usr/bin/perl|' 

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE examples
%{_mandir}/*/*
%{perl_vendorarch}/*
