%define upstream_name	 Finance-Quote
%define upstream_version 1.64

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Get stock and mutual fund quotes from various exchanges 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Finance/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(Date::Manip)
BuildRequires: perl(Date::Range)
BuildRequires: perl(Date::Simple)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Duration)
BuildRequires: perl(DateTime::Format::ISO8601)
BuildRequires: perl(DateTime::Format::Strptime)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTML::TableExtract)
BuildRequires: perl(HTML::TokeParser)
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(HTML::TreeBuilder::XPath)
BuildRequires: perl(HTTP::CookieJar::LWP) >= 0.14.0
BuildRequires: perl(HTTP::Cookies)
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::String)
BuildRequires: perl(IO::Uncompress::Unzip)
BuildRequires: perl(JSON)
BuildRequires: perl(LWP::Protocol::http)
BuildRequires: perl(LWP::Protocol::https)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(LWP::UserAgent) >= 6.480.0
BuildRequires: perl(Module::CPANTS::Analyse)
BuildRequires: perl(Module::Load) >= 0.360.0
BuildRequires: perl(Mozilla::CA)
BuildRequires: perl(POSIX)
BuildRequires: perl(Readonly)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Spreadsheet::XLSX)
BuildRequires: perl(String::Util)
BuildRequires: perl(Test2) >= 1.302.167
BuildRequires: perl(Test::Kwalitee)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Perl::Critic)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage) >= 1.0.0
BuildRequires: perl(Text::Template)
BuildRequires: perl(Time::Piece)
BuildRequires: perl(Time::Seconds)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(URI::Escape) >= 3.310.0
BuildRequires: perl(Web::Scraper)
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(feature)
BuildRequires: perl(if)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Finance::Quote provides access to time-delayed stock quotes from a
number of sources.  After you've installed the package, try
'perldoc Finance::Quote' for full information.  Alternatively,
you can 'perldoc lib/Finance/Quote.pm' before the install.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files 
%doc Changes Examples LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Finance
%{_mandir}/*/*
