%define upstream_name    Flickr-API
%define upstream_version 1.29

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl interface to the flickr.com API 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/I/IA/IAMCAL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::Long) >= 1.0.0
BuildRequires: perl(HTTP::Message) >= 1.560.0
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Net::OAuth)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Script)
BuildRequires: perl(URI) >= 1.180.0
BuildRequires: perl(XML::LibXML::Simple)
BuildRequires: perl(XML::Parser::Lite::Tree) >= 0.60.0
BuildRequires: perl(parent)
BuildRequires: perl-libwww-perl
BuildRequires: perl(XML::Parser::Lite::Tree)
BuildArch:  noarch

%description
Perl interface to the flickr.com API

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor < /dev/null
make

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_bindir}/*
%{perl_vendorlib}/
%{_mandir}/*/*
