%define upstream_name 	 FreezeThaw
%define upstream_version 0.5001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11
Summary:	Converting Perl structures to strings and back
License: 	GPL+ or Artistic
Group:		Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Freeze/%{upstream_name}-%{upstream_version}.tar.gz

Buildarch: 	noarch


%description
Converts data to/from stringified form, appropriate for saving-to/reading-from
permanent storage.

Deals with objects, circular lists, repeated appearance of the same reference.
Does not deal with overloaded stringify operator yet.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find . -type f | xargs chmod 644
find . -type d | xargs chmod 755

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
make test

%files 
%doc README MANIFEST Changes META.yml
%{perl_vendorlib}/*.pm
%{_mandir}/*/*
