%define upstream_name Frontier-RPC
%define upstream_version 0.07b4p1

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%{upstream_version}
Release:	%mkrel 8
Summary:	%{upstream_name} module for perl
License:	GPL or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source:		https://cpan.metacpan.org/authors/id/R/RT/RTFIREFLY/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl(HTTP::Daemon)
BuildRequires:	perl(XML::Parser)
BuildRequires:	perl(LWP::UserAgent)
BuildArch:	noarch


%description
Frontier::RPC implements UserLand Software's XML RPC (Remote Procedure Calls
using Extensible Markup Language).  Frontier::RPC includes both a client module
for making requests to a server and several server modules for implementing
servers using CGI, Apache, and standalone with HTTP::Daemon.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install
rm -f %{buildroot}%{perl_vendorlib}/MIME/changes.pod

%files
%doc ChangeLog COPYING README
%{perl_vendorlib}/Frontier
%{perl_vendorlib}/Apache
%{_mandir}/*/*
