%define upstream_name    Future-IO
%define upstream_version 0.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Base class for C<Future::IO> implementations
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Future/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Future)
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Struct::Dumb)
BuildRequires: perl(Test2::V0)
BuildRequires: perl(Test::ExpectAndCheck) >= 0.60.0
BuildRequires: perl(Test::Future::IO::Impl)
BuildRequires: perl(Time::HiRes)
BuildArch:  noarch

%description
This package provides a few basic methods that behave similarly to the
same-named core perl functions relating to IO operations, but yield their
results asynchronously via the Future manpage instances.

This is provided primarily as a decoupling mechanism, to allow modules to
be written that perform IO in an asynchronous manner to depend directly on
this, while allowing asynchronous event systems to provide an
implementation of these operations.

Default Implementation
    If the 'override_impl' method is not invoked, a default implementation
    of these operations is provided. This implementation allows a single
    queue of 'sysread' or 'syswrite' calls on a single filehandle only,
    combined with 'sleep' calls. It is provided for the simple cases where
    modules only need one filehandle (most likely a single network socket
    or hardware device handle), allowing such modules to work without
    needing a better event system.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*