%define upstream_name    Future-Mojo
%define upstream_version 1.003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Use Future with Mojo::IOLoop
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/Future-Mojo
Source0:    https://cpan.metacpan.org/authors/id/D/DB/DBOOK/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Future)
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Mojolicious)
BuildRequires: perl(Role::Tiny)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Identity)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Needs)
BuildRequires: perl(parent)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
This subclass of the Future manpage stores a reference to the associated
the Mojo::IOLoop manpage instance, allowing the 'await' method to block
until the Future is ready.

For a full description on how to use Futures, see the the Future manpage
documentation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc README Changes META.yml META.json
%license LICENSE
%{_mandir}/man3/*
%perl_vendorlib/*


