%define upstream_name    GD
%define upstream_version 2.83

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A perl5 interface to Thomas Boutell's gd library
License:    Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/GD/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::Constant) >= 0.220.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig)
BuildRequires: perl(File::Which)
BuildRequires: perl(Math::Trig)
BuildRequires: perl(Test::Fork) >= 0.20.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::NoWarnings) >= 1.0.0
BuildRequires: freetype-devel
BuildRequires: pkgconfig(gdlib)
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(libpng)
BuildRequires: perl-devel
BuildRequires: pkgconfig(xpm)
BuildRequires: pkgconfig(zlib)
%{?perl_default_filter}

%description
GD.pm is a autoloadable interface module for libgd, a popular library
for creating and manipulating PNG files.  With this library you can
create PNG images on the fly or modify existing files.  Features
include:

a.  lines, polygons, rectangles and arcs, both filled and unfilled
b.  flood fills
c.  the use of arbitrary images as brushes and as tiled fill patterns
d.  line styling (dashed lines and the like)
e.  horizontal and vertical text rendering
f.  support for transparency and interlacing

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p0

# Remove Local from path
find . -type f | xargs perl -p -i -e "s|/usr/local/|/usr/|g"

# lib64 fixes, don't add /usr/lib/X11 to linker search path
perl -pi -e "s|-L/usr/lib/X11||g;s|-L/usr/X11/lib||g;s|-L/usr/lib||g" Build.PL
perl -pi -e "s|(/usr/X11R6)/lib|\1/%{_lib}|g" Build.PL

%build
perl Makefile.PL INSTALLDIRS=vendor </dev/null
%make_build

%check
make test

%install
%make_install
find %{buildroot} -type f -name '*.bs' -empty -exec rm -f {} ';'

%files
%doc ChangeLog LICENSE META.json META.yml MYMETA.yml README SIGNATURE demos
%{perl_vendorarch}/GD*
%{perl_vendorarch}/auto/GD*
%{_mandir}/man?/*
%{_bindir}/bdf2gdfont.pl
