%define upstream_name    GIS-Distance
%define upstream_version 0.20

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Great circle distance calculations
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/GIS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Measure::Length)
BuildRequires: perl(Const::Fast)
BuildRequires: perl(Math::Trig)
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test2::V0)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(parent)
BuildRequires: perl(strictures)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
This module calculates distances between geographic points on, at the
moment, planet Earth. Various the /FORMULAS manpage are available that
provide different levels of accuracy versus speed.

the GIS::Distance::Fast manpage, a separate distribution, ships with C
implementations of some of the formulas shipped with GIS::Distance. If
you're looking for speed then install it and the ::Fast formulas will be
automatically used by this module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


