%define upstream_name    Games-ABC_Path-Generator
%define upstream_version v0.2.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Represents a final layout
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Games/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Games::ABC_Path::Solver::Base) >= 0.3.0
BuildRequires: perl(Games::ABC_Path::Solver::Board) >= 0.3.0
BuildRequires: perl(Games::ABC_Path::Solver::Constants) >= 0.3.0
BuildRequires: perl(Games::ABC_Path::Solver::Coord) >= 0.3.0
BuildRequires: perl(Getopt::Long) >= 2.360.0
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More)
BuildRequires: perl(integer)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
ABC Path puzzle games are puzzle games where one is given a 5*5 grid which
should contain a consecutive path of the letters from 'A' to 'Y' (with
vertical, horizontal, diagonal, or anti-diagonal steps). The position of
the letter 'A' is given, and two letters are given for each of the columns,
rows, main diagonal and main anti-diagonal, which can appear anywhere
there.

ABC Path can be played online at the
https://brainbashers.com/abcpath.asp manpage .

This package is a generator for ABC Path games, and it generates a
different layout with different clues for every random number generator
seed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/abc-path-gen
%{_mandir}/man1/abc-path-gen.1*