%define upstream_name    Games-Mastermind-Cracker
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Guess every code in order
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Games/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::Exception)
BuildArch: noarch

%description
Mastermind is a code-breaking game played by two players, the "code maker"
and the "code breaker".

This module plays the role of code breaker. The only requirement is that
you provide the answers to how many black pegs and how many white pegs a
code gives.

You must instantiate a subclass of this module to actually break codes.
There are a number of different cracker modules, described in the
/ALGORITHMS manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


