%define upstream_name    Gazelle
%define upstream_version 0.49

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Preforked Plack Handler for performance freaks
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::CheckCompiler)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Guard)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(HTTP::Tiny) >= 0.58.0
BuildRequires: perl(Module::Build) >= 0.400.500
BuildRequires: perl(Parallel::Prefork) >= 0.180.0
BuildRequires: perl(Plack) >= 1.3.700
BuildRequires: perl(Plack::Test)
BuildRequires: perl(Plack::Test::Suite)
BuildRequires: perl(Server::Starter)
BuildRequires: perl(Stream::Buffered)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::TCP) >= 2.0.0
BuildRequires: perl-devel

%description
Gazelle is a PSGI Handler. It's created based on the Starlet manpage code.
Many code was rewritten and optimized by XS.

Gazelle supports following features.

* * supports HTTP/1.1. But does not have Keepalive.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export PERL_USE_UNSAFE_INC=1
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

# Fix permissions
%_fixperms %{buildroot}%{perl_vendorarch}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorarch}/*
%exclude %dir %{perl_vendorarch}/auto/
