%define upstream_name    Gearman
%define upstream_version 2.004.015

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Client for gearman distributed job system
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Gearman/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Which)
BuildRequires: perl(IO::Select)
BuildRequires: perl(IO::Socket::IP)
BuildRequires: perl(IO::Socket::SSL)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(POSIX)
BuildRequires: perl(Perl::OSType)
BuildRequires: perl(Proc::Guard) >= 0.70.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Socket)
BuildRequires: perl(Storable)
BuildRequires: perl(String::CRC32)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::TCP) >= 2.170.0
BuildRequires: perl(Test::Timer)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(fields)
BuildRequires: perl(version) >= 0.770.0
BuildArch:  noarch

%description
_Gearman::Task_ is a Gearman::Client's representation of a task to be done.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc CHANGES META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*