%define upstream_name    Geo-Calc
%define upstream_version 0.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Simple geo calculator for points and distances
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Geo/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::BigFloat)
BuildRequires: perl(Math::Trig)
BuildRequires: perl(Math::Units)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::FollowPBP)
BuildRequires: perl(MooseX::Method::Signatures)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
'Geo::Calc' implements a variety of calculations for latitude/longitude
points

All these formulare are for calculations on the basis of a spherical earth
(ignoring ellipsoidal effects) which is accurate enough* for most purposes.

[ In fact, the earth is very slightly ellipsoidal; using a spherical model
gives errors typically up to 0.3% ].

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc ChangeLog META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


