%define upstream_name    Geo-Gpx
%define upstream_version 1.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Create and parse GPX files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime) >= 1.440.0
BuildRequires: perl(DateTime::Format::ISO8601) >= 0.160.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Geo::Coordinates::Transform)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(Math::Trig)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::Descent)
BuildRequires: perl(version)
BuildArch:  noarch

%description
The original goal of this module was to produce GPX/XML files which were
parseable by both GPX Spinner and EasyGPS. As of version 0.13 it has been
extended to support general parsing and generation of GPX data. GPX 1.0 and
1.1 are supported.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*