%define upstream_name    Geo-Ov2
%define upstream_version 0.91

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Library for reading and writing TomTom Navigator .ov2 POI files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz
# TV: fix bogus API call:
Patch0:     Geo-Ov2-fix.diff

BuildRequires: perl(Carp)
BuildRequires: perl(Config::General)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::File)
BuildRequires: perl(Locale::TextDomain)
BuildRequires: perl(POSIX)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::More)
BuildRequires: perl(locale)
BuildArch: noarch

%description
Geo::Ov2 is a library for reading and writing TomTom Navigator .ov2 POI files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/getpoi.cron.sh
/usr/bin/getpoi.sh
/usr/bin/ttn2device
%{_mandir}/man1/ttn2device.1*

