%define upstream_name    Getargs-Long
%define upstream_version 1.1012

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Parses long function args f(-arg => value)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Getargs/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Log::Agent) >= 0.105.0
BuildRequires: perl(Test::Compile)
BuildRequires: perl(Test::More)
BuildRequires: perl(UNIVERSAL::require)
BuildRequires: perl(URI::Escape)
BuildArch:  noarch

%description
The 'Getargs::Long' module allows usage of named parameters in function
calls, along with optional argument type-checking. It provides an easy way
to get at the parameters within the routine, and yields concise
descriptions for the common cases of all-mandatory and all-optional
parameter lists.

The validation of arguments can be done by a structure-driven routine
getargs() which is fine for infrequently called routines (but should be
slower), or via a dedicated routine created and compiled on the fly the
fist time it is needed, by using the cgetargs() family (expected to be
faster).

The 'Log::Agent' module is used to report errors, which leaves to the
application the choice of the final logging method: to a file, to STDERR,
or to syslog.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*