%define upstream_name    Getopt-Auto
%define upstream_version 2.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Option framework for command-line applications
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Getopt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Pod::Parser)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Readonly)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Output)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
'Getopt::Auto' provides an easy way to organize a script to handle whatever
option mechanism it requires.

For each option '--foo' you provide a subroutine 'sub foo{...}'. The sub is
called every time '--foo' appears on the command line. Values for the
option are taken from '@ARGV'.

If you don't provide a subroutine for '--foo', then '$options{'--foo'}' is
set.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
