%define upstream_name	Getopt-Euclid
%define upstream_version 0.4.8

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Executable Uniform Command-Line Interface Descriptions
License:    GPL or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/Getopt-Euclid
Source0:    https://cpan.metacpan.org/authors/id/B/BI/BIGPRESH/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Getopt-Euclid-no-module-IO::Page.patch

BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Pod::Checker)
BuildRequires: perl(Pod::PlainText)
BuildRequires: perl(Pod::Select)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Balanced)
BuildRequires: perl(version)
BuildArch:  noarch

%description
Getopt::Euclid uses your program's own documentation to create a command-line
argument parser. This ensures that your program's documented interface and its
actual interface always agree.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
%make_install

%check
make test

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorlib}/Getopt
%{_mandir}/man3/*
