%define upstream_name    Getopt-Long-Complete
%define upstream_version 0.318

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A drop-in replacement for Getopt::Long, with tab completion
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Getopt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Complete::Bash) >= 0.333.0
BuildRequires: perl(Complete::Fish)
BuildRequires: perl(Complete::Getopt::Long) >= 0.481.0
BuildRequires: perl(Complete::Tcsh)
BuildRequires: perl(Complete::Zsh)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long) >= 2.500.0
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides a quick and easy way to add tab completion feature to
your scripts, including scripts already written using the venerable the
Getopt::Long manpage module.

This module is basically just a thin wrapper for Getopt::Long. Its
'GetOptions' function just checks for COMP_LINE/COMP_POINT environment
variable before passing its arguments to Getopt::Long's GetOptions. If
COMP_LINE is defined, completion reply will be printed to STDOUT and then
the program will exit. Otherwise, Getopt::Long's GetOptions is called.

To keep completion quick, you should do 'GetOptions()' or
'GetOptionsWithCompletion()' as early as possible in your script.
Preferably before loading lots of other Perl modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
