%define	upstream_name	 Gimp
%define upstream_version 2.3
%define abi_version	 2.0

Name:       perl-%{upstream_name}
Epoch:      1
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 23

Summary:    Perl module enabling to write plugins for the Gimp2
License:    GPL or Artistic
Group:      Development/GNOME and GTK+
Url:        https://metacpan.org/release/GimpGimp.pm
Source0:    https://cpan.metacpan.org/authors/id/S/SJ/SJBURGES/%{upstream_name}-%{upstream_version}.tar.gz
Patch1:     Gimp-2.2-fix-str-fmt.patch
Patch2:     Gimp-2.2-linkage.patch
Patch3:     fix-detect-gimp-2.10.patch
Patch4:     fix-PDL-detection.patch

BuildRequires: perl(Data::Dumper) >= 2.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Gtk2) >= 1.0.0
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(gimp-2.0)
BuildRequires: perl-devel
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::PkgConfig)
BuildRequires: perl(Gtk2)
BuildRequires: perl(Parse::RecDescent)
#BuildRequires: perl(PDL)
Requires:   gtk+2
Requires:   libgtk+2
Requires:   perl-Glib >= 1.021
Requires:   perl-PDL
Provides:   gimp-perl = %{epoch}:%{version}
Obsoletes:  gimp-perl < %{epoch}:2.0

# Don't use automatic requires for perl-PDL (#22095):
%global __requires_exclude perl\\(PDL

%description
This module provides perl access to the Gimp2 libraries.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p0

%build
# fix build with modules from ./lib/:
export PERL_USE_UNSAFE_INC=1
%{__perl} Makefile.PL INSTALLDIRS=vendor
# (tv) // build is broken:
make

%check
%__make test

%install
mkdir -p %{buildroot}%{_libdir}/gimp/%{abi_version}/plug-ins/
make DESTDIR=%{buildroot} pure_vendor_install
install -m 755 examples/* %{buildroot}%{_libdir}/gimp/%{abi_version}/plug-ins/
perl -pi -e "s^/opt/bin/perl^%_bindir/perl^" %{buildroot}%{_libdir}/gimp/%{abi_version}/plug-ins/*

# fix conflict with gimp-1:
rm -f %{buildroot}%{_mandir}/man1/embedxpm.*
rm -f %{buildroot}%{_libdir}/gimp/%{abi_version}/plug-ins/redeye
rm -f %{buildroot}%{_libdir}/gimp/%{abi_version}/plug-ins/README
rm -f %{buildroot}%{_libdir}/gimp/%{abi_version}/plug-ins/examples.TODO

%files
%doc AUTHORS COPYING ChangeLog Changes MAINTAINERS META.json META.yml MYMETA.yml NEWS README TODO UI examples
%{_bindir}/*
%{_mandir}/*/*
%{_libdir}/gimp/%{abi_version}/plug-ins/*
%{perl_vendorarch}/*
