%define upstream_name    Git-Class
%define upstream_version 0.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    A simple git wrapper to capture output
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Git/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose) >= 0.90.0
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Carp::Clan)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker::CPANfile)
BuildRequires: perl(File::Spec)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Module::Find)
BuildRequires: perl(Moo::Role)
BuildRequires: perl(Mouse) >= 0.230.0
BuildRequires: perl(Path::Extended) >= 0.190.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Scope::Guard)
BuildRequires: perl(String::ShellQuote)
BuildRequires: perl(Test::Classy) >= 0.70.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Test::UseAllModules) >= 0.120.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(URI::Escape)
BuildArch:  noarch

%description
This is a simple wrapper of a 'git' executable. The strength is that you
can run a 'git' command and capture the output in a simple and more
portable way than using 'open' to pipe (which is not always implemented
fully).

As of this writing, most of the git commands simply returns the output, but
this will be changed in the near future, especially when called in the list
context, where we may want sort of processed data like what files are
affected etc.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
