%define upstream_name    Git-PurePerl
%define upstream_version 0.53

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A Pure Perl interface to Git repositories
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Git/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Extract)
BuildRequires: perl(Compress::Raw::Zlib)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(Config::GitLike)
BuildRequires: perl(Data::Stream::Bulk)
BuildRequires: perl(DateTime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(IO::Digest)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::StrictConstructor)
BuildRequires: perl(MooseX::Types::Path::Class)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::utf8)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(namespace::autoclean)
BuildArch: noarch

%description
This module is a Pure Perl interface to Git repositories.

It was mostly based on Grit the http://grit.rubyforge.org/ manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
# Temporarily disable tests (Connection refused github.com:9418)
#make test
exit 0

%install
%make_install

%files
%doc CHANGES META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


