%define upstream_name Git-Repository-Plugin-Log
%define upstream_version 1.314

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Class representing git log data
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Git/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Git::Repository) >= 1.309.0
BuildRequires: perl(Git::Repository::Command)
BuildRequires: perl(Git::Repository::Plugin)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Pod::Coverage::TrustPod) >= 0.100.3
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::CPAN::Meta) >= 0.250.0
BuildRequires: perl(Test::Git)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.510.0
BuildRequires: perl(Test::Pod::Coverage) >= 1.100.0
BuildRequires: perl(Test::Requires::Git) >= 1.5.0
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Git::Repository::Plugin::Log adds a log() method to Git::Repository,
which will return Git::Repository::Log objects representing the commit
information provided by `git log`.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*