%define upstream_name    Git-Repository
%define upstream_version 1.325

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Perl interface to Git repositories
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/Git-Repository
Source0:    https://cpan.metacpan.org/modules/by-module/Git/%{upstream_name}-%{upstream_version}.tar.gz
# https://rt.cpan.org/Public/Bug/Display.html?id=133951
Patch0:     Git-Repository-1.324-fix-default-branch-name.patch
Patch1:        git-2.38.1-compatibility.patch
Patch2:        git-2.40.0-compatibility.patch

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Git::Version::Compare) >= 1.1.0
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(System::Command) >= 1.118.0
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires::Git) >= 1.5.0
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: git
Requires:   git
BuildArch:  noarch

%description
Git::Repository is a Perl interface to Git, for scripted interactions
with repositories. It's a low-level interface that allows calling any
Git command, whether porcelain or plumbing, including bidirectional
commands such as git commit-tree.

A Git::Repository object simply provides context to the git commands
being run. It is possible to call the command() and run() methods
against the class itself, and the context (typically current working
directory) will be obtained from the options and environment.

As a low-level interface, it provides no sugar for particular Git
commands. Specifically, it will not prepare environment variables that
individual Git commands may need or use.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%{perl_vendorlib}/*
