%define upstream_name    Glib-Object-Introspection
%define upstream_version 0.051

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Dynamically create Perl language bindings
License:    LGPLv2
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Glib/%{upstream_name}-%{upstream_version}.tar.gz
# apply this in order to be able to generate perl_checker's fake packages:
Source1:    perl_checker2.diff

BuildRequires: perl(ExtUtils::Depends) >= 0.300.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.0.0
BuildRequires: perl(Glib) >= 1.320.0
BuildRequires: perl-devel
BuildRequires: pkgconfig(gobject-introspection-1.0)
# For tests:
BuildRequires: pkgconfig(cairo-gobject)
BuildRequires: pkgconfig(cairo)
BuildRequires: typelib(Gio)
# (tv) t/00-basic-types.t line 51 failed with C locale
BuildRequires: locales-en
Requires:   perl(Glib) >= 1.320.0
%{?perl_default_filter}

%description
To allow Glib::Object::Introspection to create bindings for a library, it
must have installed a typelib file, for example
'$prefix/lib/girepository-1.0/Gtk-3.0.typelib'. In your code you then
simply call 'Glib::Object::Introspection->setup' to set everything up. This
method takes a couple of key-value pairs as arguments. These three are
mandatory:

* basename => $basename

  The basename of the library that should be wrapped. If your typelib is
  called 'Gtk-3.0.typelib', then the basename is 'Gtk'.

%package -n perli11ndoc
Summary:    an interactive documentation viewer based on installed gir files
Group:      Development/Perl
Requires:   perl-Gtk3
%description -n perli11ndoc
perli11ndoc is an interactive documentation viewer based on installed *.gir
files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
export LD_LIBRARY_PATH=$PWD/build/
LC_ALL=en_US.UTF-8 make test

%install
%make_install INSTALL_BASE= PREFIX=/usr

%files
%license LICENSE
%doc LICENSE META.json META.yml MYMETA.yml NEWS
%{_mandir}/man3/*
%perl_vendorarch/*

%files -n perli11ndoc
%{_bindir}/*
%{_mandir}/man1/perli11ndoc.*
