%define upstream_name    Glib
%define upstream_version 1.3294

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Perl module for the glib-2.x library
License:    LGPLv2+
Group:      Development/GNOME and GTK+
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/X/XA/XAOC/%{upstream_name}-%{upstream_version}.tar.gz
# BUG: we do not hanble exceptions out of Gtk2->main loop
# we should just horribly die in that case
Patch0:     Glib-1.280-exception-trapping.patch

BuildRequires: perl(ExtUtils::Depends) >= 0.300.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.0.0
BuildRequires: pkgconfig(glib-2.0) >= 2.0.0
BuildRequires: perl-devel
Conflicts:	perl-Gtk2 <= 1
# so that live upgrade doesn't fail in rpmdrake or gurpmi due to running
# with a version older than the one it was compiled for
Requires:   glib2 => %(pkg-config --modversion glib-2.0 &>/dev/null && pkg-config --modversion glib-2.0 2>/dev/null || echo 0)

# Do not export private modules and libraries
%{?perl_default_filter}
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(MY\\)

%description
This module provides perl access to Glib and GLib's GObject libraries.
It is mainly used by perl-GTK2 applications.

Glib is a handy library of portability and utility functions. This C library
is designed to solve some portability problems and provide other useful
functionality which most programs require.

GObject provides a generic type system with inheritance and a powerful signal
system.

Together these libraries are used as the foundation for many of the libraries
that make up the Gnome environment, and are used in many unrelated
projects.

%package doc
Summary:    Glib documentation
Group:      Documentation
BuildArch:  noarch

%description doc
This package contains documentation of the Glib module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1
find -type d -name CVS | rm -rf

%build
# fix build with modules from ./lib/:
export PERL_USE_UNSAFE_INC=1
perl Makefile.PL INSTALLDIRS=vendor
%define _disable_ld_no_undefined 1
%make_build OPTIMIZE="$RPM_OPT_FLAGS" OTHERLDFLAGS="%{?ldflags}" PERL_ARCHIVE_AFTER="-lpthread"

%check
%__make test

%install
%make_install

%files
%doc AUTHORS LICENSE META.json META.yml MYMETA.yml NEWS README TODO
%dir %{perl_vendorarch}/%{upstream_name}
%{perl_vendorarch}/%{upstream_name}.pm
%{perl_vendorarch}/%{upstream_name}/*.pm
%{perl_vendorarch}/%{upstream_name}/*/*.pm
%{perl_vendorarch}/%{upstream_name}/Install
%{perl_vendorarch}/auto/*

%files doc
%{_mandir}/*/*
%dir %{perl_vendorarch}/%{upstream_name}
%{perl_vendorarch}/%{upstream_name}/*.pod
%{perl_vendorarch}/%{upstream_name}/*/*.pod
