%define	upstream_name	 Gnome2-Vte
%define	upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 16

Summary:    Perl binding for the vte widget
License:    GPL+ or Artistic
Group:      Development/GNOME and GTK+
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Gnome2/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::Depends) >= 0.200.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.30.0
BuildRequires: perl(Glib) >= 1.10.0
BuildRequires: perl(Gtk2) >= 1.0.0
BuildRequires: perl(Glib) >= 1.00
BuildRequires: perl(Gtk2)
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::PkgConfig)
BuildRequires: perl-devel
BuildRequires: pkgconfig(vte) >= 0.11.10
BuildRequires: x11-server-xvfb
Conflicts:	drakxtools < 9.1-15mdk
Requires:   perl-Glib >= 1.00

%{?perl_default_filter}

%description
This module provides perl access to vte libraries.

VTE is an experimental terminal emulator widget for use with GTK+ 2.:.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type d -name CVS | rm -rf 

%build
# fix build with modules from ./lib/:
export PERL_USE_UNSAFE_INC=1
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# (tv) disabled b/c of "Xlib:  extension "RANDR" missing on display ":99.0"."
#xvfb-run %make test

%install
%make_install

%files
%doc LICENSE NEWS README
%{_mandir}/*/*
%{perl_vendorarch}/Gnome2/*
%{perl_vendorarch}/auto/Gnome2/*
