%define upstream_name	 GnuPG-Interface
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    GnuPG-Interface module for perl
Group:      Development/Perl
License:    GPL
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/GnuPG/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Fatal)
BuildRequires: perl(Math::BigInt) >= 1.780.0
BuildRequires: perl(Moo) >= 0.91.11
BuildRequires: perl(MooX::HandlesVia) >= 0.1.4
BuildRequires: perl(MooX::late) >= 0.14.0
BuildRequires: perl(Scalar::Util)
BuildRequires: gnupg2
BuildArch:  noarch

Requires:   perl(Class::MethodMaker)
%{?perl_default_filter}

%description
GnuPG::Interface and its associated modules
are designed to provide an object-oriented
method for interacting with GnuPG, being able
to perform functions such as but not limited
to encrypting, signing, decryption, verification,
and key-listing parsing.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor
make

%install
%make_install

%check
make test
#perl -mExpect -e 'my $e=Expect->spawn("make test");
#$e->expect(undef);
#exit $e->exitstatus()'

%files
%doc Changes META.yml MYMETA.yml README SIGNATURE
%{perl_vendorlib}/GnuPG
%{_mandir}/*/*