%define upstream_name    GnuPG
%define upstream_version 0.19

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Perl interface to the GNU privacy guard
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: gnupg
BuildArch:  noarch

%description
GnuPG is a perl interface to the GNU Privacy Guard. It uses the shared
memory coprocess interface that gpg provides for its wrappers. It tries its
best to map the interactive interface of the gpg to a more programmatic
model.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc COPYING ChangeLog META.json META.yml MYMETA.yml NEWS README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/gpgmailtunl
/usr/share/man/man1/gpgmailtunl.1.xz
