%define upstream_name    GooCanvas2-CairoTypes
%define upstream_version 0.001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Bridge between GooCanvas2 and Cairo types
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/GooCanvas2/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cairo)
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Glib)
BuildRequires: perl(Gtk3)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
BuildRequires: pkgconfig(goocanvas-2.0)

%description
There is an issue in the interaction between GooCanvas, GObject
Introspection, Cairo, and their Perl bindings, which causes some
functionality to be unusable from Perl side. This is better described
https://stackoverflow.com/questions/64625955/cairosolidpattern-is-not-of-ty
pe-goocanvas2cairopattern, and there was an
https://gitlab.gnome.org/GNOME/goocanvas/-/merge_requests/9 to fix it
upstream. Until it's fixed, this can serve as a workaround for it.

Currently this module only "fixes"
'Cairo::Pattern/GooCanvas2::CairoPattern' interop. For certain calls it
just works if this module was included; for some other calls you need to
explicitly convert the type.

If you have any idea how to fix those cases to not require such call, or
need to bridge more types,
https://github.com/DarthGandalf/GooCanvas2-CairoTypes are welcome!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.json LICENSE Changes README META.yml
%{_mandir}/man3/*
%perl_vendorarch/*


