%define upstream_name    Google-RestApi
%define upstream_version 1.0.2

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A simple client for interacting with Google REST API
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Google/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cache::Memory::Simple)
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(Furl)
BuildRequires: perl(Hash::Merge)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(LWP::Protocol::https)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Mock::MonkeyPatch)
BuildRequires: perl(Module::Load)
BuildRequires: perl(Net::OAuth2::Client)
BuildRequires: perl(Net::OAuth2::Profile::WebServer)
BuildRequires: perl(Readonly)
BuildRequires: perl(Retry::Backoff)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::Class)
BuildRequires: perl(Test::Class::Load)
BuildRequires: perl(Test::Most)
BuildRequires: perl(Text::Levenshtein::Flexible)
BuildRequires: perl(Tie::Hash)
BuildRequires: perl(ToolSet)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(Type::Params) >= 1.4.4
BuildRequires: perl(Types::Standard)
BuildRequires: perl(URI)
BuildRequires: perl(URI::QueryParam)
BuildRequires: perl(WWW::Google::Cloud::Auth::ServiceAccount)
BuildRequires: perl(YAML::Any)
BuildRequires: perl(aliased)
BuildRequires: perl(autodie)
BuildRequires: perl(autovivification)
BuildRequires: perl(constant)
BuildArch:  noarch

%description
Google::RestApi provides a simple way to interact with Google RESTful resources.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{_mandir}/man1/*
%{_bindir}/google_restapi_oauth_token_creator
%perl_vendorlib/*