%define upstream_name    Graph-Easy-As_svg
%define upstream_version 0.28

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Output a Graph::Easy as Scalable Vector Graphics (SVG)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Graph/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Graph::Easy) >= 0.630.0
BuildRequires: perl(Graph::Easy::Edge::Cell)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Image::Info) >= 1.280.0
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

# JQ 2014-04-15
# Module redefines subs in Graph::Easy, thus duplicating perl modules
# provides. Therefore we remove all automatic provides and define
# manually the only official provides.
%global __provides_exclude perl\\(Graph::Easy.*\\)
Provides:   perl(Graph::Easy::As_svg)

%description
'Graph::Easy::As_svg' contains just the code for converting a Graph::Easy
object to a SVG text.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE TODO examples
%{_mandir}/man3/*
%{perl_vendorlib}/*