%define upstream_name    Graph-Flowchart
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    A node in a Graph::Flowchart, representing a block/expression
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Graph/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Graph::Easy)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This module lets you easily create flowcharts as Graph::Easy objects. This
means you can output your flowchart as HTML, ASCII, Boxart (unicode
drawing) or SVG.



Classes
    The nodes constructed by the various 'add_*' methods will set the
    subclass of the node according to the following list:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc SIGNATURE LICENSE README META.yml CHANGES
%{_mandir}/man3/*
%perl_vendorlib/*


