%define upstream_name    Graph-XGMML
%define upstream_version 0.01

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 1
Summary:        Simple Graph.pm-like interface for generating XGMML graphs
Group:          Development/Perl
License:        perl
Url:            https://metacpan.org/release/Graph-XGMML
Source0:        https://cpan.org.ua/authors/id/A/AD/ADAMK/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:         Graph-XGMML-0.01-Remove-using-of-MI-DSL.patch
BuildArch:      noarch

BuildRequires:  perl-devel
BuildRequires:  perl(Module::Install)
BuildRequires:  perl(XML::Writer)
BuildRequires:  perl(Test::More)

%description
To produce useful diagrams on extremely large graphs, sometimes it is necesary
to move beyond simple graphing tools to applications specifically designed for
rendering very large graphs, many of which were designed for biology
applications (such as my favourite Cytoscape).

Graph::XGMML is a module that can be used to generate export files for
arbitrarily large graphs in eXtensible Graph Modelling Markup Language,
so that the graphs can be imported into these specialised tools.

The API is intentionally designed to appear similar to more popular modules
such as the Graph manpage, the Graph::Easy manpage and the GraphViz manpage.


%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%install
%make_install

%check
make test

%files
%doc README Changes
%license LICENSE
%perl_vendorlib/*
%{_mandir}/man3/Graph::XGMML.3pm.*
