%define upstream_name    Graph
%define upstream_version 0.9729

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Epoch:      1

Summary:    Graph data structures and algorithms in perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Graph/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Heap) >= 0.800.0
BuildRequires: perl(List::Util) >= 1.450.0
BuildRequires: perl(Math::Complex)
BuildRequires: perl(Safe)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Set::Object) >= 1.400.0
BuildRequires: perl(Storable) >= 2.50.0
BuildRequires: perl(Test::More) >= 0.820.0
BuildArch:  noarch

%description
This module is not for drawing any sort of graphics, but instead it is for
creating abstract data structures called graphs, and for doing various
operations on those.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes DESIGN META.json META.yml MYMETA.yml README RELEASE TODO
%{perl_vendorlib}/Graph
%{perl_vendorlib}/Graph.*
%{_mandir}/*/*