%define upstream_name	 GraphViz
%define upstream_version 2.26

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    %{upstream_name} module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/L/LB/LBROCARD/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp) >= 1.10.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Which) >= 1.90.0
BuildRequires: perl(Getopt::Long) >= 2.340.0
BuildRequires: perl(IO::Dir) >= 1.40.0
BuildRequires: perl(IO::File) >= 1.100.0
BuildRequires: perl(IPC::Run) >= 0.600.0
BuildRequires: perl(LWP::Simple) >= 6.0.0
BuildRequires: perl(Parse::RecDescent) >= 1.965.1
BuildRequires: perl(Pod::Usage) >= 1.160.0
BuildRequires: perl(Test::More) >= 1.1.2
BuildRequires: perl(Time::HiRes) >= 1.510.0
BuildRequires: perl(XML::Twig) >= 3.520.0
BuildRequires: perl(XML::XPath) >= 1.130.0
BuildRequires: fonts-ttf-dejavu
BuildRequires: graphviz
BuildArch:  noarch

Requires:   graphviz
%{?perl_default_filter}

%description
This module provides an interface to layout and image generation of
directed and undirected graphs in a variety of formats (PostScript, PNG,
etc.) using the "dot", "neato" and "twopi" programs from the GraphViz
project (https://www.graphviz.org/).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/GraphViz.pm
%{perl_vendorlib}/GraphViz
%{perl_vendorlib}/Devel
%{_mandir}/*/*