%define upstream_name    Gravatar-URL
%define upstream_version 1.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    OMG UNICORN AVATAR!
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Gravatar/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build)
BuildRequires: perl(Carp)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Net::DNS) >= 1.10.0
BuildRequires: perl(URI::Escape)
BuildRequires: perl(parent)
BuildRequires: perl(URI::Escape)
# Tests
BuildRequires: perl(Test::MockRandom) >= 1.10.0
BuildRequires: perl(Test::More) >= 0.400.0
BuildRequires: perl(Test::Warn) >= 0.110.0

BuildArch:  noarch

%description
A Gravatar is a Globally Recognized Avatar for a given email address. This
allows you to have a global picture associated with your email address. You
can look up the Gravatar for any email address by constructing a URL to get
the image from the gravatar.com manpage. This module does that.

Examples of use include the author faces on the http://search.cpan.org
manpage.

See the http://gravatar.com manpage for more info.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
