%define upstream_name    Growl-GNTP
%define upstream_version 0.21

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Perl implementation of GNTP Protocol
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Growl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Crypt::CBC) >= 2.290.0
BuildRequires: perl(Data::UUID) >= 0.149.0
BuildRequires: perl(Digest::MD5) >= 2.360.0
BuildRequires: perl(Digest::SHA) >= 5.450.0
BuildRequires: perl(Filter::Util::Call)
BuildRequires: perl(Module::Build::Tiny) >= 0.35.0
BuildArch:  noarch

%description
Growl::GNTP is Perl implementation of GNTP Protocol (Client Part)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%perl_vendorlib/*