%define upstream_name	 Gtk2-Phat
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 20

Summary:	Perl interface to the Phat widget collection
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/dist/%{upstream_name}/
Source0:	https://cpan.metacpan.org/authors/id/F/FL/FLORA/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl-devel
BuildRequires:	perl(Gtk2)
BuildRequires:	perl(Glib) > 1.00
BuildRequires:	perl(ExtUtils::Depends)
BuildRequires:	perl(ExtUtils::PkgConfig)
BuildRequires:	perl(inc::Module::Install)
BuildRequires:	pkgconfig(phat)
BuildRequires:	gtk+2-devel

%description
This module allows a perl developer to access the widgets of the Phat widget 
collection which is geared toward pro-audio apps. The goal is to eliminate 
duplication of effort and provide some standardization.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type d -name CVS | rm -rf 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
export PERL_USE_UNSAFE_INC=1
%make

%check
%{__make} test

%install
%make_install

%files
%doc Changes README
%{perl_vendorarch}/Gtk2
%{perl_vendorarch}/auto/Gtk2
%{_mandir}/*/*
