%define upstream_name    Gtk2-SourceView
%define upstream_version 1.000

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 25

Summary:	Perl upstream_name for the gtksourceview library
License:	GPL or Artistic
Group:		Development/GNOME and GTK+
Url:		https://gtk2-perl.sourceforge.net/
Source0:	%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:		Gtk2-SourceView-1.000-port-to-api2.patch

BuildRequires:	gtk+2-devel 
BuildRequires:	pkgconfig(libgnomeprintui-2.2)
BuildRequires:	pkgconfig(gtksourceview-1.0) >= 0.7 
BuildRequires:	perl(ExtUtils::Depends)
BuildRequires:	perl(ExtUtils::PkgConfig)
BuildRequires:	perl(Glib)                 >  1.00
BuildRequires:	perl(Gnome2)               >= 0.30
BuildRequires:	perl(Gnome2::Print)
BuildRequires:	perl-devel 

# for data files:
Requires:	gtksourceview1
Requires:	gtk+2

%{?perl_default_filter}

%description
This module provides perl access to the libgtksourceview library, a library
that adds syntax highlighting, line numbers, and other programming-editor
features.
GtkSourceView specializes these features for a code editor.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# (tv) disabled (not enought to build with gtksourceview-2):
#%patch -p0
find -type d -name CVS | xargs rm -rf 

%build
perl Makefile.PL INSTALLDIRS=vendor
export PERL_USE_UNSAFE_INC=1
%make_build

%install
%make_install

%files
%doc examples
%{_mandir}/*/*
%{perl_vendorarch}/Gtk2/*
%{perl_vendorarch}/auto/*
