%define upstream_name    Gtk2-SourceView2
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 22

Summary:    Perl module for the gtksourceview library
License:    GPL+ or Artistic
Group:      Development/GNOME and GTK+
Url:        https://gtk2-perl.sourceforge.net/
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: gtk+2-devel
BuildRequires: pkgconfig(gtksourceview-2.0) >= 0.7
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::PkgConfig)
BuildRequires: perl(Glib) > 1.00
BuildRequires: perl(Gtk2) > 1.00
BuildRequires: perl-devel
BuildRequires: chrpath

# for data files:
Requires: gtksourceview2
Requires: gtk+2

%{?perl_default_filter}


%description
This module provides perl access to the libgtksourceview library, a library
that adds syntax highlighting, line numbers, and other programming-editor
features.
GtkSourceView specializes these features for a code editor.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
export PERL_USE_UNSAFE_INC=1
%make_build

%install
%make_install

# fix RPATH
chmod 755 %{buildroot}%{perl_vendorarch}/auto/Gtk2/SourceView2/SourceView2.so
chrpath -d %{buildroot}%{perl_vendorarch}/auto/Gtk2/SourceView2/SourceView2.so

%files
%doc examples META.yml
%{_mandir}/*/*
%{perl_vendorarch}/Gtk2/*
%{perl_vendorarch}/auto/Gtk2/*
