%define upstream_name    Gtk2-Spell
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 19

Summary:    Perl module for the gtkspell library
License:    GPL+ or Artistic
Group:      Development/GNOME and GTK+
Url:        https://gtk2-perl.sourceforge.net/
Source0:    https://downloads.sourceforge.net/gtk2-perl/%upstream_name-%upstream_version.tar.gz
Patch0:     Gtk2-Spell-1.04-minimum_require.diff

BuildRequires: pkgconfig(gtkspell-2.0) >= 2.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::PkgConfig)
BuildRequires: perl(Glib)
BuildRequires: perl(Gtk2)
BuildRequires: perl-devel
Requires:   gtk+2

%{?perl_default_filter}

%description
This module provides perl access to the gtkspell library.

The GtkSpell graphical user interface library allow to write applications that
highlight mis-spelled words.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch -P 0 -p1 -b .minreq
find -type d -name CVS | rm -rf 

%build
perl Makefile.PL INSTALLDIRS=vendor
make

%install
%make_install

%files
%doc AUTHORS ChangeLog LICENSE META.json META.yml MYMETA.yml NEWS README
%{_mandir}/*/*
%{perl_vendorarch}/Gtk2/*
%{perl_vendorarch}/auto/Gtk2/*
