%define upstream_name	 Gtk3-Notify
%define	upstream_version 0.03

%define perl_glib_require 1.240

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl module for libnotify
License:    LGPLv2+ or Artistic
Group:      Development/GNOME and GTK+
Url:        https://gtk2-perl.sourceforge.net/
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Glib::Object::Introspection)
BuildRequires: perl(Gtk3)
BuildRequires: perl-devel
BuildRequires: perl(ExtUtils::Depends) >= 0.300
BuildRequires: perl(Glib::Object::Introspection) >= 0.002
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires: pkgconfig(gobject-introspection-1.0)
Requires:   typelib(Notify) = 0.7
%description
This module provides the Perl bindings for libnotify.

Libnotify is a library that sends desktop notifications to a notification
daemon, as defined in the Desktop Notifications spec. These notifications can
be used to inform the user about an event or display some form of information
without getting in the user's way.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl Makefile.PL INSTALLDIRS=vendor

%build
%make_build OPTIMIZE="%{optflags}"

%install
%make_install

%check
make test || :

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Gtk3/Notify*
%_mandir/*/*
