%define upstream_name	 Gtk3-WebKit
%define	upstream_version 0.06

%define perl_glib_require 1.240
%define gtk_require 2.22.1

%global __requires_exclude_from %{?__requires_exclude_from:%{__requires_exclude_from}|}%{_docdir}/%{name}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 16

Summary:    Perl module for the webkit-3.x library
License:    LGPLv2+ or Artistic
Group:      Development/GNOME and GTK+
Url:        https://gtk2-perl.sourceforge.net/
Source0:    https://prdownloads.sourceforge.net/gtk2-perl/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     WebKit2.diff
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Glib::Object::Introspection)
BuildRequires: perl(Gtk3)
BuildRequires: perl(Test::NeedsDisplay)
BuildRequires: perl-devel
BuildRequires: perl(ExtUtils::Depends) >= 0.300
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.03
BuildRequires: perl(Glib::Object::Introspection) >= 0.002

%description
This module provides the Perl bindings for the Gtk port of WebKit.

WebKit is a web content engine, derived from KHTML and KJS from KDE, and used
primarily in Apple's Safari browser and Google's Chrome browser. It is made to
be embedded in other applications, such as mail readers, or web browsers.

It is able to display content such as HTML, SVG, XML, and others. It also
supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.

%package -n perl-Gtk3-WebKit2
Summary: Perl module for the webkit-4.x library
Requires: typelib(WebKit2) = 4.1

%description -n perl-Gtk3-WebKit2
This module provides the Perl bindings for the Gtk port of WebKit.

WebKit is a web content engine, derived from KHTML and KJS from KDE, and used
primarily in Apple's Safari browser and Google's Chrome browser. It is made to
be embedded in other applications, such as mail readers, or web browsers.

It is able to display content such as HTML, SVG, XML, and others. It also
supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1
%__perl Makefile.PL INSTALLDIRS=vendor

%build
%make_build OPTIMIZE="%{optflags}"

%install
%make_install

# drop webkit1 support
rm -rf %{buildroot}%{perl_vendorlib}/Gtk3/WebKit.pm
rm -rf %{buildroot}%{_mandir}/*/Gtk3::WebKit.*

%files -n perl-Gtk3-WebKit2
%doc COPYING Changes LICENSE META.yml MYMETA.yml README examples
%{perl_vendorlib}/Gtk3/WebKit2.pm
%_mandir/*/Gtk3::WebKit2.*
