%define upstream_name	 Gtk3
%define	upstream_version 0.038

%define perl_glib_require 1.280

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Test::Simple\\)

%bcond_with debug

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl module for the GTK+-3.x library
License:    LGPLv2+
Group:      Development/GNOME and GTK+
Url:        https://gtk2-perl.sourceforge.net/
Source0:    https://prdownloads.sourceforge.net/gtk2-perl/%{upstream_name}-%{upstream_version}.tar.gz
# helper for exception management:
Patch1:     exceptions.diff
# set up GdkX11:
Patch6:     GdkX11.diff
#Patch7: gio.diff

BuildArch:  noarch

BuildRequires: perl(Cairo::GObject) >= 1.0.0
BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Glib::Object::Introspection) >= 0.43.0
BuildRequires: perl(Test::Simple) >= 0.960.0
BuildRequires: perl-devel
%if %with debug
BuildRequires: x11-server-xvfb
%endif
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires: pkgconfig(gobject-introspection-1.0)
# for test suite:
#BuildRequires: x11-server-xvfb
BuildRequires: typelib(Gtk) = 3.0
Requires:   typelib(Gtk) = 3.0
Requires:   typelib(Gdk) = 3.0
Requires:   typelib(Pango) = 1.0
# For exception handling:
Requires:   perl(Glib) >= 1.302.0-6
%description
This module provides perl access to the GTK+-3.x library.

GTK+ is the GIMP ToolKit, a library for creating graphical user
interfaces for the X Window System.  GTK+ was originally written for the GIMP
(GNU Image Manipulation Program) image processing program, but is now used by
several other programs as well.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1
rm -f lib/Gtk3.pm.*
perl Makefile.PL INSTALLDIRS=vendor

%build
%make_build OPTIMIZE="%{optflags}"

%install
%make_install

%if %with debug
%check
# (TV) Test suite won't work in iurt (not enough stuff configured):
xvfb-run make test
%endif

%files
%doc LICENSE META.json META.yml MYMETA.yml NEWS README
%{perl_vendorlib}/%{upstream_name}.pm
%_mandir/*/*