%define upstream_name    HTML-Escape
%define upstream_version 1.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Extremely fast HTML escape
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::PPPort) >= 3.200.0
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Module::Build) >= 0.400.500
BuildRequires: perl(Module::Build::Pluggable::PPPort) >= 0.40.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(XSLoader)
BuildRequires: perl(parent)
BuildRequires: perl-devel

%description
This module escapes HTML's special chars. It's same as PHP's
htmlspecialchars.

This module uses XS for better performance. And also provides pure perl
version.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

# Fix permissions
%_fixperms %{buildroot}%perl_vendorarch

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorarch/*
%exclude %dir %perl_vendorarch/auto/
