%define upstream_name    HTML-FormFu
%define upstream_version 2.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    HTML Form Management Framework for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:         HTML-FormFu-2.03-mxcheck-disable.patch

BuildRequires: perl(CGI) >= 3.370.0
BuildRequires: perl(Carp)
BuildRequires: perl(Class::MOP::Method)
BuildRequires: perl(Clone) >= 0.310.0
BuildRequires: perl(Config::Any) >= 0.180.0
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Visitor) >= 0.260.0
BuildRequires: perl(Data::Visitor::Callback)
BuildRequires: perl(DateTime) >= 0.540.0
BuildRequires: perl(DateTime::Format::Builder) >= 0.790.100
BuildRequires: perl(DateTime::Format::Natural)
BuildRequires: perl(DateTime::Format::Strptime) >= 1.200.0
BuildRequires: perl(DateTime::Locale) >= 0.450.0
BuildRequires: perl(Email::Valid)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Fatal)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::ShareDir::Install) >= 0.30.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTML::Scrubber)
BuildRequires: perl(HTML::TokeParser::Simple) >= 3.140.0
BuildRequires: perl(HTTP::Headers) >= 1.640.0
BuildRequires: perl(Hash::Flatten)
BuildRequires: perl(IO::File)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Locale::Maketext)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Moose) >= 1.0.0
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(MooseX::Aliases)
BuildRequires: perl(MooseX::Attribute::Chained)
BuildRequires: perl(Number::Format)
BuildRequires: perl(POSIX)
BuildRequires: perl(Path::Class::File)
BuildRequires: perl(Readonly)
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.920.0
BuildRequires: perl(Test::RequiresInternet)
BuildRequires: perl(YAML::XS) >= 0.320.0
BuildArch:  noarch

%{?perl_default_filter:
%filter_from_provides /perl(unicode/d
%filter_from_requires /perl(Catalyst/d; /perl(default/d; /perl(model_config)/d;
%perl_default_filter
}

%description
HTML::FormFu is a HTML form framework which aims to be as easy
as possible to use for basic web forms, but with the power and flexibility
to do anything else you might want to do (as long as it involves forms).

You can configure almost any part of formfu's behaviour and output. By
default formfu renders "XHTML 1.0 Strict" compliant markup, with as little
extra markup as possible, but with sufficient CSS class names to allow for
a wide-range of output styles to be generated by changing only the CSS.

All methods listed below (except the /new manpage) can either be called as
a normal method on your '$form' object, or as an option in your config
file. Examples will mainly be shown in the YAML manpage config syntax.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
#patch -P 0 -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README examples
%{_bindir}/*
%{_mandir}/man*/*
%{perl_vendorlib}/*
