%define upstream_name    HTML-FormHandler
%define upstream_version 0.40068

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    An HTML form handler written in Moose
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Load) >= 0.60.0
BuildRequires: perl(Crypt::Blowfish)
BuildRequires: perl(Crypt::CBC)
BuildRequires: perl(Data::Clone)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::Strptime)
BuildRequires: perl(Email::Valid)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::ShareDir::Install) >= 0.60.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTML::TreeBuilder) >= 3.230.0
BuildRequires: perl(JSON::MaybeXS) >= 1.3.3
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Locale::Maketext) >= 1.90.0
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Moose) >= 2.140.300
BuildRequires: perl(MooseX::Getopt) >= 0.160.0
BuildRequires: perl(MooseX::Types) >= 0.200.0
BuildRequires: perl(MooseX::Types::Common)
BuildRequires: perl(MooseX::Types::LoadableClass) >= 0.6.0
BuildRequires: perl(PadWalker)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Sub::Name)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Memory::Cycle) >= 1.40.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(aliased)
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildArch:  noarch

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(HTML::FormHandler::Meta::Role\\)$

%description
HTML::FormHandler maintains a clean separation between form construction
and form rendering. It allows you to define your forms and fields in a
number of flexible ways. Although it provides renderers for HTML, you can
define custom renderers for any kind of presentation.

Although documentation in this file provides some overview, it is mainly
intended for API documentation. See the HTML::FormHandler::Manual::Intro
manpage for a more detailed introduction.

HTML::FormHandler allows you to define form fields and validators. It can
be used for both database and non-database forms, and will automatically
update or create rows in a database. It can be used to process structured
data that doesn't come from an HTML form.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE TODO
%license LICENSE
%{_mandir}/man3/*
%{perl_vendorlib}/*
