%define upstream_name    HTML-FormatText-WithLinks-AndTables
%define upstream_version 0.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Converts HTML to Text with tables intact
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::FormatText)
BuildRequires: perl(HTML::FormatText::WithLinks)
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This module was inspired by HTML::FormatText::WithLinks which has proven to
be a useful `lynx -dump` work-alike. However one frustration was that no
other HTML converters I came across had the ability to deal affectively
with HTML <TABLE>s. This module can in a rudimentary sense do so. The aim
was to provide facility to take a simple HTML based email template, and to
also convert it to text with the <TABLE> structure intact for inclusion as
"multipart/alternative" content. Further, it will preserve both the
formatting specified by the <TD> tag's "align" attribute, and will also
preserve multiline text inside of a <TD> element provided it is broken
using <BR/> tags.

EXPORT
    None by default.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


