# As of release 2.13, upstream renamed the package into HTML-Formatter
%define	upstream_name    HTML-Formatter
%define	upstream_version 2.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    CPAN %{upstream_name} perl module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/HTML-Format
# This package should be renamed into perl-HTML-Formatter
Source0:    https://cpan.metacpan.org/authors/id/N/NI/NIGELM/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Encode)
BuildRequires: perl(File::Slurper)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Font::Metrics::Courier)
BuildRequires: perl(Font::Metrics::CourierBold)
BuildRequires: perl(Font::Metrics::CourierBoldOblique)
BuildRequires: perl(Font::Metrics::CourierOblique)
BuildRequires: perl(Font::Metrics::Helvetica)
BuildRequires: perl(Font::Metrics::HelveticaBold)
BuildRequires: perl(Font::Metrics::HelveticaBoldOblique)
BuildRequires: perl(Font::Metrics::HelveticaOblique)
BuildRequires: perl(Font::Metrics::TimesBold)
BuildRequires: perl(Font::Metrics::TimesBoldItalic)
BuildRequires: perl(Font::Metrics::TimesItalic)
BuildRequires: perl(Font::Metrics::TimesRoman)
BuildRequires: perl(HTML::Element) >= 3.150.0
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::CPAN::Meta)
BuildRequires: perl(Test::EOL)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::NoTabs)
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(base)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(bytes)
BuildRequires: perl(integer)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch
Obsoletes: perl-HTML-Format < %{version}-%{release}
Provides: perl-HTML-Format = %{version}-%{release}

%description
This is a collection of modules that formats HTML as plaintext,
PostScript or RTF.

The modules present in this package are:

  HTML::FormatText - Formatter that converts a syntax tree to plain
        readable text.

  HTML::FormatPS - Formatter that outputs PostScript code.

  HTML::FormatRTF - Formatter that outputs RTF code.

  HTML::Formatter - Base class for various formatters.  Formatters
        traverse a syntax tree and produce some textual output.  None
        of the current formatters handle tables or forms yet.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL installdirs=vendor NO_PACKLIST=1
%make_build

%install
%{__make} pure_install DESTDIR=$RPM_BUILD_ROOT

%check
%{__make} test

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/HTML/*
