%define	upstream_name	 HTML-Parser
%define upstream_version 3.83

%define Werror_cflags %nil

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl module to parse HTML documents
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTML::Tagset)
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(IO::File)
BuildRequires: perl(SelectSaver)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildRequires: perl(URI::URL)
BuildRequires: perl(XSLoader)
BuildRequires: perl(strict)
BuildRequires: perl-devel
Requires:   perl-HTML-Tagset >= 3.30.0
%description
HTML::Parser module for Perl to parse and extract information from
HTML documents.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
# compile with default options (prompt() checks for STDIN being a terminal).
# yes to not ask for automate rebuild
yes | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build OPTIMIZE="%{optflags}"

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO eg
%{perl_vendorarch}/auto/HTML
%{perl_vendorarch}/HTML
%{_mandir}/*/*