%define upstream_name    HTML-T5
%define upstream_version 0.014

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Message object for the Tidy functionality
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
# Source0:    https://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz
Source0:    https://cpan.metacpan.org/authors/id/S/SH/SHLOMIF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Alien::Base::Wrapper) >= 2.20.0
BuildRequires: perl(Alien::TidyHTML5)
BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(constant)
BuildRequires: perl-devel
BuildRequires: tidy-devel
%description
'HTML::T5' is an HTML checker in a handy dandy object. It's meant as a
replacement for HTML::Lint. If you're currently an HTML::Lint user looking
to migrate, see the section the /Converting from HTML::Lint manpage.

'HTML::T5' was forked from the HTML::Tidy5 manpage by Andy Lester
(PETDANCE), thanks.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_bindir}/web-t5
%{_mandir}/man3/*
%perl_vendorarch/*