%define upstream_name    txt2html
%define module_name      HTML-TextToHTML
%define upstream_version 2.5201

Name:       perl-%{module_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Convert plain text file to HTML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

Provides:   %{upstream_name}

BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::More)
BuildRequires: perl(YAML::Syck)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch
# dependencies of txt2html script, not gathered automatically because of #52267
Requires:   perl(Pod::Usage)
Requires:   perl(Getopt::Long)
Requires:   perl(File::Basename)
Requires:   perl(Getopt::ArgvFile)
%description
HTML::TextToHTML converts plain text files to HTML. The txt2html
script uses this module to do the same from the command-line.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes DEVNOTES LICENSE META.yml MYMETA.yml README TODO
%{_bindir}/txt2html
%{_mandir}/man1/txt2html.1*
%{_mandir}/man3/HTML*
%perl_vendorlib/HTML*