%define upstream_name	 HTML-TokeParser-Simple
%define upstream_version 3.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Easy to use HTML::TokeParser interface
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/O/OV/OVID/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Parser) >= 3.250.0
BuildRequires: perl(HTML::TokeParser) >= 2.240.0
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Sub::Override)
BuildRequires: perl(Test::More)
BuildRequires: perl(HTML::Parser) >= 3.35
BuildRequires: perl(Sub::Override)
BuildArch:  noarch

%description
HTML::TokeParser::Simple is a subclass of HTML::TokeParser that uses
easy-to-remember method calls to work with the tokens.  Rather than
try to remember a bunch of array indices or try to write a bunch of
constants for them, you can now do something like:

 $token->is_start_tag( 'form' )

instead of 

 $token->[0] eq 'S' and $token->[1] eq 'form'

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl -pi -e 'tr/\r//d;' Changes README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/HTML
%{_mandir}/*/*