%define upstream_name	 HTML-Tree
%define upstream_version 5.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5
Epoch:      1

Summary:    Build and scan parse-trees of HTML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/S/SB/SBURKE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTML::Parser) >= 3.460.0
BuildRequires: perl(HTML::Tagset) >= 3.20.0
BuildRequires: perl(Module::Build) >= 0.280.800
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(integer)
BuildArch:  noarch

%description
This distribution contains a suite of modules for representing,
creating, and extracting information from HTML syntax trees; there is
also relevant documentation.  These modules used to be part of the
libwww-perl distribution, but are now unbundled in order to facilitate
a separate development track.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO
%{perl_vendorlib}/HTML
%{_bindir}/*
%{_mandir}/*/*
