%define upstream_name    HTML-Widgets-SelectLayers
%define upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Perl extension for selectable HTML layers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
This module implements an HTML widget with multiple layers. Only one layer
is visible at any given time, controlled by a <SELECT> box. For an example
see http://www.420.am/selectlayers/

This HTML generated by this module uses JavaScript, but nevertheless
attempts to be as cross-browser as possible. The 0.05 release drops
Navigator 4 compatibility and has been tested under Mozilla Firefox 1.0.6,
MSIE 6.0, Konqueror 3.3.2, and Opera 8.0.2 (2006 note: still working under
newer browsers such as IE7, Firefox 2.0, etc.).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


