%define	upstream_name	 HTTP-Body
%define upstream_version 1.23

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    HTTP Body Parser
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp) >= 0.140.0
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(IO::File) >= 1.140.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More) >= 0.860.0
BuildArch:  noarch

%description
Perl module to parse HTTP request bodies.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files 
%doc Changes LICENSE META.yml MYMETA.yml README
%{perl_vendorlib}/HTTP/Body/*
%{perl_vendorlib}/HTTP/Body.pm
%{_mandir}/man3/*
