%define upstream_name	 HTTP-Daemon-SSL
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:	A simple http server class with SSL support
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz
# From FC:
# Adapt tests to IO::Socket::SSL 1.80, CPAN RT#81932
Patch0:         HTTP-Daemon-SSL-1.04-Adapt-tests-to-IO-Socket-SSL-1.80.patch
# Do not test weak keys with OpenSSL 1.0.1, bug #1058728, CPAN RT#88998
Patch1:         HTTP-Daemon-SSL-1.04-Generate-keys-and-certificates-at-test-time.patch
# default port could be in use by the sieve daemon (2000), so
# let's change it to something hopefully free so that make test
# works
Patch10:		HTTP-Daemon-SSL-1.01-sslport.patch
# https://salsa.debian.org/perl-team/modules/packages/libhttp-daemon-ssl-perl/-/blob/master/debian/patches/IO-Socket-SSL.patch
Patch11:		IO-Socket-SSL.patch

BuildRequires:	perl(HTTP::Daemon)
BuildRequires:	perl(IO::Socket::SSL)
BuildRequires:	perl-libwww-perl
BuildArch:	noarch


%description
HTTP::Daemon::SSL is a descendant of HTTP::Daemon that uses SSL
sockets (via IO::Socket::SSL) instead of cleartext sockets. It
also handles SSL-specific problems, such as dealing with HTTP
clients that attempt to connect to it without using SSL.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc certs Changes BUGS README META.yml
%{perl_vendorlib}/HTTP
%{_mandir}/*/*
