%define upstream_name	 HTTP-Proxy
%define upstream_version 0.304

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    A pure Perl HTTP proxy
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://http-proxy.mongueurs.net/
Source0:    https://cpan.metacpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz
# debugging 23connect
Patch2:		HTTP-Proxy-0.303-23connect-logging-debug.patch

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTML::Parser) >= 3.0.0
BuildRequires: perl(HTTP::Daemon)
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(HTTP::Headers::Util)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Select)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(LWP::ConnCache)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(POSIX)
BuildRequires: perl(Socket)
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The HTTP::Proxy module implements a HTTP proxy, using a HTTP::Daemon to
accept client connections, and a LWP::UserAgent to ask for the requested
pages.

The most interesting feature of this proxy object is its ability to
filter the HTTP requests and responses through user-defined filters.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1
chmod 755 eg/*.pl

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
rm -f t/02pod-coverage.t
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README eg
%{perl_vendorlib}/HTTP/*
%{_mandir}/*/*
