%define upstream_name    HTTP-Thin
%define upstream_version 0.006

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    A Thin Wrapper around HTTP::Tiny to play nice with HTTP::Message
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Method::Modifiers)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(Hash::MultiValue)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Safe::Isa)
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
WARNING: This module is untested beyond the very basics. The implementation
is simple enough that it shouldn't do evil things but, yeah it's still not
approved for use by small children.

'HTTP::Thin' is a thin wrapper around the HTTP::Tiny manpage adding the
ability to pass in the HTTP::Request manpage objects and get back the
HTTP::Response manpage objects. The maintainers of the HTTP::Tiny manpage,
justifiably, don't want to have to maintain compatibility but many other
projects already consume the the HTTP::Message manpage objects. This is
just glue code doing what it does best.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.json META.yml LICENSE CHANGES README
%{_mandir}/man3/*
%perl_vendorlib/*


