%define upstream_name    Hash-DefHash
%define upstream_version 0.072

Name:           perl-Hash-DefHash
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 1
Summary:        Manipulate defhash
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
Group:          Development/Perl
URL:            https://metacpan.org/release/Hash-DefHash
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PERLANCAR/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:      noarch

# Require module version when importing Exporter (#1788170)
Patch0:         Hash-DefHash_exporter.patch

BuildRequires:  make
BuildRequires:  perl(blib)
BuildRequires:  perl(Exporter) >= 5.57
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(Regexp::Pattern::DefHash)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(String::Trim::More)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(warnings)



%description
DefHash - Define things according to a specification, using hashes.
See the DefHash specification at https://metacpan.org/pod/DefHash.


%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build


%install
%make_install
%{_fixperms} %{buildroot}/*


%check
make test


%files
%doc Changes README
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/Hash::DefHash*.*
