%define upstream_name    Hash-Slice
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Make a hash from a deep slice of another hash
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Hash/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Clan)
BuildRequires: perl(Clone)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::Most)
BuildArch: noarch

%description
Hash::Slice lets you easily make a deep slice of a hash, specifically a
hash containing one or more nested hashes. Instead of just taking a slice
of the first level of a hash in an all-or-nothing manner, you can use slice
to take a slice of the first level, then take a particular slice of the
second level, and so on.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


