%define upstream_name	 Heimdal-Kadm5
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 28
Summary:    Perl extension for administration of Heimdal Kerberos servers
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/L/LE/LEIFJ/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Heimdal-Kadm5-no-redeclare.patch 
BuildRequires:	perl-devel
BuildRequires:	heimdal-devel
BuildRequires:  perl(Time::Seconds)


%description
Heimdal::Kadm5 is a basic XSUB perl glue to the Heimdal
(http://www.pdc.kth.se/src/heimdal) kadm5clnt library. Heimdal is a free,
slightly less export challenged implementation of Kerberos5 by Assar Westerlund
and Johan Danielsson. Heimdal::Kadm5 allows you to perform more administration
of your kdc than you can usually pull off with the included kadmin program.
Heimdal::Kadm5 should be considered alpha-code and may consequently crash and
burn but should not muck up your kdc any more than kadmin itself does.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor INC="-I%{_includedir}/heimdal"
%make_build

%install
%make_install

%check
%{__make} test

%files
%doc Changes README META.yml
%{perl_vendorarch}/Heimdal
%{perl_vendorarch}/auto/Heimdal
%{_mandir}/*/*
