%define upstream_name    Helios
%define upstream_version 2.83

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Helios service to index MP3s to a database table
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::IniFiles) >= 2.380.0
BuildRequires: perl(DBI) >= 1.520.0
BuildRequires: perl(Data::ObjectDriver) >= 0.40.0
BuildRequires: perl(Error) >= 0.170.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Pod::Usage) >= 0.10.0
BuildRequires: perl(Test::Simple) >= 0.720.0
BuildRequires: perl(TheSchwartz) >= 1.40.0
BuildRequires: perl(XML::Simple) >= 2.140.0
BuildArch:  noarch

%description
Helios is a system for building asynchronous distributed job processing
applications. Applications that need to process millions of small units of
work in parallel can use the Helios system to scale this work across the
multiple processes and servers that form a Helios collective. Helios may
also be used to improve the user experience on websites. By utilizing the
framework's APIs, potential timeout issues can be eliminated and response
times decreased for larger tasks invoked in response to user input. The web
server application can "fire and forget" in the background, immediately
returning control to the user. Using Helios, simple Perl applications can
be written to distribute massive workloads throughout the Helios collective
while still retaining centralized management.

The Helios module itself is merely a placeholder for versioning and
documentation purposes. If you want to require Helios (or a certain version
of it) in your package, adding

 Helios => 2.00

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install
rm -f %{buildroot}/%{perl_vendorlib}/README.pod

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README eg
%{_bindir}/*
%{_mandir}/man?/*
%{perl_vendorlib}/*