%define upstream_name    HiD
%define upstream_version 0.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Publish site
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Cmd::Tester)
BuildRequires: perl(Carp)
BuildRequires: perl(Class::Load)
BuildRequires: perl(Cwd)
BuildRequires: perl(DDP)
BuildRequires: perl(Date::Parse)
BuildRequires: perl(DateTime)
BuildRequires: perl(Exporter)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Remove)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::App::Cmd)
BuildRequires: perl(MooseX::App::Cmd::Command)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Plack::App::File)
BuildRequires: perl(Plack::Runner)
BuildRequires: perl(String::Errf)
BuildRequires: perl(Template)
BuildRequires: perl(Test::File)
BuildRequires: perl(Test::File::Contents)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Routine)
BuildRequires: perl(Test::Routine::Util)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Text::Markdown)
BuildRequires: perl(Text::Textile)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(YAML)
BuildRequires: perl(YAML::XS)
BuildRequires: perl(autodie)
BuildRequires: perl(charnames)
BuildRequires: perl(feature)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(open)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
HiD users probably want to look at the documentation for the the hid
manpage command.

Subsequent documentation in this file describes internal details that are
only useful or interesting for people that are trying to modify or extend
HiD.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc TODO README Changes LICENSE INSTALL META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/hid
/usr/share/man/man1/hid.1.xz

