%define upstream_name    Hijk
%define upstream_version 0.28

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Specialized HTTP client
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Net::Ping) >= 2.410.0
BuildRequires: perl(Net::Server::HTTP)
BuildRequires: perl(Plack)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(inc::Module::Install)
BuildArch:  noarch

%{?perl_default_filter}

%description
Hijk is a specialized HTTP Client that does nothing but transport the
response body back. It does not feature as a "user agent", but as a dumb
client. It is suitable for connecting to data servers transporting via HTTP
rather then web servers.

Most of HTTP features like proxy, redirect, Transfer-Encoding, or SSL are
not supported at all. For those requirements we already have many good HTTP
clients like the HTTP::Tiny manpage, the Furl manpage or the LWP::UserAgent
manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%{perl_vendorlib}/*
