%define upstream_name	 IMDB-Film
%define upstream_version 0.53

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    OO Perl interface to the database of films IMDB
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/S/ST/STEPANOV/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cache::FileCache)
BuildRequires: perl(Carp)
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(Error)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTML::TokeParser) >= 2.280.0
BuildRequires: perl(LWP::Simple) >= 1.410.0
BuildRequires: perl(Pod::Checker)
BuildRequires: perl(Text::Unidecode)
BuildArch:  noarch

%description
IMDB::Film is OO Perl interface to the database of films
IMDB (www.imdb.com). It allows to retrieve information
about movies by its IMDB code or title. Also, there is a 
possibility to get information about IMDB persons (actors,
actresses, directors etc) by their name of code.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make_build

%install
%make_install

%files
%doc ChangeLog LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/IMDB
%{_mandir}/man3/*