%define upstream_name    IO-Digest
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    %{upstream_name} module, calculate digests while reading or writing  
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/C/CL/CLKAO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(PerlIO::via::dynamic) >= 0.100.0
BuildRequires: perl(PerlIO::via::dynamic)
# for test
BuildRequires: perl(Internals)
BuildArch:  noarch

%description
This module allows you to calculate digests while reading or writing file 
handles. This avoids the case you need to reread the same content to 
compute the digests after written a file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
%make_install

%files
%defattr(444,root,root,755)
%doc CHANGES META.yml MYMETA.yml README SIGNATURE
%{perl_vendorlib}/IO/*
%_mandir/man*/*
