%define upstream_name    IO-Epoll
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 25

Summary:    Scalable IO Multiplexing for Linux 2.5.44 and higher
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
The 'epoll(4)' subsystem is a new, (currently) Linux-specific variant of
'poll(2)'. It is designed to offer O(1) scalability over large numbers of
watched file descriptors. You will need at least version 2.5.44 of Linux to
use this module, and you might need to upgrade your C library.

The 'epoll(2)' API comprises four system calls: 'epoll_create(2)',
'epoll_ctl(2)', 'epoll_wait(2)' and 'epoll_pwait(2)'. 'IO::Epoll' provides
a low-level API which closely matches the underlying system calls. It also
provides a higher-level layer designed to emulate the behavior of
'IO::Poll' and 'IO::Ppoll'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*
