%define upstream_name IO-Event
%define upstream_version 0.813

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Tied Filehandles for Nonblocking IO with Object Callbacks
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz
# Fix a race in t/foked2.t test, bug #1105023, CPAN RT#92200
Patch0:         IO-Event-0.813-Fix-undeterministic-test-failures-in-t-forked2.t.patch

BuildRequires: perl(AnyEvent)
BuildRequires: perl(Event)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Test::Simple)
BuildRequires: perl(Time::HiRes)
BuildArch:  noarch

%{?perl_default_filter}

%description
IO::Event provides a object-based callback system for handling
nonblocking IO. The design goal is to provide a system that just does
the right thing w/o the user needing to think about it much.

All APIs are kept as simple as possible yet at the same time, all
functionality is accessible if needed. Simple things are easy. Hard
things are possible.

Most of the time file handling syntax will work fine: "<$filehandle>"
and "print $filehandle 'stuff'".

IO::Event provides automatic buffering of output (with a callback to
throttle). It provides automatic line-at-a-time input.

After initial setup, call "IO::Event::loop()".

IO::Event was originally written to use Event. IO::Event still defaults
to using Event but it can now use AnyEvent or its own event loop.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
