%define upstream_name    IO-Socket-SSL
%define upstream_version 2.089

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Nearly transparent SSL encapsulation for IO::Socket::INET
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     IO-Socket-SSL-2.087-use-system-default-cipher-list.patch
Patch1:     IO-Socket-SSL-2.087-use-system-default-SSL-version.patch
# A test for Enable-Post-Handshake-Authentication-TLSv1.3-feature.patch,
# bug #1632660, requires openssl tool
Patch2:     IO-Socket-SSL-2.087-Test-client-performs-Post-Handshake-Authentication.patch
# (tv) Fix Makefile.PL so that magie stops removing BR on perl(IPC::Run):
Patch10:    BR-IPC-Run.patch

# IPC::Run for Test-client-performs-Post-Handshake-Authentication.patch 	 

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IPC::Run)
BuildRequires: perl(Net::SSLeay) >= 1.460.0
BuildRequires: perl(Scalar::Util)
BuildArch:  noarch

%description
IO::Socket::SSL is a class implementing an object oriented
interface to SSL sockets. The class is a descendent of
IO::Socket::INET and provides a subset of the base class's
interface methods.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# Use system-wide default cipher list to support use of system-wide
# crypto policy (#1076390, #1127577, CPAN RT#97816)
# https://fedoraproject.org/wiki/Changes/CryptoPolicy
%patch -P 0

# Use system-default SSL version too
%patch -P 1

# Add a test for PHA
%patch -P 2 -p1

%patch -P 10 -p1

%build
NO_NETWORK_TESTING=1 %__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc BUGS Changes META.json META.yml MYMETA.yml README example
%{_mandir}/*/*
%{perl_vendorlib}/IO