%define upstream_name    IO-Socket-Socks
%define upstream_version 0.74

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Provides a way to create socks client or server both 4 and 5 version
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.520.0
BuildRequires: perl(IO::Select)
BuildRequires: perl(Socket) >= 1.940.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(constant) >= 1.30.0
BuildArch:  noarch

%description
IO::Socket::Socks connects to a SOCKS proxy, tells it to open a connection
to a remote host/port when the object is created. The object you receive
can be used directly as a socket for sending and receiving data from the
remote host. In addition to create socks client this module could be used
to create socks server. See examples below.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*