%define upstream_name    IO-Socket-TIPC
%define upstream_version 1.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 15

Summary:    Struct sockaddr_tipc class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl-devel

%description
TIPC stands for Transparent Inter-Process Communication. See
http://tipc.sf.net/ for details.

This perl module subclasses IO::Socket, in order to use TIPC sockets in the
customary (and convenient) Perl fashion.

TIPC supports 4 types of socket: _SOCK_STREAM_, _SOCK_SEQPACKET_,
_SOCK_RDM_ and _SOCK_DGRAM_. These are all available through this perl API,
though the usage varies depending on which kind of socket you use.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc TODO README Changes META.yml
%{_mandir}/man3/*
%perl_vendorarch/*


