%define upstream_name    IP-Info
%define upstream_version 0.18

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Interface to IP geographic and network data
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Validate::IP) >= 0.100.0
BuildRequires: perl(Digest::MD5) >= 2.360.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(JSON)
BuildRequires: perl(Moo)
BuildRequires: perl(Test::More)
BuildRequires: perl(Throwable)
BuildRequires: perl(namespace::clean)
BuildArch:  noarch

%description
Quova RESTful API provides the geographic location and network data for any
Internet Protocol address in the public address space. The information
includes:

* * Postal code, city, state, region, country, and continent

* * Area code (US and Canada only) and time zone

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*