%define upstream_name    IP-QQWry
%define upstream_version 0.0.21

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A simple interface for QQWry IP database(file)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildArch:  noarch

%description
'QQWry.Dat' http://www.cz88.net/fox/ is an IP file database. It
provides some useful information such as the geographical position of the
host bound with some IP address, the IP's owner, etc. IP::QQWry
provides a simple interface for this file database.

For more about the format of the database, take a look at this:
http://lumaqq.linuxsir.org/article/qqwry_format_detail.html

Caveat: The 'QQWry.Dat' database uses gbk or big5 encoding, 'IP::QQWry'
doesn't provide any encoding conversion utility, so if you want some other
encoding, you have to do it yourself. (BTW, Encode is a great
module for this.)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
