%define upstream_name    IPC-PubSub
%define upstream_version 0.29

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Interprocess Publish/Subscribe channels
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IPC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(DBM::Deep)
BuildRequires: perl(Data::UUID)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Storable)
BuildRequires: perl(Time::HiRes)
BuildArch: noarch

%description
This module provides a simple API for publishing messages to _channels_ and
for subscribing to them.

When a _message_ is published on a channel, all subscribers currently in
that channel will get it on their next 'get' or 'get_all' call.

Currently, it offers four backends: 'DBM_Deep' for on-disk storage,
'Memcached' for possibly multi-host storage, 'Jifty::DBI' for
database-backed storage, and 'PlainHash' for single-process storage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml Changes README
%{_mandir}/man3/*
%perl_vendorlib/*


