%define upstream_name	 IPC-Run
%define upstream_version 20231003.0

%global __requires_exclude Win32

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    %{upstream_name} module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IPC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Pty) >= 1.80.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
IPC::Run allows you run and interact with child processes using files,
pipes, and pseudo-ttys. Both system()-style and scripted usages are
supported and may be mixed. Likewise, functional and OO API styles are
both supported and may be mixed.

Various redirection operators reminiscent of those seen on common Unix
and DOS command lines are provided.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 755 eg/*
perl -pi -e 's|^#!/usr/local/bin/perl|#!/usr/bin/perl|' eg/*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
#%{__make} test

%install
%make_install

%files
%doc Changelog LICENSE META.json META.yml MYMETA.yml eg
%{perl_vendorlib}/IPC
%{_mandir}/*/*