%define upstream_name 	 IPC-Shareable
%define upstream_version 1.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    %{upstream_name} perl module
License:    Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IPC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.720.0
BuildRequires: perl(IPC::Semaphore)
BuildRequires: perl(JSON)
BuildRequires: perl(Mock::Sub)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable) >= 0.607.0
BuildRequires: perl(String::CRC32)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::SharedFork) >= 0.350.0
BuildArch:  noarch

%description
IPC-Shareable allows you to tie a variable to shared memory making it easy to
share the contents of that variable with other Perl processes. Scalars, arrays,
and hashes can be tied. The variable being tied may contain arbitrarily complex
data structures including references to arrays, hashes of hashes, etc.

%prep
%setup -q  -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make 

%install
%make_install

%files
%doc COPYING CREDITS Changes DISCLAIMER META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/IPC/ipc.pl
%{perl_vendorlib}/IPC/*.pm
%{perl_vendorlib}/IPC/Shareable/*.pm
%{_mandir}/*/*
