%define upstream_name       IPC-SharedCache
%define upstream_version    1.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11
Summary:    Manage a cache in SysV IPC shared memory
License:    GPL or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IPC/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     0001-Wrap-IPC-ShareLite-new-calls-inside-eval-block.patch 
BuildRequires:	perl(IPC::ShareLite)
BuildArch:	noarch


%description
This module provides a shared memory cache accessed as a tied hash.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README ANNOUNCE
%license LICENSE
%{perl_vendorlib}/IPC
%{_mandir}/*/*
