%define upstream_name IRI
%define upstream_version 0.013

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Internationalized Resource Identifiers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/IRI
Source0:    https://cpan.metacpan.org/authors/id/G/GW/GWILLIAMS/%{upstream_name}-%{upstream_version}.tar.gz

Provides:   perl(IRI)

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Moo)
BuildRequires: perl(MooX::HandlesVia)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(Type::Tiny) >= 0.8.0
BuildRequires: perl(URI)
BuildArch:  noarch

%description
The IRI module is a Perl implementation of Internationalized Resource
Identifiers (IRIs) as defined by [RFC 3987]
(https://www.ietf.org/rfc/rfc3987.txt).

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*
