%define upstream_name Ima-DBI
%define upstream_version 0.35

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6
Summary:	Database connection caching and organization
License:	GPL or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source:		https://cpan.metacpan.org/authors/id/T/TM/TMTM/%{upstream_name}-%{upstream_version}.tar.gz
Buildrequires:	perl(DBIx::ContextualFetch)
Buildrequires:	perl(Class::Data::Inheritable)
Buildrequires:  perl(DBI)
Buildarch:	noarch

%description
Ima::DBI attempts to organize and facilitate caching and more efficient use of
database connections and statement handles by storing DBI and SQL information
with your class (instead of as separate objects). This allows you to pass
around just one object without worrying about a trail of DBI handles behind it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files 
%doc Changes README
%{perl_vendorlib}/Ima
%{_mandir}/*/*
