%define upstream_name    Image-Base-SVG
%define upstream_version 5

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    SVG image file output
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Image/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Image::Base)
BuildRequires: perl(SVG) >= 2.380.0
BuildRequires: perl(SVG::Parser)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
'Image::Base::SVG' extends 'Image::Base' to create or update SVG format
image files using the 'SVG.pm' module (see the SVG::Manual manpage).

'Image::Base' is pixel oriented so isn't really the sort of thing SVG is
meant for, but this module can direct some 'Image::Base' style code at an
'SVG' object. Of course the 'SVG' module has many more features if used
natively.

It's often fairly easy to spit out SVG directly too, and for instance the
'Image::Base::SVGout' module can do that. The advantage of the 'SVG'
document object model comes when combining images or fragments, or going
through elements for post-facto mangling.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYING Changes META.json META.yml MYMETA.yml SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*