%define upstream_name    Image-Epeg
%define upstream_version 0.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 21

Summary:    Thumbnail JPEGs at lightning speed
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Image/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: pkgconfig(libjpeg)
BuildRequires: perl(Devel::PPPort)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::ParseXS)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl-devel

%description
Perl wrapper to the ultra-fast jpeg manipulation library "Epeg". This
library can be used to thumbnail (resize down) JPEGs, set comments and
quality. NOTE: The resize() method *must* be called with valid arguments or
get_data() and write_file() will fail.

Methods
    * * new( [filename|data ref] )

    * * get_height()

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes HACKING README META.yml
%{_mandir}/man3/*
%{perl_vendorarch}/*


