%define upstream_name    Image-PNG-Libpng
%define upstream_version 0.59

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl interface to the C library "libpng"
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Image/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
BuildRequires: pkgconfig(libpng)
%description
Image::PNG::Libpng is a Perl library for accessing the contents of PNG
(Portable Network Graphics) images. Image::PNG::Libpng enables Perl to use
the "libpng" library to read and write files in PNG format.
Image::PNG::Libpng does not contain libpng. It must be installed prior to
installing Image::PNG::Libpng.

Image::PNG::Libpng consists of Perl subroutines which mirror the C
functions in libpng, plus helper subroutines to make it easier to read and
write PNG data in Perl.

For those familiar with libpng, the section the /Differences from libpng
manpage explains the differences with libpng.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# Do not install author scripts
for F in get-pixel.pl nicemake.pl t/make-tEXT.pl; do
    rm "$F"
    perl -i -ne 'print $_ unless m{^\Q'"$F"'\E}' MANIFEST
done
# Help generators to recognize Perl scripts
for F in t/*.t; do
    perl -i -MConfig -ple 'print $Config{startperl} if $. == 1 && !s{\A#!\s*perl}{$Config{startperl}}' "$F"
    chmod +x "$F"
done

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorarch/*
/usr/bin/pnginspect
/usr/share/man/man1/pnginspect.1.xz