# Run optional test
%bcond_without perl_Image_Sane_enables_optional_test

%define upstream_name Image-Sane
%define upstream_version 5

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8
Summary:    Perl extension for the SANE (Scanner Access Now Easy) Project
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/R/RA/RATCLIFFE/%{upstream_name}-%{upstream_version}.tar.gz
# Adapt to Perl 5.37.10, CPAN RT#148487
Patch0:         Image-Sane-5-Replace-deprecated-given-and-when-operators.patch

BuildRequires: perl(Config)
BuildRequires: perl(Exception::Class)
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig)
BuildRequires: perl(Readonly)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Try::Tiny)
BuildRequires: coreutils
BuildRequires: findutils
BuildRequires: gcc
BuildRequires: make
BuildRequires: perl
BuildRequires: perl-devel
BuildRequires: pkgconfig(sane-backends) >= 1.0.19
# Run-time:

# Tests:

%if %{with perl_Image_Sane_enables_optional_test}
# Optional tests:
# ImageMagick for identify tool
BuildRequires: ImageMagick
# Test::Perl::Critic not used

# sane-backensds for scanimage tool
BuildRequires: sane-backends
%endif

%description
These Perl bindings for the SANE (Scanner Access Now Easy) Project allow
you to access SANE-compatible scanners in a Perlish and object-oriented
way, freeing you from the casting and memory management in C, yet remaining
very close in spirit to original API.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}
chmod -x examples/*

%build
%__perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 OPTIMIZE="%{optflags}"
%make_build

%install
%make_install

find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}/*

%check
%__make test

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Image*
%{_mandir}/man3/*
