%define upstream_name    Image-Thumbnail
%define upstream_version 0.66

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Simple thumbnails with various Perl libraries
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Image/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(GD)
BuildRequires: perl(Test::Harness) >= 0.100.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module was created to answer the FAQ, 'How do I simply create a
thumbnail with pearl?' (sic). It allows you to easily make thumbnail
images from files, objects or (in most cases) 'blobs', using either the
ImageMagick, Image::Epeg, Imager or GD libraries.

Thumbnails created can either be saved as image files or accessed as
objects via the object field: see "create".

In the experience of the author, thumbnails are created fastest with
direct use of the Image::Epeg module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*
