%define upstream_name	 Imager
%define upstream_version 1.027

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl extension for generating 24 bit images
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Imager/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Imager-add-missing-header.patch

BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util) >= 1.0.0
BuildRequires: perl(Test::More) >= 0.990.0
BuildRequires: perl(XSLoader)
BuildRequires: pkgconfig(fontconfig)
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(libtiff-4)
BuildRequires: perl-devel
BuildRequires: t1lib-devel
BuildRequires: giflib-devel
%{?perl_default_filter}

# Imager-1.020 disabled Imager::Font::T1 and Freetype 1.x fonts by default
# Installing Imager no longer installs Imager::Font::T1 by default.
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Imager::Font::T1\\)

%description
Imager is a module for creating and altering images. It can read and write
various image formats, draw primitive shapes like lines,and polygons, blend
multiple images together in various ways, scale, crop, render text and more.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
IM_SUPPRESS_PROMPT=1 %__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
make test

%files
%doc Changes GIF ICO JPEG META.json META.yml MYMETA.yml PNG README SGI TIFF samples
%{perl_vendorarch}/Imager.pm
%{perl_vendorarch}/Imager
%{perl_vendorarch}/auto/Imager
%{_mandir}/*/*