%define upstream_name    Import-Into
%define upstream_version 1.002005

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Import packages into other packages
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Import/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
Writing exporters is a pain. Some use the Exporter manpage, some use the
Sub::Exporter manpage, some use the Moose::Exporter manpage, some use the
Exporter::Declare manpage ... and some things are pragmas.

If you want to re-export other things, you have to know which is which. the
Exporter manpage subclasses provide export_to_level, but if they overrode
their import method all bets are off. the Sub::Exporter manpage provides an
into parameter but figuring out something used it isn't trivial. Pragmas
need to have their 'import' method called directly since they affect the
current unit of compilation.

It's ... annoying.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*