%define upstream_name    Importer
%define upstream_version 0.026

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Alternative but compatible interface to modules that export symbols
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.980.0
BuildArch:  noarch

%description
This module acts as a layer between the Exporter manpage and modules which
consume exports. It is feature-compatible with the Exporter manpage, plus
some much needed extras. You can use this to import symbols from any
exporter that follows the Exporter manpages specification. The exporter
modules themselves do not need to use or inherit from the the Exporter
manpage module, they just need to set '@EXPORT' and/or other variables.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*