%define upstream_name Inline-C
%define upstream_version 0.82

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Write Perl Subroutines in C
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Inline/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 7.0.0
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::ShareDir::Install) >= 0.60.0
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(Inline) >= 0.860.0
BuildRequires: perl(Parse::RecDescent) >= 1.967.9
BuildRequires: perl(Pegex) >= 0.660.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Warn) >= 0.230.0
BuildRequires: perl(YAML::XS)
BuildRequires: perl(autodie)
BuildRequires: perl(version) >= 0.770.0
BuildRequires: perl-devel
BuildArch:  noarch

%description
"Inline::C" is a module that allows you to write Perl subroutines in C.
Since version 0.30 the Inline module supports multiple programming
languages and each language has its own support module.

If you want to start working with programming examples right away, check
out Inline::C::Cookbook. For more information on Inline in general, see
Inline.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README example
%{_mandir}/man3/*
%{perl_vendorlib}/*