%define upstream_name    Inline-CPP
%define upstream_version 0.80

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Write Perl subroutines and classes in C++
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Inline/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::CppGuess) >= 0.150.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Inline) >= 0.820.0
BuildRequires: perl(Inline::C) >= 0.800.0
BuildRequires: perl(Parse::RecDescent)
BuildRequires: perl(Test::More) >= 1.1.9
BuildRequires: perl-devel
BuildArch:  noarch

%description
The the Inline::CPP manpage module allows you to put C++ source code
directly "inline" in a Perl script or module. You code classes or functions
in C++, and you can use them as if they were written in Perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export PERL_MM_USE_DEFAULT=true
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TESTED
%{_mandir}/man3/*
%{perl_vendorlib}/*