%define upstream_name    Inline-Python
%define upstream_version 0.57

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Easy implementation of Python extensions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Inline/%{upstream_name}-%{upstream_version}.tar.gz
#               Fix makefile logic
#               https://github.com/niner/inline-python-pm/pull/38
Patch0:         %{name}-makefile.patch
#               Improve compatibility with strict(er) C99 compilers
#               https://github.com/niner/inline-python-pm/pull/39
Patch1:         %{name}-c99.patch
#               Fix compiler warnings
#               https://github.com/niner/inline-python-pm/pull/41
Patch2:         %{name}-warn.patch
#               Fix compilation with Python 3.13
#               https://github.com/niner/inline-python-pm/pull/42
Patch3:         %{name}-py3.13.patch

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest::MD5) >= 2.500.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Inline) >= 0.460.0
BuildRequires: perl(Proc::ProcessTable) >= 0.530.0
BuildRequires: perl(Test)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Number::Delta)
BuildRequires: gcc
BuildRequires: findutils
BuildRequires: make
BuildRequires: perl-devel
BuildRequires: python3
BuildRequires: python3-devel
BuildConflicts: python2-devel
Requires:   perl(Inline) >= 0.460.0
Requires:   perl(Inline::denter)
%description
The 'Inline::Python' module allows you to put Python source code directly
"inline" in a Perl script or module. It sets up an in-process Python
interpreter, runs your code, and then examines Python's symbol table for
things to bind to Perl. The process of interrogating the Python interpreter
for globals only occurs the first time you run your Python code. The
namespace is cached, and subsequent calls use the cached version.

This document describes 'Inline::Python', the Perl package which gives you
access to a Python interpreter. For lack of a better place to keep it, it
also gives you instructions on how to use 'perlmodule', the Python package
which gives you access to the Perl interpreter.

%prep
%autosetup -n %{upstream_name}-%{upstream_version} -p1

%build
INLINE_PYTHON_EXECUTABLE=/usr/bin/python3 %{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1
%make_build

%install
%make_install

find %{buildroot} -type f -name '*.bs' -size 0 -delete

%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes META.json META.yml MYMETA.yml README TESTED
%{_mandir}/man3/*
%{perl_vendorarch}/Inline
%{perl_vendorarch}/auto/Inline
