%define upstream_name    Internals
%define upstream_version 1.1

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 26

Summary:	Write-protect variables, manipulate refcounts
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel


%description
This module allows you to write-protect and write-enable your Perl
variables, objects and data structures.

Moreover, the reference count of any Perl variable can be read and set.

You can never pass the object directly on which to perform the desired
action, you always have to pass a reference to the variable or data
structure in question.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README.txt Artistic.txt GNU_GPL.txt CHANGES.txt
%{_mandir}/man3/*
%perl_vendorarch/Internals.pm
%perl_vendorarch/auto/Internals
