%define upstream_name    JIRA-REST
%define upstream_version 0.024

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Thin wrapper around JIRA's REST API
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/JIRA/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config::Identity) >= 0.1.900
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(HTTP::CookieJar::LWP)
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(JSON) >= 2.230.0
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Net::Netrc)
BuildRequires: perl(REST::Client)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(lib)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
https://www.atlassian.com/software/jira/ is a proprietary bug tracking
system from Atlassian.

This module implements a very thin wrapper around JIRA's REST APIs:

* * https://docs.atlassian.com/jira/REST/server/

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%perl_vendorlib/*