%define upstream_name    JSON-PP
%define upstream_version 4.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Dummy module providing JSON::PP::Boolean
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/JSON/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util) >= 1.80.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

Conflicts: perl-devel < 5.14.0-4

%description
This module is the JSON::XS manpage compatible pure Perl module.

JSON::XS is the fastest and most proper JSON module on CPAN. It is written
in C.

JSON::PP is a pure-Perl module and has compatibility to JSON::XS.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install
# bug#1756 - prevent conflict with JSON::PP shipped with perl
mv %{buildroot}/%{_bindir}/json_pp %{buildroot}/%{_bindir}/json_pp-%{upstream_version}
mv %{buildroot}/%{_mandir}/man1/json_pp.1 %{buildroot}/%{_mandir}/man1/json_pp-%{upstream_version}.1

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_bindir}/*
%{_mandir}/man*/*
%perl_vendorlib/*