%define upstream_name    JSON-Parse
%define upstream_version 0.62

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Summary:    Tokenize a string containing JSON
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/JSON/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
A module for parsing JSON. (JSON means "JavaScript Object Notation" and it
is specified in the /RFC 7159 manpage.)

JSON::Parse offers the function the /parse_json manpage, which takes a
string containing JSON, and returns an equivalent Perl structure. It also
offers validation of JSON via the /valid_json manpage, which returns true
or false depending on whether the JSON is correct or not, and the
/assert_valid_json manpage, which produces a descriptive fatal error if the
JSON is invalid. A function the /json_file_to_perl manpage reads JSON from
a file, and there is a safer version of the /parse_json manpage called the
/parse_json_safe manpage which doesn't throw exceptions.

For special cases of parsing, there are also methods the /new manpage and
the /run manpage, which create a JSON parsing object and run it on text.
See the /METHODS manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorarch/*
/usr/bin/validjson
