%define upstream_name    JSON-Path
%define upstream_version 1.0.6

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Search nested hashref/arrayref structures using JSONPath
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/JSON/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Assert)
BuildRequires: perl(Exporter::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(LV)
BuildRequires: perl(List::Util) >= 1.450.0
BuildRequires: perl(Readonly)
BuildRequires: perl(Test2::V0)
BuildRequires: perl(Try::Tiny)
BuildArch:  noarch

%description
This module implements JSONPath, an XPath-like language for searching
JSON-like structures.

JSONPath is described at the http://goessner.net/articles/JsonPath/
manpage.

This module is JSON::JOM-compatible.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*