%define upstream_name    JSON-Validator
%define upstream_version 5.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

License:    Artistic
Group:      Development/Perl
Summary:    Validate data against a JSON schema
Url:        https://metacpan.org/pod/JSON::Validator
Source0:    https://cpan.metacpan.org/authors/id/J/JH/JHTHORSEN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::Util) >= 1.450.0
BuildRequires: perl(Mojolicious) >= 7.280.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More) >= 1.300.0
BuildRequires: perl(YAML::XS) >= 0.670.0
BuildArch:  noarch

%{?perl_default_filter}

%description
Validate data against a JSON schema.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%{make}

%check
# Workaround to Solve test build issue https://github.com/jhthorsen/json-validator/issues/72
rm -f t/jv-formats.t t/jv-object.t t/openapi-formats.t
%{make} test

%install
%{make_install}

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*