%define upstream_name    JavaScript-Beautifier
%define upstream_version 0.25

%{?perl_default_filter}
# a self provides that's actually NOT provided:
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(JavaScript::Packer1\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Beautify Javascript (beautifier for javascript)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/JavaScript/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::File)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
This module is mostly a Perl-rewrite of the
https://github.com/einars/js-beautify/tree/master/beautify.js manpage

You can check it through the http://jsbeautifier.org/ manpage

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/js_beautify.pl
/usr/share/man/man1/js_beautify.pl.1.*
