%define upstream_name    JavaScript-Minifier-XS
%define upstream_version 0.15

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    XS based JavaScript minifier
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/JavaScript/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::DiagINC) >= 0.2.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl-devel
%description
'JavaScript::Minifier::XS' is a JavaScript "minifier"; its designed to
remove un-necessary whitespace and comments from JavaScript files, which
also *not* breaking the JavaScript.

'JavaScript::Minifier::XS' is similar in function to
'JavaScript::Minifier', but is substantially faster as its written in XS
and not just pure Perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*
