%define upstream_name    Jifty-DBI
%define upstream_version 0.78

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Ensure uniqueness of records in a collection
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Jifty/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cache::Memcached)
BuildRequires: perl(Cache::Simple::TimedExpiry) >= 0.210.0
BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(Class::Data::Inheritable)
BuildRequires: perl(Class::ReturnValue) >= 0.400.0
BuildRequires: perl(Class::Trigger) >= 0.120.0
BuildRequires: perl(Clone)
BuildRequires: perl(DBD::SQLite) >= 1.140.0
BuildRequires: perl(DBI)
BuildRequires: perl(DBIx::DBSchema) >= 0.340.0
BuildRequires: perl(Data::Page) >= 2.0.0
BuildRequires: perl(DateTime) >= 0.340.0
BuildRequires: perl(DateTime::Format::ISO8601)
BuildRequires: perl(DateTime::Format::Strptime)
BuildRequires: perl(Encode) >= 2.100.0
BuildRequires: perl(Exporter::Lite)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Hash::Merge)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Lingua::EN::Inflect)
BuildRequires: perl(Object::Declare) >= 0.220.0
BuildRequires: perl(Scalar::Defer) >= 0.100.0
BuildRequires: perl(Test::More) >= 0.520.0
BuildRequires: perl(Test::Warn) >= 0.100.0
BuildRequires: perl(Time::Duration)
BuildRequires: perl(Time::Duration::Parse) >= 0.60.0
BuildRequires: perl(UNIVERSAL::require) >= 0.110.0
BuildRequires: perl(URI)
BuildRequires: perl(YAML::Syck)
BuildRequires: perl(version)
BuildArch:  noarch
%global __requires_exclude perl\\(DBD::Oracle\\)

%description
Jifty::DBI deals with databases, so that you don't have to.

This module provides an object-oriented mechanism for retrieving and
updating data in a DBI-accessible database.

This module is the direct descendant of the DBIx::SearchBuilder manpage. If
you're familiar with SearchBuilder, Jifty::DBI should be quite familiar to
you.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README ROADMAP SIGNATURE ex
%{_mandir}/man3/*
%{perl_vendorlib}/*
