%define upstream_name    Kolab-DirServ
%define upstream_version 1.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A Perl Module that handles Address book
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Kolab/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
The Kolab::DirServ module receives Net::LDAP::Entry entries, converts them
to LDIF format and sends them to a list of mailboxes in LDIF format. The
list of peers and other configuration parameters is provided through the
Kolab::DirServ::Config module.

EXPORT
      &notify_new_alias( $entry )
    
        Receives a Net::LDAP::Entry object.
        Send a new alias notification to each of the address book peers in
        a LDIF MIME attachment.
    
      &notify_remove_alias( $entry )
    
        Receives a Net::LDAP::Entry object.
        Send a notification to each of the address book peers to remove an
        entry from their address books.
    
      &notify_modify_alias( $entry )
    
        Receives a Net::LDAP::Entry object.
        Send updated information to each of the address book peers. Each
        peer then updates the corresponding address book entry with the
        updated information.
    
      &handle_notifications( $server, $user, $password )
    
        Connects to specified IMAP server and retrieves all messages from
        the specified mailbox. The messages are cleared from the mailbox
        after they are handled. This process runs periodically on a peer.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


