%define upstream_name LV
%define upstream_version 0.006

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 9

Summary:	This module makes lvalue subroutines easy and practical to use
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/XRD/TOBYINK/%{upstream_name}-%{upstream_version}.tar.gz

#BuildRequires:	perl(Module::Build) >= 0.400.400

BuildArch:	noarch

%{?perl_default_filter}

%description
This module makes lvalue subroutines easy and practical to use. It's
inspired by the lvalue module which is sadly problematic because of the
existence of another module on CPAN called Lvalue. (They can get confused
on file-systems that have case-insensitive file names.)

LV comes with three different implementations, based on Variable::Magic,
Sentinel and `tie`; it will choose and use the best available one. You can
force LV to pick a particular implementation using:

   $ENV{PERL_LV_IMPLEMENTATION} = 'Magic'; # or 'Sentinel' or 'Tie'

The tie implementation is the slowest, but will work on Perl 5.6 with only
core modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*
