%define upstream_name    LWP-Protocol-socks
%define upstream_version 1.7

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Adds support for the socks protocol and proxy facility
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/LWP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket::SSL)
BuildRequires: perl(IO::Socket::Socks)
BuildRequires: perl(LWP)
BuildRequires: perl(LWP::Protocol::https)
BuildArch: noarch

%description
Use this package when you wish to use a socks proxy for your connections.

It provides some essential hooks into the LWP system to implement a socks
"scheme" similar to http for describing your socks connection, and can be
used to proxy either http or https connections.

The use case is to use LWP::UserAgent's proxy method to register your socks
proxy like so:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


