%define upstream_name    Language-Befunge
%define upstream_version 5.000

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    A generic funge interpreter
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Language/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(aliased)
BuildRequires:  perl(Class::Accessor::Fast)
BuildRequires:  perl(Class::XSAccessor)
BuildRequires:	perl(DateTime)
BuildRequires:	perl(Math::BaseCalc)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Readonly)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::Output)
BuildRequires:	perl(UNIVERSAL::require)
BuildArch: noarch


%description
This module implements the Funge-98 specifications on a 2D field (also called 
Befunge).  It can also work as a n-funge implementation (3D and more).


%prep
%setup -q -n Language-Befunge-%{upstream_version} 

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes README META.yml
%{_bindir}/jqbef98
%{perl_vendorlib}/Language
%{_mandir}/man1/jqbef98*
%{_mandir}/man3/*
