%define upstream_name    Lemonldap-NG-Common
%define upstream_version 1.1.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Common files for Lemonldap::NG Web-SSO
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Lemonldap/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(Cache::Cache)
BuildRequires: perl(Config::IniFiles)
BuildRequires: perl(Crypt::Rijndael)
BuildRequires: perl(DBI)
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(IO::String)
BuildRequires: perl(Regexp::Assemble)
BuildRequires: perl(SOAP::Lite)
BuildRequires: perl(Storable)
BuildRequires: perl(XML::Simple)
BuildArch: noarch

%description
Lemonldap::NG is a modular Web-SSO based on Apache::Session modules. It
simplifies the build of a protected area with a few changes in the
application.

This package contains common files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


