%define upstream_name    Lemonldap-NG-Handler
%define upstream_version 1.1.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Web-SSO handler based on Apache::Session
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Lemonldap/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Apache::Session)
BuildRequires: perl(Apache::Session::Generate::MD5)
BuildRequires: perl(CGI)
BuildRequires: perl(Cache::Cache)
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(IO::Pipe)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Lemonldap::NG::Common)
BuildRequires: perl(Test::MockObject)
BuildRequires: perl(URI)
BuildArch: noarch

%description
Lemonldap::NG is a modular Web-SSO based on Apache::Session modules. It
simplifies the build of a protected area with a few changes in the
application.

It manages both authentication and authorization and provides headers for
accounting. So you can have a full AAA protection for your web space as
described below.

The Apache module part works both with Apache 1.3.x and 2.x ie mod_perl 1
and 2 but *not with mod_perl 1.99*.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


