%define upstream_name    Lemonldap-NG-Manager
%define upstream_version 1.1.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl extension to manage Lemonldap::NG
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Lemonldap/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(Convert::PEM)
BuildRequires: perl(Crypt::OpenSSL::RSA)
BuildRequires: perl(Crypt::OpenSSL::X509)
BuildRequires: perl(File::Basename)
BuildRequires: perl(HTML::Template)
BuildRequires: perl(IO::String)
BuildRequires: perl(JSON)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Lemonldap::NG::Common)
BuildRequires: perl(Lemonldap::NG::Handler)
BuildRequires: perl(Lemonldap::NG::Portal)
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(XML::LibXSLT)
BuildRequires: perl(XML::Simple)
BuildArch: noarch

%description
Lemonldap::NG::Manager provides a web interface to manage Lemonldap::NG
Web-SSO system.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


