%define upstream_name    Lemonldap-NG-Portal
%define upstream_version 1.1.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    OpenID IssuerDB for Lemonldap::NG
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Lemonldap/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Apache::Session)
BuildRequires: perl(CGI)
BuildRequires: perl(Clone)
BuildRequires: perl(Crypt::OpenSSL::X509)
BuildRequires: perl(File::Basename)
BuildRequires: perl(HTML::Template)
BuildRequires: perl(IO::String)
BuildRequires: perl(Lemonldap::NG::Common)
BuildRequires: perl(Lemonldap::NG::Handler)
BuildRequires: perl(MIME::Lite)
BuildRequires: perl(Net::LDAP)
BuildRequires: perl(SOAP::Lite)
BuildRequires: perl(String::Random)
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(XML::LibXSLT)
BuildArch: noarch

%description
Lemonldap::NG is a modular Web-SSO based on Apache::Session modules. It
simplifies the build of a protected area with a few changes in the
application.

It manages both authentication and authorization and provides headers for
accounting. So you can have a full AAA protection for your web space as
described below.

The portal part inherits from the CGI manpage so yo can use it both with
Apache 1 and 2 and use all the CGI manpage features.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


