%define upstream_name    Lexical-Persistence
%define upstream_version 1.023

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Bind lexicals to persistent data
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Lexical/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::LexAlias)
BuildRequires: perl(PadWalker)
BuildArch: noarch

%{?perl_default_filter}


%description
Lexical::Persistence does a few things, all related. Note that all the
behaviors listed here are the defaults. Subclasses can override nearly
every aspect of Lexical::Persistence's behavior.

Lexical::Persistence lets your code access persistent data through lexical
variables. This example prints "some value" because the value of $x persists
in the $lp object between setter() and getter().

	use Lexical::Persistence;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc CHANGES README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
