%define upstream_name	 Lingua-EN-Inflect
%define upstream_version 1.905

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl module to find English word inflections
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Lingua/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
The exportable subroutines of Lingua::EN::Inflect provide plural inflections,
"a"/"an" selection for English words, and manipulation of numbers as words.
Plural forms of all nouns, most verbs, and some adjectives are provided. Where
appropriate, "classical" variants (for example: "brother" -> "brethren",
"dogma" -> "dogmata", etc.) are also provided.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
chmod 644 README Changes lib/Lingua/EN/Inflect.pm
%__perl Makefile.PL INSTALLDIRS=vendor
%{__make}
%{__make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README demo
%{perl_vendorlib}/Lingua/*
%{_mandir}/*/*