%define upstream_name    Lingua-EN-Tagger
%define upstream_version 0.31

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Part-of-speech tagger for English natural language processing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Lingua/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.840.0
BuildRequires: perl(HTML::Parser) >= 3.450.0
BuildRequires: perl(HTML::Tagset) >= 3.200.0
BuildRequires: perl(Lingua::Stem) >= 0.810.0
BuildRequires: perl(Memoize) >= 1.10.0
BuildRequires: perl(Memoize::ExpireLRU) >= 0.550.0
BuildRequires: perl(Storable) >= 2.100.0
# despite being arch-dependent, there are no binaries
# so avoid empty debug package
%global debug_package %{nil}
%{?perl_default_filter}

%description
The module is a probability based, corpus-trained tagger that assigns POS
tags to English text based on a lookup dictionary and a set of probability
values. The tagger assigns appropriate tags based on conditional
probabilities - it examines the preceding tag to determine the appropriate
tag for the current word. Unknown words are classified according to word
morphology or can be set to be treated as nouns or other parts of speech.

The tagger also extracts as many nouns and noun phrases as it can, using a
set of regular expressions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*