%define upstream_name Lingua-Preferred
%define upstream_version 0.2.4

Summary:	Perl extension to choose a language
License:	GPL/Artistic
Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 19
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source:		ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Lingua/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch
BuildRequires:	perl-devel


%{?perl_default_filter}

%description
Often human-readable information is available in more than one language. Which
should you use? This module provides a way for the user to specify possible
languages in order of preference, and then to pick the best language of those
available. Different 'dialects' given by the 'territory' part of the language
specifier (such as en, en_GB, and en_US) are also supported.

Authors:
--------
        Ed Avis <epa98@doc.ic.ac.uk>

%prep
%setup -n %{upstream_name}-%{upstream_version} -q

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes
%{perl_vendorlib}/Lingua/Preferred.pm
%{perl_vendorlib}/auto/Lingua/Preferred/autosplit.ix
%{_mandir}/*/*
