%define upstream_name    Lingua-Stem
%define upstream_version 2.31

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Stemming of words
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Lingua/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Lingua::GL::Stemmer)
BuildRequires: perl(Lingua::PT::Stemmer)
BuildRequires: perl(Lingua::Stem::Fr) >= 0.20.0
BuildRequires: perl(Lingua::Stem::It)
BuildRequires: perl(Lingua::Stem::Ru)
BuildRequires: perl(Lingua::Stem::Snowball::Da) >= 1.10.0
BuildRequires: perl(Lingua::Stem::Snowball::No) >= 1.0.0
BuildRequires: perl(Lingua::Stem::Snowball::Se) >= 1.10.0
BuildRequires: perl(Text::German)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This routine applies stemming algorithms to its parameters, returning the
stemmed words as appropriate to the selected locale.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Lingua
%{_mandir}/man3*/*