%define upstream_name    Linux-Pid
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 26

Summary:    Interface to Linux getpp?id functions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Linux/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
Why should one use a module to get the PID and the PPID of a process where
there are the '$$' variable and the 'getppid()' builtin ? (Not mentioning
the equivalent 'POSIX::getpid()' and 'POSIX::getppid()' functions.)

In fact, this is useful on Linux, with multithreaded programs. Linux' C
library, using the linux thread model, returns different values of the PID
and the PPID from different threads. (Other thread models such as NPTL
don't have the same behaviour). This module forces perl to call the
underlying C functions 'getpid()' and 'getppid()'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml Changes README
%{_mandir}/man3/*
%perl_vendorarch/*
