%define upstream_name    List-AllUtils
%define upstream_version 0.19

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Combines List::Util and List::MoreUtils in one bite-sized package
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/List/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::SomeUtils) >= 0.580.0
BuildRequires: perl(List::Util) >= 1.560.0
BuildRequires: perl(List::UtilsBy) >= 0.110.0
BuildRequires: perl(Sub::Util)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Are you sick of trying to remember whether a particular helper is defined
in 'List::Util' or 'List::MoreUtils'? I sure am. Now you don't have to
remember. This module will export all of the functions that either of those
two modules defines.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*