%define upstream_name    List-BinarySearch-XS
%define upstream_version 0.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 17

Summary:    Binary Search a sorted array with XS routines
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/List/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::More)
BuildRequires: perl-devel

%description
A binary search searches _sorted_ lists using a divide and conquer
technique. On each iteration the search domain is cut in half, until the
result is found. The computational complexity of a binary search is O(log
n).

This module implements several Binary Search algorithms using XS code for
optimal performance. You are free to use this module directly, or as a
plugin for the more general the List::BinarySearch manpage.

The binary search algorithm implemented in this module is known as a
_Deferred Detection_ Binary Search. Deferred Detection provides *stable
searches*. Stable binary search algorithms have the following
characteristics, contrasted with their unstable binary search cousins:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml README Changes META.json
%{_mandir}/man3/*
%perl_vendorarch/*


