%define upstream_name    Locale-Country-Multilingual
%define upstream_version 0.25

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Recommended Usage with Unicode
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Locale/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Data::Inheritable)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
'Locale::Country::Multilingual' is an OO replacement for Locale::Country,
and supports country names in several languages.

Language Codes
    A language is selected by a two-letter language code as described by
    ISO 639-1 the https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes
    manpage. This code can be amended by a two-letter region code, that is
    described by ISO 3166-1 the
    https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2 manpage. This
    combination of language and region is also described in RFC 4646 the
    https://www.ietf.org/rfc/rfc4646.txt manpage and RFC 4647 the
    https://www.ietf.org/rfc/rfc4647.txt manpage, and is commonly used for
    HTTP 1.1 the https://www.ietf.org/rfc/rfc2616.txt manpage and the POSIX
    the setlocale(3) manpage function. Codes can be given in small or
    capital letters and be divided by an arbitrary string of none-letter
    ASCII bytes (but '"-"' or '"_"' is recommended).

Language Selection Fallback
    In case a language code contains a region, language selection falls
    back to the two-letter language code if no specific language file for
    the region exists. Example: For '"zh_CN"' selection will fall back to
    '"zh"' since there is no file _"zh-cn.dat"_ - actually '"zh.dat"'
    happens to contain the country names in Simplified (Han) Chinese.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc LICENSE INSTALL META.json Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


