%define upstream_name	 Locale-Maketext-Lexicon
%define upstream_version 1.00

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Perl module to use other catalog formats in Maketext
License:    MIT
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Locale/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Locale::Maketext) >= 1.170.0
BuildArch:  noarch

%{?perl_default_filter}

%description
Locale::Maketext::Lexicon is a module providing lexicon-handling backends, for
Locale::Maketext to read from other localization formats, such as PO files,
MO files, or from databases via the Tie interface.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc AUTHORS Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Locale
%{_bindir}/*
%{_mandir}/*/*
