%define upstream_name    Locale-PO
%define upstream_version 0.27

Name:       perl-%upstream_name
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6
Summary:    Locale::PO - Perl module for manipulating .po entries from GNU gettext
License:    Artistic, GPL
Group:      System/Libraries
Url:        https://www.cpan.org/
Source0:    https://cpan.metacpan.org/authors/id/K/KE/KEN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
BuildArch:  noarch

%{?perl_default_filter}

%description
This module simplifies management of GNU gettext .po files and is an alternative to using emacs po-mode. It
provides an object-oriented interface in which each entry in a .po file is a Locale::PO object.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%files
%{perl_vendorlib}/*
%{_mandir}/man3/*.3pm*
%doc Changes META.yml MYMETA.yml README
