%define upstream_name    Log-Any-Adapter-Dispatch
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Adapter to use Log::Dispatch with Log::Any
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp) >= 0.200.0
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Log::Any::Adapter)
BuildRequires: perl(Log::Dispatch) >= 2.260.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This Log::Any adapter uses Log::Dispatch for logging.

You may either pass parameters (like _outputs_) to be passed to
'Log::Dispatch->new', or pass a 'Log::Dispatch' object directly in the
_dispatcher_ parameter.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
