%define upstream_name    Log-Dump
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Simple logger mainly for debugging
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dump)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker::CPANfile)
BuildRequires: perl(IO::Capture)
BuildRequires: perl(IO::File)
BuildRequires: perl(Sub::Install)
BuildRequires: perl(Test::Classy)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::UseAllModules)
BuildArch: noarch

%description
the Log::Dump manpage is a simple logger mix-in mainly for debugging. This
installs six methods into a caller (the class that 'use'd the Log::Dump
manpage) via the Sub::Install manpage. The point is you don't need to load
extra dumper modules or you don't need to concatenate messages. Just log
things and they will be dumped (and concatenated if necessary) to stderr,
and to a file if you prefer. Also, you can use these logging methods as
class methods or object methods (though usually you don't want to mix them,
especially when you're doing something special).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml README Changes
%{_mandir}/man3/*
%perl_vendorlib/*


