%define	upstream_name	 Log-Log4perl
%define upstream_version 1.57

%global __requires_exclude perl\\\((Log::Dispatch::FileRotate|DBI|RRDs)\\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    Log4j implementation for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Path) >= 2.70.0
BuildRequires: perl(File::Spec) >= 0.820.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch
Requires:   perl-Log-Dispatch >= 2.00
%description
Log::Log4perl lets you remote-control and fine-tune the logging behaviour of
your system from the outside. It implements the widely popular (Java-based)
Log4j logging package in pure Perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find lib -type f -exec chmod 644 {} \;

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README eg
%{_bindir}/l4p-tmpl
%{perl_vendorlib}/Log
%{_mandir}/man1/*
%{_mandir}/man3/*