%define upstream_name    Log-ger
%define upstream_version 0.042

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Create a log($LEVEL, ...) subroutine/method
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Log::ger is yet another logging framework with the following features:

* * Separation of producers and consumers/listeners

  Like the Log::Any manpage, this offers a very easy way for modules to
  produce some logs without having to configure anything. Configuring
  output, level, etc can be done in the application as log
  consumers/listeners. To read more about this, see the documentation of
  the Log::Any manpage or the Log::ger::Manual manpage (but nevertheless
  see the Log::ger::Manual manpage on why you might prefer Log::ger to
  Log::Any).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*