%define upstream_name    Lucy
%define upstream_version 0.6.2

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Apache Lucy search engine library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

%{?perl_default_filter}
BuildRequires: perl(Clownfish) >= 0.6.2
BuildRequires: perl(Clownfish::CFC) >= 0.6.2
BuildRequires: perl(Clownfish::CFC::Perl::Build) >= 0.6.2
BuildRequires: perl(Devel::PPPort) >= 3.140.0
BuildRequires: perl(ExtUtils::CBuilder) >= 0.210.0
BuildRequires: perl(ExtUtils::ParseXS) >= 3.0.0
BuildRequires: perl(Module::Build) >= 0.280.801
BuildRequires: perl-devel
%description
Apache Lucy is a high-performance, modular search engine library.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export PERL_USE_UNSAFE_INC=1
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc CHANGES CONTRIBUTING INSTALL LICENSE META.json META.yml MYMETA.yml NOTICE README sample
%{_mandir}/man3/*
%{perl_vendorarch}/*
