%define upstream_name    MIME-Lite
%define upstream_version 3.033

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Low-calorie MIME generator 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MIME/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Email::Date::Format) >= 1.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(MIME::QuotedPrint)
BuildRequires: perl(MIME::Types) >= 1.280.0
BuildRequires: perl(Mail::Address) >= 1.620.0
BuildRequires: sendmail-command
BuildArch:  noarch

%{?perl_default_filter}

%description
MIME::Lite is intended as a simple, standalone module for generating
(not parsing!) MIME messages... specifically, it allows you to output a
simple, decent single- or multi-part message with text or binary
attachments. It does not require that you have the Mail:: or MIME::
modules installed. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
chmod 644 README changes.pod lib/MIME/* examples/*
%{__perl} Makefile.PL INSTALLDIRS=vendor </dev/null
%make_build

%check
%{__make} test

%install
%make_install
rm -f %{buildroot}%{perl_vendorlib}/MIME/changes.pod

%files
%doc COPYING INSTALLING LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/MIME
%{_mandir}/*/*