%define upstream_name	 MIME-tools
%define upstream_version 5.515

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl modules for parsing (and creating!) MIME entities
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MIME/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     MIME-tools-5.510-UTF8.patch

# ================ Test Suite ========================

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Path) >= 1.0.0
BuildRequires: perl(File::Spec) >= 0.600.0
BuildRequires: perl(File::Temp) >= 0.180.0
BuildRequires: perl(IO::File) >= 1.130.0
BuildRequires: perl(IO::Handle)
BuildRequires: perl(MIME::Base64) >= 2.200.0
BuildRequires: perl(Mail::Field) >= 1.50.0
BuildRequires: perl(Mail::Header) >= 1.10.0
BuildRequires: perl(Mail::Internet) >= 1.20.300
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildArch:  noarch

Requires:   perl(File::Temp)   >= 0.17
Requires:   perl(IO::Stringy)  >= 1.211
Requires:   perl(MIME::Base64) >= 3.03
Requires:   perl(Mail::Util)   >= 1.15
Requires:   perl(Convert::BinHex)
%description
MIME-tools - modules for parsing (and creating!) MIME entities. Modules in this
toolkit : Abstract message holder (file, scalar, etc.), OO interface for
decoding MIME messages, an extracted and decoded MIME entity, Mail::Field
subclasses for parsing fields, a parsed MIME header (Mail::Header subclass),
parser and tool for building your own MIME parser, and utilities.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# Fix character encoding
%autopatch -p0

%build
rm -f set-version.pl
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
rm -f t/02-kwalitee.t
%__make test

%install
%make_install

%files
%doc COPYING ChangeLog INSTALLING META.yml MYMETA.yml README examples
%{perl_vendorlib}/MIME
%{_mandir}/*/*