%define upstream_name    Mail-Audit
%define upstream_version 2.228

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Self-cleaning fork-respecting tempdirs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Mail/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::HomeDir) >= 0.610.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Tempdir)
BuildRequires: perl(MIME::Entity)
BuildRequires: perl(Mail::Internet)
BuildRequires: perl(Mail::Mailer)
BuildRequires: perl(Mail::POP3Client)
BuildRequires: perl(Net::SMTP)
BuildRequires: perl(Parse::RecDescent)
BuildArch:  noarch

%description
_procmail_ is nasty. It has a tortuous and complicated recipe format, and I
don't like it. I wanted something flexible whereby I could filter my mail
using Perl tests.

Mail::Audit was inspired by Tom Christiansen's _audit_mail_ and
_deliverlib_ programs. It allows a piece of email to be logged, examined,
accepted into a mailbox, filtered, resent elsewhere, rejected, replied to,
and so on. It's designed to allow you to easily create filter programs to
stick in a _.forward_ file or similar.

Mail::Audit groks MIME; when appropriate, it subclasses MIME::Entity. Read
the MIME::Tools man page for details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes FAQ LICENSE META.json META.yml README
%{_bindir}/popread
%{_bindir}/proc2ma
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*
