%define	upstream_name    Mail-Box
%define upstream_version 3.010

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Mail-folder manager API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Mail/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Date::Parse)
BuildRequires: perl(Devel::GlobalDestruction) >= 0.90.0
BuildRequires: perl(Errno)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Compare)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Remove) >= 0.200.0
BuildRequires: perl(File::Spec) >= 0.700.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(Mail::Message) >= 3.13.0
BuildRequires: perl(Mail::Transport) >= 3.3.0
BuildRequires: perl(Object::Realize::Later) >= 0.190.0
BuildRequires: perl(POSIX)
BuildRequires: perl(Scalar::Util) >= 1.130.0
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl-HTML-Format
BuildRequires: perl-MailTools
BuildRequires: perl-MIME-tools
BuildArch:  noarch

Provides:   perl(Mail::Message::Construct)

%{?perl_default_filter}

%description
Mail::Box is a Perl CPAN package that can be used to handle and manage E-mail
messages, mail boxes, and folders of many types.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor < /dev/null
%make_build

#%check
#%{__make} test

%install
%make_install

# fix permissions
find %{buildroot} -type f -exec chmod 0644 {} \;
find %{buildroot} -type d -exec chmod 0755 {} \;

# remove unused file
rm -f %{buildroot}%{perl_vendorlib}/Mail/Makefile.PL

%files
%doc ChangeLog META.json META.yml MYMETA.yml README examples
%{_mandir}/*/*
%{perl_vendorlib}/Mail