%define upstream_name    Mail-DKIM
%define upstream_version 1.20240923

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}.0
Release:    %mkrel 1
Summary:    Implements DomainKeys Identified Mail (DKIM)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/Mail-DKIM
Source0:    https://cpan.metacpan.org/modules/by-module/Mail/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Crypt::OpenSSL::RSA)
BuildRequires: perl(Crypt::PK::Ed25519)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Mail::Address)
BuildRequires: perl(Mail::AuthenticationResults::Header::AuthServID)
BuildRequires: perl(Mail::AuthenticationResults::Parser)
BuildRequires: perl(Net::DNS)
BuildRequires: perl(Net::DNS::Resolver)
BuildRequires: perl(Net::DNS::Resolver::Mock)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::RequiresInternet)
BuildRequires: perl(Test::Simple)
BuildRequires: perl(YAML::XS)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module implements the various components of the DKIM and DomainKeys
message-signing and verifying standards for Internet mail. It currently
tries to implement these specifications:
 * RFC4871, for DKIM
 * RFC4870, for DomainKeys

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# Conditionally disable tests that require DNS lookups
%{?!_with_network_tests: rm t/policy.t t/public_key.t }
%__make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO
%dir %{perl_vendorlib}/Mail/DKIM
%dir %{perl_vendorlib}/Mail/DKIM/Algorithm
%dir %{perl_vendorlib}/Mail/DKIM/Canonicalization
%{perl_vendorlib}/Mail/DKIM/*.pm
%{perl_vendorlib}/Mail/DKIM/ARC
%{perl_vendorlib}/Mail/DKIM/Algorithm/*.pm
%{perl_vendorlib}/Mail/DKIM/Canonicalization/*.pm
%{perl_vendorlib}/Mail/DKIM.pm
%{_mandir}/man3/*
