%define	upstream_name	 Mail-MboxParser
%define	upstream_version 0.55

#global __requires_exclude perl\\(Mail::MboxParser::Mail\\)
#global __provides_exclude perl\\(Mail::MboxParser::Mail\\)|perl\\(Mail::MboxParser::Base\\)|perl\\(Mail::MboxParser::Mail::Body\\)|perl\\(Mail::MboxParser::Mail::Convertable\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:	Read-only access to UNIX-mailboxes 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Mail/%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:     perl-Mail-MboxParser-0.55-Fix-garbled-attachment-name-RT-66576.patch


BuildRequires:	perl-MIME-tools
BuildArch:	noarch


%{?perl_default_filter}

%description
This module attempts to provide a simplified access to standard UNIX-mailboxes.
It offers only a subset of methods to get 'straight to the point'. More
sophisticated things can still be done by invoking any method from MIME::Tools
on the appropriate return values.

Mail::MboxParser has not been derived from Mail::Box and thus isn't acquainted
with it in any way. It, however, incorporates some invaluable hints by the
author of Mail::Box, Mark Overmeer.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changelog README
%{perl_vendorlib}/Mail
%{_mandir}/man3*/*
