%define upstream_name Mail-Transport
%define upstream_version 3.005

Name:       perl-%upstream_name
Version:    %upstream_version
Release:    %mkrel 2
Summary:    Email message exchange
Group:      Development/C
License:    GPL+ or Artistic
Url:        https://metacpan.org/release/Mail-Transport
Source0:    https://cpan.metacpan.org/authors/id/M/MA/MARKOV/Mail-Transport-%{version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Errno)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.700.0
BuildRequires: perl(IO::Socket)
BuildRequires: perl(List::Util)
BuildRequires: perl(Mail::Reporter) >= 3.0.0
BuildRequires: perl(Net::SMTP)
BuildRequires: coreutils
BuildRequires: findutils
BuildRequires: make
BuildArch:  noarch
Requires:   perl(IO::Lines)
%{?perl_default_filter}

%description
Email message exchange code, formerly part of the Mail::Box package.

%prep
%setup -q -n Mail-Transport-%{version}

%build
yes y |%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Mail/
%{_mandir}/man3/*.3*
