%define	upstream_name    MailTools
%define upstream_version 2.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A set of perl modules related to mail applications
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Mail/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Date::Format)
BuildRequires: perl(Date::Parse)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(Net::Domain) >= 1.50.0
BuildRequires: perl(Net::SMTP) >= 1.30.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This is MailTools, a set of perl modules related to mail applications.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Mail*
%{_mandir}/*/*