%define upstream_name    Makefile-DOM
%define upstream_version 0.008

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Tokens representing ordinary white space
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Makefile/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Clone) >= 0.180.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(Filter::Util::Call)
BuildRequires: perl(List::MoreUtils) >= 0.210.0
BuildRequires: perl(Params::Util) >= 0.220.0
BuildArch:  noarch

%description
The 'MDOM::Node' class provides an abstract base class for the Element
classes that are able to contain other elements the MDOM::Document manpage,
the MDOM::Statement manpage, and the MDOM::Structure manpage.

As well as those listed below, all of the methods that apply to the
MDOM::Element manpage objects also apply to 'MDOM::Node' objects.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
rm -f t/pod-coverage.t
%make_build test

%install
%make_install

%files
%doc Changes META.yml README TODO
%{_mandir}/man3/*
%{perl_vendorlib}/*