%define        upstream_name Makefile-Parser
%define        upstream_version 0.216
%{?perl_default_filter}

Name:          perl-%{upstream_name}
Version:       %perl_convert_version %{upstream_version}
Release:       %mkrel 6
Summary:       Makefile::Parser - A simple parser for Makefiles
License:       Artistic, GPL
Group:         System/Libraries
URL:           https://www.cpan.org/
Source:        https://cpan.metacpan.org/authors/id/A/AG/AGENT/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(Class::Trigger)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(IPC::Run3)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Makefile::DOM)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Balanced)
BuildRequires: perl-devel
Requires:      perl
Requires:      perl(Class::Accessor::Fast)
Requires:      perl(Class::Trigger)
Requires:      perl(File::Slurp)
Requires:      perl(List::MoreUtils)
Requires:      perl(Makefile::DOM)
Requires:      perl(Text::Balanced)
BuildArch:     noarch

%description
This is a simple parser for Makefiles. At this very early stage, the parser
only supports a limited set of features, so it may not recognize most of
the advanced features provided by certain make tools like GNU make. Its
initial purpose is to provide basic support for another module named
Makefile::GraphViz, which is aimed to render the building process specified
by a Makefile using the amazing GraphViz library. The Make module is not
satisfactory for this purpose, so I decided to build one of my own.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make_build
#make test

%install
%make_install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%files
%{_bindir}/makesimple
%{_bindir}/pgmake-db
%{_bindir}/plmake
%{perl_vendorlib}/*
%{_mandir}/man3/*.3pm*
%{_mandir}/man1/*.1*
%doc Changes README
