%define upstream_name    Markdent
%define upstream_version 0.35

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    An event-based Markdown parser toolkit
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/D/DR/DROLSKY/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Slurper)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long::Descriptive)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(List::AllUtils)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moose) >= 2.180.200
BuildRequires: perl(Moose::Meta::Class)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::Getopt::Dashes)
BuildRequires: perl(MooseX::Getopt::OptionTypeMap)
BuildRequires: perl(MooseX::Role::Parameterized)
BuildRequires: perl(MooseX::SemiAffordanceAccessor) >= 0.50.0
BuildRequires: perl(MooseX::StrictConstructor) >= 0.80.0
BuildRequires: perl(Params::ValidationCompiler) >= 0.140.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Specio::Declare)
BuildRequires: perl(Specio::Exporter)
BuildRequires: perl(Specio::Library::Builtins)
BuildRequires: perl(Specio::Library::Numeric)
BuildRequires: perl(Test2::V0) >= 0.0.81
BuildRequires: perl(Test::More) >= 1.302.15
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Tree::Simple)
BuildRequires: perl(Tree::Simple::Visitor::ToNestedArray)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildRequires: perl(parent)
BuildRequires: perl(re)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch
Provides:   markdent-html = %{version}-%{release}

%description
This distribution provides a toolkit for parsing Markdown (and Markdown
variants, aka dialects). Unlike the other Markdown Perl tools, this module
can be used for more than just generating HTML. The core parser generates
events (like XML's SAX), making it easy to analyze a Markdown document in
any number of ways.

If you're only interested in converting Markdown to HTML, you can use the
the Markdent::Simple::Document manpage class to do this, although you can
just as well use better battle-tested tools like the Text::Markdown
manpage.

See the Markdent::Manual manpage for more details on how Markdent works and
how you can use it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/markdent-html
%{_mandir}/man1/markdent-html.1*
