%define upstream_name    Marpa-R2
%define upstream_version 12.000000

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Marpa

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    How the NAIF deals with infinite ambiguity
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Marpa/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Converter) >= 2.120.921
BuildRequires: perl(Carp) >= 1.80.0
BuildRequires: perl(Config::AutoConf) >= 0.220.0
BuildRequires: perl(Cwd) >= 3.250.100
BuildRequires: perl(Data::Dumper) >= 2.125.0
BuildRequires: perl(DynaLoader) >= 1.80.0
BuildRequires: perl(English) >= 1.40.0
BuildRequires: perl(Exporter) >= 5.620.0
BuildRequires: perl(ExtUtils::CBuilder) >= 0.270.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(ExtUtils::Manifest) >= 1.510.100
BuildRequires: perl(ExtUtils::Mkbootstrap) >= 6.420.0
BuildRequires: perl(Fatal) >= 1.50.0
BuildRequires: perl(File::Copy) >= 2.110.0
BuildRequires: perl(File::Spec) >= 3.250.100
BuildRequires: perl(HTML::Entities) >= 3.680.0
BuildRequires: perl(HTML::Parser) >= 3.690.0
BuildRequires: perl(IPC::Cmd) >= 0.401.0
BuildRequires: perl(List::Util) >= 1.210.0
BuildRequires: perl(Module::Build) >= 0.400.300
BuildRequires: perl(PPI) >= 1.206.0
BuildRequires: perl(Scalar::Util) >= 1.210.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Time::Piece) >= 1.120.0
BuildRequires: perl(XSLoader) >= 0.80.0
BuildRequires: perl-devel
%description
the Marpa::R2::HTML manpage does "high-level" parsing of HTML. It allows
handlers to be specified for elements, terminals and other components in
the hierarchical structure of an HTML document. the Marpa::R2::HTML manpage
is an extremely liberal HTML parser. the Marpa::R2::HTML manpage does not
reject any documents, no mater how poorly they fit the HTML standards.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*
%_bindir/*
