%define upstream_name    Mason-Tidy
%define upstream_version 2.57

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Implements masontidy command
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Mason/%{upstream_name}-%{upstream_version}.tar.gz
# Adapt to changes in Perl-Tidy-20180219, bug #1549515, CPAN RT#124604
Patch0:         Mason-Tidy-2.57-Adapt-to-changes-in-Perl-Tidy-20180219.patch

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IPC::System::Simple)
BuildRequires: perl(Method::Signatures::Simple)
BuildRequires: perl(Moo)
BuildRequires: perl(Perl::Tidy)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::Class::Most)
BuildArch: noarch

%{?perl_default_filter}


%description
This is the engine used by masontidy - read that first to get an overview.

You can call this API from your own program instead of executing
'masontidy'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml README
%{_bindir}/*
%{_mandir}/man*/*
%perl_vendorlib/*


