%define upstream_name    Mason
%define upstream_version 2.24

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Summary of differences between Mason 1 and
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Mason-2.15-missing_use.patch

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Class::Load)
BuildRequires: perl(Class::Unload)
BuildRequires: perl(Devel::GlobalDestruction)
BuildRequires: perl(Exception::Class)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Guard)
BuildRequires: perl(IPC::System::Simple)
BuildRequires: perl(JSON)
BuildRequires: perl(Log::Any) >= 0.80.0
BuildRequires: perl(Memoize)
BuildRequires: perl(Method::Signatures::Simple)
BuildRequires: perl(Moose) >= 1.150.0
BuildRequires: perl(MooseX::HasDefaults) >= 0.30.0
BuildRequires: perl(MooseX::StrictConstructor) >= 0.130.0
BuildRequires: perl(Scalar::Util) >= 1.10.0
BuildRequires: perl(Test::Class::Most)
BuildRequires: perl(Test::LongString)
BuildRequires: perl(Try::Tiny)
BuildArch:  noarch

%description
Mason is a powerful Perl-based templating system, designed to generate
dynamic content of all kinds.

Unlike many templating systems, Mason does not attempt to invent an
alternate, "easier" syntax for templates. It provides a set of syntax and
features specific to template creation, but underneath it is still clearly
and proudly recognizable as Perl.

Mason is most often used for generating web pages. It can handle web
requests directly via PSGI, or act as the view layer for a web framework
such as Catalyst or Dancer.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p2

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/mason.pl
%{_mandir}/man1/mason.pl.1*