%define upstream_name    Math-Algebra-Symbols
%define upstream_version 1.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Symbolic Algebra in Pure Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(Math::BigInt)
BuildRequires: perl(Scalar::Util)
BuildArch: noarch

%description
This package supplies a set of functions and operators to manipulate
operator expressions algebraically using the familiar Perl syntax.

These expressions are constructed from the /Symbols manpage, the /Operators
manpage, and the /Functions manpage, and processed via the /Methods
manpage. For examples, see: the /Examples manpage.

Symbols
    Symbols are created with the exported *symbols()* constructor routine:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc CHANGES META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


