%define upstream_name    Math-Assistant
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Functions for various exact algebraic calculations
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::BigFloat) >= 1.997.0
BuildRequires: perl(Math::BigInt) >= 1.997.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildArch:  noarch

%description
The module contains important algebraic operations: matrix rank,
determinant and solve an equation system. The integer values are accepted.
Calculations with the raised accuracy.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*