%define upstream_name    Math-Base36
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Encoding and decoding of base36 strings
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Math::BigInt) >= 1.600.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module converts to and from Base36 numbers (0..9 - A..Z)

It was created because of an article/challenge in "The Perl Review"

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
