%define upstream_name    Math-BigInt-FastCalc
%define upstream_version 0.5006

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Math::BigInt::Calc with some XS for more speed
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::BigInt) >= 1.999.808
BuildRequires: perl(Test::More) >= 0.820.0
BuildRequires: perl(XSLoader)
BuildRequires: perl-Math-BigInt >= 1.900.0
BuildRequires: perl-devel
%description
In order to allow for multiple big integer libraries, Math::BigInt was
rewritten to use library modules for core math routines. Any module which
follows the same API as this can be used instead by using the following:

	use Math::BigInt lib => 'libname';

'libname' is either the long name ('Math::BigInt::Pari'), or only the short
version like 'Pari'. To use this library:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc CHANGES CREDITS LICENSE META.json META.yml MYMETA.yml README SIGNATURE TODO
%{_mandir}/man3/*
%perl_vendorlib/*