%define upstream_name    Math-BigInt-GMP
%define upstream_version 1.7001

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    High speed arbitrary size integer math
License:    Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp) >= 1.220.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.580.0
BuildRequires: perl(Math::BigInt) >= 2.3.1
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(XSLoader) >= 0.20.0
BuildRequires: gmp-devel
# automatic dependency doesn't work here, because perl package
# provides an unversioned one
BuildRequires: perl-devel
# Module Runtime

# Test Suite

%{?perl_default_filter}

%description
This package contains a replacement (drop-in) module for
Math::BigInt's core, Math::BigInt::Calc.pm.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS="vendor"
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%license LICENSE
%doc BUGS CHANGES CREDITS LICENSE META.json META.yml MYMETA.yml README SIGNATURE TODO
%{perl_vendorarch}/Math
%{perl_vendorarch}/auto/Math
%{_mandir}/man*/*
