%define upstream_name    Math-BigInt
%define upstream_version 2.005002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Arbitrary size integer/float math package
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp) >= 1.220.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.580.0
BuildRequires: perl(Math::Complex) >= 1.360.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.940.0
BuildArch:  noarch

Provides:   perl-Math-BigRat =  %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes:  perl-Math-BigRat < 0.2624-502

%{?perl_default_filter}
%global __requires_exclude %{__requires_exclude}|perl\\(Math::BigRat::Test\\)

%description
All operators (including basic math operations) are overloaded if you declare
your big integers as

  $i = new Math::BigInt '123_456_789_123_456_789';

Operations with overloaded operators preserve the arguments which is exactly
what you expect.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc BUGS CHANGES CREDITS GOALS HISTORY LICENSE META.json META.yml MYMETA.yml NEW README SIGNATURE TODO examples
%{perl_vendorlib}/Math
%{_mandir}/*/*