%define upstream_name    Math-BigRat
%define upstream_version 0.2623

%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Arbitrary big rational numbers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

# automatic dependency doesn't work here, because perl package
# provides an unversioned one

BuildRequires: perl(Carp) >= 1.220.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.580.0
BuildRequires: perl(Math::BigInt) >= 1.999.824
BuildRequires: perl(Math::Complex) >= 1.360.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.940.0
BuildArch:  noarch
Obsoletes:  perl-Math-BigRat < 0.260.600-4

%description
Math::BigRat complements Math::BigInt and Math::BigFloat by providing support
for arbitrary big rational numbers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export PERL5LIB=%{perl_vendorlib}
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
export PERL5LIB=%{perl_vendorlib}/
make test

%install
%make_install

%files
%doc BUGS CHANGES LICENSE META.json META.yml MYMETA.yml README SIGNATURE TODO
%{perl_vendorlib}/Math
%{_mandir}/*/*