%define upstream_name    Math-Clipper
%define upstream_version 1.29

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Polygon clipping in 2D
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CppGuess) >= 0.190.0
BuildRequires: perl(ExtUtils::Typemaps::Default) >= 0.50.0
BuildRequires: perl(ExtUtils::XSpp) >= 0.180.0
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Module::Build::WithXSpp) >= 0.140.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl-devel
%description
'Clipper' is a C++ (and Delphi) library that implements polygon clipping.

Exports
    The module optionally exports a few constants to your namespace.
    Standard Exporter semantics apply (including the ':all' tag).

    The list of exportable constants is comprised of the clip operation
    types (which should be self-explanatory):

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorarch/*
