%define upstream_name    Math-Combinatorics
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Perform combinations and permutations on lists
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
Combinatorics is the branch of mathematics studying the enumeration,
combination, and permutation of sets of elements and the mathematical
relations that characterize their properties. As a jumping off point, refer
to:

 https://mathworld.wolfram.com/Combinatorics.html

This module provides a pure-perl implementation of nCk, nCRk, nPk, nPRk, !n
and n! (combination, multiset, permutation, string, derangement, and
factorial, respectively). Functional and object-oriented usages allow
problems such as the following to be solved:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


