%define upstream_name    Math-Complex
%define upstream_version 1.59

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Complex numbers and associated mathematical functions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util) >= 1.110.0
BuildRequires: perl(Test::More)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
'Math::Trig' defines many trigonometric functions not defined by the core
Perl which defines only the 'sin()' and 'cos()'. The constant *pi* is also
defined as are a few convenience functions for angle conversions, and
_great circle formulas_ for spherical movement.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml TODO
%{_mandir}/man3/*
%perl_vendorlib/*