%define upstream_name    Math-Int128
%define upstream_version 0.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    128 bit integers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl-ExtUtils-MakeMaker
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Math::Int64)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(XSLoader)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(constant)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(warnings::register)
BuildRequires: perl-devel
# This software needs a compiler with a 128-bit integer type. GCC for 32-bit
# targets does not support it. Bugs #1871733, #1871735.
ExcludeArch:    %{arm32} %{ix86}

%description
This module adds support for 128 bit integers, signed and unsigned, to Perl.
It depends on the C compiler's support for them.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorarch/*
