%define upstream_name    Math-Libm
%define upstream_version 1.00

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 27

Summary:    Perl extension for the C math library, libm
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

# Filters (not)shared c libs
%{?perl_default_filter}

%description
This module is a translation of the C _math.h_ file. It exports the
following selected constants and functions.

EXPORT
    None by default.

Exportable constants
      M_1_PI
      M_2_PI
      M_2_SQRTPI
      M_E
      M_LN10
      M_LN2
      M_LOG10E
      M_LOG2E
      M_PI
      M_PI_2
      M_PI_4
      M_SQRT1_2
      M_SQRT2

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes
%{_mandir}/man3/*
%perl_vendorarch/*


