%define upstream_name    Math-MPFR
%define upstream_version 4.38

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl interface to the MPFR (floating point) library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/Math-MPFR
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl-devel
BuildRequires: gmp-devel
BuildRequires: pkgconfig(mpfr)
BuildRequires: quadmath-devel
# b/c of BR on quadmath-devel:
ExclusiveArch: %ix86 x86_64

%description
A bigfloat module utilizing the MPFR library. Basically
this module simply wraps the 'mpfr' floating point functions
provided by that library. Operator overloading is also available.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc CHANGES META.json META.yml MYMETA.yml README V demos
%{_mandir}/man3/*
%{perl_vendorarch}/*