%define upstream_name    Math-MatrixReal
%define upstream_version 2.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Manipulate NxN matrices
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Test::Most)
BuildArch:  noarch

%description
*Semi-Rings*
    A Semi-Ring (S, +, ., 0, 1) is characterized by the following
    properties:

    * 1)

      a) '(S, +, 0) is a Semi-Group with neutral element 0'

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES CREDITS GOALS META.json META.yml TODO example
%{_mandir}/man3/*
%{perl_vendorlib}/*