%define upstream_name    Math-ModInt
%define upstream_version 0.013

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Solving simultaneous integer congruences
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Math::BigInt) >= 1.991.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test)
BuildRequires: perl(Test::More)
BuildRequires: perl(overload)
BuildArch:  noarch

%description
Math::ModInt provides overloaded operators for modular integer arithmetic.
Math::ModInt objects represent integer residue classes. These objects can
be used in arithmetic expressions just like Perl numbers. Math::ModInt
objects are immutable. Mutators like '+=' will replace an object rather
than change its state.

In mixed expressions with Math::ModInt objects and ordinary numbers the
numbers are interpreted as their residue class modulo the modulus of the
rest of the expression. Different moduli must not be mixed, though.

There are different implementations, optimized for moduli of a particular
size or using a particular math library. The base module will transparently
choose a suitable back-end whenever a constructor is called.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE examples
%{_mandir}/man3/*
%perl_vendorlib/*