%define upstream_name    Math-NumSeq
%define upstream_version 75

%{?perl_default_filter}

Name:       perl-Math-NumSeq
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    Number sequences
License:    GPLv3+
Group:      Development/C
Url:        https://metacpan.org/release/Math-NumSeq
Source0:    https://cpan.metacpan.org/authors/id/K/KR/KRYDE/Math-NumSeq-%{upstream_version}.tar.gz
BuildArch:  noarch

%global with_maximum_interoperation 0

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(List::Util)
BuildRequires: perl(Math::Factor::XS) >= 0.400.0
BuildRequires: perl(Math::Libm)
BuildRequires: perl(Math::Prime::XS) >= 0.230.0
BuildRequires: perl(Module::Load)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Module::Util)
BuildRequires: perl(Test)
BuildRequires: perl(constant) >= 1.20.0
BuildRequires: perl(constant::defer) >= 1.0.0
BuildRequires: perl >= 0:5.004
Requires:   perl(File::HomeDir)
Requires:   perl(File::Temp)
Requires:   perl(Math::Trig)
Requires:   perl(Module::Load)
Requires:   perl(SDBM_File)
%if 0%{with_maximum_interoperation}

Requires:   perl(Math::Expression::Evaluator)
Requires:   perl(Math::Symbolic)
Requires:   perl(Language::Expr)
Requires:   perl(Language::Expr::Compiler::Perl)
%endif

%description
This is a base class for some number sequences. Sequence objects can
iterate through values and some sequences have random access and/or
predicate test.

%prep
%setup -q -n Math-NumSeq-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
%make_build

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;

%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc COPYING Changes META.json META.yml MYMETA.yml SIGNATURE examples
%{perl_vendorlib}/Math/*
%{_mandir}/man3/*