%define upstream_name	 Math-Pari
%define upstream_version 2.030523

%define pari_version	2.11.2

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4
Epoch:      1

Summary:    Perl interface to PARI
License:    GPLv2+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz
Source1:    ftp://megrez.math.u-bordeaux.fr/pub/pari/unix/pari-%{pari_version}.tar.gz
Patch5:     Math-Pari-2.030519-MP_NOGNUPLOT.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
# Don't "provide" the redundant unversioned perl(Math::Pari)
%global __provides_exclude ^perl\\(Math::Pari\\)$

%description
This package is a Perl interface to famous library PARI for
numerical/scientific/number-theoretic calculations. It allows use of
most PARI functions as Perl functions, and (almost) seamless merging of
PARI and Perl data. See ftp://megrez.math.u-bordeaux.fr/pub/pari for
more information about PARI.

%prep
%setup -q      -n %{upstream_name}-%{upstream_version}
%setup -q -a 1 -n %{upstream_name}-%{upstream_version}
%autopatch -p0

%build
%__perl Makefile.PL INSTALLDIRS=vendor paridir=pari-%{pari_version} < /dev/null
%make_build CFLAGS="%{optflags}"

%ifnarch x86_64
%check
exit 0
make test MP_NOGNUPLOT=1
%endif

%install
%make_install

%files
%defattr(644,root,root,755)
%doc Changes INSTALL META.json META.yml MYMETA.yml README TODO
%{perl_vendorarch}/Math
%{perl_vendorarch}/auto/Math
%{_mandir}/*/*
