%define upstream_name    Math-Prime-Util-GMP
%define upstream_version 0.52

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Perl interface to the GMP library's rational (mpq) functions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(Math::BigInt) >= 1.880.0
BuildRequires: perl(Test::More) >= 0.450.0
BuildRequires: perl(XSLoader) >= 0.10.0
BuildRequires: perl(base)
BuildRequires: gmp-devel
BuildRequires: perl-devel
%description
A perl interface to the GMP library's rational (mpq) functions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO examples
%{_mandir}/man3/*
%{perl_vendorarch}/*
