%define upstream_name    Math-Prime-Util
%define upstream_version 0.73

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Utilities related to prime numbers, including fast sieves and factoring
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::BigFloat) >= 1.590.0
BuildRequires: perl(Math::BigInt) >= 1.880.0
BuildRequires: perl(Math::Prime::Util::GMP) >= 0.500.0
BuildRequires: perl(Test::More) >= 0.450.0
BuildRequires: perl(Tie::Array)
BuildRequires: perl(XSLoader) >= 0.10.0
BuildRequires: perl(base)
BuildRequires: perl(bignum) >= 0.220.0
BuildRequires: perl(constant)
BuildRequires: perl-devel
# (tv) because of : /bin/primes.pl
Conflicts: perl-Math-Prime-Util

%description
A set of utilities related to prime numbers. These include multiple sieving
methods, is_prime, prime_count, nth_prime, approximations and bounds for
the prime_count and nth prime, next_prime and prev_prime, factoring
utilities, and more.

The default sieving and factoring are intended to be (and currently are)
the fastest on CPAN, including the Math::Prime::XS manpage, the
Math::Prime::FastSieve manpage, the Math::Factor::XS manpage, the
Math::Prime::TiedArray manpage, the Math::Big::Factors manpage, the
Math::Factoring manpage, and the Math::Primality manpage (when the GMP
module is available). For numbers in the 10-20 digit range, it is often
orders of magnitude faster. Typically it is faster than the Math::Pari
manpage for 64-bit operations.

All operations support both Perl UV's (32-bit or 64-bit) and bignums. If
you want high performance with big numbers (larger than Perl's native
32-bit or 64-bit size), you should install the Math::Prime::Util::GMP
manpage and the Math::BigInt::GMP manpage. This will be a recurring theme
throughout this documentation -- while all bignum operations are supported
in pure Perl, most methods will be much slower than the C+GMP alternative.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO examples
%{_bindir}/factor.pl
%{_bindir}/primes.pl
%{_mandir}/man3/*
%{perl_vendorarch}/*
