%define upstream_name    Math-RNG-Microsoft
%define upstream_version 0.4.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A pseudo-random number generator compatible
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(bigint)
BuildRequires: perl(integer)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a random number generator used by the Games::ABC_Path::Generator
manpage, which emulates the one found in Microsoft's Visual C++. It was
utilised here, out of familiarity and accessibility, because it is commonly
used to generate Freecell layouts in the Freecell world (see the
https://en.wikipedia.org/wiki/FreeCell_%28Windows%29 manpage ).

*NOTE:* This is not a cryptologically secure random number generator, nor
is it a particularly good one, so its use is discouraged unless
compatibility with the Windows C Run-time-library is needed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*