%define upstream_name    Math-Random-Secure
%define upstream_version 0.080001

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    The underlying PRNG, as an object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose)
BuildRequires: perl(Crypt::Random::Source)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Math::Random::ISAAC)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Test::SharedFork)
BuildArch: noarch

%{?perl_default_filter}

%description
This module is intended to provide a cryptographically-secure replacement
for Perl's built-in 'rand' function. "Cryptographically secure", in this
case, means:

  No matter how many numbers you see generated by the random number
  generator, you cannot guess the future numbers, and you cannot guess the
  seed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.json
%{_mandir}/man3/*
%perl_vendorlib/*


