%define upstream_name    MaxMind-DB-Common
%define upstream_version 0.040001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A class for metadata related to a MaxMind DB database
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MaxMind/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper::Concise)
BuildRequires: perl(DateTime)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::AllUtils)
BuildRequires: perl(Math::BigInt)
BuildRequires: perl(Moo)
BuildRequires: perl(Moo::Role)
BuildRequires: perl(MooX::StrictConstructor)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Quote)
BuildRequires: perl(Test::More)
BuildRequires: perl(autodie)
BuildRequires: perl(constant)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This distribution provides some shared code for use by both the MaxMind DB
reader and writer Perl modules.

For now, the only piece documented for public consumption is the
MaxMind::DB::Metadata manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc LICENSE INSTALL META.json Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


