%define upstream_name    MaxMind-DB-Reader
%define upstream_version 1.000014

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Read MaxMind DB files and look up IP addresses
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MaxMind/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::IEEE754)
BuildRequires: perl(Data::Printer)
BuildRequires: perl(Data::Validate::IP)
BuildRequires: perl(DateTime)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(List::AllUtils)
BuildRequires: perl(Math::BigInt)
BuildRequires: perl(MaxMind::DB::Common)
BuildRequires: perl(MaxMind::DB::Metadata)
BuildRequires: perl(MaxMind::DB::Role::Debugs)
BuildRequires: perl(MaxMind::DB::Types)
BuildRequires: perl(Module::Implementation)
BuildRequires: perl(Moo)
BuildRequires: perl(Moo::Role)
BuildRequires: perl(MooX::StrictConstructor)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Role::Tiny)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Socket)
BuildRequires: perl(Test::Bits)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::MaxMind::DB::Common::Data)
BuildRequires: perl(Test::MaxMind::DB::Common::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Number::Delta)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(autodie)
BuildRequires: perl(bytes)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This module provides a low-level interface to the the MaxMind DB file
format|http://maxmind.github.io/MaxMind-DB/ manpage.

If you are looking for an interface to MaxMind's the GeoIP2 or GeoLite2
downloadable databases|http://dev.maxmind.com/geoip/ manpage, you should
also check out the the GeoIP2 manpage distribution. That distribution
provides a higher level OO interface to those databases.

This API will work with any MaxMind DB databases, regardless of whether it
is a GeoIP2 database or not. In addition, if speed is critical, this API
will always be faster than the the GeoIP2 manpage modules, since it returns
results as a raw Perl data structure rather than as an object.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml Changes META.json LICENSE INSTALL
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/mmdb-dump-metadata
%{_bindir}/mmdb-dump-search-tree

