%define upstream_name    MetaCPAN-API
%define upstream_version 0.51

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Distribution and releases information for MetaCPAN::API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/H/HA/HAARG/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose)
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(JSON)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(Moo)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::RequiresInternet)
BuildRequires: perl(Test::TinyMocker)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(Types::Standard)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This is a hopefully-complete API-compliant interface to MetaCPAN (the
https://metacpan.org manpage) with DWIM capabilities, to make your life
easier.

This module has three purposes:

* * Provide 100% of the beta MetaCPAN API

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
