%define upstream_name    MetaCPAN-Client
%define upstream_version 2.033000

%bcond_with network_tests
%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A Distribution data object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MetaCPAN/%{upstream_name}-%{upstream_version}.tar.gz

%if %{with network_tests}

%endif

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Tiny) >= 0.56.0
BuildRequires: perl(IO::Socket::SSL) >= 1.420.0
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(JSON::PP)
BuildRequires: perl(LWP::Protocol::https)
BuildRequires: perl(Moo)
BuildRequires: perl(Moo::Role)
BuildRequires: perl(Net::SSLeay) >= 1.490.0
BuildRequires: perl(Ref::Util)
BuildRequires: perl(Safe::Isa)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Needs) >= 0.2.5
BuildRequires: perl(Type::Tiny)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(base)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a hopefully-complete API-compliant client to MetaCPAN (the
https://metacpan.org manpage) with DWIM capabilities, to make your life
easier.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
sed -i s/7.11/7.04/ Makefile.PL 

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%if !%{with network_tests}
mv t/api/[a-z]*.t t/result_custom.t t/scroll.t ./
%endif
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*