%define upstream_name    Metabase-Fact
%define upstream_version 0.025

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Class for Metabase resources
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Metabase/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::DistnameInfo)
BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::GUID)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp) >= 0.200.0
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::Prompt::Tiny)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
the Metabase manpage is a framework for associating content and metadata
with arbitrary resources. A Metabase can be used to store test reports,
reviews, coverage analysis reports, reports on static analysis of coding
style, or anything else for which datatypes are constructed.

Metabase::Fact is a base class for Facts (really opinions or analyses) that
can be sent to or retrieved from a Metabase repository.

Structure of a Fact object
    A Fact object associates a 'content' attribute with a 'resource'
    attribute and a 'creator' attribute.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/metabase-profile
%{_mandir}/man1/metabase-profile.1*