%define upstream_name    Metrics-Any
%define upstream_version 0.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A metrics reporting adapter for unit testing
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Metrics/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(List::Util) >= 1.290.0
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Test2::V0)
BuildArch:  noarch

%description
Provides a central location for modules to report monitoring metrics, such
as counters of the number of times interesting events have happened, and
programs to collect up and send those metrics to monitoring services.

Inspired by the Log::Any manpage, this module splits the overall problem
into two sides. Modules wishing to provide metrics for monitoring purposes
can use the 'use Metrics::Any' statement to obtain a _collector_ into which
they can report metric events. By default this collector doesn't actually
do anything, so modules can easily use it without adding extra specific
dependencies for specific reporting.

A program using one or more such modules can apply a different policy and
request a particular _adapter_ implementation in order to actually report
these metrics to some external system, by using the 'use
Metrics::Any::Adapter' statement.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*