%define upstream_name    Minion
%define upstream_version 10.31

%global __requires_exclude perl\\(EV\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Minion - Job queue
License:    Artistic 2.0
Group:      Development/Perl
Url:        https://mojolicious.org/perldoc/Minion
Source0:    https://cpan.metacpan.org/authors/id/S/SR/SRI/%{upstream_name}-%{upstream_version}.tar.gz

Requires:   perl(Mojolicious)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Mojolicious) >= 9.0.0
BuildRequires: perl(YAML::XS) >= 0.670.0
BuildArch:  noarch

%{?perl_default_filter}

%description
Minion is a job queue for the Mojolicious real-time web framework, with support for multiple named queues, priorities, delayed jobs, job dependencies, job progress, job results, retries with backoff, rate limiting, unique jobs, statistics, distributed workers, parallel processing, autoscaling, remote control, admin ui, resource leak protection and multiple backends (such as PostgreSQL).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{perl_vendorlib}/*
%{_mandir}/man3/*