%define upstream_name    Mock-MonkeyPatch
%define upstream_version 1.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Monkey patching with test mocking in mind
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Mock/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build::Tiny) >= 0.39.0
BuildRequires: perl(Sub::Util) >= 1.400.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildArch:  noarch

%description
Mocking is a common tool, especially for testing. By strategically
replacing a subroutine, one can isolate segments (units) of code to test
individually. When this is done it is important to know that the mocked sub
was actually called and with what arguments it was called.

the Mock::MonkeyPatch manpage injects a subroutine in the place of an
existing one. It returns an object by which you can revisit the manner in
which the mocked subroutine was called. Further when the object goes out of
scope (or when the the /restore manpage method is called) the original
subroutine is replaced.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*