%define upstream_name    Module-Build-Using-PkgConfig
%define upstream_version 0.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Extend Module::Build to easily use platform libraries provided by pkg-config
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::PkgConfig)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
This subclass of the Module::Build manpage provides some handy methods to
assist the _Build.PL_ script of XS-based module distributions that make use
of platform libraries managed by _pkg-config_.

As well as supporting libraries installed on a platform-wide basis and thus
visible to _pkg-config_ itself, this subclass also assists with
'Alien::'-based wrappers of these system libraries, allowing them to be
dynamically installed at build time if the platform does not provide them.

RPATH generation
    This module also provides some helper code to generate the required
    'RPATH' arguments needed to link against the libraries found by
    inspecting the 'extra_linker_flags'. This attempts to duplicate the
    same logic performed by _libtool_ when it would link a C program or
    library, as we don't get to use its code when linking dynamic libraries
    for Perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


