%define upstream_name    Module-Build-WithXSpp
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    XS++ enhanced flavour of Module::Build
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::CppGuess) >= 0.40.0
BuildRequires: perl(ExtUtils::ParseXS) >= 2.220.500
BuildRequires: perl(ExtUtils::Typemaps) >= 1.0.0
BuildRequires: perl(ExtUtils::XSpp) >= 0.110.0
BuildRequires: perl(Module::Build) >= 0.260.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

# Filtering unversioned requires
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Module::Build\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(ExtUtils::CppGuess\\)$

%description
This subclass of the Module::Build manpage adds some tools and processes to
make it easier to use for wrapping C++ using XS++ (the ExtUtils::XSpp
manpage).

There are a few minor differences from using 'Module::Build' for an
ordinary XS module and a few conventions that you should be aware of as an
XS++ module author. They are documented in the the /"FEATURES AND
CONVENTIONS" manpage section below. But if you can't be bothered to read
all that, you may choose skip it and blindly follow the advice in the
/"JUMP START FOR THE IMPATIENT" manpage.

An example of a full distribution based on this build tool can be found in
the the ExtUtils::XSpp manpage distribution under _examples/XSpp-Example_.
Using that example as the basis for your 'Module::Build::WithXSpp'-based
distribution is probably a good idea.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
