%define upstream_name Module-Build-XSUtil
%define upstream_version 0.19

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A Module::Build class for building XS modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Cwd::Guard)
BuildRequires: perl(Devel::CheckCompiler)
BuildRequires: perl(Devel::PPPort)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy::Recursive::Reduced) >= 0.2.0
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.400.500
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(XSLoader)
BuildRequires: perl(parent)
BuildRequires: perl-devel
BuildArch:  noarch

%description
Module::Build::XSUtil is subclass of Module::Build for support
building XS modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml eg
%{_mandir}/man3/*
%{perl_vendorlib}/*