%define upstream_name    Module-CPANTS-Analyse
%define upstream_version 1.02

%global __provides_exclude_from ^%{_docdir}
%global __requires_exclude_from ^%{_docdir}

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Generate Kwalitee ratings for a distribution
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Any::Lite) >= 0.60.0
BuildRequires: perl(Archive::Tar) >= 1.760.0
BuildRequires: perl(Array::Diff) >= 0.40.0
BuildRequires: perl(CPAN::Meta::Validator) >= 2.133.380
BuildRequires: perl(CPAN::Meta::YAML) >= 0.8.0
BuildRequires: perl(Class::Accessor) >= 0.190.0
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Binary)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker::CPANfile) >= 0.90.0
BuildRequires: perl(File::Find::Object)
BuildRequires: perl(JSON::PP)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Module::Find)
BuildRequires: perl(Parse::Distname)
BuildRequires: perl(Perl::PrereqScanner::NotQuiteLite) >= 0.990.100
BuildRequires: perl(Software::License) >= 0.103.12
BuildRequires: perl(Test::FailWarnings)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::Balanced)
BuildRequires: perl(version) >= 0.730.0
BuildArch:  noarch
# to make sure we don't use module::pluggable from core, which warns and
# makes test::nowarning fail

BuildConflicts: cpanminus

%description 
Kwalitee is an automatically-measurable gauge of how good your software is.
That's very different from quality, which a computer really can't measure in a
general sense. (If you can, you've solved a hard problem in computer science.)

In the world of the CPAN, the CPANTS project (CPAN Testing Service; also a
funny acronym on its own) measures Kwalitee with several metrics. If you plan
to release a distribution to the CPAN -- or even within your own organization
-- testing its Kwalitee before creating a release can help you improve your
quality as well.

Test::Kwalitee and a short test file will do this for you automatically.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc AUTHORS Changes META.json META.yml MYMETA.yml TODO
%{perl_vendorlib}/Module
%{_mandir}/*/*