%define upstream_name Module-CPANTS
%define upstream_version 0.20030725

%{?perl_default_filter}

Name:           perl-%{upstream_name}
Version:        %{upstream_version}
Release:        %mkrel 15
Summary:        CPAN module testing
License:        GPL or Artistic
Group:          Development/Perl
Url:            https://metacpan.org/release/%{upstream_name}
Source:         https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.bz2
BuildArch:      noarch
Requires:       perl(Module::Pluggable) >= 2.096

%description
Kwalitee is an automatically-measurable gauge of how good your software is.
That's very different from quality, which a computer really can't measure in a
general sense. (If you can, you've solved a hard problem in computer science.)

In the world of the CPAN, the CPANTS project (CPAN Testing Service; also a
funny acronym on its own) measures Kwalitee with several metrics. If you plan
to release a distribution to the CPAN -- or even within your own organization
-- testing its Kwalitee before creating a release can help you improve your
quality as well.

Test::Kwalitee and a short test file will do this for you automatically.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# currently broken
#%%make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/Module
%{perl_vendorlib}/auto/Module
%{_mandir}/*/*
