%define upstream_name	 Module-Compile
%define upstream_version 0.38

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl Module Compilation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Prove)
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Digest::SHA1) >= 2.130.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%global __requires_exclude %{?__requires_exclude:__requires_exclude|}^perl\\(Module::Install::Base\\)$

%description
This module provides a system for writing modules that compile other Perl
modules. Modules that use these compilation modules get compiled into some
altered form the first time they are run. The result is cached into .pmc files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# upstream packaging bug
rm -f lib/Module/._Compile.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Module
%{_mandir}/*/*