%define upstream_name    Module-Depends
%define upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Intrusive discovery of distribution dependencies
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz
# Restore compatibility with Perl 5.26.0, CPAN RT#119324, CPAN RT#115053
Patch0:         Module-Depends-0.15-Fix-escaping-literal-curly-brackates-in-a-regexp.patch

BuildRequires: perl(Class::Accessor::Chained)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More)
BuildRequires: perl(YAML)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch


%description
Module::Depends extracts module dependencies from an unpacked distribution
tree.

Module::Depends only evaluates the META.yml shipped with a distribution.
This won't be effective until all distributions ship META.yml files, so we
suggest you take your life in your hands and look at
Module::Depends::Intrusive.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
