%define upstream_name    Module-Extract-Use
%define upstream_version 1.054

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Pull out the modules a module uses
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

# Dependencies
Requires:   perl(PPI)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Getopt::Std)
BuildRequires: perl(PPI)
BuildRequires: perl(Test::More) >= 1.0.0
BuildRequires: perl(Test::Output)
BuildRequires: perl(version) >= 0.860.0
BuildArch:  noarch

%description
Extract the names of the modules used in a file using a static analysis.
Since this module does not run code, it cannot find dynamic uses of
modules, such as 'eval "require $class"'.

* new

  Makes an object. The object doesn't do anything just yet, but you need it
  to call the methods.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%{perl_vendorlib}/*