%define upstream_name    Module-Install-AutoLicense
%define upstream_version 0.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    A Module::Install extension to automagically generate LICENSE files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Install)
BuildRequires: perl(Software::License)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Module::Install::AutoLicense is a the Module::Install manpage extension
that generates a 'LICENSE' file automatically whenever the author runs
'Makefile.PL'. On the user side it does nothing.

When 'make distclean' is invoked by the author, the 'LICENSE' is removed.

The appropriate license to determined from the meta provided with the
'license' command and the holder of the license from the 'author' command.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml LICENSE README
%{_mandir}/man3/*
%{perl_vendorlib}/*


