%define upstream_name    Module-Install-ManifestSkip
%define upstream_version 0.24

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Generate a MANIFEST.SKIP file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Install::Base)
BuildRequires: perl(Module::Manifest::Skip)
BuildArch: noarch

%description
This module generates a 'MANIFEST.SKIP' file for you (using the
Module::Manifest::Skip manpage) that contains the common files that people
do not want in their 'MANIFEST' files. The SKIP file is generated each time
that you (the module author) run 'Makefile.PL'.

You can add your own custom entries at the top of the 'MANIFEST' file. Just
put a blank line after your entries, and they will be left alone.

This module also adds 'MANIFEST' to the 'clean_files()' list so that 'make
clean' will remove your 'MANIFEST'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml Changes README LICENSE
%{_mandir}/man3/*
%{perl_vendorlib}/*
