%define upstream_name    Module-Install-ReadmeFromPod
%define upstream_version 0.30

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    A Module::Install extension to automatically convert POD to a README
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny) >= 0.50.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::All)
BuildRequires: perl(Module::Install) >= 1.0.0
BuildRequires: perl(Pod::Html)
BuildRequires: perl(Pod::Man)
BuildRequires: perl(Pod::Markdown) >= 2.0.0
BuildRequires: perl(Pod::Text) >= 3.130.0
BuildRequires: perl(Test::InDistDir)
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
Module::Install::ReadmeFromPod is a the Module::Install manpage extension
that generates a 'README' file automatically from an indicated file
containing POD, whenever the author runs 'Makefile.PL'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*