%define upstream_name Module-Install-ReadmeMarkdownFromPod
%define upstream_version 0.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Create README.mkdn from POD
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Module::Install)
BuildRequires: perl(Pod::Markdown)
BuildRequires: perl(Test::More) >= 0.700.0
BuildRequires: perl(URI::Escape)
BuildArch:  noarch

%description
Module::Install::ReadmeMarkdownFromPod is a Module::Install extension
that generates a "README.mkdn" file automatically from an indicated file
containing POD whenever the author runs "Makefile.PL". This file is used
by GitHub to display nicely formatted information about a repository.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*