%define upstream_name    Module-Install-RequiresList
%define upstream_version 0.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Report prerequisite modules and version numbers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::YAML)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::All)
BuildRequires: perl(Module::Install::Base)
BuildArch: noarch

%description
This module adds a target to your Makefile for listing the modules
required.

The report is broken into sections: Required, Recommended, Build Requires,
and Author Requires.

For each module listed, the report prints 3 versions: the version you are
requesting, your installed version and the CPAN version.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml Changes README LICENSE
%{_mandir}/man3/*
%perl_vendorlib/*


