%define upstream_name Module-Install-TestBase
%define upstream_version 0.86

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 8

Summary:	Module::Install Support for Test::Base
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Module::Install::Base)

BuildArch:	noarch

%description
This module adds the "use_test_base" directive to Module::Install.

Now you can get full Test-Base support for you module with no external
dependency on Test::Base.

Just add this line to your Makefile.PL:

    use_test_base;

That's it. Really. Now Test::Base is bundled into your module, so that
it is no longer any burden on the person installing your module.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
