%define upstream_name    Module-Install-TrustMetaYml
%define upstream_version 0.003

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Trusts META.yml list of dependencies
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(inc::Module::Package)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(YAML::Tiny)
BuildArch:  noarch

%description
CPAN doesn't trust 'META.yml''s list of dependencies for a module. Instead
it expects 'Makefile.PL' run on the computer the package is being installed
upon to generate its own list of dependencies (called 'MYMETA.yml' or
'MYMETA.json').

This module is a Module::Install plugin that generates 'MYMETA.yml' by
simply passing through the dependencies from 'META.yml'.

It does nothing when run from the module author's development copy.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYRIGHT CREDITS Changes HACKING LICENSE META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*
