%define	upstream_name	 Module-Install
%define upstream_version 1.21

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Standalone, extensible Perl module installer
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::PPPort) >= 3.160.0
BuildRequires: perl(ExtUtils::Install) >= 1.520.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(ExtUtils::ParseXS) >= 2.190.0
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Remove) >= 1.420.0
BuildRequires: perl(File::Spec) >= 3.280.0
BuildRequires: perl(Module::Build) >= 0.290.0
BuildRequires: perl(Module::CoreList) >= 2.170.0
BuildRequires: perl(Module::ScanDeps) >= 1.90.0
BuildRequires: perl(Parse::CPAN::Meta) >= 1.441.300
BuildRequires: perl(Test::Harness) >= 3.130.0
BuildRequires: perl(Test::More) >= 0.860.0
BuildRequires: perl(YAML::Tiny) >= 1.380.0
BuildRequires: perl(autodie)
BuildArch:  noarch

%description
This module provides a drop-in replacement for ExtUtils::MakeMaker. For
first-time users, Brian Ingerson's Creating Module Distributions with
Module::Install in June 2003 issue of The Perl Journal
(https://tpj.com/issues/) provides a gentle introduction to how this
module works.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
chmod 644 Changes
find lib -type f | xargs chmod 644
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# this one requires a working CPAN configuration
rm -f t/03_autoinstall.t
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README TODO
%{perl_vendorlib}/Module
%{perl_vendorlib}/inc/Module
%{_mandir}/man3/*
