%define upstream_name    Module-Package
%define upstream_version 0.30

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    A Hands on Guide
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz
# Fix building on Perl without "." in @INC, CPAN RT#121748
Patch0:         Module-Package-0.30-Fix-building-on-Perl-without-.-in-INC.patch

BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(IO::All)
BuildRequires: perl(Module::Install)
BuildRequires: perl(Module::Install::AuthorRequires)
BuildRequires: perl(Module::Install::ManifestSkip)
BuildRequires: perl(Moo)
BuildArch: noarch

%description
This module is a drop-in replacement for the Module::Install manpage. It
does everything Module::Install does, but just a bit better.

Actually this module is simply a wrapper around Module::Install. It
attempts to drastically reduce what goes in a Makefile.PL, while at the
same time, fixing many of the problems that people have had with
Module::Install (and other module frameworks) over the years.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml Changes README LICENSE
%{_mandir}/man3/*
%perl_vendorlib/*


