%define upstream_name    Module-Release
%define upstream_version 2.136

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Automate software releases
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CACertOrg::CA)
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ConfigReader::Simple)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Null)
BuildRequires: perl(Mojolicious) >= 8.0.0
BuildRequires: perl(Term::ReadKey)
BuildRequires: perl(Test::More) >= 1.0.0
BuildRequires: perl(Test::Output)
BuildRequires: perl(Test::Without::Module)
BuildRequires: perl(Time::Piece)
BuildRequires: perl(URI)
BuildArch:  noarch

%description
'Module::Release' automates your software release process. It started as a
script that automated my release process, so it has bits to talk to PAUSE
(CPAN) and SourceForge, and to use 'Makefile.PL' and 'CVS'. Other people
have extended this in other modules under the same namespace so you can use
'Module::Build', 'svn', and many other things.

The methods represent a step in the release process. Some of them check a
condition (e.g. all tests pass) and die if that doesn't work.
'Module::Release' doesn't let you continue if something is wrong. Once you
have checked everything, use the upload features to send your files to the
right places.

The included 'release' script is a good starting place. Don't be afraid to
edit it for your own purposes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_bindir}/release-test
%{_mandir}/man1/release-test.*
%{_mandir}/man3/*
%{perl_vendorlib}/Module
%_bindir/release
%_mandir/man1/release.1*