%define	upstream_name	 Module-Signature
%define upstream_version 0.89

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Check and create SIGNATURE files for CPAN distributions
License:    Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     fix-BR.patch

# Module build

# not mandatory

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(IPC::Run)
BuildRequires: perl(Test::More)
BuildRequires: perl(inc::Module::Install) >= 0.920.0
BuildRequires: sed
# Module runtime
BuildRequires: gnupg2
# Test suite

BuildArch:  noarch
Requires:   gnupg2
%description
This is a perl module to check and create SIGNATURE files
for CPAN distributions.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}
# Remove bundled modules
rm -r ./inc/*
sed -i -e '/^inc\//d' MANIFEST

%build
%__perl Makefile.PL INSTALLDIRS=vendor --skipdeps </dev/null
%make_build

%check
%make_build test

%install
%make_install

%files
%doc AUTHORS Changes META.yml MYMETA.yml README SIGNATURE
%{_bindir}/*
%{_mandir}/man*/*
%{perl_vendorlib}/Module