%define	upstream_name	 Module-Starter
%define upstream_version 1.77

%{?perl_default_filter}
# Filter in-lined Perl code from lib/Module/Starter/Simple.pm
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((ExtUtils::MakeMaker|inc::Module::Install|Module::Build|Test::More)\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      1

Summary:    A simple starter kit for any module 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Pod::Usage) >= 1.210.0
BuildRequires: perl(Software::License) >= 0.103.5
BuildRequires: perl(Test::Harness) >= 0.210.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(parent)
BuildRequires: perl(version) >= 0.770.0
BuildArch:  noarch

%{?perl_default_filter}

%description
This is the core module for Module::Starter. If you're not looking to extend or
alter the behavior of this module, you probably want to look at module-starter
instead.

Module::Starter is used to create a skeletal CPAN distribution, including basic
builder scripts, tests, documentation, and module code. This is done through
just one method, create_distro.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files 
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/*/*