%define upstream_name    Mojo-Pg
%define upstream_version 4.27

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Transaction
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Mojo/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBD::Pg) >= 3.7.4
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Mojolicious) >= 8.500.0
BuildRequires: perl(SQL::Abstract::Pg) >= 1.0.0
BuildArch:  noarch

%description
the Mojo::Pg manpage is a tiny wrapper around the DBD::Pg manpage that
makes http://www.postgresql.org a lot of fun to use with the
http://mojolicious.org real-time web framework. Perform queries blocking
and non-blocking, use all
https://www.postgresql.org/docs/current/static/sql.html PostgreSQL has to
offer, generate CRUD queries from data structures, manage your database
schema with migrations and build scalable real-time web applications with
the publish/subscribe pattern.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%perl_vendorlib/*