%define upstream_name    Mojo-mysql
%define upstream_version 1.27

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Transaction
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Mojo/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBD::MariaDB) >= 1.210.0
BuildRequires: perl(DBI) >= 1.643.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Mojolicious) >= 8.30.0
BuildRequires: perl(SQL::Abstract) >= 1.860.0
BuildRequires: perl(Test::More) >= 0.900.0
BuildArch:  noarch

%description
the Mojo::mysql manpage is a tiny wrapper around the DBD::mysql manpage and
the DBD::MariaDB manpage that makes http://www.mysql.org and
https://mariadb.org/ a lot of fun to use with the http://mojolicio.us
real-time web framework.

The two DBD drivers are compatible with both MySQL and MariaDB, but they
offer different the /options manpage. the DBD::MariaDB manpage should have
better unicode support though and might become the default in the future.

Database and handles are cached automatically, so they can be reused
transparently to increase performance. And you can handle connection
timeouts gracefully by holding on to them only for short amounts of time.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%perl_vendorlib/*