%define upstream_name    Mojolicious-Plugin-AssetPack
%define upstream_version 2.15

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Preprocessor for CoffeeScript
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Mojolicious/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Which) >= 1.210.0
BuildRequires: perl(IPC::Run3) >= 0.48.0
BuildRequires: perl(Mojolicious) >= 9.0.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
the Mojolicious::Plugin::AssetPack manpage is a the Mojolicious manpage
plugin which can be used to cram multiple assets of the same type into one
file. This means that if you have a lot of CSS files (.css, .less, .sass,
...) as input, the AssetPack can make one big CSS file as output. This is
good, since it will often speed up the rendering of your page. The output
file can even be minified, meaning you can save bandwidth and browser
parsing time.

The core preprocessors that are bundled with this module can handle CSS and
JavaScript files, written in many languages.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%{perl_vendorlib}/*