%global module Mojolicious-Plugin-Bootstrap3
%global upstream_version 3.3601

%{?perl_default_filter}

Name:           perl-%{module}
Version:       %perl_convert_version %{upstream_version}
Release:        %mkrel 5
Summary:        Mojolicious + http://getbootstrap.com/
License:        Artistic 2.0
Group:		Development/Perl
# also available via github: https://github.com/jhthorsen/mojolicious-plugin-bootstrap3
URL:            https://metacpan.org/release/%{module}
Source0:        https://cpan.metacpan.org/modules/by-module/Mojolicious/%{module}-%{upstream_version}.tar.gz

BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl(Cwd)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Mojo::Base)
BuildRequires:  perl(Mojolicious) >= 6.00
BuildRequires:  perl(Mojolicious::Plugin)
BuildRequires:  perl(Mojolicious::Plugin::AssetPack) >= 0.670
BuildRequires:  perl(Mojo::Util)
BuildRequires:  perl(Test::Mojo)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(constant)
# (doktor5000) not added via automatic Requires generation
# require for additional content, and also require minimum version
Requires:       perl(Mojolicious::Plugin::AssetPack) >= 0.670

%description
Mojolicious::Plugin::Bootstrap3 is used to include http://getbootstrap.com/
CSS and JavaScript files into your project.

%prep
%setup -q -n Mojolicious-Plugin-Bootstrap3-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install
%{_fixperms} %{buildroot}/*

%files
%doc Changes README
%{perl_vendorlib}/Mojolicious*
%{_mandir}/man3/Mojolicious*

