%define upstream_name Mojolicious-Plugin-OpenAPI
%define upstream_version 5.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    OpenAPI Mojolicious plugin
License:    Artistic 2.0
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Mojolicious/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(JSON::Validator) >= 5.130.0
BuildRequires: perl(Mojolicious) >= 9.0.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: make
BuildRequires: perl
%description
Mojolicious::Plugin::OpenAPI is used to support the OpenAPI (aka Swagger2) 
specification.

%prep
%setup -q -n Mojolicious-Plugin-OpenAPI-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install
%{_fixperms} %{buildroot}/*

%files
%doc Changes META.json META.yml MYMETA.yml
%{perl_vendorlib}/Mojolicious*
%{_mandir}/man3/Mojolicious*