%define upstream_name    Monitoring-Livestatus
%define upstream_version 0.74

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Connector with multiple peers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Monitoring/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(IO::Socket::UNIX)
BuildRequires: perl(JSON::XS)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.870.0
BuildRequires: perl(Thread::Queue) >= 2.110.0
BuildRequires: perl(utf8)
BuildArch:  noarch

%description
This module connects via socket/tcp to the check_mk livestatus addon for
Nagios and Icinga. You first have to install and activate the mklivestatus
addon in your monitoring installation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*