%define upstream_name    Moo
%define upstream_version 2.005005

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A light-weight object system
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/Moo
Source0:    https://cpan.metacpan.org/authors/id/H/HA/HAARG/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Method::Modifiers) >= 1.100.0
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Role::Tiny) >= 2.2.3
BuildRequires: perl(Scalar::Util) >= 1.0.0
BuildRequires: perl(Sub::Defer) >= 2.6.6
BuildRequires: perl(Sub::Quote) >= 2.6.6
BuildRequires: perl(Test::Fatal) >= 0.3.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildArch:  noarch
Requires:   perl(Carp)
Requires:   perl(Class::Method::Modifiers) >= 1.10
Requires:   perl(Class::XSAccessor)
Requires:   perl(Devel::GlobalDestruction) >= 0.11
Requires:   perl(Import::Into) >= 1.002
Requires:   perl(Module::Runtime) >= 0.012
Requires:   perl(mro)
%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}perl\\(Moo::_
%global __provides_exclude %{?__provides_exclude:%{__provides_exclude}|}perl\\(Moo::_

%description
This module is an extremely light-weight, high-performance the Moose
manpage replacement. It also avoids depending on any XS modules to allow
simple deployments. The name 'Moo' is based on the idea that it provides
almost -but not quite- two thirds of the Moose manpage.

Unlike 'Mouse' this module does not aim at full the Moose manpage
compatibility. See the /INCOMPATIBILITIES manpage for more details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
