%define upstream_name MooX-Lsub
%define upstream_version 0.002001

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4

Summary:	Very shorthand syntax for bulk lazy builders
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/MooX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Eval::Closure)
BuildRequires:	perl(Test::Needs)
BuildRequires:	perl(Test::Requires)

BuildArch:	noarch

%description
I often want to use a lot of lazy build subs to implement some plumbing,
with scope to allow it to be overridden by people who know what they're
doing with an injection library like Bread::Board.

Usually, the syntax of "Class::Tiny" is what I use for such things.

  use Class::Tiny {
    'a' => sub { },
    'b' => sub { },
  };

Etc.

But switching things to Moo means I usually have to get much uglier, and
repeat myself a *lot*.

So this module exists as a compromise.

Additionally, I always forgot to declare "use Moo 1.000008" which was
the first version of "Moo" where "builder => sub" worked, and I would
invariably get silly test failures in smokers as a consequence.

This module avoids such problem entirely, and is tested to work with
"Moo 0.009001".

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
