%define upstream_name    MooX-Options
%define upstream_version 4.103

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Role that is apply to your object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::Long) >= 2.430.0
BuildRequires: perl(Getopt::Long::Descriptive) >= 0.99.0
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo) >= 1.3.0
BuildRequires: perl(MooX::Locale::Passthrough)
BuildRequires: perl(Path::Class) >= 0.320.0
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::More) >= 0.900.0
BuildRequires: perl(Test::Trap)
BuildRequires: perl(Text::LineFold)
BuildRequires: perl(strictures) >= 2.0.0
BuildArch:  noarch

%description
Use Getopt::Long::Descriptive to provide command line option for your
Mo/Moo/Moose Object.

This module will add "option" which act as "has" but support additional
feature for getopt.

You will have "new_with_options" to instantiate new object for the command
line.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*
