%define upstream_name    MooX-Struct
%define upstream_version 0.020

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Make simple lightweight record-like structures that make sounds like cows
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Hooks::EndOfScope)
BuildRequires: perl(Exporter::Tiny) >= 0.44.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(Moo) >= 1.0.0
BuildRequires: perl(Object::ID)
BuildRequires: perl(Test::More) >= 0.610.0
BuildRequires: perl(Type::Tiny) >= 1.0.0
BuildRequires: perl(namespace::autoclean) >= 0.190.0
BuildArch:  noarch

%description
MooX::Struct allows you to create cheap struct-like classes for your data
using the Moo manpage.

While similar in spirit to the MooseX::Struct manpage and the Class::Struct
manpage, MooX::Struct has a somewhat different usage pattern. Rather than
providing you with a 'struct' keyword which can be used to define structs,
you define all the structs as part of the 'use' statement. This means they
happen at compile time.

A struct is just an "anonymous" Moo class. MooX::Struct creates this class
for you, and installs a lexical alias for it in your namespace. Thus your
module can create a "Point3D" struct, and some other module can too, and
they won't interfere with each other. All struct classes inherit from
MooX::Struct.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml MYMETA.yml NEWS README SIGNATURE examples
%{_mandir}/man3/*
%{perl_vendorlib}/*