%define upstream_name    MooX-late
%define upstream_version 0.100

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Easily translate Moose code to Moo
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(Moo) >= 2.0.0
BuildRequires: perl(Sub::HandlesVia) >= 0.13.0
BuildRequires: perl(Test::Fatal) >= 0.10.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Requires) >= 0.60.0
BuildRequires: perl(Type::Utils) >= 1.0.1
BuildArch:  noarch

%description
the Moo manpage is a light-weight object oriented programming framework
which aims to be compatible with the Moose manpage. It does this by
detecting when Moose has been loaded, and automatically "inflating" its
classes and roles to full Moose classes and roles. This way, Moo classes
can consume Moose roles, Moose classes can extend Moo classes, and so
forth.

However, the surface syntax of Moo differs somewhat from Moose. For example
the 'isa' option when defining attributes in Moose must be either a string
or a blessed the Moose::Meta::TypeConstraint manpage object; but in Moo
must be a coderef. These differences in surface syntax make porting code
from Moose to Moo potentially tricky. the MooX::late manpage provides some
assistance by enabling a slightly more Moosey surface syntax.

MooX::late does the following:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE TODO examples
%{_mandir}/man3/*
%perl_vendorlib/*
