%define upstream_name    Moose-Autobox
%define upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    The Indexed role
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Moose/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::MoreUtils) >= 0.07
BuildRequires: perl(metaclass)
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose) >= 0.420.0
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(Syntax::Keyword::Junction)
BuildRequires: perl(Syntax::Keyword::Junction::All)
BuildRequires: perl(Syntax::Keyword::Junction::Any)
BuildRequires: perl(Syntax::Keyword::Junction::None)
BuildRequires: perl(Syntax::Keyword::Junction::One)
BuildRequires: perl(Test::Exception) >= 0.210.0
BuildRequires: perl(Test::More) >= 0.890.0
BuildRequires: perl(autobox) >= 2.230.0
BuildRequires: perl(parent)
BuildArch:  noarch


%{?perl_default_filter}
Requires:   perl(autobox)
%description
Moose::Autobox provides an implementation of SCALAR, ARRAY, HASH & CODE for
use with the autobox manpage. It does this using a hierarchy of roles in a
manner similar to what Perl 6 _might_ do. This module, like the Class::MOP
manpage and the Moose manpage, was inspired by my work on the Perl 6 Object
Space, and the 'core types' implemented there.

A quick word about autobox
    The the autobox manpage module provides the ability for calling
    'methods' on normal Perl values like Scalars, Arrays, Hashes and Code
    references. This gives the illusion that Perl's types are first-class
    objects. However, this is only an illusion, albeit a very nice one. I
    created this module because the autobox manpage itself does not
    actually provide an implementation for the Perl types but instead only
    provides the 'hooks' for others to add implementation too.

Is this for real? or just play?
    Several people are using this module in serious applications and it
    seems to be quite stable. The underlying technologies of the autobox
    manpage and the Moose::Role manpage are also considered stable. There
    is some performance hit, but as I am fond of saying, nothing in life is
    free. If you have any questions regarding this module, either email me,
    or stop by #moose on irc.perl.org and ask around.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*
