%define upstream_name    Moose
%define upstream_version 2.2207

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A complete modern object system for Perl 5
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/E/ET/ETHER/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Check) >= 0.11.0
BuildRequires: perl(CPAN::Meta::Requirements)
BuildRequires: perl(Carp) >= 1.220.0
BuildRequires: perl(Class::Load) >= 0.90.0
BuildRequires: perl(Class::Load::XS) >= 0.10.0
BuildRequires: perl(Data::OptList) >= 0.107.0
BuildRequires: perl(Devel::GlobalDestruction)
BuildRequires: perl(Devel::OverloadInfo) >= 0.5.0
BuildRequires: perl(Devel::StackTrace) >= 2.30.0
BuildRequires: perl(Dist::CheckConflicts) >= 0.20.0
BuildRequires: perl(Eval::Closure) >= 0.40.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Util) >= 1.560.0
BuildRequires: perl(MRO::Compat) >= 0.50.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Module::Runtime) >= 0.14.0
BuildRequires: perl(Module::Runtime::Conflicts) >= 0.2.0
BuildRequires: perl(Package::DeprecationManager) >= 0.110.0
BuildRequires: perl(Package::Stash) >= 0.320.0
BuildRequires: perl(Package::Stash::XS) >= 0.240.0
BuildRequires: perl(Params::Util) >= 1.0.0
BuildRequires: perl(Scalar::Util) >= 1.190.0
BuildRequires: perl(Sub::Exporter) >= 0.980.0
BuildRequires: perl(Sub::Util) >= 1.400.0
BuildRequires: perl(Test::Fatal) >= 0.1.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Needs) >= 0.2.10
BuildRequires: perl(Try::Tiny) >= 0.170.0
BuildRequires: perl(parent) >= 0.223.0
BuildRequires: perl(strict) >= 1.30.0
BuildRequires: perl(warnings) >= 1.30.0
BuildRequires: perl-devel
Requires:   perl(Sub::Name)
Provides:   perl-Moose-implementation
Provides:   perl(Moose::Conflicts)

Obsoletes:  perl-Class-MOP <= 1.120.0
Provides:   perl-Class-MOP = 1.120.0

%{?perl_default_filter}

%description
Moose is an extension of the Perl 5 object system.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor --skipdeps
%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml TODO
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorarch}/*
