%define upstream_name    MooseX-Alien
%define upstream_version 1.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Extend a non-Moose class with Moose
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
The fact that Moose objects are hashrefs means it is easy to use Moose to
extend non-Moose classes, as long as they too are hash references.

This role uses an approach similar to the defined in
Moose::Cookbook::FAQ. However this role will call BUILDARGS and
BUILDALL

This approach may not work for all classes. The alien class must be
implemented using a HASHREF and the constructor must accept either a list
of name/value pairs or a HASHREF

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*


