%define upstream_name    MooseX-App-Cmd
%define upstream_version 0.34

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Reads from config file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Cmd) >= 0.321.0
BuildRequires: perl(App::Cmd::Command)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long::Descriptive) >= 0.91.0
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Object)
BuildRequires: perl(MooseX::Getopt)
BuildRequires: perl(MooseX::NonMoose)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module marries the App::Cmd manpage with the MooseX::Getopt manpage.

Use it like the App::Cmd manpage advises (especially see the
App::Cmd::Tutorial manpage), swapping the App::Cmd::Command manpage for the
MooseX::App::Cmd::Command manpage.

Then you can write your moose commands as moose classes, with the
MooseX::Getopt manpage defining the options for you instead of 'opt_spec'
returning a the Getopt::Long::Descriptive manpage spec.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*