%define upstream_name    MooseX-Log-Log4perl
%define upstream_version 0.47

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    A role for easy usage of logging in your Moose based modules based on L<MooseX::Log::Log4perl>
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Moo)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
A logging role building a very lightweight wrapper to the Log::Log4perl
manpage for use with your the Moose manpage classes. The initialization of
the Log4perl instance must be performed prior to logging the first log
message. Otherwise the default initialization will happen, probably not
doing the things you expect.

For compatibility the 'logger' attribute can be accessed to use a common
interface for application logging.

Using the logger within a class is as simple as consuming a role:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


