%define upstream_name MooseX-Meta-TypeConstraint-Mooish
%define upstream_version 0.001

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6

Summary:	Translate Moo-style constraints to Moose-style
License:	LGPLv2
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Test::CheckDeps)
BuildRequires:	perl(Test::Fatal)
BuildRequires:	perl(Test::Moose::More)
BuildRequires:	perl(aliased)
BuildRequires:	perl(namespace::autoclean)

BuildArch:	noarch

%description
Moose type constraints are expected to return true if the value passes
the constraint, and false otherwise; Moo "constraints", on the other
hand, die if validation fails.

This metaclass allows for Moo-style constraints; it will wrap them and
translate their Moo into a dialect Moose understands.

Note that this is largely to enable functionality in
MooseX::AttributeShortcuts; the easiest way use this metaclass is by
using that package. Also, as it's not inconceivable that this
functionality may be desired in other constraint metaclasses, the bulk
of this metaclass' functionality is implemented as a trait.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*
