%define upstream_name    MooseX-Method-Signatures
%define upstream_version 0.49

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Method declarations with type constraints and no source filter
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Hooks::EndOfScope) >= 0.100.0
BuildRequires: perl(Carp)
BuildRequires: perl(Context::Preserve)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Devel::Declare) >= 0.5.11
BuildRequires: perl(Devel::Declare::Context::Simple)
BuildRequires: perl(Eval::Closure)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Module::Runtime) >= 0.12.0
BuildRequires: perl(Moose) >= 0.890.0
BuildRequires: perl(Moose::Meta::Class)
BuildRequires: perl(Moose::Meta::Method)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::LazyRequire) >= 0.60.0
BuildRequires: perl(MooseX::Meta::TypeConstraint::ForceCoercion)
BuildRequires: perl(MooseX::Types) >= 0.350.0
BuildRequires: perl(MooseX::Types::Moose) >= 0.190.0
BuildRequires: perl(MooseX::Types::Structured) >= 0.240.0
BuildRequires: perl(MooseX::Types::Util)
BuildRequires: perl(Parse::Method::Signatures) >= 1.3.14
BuildRequires: perl(Parse::Method::Signatures::Param::Named)
BuildRequires: perl(Parse::Method::Signatures::Param::Placeholder)
BuildRequires: perl(Parse::Method::Signatures::TypeConstraint)
BuildRequires: perl(Parse::Method::Signatures::Types)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Name)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::CheckDeps) >= 0.2.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::More) >= 0.890.0
BuildRequires: perl(Text::Balanced)
BuildRequires: perl(aliased)
BuildRequires: perl(attributes)
BuildRequires: perl(metaclass)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(aliased)
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch
Requires:   perl-aliased

%{?perl_default_filter}

%description
Provides a proper method keyword, like "sub" but specifically for making
methods and validating their arguments against Moose type constraints.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/MooseX
