%define upstream_name    MooseX-Role-Loggable
%define upstream_version 0.114

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Extensive, yet simple, logging role using Log::Dispatchouli
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Log::Dispatchouli)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moo) >= 1.0.1
BuildRequires: perl(Moo::Role)
BuildRequires: perl(MooX::Types::MooseLike)
BuildRequires: perl(Safe::Isa)
BuildRequires: perl(Sub::Quote)
BuildRequires: perl(Sys::Syslog) >= 0.250.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(namespace::sweep)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a role to provide logging ability to whoever consumes it using the
Log::Dispatchouli manpage.

Once you consume this role, you have the attributes and methods documented
below.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*
