%define upstream_name    MooseX-Timestamp
%define upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Simple timestamp type for Moose, with Time Zone
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Memoize)
BuildRequires: perl(Moose)
BuildRequires: perl(Sub::Exporter)
BuildArch: noarch

%description
This module provides a timestamp type as a Str subtype for Moose. This is a
much more lightweight format than, say, the DateTime manpage, with the
disadvantage that it does not support native operations on the dates.

This module provides floating dates on the Gregorian calendar without much
code. It operates in (one or two particular variants of) ISO-8601 date
format, and POSIX-style 6-number lists.

Note: you probably want the functions provided by MooseX::TimestampTZ most
of the time, as they deal in unix epoch times.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc SIGNATURE META.yml Changelog
%{_mandir}/man3/*
%perl_vendorlib/*


