%define upstream_name    MooseX-Types-DateTime-MoreCoercions
%define upstream_version 0.15

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Extensions to L<MooseX::Types::DateTime>
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime) >= 0.430.200
BuildRequires: perl(DateTime::Duration) >= 0.430.200
BuildRequires: perl(DateTimeX::Easy) >= 0.85.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Moose) >= 0.410.0
BuildRequires: perl(MooseX::Types) >= 0.40.0
BuildRequires: perl(MooseX::Types::DateTime) >= 0.70.0
BuildRequires: perl(MooseX::Types::Moose) >= 0.40.0
BuildRequires: perl(Test::Exception) >= 0.270.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::use::ok) >= 0.20.0
BuildRequires: perl(Time::Duration::Parse) >= 0.60.0
BuildRequires: perl(namespace::clean) >= 0.80.0
BuildArch:  noarch

%description
This module builds on the MooseX::Types::DateTime manpage to add additional
custom types and coercions. Since it builds on an existing type, all
coercions and constraints are inherited.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*
