%define upstream_name    MooseX-Types-DateTime
%define upstream_version 0.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    L<DateTime> related constraints and coercions for
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime) >= 0.430.200
BuildRequires: perl(DateTime::Duration) >= 0.430.200
BuildRequires: perl(DateTime::Locale) >= 0.400.100
BuildRequires: perl(DateTime::TimeZone) >= 0.950.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(List::Util)
BuildRequires: perl(Locale::Maketext)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Moose) >= 0.410.0
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Types) >= 0.300.0
BuildRequires: perl(MooseX::Types::Moose) >= 0.300.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::clean) >= 0.80.0
BuildRequires: perl(ok)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module packages several the Moose::Util::TypeConstraints manpage with
coercions, designed to work with the the DateTime manpage suite of objects.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
