%define upstream_name MooseX-Util
%define upstream_version 0.006

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6

Summary:	Moose::Util extensions
License:	LGPLv2
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(aliased)
BuildRequires:	perl(autobox::Core)
BuildRequires:	perl(MooseX::AttributeShortcuts)
BuildRequires:	perl(MooseX::TraitFor::Meta::Class::BetterAnonClassNames)
BuildRequires:	perl(namespace::autoclean)
BuildRequires:	perl(Test::CheckDeps)
BuildRequires:	perl(Test::Moose::More)
BuildRequires:	perl(Test::Requires)

BuildArch:	noarch

%description
This is a utility module that handles all of the same functions that
Moose::Util handles. In fact, most of the functions exported by this
package are simply re-exports from Moose::Util, so you're recommended to
read the documentation of that module for a comprehensive view.

However.

We've reimplemented a number of the functions our parent provides, for a
variety of reasons.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*
