%define upstream_name MouseX-App-Cmd
%define upstream_version 0.30

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 7

Summary:	Mashes up MouseX::Getopt and App::Cmd
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/MouseX/%{upstream_name}-%{upstream_version}.tar.gz
# Restore compatibility with App-Cmd-0.328, bug #1268805, CPAN RT #107068
Patch0:         MouseX-App-Cmd-0.30-Restore-compatibility-with-App-Cmd-0.328.patch

BuildRequires:	perl(App::Cmd::Command)
BuildRequires:	perl(Mouse)
BuildRequires:	perl(MouseX::Getopt)
BuildRequires:  perl(MooseX::NonMoose)
BuildRequires:  perl(MouseX::NonMoose)
BuildRequires:	perl(namespace::autoclean)
BuildRequires:	perl(Test::Output)

BuildArch:	noarch

%description
Mashes up MouseX::Getopt and App::Cmd.

%prep
%autosetup -n %{upstream_name}-%{upstream_version} -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
