%define upstream_name    MouseX-NativeTraits
%define upstream_version 1.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Provides methods for ArrayRef
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Mouse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose) >= 0.130.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Mouse) >= 0.820.0
BuildRequires: perl(Test::Fatal) >= 0.3.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
While Mouse attributes provide a way to name your accessors,
readers, writers, clearers and predicates, MouseX::NativeTraits provides
commonly used attribute helper methods for more specific types of data.

As seen in /SYNOPSIS, you specify the data structure via
the 'traits' parameter. These traits will be loaded automatically, so you
need not load MouseX::NativeTraits explicitly.

This extension is compatible with Moose native traits, although it is not a
part of Mouse core.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README example
%{_mandir}/man3/*
%perl_vendorlib/*
