%define upstream_name    MouseX-Types-Path-Class
%define upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    A Path::Class type library for Mouse
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MouseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Mouse) >= 0.390.0
BuildRequires: perl(MouseX::Types) >= 0.20.0
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::UseAllModules)
BuildArch:  noarch

%description
MouseX::Types::Path::Class creates common the Mouse manpage types,
coercions and option specifications useful for dealing with the Path::Class
manpage objects as the Mouse manpage attributes.

Coercions (see the Mouse::Util::TypeConstraints manpage) are made from both
'Str' and 'ArrayRef' to both the Path::Class::Dir manpage and the
Path::Class::File manpage objects. If you have the MouseX::Getopt manpage
installed, the Getopt option type ("=s") will be added for both the
Path::Class::Dir manpage and the Path::Class::File manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
