%define upstream_name    Mozilla-CA
%define upstream_version 20250202

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Mozilla's CA cert bundle in PEM format
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Mozilla/%{upstream_name}-%{upstream_version}.tar.gz
# Use CA bundle from ca-certificates package, RHBZ#738383
Patch0:     Mozilla-CA-20250202-Redirect-to-ca-certificates-bundle.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: rootcerts >= 1:20121229.00
Requires:   rootcerts >= 1:20121229.00
BuildArch:  noarch

%description
Mozilla::CA provides a copy of Mozilla's bundle of Certificate Authority
certificates in a form that can be consumed by modules and libraries based
on OpenSSL.

The module provide a single function:

* SSL_ca_file()

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch -P 0 -p1 -b .orig

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*