%define nspr_name	nspr
%define nss_name	nss
%define mozldap_name	mozldap

%{?perl_default_filter}

Summary: 	LDAP Perl module that wraps the OpenLDAP C SDK
Name: 		perl-Mozilla-LDAP
Version: 	1.5.3
Release: 	%mkrel 26
License: 	GPLv2+ and LGPLv2+ and MPLv1.1
Group: 		Development/Perl
URL: 		https://www.mozilla.org/directory/perldap.html
Requires: perl 	>= 2:5.8.0
BuildRequires: 	perl >= 2:5.8.0
BuildRequires: 	perl-devel
BuildRequires: 	openldap-devel >= 2.4.2
BuildRequires: 	%{nspr_name}-devel >= 4.6
BuildRequires: 	%{nss_name}-devel >= 3.11
BuildRequires: 	%{mozldap_name}-devel >= 6.0
Source0: 	ftp://ftp.mozilla.org/pub/mozilla.org/directory/perldap/releases/%{version}/perl-mozldap-%{version}.tar.gz
Source1: 	ftp://ftp.mozilla.org/pub/mozilla.org/directory/perldap/releases/1.5/Makefile.PL.rpm

%description
%{summary}.

%prep
%setup -q -n perl-mozldap-%{version}
# Filter unwanted Provides:
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
  sed -e '/perl(Mozilla::LDAP::Entry)$/d'
EOF

%define __perl_provides %{_builddir}/perl-mozldap-%{version}/%{name}-prov
chmod +x %{__perl_provides}

# Filter unwanted Requires:
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
  sed -e '/perl(Mozilla::LDAP::Entry)/d'
EOF

%define __perl_requires %{_builddir}/perl-mozldap-%{version}/%{name}-req
chmod +x %{__perl_requires}

%build

LDAPPKGNAME=openldap CFLAGS="$RPM_OPT_FLAGS" perl %{SOURCE1} PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=vendor < /dev/null
%make_build OPTIMIZE="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" 
make test

%install
eval `perl '-V:installarchlib'`

%makeinstall

# remove files we don't want to package
rm -f `find $RPM_BUILD_ROOT -type f -name perllocal.pod -o -name .packlist`
find $RPM_BUILD_ROOT -name API.bs -a -size 0 -exec rm -f {} \;

# make sure shared lib is correct mode
find $RPM_BUILD_ROOT -name API.so -exec chmod 755 {} \;

# call spec-helper before creating the file list
# (spec-helper removes some files, and compress some others)
%define dont_strip 1
%{?__spec_helper_post}
%undefine dont_strip

# make sure files refer to %{_prefix} instead of buildroot/%prefix
find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" > %{name}-%{version}-%{release}-filelist
if [ "$(cat %{name}-%{version}-%{release}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit 1
fi


%files -f %{name}-%{version}-%{release}-filelist
%doc CREDITS ChangeLog README MPL-1.1.txt

