%define upstream_name    NEXT
%define upstream_version 0.69

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl5 implementation of NEXT (RFC190)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
NEXT.pm adds a pseudoclass named 'NEXT' to any program that uses it. If a
method 'm' calls '$self->NEXT::m()', the call to 'm' is redispatched as if
the calling method had not originally been found.

In other words, a call to '$self->NEXT::m()' resumes the depth-first,
left-to-right search of '$self''s class hierarchy that resulted in the
original call to 'm'.

Note that this is not the same thing as '$self->SUPER::m()', which begins a
new dispatch that is restricted to searching the ancestors of the current
class. '$self->NEXT::m()' can backtrack past the current class -- to look
for a suitable method in other ancestors of '$self' -- whereas
'$self->SUPER::m()' cannot.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README demo
%{_mandir}/man3/*
%{perl_vendorlib}/*