%define upstream_name    Nagios-Passive
%define upstream_version v0.4.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5
Summary:    Submit passive check results to nagios
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Nagios/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Any::Moose)
BuildRequires: perl(Class::Load)
BuildRequires: perl(Crypt::Rijndael)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Gearman::Client)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Monitoring::Plugin::Threshold)
BuildRequires: perl(Moo)
BuildRequires: perl(MooX::HandlesVia)
BuildRequires: perl(MooX::late)
BuildRequires: perl(MouseX::NativeTraits)
BuildRequires: perl(Nagios::Plugin)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::TempDir::Tiny)
BuildRequires: perl(version)
BuildArch:  noarch

%description
This is the factory class, currently it creates either a
Nagios::Passive::CommandFile or a Nagios::Passive::ResultPath object. Which
object is created depends on the keys of the hash you supply to the the
create method.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*
