%define upstream_name    Nagios-Plugin
%define upstream_version 0.36

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Class for handling Nagios::Plugin
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Nagios/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Nagios-Plugin-0.36-fix-test.patch

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Accessor)
BuildRequires: perl(Config::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::File)
BuildRequires: perl(Math::Calc::Units)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Nagios::Plugin and its associated Nagios::Plugin::* modules are a family of
perl modules to streamline writing Nagios plugins. The main end user
modules are Nagios::Plugin, providing an object-oriented interface to the
entire Nagios::Plugin::* collection, and Nagios::Plugin::Functions,
providing a simpler functional interface to a useful subset of the
available functionality.

The purpose of the collection is to make it as simple as possible for
developers to create plugins that conform the Nagios Plugin guidelines
(http://nagiosplug.sourceforge.net/developer-guidelines.html).

EXPORTS
    Nagios status code constants are exported by default:

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README META.yml Changes
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Mar 20 2022 umeabot 0.360.0-12.1.mga8
- Rebuild

* Wed Feb 12 2020 umeabot 0.360.0-11.mga7
- Rebuild

* Wed Sep 19 2018 umeabot 0.360.0-10.mga6
- Rebuild

* Sun Jun 19 2016 pterjan 0.360.0-9.mga6
- Rebuild

* Fri Feb 19 2016 umeabot 0.360.0-8.mga5
- Rebuild

* Sat Oct 18 2014 umeabot 0.360.0-6.mga1
- Rebuild

* Wed Oct 15 2014 Peter Poeml, poeml at mirrorbrain.org 0.360.0-5.1.mga1
- Rebuild

* Tue Sep 16 2014 Peter Poeml, poeml at mirrorbrain.org 0.360.0-4.1.mga0.360.0.nonfree
- Rebuild

* Fri Oct 18 2013 umeabot 0.360.0-3.mga1
- Rebuild

* Sun Jan 13 2013 umeabot 0.360.0-2.8.mga0.360.0
- Rebuild

* Tue Mar 06 2012 cpan2dist 0.36-1mga
- initial mageia release, generated with cpan2dist
