%define upstream_name    Net-Amazon-S3
%define upstream_version 0.991

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Perl6::Say\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    An internal class to get a bucket's location constraint
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/Net-Amazon-S3
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Stream::Bulk::Callback)
BuildRequires: perl(DateTime::Format::HTTP)
BuildRequires: perl(Digest::HMAC_SHA1)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Digest::MD5::File)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Exporter::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::stat)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(Hash::Util)
BuildRequires: perl(IO::File) >= 1.140.0
BuildRequires: perl(LWP) >= 6.30.0
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(LWP::UserAgent::Determined)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(MIME::Types)
BuildRequires: perl(Moose) >= 0.850.0
BuildRequires: perl(Moose::Meta::Class)
BuildRequires: perl(Moose::Object)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Role::Parameterized)
BuildRequires: perl(MooseX::StrictConstructor) >= 0.160.0
BuildRequires: perl(MooseX::Types::DateTime::MoreCoercions) >= 0.70.0
BuildRequires: perl(Path::Class)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Ref::Util)
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(Safe::Isa)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Override)
BuildRequires: perl(Term::Encoding)
BuildRequires: perl(Term::ProgressBar::Simple)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::LWP::UserAgent)
BuildRequires: perl(Test::MockTime)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(Time::Piece)
BuildRequires: perl(URI)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(URI::QueryParam)
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(XML::LibXML::XPathContext)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(parent)
BuildRequires: perl(sort)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

# Provide modules loaded by a different file name, bug #1892877
Provides:      perl(Net::Amazon::S3::Operation::Object::Upload::Part) = %{version}
Provides:      perl(Net::Amazon::S3::Operation::Object::Upload::Parts) = %{version}
Provides:      perl(Net::Amazon::S3::Operation::Objects::Delete) = %{version}
Provides:      perl(Net::Amazon::S3::Operation::Objects::List) = %{version}

%description
This module provides a Perlish interface to Amazon S3. From the developer
blurb: "Amazon S3 is storage for the Internet. It is designed to make
web-scale computing easier for developers. Amazon S3 provides a simple web
services interface that can be used to store and retrieve any amount of
data, at any time, from anywhere on the web. It gives any developer access
to the same highly scalable, reliable, fast, inexpensive data storage
infrastructure that Amazon uses to run its own global network of web sites.
The service aims to maximize benefits of scale and to pass those benefits
on to developers".

To find out more about S3, please visit: https://s3.amazonaws.com/

To use this module you will need to sign up to Amazon Web Services and
provide an "Access Key ID" and " Secret Access Key". If you use this
module, you will incur costs as specified by Amazon. Please check the
costs. If you use this module with your Access Key ID and Secret Access Key
you must be responsible for these costs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc CHANGES LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/s3cl
%{_mandir}/man1/s3cl.1*
