%define upstream_name    Net-Amazon-Signature-V4
%define upstream_version 0.21

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Implements the Amazon Web Services signature version 4, AWS4-HMAC-SHA256
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::SHA)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurper)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::Piece) >= 1.170.0
BuildRequires: perl(URI::Escape)
BuildArch:  noarch

%description
Implements the Amazon Web Services signature version 4, AWS4-HMAC-SHA256.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*