%define upstream_name    Net-Async-HTTP
%define upstream_version 0.50

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    HTTP client protocol handler
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Future) >= 0.280.0
BuildRequires: perl(Future::Utils) >= 0.160.0
BuildRequires: perl(HTTP::Cookies)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(IO::Async::Loop) >= 0.590.0
BuildRequires: perl(IO::Async::Stream) >= 0.590.0
BuildRequires: perl(IO::Async::Test)
BuildRequires: perl(IO::Async::Timer::Countdown)
BuildRequires: perl(List::Util) >= 1.290.0
BuildRequires: perl(Metrics::Any) >= 0.50.0
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Socket) >= 2.10.0
BuildRequires: perl(Struct::Dumb) >= 0.70.0
BuildRequires: perl(Test2::V0) >= 0.0.147
BuildRequires: perl(Test::Metrics::Any)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(URI)
BuildArch:  noarch

%description
This object class implements an asynchronous HTTP user agent. It sends
requests to servers, returning the Future manpage instances to yield
responses when they are received. The object supports multiple concurrent
connections to servers, and allows multiple requests in the pipeline to any
one connection. Normally, only one such object will be needed per program
to support any number of requests.

As well as using futures the module also supports a callback-based
interface.

This module optionally supports SSL connections, if the IO::Async::SSL
manpage is installed. If so, SSL can be requested either by passing a URI
with the 'https' scheme, or by passing a true value as the 'SSL' parameter.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*