%define upstream_name    Net-CUPS
%define upstream_version 0.64

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 13

Summary:	Common Unix Printing System Interface
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:         perl-Net-CUPS-use-libcupsfilters.patch

BuildRequires:	perl-devel
BuildRequires:	cups-devel
BuildRequires:	perl(Test::More)
BuildRequires:	pkgconfig(libcupsfilters)
BuildRequires:	pkgconfig(openssl)

%{?perl_default_filter}

%description
Net::CUPS is an object oriented interface to the Common Unix Printing
System.

%prep
%setup -n %{upstream_name}-%{upstream_version}
%patch -P0 -p1 -b .libcupsfilters

# those test requires a running cups server
# http://rt.cpan.org/Ticket/Display.html?id=38469
rm -f t/03_destination.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorarch/*
