%define upstream_name    Net-DBus-GLib
%define upstream_version 0.33.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 27

Summary:    Perl extension for the DBus GLib bindings
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Glib)
BuildRequires: perl(Net::DBus)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel

%description
Net::DBus::GLib provides an extension to the Net::DBus module allowing
integration with the GLib main loop. To integrate with the main loop, simply
get a connection to the bus via the methods in Net::DBus::GLib
rather than the usual Net::DBus module. That's it - every other
API remains the same.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl -pi -e 's/^(\s+)GLib:/$1Glib:/' META.yml.PL

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README LICENSE AUTHORS CHANGES META.yml
%{_mandir}/man3/*
%perl_vendorarch/*


