%define	upstream_name    Net-DBus
%define	upstream_version 1.2.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Perl API to the DBus message system
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz
#From: Colin Guthrie <colin@mageia.org>
#Date: Wed, 7 Jan 2015 15:29:41 +0000
#Subject: [PATCH] Add support for interactive authorization.
#
#Support for this is now merged in the dbus 1.9.x branch.
#This allows us to use interactive authorisation (e.g. via polkit) when making
#various bus calls.
# NOTE anaselli before removing patch0 please contact anaselli or coling
Patch0:     0001-Add-support-for-interactive-authorization.patch
Patch1:     split-test-deps.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::CPAN::Changes)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(XML::Twig)
BuildRequires: pkgconfig(dbus-1) >= 1.8.14-2
BuildRequires: perl-devel
%{?perl_default_filter}

%description
Net::DBus provides a Perl API for the DBus message system. The DBus Perl
interface is currently operating against the 0.32 development version of DBus,
but should work with later versions too, providing the API changes have not
been too drastic.

Users of this package are either typically, service providers in which case the
Net::DBus::Service and Net::DBus::Object modules are of most relevance, or are
client consumers, in which case Net::DBus::RemoteService and
Net::DBus::RemoteObject are of most relevance.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build OPTIMIZE="%{optflags}"

%check
%make_build test

%install
%make_install

%files
%doc AUTHORS Changes LICENSE META.yml MYMETA.yml README examples
%{_mandir}/*/*
%{perl_vendorarch}/Net
%{perl_vendorarch}/auto/Net
