%define upstream_name Net-DNS-Resolver-Programmable
%define upstream_version 0.009

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Programmable DNS resolver class for offline emulation of DNS
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/J/JM/JMEHNLE/net-dns-resolver-programmable/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl-devel
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Net::DNS)
BuildRequires:	perl(version)
BuildArch:	noarch

%description
Net::DNS::Resolver::Programmable is a Net::DNS::Resolver descendant class that
allows a virtual DNS to be emulated instead of querying the real DNS. A set of
static DNS records may be supplied, or arbitrary code may be specified as a
means for retrieving DNS records, or even generating them on the fly.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc CHANGES LICENSE README TODO
%{perl_vendorlib}/Net/DNS/Resolver/*.pm
%{_mandir}/*/*
