%define	upstream_name	 Net-DNS-SEC
%define upstream_version 1.26

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    DNSSEC support for Net::DNS perl module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp) >= 1.100.0
BuildRequires: perl(Config)
BuildRequires: perl(DynaLoader) >= 1.90.0
BuildRequires: perl(Exporter) >= 5.630.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find) >= 1.130.0
BuildRequires: perl(File::Spec) >= 3.290.0
BuildRequires: perl(IO::File) >= 1.140.0
BuildRequires: perl(MIME::Base64) >= 3.70.0
BuildRequires: perl(Net::DNS) >= 1.80.0
BuildRequires: perl(Test::More) >= 0.800.0
BuildRequires: perl-devel
BuildRequires: pkgconfig(openssl)
%description
This perl modules implements DNSSEC extensions as described in
rfc 2535, 2931. With it, you can use DS, SIG, KEY and NXT record.

It extends perl-Net-DNS to manipulate these records.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
rm -f t/14-misc.t
chmod 755 demo/{key2ds,make-signed-keyset}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README WARNING demo
%{perl_vendorarch}/auto/Net
%{perl_vendorarch}/Net
%{_mandir}/man?/*