%define upstream_name	 Net-DNS
%define upstream_version 1.50

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl interface to the DNS resolver
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp) >= 1.100.0
BuildRequires: perl(Config)
BuildRequires: perl(Digest::HMAC) >= 1.30.0
BuildRequires: perl(Digest::MD5) >= 2.370.0
BuildRequires: perl(Digest::SHA) >= 5.230.0
BuildRequires: perl(Encode) >= 2.260.0
BuildRequires: perl(Exporter) >= 5.630.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find) >= 1.130.0
BuildRequires: perl(File::Spec) >= 3.290.0
BuildRequires: perl(Getopt::Long) >= 2.430.0
BuildRequires: perl(IO::File) >= 1.140.0
BuildRequires: perl(IO::Select) >= 1.170.0
BuildRequires: perl(IO::Socket) >= 1.300.0
BuildRequires: perl(IO::Socket::IP) >= 0.380.0
BuildRequires: perl(MIME::Base64) >= 3.70.0
BuildRequires: perl(PerlIO) >= 1.50.0
BuildRequires: perl(Scalar::Util) >= 1.190.0
BuildRequires: perl(Socket) >= 1.810.0
BuildRequires: perl(Test::Builder) >= 0.800.0
BuildRequires: perl(Test::More) >= 0.800.0
BuildRequires: perl(Time::Local) >= 1.190.0
BuildRequires: perl(base) >= 2.130.0
BuildRequires: perl(constant) >= 1.170.0
BuildRequires: perl(integer) >= 1.0.0
BuildRequires: perl(overload) >= 1.60.0
BuildRequires: perl(strict) >= 1.30.0
BuildRequires: perl(warnings) >= 1.50.100
BuildRequires: perl-devel
BuildArch:  noarch

Obsoletes:  perl-Net-DNS < 0.830.0-3

%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

%description
Net::DNS is a collection of Perl modules that act as a Domain Name System (DNS)
resolver. It allows the programmer to perform DNS queries that are beyond the
capabilities of gethostbyname and gethostbyaddr.

The programmer should be somewhat familiar with the format of a DNS packet and
its various sections. See RFC 1035 or DNS and BIND (Albitz & Liu) for details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor < /dev/null
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README demo
%{_mandir}/*/*
%{perl_vendorlib}/Net