%define upstream_name    Net-Delicious
%define upstream_version 1.14

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Constant variables for del.icio.us response messages
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::Simple)
BuildRequires: perl(Crypt::SSLeay)
BuildRequires: perl(Date::Parse)
BuildRequires: perl(File::Spec)
BuildRequires: perl(FileHandle)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(IO::AtomicFile)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Log::Dispatch)
BuildRequires: perl(Test::Simple)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(URI)
BuildRequires: perl(XML::Simple)
BuildRequires: perl(YAML)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
OOP for the del.icio.us API

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


