%define upstream_name	 Net-Dict
%define upstream_version 2.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A perl client for accessing network dictionary servers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AppConfig::Std)
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(Net::Cmd)
BuildRequires: perl(Test::Differences) >= 0.620.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::RequiresInternet) >= 0.50.0
BuildArch:  noarch

# mga#5816, upstream rt#77106
# this should be removed once upstream is fixed
Requires:   perl(AppConfig::Std)
# both packages provide /usr/bin/dict
Conflicts:	dictd-client

%description
Net::Dict is a perl class for looking up words and their definitions on network
dictionary servers. It provides a simple client API for the DICT network
protocol.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make_build

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Net/*
%{_mandir}/*/*
%{_bindir}/dict
%{_bindir}/tkdict