%define upstream_name    Net-FTP-AutoReconnect
%define upstream_version 0.3

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    FTP client class with automatic reconnect on failure
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(Net::FTP)
BuildArch: noarch

%description
The goal of this method is to hide some implementation details of FTP
server systems from the programmer. In particular, many FTP systems will
automatically disconnect a user after a relatively short idle time or after
a transfer is aborted. In this case, 'Net::FTP::AutoReconnect' will simply
reconnect, send the commands necessary to return your session to its
previous state, then resend the command. If that fails, it will return the
error.

It makes no effort to determine what sorts of errors are likely to succeed
when they're retried. Partly that's because it's hard to know; if you're
retrieving a file from an FTP site with several mirrors and the file is not
found, for example, maybe on the next try you'll connect to a different
server and find it. But mostly it's from laziness; if you have some good
ideas about how to determine when to retry and when not to bother, by all
means send patches.

This module contains an instance of 'Net::FTP', which it passes most method
calls along to.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


