%define upstream_name    Net-FTP-RetrHandle
%define upstream_version 0.2

# We can't allow tests that access the network under iurt, so remove those
# unless specified on the command line
%bcond_with net_tests

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Tied or IO::Handle-compatible interface to a file retrieved by FTP
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
%if %{with net_tests}
BuildRequires: perl(Fcntl)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(Net::FTP)
%endif
BuildArch: noarch

%description
Support for skipping the beginning of the file is implemented with the FTP
'REST' command, which starts a retrieval at any point in the file. Support
for skipping the end of the file is implemented with the FTP 'ABOR'
command, which stops the transfer. With these two commands and some careful
tracking of the current file position, we're able to reliably emulate a
'seek/read' pair, and get only the parts of the file that are actually
read.

This was originally designed for use with Archive::Zip; it's reliable
enough that the table of contents and individual files can be extracted
from a remote ZIP archive without downloading the whole thing. See the
EXAMPLES manpage below.

An interface compatible with IO::Handle is provided, along with a
'tie'-based interface.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# Remove network tests
%if !%{with net_tests}
for T in t/10remote.t t/11tie.t; do
  rm "$T"
  sed -i -e '\,^'"$T"',d' MANIFEST
done
%endif

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc NEWS META.yml TODO
%{_mandir}/man3/*
%perl_vendorlib/*


