%define upstream_name    Net-Facebook-Oauth2
%define upstream_version 0.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A simple Perl wrapper around Facebook OAuth 2.0 protocol
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(LWP::Protocol::https)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Plack::Loader)
BuildRequires: perl(Plack::Request)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::MockModule)
BuildRequires: perl(Test::MockObject)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::TCP)
BuildRequires: perl(URI)
BuildRequires: perl(URI::Escape)
BuildArch: noarch

%description
Net::Facebook::Oauth2 gives you a way to simply access FaceBook Oauth 2.0
protocol

For more information please see example folder shipped with this Module, or
refer to the https://metacpan.org/pod/Net::Facebook::Oauth2.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml Changes META.json
%{_mandir}/man3/*
%perl_vendorlib/*


