%define upstream_name    Net-Flow
%define upstream_version 1.003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Decode and encode NetFlow/IPFIX datagrams
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
The Flow module provides the decoding function for NetFlow version 5,9 and
IPFIX, and the encoding function for NetFlow version 9 and IPFIX. It
supports NetFlow version 9 (RFC3945) and NetFlow version 5
(https://www.cisco.com/) and IPFIX(RFC5101). You can easily make the Flow
Proxy, Protocol Converter and Flow Concentrator by using the combination of
both function, just like Flow Mediator (RFC6183). The Mediator would have
multiple functions by utilizing intermediate process. And also, you can
make the flexible Collector which can receive any Templates by using the
Storable perl module.

For standard information elements (ElementID, Name, Data Type, Data Type
Semantics, and Description) see
https://www.iana.org/assignments/ipfix/ipfix.xml

Important Note
    Version 1.000 may break code that relies (or works around) the
    previously broken encoding of IPFIX options templates. NetFlow version
    9 is not affected by this change. The semantics for ScopeCount are now
    consistent when encoding v9 or IPFIX.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*
