%define upstream_name    Net-GPSD3
%define upstream_version 0.19

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Net::GPSD3 Return Satellite Object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::W3CDTF) >= 0.60.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(GPS::Point) >= 0.100.0
BuildRequires: perl(IO::Socket::INET6)
BuildRequires: perl(JSON::XS)
BuildRequires: perl(Test::Simple) >= 0.440.0
BuildArch:  noarch

%description
Net::GPSD3 provides an object client interface to the gpsd server daemon
utilizing the version 3.1 protocol. gpsd is an open source GPS deamon from
http://gpsd.berlios.de/. Support for Version 3 of the protocol (JSON) was
adding to the daemon in version 2.90. If your daemon is before 2.90 then
please use the the Net::GPSD manpage package.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man?/*
%perl_vendorlib/*