%define upstream_name    Net-Google-PicasaWeb
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Use Google Picasa Web services from Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(IO::Prompt)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Role::Matcher)
BuildRequires: perl(Net::Google::AuthSub)
BuildRequires: perl(Test::Able)
BuildRequires: perl(Test::Able::Runner)
BuildRequires: perl(Test::Mock::LWP)
BuildRequires: perl(URI)
BuildRequires: perl(XML::Twig)
BuildArch: noarch

%description
This defines some common tools available to many of the classes included
with the Net::Google::PicasaWeb manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README AUTHORS Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/picasa
/usr/bin/picasa-get
/usr/bin/picasa-list
%{_mandir}/man1/picasa-get.1*
%{_mandir}/man1/picasa-list.1*
%{_mandir}/man1/picasa.1*

