%define upstream_name    Net-HTTPS-NB
%define upstream_version 0.15

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5
Summary:    Non-blocking HTTPS client
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket::SSL) >= 0.980.0
BuildRequires: perl(Net::HTTP)
BuildRequires: perl(Net::HTTPS)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
Same interface as Net::HTTPS but it will never try multiple reads when the
read_response_headers() or read_entity_body() methods are invoked. In
addition allows non-blocking connect.

* If read_response_headers() did not see enough data to complete the
  headers an empty list is returned.

* If read_entity_body() did not see new entity data in its read the value
  -1 is returned.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*
