%define upstream_name    Net-INET6Glue
%define upstream_version 0.604

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Make L<IO::Socket::INET> behave like
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket::IP) >= 0.250.0
BuildRequires: perl(Net::FTP) >= 2.750.0
BuildArch:  noarch

%description
Net::INET6Glue is a collection of modules to make common
modules IPv6 ready by hot-patching them.

Unfortunately, the current state of IPv6 support in perl is that no IPv6
support is in the core and that a lot of important modules (like
Net::FTP, Net::SMTP, LWP,...) do not
support IPv6 even if the modules for IPv6 sockets like Socket6,
IO::Socket::IP or IO::Socket::INET6 are available.

This module tries to mitigate this by hot-patching. Currently the following
submodules are available:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
env PERL_MM_USE_DEFAULT=1 %{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYRIGHT Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
