%define upstream_name    Net-ISC-DHCPd
%define upstream_version 0.1709

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Interacts with ISC DHCPd
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		bco.patch

BuildRequires: perl(Class::Load)
BuildRequires: perl(File::Temp)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(IO::Pty)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(MooseX::Types::Path::Class)
BuildRequires: perl(NetAddr::IP)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Time::Local)
BuildRequires: perl(Test::More)
BuildRequires: perl(Benchmark)
BuildArch:  noarch

%description
This namespace contains three semi-separate projects, which this module binds together: dhcpd.conf, dhcpd.leases and omapi. It is written with Moose which provides classes and roles to represents things like a host, a lease or any other thing.

The distribution as a whole is targeted an audience who configure and/or analyze the Internet Systems Consortium DHCP Server. If you are not familiar with the server, check out the man pages.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
%make test

%files
%doc Changes MYMETA.json MYMETA.yml META.yml README example
%{_mandir}/man3/*
%perl_vendorlib/*
