%define upstream_name    Net-Lighthouse
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 15

Summary:    a Perl interface to lighthouseapp.com
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Net-Lighthouse-0.06-hash-ordering.patch

BuildRequires: perl(Any::Moose)
BuildRequires: perl(DateTime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(LWP)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Mouse)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Test::Mock::LWP)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(XML::TreePP)
BuildRequires: perl(YAML::Syck)
BuildArch: noarch


%description
A Perl interface to lighthouseapp.com, by means of its official api.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
