%define upstream_name    Net-OpenStack-Attack
%define upstream_version 1.0500

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Tools for stress testing an OpenStack deployment
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose)
BuildRequires: perl(App::Rad)
BuildRequires: perl(HTTP::Async)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(JSON)
BuildRequires: perl(Net::HTTPS::NB)
BuildRequires: perl(Net::OpenStack::Compute)
BuildRequires: perl(Time::SoFar)
BuildArch: noarch

%description
This class provides methods for making parallel, asynchronous requests to
the OpenStack API. This distribution comes with a command line tool the
stackattack manpage which heavily uses this class.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/stackattack
%{_mandir}/man1/stackattack.1.xz

