%define upstream_name    Net-OpenStack-Compute
%define upstream_version 1.1002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Bindings for the OpenStack Compute API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Rad)
BuildRequires: perl(App::Rad::Plugin::MoreHelp)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(JSON)
BuildRequires: perl(LWP)
BuildRequires: perl(Moose)
BuildRequires: perl(Pod::Select)
BuildRequires: perl(Test::Most)
BuildArch: noarch

%description
This class is an interface to the OpenStack Compute API. Also see the the
oscompute manpage command line tool.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/oscompute
/usr/share/man/man1/oscompute.1.xz

