%define upstream_name	 Net-Patricia
%define upstream_version 1.22

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 22

Summary:    Patricia Trie perl module for fast IP address lookups
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz
# Fix building on systems without libsnl, bug #1534596, CPAN RT#124088
Patch0:         Net-Patricia-1.22-Do-not-link-to-nsl-library.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Net::CIDR::Lite) >= 0.200.0
BuildRequires: perl(Socket6)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(version)
BuildRequires: perl-devel
BuildRequires: perl(Net::CIDR::Lite)
%description
This module uses a Patricia Trie data structure to quickly perform IP address
prefix matching for applications such as IP subnet, network or routing table
lookups. The data structure is based on a radix tree using a radix of two, so
sometimes you see Patricia implementations called "radix" as well. The term
"Trie" is derived from the word "retrieval" but is pronounced like "try".
Patricia stands for "Practical Algorithm to Retrieve Information Coded as
Alphanumeric", and was first suggested for routing table lookups by Van
Jacobsen. Patricia Trie performance characteristics are well-known as it has
been employed for routing table lookups within the BSD kernel since the 4.3
Reno release.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch -P 0 -p1

%build
%{__perl} Makefile.PL
%make_build

%check
%make_build test

%install
%make_build DESTDIR=%{buildroot} pure_vendor_install \
INSTALLSITELIB=%perl_vendorlib \
INSTALLSITEMAN1DIR=%{_mandir}/man1 \
INSTALLSITEMAN3DIR=%{_mandir}/man3
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

%files
%doc COPYING Changes META.yml MYMETA.yml README demo
%{perl_vendorarch}/Net*
%{perl_vendorarch}/auto/Net*
%{_mandir}/man?/*
