%define upstream_name    Net-Ping
%define upstream_version 2.75

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    TCP, UDP, or ICMP ping
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Socket) >= 2.7.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.220.0
BuildRequires: perl(Time::HiRes)
BuildArch:  noarch

%description
This module contains methods to test the reachability of remote hosts on a
network. A ping object is first created with optional parameters, a
variable number of hosts may be pinged multiple times and then the
connection is closed.

You may choose one of six different protocols to use for the ping. The
"tcp" protocol is the default. Note that a live remote host may still fail
to be pingable by one or more of these protocols. For example,
www.microsoft.com is generally alive but not "icmp" pingable.

With the "tcp" protocol the ping() method attempts to establish a
connection to the remote host's echo port. If the connection is
successfully established, the remote host is considered reachable. No data
is actually echoed. This protocol does not require any special privileges
but has higher overhead than the "udp" and "icmp" protocols.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# (tv) those network checks now fail with iurt 0.7.x
rm -f t/200_ping_tcp.t t/400_ping_syn.t t/410_syn_host.t t/420_ping_syn_port.t
%__make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE TODO
%{_mandir}/man3/*
%perl_vendorlib/*