%define upstream_name    Net-RawIP
%define upstream_version 0.25

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 30
Summary:	A perl module can to manipulate raw IP packets
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:         Net-RawIP-0.23-format.patch
# Adapt to changes in glibc-2.20, CPAN RT#124134
Patch1:         Net-RawIP-0.25-Use-_DEFAULT_SOURCE-instead-of-_BSD_SOURCE.patch
# Fix missing function prototypes, CPAN RT#124134
Patch2:         Net-RawIP-0.25-Decalare-used-function.patch
# Fix compiler warnings, CPAN RT#124134
Patch3:         Net-RawIP-0.25-Silent-compiler-warnings.patch
BuildRequires:	libpcap-devel
BuildRequires:  perl(List::MoreUtils)
BuildRequires:	perl-devel


%{?perl_default_filter}

%description
This is Net::RawIP, a perl module can to manipulate raw IP packets,
with an optional feature for manipulating Ethernet headers.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

# fix attribs
find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

perl -pi -e 's!/usr/lib!%{_libdir}!g' Makefile.PL

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{?!_with_network_tests: rm t/iflist.t }
make test

%install
%make_install

%files
%doc Changes README README.Devel examples META.yml
%{perl_vendorarch}/auto/Net
%{perl_vendorarch}/Net
%{_mandir}/*/*
