%define upstream_name    Net-Redmine
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Represents a ticket
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose) >= 0.70.0
BuildRequires: perl(DateTime::Format::DateParse) >= 0.40.0
BuildRequires: perl(DateTimeX::Easy) >= 0.86.0
BuildRequires: perl(Encode) >= 2.310.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(HTML::WikiConverter) >= 0.680.0
BuildRequires: perl(HTML::WikiConverter::Markdown) >= 0.50.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(IO::All) >= 0.390.0
BuildRequires: perl(IO::String) >= 1.80.0
BuildRequires: perl(Params::Validate) >= 0.910.0
BuildRequires: perl(Quantum::Superpositions) >= 1.30.0
BuildRequires: perl(Regexp::Common) >= 2.122.0
BuildRequires: perl(Regexp::Common::Email::Address) >= 1.10.0
BuildRequires: perl(Test::Cukes) >= 0.60.0
BuildRequires: perl(Test::Memory::Cycle) >= 1.40.0
BuildRequires: perl(Test::More) >= 0.860.0
BuildRequires: perl(Text::CSV::Slurp) >= 0.500.0
BuildRequires: perl(Text::Greeking) >= 0.110.0
BuildRequires: perl(URI) >= 1.380.0
BuildRequires: perl(URI::Escape) >= 3.290.0
BuildRequires: perl(WWW::Mechanize) >= 1.520.0
BuildRequires: perl(pQuery) >= 0.70.0
BuildRequires: perl(pQuery)
# for some old reason, perl(pQuery) is not provided
%global __requires_exclude perl\\\(pQuery\\\)
Requires:   perl-pQuery
BuildArch:  noarch

%description
Net::Redmine is an mechanized-based programming API against redmine server.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
