%define upstream_name    Net-Route
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Portable interface to the routing table
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-v%{upstream_version}.tar.gz

BuildRequires: perl(IPC::Run3)
BuildRequires: perl(Moose)
BuildRequires: perl(NetAddr::IP)
BuildRequires: perl(Readonly)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
The Net::Route Module
    Every OS provides its custom interface to the routing table: Linux'
    'route' utility is different from BSD's 'route show', from Windows'
    'route print', etc. Parsing all these different output styles in an
    (otherwise portable) script can quickly become inconvenient.

    the Net::Route manpage abstracts the system specifics and provides a
    single, portable interface.

The Net::Route Class
    the Net::Route manpage objects represent single entries from a the
    Net::Route::Table manpage.

%prep
%setup -q -n %{upstream_name}-v%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
# (tv) disable tests that need networking:
rm -f t/50-integration.t l
%make_build test

%install
%make_install

%files
%doc META.yml README Changes
%{_mandir}/man3/*
%perl_vendorlib/*


