%define	upstream_name	 Net-SSH-Perl
%define	upstream_version 2.142

%{?perl_default_filter}

# This one came from "doc":
#W: doc-file-dependency /usr/share/doc/perl-Net-SSH-Perl/META.yml perl(Crypt::Curve25519)
#W: doc-file-dependency /usr/share/doc/perl-Net-SSH-Perl/MYMETA.yml perl(Crypt::Curve25519)
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Crypt::Curve25519

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl client Interface to SSH
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/Net-SSH-Perl
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Crypt::Curve25519) >= 0.50.0
BuildRequires: perl(Crypt::IDEA)
BuildRequires: perl(CryptX) >= 0.32.0
BuildRequires: perl(Digest::BubbleBabble) >= 0.10.0
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(Math::GMP) >= 1.40.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(String::CRC32) >= 1.200.0
BuildRequires: perl-devel
# (tv) no more automatically emitted:
Requires:	perl(Digest::BubbleBabble) >= 0.10.0

%description
Net::SSH::Perl is an all-Perl module implementing an SSH
(Secure Shell) client. It is compatible with both the SSH-1
and SSH-2 protocols.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# Test 03-packet is prone to hanging (cpan rt#6101)
%{__mv} t/03-packet.t t/03-packet.t.skip

%build
echo 3 | perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
# test hang... :\
make test

%install
%make_install

%files
%license LICENSE LICENSE_ARTISTIC LICENSE_GNU
%doc Changes README eg ToDo META.yml MYMETA.yml
%perl_vendorarch/Net
%perl_vendorarch/auto/Net
%{_mandir}/man*/*
