%define upstream_name      Net-SSLeay
%define upstream_version 1.94

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\ |perl\\(Test::More

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl extension for using OpenSSL
License:    BSD-like
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Cwd)
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(SelectSaver)
BuildRequires: perl(Socket)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More) >= 0.600.100
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: openssl >= 0.9.3a
BuildRequires: pkgconfig(openssl)
BuildRequires: perl-devel
BuildRequires: pkgconfig(zlib)
Requires:   openssl >= 0.9.3a
Provides:   perl-Net_SSLeay = %{version}-%{release}
Provides:   perl-Net_SSLeay.pm = %{version}-%{release}

%description
Perl extension for using OpenSSL.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%__chmod 755 examples

%build
# note the %{_prefix} which must passed to Makefile.PL, weird but necessary :-(
echo | %__perl Makefile.PL %{_prefix} INSTALLDIRS=vendor
%make_build OPTIMIZE="$RPM_OPT_FLAGS"
perl -p -i -e 's|/usr/local/bin|/usr/bin|g;' *.pm examples/*

%check
# testing the package implies contacting external sites (some are down ?)
#make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorarch}/auto/Net
%{perl_vendorarch}/Net
%{_mandir}/*/*
