%define upstream_name    Net-Server-Mail
%define upstream_version 0.28

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    The base class for ESMTP extension system
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket::SSL) >= 1.831.0
BuildRequires: perl(Net::SMTP)
BuildRequires: perl(Test::Most)
BuildArch:  noarch

%description
This module is a versatile and extensible implementation of the SMTP
protocol and its different evolutions like ESMTP and LMTP. The event driven
object-oriented API makes easy to incorporate the SMTP protocol to your
programs.

Other SMTPd implementations don't support useful ESMTP extensions and the
LMTP protocol. Their interface design precludes adding them later. So I've
decided to rewrite a complete implementation with extensibility in mind.

It provides mechanism to easy addition future or not yet implemented ESMTP
extensions. Developers can hook code at each SMTP session state and change
the module's behaviors by registering event call-backs. The class is
designed to be easily inherited from.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
# this test needs networking & thus fails under iurt:
rm -f t/starttls.t
%make_build test

%install
%make_install

%files
%doc COPYING Changes LICENSE META.json META.yml MYMETA.yml TODO eg
%{_mandir}/man3/*
%perl_vendorlib/*
