%define upstream_name	 Net-Telnet
%define upstream_version 3.05

%{?perl_default_filter}
# Prevent useless requires on "perl >= 5.002" that pulls perl instead of perl-base:
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}5.002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Net::Telnet perl module
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%upstream_name
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
Net::Telnet allows you to make client connections to a TCP port and do network
I/O, especially to a port using the TELNET protocol.  Simple I/O methods such
as print, get, and getline are provided.  More sophisticated interactive
features are provided because connecting to a TELNET port ultimately means
communicating with a program designed for human interaction.  These interactive
features include the ability to specify a timeout and to wait for patterns to
appear in the input stream, such as the prompt from a shell.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Net