%define upstream_name    Net-Works
%define upstream_version 0.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    An object representing a single IP address (4 or 6) subnet
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::AllUtils)
BuildRequires: perl(Math::BigInt)
BuildRequires: perl(Math::Int128)
BuildRequires: perl(Moo)
BuildRequires: perl(Moo::Role)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Socket)
BuildRequires: perl(Sub::Quote)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(integer)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
The the NetAddr::IP manpage module is very complete, correct, and useful.
However, its API design is a bit crufty. This distro provides an
alternative API that aims to address the biggest problems with that
module's API, as well as adding some additional features.

This distro contains two modules, the Net::Works::Address manpage and the
Net::Works::Network manpage.

*NOTE: This distro's APIs are still in flux. Use at your own risk.*

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml LICENSE META.json Changes INSTALL
%{_mandir}/man3/*
%perl_vendorlib/*


