%define	upstream_name	 Net-Write
%define	upstream_version 1.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    An interface to open and send raw frames to network
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Gomor)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Net::Pcap) >= 0.120.0
BuildRequires: perl(Socket6)
BuildArch:  noarch

%description
Net::Write provides a portable interface to open a network interface, and be
able to write raw data directly to the network. It juste provides three
methods when a Net::Write object has been created for an interface: open, send,
close.

It is possible to open a network interface to send frames at layer 2 (you craft
a frame from link layer), or at layer 3 (you craft a frame from network layer),
or at layer 4 (you craft a frame from transport layer).

NOTE: not all operating systems support all layer opening. Currently, Windows
only supports opening and sending at layer 2. Other Unix systems should be able
to open and send at all layers.

See also Net::Write::Layer2, Net::Write::Layer3, Net::Write::Layer4 for
specific information on opening network interfaces at these layers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# perl path hack
find . -type f | xargs %{__perl} -p -i -e "s|^#!/usr/local/bin/perl|#!%{_bindir}/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor </dev/null
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files 
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Net
%{_mandir}/*/*