%define upstream_name    NetworkInfo-Discovery
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Register of network information
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/NetworkInfo/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Net::Pcap)
BuildRequires: perl(Net::Traceroute)
BuildRequires: perl(NetPacket)
BuildArch: noarch

%description
NetworkInfo::Discovery is a set of modules that can be used to discover
network topology, interfaces on the network, and information about the
links between subnets. This information is brought together into
'NetworkInfo::Discovery::Register' where it can be examined and used to
build a unified map of the network. The network map is controlled from a
single location.

Host detection currently runs from a single location, but in the future
there will be support for having remote agents that contribute to the
central map.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

#%%check
#%%make_build test

%install
%make_install

%files
%doc Changes TODO README
%{_mandir}/man3/*
%perl_vendorlib/*


