%define upstream_name Newt
%define upstream_version 1.08

%{?perl_default_filter}

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 18
Summary:        Edit configuration files through Augeas C library
License:        Artistic
Group:          System/Configuration
URL:            https://metacpan.org/release/%{upstream_name}
Source0:        https://cpan.metacpan.org/authors/id/A/AM/AMEDINA/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		newt-perl-1.08-debian.patch
Patch1:		newt-perl-1.08-typemap.patch
Patch2:		newt-perl-1.08-fix.patch
Patch3:		newt-perl-1.08-xs.patch
Patch4:		newt-perl-1.08-lang.patch
Patch5:		perl-Newt-bz385751.patch
Patch6:		perl-Newt-1.08-fix_pointer_type.patch

BuildRequires:  perl-devel,newt-devel,popt-devel

%description
Perl bindings for RedHat newt library

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

rm -rf newtlib

%build
%__perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make

%install
%make_install
find %{buildroot} -type f -name perllocal.pod -o -name .packlist -o -name '*.bs' -a -size 0 | xargs rm -f
find %{buildroot} -type d -depth | xargs rmdir --ignore-fail-on-non-empty

%files
%doc ChangeLog README
%{perl_vendorarch}/*
%{_mandir}/man3/*
