%define upstream_name    Nice-Try
%define upstream_version v1.3.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A real Try Catch Block Implementation Using Perl Filter
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Nice/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.730.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Filter::Util::Call) >= 1.590.0
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(PPI) >= 1.278.0
BuildRequires: perl(PPI::XS) >= 0.910.0
BuildRequires: perl(Scalar::Util) >= 1.500.0
BuildRequires: perl(Test::More) >= 1.302.162
BuildRequires: perl(Test::Pod) >= 1.520.0
BuildRequires: perl(Want) >= 0.290.0
BuildRequires: perl(experimental) >= 0.20.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
the Nice::Try manpage is a lightweight implementation of Try-Catch
exception trapping block using perlfilter. It behaves like you would
expect.

Here is a list of its distinctive features:

* * No routine to import like 'Nice::Try qw( try catch )'. Just add 'use
  Nice::Try' in your script

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*