%define upstream_name    Nmap-Parser
%define upstream_version 1.37

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Parse nmap scan data with perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Nmap/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Storable) >= 2.0.0
BuildRequires: perl(XML::Twig) >= 3.160.0
BuildArch:  noarch

%{?perl_default_filter}

%description
This module implements a interface to the information contained in an nmap
scan. It is implemented by parsing the xml scan data that is generated by
nmap. This will enable anyone who utilizes nmap to quickly create fast and
robust security scripts that utilize the powerful port scanning abilities
of nmap.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*