%define upstream_name    Nmap-Scanner
%define upstream_version 1.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Perform and manipulate nmap scans using perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Nmap/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Generate)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(XML::SAX)
Provides: perl(Nmap::Scanner::Address)  
Provides: perl(Nmap::Scanner::Distance)  
Provides: perl(Nmap::Scanner::ExtraPorts)  
Provides: perl(Nmap::Scanner::Host)  
Provides: perl(Nmap::Scanner::Hostname)  
Provides: perl(Nmap::Scanner::Hosts)  
Provides: perl(Nmap::Scanner::NmapRun)  
Provides: perl(Nmap::Scanner::OS)  
Provides: perl(Nmap::Scanner::OS::Class)  
Provides: perl(Nmap::Scanner::OS::Fingerprint)  
Provides: perl(Nmap::Scanner::OS::IPIdSequence)  
Provides: perl(Nmap::Scanner::OS::Match)  
Provides: perl(Nmap::Scanner::OS::PortUsed)  
Provides: perl(Nmap::Scanner::OS::TCPSequence)  
Provides: perl(Nmap::Scanner::OS::TCPTSSequence)  
Provides: perl(Nmap::Scanner::OS::Uptime)  
Provides: perl(Nmap::Scanner::Port)  
Provides: perl(Nmap::Scanner::RunStats)  
Provides: perl(Nmap::Scanner::RunStats::Finished)  
Provides: perl(Nmap::Scanner::ScanInfo)  
Provides: perl(Nmap::Scanner::Service)  
Provides: perl(Nmap::Scanner::Task)  
Provides: perl(Nmap::Scanner::TaskProgress)  
Requires: nmap
BuildArch: noarch


%description
This set of modules provides perl class wrappers for the network mapper
(nmap) scanning tool (see https://insecure.org/nmap/). Using these
modules, a developer, network administrator, or other techie can create
perl routines or classes which can be used to automate and integrate nmap
scans elegantly into new and existing perl scripts.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
# (tv) disable tests that need networking:
rm -f t/event_tcp_syn_scan_from_file.t 
%make_build test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*
