%define upstream_name    Number-WithError
%define upstream_version 1.01

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Numbers with error propagation and scientific rounding
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Number/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::BigFloat)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Test::LectroTest)
BuildRequires: perl(Test::More)
BuildRequires: perl(prefork)
BuildArch: noarch

%description
This class is a container class for numbers with a number of associated
symmetric and asymmetric errors. It overloads practically all common
arithmetic operations and trigonometric functions to propagate the errors.
It can do proper scientific rounding (as explained in more detail below in
the documentation of the 'significant_digit()' method).

You can use the Math::BigFloat manpage objects as the internal
representation of numbers in order to support arbitrary precision
calculations.

Errors are propagated using Gaussian error propagation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


