%define upstream_name    OAuth-Lite
%define upstream_version 1.35

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    PLAINTEXT signature method class;
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/OAuth/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor) >= 0.310.0
BuildRequires: perl(Class::Data::Accessor) >= 0.40.10
BuildRequires: perl(Class::ErrorHandler) >= 0.10.0
BuildRequires: perl(Compress::Zlib) >= 2.1.0
BuildRequires: perl(Crypt::OpenSSL::RSA) >= 0.250.0
BuildRequires: perl(Crypt::OpenSSL::Random) >= 0.40.0
BuildRequires: perl(Digest::SHA) >= 5.450.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(LWP)
BuildRequires: perl(List::MoreUtils) >= 0.210.0
BuildRequires: perl(MIME::Base64) >= 3.70.0
BuildRequires: perl(Test::More)
BuildRequires: perl(UNIVERSAL::require) >= 0.110.0
BuildRequires: perl(URI) >= 1.350.0
BuildArch:  noarch

%description
This framework allows you to make "OAuth Consumer Application" / "OAuth
Service Provider" easily.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
# we can live with pod errors
rm -f t/99_pod.t
rm -f t/99_pod_coverage.t
# test fail since perl-5.27 (RT#125359):
rm -f t/03_signature_method_rsa_sha1.t
make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*
