%define upstream_name    ORLite-Statistics
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    Statistics enhancement package for ORLite
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/ORLite/%{upstream_name}-%{upstream_version}.tar.gz
# Update Makefile.PL to not use Module::Install::DSL CPAN RT#148300
Patch0:        ORLite-Statistics-0.03-Remove-using-of-MI-DSL.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(ORLite)
BuildRequires: perl(Statistics::Basic)
BuildRequires: perl(Test::More)
BuildArch: noarch

%{?perl_default_filter}


%description
This is an enhancement module for ORLite table classes, designed to provide
easy integration with the the Statistics::Base manpage module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch -P0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%install
%make_install

%check
make test

%files
%doc README LICENSE Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
