%define upstream_name	 Object-Accessor
%define upstream_version 0.48

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Add a Makefile target to determine test coverage using Devel::Cover
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Object/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Params::Check) >= 0.340.0
BuildRequires: perl(Test::More)
BuildRequires: perl(if)
BuildArch:  noarch

%description
Object::Accessor provides an interface to create per object accessors (as
opposed to per Class accessors, as, for example, Class::Accessor provides).

You can choose to either subclass this module, and thus using its accessors on
your own module, or to store an Object::Accessor object inside your own object,
and access the accessors from there. See the SYNOPSIS for examples.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc CHANGES META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Object
%{_mandir}/*/*