%define upstream_name    Object-Dependency
%define upstream_version 0.41

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Maintain a dependency graph
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Object/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Hash::Util)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Scalar::Util)
BuildArch:  noarch

%description
This module maintains a simple dependency graph. Items can be add'ed more
than once to note additional dependencies. Dependency relationships cannot
be removed except by removing objects entirely.

We do not currently check for cycles so please be careful!

Items are expected to be objects, but do not have to be. Objects are
identified by their refadd() so if you combine objects and other scalers,
there is some chance of a collision between large integers and the
refaddr(). The 'undef' value will cause warnings.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*
