%define upstream_name    Object-Event
%define upstream_version 1.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    A class that provides an event callback interface
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Object/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(common::sense)
BuildArch: noarch

%{?perl_default_filter}

%description
This module was mainly written for the AnyEvent::XMPP manpage, the
AnyEvent::IRC manpage, the AnyEvent::HTTPD manpage and the BK manpage to
provide a consistent API for registering and emitting events. Even though I
originally wrote it for those modules I released it separately in case
anyone may find this module useful.

For more comprehensive event handling see also the Glib manpage and the POE
manpage.

This class provides a simple way to extend a class, by inheriting from this
class, with an event callback interface.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


