%define upstream_name	 Object-InsideOut
%define upstream_version 4.02

# optional, and lead to a requires loop
%global __requires_exclude perl\\\(Math::Random::MT::Auto\\)\  
%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Comprehensive inside-out object support perl module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Object/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(Config)
BuildRequires: perl(Data::Dumper) >= 2.131.0
BuildRequires: perl(Exception::Class) >= 1.320.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util) >= 1.270.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(attributes)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides comprehensive support for implementing classes using the
inside-out object model.

Using inside-out object model, objects are not a blessed hash reference, but
merely a blessed scalar. The foobar attribute, instead of being accessed via
$self->{foobar}, is accessed using a package lexical variable @foobar (common
for every object of the class) via $foobar[$$self]. 

Advantages of this OO scheme are:
1 - speed
2 - encapsulation
3 - compilation-time checks

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install
rm -f %{buildroot}%{perl_vendorlib}/Bundle/Object/InsideOut.pm

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Object
%{_mandir}/man3/*
