%define upstream_name    OpenGL-GLUT
%define upstream_version 0.7201

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl bindings to GLUT/FreeGLUT GUI toolkit
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/OpenGL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(OpenGL) >= 0.700.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl-devel
BuildRequires: pkgconfig(freeglut)
BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(glu)
BuildRequires: pkgconfig(glut)
BuildRequires: pkgconfig(xi)
BuildRequires: pkgconfig(xmu)
BuildRequires: x11-server-xvfb
%description
OpenGL::GLUT is the alpha release of a stand-alone module for GLUT/FreeGLUT
bindings extracted from code in the original Perl OpenGL module. The
purpose is to make this functionality available independent of the legacy
OpenGL module for use with OpenGL::Modern.

When you register a 'glutCloseFunc', ensure that you de-register it before
destroying the window. See the supplied _test.pl_.

EXPORT
      :all - exports all GLUT functions and constants
      :constants - export only GLUT constants (same as :glutconstants)
      :functions - export only GLUT functions (same as :glutfunctions)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
xvfb-run perl Makefile.PL INSTALLDIRS=vendor verbose

%make_build

%check
xvfb-run %make_build test

%install
%make_install

%files
%doc COPYRIGHT Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorarch/*