%define upstream_name    OpenGL-List
%define upstream_version 0.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    Massively optimise your Perl OpenGL program with display lists
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/OpenGL/%{upstream_name}-%{upstream_version}.tar.gz
# fix rt#65021
Patch0:     perl-OpenGL-List-0.01-fix_test_coredump.patch
# Update Makefile.PL to not use Module::Install::DSL CPAN RT#148300
Patch1:        OpenGL-List-0.0.1-Remove-using-of-MI-DSL.patch.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: x11-server-xvfb

BuildArch: noarch

%description
The glpLine function is used to define a block of Perl OpenGL
instructions that should be immediately compiled into a display list.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch -P0 -p0
%patch -P1 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

#check
# tests require a x display
#make test

%install
%make_install

%files
%doc README LICENSE META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*
