%define upstream_name    OpenOffice-OOBuilder
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Perl OO interface for creating OpenOffice documents
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/OpenOffice/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(Archive::Zip)
BuildArch:	noarch


%description
This is a collection of modules to create OpenOffice documents. 
At this moment OpenOffice spreadsheets (calc documents) are 
supported. Other OpenOffice documents will follow depending 
on time and feedback. 

The modules present in this collection are:

  OpenOffice::OOBuilder - The base class. For each OpenOffice 
      document type, another class will be inherited from this
      base class.
      
  OpenOffice::OOCBuilder - For creating OpenOffice calc documents:
      spreadsheets, documents with the sxc extension.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
%make_install

%files
%doc README 
%{perl_vendorlib}/
%{_mandir}/*/*