%define upstream_name    PAR-Packer
%define upstream_version 1.063

# Arch dependent binaries in noarch package:
%define debug_package %{nil}

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Data package containing a dynamic PARL
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/PAR/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Zip) >= 1.20.0
BuildRequires: perl(Compress::Zlib) >= 1.300.0
BuildRequires: perl(Digest::SHA) >= 5.400.0
BuildRequires: perl(DynaLoader)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::Embed)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Glob)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp) >= 0.50.0
BuildRequires: perl(Getopt::ArgvFile) >= 1.70.0
BuildRequires: perl(IO::Compress::Gzip)
BuildRequires: perl(IPC::Run3) >= 0.48.0
BuildRequires: perl(Module::ScanDeps) >= 1.210.0
BuildRequires: perl(PAR) >= 1.20.0
BuildRequires: perl(PAR::Dist) >= 0.220.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl-ExtUtils-MakeMaker
BuildRequires: perl-devel
BuildRequires: pkgconfig(libnsl)
%description
_pp_ creates standalone executables from Perl programs, using the
compressed packager provided by the PAR manpage, and dependency detection
heuristics offered by the Module::ScanDeps manpage. Source files are
compressed verbatim without compilation.

You may think of _pp_ as "_perlcc_ that works without hassle". :-)

A GUI interface is also available as the _tkpp_ command.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# resolve /usr/bin/pp conflict with nss
perl -pi -e 's{/pp}{/pp.pl}g' Makefile.PL
perl -pi -e 's{script/pp}{script/pp.pl}g' MANIFEST
mv script/pp script/pp.pl

%build
%__perl Makefile.PL INSTALLDIRS=vendor
make

%check
#make test

%install
%make_install
# Permission problems for the scripts
chmod u+w %{buildroot}/%{_bindir}/*

%files
%doc AUTHORS Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*
