%define	upstream_name	 PAR
%define upstream_version 1.020

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl Archive Toolkit
License:    Artistic
Group:      Development/Perl
Url:        http://par.perl.org/
Source0:    https://cpan.metacpan.org/modules/by-module/PAR/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:  noarch

BuildRequires: perl(Archive::Zip) >= 1.0.0
BuildRequires: perl(AutoLoader) >= 5.660.200
BuildRequires: perl(Compress::Zlib) >= 1.300.0
BuildRequires: perl(Digest::SHA) >= 5.450.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp) >= 0.50.0
BuildRequires: perl(PAR::Dist) >= 0.320.0
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%description
PAR is a toolkit to use perl scripts and modules stored inside compressed
.par files.

For bundling prerequisite modules of scripts into a PAR file (ala
PerlApp, Perl2exe, or 'perlcc that works'), see "perldoc pp".
For running ".par" files directly, see "perldoc parl".
To generate/execute self-contained perl scripts, see "perldoc par.pl".

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor < /dev/null
%make_build

%check
%make_build test

%install
%make_install

%files 
%doc AUTHORS Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/PAR
%{perl_vendorlib}/PAR.pm
%{_mandir}/*/*