%define upstream_name    PDL
%define upstream_version 2.100

%define Werror_cflags %nil

Name:       perl-%{upstream_name}
Epoch:      2
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    PerlDL, an efficient numerical language for scientific computing
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/C/CH/CHM/%{upstream_name}-%{upstream_version}.tar.gz
Source1:    PDL-convert-doc.pl.bz2
#
# Fedora Patches:
#
#
# Mageia Patches:
#
Patch12:    PDL-2.99.0-handle-INSTALLDIRS-vendor.patch
# (tv) needed for Trid support:
Patch16:    fix-missing-deps-for-Trid.patch

# (tv) needed for Slatec support:

BuildRequires: perl(CPAN::Meta) >= 2.120.900
BuildRequires: perl(Data::Dumper) >= 2.121.0
BuildRequires: perl(Devel::CheckLib) >= 1.10.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::ParseXS) >= 3.210.0
BuildRequires: perl(File::Map) >= 0.570.0
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Which)
BuildRequires: perl(Filter::Simple) >= 0.880.0
BuildRequires: perl(Filter::Util::Call)
BuildRequires: perl(Inline) >= 0.830.0
BuildRequires: perl(Inline::C) >= 0.620.0
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Math::Complex)
BuildRequires: perl(OpenGL) >= 0.700.0
BuildRequires: perl(OpenGL::GLUT) >= 0.700.0
BuildRequires: perl(Pod::Select)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable) >= 1.30.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Text::Balanced) >= 2.50.0
BuildRequires: fftw-devel
BuildRequires: gd-devel
BuildRequires: gsl-devel >= 1.0
BuildRequires: hdf-static
BuildRequires: hdf-devel
BuildRequires: gcc-gfortran
BuildRequires: pkgconfig(gsl)
BuildRequires: pkgconfig(glu)
BuildRequires: pkgconfig(freeglut)
BuildRequires: pkgconfig(ncurses)
BuildRequires: perl-devel
# OpenGL >= 0.6702 is required but newer OpenGL-0.70 shortened the version

BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xi)
BuildRequires: pkgconfig(xmu)
BuildRequires: szlib-devel
# if installed, requires f2c-devel,
# but it is a contrib package
BuildConflicts: f2c

Provides:   perl(PDL::AutoLoader) = %{version}
Provides:   perl(PDL::Config) = %{version}
Provides:   perl(PDL::DiskCache) = %{version}
Provides:   perl(PDL::PP::CType) = %{version}
Provides:   perl(PDL::PP::Dims) = %{version}
Provides:   perl(PDL::PP::PDLCode) = %{version}
Provides:   perl(PDL::PP::PdlParObj) = %{version}
Provides:   perl(PDL::PP::SymTab) = %{version}
Provides:   perl(PDL::PP::XS) = %{version}
Provides:   perl(PDL::Graphics::TriD::Objects) = %{version}
Provides:   perl(PDL::Slatec) = %{version}

# From Fedora:
%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((OpenGL::Config|PDL::Demos::Screen|PDL::Graphics::PGPLOT|PDL::Graphics::PGPLOT::Window|Tk|Win32::DDE::Client)\\)$
%global __requires_exclude %{__requires_exclude}|^perl\\(PDL::Graphics::Simple\\)$
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(Inline\\)$
%global __provides_exclude %__provides_exclude|^perl\\(Win32.*\\)$
# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((Data::Dumper|File::Spec|Filter::Simple|Inline|Module::Compile|OpenGL|Text::Balanced)\\)$
# Filter modules bundled for tests
%global __requires_exclude %{__requires_exclude}|^perl\\(My::Test::Primitive\\)
# Mageia:
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((Prima[A-Za-z:_]*)\\)$

%description

%package    doc
Summary:    PerlDL documentation package
Group:      Documentation
Requires:   perl-PDL
Conflicts:  perl-PDL <= 2.20.0-1.mga8

%description
The perlDL project aims to turn perl into an efficient numerical language for
scientific computing. The PDL module gives standard perl the ability to
COMPACTLY store and SPEEDILY manipulate the large N-dimensional data sets which
are the bread and butter of scientific computing. e.g. C<$a=$b+$c> can add two
2048x2048 images in only a fraction of a second.

The aim is to provide tons of useful functionality for
scientific and numeric analysis.

%description    doc
The perlDL project aims to turn perl into an efficient numerical language for
scientific computing. The PDL module gives standard perl the ability to
COMPACTLY store and SPEEDILY manipulate the large N-dimensional data sets which
are the bread and butter of scientific computing. e.g. C<$a=$b+$c> can add two
2048x2048 images in only a fraction of a second.

The aim is to provide tons of useful functionality for
scientific and numeric analysis.

This is the documentation package.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
#patch -P4 -p1

# Fix shellbang
perl -MConfig -pi -e 's|^#!/usr/bin/env perl|$Config{startperl}|' Perldl2/pdl2

# Help file to recognise the Perl scripts
for F in t/*.t; do
    perl -i -MConfig -ple 'print $Config{startperl} if $. == 1 && !s{\A#!.*perl\b}{$Config{startperl}}' "$F"
    chmod +x "$F"
done
%patch -P12 -p1 -b .vendor
%patch -P16 -p0 -b .trid

%build
echo | %__perl Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} OPTIMIZE="%{optflags}"
make
#DISPLAY="" make test

make

%install
%make_install

# create /usr/bin if it doesn't already exist
%__mkdir_p %{buildroot}%{_bindir}

# fix installed documentation
%__bzip2 -dc %{SOURCE1} | %__perl - "%{buildroot}"

%files
%license COPYING
%doc COPYING Changes GENERATED META.json META.yml MYMETA.yml examples
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorarch}/PDL.pm
%{perl_vendorarch}/PDL
%{perl_vendorarch}/PDLdb.pl
%{perl_vendorarch}/auto/PDL
%{perl_vendorarch}/Inline
%{perl_vendorarch}/Test
%exclude %{perl_vendorarch}/PDL/*.pod
%exclude %{perl_vendorarch}/PDL/Demos/
%exclude %{perl_vendorarch}/PDL/HtmlDocs

%files doc
%doc COPYING lib/PDL/Demos
%{perl_vendorarch}/PDL/*.pod
#{perl_vendorarch}/PDL/Demos/
#{perl_vendorarch}/PDL/HtmlDocs
