%define upstream_name	 POE-Component-Client-DNS
%define upstream_version 1.054

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    POE::Component::Client::DNS - non-blocking, concurrent DNS requests
License:    GPLv2
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Net::DNS) >= 0.650.0
BuildRequires: perl(POE) >= 1.294.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::NoWarnings) >= 1.20.0
BuildArch:  noarch

%{?perl_default_filter}

%description
POE::Component::Client::DNS provides a facility for non-blocking, concurrent
DNS requests. Using POE, it allows other tasks to run while waiting for name
servers to respond.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
rm t/0[1356]*.t
make test

%install
%make_install

%files
%doc CHANGES META.yml MYMETA.yml README
%license LICENSE
%{perl_vendorlib}/*
%_mandir/*/*
