%define upstream_name    POE-Component-Client-HTTP
%define upstream_version 0.949

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Non-blocking/parallel web requests engine
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(HTTP::Headers) >= 5.810.0
BuildRequires: perl(HTTP::Request) >= 5.811.0
BuildRequires: perl(HTTP::Request::Common) >= 5.811.0
BuildRequires: perl(HTTP::Response) >= 5.813.0
BuildRequires: perl(HTTP::Status) >= 5.811.0
BuildRequires: perl(Net::HTTP::Methods) >= 5.812.0
BuildRequires: perl(POE) >= 1.312.0
BuildRequires: perl(POE::Component::Client::Keepalive) >= 0.271.0
BuildRequires: perl(Socket) >= 2.1.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::POE::Server::TCP) >= 1.140.0
BuildRequires: perl(URI) >= 1.370.0
BuildArch:  noarch

%{?perl_default_filter}

%description
The HTTPHead filter turns stream data that has the appropriate format
into a HTTP::Response object. In an all-POE world, this would sit on
the other end of a connection as POE::Filter::HTTPD/

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc CHANGES LICENSE META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/POE
