%define upstream_name    POE-Component-Client-Keepalive
%define upstream_version 0.272

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11
Epoch:      1

Summary:    Manage connections, with keep-alive
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Net::IP::Minimal) >= 0.20.0
BuildRequires: perl(POE) >= 1.311.0
BuildRequires: perl(POE::Component::Resolver) >= 0.917.0
BuildArch:  noarch

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:__requires_exclude|}perl\\(POE\\)

%description
POE::Component::Client::Keepalive creates and manages connections for
other components. It maintains a cache of kept-alive connections for
quick reuse. It is written specifically for clients that can benefit
from kept-alive connections, such as HTTP clients. Using it for one-shot
connections would probably be silly.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc CHANGES LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
