%define upstream_name    POE-Component-Client-NNTP
%define upstream_version 2.22

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Importable constants for POE::Component::Client::NNTP plugins
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(POE)
BuildRequires: perl(POE::Component::Pluggable)
BuildRequires: perl(POE::Component::Pluggable::Constants)
BuildRequires: perl(POE::Driver::SysRW)
BuildRequires: perl(POE::Filter::Line)
BuildRequires: perl(POE::Wheel::ReadWrite)
BuildRequires: perl(POE::Wheel::SocketFactory)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::POE::Server::TCP)
BuildArch: noarch

%description
POE::Component::Client::NNTP is a POE component that provides non-blocking
NNTP access to other components and sessions. NNTP is described in RFC 3977
the http://www.faqs.org/rfcs/rfc3977.html manpage, please read it before
doing anything else.

In your component or session, you spawn a NNTP client component, assign it
an alias, and then send it a 'register' event to start receiving responses
from the component.

The component takes commands in the form of events and returns the salient
responses from the NNTP server.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README LICENSE Changes META.yml META.json examples
%{_mandir}/man3/*
%perl_vendorlib/*


