%define upstream_name    POE-Component-Client-NTP
%define upstream_version 0.14

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A POE Component to query NTP servers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(Net::IP)
BuildRequires: perl(POE) >= 1.4.0
BuildRequires: perl(Socket)
BuildArch:  noarch

%description
POE::Component::Client::NTP is a the POE manpage component that provides
Network Time Protocol (NTP) client services to other POE sessions and
components.

NTP is a protocol for synchronising the clocks of computer systems over
data networks and is described in RFC 1305 and RFC 2030.

The code in this module is derided from the Net::NTP manpage by James G.
Willmore

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*