%define upstream_name    POE-Component-Resolver
%define upstream_version 0.921

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    A non-blocking getaddrinfo() resolver
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(POE) >= 1.311.0
BuildRequires: perl(Scalar::Util) >= 1.230.0
BuildRequires: perl(Socket) >= 2.1.0
BuildRequires: perl(Storable) >= 2.180.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Time::HiRes) >= 1.971.100
BuildArch:  noarch

%{?perl_default_filter}

%description
POE::Component::Resolver performs Socket::GetAddrInfo::getaddrinfo() calls
in subprocesses where they're permitted to block as long as necessary.

By default it will run eight subprocesses and prefer address families in
whatever order Socket::GetAddrInfo returns them. These defaults can be
overridden with constructor parameters.

PUBLIC METHODS
    new
        Create a new resolver. Returns an object that must be held and used
        to make requests. See the synopsis.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
# Remove resolver test which doesn't work in koji
rm -f t/01-basic.t
%make_build test

%install
%make_install

%files
%doc CHANGES LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
