%define upstream_name    POE-Component-Sequence
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Adds special features to nested sequences
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::MethodMaker) >= 1.0.0
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(POE)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
A Sequence is a series of code blocks (actions) that are executed (handled)
within the same context, in series. Each action has access to the sequence
object, can pause it, finish the sequence, add additional actions to be
performed later, or store variables in the context (the heap).

If we had the following action in the above example sequence:

    sub {
        my $sequence = shift;
        $sequence->pause;
        ...
    }

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*