%define upstream_name	 POE-Component-Server-HTTP
%define	upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:   	Poe Component to write HTTP server
License:   	Artistic and GPL+	
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.bz2
# Disable dependency on POE::API::Peek which is broken with perl-5.22,
# bug rhbz#1231252, CPAN RT#105463
Patch0:         POE-Component-Server-HTTP-0.09-Make-POE-API-Peek-optional.patch

BuildRequires:  perl(HTTP::Date)
BuildRequires:  perl(HTTP::Status)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(YAML)
# For testsuite:
BuildRequires:  perl(POE) >= 0.300

BuildArch:	noarch

%description
POE::Component::Server::HTTP (PoCo::HTTPD) is a framework for building custom 
HTTP servers based on POE. 
It is loosely modeled on the ideas of apache and the mod_perl/Apache module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/POE
%{_mandir}/man3/*
