%define upstream_name	 POE-Component-Server-SimpleHTTP
%define	upstream_version 2.28

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl extension to serve HTTP requests in POE
License:    Artistic and GPL+	
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Moose) >= 0.900.0
BuildRequires: perl(MooseX::POE) >= 0.205.0
BuildRequires: perl(POE) >= 1.0.0
BuildRequires: perl(POE::Filter::HTTP::Parser) >= 1.60.0
BuildRequires: perl(Socket)
BuildRequires: perl(Storable)
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Test::POE::Client::TCP) >= 1.240.0
BuildArch:  noarch

%{?perl_default_filter}

%description
POE::Component::Server::SimpleHTTP makes serving up HTTP requests a breeze in POE.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
yes n | %__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/POE
%{_mandir}/man3/*