%define upstream_name    POE-Component-SmokeBox
%define upstream_version 0.58

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A backend for CPAN::Reporter::Smoker smokers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Env::Sanctify) >= 0.40.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Object::Accessor)
BuildRequires: perl(POE) >= 1.367.0
BuildRequires: perl(Params::Check)
BuildRequires: perl(Regexp::Assemble) >= 0.340.0
BuildRequires: perl(SDBM_File)
BuildRequires: perl(String::Perl::Warnings) >= 0.40.0
BuildRequires: perl(Test::Harness) >= 3.140.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
POE::Component::SmokeBox is a flexible CPAN Smoke testing framework which
provides an extensible method for testing CPAN distributions against
various different smoker backends.

A smoker backend is defined using a the POE::Component::SmokeBox::Smoker
manpage object and is basically the path to a 'perl' executable that is
configured for CPAN Testing and its associated environment settings.

The 'perl' executable must be configured appropriately to support CPAN
testing with any of the currently supported backends, the
CPANPLUS::YACSmoke manpage, the CPAN::YACSmoke manpage or the
CPAN::Reporter manpage. Additional backends may be supported by inheriting
and extending the backend base class the
POE::Component::SmokeBox::Backend::Base manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*