%define upstream_name    POE-Component-Syndicator
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    A POE component base class which implements the Observer pattern
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Object::Pluggable) >= 1.290.0
BuildRequires: perl(POE) >= 1.311.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%{?perl_default_filter}

%description
POE::Component::Syndicator is a base class for POE components which need to
handle a persistent resource (e.g. a connection to an IRC server) for one
or more sessions in an extendable way.

This module (as well as Object::Pluggable, which this module inherits from)
was born out of POE::Component::IRC, the guts of which quickly spread to
other POE components. Now they can all inherit from this module instead.

The component provides an event queue, which can be managed with the
methods documented below. It handles delivery of events to the object
itself, all interested plugins, and all interested sessions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
