%define upstream_name    POE-Loop-Tk
%define upstream_version 1.305

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9
Summary:    A POE/Tk bridge for ActiveState's Tk
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(POE)
BuildRequires: perl(POE::Test::Loops)
BuildRequires: perl(Tk)
BuildRequires: x11-server-xvfb

BuildArch: noarch


%description
POE::Loop::Tk implements the interface documented in POE::Loop.
Therefore it has no documentation of its own. Please see POE::Loop
for more details.

POE::Loop::Tk is one of two versions of the Tk event loop bridge. The
other, POE::Loop::TkActiveState accommodates behavior
differences in ActiveState's build of Tk. Both versions share common code
in POE::Loop::TkCommon. POE::Loop::Tk dynamically selects the
appropriate bridge code based on the runtime environment.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
yes | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# makefile.pl ignores input if not inside a tty :-(
rm run_network_tests
# this test requires interactivity
rm t/poe_loop_tk/wheel_run.t
xvfb-run %make_build test

%install
%make_install

%files
%doc CHANGES README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
