%define upstream_name    POSIX-Regex
%define upstream_version 1.0003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 18

Summary:    Port of the glibc gnu regex engine into perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/POSIX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::Constant)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
This is a port of the glibc gnu regex engine into perl.  There are few reasons
you would need this.  The few I can think of include:

0) You wish to use untrusted user expressions in such a way as to be able to
catch errors.  Example:  eval { alarm 2;  m/((){1024}){1024}/ } is an instant
uncatchable segmentation fault.  GNU's regexps will still fail, but in a timeout
way rather than an instant segfault way.

1) You wish to have POSIX compliance on ... something ...  Perl's regexps are
slightly different -- arguably better, but different.


( ... if you think of anything else, let me know, since reason 0 evaporates under 5.9.3+ ... )

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.json README META.yml Changes
%{_mandir}/man3/*
%perl_vendorarch/*


