%define upstream_name	 PPI
%define upstream_version 1.281

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Parse, Analyze and Manipulate Perl without perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/PPI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(Carp)
BuildRequires: perl(Class::Inspector) >= 1.220.0
BuildRequires: perl(Clone) >= 0.300.0
BuildRequires: perl(Digest::MD5) >= 2.350.0
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec) >= 0.840.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Params::Util) >= 1.0.0
BuildRequires: perl(Safe::Isa)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable) >= 2.170.0
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Object) >= 0.70.0
BuildRequires: perl(Test::SubCalls) >= 1.70.0
BuildRequires: perl(YAML::PP)
BuildRequires: perl(constant)
BuildRequires: perl(if)
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
PPI is a Perl document parser.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 Changes
find lib -name '*.pm' | xargs chmod 644

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/PPI
%{perl_vendorlib}/PPI.pm
%{_mandir}/*/*
