%define upstream_name PPIx-DocumentName
%define upstream_version 1.01

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Utility to extract a name from a PPI Document
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/PPIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(PPI::Util)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module contains a few utilities for extracting a "name" out of an
arbitrary Perl file.

Typically, this is the "module" name, in the form:

  package Foo

However, it also supports extraction of an override statement in the
form:

  # PODNAME: OverrideName::Goes::Here

Which may be more applicable for documents that lack a "package"
statement, or the "package" statement may be "wrong", but they still
need the document parsed under the guise of having a name ( for purposes
such as POD )

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*