%define upstream_name    Package-Variant
%define upstream_version 1.003002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Parameterizable packages
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Package/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.550_100
BuildRequires: perl(Import::Into) >= 1.0.0
BuildRequires: perl(Module::Runtime) >= 0.13.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(strictures) >= 1.0.0
BuildArch:  noarch

%{?perl_default_filter}

%description
This module allows you to build packages that return different variations
depending on what parameters are given.

Users of your package will receive a subroutine able to take parameters and
return the name of a suitable variant package. The implementation does not
care about what kind of package it builds.

Declaring a variable package
    There are two important parts to creating a variable package. You first
    have to give 'Package::Variant' some basic information about what kind
    of package you want to provide, and how. The second part is
    implementing a method receiving the user's arguments and generating
    your variants.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
