%define upstream_name    Padre-Plugin-Catalyst
%define upstream_version 0.13

%global __requires_exclude perl\\(Padre::Wx::Dialog\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Catalyst helper interface for Padre
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Padre/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Devel) >= 1.0.0
BuildRequires: perl(Catalyst::Runtime) >= 5.700.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(File::ShareDir::Install) >= 0.30.0
BuildRequires: perl(File::Which) >= 0.50.0
BuildRequires: perl(Locale::Msgfmt) >= 0.150.0
BuildRequires: perl(Padre) >= 0.570.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Once you enable this Plugin under Padre, you'll get a brand new menu with
the following options:

'New Catalyst Application'
    This options lets you create a new Catalyst application.

'Create new...'
    The Catalyst helper lets you automatically create stub classes for your
    application's MVC components. With this menu option not only can you
    select your component's name but also its type. For instance, if you
    select "create new view" and have the the Catalyst::Helper::View::TT
    manpage module installed on your system, the "TT" type will be
    available for you).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
#make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*
