%define upstream_name    Padre-Plugin-Perl6
%define upstream_version 0.71

# find-requires extracts too much, cf https://qa.mandriva.com/show_bug.cgi?id=47678
# therefore, forcing explicit require skipping of Win32
%global __requires_exclude perl.Win32.

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Perl document syntax-checking in the background
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Padre/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Grok)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir::Install)
BuildRequires: perl(IPC::Run3)
BuildRequires: perl(Padre)
BuildRequires: perl(Perl6::Refactor)
BuildRequires: perl(Readonly)
BuildRequires: perl(Syntax::Highlight::Perl6)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NeedsDisplay)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(URI)

BuildArch: noarch


%description
This class implements syntax checking of Perl documents in the background.
It inherits from the Padre::Task::SyntaxChecker manpage. Please read its
documentation!

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
#make test

%install
%make_install

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*