%define upstream_name    Padre-Plugin-SpellCheck
%define upstream_version 1.33

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Check spelling in Padre
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Padre/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Padre-Plugin-SpellCheck-1.33-Remove-using-of-MI-DSL.patch

BuildRequires: perl(Class::Accessor) >= 0.340.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Which) >= 1.90.0
BuildRequires: perl(Module::Util) >= 1.70.0
BuildRequires: perl(Padre) >= 0.960.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Pod) >= 1.450.0
BuildRequires: perl(Test::Pod::Coverage) >= 1.80.0
BuildRequires: perl(Try::Tiny) >= 0.110.0
BuildArch:  noarch

%description
This plugins allows one to checking her text spelling within Padre using
'F7' (standard spelling shortcut across text processors). One can change
the dictionary language used in the preferences window (menu Plugins /
SpellCheck / Preferences).

This plugin is using 'Text::Aspell' underneath, so check this module's pod
for more information.

Of course, you need to have the aspell binary and dictionary installed.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

#check
#make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
