%define upstream_name Palm-PDB
%define upstream_version 1.400

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6

Summary:	Parse Palm database files
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Palm/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:	noarch

%description
This distribution contains Palm::PDB and Palm::Raw, a pair of Perl 5
modules for reading, manipulating, and writing the .pdb and .prc
database files used by PalmOS devices such as the PalmPilot and its
successors.

These 2 modules were historically part of the p5-Palm distribution,
which is now just called Palm.  They have been split off into their
own distribution because they are also useful for manipulating the
Mobipocket e-book format, which is also used for Amazon Kindle books.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
