%define upstream_name Pango
%define upstream_version 1.227
%define perl_glib_require 1.220

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 22
Summary:	Perl module for the Pango library
License:	GPL or Artistic
Group:	  	Development/GNOME and GTK+
Source:		https://cpan.metacpan.org/authors/id/X/XA/XAOC/%{upstream_name}-%{upstream_version}.tar.gz
URL:		https://metacpan.org/release/%{upstream_name}
Patch1:		0001-Use-boxed-types.patch
BuildRequires:	perl-devel
BuildRequires:	perl(ExtUtils::Depends) >= 0.300
BuildRequires:	perl(ExtUtils::PkgConfig) >= 1.03
BuildRequires:	perl(Glib) >= %perl_glib_require
BuildRequires:	pkgconfig(pango)
BuildRequires:	perl(Cairo)
# for test suite:
#BuildRequires:	fontconfig
#BuildRequires:	fonts-ttf-dejavu
Requires:	perl-Glib >= %perl_glib_require


%{?perl_default_filter}

%description
This module provides perl access to the gtk+-2.x library.

Pango is a library for laying out and rendering text, with an emphasis on
internationalization. Pango can be used anywhere that text layout is needed,
but using Pango in conjunction with Cairo and/or Gtk2 provides a complete
solution with high quality text handling and graphics rendering.

%package doc
Summary: Pango documentation
Group:   Documentation

%description doc
This package contains documentation of the Pango module.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%check
#xvfb-run make test

%install
%make_install

%files
%doc AUTHORS LICENSE META.yml
%dir %{perl_vendorarch}/%{upstream_name}
%{perl_vendorarch}/%{upstream_name}.pm
%{perl_vendorarch}/%{upstream_name}/*/*.pm
%{perl_vendorarch}/%{upstream_name}/Install
%{perl_vendorarch}/auto/*

%files doc
%doc examples
%{_mandir}/*/*
%dir %{perl_vendorarch}/%{upstream_name}
%{perl_vendorarch}/%{upstream_name}/*.pod
%{perl_vendorarch}/%{upstream_name}/*/*.pod
