%define upstream_name    Parallel-Map
%define upstream_version 0.000002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Multi processing parallel map code
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Parallel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Async)
BuildArch: noarch

%description
All subroutines match the Future::Utils manpage 'fmap_' subroutines of the
same name.

pmap_void
      pmap_void { <block returning future> } foreach => \@input;
      pmap_void { <block returning future> } generate => sub { <iterator> }

pmap_scalar
      pmap_scalar { <block returning future> } foreach => \@input;
      pmap_scalar { <block returning future> } generate => sub { <iterator> }

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc LICENSE README META.json META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*


