%define upstream_name    Parallel-Prefork
%define upstream_version 0.18

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    A prefork server framework with support for (min|max) spare servers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Parallel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Lite) >= 0.40.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Proc::Wait3) >= 0.30.0
BuildRequires: perl(Scope::Guard)
BuildRequires: perl(Signal::Mask)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::SharedFork)
BuildArch:  noarch

%description
'Parallel::Prefork' is much like 'Parallel::ForkManager', but supports
graceful shutdown and run-time reconfiguration.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
