%define upstream_name    Parse-Distname
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Parse a distribution name
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker::CPANfile)
BuildRequires: perl(JSON::PP)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::UseAllModules)
BuildArch: noarch

%description
Parse::Distname is yet another distribution name parser. It works almost
the same as the CPAN::DistnameInfo manpage, but Parse::Distname takes a
different approach. It tries to extract a version part of a distribution
and treat the rest as a distribution name, contrary to CPAN::DistnameInfo
which tries to define a name part and treat the rest as a version.

Because of this difference, when Parse::Distname parses a weird
distribution name such as "AUTHOR/v1.0.tar.gz", it says the name is empty
and the version is "v1.0", while CPAN::DistnameInfo says the name is "v"
and the version is "1.0". See test files in this distribution if you need
more details. As of this writing, Parse::Distname returns a different
result for about 200+ distributions among about 320000 BackPan
distributions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README META.json Changes META.yml LICENSE
%{_mandir}/man3/*
%perl_vendorlib/*


