%define upstream_name    Parse-EDID
%define upstream_version 1.0.7

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Extended display identification data (EDID) parser
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Test::Warn)
BuildArch: noarch

%description
This module provides some function to parse Extended Display Identification
Data binary data structures.

Extended Display Identification Data (EDID) is a metadata format for
display devices to describe their capabilities to a video source. The
data format is defined by a standard published by the Video Electronics
Standards Association (VESA).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README META.yml META.json Changes
%{_mandir}/man3/*
%perl_vendorlib/*
