%define upstream_name    Parse-ErrorString-Perl
%define upstream_version 0.27

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Parse error messages from the perl interpreter
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Pod::Find)
BuildRequires: perl(Pod::POM) >= 0.270.0
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
Module to parse error messages from the perl interpreter.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_bindir}/check_perldiag
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*
