%define upstream_name    Parse-LocalDistribution
%define upstream_version 0.20

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Parses local .pm files as PAUSE does
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker::CPANfile) >= 0.90.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(List::Util)
BuildRequires: perl(Parse::CPAN::Meta)
BuildRequires: perl(Parse::PMFile) >= 0.370.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::UseAllModules) >= 0.100.0
BuildArch:  noarch

%description
This is a sister module of the Parse::PMFile manpage. This module parses
local .pm files (and a META file if any) in a specific (current if not
specified) directory, and returns a hash reference that represents
"provides" information (with some extra meta data). This is almost the same
as the Module::Metadata manpage does (which has been in Perl core since
Perl 5.13.9). The main difference is the most of the code of this module is
directly taken from the PAUSE code as of June 2013. If you need better
compatibility to PAUSE, try this. If you need better performance, safety,
or portability in general, the Module::Metadata manpage may be a better and
handier option (the Parse::PMFile manpage (and thus the
Parse::LocalDistribution manpage) actually evaluates code in the $VERSION
line (in a Safe compartment), which may be problematic in some cases).

This module doesn't provide a feature to extract a distribution. If you are
too lazy to implement it, the CPAN::ParseDistribution manpage may be
another good option.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*