%define upstream_name   Parse-Method-Signatures
%define upstream_version 1.003019

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5
Epoch:      1

Summary:    Turn parse TC data into Moose TC object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(List::MoreUtils) >= 0.200.0
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Traits) >= 0.60.0
BuildRequires: perl(MooseX::Types) >= 0.170.0
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(MooseX::Types::Structured)
BuildRequires: perl(PPI) >= 1.203.0
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(aliased)
BuildRequires: perl(namespace::clean) >= 0.100.0
BuildArch:  noarch
Requires:   perl(MooseX::Traits)

%{?perl_default_filter}

%description
Inspired by the Perl6::Signature manpage but streamlined to just support
the subset deemed useful for the TryCatch manpage and the
MooseX::Method::Signatures manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/Parse
