%define upstream_name    Parse-PMFile
%define upstream_version 0.47

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Parses .pm file as PAUSE does
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dumpvalue)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker::CPANfile) >= 0.90.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(JSON::PP) >= 2.0.0
BuildRequires: perl(Safe)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(version) >= 0.830.0
BuildArch:  noarch

%description
The most of the code of this module is taken from the PAUSE code as of
April 2013 almost verbatim. Thus, the heart of this module should be quite
stable. However, I made it not to use pipe ("-|") as well as I stripped
database-related code. If you encounter any issue, that's most probably
because of my modification.

This module doesn't provide features to extract a distribution or parse
meta files intentionally.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*