%define upstream_name    Parse-RecDescent
%define upstream_version 1.967015

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A recursive descent parser generator for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.570.200
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Balanced) >= 1.950.0
BuildArch:  noarch

%{?perl_default_filter}

%description
The Parse::RecDescent perl module is used to generate recursive descent
parsers from powerful grammar specifications.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%{__perl} -p -i -e 's|#!.*/usr/local/bin/perl|#!/usr/bin/perl|' `find . -name '*.pl'`
find -type f | xargs chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

# now in perl
rm -f %{buildroot}%{_mandir}/*/Text*

%files
%doc Changes META.json META.yml MYMETA.yml README demo
%{perl_vendorlib}/Parse
%{_mandir}/*/*