%define upstream_name    Path-Class-Rule
%define upstream_version 0.018

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    File finder using Path::Class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Path/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::pushd)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Path::Iterator::Rule) >= 0.2.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More) >= 0.920.0
BuildRequires: perl(autodie)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module iterates over files and directories to identify ones matching a
user-defined set of rules. The API is based heavily on the File::Find::Rule
manpage, but with more explicit distinction between matching rules and
options that influence how directories are searched. A 'Path::Class::Rule'
object is a collection of rules (match criteria) with methods to add
additional criteria. Options that control directory traversal are given as
arguments to the method that generates an iterator.

Here is a summary of features for comparison to other file finding modules:

* *

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*