%define upstream_name    Path-Extended
%define upstream_version 0.23

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Yet another Path class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Path/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker::CPANfile)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec) >= 3.230.0
BuildRequires: perl(File::stat) >= 1.0.0
BuildRequires: perl(IO) >= 1.230.0
BuildRequires: perl(Log::Dump)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Install)
BuildRequires: perl(Test::Classy) >= 0.40.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Test::UseAllModules) >= 0.90.0
BuildArch:  noarch

%description
This is yet another file/directory handler that does a bit more than the
Path::Class manpage for some parts, and a bit less for other parts. One of
the main difference is the Path::Extended manpage always tries to use
forward slashes when possible, ie. even when you're on the MS Windows, so
that you don't need to care about escaping paths that annoys you from time
to time when you want to apply regexen to a path, especially in file tests
that use 'like' or 'compare'.

Also, the Path::Extended manpage can do some basic file/directory
operations such as copy, move, and rename as well as file I/O stuff like
open, close, and slurp (and some of these may behave differently from the
equivalents of the Path::Class manpage).

On the other hand, the Path::Extended manpage doesn't care (or care little)
about converting foreign path names or ascending/descending path tree.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
