%define upstream_name Path-Iterator-Rule
%define upstream_version 1.015

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Iterative, recursive file finder
License:    ASL 2.0
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IO/DAGOLDEN/%{upstream_name}-%{upstream_version}.tar.gz

BuildConflicts:	cpanminus

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::pushd)
BuildRequires: perl(List::Util)
BuildRequires: perl(Number::Compare) >= 0.20.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Filename) >= 0.30.0
BuildRequires: perl(Test::More) >= 0.920.0
BuildRequires: perl(Text::Glob)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(if)
BuildRequires: perl(lib)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(warnings::register)
BuildArch:  noarch

%description
This module iterates over files and directories to identify ones
matching a user-defined set of rules. The API is based heavily on
File::Find::Rule, but with more explicit distinction between matching
rules and options that influence how directories are searched. A
"Path::Iterator::Rule" object is a collection of rules (match criteria)
with methods to add additional criteria. Options that control directory
traversal are given as arguments to the method that generates an
iterator.

Here is a summary of features for comparison to other file finding
modules:

*   provides many "helper" methods for specifying rules

*   offers (lazy) iterator and flattened list interfaces

*   custom rules implemented with callbacks

*   breadth-first (default) or pre- or post-order depth-first searching

*   follows symlinks (by default, but can be disabled)

*   directories visited only once (no infinite loop; can be disabled)

*   doesn't chdir during operation

*   provides an API for extensions

As a convenience, the PIR module is an empty subclass of this one that
is less arduous to type for one-liners.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*