%define upstream_name    Path-Tiny
%define upstream_version 0.148

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    File path utility
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/D/DA/DAGOLDEN/%{upstream_name}-%{upstream_version}.tar.gz

BuildConflicts: cpanminus

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Digest) >= 1.30.0
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Digest::SHA) >= 5.450.0
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Compare)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Glob)
BuildRequires: perl(File::Path) >= 2.70.0
BuildRequires: perl(File::Spec) >= 0.860.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Spec::Unix)
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(File::stat)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(open)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(warnings::register)
BuildArch:  noarch

%description
This module attempts to provide a small, fast utility for working with file
paths. It is friendlier to use than the File::Spec manpage and provides
easy access to functions from several other core file handling modules.

It doesn't attempt to be as full-featured as the IO::All manpage or the
Path::Class manpage, nor does it try to work for anything except Unix-like
and Win32 platforms. Even then, it might break if you try something
particularly obscure or tortuous. (Quick! What does this mean:
'///../../..//./././a//b/.././c/././'? And how does it differ on Win32?)

All paths are forced to have Unix-style forward slashes. Stringifying the
object gives you back the path (after some clean up).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*