%define	upstream_name	 PathTools
%define upstream_version 3.75

%{?perl_default_filter:%perl_default_filter}

Name:       perl-%{upstream_name}
# Not using %%perl_convert_version %%{upstream_version} because we patch it:
Version:    3.89
Release:    %mkrel 2

Summary:    Tools for working with paths and file specs across platforms
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/R/RJ/RJBS/%{upstream_name}-%{upstream_version}.tar.gz
# Unbundled from perl 5.29.10
Patch1:         PathTools-3.75-Upgrade-to-3.78.patch
# Unbundled from perl 5.34.0
Patch2:         PathTools-3.78-Upgrade-to-3.80.patch
# Unbundled from perl 5.35.11
Patch3:         PathTools-3.80-Upgrade-to-3.84.patch
# Unbundled from perl 5.37.11
Patch4:         PathTools-3.84-Upgrade-to-3.89.patch

%{?perl_default_filter}

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl-devel
%description
Tools for working with paths and file specs across platforms.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
make CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{perl_vendorarch}/File
%{perl_vendorarch}/Cwd.pm
%{perl_vendorarch}/auto/Cwd
%{_mandir}/man3/*
