%define upstream_name    Paws
%define upstream_version 0.36

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl SDK for AWS 
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ARGV::Struct)
BuildRequires: perl(Class::Unload)
BuildRequires: perl(Config::INI)
BuildRequires: perl(Data::Compare)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::ISO8601)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Slurper)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(Hash::Flatten)
BuildRequires: perl(IO::Socket::SSL)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(Module::Find)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::ClassAttribute)
BuildRequires: perl(MooseX::Getopt)
BuildRequires: perl(Net::Amazon::Signature::V3)
BuildRequires: perl(Net::Amazon::Signature::V4)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(String::CRC32)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Timer)
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(Throwable::Error)
BuildRequires: perl(URI)
BuildRequires: perl(URI::Template)
BuildRequires: perl(URL::Encode)
BuildRequires: perl(URL::Encode::XS)
BuildRequires: perl(XML::Simple)
BuildRequires: perl(YAML)
BuildArch: noarch

%description
Paws is an attempt to develop an always up-to-date SDK that covers all
possible AWS services.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc TODO Changes LICENSE META.yml META.json examples
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/open_aws_console
%{_bindir}/paws
%{_bindir}/paws_make_testcase
%{_bindir}/xml2yaml.sh
