%define upstream_name    Pegex
%define upstream_version 0.75

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Pegex Regex Atoms
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir::Install)
BuildRequires: perl(JSON::PP)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Tie::IxHash)
BuildRequires: perl(XXX) >= 0.350.0
BuildRequires: perl(YAML::PP) >= 0.19.0
BuildArch:  noarch

%description
Pegex is a Acmeist parser framework. It allows you to easily create parsers
that will work equivalently in lots of programming languages!

Pegex gets it name by combining Parsing Expression Grammars (PEG), with
Regular Expressions (regex). That's actually what Pegex does.

PEG is the cool new way to elegantly specify recursive descent grammars.
The Perl 6 language is defined in terms of a self modifying PEG language
called *Perl 6 Rules*. Regular expressions are familiar to programmers of
most modern programming languages. Pegex defines a simple PEG syntax, where
all the terminals are regular expressions. This means that Pegex can be
quite fast and powerful.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README example
%{_mandir}/man3/*
%perl_vendorlib/*
