%define upstream_name    Perl-Critic-Bangs
%define upstream_version 1.14

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Adding modifiers to a regular expression made up entirely of a variable created with qr() is usually not doing what you expect
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(PPI::Cache)
BuildRequires: perl(PPI::Document)
BuildRequires: perl(Perl::Critic) >= 1.98.0
BuildRequires: perl(Perl::Critic::Policy)
BuildRequires: perl(Perl::Critic::PolicyFactory)
BuildRequires: perl(Perl::Critic::PolicyParameter)
BuildRequires: perl(Perl::Critic::TestUtils)
BuildRequires: perl(Perl::Critic::UserProfile)
BuildRequires: perl(Perl::Critic::Utils)
BuildRequires: perl(Perl::Critic::Violation)
BuildRequires: perl(Readonly)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Perl::Critic) >= 1.10.0
BuildArch:  noarch

%description
This is a test diagnostic.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README.md TODO
%{_mandir}/man3/*
%{perl_vendorlib}/*