%define upstream_name    Perl-Critic-Dynamic
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Base class for dynamic Policies
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz
# Adapt to changes in CGI-4.14, bug #1209554, CPAN RT#103382
Patch0:         Perl-Critic-Dynamic-0.05-test_AUTOLOAD_on_private_module.patch

BuildRequires: perl(Devel::Symdump)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Perl::Critic::Policy)
BuildRequires: perl(Perl::Critic::Utils)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More)
BuildRequires: perl(CGI)
BuildArch: noarch

%description
the Perl::Critic manpage is primarily used as a static source code
analyzer, which means that it never compiles or executes any of the code
that it examines. But since Perl is a dynamic language, there are certain
types of problems that cannot be discovered until the code is actually
compiled.

This distribution includes the Perl::Critic::DynamicPolicy manpage, which
can be used as a base class for Policies that wish to compile the code they
analyze. The distribution also contains the
Perl::Critic::Policy::Dynamic::ValidateAgainstSymbolTable manpage which
demonstrates the use of the Perl::Critic::DynamicPolicy manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch -P 0 -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes INSTALL META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


