%define upstream_name    Perl-Critic-Pulp
%define upstream_version 99

%global __provides_exclude perl\\(Perl::MinimumVersion\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Don't use Foo:: style barewords
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::String) >= 1.20.0
BuildRequires: perl(List::MoreUtils) >= 0.240.0
BuildRequires: perl(List::Util)
BuildRequires: perl(PPI) >= 1.220.0
BuildRequires: perl(PPI::Document)
BuildRequires: perl(PPI::Dumper)
BuildRequires: perl(Perl::Critic) >= 1.84.0
BuildRequires: perl(Perl::Critic::Policy) >= 1.84.0
BuildRequires: perl(Perl::Critic::Utils) >= 1.100.0
BuildRequires: perl(Perl::Critic::Utils::PPI)
BuildRequires: perl(Perl::Critic::Violation)
BuildRequires: perl(Pod::Escapes)
BuildRequires: perl(Pod::MinimumVersion) >= 50.0.0
BuildRequires: perl(Pod::ParseLink)
BuildRequires: perl(Pod::Parser)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildArch:  noarch
# use dual-life to quiet test::nowarnings

%description
This is a collection of add-on policies for 'Perl::Critic', summarized
below. They're under a "pulp" theme plus other themes according to their
purpose (see the Perl::Critic/POLICY THEMES manpage).

Roughly half are code related and half cosmetic. You can always enable or
disable the ones you do or don't want. It's normal to pick and choose
things reported. There's a lot of perlcritic policies both built-in and
add-on and they range from helpful things catching problems through to the
bizarre or restrictive, and in some cases mutually contradictory! Many are
only intended as building blocks for enforcing a house style. If you try to
pass everything then you'll give away big parts of the language, so if
you're not turning off or customizing about half then you're either not
trying or you're much too easily lead!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
rm -f *.list
%make_build test

%install
%make_install

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*