%define upstream_name    Perl-PrereqScanner-NotQuiteLite
%define upstream_version 0.9917

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A tool to scan your Perl code for its prerequisites
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     fix-deps.patch

BuildRequires: perl(CPAN::Meta::Prereqs) >= 2.150.10
BuildRequires: perl(CPAN::Meta::Requirements) >= 2.140.0
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker::CPANfile) >= 0.90.0
BuildRequires: perl(Module::CPANfile) >= 1.100.400
BuildRequires: perl(Module::CoreList) >= 3.110.0
BuildRequires: perl(Module::Find)
BuildRequires: perl(Parse::Distname)
BuildRequires: perl(Regexp::Trie)
BuildRequires: perl(Test::FailWarnings)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Pod) >= 1.180.0
BuildRequires: perl(Test::UseAllModules) >= 0.170.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
Perl::PrereqScanner::NotQuiteLite is yet another prerequisites scanner. It
passes almost all the scanning tests for the Perl::PrereqScanner manpage
and the Module::ExtractUse manpage (ie. except for a few dubious ones), and
runs slightly faster than PPI-based Perl::PrereqScanner. However, it
doesn't run as fast as the Perl::PrereqScanner::Lite manpage (which uses an
XS lexer).

Perl::PrereqScanner::NotQuiteLite also recognizes 'eval'. Prerequisites in
'eval' are not considered as requirements, but you can collect them as
suggestions.

Conditional requirements or requirements loaded in a block are treated as
recommends. Noed modules are stored separately (since 0.94). You may or may
not need to merge them into requires.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/scan-perl-prereqs-nqlite
%{_mandir}/man1/scan-perl-prereqs-nqlite.1*