%define upstream_name Perl-Tidy-Sweetened
%define upstream_version 1.20

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Tweaks to Perl::Tidy to support some syntactic sugar
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Perl::Tidy) >= 20230309.0.0
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More) >= 0.870.0
BuildRequires: perl(Test::Most)
BuildArch:  noarch

%description
There are a number of modules on CPAN that allow users to write their
classes with a more "modern" syntax. These tools eliminate the need to
shift off $self, can support type checking and offer other improvements.
Unfortunately, they can break the support tools that the Perl community
has come to rely on. This module attempts to work around those issues.

The module uses Perl::Tidy's "prefilter" and "postfilter" hooks to
support "method" and "func" keywords, including the (possibly
multi-line) parameter lists. This is quite an ugly hack, but it is the
recommended method of supporting these new keywords (see the 2010-12-17
entry in the Perl::Tidy CHANGES
<https://metacpan.org/source/SHANCOCK/Perl-Tidy-20120714/CHANGES> file).
The resulting formatted code will leave the parameter lists untouched.

"Perl::Tidy::Sweetened" attempts to support the syntax outlined in the
following modules, but most of the new syntax styles should work:
*   p5-mop
*   Method::Signatures::Simple
*   MooseX::Method::Signatures
*   MooseX::Declare
*   Moops
*   MooseX::Declare
*   perl 5.20 signatures

%prep
%autosetup -n %{upstream_name}-%{upstream_version} -p 1

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot}
%_fixperms %{buildroot}

%check
./Build test

%files
%license LICENSE
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*