%define upstream_name Perl-osnames
%define upstream_version 0.122

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    List possible $^O ($OSNAME) values, with description
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This package contains $data which lists possible values of $^O along
with description for each. It also provides some helper functions.

Tags
  *   unix

      Unix-like operating systems. This currently excludes beos/haiku.

  *   bsd

      BSD-derived Unix operating systems.

  *   sysv

      SysV-derived Unix operating systems.

  *   posix

      For POSIX-compliant OSes, including fully-, mostly-, and
      largely-compliant ones (source:
      <https://en.wikipedia.org/wiki/POSIX>).

      From what I can gather, dec_osf is not POSIX compliant, although
      there is a posix package for it.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*