%define upstream_name    PerlIO-Util
%define upstream_version 0.72

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 27

Summary:    A selection of general PerlIO utilities
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/PerlIO/%{upstream_name}-%{upstream_version}.tar.gz
# https://rt.cpan.org/Ticket/Display.html?id=74539
Patch0:     PerlIO-Util-0.72-fix_refcount_test.patch

BuildRequires: perl(Devel::PPPort) >= 3.190.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(ExtUtils::ParseXS) >= 2.210.0
BuildRequires: perl(Test::More) >= 0.620.0
BuildRequires: perl(XSLoader) >= 0.20.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl-devel
%description
'PerlIO::tee' provides a multiplex output stream like 'tee(1)'. It makes a
filehandle write to one or more files (or scalars via the ':scalar' layer)
at the same time.

You can use 'push_layer()' (defined in 'PerlIO::Util') to add a _source_ to
a filehandle. The _source_ may be a file name, a scalar reference, or a
filehandle. For example:

	$fh->push_layer(tee => $file);    # meaning "> $file"
	$fh->push_layer(tee => ">>$file");# append mode
	$fh->push_layer(tee => \$scalar); # via :scalar
	$fh->push_layer(tee => \*OUT);    # shallow copy, not duplication

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch -P 0 -p 1 -b .refcount

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test || :

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%{perl_vendorarch}/*
