Summary:	A libpq-based PostgreSQL interface for Perl
%{?perl_default_filter}

Name:		perl-Pg
Version:	2.1.1
Release:	%mkrel 36
License:	GPL
Group:		Development/Perl
Source0:	Pg-%{version}.tar.bz2
URL:		http://gborg.postgresql.org/project/pgperl/projdisplay.php
BuildRequires:	perl-devel
BuildRequires:	postgresql-devel
BuildRequires:	postgresql-libs-devel


%description
pgperl is an interface between Perl and PostgreSQL. This uses the
Perl5 API for C extensions to call the PostgreSQL libpq interface.
Unlike DBD:pg, pgperl tries to implement the libpq interface as
closely as possible.

You have a choice between two different interfaces: the old
C-style interface and a new one, using a more Perl-ish style. The
old style has the benefit that existing libpq applications can
easily be ported to perl. The new style uses class packages and
might be more familiar to C++ programmers.

%prep
%setup -q -n Pg-%{version}
# perl path hack
find . -type f | xargs %{__perl} -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
export POSTGRES_INCLUDE=`pg_config --includedir`
export POSTGRES_LIB=`pg_config --libdir`
%{__perl} Makefile.PL INSTALLDIRS=vendor </dev/null
%make_build

%check
# make test needs a running PostgreSQL server
#%{__make} test

%install
%make_install

%files
%doc Changes README
%{perl_vendorarch}/*/Pg/Pg.so
%{perl_vendorarch}/*/Pg/autosplit.ix
%{perl_vendorarch}/Pg.pm
%{_mandir}/man3*/*
