%define upstream_name    Pithub
%define upstream_version 0.01033

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Github v3 Pull Request Comments API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Array::Iterator)
BuildRequires: perl(Cache::LRU) >= 0.40.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Message)
BuildRequires: perl(Import::Into) >= 1.2.4
BuildRequires: perl(JSON::MaybeXS) >= 1.3.3
BuildRequires: perl(LWP::Protocol::https)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Moo) >= 1.1.0
BuildRequires: perl(Path::Tiny) >= 0.37.0
BuildRequires: perl(Test::Most)
BuildArch:  noarch

%description
the Pithub manpage provides a set of modules to access the
http://developer.github.com/v3/ in an object oriented way. There is also
the Net::GitHub manpage which does the same for all the versions (v1, v2,
v3) of the Github API. the Pithub manpage supports all API calls so far,
but only for v3.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*