%define upstream_name       PkgConfig
%define upstream_version 0.26026

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Pure-Perl Core-Only replacement for pkg-config
Url:        https://metacpan.org/release/%{upstream_name}
Source0:     https://cpan.metacpan.org/authors/id/P/PL/PLICEASE/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.560.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl-devel
BuildArch:  noarch

%description
Pure-Perl Core-Only replacement for pkg-config

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor destdir=${RPM_BUILD_ROOT}/
make

%check
make test

%install
make install DESTDIR=${RPM_BUILD_ROOT}
find ${RPM_BUILD_ROOT} -type f -name perllocal.pod -o -name .packlist -o -name '*.bs' -a -size 0 | xargs rm -f
find ${RPM_BUILD_ROOT} -type d -depth | xargs rmdir --ignore-fail-on-non-empty

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/PkgConfig.pm
%{_bindir}/p*
%{_mandir}/man1/*
%{_mandir}/man3/*