%define upstream_name    Plack-Middleware-Assets
%define upstream_version 1.0.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Concatenate and minify JavaScript and CSS files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Load)
BuildRequires: perl(CSS::Minifier::XS)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(JavaScript::Minifier::XS)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Plack::Middleware)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
Plack::Middleware::Assets concatenates JavaScript and CSS files and
minifies them. A 'md5' digest is generated and used as unique url to the
asset. The 'Last-Modified' header is set to the 'mtime' of the most
recently changed file. The 'Expires' header is set to one month in advance.
Set /expires to change the time of expiry.

The concatenated and minified content is cached in memory.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
