%define upstream_name    Plack-Middleware-Debug
%define upstream_version 0.18

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Debug panel to inspect the environment
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Method::Modifiers) >= 1.50.0
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Data::Dumper::Concise)
BuildRequires: perl(Encode) >= 2.230.0
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Plack)
BuildRequires: perl(Plack::Test)
BuildRequires: perl(Test::More) >= 0.700.0
BuildRequires: perl(Test::Requires) >= 0.80.0
BuildRequires: perl(Text::MicroTemplate) >= 0.150.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
The debug middleware offers a configurable set of panels that displays
information about the current request and response. The information is
generated only for responses with a status of 200 ('OK') and a
'Content-Type' that contains 'text/html' or 'application/xhtml+xml' and is
embedded in the HTML that is sent back to the browser. Also the code is
injected directly before the '</body>' tag so if there is no such tag, the
information will not be injected.

To enable the middleware, just use the Plack::Builder manpage as usual in
your '.psgi' file:

    use Plack::Builder;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*