%define upstream_name    Plack-Middleware-DirIndex
%define upstream_version 1.01

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Middleware to use with Plack::App::Directory and the like
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Plack::App::Directory)
BuildRequires: perl(Plack::App::File)
BuildRequires: perl(Plack::Builder)
BuildRequires: perl(Plack::Middleware)
BuildRequires: perl(Plack::Middleware::ErrorDocument)
BuildRequires: perl(Plack::Test)
BuildRequires: perl(Plack::Util::Accessor)
BuildRequires: perl(Test::More)
BuildRequires: perl(lib)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
If $env->{PATH_INFO} ends with a '/' then we will append the dir_index
value to it (defaults to index.html)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*