%define upstream_name    Plack-Middleware-LogErrors
%define upstream_version 0.003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Map psgi.errors to psgix.logger or other logger
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Plack::Middleware)
BuildRequires: perl(Plack::Test)
BuildRequires: perl(Plack::Util::Accessor)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(if)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
'psgi.errors' defaults to 'stderr' in most backends, which results in
content going somewhere unhelpful like the server console.

This middleware simply remaps the 'psgi.errors' stream to the
'psgix.logger' stream, or an explicit logger that you provide.

This is especially handy when used in combination with other middlewares
such as the Plack::Middleware::LogWarn manpage (which diverts Perl warnings
to 'psgi.errors'); the Plack::Middleware::HTTPExceptions manpage (which
diverts uncaught exceptions to 'psgi.errors'); and the
Plack::Middleware::AccessLog manpage, which defaults to 'psgi.errors' when
not passed a logger -- which is also automatically applied via the plackup
manpage (so if you provided no '--access-log' option indicating a filename,
'psgi.errors' is used).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*