%define upstream_name    Plack-Middleware-MethodOverride
%define upstream_version 0.20

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Override REST methods to Plack apps via POST
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Plack::Middleware)
BuildRequires: perl(Plack::Request)
BuildRequires: perl(Plack::Test)
BuildRequires: perl(Plack::Util::Accessor)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Writing RESTful apps is a good thing, but if you're also trying to
support web browsers, you're probably going to need some hackish
workarounds. This module provides one such workaround for your Plack
applications.

Specifically, you can also use a header named X-HTTP-Method-Override (as
used by Google for its APIs) override the POST request method. Or you
can add a parameter named x-tunneled-method to your form action's query.
Either way, the overriding works only via POST requests, not GET.

If either of these attributes are available in a POST request, the
REQUEST_METHOD key of the Plack environment hash will be replaced with
its value. This allows your apps to override any HTTP method over POST.
If your application needs to know that such overriding has taken place,
the original method is stored under the plack.original_request_method
key in the Plack environment hash.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
