%define upstream_name    Plack-Middleware-Session
%define upstream_version 0.34

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Session middleware that saves session data in the cookie
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cookie::Baker) >= 0.120.0
BuildRequires: perl(Digest::HMAC_SHA1) >= 1.30.0
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(HTTP::Cookies)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Plack) >= 0.991.0
BuildRequires: perl(Test::Fatal) >= 0.6.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildArch:  noarch

%description
This is the core session object, you probably want to look at the
Plack::Middleware::Session manpage, unless you are writing your own session
middleware component.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
# (tv) fix running tests with perl-5.26:
sed -i 's!bin/perl!bin/perl -I.!' t/*t
./Build test

%install
./Build install --destdir=%buildroot

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*