%define upstream_name    Plack-Middleware-Xslate
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Serve static templates with Plack
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(Plack::App::File)
BuildRequires: perl(Plack::Builder)
BuildRequires: perl(Plack::Middleware::Static)
BuildRequires: perl(Plack::Test)
BuildRequires: perl(Plack::Util::Accessor)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Xslate)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This middleware allows you to serve files processed as the Text::Xslate
manpage templates. This is useful for serving sites that are essentially
static content, but with a consistent structure (which can be pulled out
into a single template to include, rather than duplicated across every
page).

Configuration for this middleware is identical to the
Plack::Middleware::Static manpage, with these additional options:

* xslate_args

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*


