%define upstream_name    Plack-Test-ExternalServer
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Run HTTP tests on external live servers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Plack::Loader)
BuildRequires: perl(Plack::Test)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::TCP)
BuildRequires: perl(URI)
BuildArch: noarch

%{?perl_default_filter}

%description
This module allows your to run your Plack::Test tests against an external
server instead of just against a local application through either mocked
HTTP or a locally spawned server.

See the Plack::Test manpage on how to write tests that can use this module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml LICENSE README
%{_mandir}/man3/*
%{perl_vendorlib}/*


