%define upstream_name    Plack
%define upstream_version 1.0051

# For not requiring apache-mod_perl . See:
# https://bugs.mageia.org/show_bug.cgi?id=17128
%define __requires_exclude perl\\((Apache2|APR)::[^\\)]+|CGI::Compile|CGI::Emulate::PSGI\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl Superglue for Web frameworks and Web Servers (PSGI toolkit)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Apache::LogFormat::Compiler) >= 0.330.0
BuildRequires: perl(Cookie::Baker) >= 0.70.0
BuildRequires: perl(Devel::StackTrace) >= 1.230.0
BuildRequires: perl(Devel::StackTrace::AsHTML) >= 0.110.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(File::ShareDir::Install) >= 0.60.0
BuildRequires: perl(Filesys::Notify::Simple)
BuildRequires: perl(HTTP::Entity::Parser) >= 0.250.0
BuildRequires: perl(HTTP::Headers::Fast) >= 0.180.0
BuildRequires: perl(HTTP::Message) >= 5.814.0
BuildRequires: perl(HTTP::Tiny) >= 0.34.0
BuildRequires: perl(Hash::MultiValue) >= 0.50.0
BuildRequires: perl(Pod::Usage) >= 1.360.0
BuildRequires: perl(Stream::Buffered) >= 0.20.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::TCP) >= 2.150.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(URI) >= 1.590.0
BuildRequires: perl(WWW::Form::UrlEncoded) >= 0.230.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
Plack is a set of tools for using the PSGI stack. It contains middleware
components, a reference server and utilities for Web application
frameworks. Plack is like Ruby's Rack or Python's Paste for WSGI.

See the PSGI manpage for the PSGI specification and the PSGI::FAQ manpage
to know what PSGI and Plack are and why we need them.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README eg
%{_bindir}/*
%{_mandir}/man?/*
%{perl_vendorlib}/*
# Abandoned/Unsupported in Mga: Apache1
%exclude %{perl_vendorlib}/Plack/Server/Apache1.pm
%exclude %{perl_vendorlib}/Plack/Handler/Apache1.pm