%define upstream_name    Pod-Eventual
%define upstream_version 0.094003

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Just get an array of the stuff Pod::Eventual finds
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Mixin::Linewise::Readers) >= 0.102.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
POD is a pretty simple format to write, but it can be a big pain to deal
with reading it and doing anything useful with it. Most existing POD
parsers care about semantics, like whether a '=item' occurred after an
'=over' but before a 'back', figuring out how to link a 'L<>', and other
things like that.

Pod::Eventual is much less ambitious and much more stupid. Fortunately,
stupid is often better. (That's what I keep telling myself, anyway.)

Pod::Eventual reads line-based input and produces events describing each
POD paragraph or directive it finds. Once complete events are immediately
passed to the 'handle_event' method. This method should be implemented by
Pod::Eventual subclasses. If it isn't, Pod::Eventual's own 'handle_event'
will be called, and will raise an exception.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*