%define upstream_name    Pod-HtmlEasy
%define upstream_version v1.1.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Generate personalized HTML from PODs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}a.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(English)
BuildRequires: perl(Exporter::Easy)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(IPC::Run)
BuildRequires: perl(Pod::Escapes)
BuildRequires: perl(Pod::ParseLink)
BuildRequires: perl(Pod::Parser)
BuildRequires: perl(Readonly)
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(Regexp::Common::Email::Address)
BuildRequires: perl(Test::More)
BuildRequires: perl(feature)
BuildRequires: perl(version)
BuildArch: noarch

%description
The purpose of this module is to generate HTML data from POD in a easy and
personalized mode. By default the HTML generated is similar to the CPAN
site style for module documentation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.json Changes META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
%{_bindir}/*
%{_mandir}/*/*

