%define upstream_name Pod-Markdown-Github
%define upstream_version 0.04
%{?perl_default_filter}

Name:       perl-%upstream_name
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Summary:    Convert POD to Github's specific markdown
Group:      Development/Perl
License:    GPL+ or Artistic
Url:        https://metacpan.org/release/Pod-Markdown-Github
Source0:    https://cpan.metacpan.org/authors/id/M/MI/MINIMAL/Pod-Markdown-Github-%{upstream_version}.tar.gz
BuildArch:  noarch
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Pod::Markdown)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(lib)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: make
# Run-time:

# Tests:

# Test::Pod 1.41 not used

%description
Github flavored markdown allows for syntax highlighting using three
backticks. This Perl module inherits from Pod::Markdown and adds those
backticks and an optional language identifier.

%prep
%setup -q -n Pod-Markdown-Github-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes LICENSE META.yml MYMETA.yml README
%{perl_vendorlib}/*
%{_bindir}/pod2github
%{_mandir}/man1/pod2github.*
%{_mandir}/man3/*