%define upstream_name    Pod-MinimumVersion
%define upstream_version 50

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Report object from Pod::MinimumVersion
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::String) >= 1.20.0
BuildRequires: perl(List::Util)
BuildRequires: perl(Pod::Parser)
BuildRequires: perl(Test)
BuildRequires: perl(version)
BuildArch:  noarch

%description
'Pod::MinimumVersion' parses the POD in a Perl script, module, or document,
and reports what version of Perl is required to process the directives in
it with 'pod2man' etc.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYING Changes META.yml SIGNATURE
%{_bindir}/*
%{_mandir}/man?/*
%perl_vendorlib/*