%define upstream_name    Pod-POM-Web
%define upstream_version 1.27

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Full-text search for Pod::POM::Web
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Alien::GvaScript) >= 1.21.0
BuildRequires: perl(CPAN::Common::Index)
BuildRequires: perl(CPAN::Common::Index::Mux::Ordered)
BuildRequires: perl(Config)
BuildRequires: perl(Encode)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(MIME::Types)
BuildRequires: perl(Module::CoreList)
BuildRequires: perl(Module::Metadata) >= 1.0.33
BuildRequires: perl(POSIX)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Plack::Request)
BuildRequires: perl(Plack::Response)
BuildRequires: perl(Plack::Test)
BuildRequires: perl(Plack::Util)
BuildRequires: perl(Pod::POM) >= 0.250.0
BuildRequires: perl(Pod::POM::View::HTML)
BuildRequires: perl(Search::Indexer) >= 1.0.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(URI)
BuildRequires: perl(URI::QueryParam)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
Pod::POM::Web is a Web application for browsing the
documentation of Perl components installed on your local machine. Since
pages are dynamically generated, they are always in sync with code actually
installed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
#make test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
