%define upstream_name    Pod-Parser
%define upstream_version 1.67

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Base class for parsing pod documents
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(Test::More) >= 0.600.0
BuildArch:  noarch

%description
*Pod::Find* provides a set of functions to locate POD files. Note that no
function is exported by default to avoid pollution of your namespace, so be
sure to specify them in the *use* statement if you need them:

  use Pod::Find qw(pod_find);

From this version on the typical SCM (software configuration management)
files/directories like RCS, CVS, SCCS, .svn are ignored.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type f -exec chmod -x {} +
chmod +x scripts/*
for F in ANNOUNCE CHANGES README TODO; do
    tr -d '\r' < "$F" > "${F}.unix"
    touch -r "$F" "${F}.unix"
    mv "${F}.unix" "$F"	
done

%build
%__perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%check
%make_build test

%install
%make_install
for i in %{buildroot}/%{_bindir}/*; do mv $i $i-%{upstream_version} ; done
pushd %{buildroot}/%{_bindir}
ln -s podselect-%{upstream_version} podselect
popd

%files
%doc ANNOUNCE CHANGES META.json META.yml MYMETA.yml README TODO
%{_bindir}/*
%{_mandir}/man*/*
%perl_vendorlib/*