%define upstream_name    Pod-Spelling
%define upstream_version 0.23

%define __requires_exclude perl\\(Lingua::Ispell\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Pod::POM::View::Text without sequence formatting
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Pod::POM)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Text::Aspell)
BuildArch: noarch

%description
This module provides extensible spell-checking of POD.

At present, it requires either the Lingua::Ispell manpage or the
Text::Aspell manpage, one of which must be installed on your system, with
its binaries, unless you plan to use the API to provide your own
spell-checker. In the latter case, or if binaries are missing from their
default locations, expect test failures.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

# Tests are currently failing - enable later.
# %%check
# %%make test

%install
%make_install

%files
%doc Changes README META.json META.yml SIGNATURE LICENSE
%{_mandir}/man3/*
%perl_vendorlib/*


