%define upstream_name    Pod-Tidy
%define upstream_version 0.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Reformat Pod to be nicely line wrapped
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(Encode::Newlines)
BuildRequires: perl(File::Copy)
BuildRequires: perl(IO::String)
BuildRequires: perl(Pod::Find)
BuildRequires: perl(Pod::Simple)
BuildRequires: perl(Pod::Wrap)
BuildRequires: perl(Test::Cmd)
BuildRequires: perl(Text::Glob)
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
This module provides the _heavy lifting_ needed by the 'podtidy' utility
although the API should be general enough that it can be used directly.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/podtidy
%{_mandir}/man1/podtidy.1*

