%define upstream_name    Pod-Weaver-Section-SeeAlso
%define upstream_version 1.003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Add a SEE ALSO pod section
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Pod::Weaver::Role::Section)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This section plugin will produce a hunk of pod that references the main
module of a dist from it's submodules and adds any other text already
present in the pod. It will do this only if it is being built with the
Dist::Zilla manpage because it needs the data from the dzil object.

In the main module, this section plugin just transforms the links into a
proper list. In the submodules, it also adds the link to the main module.

For an example of what the hunk looks like, look at the the /SEE ALSO
manpage section in this POD :)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*


