%define upstream_name    Pod-Weaver
%define upstream_version 4.020

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A bundle for the most commonly-needed prep work for a pod document
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz
%rename perl-Pod-Weaver-Section-GenerateSection

BuildRequires: perl(Config::MVP) >= 2.0.0
BuildRequires: perl(Config::MVP::Assembler)
BuildRequires: perl(Config::MVP::Assembler::WithBundles)
BuildRequires: perl(Config::MVP::Reader::Finder)
BuildRequires: perl(Config::MVP::Reader::INI)
BuildRequires: perl(DateTime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Log::Dispatchouli) >= 1.100.710
BuildRequires: perl(Mixin::Linewise::Readers) >= 0.103.0
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(PPI)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Pod::Elemental) >= 0.100.220
BuildRequires: perl(Pod::Elemental::Document)
BuildRequires: perl(Pod::Elemental::Element::Nested)
BuildRequires: perl(Pod::Elemental::Element::Pod5::Command)
BuildRequires: perl(Pod::Elemental::Element::Pod5::Ordinary)
BuildRequires: perl(Pod::Elemental::Element::Pod5::Region)
BuildRequires: perl(Pod::Elemental::Element::Pod5::Verbatim)
BuildRequires: perl(Pod::Elemental::Selectors)
BuildRequires: perl(Pod::Elemental::Transformer::Gatherer)
BuildRequires: perl(Pod::Elemental::Transformer::Nester)
BuildRequires: perl(Pod::Elemental::Transformer::Pod5)
BuildRequires: perl(Pod::Elemental::Types)
BuildRequires: perl(Software::License::Artistic_1_0)
BuildRequires: perl(Software::License::Perl_5)
BuildRequires: perl(String::Flogger) >= 1.0.0
BuildRequires: perl(String::Formatter) >= 0.100.680
BuildRequires: perl(String::RewritePrefix)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Text::Template)
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(experimental)
BuildRequires: perl(feature)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Pod::Weaver is a system for building Pod documents from templates. It
doesn't perform simple text substitution, but instead builds a
Pod::Elemental::Document. Its plugins sketch out a series of sections that
will be produced based on an existing Pod document or other provided
information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*