%define upstream_name    Pod-Wrap
%define upstream_version 0.01

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Wrap pod paragraphs, leaving verbatim text and code alone
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Pod::Parser)
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
This is a the Pod::Parser manpage subclass, based on the Pod::Stripper
manpage. It parses perl files, wrapping pod text, and leaving everything
else intact. It prints it's output to wherever you point it to (like you do
with the Pod::Parser manpage (and the Pod::Stripper manpage)).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYING META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*


