%define upstream_name    Pod-Xhtml
%define upstream_version 1.61

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Allow off-page links in POD to point to a URL
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Pod-Xhtml-1.59-uri_escape.patch

BuildRequires: perl(Pod::ParseUtils)
BuildRequires: perl(Pod::Parser)
BuildRequires: perl(Test::Assertions::TestScript)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI::Escape)

BuildArch: noarch


%{?perl_default_filter}

%description
This is a module to translate POD to Xhtml. Lorem ipsum the Dolor/Dolor
manpage sit amet consectueur adipscing elit. Sed diam nomumny. This is a
module to translate POD to Xhtml. /Lorem ipsum dolor sit amet consectueur
adipscing elit. Sed diam nomumny. This is a module to translate _POD_ to
Xhtml. *Lorem* ipsum _dolor_ sit amet 'consectueur adipscing' elit. . This
is a module to translate POD to Xhtml. See the /Lorem manpage ipsum dolor
sit amet consectueur adipscing elit. Sed diam the nomumny manpage. the
http://foo.bar/baz/ manpage

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# https://rt.cpan.org/Public/Bug/Display.html?id=56324
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml
%{_bindir}/*
%{_mandir}/man*/*
%perl_vendorlib/*
