%define upstream_name	 PostScript-Simple
%define upstream_version 0.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Produce PostScript files from Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.180.0
BuildArch:  noarch

%description
The PostScript::Simple module allows you to have a simple method of writing
PostScript files from Perl. It has graphics primitives that allow lines,
curves, circles, polygons and boxes to be drawn. Text can be added to the page
using standard PostScript fonts.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README TODO examples
%{perl_vendorlib}/PostScript/*
%{_mandir}/*/*