%define upstream_name    Prima
%define upstream_version 1.76

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Standard dialog
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Prima/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: freetype-devel
BuildRequires: giflib-devel
BuildRequires: pkgconfig(libjpeg)
BuildRequires: perl
BuildRequires: perl-devel
BuildRequires: pkgconfig(fontconfig)
BuildRequires: pkgconfig(gdk-2.0)
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(libtiff-4)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xpm)
# Run-time:

# Virtual packages used to load more modules
Provides:   perl(Prima::Buttons) = %{version}
Provides:   perl(Prima::Classes) = %{version}
Provides:   perl(Prima::Notebooks) = %{version}
Provides:   perl(Prima::Outlines) = %{version}
Provides:   perl(Prima::Sliders) = %{version}
Provides:   perl(Prima::StdDlg) = %{version}
# Public modules without a package keyword:
Provides:   perl(Prima::noARGV) = %{version}
Provides:   perl(Prima::PS::Drawable::Path) = %{version}
Provides:   perl(Prima::PS::Drawable::Region) = %{version}
Provides:   perl(Prima::PS::Setup) = %{version}

%{?perl_default_filter}

# Do not export private modules (not starting with "Prima")
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\((am|apc|bi|bs|bt|ci|cl|cm|CodeEditor|cr|cs|CustomPodView|Divider|dmfp|dt|Editor|fdo|fds|fe|fp|fr|fra|frr|fs|fw|gm|gr|grow|gsci|gt|gui|ict|im|is|ItemsOutline|kb|km|le|lj|lp|mb|mbi|MenuOutline|MPropListViewer|mt|MyOutline|nt|PackPropListViewer|PropListViewer|rop|Round3D|sbmp|ss|sv|ta|tb|tka|tm|tno|tns|tw|wc|ws)\\)

# Filter under-specified provides
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(Prima\\)$

%description
The toolkit is combined from two basic set of classes - core and external.
The core classes are coded in C and form a base line for every Prima object
written in perl. The usage of C is possible together with the toolkit;
however, its full power is revealed in the perl domain. The external
classes present easily expandable set of widgets, written completely in
perl and communicating with the system using Prima library calls.

The core classes form an hierarchy, which is displayed below:

	Prima::Object
		Prima::Component
			Prima::AbstractMenu
				Prima::AccelTable
				Prima::Menu
				Prima::Popup
			Prima::Clipboard
			Prima::Drawable
				Prima::DeviceBitmap
				Prima::Printer
				Prima::Image
					Prima::Icon
			Prima::File
			Prima::Timer
			Prima::Widget
				Prima::Application
				Prima::Window

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test||:

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_bindir}/*
%{_mandir}/man*/*
%{perl_vendorarch}/*