%define upstream_name    Proc-FastSpawn
%define upstream_version 1.2

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 15

Summary:    Fork+exec, or spawn, a subprocess as quickly as possible
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Proc/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
The purpose of this small (in scope and footprint) module is simple: spawn
a subprocess asynchronously as efficiently and/or fast as possible.
Basically the same as calling fork+exec (on POSIX), but hopefully faster
than those two syscalls.

Apart from fork overhead, this module also allows you to fork+exec programs
when otherwise you couldn't - for example, when you use POSIX threads in
your perl process then it generally isn't safe to call fork from perl, but
it is safe to use this module to execute external processes.

If neither of these are problems for you, you can safely ignore this
module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml README COPYING
%{_mandir}/man3/*
%perl_vendorarch/*


