%define upstream_name    Proc-Guard
%define upstream_version 0.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Process runner with RAII pattern
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Proc/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Class::Accessor::Lite)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::Requires)
BuildArch: noarch

%description
Proc::Guard runs process, and destroys it when the perl script exits.

This is useful for testing code working with server process.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc README.md Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*

