%define upstream_name    ProjectBuilder
%define upstream_version 0.16.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Perl module providing multi-OSes continuous packaging
License:    GPL
Group:      System/Packaging
Url:        http://trac.project-builder.org
Source0:    ftp://ftp.project-builder.org/src/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
ProjectBuilder is a perl module providing set of functions to help develop
packages for projects and deal with different Operating systems (Linux
distributions, Solaris, ...).  It implements a Continuous Packaging approach.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor destdir=${RPM_BUILD_ROOT}/ SYSCONFDIR=%{_sysconfdir}/pb CONFDIR=%{_datadir}/pb MANDIR=%{_mandir}
make

%install
%make_install

%check
make test

%files
%doc AUTHORS COPYING ChangeLog INSTALL MYMETA.yml NEWS README
%config(noreplace) %{_sysconfdir}/pb
%config %{_datadir}/pb/*
%{perl_vendorlib}/ProjectBuilder
%{_bindir}/pbdistrocheck
%{_bindir}/pbgetparam
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_mandir}/man5/*
