%define upstream_name    Prompt-Timeout
%define upstream_version 1.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Prompt() with auto-selecting default value in case of inactivity
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Prompt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Term::ReadKey)
BuildArch: noarch

%description
This module provides only one function, prompt(), and it's exported by
default.

prompt
     my $res = prompt ( $question, $default, $timeout );

    Prints a $question and waits for the input. If no keys are pressed
    during $timeout seconds, $default is assumed. When pressing just Enter
    key, $default is assumed. If prompt() detects that it is not running
    interactively, $default will be used without prompting too.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README CHANGES META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


