%define upstream_name    RDF-Query
%define upstream_version 2.919

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Executable query plan for nested loop joins
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Data::UUID)
BuildRequires: perl(DateTime::Format::W3CDTF)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Error)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(I18N::LangTags)
BuildRequires: perl(JSON)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Parse::RecDescent)
BuildRequires: perl(RDF::Trine)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Set::Scalar)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::JSON)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildRequires: perl(YAML)
BuildArch: noarch

%description
RDF::Query allows SPARQL and RDQL queries to be run against an RDF model,
returning rows of matching results.

See the http://www.w3.org/TR/rdf-sparql-query/ manpage for more information
on SPARQL.

See the http://www.w3.org/Submission/2004/SUBM-RDQL-20040109/ manpage for
more information on RDQL.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/rqsh
%{_mandir}/man1/rqsh.1.xz


