%define upstream_name RPM2
%define upstream_version 1.4

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 6
Summary:        Perl bindings for the RPM Package Manager API
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            https://metacpan.org/release/%{upstream_name}
Source0:        https://cpan.metacpan.org/authors/id/L/LK/LKUNDRAK/%{upstream_name}-%{upstream_version}.tar.gz
Patch1:         %{name}-1.0-testplan.patch
BuildRequires:  pkgconfig(rpm) >= 4.12.90
BuildRequires:  perl-devel
BuildRequires:  perl(Module::Build)
# Tests
BuildRequires:  perl(Test)
BuildRequires:  perl(POSIX)

%{?perl_default_filter}

%description
The RPM2 module provides an object-oriented interface to querying both the
installed RPM database as well as files on the filesystem, providing Perl
bindings for the RPM Package Manager API.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;

%check
#./Build test verbose=1

%files
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/RPM2*
%{_mandir}/man3/*
