# This spec is in the SVN
# $Id: perl-RPM4.spec 141783 2007-03-12 14:05:45Z nanardon $

%define upstream_name	 RPM4
%define upstream_version 0.47

%define rpm_version %(rpm -q --queryformat '%|EPOCH?{[%{EPOCH}:%{VERSION}]}:{%{VERSION}}|' rpm)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %upstream_version
Release:    %mkrel 5
Summary:    Perl bindings to use rpmlib and manage hdlist files
License:    GPL
Group:      Development/Perl
Source0:    https://cpan.metacpan.org/modules/by-authors/id/T/TV/TVIGNAUD/%{upstream_name}-%{upstream_version}.tgz
Url:        https://metacpan.org/release/RPM4

BuildRequires: perl(Carp)
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(DynaLoader)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(MDV::Packdrakeng)
BuildRequires: perl-devel >= 5.8.0
BuildRequires: pkgconfig(rpm) >= 4.12.0
BuildRequires: perl-Digest-SHA1
BuildRequires: librpmconstant-devel
BuildRequires: gnupg
# we can now expect librpm API to be at least backward compatible
Requires:   rpm >= %{rpm_version}
%description
This module provides a perl interface to the rpmlib.

It allows to write scripts to:
  - query rpm headers,
  - query rpm database,
  - build rpm specs,
  - install/uninstall specfiles,
  - check dependencies.

It includes:
- rpm_produced, give what rpm will be produced by a src.rpm or a specfile.

%prep
%setup -q -n %{upstream_name}-%{version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%ifarch x86_64
make test TEST_VERBOSE=1
%endif

%install
%make_install

%files
%doc META.json META.yml MYMETA.yml README examples
%doc examples
%_bindir/*
%{perl_vendorarch}/*
%{_mandir}/*/*
