%define upstream_name    RRDTool-OO
%define upstream_version 0.36

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Object-oriented interface to RRDTool
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/RRDTool/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Log::Log4perl) >= 0.400.0
BuildRequires: perl(RRDs)
BuildRequires: perl(Storable)
BuildArch:  noarch

%description
'RRDTool::OO' is an object-oriented interface to Tobi Oetiker's round robin
database tool _rrdtool_. It uses _rrdtool_'s 'RRDs' module to get access to
_rrdtool_'s shared library.

'RRDTool::OO' tries to marry _rrdtool_'s database engine with the
dwimminess and whipuptitude Perl programmers take for granted. Using
'RRDTool::OO' abstracts away implementation details of the RRD engine, uses
easy to memorize named parameters and sets meaningful defaults for
parameters not needed in simple cases. For the experienced user, however,
it provides full access to _rrdtool_'s API (if you find a feature that's
not implemented, let me know).

FUNCTIONS
    * _my $rrd = RRDTool::OO->new( file => $file )_

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%{perl_vendorlib}/*
