%define upstream_name    Ref-Util-XS
%define upstream_version 0.117

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Create bare-bones Makefile.PL files for use with dzil
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Ref/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Concise)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel
%description
Ref::Util::XS is the XS implementation of Ref::Util, which provides several
functions to help identify references in a more convenient way than the
usual approach of examining the return value of 'ref'.

You should use Ref::Util::XS by installing Ref::Util itself: if the system
you install it on has a C compiler available, Ref::Util::XS will be
installed and used automatically, providing a significant speed boost to
everything that uses Ref::Util.

See the Ref::Util manpage for full documentation of the available
functions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*
