%define upstream_name    Regexp-Pattern-License
%define upstream_version 3.11.2

Name:           perl-Regexp-Pattern-License
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 1
Summary:        Regular expressions for legal licenses
License:        GPL-3.0-or-later
Group:          Development/Perl
URL:            https://metacpan.org/release/Regexp-Pattern-License
Source0:        https://cpan.metacpan.org/authors/id/J/JO/JONASS/%{upstream_name}-v%{upstream_version}.tar.gz
BuildArch:      noarch

BuildRequires:  make
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(open)
BuildRequires:  perl(Regexp::Pattern)
BuildRequires:  perl(re::engine::RE2)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Regexp::Pattern)
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(Test::Without::Module)
BuildRequires:  perl(Test2::V0)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(utf8)
BuildRequires:  perl(warnings)


%description
Regexp::Pattern::License provides a hash of regular expression patterns related
to legal software licenses.


%prep
%autosetup -p1 -n %{upstream_name}-v%{upstream_version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build


%install
%make_install
%{_fixperms} %{buildroot}/*


%check
make test


%files
%doc Changes README
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/Regexp::Pattern::License*.*
