%define upstream_name    Retry-Backoff
%define upstream_version 0.006

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Retry a piece of code, with backoff strategies
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Retry/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Algorithm::Backoff::Constant) >= 0.6.0
BuildRequires: perl(Algorithm::Backoff::Exponential) >= 0.6.0
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Log::ger) >= 0.38.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides the /retry manpage to retry a piece of code if it
dies. Several backoff (delay between retries) strategies are available from
'Algorithm::Backoff':: modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*