%define upstream_name Return-MultiLevel
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Return across multiple call levels
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/MAUKE/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Return-MultiLevel-0.05-Test-Fatal-0.016.patch

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
Return across multiple call levels.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# Fix compatibility with Test::Fatal ≥ 0.016
# https://github.com/mauke/Return-MultiLevel/pull/1
%patch -P 0 -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*