%define upstream_name    Role-Basic
%define upstream_version 0.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Why Role::Basic exists
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Role/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
For an extended discussion, see the
http://blogs.perl.org/users/ovid/2010/12/rolebasic---when-you-only-want-rol
es.html manpage.

Sometimes you want roles. You're not sure about the Moose manpage, the
Mouse manpage, the Moo manpage and what _was_ that damned the Squirrel
manpage thing anyway? Then there's the Class::Trait manpage, but it has a
funky syntax and the maintainer's deprecated it in favor of the Moose::Role
manpage and you really don't care that it handles overloading, instance
application or has a workaround for the SUPER:: bug. You think a
meta-object protocol sounds nifty, but you don't understand it. Maybe
you're not sure you want the syntactic sugar for object declaration. Maybe
you've convinced your colleagues that roles are a good idea but they're
leery of dragging in Moose (your author has had this happen more than once
and heard of others making the same complaint). Sometimes you just want
good old-fashioned roles which let you separate class responsibility from
code reuse.

Whatever your reasons, this is the module you're looking for. It only
provides roles and its major design goals are safety and simplicity. It
also aims to be a _subset_ of the Moose::Role manpage behavior so that
when/if you're ready to upgrade, there will be minimal pain.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*


