%define upstream_name    Role-Hooks
%define upstream_version 0.008

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Shim to load .mite.pm files
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Role/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Method::Modifiers)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildArch: noarch

%description
This module allows a role to run a callback when it is applied to a class
or to another role.

Compatibility
    It should work with the Role::Tiny manpage, the Moo::Role manpage, the
    Moose::Role manpage, the Mouse::Role manpage, the Role::Basic manpage,
    and the Mite manpage. Not all class builders work well with all role
    builders (for example, a Moose class consuming a Mouse role). But when
    they do work together, Role::Hooks should be able to run the callbacks.
    (The only combination I've tested is Moo with Moose though.)

    Some other role implementations (such as the Moos::Role manpage, the
    exact::role manpage, and the OX::Role manpage) are just wrappers around
    one of the supported role builders, so should mostly work.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*


