%define upstream_name    Rose-DB
%define upstream_version 0.786

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Data source registry entry
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Rose/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Bit::Vector::Overload) >= 6.400.0
BuildRequires: perl(Clone::PP)
BuildRequires: perl(DBI)
BuildRequires: perl(DateTime::Duration)
BuildRequires: perl(DateTime::Format::MySQL)
BuildRequires: perl(DateTime::Format::Oracle)
BuildRequires: perl(DateTime::Format::Pg) >= 0.110.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Rose::DateTime::Util) >= 0.532.0
BuildRequires: perl(Rose::Object) >= 0.854.0
BuildRequires: perl(SQL::ReservedWords)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::Clock)
BuildArch:  noarch

%description
the Rose::DB manpage is a wrapper and abstraction layer for the DBI
manpage-related functionality. A the Rose::DB manpage object "has a" the
DBI manpage object; it is not a subclass of the DBI manpage.

Please see the Rose::DB::Tutorial (perldoc Rose::DB::Tutorial) for an
example usage scenario that reflects "best practices" for this module.

*Tip:* Are you looking for an object-relational mapper (ORM)? If so, please
see the the Rose::DB::Object manpage module. the Rose::DB::Object manpage
is an ORM that uses this module to manage its database connections. the
Rose::DB manpage alone is simply a data source abstraction layer; it is not
an ORM.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*