%define upstream_name    SDL
%define upstream_version 2.548

Name:       perl-SDL
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12
Epoch:      1

Summary:    Wrapper around the cross platform Simple DirectMedia Layer game library
License:    LGPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/F/FR/FROGGS/%{upstream_name}-%{upstream_version}.tar.gz
# Fix an implicit function declaration, proposed to the upstream,
# bug #2177189, <https://github.com/PerlGameDev/SDL/pull/299>.
Patch0:         SDL-2.548-Fix-implicit-declaration-of-_calc_offset.patch
# Adapt to perl 5.37.1, proposed to upstream,
# <https://github.com/PerlGameDev/SDL/issues/303>
Patch2:         SDL-2.548-Adapt-to-perl-5.37.1.patch
# Fix reference counting an event filter callback, bug #2272636,
# proposed to the upstream, <https://github.com/PerlGameDev/SDL/pull/308>
Patch3:         SDL-2.548-Fix-reference-counting-in-set_event_filter.patch

BuildRequires: chrpath
BuildRequires: perl(Alien::SDL) >= 1.446.0
BuildRequires: perl(CPAN) >= 1.920.0
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Most) >= 0.210.0
BuildRequires: perl(Test::Simple) >= 0.880.0
BuildRequires: perl(Tie::Simple)
BuildRequires: pkgconfig(SDL_image)
BuildRequires: pkgconfig(SDL_mixer)
BuildRequires: pkgconfig(SDL_net)
BuildRequires: pkgconfig(SDL_ttf)
BuildRequires: pkgconfig(SDL_gfx) >= 2.0.8
BuildRequires: pkgconfig(SDL_Pango)
BuildRequires: libungif-devel
BuildRequires: pkgconfig(glu)
BuildRequires: perl-devel
%{?perl_default_filter}

%description
SDL Perl is a wrapper around the cross platform Simple Direct Layer game
library. Essentially it allows you to write cross platform games in Perl,
using 2d (SDL), or 3d (OpenGL), or a combination of both if you wish.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}
# this test requires a sound device
rm -f t/mixerpm.t
# Disable the sdlx_controller_interface.t test, it hangs on arm
rm t/sdlx_controller_interface.t
sed -i -e '/t\/sdlx_controller_interface\.t/d' MANIFEST

%build
%{__perl} Build.PL --installdirs=vendor optimize="$RPM_OPT_FLAGS"
./Build

%check
./Build test || true

%install
./Build install  destdir=%{buildroot}
%{_fixperms} $RPM_BUILD_ROOT/*
find %buildroot -name "*.so"|xargs chrpath -d

%files
%doc CHANGELOG COPYING INSTALL META.json META.yml MYMETA.yml TODO examples
%{_mandir}/*/*
%{perl_vendorarch}/SDL*
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/pods/*
%{perl_vendorarch}/Module/Build/SDL.pm
