%global __brp_check_rpaths %{nil}

%define upstream_name    SDLx-Betweener
%define upstream_version 0.0105

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 18

Summary:    SDL Perl XS Tweening Animation Library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/SDLx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: chrpath
BuildRequires: perl(Alien::SDL) >= 1.430.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose) >= 2.40.200
BuildRequires: perl(SDL) >= 2.536.0
BuildRequires: perl-devel
BuildRequires: gcc-c++
BuildRequires: pkgconfig(sdl)
BuildRequires: pkgconfig(SDL_image)

# no deps from doc:
%{?perl_default_filter}

%description
'SDLx::Betweener' is a library for animating Perl SDL elements. It lets you
move game objects (GOBs) around in various ways, rotate and scale things,
animate sprites and colors, make GOBs spawn at a given rate, and generally
bring about changes in the game over time. It lets you do these things
declaratively, without writing complex 'SDLx::Controller'
'move_handlers()'.

See the /WHY manpage and the /FEATURES manpage for an introduction to
tweening, or continue for the technical details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install
%{_fixperms} $RPM_BUILD_ROOT/*
find %buildroot -name "*.so"|xargs chrpath -d

%files
%license LICENSE
%doc Changes META.json META.yml MYMETA.yml README TODO eg
%{_mandir}/man3/*
%perl_vendorarch/*
