%define upstream_name    SMS-Send
%define upstream_version 1.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    SMS::Send Regional-Class Testing Driver
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/SMS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Adapter)
BuildRequires: perl(Class::Adapter::Builder)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(inc::Module::Install::DSL)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
'SMS::Send' is intended to provide a driver-based single API for sending
SMS and MMS messages. The intent is to provide a single API against which
to write the code to send an SMS message.

At the same time, the intent is to remove the limits of some of the
previous attempts at this sort of API, like "must be free internet-based
SMS services".

'SMS::Send' drivers are installed separately, and might use the web, email
or physical SMS hardware. It could be a free or paid. The details shouldn't
matter.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README LICENSE META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*


