%define upstream_name    SNA-Network
%define upstream_version 0.19

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Generate random networks according to the configuration model
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/SNA/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Module::List::Pluggable)
BuildRequires: perl(Object::Tiny::XS)
BuildRequires: perl(Test::Memory::Cycle)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
SNA::Network is a bundle of modules for network algorithms, specifically
designed for the needs of Social Network Analysis (SNA), but can be used
for any other graph algorithms of course.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*