%define upstream_name    SNMP-Info
%define upstream_version 3.972002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Object Oriented Perl5 Interface to Network devices and MIBs through SNMP
License:    BSD-like
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/SNMP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Inspector)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Slurper)
BuildRequires: perl(Hook::LexWrap)
BuildRequires: perl(Math::BigInt)
BuildRequires: perl(Module::Build) >= 0.420.0
BuildRequires: perl(Module::Find)
BuildRequires: perl(NetAddr::IP) >= 4.68.0
BuildRequires: perl(NetSNMP::default_store)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(SNMP)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Class::Most)
BuildRequires: perl(Test::Distribution)
BuildRequires: perl(Test::Exception) >= 0.430.0
BuildRequires: perl(Test::MockObject::Extends)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl-NetSNMP >= 5.1.2
BuildArch:  noarch

%description
SNMP::Info gives an object oriented interface to information obtained
through SNMP.

This module lives at http://snmp-info.sourceforge.net Check for newest
version and documentation.

This module is geared towards network devices. Subclasses exist for a
number of network devices and common MIBs.

The idea behind this module is to give a common interface to data from
network devices, leaving the device-specific hacks behind the scenes in
subclasses.

In the SYNOPSIS example we fetch the name of all the ports on the device
and the duplex setting for that port with two methods -- interfaces()
and i_duplex().

The information may be coming from any number of MIB files and is very
vendor specific. SNMP::Info provides you a common method for all
supported devices.

Adding support for your own device is easy, and takes little much SNMP
knowledge.

The module is not limited to network devices. Any MIB or device can be
given an objected oriented front-end by making a module that consists of
a couple hashes. See EXTENDING SNMP::INFO.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/SNMP
%{_mandir}/*/*