Summary:	SNMP support for Perl 5
Name:		perl-SNMP_Session
Version:	1.16
Release:	%mkrel 2
Group:		Development/Perl
License:	Artistic
URL:		https://github.com/sleinen/snmp-session/
Source0:	https://github.com/sleinen/snmp-session/archive/v%{version}/SNMP_Session-%{version}.tar.gz
Patch0:		SNMP_Session-1.13-fix_ivp6.patch
BuildArch:	noarch

BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::More)

%description
Pure Perl SNMP v1 and SNMP v2 support for Perl 5.

The SNMP operations currently supported are "get", "get-next", "get-bulk"
and "set", as well as trap generation and reception.

%prep
%autosetup -p1 -n snmp-session-%{version}

%{__perl} -pi -e 's|^#!/usr/local/bin/perl\b|#!%{__perl}|' test/*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Artistic README README.SNMP_util index.html MYMETA.yml
%{perl_vendorlib}/SNMP_Session.pm
%{perl_vendorlib}/SNMP_util.pm
%{perl_vendorlib}/BER.pm
%{perl_vendorlib}/Net_SNMP_util.pm
%{perl_vendorlib}/SNMP_Table.pm
%{_mandir}/man3/*
