%define upstream_name    SOAP-Lite
%define upstream_version 1.27

%global __requires_exclude perl\\((MQSeries.*|MQClient.*)\\)
%global __provides_exclude perl\\((LWP::Protocol|My::.*)\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Client and server side SOAP implementation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/SOAP/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     fix-deps.patch

BuildRequires: perl(Class::Inspector)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Daemon)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::SessionData) >= 1.30.0
BuildRequires: perl(IO::Socket::SSL)
BuildRequires: perl(LWP::Protocol::https)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(URI)
BuildRequires: perl(XML::Parser) >= 2.230.0
BuildRequires: perl(XML::Parser::Lite) >= 0.715.0
BuildRequires: perl(constant)
BuildArch:  noarch

%description
SOAP::Lite for Perl is a collection of Perl modules which provides a simple and
lightweight interface to the Simple Object Access Protocol (SOAP) both on
client and server side.

To learn about SOAP, go to http://www.soaplite.com/#LINKS for more
information.

This version of SOAP::Lite supports a subset of the SOAP 1.1
specification and has initial support for SOAP 1.2 specification.  See
http://www.w3.org/TR/SOAP for details.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

find examples -type f | xargs perl -pi \
    -e 's|^#!perl -w|#!%__perl -w|;' \
    -e 's|^#!d:\\perl\\bin\\perl.exe ||;'
find examples -type f -name *.bat | xargs rm -f 

%build
%__perl Makefile.PL INSTALLDIRS=vendor --noprompt
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes HACKING LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/*/*
%{_bindir}/*.pl
%{perl_vendorlib}/Apache
%{perl_vendorlib}/SOAP