%define upstream_name    SOAP-WSDL
%define upstream_version 3.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    SOAP with WSDL support
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/SOAP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Attribute::Handlers)
BuildRequires: perl(CGI)
BuildRequires: perl(Class::Load)
BuildRequires: perl(Class::Std::Fast) >= 0.0.5
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Date::Format)
BuildRequires: perl(Date::Parse)
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Moose)
BuildRequires: perl(Storable)
BuildRequires: perl(Template) >= 2.180.0
BuildRequires: perl(Term::ReadKey)
BuildRequires: perl(Test::CPAN::Meta)
BuildRequires: perl(Test::Class)
BuildRequires: perl(Test::MockObject)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod::Content)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Test::XML)
BuildRequires: perl(URI)
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(XML::Parser::Expat)
BuildRequires: perl(diagnostics)
BuildRequires: perl(lib)
BuildRequires: perl(parent)
BuildRequires: perl(utf8)
BuildArch:  noarch

Provides:   perl(SOAP::WSDL::Header)

%description
SOAP::WSDL provides easy access to Web Services with WSDL descriptions.

The WSDL is parsed and stored in memory.

Your data is serialized according to the rules in the WSDL.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL installdirs=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes HACKING LICENSE META.json META.yml MIGRATING MYMETA.yml README TODO example
%{_bindir}/wsdl2perl.pl
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/SOAP
