%define upstream_name    SQL-Abstract-Pg
%define upstream_version 1.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    PostgreSQL features for SQL::Abstract
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/SQL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(SQL::Abstract)
BuildArch: noarch

%description
the SQL::Abstract::Pg manpage extends the SQL::Abstract manpage with a few
PostgreSQL features used by the Mojo::Pg manpage.

JSON
    In many places (as supported by the SQL::Abstract manpage) you can use
    the '-json' unary op to encode JSON from Perl data structures.

      # "UPDATE some_table SET foo = '[1,2,3]' WHERE bar = 23"
      $abstract->update('some_table', {foo => {-json => [1, 2, 3]}}, {bar => 23});
    
      # "SELECT * FROM some_table WHERE foo = '[1,2,3]'"
      $abstract->select('some_table', '*', {foo => {'=' => {-json => [1, 2, 3]}}});

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc LICENSE Changes META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*


