%define upstream_name    SQL-Maker
%define upstream_version 1.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Insert multiple rows at once on MySQL
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/SQL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Lite) >= 0.50.0
BuildRequires: perl(Clone)
BuildRequires: perl(DBI)
BuildRequires: perl(Module::Build::Tiny) >= 0.35.0
BuildRequires: perl(Module::Load)
BuildRequires: perl(SQL::QueryMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Tie::IxHash)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
SQL::Maker is yet another SQL builder class. It is based on the
DBIx::Skinny manpage's SQL generator.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*