%define upstream_name    STD
%define upstream_version 20101111

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 15

Summary:    The Standard Perl 6 Grammar
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz
# Remove /usr/bin/env from shebang
Patch0:         STD-20101111-Remove-usr-bin-env-from-shebang.patch
# Enable loading objects from YAML documents, bug #1799856, CPAN RT#132275
Patch1:         STD-20101111-Enable-loading-objects-from-YAML-documents.patch

BuildArch: noarch

BuildRequires: perl(File::ShareDir)
BuildRequires: perl(Module::Build) >= 0.37
BuildRequires: perl(Moose)
BuildRequires: perl(YAML::XS)

Provides:       perl(STD) = %{version}

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(File::ShareDir\\)$
# Remove private packages 
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(mangle.pl|STD_P5|STD_P6|RE_ast|STD::Cursor\\)$

%description
%{summary}.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot}

%check
./Build test

%files
%doc META.yml LICENSE
%{_bindir}/*
%{_mandir}/man1/*
%perl_vendorlib/*
