%define upstream_name	 SVG-Graph
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Visualize your data in Scalable Vector Graphics (SVG) format
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/SVG/%{upstream_name}-%{upstream_version}.tar.bz2


Buildrequires:	perl(SVG)
Buildrequires:	perl(Statistics::Descriptive)
Buildrequires:	perl(Math::Spline)
Buildrequires:	perl(Tree::DAG_Node)
Buildarch:	noarch


%description
SVG::Graph is a suite of perl modules for plotting data. SVG::Graph currently
supports plots of one-, two- and three-dimensional data, as well as N-ary
rooted trees. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
%{__make} test

%files 
%doc README Changes
%{perl_vendorlib}/SVG
%{_mandir}/*/*