%define	upstream_name	SVN-Mirror
%define upstream_version 0.75

%global __requires_exclude 'perl\\(VCP.*'

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:	Perl modules to mirror remote subversion repositories to local ones
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/dist/%{upstream_name}/
Source0:	https://cpan.metacpan.org/authors/id/C/CL/CLKAO/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl-Class-Accessor
BuildRequires:	perl(Date::Format)
BuildRequires:	perl(File::chdir)
BuildRequires:	perl-SVN
BuildRequires:	perl-SVN-Simple
BuildRequires:	perl-URI
BuildRequires:	perl-YAML
# for test 
BuildRequires:  subversion 
BuildRequires:  subversion-tools
BuildConflicts:	perl-VCP-Dest-svk

BuildArch:	noarch

Requires:	perl(Class::Accessor)
Requires:	perl(Data::UUID)
Requires:	perl(Term::ReadKey)

%description
SVN::Mirror allows you to mirror a remote repository to your local subversion
repository. It supports remote subversion and Git repositories.

%package -n	svm
Summary:	A tool to mirror a remote subversion repository
Group:		Development/Perl

%description -n	svm
svm (subversion mirror) is a command-line tool that allows you to mirror a
remote subversion repository on a local repository.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
PERL_EXTUTILS_AUTOINSTALL=--skipdeps %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

cat > README.Mdv << EOF
This version was not built with VCP support (for CVS and Perforce mirroring)
since it requires to package too much other perl modules.
EOF

%check
LC_ALL=C %{__make} test

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES README README.Mdv TODO META.yml
%{perl_vendorlib}/SVN
%{_mandir}/man3/*

%files -n svm
%defattr(-,root,root)
%doc README.Mdv
%{_bindir}/*
%{_mandir}/man1/*
