%define upstream_name    Safe
%define upstream_version 2.35

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10
BuildArch:  noarch

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Restrict eval'd code to safe subset of ops
Source0:    https://cpan.metacpan.org/modules/by-module/Safe/%{upstream_name}-%{upstream_version}.tar.gz
Url:        https://metacpan.org/release/%{upstream_name}

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
The Safe extension module allows the creation of compartments in which perl
code can be evaluated. Each compartment has

* a new namespace

  The "root" of the namespace (i.e. "main::") is changed to a different
  package and code evaluated in the compartment cannot refer to variables
  outside this namespace, even with run-time glob lookups and other tricks.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
