%define upstream_name       Sane
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 24
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Perl extension for the SANE (Scanner Access Now Easy) Project
Source0:    https://cpan.metacpan.org/authors/id/R/RA/RATCLIFFE/%{upstream_name}-%{upstream_version}.tar.gz
Url:        https://metacpan.org/release/%{upstream_name}

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::PkgConfig)
BuildRequires: perl-devel
BuildRequires: pkgconfig(sane-backends)
%description
Perl bindings for the SANE (Scanner Access Now Easy) Project. This module
allows you to access SANE-compatible scanners in a Perlish and object-oriented
way, freeing you from the casting and memory management in C, yet remaining
very close in spirit to original API.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorarch/*
