%define upstream_name    Search-Dict
%define upstream_version 1.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    Search a dictionary ordered text file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Search/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Tie::Handle)
BuildArch: noarch

%description
Sets file position in FILEHANDLE to be first line greater than or equal
(stringwise) to _$key_. Returns the new file position, or -1 if an error
occurs.

The flags specify dictionary order and case folding:

If _$dict_ is true, search by dictionary order (ignore anything but word
characters and whitespace). The default is honour all characters.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.json META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*


