%define upstream_name    Search-Elasticsearch
%define upstream_version 8.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A client for running index-level requests
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Search/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::URI::Escape)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Devel::GlobalDestruction)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Tiny) >= 0.76.0
BuildRequires: perl(IO::Compress::Deflate)
BuildRequires: perl(IO::Compress::Gzip)
BuildRequires: perl(IO::Select)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(IO::Socket::SSL)
BuildRequires: perl(IO::Uncompress::Gunzip)
BuildRequires: perl(IO::Uncompress::Inflate)
BuildRequires: perl(JSON::MaybeXS) >= 1.2.2
BuildRequires: perl(JSON::PP)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(List::Util)
BuildRequires: perl(Log::Any) >= 1.20.0
BuildRequires: perl(Log::Any::Adapter)
BuildRequires: perl(Log::Any::Adapter::Callback) >= 0.90.0
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo) >= 2.1.0
BuildRequires: perl(Moo::Role)
BuildRequires: perl(Net::IP)
BuildRequires: perl(POSIX)
BuildRequires: perl(Package::Stash) >= 0.340.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::SharedFork)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(URI)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
the Search::Elasticsearch manpage is the official Perl client for
Elasticsearch, supported by http://www.elasticsearch.com. Elasticsearch
itself is a flexible and powerful open source, distributed real-time search
and analytics engine for the cloud. You can read more about it on
http://www.elasticsearch.org.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*