%define upstream_name    Search-Sitemap
%define upstream_version 2.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Perl extension for managing Search Engine Sitemaps 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Wx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Trigger)
BuildRequires: perl(DateTime)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Zlib)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Module::Find)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::ClassAttribute)
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(MooseX::Types::URI)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::Mock::LWP::UserAgent)
BuildRequires: perl(Test::Most)
BuildRequires: perl(XML::Parser)
BuildRequires: perl(XML::Twig)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(ok)
BuildRequires: perl(Test::use::ok)
BuildRequires: perl(MooseX::Types::URI)
BuildRequires: perl(Test::Mock::LWP)
BuildArch:  noarch

%description
Perl extension for managing Search Engine Sitemaps 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
