%define upstream_name Sentinel
%define upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Summary:    Create lightweight SCALARs with get/set callbacks
License:    GPL+ or Artistic

Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/P/PE/PEVANS/%{upstream_name}-%{upstream_version}.tar.gz
Group:      Development/Perl

BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Test2::V0) >= 0.0.148
BuildRequires: perl-devel
Requires:   perl(XSLoader)
%{?perl_default_filter}

%description
This module provides a single lvalue function, sentinel, which yields a
scalar that invoke callbacks to get or set its value. Primarily this is
useful to create lvalue object accessors or other functions, to invoke
actual code when a new value is set, rather than simply updating a
scalar variable.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor optimize="$RPM_OPT_FLAGS"
./Build

%install
./Build install --destdir=%{buildroot} create_packlist=0
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;

%{_fixperms} %{buildroot}/*

%check
./Build test

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorarch}/auto/Sentinel
%{perl_vendorarch}/Sentinel*
%{_mandir}/man3/Sentinel*
