%define upstream_name Sereal
%define upstream_version 5.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %upstream_version
Release:    %mkrel 1
Summary:    Fast, compact, powerful binary (de-)serialization
# Makefile.PL defines LICENSE
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/Y/YV/YVES/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:  noarch

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sereal::Decoder) >= 5.4.0
BuildRequires: perl(Sereal::Encoder) >= 5.4.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::LongString)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Warn)
BuildRequires: coreutils
BuildRequires: findutils
BuildRequires: make
BuildRequires: perl
# blib not used

# Devel::CheckLib not used

# File::Find not used
# File::Path not used
# File::Spec not used

# Run-time:

# Tests:
# Benchmark not used

# Time::HiRes not used

# Optional tests:

%description
Sereal is an efficient, compact-output, binary and feature-rich serialization
protocol. The Perl encoder is implemented as the Sereal::Encoder module, the
Perl decoder correspondingly as Sereal::Decoder. This Sereal module is a very
thin wrapper around both Sereal::Encoder and Sereal::Decoder. It depends on
both and loads both.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

find %{buildroot} -name '*.packlist' -delete
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/*
%{_mandir}/man3/*
