%define upstream_name    Server-Starter
%define upstream_version 0.35

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A superdaemon for hot-deploying server programs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Server/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:  noarch

BuildRequires: perl(IO::Socket::IP)
BuildRequires: perl(Module::Build) >= 0.400.500
BuildRequires: perl(Net::EmptyPort)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::SharedFork)
BuildRequires: perl(Test::TCP) >= 2.80.0
BuildRequires: perl-devel
# For the tests

%description
It is often a pain to write a server program that supports graceful
restarts, with no resource leaks. Server::Starter, solves the
problem by splitting the task into two. One is start_server, a
script provided as a part of the module, which works as a superdaemon that
binds to zero or more TCP ports or unix sockets, and repeatedly spawns the
server program that actually handles the necessary tasks (for example,
responding to incoming connections). The spawned server programs under
Server::Starter call accept(2) and handle the requests.

To gracefully restart the server program, send SIGHUP to the superdaemon.
The superdaemon spawns a new server program, and if (and only if) it starts
up successfully, sends SIGTERM to the old server program.

By using Server::Starter it is much easier to write a
hot-deployable server. Following are the only requirements a server program
to be run under Server::Starter should conform to:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot}
perl -i -lape 's{^#!perl\s*$}{#!%{_bindir}/perl} if $. == 1' %{buildroot}/%{_bindir}/start_server

%check
./Build test

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*
%{_bindir}/start_server
%{_mandir}/man1/start_server.*
