%define upstream_name    Shell
%define upstream_version 0.73

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Run shell commands transparently within perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Caveats
    This package is included as a show case, illustrating a few Perl
    features. It shouldn't be used for production programs. Although it
    does provide a simple interface for obtaining the standard output of
    arbitrary commands, there may be better ways of achieving what you
    need.

    Running shell commands while obtaining standard output can be done with
    the C<qx/STRING/> operator, or by calling C<open> with a filename
    expression that ends with C<|>, giving you the option to process one
    line at a time. If you don't need to process standard output at all,
    you might use C<system> (in preference of doing a print with the
    collected standard output).

    Since Shell.pm and all of the aforementioned techniques use your
    system's shell to call some local command, none of them is portable
    across different systems. Note, however, that there are several built
    in functions and library packages providing portable implementations of
    functions operating on files, such as: C<glob>, C<link> and C<unlink>,
    C<mkdir> and C<rmdir>, C<rename>, C<File::Compare>, C<File::Copy>,
    C<File::Find> etc.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*