%define upstream_name    Socket
%define upstream_version 2.038

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Defines socket-related constants
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/P/PE/PEVANS/%{upstream_name}-%{upstream_version}.tar.gz

%{?perl_default_filter}

BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::Constant) >= 0.230.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-ExtUtils-MakeMaker
BuildRequires: perl-devel
%description
This module is just a translation of the C _socket.h_ file. Unlike the old
mechanism of requiring a translated _socket.ph_ file, this uses the *h2xs*
program (see the Perl source distribution) and your native C compiler. This
means that it has a far more likely chance of getting the numbers right.
This includes all of the commonly used pound-defines like AF_INET,
SOCK_STREAM, etc.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorarch}/*
