%define upstream_name    Software-License-CCpack
%define upstream_version 1.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Creative Commons Attribution-NoDerivs-NonCommercial 1.0 License (CC BY-ND-NC 1.0)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Software/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Software::License)
BuildRequires: perl(Test::CheckDeps)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This "license pack" contains all of the licenses from Creative Commons,
except for CC0, which is already included in the Software::License manpage.

Note that I don't recommend using these licenses for your own CPAN modules.
(Most of the licenses aren't even compatible with CPAN.) However, S:L
modules are useful for more than mere the CPAN::Meta manpage->license
declaration, so these modules exist for those other purposes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES INSTALL LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


