%define upstream_name    Specio
%define upstream_version 0.50

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A class which represents parameterizable constraints
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(Carp)
BuildRequires: perl(Clone)
BuildRequires: perl(Devel::StackTrace)
BuildRequires: perl(Eval::Closure)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(FindBin)
BuildRequires: perl(IO::File)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Role::Tiny) >= 1.3.3
BuildRequires: perl(Role::Tiny::With)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Quote)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Needs)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(XString)
BuildRequires: perl(lib)
BuildRequires: perl(open)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(re)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(version) >= 0.830.0
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The 'Specio' distribution provides classes for representing type
constraints and coercion, along with syntax sugar for declaring them.

Note that this is not a proper type system for Perl. Nothing in this
distribution will magically make the Perl interpreter start checking a
value's type on assignment to a variable. In fact, there's no built-in way
to apply a type to a variable at all.

Instead, you can explicitly check a value against a type, and optionally
coerce values to that type.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*