%define upstream_name Spoon
%define upstream_version 0.24
%global __provides_exclude perl\\(IO::All\\)

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 8
Summary:	A Spiffy Application Building Framework 
URL:		https://metacpan.org/release/%{upstream_name}
# no available category
Source:		https://cpan.metacpan.org/authors/id/I/IN/INGY/%{upstream_name}-%{upstream_version}.tar.gz
License:	GPL
Group:		Development/Perl

BuildRequires:	perl(inc::Module::Install)
BuildRequires:	perl(IO::All)
BuildRequires:  perl(CGI)
BuildRequires:  perl(DB_File)
BuildRequires:  perl(Template)
BuildRequires:  perl(Spiffy)
BuildRequires:  perl(URI::Escape)
BuildArch:	noarch

%{?perl_default_filter}

%description
Spoon is an Application Framework that is designed primarily for building
Social Software web applications. The Kwiki wiki software is built on top of
Spoon.

Spoon::Base is the primary base class for all the Spoon::* modules. Spoon.pm
inherits from Spiffy.pm.

Spoon is not an application in and of itself. (As compared to Kwiki) You need
to build your own applications from it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml
%{perl_vendorlib}/Spoon
%{perl_vendorlib}/Spoon.pm
%{_mandir}/*/*
