%define upstream_name    Spork
%define upstream_version 0.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 16

Summary:    Slide Presentations (Only Really Kwiki)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
# Some bugs were fixed with IO::All in recent versions, that prevent building
# this package.
BuildRequires: perl(IO::All) >= 0.540.0
BuildRequires: perl(Kwiki)
BuildRequires: perl(Kwiki::Cache)
BuildRequires: perl(Spoon)
BuildArch: noarch

%description
Spork lets you create HTML slideshow presentations easily. It comes with a
sample slideshow. All you need is a text editor, a browser and a topic.

Spork allows you create an entire slideshow by editing a single file called
'Spork.slides' (by default). Each slide is created using a minimal markup
language similar to the syntax used in Kwiki wikis.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml Changes README
%{_bindir}/spork
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*
