%define upstream_name	 Spreadsheet-WriteExcel
%define upstream_version 2.40

%{?perl_default_filter:
%filter_requires_in %{perl_vendorlib}/Spreadsheet/WriteExcel/Examples.pm
%perl_default_filter
}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}Spreadsheet/WriteExcel/Examples\\.pm$

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Write cross-platform Excel binary file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Spreadsheet/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(OLE::Storage_Lite) >= 0.190.0
BuildRequires: perl(Parse::RecDescent)
BuildRequires: perl(Parse::RecDescent)
BuildRequires: perl(OLE::Storage_Lite)
BuildArch:  noarch

Requires:   perl-Parse-RecDescent
%description
This package contains the Spreadsheet::WriteExcel perl5 module which
can be used to write (not read) Excel95 binary spreadsheets. It supports
multiple workbook, cell formatting, formulas, hyperlinks and more.

Those spreadsheets will be compatible with Excel 5, 95, 97, 2000,
2002. The generated spreadsheets can also be imported in OpenOffice or
Gnumeric.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# fix perms
chmod 755 examples/*.pl external_charts/*.pl

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
%make_build

%check
%make_build test

%install
%make_install

find %{buildroot} -name 'perllocal.pod' -o -name '.packlist' | xargs rm -f

rm -rf %{buildroot}/%{perl_vendorlib}/Spreadsheet/WriteExcel/doc
rm -rf %{buildroot}/%{perl_vendorlib}/Spreadsheet/WriteExcel/examples

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_bindir}/chartex
%{perl_vendorlib}/Spreadsheet
%{_mandir}/*/*
