%define upstream_name    Starman
%define upstream_version 0.4017

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Plack adapter for Starman
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/M/MI/MIYAGAWA/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dump)
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(HTTP::Parser::XS)
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Net::Server) >= 2.7.0
BuildRequires: perl(Plack) >= 0.997.100
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::TCP) >= 2.0.0
BuildRequires: perl(parent)
BuildArch:  noarch

%{?perl_default_filter}

%description
Starman is a PSGI perl web server that has unique features such as:

* High Performance

  Uses the fast XS/C HTTP header parser

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/starman
%{_mandir}/man1/starman.1*