%define upstream_name    String-Copyright
%define upstream_version 0.003014

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    Representation of text-based copyright statements
Group:      Development/Perl
License:    GPLv3+
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(Set::IntSpan) >= 1.120.0
BuildRequires: perl(Test2::V0)
BuildRequires: perl(Test::Without::Module)
BuildRequires: perl(constant)
BuildRequires: perl(utf8)
BuildArch:  noarch

%description
String::Copyright Parses common styles of copyright statements and serializes
in normalized format.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}

# Remove .packlist
rm -f %{buildroot}%{perl_vendorarch}/auto/String/Copyright/.packlist

%check
make test

%files
%doc COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE TODO
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/String::Copyright*.*