%define upstream_name    String-Errf
%define upstream_version 0.009

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A simple sprintf-like dialect
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Date::Format)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(String::Formatter) >= 0.102.81
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Time::Piece)
BuildRequires: perl(autodie)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
String::Errf provides 'errf', a simple string formatter that works
something like 'perlfunc/sprintf'. It is implemented using the
String::Formatter manpage and the Sub::Exporter manpage. Their
documentation may be useful in understanding or extending String::Errf.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*