%define upstream_name    String-License
%define upstream_version 0.0.11

Name:           perl-String-License
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 1
Summary:        Detect source code license statements in a text string
License:        AGPL-3.0-or-later
Group:          Development/Perl
URL:            https://metacpan.org/pod/String::License
Source0:        https://cpan.metacpan.org/authors/id/J/JO/JONASS/%{upstream_name}-v%{upstream_version}.tar.gz
BuildArch:      noarch

BuildRequires:  make
BuildRequires:  perl(Array::IntSpan)
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Feature::Compat::Class)
BuildRequires:  perl(File::BaseDir)
BuildRequires:  perl(lib)
BuildRequires:  perl(List::SomeUtils)
BuildRequires:  perl(Log::Any)
BuildRequires:  perl(Log::Any::Test)
BuildRequires:  perl(namespace::clean)
BuildRequires:  perl(Path::Tiny)
BuildRequires:  perl(re::engine::RE2)
BuildRequires:  perl(Regexp::Pattern)
BuildRequires:  perl(Regexp::Pattern::License)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Software::LicenseUtils)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test2::API)
BuildRequires:  perl(Test2::Compare)
BuildRequires:  perl(Test2::Require)
BuildRequires:  perl(Test2::Require::Module)
BuildRequires:  perl(Test2::Todo)
BuildRequires:  perl(Test2::V0)
BuildRequires:  perl(Test::Without::Module)
BuildRequires:  perl(utf8)
BuildRequires:  perl(warnings)


%description
String::License identifies license statements in a string and serializes them
in a normalized format.


%prep
%autosetup -p1 -n %{upstream_name}-v%{upstream_version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build


%install
%make_install
%{_fixperms} %{buildroot}/*


%check
make test


%files
%doc Changes README
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/String::License*.*
