%define upstream_name    String-Perl-Warnings
%define upstream_version 1.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Determine if a string looks like a perl warning
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(Regexp::Assemble) >= 0.340.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
String::Perl::Warnings can be used to determine if a string of arbitrary
text appears to look like a warning generated by perl.

It includes all warnings for every stable perl release from '5.6.0' to
'5.12.0'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*
