%define upstream_name    String-Print
%define upstream_version 0.94

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Printf alternative
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Date::Parse) >= 2.300.0
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(Test::More) >= 0.860.0
BuildRequires: perl(Unicode::GCString)
BuildArch:  noarch

%description
This module inserts values into (translated) strings. It provides 'printf'
and 'sprintf' alternatives via both an object oriented and a functional
interface.

Read in the the DETAILS manpage chapter below, why this module provides a
better alternative for 'printf()'. Also, some extended *examples* can be
found there. Take a look at them first, when you start using this module!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*