%define upstream_name    String-Tagged-Terminal
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Windows-specific code for L<String::Tagged::Terminal>
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Convert::Color)
BuildRequires: perl(Convert::Color::XTerm)
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(String::Tagged)
BuildRequires: perl(Test2::V0)
BuildRequires: perl(constant)
BuildArch:  noarch

%description
This subclass of the String::Tagged manpage provides a method,
'build_terminal', for outputting the formatting tags embedded in the string
as terminal escape sequences, to render the the output in the appropriate
style.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*