%define upstream_name    String-ToIdentifier-EN
%define upstream_version 0.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Convert Strings to Unicode English Program
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildConflicts: perl-Lingua-EN-Tagger < 0.250.0-4
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Lingua::EN::Inflect::Phrase)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Unidecode)
BuildRequires: perl(Unicode::UCD)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

# Provides bogus Text::Unidecode
BuildConflicts: texinfo

%description
This module provides a utility method, the /to_identifier manpage for
converting an arbitrary string into a readable representation using the
ASCII subset of '\w' for use as an identifier in a computer program. The
intent is to make unique identifier names from which the content of the
original string can be easily inferred by a human just by reading the
identifier.

If you need the full set of '\w' including Unicode, see the subclass the
String::ToIdentifier::EN::Unicode manpage.

Currently, this process is one way only, and will likely remain this way.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*