%define upstream_name    Sub-Delete
%define upstream_version 1.00002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl module enabling one to delete subroutines
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Hash/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)

BuildArch: noarch

%description
Sub::Delete provides one function, delete_sub, that deletes the subroutine
whose name is passed to it. (To load the module without importing the
function, write use Sub::Delete();.)

This does more than simply undefine the subroutine in the manner of undef
&foo, which leaves a stub that can trigger AUTOLOAD (and, consequently, won't
work for deleting methods). The subroutine is completely obliterated from the
symbol table (though there may be references to it elsewhere, including in
compiled code).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml MYMETA.json
%{_mandir}/man3/*
%perl_vendorlib/*
