%define upstream_name    Sub-Infix
%define upstream_version 0.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Create a fake infix operator
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Sub/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Sub::Infix creates fake infix operators using overloading. It doesn't use
source filters, or the Devel::Declare manpage, or any of that magic.
(Though Devel::Declare isn't magic enough to define infix operators anyway;
I know; I've tried.) It's pure Perl, has no non-core dependencies, and runs
on Perl 5.6.

The price you pay for its simplicity is that you cannot define an operator
that can be used like this:

   my $five = 2 plus 3;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*


