%define upstream_name    Sub-Mage
%define upstream_version 0.032

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Multi-Use utility for manipulating subroutines, classes and more
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Sub/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
What this module attempts to do is make a developers life easier by
allowing them to manage and manipulate subroutines and modules. You can
override a subroutine, then restore it as it was originally, create after,
before and around hook modifiers, delete subroutines, or even tag every
subroutine in a class to let you know when each one is being run, which is
great for debugging.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
