%define upstream_name    Sub-Talisman-Struct
%define upstream_version 0.006

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    The spawn of MooX-Struct and Sub-Talisman
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Sub/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(MooX::Struct) >= 0.6.0
BuildRequires: perl(Sub::Talisman)
BuildRequires: perl(Test::More) >= 0.610.0
BuildRequires: perl(Test::NoWarnings)
BuildArch:  noarch

%description
the MooX::Struct manpage creates light-weight objects which can have
required attributes, type constraints, etc. the Sub::Talisman manpage
allows you to associate data with subs. This module is a bit of glue
between MooX::Struct and Sub::Talisman.

The import routine uses the same syntax as the MooX::Struct manpage, but
instead of creating struct-like classes for you to use, it creates
struct-like classes for Sub::Talisman to bless attribute parameters into.

Sub::Talisman::Struct itself is a subclass of Sub::Talisman, so inherits
the 'get_attributes', 'get_attribute_parameters', 'get_subs' and
'setup_for' methods as documented.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYRIGHT Changes LICENSE META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*
