%define upstream_name Subclass-Of
%define upstream_version 0.009

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Import a magic subclass
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Subclass/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Sub::Util)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Requires) >= 0.60.0
BuildRequires: perl(Test::Warn)
BuildRequires: perl(namespace::clean)
BuildArch:  noarch

%description
Load a class, creating a subclass of it with additional roles (Moose,
Mouse, Moo and Role::Tiny should all work) and/or additional methods, and
providing a lexically-scoped alias for the subclass.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE examples
%{_mandir}/man3/*
%{perl_vendorlib}/*