%define upstream_name    Syntax-Highlight-Engine-Kate
%define upstream_version 0.14

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    A Plugin for Component-Pascal syntax highlighting
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Syntax/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:  noarch

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::Differences) >= 0.610.0
BuildRequires: perl(Test::More) >= 1.0.0
BuildRequires: perl(Test::Warn) >= 0.300.0
BuildRequires: perl-devel
%description
Syntax::Highlight::Engine::Kate is a port to perl of the syntax highlight
engine of the Kate text editor.

The language xml files of kate have been rewritten to perl modules using a
script. These modules function as plugins to this module.

Syntax::Highlight::Engine::Kate inherits
Syntax::Highlight::Engine::Kate::Template.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
# For Module-Install
export PERL5LIB="`pwd`"
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README REGISTERED eg samples
%{_mandir}/man3/*
%{perl_vendorlib}/*
