%define upstream_name    Syntax-Highlight-Perl-Improved
%define upstream_version 1.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Highlighting of Perl Syntactical Structures
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Syntax/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%{?perl_default_filter}

%description
This module provides syntax highlighting for Perl code. The design bias is
roughly line-oriented and streamed (ie, processing a file line-by-line in a
single pass). Provisions _may_ be made in the future for tasks related to
"back-tracking" (ie, re-doing a single line in the middle of a stream) such
as speeding up state copying.

Constructors
    The only constructor provided is 'new()'. When called on an existing
    object, 'new()' will create a new _*copy*_ of that object. Otherwise,
    'new()' creates a new copy of the (internal) _Default Object_. Note
    that the use of the procedural syntax modifies the _Default Object_ and
    that those changes _will_ be reflected in any subsequent 'new()' calls.

Formatting
    Formatting is done using the 'format_string()' method. Call
    'format_string()' with one or more strings to format, or it will
    default to using '$_'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc ChangeLog INSTALL README
%{_mandir}/man3/*
%perl_vendorlib/*


