%define upstream_name    Syntax-Highlight-Perl6
%define upstream_version 0.88

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Group:      Development/Perl
Summary:    Perl 6 Syntax Highlighter
License:    (GPL+ or Artistic) and Artistic 2.0 and (MIT or GPLv2) 
URL:        https://metacpan.org/release/Syntax-Highlight-Perl6
Source0:    https://cpan.metacpan.org/modules/by-module/Syntax/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(Moose)
BuildRequires: perl(Readonly)
BuildRequires: perl(File::ShareDir::Install)
BuildRequires: perl(STD)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(YAML::Syck)
BuildRequires: perl(YAML::XS)

%description
Syntax::Highlight::Perl6 parses Perl 6 source code using an embedded
STD.pm. It matches parse tree nodes to colors then returns them in
different output formats. It can be used to create web pages with colorful
source code samples in its simple and snippet HTML modes, or it can be used
as a learning tool in examining STD.pm's output using the JavaScript node
viewer in its full HTML mode. Or you can use its parse tree Perl 5 records
to build your next great idea.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor
%make_build OPTIMIZE="$RPM_OPT_FLAGS"

%install
%make_install

%check
make test

%files
%doc README Changes META.yml
%{_mandir}/man3*/*
%perl_vendorlib/*
/usr/bin/hilitep6
/usr/share/man/man1/*
