%define upstream_name    Syntax-Keyword-Match
%define upstream_version 0.15

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A C<match/case> syntax for perl
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Syntax/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Test2::V0) >= 0.0.147
BuildRequires: perl(XS::Parse::Infix::Builder)
BuildRequires: perl(XS::Parse::Keyword) >= 0.360.0
BuildRequires: perl(XS::Parse::Keyword::Builder) >= 0.360.0
BuildRequires: perl-devel
%description
This module provides a syntax plugin that implements a control-flow block
called 'match/case', which executes at most one of a choice of different
blocks depending on the value of its controlling expression.

This is similar to C's 'switch/case' syntax (copied into many other
languages), or syntax provided by the Switch::Plain manpage.

This is an initial, experimental implementation. Furthermore, it is built
as a non-trivial example use-case on top of the XS::Parse::Keyword manpage,
which is also experimental. No API or compatibility guarantees are made at
this time.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*
