%define upstream_name    Sys-Info-Driver-Linux
%define upstream_version 0.7905

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Linux driver for Sys::Info
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Sys/BURAK/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:  noarch

BuildRequires: perl(Config::General)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Sys::Info::Base) >= 0.780.100
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Sys::Info) >= 0.200.0
BuildRequires: perl(Unix::Processors)
BuildRequires: lsb-release
BuildRequires: perl-devel
Requires:   lsb-release
Requires:   perl(Linux::Distribution)
Requires:   perl(Sys::Info::Base)
Requires:   perl(Unix::Processors)
%description
Perl module for linux driver for Sys::Info  .

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl -I. Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# (tpg) fails on 5.12.0
rm -rf t/03-basic.t
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{perl_vendorlib}/*
%{_mandir}/man3/*