%define upstream_name    Sys-Info
%define upstream_version 0.7811

%{?perl_default_filter}
%global __requires_exclude perl\\(Sys::Info::Driver::OSX\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
License:    GPL+ or Artistic
Summary:    Fetch information from the host system
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/SYS/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Sys::Info::Base) >= 0.780.0
BuildRequires: perl(Sys::Info::Driver::Linux) >= 0.780.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Sys::Info) >= 0.200.0
BuildRequires: perl-devel
Requires:   perl-Sys-Info-Driver-Linux
Requires:   perl-Sys-Info-Base
%description
Perl for fetch system information from the host.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl -I. Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*