%define upstream_name    Sys-MemInfo
%define upstream_version 0.99

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 15

Summary:    Memory information as Perl module
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Sys/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
Sys::MemInfo return the total amount of free and used physical memory in
bytes in totalmem and freemem variables.

Total amount of free and user swap memory are also returned in totalswap
and freeswap variables.

This module has been tested on Linux 2.6.10, UnixWare 7.1.2, AIX5, OpenBSD
3.8, NetBSD 2.0.2, FreBSD 5.4, HPUX11, Solaris 9, Tru64 5.1, Irix 6.5, Mac
OS X 10.2 Darwin and Windows XP.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes
%{_mandir}/man3/*
%{perl_vendorarch}/*

