%define upstream_name    TAP-Harness-JUnit
%define upstream_version 0.42

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Generate JUnit compatible output from TAP
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/TAP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.420.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(TAP::Harness) >= 3.50.0
BuildRequires: perl(TAP::Parser)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(XML::Simple)
BuildArch:  noarch

%{?perl_default_filter}

%description
The only difference between this module and _TAP::Harness_ is that this
adds optional 'xmlfile' argument, that causes the output to be formatted
into XML in format similar to one that is produced by JUnit testing
framework.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc ChangeLog META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*