%define upstream_name    Tapper-Reports-API
%define upstream_version 5.0.5

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Tapper - Remote network API for result evaluation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Tapper/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::C3)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(DateTime::Format::SQLite)
BuildRequires: perl(Data::Serializer)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Slurp)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Daemonize)
BuildRequires: perl(Net::Server::Fork)
BuildRequires: perl(Tapper::Config)
BuildRequires: perl(Tapper::Model)
BuildRequires: perl(Tapper::Reports::DPath::Mason)
BuildRequires: perl(Tapper::Reports::DPath::TT)
BuildRequires: perl(Tapper::Schema::TestTools)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fixture::DBIC::Schema)
BuildRequires: perl(Test::MockModule)
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(subs)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This package provides Tapper's Remote network API for result evaluation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/tapper-reports-api
/usr/bin/tapper-reports-api-daemon
%{_mandir}/man1/tapper-reports-api-daemon.1*
%{_mandir}/man1/tapper-reports-api.1*
