%define upstream_name    Tapper-Reports-DPath
%define upstream_version 5.0.5

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Extended DPath functionality for Tapper reports
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Tapper/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CHI)
BuildRequires: perl(Class::C3)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::DPath)
BuildRequires: perl(Data::DPath::Path)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Data::Structure::Util)
BuildRequires: perl(DateTime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTML::Mason)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(JSON)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Module::Find) >= 0.110.0
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Exporter)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(TAP::DOM) >= 0.990.0
BuildRequires: perl(Tapper::Model)
BuildRequires: perl(Tapper::Schema)
BuildRequires: perl(Tapper::Schema::TestTools)
BuildRequires: perl(Template)
BuildRequires: perl(Template::Plugin::Autoformat)
BuildRequires: perl(Template::Stash)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fixture::DBIC::Schema)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::Balanced)
BuildRequires: perl(YAML::XS)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This distributions provides extended DPath functionality for Tapper reports.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*