%define upstream_name    Tapper
%define upstream_version 4.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Automated OS testing, also virtualized
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
Tapper is a modular, flexible and open test infrastructure.

Its only primary assumption is the ubiquitous use of the Test Anything
Protocol (TAP). Internally it is based on technology known from the CPAN
testing infrastructure, extending it with automation and advanced querying.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.json META.yml Changes LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*
