%define upstream_name    Task-Test-Run-AllPlugins
%define upstream_version 0.0106

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Specifications for installing all the Test::Run
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Task/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Run::CmdLine)
BuildRequires: perl(Test::Run::CmdLine::Plugin::AlternateInterpreters)
BuildRequires: perl(Test::Run::CmdLine::Plugin::BreakOnFailure)
BuildRequires: perl(Test::Run::CmdLine::Plugin::ColorFileVerdicts)
BuildRequires: perl(Test::Run::CmdLine::Plugin::ColorSummary)
BuildRequires: perl(Test::Run::CmdLine::Plugin::TrimDisplayedFilenames)
BuildRequires: perl(Test::Run::Core)
BuildRequires: perl(Test::Run::Plugin::AlternateInterpreters)
BuildRequires: perl(Test::Run::Plugin::BreakOnFailure)
BuildRequires: perl(Test::Run::Plugin::ColorFileVerdicts)
BuildRequires: perl(Test::Run::Plugin::ColorSummary)
BuildRequires: perl(Test::Run::Plugin::TrimDisplayedFilenames)
BuildArch:  noarch

%description
the Test::Run manpage is an improved harness for running test files based
on the "Test Anything Protocol" (TAP - the http://testanything.org/ manpage
), which is commonly used for writing tests for Perl code, but is otherwise
universal.

Installing this Task should get you up-to-speed with Test::Run by
installing all the plugins that are available for it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*