%define upstream_name    Template-GD
%define upstream_version 2.66

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    GD plugin(s) for the Template Toolkit
License:    Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:  perl(Template)
buildArch:      noarch


%description
The Template-GD distribution provides a number of Template Toolkit plugin
modules to interface with Lincoln Stein's GD modules. These in turn provide an
interface to Thomas Boutell's GD graphics library.

These plugins were distributed as part of the Template Toolkit until version
2.15 released in February 2006. At this time they were extracted into this
separate distribution.

For general information on the Template Toolkit see the documentation for the
Template module or http://template-toolkit.org. For information on using
plugins, see Template::Plugins and "USE" in Template::Manual::Directives.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc README
%{perl_vendorlib}/Template
%{_mandir}/*/*