%define upstream_name    Template-Plugin-Autoformat
%define upstream_version 2.77

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Interface to Text::Autoformat module
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Template)
BuildRequires: perl(Text::Autoformat)
BuildArch: noarch

%description
This Template plugin module is an interface to Damian Conway's
'Text::Autoformat' Perl module which provides advanced text wrapping and
formatting.

*NOTE* as of version 2.75 the usage has changed to initial cap 'Autoformat'
instead of the previous 'autoformat'. This brings it into alignment with
standard plugin syntax.

Configuration options may be passed to the plugin constructor via the 'USE'
directive.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml Changes META.json
%{_mandir}/man3/*
%perl_vendorlib/*


