%define upstream_name    Template-Plugin-VMethods
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Install vmethods
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Template)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
Simple base class to allow your module to install and remove virtual
methods into the Template Toolkit.

All you need to do in your package is declare one or more of the variables
@LIST_OPS, @SCALAR_OPS or @HASH_OPS to indicate what virtual methods you
want to export.

These can either be the names of functions in your package, or
name/subroutine reference pairs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


