%define upstream_name    Template-Provider-Encoding
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Template plugin to specify encoding
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(Template)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
Template::Plugin::encoding is a Template plugin to declare the encoding of
template files. This plugin doesn't actually do anything but
Template::Provider::Encoding scans the usage of this module to find the
encoding of templates. As a bonus, you can use 'encoding' variable in the
template to specify file encoding, which might be useful for XML or HTML
meta tag.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/Template