%define upstream_name    Template-Semantic
%define upstream_version 0.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Template::Semantic Recipes, tricks, hints
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(HTML::Selector::XPath) >= 0.170.0
BuildRequires: perl(Module::Build::Tiny) >= 0.35.0
BuildRequires: perl(Scalar::Util) >= 1.190.0
BuildRequires: perl(Test::Base)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(XML::LibXML) >= 1.690.0
BuildArch:  noarch

%description
Template::Semantic is a template engine for XHTML/XML based on the
XML::LibXML manpage that doesn't use any template syntax. This module takes
pure XHTML/XML as a template, and uses XPath or CSS selectors to assign
values.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Build.PL INSTALLDIRS=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot} --prefix=/usr
mv %buildroot/%_datadir/perl5/{5*,vendor_perl}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*
