%define upstream_name    Template-Toolkit-Simple
%define upstream_version 0.31

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    A Simple Interface to Template Toolkit
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(Template) >= 2.220.0
BuildRequires: perl(TestML)
BuildRequires: perl(YAML::XS) >= 0.370.0
BuildArch:  noarch

%description
Template Toolkit is the best Perl template framework. The only problem with
it is that using it for simple stuff is a little bit cumbersome. Also there
is no good utility for using it from the command line.

This module is a simple wrapper around Template Toolkit. It exports a
function called 'tt' which returns a new Template::Toolkit::Simple object.
The object supports method calls for setting all the Template Toolkit
options.

This module also installs a program called 'tt-render' which you can use
from the command line to render templates with all the power of the Perl
object. All of the object methods become command line arguments in the
command line version.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/tt-render
