%define upstream_name    Term-Animation
%define upstream_version 2.6

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    ASCII sprite animation framework 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/K/KB/KBAUCOM/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Curses) >= 1.60.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This module provides a framework to produce sprite animations using ASCII art.
Each ASCII 'sprite' is given one or more frames, and placed into the animation
as an 'animation object'. An animation object can have a callback routine that
controls the position and frame of the object.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# pod coverage fails - https://rt.cpan.org/Ticket/Display.html?id=67023
rm -f t/pod-coverage.t
%make_build test

%install
%make_install

%files
%doc Changes META.yml MIGRATION README examples
%{perl_vendorlib}/Term
%{_mandir}/*/*