%define upstream_name	 Term-ProgressBar
%define upstream_version 2.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Provides a progress meter on a standard terminal
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny) >= 0.130.0
BuildRequires: perl(Carp)
BuildRequires: perl(Class::MethodMaker) >= 1.20.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fatal)
BuildRequires: perl(File::Temp)
BuildRequires: perl(POSIX)
BuildRequires: perl(Term::ReadKey) >= 2.140.0
BuildRequires: perl(Test::Exception) >= 0.310.0
BuildRequires: perl(Test::More) >= 0.800.0
BuildRequires: perl(Test::Warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
Term::ProgressBar provides a simple progress bar on the terminal, to
let the user know that something is happening, roughly how much stuff
has been done, and maybe an estimate at how long remains.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
rm -f t/0-signature.t
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README examples
#%doc README Changes
%{perl_vendorlib}/Term/*
%{_mandir}/*/*