%define upstream_name    Term-ReadLine-Zoid
%define upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    A readline file browser mode
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AutoLoader)
BuildRequires: perl(AutoSplit)
BuildRequires: perl(Term::ReadKey)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
This package provides a set of modules that form an interactive input
buffer written in plain perl with minimal dependencies. It features almost
all key-bindings described in the posix spec for the sh(1) utility with
some extensions like multiline editing; this includes a vi-command mode
with a save-buffer (for copy-pasting) and an undo-stack.

Historically this code was part of the Zoidberg shell, but this
implementation is complete independent from zoid and uses the
Term::ReadLine interface, so it can be used with other perl
programs.

( The documentation sometimes refers to 'the application', this is the
program using the ReadLine module for input. )

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


