%define upstream_name    Term-Twiddle
%define upstream_version 2.73

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Twiddles baton while-u-wait for long subroutines
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Time::HiRes) >= 1.300.0
BuildArch:  noarch

%description
Always fascinated by the spinner during FreeBSD's loader bootstrap, I
wanted to capture it so I could view it any time I wanted to--and I wanted
to make other people find that same joy I did. Now, anytime you or your
users have to wait for something to finish, instead of twiddling their
thumbs, they can watch the computer twiddle its thumbs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test </dev/null

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
