%define upstream_name    Test-Able-Runner
%define upstream_version 1.002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Metaclass role for test runners
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Load) >= 0.200.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Module::Pluggable) >= 3.600.0
BuildRequires: perl(Moose) >= 0.940.0
BuildRequires: perl(Test::Able) >= 0.90.0
BuildArch:  noarch

%description
I like the Test::Able manpage. I really don't like having to copy my
boilerplate test runner and modify it when I use it in a new project. This
provides a basic test runner for your testable tests that takes care of the
basics for you. You can extend it a bit to customize things if you like as
well. Let me know if you want this to do something else.

This mostly assumes that you want to run several tests as a group within a
single Perl interpreter. If this is not what you want, then you probably
don't want this module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*