%define upstream_name    Test-Able
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    xUnit with Moose
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz
# Fix Moose enum warnings, CPAN RT#92396
Patch0:         Test-Able-0.11-Moose_enum.patch
# Adapt to Test-Simple-1.302019, bug #1338792, CPAN RT#65249
Patch1:         Test-Able-0.11-Adapt-to-Test-Simple-1.302019.patch

BuildRequires:  perl(inc::Module::Install)
BuildRequires:  perl(Module::Install::AuthorTests)
BuildRequires:  perl(Module::Install::Metadata)
BuildRequires:  perl(Module::Install::WriteAll)
BuildRequires: perl(Moose) >= 0.940.0
BuildArch:  noarch

%description
An xUnit style testing framework inspired by the Test::Class manpage and
built using the Moose manpage. It can do all the important things
Test::Class can do and more. The prime advantages of using this module
instead of Test::Class are flexibility and power. Namely, Moose.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1
# Remove bundled libraries
rm -r inc
sed -i -e '/^inc\// d' MANIFEST


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*
