%define upstream_name	 Test-Base
%define upstream_version 0.89

%global __requires_exclude Module::Install

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A Data Driven Testing Framework
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Algorithm::Diff) >= 1.150.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.520.0
BuildRequires: perl(Filter::Util::Call)
BuildRequires: perl(Scalar::Util) >= 1.70.0
BuildRequires: perl(Spiffy) >= 0.400.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::Diff) >= 0.350.0
BuildArch:  noarch

%description
Perl gives you a standard way to run tests with Test::Harness, and basic
testing primitives with Test::More. After that you are pretty much on your own
to develop a testing framework and philosophy. Test::More encourages you to
make your own framework by subclassing Test::Builder, but that is not trivial.
Test::Base gives you a way to write your own test framework base class that is
trivial.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README
%perl_vendorlib/Test
%_mandir/*/*