%define upstream_name    Test-Bits
%define upstream_version 0.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Provides a bits_is() subroutine for testing binary data
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(List::AllUtils)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Builder::Module)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Tester)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This module provides a single subroutine, 'bits_is()', for testing binary
data.

This module is quite similar to the Test::BinaryData manpage and the
Test::HexString manpage in concept. The difference is that this module
shows failure diagnostics in a different way, and has a slightly different
calling style. Depending on the nature of the data you're working with,
this module may be easier to work with.

In particular, when you're doing a lot of bit twiddling, this module's
diagnostic output may make it easier to diagnose failures. A typical
failure diagnostic will look like this:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README LICENSE META.yml Changes META.json INSTALL
%{_mandir}/man3/*
%perl_vendorlib/*


