%define upstream_name    Test-Block
%define upstream_version 0.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Specify fine granularity test plans
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz
# Fixed Test-Block-0.13 for perl 5.23.8 and later (CPAN RT#112462)
Patch0:     Test-Block-0.13-Make-Test-Block-work-with-perl-5.23.8.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Test::Builder) >= 0.170.0
BuildRequires: perl(Test::Builder::Tester) >= 1.10.0
BuildRequires: perl(Test::Exception) >= 0.150.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
This module allows you to specify the number of expected tests at a finer
level of granularity than an entire test script. It is built with the
Test::Builder manpage and plays happily with the Test::More manpage and
friends.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p2

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/Test
