%define upstream_name    Test-CChecker
%define upstream_version 0.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Test-time utilities for checking C headers, libraries, or OS features
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ExtUtils::CChecker) >= 0.90.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Builder::Module)
BuildRequires: perl(Test::More) >= 0.980.0
BuildArch:  noarch

%description
This module is a very thin convenience wrapper around the
ExtUtils::CChecker manpage to make it useful for use in a test context. It
is intended for use with Alien modules which need to verify that libraries
work as intended with the Compiler and flags used by Perl to build XS
modules.

By default this module is very quiet, hiding all output using the
Capture::Tiny manpage unless there is a failure, in which case you will see
the commands, flags and output used.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*