%define upstream_name    Test-Classy
%define upstream_version 0.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Write your unit tests in other modules than *.t
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Data::Inheritable)
BuildRequires: perl(Class::Inspector)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Find)
BuildRequires: perl(Sub::Install)
BuildRequires: perl(Term::Encoding)
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Test::UseAllModules) >= 0.90.0
BuildArch:  noarch

%description
This is yet another the Test::Class manpage-like unit testing framework. As
stated in the Test::Class manpage pod, you don't need to care if your tests
are small and working correctly. If not, this may be one of your options.

Unlike the Test::Class manpage, Test::Classy (actually Test::Classy::Base)
is based on the Test::More manpage and exports everything the Test::More
manpage exports. Test::Classy doesn't control test flow as fully as the
Test::Class manpage, but it may be easier to skip and limit tests.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*