%define upstream_name    Test-Count
%define upstream_version 0.1105

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A standalone command line
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/S/SH/SHLOMIF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Parse::RecDescent)
BuildRequires: perl(Socket)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(lib)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Test::Count is a set of perl modules for keeping track of the number of
tests in a test file. It works by putting in comments of the form '# TEST'
(one test), '# TEST*$EXPR' or '# TEST+$EXPR' (both are multiple tests).
Test::Count counts these tests throughout the file and returns all of their
results.

One can put any mathematical expressions (using parentheses, '+', '-', '*',
'/' and '%' there). One can also assign variables using '#
TEST:$myvar=5+6;$second_var=$myvar+3' and later use them in the add to
count expressions. A '$var++' construct is also available.

One can find example test scripts under t/.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*
