%define upstream_name    Test-DBIC-ExpectedQueries
%define upstream_version 2.002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Test that only expected DBIx::Class queries are run
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(DBIx::Class)
BuildRequires: perl(Devel::StackTrace)
BuildRequires: perl(Exporter::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moo)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(autobox::Core)
BuildRequires: perl(autobox::Transform)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Ensure that only the DBIx::Class SQL queries you expect are executed while
a particular piece of code under test is run. Find the places in your code
where the unexpected queries are executed.

Avoiding the n+1 problem
    When following a relation off a DBIC row object it's easy to overlook
    the fact that it might be causing one query for each and every row in
    the resultset. This can easily be solved by prefetching those
    relations, but you have to know it happens first.

    This module will help you finding unexpected queries, where they are
    being caused, and to ensure you don't accidentally start running many
    single-row queries in the future.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*