%define upstream_name    Test-Dependencies
%define upstream_version 0.34

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Ensure that your Makefile.PL specifies all module dependencies
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(CPAN::Meta::Requirements) >= 2.120.920
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find::Rule::Perl)
BuildRequires: perl(Module::CoreList) >= 5.202.6.200
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Pod::Strip)
BuildRequires: perl(Test::More) >= 1.300.0
BuildRequires: perl(Test::Needs)
BuildArch:  noarch

%description
Makes sure that all of the modules that are 'use'd are listed in the
Makefile.PL as dependencies.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/Test