%define upstream_name    Test-DescribeMe
%define upstream_version 0.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Tell test runners what kind of test you are
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Settings)
BuildArch: noarch

%description
Sometimes you want to run (or not run) tests under certain conditions. This
module provides a way to identify what kind of test a test is and will skip
the test if the matching conditions aren't met. See the /BACKGROUND manpage
below for a longer description.

Usage
    To describe what kind of test you are, you 'use()' this module and pass
    test types to the import list. This *SHOULD* be done before importing
    the Test::More manpage if you set explicit plans or tests will break!

    Example:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


