%define upstream_name Test-Dir
%define upstream_version 1.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Test directory attributes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(File::Path) >= 2.70.0
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Some simple tests on directories and folders.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

# Fix doc permissions
chmod 644 Changes META.yml README

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*