%define upstream_name    Test-DistManifest
%define upstream_version 1.014

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Verify MANIFEST as an author test
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(ExtUtils::Manifest)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Manifest) >= 0.70.0
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More) >= 0.620.0
BuildRequires: perl(Test::NoWarnings) >= 0.84.0
BuildArch:  noarch

%description
This module provides a simple method of testing that a MANIFEST matches the
distribution.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README examples
%license LICENSE
%{_mandir}/man3/*
%perl_vendorlib/*
