%define upstream_name    Test-Exception-LessClever
%define upstream_version 0.009

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Test::Exception simplified
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(Mock::Quick) >= 1.100.0
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Simple) >= 0.880.0
BuildArch:  noarch

%description
An alternative to the Test::Exception manpage that is much simpler. This
alternative does not use fancy stack tricks to hide itself. The idea here
is to keep it simple. This also solves the Test::Exception bug where some
dies will be hidden when a DESTROY method calls eval. If a DESTROY method
masks $@ a warning will be generated as well.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
