%define upstream_name    Test-Exception
%define upstream_version 0.43

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Test exception based code
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Sub::Uplevel) >= 0.180.0
BuildRequires: perl(Test::Builder) >= 0.700.0
BuildRequires: perl(Test::Builder::Tester) >= 1.70.0
BuildRequires: perl(Test::Harness) >= 2.30.0
BuildRequires: perl(Test::More) >= 0.700.0
BuildRequires: perl(base)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description 
This module provides a few convenience methods for testing
exception-based code. It is built with Test::Builder and
plays happily with Test::Simple, Test::More and friends.

If you are not familiar with Test::Simple or Test::More
now would be the time to go take a look.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

find %{buildroot} -name "perllocal.pod" -delete

%files
%doc Changes META.json META.yml MYMETA.yml
%{perl_vendorlib}/Test
%{_mandir}/man3/*
