%define upstream_name    Test-Expect
%define upstream_version 0.34

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:	Automated driving and testing of terminal-based programs
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(Expect::Simple)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Class::Accessor::Chained)
BuildArch:      noarch


%description
Test::Expect is a module for automated driving and testing of terminal-based
programs. It is handy for testing interactive programs which have a prompt, and
is based on the same concepts as the Tcl Expect tool.

Test::Expect is intended for use in a test script.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL INSTALLDIRS=vendor

%install
./Build install destdir=%buildroot installdirs=vendor
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%check
./Build test

%files
%doc CHANGES README
%{perl_vendorlib}/*
%{_mandir}/man3/*
