%define upstream_name    Test-Future-IO-Impl
%define upstream_version 0.14

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Acceptance tests for C<Future::IO> implementations
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Errno)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Socket)
BuildRequires: perl(Test2::V0)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
This module contains a collection of acceptance tests for implementations
of the Future::IO manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


