%define upstream_name Test-Inline
%define upstream_version 2.214

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    %mkrel 2
Summary:    Inlining your tests next to the code being tested
License:    GPL or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:     https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Algorithm::Dependency) >= 1.20.0
BuildRequires: perl(Algorithm::Dependency::Item)
BuildRequires: perl(Algorithm::Dependency::Ordered)
BuildRequires: perl(Algorithm::Dependency::Source)
BuildRequires: perl(Config::Tiny) >= 2.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find::Rule) >= 0.260.0
BuildRequires: perl(File::Flat) >= 1.0.0
BuildRequires: perl(File::Remove) >= 0.370.0
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::chmod) >= 0.310.0
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long) >= 2.340.0
BuildRequires: perl(IO::Handle)
BuildRequires: perl(List::Util) >= 1.190.0
BuildRequires: perl(Params::Util) >= 0.210.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::ClassAPI) >= 1.20.0
BuildRequires: perl(Test::More) >= 0.420.0
BuildRequires: perl(Test::Script) >= 1.20.0
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

Obsoletes:  Test-Inline

# Filter duplicate unversioned requires
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(File::Slurp\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(File::Spec\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(List::Util\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Params::Util\\)$

%description
Embedding tests allows tests to be placed near the code it's
testing. This is a nice supplement to the traditional .t files.
It's like XUnit, Perl-style.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
chmod 644 Changes README
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/inline2test
%{perl_vendorlib}/Test
%{_mandir}/*/*