%define upstream_name    Test-JSON
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Test JSON data
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(JSON::Any)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::Simple)
BuildRequires: perl(Test::Tester)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch


%{?perl_default_filter}

%description
JavaScript Object Notation (JSON) is a lightweight data interchange format.
the Test::JSON manpage makes it easy to verify that you have built valid
JSON and that it matches your expected output.

See the https://json.org/ manpage for more information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
