%define upstream_name    Test-Kwalitee-Extra
%define upstream_version v0.3.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Run Kwalitee tests including optional indicators, especially, prereq_matches_use
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(MetaCPAN::API::Tiny)
BuildRequires: perl(Module::CPANTS::Analyse)
BuildRequires: perl(Module::CoreList)
BuildRequires: perl(Module::Extract::Namespaces)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildArch: noarch

%description
https://cpants.cpanauthors.org/ checks Kwalitee indicators, which is not
quality but automatically-measurable indicators how good your distribution
is. Module::CPANTS::Analyse calculates Kwalitee but it is not
directly applicable to your module test. CPAN has already had
Test::Kwalitee for the test module of Kwalitee. It is, however,
impossible to calculate 'prereq_matches_use' indicator, because dependent
module Module::CPANTS::Analyse itself cannot calculate
'prereq_matches_use' indicator. It is marked as 'needs_db' which means
pre-calculated module database is necessary, but only limited information
is needed to calculate the indicator. This module calculate
'prereq_matches_use' to query needed information to https://metacpan.org/
online.

For available indicators, see /INDICATORS section.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*


