%define upstream_name  Test-LectroTest
%define upstream_version 0.5001

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    %mkrel 13
Summary:    Easy, automatic, specification-based tests
License:    GPL or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:     https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:  noarch

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Struct)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(Filter::Util::Call)
BuildRequires: perl(POSIX)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
Obsoletes:     Test-LectroTest < %{version}-%{release}

%description 
This module provides a simple (yet full featured) interface to LectroTest, an
automated, specification-based testing system for Perl. To use it, declare
properties that specify the expected behavior of your software. LectroTest then
checks your software to see whether those properties hold.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# Remove test know to fail, bug #1p28134
rm t/gens.t
sed -i -e '/^t\/gens\.t/d' MANIFEST

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
%make_build test

%files
%doc Changes LICENSE META.yml MYMETA.yml README THANKS TODO
%{perl_vendorlib}/Test
%{_mandir}/*/*
