%define upstream_name    Test-Lite
%define upstream_version 0.009

%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    A small Perl Test Library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Sub::Mage)
BuildArch: noarch

%description
Test::Lite is just that. A minimal test library based on the brilliant the
Test::Builder manpage. The main focus of this project was to learn more
about testing while building this module. A pretty overlooked subject
amongst some Perl developers is testing (myself included). I've tried to
offer some different features in this module, but you're probably still
better off with the Test::More manpage, the Test::Most manpage or one of
the many other testing libraries out there.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*
