%define upstream_name    Test-Mock-LWP
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Mocks LWP::UserAgent
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz
# Fix building on Perl without "." in @INC, CPAN RT#121706
Patch0:         Test-Mock-LWP-0.08-Fix-building-on-Perl-without-.-in-INC.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::MockObject) >= 1.80.0
BuildRequires: perl(Test::More) >= 0.420.0
BuildArch:  noarch

%description
This package arises from duplicating the same code to mock LWP et al in
several different modules I've written. This version is very minimalist,
but works for my needs so far. I'm very open to new suggestions and
improvements.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
