%define upstream_name    Test-Modern
%define upstream_version 0.013

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Precision testing for modern perl
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Import::Into)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Test::API)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(Try::Tiny)
BuildArch: noarch

%description
Test::Modern provides the best features of the Test::More manpage, the
Test::Fatal manpage, the Test::Warnings manpage, the Test::API manpage, the
Test::LongString manpage, and the Test::Deep manpage, as well as ideas from
the Test::Requires manpage, the Test::DescribeMe manpage, the Test::Moose
manpage, and the Test::CleanNamespaces manpage.

Test::Modern also automatically imposes the strict manpage and the warnings
manpage on your script, and loads the IO::File manpage. (Much of the same
stuff the Modern::Perl manpage does.)

Although Test::Modern is a modern testing framework, it should run fine on
pre-modern versions of Perl. It should be easy to install on Perl 5.8.9 and
above; and if you can persuade its dependencies to install (not necessarily
easy!), should be OK on anything back to Perl 5.6.1.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*


