%define upstream_name    Test-Mojibake
%define upstream_version 1.3

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Check your source for encoding misbehavior
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::More)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(bytes)
BuildRequires: perl(integer)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Many modern text editors automatically save files using UTF-8 codification,
however, the perl manpage interpreter does not expects it _by default_.
Whereas this does not represent a big deal on (most) backend-oriented
programs, Web framework (http://catalyst.perl.org/,
https://mojolicio.us/) based applications will suffer of so-called
https://en.wikipedia.org/wiki/Mojibake (lit. "unintelligible sequence of
characters").

Even worse: if an editor saves BOM (Byte Order Mark, 'U+FEFF' character in
Unicode) at the start of the script with executable bit set (on Unix
systems), it won't execute at all, due to shebang corruption.

Avoiding codification problems is quite simple:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/scan_mojibake
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*
