%define upstream_name    Test-Moose-More
%define upstream_version 0.050

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    More tools for testing Moose packages
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::OptList)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util) >= 1.450.0
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Meta::Attribute)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(Moose::Util::MetaRole)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter::Progressive)
BuildRequires: perl(Syntax::Keyword::Junction)
BuildRequires: perl(TAP::SimpleOutput) >= 0.9.0
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::CheckDeps) >= 0.10.0
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This package contains a number of additional tests that can be employed
against Moose classes/roles. It is intended to replace the Test::Moose
manpage in your tests, and reexports any tests that it has and we do not,
yet.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*