%define upstream_name Test-NoSmartComments
%define upstream_version 0.005

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 7

Summary:	Make sure no Smart::Comments escape into the wild
License:	LGPLv2
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(File::chdir)
BuildRequires:	perl(Module::ScanDeps)
BuildRequires:	perl(Smart::Comments)
BuildRequires:	perl(Test::CheckDeps)

BuildArch:	noarch

%description
Smart::Comments are great. However, letting smart comments escape into
the wilds of the CPAN is just dumb.

This package provides a simple way to test for smart comments _before_
they get away!

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*
