%define upstream_name    Test-PAUSE-Permissions
%define upstream_version 0.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Tests module permissions in your distribution
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::Identity)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker::CPANfile) >= 0.80.0
BuildRequires: perl(PAUSE::Permissions) >= 0.90.0
BuildRequires: perl(Parse::CPAN::Meta)
BuildRequires: perl(Parse::LocalDistribution) >= 0.80.0
BuildRequires: perl(Parse::PMFile) >= 0.150.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::UseAllModules) >= 0.100.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
This module is to test if modules in your distribution have proper
permissions or not. You need to set RELEASE_TESTING to test this.

If your distribution has modules/packages that should not be indexed, you
might want to generate META files before you run this test to provide
'no_index' information to Test::PAUSE::Permissions.

You might also want to prepare '.pause' file to show who is releasing the
distribution (you should have one to release distributions anyway).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*