%define upstream_name Test-Parser
%define upstream_version 1.9

%{?perl_default_filter}

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 7
BuildArch:	noarch
Summary:        Base class for parsing log files from test runs, and displays in an XML syntax 
License:        GPL or Artistic
Group:          Development/Perl
URL:            https://metacpan.org/release/%{upstream_name}
Source:         https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(XML::Simple)
BuildRequires:  perl(XML::Twig)

%description 
This module serves as a common base class for test log parsers. These tools are
intended to be able to parse output from a wide variety of tests - including
non-Perl tests.

The parsers also write the test data into the 'Test Result Publication
Interface' (TRPI) XML schema, developed by SpikeSource.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
%make_build test

%files
%doc ChangeLog INSTALL README META.yml
%{perl_vendorlib}/Test
%{_mandir}/*/*
%{_bindir}/*
