%define upstream_name    Test-Pod-LinkCheck
%define upstream_version 0.008

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Tests POD for invalid links
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::PodLinkCheck::ParseLinks) >= 4.0.0
BuildRequires: perl(App::PodLinkCheck::ParseSections)
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Config)
BuildRequires: perl(Exporter)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose) >= 1.10.0
BuildRequires: perl(Moose::Util::TypeConstraints) >= 1.10.0
BuildRequires: perl(Pod::Find)
BuildRequires: perl(Test::Builder) >= 0.940.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Pod) >= 1.440.0
BuildRequires: perl(Test::Tester)
BuildRequires: perl(parent)
BuildRequires: man
BuildArch:  noarch

%description
This module looks for any links in your POD and verifies that they point to
a valid resource. It uses the Pod::Simple parser to analyze the
pod files and look at their links. In a nutshell, it looks for 'L<Foo>'
links and makes sure that Foo exists. It also recognizes section links,
'L</SYNOPSIS>' for example. Also, manpages are resolved and checked.

This module does *NOT* check "http" links like '<https://www.google.com>'
in your pod. For that, please check out Test::Pod::No404s.

Normally, you wouldn't want this test to be run during end-user
installation because they might not have the modules installed! It is
HIGHLY recommended that this be used only for module authors'
RELEASE_TESTING phase. To do that, just modify the synopsis to add an env
check :)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
# prevent test to reach network (for cpan)
perl -pi -e 's/Acme::Drunk/Test::More/' t/simple.t
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml README SIGNATURE examples
%{_mandir}/man3/*
%perl_vendorlib/*
