%define upstream_name    Test-Pod-No404s
%define upstream_version 0.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Using this test module will check your POD for any http 404 links
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Pod::Simple::Text)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(URI::Find)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This module looks for any http(s) links in your POD and verifies that they
will not return a 404. It uses the LWP::UserAgent manpage for the heavy
lifting, and simply lets you know if it failed to retrieve the document.
More specifically, it uses $response->is_error as the "test."

This module does *NOT* check "pod" or "man" links like 'L<Test::Pod>' in
your pod. For that, please check out the Test::Pod::LinkCheck manpage.

Normally, you wouldn't want this test to be run during end-user
installation because they might have no internet! It is HIGHLY recommended
that this be used only for module authors' RELEASE_TESTING phase. To do
that, just modify the synopsis to add an env check :)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc SIGNATURE Changes META.yml INSTALL README LICENSE META.json
%{_mandir}/man3/*
%perl_vendorlib/*


