%define upstream_name    Test-RDF-DOAP-Version
%define upstream_version 0.008

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Tests 'meta/changes.ttl' is up to date
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(RDF::TriN3)
BuildRequires: perl(RDF::Trine)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI::Escape)
BuildArch: noarch

%description
* 'doap_version_ok($dist, $module)'

  Reads all RDF in a distribution's "meta" directory and checks the
  distribution metadata matches the pattern:

  	?uri doap:release ?rel .
  	?rel doap:revision ?ver .

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README SIGNATURE LICENSE META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*


