%define upstream_name    Test-Regexp-Pattern
%define upstream_version 0.010

Name:           perl-Test-Regexp-Pattern
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 1
Summary:        Test Regexp::Pattern patterns
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
Group:          Development/Perl
URL:            https://metacpan.org/release/Test-Regexp-Pattern
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PERLANCAR/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:      noarch

BuildRequires:  make
BuildRequires:  perl(blib)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Getopt::Long) >= 2.50
BuildRequires:  perl(Hash::DefHash) >= 0.06
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(Regexp::Pattern) >= 0.2.7
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::Builder)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(warnings)



%description
This module performs various checks on a module's Regexp::Pattern patterns.


%prep
%autosetup -n %{upstream_name}-%{upstream_version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build


%install
%make_install
%{_fixperms} %{buildroot}/*


%check
make test


%files
%doc Changes README
%license LICENSE
%{_bindir}/test-regexp-pattern
%{perl_vendorlib}/*
%{_mandir}/man1/test-regexp-pattern.1*
%{_mandir}/man3/Test::Regexp::Pattern*.*
