%define upstream_name    Test-Reporter-Transport-Metabase
%define upstream_version 1.999010

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Metabase transport for Test::Reporter
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Testers::Report) >= 1.999.1
BuildRequires: perl(Carp)
BuildRequires: perl(Config::Perl::V)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Glob)
BuildRequires: perl(File::Spec)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(Metabase::Client::Simple) >= 0.8.0
BuildRequires: perl(Metabase::User::Profile) >= 0.16.0
BuildRequires: perl(Metabase::User::Secret) >= 0.16.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Reporter::Transport) >= 1.570.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module submits a Test::Reporter report to the specified Metabase
instance.

This requires a network connection to the Metabase uri provided. If you
wish to save reports during offline operation, see the
Test::Reporter::Transport::File manpage. (Eventually, you may be able to
run a local Metabase instance to queue reports for later transmission, but
this feature has not yet been developed.)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*