%define upstream_name Test-RequiresInternet
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Easily test network connectivity
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Socket)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module is intended to easily test network connectivity before
functional tests begin to non-local Internet resources. It does not
require any modules beyond those supplied in core Perl.

If you do not specify a host/port pair, then the module defaults to
using "www.google.com" on port 80.

You may optionally specify the port by its name, as in "http" or "ldap".
If you do this, the test module will attempt to look up the port number
using "getservbyname".

If you do specify a host and port, they must be specified in pairs. It
is a fatal error to omit one or the other.

If the environment variable "NO_NETWORK_TESTING" is set, then the tests
will be skipped without attempting any socket connections.

If the sockets cannot connect to the specified hosts and ports, the
exception is caught, reported and the tests skipped.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*