%define upstream_name    Test-Run-CmdLine
%define upstream_version 0.0132

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Command line front-end for Test-Run
License:    MIT
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

# These Requirs are not detected automatically, so we need to add them manually.
Requires:   perl(MooseX::Getopt::Basic)
Requires:   perl(MooseX::Getopt)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Getopt) >= 0.260.0
BuildRequires: perl(MooseX::Getopt::Basic)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Run::Core) >= 0.12.600
BuildRequires: perl(Test::Trap)
BuildRequires: perl(UNIVERSAL::require)
BuildRequires: perl(YAML::XS)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
This is a module implementing a standalone command line application. It was
created to replace the use of the 'runprove' executable which is not always
installed or available in the path.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/runprove