%define upstream_name    Test-Run-Plugin-TrimDisplayedFilenames
%define upstream_version 0.0127

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Trim the filenames
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::SomeUtils)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Run::CmdLine) >= 0.12.100
BuildRequires: perl(Test::Run::CmdLine::Trap::ProveApp)
BuildRequires: perl(Test::Run::Core) >= 0.12.200
BuildRequires: perl(Test::Trap)
BuildRequires: perl(YAML::XS)
BuildArch:  noarch

%description
This is a the Test::Run::CmdLine manpage plugin that allows one to trim the
filenames that are displayed by the harness. It accepts the parameter by
using the ''HARNESS_TRIM_FNS'' environment variable. A few sample ones are:

    fromre:\At\z

(to match everything up to a "t" directory.)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*