%define upstream_name    Test-Script-Run
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Test the script with run
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz
# Fix building on Perl without "." in @INC, CPAN RT#121704
Patch0:         Test-Script-Run-0.08-Fix-building-on-Perl-without-.-in-INC.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IPC::Run3)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildArch: noarch

%{?perl_default_filter}

%description
This module exports some subs to help test and run scripts in your dist's
bin/ directory, if the script path is not absolute.

Nearly all the essential code is stolen from Prophet::Test, we think subs
like those should live below 'Test::' namespace, that's why we packed them
and created this module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/Test/
