%define upstream_name    Test-Script
%define upstream_version 1.29

%global __requires_exclude perl\\(blib\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Cross-platform basic tests for scripts
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(IO::Handle)
BuildRequires: perl(Probe::Perl) >= 0.10.0
BuildRequires: perl(Test2::API) >= 1.302.15
BuildRequires: perl(Test2::V0) >= 0.0.60
BuildRequires: perl(Text::ParseWords)
BuildArch:  noarch

%description
The intent of this module is to provide a series of basic tests for scripts in
the bin directory of your Perl distribution.

Further, it aims to provide them with perfect platform-compatibility and in a
way that is as unobtrusive as possible.

That is, if the program works on a platform, then Test::Script should also work
on that platform.

In doing so, it is hoped that Test::Script can become a module that you can
safely make a dependency of your module, without risking your module not
working on some platform because of the dependency.

Where a clash exists between wanting more functionality and maintaining
platform safety, this module will err on the side of platform safety.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Test
%{_mandir}/*/*