%define upstream_name    Test-Simple
%define upstream_version 1.302210

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Basic utilities for writing tests
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

Obsoletes:  perl-Test-Tester <= 0.109.0-8.mga6

BuildRequires: perl(B)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Scalar::Util) >= 1.130.0
BuildRequires: perl(Storable)
BuildRequires: perl(Term::Table) >= 0.13.0
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(overload)
BuildRequires: perl(utf8)
BuildArch:  noarch

%{?perl_default_filter}

%description
This is an extremely simple, extremely basic module for writing tests suitable
for CPAN modules and other pursuits. If you wish to do more complicated
testing, use the Test::More module (a drop-in replacement for this one).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Test
%{perl_vendorlib}/Test2
%{perl_vendorlib}/Test2.pm
%{perl_vendorlib}/ok.pm
%{_mandir}/*/*