%define upstream_name    Test-Strict
%define upstream_version 0.54

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Check syntax, presence of use strict; and test coverage
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Find) >= 0.10.0
BuildRequires: perl(File::Spec) >= 0.10.0
BuildRequires: perl(File::Temp) >= 0.10.0
BuildRequires: perl(FindBin) >= 0.10.0
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(Test::Builder) >= 0.10.0
BuildRequires: perl(Test::More) >= 1.0.0
BuildArch:  noarch

%description
The most basic test one can write is "does it compile ?". This module tests if
the code compiles and play nice with Test::Simple modules.

Another good practice this module can test is to "use strict;" in all perl
files.

By setting a minimum test coverage through all_cover_ok(), a code author can
ensure his code is tested above a preset level of kwality throughout the
development cycle.

Along with Test::Pod, this module can provide the first tests to setup for a
module author.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
for fn in t/93-checkmanifest.t ; do
    cat <<'EOF' > "$fn"
use strict;
use warnings;
use Test::More tests => 1;
pass("foo");
EOF
done
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/Test
