%define upstream_name    Test-TCP
%define upstream_version 2.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Testing TCP program
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(IO::Socket::IP)
BuildRequires: perl(Socket)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::SharedFork) >= 0.290.0
BuildRequires: perl(Time::HiRes)
BuildArch:  noarch

%description
Test::TCP is test utilities for TCP/IP programs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*