%define upstream_name    Test-Vars
%define upstream_version 0.017

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Detects unused variables
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(ExtUtils::Manifest)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(IO::Pipe)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Storable)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Output)
BuildRequires: perl(Test::Tester)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
Test::Vars finds unused variables in order to keep the source code tidy.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml example
%{_mandir}/man3/*
%{perl_vendorlib}/*