%define upstream_name    Test-WWW-Mechanize-Catalyst
%define upstream_version 0.62

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Test::WWW::Mechanize for Catalyst
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst) >= 5.900.0
BuildRequires: perl(Catalyst::Plugin::Session::State::Cookie)
BuildRequires: perl(Catalyst::Plugin::Session::Store::Dummy)
BuildRequires: perl(Class::Load) >= 0.190.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(LWP) >= 5.816.0
BuildRequires: perl(Moose) >= 0.670.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::WWW::Mechanize) >= 1.140.0
BuildRequires: perl(Test::utf8)
BuildRequires: perl(WWW::Mechanize) >= 1.540.0
BuildRequires: perl(namespace::clean) >= 0.90.0
BuildArch:  noarch

%{?perl_default_filter}

%description
Catalyst is an elegant MVC Web Application
Framework. Test::WWW::Mechanize is a subclass of WWW::Mechanize that
incorporates features for web application testing. The
Test::WWW::Mechanize::Catalyst module meshes the two to allow easy
testing of Catalyst applications without starting up a web server.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL installdirs=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Test