%define upstream_name    Test-XML-Ordered
%define upstream_version 0.2.2

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Compare two XML files for equivalency, in an ordered
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(XML::LibXML) >= 2.1.400
BuildRequires: perl(XML::LibXML::Reader) >= 2.1.400
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module is a test module which compares two XML files for equivalence
in an ordered fashion. It was written after I (= Shlomi Fish) realised that
the XML::SemanticDiff manpage, which is the basis for the Test::XML
manpage, and which I maintain, compares two XML files for equivalence in a
"semantic" fashion where elements can be present in several possible
orders. (It does not always do the right thing with this respect, but even
if it did, it is not normally what I want.).

Other advantages of Test::XML::Ordered are:

* * Based on XML::LibXML instead of XML::Parser.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*