%define upstream_name    Test-XPath
%define upstream_version 0.20

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Test XML and HTML content and structure with XPath expressions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Builder) >= 0.700.0
BuildRequires: perl(Test::More) >= 0.700.0
BuildRequires: perl(XML::LibXML) >= 1.700.0
BuildArch:  noarch
Recommends: perl(HTML::Selector::XPath)

%description
Test::XPath is a Perl extension that allows one to use the power of XPath
expressions to validate the structure of one's XML and HTML documents.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*