%define upstream_name    Test-XT
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Generate best practice author tests
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Remove) >= 1.420.0
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Perl::MinimumVersion) >= 1.200.0
BuildRequires: perl(Pod::Simple) >= 3.70.0
BuildRequires: perl(Test::CPAN::Meta) >= 0.120.0
BuildRequires: perl(Test::CheckChanges) >= 0.80.0
BuildRequires: perl(Test::DistManifest) >= 1.3.0
BuildRequires: perl(Test::MinimumVersion) >= 0.8.0
BuildRequires: perl(Test::More) >= 0.420.0
BuildRequires: perl(Test::Pod) >= 1.260.0
BuildRequires: perl(Test::Pod::Coverage) >= 1.80.0
BuildArch:  noarch

%description
A number of Test modules have been written over the years to support
authors. Typically, these modules have standard short test scripts
documented in them that you can cut and paste into your distribution.

Unfortunately almost all of these cut-and-paste test scripts are wrong.

Either the test script runs during install time, or it runs with an
out-of-date version of the test module, or the author adds the test modules
as an (unnecessary) dependency at install time, or for automated testing.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
