%define upstream_name    Test-mysqld
%define upstream_version 1.0030

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Mysqld runner for tests
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Lite)
BuildRequires: perl(DBI)
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build::Tiny) >= 0.35.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::SharedFork)
BuildRequires: mariadb
BuildRequires: mariadb-core
Requires:   mariadb
Requires:   mariadb-core
BuildArch:  noarch

%description
'Test::mysqld' automatically setups a mysqld instance in a temporary
directory, and destroys it when the perl script exits.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
AUTHOR_TESTING=1 RELEASE_TESTING=1 ./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*