%define upstream_name    Test-utf8
%define upstream_version 1.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Handy utf8 tests
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Builder::Tester) >= 0.90.0
BuildArch:  noarch

%{?perl_default_filter}

%description
This module is a collection of tests useful for dealing with utf8 strings
in Perl.

This module has two types of tests: The validity tests check if a string is
valid and not corrupt, whereas the characteristics tests will check that
string has a given set of characteristics.

Validity Tests
    * is_valid_string($string, $testname)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*