%define upstream_name    Test2-Plugin-FauxHomeDir
%define upstream_version 0.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Setup a faux home directory for tests
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test2/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test2::API) >= 1.302.15
BuildRequires: perl(Test2::Mock) >= 0.0.60
BuildRequires: perl(Test2::V0) >= 0.0.60
BuildArch:  noarch

%description
This module sets up a faux home directory for tests. The home directory is
empty, and will be removed when the test completes. This can be helpful
when you are writing tests that may be reading from the real user
configuration files, or if it writes output to the user home directory.

At the moment this module accomplishes this by setting the operating system
appropriate environment variables. In the future, it may hook into some of
the other methods used for determining home directories (such as 'getpwuid'
and friends). There are many ways of getting around this faux module and
getting the real home directory (especially from C). But if your code uses
standard Perl interfaces then this plugin should fool your code okay.

This module sets the native environment variables for the home directory on
your platform. That means on Windows 'USERPROFILE', 'HOMEDRIVE' and
'HOMEPATH' will be set, but 'HOME' will not. This is important because your
testing environment should match as closely as possible what the actual
environment will look like.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*