%define upstream_name    Text-Balanced
%define upstream_version 2.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Extract balanced-delimiter substrings
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The various 'extract_...' subroutines may be used to extract a delimited
substring, possibly after skipping a specified prefix string. By default,
that prefix is optional whitespace ('/\s*/'), but you can change it to
whatever you wish (see below).

The substring to be extracted must appear at the current 'pos' location of
the string's variable (or at index zero, if no 'pos' position is defined).
In other words, the 'extract_...' subroutines _don't_ extract the first
occurrence of a substring anywhere in a string (like an unanchored regex
would). Rather, they extract an occurrence of the substring appearing
immediately at the current matching position in the string (like a
'\G'-anchored regex would).

General behaviour in list contexts
    In a list context, all the subroutines return a list, the first three
    elements of which are always:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*