%define upstream_name    Text-FindIndent
%define upstream_version 0.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Heuristically determine the indent style
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz
# Remove using of use_ptar from Makefile. It is used to create correct
# archive on Windows
Patch0:        Text-FindIndent-0.11-Remove-use_ptar-from-Makefile.patch
# Update Makefile.PL to not use Module::Install::DSL CPAN RT#148296
Patch1:        Text-FindIndent-0.11-Remove-using-of-MI-DSL.patch

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Test::More) >= 0.800.0
BuildArch:  noarch

%description
This is an experimental distribution that attempts to intuit the underlying
indent "policy" for a text file (most likely a source code file).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch -P0 -p1
%patch -P1 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*
