%define upstream_name     Text-Hunspell
%define upstream_version 2.16

# SPEC file adapted from Fedora RawHide (Thanks!)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Summary:    Perl interface to the Hunspell library
Group:      Development/Perl
License:    GPL+ or Artistic
Url:        https://metacpan.org/release/Text-Hunspell
Source0:    https://cpan.metacpan.org/authors/id/C/CO/COSIMO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Alien::Hunspell) >= 0.40.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: gcc-c++,
BuildRequires: hunspell-devel >= 1.3,
BuildRequires: hunspell-en
BuildRequires: perl-devel
# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
This module provides a Perl interface to the Hunspell library. This module
is to meet the need of looking up many words, one at a time, in a single
session, such as spell-checking a document in memory.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
HUNSPELL_LIB_NAME=$(pkg-config --libs hunspell | sed 's/-l//; s/[[:space:]]*$//')
# perl -pi -e "s/'hunspell'/'${HUNSPELL_LIB_NAME}'/" Makefile.PL t/00-prereq.t
%{__perl} Makefile.PL \
    INSTALLDIRS=vendor \
    LIBS="-l${HUNSPELL_LIB_NAME}" \
    OPTIMIZE="%{optflags}"
%{make_build}

%install
%make_install

%check
LANG=en_US make test TEST_POD=1 TEST_VERBOSE=1

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorarch}/auto/Text/
%{perl_vendorarch}/Text/
%{_mandir}/man3/Text::Hunspell.3pm*
