%define upstream_name    Text-Levenshtein-Damerau
%define upstream_version 0.41

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Pure Perl Damerau Levenshtein edit distance
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(List::Util)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Returns the true Damerau Levenshtein edit distance of strings with adjacent
transpositions. Useful for fuzzy matching, DNA variation metrics, and fraud
detection.

Defaults to using Pure Perl Text::Levenshtein::Damerau::PP, but
has an XS addon Text::Levenshtein::Damerau::XS for massive
speed improvements. Works correctly with utf8 if backend supports it; known
to work with 'Text::Levenshtein::Damerau::PP' and
'Text::Levenshtein::Damerau::XS'.

	use utf8;
	my $tld = Text::Levenshtein::Damerau->new('ⓕⓞⓤⓡ');
	print $tld->dld('ⓕⓤⓞⓡ');
	# prints 1

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc LICENSE META.json README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


