%define upstream_name    Text-Levenshtein-Flexible
%define upstream_version 0.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    XS Levenshtein distance calculation with bounds and costs
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::LeakTrace)
BuildRequires: perl-devel
%description
Yet another Levenshtein module written in C, but a tad more flexible than
the rest.

This module uses code from PostgreSQL's Levenshtein distance function to
provide the following features on top of plain distance calculation as it
is done by Levenshtein::XS and others:

* Distance-limited calculation: if a certain maximum distance is exceeded,
  the algorithm aborts without result. This helps performance in situations
  where
  it is clear that results over a certain maximum are not useful.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYRIGHT Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*
