%define upstream_name    Text-MediawikiFormat
%define upstream_version v1.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Translate Wiki markup into other text formats
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(URI)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(version)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
The https://wikipedia.org manpage and its sister projects use the PHP
Mediawiki to format their pages. This module attempts to duplicate the
Mediawiki formatting rules. Those formatting rules can be simple and easy
to use, while providing more advanced options for the power user. They are
also easy to translate into other, more complicated markup languages with
this module. It creates HTML by default, but could produce valid POD,
DocBook, XML, or any other format imaginable.

The most important function is 'Text::MediawikiFormat::format()'. It is not
exported by default, but will be exported as 'wikiformat()' if any options
at all are passed to the exporter, unless the name is overridden
explicitly. See the "EXPORT" manpage for more information.

It should be noted that this module is written as a drop in replacement for
the Text::WikiMarkup manpage that expands on that modules functionality and
provides a default rule set that may be used to format text like the PHP
Mediawiki. It is also well to note early that if you just want a Mediawiki
clone (you don't need to customize it heavily and you want integration with
a back end database), you should look at the
Wiki::Toolkit::Formatter::Mediawiki manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes GPL META.yml ARTISTIC README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*


