%define upstream_name    Text-MicroTemplate
%define upstream_version 0.24

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    A file-based template manager
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Text::MicroTemplate is a standalone, fast, intelligent, extensible template
engine with following features.

standalone
    Text::MicroTemplate does not rely on other CPAN modules.

fast
    Based on the Mojo::Template manpage, expressions in the template is
    perl code.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
