%define upstream_name    Text-Password-Pronounceable
%define upstream_version 0.30

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Generate pronounceable passwords
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires: perl(inc::Module::Install)
BuildArch: noarch


%description
This module generates pronounceable passwords, based on the English digraphs
by D Edwards.

METHODS
    * new($min, $max)

      Construct a password factory with length limits of $min and $max. If
      $max is omitted, it defaults to $min.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc CHANGES README
%{_mandir}/man3/*
%perl_vendorlib/*


