%define upstream_name    Text-Template-Simple
%define upstream_version 0.91

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Simple text template engine
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This document describes version '0.86' of 'Text::Template::Simple' released
on '5 March 2012'.

This is a simple template module. There is no extra template/mini language.
Instead, it uses Perl as the template language. Templates can be cached on
disk or inside the memory via the internal cache manager. It is also
possible to use static/dynamic includes, pass parameters to includes and
apply filters on them. Also see Text::Template::Simple::API for
the full API definition.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml TODO eg
%_bindir/tts
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


