%define upstream_name    Text-Transliterator
%define upstream_version 1.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Compile a transliterator from Unicode tables, to remove accents from text
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     help-magpie-to-not-drop-Module::Build.patch

BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More)
BuildRequires: perl(Unicode::Normalize)
BuildRequires: perl(Unicode::UCD)
BuildArch:  noarch

%description
This package is a simple wrapper around Perl's transliteration operator
'tr/../../..'. Starting either from two strings of characters, or from a
map of characters, it will compile a function that applies the
transliteration to any list of strings.

This does very little work, and therefore would barely merit a module on
its own; it was written mainly for serving as a base package for
Text::Transliterator::Unaccent. However, in some situations it may be
useful in its own right, since Perl has no construct similar to 'qr/.../'
for "compiling" a transliteration. As a matter of fact, the 'tr/../../'
documentation says "if you want to use variables, you must use an eval()"
... which is what the present module does, albeit in a somewhat more
controlled way.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*