%define upstream_name    Text-VimColor
%define upstream_version 0.29

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
BuildArch:  noarch

Summary:    Syntax color text in HTML or XML using Vim
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::ShareDir::Install) >= 0.60.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Path::Class) >= 0.40.0
BuildRequires: perl(Symbol)
BuildRequires: perl(Term::ANSIColor) >= 1.30.0
BuildRequires: perl(Test::File::ShareDir::Dist)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
BuildRequires: vim-enhanced
Requires:   vim-enhanced
%description
This module tries to markup text files according to their syntax. It can be
used to produce web pages with pretty-printed colourful source code
samples. It can produce output in the following formats:

* HTML

  Valid XHTML 1.0, with the exact colouring and style left to a CSS
  stylesheet

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

# "make test" passes as a normal user, but fails on the build system for
# some reason, so disabling for the time being.
# %%check
# LC_ALL=en_US.UTF-8 LANG=en_US.UTF-8 %%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/text-vimcolor
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*