%define upstream_name    Text-WikiFormat
%define upstream_version 0.81

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Module for translating Wiki formatted text into other formats
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build) >= 0.390.0
BuildRequires: perl(Scalar::Util) >= 1.140.0
BuildRequires: perl(Test::More) >= 0.300.0
BuildRequires: perl(URI::Escape) >= 0.10.0
BuildArch:  noarch

%description
Text::WikiFormat converts text in a simple Wiki markup language to whatever
your little heart desires, provided you can describe it accurately in a
semi-regular tag language.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc ARTISTIC Changes GPL META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Text
%{_mandir}/man3/*