%define upstream_name    Text-Xslate
%define upstream_version v3.5.9

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    A template engine
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::MessagePack) >= 0.380.0
BuildRequires: perl(Encode) >= 2.260.0
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::Path) >= 2.70.0
BuildRequires: perl(Module::Build) >= 0.400.500
BuildRequires: perl(Module::Build::XSUtil) >= 0.190.0
BuildRequires: perl(Mouse)
BuildRequires: perl(Scalar::Util) >= 1.140.0
BuildRequires: perl(Storable) >= 2.150.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(parent) >= 0.221.0
BuildRequires: perl-devel
%description
*Xslate* is a template engine, tuned for persistent applications, safe as
an HTML generator, and with rich features.

There are a lot of template engines in CPAN, for example Template-Toolkit,
Text::MicroTemplate, HTML::Template, and so on, but all of them have
demerits at some points. This is why Xslate is developed and now it is
well-honed as the standard template engine for web applications.

The concept of Xslate is strongly influenced by Text::MicroTemplate and
Template-Toolkit 2, but the central philosophy of Xslate is different from
them. That is, the philosophy is *sandboxing* that the template logic
should not have no access outside the template beyond your permission.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}
%{_fixperms} %{buildroot}/*

%files
%doc Changes HACKING LICENSE META.json META.yml MYMETA.yml example
%{_mandir}/man3/*
%{perl_vendorarch}/*
%{_bindir}/xslate
%{_mandir}/man1/xslate.1*
