%define upstream_name    Thread-IID
%define upstream_version 0.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 26

Summary:    Unique Interpreter IDs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Thread/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl-devel
%description
This provides an identifier to distinguish Perl interpreter instances. In environments like mod_perl2, where interpreters can be cloned and passed
around between OS threads, the thread ID gives no indication of which
interpreter instance is actually running and hence which corresponding set
of values/data-structures is actually being referenced. For such situations
the interpreter ID is more likely to be what you actually want.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*
