%define upstream_name    Thread-Queue
%define upstream_version 3.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Thread-safe queues
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Thread/%{upstream_name}-%{upstream_version}.tar.gz

Provides:   perl(Thread::Queue) = %perl_convert_version %{upstream_version}

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util) >= 1.100.0
BuildRequires: perl(Test::More) >= 0.500.0
BuildRequires: perl(Thread::Semaphore)
BuildRequires: perl(threads::shared) >= 1.210.0
BuildArch:  noarch

%{?perl_default_filter}

%description
This module provides thread-safe FIFO queues that can be accessed safely by
any number of threads.

Any data types supported by the threads::shared manpage can be passed via
queues:

* Ordinary scalars

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*