%define upstream_name	 Tie-Cache
%define upstream_version 0.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9
Summary:    LRU Cache in Memory
License:    GPL or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Tie::Cache::LRU\\)$

%description
This module implements a least recently used (LRU) cache in memory through a
tie interface. Any time data is stored in the tied hash, that key/value pair
has an entry time associated with it, and as the cache fills up, those members
of the cache that are the oldest are removed to make room for new entries.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__perl} -p -i -e 's|/usr/local/bin|/usr/bin|g;' Cache.pm
%{__make}

%check
%{__make} test

%install
%make_install
# Fix bogus dependency on Tie::Cache::LRU:
rm -f %{buildroot}%perl_vendorlib/Tie/bench.pl

%files
%doc CHANGES META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Tie
