%define upstream_name    Tie-Filehandle-Preempt-Stdin
%define upstream_version 0.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Preempt STDIN during testing
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Tie/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Simple)
BuildArch: noarch

%description
Suppose a program requires manual input from the keyboard operator. How do
we test that we have properly handled operator input? More specifically,
how do we incorporate testing for user input in files built on Perl's
standard testing apparatus ('Test::Simple', 'Test::More', etc.)?

Tie::Filehandle::Preempt::Stdin offers one way to do it -- a relatively
simple and unsophisticated todo it. The most difficult part is analyzing
the program to be tested so that you recognize all the points at which
input is needed via STDIN. This in turn requires an understanding of all
the different branches your program flow can take in response to standard
input. Once you know that, you construct a list of dummy data that will be
fed to each test at the points the program, when put into production, would
normally prompt for operator input. This list of dummy data 'pre-empts'
standard input via a tie of filehandle STDIN; hence, the module's name.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


