%define upstream_name    Time-Clock
%define upstream_version 1.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Twenty-four hour clock object with nanosecond precision
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Time/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
A the Time::Clock manpage object is a twenty-four hour clock with
nanosecond precision and wrap-around. It is a clock only; it has absolutely
no concept of dates. Vagaries of date/time such as leap seconds and
daylight savings time are unsupported.

When a the Time::Clock manpage object hits 23:59:59.999999999 and at least
one more nanosecond is added, it will wrap around to 00:00:00.000000000.
This works in reverse when time is subtracted.

the Time::Clock manpage objects automatically stringify to a user-definable
format.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
