%define upstream_name    Time-HiRes
%define upstream_version 1.9764

Name:       perl-%{upstream_name}
Version:    %perl_convert_version 1.9770
Release:    %mkrel 4
Epoch:      1

Summary:    High resolution alarm, sleep, gettimeofday, interval timers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Time/%{upstream_name}-%{upstream_version}.tar.gz
# Unbundled from perl 5.34.0
Patch0:     Time-HiRes-1.9764-Upgrade-to-1.9767.patch
# Unbundled from perl 5.35.11
Patch1:	    Time-HiRes-1.9767-Upgrade-to-1.9770.patch

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl(strict)
BuildRequires: perl-devel
%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Test::More\\)

%description
The 'Time::HiRes' module implements a Perl interface to the 'usleep',
'nanosleep', 'ualarm', 'gettimeofday', and 'setitimer'/'getitimer' system
calls, in other words, high resolution time and timers. See the the
/EXAMPLES manpage section below and the test scripts for usage; see your
system documentation for the description of the underlying 'nanosleep' or
'usleep', 'ualarm', 'gettimeofday', and 'setitimer'/'getitimer' calls.

If your system lacks 'gettimeofday()' or an emulation of it you don't get
'gettimeofday()' or the one-argument form of 'tv_interval()'. If your
system lacks all of 'nanosleep()', 'usleep()', 'select()', and 'poll', you
don't get 'Time::HiRes::usleep()', 'Time::HiRes::nanosleep()', or
'Time::HiRes::sleep()'. If your system lacks both 'ualarm()' and
'setitimer()' you don't get 'Time::HiRes::ualarm()' or
'Time::HiRes::alarm()'.

If you try to import an unimplemented function in the 'use' statement it
will fail at compile time.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch -P 0 -p1
%patch -P 1 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README TODO
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Time*
%{_mandir}/man3/*
