%define upstream_name    Time-ParseDate
%define upstream_version 2015.103

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Time modules for perl
License:    distributable
Group:      Development/Perl
Url:        https://www.cpan.org/modules/by-module/Time/
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Time::Piece)
BuildArch:  noarch

Obsoletes:  perl-Time-modules <= 2013.0912

%description
This package contains the following perl5 modules:

        Time::CTime
                ctime, strftime, and asctime
        Time::JulianDay
                Julian Day conversions
        Time::ParseDate
                Reverses strftime and also understands relative times
        Time::Timezone
        Time::DaysInMonth

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix}
%{__make}

%install
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Time/*
