%define upstream_name    Tk-Chart
%define upstream_version 1.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    To create lines graph as BE<eacute>zier curve
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Tk/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More)
BuildRequires: perl(Tk) >= 800.0.0
BuildRequires: perl(Tk::Canvas::GradientColor) >= 1.40.0
BuildArch:  noarch

%description
*Tk::Chart* is a module to create and display graphs on a Tk widget. The
module is written entirely in Perl/Tk.

You can set a background gradient color by using the
Tk::Canvas::GradientColor manpage methods.

You can change the color, font of title, labels (x and y) of graphs. You
can set an interactive legend. The axes can be automatically scaled or set
by the code.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README TODO demo
%{_mandir}/man3/*
%{perl_vendorlib}/*