%global use_x11_tests 0

%define upstream_name constant-boolean
%define upstream_version 0.19

Name:           perl-Tk-FontDialog
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 1
Summary:        Font dialog widget for perl/Tk
License:        GPL+ or Artistic
Group:		Development/Perl
URL:            https://metacpan.org/release/Tk-FontDialog
Source0:        https://cpan.metacpan.org/authors/id/S/SR/SREZIC/Tk-FontDialog-%{upstream_version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# Run-time
BuildRequires:  perl(strict)
BuildRequires:  perl(Tk) >= 800
BuildRequires:  perl(Tk::Font)
BuildRequires:  perl(Tk::HList)
BuildRequires:  perl(Tk::ItemStyle)
BuildRequires:  perl(vars)
# Tests
BuildRequires:  perl(charnames)
BuildRequires:  perl(Test::More)
%if %{use_x11_tests}
# X11 tests:
BuildRequires:  x11-server-xvfb
BuildRequires:  xinit
BuildRequires:  font(:lang=en)
%endif
Requires:       perl(Tk::HList)
Requires:       perl(Tk::ItemStyle)

%description
This module implements a font dialog widget for perl/Tk.

%prep
%setup -q -n Tk-FontDialog-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
%make_install
%{_fixperms} $RPM_BUILD_ROOT%{perl_vendorlib}/*

%check
%if %{use_x11_tests}
    xvfb-run -d make test
%else
    make test
%endif

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

