%define upstream_name    Tk-NumKeypad
%define upstream_version 1.4

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 16
BuildArch:  noarch

Summary:    Numeric Keypad for Perl/Tk
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Tk/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-Tk-devel

%description
A numeric keypad, including a clear button and a decimal point button. This
is useful for touchscreen or kiosk applications where access to a keyboard
won't be available.

The keypad is arranged as follows:

    7 8 9
    4 5 6
    1 2 3
    . 0 C

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorarch/*
