%define upstream_name    Tk-Role-Dialog
%define upstream_version 1.112380

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Moose role for enhanced Tk dialogs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Tk/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(English)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(MooseX::Types::Path::Class)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Tk)
BuildRequires: perl(Tk::JPEG)
BuildRequires: perl(Tk::PNG)
BuildRequires: perl(Tk::Role::HasWidgets)
BuildRequires: perl(Tk::Sugar)
BuildRequires: perl(Module::Build)

BuildArch: noarch


%description
Tk::Role::Dialog is meant to be used as a Moose
role to be composed for easy Tk dialogs creation.

It will create a new toplevel with a title, and possibly a header as well
as some buttons.

The attributes (see below) can be either defined as defaults using the
'_build_attr()' methods, or passed arguments to the constructor call. The
only mandatory attribute is 'parent', but you'd better provide some other
attributes if you want your dialog to be somehow usable! :-)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
