%define upstream_name 	 Tk-TableMatrix
%define upstream_version 1.29

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Tk-TableMatrix perl module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/authors/id/C/CE/CERNEY/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Tk) >= 800.22.0
BuildRequires: perl(Tk::MMutil)
BuildRequires: perl-Tk-devel
BuildRequires: perl-devel
BuildRequires: pkgconfig(libnsl)
BuildRequires: pkgconfig(x11)
%{?perl_default_filter}

%description
Tk::TableMatrix is a table/matrix widget extension to perl/tk
for displaying data in a table (or spreadsheet) format.

%package devel
Summary:    Tk::TableMatrix modules for Perl (development package)
Group:      Development/Perl
Requires:   %{name} = %{version}
%description devel
Tk::TableMatrix is a table/matrix widget extension to perl/tk
for displaying data in a table (or spreadsheet) format.

This is the development package.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# DISABLE the check for now. It's won't work with build bots. 20061104.SE
#XDISPLAY=$(i=2; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
#{_prefix}/X11R6/bin/Xvfb :$XDISPLAY &
#export DISPLAY=:$XDISPLAY
#xauth add $DISPLAY . EE
#{__make} test

#xauth remove $DISPLAY
#kill $(cat /tmp/.X$XDISPLAY-lock)

%install
%make_install

# 20070818 remove file owned by perl-Tk-804.027-7mdv2007.0.i586
rm -rf %{buildroot}/%{perl_vendorarch}/Tk/pTk/extralibs.ld

%files
%doc COPYING ChangeLog Changes META.json META.yml MYMETA.yml README demos
%{perl_vendorarch}/auto/Tk
%{perl_vendorarch}/Tk/TableMatrix*
%{_mandir}/*/*

%files devel
%doc README Changes
%{perl_vendorarch}/Tk/pTk
