%define upstream_name    Tree-AVL
%define upstream_version 1.077

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    An AVL (balanced binary) tree
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Tree/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
AVL Trees are balanced binary trees, first introduced in "An Algorithm for
the Organization of Information" by Adelson-Velskii and Landis in 1962.

Balance is kept in an AVL tree during insertion and deletion by maintaining
a 'balance' factor in each node.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


