%define upstream_name    Tree-RB
%define upstream_version 0.500006

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Tree::RB guts
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Tree/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Test::More)
BuildRequires: perl(enum)
BuildArch: noarch

%description
This is a Perl implementation of the Red/Black tree, a type of balanced
binary search tree.

A tied hash interface is also provided to allow ordered hashes to be used.

See the Wikipedia article at the
https://en.wikipedia.org/wiki/Red-black_tree manpage for further information
about Red/Black trees.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%buildroot

%files
%doc Changes META.yml README.md
%{_mandir}/man3/*
%perl_vendorlib/*
