%define upstream_name    Tree-Simple-VisitorFactory
%define upstream_version 0.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A Visitor for sorting a Tree::Simple object hierarchy
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Tree/%{upstream_name}-%{upstream_version}.tgz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.600.0
BuildRequires: perl(Scalar::Util) >= 1.100.0
BuildRequires: perl(Test::Exception) >= 0.150.0
BuildRequires: perl(Test::More) >= 1.1.14
BuildRequires: perl(Tree::Simple) >= 1.120.0
BuildRequires: perl(Tree::Simple::Visitor) >= 1.220.0
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This implements a recursive multi-level sort of a Tree::Simple hierarchy.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Tree
%{_mandir}/*/*