%define upstream_name	 Tree-Trie
%define upstream_version 1.9

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    A data structure optimized for prefix lookup
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Tree/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.620.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Pod::Coverage) >= 0.180.0
BuildRequires: perl(Test::Pod) >= 1.260.0
BuildRequires: perl(Test::Pod::Coverage) >= 1.80.0
BuildArch:  noarch

%description
This module implements a trie data structure.  The term "trie"
comes from the word retrieval, but is generally pronounced like
"try".  A trie is a tree structure (or directed acyclic graph),
the nodes of which represent letters in a word.  For example, the
final lookup for the word 'bob' would look something like
"$ref->{'b'}{'o'}{'b'}{HASH(0x80c6bbc)}" (the HASH being an end
marker).  Only nodes which would represent words in the trie
exist, making the structure slightly smaller than a hash of the
same data set.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
rm -f t/02_pod_cover.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorlib}/Tree
%{_mandir}/*/*
