%define upstream_name    TryCatch
%define upstream_version 1.003002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 25

Summary:    Easily build XS extensions that depend on XS extensions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Hooks::EndOfScope) >= 0.120.0
BuildRequires: perl(B::Hooks::OP::Check) >= 0.180.0
BuildRequires: perl(B::Hooks::OP::PPAddr) >= 0.30.0
BuildRequires: perl(Devel::Declare) >= 0.5.7
BuildRequires: perl(ExtUtils::Depends) >= 0.302.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(Parse::Method::Signatures) >= 1.3.12
BuildRequires: perl(Scope::Upper) >= 0.60.0
BuildRequires: perl(Sub::Exporter) >= 0.979.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Variable::Magic) >= 0.280.0
BuildRequires: perl(XSLoader)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(namespace::clean) >= 0.200.0
BuildRequires: perl-devel

%{?perl_default_filter}

%description
This module aims to provide a nicer syntax and method to catch errors in
Perl, similar to what is found in other languages (such as Java, Python or
C++). The standard method of using 'eval {}; if ($@) {}' is often prone to
subtle bugs, primarily that its far too easy to stomp on the error in error
handlers. And also eval/if isn't the nicest idiom.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%{perl_vendorarch}/*
