%define upstream_name Type-Tie
%define upstream_version 0.015

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Tie a variable to a type constraint
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Tie/TOBYINK/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter::Tiny) >= 0.26.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildArch:  noarch

%description
This module exports a single function: `ttie`. `ttie` ties a variable to a
type constraint, ensuring that whatever values stored in the variable will
conform to the type constraint. If the type constraint has coercions,
these will be used if necessary to ensure values assigned to the variable
conform.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*