%define upstream_name    Type-Tiny-XS
%define upstream_version 0.025

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Support functions for Type::Tiny::XS
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/T/TO/TOBYINK/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(Test::More) >= 0.920.0
BuildRequires: perl-devel

%description
This module is optionally used by the Type::Tiny manpage 0.045_03 and above
to provide faster, C-based implementations of some type constraints. (This
package has only core dependencies, and does not depend on Type::Tiny, so
other data validation frameworks might also consider using it!)

Only the following two functions should be considered part of the supported
API:

* 'Type::Tiny::XS::get_coderef_for($type)'

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc COPYRIGHT CREDITS Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorarch/*
