%define upstream_name    Type-Tiny
%define upstream_version 2.008000

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Reply::Plugin\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Exception for Type::Params
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Type/%{upstream_name}-%{upstream_version}.tar.gz

# (tv) Type::Tie is now bundled (previously in a separate distribution)
Conflicts: perl-Type-Tie

BuildRequires: perl(Exporter::Tiny) >= 1.6.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildArch:  noarch

%description
the Type::Tiny manpage is a tiny class for creating Moose-like type
constraint objects which are compatible with Moo, Moose and Mouse.

Maybe now we won't need to have separate MooseX, MouseX and MooX versions
of everything? We can but hope...

This documents the internals of the Type::Tiny manpage. the
Type::Tiny::Manual manpage is a better starting place if you're new.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc CONTRIBUTING COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml MYMETA.yml NEWS README SIGNATURE examples
%{_mandir}/man3/*
%{perl_vendorlib}/*