%define upstream_name    Types-DateTime
%define upstream_version 0.002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Type constraints and coercions for datetime objects
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Types/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Duration)
BuildRequires: perl(DateTime::Locale)
BuildRequires: perl(DateTime::TimeZone)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Test::Modern)
BuildRequires: perl(Type::Tiny)
BuildArch: noarch

%description
the Types::DateTime manpage is a type constraint library suitable for use
with the Moo manpage/the Moose manpage attributes, the Kavorka manpage sub
signatures, and so forth.

Types
    This module provides some type constraints broadly compatible with
    those provided by the MooseX::Types::DateTime manpage, plus a couple of
    extra type constraints.

    * 'DateTime'

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*


