%define upstream_name    Types-URI
%define upstream_version 0.007

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Type constraints and coercions for URIs
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Types/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Type::Library)
BuildRequires: perl(Types::Path::Tiny)
BuildRequires: perl(Types::Standard)
BuildRequires: perl(Types::UUID)
BuildRequires: perl(URI)
BuildRequires: perl(URI::FromHash)
BuildArch: noarch

%description
the Types::URI manpage is a type constraint library suitable for use with
the Moo manpage/the Moose manpage attributes, the Kavorka manpage sub
signatures, and so forth.

Types
    This module provides some type constraints broadly compatible with
    those provided by the MooseX::Types::URI manpage, plus a couple of
    extra type constraints.

    * 'Uri'

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*


