%define upstream_name    URI-Find
%define upstream_version 20160806

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Find URIs in arbitrary text
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/M/MS/MSCHWERN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build) >= 0.300.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(URI) >= 1.600.0
BuildArch:  noarch

%{?perl_default_filter}

%description
This module does one thing: Finds URIs and URLs in plain text.
It finds them quickly and it finds them all (or what URI::URL
considers a URI to be.) It only finds URIs which include a scheme
(http:// or the like), for something a bit less strict have
a look at URI::Find::Schemeless.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# fix shebang (mga#23597)
perl -pi -e 's|#!.*perl|#!%{__perl}|' bin/urifind

%build
%__perl Build.PL --installdirs=vendor destdir=%{buildroot}
./Build

%check
./Build test

%install
./Build install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README TODO
%{perl_vendorlib}/URI/*
%{_bindir}/urifind
%{_mandir}/*/*
