%define upstream_name    URI-Title
%define upstream_version 1.904

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Module to get the titles of things on the web in a sensible way
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/URI/URI-Title-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Type) >= 0.220.0
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTML::Parser) >= 3.450.0
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Image::Size)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(MP3::Info)
BuildRequires: perl(Module::Pluggable) >= 1.200.0
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Perl module to get the titles of things on the web in a sensible way.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# broken with encoding, I do not know why 
#make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README eg
%{perl_vendorlib}/URI/*
%{_mandir}/man3/*