%define real_name URPM
%define group %(perl -e 'printf "%%s\\n", "%_vendor" =~ /\\bmandr|\\bmageia/i ? "Development/Perl" : "Applications/CPAN"')

%define rpm_version %(rpm -q --queryformat '%%|EPOCH?{[%%{EPOCH}:%%{VERSION}]}:{%%{VERSION}}|' rpm)

%{expand:%%global compat_perl_vendorarch %(perl -MConfig -e 'printf "%%s\n", "%{?perl_vendorarch:1}" ? "%%{perl_vendorarch}" : "$Config{installvendorarch}"')}

Summary:	Librpm perl bindings for urpmi
Name:		perl-URPM
Version:	5.225
Release:	%mkrel 4
License:	GPL or Artistic
Group:		%group
Source:		%{real_name}-v%{version}.tar.xz
VCS:		https://gitweb.mageia.org/software/rpm/perl-URPM/
URL:		https://metacpan.org/pod/URPM
BuildRequires:	perl-devel
BuildRequires:	pkgconfig(rpm) >= 4.11.0
BuildRequires:	perl(ExtUtils::Depends)
BuildRequires:	perl(ExtUtils::PkgConfig)
BuildRequires:	perl(MDV::Packdrakeng)
# For tests:
BuildRequires:	perl(Test::Pod)

# we can now expect librpm API to be backward compatible
Requires:	rpm >= %{rpm_version}
Requires:	perl(MDV::Packdrakeng)
Provides:	perl(URPM::Build) = %{version}-%{release}
Provides:	perl(URPM::Resolve) = %{version}-%{release}
Provides:	perl(URPM::Signature) = %{version}-%{release}
Conflicts:	urpmi < 8.102


%global __requires_exclude perl\\(URPM::DB\\)|perl\\(URPM::Package\\)|perl\\(URPM::Transaction\\)

%description
The URPM module allows you to manipulate rpm files, rpm header files and
hdlist files and manage them in memory.

%prep
%autosetup -n %{real_name}-v%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%{__make} OPTIMIZE="$RPM_OPT_FLAGS"

%check
%{__make} test

%install
%make_install

%files
%doc README Changes
%{_mandir}/man3/*
%{compat_perl_vendorarch}/URPM.pm
%{compat_perl_vendorarch}/URPM
%dir %{compat_perl_vendorarch}/auto/URPM
%{compat_perl_vendorarch}/auto/URPM/URPM.so
