%define upstream_name    UUID-Random-Patch-UseMRS
%define upstream_version 0.030

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Make UUID::Random use Math::Random::Secure's rand()
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/UUID/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Math::Random::Secure)
BuildRequires: perl(Test::More)
BuildRequires: perl(UUID::Random)
BuildArch:  noarch

%description
This module makes the UUID::Random manpage use 'rand()' from the
Math::Random::Secure manpage instead of the default 'rand()' that comes
with Perl. It is useful for creating cryptographically secure UUID's. On
the other hand, as a note, this makes generate() around 20 times slower.

After you 'use' this module, use UUID::Random as usual.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*