%define upstream_name    UUID
%define upstream_version 0.37

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl extension for using UUID interfaces as defined in e2fsprogs
License:    Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/UUID/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Benchmark)
BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Devel::CheckLib) >= 1.140.0
BuildRequires: perl(DynaLoader)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 7.60.0
BuildRequires: perl(ExtUtils::Manifest)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp) >= 0.100.0
BuildRequires: perl(List::Util) >= 1.290.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Thread::Semaphore)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(blib)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(threads)
BuildRequires: perl(threads::shared)
BuildRequires: perl(vars)
BuildRequires: perl(version) >= 0.770.0
BuildRequires: perl(warnings)
BuildRequires: pkgconfig(uuid)
BuildRequires: perl-devel
%description
With these 3 routines UUID''s can easily be generated and parsed/un-parsed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml NOTES README
%{_mandir}/man3/*
%{perl_vendorarch}/UUID.pm
%{perl_vendorarch}/auto/UUID/