%define upstream_name UV
%define upstream_version 2.000

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Summary:    Perl interface to libuv
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4
License:    BSD, ISC and GPLv2
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/C/CA/CAPOEIRAB/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Alien::libuv)
BuildRequires: perl(Carp)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Module::Build::Using::PkgConfig)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(XSLoader) >= 0.130.0
BuildRequires: perl-devel
BuildRequires: pkgconfig(libuv)
%description
UV provides low-level interface to libuv, https://github.com/joyent/libuv,
platform layer for node.js.

Low-level means this module's functions maps to libuv functions directly.
C<uv_listen> maps to C<UV::listen>, C<uv_tcp_connect> to C<UV::tcp_connect>,
and so on.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}
chmod -R u+w %{_builddir}/%{upstream_name}-%{upstream_version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0

%check
# (tv) works locally but fails on BS:
rm -f t/02-loop-time.t 
./Build test

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorarch}/*
%attr(0755,root,root) %{perl_vendorarch}/auto/UV/UV.so
%{_mandir}/man*/*
