%define upstream_name    Ubic
%define upstream_version 1.60

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Dummy credentials module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(Config::Tiny)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Which)
BuildRequires: perl(Getopt::Long) >= 2.330.0
BuildRequires: perl(HTTP::Server::Simple::CGI)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Select)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(JSON)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(POSIX)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::Class)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module is a perl frontend to ubic services.

It is a singleton OOP class. All of its methods should be invoked as class
methods:

    Ubic->start('foo');
    Ubic->stop('foo');
    my $status = Ubic->status('foo');

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
rm -f t/watchdog.t
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
%{_bindir}/ubic
%{_bindir}/ubic-admin
%{_bindir}/ubic-daemon
%{_bindir}/ubic-periodic
%{_bindir}/ubic-update
%{_bindir}/ubic-watchdog
%{_mandir}/man1/ubic-admin.1*
%{_mandir}/man1/ubic-daemon.1*
%{_mandir}/man1/ubic-periodic.1*
%{_mandir}/man1/ubic-update.1*
%{_mandir}/man1/ubic-watchdog.1*
%{_mandir}/man1/ubic.1*