%define upstream_name Unexpected
%define upstream_version 1.0.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Exception class composed from traits
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/PJFL/unexpected/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::StackTrace) >= 1.340.0
BuildRequires: perl(Exporter::Tiny) >= 0.42.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Module::Runtime) >= 0.14.0
BuildRequires: perl(Moo) >= 2.0.1
BuildRequires: perl(Package::Stash) >= 0.370.0
BuildRequires: perl(Sub::Install) >= 0.928.0
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::Requires) >= 0.80.0
BuildRequires: perl(Try::Tiny) >= 0.220.0
BuildRequires: perl(Type::Tiny) >= 1.0.2
BuildRequires: perl(namespace::autoclean) >= 0.260.0
BuildRequires: perl(strictures) >= 1.5.4
BuildRequires: perl(version) >= 0.880.0
BuildArch:  noarch

%description
An exception class that supports error messages with placeholders, a
throw method with automatic re-throw upon detection of self, conditional
throw if an exception was caught and a simplified stack trace in
addition to the error message with full stack trace.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*