%define upstream_name    Unicode-LineBreak
%define upstream_version 2019.001

%{?filter_setup:
%filter_from_requires /perl(Unicode::LineBreak::Constants)/d
%filter_from_provides /^perl(Unicode::LineBreak)$/d
}
%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Unicode::LineBreak::Constants\\)
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(Unicode::LineBreak\\)$

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11
Epoch:      1

Summary:    UAX #14 Unicode Line Breaking Algorithm
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Unicode/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     perl-Unicode-LineBreak-CVE-2016-1238.patch

BuildRequires: perl(Encode) >= 1.980.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.260.0
BuildRequires: perl(MIME::Charset)
BuildRequires: perl(Test::More) >= 0.450.0
BuildRequires: perl-devel
%description
Text::LineFold folds or unfolds lines of plain text. As it mainly focuses
on plain text e-mail messages, RFC 3676 flowed format is also supported.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc ARTISTIC Changes GPL META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorarch}/*
