%define upstream_name	 Unicode-Map8
%define upstream_version 0.13

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 31

Summary:	Mapping table between 8-bit chars and Unicode
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/G/GA/GAAS/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		perl-Unicode-Map8-0.13-declaration.patch
Patch1:		perl-Unicode-Map8-0.13-type.patch

Buildrequires:	perl-devel
# (tv) for test suite:
Buildrequires:	perl(Unicode::String)

%{?perl_default_filter}

%description
The Unicode::Map8 class implement efficient mapping tables between 8-bit
character sets and 16 bit character sets like Unicode. The tables are efficient
both in terms of space allocated and translation speed. The 16-bit strings is
assumed to use network byte order.

%prep
%autosetup -p0 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# (tv) test suite failed in iurt but success with iurt --shell :-(
#%make test

%install
%make_install

%files 
%doc README Changes
%{perl_vendorarch}/auto/Unicode
%{perl_vendorarch}/Unicode
%{_mandir}/*/*
%{_bindir}/*


