%define upstream_name    Unicode-Unihan
%define upstream_version 0.045

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    The Unihan Data Base 5.1.0
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Unicode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Test::More) >= 1.0.0
BuildArch:  noarch

%description
The first thing you do is make the database available. Just say

  use Unicode::Unihan;
  my $uh = Unicode::Unihan->new;

That's all you have to say. After that, you can access the database via
$uh->_tag_($string) where _tag_ is the tag in the Unihan Database, without
'k' prefix.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml NOTES README
%{_mandir}/man3/*
%perl_vendorlib/*