%define upstream_name    Unix-Mknod
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Interface mknod, major, minor, and makedev
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Unix/%{upstream_name}-%{upstream_version}.tar.gz
# Adapt to changes in glibc-2.27.9000, bug #1551656, CPAN RT#124687
Patch0:     Unix-Mknod-0.04-Include-sys-sysmacros.h-on-glibc.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
This module allows access to the device routines major()/minor()/makedev()
that may or may not be macros in .h files.

It also allows access to the 'mknod(2)' system call.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*
