%define upstream_name VCG
%define upstream_version 0.5

%{?perl_default_filter}

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 6
Summary:        %{upstream_name} module for perl
License:        GPL or Artistic
Group:          Development/Perl
Url:            https://metacpan.org/release/%{upstream_name}
Source:         https://cpan.metacpan.org/modules/by-module/VCG/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:  perl(IPC::Run)
BuildArch:      noarch


%description
This module provides an interface to to the vcg graphing tool. It
supports a limited selection of options and file formats. The vcg
graphing tool homepage is currently
http://rw4.cs.uni-sb.de/users/sander/html/gsvcg1.html but is being
actively developed elsewhere. 


This module is based on Leon Brocard's GraphViz module, it tries to
provide a similar interface to offer some sense of consistency. 


VCG is now in active development and although Graph::Writer::VCG already
exists, this module provides a similar interface to graphviz and will be
more closely tied into vcg as it becomes more actively developed - see
James Micheal DuPont's announcement at
http://mail.gnome.org/archives/dia-list/2003-February/msg00029.html.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL README
%{perl_vendorlib}/VCG.pm
%{_mandir}/*/*
