%define upstream_name    VCP-Dest-svk
%define upstream_version 0.29

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    VCP driver to write svk repository
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://searc.cpan.org/dist/%{upstream_name}
Source0:    https://www.cpan.org/authors/id/C/CL/CLKAO/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl-devel
BuildRequires:  perl-IPC-Run3
BuildRequires:  perl-BFD 
BuildRequires:	perl-VCP
BuildRequires:  perl-SVK
BuildRequires:	perl(YAML)

BuildArch:      noarch

%description
This driver allows vcp to insert revisions in to a Subversion repository via 
the svk interface. You could use the vcp command line interface or the 
integrated SVK mirror command.

Among other it allows you to mirror cvs repository with the svk command. 

Check http://svk.elixus.org/?SVKCVS and http://svk.elixus.org/?MirrorVCP for
more information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
# (misc) parallel build broken
make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%make_install
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES README 
%{perl_vendorlib}/*
%{_mandir}/man3/*
