%define upstream_name    VM-EC2-Security-CredentialCache
%define upstream_version 0.25

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Cache credentials respecting expiration time for IAM roles
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/VM/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime::Format::ISO8601)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(VM::EC2::Instance::Metadata)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This module provides a cache for an EC2's IAM credentials represented by
VM::EC2::Security::Credentials. Rather than retrieving the
credentials for every possible call that uses them, cache them until they
expire and retrieve them again if they have expired.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES LICENSE META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


