%define upstream_name    VM-EC2
%define upstream_version 1.28

%{?perl_default_filter}

%global __requires_exclude %{?__requires_exclude:__requires_exclude|}^perl\\(VM::EC2::ReservedInstance::Listing::InstanceCount\\)$

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Interface to the Amazon AWS API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/VM/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent)
BuildRequires: perl(AnyEvent::CacheDNS)
BuildRequires: perl(AnyEvent::HTTP)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(File::Path)
BuildRequires: perl(JSON)
BuildRequires: perl(LWP)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(String::Approx)
BuildRequires: perl(URI::URL)
BuildRequires: perl(XML::Simple)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
This is an interface to the 2013-07-15 version of the Amazon AWS API
(http://aws.amazon.com/ec2). It was written provide access to the new tag
and metadata interface that is not currently supported by Net::Amazon::EC2,
as well as to provide developers with an extension mechanism for the API.
This library will also support the Eucalyptus open source cloud
(http://open.eucalyptus.com).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc LICENSE META.yml META.json Changes README
%{_bindir}/migrate-ebs-image.pl
%{_bindir}/sync_to_snapshot.pl
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*


