%define upstream_name    Validation-Class
%define upstream_version 7.900056

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Basic Instructions for Writing Plugins
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Validation/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Forward)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Hash::Flatten)
BuildRequires: perl(Hash::Merge)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Find)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Clone)
BuildArch:  noarch

%description
Validation::Class is a different approach to data validation, it attempts
to simplify and centralize data validation rules to ensure DRY (don't
repeat yourself) code. The primary intent of this module is to provide a
simplistic validation framework. Your validation class is your data input
firewall and can be used anywhere and is flexible enough in an MVC
environment to be used in both the Controller and Model. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
