%define upstream_name	 WWW-Curl
%define upstream_version 4.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 28

Summary:    Perl extension interface for libcurl
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:         WWW-Curl-4.17-Skip-preprocessor-symbol-only-CURL_STRICTER.patch
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=941915
Patch1:         WWW-Curl-4.17-define-CURL-as-void.patch
# Adapt to changes in cURL 7.69.0, rhbz#1812910, CPAN RT#132197
Patch2:         WWW-Curl-4.17-Adapt-to-changes-in-cURL-7.69.0.patch
# Adapt to changes in cURL 7.87.0, bug #2160057, CPAN RT#145992
Patch3:	  	WWW-Curl-4.17-Adapt-to-curl-7.87.0.patch	
# Workound a bug in cURL 7.87.0, bug #2160057, CPAN RT#145992
Patch4:		WWW-Curl-4.17-Work-around-a-macro-bug-in-curl-7.87.0.patch
# Workound a bug in WWW::CURL 4.17, bug #2245689, GH #9
Patch5:         WWW-Curl-4.17-add-back-CURLOPT_RESOLV-support.patch
# Adapt to new version of gcc, bug #2259537
Patch6:         WWW-Curl-4.17-BRC2259537.patch
BuildRequires: pkgconfig(libcurl)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: pkgconfig(libcurl)
BuildRequires: perl-devel

%description
WWW::Curl is a Perl extension interface for libcurl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
# yes, some tests are interactive. that's Evil.
# no point in running them, then: they'll be skipped
#%%{__make} test < /dev/null

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{perl_vendorarch}/WWW
%{perl_vendorarch}/auto/WWW
%{_mandir}/*/*
