%define upstream_name    WWW-Mailman
%define upstream_version 1.061

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Interact with Mailman's web interface from a Perl program
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(WWW::Mechanize)
BuildArch: noarch

%description
'WWW::Mailman' is a module to control *Mailman* (as a subscriber, moderator
or administrator) without the need of a web browser.

The module handles authentication transparently and can take advantage of
stored cookies to speed it up.

It is meant as a building block for your own Mailman-managing scripts, and
will include more routines in the future.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes META.yml README META.json eg
%{_mandir}/man3/*
%perl_vendorlib/*


