%define upstream_name    WWW-Mechanize-Cached-GZip
%define upstream_version 0.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Like WWW::Mechanize + caching + gzip-compression
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(WWW::Mechanize::Cached)
BuildRequires: perl(WWW::Mechanize::GZip)
BuildArch: noarch

%description
The the WWW::Mechanize::Cached::GZip manpage module tries to fetch a URL by
requesting gzip-compression from the webserver.

Caching is done by inheriting from the WWW::Mechanize::Cached manpage.
Constructor parameters are identically and described there.

DECOMPRESSION
    If the response contains a header with 'Content-Encoding: gzip', it
    decompresses the response-body in order to get the original
    (uncompressed) content.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


