%define upstream_name       WWW-Mechanize-Cached
%define upstream_version 1.56

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Cache response to be polite
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CHI)
BuildRequires: perl(Cache::FileCache)
BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(LWP::UserAgent) >= 6.660.0
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo) >= 1.4.5
BuildRequires: perl(MooX::Types::MooseLike::Base)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Storable) >= 2.210.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Needs)
BuildRequires: perl(Test::RequiresInternet)
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(URI::file)
BuildRequires: perl(WWW::Mechanize)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Uses the Cache::Cache hierarchy to implement a caching Mech. This
lets one perform repeated requests without hammering a server
impolitely.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc AUTHORS CONTRIBUTORS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/WWW/Mechanize/Cached.pm
%{_mandir}/*/*