%define upstream_name    WWW-Mechanize-GZip
%define upstream_version 0.14

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Tries to fetch webpages with gzip-compression
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(WWW::Mechanize)
BuildArch:  noarch

%description
The WWW::Mechanize::GZip module tries to fetch a URL by
requesting gzip-compression from the web server.

If the response contains a header with 'Content-Encoding: gzip', it
decompresses the response in order to get the original (uncompressed)
content.

This module will help to reduce bandwidth fetching webpages, if supported by
the web server. If the web server does not support gzip-compression, no
decompression will be made.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/WWW/
