%define upstream_name    WWW-Mechanize-Shell
%define upstream_version 0.62

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    An interactive shell for WWW::Mechanize
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTML::Display)
BuildRequires: perl(HTML::TokeParser::Simple) >= 2.0.0
BuildRequires: perl(HTTP::Cookies)
BuildRequires: perl(Hook::LexWrap) >= 0.200.0
BuildRequires: perl(LWP) >= 5.690.0
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Term::Shell) >= 0.20.0
BuildRequires: perl(Test::HTTP::LocalServer) >= 0.680.0
BuildRequires: perl(Test::Harness) >= 2.300.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Without::Module)
BuildRequires: perl(URI)
BuildRequires: perl(URI::URL)
BuildRequires: perl(WWW::Mechanize) >= 1.200.0
BuildRequires: perl(WWW::Mechanize::FormFiller) >= 0.50.0
BuildRequires: perl(WWW::Mechanize::Link) >= 1.200.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
This module implements a www-like shell above WWW::Mechanize
and also has the capability to output crude Perl code that recreates
the recorded session. Its main use is as an interactive starting point
for automating a session through WWW::Mechanize.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# pod2test is gone in perl-Test-Inline
perl -pi -e "s|pod2test|/bin/true|g" Makefile.PL

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

# make test don't work...
#make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/WWW/Mechanize/Shell.pm
%{_mandir}/*/*