%define upstream_name    WWW-Mediawiki-Client
%define upstream_version 0.31

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 14

Summary:        Simple cvs-like interface for Mediawiki driven WikiWiki websites
License:        Artistic
Group:          Development/Perl
URL:            https://metacpan.org/release/%{upstream_name}
Source0:        https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:  perl(HTTP::Cookies)
BuildRequires:  perl(HTML::TokeParser)
BuildRequires:  perl(Test::Differences)
BuildRequires:  perl-libwww-perl
BuildRequires:  perl(VCS::Lite)
BuildRequires:  perl(Exception::Class)
BuildRequires:  perl(XML::LibXML) 
BuildArch:      noarch


%description
WWW::Mediawiki::Client provides a very simple cvs-like interface for
Mediawiki driven WikiWiki websites, such as https://www.wikitravel.org or
https://www.wikipedia.org.  The interface mimics the two most basic cvs
commands: update and commit with similarly named methods.  Each of these has a
shorter alias, as in cvs.  Verbosity is controlled through an output_level
accessor method.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build 

%check
%{__make} test

%install
%make_install

%files 
%doc ChangeLog README TODO
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/WWW
