%define upstream_name    WWW-Robot
%define upstream_version 0.026

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Web traversal engine for robots & agents
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::LinkExtor)
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(IO::File)
BuildRequires: perl(LWP::RobotUA)
BuildRequires: perl(URI::URL)
BuildArch: noarch

%description
This module implements a configurable web traversal engine, for a _robot_
or other web agent. Given an initial web page (_URL_), the Robot will get
the contents of that page, and extract all links on the page, adding them
to a list of URLs to visit.

Features of the Robot module include:

* *

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README ChangeLog
%{_mandir}/man3/*
%perl_vendorlib/*


