%define upstream_name WWW-Search-Lycos
%define upstream_version 2.225

%{?perl_default_filter}


Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Summary:    Class for searching www.lycos.com
Release:    %mkrel 7
License:    GPL or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(Test::More)
BuildRequires: perl(WWW::Search::Test) >= 2.210.0
BuildRequires: perl-devel
BuildArch:  noarch

%description
This class is a Lycos specialization of WWW::Search.  It handles
making and interpreting Lycos-site searches https://www.lycos.com.

This class exports no public interface; all interaction should
be done through WWW::Search objects.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl -I. Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

# make test don't work...
#make test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{perl_vendorlib}/WWW/Search/Lycos.pm
%{_mandir}/*/*
