%define upstream_name    Web-ID
%define upstream_version 1.927

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Role for Web::ID::Certificate
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Crypt::X509)
BuildRequires: perl(DateTime)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Exporter::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Plack)
BuildRequires: perl(RDF::Query)
BuildRequires: perl(RDF::Trine)
BuildRequires: perl(Test::More)
BuildRequires: perl(Types::DateTime)
BuildRequires: perl(Types::Standard)
BuildRequires: perl(Types::URI)
BuildRequires: perl(URI)
BuildRequires: perl(match::simple)
BuildRequires: perl(namespace::sweep)
BuildArch: noarch

%description
WebID is a simple authentication protocol based on TLS (Transaction Layer
Security, better known as Secure Socket Layer, SSL) and the Semantic Web.
This module provides a Perl implementation for authenticating clients using
WebID.

For more information see the the Web::ID::FAQ manpage document.

Bundled with this module are the Plack::Middleware::Auth::WebID manpage, a
plugin for the Plack manpage to perform WebID authentication on HTTPS
connections; and the Web::ID::Certificate::Generator manpage, a module that
allows you to generate WebID-enabled certificates that can be installed
into web browsers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


