%define upstream_name    Web-Scraper
%define upstream_version 0.38

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Drop-in replacement for Web::Scraper to use LibXML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Web/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTML::Selector::XPath) >= 0.30.0
BuildRequires: perl(HTML::Tagset)
BuildRequires: perl(HTML::TreeBuilder) >= 3.230.0
BuildRequires: perl(HTML::TreeBuilder::XPath) >= 0.80.0
BuildRequires: perl(LWP) >= 5.827.0
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Base)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(UNIVERSAL::require)
BuildRequires: perl(URI)
BuildRequires: perl(XML::XPathEngine) >= 0.80.0
BuildRequires: perl(YAML)
BuildArch:  noarch

%description
Web::Scraper is a web scraper toolkit, inspired by Ruby's equivalent
Scrapi. It provides a DSL-ish interface for traversing HTML documents and
returning a neatly arranged Perl data structure.

The _scraper_ and _process_ blocks provide a method to define what segments
of a document to extract. It understands HTML and CSS Selectors as well as
XPath expressions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%{perl_vendorlib}/*
