%define upstream_name WebService-Dropbox
%define upstream_version 2.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl interface to Dropbox API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/WebService/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(HTTP::Message) >= 6.110.0
BuildRequires: perl(JSON) >= 2.940.0
BuildRequires: perl(LWP::Protocol::https) >= 6.70.0
BuildRequires: perl(LWP::UserAgent) >= 6.260.0
BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Build::Tiny) >= 0.35.0
BuildRequires: perl(Test::More) >= 1.302.85
BuildRequires: perl(URI) >= 1.710.0
BuildArch:  noarch

%description
WebService::Dropbox is Perl interface to Dropbox API

 - Support Dropbox v1 REST API

 - Support Furl (Fast!!!)

 - Streaming IO (Low Memory)

 - Default URI Escape (The specified path is utf8 decoded string)

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml example
%{_mandir}/man3/*
%{perl_vendorlib}/*