%define upstream_name    WebService-Solr
%define upstream_version 0.44

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Module to interface with the Solr (Lucene) webservice
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/WebService/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Page)
BuildRequires: perl(Data::Pageset)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(JSON::XS)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Moo)
BuildRequires: perl(Test::Mock::LWP) >= 0.50.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Types::Standard) >= 0.8.0
BuildRequires: perl(URI) >= 1.280.0
BuildRequires: perl(XML::Easy)
BuildRequires: perl(XML::Simple)
BuildRequires: perl-libwww-perl
BuildArch:  noarch

%description
WebService::Solr is a client library for Apache Lucene's Solr; an
enterprise-grade indexing and searching platform.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*