%define upstream_name    Workflow
%define upstream_version 2.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    Simple, flexible system to implement workflows
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/Workflow
Source0:    https://cpan.metacpan.org/authors/id/J/JO/JONASBN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Accessor) >= 0.180.0
BuildRequires: perl(Class::Factory) >= 1.0.0
BuildRequires: perl(DBD::Mock) >= 1.590.0
BuildRequires: perl(DBI)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Data::UUID)
BuildRequires: perl(DateTime) >= 0.150.0
BuildRequires: perl(DateTime::Format::Strptime) >= 1.0.0
BuildRequires: perl(Exception::Class) >= 1.100.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Log::Any) >= 1.50.0
BuildRequires: perl(Mock::MonkeyPatch)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Readonly)
BuildRequires: perl(Safe)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Syntax::Keyword::Try) >= 0.250.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Without::Module) >= 0.200.0
BuildRequires: perl(XML::Simple) >= 2.0.0
BuildRequires: perl(YAML) >= 1.300.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
Overview
    This is a standalone workflow system. It is designed to fit into your
    system rather than force your system to fit to it. You can save
    workflow information to a database or the filesystem (or a custom
    storage). The different components of a workflow system can be included
    separately as libraries to allow for maximum reusability.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
rm t/persister_dbi_sqlite.t
make test

%install
%make_install

%files
%doc INSTALL LICENSE META.json META.yml MYMETA.yml README eg
%license LICENSE
%{_mandir}/man3/*
%perl_vendorlib/*