%define upstream_name    X10
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10c

Summary:    Enables Perl to communicate with X10 devices
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/X10/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Astro::SunTime)
BuildRequires: perl(Device::SerialPort)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(FileHandle)
BuildRequires: perl(IO::Select)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(POSIX)
BuildRequires: perl(Storable)
BuildRequires: perl(Time::ParseDate)
BuildArch: noarch

%description
X10 Perl module for the Firecracker, ActiveHome, and TwoWay/TW523 interfaces.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

#fix shebangs
sed -i -e 's|/usr/local/bin/perl|%{_bindir}/perl|g' x10*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README TODO Changes
%{_bindir}/*
%perl_vendorlib/*


