%define upstream_name       X500-DN
%define upstream_version    0.29

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 11
Summary:	Parser and formatter for RFC 2253 style DN strings
License: 	Artistic
Group: 		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source:		https://cpan.metacpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		X500-DN-0.29-fix-parse-recdescent-version-check.patch
BuildRequires:	perl(Parse::RecDescent)
BuildArch:	noarch


%description
This module provides a pure perl parser and formatter for RFC 2253
style DN strings.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

# cleanup
rm -f %{buildroot}%{perl_vendorlib}/X500/*.pod

%files
%doc Changes README META.yml
%{perl_vendorlib}/X500
%{_mandir}/*/*
