%define upstream_name    XML-Atom
%define upstream_version 0.43

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl Module for Processing Atom Feeds
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}/
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz
# enable unicode tests (we have LibXML)
Patch0:         enable-unicode-tests.patch

BuildRequires: perl(Class::Data::Inheritable)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::TimeZone)
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(URI)
BuildRequires: perl(XML::LibXML) >= 1.690.0
BuildRequires: perl(XML::XPath)
BuildArch:  noarch

Requires:   perl(XML::LibXML)
%description
Perl Module for processing Atoms feed and that provides access to the Atom
API.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
SKIP_SAX_INSTALL=1 CFLAGS="$RPM_OPT_FLAGS" %__perl Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
export PERL5LIB="$PWD:$PERL5LIB"
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/XML
%{_mandir}/*/*
