%define upstream_name    XML-Checker
%define upstream_version 0.13

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 11

Summary:	XML::Checker - a Perl module for validating XML
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/T/TJ/TJMATHER/%{upstream_name}-%{upstream_version}.tar.bz2
# rt#75526 - carp 1.25 changed its output
Patch0:     XML-Checker-0.13-fix_carp_1.25_output.patch

BuildRequires:	perl(XML::Parser) >= 2.30
BuildRequires:	perl(XML::DOM) >= 1.29
BuildRequires:	perl-libxml-perl >= 0.07
BuildArch:	noarch

Provides:	perl-libxml-enno
Obsoletes:	perl-libxml-enno

%description
XML::Checker can be used in different ways to validate XML. See the
manual pages of XML::Checker::Parser and XML::DOM::ValParser for more
information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build
make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/XML/Checker*
%{perl_vendorlib}/XML/DOM/*
%{_mandir}/man3/*
