%define upstream_name    XML-Compile-Cache
%define upstream_version 1.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Cache compiled XML translators
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Log::Report) >= 1.260.0
BuildRequires: perl(Test::More) >= 0.540.0
BuildRequires: perl(XML::Compile) >= 1.600.0
BuildRequires: perl(XML::Compile::Tester) >= 0.20.0
BuildRequires: perl(XML::LibXML::Simple) >= 0.950.0
BuildArch:  noarch

%description
Extends XML::Compile::Schema/"DESCRIPTION".

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*