%define upstream_name    XML-Compile-SOAP
%define upstream_version 3.28
# XML::Compile::SOAP::Daemon was split out as a separate package and shouldnt be required:
# https://rt.cpan.org/Public/Bug/Display.html?id=95507
%define _requires_exceptions perl(XML::Compile::SOAP::Daemon)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Exchange XML-SOAP via HTTP
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurper)
BuildRequires: perl(LWP) >= 6.80.0
BuildRequires: perl(LWP::Protocol::https) >= 6.0.0
BuildRequires: perl(Log::Report) >= 1.50.0
BuildRequires: perl(Net::HTTP) >= 6.160.0
BuildRequires: perl(Test::More) >= 0.540.0
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(XML::Compile) >= 1.580.0
BuildRequires: perl(XML::Compile::Cache) >= 1.30.0
BuildRequires: perl(XML::Compile::Tester) >= 0.900.0
BuildArch:  noarch

%description
The SOAP Message Transmission Optimization Mechanism (MTOM) is designed for
SOAP1.2, but also usable for SOAP1.1. It optimizes the transport of binary
information (like images) which are part of the XML message: in stead of
base64 encoding them adding 25% to the size of the data, these binaries are
added as pure binary attachment to the SOAP message.

In the official specification, the XML message will be created first with
the base64 representation of the data in it. Only at transmission, a
preprocessor XOP (XML-binary Optimized Packaging) extracts those components
to be send separately. In Perl, we have to be more careful about
performance. Therefore, the path via encoding to base64 and then decoding
it back to binary in the sender (and the reverse process for the receiver)
is avoided.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl -pi -e 's/XML::Compile::SOAP::Daemon.*$//g' META.yml META.json

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README TODO examples
%{_mandir}/man3/*
%{perl_vendorlib}/*