%define upstream_name    XML-Compile
%define upstream_version 1.64

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Handling of built-in facet checks
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5) >= 2.360.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO) >= 1.220.0
BuildRequires: perl(List::Util)
BuildRequires: perl(Log::Report) >= 1.200.0
BuildRequires: perl(MIME::Base64) >= 3.100.0
BuildRequires: perl(Math::BigInt) >= 1.770.0
BuildRequires: perl(Math::BigRat) >= 0.100.0
BuildRequires: perl(Test::Deep) >= 0.95.0
BuildRequires: perl(Test::More) >= 0.540.0
BuildRequires: perl(Types::Serialiser)
BuildRequires: perl(XML::Compile::Tester) >= 0.900.0
BuildRequires: perl(XML::LibXML) >= 2.10.700
BuildRequires: perl(bignum) >= 0.100.0
BuildArch:  noarch

%description
Many (professional) applications process XML messages based on a formal
specification, expressed in XML Schemas. XML::Compile translates between
XML and Perl with the help of such schemas. Your Perl program only handles
a tree of nested HASHes and ARRAYs, and does not need to understand
namespaces and other general XML and schema nastiness.

Three serious WARNINGS:

* *

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*
%{_bindir}/*