%define upstream_name	 XML-DOM-XPath
%define upstream_version 0.14

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 13

Summary:	XPath support to XML::DOM, using XML::XPath engine
License:	Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/M/MI/MIROD/%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:     XML-DOM-XPath-0.14-fix-test.patch
BuildRequires:	perl(XML::XPath) >= 1.13-5mdk
BuildRequires:	perl(XML::XPathEngine)
BuildRequires:	perl(XML::DOM)
BuildArch:	noarch

Provides:	perl-libxml-enno
Obsoletes:	perl-libxml-enno

# Remove provides which clash with symbols from perl-XML-DOM
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}perl\\(XML::DOM::(Attr|Comment|Document)\\)
%global __provides_exclude %__provides_exclude|perl\\(XML::DOM::(Element|Namespace|Node|ProcessingInstruction|Text)\\)

%description
XML::DOM::XPath allows you to use XML::XPath methods to query a DOM. This is
often much easier than relying only on getElementsByTagName.

It lets you use all of the XML::DOM methods.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p 1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/XML
%{_mandir}/*/*
