%define upstream_name    XML-LibXSLT
%define upstream_version 2.003000

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl interface to the gnome libxslt library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}/
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Path) >= 2.60.0
BuildRequires: perl(XML::LibXML) >= 1.700.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: libgdbm-devel
BuildRequires: pkgconfig(libxslt) >= 1.1.34
BuildRequires: perl-devel
Requires:   perl(XML::LibXML) >= 1.59
%{?perl_default_filter}

%description
This module is a fast XSLT library, based on the Gnome libxslt engine.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
rm -f t/03input.t t/10functions.t
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README example
%{_mandir}/*/*
%{perl_vendorarch}/XML
%{perl_vendorarch}/auto/XML
